#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 23760
#define LARGE_STATE_COUNT 3565
#define SYMBOL_COUNT 428
#define ALIAS_COUNT 16
#define TOKEN_COUNT 145
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 239

enum ts_symbol_identifiers {
  sym__lowercase_identifier = 1,
  sym_shebang = 2,
  anon_sym_SEMI_SEMI = 3,
  anon_sym_let = 4,
  anon_sym_rec = 5,
  anon_sym_and = 6,
  anon_sym_COLON_GT = 7,
  anon_sym_EQ = 8,
  anon_sym_TILDE = 9,
  anon_sym_QMARK = 10,
  anon_sym_COLON = 11,
  anon_sym_LPAREN = 12,
  anon_sym_RPAREN = 13,
  anon_sym_external = 14,
  anon_sym_type = 15,
  anon_sym_nonrec = 16,
  anon_sym_private = 17,
  anon_sym_DOT_DOT = 18,
  anon_sym_PLUS_EQ = 19,
  anon_sym_COMMA = 20,
  anon_sym_PLUS = 21,
  anon_sym_BANG = 22,
  anon_sym_DASH = 23,
  anon_sym__ = 24,
  anon_sym_COLON_EQ = 25,
  anon_sym_PIPE = 26,
  anon_sym_LBRACK = 27,
  anon_sym_RBRACK = 28,
  anon_sym_true = 29,
  anon_sym_false = 30,
  anon_sym_of = 31,
  anon_sym_COLON2 = 32,
  anon_sym_DOT = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_STAR = 35,
  anon_sym_LBRACE = 36,
  anon_sym_SEMI = 37,
  anon_sym_RBRACE = 38,
  anon_sym_mutable = 39,
  anon_sym_constraint = 40,
  anon_sym_exception = 41,
  anon_sym_module = 42,
  anon_sym_open = 43,
  anon_sym_include = 44,
  anon_sym_class = 45,
  anon_sym_virtual = 46,
  anon_sym_val = 47,
  anon_sym_sig = 48,
  anon_sym_end = 49,
  anon_sym_with = 50,
  anon_sym_functor = 51,
  anon_sym_struct = 52,
  anon_sym_object = 53,
  anon_sym_inherit = 54,
  anon_sym_method = 55,
  anon_sym_in = 56,
  anon_sym_fun = 57,
  anon_sym_as = 58,
  anon_sym_initializer = 59,
  anon_sym_LBRACK_GT = 60,
  anon_sym_LBRACK_LT = 61,
  anon_sym_GT = 62,
  anon_sym_AMP = 63,
  anon_sym_LT = 64,
  anon_sym_POUND = 65,
  anon_sym_COLON_COLON = 66,
  anon_sym_LBRACK_PIPE = 67,
  anon_sym_PIPE_RBRACK = 68,
  anon_sym_LT_DASH = 69,
  anon_sym_if = 70,
  anon_sym_then = 71,
  anon_sym_else = 72,
  anon_sym_while = 73,
  anon_sym_do = 74,
  anon_sym_done = 75,
  anon_sym_for = 76,
  anon_sym_to = 77,
  anon_sym_downto = 78,
  anon_sym_match = 79,
  anon_sym_when = 80,
  anon_sym_function = 81,
  anon_sym_try = 82,
  anon_sym_assert = 83,
  anon_sym_lazy = 84,
  anon_sym_new = 85,
  anon_sym_LBRACE_LT = 86,
  anon_sym_GT_RBRACE = 87,
  anon_sym_begin = 88,
  sym_ocamlyacc_value = 89,
  anon_sym_effect = 90,
  aux_sym_attribute_token1 = 91,
  anon_sym_LBRACK_AT_AT = 92,
  anon_sym_LBRACK_AT_AT_AT = 93,
  anon_sym_LBRACK_PERCENT = 94,
  anon_sym_LBRACE_PERCENT = 95,
  aux_sym_quoted_extension_token1 = 96,
  anon_sym_LBRACK_PERCENT_PERCENT = 97,
  anon_sym_LBRACE_PERCENT_PERCENT = 98,
  anon_sym_PERCENT = 99,
  aux_sym_number_token1 = 100,
  aux_sym_signed_number_token1 = 101,
  anon_sym_SQUOTE = 102,
  anon_sym_SQUOTE2 = 103,
  aux_sym_character_content_token1 = 104,
  aux_sym_character_content_token2 = 105,
  anon_sym_DQUOTE = 106,
  aux_sym_string_content_token1 = 107,
  aux_sym_string_content_token2 = 108,
  aux_sym_string_content_token3 = 109,
  aux_sym_string_content_token4 = 110,
  aux_sym_string_content_token5 = 111,
  aux_sym_quoted_string_content_token1 = 112,
  aux_sym_escape_sequence_token1 = 113,
  aux_sym_escape_sequence_token2 = 114,
  aux_sym_escape_sequence_token3 = 115,
  aux_sym_escape_sequence_token4 = 116,
  sym_conversion_specification = 117,
  sym_pretty_printing_indication = 118,
  sym_prefix_operator = 119,
  aux_sym_sign_operator_token1 = 120,
  sym_hash_operator = 121,
  sym_pow_operator = 122,
  sym_mult_operator = 123,
  aux_sym_add_operator_token1 = 124,
  sym_concat_operator = 125,
  sym_rel_operator = 126,
  sym_and_operator = 127,
  sym_or_operator = 128,
  sym_assign_operator = 129,
  sym_indexing_operator = 130,
  sym_let_operator = 131,
  sym_let_and_operator = 132,
  sym_match_operator = 133,
  sym__uppercase_identifier = 134,
  aux_sym_directive_token1 = 135,
  aux_sym_type_variable_token1 = 136,
  aux_sym_tag_token1 = 137,
  aux_sym_attribute_id_token1 = 138,
  sym_comment = 139,
  sym__left_quoted_string_delimiter = 140,
  sym__right_quoted_string_delimiter = 141,
  sym_line_number_directive = 142,
  sym__null = 143,
  sym__error_sentinel = 144,
  sym_compilation_unit = 145,
  sym__structure = 146,
  sym_expression_item = 147,
  sym__signature = 148,
  sym_toplevel_directive = 149,
  sym__structure_item = 150,
  sym_value_definition = 151,
  sym_let_binding = 152,
  sym_parameter = 153,
  sym_external = 154,
  sym_type_definition = 155,
  sym_type_binding = 156,
  sym__type_params = 157,
  sym__type_param = 158,
  sym__type_equation = 159,
  sym_variant_declaration = 160,
  sym_constructor_declaration = 161,
  sym__constructor_argument = 162,
  sym_record_declaration = 163,
  sym_field_declaration = 164,
  sym_type_constraint = 165,
  sym_exception_definition = 166,
  sym_module_definition = 167,
  sym_module_binding = 168,
  sym_module_parameter = 169,
  sym_module_type_definition = 170,
  sym_open_module = 171,
  sym_include_module = 172,
  sym_class_definition = 173,
  sym_class_binding = 174,
  sym_class_type_definition = 175,
  sym_class_type_binding = 176,
  sym__signature_item = 177,
  sym_value_specification = 178,
  sym_include_module_type = 179,
  sym__module_typed = 180,
  sym__module_type = 181,
  sym_signature = 182,
  sym_module_type_constraint = 183,
  sym_constrain_type = 184,
  sym_constrain_module = 185,
  sym_constrain_module_type = 186,
  sym_module_type_of = 187,
  sym_functor_type = 188,
  sym_parenthesized_module_type = 189,
  sym__simple_module_expression = 190,
  sym__module_expression = 191,
  sym_structure = 192,
  sym_functor = 193,
  sym_module_application = 194,
  sym_typed_module_expression = 195,
  sym_packed_module = 196,
  sym_parenthesized_module_expression = 197,
  sym__class_typed = 198,
  sym__simple_class_type = 199,
  sym__class_type = 200,
  sym_instantiated_class_type = 201,
  sym_class_body_type = 202,
  sym__class_field_specification = 203,
  sym_inheritance_specification = 204,
  sym_instance_variable_specification = 205,
  sym_method_specification = 206,
  sym_type_parameter_constraint = 207,
  sym_let_open_class_type = 208,
  sym_class_function_type = 209,
  sym__simple_class_expression = 210,
  sym__class_expression = 211,
  sym_instantiated_class = 212,
  sym_typed_class_expression = 213,
  sym_class_function = 214,
  sym_class_application = 215,
  sym_let_class_expression = 216,
  sym__class_field = 217,
  sym_inheritance_definition = 218,
  sym_instance_variable_definition = 219,
  sym_method_definition = 220,
  sym_class_initializer = 221,
  sym_let_open_class_expression = 222,
  sym_parenthesized_class_expression = 223,
  sym__typed = 224,
  sym__simple_typed = 225,
  sym__polymorphic_typed = 226,
  sym__polymorphic_type = 227,
  sym_polymorphic_type = 228,
  sym__abstract_type = 229,
  sym__parenthesized_abstract_type = 230,
  sym__simple_type = 231,
  sym__type = 232,
  sym_function_type = 233,
  sym_labeled_argument_type = 234,
  sym__proper_tuple_type = 235,
  sym__labeled_tuple_type = 236,
  sym_labeled_tuple_element_type = 237,
  sym__tuple_type_rhs = 238,
  sym_constructed_type = 239,
  sym_aliased_type = 240,
  sym_local_open_type = 241,
  sym_polymorphic_variant_type = 242,
  sym__tag_spec = 243,
  sym_tag_specification = 244,
  sym_package_type = 245,
  sym_object_type = 246,
  sym_method_type = 247,
  sym_hash_type = 248,
  sym_parenthesized_type = 249,
  sym__simple_expression = 250,
  sym__expression = 251,
  sym__sequence_expression = 252,
  sym_typed_expression = 253,
  sym_labeled_tuple_element = 254,
  sym__tuple_expression = 255,
  sym_cons_expression = 256,
  sym_list_expression = 257,
  sym_array_expression = 258,
  sym_record_expression = 259,
  sym_field_expression = 260,
  sym_application_expression = 261,
  sym_labeled_argument = 262,
  sym_prefix_expression = 263,
  sym_sign_expression = 264,
  sym_hash_expression = 265,
  sym_infix_expression = 266,
  sym_field_get_expression = 267,
  sym_array_get_expression = 268,
  sym_string_get_expression = 269,
  sym_bigarray_get_expression = 270,
  sym_set_expression = 271,
  sym_if_expression = 272,
  sym_then_clause = 273,
  sym_else_clause = 274,
  sym_while_expression = 275,
  sym_do_clause = 276,
  sym_for_expression = 277,
  sym__sequence_expression_anonymous = 278,
  sym_match_expression = 279,
  sym__match_cases = 280,
  sym_match_case = 281,
  sym_guard = 282,
  sym_refutation_case = 283,
  sym_function_expression = 284,
  sym_fun_expression = 285,
  sym_try_expression = 286,
  sym_let_expression = 287,
  sym_coercion_expression = 288,
  sym_assert_expression = 289,
  sym_lazy_expression = 290,
  sym_let_module_expression = 291,
  sym_let_open_expression = 292,
  sym_local_open_expression = 293,
  sym_package_expression = 294,
  sym_let_exception_expression = 295,
  sym_new_expression = 296,
  sym_object_copy_expression = 297,
  sym_instance_variable_expression = 298,
  sym_method_invocation = 299,
  sym_object_expression = 300,
  sym_parenthesized_expression = 301,
  sym__simple_pattern = 302,
  sym__effect_pattern = 303,
  sym__pattern = 304,
  sym__simple_binding_pattern = 305,
  sym__binding_pattern = 306,
  sym_alias_pattern = 307,
  sym_alias_binding_pattern = 308,
  sym_typed_pattern = 309,
  sym_typed_binding_pattern = 310,
  sym__or_pattern_anonymous = 311,
  sym__or_binding_pattern_anonymous = 312,
  sym_constructor_pattern = 313,
  sym_constructor_binding_pattern = 314,
  sym_tag_pattern = 315,
  sym_tag_binding_pattern = 316,
  sym_polymorphic_variant_pattern = 317,
  sym_labeled_tuple_element_pattern = 318,
  sym__tuple_pattern = 319,
  sym_labeled_tuple_element_binding_pattern = 320,
  sym__tuple_binding_pattern = 321,
  sym_record_pattern = 322,
  sym_field_pattern = 323,
  sym_record_binding_pattern = 324,
  sym_field_binding_pattern = 325,
  sym_list_pattern = 326,
  sym_list_binding_pattern = 327,
  sym_cons_pattern = 328,
  sym_cons_binding_pattern = 329,
  sym_array_pattern = 330,
  sym_array_binding_pattern = 331,
  sym_range_pattern = 332,
  sym_lazy_pattern = 333,
  sym_lazy_binding_pattern = 334,
  sym_local_open_pattern = 335,
  sym_local_open_binding_pattern = 336,
  sym_package_pattern = 337,
  sym_parenthesized_pattern = 338,
  sym_parenthesized_binding_pattern = 339,
  sym_exception_pattern = 340,
  sym_effect_pattern = 341,
  sym_attribute = 342,
  sym_item_attribute = 343,
  sym_floating_attribute = 344,
  sym_attribute_payload = 345,
  sym_extension = 346,
  sym_quoted_extension = 347,
  sym_item_extension = 348,
  sym_quoted_item_extension = 349,
  sym__attribute = 350,
  sym__constant = 351,
  sym__signed_constant = 352,
  sym_number = 353,
  sym_signed_number = 354,
  sym_character = 355,
  sym_character_content = 356,
  sym_string = 357,
  sym_string_content = 358,
  sym_quoted_string = 359,
  sym__quoted_string = 360,
  sym_quoted_string_content = 361,
  sym_escape_sequence = 362,
  sym_boolean = 363,
  sym_unit = 364,
  sym_sign_operator = 365,
  sym__infix_operator = 366,
  sym_add_operator = 367,
  sym_indexing_operator_path = 368,
  sym__value_name = 369,
  sym__simple_value_pattern = 370,
  sym_parenthesized_operator = 371,
  sym_value_path = 372,
  sym_module_path = 373,
  sym_extended_module_path = 374,
  sym_module_type_path = 375,
  sym_field_path = 376,
  sym_constructor_path = 377,
  sym_type_constructor_path = 378,
  sym_class_path = 379,
  sym_class_type_path = 380,
  sym__instance_variable_name = 381,
  sym__constructor_name = 382,
  sym_directive = 383,
  sym_type_variable = 384,
  sym_tag = 385,
  sym_attribute_id = 386,
  aux_sym__structure_repeat1 = 387,
  aux_sym__structure_repeat2 = 388,
  aux_sym_expression_item_repeat1 = 389,
  aux_sym__signature_repeat1 = 390,
  aux_sym_value_definition_repeat1 = 391,
  aux_sym_let_binding_repeat1 = 392,
  aux_sym_external_repeat1 = 393,
  aux_sym_type_definition_repeat1 = 394,
  aux_sym_type_binding_repeat1 = 395,
  aux_sym__type_params_repeat1 = 396,
  aux_sym_variant_declaration_repeat1 = 397,
  aux_sym_constructor_declaration_repeat1 = 398,
  aux_sym__constructor_argument_repeat1 = 399,
  aux_sym_record_declaration_repeat1 = 400,
  aux_sym_module_definition_repeat1 = 401,
  aux_sym_module_binding_repeat1 = 402,
  aux_sym_class_definition_repeat1 = 403,
  aux_sym_class_type_definition_repeat1 = 404,
  aux_sym_module_type_constraint_repeat1 = 405,
  aux_sym_instantiated_class_type_repeat1 = 406,
  aux_sym_class_body_type_repeat1 = 407,
  aux_sym_instance_variable_specification_repeat1 = 408,
  aux_sym_method_specification_repeat1 = 409,
  aux_sym_class_application_repeat1 = 410,
  aux_sym__abstract_type_repeat1 = 411,
  aux_sym_polymorphic_variant_type_repeat1 = 412,
  aux_sym_polymorphic_variant_type_repeat2 = 413,
  aux_sym_tag_specification_repeat1 = 414,
  aux_sym_object_type_repeat1 = 415,
  aux_sym_list_expression_repeat1 = 416,
  aux_sym_record_expression_repeat1 = 417,
  aux_sym__match_cases_repeat1 = 418,
  aux_sym_object_copy_expression_repeat1 = 419,
  aux_sym_object_expression_repeat1 = 420,
  aux_sym_record_pattern_repeat1 = 421,
  aux_sym_record_binding_pattern_repeat1 = 422,
  aux_sym_list_pattern_repeat1 = 423,
  aux_sym_list_binding_pattern_repeat1 = 424,
  aux_sym_string_content_repeat1 = 425,
  aux_sym_quoted_string_content_repeat1 = 426,
  aux_sym_attribute_id_repeat1 = 427,
  alias_sym_class_name = 428,
  alias_sym_class_type_name = 429,
  alias_sym_constructor_name = 430,
  alias_sym_field_name = 431,
  alias_sym_instance_variable_name = 432,
  alias_sym_label_name = 433,
  alias_sym_method_name = 434,
  alias_sym_module_name = 435,
  alias_sym_module_type_name = 436,
  alias_sym_or_pattern = 437,
  alias_sym_sequence_expression = 438,
  alias_sym_tuple_expression = 439,
  alias_sym_tuple_pattern = 440,
  alias_sym_type_constructor = 441,
  alias_sym_value_name = 442,
  alias_sym_value_pattern = 443,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__lowercase_identifier] = "_lowercase_identifier",
  [sym_shebang] = "shebang",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_let] = "let",
  [anon_sym_rec] = "rec",
  [anon_sym_and] = "and",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE] = "~",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_external] = "external",
  [anon_sym_type] = "type",
  [anon_sym_nonrec] = "nonrec",
  [anon_sym_private] = "private",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_COMMA] = ",",
  [anon_sym_PLUS] = "+",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_of] = "of",
  [anon_sym_COLON2] = ":",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_SEMI] = ";",
  [anon_sym_RBRACE] = "}",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constraint] = "constraint",
  [anon_sym_exception] = "exception",
  [anon_sym_module] = "module",
  [anon_sym_open] = "open",
  [anon_sym_include] = "include",
  [anon_sym_class] = "class",
  [anon_sym_virtual] = "virtual",
  [anon_sym_val] = "val",
  [anon_sym_sig] = "sig",
  [anon_sym_end] = "end",
  [anon_sym_with] = "with",
  [anon_sym_functor] = "functor",
  [anon_sym_struct] = "struct",
  [anon_sym_object] = "object",
  [anon_sym_inherit] = "inherit",
  [anon_sym_method] = "method",
  [anon_sym_in] = "in",
  [anon_sym_fun] = "fun",
  [anon_sym_as] = "as",
  [anon_sym_initializer] = "initializer",
  [anon_sym_LBRACK_GT] = "[>",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_GT] = ">",
  [anon_sym_AMP] = "&",
  [anon_sym_LT] = "<",
  [anon_sym_POUND] = "#",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_for] = "for",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_match] = "match",
  [anon_sym_when] = "when",
  [anon_sym_function] = "function",
  [anon_sym_try] = "try",
  [anon_sym_assert] = "assert",
  [anon_sym_lazy] = "lazy",
  [anon_sym_new] = "new",
  [anon_sym_LBRACE_LT] = "{<",
  [anon_sym_GT_RBRACE] = ">}",
  [anon_sym_begin] = "begin",
  [sym_ocamlyacc_value] = "ocamlyacc_value",
  [anon_sym_effect] = "effect",
  [aux_sym_attribute_token1] = "[@",
  [anon_sym_LBRACK_AT_AT] = "[@@",
  [anon_sym_LBRACK_AT_AT_AT] = "[@@@",
  [anon_sym_LBRACK_PERCENT] = "[%",
  [anon_sym_LBRACE_PERCENT] = "{%",
  [aux_sym_quoted_extension_token1] = "quoted_extension_token1",
  [anon_sym_LBRACK_PERCENT_PERCENT] = "[%%",
  [anon_sym_LBRACE_PERCENT_PERCENT] = "{%%",
  [anon_sym_PERCENT] = "%",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_signed_number_token1] = "signed_number_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_SQUOTE2] = "'",
  [aux_sym_character_content_token1] = "character_content_token1",
  [aux_sym_character_content_token2] = "character_content_token2",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_content_token1] = "string_content_token1",
  [aux_sym_string_content_token2] = "string_content_token2",
  [aux_sym_string_content_token3] = "string_content_token3",
  [aux_sym_string_content_token4] = "escape_sequence",
  [aux_sym_string_content_token5] = "escape_sequence",
  [aux_sym_quoted_string_content_token1] = "quoted_string_content_token1",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [aux_sym_escape_sequence_token3] = "escape_sequence_token3",
  [aux_sym_escape_sequence_token4] = "escape_sequence_token4",
  [sym_conversion_specification] = "conversion_specification",
  [sym_pretty_printing_indication] = "pretty_printing_indication",
  [sym_prefix_operator] = "prefix_operator",
  [aux_sym_sign_operator_token1] = "sign_operator_token1",
  [sym_hash_operator] = "hash_operator",
  [sym_pow_operator] = "pow_operator",
  [sym_mult_operator] = "mult_operator",
  [aux_sym_add_operator_token1] = "add_operator_token1",
  [sym_concat_operator] = "concat_operator",
  [sym_rel_operator] = "rel_operator",
  [sym_and_operator] = "and_operator",
  [sym_or_operator] = "or_operator",
  [sym_assign_operator] = "assign_operator",
  [sym_indexing_operator] = "indexing_operator",
  [sym_let_operator] = "let_operator",
  [sym_let_and_operator] = "let_and_operator",
  [sym_match_operator] = "match_operator",
  [sym__uppercase_identifier] = "_uppercase_identifier",
  [aux_sym_directive_token1] = "directive_token1",
  [aux_sym_type_variable_token1] = "type_variable_token1",
  [aux_sym_tag_token1] = "tag_token1",
  [aux_sym_attribute_id_token1] = "attribute_id_token1",
  [sym_comment] = "comment",
  [sym__left_quoted_string_delimiter] = "_left_quoted_string_delimiter",
  [sym__right_quoted_string_delimiter] = "_right_quoted_string_delimiter",
  [sym_line_number_directive] = "line_number_directive",
  [sym__null] = "_null",
  [sym__error_sentinel] = "_error_sentinel",
  [sym_compilation_unit] = "compilation_unit",
  [sym__structure] = "_structure",
  [sym_expression_item] = "expression_item",
  [sym__signature] = "_signature",
  [sym_toplevel_directive] = "toplevel_directive",
  [sym__structure_item] = "_structure_item",
  [sym_value_definition] = "value_definition",
  [sym_let_binding] = "let_binding",
  [sym_parameter] = "parameter",
  [sym_external] = "external",
  [sym_type_definition] = "type_definition",
  [sym_type_binding] = "type_binding",
  [sym__type_params] = "_type_params",
  [sym__type_param] = "_type_param",
  [sym__type_equation] = "_type_equation",
  [sym_variant_declaration] = "variant_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_argument] = "_constructor_argument",
  [sym_record_declaration] = "record_declaration",
  [sym_field_declaration] = "field_declaration",
  [sym_type_constraint] = "type_constraint",
  [sym_exception_definition] = "exception_definition",
  [sym_module_definition] = "module_definition",
  [sym_module_binding] = "module_binding",
  [sym_module_parameter] = "module_parameter",
  [sym_module_type_definition] = "module_type_definition",
  [sym_open_module] = "open_module",
  [sym_include_module] = "include_module",
  [sym_class_definition] = "class_definition",
  [sym_class_binding] = "class_binding",
  [sym_class_type_definition] = "class_type_definition",
  [sym_class_type_binding] = "class_type_binding",
  [sym__signature_item] = "_signature_item",
  [sym_value_specification] = "value_specification",
  [sym_include_module_type] = "include_module_type",
  [sym__module_typed] = "_module_typed",
  [sym__module_type] = "_module_type",
  [sym_signature] = "signature",
  [sym_module_type_constraint] = "module_type_constraint",
  [sym_constrain_type] = "constrain_type",
  [sym_constrain_module] = "constrain_module",
  [sym_constrain_module_type] = "constrain_module_type",
  [sym_module_type_of] = "module_type_of",
  [sym_functor_type] = "functor_type",
  [sym_parenthesized_module_type] = "parenthesized_module_type",
  [sym__simple_module_expression] = "_simple_module_expression",
  [sym__module_expression] = "_module_expression",
  [sym_structure] = "structure",
  [sym_functor] = "functor",
  [sym_module_application] = "module_application",
  [sym_typed_module_expression] = "typed_module_expression",
  [sym_packed_module] = "packed_module",
  [sym_parenthesized_module_expression] = "parenthesized_module_expression",
  [sym__class_typed] = "_class_typed",
  [sym__simple_class_type] = "_simple_class_type",
  [sym__class_type] = "_class_type",
  [sym_instantiated_class_type] = "instantiated_class_type",
  [sym_class_body_type] = "class_body_type",
  [sym__class_field_specification] = "_class_field_specification",
  [sym_inheritance_specification] = "inheritance_specification",
  [sym_instance_variable_specification] = "instance_variable_specification",
  [sym_method_specification] = "method_specification",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_let_open_class_type] = "let_open_class_type",
  [sym_class_function_type] = "class_function_type",
  [sym__simple_class_expression] = "_simple_class_expression",
  [sym__class_expression] = "_class_expression",
  [sym_instantiated_class] = "instantiated_class",
  [sym_typed_class_expression] = "typed_class_expression",
  [sym_class_function] = "class_function",
  [sym_class_application] = "class_application",
  [sym_let_class_expression] = "let_class_expression",
  [sym__class_field] = "_class_field",
  [sym_inheritance_definition] = "inheritance_definition",
  [sym_instance_variable_definition] = "instance_variable_definition",
  [sym_method_definition] = "method_definition",
  [sym_class_initializer] = "class_initializer",
  [sym_let_open_class_expression] = "let_open_class_expression",
  [sym_parenthesized_class_expression] = "parenthesized_class_expression",
  [sym__typed] = "_typed",
  [sym__simple_typed] = "_simple_typed",
  [sym__polymorphic_typed] = "_polymorphic_typed",
  [sym__polymorphic_type] = "_polymorphic_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym__abstract_type] = "_abstract_type",
  [sym__parenthesized_abstract_type] = "abstract_type",
  [sym__simple_type] = "_simple_type",
  [sym__type] = "_type",
  [sym_function_type] = "function_type",
  [sym_labeled_argument_type] = "labeled_argument_type",
  [sym__proper_tuple_type] = "tuple_type",
  [sym__labeled_tuple_type] = "tuple_type",
  [sym_labeled_tuple_element_type] = "labeled_tuple_element_type",
  [sym__tuple_type_rhs] = "_tuple_type_rhs",
  [sym_constructed_type] = "constructed_type",
  [sym_aliased_type] = "aliased_type",
  [sym_local_open_type] = "local_open_type",
  [sym_polymorphic_variant_type] = "polymorphic_variant_type",
  [sym__tag_spec] = "_tag_spec",
  [sym_tag_specification] = "tag_specification",
  [sym_package_type] = "package_type",
  [sym_object_type] = "object_type",
  [sym_method_type] = "method_type",
  [sym_hash_type] = "hash_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_expression] = "_simple_expression",
  [sym__expression] = "_expression",
  [sym__sequence_expression] = "_sequence_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_labeled_tuple_element] = "labeled_tuple_element",
  [sym__tuple_expression] = "_tuple_expression",
  [sym_cons_expression] = "cons_expression",
  [sym_list_expression] = "list_expression",
  [sym_array_expression] = "array_expression",
  [sym_record_expression] = "record_expression",
  [sym_field_expression] = "field_expression",
  [sym_application_expression] = "application_expression",
  [sym_labeled_argument] = "labeled_argument",
  [sym_prefix_expression] = "prefix_expression",
  [sym_sign_expression] = "sign_expression",
  [sym_hash_expression] = "hash_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_field_get_expression] = "field_get_expression",
  [sym_array_get_expression] = "array_get_expression",
  [sym_string_get_expression] = "string_get_expression",
  [sym_bigarray_get_expression] = "bigarray_get_expression",
  [sym_set_expression] = "set_expression",
  [sym_if_expression] = "if_expression",
  [sym_then_clause] = "then_clause",
  [sym_else_clause] = "else_clause",
  [sym_while_expression] = "while_expression",
  [sym_do_clause] = "do_clause",
  [sym_for_expression] = "for_expression",
  [sym__sequence_expression_anonymous] = "_sequence_expression_anonymous",
  [sym_match_expression] = "match_expression",
  [sym__match_cases] = "_match_cases",
  [sym_match_case] = "match_case",
  [sym_guard] = "guard",
  [sym_refutation_case] = "refutation_case",
  [sym_function_expression] = "function_expression",
  [sym_fun_expression] = "fun_expression",
  [sym_try_expression] = "try_expression",
  [sym_let_expression] = "let_expression",
  [sym_coercion_expression] = "coercion_expression",
  [sym_assert_expression] = "assert_expression",
  [sym_lazy_expression] = "lazy_expression",
  [sym_let_module_expression] = "let_module_expression",
  [sym_let_open_expression] = "let_open_expression",
  [sym_local_open_expression] = "local_open_expression",
  [sym_package_expression] = "package_expression",
  [sym_let_exception_expression] = "let_exception_expression",
  [sym_new_expression] = "new_expression",
  [sym_object_copy_expression] = "object_copy_expression",
  [sym_instance_variable_expression] = "instance_variable_expression",
  [sym_method_invocation] = "method_invocation",
  [sym_object_expression] = "object_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__effect_pattern] = "_effect_pattern",
  [sym__pattern] = "_pattern",
  [sym__simple_binding_pattern] = "_simple_binding_pattern",
  [sym__binding_pattern] = "_binding_pattern",
  [sym_alias_pattern] = "alias_pattern",
  [sym_alias_binding_pattern] = "alias_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_typed_binding_pattern] = "typed_pattern",
  [sym__or_pattern_anonymous] = "_or_pattern_anonymous",
  [sym__or_binding_pattern_anonymous] = "_or_binding_pattern_anonymous",
  [sym_constructor_pattern] = "constructor_pattern",
  [sym_constructor_binding_pattern] = "constructor_pattern",
  [sym_tag_pattern] = "tag_pattern",
  [sym_tag_binding_pattern] = "tag_pattern",
  [sym_polymorphic_variant_pattern] = "polymorphic_variant_pattern",
  [sym_labeled_tuple_element_pattern] = "labeled_tuple_element_pattern",
  [sym__tuple_pattern] = "_tuple_pattern",
  [sym_labeled_tuple_element_binding_pattern] = "labeled_tuple_element_binding_pattern",
  [sym__tuple_binding_pattern] = "_tuple_binding_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_record_binding_pattern] = "record_binding_pattern",
  [sym_field_binding_pattern] = "field_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_list_binding_pattern] = "list_binding_pattern",
  [sym_cons_pattern] = "cons_pattern",
  [sym_cons_binding_pattern] = "cons_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_array_binding_pattern] = "array_binding_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_lazy_pattern] = "lazy_pattern",
  [sym_lazy_binding_pattern] = "lazy_pattern",
  [sym_local_open_pattern] = "local_open_pattern",
  [sym_local_open_binding_pattern] = "local_open_pattern",
  [sym_package_pattern] = "package_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_parenthesized_binding_pattern] = "parenthesized_pattern",
  [sym_exception_pattern] = "exception_pattern",
  [sym_effect_pattern] = "effect_pattern",
  [sym_attribute] = "attribute",
  [sym_item_attribute] = "item_attribute",
  [sym_floating_attribute] = "floating_attribute",
  [sym_attribute_payload] = "attribute_payload",
  [sym_extension] = "extension",
  [sym_quoted_extension] = "quoted_extension",
  [sym_item_extension] = "item_extension",
  [sym_quoted_item_extension] = "quoted_item_extension",
  [sym__attribute] = "_attribute",
  [sym__constant] = "_constant",
  [sym__signed_constant] = "_signed_constant",
  [sym_number] = "number",
  [sym_signed_number] = "signed_number",
  [sym_character] = "character",
  [sym_character_content] = "character_content",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_quoted_string] = "quoted_string",
  [sym__quoted_string] = "_quoted_string",
  [sym_quoted_string_content] = "quoted_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_boolean] = "boolean",
  [sym_unit] = "unit",
  [sym_sign_operator] = "sign_operator",
  [sym__infix_operator] = "_infix_operator",
  [sym_add_operator] = "add_operator",
  [sym_indexing_operator_path] = "indexing_operator_path",
  [sym__value_name] = "_value_name",
  [sym__simple_value_pattern] = "_simple_value_pattern",
  [sym_parenthesized_operator] = "parenthesized_operator",
  [sym_value_path] = "value_path",
  [sym_module_path] = "module_path",
  [sym_extended_module_path] = "extended_module_path",
  [sym_module_type_path] = "module_type_path",
  [sym_field_path] = "field_path",
  [sym_constructor_path] = "constructor_path",
  [sym_type_constructor_path] = "type_constructor_path",
  [sym_class_path] = "class_path",
  [sym_class_type_path] = "class_type_path",
  [sym__instance_variable_name] = "_instance_variable_name",
  [sym__constructor_name] = "_constructor_name",
  [sym_directive] = "directive",
  [sym_type_variable] = "type_variable",
  [sym_tag] = "tag",
  [sym_attribute_id] = "attribute_id",
  [aux_sym__structure_repeat1] = "_structure_repeat1",
  [aux_sym__structure_repeat2] = "_structure_repeat2",
  [aux_sym_expression_item_repeat1] = "expression_item_repeat1",
  [aux_sym__signature_repeat1] = "_signature_repeat1",
  [aux_sym_value_definition_repeat1] = "value_definition_repeat1",
  [aux_sym_let_binding_repeat1] = "let_binding_repeat1",
  [aux_sym_external_repeat1] = "external_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_binding_repeat1] = "type_binding_repeat1",
  [aux_sym__type_params_repeat1] = "_type_params_repeat1",
  [aux_sym_variant_declaration_repeat1] = "variant_declaration_repeat1",
  [aux_sym_constructor_declaration_repeat1] = "constructor_declaration_repeat1",
  [aux_sym__constructor_argument_repeat1] = "_constructor_argument_repeat1",
  [aux_sym_record_declaration_repeat1] = "record_declaration_repeat1",
  [aux_sym_module_definition_repeat1] = "module_definition_repeat1",
  [aux_sym_module_binding_repeat1] = "module_binding_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [aux_sym_class_type_definition_repeat1] = "class_type_definition_repeat1",
  [aux_sym_module_type_constraint_repeat1] = "module_type_constraint_repeat1",
  [aux_sym_instantiated_class_type_repeat1] = "instantiated_class_type_repeat1",
  [aux_sym_class_body_type_repeat1] = "class_body_type_repeat1",
  [aux_sym_instance_variable_specification_repeat1] = "instance_variable_specification_repeat1",
  [aux_sym_method_specification_repeat1] = "method_specification_repeat1",
  [aux_sym_class_application_repeat1] = "class_application_repeat1",
  [aux_sym__abstract_type_repeat1] = "_abstract_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat1] = "polymorphic_variant_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat2] = "polymorphic_variant_type_repeat2",
  [aux_sym_tag_specification_repeat1] = "tag_specification_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_list_expression_repeat1] = "list_expression_repeat1",
  [aux_sym_record_expression_repeat1] = "record_expression_repeat1",
  [aux_sym__match_cases_repeat1] = "_match_cases_repeat1",
  [aux_sym_object_copy_expression_repeat1] = "object_copy_expression_repeat1",
  [aux_sym_object_expression_repeat1] = "object_expression_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym_record_binding_pattern_repeat1] = "record_binding_pattern_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_list_binding_pattern_repeat1] = "list_binding_pattern_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_quoted_string_content_repeat1] = "quoted_string_content_repeat1",
  [aux_sym_attribute_id_repeat1] = "attribute_id_repeat1",
  [alias_sym_class_name] = "class_name",
  [alias_sym_class_type_name] = "class_type_name",
  [alias_sym_constructor_name] = "constructor_name",
  [alias_sym_field_name] = "field_name",
  [alias_sym_instance_variable_name] = "instance_variable_name",
  [alias_sym_label_name] = "label_name",
  [alias_sym_method_name] = "method_name",
  [alias_sym_module_name] = "module_name",
  [alias_sym_module_type_name] = "module_type_name",
  [alias_sym_or_pattern] = "or_pattern",
  [alias_sym_sequence_expression] = "sequence_expression",
  [alias_sym_tuple_expression] = "tuple_expression",
  [alias_sym_tuple_pattern] = "tuple_pattern",
  [alias_sym_type_constructor] = "type_constructor",
  [alias_sym_value_name] = "value_name",
  [alias_sym_value_pattern] = "value_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__lowercase_identifier] = sym__lowercase_identifier,
  [sym_shebang] = sym_shebang,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_nonrec] = anon_sym_nonrec,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constraint] = anon_sym_constraint,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_sig] = anon_sym_sig,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_functor] = anon_sym_functor,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_inherit] = anon_sym_inherit,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_initializer] = anon_sym_initializer,
  [anon_sym_LBRACK_GT] = anon_sym_LBRACK_GT,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACE_LT] = anon_sym_LBRACE_LT,
  [anon_sym_GT_RBRACE] = anon_sym_GT_RBRACE,
  [anon_sym_begin] = anon_sym_begin,
  [sym_ocamlyacc_value] = sym_ocamlyacc_value,
  [anon_sym_effect] = anon_sym_effect,
  [aux_sym_attribute_token1] = aux_sym_attribute_token1,
  [anon_sym_LBRACK_AT_AT] = anon_sym_LBRACK_AT_AT,
  [anon_sym_LBRACK_AT_AT_AT] = anon_sym_LBRACK_AT_AT_AT,
  [anon_sym_LBRACK_PERCENT] = anon_sym_LBRACK_PERCENT,
  [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
  [aux_sym_quoted_extension_token1] = aux_sym_quoted_extension_token1,
  [anon_sym_LBRACK_PERCENT_PERCENT] = anon_sym_LBRACK_PERCENT_PERCENT,
  [anon_sym_LBRACE_PERCENT_PERCENT] = anon_sym_LBRACE_PERCENT_PERCENT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_signed_number_token1] = aux_sym_signed_number_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [aux_sym_character_content_token1] = aux_sym_character_content_token1,
  [aux_sym_character_content_token2] = aux_sym_character_content_token2,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [aux_sym_string_content_token2] = aux_sym_string_content_token2,
  [aux_sym_string_content_token3] = aux_sym_string_content_token3,
  [aux_sym_string_content_token4] = sym_escape_sequence,
  [aux_sym_string_content_token5] = sym_escape_sequence,
  [aux_sym_quoted_string_content_token1] = aux_sym_quoted_string_content_token1,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [aux_sym_escape_sequence_token3] = aux_sym_escape_sequence_token3,
  [aux_sym_escape_sequence_token4] = aux_sym_escape_sequence_token4,
  [sym_conversion_specification] = sym_conversion_specification,
  [sym_pretty_printing_indication] = sym_pretty_printing_indication,
  [sym_prefix_operator] = sym_prefix_operator,
  [aux_sym_sign_operator_token1] = aux_sym_sign_operator_token1,
  [sym_hash_operator] = sym_hash_operator,
  [sym_pow_operator] = sym_pow_operator,
  [sym_mult_operator] = sym_mult_operator,
  [aux_sym_add_operator_token1] = aux_sym_add_operator_token1,
  [sym_concat_operator] = sym_concat_operator,
  [sym_rel_operator] = sym_rel_operator,
  [sym_and_operator] = sym_and_operator,
  [sym_or_operator] = sym_or_operator,
  [sym_assign_operator] = sym_assign_operator,
  [sym_indexing_operator] = sym_indexing_operator,
  [sym_let_operator] = sym_let_operator,
  [sym_let_and_operator] = sym_let_and_operator,
  [sym_match_operator] = sym_match_operator,
  [sym__uppercase_identifier] = sym__uppercase_identifier,
  [aux_sym_directive_token1] = aux_sym_directive_token1,
  [aux_sym_type_variable_token1] = aux_sym_type_variable_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_attribute_id_token1] = aux_sym_attribute_id_token1,
  [sym_comment] = sym_comment,
  [sym__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [sym__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [sym_line_number_directive] = sym_line_number_directive,
  [sym__null] = sym__null,
  [sym__error_sentinel] = sym__error_sentinel,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__structure] = sym__structure,
  [sym_expression_item] = sym_expression_item,
  [sym__signature] = sym__signature,
  [sym_toplevel_directive] = sym_toplevel_directive,
  [sym__structure_item] = sym__structure_item,
  [sym_value_definition] = sym_value_definition,
  [sym_let_binding] = sym_let_binding,
  [sym_parameter] = sym_parameter,
  [sym_external] = sym_external,
  [sym_type_definition] = sym_type_definition,
  [sym_type_binding] = sym_type_binding,
  [sym__type_params] = sym__type_params,
  [sym__type_param] = sym__type_param,
  [sym__type_equation] = sym__type_equation,
  [sym_variant_declaration] = sym_variant_declaration,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_argument] = sym__constructor_argument,
  [sym_record_declaration] = sym_record_declaration,
  [sym_field_declaration] = sym_field_declaration,
  [sym_type_constraint] = sym_type_constraint,
  [sym_exception_definition] = sym_exception_definition,
  [sym_module_definition] = sym_module_definition,
  [sym_module_binding] = sym_module_binding,
  [sym_module_parameter] = sym_module_parameter,
  [sym_module_type_definition] = sym_module_type_definition,
  [sym_open_module] = sym_open_module,
  [sym_include_module] = sym_include_module,
  [sym_class_definition] = sym_class_definition,
  [sym_class_binding] = sym_class_binding,
  [sym_class_type_definition] = sym_class_type_definition,
  [sym_class_type_binding] = sym_class_type_binding,
  [sym__signature_item] = sym__signature_item,
  [sym_value_specification] = sym_value_specification,
  [sym_include_module_type] = sym_include_module_type,
  [sym__module_typed] = sym__module_typed,
  [sym__module_type] = sym__module_type,
  [sym_signature] = sym_signature,
  [sym_module_type_constraint] = sym_module_type_constraint,
  [sym_constrain_type] = sym_constrain_type,
  [sym_constrain_module] = sym_constrain_module,
  [sym_constrain_module_type] = sym_constrain_module_type,
  [sym_module_type_of] = sym_module_type_of,
  [sym_functor_type] = sym_functor_type,
  [sym_parenthesized_module_type] = sym_parenthesized_module_type,
  [sym__simple_module_expression] = sym__simple_module_expression,
  [sym__module_expression] = sym__module_expression,
  [sym_structure] = sym_structure,
  [sym_functor] = sym_functor,
  [sym_module_application] = sym_module_application,
  [sym_typed_module_expression] = sym_typed_module_expression,
  [sym_packed_module] = sym_packed_module,
  [sym_parenthesized_module_expression] = sym_parenthesized_module_expression,
  [sym__class_typed] = sym__class_typed,
  [sym__simple_class_type] = sym__simple_class_type,
  [sym__class_type] = sym__class_type,
  [sym_instantiated_class_type] = sym_instantiated_class_type,
  [sym_class_body_type] = sym_class_body_type,
  [sym__class_field_specification] = sym__class_field_specification,
  [sym_inheritance_specification] = sym_inheritance_specification,
  [sym_instance_variable_specification] = sym_instance_variable_specification,
  [sym_method_specification] = sym_method_specification,
  [sym_type_parameter_constraint] = sym_type_parameter_constraint,
  [sym_let_open_class_type] = sym_let_open_class_type,
  [sym_class_function_type] = sym_class_function_type,
  [sym__simple_class_expression] = sym__simple_class_expression,
  [sym__class_expression] = sym__class_expression,
  [sym_instantiated_class] = sym_instantiated_class,
  [sym_typed_class_expression] = sym_typed_class_expression,
  [sym_class_function] = sym_class_function,
  [sym_class_application] = sym_class_application,
  [sym_let_class_expression] = sym_let_class_expression,
  [sym__class_field] = sym__class_field,
  [sym_inheritance_definition] = sym_inheritance_definition,
  [sym_instance_variable_definition] = sym_instance_variable_definition,
  [sym_method_definition] = sym_method_definition,
  [sym_class_initializer] = sym_class_initializer,
  [sym_let_open_class_expression] = sym_let_open_class_expression,
  [sym_parenthesized_class_expression] = sym_parenthesized_class_expression,
  [sym__typed] = sym__typed,
  [sym__simple_typed] = sym__simple_typed,
  [sym__polymorphic_typed] = sym__polymorphic_typed,
  [sym__polymorphic_type] = sym__polymorphic_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym__abstract_type] = sym__abstract_type,
  [sym__parenthesized_abstract_type] = sym__parenthesized_abstract_type,
  [sym__simple_type] = sym__simple_type,
  [sym__type] = sym__type,
  [sym_function_type] = sym_function_type,
  [sym_labeled_argument_type] = sym_labeled_argument_type,
  [sym__proper_tuple_type] = sym__proper_tuple_type,
  [sym__labeled_tuple_type] = sym__proper_tuple_type,
  [sym_labeled_tuple_element_type] = sym_labeled_tuple_element_type,
  [sym__tuple_type_rhs] = sym__tuple_type_rhs,
  [sym_constructed_type] = sym_constructed_type,
  [sym_aliased_type] = sym_aliased_type,
  [sym_local_open_type] = sym_local_open_type,
  [sym_polymorphic_variant_type] = sym_polymorphic_variant_type,
  [sym__tag_spec] = sym__tag_spec,
  [sym_tag_specification] = sym_tag_specification,
  [sym_package_type] = sym_package_type,
  [sym_object_type] = sym_object_type,
  [sym_method_type] = sym_method_type,
  [sym_hash_type] = sym_hash_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_expression] = sym__simple_expression,
  [sym__expression] = sym__expression,
  [sym__sequence_expression] = sym__sequence_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_labeled_tuple_element] = sym_labeled_tuple_element,
  [sym__tuple_expression] = sym__tuple_expression,
  [sym_cons_expression] = sym_cons_expression,
  [sym_list_expression] = sym_list_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_record_expression] = sym_record_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_application_expression] = sym_application_expression,
  [sym_labeled_argument] = sym_labeled_argument,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_sign_expression] = sym_sign_expression,
  [sym_hash_expression] = sym_hash_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_field_get_expression] = sym_field_get_expression,
  [sym_array_get_expression] = sym_array_get_expression,
  [sym_string_get_expression] = sym_string_get_expression,
  [sym_bigarray_get_expression] = sym_bigarray_get_expression,
  [sym_set_expression] = sym_set_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_then_clause] = sym_then_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_while_expression] = sym_while_expression,
  [sym_do_clause] = sym_do_clause,
  [sym_for_expression] = sym_for_expression,
  [sym__sequence_expression_anonymous] = sym__sequence_expression_anonymous,
  [sym_match_expression] = sym_match_expression,
  [sym__match_cases] = sym__match_cases,
  [sym_match_case] = sym_match_case,
  [sym_guard] = sym_guard,
  [sym_refutation_case] = sym_refutation_case,
  [sym_function_expression] = sym_function_expression,
  [sym_fun_expression] = sym_fun_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_coercion_expression] = sym_coercion_expression,
  [sym_assert_expression] = sym_assert_expression,
  [sym_lazy_expression] = sym_lazy_expression,
  [sym_let_module_expression] = sym_let_module_expression,
  [sym_let_open_expression] = sym_let_open_expression,
  [sym_local_open_expression] = sym_local_open_expression,
  [sym_package_expression] = sym_package_expression,
  [sym_let_exception_expression] = sym_let_exception_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_object_copy_expression] = sym_object_copy_expression,
  [sym_instance_variable_expression] = sym_instance_variable_expression,
  [sym_method_invocation] = sym_method_invocation,
  [sym_object_expression] = sym_object_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__effect_pattern] = sym__effect_pattern,
  [sym__pattern] = sym__pattern,
  [sym__simple_binding_pattern] = sym__simple_binding_pattern,
  [sym__binding_pattern] = sym__binding_pattern,
  [sym_alias_pattern] = sym_alias_pattern,
  [sym_alias_binding_pattern] = sym_alias_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_typed_binding_pattern] = sym_typed_pattern,
  [sym__or_pattern_anonymous] = sym__or_pattern_anonymous,
  [sym__or_binding_pattern_anonymous] = sym__or_binding_pattern_anonymous,
  [sym_constructor_pattern] = sym_constructor_pattern,
  [sym_constructor_binding_pattern] = sym_constructor_pattern,
  [sym_tag_pattern] = sym_tag_pattern,
  [sym_tag_binding_pattern] = sym_tag_pattern,
  [sym_polymorphic_variant_pattern] = sym_polymorphic_variant_pattern,
  [sym_labeled_tuple_element_pattern] = sym_labeled_tuple_element_pattern,
  [sym__tuple_pattern] = sym__tuple_pattern,
  [sym_labeled_tuple_element_binding_pattern] = sym_labeled_tuple_element_binding_pattern,
  [sym__tuple_binding_pattern] = sym__tuple_binding_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_record_binding_pattern] = sym_record_binding_pattern,
  [sym_field_binding_pattern] = sym_field_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_list_binding_pattern] = sym_list_binding_pattern,
  [sym_cons_pattern] = sym_cons_pattern,
  [sym_cons_binding_pattern] = sym_cons_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_array_binding_pattern] = sym_array_binding_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_lazy_pattern] = sym_lazy_pattern,
  [sym_lazy_binding_pattern] = sym_lazy_pattern,
  [sym_local_open_pattern] = sym_local_open_pattern,
  [sym_local_open_binding_pattern] = sym_local_open_pattern,
  [sym_package_pattern] = sym_package_pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_parenthesized_binding_pattern] = sym_parenthesized_pattern,
  [sym_exception_pattern] = sym_exception_pattern,
  [sym_effect_pattern] = sym_effect_pattern,
  [sym_attribute] = sym_attribute,
  [sym_item_attribute] = sym_item_attribute,
  [sym_floating_attribute] = sym_floating_attribute,
  [sym_attribute_payload] = sym_attribute_payload,
  [sym_extension] = sym_extension,
  [sym_quoted_extension] = sym_quoted_extension,
  [sym_item_extension] = sym_item_extension,
  [sym_quoted_item_extension] = sym_quoted_item_extension,
  [sym__attribute] = sym__attribute,
  [sym__constant] = sym__constant,
  [sym__signed_constant] = sym__signed_constant,
  [sym_number] = sym_number,
  [sym_signed_number] = sym_signed_number,
  [sym_character] = sym_character,
  [sym_character_content] = sym_character_content,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_quoted_string] = sym_quoted_string,
  [sym__quoted_string] = sym__quoted_string,
  [sym_quoted_string_content] = sym_quoted_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_boolean] = sym_boolean,
  [sym_unit] = sym_unit,
  [sym_sign_operator] = sym_sign_operator,
  [sym__infix_operator] = sym__infix_operator,
  [sym_add_operator] = sym_add_operator,
  [sym_indexing_operator_path] = sym_indexing_operator_path,
  [sym__value_name] = sym__value_name,
  [sym__simple_value_pattern] = sym__simple_value_pattern,
  [sym_parenthesized_operator] = sym_parenthesized_operator,
  [sym_value_path] = sym_value_path,
  [sym_module_path] = sym_module_path,
  [sym_extended_module_path] = sym_extended_module_path,
  [sym_module_type_path] = sym_module_type_path,
  [sym_field_path] = sym_field_path,
  [sym_constructor_path] = sym_constructor_path,
  [sym_type_constructor_path] = sym_type_constructor_path,
  [sym_class_path] = sym_class_path,
  [sym_class_type_path] = sym_class_type_path,
  [sym__instance_variable_name] = sym__instance_variable_name,
  [sym__constructor_name] = sym__constructor_name,
  [sym_directive] = sym_directive,
  [sym_type_variable] = sym_type_variable,
  [sym_tag] = sym_tag,
  [sym_attribute_id] = sym_attribute_id,
  [aux_sym__structure_repeat1] = aux_sym__structure_repeat1,
  [aux_sym__structure_repeat2] = aux_sym__structure_repeat2,
  [aux_sym_expression_item_repeat1] = aux_sym_expression_item_repeat1,
  [aux_sym__signature_repeat1] = aux_sym__signature_repeat1,
  [aux_sym_value_definition_repeat1] = aux_sym_value_definition_repeat1,
  [aux_sym_let_binding_repeat1] = aux_sym_let_binding_repeat1,
  [aux_sym_external_repeat1] = aux_sym_external_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_binding_repeat1] = aux_sym_type_binding_repeat1,
  [aux_sym__type_params_repeat1] = aux_sym__type_params_repeat1,
  [aux_sym_variant_declaration_repeat1] = aux_sym_variant_declaration_repeat1,
  [aux_sym_constructor_declaration_repeat1] = aux_sym_constructor_declaration_repeat1,
  [aux_sym__constructor_argument_repeat1] = aux_sym__constructor_argument_repeat1,
  [aux_sym_record_declaration_repeat1] = aux_sym_record_declaration_repeat1,
  [aux_sym_module_definition_repeat1] = aux_sym_module_definition_repeat1,
  [aux_sym_module_binding_repeat1] = aux_sym_module_binding_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [aux_sym_class_type_definition_repeat1] = aux_sym_class_type_definition_repeat1,
  [aux_sym_module_type_constraint_repeat1] = aux_sym_module_type_constraint_repeat1,
  [aux_sym_instantiated_class_type_repeat1] = aux_sym_instantiated_class_type_repeat1,
  [aux_sym_class_body_type_repeat1] = aux_sym_class_body_type_repeat1,
  [aux_sym_instance_variable_specification_repeat1] = aux_sym_instance_variable_specification_repeat1,
  [aux_sym_method_specification_repeat1] = aux_sym_method_specification_repeat1,
  [aux_sym_class_application_repeat1] = aux_sym_class_application_repeat1,
  [aux_sym__abstract_type_repeat1] = aux_sym__abstract_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat1] = aux_sym_polymorphic_variant_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat2] = aux_sym_polymorphic_variant_type_repeat2,
  [aux_sym_tag_specification_repeat1] = aux_sym_tag_specification_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_list_expression_repeat1] = aux_sym_list_expression_repeat1,
  [aux_sym_record_expression_repeat1] = aux_sym_record_expression_repeat1,
  [aux_sym__match_cases_repeat1] = aux_sym__match_cases_repeat1,
  [aux_sym_object_copy_expression_repeat1] = aux_sym_object_copy_expression_repeat1,
  [aux_sym_object_expression_repeat1] = aux_sym_object_expression_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym_record_binding_pattern_repeat1] = aux_sym_record_binding_pattern_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_list_binding_pattern_repeat1] = aux_sym_list_binding_pattern_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_quoted_string_content_repeat1] = aux_sym_quoted_string_content_repeat1,
  [aux_sym_attribute_id_repeat1] = aux_sym_attribute_id_repeat1,
  [alias_sym_class_name] = alias_sym_class_name,
  [alias_sym_class_type_name] = alias_sym_class_type_name,
  [alias_sym_constructor_name] = alias_sym_constructor_name,
  [alias_sym_field_name] = alias_sym_field_name,
  [alias_sym_instance_variable_name] = alias_sym_instance_variable_name,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_method_name] = alias_sym_method_name,
  [alias_sym_module_name] = alias_sym_module_name,
  [alias_sym_module_type_name] = alias_sym_module_type_name,
  [alias_sym_or_pattern] = alias_sym_or_pattern,
  [alias_sym_sequence_expression] = alias_sym_sequence_expression,
  [alias_sym_tuple_expression] = alias_sym_tuple_expression,
  [alias_sym_tuple_pattern] = alias_sym_tuple_pattern,
  [alias_sym_type_constructor] = alias_sym_type_constructor,
  [alias_sym_value_name] = alias_sym_value_name,
  [alias_sym_value_pattern] = alias_sym_value_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lowercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_shebang] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonrec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constraint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_initializer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [sym_ocamlyacc_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_effect] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signed_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_content_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token4] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token5] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_conversion_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_pretty_printing_indication] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sign_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_hash_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pow_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_add_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_concat_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_rel_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__uppercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_directive_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__left_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__right_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym_line_number_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__null] = {
    .visible = false,
    .named = true,
  },
  [sym__error_sentinel] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__structure] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_item] = {
    .visible = true,
    .named = true,
  },
  [sym__signature] = {
    .visible = false,
    .named = true,
  },
  [sym_toplevel_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__structure_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_external] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__type_params] = {
    .visible = false,
    .named = true,
  },
  [sym__type_param] = {
    .visible = false,
    .named = true,
  },
  [sym__type_equation] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_module_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_open_module] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__module_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__module_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_of] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_structure] = {
    .visible = true,
    .named = true,
  },
  [sym_functor] = {
    .visible = true,
    .named = true,
  },
  [sym_module_application] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_packed_module] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body_type] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field_specification] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_method_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function] = {
    .visible = true,
    .named = true,
  },
  [sym_class_application] = {
    .visible = true,
    .named = true,
  },
  [sym_let_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__abstract_type] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument_type] = {
    .visible = true,
    .named = true,
  },
  [sym__proper_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym__labeled_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_tuple_element_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_type_rhs] = {
    .visible = false,
    .named = true,
  },
  [sym_constructed_type] = {
    .visible = true,
    .named = true,
  },
  [sym_aliased_type] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tag_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_tag_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_package_type] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_type] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__sequence_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_tuple_element] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_cons_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_record_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_application_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bigarray_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_set_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_then_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__sequence_expression_anonymous] = {
    .visible = false,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__match_cases] = {
    .visible = false,
    .named = true,
  },
  [sym_match_case] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_refutation_case] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_package_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_exception_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_copy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__effect_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__simple_binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_alias_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__or_pattern_anonymous] = {
    .visible = false,
    .named = true,
  },
  [sym__or_binding_pattern_anonymous] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_tuple_element_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_labeled_tuple_element_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__tuple_binding_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_package_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_effect_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_item_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__signed_constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_signed_number] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_character_content] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__infix_operator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_add_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator_path] = {
    .visible = true,
    .named = true,
  },
  [sym__value_name] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_value_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_extended_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym__instance_variable_name] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_name] = {
    .visible = false,
    .named = true,
  },
  [sym_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_type_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_id] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__structure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__structure_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_external_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_type_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instantiated_class_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instance_variable_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_application_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__abstract_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_copy_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quoted_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_class_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_class_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_instance_variable_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_tuple_expression] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constructor] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_argument = 2,
  field_array = 3,
  field_body = 4,
  field_class = 5,
  field_class_type = 6,
  field_codomain = 7,
  field_coercion = 8,
  field_condition = 9,
  field_constraint = 10,
  field_continuation = 11,
  field_default = 12,
  field_domain = 13,
  field_effect = 14,
  field_equation = 15,
  field_expression = 16,
  field_field = 17,
  field_from = 18,
  field_function = 19,
  field_functor = 20,
  field_index = 21,
  field_initializer = 22,
  field_left = 23,
  field_method = 24,
  field_module = 25,
  field_module_type = 26,
  field_name = 27,
  field_object = 28,
  field_operator = 29,
  field_pattern = 30,
  field_record = 31,
  field_right = 32,
  field_self = 33,
  field_self_type = 34,
  field_string = 35,
  field_to = 36,
  field_type = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_argument] = "argument",
  [field_array] = "array",
  [field_body] = "body",
  [field_class] = "class",
  [field_class_type] = "class_type",
  [field_codomain] = "codomain",
  [field_coercion] = "coercion",
  [field_condition] = "condition",
  [field_constraint] = "constraint",
  [field_continuation] = "continuation",
  [field_default] = "default",
  [field_domain] = "domain",
  [field_effect] = "effect",
  [field_equation] = "equation",
  [field_expression] = "expression",
  [field_field] = "field",
  [field_from] = "from",
  [field_function] = "function",
  [field_functor] = "functor",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_left] = "left",
  [field_method] = "method",
  [field_module] = "module",
  [field_module_type] = "module_type",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_pattern] = "pattern",
  [field_record] = "record",
  [field_right] = "right",
  [field_self] = "self",
  [field_self_type] = "self_type",
  [field_string] = "string",
  [field_to] = "to",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [7] = {.index = 0, .length = 1},
  [15] = {.index = 1, .length = 1},
  [18] = {.index = 2, .length = 1},
  [21] = {.index = 3, .length = 1},
  [22] = {.index = 4, .length = 2},
  [23] = {.index = 6, .length = 1},
  [24] = {.index = 7, .length = 2},
  [25] = {.index = 9, .length = 1},
  [28] = {.index = 10, .length = 2},
  [29] = {.index = 12, .length = 1},
  [30] = {.index = 13, .length = 1},
  [33] = {.index = 14, .length = 1},
  [34] = {.index = 15, .length = 1},
  [35] = {.index = 16, .length = 2},
  [37] = {.index = 18, .length = 1},
  [38] = {.index = 19, .length = 1},
  [40] = {.index = 20, .length = 1},
  [41] = {.index = 21, .length = 1},
  [42] = {.index = 22, .length = 1},
  [43] = {.index = 23, .length = 1},
  [44] = {.index = 24, .length = 2},
  [45] = {.index = 26, .length = 2},
  [46] = {.index = 28, .length = 3},
  [47] = {.index = 31, .length = 2},
  [48] = {.index = 33, .length = 2},
  [50] = {.index = 35, .length = 1},
  [51] = {.index = 36, .length = 1},
  [52] = {.index = 37, .length = 2},
  [53] = {.index = 39, .length = 1},
  [54] = {.index = 40, .length = 2},
  [55] = {.index = 42, .length = 1},
  [56] = {.index = 43, .length = 2},
  [58] = {.index = 45, .length = 2},
  [59] = {.index = 47, .length = 1},
  [60] = {.index = 48, .length = 2},
  [62] = {.index = 45, .length = 2},
  [65] = {.index = 23, .length = 1},
  [67] = {.index = 50, .length = 1},
  [68] = {.index = 51, .length = 1},
  [69] = {.index = 52, .length = 1},
  [70] = {.index = 53, .length = 1},
  [71] = {.index = 54, .length = 1},
  [72] = {.index = 23, .length = 1},
  [74] = {.index = 55, .length = 1},
  [75] = {.index = 54, .length = 1},
  [76] = {.index = 56, .length = 1},
  [77] = {.index = 57, .length = 1},
  [78] = {.index = 58, .length = 2},
  [80] = {.index = 56, .length = 1},
  [81] = {.index = 60, .length = 1},
  [83] = {.index = 61, .length = 1},
  [84] = {.index = 62, .length = 2},
  [85] = {.index = 64, .length = 3},
  [86] = {.index = 67, .length = 2},
  [87] = {.index = 69, .length = 1},
  [88] = {.index = 70, .length = 2},
  [89] = {.index = 72, .length = 2},
  [90] = {.index = 74, .length = 2},
  [91] = {.index = 76, .length = 1},
  [92] = {.index = 77, .length = 3},
  [93] = {.index = 80, .length = 2},
  [94] = {.index = 80, .length = 2},
  [95] = {.index = 74, .length = 2},
  [96] = {.index = 82, .length = 1},
  [97] = {.index = 83, .length = 2},
  [98] = {.index = 85, .length = 1},
  [99] = {.index = 86, .length = 1},
  [100] = {.index = 87, .length = 2},
  [101] = {.index = 36, .length = 1},
  [102] = {.index = 89, .length = 1},
  [103] = {.index = 90, .length = 2},
  [104] = {.index = 23, .length = 1},
  [106] = {.index = 36, .length = 1},
  [107] = {.index = 92, .length = 1},
  [108] = {.index = 93, .length = 2},
  [109] = {.index = 36, .length = 1},
  [110] = {.index = 95, .length = 1},
  [111] = {.index = 13, .length = 1},
  [112] = {.index = 96, .length = 1},
  [113] = {.index = 97, .length = 2},
  [114] = {.index = 99, .length = 2},
  [115] = {.index = 101, .length = 2},
  [116] = {.index = 96, .length = 1},
  [117] = {.index = 69, .length = 1},
  [118] = {.index = 103, .length = 1},
  [119] = {.index = 104, .length = 2},
  [120] = {.index = 69, .length = 1},
  [122] = {.index = 36, .length = 1},
  [123] = {.index = 69, .length = 1},
  [124] = {.index = 85, .length = 1},
  [125] = {.index = 106, .length = 2},
  [126] = {.index = 108, .length = 2},
  [127] = {.index = 110, .length = 2},
  [128] = {.index = 112, .length = 2},
  [129] = {.index = 42, .length = 1},
  [130] = {.index = 114, .length = 1},
  [131] = {.index = 115, .length = 1},
  [133] = {.index = 116, .length = 2},
  [134] = {.index = 118, .length = 3},
  [135] = {.index = 96, .length = 1},
  [136] = {.index = 121, .length = 3},
  [137] = {.index = 61, .length = 1},
  [138] = {.index = 124, .length = 2},
  [139] = {.index = 126, .length = 3},
  [140] = {.index = 13, .length = 1},
  [141] = {.index = 129, .length = 3},
  [142] = {.index = 132, .length = 2},
  [143] = {.index = 134, .length = 3},
  [144] = {.index = 132, .length = 2},
  [145] = {.index = 137, .length = 1},
  [146] = {.index = 51, .length = 1},
  [147] = {.index = 138, .length = 1},
  [148] = {.index = 139, .length = 1},
  [149] = {.index = 140, .length = 2},
  [150] = {.index = 142, .length = 2},
  [151] = {.index = 36, .length = 1},
  [152] = {.index = 144, .length = 1},
  [154] = {.index = 145, .length = 2},
  [155] = {.index = 85, .length = 1},
  [157] = {.index = 145, .length = 2},
  [158] = {.index = 147, .length = 2},
  [159] = {.index = 149, .length = 1},
  [160] = {.index = 150, .length = 1},
  [161] = {.index = 151, .length = 1},
  [162] = {.index = 152, .length = 2},
  [163] = {.index = 154, .length = 2},
  [164] = {.index = 156, .length = 2},
  [165] = {.index = 85, .length = 1},
  [166] = {.index = 151, .length = 1},
  [167] = {.index = 151, .length = 1},
  [168] = {.index = 106, .length = 2},
  [169] = {.index = 85, .length = 1},
  [170] = {.index = 158, .length = 1},
  [171] = {.index = 159, .length = 2},
  [172] = {.index = 161, .length = 2},
  [173] = {.index = 163, .length = 3},
  [174] = {.index = 166, .length = 3},
  [175] = {.index = 169, .length = 1},
  [176] = {.index = 170, .length = 4},
  [177] = {.index = 174, .length = 3},
  [178] = {.index = 56, .length = 1},
  [179] = {.index = 177, .length = 3},
  [180] = {.index = 180, .length = 1},
  [181] = {.index = 181, .length = 2},
  [182] = {.index = 137, .length = 1},
  [183] = {.index = 183, .length = 1},
  [184] = {.index = 183, .length = 1},
  [186] = {.index = 184, .length = 2},
  [187] = {.index = 149, .length = 1},
  [188] = {.index = 186, .length = 2},
  [189] = {.index = 188, .length = 1},
  [190] = {.index = 137, .length = 1},
  [191] = {.index = 189, .length = 2},
  [192] = {.index = 161, .length = 2},
  [193] = {.index = 137, .length = 1},
  [194] = {.index = 137, .length = 1},
  [195] = {.index = 191, .length = 1},
  [196] = {.index = 161, .length = 2},
  [197] = {.index = 192, .length = 2},
  [198] = {.index = 194, .length = 2},
  [199] = {.index = 196, .length = 3},
  [200] = {.index = 199, .length = 4},
  [201] = {.index = 203, .length = 1},
  [202] = {.index = 204, .length = 3},
  [203] = {.index = 137, .length = 1},
  [204] = {.index = 207, .length = 2},
  [205] = {.index = 209, .length = 1},
  [206] = {.index = 209, .length = 1},
  [207] = {.index = 210, .length = 1},
  [208] = {.index = 210, .length = 1},
  [209] = {.index = 211, .length = 1},
  [210] = {.index = 212, .length = 2},
  [211] = {.index = 214, .length = 2},
  [212] = {.index = 216, .length = 2},
  [213] = {.index = 218, .length = 3},
  [214] = {.index = 216, .length = 2},
  [215] = {.index = 216, .length = 2},
  [216] = {.index = 209, .length = 1},
  [217] = {.index = 221, .length = 3},
  [218] = {.index = 224, .length = 3},
  [219] = {.index = 227, .length = 1},
  [220] = {.index = 228, .length = 1},
  [221] = {.index = 209, .length = 1},
  [222] = {.index = 229, .length = 2},
  [223] = {.index = 229, .length = 2},
  [224] = {.index = 231, .length = 1},
  [225] = {.index = 231, .length = 1},
  [226] = {.index = 232, .length = 1},
  [227] = {.index = 233, .length = 3},
  [228] = {.index = 236, .length = 2},
  [229] = {.index = 238, .length = 2},
  [230] = {.index = 240, .length = 2},
  [231] = {.index = 242, .length = 1},
  [232] = {.index = 231, .length = 1},
  [233] = {.index = 243, .length = 2},
  [234] = {.index = 243, .length = 2},
  [235] = {.index = 245, .length = 1},
  [236] = {.index = 246, .length = 3},
  [237] = {.index = 249, .length = 3},
  [238] = {.index = 252, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_pattern, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_module, 1},
  [3] =
    {field_expression, 1},
  [4] =
    {field_expression, 1},
    {field_operator, 0},
  [6] =
    {field_argument, 0},
  [7] =
    {field_argument, 1, .inherited = true},
    {field_function, 0},
  [9] =
    {field_pattern, 1},
  [10] =
    {field_equation, 1, .inherited = true},
    {field_name, 0},
  [12] =
    {field_name, 1},
  [13] =
    {field_type, 1, .inherited = true},
  [14] =
    {field_module_type, 1, .inherited = true},
  [15] =
    {field_module, 2},
  [16] =
    {field_argument, 1},
    {field_functor, 0},
  [18] =
    {field_class_type, 1, .inherited = true},
  [19] =
    {field_class, 1},
  [20] =
    {field_initializer, 1},
  [21] =
    {field_condition, 1},
  [22] =
    {field_expression, 2},
  [23] =
    {field_body, 2},
  [24] =
    {field_field, 2},
    {field_record, 0},
  [26] =
    {field_method, 2},
    {field_object, 0},
  [28] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [31] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [33] =
    {field_left, 0},
    {field_right, 2},
  [35] =
    {field_pattern, 2},
  [36] =
    {field_body, 3},
  [37] =
    {field_body, 2},
    {field_pattern, 0},
  [39] =
    {field_type, 1},
  [40] =
    {field_alias, 2},
    {field_pattern, 0},
  [42] =
    {field_expression, 3},
  [43] =
    {field_expression, 1},
    {field_type, 2, .inherited = true},
  [45] =
    {field_body, 2},
    {field_name, 0},
  [47] =
    {field_equation, 1},
  [48] =
    {field_equation, 2, .inherited = true},
    {field_name, 1},
  [50] =
    {field_module_type, 1},
  [51] =
    {field_module_type, 2, .inherited = true},
  [52] =
    {field_module, 3},
  [53] =
    {field_functor, 0},
  [54] =
    {field_class_type, 2, .inherited = true},
  [55] =
    {field_class_type, 1},
  [56] =
    {field_type, 2, .inherited = true},
  [57] =
    {field_class, 2},
  [58] =
    {field_argument, 1, .inherited = true},
    {field_class, 0},
  [60] =
    {field_condition, 2},
  [61] =
    {field_pattern, 3},
  [62] =
    {field_pattern, 1},
    {field_type, 2, .inherited = true},
  [64] =
    {field_body, 3},
    {field_pattern, 0},
    {field_type, 1, .inherited = true},
  [67] =
    {field_body, 3},
    {field_pattern, 0},
  [69] =
    {field_type, 3, .inherited = true},
  [70] =
    {field_module, 2},
    {field_module_type, 3, .inherited = true},
  [72] =
    {field_coercion, 3},
    {field_expression, 1},
  [74] =
    {field_body, 3},
    {field_name, 0},
  [76] =
    {field_equation, 2},
  [77] =
    {field_body, 3},
    {field_equation, 1, .inherited = true},
    {field_name, 0},
  [80] =
    {field_body, 3},
    {field_name, 1},
  [82] =
    {field_record, 1},
  [83] =
    {field_body, 3},
    {field_type, 1, .inherited = true},
  [85] =
    {field_body, 4},
  [86] =
    {field_codomain, 1},
  [87] =
    {field_body, 3},
    {field_module_type, 1, .inherited = true},
  [89] =
    {field_value, 2},
  [90] =
    {field_module, 1},
    {field_module_type, 2, .inherited = true},
  [92] =
    {field_class_type, 3, .inherited = true},
  [93] =
    {field_body, 3},
    {field_class_type, 1, .inherited = true},
  [95] =
    {field_self, 2},
  [96] =
    {field_type, 2},
  [97] =
    {field_codomain, 2},
    {field_domain, 0},
  [99] =
    {field_constraint, 3},
    {field_type, 1},
  [101] =
    {field_alias, 2},
    {field_type, 0},
  [103] =
    {field_coercion, 3},
  [104] =
    {field_alias, 3},
    {field_class, 1},
  [106] =
    {field_body, 4},
    {field_type, 2, .inherited = true},
  [108] =
    {field_continuation, 3},
    {field_effect, 1},
  [110] =
    {field_array, 0},
    {field_index, 3},
  [112] =
    {field_index, 3},
    {field_string, 0},
  [114] =
    {field_module_type, 2},
  [115] =
    {field_module_type, 3, .inherited = true},
  [116] =
    {field_pattern, 3},
    {field_type, 1, .inherited = true},
  [118] =
    {field_body, 4},
    {field_coercion, 2},
    {field_pattern, 0},
  [121] =
    {field_body, 4},
    {field_pattern, 0},
    {field_type, 2, .inherited = true},
  [124] =
    {field_module, 3},
    {field_module_type, 4, .inherited = true},
  [126] =
    {field_coercion, 4},
    {field_expression, 1},
    {field_type, 2, .inherited = true},
  [129] =
    {field_body, 4},
    {field_equation, 1, .inherited = true},
    {field_name, 0},
  [132] =
    {field_body, 4},
    {field_name, 1},
  [134] =
    {field_body, 4},
    {field_equation, 2, .inherited = true},
    {field_name, 1},
  [137] =
    {field_body, 5},
  [138] =
    {field_codomain, 2},
  [139] =
    {field_module_type, 0},
  [140] =
    {field_body, 4},
    {field_module_type, 2, .inherited = true},
  [142] =
    {field_module_type, 3, .inherited = true},
    {field_value, 2},
  [144] =
    {field_class_type, 4, .inherited = true},
  [145] =
    {field_body, 4},
    {field_class_type, 2, .inherited = true},
  [147] =
    {field_self, 2},
    {field_type, 3, .inherited = true},
  [149] =
    {field_type, 3},
  [150] =
    {field_coercion, 4},
  [151] =
    {field_type, 4, .inherited = true},
  [152] =
    {field_coercion, 4},
    {field_type, 2, .inherited = true},
  [154] =
    {field_class, 1},
    {field_class_type, 2, .inherited = true},
  [156] =
    {field_alias, 4},
    {field_class, 2},
  [158] =
    {field_self, 3},
  [159] =
    {field_pattern, 2},
    {field_type, 3, .inherited = true},
  [161] =
    {field_body, 5},
    {field_type, 3, .inherited = true},
  [163] =
    {field_array, 0},
    {field_index, 4},
    {field_operator, 2},
  [166] =
    {field_index, 4},
    {field_operator, 2},
    {field_string, 0},
  [169] =
    {field_module_type, 4, .inherited = true},
  [170] =
    {field_body, 5},
    {field_coercion, 3},
    {field_pattern, 0},
    {field_type, 1, .inherited = true},
  [174] =
    {field_body, 5},
    {field_coercion, 3},
    {field_pattern, 0},
  [177] =
    {field_body, 5},
    {field_equation, 2, .inherited = true},
    {field_name, 1},
  [180] =
    {field_codomain, 3},
  [181] =
    {field_coercion, 4},
    {field_value, 2},
  [183] =
    {field_class_type, 5, .inherited = true},
  [184] =
    {field_body, 5},
    {field_class_type, 3, .inherited = true},
  [186] =
    {field_coercion, 5},
    {field_type, 3, .inherited = true},
  [188] =
    {field_coercion, 5},
  [189] =
    {field_body, 5},
    {field_coercion, 3},
  [191] =
    {field_type, 5, .inherited = true},
  [192] =
    {field_self, 3},
    {field_type, 4, .inherited = true},
  [194] =
    {field_default, 4},
    {field_pattern, 2},
  [196] =
    {field_from, 3},
    {field_name, 1},
    {field_to, 5},
  [199] =
    {field_body, 6},
    {field_coercion, 4},
    {field_pattern, 0},
    {field_type, 2, .inherited = true},
  [203] =
    {field_equation, 2, .inherited = true},
  [204] =
    {field_coercion, 5},
    {field_module_type, 3, .inherited = true},
    {field_value, 2},
  [207] =
    {field_body, 6},
    {field_class_type, 4, .inherited = true},
  [209] =
    {field_body, 6},
  [210] =
    {field_class_type, 6, .inherited = true},
  [211] =
    {field_self_type, 2},
  [212] =
    {field_body, 6},
    {field_coercion, 4},
  [214] =
    {field_coercion, 6},
    {field_type, 4, .inherited = true},
  [216] =
    {field_body, 6},
    {field_type, 4, .inherited = true},
  [218] =
    {field_body, 6},
    {field_coercion, 4},
    {field_type, 2, .inherited = true},
  [221] =
    {field_default, 5},
    {field_pattern, 2},
    {field_type, 3, .inherited = true},
  [224] =
    {field_from, 4},
    {field_name, 2},
    {field_to, 6},
  [227] =
    {field_equation, 3, .inherited = true},
  [228] =
    {field_constraint, 3},
  [229] =
    {field_body, 7},
    {field_class_type, 5, .inherited = true},
  [231] =
    {field_body, 7},
  [232] =
    {field_class_type, 7, .inherited = true},
  [233] =
    {field_body, 7},
    {field_coercion, 5},
    {field_type, 3, .inherited = true},
  [236] =
    {field_body, 7},
    {field_coercion, 5},
  [238] =
    {field_body, 7},
    {field_type, 5, .inherited = true},
  [240] =
    {field_default, 6},
    {field_pattern, 4},
  [242] =
    {field_constraint, 4},
  [243] =
    {field_body, 8},
    {field_class_type, 6, .inherited = true},
  [245] =
    {field_body, 8},
  [246] =
    {field_body, 8},
    {field_coercion, 6},
    {field_type, 4, .inherited = true},
  [249] =
    {field_default, 7},
    {field_pattern, 4},
    {field_type, 5, .inherited = true},
  [252] =
    {field_body, 9},
    {field_class_type, 7, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_value_name,
  },
  [2] = {
    [0] = alias_sym_instance_variable_name,
  },
  [3] = {
    [0] = alias_sym_module_name,
  },
  [4] = {
    [0] = alias_sym_constructor_name,
  },
  [5] = {
    [0] = alias_sym_tuple_expression,
  },
  [6] = {
    [0] = alias_sym_sequence_expression,
  },
  [8] = {
    [0] = alias_sym_or_pattern,
  },
  [9] = {
    [0] = alias_sym_tuple_pattern,
  },
  [10] = {
    [0] = sym_record_pattern,
  },
  [11] = {
    [0] = sym_list_pattern,
  },
  [12] = {
    [0] = sym_array_pattern,
  },
  [13] = {
    [1] = alias_sym_label_name,
  },
  [14] = {
    [0] = sym_type_variable,
  },
  [15] = {
    [0] = alias_sym_type_constructor,
  },
  [16] = {
    [0] = alias_sym_type_constructor,
  },
  [17] = {
    [0] = alias_sym_field_name,
  },
  [19] = {
    [0] = alias_sym_class_name,
  },
  [20] = {
    [0] = alias_sym_value_pattern,
  },
  [26] = {
    [1] = alias_sym_constructor_name,
  },
  [27] = {
    [1] = sym_type_variable,
  },
  [28] = {
    [0] = alias_sym_type_constructor,
  },
  [29] = {
    [1] = alias_sym_type_constructor,
  },
  [31] = {
    [0] = alias_sym_constructor_name,
    [1] = alias_sym_constructor_name,
  },
  [32] = {
    [2] = alias_sym_module_type_name,
  },
  [33] = {
    [0] = alias_sym_module_name,
  },
  [36] = {
    [1] = alias_sym_class_name,
  },
  [37] = {
    [0] = alias_sym_class_name,
  },
  [39] = {
    [1] = alias_sym_method_name,
  },
  [45] = {
    [2] = alias_sym_method_name,
  },
  [49] = {
    [2] = alias_sym_module_name,
  },
  [55] = {
    [1] = alias_sym_label_name,
  },
  [57] = {
    [2] = sym_type_variable,
  },
  [58] = {
    [0] = alias_sym_type_constructor,
  },
  [60] = {
    [1] = alias_sym_type_constructor,
  },
  [61] = {
    [2] = alias_sym_type_constructor,
  },
  [63] = {
    [2] = alias_sym_field_name,
  },
  [64] = {
    [3] = alias_sym_module_type_name,
  },
  [65] = {
    [0] = alias_sym_module_name,
  },
  [66] = {
    [0] = alias_sym_module_type_name,
  },
  [68] = {
    [0] = alias_sym_module_name,
  },
  [71] = {
    [1] = alias_sym_class_name,
  },
  [72] = {
    [0] = alias_sym_class_name,
  },
  [73] = {
    [0] = alias_sym_class_type_name,
  },
  [75] = {
    [0] = alias_sym_class_name,
  },
  [79] = {
    [2] = alias_sym_method_name,
  },
  [80] = {
    [1] = alias_sym_method_name,
  },
  [82] = {
    [2] = alias_sym_class_name,
  },
  [83] = {
    [1] = alias_sym_label_name,
  },
  [87] = {
    [2] = alias_sym_label_name,
  },
  [90] = {
    [0] = alias_sym_type_constructor,
  },
  [92] = {
    [0] = alias_sym_type_constructor,
  },
  [93] = {
    [1] = alias_sym_type_constructor,
  },
  [98] = {
    [2] = alias_sym_module_type_name,
  },
  [100] = {
    [0] = alias_sym_module_name,
  },
  [101] = {
    [0] = alias_sym_module_name,
  },
  [104] = {
    [0] = alias_sym_class_type_name,
  },
  [105] = {
    [3] = alias_sym_class_name,
  },
  [106] = {
    [1] = alias_sym_class_name,
  },
  [107] = {
    [1] = alias_sym_class_name,
  },
  [108] = {
    [0] = alias_sym_class_name,
  },
  [109] = {
    [0] = alias_sym_class_name,
  },
  [111] = {
    [0] = alias_sym_method_name,
  },
  [112] = {
    [0] = alias_sym_label_name,
  },
  [120] = {
    [2] = alias_sym_method_name,
  },
  [121] = {
    [3] = alias_sym_method_name,
  },
  [122] = {
    [1] = alias_sym_method_name,
  },
  [123] = {
    [1] = alias_sym_method_name,
  },
  [131] = {
    [2] = alias_sym_module_name,
  },
  [132] = {
    [3] = alias_sym_module_name,
  },
  [135] = {
    [0] = sym__parenthesized_abstract_type,
  },
  [140] = {
    [0] = alias_sym_field_name,
  },
  [141] = {
    [0] = alias_sym_type_constructor,
  },
  [142] = {
    [1] = alias_sym_type_constructor,
  },
  [143] = {
    [1] = alias_sym_type_constructor,
  },
  [145] = {
    [3] = alias_sym_module_type_name,
  },
  [146] = {
    [1] = alias_sym_module_name,
  },
  [149] = {
    [0] = alias_sym_module_name,
  },
  [151] = {
    [1] = alias_sym_class_type_name,
  },
  [152] = {
    [3] = alias_sym_class_name,
  },
  [153] = {
    [4] = alias_sym_class_name,
  },
  [154] = {
    [1] = alias_sym_class_name,
  },
  [155] = {
    [1] = alias_sym_class_name,
  },
  [156] = {
    [2] = alias_sym_class_type_name,
  },
  [157] = {
    [0] = alias_sym_class_name,
  },
  [159] = {
    [1] = alias_sym_label_name,
  },
  [165] = {
    [2] = alias_sym_method_name,
  },
  [166] = {
    [2] = alias_sym_method_name,
  },
  [167] = {
    [3] = alias_sym_method_name,
  },
  [168] = {
    [1] = alias_sym_method_name,
  },
  [169] = {
    [1] = alias_sym_method_name,
  },
  [175] = {
    [3] = alias_sym_module_name,
  },
  [178] = {
    [1] = alias_sym_field_name,
  },
  [179] = {
    [1] = alias_sym_type_constructor,
  },
  [182] = {
    [3] = alias_sym_class_name,
  },
  [183] = {
    [3] = alias_sym_class_name,
  },
  [184] = {
    [4] = alias_sym_class_name,
  },
  [185] = {
    [5] = alias_sym_class_name,
  },
  [186] = {
    [1] = alias_sym_class_name,
  },
  [192] = {
    [2] = alias_sym_method_name,
  },
  [193] = {
    [2] = alias_sym_method_name,
  },
  [194] = {
    [3] = alias_sym_method_name,
  },
  [195] = {
    [3] = alias_sym_method_name,
  },
  [196] = {
    [1] = alias_sym_method_name,
  },
  [203] = {
    [3] = alias_sym_class_type_name,
  },
  [204] = {
    [3] = alias_sym_class_name,
  },
  [205] = {
    [3] = alias_sym_class_name,
  },
  [206] = {
    [4] = alias_sym_class_name,
  },
  [207] = {
    [4] = alias_sym_class_name,
  },
  [208] = {
    [5] = alias_sym_class_name,
  },
  [214] = {
    [2] = alias_sym_method_name,
  },
  [215] = {
    [3] = alias_sym_method_name,
  },
  [216] = {
    [3] = alias_sym_method_name,
  },
  [221] = {
    [4] = alias_sym_class_type_name,
  },
  [222] = {
    [3] = alias_sym_class_name,
  },
  [223] = {
    [4] = alias_sym_class_name,
  },
  [224] = {
    [4] = alias_sym_class_name,
  },
  [225] = {
    [5] = alias_sym_class_name,
  },
  [226] = {
    [5] = alias_sym_class_name,
  },
  [229] = {
    [3] = alias_sym_method_name,
  },
  [230] = {
    [1] = alias_sym_label_name,
  },
  [232] = {
    [5] = alias_sym_class_type_name,
  },
  [233] = {
    [4] = alias_sym_class_name,
  },
  [234] = {
    [5] = alias_sym_class_name,
  },
  [235] = {
    [5] = alias_sym_class_name,
  },
  [237] = {
    [1] = alias_sym_label_name,
  },
  [238] = {
    [5] = alias_sym_class_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__abstract_type, 2,
    sym__abstract_type,
    sym__parenthesized_abstract_type,
  sym__tuple_expression, 2,
    sym__tuple_expression,
    alias_sym_tuple_expression,
  sym__sequence_expression_anonymous, 2,
    sym__sequence_expression_anonymous,
    alias_sym_sequence_expression,
  sym__or_pattern_anonymous, 2,
    sym__or_pattern_anonymous,
    alias_sym_or_pattern,
  sym__or_binding_pattern_anonymous, 2,
    sym__or_binding_pattern_anonymous,
    alias_sym_or_pattern,
  sym__tuple_pattern, 2,
    sym__tuple_pattern,
    alias_sym_tuple_pattern,
  sym__tuple_binding_pattern, 2,
    sym__tuple_binding_pattern,
    alias_sym_tuple_pattern,
  sym_record_binding_pattern, 2,
    sym_record_binding_pattern,
    sym_record_pattern,
  sym_list_binding_pattern, 2,
    sym_list_binding_pattern,
    sym_list_pattern,
  sym_array_binding_pattern, 2,
    sym_array_binding_pattern,
    sym_array_pattern,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 2,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 2,
  [9] = 6,
  [10] = 2,
  [11] = 6,
  [12] = 2,
  [13] = 6,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 2,
  [22] = 2,
  [23] = 2,
  [24] = 2,
  [25] = 2,
  [26] = 2,
  [27] = 5,
  [28] = 2,
  [29] = 2,
  [30] = 2,
  [31] = 2,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 2,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 2,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 2,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 2,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 2,
  [87] = 2,
  [88] = 2,
  [89] = 2,
  [90] = 2,
  [91] = 2,
  [92] = 2,
  [93] = 2,
  [94] = 2,
  [95] = 2,
  [96] = 2,
  [97] = 97,
  [98] = 97,
  [99] = 97,
  [100] = 100,
  [101] = 100,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 97,
  [106] = 97,
  [107] = 97,
  [108] = 108,
  [109] = 104,
  [110] = 110,
  [111] = 103,
  [112] = 110,
  [113] = 108,
  [114] = 104,
  [115] = 97,
  [116] = 103,
  [117] = 110,
  [118] = 108,
  [119] = 97,
  [120] = 97,
  [121] = 97,
  [122] = 122,
  [123] = 122,
  [124] = 97,
  [125] = 122,
  [126] = 97,
  [127] = 97,
  [128] = 97,
  [129] = 97,
  [130] = 97,
  [131] = 97,
  [132] = 97,
  [133] = 97,
  [134] = 97,
  [135] = 97,
  [136] = 97,
  [137] = 97,
  [138] = 97,
  [139] = 97,
  [140] = 97,
  [141] = 97,
  [142] = 97,
  [143] = 97,
  [144] = 97,
  [145] = 97,
  [146] = 97,
  [147] = 97,
  [148] = 97,
  [149] = 97,
  [150] = 150,
  [151] = 151,
  [152] = 150,
  [153] = 150,
  [154] = 150,
  [155] = 151,
  [156] = 150,
  [157] = 97,
  [158] = 151,
  [159] = 150,
  [160] = 151,
  [161] = 150,
  [162] = 151,
  [163] = 150,
  [164] = 151,
  [165] = 150,
  [166] = 151,
  [167] = 150,
  [168] = 151,
  [169] = 150,
  [170] = 151,
  [171] = 150,
  [172] = 151,
  [173] = 150,
  [174] = 151,
  [175] = 150,
  [176] = 151,
  [177] = 150,
  [178] = 151,
  [179] = 150,
  [180] = 151,
  [181] = 150,
  [182] = 151,
  [183] = 150,
  [184] = 151,
  [185] = 150,
  [186] = 151,
  [187] = 150,
  [188] = 151,
  [189] = 150,
  [190] = 151,
  [191] = 150,
  [192] = 151,
  [193] = 150,
  [194] = 97,
  [195] = 151,
  [196] = 150,
  [197] = 151,
  [198] = 150,
  [199] = 151,
  [200] = 150,
  [201] = 151,
  [202] = 150,
  [203] = 151,
  [204] = 150,
  [205] = 151,
  [206] = 150,
  [207] = 151,
  [208] = 150,
  [209] = 150,
  [210] = 151,
  [211] = 150,
  [212] = 151,
  [213] = 150,
  [214] = 151,
  [215] = 150,
  [216] = 151,
  [217] = 150,
  [218] = 151,
  [219] = 150,
  [220] = 151,
  [221] = 150,
  [222] = 151,
  [223] = 150,
  [224] = 151,
  [225] = 151,
  [226] = 150,
  [227] = 151,
  [228] = 150,
  [229] = 151,
  [230] = 150,
  [231] = 151,
  [232] = 150,
  [233] = 151,
  [234] = 150,
  [235] = 151,
  [236] = 150,
  [237] = 151,
  [238] = 150,
  [239] = 151,
  [240] = 150,
  [241] = 151,
  [242] = 150,
  [243] = 151,
  [244] = 150,
  [245] = 151,
  [246] = 151,
  [247] = 150,
  [248] = 151,
  [249] = 150,
  [250] = 151,
  [251] = 151,
  [252] = 150,
  [253] = 151,
  [254] = 97,
  [255] = 97,
  [256] = 97,
  [257] = 97,
  [258] = 97,
  [259] = 97,
  [260] = 97,
  [261] = 97,
  [262] = 97,
  [263] = 97,
  [264] = 97,
  [265] = 97,
  [266] = 97,
  [267] = 97,
  [268] = 97,
  [269] = 97,
  [270] = 97,
  [271] = 97,
  [272] = 97,
  [273] = 97,
  [274] = 97,
  [275] = 97,
  [276] = 97,
  [277] = 97,
  [278] = 97,
  [279] = 97,
  [280] = 97,
  [281] = 281,
  [282] = 281,
  [283] = 281,
  [284] = 281,
  [285] = 281,
  [286] = 281,
  [287] = 281,
  [288] = 281,
  [289] = 281,
  [290] = 281,
  [291] = 281,
  [292] = 281,
  [293] = 281,
  [294] = 281,
  [295] = 281,
  [296] = 281,
  [297] = 281,
  [298] = 281,
  [299] = 281,
  [300] = 281,
  [301] = 281,
  [302] = 281,
  [303] = 97,
  [304] = 281,
  [305] = 281,
  [306] = 281,
  [307] = 281,
  [308] = 281,
  [309] = 281,
  [310] = 281,
  [311] = 281,
  [312] = 281,
  [313] = 281,
  [314] = 281,
  [315] = 281,
  [316] = 281,
  [317] = 281,
  [318] = 281,
  [319] = 281,
  [320] = 281,
  [321] = 281,
  [322] = 281,
  [323] = 281,
  [324] = 281,
  [325] = 281,
  [326] = 281,
  [327] = 281,
  [328] = 281,
  [329] = 281,
  [330] = 281,
  [331] = 281,
  [332] = 281,
  [333] = 333,
  [334] = 334,
  [335] = 334,
  [336] = 336,
  [337] = 97,
  [338] = 334,
  [339] = 97,
  [340] = 336,
  [341] = 336,
  [342] = 334,
  [343] = 336,
  [344] = 334,
  [345] = 336,
  [346] = 334,
  [347] = 336,
  [348] = 336,
  [349] = 334,
  [350] = 336,
  [351] = 334,
  [352] = 352,
  [353] = 336,
  [354] = 336,
  [355] = 97,
  [356] = 334,
  [357] = 336,
  [358] = 336,
  [359] = 334,
  [360] = 334,
  [361] = 334,
  [362] = 97,
  [363] = 334,
  [364] = 97,
  [365] = 336,
  [366] = 336,
  [367] = 336,
  [368] = 334,
  [369] = 334,
  [370] = 336,
  [371] = 334,
  [372] = 334,
  [373] = 334,
  [374] = 336,
  [375] = 336,
  [376] = 334,
  [377] = 336,
  [378] = 336,
  [379] = 336,
  [380] = 334,
  [381] = 334,
  [382] = 336,
  [383] = 334,
  [384] = 334,
  [385] = 334,
  [386] = 336,
  [387] = 336,
  [388] = 336,
  [389] = 336,
  [390] = 336,
  [391] = 334,
  [392] = 334,
  [393] = 336,
  [394] = 334,
  [395] = 334,
  [396] = 334,
  [397] = 336,
  [398] = 336,
  [399] = 399,
  [400] = 336,
  [401] = 334,
  [402] = 336,
  [403] = 334,
  [404] = 336,
  [405] = 334,
  [406] = 334,
  [407] = 336,
  [408] = 334,
  [409] = 336,
  [410] = 334,
  [411] = 336,
  [412] = 334,
  [413] = 334,
  [414] = 333,
  [415] = 334,
  [416] = 416,
  [417] = 352,
  [418] = 97,
  [419] = 336,
  [420] = 416,
  [421] = 352,
  [422] = 416,
  [423] = 352,
  [424] = 416,
  [425] = 416,
  [426] = 416,
  [427] = 416,
  [428] = 416,
  [429] = 416,
  [430] = 416,
  [431] = 416,
  [432] = 416,
  [433] = 416,
  [434] = 416,
  [435] = 416,
  [436] = 416,
  [437] = 416,
  [438] = 336,
  [439] = 416,
  [440] = 416,
  [441] = 416,
  [442] = 416,
  [443] = 416,
  [444] = 416,
  [445] = 416,
  [446] = 416,
  [447] = 416,
  [448] = 416,
  [449] = 416,
  [450] = 416,
  [451] = 416,
  [452] = 416,
  [453] = 416,
  [454] = 416,
  [455] = 416,
  [456] = 333,
  [457] = 399,
  [458] = 416,
  [459] = 333,
  [460] = 399,
  [461] = 416,
  [462] = 333,
  [463] = 399,
  [464] = 416,
  [465] = 333,
  [466] = 399,
  [467] = 416,
  [468] = 333,
  [469] = 399,
  [470] = 416,
  [471] = 333,
  [472] = 399,
  [473] = 416,
  [474] = 333,
  [475] = 399,
  [476] = 416,
  [477] = 333,
  [478] = 399,
  [479] = 416,
  [480] = 333,
  [481] = 399,
  [482] = 416,
  [483] = 333,
  [484] = 399,
  [485] = 416,
  [486] = 333,
  [487] = 399,
  [488] = 416,
  [489] = 333,
  [490] = 399,
  [491] = 416,
  [492] = 333,
  [493] = 399,
  [494] = 416,
  [495] = 333,
  [496] = 399,
  [497] = 416,
  [498] = 333,
  [499] = 399,
  [500] = 416,
  [501] = 333,
  [502] = 399,
  [503] = 416,
  [504] = 333,
  [505] = 399,
  [506] = 333,
  [507] = 399,
  [508] = 333,
  [509] = 399,
  [510] = 333,
  [511] = 399,
  [512] = 333,
  [513] = 399,
  [514] = 333,
  [515] = 399,
  [516] = 333,
  [517] = 399,
  [518] = 333,
  [519] = 399,
  [520] = 333,
  [521] = 399,
  [522] = 333,
  [523] = 399,
  [524] = 333,
  [525] = 399,
  [526] = 333,
  [527] = 399,
  [528] = 333,
  [529] = 399,
  [530] = 333,
  [531] = 399,
  [532] = 333,
  [533] = 399,
  [534] = 333,
  [535] = 399,
  [536] = 416,
  [537] = 399,
  [538] = 333,
  [539] = 399,
  [540] = 333,
  [541] = 399,
  [542] = 333,
  [543] = 399,
  [544] = 333,
  [545] = 399,
  [546] = 333,
  [547] = 399,
  [548] = 333,
  [549] = 399,
  [550] = 333,
  [551] = 399,
  [552] = 333,
  [553] = 399,
  [554] = 333,
  [555] = 399,
  [556] = 333,
  [557] = 399,
  [558] = 333,
  [559] = 399,
  [560] = 333,
  [561] = 399,
  [562] = 333,
  [563] = 399,
  [564] = 333,
  [565] = 399,
  [566] = 333,
  [567] = 399,
  [568] = 333,
  [569] = 399,
  [570] = 416,
  [571] = 571,
  [572] = 571,
  [573] = 571,
  [574] = 571,
  [575] = 571,
  [576] = 571,
  [577] = 571,
  [578] = 571,
  [579] = 571,
  [580] = 571,
  [581] = 571,
  [582] = 571,
  [583] = 571,
  [584] = 571,
  [585] = 571,
  [586] = 571,
  [587] = 571,
  [588] = 571,
  [589] = 571,
  [590] = 571,
  [591] = 571,
  [592] = 571,
  [593] = 571,
  [594] = 571,
  [595] = 571,
  [596] = 571,
  [597] = 571,
  [598] = 571,
  [599] = 571,
  [600] = 571,
  [601] = 601,
  [602] = 571,
  [603] = 571,
  [604] = 571,
  [605] = 571,
  [606] = 571,
  [607] = 571,
  [608] = 571,
  [609] = 601,
  [610] = 571,
  [611] = 571,
  [612] = 601,
  [613] = 571,
  [614] = 571,
  [615] = 571,
  [616] = 571,
  [617] = 571,
  [618] = 571,
  [619] = 571,
  [620] = 571,
  [621] = 571,
  [622] = 571,
  [623] = 571,
  [624] = 601,
  [625] = 571,
  [626] = 626,
  [627] = 626,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 628,
  [632] = 629,
  [633] = 630,
  [634] = 634,
  [635] = 635,
  [636] = 629,
  [637] = 637,
  [638] = 635,
  [639] = 637,
  [640] = 640,
  [641] = 641,
  [642] = 626,
  [643] = 628,
  [644] = 629,
  [645] = 630,
  [646] = 640,
  [647] = 641,
  [648] = 626,
  [649] = 628,
  [650] = 629,
  [651] = 630,
  [652] = 635,
  [653] = 635,
  [654] = 637,
  [655] = 640,
  [656] = 641,
  [657] = 626,
  [658] = 628,
  [659] = 629,
  [660] = 630,
  [661] = 637,
  [662] = 640,
  [663] = 641,
  [664] = 626,
  [665] = 628,
  [666] = 629,
  [667] = 630,
  [668] = 635,
  [669] = 635,
  [670] = 637,
  [671] = 640,
  [672] = 641,
  [673] = 626,
  [674] = 628,
  [675] = 629,
  [676] = 630,
  [677] = 634,
  [678] = 637,
  [679] = 640,
  [680] = 641,
  [681] = 626,
  [682] = 628,
  [683] = 629,
  [684] = 630,
  [685] = 635,
  [686] = 637,
  [687] = 640,
  [688] = 641,
  [689] = 626,
  [690] = 628,
  [691] = 629,
  [692] = 630,
  [693] = 635,
  [694] = 694,
  [695] = 637,
  [696] = 640,
  [697] = 641,
  [698] = 626,
  [699] = 628,
  [700] = 629,
  [701] = 630,
  [702] = 635,
  [703] = 637,
  [704] = 640,
  [705] = 641,
  [706] = 626,
  [707] = 628,
  [708] = 629,
  [709] = 630,
  [710] = 635,
  [711] = 637,
  [712] = 640,
  [713] = 641,
  [714] = 626,
  [715] = 628,
  [716] = 629,
  [717] = 635,
  [718] = 637,
  [719] = 640,
  [720] = 641,
  [721] = 626,
  [722] = 628,
  [723] = 629,
  [724] = 630,
  [725] = 630,
  [726] = 635,
  [727] = 727,
  [728] = 637,
  [729] = 640,
  [730] = 641,
  [731] = 626,
  [732] = 628,
  [733] = 635,
  [734] = 637,
  [735] = 640,
  [736] = 641,
  [737] = 626,
  [738] = 628,
  [739] = 629,
  [740] = 630,
  [741] = 629,
  [742] = 630,
  [743] = 635,
  [744] = 744,
  [745] = 637,
  [746] = 640,
  [747] = 641,
  [748] = 626,
  [749] = 635,
  [750] = 637,
  [751] = 640,
  [752] = 641,
  [753] = 626,
  [754] = 628,
  [755] = 629,
  [756] = 630,
  [757] = 628,
  [758] = 629,
  [759] = 630,
  [760] = 635,
  [761] = 761,
  [762] = 637,
  [763] = 640,
  [764] = 641,
  [765] = 635,
  [766] = 637,
  [767] = 640,
  [768] = 641,
  [769] = 626,
  [770] = 628,
  [771] = 629,
  [772] = 630,
  [773] = 626,
  [774] = 628,
  [775] = 629,
  [776] = 630,
  [777] = 777,
  [778] = 778,
  [779] = 635,
  [780] = 637,
  [781] = 640,
  [782] = 641,
  [783] = 626,
  [784] = 628,
  [785] = 629,
  [786] = 630,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 790,
  [791] = 635,
  [792] = 637,
  [793] = 640,
  [794] = 641,
  [795] = 626,
  [796] = 628,
  [797] = 629,
  [798] = 630,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 630,
  [803] = 803,
  [804] = 635,
  [805] = 637,
  [806] = 640,
  [807] = 641,
  [808] = 626,
  [809] = 628,
  [810] = 629,
  [811] = 630,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 635,
  [818] = 637,
  [819] = 640,
  [820] = 641,
  [821] = 626,
  [822] = 628,
  [823] = 629,
  [824] = 630,
  [825] = 825,
  [826] = 803,
  [827] = 827,
  [828] = 803,
  [829] = 635,
  [830] = 637,
  [831] = 640,
  [832] = 641,
  [833] = 626,
  [834] = 628,
  [835] = 629,
  [836] = 630,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 635,
  [841] = 637,
  [842] = 640,
  [843] = 641,
  [844] = 626,
  [845] = 628,
  [846] = 629,
  [847] = 630,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 635,
  [854] = 637,
  [855] = 640,
  [856] = 641,
  [857] = 626,
  [858] = 628,
  [859] = 629,
  [860] = 630,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 635,
  [867] = 637,
  [868] = 640,
  [869] = 641,
  [870] = 626,
  [871] = 628,
  [872] = 629,
  [873] = 630,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 635,
  [880] = 637,
  [881] = 640,
  [882] = 641,
  [883] = 626,
  [884] = 628,
  [885] = 629,
  [886] = 630,
  [887] = 635,
  [888] = 888,
  [889] = 635,
  [890] = 637,
  [891] = 637,
  [892] = 635,
  [893] = 637,
  [894] = 640,
  [895] = 641,
  [896] = 626,
  [897] = 628,
  [898] = 629,
  [899] = 630,
  [900] = 640,
  [901] = 641,
  [902] = 626,
  [903] = 640,
  [904] = 641,
  [905] = 905,
  [906] = 906,
  [907] = 628,
  [908] = 629,
  [909] = 909,
  [910] = 910,
  [911] = 778,
  [912] = 787,
  [913] = 813,
  [914] = 814,
  [915] = 850,
  [916] = 905,
  [917] = 626,
  [918] = 630,
  [919] = 635,
  [920] = 637,
  [921] = 640,
  [922] = 641,
  [923] = 626,
  [924] = 628,
  [925] = 629,
  [926] = 630,
  [927] = 635,
  [928] = 637,
  [929] = 640,
  [930] = 641,
  [931] = 626,
  [932] = 628,
  [933] = 629,
  [934] = 934,
  [935] = 630,
  [936] = 635,
  [937] = 637,
  [938] = 640,
  [939] = 641,
  [940] = 626,
  [941] = 628,
  [942] = 629,
  [943] = 943,
  [944] = 630,
  [945] = 635,
  [946] = 637,
  [947] = 640,
  [948] = 641,
  [949] = 626,
  [950] = 628,
  [951] = 629,
  [952] = 630,
  [953] = 635,
  [954] = 637,
  [955] = 640,
  [956] = 641,
  [957] = 626,
  [958] = 628,
  [959] = 629,
  [960] = 630,
  [961] = 635,
  [962] = 635,
  [963] = 963,
  [964] = 637,
  [965] = 640,
  [966] = 641,
  [967] = 626,
  [968] = 628,
  [969] = 629,
  [970] = 630,
  [971] = 635,
  [972] = 637,
  [973] = 640,
  [974] = 641,
  [975] = 626,
  [976] = 628,
  [977] = 629,
  [978] = 630,
  [979] = 635,
  [980] = 637,
  [981] = 637,
  [982] = 640,
  [983] = 641,
  [984] = 626,
  [985] = 628,
  [986] = 629,
  [987] = 630,
  [988] = 640,
  [989] = 641,
  [990] = 626,
  [991] = 906,
  [992] = 992,
  [993] = 628,
  [994] = 629,
  [995] = 995,
  [996] = 996,
  [997] = 630,
  [998] = 635,
  [999] = 999,
  [1000] = 905,
  [1001] = 637,
  [1002] = 640,
  [1003] = 641,
  [1004] = 909,
  [1005] = 910,
  [1006] = 778,
  [1007] = 787,
  [1008] = 813,
  [1009] = 814,
  [1010] = 850,
  [1011] = 626,
  [1012] = 628,
  [1013] = 629,
  [1014] = 635,
  [1015] = 637,
  [1016] = 640,
  [1017] = 641,
  [1018] = 626,
  [1019] = 628,
  [1020] = 629,
  [1021] = 630,
  [1022] = 888,
  [1023] = 934,
  [1024] = 1024,
  [1025] = 1024,
  [1026] = 995,
  [1027] = 996,
  [1028] = 999,
  [1029] = 727,
  [1030] = 744,
  [1031] = 761,
  [1032] = 801,
  [1033] = 812,
  [1034] = 848,
  [1035] = 849,
  [1036] = 865,
  [1037] = 877,
  [1038] = 635,
  [1039] = 637,
  [1040] = 640,
  [1041] = 641,
  [1042] = 626,
  [1043] = 628,
  [1044] = 629,
  [1045] = 630,
  [1046] = 635,
  [1047] = 637,
  [1048] = 640,
  [1049] = 641,
  [1050] = 626,
  [1051] = 628,
  [1052] = 629,
  [1053] = 630,
  [1054] = 630,
  [1055] = 635,
  [1056] = 888,
  [1057] = 934,
  [1058] = 1024,
  [1059] = 995,
  [1060] = 996,
  [1061] = 999,
  [1062] = 727,
  [1063] = 744,
  [1064] = 761,
  [1065] = 801,
  [1066] = 812,
  [1067] = 848,
  [1068] = 849,
  [1069] = 865,
  [1070] = 877,
  [1071] = 905,
  [1072] = 888,
  [1073] = 934,
  [1074] = 1024,
  [1075] = 995,
  [1076] = 996,
  [1077] = 999,
  [1078] = 727,
  [1079] = 744,
  [1080] = 761,
  [1081] = 801,
  [1082] = 812,
  [1083] = 848,
  [1084] = 849,
  [1085] = 865,
  [1086] = 877,
  [1087] = 888,
  [1088] = 1024,
  [1089] = 995,
  [1090] = 996,
  [1091] = 999,
  [1092] = 727,
  [1093] = 744,
  [1094] = 761,
  [1095] = 801,
  [1096] = 848,
  [1097] = 865,
  [1098] = 877,
  [1099] = 888,
  [1100] = 1024,
  [1101] = 995,
  [1102] = 996,
  [1103] = 999,
  [1104] = 727,
  [1105] = 744,
  [1106] = 761,
  [1107] = 801,
  [1108] = 848,
  [1109] = 865,
  [1110] = 877,
  [1111] = 637,
  [1112] = 888,
  [1113] = 1024,
  [1114] = 995,
  [1115] = 996,
  [1116] = 999,
  [1117] = 727,
  [1118] = 744,
  [1119] = 761,
  [1120] = 640,
  [1121] = 888,
  [1122] = 641,
  [1123] = 995,
  [1124] = 996,
  [1125] = 999,
  [1126] = 727,
  [1127] = 744,
  [1128] = 761,
  [1129] = 641,
  [1130] = 888,
  [1131] = 1024,
  [1132] = 995,
  [1133] = 996,
  [1134] = 999,
  [1135] = 727,
  [1136] = 744,
  [1137] = 761,
  [1138] = 909,
  [1139] = 888,
  [1140] = 1024,
  [1141] = 995,
  [1142] = 996,
  [1143] = 999,
  [1144] = 727,
  [1145] = 744,
  [1146] = 761,
  [1147] = 910,
  [1148] = 888,
  [1149] = 1024,
  [1150] = 995,
  [1151] = 996,
  [1152] = 999,
  [1153] = 727,
  [1154] = 744,
  [1155] = 761,
  [1156] = 888,
  [1157] = 1024,
  [1158] = 995,
  [1159] = 996,
  [1160] = 999,
  [1161] = 727,
  [1162] = 744,
  [1163] = 761,
  [1164] = 888,
  [1165] = 1024,
  [1166] = 995,
  [1167] = 996,
  [1168] = 999,
  [1169] = 727,
  [1170] = 744,
  [1171] = 761,
  [1172] = 778,
  [1173] = 888,
  [1174] = 1024,
  [1175] = 995,
  [1176] = 996,
  [1177] = 999,
  [1178] = 727,
  [1179] = 744,
  [1180] = 761,
  [1181] = 787,
  [1182] = 888,
  [1183] = 1024,
  [1184] = 995,
  [1185] = 996,
  [1186] = 999,
  [1187] = 727,
  [1188] = 744,
  [1189] = 761,
  [1190] = 813,
  [1191] = 888,
  [1192] = 1024,
  [1193] = 995,
  [1194] = 996,
  [1195] = 999,
  [1196] = 727,
  [1197] = 744,
  [1198] = 761,
  [1199] = 814,
  [1200] = 888,
  [1201] = 1024,
  [1202] = 995,
  [1203] = 996,
  [1204] = 999,
  [1205] = 727,
  [1206] = 744,
  [1207] = 761,
  [1208] = 850,
  [1209] = 888,
  [1210] = 1024,
  [1211] = 995,
  [1212] = 996,
  [1213] = 999,
  [1214] = 727,
  [1215] = 744,
  [1216] = 761,
  [1217] = 943,
  [1218] = 888,
  [1219] = 1024,
  [1220] = 995,
  [1221] = 996,
  [1222] = 999,
  [1223] = 727,
  [1224] = 744,
  [1225] = 761,
  [1226] = 888,
  [1227] = 1024,
  [1228] = 995,
  [1229] = 996,
  [1230] = 999,
  [1231] = 727,
  [1232] = 744,
  [1233] = 761,
  [1234] = 888,
  [1235] = 1024,
  [1236] = 995,
  [1237] = 996,
  [1238] = 999,
  [1239] = 727,
  [1240] = 744,
  [1241] = 761,
  [1242] = 628,
  [1243] = 888,
  [1244] = 1024,
  [1245] = 995,
  [1246] = 996,
  [1247] = 999,
  [1248] = 727,
  [1249] = 744,
  [1250] = 761,
  [1251] = 629,
  [1252] = 888,
  [1253] = 1024,
  [1254] = 995,
  [1255] = 996,
  [1256] = 999,
  [1257] = 727,
  [1258] = 744,
  [1259] = 761,
  [1260] = 909,
  [1261] = 888,
  [1262] = 1024,
  [1263] = 995,
  [1264] = 996,
  [1265] = 999,
  [1266] = 727,
  [1267] = 744,
  [1268] = 761,
  [1269] = 888,
  [1270] = 1024,
  [1271] = 995,
  [1272] = 996,
  [1273] = 999,
  [1274] = 727,
  [1275] = 744,
  [1276] = 761,
  [1277] = 635,
  [1278] = 888,
  [1279] = 1024,
  [1280] = 995,
  [1281] = 996,
  [1282] = 999,
  [1283] = 727,
  [1284] = 744,
  [1285] = 761,
  [1286] = 637,
  [1287] = 888,
  [1288] = 1024,
  [1289] = 995,
  [1290] = 996,
  [1291] = 999,
  [1292] = 727,
  [1293] = 744,
  [1294] = 761,
  [1295] = 640,
  [1296] = 888,
  [1297] = 1024,
  [1298] = 995,
  [1299] = 996,
  [1300] = 999,
  [1301] = 727,
  [1302] = 744,
  [1303] = 761,
  [1304] = 641,
  [1305] = 888,
  [1306] = 1024,
  [1307] = 995,
  [1308] = 996,
  [1309] = 999,
  [1310] = 727,
  [1311] = 744,
  [1312] = 761,
  [1313] = 626,
  [1314] = 888,
  [1315] = 1024,
  [1316] = 995,
  [1317] = 996,
  [1318] = 999,
  [1319] = 727,
  [1320] = 744,
  [1321] = 761,
  [1322] = 628,
  [1323] = 888,
  [1324] = 1024,
  [1325] = 995,
  [1326] = 996,
  [1327] = 999,
  [1328] = 727,
  [1329] = 744,
  [1330] = 761,
  [1331] = 629,
  [1332] = 888,
  [1333] = 1024,
  [1334] = 995,
  [1335] = 996,
  [1336] = 999,
  [1337] = 727,
  [1338] = 744,
  [1339] = 761,
  [1340] = 630,
  [1341] = 888,
  [1342] = 1024,
  [1343] = 995,
  [1344] = 996,
  [1345] = 999,
  [1346] = 727,
  [1347] = 744,
  [1348] = 761,
  [1349] = 630,
  [1350] = 888,
  [1351] = 1024,
  [1352] = 995,
  [1353] = 996,
  [1354] = 999,
  [1355] = 727,
  [1356] = 744,
  [1357] = 761,
  [1358] = 888,
  [1359] = 1024,
  [1360] = 995,
  [1361] = 996,
  [1362] = 999,
  [1363] = 727,
  [1364] = 744,
  [1365] = 761,
  [1366] = 888,
  [1367] = 1024,
  [1368] = 995,
  [1369] = 996,
  [1370] = 999,
  [1371] = 727,
  [1372] = 744,
  [1373] = 761,
  [1374] = 888,
  [1375] = 1024,
  [1376] = 995,
  [1377] = 996,
  [1378] = 999,
  [1379] = 727,
  [1380] = 744,
  [1381] = 761,
  [1382] = 888,
  [1383] = 1024,
  [1384] = 995,
  [1385] = 996,
  [1386] = 999,
  [1387] = 727,
  [1388] = 744,
  [1389] = 761,
  [1390] = 888,
  [1391] = 1024,
  [1392] = 995,
  [1393] = 996,
  [1394] = 999,
  [1395] = 727,
  [1396] = 744,
  [1397] = 761,
  [1398] = 888,
  [1399] = 1024,
  [1400] = 995,
  [1401] = 996,
  [1402] = 999,
  [1403] = 727,
  [1404] = 744,
  [1405] = 761,
  [1406] = 888,
  [1407] = 1024,
  [1408] = 995,
  [1409] = 996,
  [1410] = 999,
  [1411] = 727,
  [1412] = 744,
  [1413] = 761,
  [1414] = 888,
  [1415] = 1024,
  [1416] = 995,
  [1417] = 996,
  [1418] = 999,
  [1419] = 727,
  [1420] = 744,
  [1421] = 761,
  [1422] = 888,
  [1423] = 1024,
  [1424] = 995,
  [1425] = 996,
  [1426] = 999,
  [1427] = 727,
  [1428] = 744,
  [1429] = 761,
  [1430] = 888,
  [1431] = 1024,
  [1432] = 995,
  [1433] = 996,
  [1434] = 999,
  [1435] = 727,
  [1436] = 744,
  [1437] = 761,
  [1438] = 888,
  [1439] = 1024,
  [1440] = 995,
  [1441] = 996,
  [1442] = 999,
  [1443] = 727,
  [1444] = 744,
  [1445] = 761,
  [1446] = 888,
  [1447] = 1024,
  [1448] = 995,
  [1449] = 996,
  [1450] = 999,
  [1451] = 727,
  [1452] = 744,
  [1453] = 761,
  [1454] = 888,
  [1455] = 1024,
  [1456] = 995,
  [1457] = 996,
  [1458] = 999,
  [1459] = 727,
  [1460] = 744,
  [1461] = 761,
  [1462] = 888,
  [1463] = 1024,
  [1464] = 995,
  [1465] = 996,
  [1466] = 999,
  [1467] = 727,
  [1468] = 744,
  [1469] = 761,
  [1470] = 1024,
  [1471] = 995,
  [1472] = 996,
  [1473] = 999,
  [1474] = 727,
  [1475] = 744,
  [1476] = 761,
  [1477] = 1024,
  [1478] = 995,
  [1479] = 996,
  [1480] = 999,
  [1481] = 727,
  [1482] = 744,
  [1483] = 761,
  [1484] = 635,
  [1485] = 910,
  [1486] = 694,
  [1487] = 963,
  [1488] = 992,
  [1489] = 888,
  [1490] = 888,
  [1491] = 888,
  [1492] = 888,
  [1493] = 637,
  [1494] = 905,
  [1495] = 694,
  [1496] = 963,
  [1497] = 992,
  [1498] = 640,
  [1499] = 909,
  [1500] = 694,
  [1501] = 963,
  [1502] = 992,
  [1503] = 910,
  [1504] = 694,
  [1505] = 963,
  [1506] = 992,
  [1507] = 778,
  [1508] = 787,
  [1509] = 813,
  [1510] = 694,
  [1511] = 963,
  [1512] = 992,
  [1513] = 814,
  [1514] = 850,
  [1515] = 641,
  [1516] = 694,
  [1517] = 963,
  [1518] = 992,
  [1519] = 626,
  [1520] = 628,
  [1521] = 694,
  [1522] = 963,
  [1523] = 992,
  [1524] = 629,
  [1525] = 635,
  [1526] = 694,
  [1527] = 963,
  [1528] = 992,
  [1529] = 637,
  [1530] = 640,
  [1531] = 641,
  [1532] = 694,
  [1533] = 963,
  [1534] = 992,
  [1535] = 626,
  [1536] = 628,
  [1537] = 629,
  [1538] = 694,
  [1539] = 963,
  [1540] = 992,
  [1541] = 630,
  [1542] = 694,
  [1543] = 963,
  [1544] = 992,
  [1545] = 630,
  [1546] = 635,
  [1547] = 694,
  [1548] = 963,
  [1549] = 992,
  [1550] = 1550,
  [1551] = 905,
  [1552] = 694,
  [1553] = 963,
  [1554] = 992,
  [1555] = 637,
  [1556] = 909,
  [1557] = 694,
  [1558] = 963,
  [1559] = 992,
  [1560] = 910,
  [1561] = 694,
  [1562] = 963,
  [1563] = 992,
  [1564] = 778,
  [1565] = 787,
  [1566] = 813,
  [1567] = 694,
  [1568] = 963,
  [1569] = 992,
  [1570] = 814,
  [1571] = 850,
  [1572] = 640,
  [1573] = 694,
  [1574] = 963,
  [1575] = 992,
  [1576] = 641,
  [1577] = 626,
  [1578] = 694,
  [1579] = 963,
  [1580] = 992,
  [1581] = 628,
  [1582] = 694,
  [1583] = 963,
  [1584] = 992,
  [1585] = 635,
  [1586] = 694,
  [1587] = 963,
  [1588] = 992,
  [1589] = 637,
  [1590] = 640,
  [1591] = 694,
  [1592] = 963,
  [1593] = 992,
  [1594] = 641,
  [1595] = 626,
  [1596] = 694,
  [1597] = 963,
  [1598] = 992,
  [1599] = 628,
  [1600] = 629,
  [1601] = 694,
  [1602] = 963,
  [1603] = 992,
  [1604] = 630,
  [1605] = 629,
  [1606] = 694,
  [1607] = 963,
  [1608] = 992,
  [1609] = 694,
  [1610] = 963,
  [1611] = 992,
  [1612] = 630,
  [1613] = 635,
  [1614] = 694,
  [1615] = 963,
  [1616] = 992,
  [1617] = 1617,
  [1618] = 905,
  [1619] = 694,
  [1620] = 963,
  [1621] = 992,
  [1622] = 694,
  [1623] = 963,
  [1624] = 992,
  [1625] = 637,
  [1626] = 909,
  [1627] = 694,
  [1628] = 963,
  [1629] = 992,
  [1630] = 910,
  [1631] = 694,
  [1632] = 963,
  [1633] = 992,
  [1634] = 778,
  [1635] = 694,
  [1636] = 963,
  [1637] = 992,
  [1638] = 787,
  [1639] = 813,
  [1640] = 694,
  [1641] = 963,
  [1642] = 992,
  [1643] = 814,
  [1644] = 850,
  [1645] = 694,
  [1646] = 963,
  [1647] = 992,
  [1648] = 640,
  [1649] = 641,
  [1650] = 694,
  [1651] = 963,
  [1652] = 992,
  [1653] = 626,
  [1654] = 694,
  [1655] = 963,
  [1656] = 992,
  [1657] = 635,
  [1658] = 694,
  [1659] = 963,
  [1660] = 992,
  [1661] = 637,
  [1662] = 640,
  [1663] = 694,
  [1664] = 963,
  [1665] = 992,
  [1666] = 641,
  [1667] = 626,
  [1668] = 694,
  [1669] = 963,
  [1670] = 992,
  [1671] = 628,
  [1672] = 629,
  [1673] = 694,
  [1674] = 963,
  [1675] = 992,
  [1676] = 630,
  [1677] = 628,
  [1678] = 694,
  [1679] = 963,
  [1680] = 992,
  [1681] = 694,
  [1682] = 963,
  [1683] = 992,
  [1684] = 629,
  [1685] = 630,
  [1686] = 694,
  [1687] = 963,
  [1688] = 992,
  [1689] = 635,
  [1690] = 694,
  [1691] = 963,
  [1692] = 992,
  [1693] = 628,
  [1694] = 694,
  [1695] = 963,
  [1696] = 992,
  [1697] = 694,
  [1698] = 963,
  [1699] = 992,
  [1700] = 637,
  [1701] = 640,
  [1702] = 694,
  [1703] = 963,
  [1704] = 992,
  [1705] = 641,
  [1706] = 626,
  [1707] = 694,
  [1708] = 963,
  [1709] = 992,
  [1710] = 635,
  [1711] = 694,
  [1712] = 963,
  [1713] = 992,
  [1714] = 637,
  [1715] = 640,
  [1716] = 694,
  [1717] = 963,
  [1718] = 992,
  [1719] = 943,
  [1720] = 634,
  [1721] = 943,
  [1722] = 634,
  [1723] = 1024,
  [1724] = 1724,
  [1725] = 1724,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1727,
  [1729] = 1729,
  [1730] = 1727,
  [1731] = 1729,
  [1732] = 1729,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1729,
  [1737] = 1724,
  [1738] = 1726,
  [1739] = 1735,
  [1740] = 1733,
  [1741] = 1727,
  [1742] = 1729,
  [1743] = 1735,
  [1744] = 1727,
  [1745] = 1733,
  [1746] = 1733,
  [1747] = 1734,
  [1748] = 1734,
  [1749] = 1724,
  [1750] = 1726,
  [1751] = 1735,
  [1752] = 1735,
  [1753] = 1727,
  [1754] = 1727,
  [1755] = 1729,
  [1756] = 1727,
  [1757] = 1735,
  [1758] = 1729,
  [1759] = 1733,
  [1760] = 1734,
  [1761] = 1733,
  [1762] = 1724,
  [1763] = 1726,
  [1764] = 1735,
  [1765] = 1734,
  [1766] = 1727,
  [1767] = 1729,
  [1768] = 1727,
  [1769] = 1724,
  [1770] = 1726,
  [1771] = 1733,
  [1772] = 1733,
  [1773] = 1734,
  [1774] = 1733,
  [1775] = 1724,
  [1776] = 1726,
  [1777] = 1735,
  [1778] = 1734,
  [1779] = 1727,
  [1780] = 1729,
  [1781] = 1729,
  [1782] = 1724,
  [1783] = 1726,
  [1784] = 1734,
  [1785] = 1733,
  [1786] = 1734,
  [1787] = 1735,
  [1788] = 1724,
  [1789] = 1726,
  [1790] = 1735,
  [1791] = 1733,
  [1792] = 1727,
  [1793] = 1729,
  [1794] = 1735,
  [1795] = 1729,
  [1796] = 1729,
  [1797] = 1733,
  [1798] = 1734,
  [1799] = 1724,
  [1800] = 1724,
  [1801] = 1726,
  [1802] = 1735,
  [1803] = 1733,
  [1804] = 1727,
  [1805] = 1729,
  [1806] = 1727,
  [1807] = 1729,
  [1808] = 1734,
  [1809] = 1733,
  [1810] = 1734,
  [1811] = 1735,
  [1812] = 1724,
  [1813] = 1726,
  [1814] = 1735,
  [1815] = 1726,
  [1816] = 1727,
  [1817] = 1729,
  [1818] = 803,
  [1819] = 1727,
  [1820] = 1729,
  [1821] = 1733,
  [1822] = 1734,
  [1823] = 1724,
  [1824] = 1724,
  [1825] = 1726,
  [1826] = 1735,
  [1827] = 1733,
  [1828] = 1727,
  [1829] = 1729,
  [1830] = 1729,
  [1831] = 1734,
  [1832] = 1733,
  [1833] = 1734,
  [1834] = 1733,
  [1835] = 1734,
  [1836] = 1735,
  [1837] = 1724,
  [1838] = 1726,
  [1839] = 1735,
  [1840] = 1734,
  [1841] = 1727,
  [1842] = 1733,
  [1843] = 1729,
  [1844] = 1724,
  [1845] = 1726,
  [1846] = 1734,
  [1847] = 1724,
  [1848] = 1726,
  [1849] = 1733,
  [1850] = 1734,
  [1851] = 1735,
  [1852] = 1724,
  [1853] = 1724,
  [1854] = 1726,
  [1855] = 1726,
  [1856] = 1726,
  [1857] = 1735,
  [1858] = 1724,
  [1859] = 1727,
  [1860] = 1729,
  [1861] = 1726,
  [1862] = 1735,
  [1863] = 1734,
  [1864] = 1733,
  [1865] = 1734,
  [1866] = 1735,
  [1867] = 1724,
  [1868] = 1726,
  [1869] = 1735,
  [1870] = 1724,
  [1871] = 1735,
  [1872] = 1727,
  [1873] = 1729,
  [1874] = 1735,
  [1875] = 1735,
  [1876] = 1724,
  [1877] = 1735,
  [1878] = 1733,
  [1879] = 1734,
  [1880] = 1735,
  [1881] = 1724,
  [1882] = 1726,
  [1883] = 1735,
  [1884] = 1727,
  [1885] = 1727,
  [1886] = 1729,
  [1887] = 1729,
  [1888] = 803,
  [1889] = 1733,
  [1890] = 1733,
  [1891] = 1734,
  [1892] = 1735,
  [1893] = 1724,
  [1894] = 1726,
  [1895] = 1724,
  [1896] = 1727,
  [1897] = 1735,
  [1898] = 803,
  [1899] = 1727,
  [1900] = 1729,
  [1901] = 1729,
  [1902] = 1733,
  [1903] = 1734,
  [1904] = 1735,
  [1905] = 1733,
  [1906] = 1734,
  [1907] = 1735,
  [1908] = 1733,
  [1909] = 1724,
  [1910] = 1726,
  [1911] = 1735,
  [1912] = 1734,
  [1913] = 1734,
  [1914] = 1727,
  [1915] = 1729,
  [1916] = 1724,
  [1917] = 1726,
  [1918] = 1735,
  [1919] = 1724,
  [1920] = 1726,
  [1921] = 1733,
  [1922] = 1734,
  [1923] = 1735,
  [1924] = 1724,
  [1925] = 1726,
  [1926] = 1735,
  [1927] = 1735,
  [1928] = 1735,
  [1929] = 1727,
  [1930] = 1729,
  [1931] = 1734,
  [1932] = 1727,
  [1933] = 1726,
  [1934] = 1733,
  [1935] = 1734,
  [1936] = 1735,
  [1937] = 1735,
  [1938] = 1724,
  [1939] = 1726,
  [1940] = 1735,
  [1941] = 1735,
  [1942] = 1735,
  [1943] = 1727,
  [1944] = 1729,
  [1945] = 1727,
  [1946] = 1735,
  [1947] = 1729,
  [1948] = 1726,
  [1949] = 1733,
  [1950] = 1734,
  [1951] = 1727,
  [1952] = 1724,
  [1953] = 1726,
  [1954] = 1729,
  [1955] = 1727,
  [1956] = 1729,
  [1957] = 1727,
  [1958] = 1729,
  [1959] = 1733,
  [1960] = 1733,
  [1961] = 1734,
  [1962] = 1734,
  [1963] = 1724,
  [1964] = 1726,
  [1965] = 1735,
  [1966] = 1727,
  [1967] = 1729,
  [1968] = 1733,
  [1969] = 1734,
  [1970] = 1724,
  [1971] = 1727,
  [1972] = 1729,
  [1973] = 1733,
  [1974] = 1734,
  [1975] = 1724,
  [1976] = 1724,
  [1977] = 1735,
  [1978] = 1726,
  [1979] = 1726,
  [1980] = 1727,
  [1981] = 1729,
  [1982] = 1735,
  [1983] = 1726,
  [1984] = 1727,
  [1985] = 1733,
  [1986] = 1733,
  [1987] = 1734,
  [1988] = 1734,
  [1989] = 1735,
  [1990] = 1724,
  [1991] = 1726,
  [1992] = 1727,
  [1993] = 1727,
  [1994] = 1729,
  [1995] = 1733,
  [1996] = 1734,
  [1997] = 1724,
  [1998] = 1729,
  [1999] = 1733,
  [2000] = 1734,
  [2001] = 1726,
  [2002] = 1724,
  [2003] = 1724,
  [2004] = 1726,
  [2005] = 1726,
  [2006] = 1727,
  [2007] = 1729,
  [2008] = 1727,
  [2009] = 1729,
  [2010] = 1735,
  [2011] = 1733,
  [2012] = 1734,
  [2013] = 1726,
  [2014] = 1724,
  [2015] = 1726,
  [2016] = 1735,
  [2017] = 1727,
  [2018] = 1729,
  [2019] = 1733,
  [2020] = 1734,
  [2021] = 1735,
  [2022] = 1735,
  [2023] = 1733,
  [2024] = 1734,
  [2025] = 1727,
  [2026] = 1735,
  [2027] = 1724,
  [2028] = 1726,
  [2029] = 1724,
  [2030] = 1726,
  [2031] = 1735,
  [2032] = 1727,
  [2033] = 1729,
  [2034] = 1729,
  [2035] = 1735,
  [2036] = 803,
  [2037] = 1733,
  [2038] = 1733,
  [2039] = 1734,
  [2040] = 1733,
  [2041] = 1734,
  [2042] = 1734,
  [2043] = 1724,
  [2044] = 1726,
  [2045] = 1724,
  [2046] = 1726,
  [2047] = 1727,
  [2048] = 1729,
  [2049] = 803,
  [2050] = 1735,
  [2051] = 1727,
  [2052] = 1729,
  [2053] = 1729,
  [2054] = 1733,
  [2055] = 1735,
  [2056] = 1735,
  [2057] = 1735,
  [2058] = 1735,
  [2059] = 1735,
  [2060] = 1734,
  [2061] = 1735,
  [2062] = 1733,
  [2063] = 1724,
  [2064] = 1735,
  [2065] = 1735,
  [2066] = 1734,
  [2067] = 1735,
  [2068] = 1724,
  [2069] = 1726,
  [2070] = 1735,
  [2071] = 1724,
  [2072] = 1726,
  [2073] = 1733,
  [2074] = 1726,
  [2075] = 1735,
  [2076] = 1727,
  [2077] = 1729,
  [2078] = 1727,
  [2079] = 1727,
  [2080] = 1729,
  [2081] = 1727,
  [2082] = 1729,
  [2083] = 1727,
  [2084] = 1729,
  [2085] = 1735,
  [2086] = 1735,
  [2087] = 1734,
  [2088] = 803,
  [2089] = 1733,
  [2090] = 1734,
  [2091] = 1733,
  [2092] = 1724,
  [2093] = 1726,
  [2094] = 1735,
  [2095] = 1734,
  [2096] = 1733,
  [2097] = 1724,
  [2098] = 1726,
  [2099] = 1735,
  [2100] = 1726,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 2105,
  [2106] = 2101,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2110,
  [2111] = 2111,
  [2112] = 2112,
  [2113] = 2102,
  [2114] = 2104,
  [2115] = 2105,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2116,
  [2120] = 2117,
  [2121] = 2103,
  [2122] = 2122,
  [2123] = 2101,
  [2124] = 2107,
  [2125] = 2108,
  [2126] = 2109,
  [2127] = 2110,
  [2128] = 2111,
  [2129] = 2112,
  [2130] = 2102,
  [2131] = 2104,
  [2132] = 2105,
  [2133] = 2116,
  [2134] = 2117,
  [2135] = 2118,
  [2136] = 2103,
  [2137] = 2101,
  [2138] = 2107,
  [2139] = 2108,
  [2140] = 2109,
  [2141] = 2110,
  [2142] = 2111,
  [2143] = 2112,
  [2144] = 2102,
  [2145] = 2104,
  [2146] = 2105,
  [2147] = 2112,
  [2148] = 2117,
  [2149] = 2118,
  [2150] = 2103,
  [2151] = 2101,
  [2152] = 2107,
  [2153] = 2108,
  [2154] = 2109,
  [2155] = 2110,
  [2156] = 2111,
  [2157] = 2112,
  [2158] = 2102,
  [2159] = 2104,
  [2160] = 2105,
  [2161] = 2116,
  [2162] = 2117,
  [2163] = 2118,
  [2164] = 2103,
  [2165] = 2101,
  [2166] = 2107,
  [2167] = 2108,
  [2168] = 2109,
  [2169] = 2110,
  [2170] = 2111,
  [2171] = 2112,
  [2172] = 2102,
  [2173] = 2104,
  [2174] = 2105,
  [2175] = 2116,
  [2176] = 2117,
  [2177] = 2118,
  [2178] = 2103,
  [2179] = 2101,
  [2180] = 2107,
  [2181] = 2108,
  [2182] = 2109,
  [2183] = 2110,
  [2184] = 2111,
  [2185] = 2112,
  [2186] = 2102,
  [2187] = 2104,
  [2188] = 2105,
  [2189] = 2116,
  [2190] = 2117,
  [2191] = 2118,
  [2192] = 2103,
  [2193] = 2101,
  [2194] = 2107,
  [2195] = 2108,
  [2196] = 2109,
  [2197] = 2110,
  [2198] = 2111,
  [2199] = 2112,
  [2200] = 2102,
  [2201] = 2104,
  [2202] = 2105,
  [2203] = 2116,
  [2204] = 2117,
  [2205] = 2118,
  [2206] = 2103,
  [2207] = 2101,
  [2208] = 2107,
  [2209] = 2108,
  [2210] = 2109,
  [2211] = 2110,
  [2212] = 2111,
  [2213] = 2112,
  [2214] = 2102,
  [2215] = 2104,
  [2216] = 2105,
  [2217] = 2116,
  [2218] = 2117,
  [2219] = 2118,
  [2220] = 2103,
  [2221] = 2101,
  [2222] = 2107,
  [2223] = 2108,
  [2224] = 2109,
  [2225] = 2110,
  [2226] = 2111,
  [2227] = 2112,
  [2228] = 2102,
  [2229] = 2104,
  [2230] = 2105,
  [2231] = 2116,
  [2232] = 2117,
  [2233] = 2118,
  [2234] = 2101,
  [2235] = 2107,
  [2236] = 2108,
  [2237] = 2109,
  [2238] = 2110,
  [2239] = 2111,
  [2240] = 2112,
  [2241] = 2102,
  [2242] = 2104,
  [2243] = 2105,
  [2244] = 2116,
  [2245] = 2117,
  [2246] = 2118,
  [2247] = 2118,
  [2248] = 2101,
  [2249] = 2103,
  [2250] = 2107,
  [2251] = 2108,
  [2252] = 2109,
  [2253] = 2110,
  [2254] = 2111,
  [2255] = 2112,
  [2256] = 2102,
  [2257] = 2104,
  [2258] = 2105,
  [2259] = 2116,
  [2260] = 2117,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2101,
  [2264] = 2107,
  [2265] = 2108,
  [2266] = 2109,
  [2267] = 2110,
  [2268] = 2111,
  [2269] = 2112,
  [2270] = 2102,
  [2271] = 2104,
  [2272] = 2105,
  [2273] = 2116,
  [2274] = 2117,
  [2275] = 2118,
  [2276] = 2118,
  [2277] = 2101,
  [2278] = 2101,
  [2279] = 2107,
  [2280] = 2108,
  [2281] = 2109,
  [2282] = 2110,
  [2283] = 2111,
  [2284] = 2112,
  [2285] = 2102,
  [2286] = 2104,
  [2287] = 2105,
  [2288] = 2116,
  [2289] = 2117,
  [2290] = 2107,
  [2291] = 2108,
  [2292] = 2109,
  [2293] = 2118,
  [2294] = 2110,
  [2295] = 2111,
  [2296] = 2101,
  [2297] = 2112,
  [2298] = 2107,
  [2299] = 2108,
  [2300] = 2109,
  [2301] = 2110,
  [2302] = 2111,
  [2303] = 2112,
  [2304] = 2102,
  [2305] = 2104,
  [2306] = 2105,
  [2307] = 2116,
  [2308] = 2117,
  [2309] = 2102,
  [2310] = 2104,
  [2311] = 2105,
  [2312] = 2116,
  [2313] = 2117,
  [2314] = 2118,
  [2315] = 2101,
  [2316] = 2107,
  [2317] = 2108,
  [2318] = 2109,
  [2319] = 2110,
  [2320] = 2111,
  [2321] = 2112,
  [2322] = 2102,
  [2323] = 2104,
  [2324] = 2105,
  [2325] = 2116,
  [2326] = 2117,
  [2327] = 2103,
  [2328] = 2118,
  [2329] = 2118,
  [2330] = 2101,
  [2331] = 2101,
  [2332] = 2107,
  [2333] = 2108,
  [2334] = 2109,
  [2335] = 2110,
  [2336] = 2111,
  [2337] = 2112,
  [2338] = 2102,
  [2339] = 2104,
  [2340] = 2105,
  [2341] = 2116,
  [2342] = 2117,
  [2343] = 2107,
  [2344] = 2108,
  [2345] = 2118,
  [2346] = 2109,
  [2347] = 2110,
  [2348] = 2111,
  [2349] = 2112,
  [2350] = 2102,
  [2351] = 2104,
  [2352] = 2105,
  [2353] = 2116,
  [2354] = 2117,
  [2355] = 2101,
  [2356] = 2107,
  [2357] = 2108,
  [2358] = 2109,
  [2359] = 2110,
  [2360] = 2111,
  [2361] = 2112,
  [2362] = 2102,
  [2363] = 2104,
  [2364] = 2105,
  [2365] = 2116,
  [2366] = 2117,
  [2367] = 2118,
  [2368] = 2118,
  [2369] = 2101,
  [2370] = 2101,
  [2371] = 2107,
  [2372] = 2108,
  [2373] = 2109,
  [2374] = 2110,
  [2375] = 2111,
  [2376] = 2112,
  [2377] = 2102,
  [2378] = 2104,
  [2379] = 2105,
  [2380] = 2116,
  [2381] = 2117,
  [2382] = 2107,
  [2383] = 2108,
  [2384] = 2109,
  [2385] = 2110,
  [2386] = 2111,
  [2387] = 2118,
  [2388] = 2112,
  [2389] = 2102,
  [2390] = 2104,
  [2391] = 2105,
  [2392] = 2116,
  [2393] = 2117,
  [2394] = 2394,
  [2395] = 2101,
  [2396] = 2262,
  [2397] = 2118,
  [2398] = 2122,
  [2399] = 2101,
  [2400] = 2101,
  [2401] = 2107,
  [2402] = 2108,
  [2403] = 2109,
  [2404] = 2110,
  [2405] = 2111,
  [2406] = 2112,
  [2407] = 2102,
  [2408] = 2104,
  [2409] = 2105,
  [2410] = 2116,
  [2411] = 2117,
  [2412] = 2103,
  [2413] = 2118,
  [2414] = 2101,
  [2415] = 2107,
  [2416] = 2108,
  [2417] = 2109,
  [2418] = 2110,
  [2419] = 2111,
  [2420] = 2112,
  [2421] = 2102,
  [2422] = 2104,
  [2423] = 2105,
  [2424] = 2116,
  [2425] = 2117,
  [2426] = 2118,
  [2427] = 2101,
  [2428] = 2107,
  [2429] = 2107,
  [2430] = 2108,
  [2431] = 2109,
  [2432] = 2110,
  [2433] = 2111,
  [2434] = 2112,
  [2435] = 2102,
  [2436] = 2104,
  [2437] = 2105,
  [2438] = 2116,
  [2439] = 2117,
  [2440] = 2108,
  [2441] = 2109,
  [2442] = 2110,
  [2443] = 2118,
  [2444] = 2111,
  [2445] = 2103,
  [2446] = 2101,
  [2447] = 2107,
  [2448] = 2108,
  [2449] = 2109,
  [2450] = 2110,
  [2451] = 2111,
  [2452] = 2112,
  [2453] = 2102,
  [2454] = 2104,
  [2455] = 2105,
  [2456] = 2116,
  [2457] = 2117,
  [2458] = 2118,
  [2459] = 2112,
  [2460] = 2102,
  [2461] = 2104,
  [2462] = 2105,
  [2463] = 2116,
  [2464] = 2117,
  [2465] = 2107,
  [2466] = 2118,
  [2467] = 2108,
  [2468] = 2101,
  [2469] = 2109,
  [2470] = 2107,
  [2471] = 2108,
  [2472] = 2109,
  [2473] = 2110,
  [2474] = 2111,
  [2475] = 2112,
  [2476] = 2102,
  [2477] = 2104,
  [2478] = 2105,
  [2479] = 2116,
  [2480] = 2117,
  [2481] = 2110,
  [2482] = 2111,
  [2483] = 2107,
  [2484] = 2112,
  [2485] = 2118,
  [2486] = 2108,
  [2487] = 2109,
  [2488] = 2110,
  [2489] = 2111,
  [2490] = 2112,
  [2491] = 2102,
  [2492] = 2104,
  [2493] = 2105,
  [2494] = 2116,
  [2495] = 2117,
  [2496] = 2103,
  [2497] = 2102,
  [2498] = 2104,
  [2499] = 2105,
  [2500] = 2116,
  [2501] = 2117,
  [2502] = 2101,
  [2503] = 2118,
  [2504] = 2101,
  [2505] = 2107,
  [2506] = 2108,
  [2507] = 2109,
  [2508] = 2110,
  [2509] = 2101,
  [2510] = 2111,
  [2511] = 2107,
  [2512] = 2108,
  [2513] = 2109,
  [2514] = 2110,
  [2515] = 2111,
  [2516] = 2112,
  [2517] = 2102,
  [2518] = 2104,
  [2519] = 2105,
  [2520] = 2116,
  [2521] = 2117,
  [2522] = 2112,
  [2523] = 2102,
  [2524] = 2104,
  [2525] = 2105,
  [2526] = 2116,
  [2527] = 2117,
  [2528] = 2118,
  [2529] = 2529,
  [2530] = 2118,
  [2531] = 2103,
  [2532] = 2101,
  [2533] = 2107,
  [2534] = 2108,
  [2535] = 2109,
  [2536] = 2110,
  [2537] = 2111,
  [2538] = 2112,
  [2539] = 2102,
  [2540] = 2104,
  [2541] = 2105,
  [2542] = 2116,
  [2543] = 2117,
  [2544] = 2101,
  [2545] = 2107,
  [2546] = 2107,
  [2547] = 2108,
  [2548] = 2109,
  [2549] = 2110,
  [2550] = 2111,
  [2551] = 2112,
  [2552] = 2102,
  [2553] = 2104,
  [2554] = 2105,
  [2555] = 2116,
  [2556] = 2117,
  [2557] = 2118,
  [2558] = 2118,
  [2559] = 2118,
  [2560] = 2103,
  [2561] = 2101,
  [2562] = 2107,
  [2563] = 2108,
  [2564] = 2109,
  [2565] = 2110,
  [2566] = 2111,
  [2567] = 2112,
  [2568] = 2102,
  [2569] = 2104,
  [2570] = 2105,
  [2571] = 2116,
  [2572] = 2117,
  [2573] = 2101,
  [2574] = 2107,
  [2575] = 2108,
  [2576] = 2109,
  [2577] = 2110,
  [2578] = 2111,
  [2579] = 2112,
  [2580] = 2102,
  [2581] = 2104,
  [2582] = 2105,
  [2583] = 2116,
  [2584] = 2117,
  [2585] = 2101,
  [2586] = 2118,
  [2587] = 2118,
  [2588] = 2101,
  [2589] = 2107,
  [2590] = 2108,
  [2591] = 2109,
  [2592] = 2103,
  [2593] = 2110,
  [2594] = 2111,
  [2595] = 2112,
  [2596] = 2102,
  [2597] = 2104,
  [2598] = 2105,
  [2599] = 2116,
  [2600] = 2117,
  [2601] = 2108,
  [2602] = 2107,
  [2603] = 2101,
  [2604] = 2107,
  [2605] = 2108,
  [2606] = 2109,
  [2607] = 2110,
  [2608] = 2111,
  [2609] = 2112,
  [2610] = 2102,
  [2611] = 2104,
  [2612] = 2105,
  [2613] = 2116,
  [2614] = 2117,
  [2615] = 2118,
  [2616] = 2108,
  [2617] = 2101,
  [2618] = 2109,
  [2619] = 2118,
  [2620] = 2107,
  [2621] = 2110,
  [2622] = 2108,
  [2623] = 2109,
  [2624] = 2110,
  [2625] = 2111,
  [2626] = 2112,
  [2627] = 2102,
  [2628] = 2103,
  [2629] = 2104,
  [2630] = 2105,
  [2631] = 2116,
  [2632] = 2117,
  [2633] = 2111,
  [2634] = 2112,
  [2635] = 2102,
  [2636] = 2104,
  [2637] = 2101,
  [2638] = 2107,
  [2639] = 2108,
  [2640] = 2109,
  [2641] = 2110,
  [2642] = 2111,
  [2643] = 2112,
  [2644] = 2102,
  [2645] = 2104,
  [2646] = 2105,
  [2647] = 2116,
  [2648] = 2117,
  [2649] = 2105,
  [2650] = 2116,
  [2651] = 2118,
  [2652] = 2117,
  [2653] = 2101,
  [2654] = 2118,
  [2655] = 2109,
  [2656] = 2107,
  [2657] = 2110,
  [2658] = 2108,
  [2659] = 2109,
  [2660] = 2110,
  [2661] = 2111,
  [2662] = 2112,
  [2663] = 2103,
  [2664] = 2102,
  [2665] = 2104,
  [2666] = 2105,
  [2667] = 2116,
  [2668] = 2117,
  [2669] = 2118,
  [2670] = 2101,
  [2671] = 2107,
  [2672] = 2108,
  [2673] = 2109,
  [2674] = 2110,
  [2675] = 2111,
  [2676] = 2112,
  [2677] = 2102,
  [2678] = 2104,
  [2679] = 2105,
  [2680] = 2116,
  [2681] = 2117,
  [2682] = 2111,
  [2683] = 2118,
  [2684] = 2118,
  [2685] = 2101,
  [2686] = 2112,
  [2687] = 2107,
  [2688] = 2108,
  [2689] = 2109,
  [2690] = 2110,
  [2691] = 2111,
  [2692] = 2103,
  [2693] = 2112,
  [2694] = 2102,
  [2695] = 2104,
  [2696] = 2105,
  [2697] = 2116,
  [2698] = 2117,
  [2699] = 2101,
  [2700] = 2107,
  [2701] = 2108,
  [2702] = 2109,
  [2703] = 2110,
  [2704] = 2111,
  [2705] = 2112,
  [2706] = 2102,
  [2707] = 2104,
  [2708] = 2105,
  [2709] = 2116,
  [2710] = 2117,
  [2711] = 2102,
  [2712] = 2104,
  [2713] = 2118,
  [2714] = 2118,
  [2715] = 2105,
  [2716] = 2118,
  [2717] = 2116,
  [2718] = 2103,
  [2719] = 2117,
  [2720] = 803,
  [2721] = 2101,
  [2722] = 2107,
  [2723] = 2108,
  [2724] = 2109,
  [2725] = 2110,
  [2726] = 2111,
  [2727] = 2112,
  [2728] = 2102,
  [2729] = 2104,
  [2730] = 2105,
  [2731] = 2116,
  [2732] = 2117,
  [2733] = 2118,
  [2734] = 2103,
  [2735] = 2101,
  [2736] = 2101,
  [2737] = 2107,
  [2738] = 2108,
  [2739] = 2109,
  [2740] = 2110,
  [2741] = 2111,
  [2742] = 2112,
  [2743] = 2102,
  [2744] = 2104,
  [2745] = 2105,
  [2746] = 2116,
  [2747] = 2117,
  [2748] = 2118,
  [2749] = 803,
  [2750] = 2103,
  [2751] = 2101,
  [2752] = 2107,
  [2753] = 2108,
  [2754] = 2109,
  [2755] = 2110,
  [2756] = 2111,
  [2757] = 2112,
  [2758] = 2102,
  [2759] = 2104,
  [2760] = 2105,
  [2761] = 2116,
  [2762] = 2117,
  [2763] = 803,
  [2764] = 2118,
  [2765] = 2107,
  [2766] = 2103,
  [2767] = 2101,
  [2768] = 2108,
  [2769] = 2107,
  [2770] = 2108,
  [2771] = 2109,
  [2772] = 2110,
  [2773] = 2111,
  [2774] = 2112,
  [2775] = 2102,
  [2776] = 2104,
  [2777] = 2105,
  [2778] = 2116,
  [2779] = 2117,
  [2780] = 2118,
  [2781] = 2109,
  [2782] = 2103,
  [2783] = 2101,
  [2784] = 2107,
  [2785] = 2108,
  [2786] = 2109,
  [2787] = 2110,
  [2788] = 2111,
  [2789] = 2112,
  [2790] = 2102,
  [2791] = 2104,
  [2792] = 2105,
  [2793] = 2116,
  [2794] = 2117,
  [2795] = 2118,
  [2796] = 2103,
  [2797] = 2101,
  [2798] = 2107,
  [2799] = 2108,
  [2800] = 2109,
  [2801] = 2110,
  [2802] = 2111,
  [2803] = 2112,
  [2804] = 2102,
  [2805] = 2104,
  [2806] = 2105,
  [2807] = 2116,
  [2808] = 2117,
  [2809] = 2110,
  [2810] = 2111,
  [2811] = 2118,
  [2812] = 2116,
  [2813] = 803,
  [2814] = 2814,
  [2815] = 2814,
  [2816] = 803,
  [2817] = 2817,
  [2818] = 2817,
  [2819] = 2814,
  [2820] = 2817,
  [2821] = 803,
  [2822] = 2817,
  [2823] = 803,
  [2824] = 2814,
  [2825] = 2817,
  [2826] = 2817,
  [2827] = 2814,
  [2828] = 2814,
  [2829] = 2817,
  [2830] = 2814,
  [2831] = 803,
  [2832] = 2814,
  [2833] = 2817,
  [2834] = 803,
  [2835] = 2817,
  [2836] = 2814,
  [2837] = 2817,
  [2838] = 2817,
  [2839] = 2814,
  [2840] = 2814,
  [2841] = 2814,
  [2842] = 2817,
  [2843] = 2814,
  [2844] = 2817,
  [2845] = 2814,
  [2846] = 2814,
  [2847] = 2817,
  [2848] = 2817,
  [2849] = 2814,
  [2850] = 2817,
  [2851] = 2814,
  [2852] = 2817,
  [2853] = 2817,
  [2854] = 2814,
  [2855] = 803,
  [2856] = 803,
  [2857] = 803,
  [2858] = 2858,
  [2859] = 803,
  [2860] = 803,
  [2861] = 2817,
  [2862] = 2814,
  [2863] = 2814,
  [2864] = 2858,
  [2865] = 803,
  [2866] = 2858,
  [2867] = 2867,
  [2868] = 2817,
  [2869] = 2817,
  [2870] = 2870,
  [2871] = 2858,
  [2872] = 2870,
  [2873] = 2870,
  [2874] = 2870,
  [2875] = 2867,
  [2876] = 2870,
  [2877] = 2870,
  [2878] = 2870,
  [2879] = 2870,
  [2880] = 2814,
  [2881] = 2867,
  [2882] = 2867,
  [2883] = 2817,
  [2884] = 2814,
  [2885] = 803,
  [2886] = 2814,
  [2887] = 2817,
  [2888] = 2888,
  [2889] = 2888,
  [2890] = 2888,
  [2891] = 2891,
  [2892] = 803,
  [2893] = 2891,
  [2894] = 2814,
  [2895] = 2888,
  [2896] = 2888,
  [2897] = 2888,
  [2898] = 2891,
  [2899] = 2891,
  [2900] = 2817,
  [2901] = 803,
  [2902] = 803,
  [2903] = 2817,
  [2904] = 803,
  [2905] = 803,
  [2906] = 2814,
  [2907] = 803,
  [2908] = 803,
  [2909] = 803,
  [2910] = 2910,
  [2911] = 803,
  [2912] = 2910,
  [2913] = 2910,
  [2914] = 803,
  [2915] = 2814,
  [2916] = 2910,
  [2917] = 2917,
  [2918] = 2910,
  [2919] = 803,
  [2920] = 2817,
  [2921] = 2910,
  [2922] = 2917,
  [2923] = 803,
  [2924] = 2917,
  [2925] = 2910,
  [2926] = 803,
  [2927] = 2817,
  [2928] = 2917,
  [2929] = 2929,
  [2930] = 2930,
  [2931] = 2929,
  [2932] = 2817,
  [2933] = 2917,
  [2934] = 2930,
  [2935] = 2929,
  [2936] = 2817,
  [2937] = 2817,
  [2938] = 2814,
  [2939] = 2917,
  [2940] = 2930,
  [2941] = 2941,
  [2942] = 2941,
  [2943] = 2941,
  [2944] = 2941,
  [2945] = 2817,
  [2946] = 2814,
  [2947] = 2941,
  [2948] = 2941,
  [2949] = 2814,
  [2950] = 2814,
  [2951] = 2814,
  [2952] = 2817,
  [2953] = 2817,
  [2954] = 2814,
  [2955] = 2817,
  [2956] = 2817,
  [2957] = 2941,
  [2958] = 2941,
  [2959] = 2814,
  [2960] = 2817,
  [2961] = 2941,
  [2962] = 2930,
  [2963] = 2814,
  [2964] = 2817,
  [2965] = 2814,
  [2966] = 2817,
  [2967] = 2814,
  [2968] = 2929,
  [2969] = 2817,
  [2970] = 2814,
  [2971] = 2929,
  [2972] = 2814,
  [2973] = 2817,
  [2974] = 2930,
  [2975] = 2817,
  [2976] = 2817,
  [2977] = 2817,
  [2978] = 2978,
  [2979] = 2979,
  [2980] = 2817,
  [2981] = 2981,
  [2982] = 2982,
  [2983] = 2983,
  [2984] = 2984,
  [2985] = 2985,
  [2986] = 2986,
  [2987] = 2987,
  [2988] = 2979,
  [2989] = 2989,
  [2990] = 2990,
  [2991] = 2982,
  [2992] = 2984,
  [2993] = 2983,
  [2994] = 2986,
  [2995] = 2987,
  [2996] = 2929,
  [2997] = 2987,
  [2998] = 2985,
  [2999] = 2930,
  [3000] = 2979,
  [3001] = 2981,
  [3002] = 2990,
  [3003] = 2989,
  [3004] = 2981,
  [3005] = 2985,
  [3006] = 3006,
  [3007] = 2982,
  [3008] = 2983,
  [3009] = 2990,
  [3010] = 2986,
  [3011] = 2989,
  [3012] = 2984,
  [3013] = 2986,
  [3014] = 2978,
  [3015] = 2986,
  [3016] = 2982,
  [3017] = 2983,
  [3018] = 2981,
  [3019] = 2982,
  [3020] = 2858,
  [3021] = 2981,
  [3022] = 2985,
  [3023] = 2985,
  [3024] = 2987,
  [3025] = 2979,
  [3026] = 2990,
  [3027] = 2989,
  [3028] = 2987,
  [3029] = 2979,
  [3030] = 2989,
  [3031] = 2984,
  [3032] = 2990,
  [3033] = 2983,
  [3034] = 2984,
  [3035] = 3035,
  [3036] = 2867,
  [3037] = 3006,
  [3038] = 2978,
  [3039] = 3035,
  [3040] = 3006,
  [3041] = 3041,
  [3042] = 3041,
  [3043] = 3035,
  [3044] = 3041,
  [3045] = 3041,
  [3046] = 3041,
  [3047] = 3041,
  [3048] = 3041,
  [3049] = 3049,
  [3050] = 3049,
  [3051] = 3041,
  [3052] = 3041,
  [3053] = 3049,
  [3054] = 3041,
  [3055] = 3049,
  [3056] = 3041,
  [3057] = 3041,
  [3058] = 3049,
  [3059] = 3041,
  [3060] = 3041,
  [3061] = 3041,
  [3062] = 3041,
  [3063] = 3041,
  [3064] = 3041,
  [3065] = 3049,
  [3066] = 3041,
  [3067] = 3041,
  [3068] = 3049,
  [3069] = 3041,
  [3070] = 3041,
  [3071] = 3049,
  [3072] = 3041,
  [3073] = 3049,
  [3074] = 3049,
  [3075] = 3041,
  [3076] = 3049,
  [3077] = 3041,
  [3078] = 3049,
  [3079] = 3049,
  [3080] = 3041,
  [3081] = 3041,
  [3082] = 3049,
  [3083] = 3041,
  [3084] = 3041,
  [3085] = 3041,
  [3086] = 3041,
  [3087] = 3041,
  [3088] = 3041,
  [3089] = 3041,
  [3090] = 3049,
  [3091] = 3049,
  [3092] = 3049,
  [3093] = 3049,
  [3094] = 3041,
  [3095] = 3041,
  [3096] = 3049,
  [3097] = 3041,
  [3098] = 3041,
  [3099] = 3049,
  [3100] = 3049,
  [3101] = 3049,
  [3102] = 3049,
  [3103] = 3041,
  [3104] = 3041,
  [3105] = 3041,
  [3106] = 3049,
  [3107] = 3049,
  [3108] = 3049,
  [3109] = 3049,
  [3110] = 3049,
  [3111] = 3035,
  [3112] = 3041,
  [3113] = 3041,
  [3114] = 3049,
  [3115] = 3049,
  [3116] = 3049,
  [3117] = 3041,
  [3118] = 3041,
  [3119] = 3049,
  [3120] = 3041,
  [3121] = 3049,
  [3122] = 3049,
  [3123] = 3049,
  [3124] = 3049,
  [3125] = 3041,
  [3126] = 3049,
  [3127] = 3049,
  [3128] = 3041,
  [3129] = 3041,
  [3130] = 3049,
  [3131] = 3049,
  [3132] = 3049,
  [3133] = 3041,
  [3134] = 3049,
  [3135] = 3049,
  [3136] = 3041,
  [3137] = 3049,
  [3138] = 3041,
  [3139] = 3049,
  [3140] = 3049,
  [3141] = 3041,
  [3142] = 3049,
  [3143] = 3041,
  [3144] = 3049,
  [3145] = 3049,
  [3146] = 3049,
  [3147] = 3041,
  [3148] = 3148,
  [3149] = 3148,
  [3150] = 3150,
  [3151] = 3148,
  [3152] = 3152,
  [3153] = 3153,
  [3154] = 3154,
  [3155] = 3148,
  [3156] = 3150,
  [3157] = 3153,
  [3158] = 3148,
  [3159] = 3152,
  [3160] = 3160,
  [3161] = 3148,
  [3162] = 3152,
  [3163] = 3150,
  [3164] = 3153,
  [3165] = 3150,
  [3166] = 3153,
  [3167] = 3150,
  [3168] = 3148,
  [3169] = 3152,
  [3170] = 3152,
  [3171] = 3153,
  [3172] = 3172,
  [3173] = 3150,
  [3174] = 3153,
  [3175] = 3150,
  [3176] = 3148,
  [3177] = 3148,
  [3178] = 3160,
  [3179] = 3152,
  [3180] = 3148,
  [3181] = 3152,
  [3182] = 3152,
  [3183] = 3150,
  [3184] = 3160,
  [3185] = 3150,
  [3186] = 3160,
  [3187] = 3160,
  [3188] = 3153,
  [3189] = 3189,
  [3190] = 3160,
  [3191] = 3148,
  [3192] = 3148,
  [3193] = 3152,
  [3194] = 3148,
  [3195] = 3150,
  [3196] = 3153,
  [3197] = 3150,
  [3198] = 3153,
  [3199] = 3152,
  [3200] = 3160,
  [3201] = 3160,
  [3202] = 3153,
  [3203] = 3203,
  [3204] = 3160,
  [3205] = 3150,
  [3206] = 3150,
  [3207] = 3153,
  [3208] = 3160,
  [3209] = 3152,
  [3210] = 3148,
  [3211] = 3160,
  [3212] = 3148,
  [3213] = 3153,
  [3214] = 3150,
  [3215] = 3152,
  [3216] = 3153,
  [3217] = 3148,
  [3218] = 3148,
  [3219] = 3152,
  [3220] = 3152,
  [3221] = 3152,
  [3222] = 3150,
  [3223] = 3152,
  [3224] = 3150,
  [3225] = 3160,
  [3226] = 3160,
  [3227] = 3148,
  [3228] = 3150,
  [3229] = 3153,
  [3230] = 3153,
  [3231] = 3152,
  [3232] = 3148,
  [3233] = 3160,
  [3234] = 3150,
  [3235] = 3152,
  [3236] = 3160,
  [3237] = 3160,
  [3238] = 3153,
  [3239] = 3160,
  [3240] = 3148,
  [3241] = 3150,
  [3242] = 3160,
  [3243] = 3153,
  [3244] = 3152,
  [3245] = 3148,
  [3246] = 3148,
  [3247] = 3160,
  [3248] = 3152,
  [3249] = 3153,
  [3250] = 3150,
  [3251] = 3150,
  [3252] = 3150,
  [3253] = 3153,
  [3254] = 3153,
  [3255] = 3152,
  [3256] = 3153,
  [3257] = 3257,
  [3258] = 3152,
  [3259] = 3150,
  [3260] = 3150,
  [3261] = 3153,
  [3262] = 3148,
  [3263] = 3153,
  [3264] = 3152,
  [3265] = 3160,
  [3266] = 3160,
  [3267] = 3152,
  [3268] = 3160,
  [3269] = 3160,
  [3270] = 3148,
  [3271] = 3153,
  [3272] = 3152,
  [3273] = 3148,
  [3274] = 3152,
  [3275] = 3160,
  [3276] = 3153,
  [3277] = 3150,
  [3278] = 3160,
  [3279] = 3150,
  [3280] = 3148,
  [3281] = 3153,
  [3282] = 3153,
  [3283] = 3148,
  [3284] = 3152,
  [3285] = 3150,
  [3286] = 3150,
  [3287] = 3160,
  [3288] = 3150,
  [3289] = 3153,
  [3290] = 3153,
  [3291] = 3148,
  [3292] = 3148,
  [3293] = 3152,
  [3294] = 3150,
  [3295] = 3153,
  [3296] = 3152,
  [3297] = 3160,
  [3298] = 3148,
  [3299] = 3160,
  [3300] = 3152,
  [3301] = 3148,
  [3302] = 3150,
  [3303] = 3153,
  [3304] = 3148,
  [3305] = 3150,
  [3306] = 3160,
  [3307] = 3153,
  [3308] = 3148,
  [3309] = 3150,
  [3310] = 3148,
  [3311] = 3152,
  [3312] = 3160,
  [3313] = 3153,
  [3314] = 3153,
  [3315] = 3160,
  [3316] = 3148,
  [3317] = 3152,
  [3318] = 3150,
  [3319] = 3150,
  [3320] = 3153,
  [3321] = 3152,
  [3322] = 3148,
  [3323] = 3152,
  [3324] = 3148,
  [3325] = 3152,
  [3326] = 3150,
  [3327] = 3152,
  [3328] = 3153,
  [3329] = 3150,
  [3330] = 3153,
  [3331] = 3148,
  [3332] = 3150,
  [3333] = 3150,
  [3334] = 3153,
  [3335] = 3152,
  [3336] = 3148,
  [3337] = 3160,
  [3338] = 3148,
  [3339] = 3160,
  [3340] = 3160,
  [3341] = 3153,
  [3342] = 3152,
  [3343] = 3153,
  [3344] = 3148,
  [3345] = 3152,
  [3346] = 3160,
  [3347] = 3150,
  [3348] = 3150,
  [3349] = 3153,
  [3350] = 3160,
  [3351] = 3148,
  [3352] = 3153,
  [3353] = 3153,
  [3354] = 3152,
  [3355] = 3148,
  [3356] = 2858,
  [3357] = 3160,
  [3358] = 3152,
  [3359] = 3152,
  [3360] = 3148,
  [3361] = 3152,
  [3362] = 3150,
  [3363] = 3150,
  [3364] = 3153,
  [3365] = 3153,
  [3366] = 3160,
  [3367] = 3153,
  [3368] = 3148,
  [3369] = 3152,
  [3370] = 3150,
  [3371] = 3150,
  [3372] = 3153,
  [3373] = 3153,
  [3374] = 3150,
  [3375] = 3153,
  [3376] = 3150,
  [3377] = 3160,
  [3378] = 3152,
  [3379] = 3148,
  [3380] = 3160,
  [3381] = 3160,
  [3382] = 3160,
  [3383] = 3148,
  [3384] = 3160,
  [3385] = 3160,
  [3386] = 3148,
  [3387] = 3152,
  [3388] = 3150,
  [3389] = 3153,
  [3390] = 3152,
  [3391] = 3148,
  [3392] = 3152,
  [3393] = 3160,
  [3394] = 3152,
  [3395] = 3160,
  [3396] = 3160,
  [3397] = 3160,
  [3398] = 3160,
  [3399] = 3399,
  [3400] = 3148,
  [3401] = 3160,
  [3402] = 3152,
  [3403] = 3150,
  [3404] = 3150,
  [3405] = 3405,
  [3406] = 3406,
  [3407] = 3407,
  [3408] = 2978,
  [3409] = 3409,
  [3410] = 3409,
  [3411] = 3407,
  [3412] = 3407,
  [3413] = 3407,
  [3414] = 3407,
  [3415] = 2858,
  [3416] = 2867,
  [3417] = 3407,
  [3418] = 3409,
  [3419] = 3407,
  [3420] = 3406,
  [3421] = 2858,
  [3422] = 3407,
  [3423] = 3407,
  [3424] = 3406,
  [3425] = 3409,
  [3426] = 3407,
  [3427] = 2917,
  [3428] = 3428,
  [3429] = 3428,
  [3430] = 3428,
  [3431] = 3431,
  [3432] = 3432,
  [3433] = 3428,
  [3434] = 2867,
  [3435] = 3428,
  [3436] = 3428,
  [3437] = 3437,
  [3438] = 3438,
  [3439] = 3437,
  [3440] = 3438,
  [3441] = 3441,
  [3442] = 3442,
  [3443] = 3443,
  [3444] = 3444,
  [3445] = 3438,
  [3446] = 3442,
  [3447] = 3442,
  [3448] = 3428,
  [3449] = 3442,
  [3450] = 3443,
  [3451] = 3444,
  [3452] = 3431,
  [3453] = 3432,
  [3454] = 3442,
  [3455] = 3428,
  [3456] = 3442,
  [3457] = 3437,
  [3458] = 3438,
  [3459] = 3443,
  [3460] = 3444,
  [3461] = 3442,
  [3462] = 3442,
  [3463] = 3442,
  [3464] = 3442,
  [3465] = 3428,
  [3466] = 3442,
  [3467] = 3428,
  [3468] = 3442,
  [3469] = 3442,
  [3470] = 3428,
  [3471] = 3442,
  [3472] = 3431,
  [3473] = 3432,
  [3474] = 3442,
  [3475] = 2930,
  [3476] = 3442,
  [3477] = 3428,
  [3478] = 3442,
  [3479] = 3442,
  [3480] = 3428,
  [3481] = 3442,
  [3482] = 3442,
  [3483] = 3437,
  [3484] = 3438,
  [3485] = 3428,
  [3486] = 3428,
  [3487] = 3442,
  [3488] = 3442,
  [3489] = 3443,
  [3490] = 3444,
  [3491] = 2929,
  [3492] = 3442,
  [3493] = 3442,
  [3494] = 3428,
  [3495] = 3442,
  [3496] = 3441,
  [3497] = 3442,
  [3498] = 3428,
  [3499] = 3442,
  [3500] = 3441,
  [3501] = 3442,
  [3502] = 3428,
  [3503] = 3441,
  [3504] = 2817,
  [3505] = 3441,
  [3506] = 3442,
  [3507] = 3441,
  [3508] = 3442,
  [3509] = 3441,
  [3510] = 3431,
  [3511] = 3432,
  [3512] = 3428,
  [3513] = 3431,
  [3514] = 3442,
  [3515] = 3428,
  [3516] = 3428,
  [3517] = 3428,
  [3518] = 3442,
  [3519] = 3428,
  [3520] = 3437,
  [3521] = 3438,
  [3522] = 3431,
  [3523] = 3432,
  [3524] = 3428,
  [3525] = 3442,
  [3526] = 3442,
  [3527] = 3443,
  [3528] = 3444,
  [3529] = 3006,
  [3530] = 3428,
  [3531] = 3442,
  [3532] = 3428,
  [3533] = 3428,
  [3534] = 3442,
  [3535] = 3428,
  [3536] = 3428,
  [3537] = 3443,
  [3538] = 3428,
  [3539] = 3442,
  [3540] = 3431,
  [3541] = 3432,
  [3542] = 3437,
  [3543] = 3438,
  [3544] = 3428,
  [3545] = 3428,
  [3546] = 3431,
  [3547] = 3432,
  [3548] = 3442,
  [3549] = 3437,
  [3550] = 3438,
  [3551] = 3428,
  [3552] = 3428,
  [3553] = 3432,
  [3554] = 3443,
  [3555] = 3444,
  [3556] = 3443,
  [3557] = 3444,
  [3558] = 3428,
  [3559] = 2867,
  [3560] = 3444,
  [3561] = 3428,
  [3562] = 3428,
  [3563] = 3437,
  [3564] = 3428,
  [3565] = 3565,
  [3566] = 3565,
  [3567] = 3567,
  [3568] = 3568,
  [3569] = 3569,
  [3570] = 3570,
  [3571] = 3035,
  [3572] = 3572,
  [3573] = 3569,
  [3574] = 3574,
  [3575] = 3567,
  [3576] = 3565,
  [3577] = 3577,
  [3578] = 3578,
  [3579] = 3579,
  [3580] = 3580,
  [3581] = 3581,
  [3582] = 3582,
  [3583] = 3574,
  [3584] = 3565,
  [3585] = 3574,
  [3586] = 3577,
  [3587] = 3565,
  [3588] = 3578,
  [3589] = 3574,
  [3590] = 3574,
  [3591] = 3579,
  [3592] = 3565,
  [3593] = 3593,
  [3594] = 3574,
  [3595] = 3565,
  [3596] = 3574,
  [3597] = 3565,
  [3598] = 3574,
  [3599] = 3565,
  [3600] = 3593,
  [3601] = 3574,
  [3602] = 3565,
  [3603] = 3574,
  [3604] = 3565,
  [3605] = 3593,
  [3606] = 3580,
  [3607] = 3574,
  [3608] = 3581,
  [3609] = 3565,
  [3610] = 3574,
  [3611] = 3565,
  [3612] = 3574,
  [3613] = 3565,
  [3614] = 3574,
  [3615] = 3565,
  [3616] = 3574,
  [3617] = 3565,
  [3618] = 3574,
  [3619] = 3565,
  [3620] = 3620,
  [3621] = 3574,
  [3622] = 3622,
  [3623] = 3565,
  [3624] = 3574,
  [3625] = 3582,
  [3626] = 3565,
  [3627] = 3574,
  [3628] = 3565,
  [3629] = 3574,
  [3630] = 3630,
  [3631] = 3565,
  [3632] = 3632,
  [3633] = 3574,
  [3634] = 3565,
  [3635] = 3567,
  [3636] = 3636,
  [3637] = 3574,
  [3638] = 3565,
  [3639] = 3577,
  [3640] = 3578,
  [3641] = 3574,
  [3642] = 3579,
  [3643] = 3565,
  [3644] = 3580,
  [3645] = 3581,
  [3646] = 3574,
  [3647] = 3565,
  [3648] = 3648,
  [3649] = 3582,
  [3650] = 3574,
  [3651] = 3651,
  [3652] = 3652,
  [3653] = 3565,
  [3654] = 3574,
  [3655] = 3565,
  [3656] = 3568,
  [3657] = 3574,
  [3658] = 3565,
  [3659] = 3574,
  [3660] = 3565,
  [3661] = 3574,
  [3662] = 3565,
  [3663] = 3620,
  [3664] = 3574,
  [3665] = 3565,
  [3666] = 3574,
  [3667] = 3565,
  [3668] = 3574,
  [3669] = 3565,
  [3670] = 3622,
  [3671] = 3574,
  [3672] = 3565,
  [3673] = 3574,
  [3674] = 3565,
  [3675] = 3574,
  [3676] = 3565,
  [3677] = 3569,
  [3678] = 3574,
  [3679] = 3565,
  [3680] = 3574,
  [3681] = 3565,
  [3682] = 3574,
  [3683] = 3565,
  [3684] = 3574,
  [3685] = 3565,
  [3686] = 3574,
  [3687] = 3630,
  [3688] = 3565,
  [3689] = 3632,
  [3690] = 3574,
  [3691] = 3636,
  [3692] = 3565,
  [3693] = 3574,
  [3694] = 3565,
  [3695] = 3574,
  [3696] = 3565,
  [3697] = 3570,
  [3698] = 3574,
  [3699] = 3630,
  [3700] = 3632,
  [3701] = 3565,
  [3702] = 3636,
  [3703] = 3703,
  [3704] = 3574,
  [3705] = 3565,
  [3706] = 3574,
  [3707] = 3565,
  [3708] = 3651,
  [3709] = 3652,
  [3710] = 3574,
  [3711] = 3568,
  [3712] = 3565,
  [3713] = 3574,
  [3714] = 3578,
  [3715] = 3565,
  [3716] = 3582,
  [3717] = 3651,
  [3718] = 3574,
  [3719] = 3652,
  [3720] = 3565,
  [3721] = 3620,
  [3722] = 3574,
  [3723] = 3622,
  [3724] = 3574,
  [3725] = 3565,
  [3726] = 3574,
  [3727] = 3565,
  [3728] = 3630,
  [3729] = 3593,
  [3730] = 3567,
  [3731] = 3731,
  [3732] = 3732,
  [3733] = 3733,
  [3734] = 3593,
  [3735] = 3735,
  [3736] = 3736,
  [3737] = 3737,
  [3738] = 3738,
  [3739] = 3739,
  [3740] = 3620,
  [3741] = 3741,
  [3742] = 3622,
  [3743] = 3735,
  [3744] = 3735,
  [3745] = 3745,
  [3746] = 3746,
  [3747] = 3747,
  [3748] = 3748,
  [3749] = 3733,
  [3750] = 3735,
  [3751] = 3737,
  [3752] = 3752,
  [3753] = 3753,
  [3754] = 3745,
  [3755] = 3746,
  [3756] = 3756,
  [3757] = 3757,
  [3758] = 3758,
  [3759] = 3731,
  [3760] = 3760,
  [3761] = 3761,
  [3762] = 3762,
  [3763] = 3735,
  [3764] = 3630,
  [3765] = 3736,
  [3766] = 3766,
  [3767] = 3651,
  [3768] = 3731,
  [3769] = 3735,
  [3770] = 3770,
  [3771] = 3620,
  [3772] = 3772,
  [3773] = 3773,
  [3774] = 3774,
  [3775] = 3622,
  [3776] = 3569,
  [3777] = 3630,
  [3778] = 3735,
  [3779] = 3632,
  [3780] = 3780,
  [3781] = 3781,
  [3782] = 3782,
  [3783] = 3735,
  [3784] = 3784,
  [3785] = 3785,
  [3786] = 3786,
  [3787] = 3735,
  [3788] = 3788,
  [3789] = 3567,
  [3790] = 3790,
  [3791] = 3735,
  [3792] = 3792,
  [3793] = 3774,
  [3794] = 3735,
  [3795] = 3636,
  [3796] = 3652,
  [3797] = 3797,
  [3798] = 3735,
  [3799] = 3593,
  [3800] = 3785,
  [3801] = 3735,
  [3802] = 3802,
  [3803] = 3803,
  [3804] = 3569,
  [3805] = 3805,
  [3806] = 3806,
  [3807] = 3790,
  [3808] = 3630,
  [3809] = 3809,
  [3810] = 3810,
  [3811] = 3770,
  [3812] = 3812,
  [3813] = 3738,
  [3814] = 3630,
  [3815] = 3773,
  [3816] = 3784,
  [3817] = 3632,
  [3818] = 3748,
  [3819] = 3792,
  [3820] = 3636,
  [3821] = 3567,
  [3822] = 3735,
  [3823] = 3803,
  [3824] = 3632,
  [3825] = 3636,
  [3826] = 3826,
  [3827] = 3651,
  [3828] = 3652,
  [3829] = 3735,
  [3830] = 3568,
  [3831] = 3735,
  [3832] = 3568,
  [3833] = 3735,
  [3834] = 3834,
  [3835] = 3735,
  [3836] = 3836,
  [3837] = 3837,
  [3838] = 3838,
  [3839] = 3651,
  [3840] = 3652,
  [3841] = 3568,
  [3842] = 3753,
  [3843] = 3739,
  [3844] = 3844,
  [3845] = 3845,
  [3846] = 3567,
  [3847] = 3847,
  [3848] = 3848,
  [3849] = 3849,
  [3850] = 3786,
  [3851] = 3735,
  [3852] = 3735,
  [3853] = 3569,
  [3854] = 3836,
  [3855] = 3593,
  [3856] = 3856,
  [3857] = 3760,
  [3858] = 3735,
  [3859] = 3736,
  [3860] = 3860,
  [3861] = 3632,
  [3862] = 3636,
  [3863] = 3863,
  [3864] = 3651,
  [3865] = 3652,
  [3866] = 3770,
  [3867] = 3773,
  [3868] = 3568,
  [3869] = 3622,
  [3870] = 3784,
  [3871] = 3871,
  [3872] = 3872,
  [3873] = 3735,
  [3874] = 3874,
  [3875] = 3875,
  [3876] = 3735,
  [3877] = 3786,
  [3878] = 3632,
  [3879] = 3879,
  [3880] = 3806,
  [3881] = 3735,
  [3882] = 3732,
  [3883] = 3757,
  [3884] = 3884,
  [3885] = 3885,
  [3886] = 3886,
  [3887] = 3887,
  [3888] = 3741,
  [3889] = 3735,
  [3890] = 3569,
  [3891] = 3735,
  [3892] = 3892,
  [3893] = 3893,
  [3894] = 3894,
  [3895] = 3735,
  [3896] = 3567,
  [3897] = 3747,
  [3898] = 3802,
  [3899] = 3593,
  [3900] = 3735,
  [3901] = 3780,
  [3902] = 3735,
  [3903] = 3735,
  [3904] = 3756,
  [3905] = 3752,
  [3906] = 3906,
  [3907] = 3620,
  [3908] = 3758,
  [3909] = 3802,
  [3910] = 3630,
  [3911] = 3844,
  [3912] = 3805,
  [3913] = 3805,
  [3914] = 3632,
  [3915] = 3735,
  [3916] = 3622,
  [3917] = 3847,
  [3918] = 3834,
  [3919] = 3788,
  [3920] = 3735,
  [3921] = 3735,
  [3922] = 3922,
  [3923] = 3874,
  [3924] = 3922,
  [3925] = 3925,
  [3926] = 3838,
  [3927] = 3927,
  [3928] = 3636,
  [3929] = 3856,
  [3930] = 3651,
  [3931] = 3931,
  [3932] = 3652,
  [3933] = 3933,
  [3934] = 3568,
  [3935] = 3927,
  [3936] = 3834,
  [3937] = 3738,
  [3938] = 3735,
  [3939] = 3636,
  [3940] = 3940,
  [3941] = 3931,
  [3942] = 3942,
  [3943] = 3735,
  [3944] = 3944,
  [3945] = 3837,
  [3946] = 3847,
  [3947] = 3622,
  [3948] = 3874,
  [3949] = 3927,
  [3950] = 3761,
  [3951] = 3931,
  [3952] = 3942,
  [3953] = 3620,
  [3954] = 3879,
  [3955] = 3944,
  [3956] = 3741,
  [3957] = 3735,
  [3958] = 3958,
  [3959] = 3748,
  [3960] = 3753,
  [3961] = 3845,
  [3962] = 3757,
  [3963] = 3781,
  [3964] = 3860,
  [3965] = 3810,
  [3966] = 3739,
  [3967] = 3863,
  [3968] = 3735,
  [3969] = 3735,
  [3970] = 3837,
  [3971] = 3809,
  [3972] = 3651,
  [3973] = 3735,
  [3974] = 3797,
  [3975] = 3766,
  [3976] = 3826,
  [3977] = 3925,
  [3978] = 3884,
  [3979] = 3812,
  [3980] = 3652,
  [3981] = 3849,
  [3982] = 3735,
  [3983] = 3875,
  [3984] = 3887,
  [3985] = 3985,
  [3986] = 3892,
  [3987] = 3848,
  [3988] = 3893,
  [3989] = 3567,
  [3990] = 3856,
  [3991] = 3809,
  [3992] = 3992,
  [3993] = 3568,
  [3994] = 3747,
  [3995] = 3942,
  [3996] = 3879,
  [3997] = 3797,
  [3998] = 3735,
  [3999] = 3826,
  [4000] = 3838,
  [4001] = 3760,
  [4002] = 3780,
  [4003] = 3884,
  [4004] = 3735,
  [4005] = 3752,
  [4006] = 3735,
  [4007] = 3758,
  [4008] = 3761,
  [4009] = 3766,
  [4010] = 3958,
  [4011] = 3772,
  [4012] = 3774,
  [4013] = 3806,
  [4014] = 3620,
  [4015] = 3785,
  [4016] = 3790,
  [4017] = 3985,
  [4018] = 3792,
  [4019] = 3803,
  [4020] = 3992,
  [4021] = 3812,
  [4022] = 3848,
  [4023] = 3735,
  [4024] = 3593,
  [4025] = 3925,
  [4026] = 3735,
  [4027] = 3849,
  [4028] = 3894,
  [4029] = 3933,
  [4030] = 3871,
  [4031] = 3735,
  [4032] = 3788,
  [4033] = 3872,
  [4034] = 3940,
  [4035] = 3871,
  [4036] = 3872,
  [4037] = 3885,
  [4038] = 3845,
  [4039] = 3933,
  [4040] = 3735,
  [4041] = 3875,
  [4042] = 3886,
  [4043] = 3985,
  [4044] = 3992,
  [4045] = 3733,
  [4046] = 3887,
  [4047] = 3885,
  [4048] = 3906,
  [4049] = 3756,
  [4050] = 3735,
  [4051] = 3886,
  [4052] = 3772,
  [4053] = 3894,
  [4054] = 3940,
  [4055] = 3735,
  [4056] = 3762,
  [4057] = 3810,
  [4058] = 3737,
  [4059] = 3745,
  [4060] = 3569,
  [4061] = 3620,
  [4062] = 3922,
  [4063] = 3735,
  [4064] = 3860,
  [4065] = 3746,
  [4066] = 3781,
  [4067] = 3906,
  [4068] = 3892,
  [4069] = 3782,
  [4070] = 3893,
  [4071] = 3762,
  [4072] = 3958,
  [4073] = 3735,
  [4074] = 3863,
  [4075] = 3569,
  [4076] = 3944,
  [4077] = 3836,
  [4078] = 3782,
  [4079] = 3622,
  [4080] = 3732,
  [4081] = 3844,
  [4082] = 3758,
  [4083] = 3849,
  [4084] = 3875,
  [4085] = 3887,
  [4086] = 3892,
  [4087] = 3893,
  [4088] = 3752,
  [4089] = 3758,
  [4090] = 3761,
  [4091] = 3766,
  [4092] = 3772,
  [4093] = 3774,
  [4094] = 3785,
  [4095] = 3790,
  [4096] = 3792,
  [4097] = 3803,
  [4098] = 3812,
  [4099] = 3848,
  [4100] = 3809,
  [4101] = 3871,
  [4102] = 3872,
  [4103] = 3885,
  [4104] = 3886,
  [4105] = 3756,
  [4106] = 3933,
  [4107] = 3944,
  [4108] = 3940,
  [4109] = 3845,
  [4110] = 3985,
  [4111] = 3782,
  [4112] = 3992,
  [4113] = 3925,
  [4114] = 3856,
  [4115] = 3836,
  [4116] = 3906,
  [4117] = 3733,
  [4118] = 3732,
  [4119] = 3738,
  [4120] = 3737,
  [4121] = 3745,
  [4122] = 3731,
  [4123] = 3746,
  [4124] = 3809,
  [4125] = 3806,
  [4126] = 3741,
  [4127] = 3781,
  [4128] = 3747,
  [4129] = 3760,
  [4130] = 3780,
  [4131] = 3788,
  [4132] = 3844,
  [4133] = 3922,
  [4134] = 3847,
  [4135] = 3874,
  [4136] = 3927,
  [4137] = 3931,
  [4138] = 3942,
  [4139] = 3836,
  [4140] = 3958,
  [4141] = 3748,
  [4142] = 3753,
  [4143] = 3757,
  [4144] = 3810,
  [4145] = 3739,
  [4146] = 3797,
  [4147] = 3826,
  [4148] = 3849,
  [4149] = 3875,
  [4150] = 3887,
  [4151] = 3892,
  [4152] = 3893,
  [4153] = 3752,
  [4154] = 3761,
  [4155] = 3766,
  [4156] = 3772,
  [4157] = 3774,
  [4158] = 3785,
  [4159] = 3790,
  [4160] = 3792,
  [4161] = 3803,
  [4162] = 3812,
  [4163] = 3848,
  [4164] = 3809,
  [4165] = 3871,
  [4166] = 3872,
  [4167] = 3885,
  [4168] = 3886,
  [4169] = 3756,
  [4170] = 3844,
  [4171] = 3944,
  [4172] = 3762,
  [4173] = 3847,
  [4174] = 3874,
  [4175] = 3927,
  [4176] = 3931,
  [4177] = 3942,
  [4178] = 3958,
  [4179] = 3748,
  [4180] = 3753,
  [4181] = 3757,
  [4182] = 3810,
  [4183] = 3739,
  [4184] = 3797,
  [4185] = 3826,
  [4186] = 3849,
  [4187] = 3782,
  [4188] = 3875,
  [4189] = 3887,
  [4190] = 3892,
  [4191] = 3893,
  [4192] = 3752,
  [4193] = 3758,
  [4194] = 3761,
  [4195] = 3766,
  [4196] = 3772,
  [4197] = 3774,
  [4198] = 3785,
  [4199] = 3790,
  [4200] = 3792,
  [4201] = 3803,
  [4202] = 3812,
  [4203] = 3848,
  [4204] = 3871,
  [4205] = 3872,
  [4206] = 3885,
  [4207] = 3886,
  [4208] = 3756,
  [4209] = 3944,
  [4210] = 3925,
  [4211] = 3856,
  [4212] = 3906,
  [4213] = 3733,
  [4214] = 3782,
  [4215] = 3732,
  [4216] = 3738,
  [4217] = 3737,
  [4218] = 3745,
  [4219] = 3731,
  [4220] = 3746,
  [4221] = 3806,
  [4222] = 3741,
  [4223] = 3781,
  [4224] = 3747,
  [4225] = 3760,
  [4226] = 3780,
  [4227] = 3788,
  [4228] = 3925,
  [4229] = 3856,
  [4230] = 3906,
  [4231] = 3732,
  [4232] = 3738,
  [4233] = 3731,
  [4234] = 3806,
  [4235] = 3741,
  [4236] = 3781,
  [4237] = 3747,
  [4238] = 3760,
  [4239] = 3780,
  [4240] = 3788,
  [4241] = 3922,
  [4242] = 3762,
  [4243] = 3922,
  [4244] = 3762,
  [4245] = 3736,
  [4246] = 3770,
  [4247] = 3773,
  [4248] = 3784,
  [4249] = 3786,
  [4250] = 3802,
  [4251] = 3805,
  [4252] = 3834,
  [4253] = 3837,
  [4254] = 3860,
  [4255] = 3863,
  [4256] = 3879,
  [4257] = 3884,
  [4258] = 3894,
  [4259] = 3933,
  [4260] = 3940,
  [4261] = 3845,
  [4262] = 3736,
  [4263] = 3985,
  [4264] = 3992,
  [4265] = 3770,
  [4266] = 3773,
  [4267] = 3784,
  [4268] = 3786,
  [4269] = 3736,
  [4270] = 3770,
  [4271] = 3773,
  [4272] = 3784,
  [4273] = 3786,
  [4274] = 3802,
  [4275] = 3805,
  [4276] = 3834,
  [4277] = 3837,
  [4278] = 3860,
  [4279] = 3863,
  [4280] = 3802,
  [4281] = 3805,
  [4282] = 3834,
  [4283] = 3837,
  [4284] = 3879,
  [4285] = 3884,
  [4286] = 3860,
  [4287] = 3863,
  [4288] = 3894,
  [4289] = 3933,
  [4290] = 3940,
  [4291] = 3879,
  [4292] = 3884,
  [4293] = 3845,
  [4294] = 3894,
  [4295] = 3985,
  [4296] = 3992,
  [4297] = 3933,
  [4298] = 3940,
  [4299] = 3845,
  [4300] = 3985,
  [4301] = 3992,
  [4302] = 3733,
  [4303] = 3737,
  [4304] = 3745,
  [4305] = 3746,
  [4306] = 3733,
  [4307] = 3737,
  [4308] = 3745,
  [4309] = 3746,
  [4310] = 3733,
  [4311] = 3737,
  [4312] = 3745,
  [4313] = 3746,
  [4314] = 3836,
  [4315] = 3809,
  [4316] = 3844,
  [4317] = 3847,
  [4318] = 3874,
  [4319] = 3927,
  [4320] = 3931,
  [4321] = 3942,
  [4322] = 3958,
  [4323] = 3748,
  [4324] = 3753,
  [4325] = 3757,
  [4326] = 3810,
  [4327] = 3739,
  [4328] = 3797,
  [4329] = 3826,
  [4330] = 3849,
  [4331] = 3875,
  [4332] = 3887,
  [4333] = 3892,
  [4334] = 3893,
  [4335] = 3752,
  [4336] = 3758,
  [4337] = 3761,
  [4338] = 3766,
  [4339] = 3772,
  [4340] = 3774,
  [4341] = 3785,
  [4342] = 3790,
  [4343] = 3792,
  [4344] = 3803,
  [4345] = 3812,
  [4346] = 3848,
  [4347] = 3871,
  [4348] = 3872,
  [4349] = 3885,
  [4350] = 3886,
  [4351] = 3756,
  [4352] = 3944,
  [4353] = 3925,
  [4354] = 3906,
  [4355] = 3782,
  [4356] = 3732,
  [4357] = 3731,
  [4358] = 3826,
  [4359] = 3741,
  [4360] = 3781,
  [4361] = 3747,
  [4362] = 3760,
  [4363] = 3780,
  [4364] = 3788,
  [4365] = 3922,
  [4366] = 3856,
  [4367] = 3738,
  [4368] = 3762,
  [4369] = 3736,
  [4370] = 3770,
  [4371] = 3773,
  [4372] = 3784,
  [4373] = 3786,
  [4374] = 3802,
  [4375] = 3805,
  [4376] = 3834,
  [4377] = 3837,
  [4378] = 3879,
  [4379] = 3860,
  [4380] = 3863,
  [4381] = 3894,
  [4382] = 3933,
  [4383] = 3940,
  [4384] = 3884,
  [4385] = 3985,
  [4386] = 3992,
  [4387] = 3620,
  [4388] = 3622,
  [4389] = 3845,
  [4390] = 3733,
  [4391] = 3737,
  [4392] = 3745,
  [4393] = 3746,
  [4394] = 3836,
  [4395] = 3569,
  [4396] = 3809,
  [4397] = 3630,
  [4398] = 3632,
  [4399] = 3636,
  [4400] = 3651,
  [4401] = 3652,
  [4402] = 3568,
  [4403] = 3844,
  [4404] = 3620,
  [4405] = 3622,
  [4406] = 3847,
  [4407] = 3874,
  [4408] = 3927,
  [4409] = 3931,
  [4410] = 3942,
  [4411] = 3958,
  [4412] = 3748,
  [4413] = 3753,
  [4414] = 3757,
  [4415] = 3810,
  [4416] = 3739,
  [4417] = 3797,
  [4418] = 3826,
  [4419] = 3849,
  [4420] = 3875,
  [4421] = 3887,
  [4422] = 3892,
  [4423] = 3893,
  [4424] = 3752,
  [4425] = 3758,
  [4426] = 3761,
  [4427] = 3766,
  [4428] = 3772,
  [4429] = 3774,
  [4430] = 3785,
  [4431] = 3790,
  [4432] = 3792,
  [4433] = 3803,
  [4434] = 3812,
  [4435] = 3848,
  [4436] = 3871,
  [4437] = 3872,
  [4438] = 3885,
  [4439] = 3886,
  [4440] = 3756,
  [4441] = 3944,
  [4442] = 3925,
  [4443] = 3567,
  [4444] = 3906,
  [4445] = 3782,
  [4446] = 3732,
  [4447] = 3593,
  [4448] = 3731,
  [4449] = 3806,
  [4450] = 3741,
  [4451] = 3781,
  [4452] = 3747,
  [4453] = 3760,
  [4454] = 3780,
  [4455] = 3788,
  [4456] = 3844,
  [4457] = 3620,
  [4458] = 3622,
  [4459] = 3847,
  [4460] = 3874,
  [4461] = 3856,
  [4462] = 3927,
  [4463] = 3931,
  [4464] = 3942,
  [4465] = 3836,
  [4466] = 3958,
  [4467] = 3748,
  [4468] = 3753,
  [4469] = 3757,
  [4470] = 3810,
  [4471] = 3739,
  [4472] = 3797,
  [4473] = 3826,
  [4474] = 3849,
  [4475] = 3875,
  [4476] = 3887,
  [4477] = 3892,
  [4478] = 3893,
  [4479] = 3752,
  [4480] = 3738,
  [4481] = 3758,
  [4482] = 3761,
  [4483] = 3766,
  [4484] = 3772,
  [4485] = 3774,
  [4486] = 3785,
  [4487] = 3790,
  [4488] = 3792,
  [4489] = 3803,
  [4490] = 3812,
  [4491] = 3848,
  [4492] = 3809,
  [4493] = 3871,
  [4494] = 3872,
  [4495] = 3885,
  [4496] = 3886,
  [4497] = 3756,
  [4498] = 3944,
  [4499] = 3925,
  [4500] = 3906,
  [4501] = 3782,
  [4502] = 3732,
  [4503] = 3731,
  [4504] = 3806,
  [4505] = 3741,
  [4506] = 3781,
  [4507] = 3747,
  [4508] = 3760,
  [4509] = 3780,
  [4510] = 3788,
  [4511] = 3922,
  [4512] = 3762,
  [4513] = 3856,
  [4514] = 3738,
  [4515] = 3922,
  [4516] = 3569,
  [4517] = 3630,
  [4518] = 3632,
  [4519] = 3636,
  [4520] = 3651,
  [4521] = 3652,
  [4522] = 3568,
  [4523] = 3762,
  [4524] = 3567,
  [4525] = 3736,
  [4526] = 3593,
  [4527] = 3770,
  [4528] = 3773,
  [4529] = 3784,
  [4530] = 3786,
  [4531] = 3569,
  [4532] = 3630,
  [4533] = 3632,
  [4534] = 3636,
  [4535] = 3651,
  [4536] = 3652,
  [4537] = 3568,
  [4538] = 3802,
  [4539] = 3805,
  [4540] = 3834,
  [4541] = 3837,
  [4542] = 3860,
  [4543] = 3863,
  [4544] = 3879,
  [4545] = 3884,
  [4546] = 3567,
  [4547] = 3797,
  [4548] = 3736,
  [4549] = 3894,
  [4550] = 3593,
  [4551] = 3770,
  [4552] = 3773,
  [4553] = 3784,
  [4554] = 3786,
  [4555] = 3933,
  [4556] = 3940,
  [4557] = 3845,
  [4558] = 3985,
  [4559] = 3992,
  [4560] = 3894,
  [4561] = 3802,
  [4562] = 3805,
  [4563] = 3834,
  [4564] = 3837,
  [4565] = 3860,
  [4566] = 3863,
  [4567] = 3844,
  [4568] = 3847,
  [4569] = 3874,
  [4570] = 3927,
  [4571] = 3931,
  [4572] = 3879,
  [4573] = 3942,
  [4574] = 3884,
  [4575] = 3836,
  [4576] = 3958,
  [4577] = 3748,
  [4578] = 3753,
  [4579] = 3757,
  [4580] = 3810,
  [4581] = 3739,
  [4582] = 3806,
  [4583] = 3845,
  [4584] = 4584,
  [4585] = 3797,
  [4586] = 3826,
  [4587] = 4584,
  [4588] = 3849,
  [4589] = 3875,
  [4590] = 3887,
  [4591] = 3892,
  [4592] = 3893,
  [4593] = 4593,
  [4594] = 3752,
  [4595] = 3758,
  [4596] = 3761,
  [4597] = 3766,
  [4598] = 3772,
  [4599] = 3774,
  [4600] = 4584,
  [4601] = 3785,
  [4602] = 3790,
  [4603] = 3792,
  [4604] = 3803,
  [4605] = 3812,
  [4606] = 3848,
  [4607] = 4593,
  [4608] = 4593,
  [4609] = 4609,
  [4610] = 3746,
  [4611] = 4611,
  [4612] = 3871,
  [4613] = 3872,
  [4614] = 3885,
  [4615] = 3886,
  [4616] = 4584,
  [4617] = 4584,
  [4618] = 3992,
  [4619] = 4593,
  [4620] = 3756,
  [4621] = 4593,
  [4622] = 4609,
  [4623] = 3802,
  [4624] = 3933,
  [4625] = 4584,
  [4626] = 3944,
  [4627] = 3879,
  [4628] = 3925,
  [4629] = 4593,
  [4630] = 3879,
  [4631] = 3884,
  [4632] = 3894,
  [4633] = 3933,
  [4634] = 4584,
  [4635] = 3940,
  [4636] = 4611,
  [4637] = 4593,
  [4638] = 4584,
  [4639] = 3906,
  [4640] = 3940,
  [4641] = 3805,
  [4642] = 3845,
  [4643] = 4584,
  [4644] = 3985,
  [4645] = 3992,
  [4646] = 4646,
  [4647] = 3782,
  [4648] = 4593,
  [4649] = 4593,
  [4650] = 3884,
  [4651] = 3834,
  [4652] = 4609,
  [4653] = 3732,
  [4654] = 3837,
  [4655] = 4584,
  [4656] = 3736,
  [4657] = 3770,
  [4658] = 3845,
  [4659] = 3733,
  [4660] = 3736,
  [4661] = 3773,
  [4662] = 3860,
  [4663] = 4593,
  [4664] = 3737,
  [4665] = 3745,
  [4666] = 3731,
  [4667] = 3746,
  [4668] = 3784,
  [4669] = 4584,
  [4670] = 3894,
  [4671] = 3802,
  [4672] = 3805,
  [4673] = 3834,
  [4674] = 3806,
  [4675] = 3741,
  [4676] = 4593,
  [4677] = 3781,
  [4678] = 3733,
  [4679] = 3747,
  [4680] = 4584,
  [4681] = 3760,
  [4682] = 3780,
  [4683] = 3788,
  [4684] = 4593,
  [4685] = 3737,
  [4686] = 3745,
  [4687] = 4584,
  [4688] = 3856,
  [4689] = 4593,
  [4690] = 4611,
  [4691] = 4584,
  [4692] = 4584,
  [4693] = 3569,
  [4694] = 4584,
  [4695] = 3746,
  [4696] = 3738,
  [4697] = 3837,
  [4698] = 4593,
  [4699] = 3630,
  [4700] = 3632,
  [4701] = 3636,
  [4702] = 4702,
  [4703] = 3786,
  [4704] = 3770,
  [4705] = 4646,
  [4706] = 3651,
  [4707] = 3652,
  [4708] = 3568,
  [4709] = 3860,
  [4710] = 3863,
  [4711] = 3863,
  [4712] = 3733,
  [4713] = 3737,
  [4714] = 3773,
  [4715] = 3985,
  [4716] = 3784,
  [4717] = 3786,
  [4718] = 4584,
  [4719] = 4702,
  [4720] = 4593,
  [4721] = 4721,
  [4722] = 4584,
  [4723] = 4723,
  [4724] = 3569,
  [4725] = 4593,
  [4726] = 3630,
  [4727] = 3632,
  [4728] = 3636,
  [4729] = 4584,
  [4730] = 4730,
  [4731] = 3651,
  [4732] = 3652,
  [4733] = 4593,
  [4734] = 3568,
  [4735] = 4721,
  [4736] = 4584,
  [4737] = 4593,
  [4738] = 4611,
  [4739] = 4584,
  [4740] = 4593,
  [4741] = 4584,
  [4742] = 4584,
  [4743] = 4593,
  [4744] = 3567,
  [4745] = 4646,
  [4746] = 4584,
  [4747] = 3593,
  [4748] = 4593,
  [4749] = 4593,
  [4750] = 4730,
  [4751] = 4609,
  [4752] = 4593,
  [4753] = 4609,
  [4754] = 4646,
  [4755] = 4646,
  [4756] = 4584,
  [4757] = 4593,
  [4758] = 4584,
  [4759] = 4609,
  [4760] = 4760,
  [4761] = 4593,
  [4762] = 4584,
  [4763] = 3922,
  [4764] = 3762,
  [4765] = 4593,
  [4766] = 3567,
  [4767] = 4702,
  [4768] = 3569,
  [4769] = 4721,
  [4770] = 4611,
  [4771] = 3593,
  [4772] = 4584,
  [4773] = 3630,
  [4774] = 3632,
  [4775] = 3636,
  [4776] = 4593,
  [4777] = 4584,
  [4778] = 4609,
  [4779] = 3651,
  [4780] = 3652,
  [4781] = 3568,
  [4782] = 4593,
  [4783] = 4646,
  [4784] = 4609,
  [4785] = 4584,
  [4786] = 4593,
  [4787] = 4702,
  [4788] = 4721,
  [4789] = 3567,
  [4790] = 4584,
  [4791] = 3593,
  [4792] = 3844,
  [4793] = 4611,
  [4794] = 3847,
  [4795] = 3874,
  [4796] = 3927,
  [4797] = 3931,
  [4798] = 3942,
  [4799] = 3958,
  [4800] = 3748,
  [4801] = 3753,
  [4802] = 3757,
  [4803] = 3810,
  [4804] = 3739,
  [4805] = 4593,
  [4806] = 3797,
  [4807] = 3739,
  [4808] = 3849,
  [4809] = 3875,
  [4810] = 3887,
  [4811] = 3892,
  [4812] = 3893,
  [4813] = 3752,
  [4814] = 3758,
  [4815] = 3761,
  [4816] = 3766,
  [4817] = 3772,
  [4818] = 3774,
  [4819] = 3785,
  [4820] = 3790,
  [4821] = 3792,
  [4822] = 3803,
  [4823] = 3812,
  [4824] = 3848,
  [4825] = 4584,
  [4826] = 4593,
  [4827] = 4584,
  [4828] = 3871,
  [4829] = 3872,
  [4830] = 3885,
  [4831] = 3886,
  [4832] = 4593,
  [4833] = 4609,
  [4834] = 4646,
  [4835] = 3756,
  [4836] = 3944,
  [4837] = 4584,
  [4838] = 3836,
  [4839] = 3736,
  [4840] = 3782,
  [4841] = 3809,
  [4842] = 3770,
  [4843] = 3773,
  [4844] = 3784,
  [4845] = 3786,
  [4846] = 3620,
  [4847] = 3622,
  [4848] = 4593,
  [4849] = 3745,
  [4850] = 4702,
  [4851] = 4721,
  [4852] = 4584,
  [4853] = 3802,
  [4854] = 3844,
  [4855] = 3805,
  [4856] = 4611,
  [4857] = 3834,
  [4858] = 3837,
  [4859] = 3847,
  [4860] = 3925,
  [4861] = 3874,
  [4862] = 3856,
  [4863] = 3927,
  [4864] = 3931,
  [4865] = 3942,
  [4866] = 3836,
  [4867] = 3958,
  [4868] = 3748,
  [4869] = 3753,
  [4870] = 3860,
  [4871] = 3906,
  [4872] = 3757,
  [4873] = 3810,
  [4874] = 3739,
  [4875] = 3863,
  [4876] = 4730,
  [4877] = 4593,
  [4878] = 3797,
  [4879] = 3826,
  [4880] = 3849,
  [4881] = 3875,
  [4882] = 3887,
  [4883] = 3892,
  [4884] = 3893,
  [4885] = 3732,
  [4886] = 3752,
  [4887] = 3738,
  [4888] = 3758,
  [4889] = 3761,
  [4890] = 3766,
  [4891] = 3772,
  [4892] = 3774,
  [4893] = 3785,
  [4894] = 3790,
  [4895] = 3792,
  [4896] = 3803,
  [4897] = 3731,
  [4898] = 3812,
  [4899] = 3848,
  [4900] = 3809,
  [4901] = 4584,
  [4902] = 4593,
  [4903] = 3620,
  [4904] = 3871,
  [4905] = 3872,
  [4906] = 3885,
  [4907] = 3886,
  [4908] = 3806,
  [4909] = 3741,
  [4910] = 3781,
  [4911] = 3622,
  [4912] = 4584,
  [4913] = 4593,
  [4914] = 3756,
  [4915] = 3747,
  [4916] = 3760,
  [4917] = 3780,
  [4918] = 3788,
  [4919] = 4584,
  [4920] = 4593,
  [4921] = 4584,
  [4922] = 3944,
  [4923] = 3922,
  [4924] = 4593,
  [4925] = 3879,
  [4926] = 3884,
  [4927] = 4584,
  [4928] = 4593,
  [4929] = 3894,
  [4930] = 3782,
  [4931] = 3933,
  [4932] = 3940,
  [4933] = 4584,
  [4934] = 4593,
  [4935] = 4584,
  [4936] = 4593,
  [4937] = 4584,
  [4938] = 4593,
  [4939] = 3985,
  [4940] = 3992,
  [4941] = 4584,
  [4942] = 4593,
  [4943] = 3620,
  [4944] = 3622,
  [4945] = 4584,
  [4946] = 4593,
  [4947] = 3836,
  [4948] = 3762,
  [4949] = 3925,
  [4950] = 4584,
  [4951] = 3906,
  [4952] = 4593,
  [4953] = 4584,
  [4954] = 3732,
  [4955] = 3731,
  [4956] = 3806,
  [4957] = 3741,
  [4958] = 3781,
  [4959] = 3747,
  [4960] = 3760,
  [4961] = 3780,
  [4962] = 3788,
  [4963] = 4593,
  [4964] = 4584,
  [4965] = 3809,
  [4966] = 4593,
  [4967] = 3922,
  [4968] = 4584,
  [4969] = 3856,
  [4970] = 4593,
  [4971] = 3844,
  [4972] = 3738,
  [4973] = 4584,
  [4974] = 3762,
  [4975] = 3847,
  [4976] = 3874,
  [4977] = 4593,
  [4978] = 3927,
  [4979] = 3931,
  [4980] = 3942,
  [4981] = 4611,
  [4982] = 4584,
  [4983] = 3958,
  [4984] = 3748,
  [4985] = 3753,
  [4986] = 3757,
  [4987] = 4593,
  [4988] = 3810,
  [4989] = 3826,
  [4990] = 3786,
  [4991] = 3933,
  [4992] = 4992,
  [4993] = 4993,
  [4994] = 4994,
  [4995] = 4995,
  [4996] = 3733,
  [4997] = 3737,
  [4998] = 3745,
  [4999] = 3746,
  [5000] = 5000,
  [5001] = 5001,
  [5002] = 5002,
  [5003] = 5003,
  [5004] = 3940,
  [5005] = 3845,
  [5006] = 3985,
  [5007] = 4995,
  [5008] = 3985,
  [5009] = 4995,
  [5010] = 3992,
  [5011] = 3620,
  [5012] = 3622,
  [5013] = 3844,
  [5014] = 4995,
  [5015] = 3847,
  [5016] = 3874,
  [5017] = 3927,
  [5018] = 3931,
  [5019] = 3942,
  [5020] = 3836,
  [5021] = 5021,
  [5022] = 3958,
  [5023] = 3748,
  [5024] = 3753,
  [5025] = 4995,
  [5026] = 3757,
  [5027] = 3810,
  [5028] = 3739,
  [5029] = 3797,
  [5030] = 3826,
  [5031] = 3569,
  [5032] = 3849,
  [5033] = 3875,
  [5034] = 3887,
  [5035] = 3892,
  [5036] = 3893,
  [5037] = 3752,
  [5038] = 3758,
  [5039] = 3761,
  [5040] = 3766,
  [5041] = 3772,
  [5042] = 3774,
  [5043] = 3785,
  [5044] = 3790,
  [5045] = 3792,
  [5046] = 3803,
  [5047] = 3812,
  [5048] = 3848,
  [5049] = 3809,
  [5050] = 4995,
  [5051] = 3871,
  [5052] = 3872,
  [5053] = 3885,
  [5054] = 3886,
  [5055] = 3756,
  [5056] = 3944,
  [5057] = 5002,
  [5058] = 4995,
  [5059] = 5003,
  [5060] = 3782,
  [5061] = 4995,
  [5062] = 3894,
  [5063] = 3733,
  [5064] = 3925,
  [5065] = 3856,
  [5066] = 4995,
  [5067] = 3620,
  [5068] = 5068,
  [5069] = 3906,
  [5070] = 3732,
  [5071] = 4995,
  [5072] = 3738,
  [5073] = 3731,
  [5074] = 3806,
  [5075] = 3741,
  [5076] = 3781,
  [5077] = 3747,
  [5078] = 3760,
  [5079] = 3780,
  [5080] = 3788,
  [5081] = 4995,
  [5082] = 3922,
  [5083] = 3992,
  [5084] = 4995,
  [5085] = 3630,
  [5086] = 4995,
  [5087] = 3737,
  [5088] = 3745,
  [5089] = 4995,
  [5090] = 3622,
  [5091] = 4995,
  [5092] = 3632,
  [5093] = 4995,
  [5094] = 3636,
  [5095] = 4995,
  [5096] = 3879,
  [5097] = 3762,
  [5098] = 4995,
  [5099] = 3736,
  [5100] = 3770,
  [5101] = 3773,
  [5102] = 3784,
  [5103] = 3786,
  [5104] = 4995,
  [5105] = 4995,
  [5106] = 3802,
  [5107] = 3805,
  [5108] = 3834,
  [5109] = 3837,
  [5110] = 4995,
  [5111] = 3879,
  [5112] = 3860,
  [5113] = 3863,
  [5114] = 3894,
  [5115] = 4995,
  [5116] = 4995,
  [5117] = 4995,
  [5118] = 3884,
  [5119] = 3746,
  [5120] = 4995,
  [5121] = 4730,
  [5122] = 4995,
  [5123] = 4995,
  [5124] = 4995,
  [5125] = 3933,
  [5126] = 4992,
  [5127] = 3940,
  [5128] = 4995,
  [5129] = 5129,
  [5130] = 4993,
  [5131] = 4994,
  [5132] = 3845,
  [5133] = 4995,
  [5134] = 4995,
  [5135] = 3985,
  [5136] = 3992,
  [5137] = 4995,
  [5138] = 4995,
  [5139] = 4995,
  [5140] = 4995,
  [5141] = 5000,
  [5142] = 5001,
  [5143] = 4995,
  [5144] = 5002,
  [5145] = 5003,
  [5146] = 3620,
  [5147] = 3622,
  [5148] = 5021,
  [5149] = 4995,
  [5150] = 5068,
  [5151] = 4995,
  [5152] = 3567,
  [5153] = 5021,
  [5154] = 5068,
  [5155] = 4995,
  [5156] = 5000,
  [5157] = 4995,
  [5158] = 4995,
  [5159] = 5001,
  [5160] = 3567,
  [5161] = 4995,
  [5162] = 3569,
  [5163] = 4995,
  [5164] = 4995,
  [5165] = 3593,
  [5166] = 4995,
  [5167] = 3630,
  [5168] = 3632,
  [5169] = 3636,
  [5170] = 3844,
  [5171] = 3847,
  [5172] = 4995,
  [5173] = 3874,
  [5174] = 3927,
  [5175] = 3931,
  [5176] = 3942,
  [5177] = 3836,
  [5178] = 3958,
  [5179] = 3748,
  [5180] = 4995,
  [5181] = 3753,
  [5182] = 4992,
  [5183] = 3757,
  [5184] = 3810,
  [5185] = 3739,
  [5186] = 5129,
  [5187] = 3797,
  [5188] = 3826,
  [5189] = 3849,
  [5190] = 3651,
  [5191] = 3875,
  [5192] = 3887,
  [5193] = 3892,
  [5194] = 3893,
  [5195] = 4993,
  [5196] = 3752,
  [5197] = 4994,
  [5198] = 3758,
  [5199] = 3761,
  [5200] = 3766,
  [5201] = 3772,
  [5202] = 3774,
  [5203] = 3785,
  [5204] = 3790,
  [5205] = 3792,
  [5206] = 3803,
  [5207] = 4995,
  [5208] = 3812,
  [5209] = 3848,
  [5210] = 3863,
  [5211] = 3652,
  [5212] = 3568,
  [5213] = 3871,
  [5214] = 3872,
  [5215] = 3885,
  [5216] = 3886,
  [5217] = 3756,
  [5218] = 5021,
  [5219] = 5068,
  [5220] = 3944,
  [5221] = 3925,
  [5222] = 5000,
  [5223] = 5001,
  [5224] = 3906,
  [5225] = 4730,
  [5226] = 5002,
  [5227] = 5003,
  [5228] = 3733,
  [5229] = 4723,
  [5230] = 3782,
  [5231] = 5021,
  [5232] = 3732,
  [5233] = 5068,
  [5234] = 3737,
  [5235] = 3745,
  [5236] = 3731,
  [5237] = 4730,
  [5238] = 3746,
  [5239] = 5021,
  [5240] = 5068,
  [5241] = 4992,
  [5242] = 5129,
  [5243] = 3806,
  [5244] = 3741,
  [5245] = 3781,
  [5246] = 3747,
  [5247] = 3760,
  [5248] = 3780,
  [5249] = 3788,
  [5250] = 3844,
  [5251] = 4730,
  [5252] = 3569,
  [5253] = 3847,
  [5254] = 3874,
  [5255] = 3927,
  [5256] = 3931,
  [5257] = 3942,
  [5258] = 3958,
  [5259] = 3748,
  [5260] = 3753,
  [5261] = 3757,
  [5262] = 3810,
  [5263] = 3739,
  [5264] = 3797,
  [5265] = 3826,
  [5266] = 3849,
  [5267] = 3875,
  [5268] = 3887,
  [5269] = 3892,
  [5270] = 3893,
  [5271] = 3752,
  [5272] = 3758,
  [5273] = 3761,
  [5274] = 3766,
  [5275] = 3772,
  [5276] = 3774,
  [5277] = 3785,
  [5278] = 3790,
  [5279] = 3792,
  [5280] = 3803,
  [5281] = 3812,
  [5282] = 3848,
  [5283] = 4992,
  [5284] = 5129,
  [5285] = 3871,
  [5286] = 3872,
  [5287] = 3885,
  [5288] = 3886,
  [5289] = 4993,
  [5290] = 4994,
  [5291] = 4995,
  [5292] = 3756,
  [5293] = 3593,
  [5294] = 3944,
  [5295] = 3856,
  [5296] = 3836,
  [5297] = 3782,
  [5298] = 3738,
  [5299] = 3809,
  [5300] = 3922,
  [5301] = 3925,
  [5302] = 3906,
  [5303] = 3732,
  [5304] = 3731,
  [5305] = 3806,
  [5306] = 3741,
  [5307] = 3781,
  [5308] = 3747,
  [5309] = 3760,
  [5310] = 3780,
  [5311] = 3788,
  [5312] = 3762,
  [5313] = 3856,
  [5314] = 5000,
  [5315] = 5001,
  [5316] = 3630,
  [5317] = 3632,
  [5318] = 3636,
  [5319] = 3738,
  [5320] = 5002,
  [5321] = 5003,
  [5322] = 4760,
  [5323] = 3651,
  [5324] = 3652,
  [5325] = 5021,
  [5326] = 5068,
  [5327] = 3568,
  [5328] = 5129,
  [5329] = 3922,
  [5330] = 4993,
  [5331] = 3651,
  [5332] = 3652,
  [5333] = 3568,
  [5334] = 4994,
  [5335] = 4723,
  [5336] = 4730,
  [5337] = 4760,
  [5338] = 3762,
  [5339] = 4723,
  [5340] = 4992,
  [5341] = 5129,
  [5342] = 4993,
  [5343] = 4994,
  [5344] = 4995,
  [5345] = 3567,
  [5346] = 5000,
  [5347] = 5001,
  [5348] = 5002,
  [5349] = 5003,
  [5350] = 4992,
  [5351] = 4760,
  [5352] = 5129,
  [5353] = 3736,
  [5354] = 4730,
  [5355] = 3593,
  [5356] = 3770,
  [5357] = 3773,
  [5358] = 3784,
  [5359] = 3786,
  [5360] = 4993,
  [5361] = 4994,
  [5362] = 4995,
  [5363] = 3802,
  [5364] = 3805,
  [5365] = 3834,
  [5366] = 3837,
  [5367] = 3736,
  [5368] = 3860,
  [5369] = 3863,
  [5370] = 3770,
  [5371] = 3773,
  [5372] = 3784,
  [5373] = 5000,
  [5374] = 5001,
  [5375] = 3879,
  [5376] = 3884,
  [5377] = 5002,
  [5378] = 3894,
  [5379] = 5003,
  [5380] = 3802,
  [5381] = 3805,
  [5382] = 3933,
  [5383] = 3834,
  [5384] = 3940,
  [5385] = 3837,
  [5386] = 3845,
  [5387] = 3884,
  [5388] = 3860,
  [5389] = 3809,
  [5390] = 3773,
  [5391] = 3879,
  [5392] = 5392,
  [5393] = 5393,
  [5394] = 5394,
  [5395] = 3760,
  [5396] = 3860,
  [5397] = 5392,
  [5398] = 5393,
  [5399] = 5394,
  [5400] = 5392,
  [5401] = 5393,
  [5402] = 5394,
  [5403] = 3879,
  [5404] = 3784,
  [5405] = 5394,
  [5406] = 5392,
  [5407] = 5393,
  [5408] = 5394,
  [5409] = 3871,
  [5410] = 3786,
  [5411] = 5393,
  [5412] = 5392,
  [5413] = 5393,
  [5414] = 5394,
  [5415] = 5392,
  [5416] = 5393,
  [5417] = 5394,
  [5418] = 5394,
  [5419] = 3836,
  [5420] = 3762,
  [5421] = 5392,
  [5422] = 5393,
  [5423] = 5394,
  [5424] = 5394,
  [5425] = 5393,
  [5426] = 5392,
  [5427] = 5393,
  [5428] = 5394,
  [5429] = 5394,
  [5430] = 3847,
  [5431] = 4723,
  [5432] = 3826,
  [5433] = 5392,
  [5434] = 3933,
  [5435] = 5393,
  [5436] = 5394,
  [5437] = 5394,
  [5438] = 3732,
  [5439] = 4730,
  [5440] = 5392,
  [5441] = 3836,
  [5442] = 5392,
  [5443] = 5393,
  [5444] = 5394,
  [5445] = 4760,
  [5446] = 3863,
  [5447] = 5447,
  [5448] = 5392,
  [5449] = 5393,
  [5450] = 5394,
  [5451] = 4723,
  [5452] = 5393,
  [5453] = 5392,
  [5454] = 5393,
  [5455] = 5394,
  [5456] = 5394,
  [5457] = 5392,
  [5458] = 5393,
  [5459] = 5394,
  [5460] = 3925,
  [5461] = 5392,
  [5462] = 5393,
  [5463] = 5394,
  [5464] = 3752,
  [5465] = 4760,
  [5466] = 5392,
  [5467] = 5393,
  [5468] = 5394,
  [5469] = 3845,
  [5470] = 5392,
  [5471] = 5393,
  [5472] = 5394,
  [5473] = 5393,
  [5474] = 5392,
  [5475] = 5393,
  [5476] = 5394,
  [5477] = 3942,
  [5478] = 5392,
  [5479] = 5393,
  [5480] = 5394,
  [5481] = 5394,
  [5482] = 5392,
  [5483] = 5393,
  [5484] = 5394,
  [5485] = 5485,
  [5486] = 5486,
  [5487] = 5392,
  [5488] = 5393,
  [5489] = 5394,
  [5490] = 3802,
  [5491] = 5491,
  [5492] = 5392,
  [5493] = 5393,
  [5494] = 5394,
  [5495] = 3809,
  [5496] = 5392,
  [5497] = 3805,
  [5498] = 3933,
  [5499] = 5393,
  [5500] = 5447,
  [5501] = 3834,
  [5502] = 3985,
  [5503] = 5392,
  [5504] = 5504,
  [5505] = 5504,
  [5506] = 5506,
  [5507] = 5507,
  [5508] = 5508,
  [5509] = 3940,
  [5510] = 5510,
  [5511] = 5393,
  [5512] = 5394,
  [5513] = 3849,
  [5514] = 5394,
  [5515] = 5392,
  [5516] = 3836,
  [5517] = 3782,
  [5518] = 3992,
  [5519] = 3837,
  [5520] = 5504,
  [5521] = 5506,
  [5522] = 5392,
  [5523] = 5507,
  [5524] = 5508,
  [5525] = 5510,
  [5526] = 5392,
  [5527] = 3809,
  [5528] = 3844,
  [5529] = 5393,
  [5530] = 5392,
  [5531] = 3922,
  [5532] = 3847,
  [5533] = 3925,
  [5534] = 3874,
  [5535] = 3927,
  [5536] = 3931,
  [5537] = 3942,
  [5538] = 5538,
  [5539] = 5394,
  [5540] = 5393,
  [5541] = 5394,
  [5542] = 5392,
  [5543] = 3874,
  [5544] = 3879,
  [5545] = 3733,
  [5546] = 3884,
  [5547] = 3958,
  [5548] = 3748,
  [5549] = 3753,
  [5550] = 3906,
  [5551] = 3757,
  [5552] = 3810,
  [5553] = 3739,
  [5554] = 5393,
  [5555] = 3797,
  [5556] = 5394,
  [5557] = 3826,
  [5558] = 3849,
  [5559] = 3875,
  [5560] = 3887,
  [5561] = 3892,
  [5562] = 3893,
  [5563] = 3732,
  [5564] = 3752,
  [5565] = 3758,
  [5566] = 3761,
  [5567] = 3766,
  [5568] = 3772,
  [5569] = 3774,
  [5570] = 3785,
  [5571] = 3790,
  [5572] = 3792,
  [5573] = 3803,
  [5574] = 3731,
  [5575] = 3922,
  [5576] = 3812,
  [5577] = 3848,
  [5578] = 3738,
  [5579] = 3871,
  [5580] = 3758,
  [5581] = 3872,
  [5582] = 3885,
  [5583] = 3761,
  [5584] = 3886,
  [5585] = 3737,
  [5586] = 3806,
  [5587] = 3745,
  [5588] = 3741,
  [5589] = 3863,
  [5590] = 3781,
  [5591] = 3770,
  [5592] = 5392,
  [5593] = 3834,
  [5594] = 3894,
  [5595] = 3860,
  [5596] = 5393,
  [5597] = 3985,
  [5598] = 3733,
  [5599] = 3863,
  [5600] = 3894,
  [5601] = 3992,
  [5602] = 3985,
  [5603] = 3992,
  [5604] = 3892,
  [5605] = 5392,
  [5606] = 3766,
  [5607] = 5393,
  [5608] = 5394,
  [5609] = 3944,
  [5610] = 3756,
  [5611] = 3747,
  [5612] = 3760,
  [5613] = 3780,
  [5614] = 5485,
  [5615] = 5486,
  [5616] = 3788,
  [5617] = 5491,
  [5618] = 3844,
  [5619] = 5393,
  [5620] = 3737,
  [5621] = 3944,
  [5622] = 3745,
  [5623] = 3847,
  [5624] = 3925,
  [5625] = 3874,
  [5626] = 5393,
  [5627] = 3872,
  [5628] = 3856,
  [5629] = 3927,
  [5630] = 3931,
  [5631] = 3893,
  [5632] = 3931,
  [5633] = 5394,
  [5634] = 3885,
  [5635] = 5504,
  [5636] = 5393,
  [5637] = 3737,
  [5638] = 5506,
  [5639] = 5507,
  [5640] = 5508,
  [5641] = 3746,
  [5642] = 3745,
  [5643] = 5510,
  [5644] = 5392,
  [5645] = 4730,
  [5646] = 5393,
  [5647] = 3736,
  [5648] = 5394,
  [5649] = 3736,
  [5650] = 3958,
  [5651] = 3748,
  [5652] = 3753,
  [5653] = 3906,
  [5654] = 5392,
  [5655] = 3757,
  [5656] = 5504,
  [5657] = 5506,
  [5658] = 3810,
  [5659] = 3886,
  [5660] = 3739,
  [5661] = 5507,
  [5662] = 3788,
  [5663] = 3810,
  [5664] = 3786,
  [5665] = 5508,
  [5666] = 3797,
  [5667] = 5392,
  [5668] = 3826,
  [5669] = 5393,
  [5670] = 5394,
  [5671] = 5392,
  [5672] = 5510,
  [5673] = 4730,
  [5674] = 3849,
  [5675] = 3782,
  [5676] = 5676,
  [5677] = 3875,
  [5678] = 3739,
  [5679] = 5392,
  [5680] = 3887,
  [5681] = 5506,
  [5682] = 5393,
  [5683] = 3845,
  [5684] = 5507,
  [5685] = 5392,
  [5686] = 5393,
  [5687] = 5394,
  [5688] = 3784,
  [5689] = 3772,
  [5690] = 3774,
  [5691] = 3892,
  [5692] = 5394,
  [5693] = 3893,
  [5694] = 3732,
  [5695] = 5393,
  [5696] = 5392,
  [5697] = 3752,
  [5698] = 5393,
  [5699] = 3940,
  [5700] = 3802,
  [5701] = 5394,
  [5702] = 3785,
  [5703] = 5485,
  [5704] = 5486,
  [5705] = 5393,
  [5706] = 3738,
  [5707] = 3758,
  [5708] = 5394,
  [5709] = 3856,
  [5710] = 3761,
  [5711] = 3806,
  [5712] = 5394,
  [5713] = 5491,
  [5714] = 3766,
  [5715] = 3790,
  [5716] = 3772,
  [5717] = 3774,
  [5718] = 3785,
  [5719] = 3741,
  [5720] = 3790,
  [5721] = 3792,
  [5722] = 3803,
  [5723] = 3731,
  [5724] = 5394,
  [5725] = 5508,
  [5726] = 3812,
  [5727] = 3848,
  [5728] = 3792,
  [5729] = 3803,
  [5730] = 3871,
  [5731] = 3770,
  [5732] = 3872,
  [5733] = 3731,
  [5734] = 3885,
  [5735] = 3886,
  [5736] = 3806,
  [5737] = 3741,
  [5738] = 3781,
  [5739] = 5392,
  [5740] = 5504,
  [5741] = 3797,
  [5742] = 5506,
  [5743] = 5507,
  [5744] = 5508,
  [5745] = 5393,
  [5746] = 5510,
  [5747] = 5394,
  [5748] = 3844,
  [5749] = 3805,
  [5750] = 3906,
  [5751] = 3773,
  [5752] = 3756,
  [5753] = 3781,
  [5754] = 5510,
  [5755] = 5392,
  [5756] = 3757,
  [5757] = 3747,
  [5758] = 3760,
  [5759] = 3773,
  [5760] = 3780,
  [5761] = 3784,
  [5762] = 5393,
  [5763] = 5394,
  [5764] = 3788,
  [5765] = 3746,
  [5766] = 3786,
  [5767] = 5491,
  [5768] = 3756,
  [5769] = 5393,
  [5770] = 3944,
  [5771] = 3922,
  [5772] = 3762,
  [5773] = 3733,
  [5774] = 3856,
  [5775] = 5394,
  [5776] = 3747,
  [5777] = 5485,
  [5778] = 3845,
  [5779] = 5485,
  [5780] = 5486,
  [5781] = 5491,
  [5782] = 3736,
  [5783] = 5392,
  [5784] = 5393,
  [5785] = 5394,
  [5786] = 3875,
  [5787] = 5504,
  [5788] = 5506,
  [5789] = 5507,
  [5790] = 5394,
  [5791] = 3884,
  [5792] = 3770,
  [5793] = 5508,
  [5794] = 5510,
  [5795] = 5392,
  [5796] = 3782,
  [5797] = 5393,
  [5798] = 5394,
  [5799] = 3887,
  [5800] = 3738,
  [5801] = 4723,
  [5802] = 4760,
  [5803] = 5486,
  [5804] = 3927,
  [5805] = 5393,
  [5806] = 3894,
  [5807] = 3837,
  [5808] = 3762,
  [5809] = 5392,
  [5810] = 5393,
  [5811] = 5394,
  [5812] = 5491,
  [5813] = 3958,
  [5814] = 3748,
  [5815] = 3802,
  [5816] = 3753,
  [5817] = 3812,
  [5818] = 3805,
  [5819] = 5393,
  [5820] = 3933,
  [5821] = 3834,
  [5822] = 3860,
  [5823] = 3848,
  [5824] = 3746,
  [5825] = 5392,
  [5826] = 3940,
  [5827] = 5393,
  [5828] = 3837,
  [5829] = 3780,
  [5830] = 5504,
  [5831] = 5506,
  [5832] = 5507,
  [5833] = 5508,
  [5834] = 5394,
  [5835] = 5510,
  [5836] = 3809,
  [5837] = 3884,
  [5838] = 5392,
  [5839] = 3942,
  [5840] = 4730,
  [5841] = 4730,
  [5842] = 4730,
  [5843] = 4723,
  [5844] = 4723,
  [5845] = 4760,
  [5846] = 4760,
  [5847] = 4730,
  [5848] = 4730,
  [5849] = 4760,
  [5850] = 4723,
  [5851] = 4730,
  [5852] = 4760,
  [5853] = 4723,
  [5854] = 4760,
  [5855] = 3035,
  [5856] = 5856,
  [5857] = 5857,
  [5858] = 5857,
  [5859] = 5857,
  [5860] = 5857,
  [5861] = 5861,
  [5862] = 5857,
  [5863] = 5863,
  [5864] = 5857,
  [5865] = 4723,
  [5866] = 5857,
  [5867] = 5867,
  [5868] = 5867,
  [5869] = 5867,
  [5870] = 5870,
  [5871] = 5870,
  [5872] = 5867,
  [5873] = 5870,
  [5874] = 5870,
  [5875] = 5867,
  [5876] = 5867,
  [5877] = 5870,
  [5878] = 5870,
  [5879] = 5870,
  [5880] = 5867,
  [5881] = 5867,
  [5882] = 5870,
  [5883] = 5870,
  [5884] = 5870,
  [5885] = 5867,
  [5886] = 5867,
  [5887] = 3567,
  [5888] = 5867,
  [5889] = 5870,
  [5890] = 5867,
  [5891] = 5870,
  [5892] = 5870,
  [5893] = 5867,
  [5894] = 5867,
  [5895] = 5867,
  [5896] = 5870,
  [5897] = 5870,
  [5898] = 5870,
  [5899] = 5870,
  [5900] = 5870,
  [5901] = 5901,
  [5902] = 5867,
  [5903] = 5870,
  [5904] = 5870,
  [5905] = 5870,
  [5906] = 5870,
  [5907] = 5870,
  [5908] = 5870,
  [5909] = 5870,
  [5910] = 5867,
  [5911] = 5870,
  [5912] = 5867,
  [5913] = 5867,
  [5914] = 5867,
  [5915] = 5870,
  [5916] = 5867,
  [5917] = 5870,
  [5918] = 5870,
  [5919] = 5867,
  [5920] = 5870,
  [5921] = 5867,
  [5922] = 5867,
  [5923] = 5867,
  [5924] = 3593,
  [5925] = 5870,
  [5926] = 5870,
  [5927] = 5870,
  [5928] = 5870,
  [5929] = 5867,
  [5930] = 5867,
  [5931] = 5867,
  [5932] = 5870,
  [5933] = 5867,
  [5934] = 5867,
  [5935] = 5870,
  [5936] = 5867,
  [5937] = 5867,
  [5938] = 5870,
  [5939] = 5867,
  [5940] = 5867,
  [5941] = 5870,
  [5942] = 5870,
  [5943] = 5867,
  [5944] = 5870,
  [5945] = 5870,
  [5946] = 5870,
  [5947] = 5870,
  [5948] = 5867,
  [5949] = 5867,
  [5950] = 5867,
  [5951] = 5867,
  [5952] = 5870,
  [5953] = 3569,
  [5954] = 5870,
  [5955] = 5870,
  [5956] = 3630,
  [5957] = 3632,
  [5958] = 3636,
  [5959] = 3651,
  [5960] = 3652,
  [5961] = 3568,
  [5962] = 5867,
  [5963] = 5867,
  [5964] = 5867,
  [5965] = 5870,
  [5966] = 5867,
  [5967] = 5870,
  [5968] = 5867,
  [5969] = 5867,
  [5970] = 3622,
  [5971] = 5870,
  [5972] = 5870,
  [5973] = 5867,
  [5974] = 5867,
  [5975] = 5867,
  [5976] = 3620,
  [5977] = 5867,
  [5978] = 5870,
  [5979] = 5867,
  [5980] = 5867,
  [5981] = 5870,
  [5982] = 5867,
  [5983] = 3632,
  [5984] = 3863,
  [5985] = 3837,
  [5986] = 3593,
  [5987] = 5987,
  [5988] = 5988,
  [5989] = 3620,
  [5990] = 5988,
  [5991] = 3879,
  [5992] = 3884,
  [5993] = 5988,
  [5994] = 3733,
  [5995] = 5988,
  [5996] = 3844,
  [5997] = 3847,
  [5998] = 3874,
  [5999] = 5988,
  [6000] = 3927,
  [6001] = 3931,
  [6002] = 3942,
  [6003] = 3958,
  [6004] = 3748,
  [6005] = 3753,
  [6006] = 3757,
  [6007] = 3810,
  [6008] = 5988,
  [6009] = 3739,
  [6010] = 3797,
  [6011] = 3826,
  [6012] = 3849,
  [6013] = 3875,
  [6014] = 3887,
  [6015] = 3892,
  [6016] = 3893,
  [6017] = 5988,
  [6018] = 3752,
  [6019] = 3758,
  [6020] = 3761,
  [6021] = 3766,
  [6022] = 3772,
  [6023] = 3774,
  [6024] = 3785,
  [6025] = 3790,
  [6026] = 3792,
  [6027] = 3803,
  [6028] = 3812,
  [6029] = 5988,
  [6030] = 3848,
  [6031] = 3871,
  [6032] = 3872,
  [6033] = 3885,
  [6034] = 3886,
  [6035] = 5988,
  [6036] = 3756,
  [6037] = 3944,
  [6038] = 5988,
  [6039] = 3836,
  [6040] = 5988,
  [6041] = 5988,
  [6042] = 3782,
  [6043] = 5988,
  [6044] = 3809,
  [6045] = 5988,
  [6046] = 3737,
  [6047] = 5988,
  [6048] = 3860,
  [6049] = 5988,
  [6050] = 3925,
  [6051] = 5988,
  [6052] = 5988,
  [6053] = 3906,
  [6054] = 5988,
  [6055] = 3732,
  [6056] = 3933,
  [6057] = 5988,
  [6058] = 5988,
  [6059] = 3731,
  [6060] = 3745,
  [6061] = 5988,
  [6062] = 3806,
  [6063] = 3741,
  [6064] = 3781,
  [6065] = 5988,
  [6066] = 3805,
  [6067] = 3760,
  [6068] = 3780,
  [6069] = 3788,
  [6070] = 5988,
  [6071] = 3746,
  [6072] = 5988,
  [6073] = 3856,
  [6074] = 5988,
  [6075] = 5988,
  [6076] = 5988,
  [6077] = 3738,
  [6078] = 5988,
  [6079] = 5988,
  [6080] = 5988,
  [6081] = 5988,
  [6082] = 3922,
  [6083] = 5988,
  [6084] = 5988,
  [6085] = 5988,
  [6086] = 5988,
  [6087] = 5988,
  [6088] = 5988,
  [6089] = 5988,
  [6090] = 5988,
  [6091] = 5988,
  [6092] = 5988,
  [6093] = 5988,
  [6094] = 5988,
  [6095] = 5988,
  [6096] = 3834,
  [6097] = 3940,
  [6098] = 5988,
  [6099] = 3622,
  [6100] = 5988,
  [6101] = 3567,
  [6102] = 5988,
  [6103] = 5988,
  [6104] = 3569,
  [6105] = 5988,
  [6106] = 5988,
  [6107] = 3985,
  [6108] = 5988,
  [6109] = 3762,
  [6110] = 3894,
  [6111] = 3630,
  [6112] = 3636,
  [6113] = 3651,
  [6114] = 3652,
  [6115] = 3568,
  [6116] = 3845,
  [6117] = 3992,
  [6118] = 3736,
  [6119] = 3770,
  [6120] = 3773,
  [6121] = 3784,
  [6122] = 3786,
  [6123] = 3802,
  [6124] = 3622,
  [6125] = 3747,
  [6126] = 3906,
  [6127] = 3770,
  [6128] = 3844,
  [6129] = 6129,
  [6130] = 6130,
  [6131] = 3568,
  [6132] = 3569,
  [6133] = 3933,
  [6134] = 3593,
  [6135] = 3809,
  [6136] = 6130,
  [6137] = 3847,
  [6138] = 3874,
  [6139] = 3856,
  [6140] = 3927,
  [6141] = 3931,
  [6142] = 3942,
  [6143] = 3747,
  [6144] = 3782,
  [6145] = 6130,
  [6146] = 3780,
  [6147] = 3788,
  [6148] = 3737,
  [6149] = 3733,
  [6150] = 6130,
  [6151] = 5987,
  [6152] = 3834,
  [6153] = 3773,
  [6154] = 3958,
  [6155] = 3748,
  [6156] = 3753,
  [6157] = 3757,
  [6158] = 3810,
  [6159] = 3651,
  [6160] = 3739,
  [6161] = 3940,
  [6162] = 3797,
  [6163] = 3826,
  [6164] = 3745,
  [6165] = 3805,
  [6166] = 3802,
  [6167] = 3860,
  [6168] = 3567,
  [6169] = 3849,
  [6170] = 3875,
  [6171] = 3887,
  [6172] = 3892,
  [6173] = 3893,
  [6174] = 3784,
  [6175] = 3752,
  [6176] = 3738,
  [6177] = 3762,
  [6178] = 3652,
  [6179] = 3761,
  [6180] = 3766,
  [6181] = 3837,
  [6182] = 3806,
  [6183] = 3741,
  [6184] = 3772,
  [6185] = 3774,
  [6186] = 3785,
  [6187] = 3790,
  [6188] = 3792,
  [6189] = 3803,
  [6190] = 3812,
  [6191] = 3848,
  [6192] = 3786,
  [6193] = 3781,
  [6194] = 6130,
  [6195] = 3622,
  [6196] = 3871,
  [6197] = 3872,
  [6198] = 3885,
  [6199] = 3886,
  [6200] = 3863,
  [6201] = 3732,
  [6202] = 3760,
  [6203] = 3894,
  [6204] = 3756,
  [6205] = 6130,
  [6206] = 3985,
  [6207] = 3746,
  [6208] = 3879,
  [6209] = 3944,
  [6210] = 3845,
  [6211] = 6130,
  [6212] = 3992,
  [6213] = 3736,
  [6214] = 3884,
  [6215] = 3731,
  [6216] = 3922,
  [6217] = 3620,
  [6218] = 3630,
  [6219] = 3632,
  [6220] = 3925,
  [6221] = 3636,
  [6222] = 3836,
  [6223] = 3758,
  [6224] = 3733,
  [6225] = 3738,
  [6226] = 3736,
  [6227] = 3757,
  [6228] = 6228,
  [6229] = 3931,
  [6230] = 3797,
  [6231] = 6228,
  [6232] = 6232,
  [6233] = 3810,
  [6234] = 3739,
  [6235] = 3731,
  [6236] = 6228,
  [6237] = 3826,
  [6238] = 3569,
  [6239] = 3806,
  [6240] = 3741,
  [6241] = 6228,
  [6242] = 3781,
  [6243] = 6228,
  [6244] = 3747,
  [6245] = 3760,
  [6246] = 6228,
  [6247] = 3780,
  [6248] = 3849,
  [6249] = 3788,
  [6250] = 3860,
  [6251] = 6228,
  [6252] = 6228,
  [6253] = 3885,
  [6254] = 3569,
  [6255] = 6228,
  [6256] = 3875,
  [6257] = 3884,
  [6258] = 3863,
  [6259] = 3770,
  [6260] = 3944,
  [6261] = 6261,
  [6262] = 6228,
  [6263] = 3894,
  [6264] = 3922,
  [6265] = 6228,
  [6266] = 3871,
  [6267] = 6228,
  [6268] = 3886,
  [6269] = 6228,
  [6270] = 3737,
  [6271] = 3745,
  [6272] = 6228,
  [6273] = 3942,
  [6274] = 3746,
  [6275] = 6228,
  [6276] = 3887,
  [6277] = 6228,
  [6278] = 6228,
  [6279] = 3892,
  [6280] = 4730,
  [6281] = 6228,
  [6282] = 6228,
  [6283] = 6228,
  [6284] = 6228,
  [6285] = 3773,
  [6286] = 6228,
  [6287] = 6228,
  [6288] = 3784,
  [6289] = 6228,
  [6290] = 6228,
  [6291] = 6228,
  [6292] = 3630,
  [6293] = 6228,
  [6294] = 6228,
  [6295] = 3786,
  [6296] = 3893,
  [6297] = 3752,
  [6298] = 3925,
  [6299] = 6228,
  [6300] = 3758,
  [6301] = 3856,
  [6302] = 3632,
  [6303] = 6228,
  [6304] = 3636,
  [6305] = 3836,
  [6306] = 6228,
  [6307] = 6228,
  [6308] = 3761,
  [6309] = 6228,
  [6310] = 6228,
  [6311] = 3802,
  [6312] = 6228,
  [6313] = 6228,
  [6314] = 3632,
  [6315] = 3874,
  [6316] = 3636,
  [6317] = 3872,
  [6318] = 6228,
  [6319] = 3651,
  [6320] = 3805,
  [6321] = 3756,
  [6322] = 6228,
  [6323] = 3958,
  [6324] = 6228,
  [6325] = 3927,
  [6326] = 6228,
  [6327] = 6228,
  [6328] = 3766,
  [6329] = 3772,
  [6330] = 6228,
  [6331] = 3568,
  [6332] = 6261,
  [6333] = 3774,
  [6334] = 6228,
  [6335] = 3748,
  [6336] = 3785,
  [6337] = 6232,
  [6338] = 3790,
  [6339] = 3593,
  [6340] = 3834,
  [6341] = 6228,
  [6342] = 6261,
  [6343] = 6232,
  [6344] = 6232,
  [6345] = 6228,
  [6346] = 6232,
  [6347] = 6232,
  [6348] = 6232,
  [6349] = 3620,
  [6350] = 3652,
  [6351] = 6228,
  [6352] = 6228,
  [6353] = 3652,
  [6354] = 3651,
  [6355] = 3837,
  [6356] = 3568,
  [6357] = 3620,
  [6358] = 3622,
  [6359] = 6228,
  [6360] = 3782,
  [6361] = 3933,
  [6362] = 3940,
  [6363] = 6228,
  [6364] = 3792,
  [6365] = 3753,
  [6366] = 3844,
  [6367] = 6228,
  [6368] = 3933,
  [6369] = 3803,
  [6370] = 3812,
  [6371] = 3847,
  [6372] = 3567,
  [6373] = 3845,
  [6374] = 3848,
  [6375] = 6228,
  [6376] = 3762,
  [6377] = 3906,
  [6378] = 3567,
  [6379] = 3879,
  [6380] = 6228,
  [6381] = 3985,
  [6382] = 6129,
  [6383] = 3809,
  [6384] = 3732,
  [6385] = 3985,
  [6386] = 3593,
  [6387] = 3992,
  [6388] = 3630,
  [6389] = 3871,
  [6390] = 3871,
  [6391] = 3731,
  [6392] = 3892,
  [6393] = 3875,
  [6394] = 3803,
  [6395] = 6395,
  [6396] = 3922,
  [6397] = 3837,
  [6398] = 6398,
  [6399] = 3985,
  [6400] = 3651,
  [6401] = 3872,
  [6402] = 3732,
  [6403] = 3885,
  [6404] = 3731,
  [6405] = 3812,
  [6406] = 3758,
  [6407] = 3736,
  [6408] = 3757,
  [6409] = 3848,
  [6410] = 3780,
  [6411] = 3887,
  [6412] = 3809,
  [6413] = 3992,
  [6414] = 3856,
  [6415] = 3927,
  [6416] = 3773,
  [6417] = 3636,
  [6418] = 3797,
  [6419] = 3906,
  [6420] = 3772,
  [6421] = 3940,
  [6422] = 3886,
  [6423] = 3806,
  [6424] = 3761,
  [6425] = 3985,
  [6426] = 3797,
  [6427] = 3992,
  [6428] = 3872,
  [6429] = 3805,
  [6430] = 3732,
  [6431] = 3766,
  [6432] = 3885,
  [6433] = 3985,
  [6434] = 3958,
  [6435] = 3622,
  [6436] = 3942,
  [6437] = 3893,
  [6438] = 3741,
  [6439] = 3766,
  [6440] = 3812,
  [6441] = 3803,
  [6442] = 3652,
  [6443] = 3886,
  [6444] = 3756,
  [6445] = 3826,
  [6446] = 3810,
  [6447] = 3746,
  [6448] = 3770,
  [6449] = 3845,
  [6450] = 3762,
  [6451] = 4760,
  [6452] = 3856,
  [6453] = 3781,
  [6454] = 3826,
  [6455] = 6455,
  [6456] = 3927,
  [6457] = 3738,
  [6458] = 3739,
  [6459] = 3805,
  [6460] = 3860,
  [6461] = 3785,
  [6462] = 3786,
  [6463] = 3747,
  [6464] = 3809,
  [6465] = 3568,
  [6466] = 3933,
  [6467] = 4730,
  [6468] = 3925,
  [6469] = 3806,
  [6470] = 3879,
  [6471] = 3906,
  [6472] = 3741,
  [6473] = 3745,
  [6474] = 3931,
  [6475] = 3784,
  [6476] = 3569,
  [6477] = 3933,
  [6478] = 3757,
  [6479] = 3746,
  [6480] = 3567,
  [6481] = 3774,
  [6482] = 3836,
  [6483] = 3747,
  [6484] = 3760,
  [6485] = 3942,
  [6486] = 3958,
  [6487] = 6487,
  [6488] = 3748,
  [6489] = 3810,
  [6490] = 3760,
  [6491] = 3847,
  [6492] = 3733,
  [6493] = 3620,
  [6494] = 3847,
  [6495] = 3622,
  [6496] = 3770,
  [6497] = 3845,
  [6498] = 3748,
  [6499] = 3773,
  [6500] = 3753,
  [6501] = 3762,
  [6502] = 3802,
  [6503] = 3790,
  [6504] = 3593,
  [6505] = 3992,
  [6506] = 3944,
  [6507] = 3874,
  [6508] = 3940,
  [6509] = 3879,
  [6510] = 3879,
  [6511] = 3884,
  [6512] = 3863,
  [6513] = 3756,
  [6514] = 3860,
  [6515] = 3875,
  [6516] = 3894,
  [6517] = 3752,
  [6518] = 3863,
  [6519] = 3887,
  [6520] = 3844,
  [6521] = 3805,
  [6522] = 3848,
  [6523] = 3784,
  [6524] = 3849,
  [6525] = 3940,
  [6526] = 3844,
  [6527] = 3792,
  [6528] = 3752,
  [6529] = 3753,
  [6530] = 3785,
  [6531] = 3836,
  [6532] = 3736,
  [6533] = 3737,
  [6534] = 3758,
  [6535] = 3944,
  [6536] = 3790,
  [6537] = 3786,
  [6538] = 3860,
  [6539] = 6539,
  [6540] = 3894,
  [6541] = 3837,
  [6542] = 3834,
  [6543] = 3874,
  [6544] = 3733,
  [6545] = 3781,
  [6546] = 6546,
  [6547] = 3931,
  [6548] = 3922,
  [6549] = 3933,
  [6550] = 3933,
  [6551] = 3739,
  [6552] = 3925,
  [6553] = 3894,
  [6554] = 3985,
  [6555] = 6555,
  [6556] = 3774,
  [6557] = 3849,
  [6558] = 3884,
  [6559] = 3738,
  [6560] = 3792,
  [6561] = 3802,
  [6562] = 3780,
  [6563] = 3782,
  [6564] = 3788,
  [6565] = 3630,
  [6566] = 3802,
  [6567] = 3632,
  [6568] = 3782,
  [6569] = 3892,
  [6570] = 3884,
  [6571] = 3772,
  [6572] = 3834,
  [6573] = 3737,
  [6574] = 3788,
  [6575] = 3863,
  [6576] = 3745,
  [6577] = 4723,
  [6578] = 3893,
  [6579] = 3761,
  [6580] = 3845,
  [6581] = 3837,
  [6582] = 3834,
  [6583] = 3940,
  [6584] = 6555,
  [6585] = 3809,
  [6586] = 6586,
  [6587] = 6587,
  [6588] = 3884,
  [6589] = 6589,
  [6590] = 6590,
  [6591] = 6591,
  [6592] = 3922,
  [6593] = 3940,
  [6594] = 3845,
  [6595] = 3992,
  [6596] = 3922,
  [6597] = 6597,
  [6598] = 6598,
  [6599] = 6546,
  [6600] = 6600,
  [6601] = 6601,
  [6602] = 3746,
  [6603] = 6603,
  [6604] = 3770,
  [6605] = 6605,
  [6606] = 6606,
  [6607] = 3762,
  [6608] = 3736,
  [6609] = 3770,
  [6610] = 3773,
  [6611] = 3784,
  [6612] = 3786,
  [6613] = 6613,
  [6614] = 6539,
  [6615] = 6615,
  [6616] = 6616,
  [6617] = 3802,
  [6618] = 3805,
  [6619] = 3834,
  [6620] = 3837,
  [6621] = 3860,
  [6622] = 3863,
  [6623] = 3879,
  [6624] = 3884,
  [6625] = 3894,
  [6626] = 3773,
  [6627] = 3784,
  [6628] = 3933,
  [6629] = 3940,
  [6630] = 3786,
  [6631] = 3845,
  [6632] = 3985,
  [6633] = 3992,
  [6634] = 6634,
  [6635] = 3733,
  [6636] = 3737,
  [6637] = 3745,
  [6638] = 3746,
  [6639] = 6639,
  [6640] = 3844,
  [6641] = 6641,
  [6642] = 6642,
  [6643] = 6643,
  [6644] = 6644,
  [6645] = 6645,
  [6646] = 6646,
  [6647] = 3847,
  [6648] = 3874,
  [6649] = 3927,
  [6650] = 3931,
  [6651] = 3942,
  [6652] = 3958,
  [6653] = 3748,
  [6654] = 3753,
  [6655] = 3757,
  [6656] = 3810,
  [6657] = 3739,
  [6658] = 6546,
  [6659] = 3797,
  [6660] = 3826,
  [6661] = 3849,
  [6662] = 3875,
  [6663] = 3887,
  [6664] = 3892,
  [6665] = 3893,
  [6666] = 3752,
  [6667] = 6667,
  [6668] = 6668,
  [6669] = 3758,
  [6670] = 3761,
  [6671] = 6539,
  [6672] = 3766,
  [6673] = 6673,
  [6674] = 3772,
  [6675] = 3863,
  [6676] = 3774,
  [6677] = 3785,
  [6678] = 3790,
  [6679] = 3792,
  [6680] = 6680,
  [6681] = 3803,
  [6682] = 6682,
  [6683] = 6683,
  [6684] = 6684,
  [6685] = 3933,
  [6686] = 6555,
  [6687] = 6687,
  [6688] = 3985,
  [6689] = 3812,
  [6690] = 3848,
  [6691] = 6691,
  [6692] = 3871,
  [6693] = 3872,
  [6694] = 3885,
  [6695] = 3886,
  [6696] = 4723,
  [6697] = 6697,
  [6698] = 6698,
  [6699] = 3756,
  [6700] = 3733,
  [6701] = 6701,
  [6702] = 3944,
  [6703] = 6703,
  [6704] = 6704,
  [6705] = 6705,
  [6706] = 6706,
  [6707] = 3782,
  [6708] = 3802,
  [6709] = 3805,
  [6710] = 6487,
  [6711] = 3834,
  [6712] = 6487,
  [6713] = 3837,
  [6714] = 6714,
  [6715] = 6715,
  [6716] = 3879,
  [6717] = 3925,
  [6718] = 3856,
  [6719] = 3860,
  [6720] = 3863,
  [6721] = 3894,
  [6722] = 4730,
  [6723] = 4760,
  [6724] = 3762,
  [6725] = 3906,
  [6726] = 3732,
  [6727] = 3738,
  [6728] = 3731,
  [6729] = 3806,
  [6730] = 3741,
  [6731] = 3781,
  [6732] = 3747,
  [6733] = 3760,
  [6734] = 3780,
  [6735] = 3788,
  [6736] = 3884,
  [6737] = 6737,
  [6738] = 3992,
  [6739] = 6739,
  [6740] = 3622,
  [6741] = 6741,
  [6742] = 6742,
  [6743] = 6743,
  [6744] = 3737,
  [6745] = 3745,
  [6746] = 3802,
  [6747] = 3805,
  [6748] = 6748,
  [6749] = 3834,
  [6750] = 3837,
  [6751] = 3894,
  [6752] = 3879,
  [6753] = 3836,
  [6754] = 3845,
  [6755] = 3860,
  [6756] = 3736,
  [6757] = 3569,
  [6758] = 3770,
  [6759] = 6682,
  [6760] = 3773,
  [6761] = 3784,
  [6762] = 3786,
  [6763] = 3567,
  [6764] = 6683,
  [6765] = 6613,
  [6766] = 3620,
  [6767] = 6684,
  [6768] = 6687,
  [6769] = 6487,
  [6770] = 3860,
  [6771] = 6643,
  [6772] = 6644,
  [6773] = 3733,
  [6774] = 3863,
  [6775] = 6603,
  [6776] = 6743,
  [6777] = 4730,
  [6778] = 6642,
  [6779] = 6748,
  [6780] = 6598,
  [6781] = 6715,
  [6782] = 6645,
  [6783] = 6646,
  [6784] = 6600,
  [6785] = 6591,
  [6786] = 6597,
  [6787] = 6634,
  [6788] = 6703,
  [6789] = 6704,
  [6790] = 6639,
  [6791] = 3737,
  [6792] = 3745,
  [6793] = 6613,
  [6794] = 6555,
  [6795] = 6642,
  [6796] = 6645,
  [6797] = 6646,
  [6798] = 6737,
  [6799] = 6703,
  [6800] = 6704,
  [6801] = 3746,
  [6802] = 6715,
  [6803] = 6643,
  [6804] = 4723,
  [6805] = 6667,
  [6806] = 6668,
  [6807] = 6691,
  [6808] = 6697,
  [6809] = 6698,
  [6810] = 6701,
  [6811] = 6705,
  [6812] = 6706,
  [6813] = 6739,
  [6814] = 6741,
  [6815] = 6742,
  [6816] = 6743,
  [6817] = 6748,
  [6818] = 6598,
  [6819] = 6600,
  [6820] = 6644,
  [6821] = 6587,
  [6822] = 3736,
  [6823] = 3922,
  [6824] = 6737,
  [6825] = 6641,
  [6826] = 6615,
  [6827] = 6616,
  [6828] = 6590,
  [6829] = 6601,
  [6830] = 3770,
  [6831] = 6673,
  [6832] = 4760,
  [6833] = 6539,
  [6834] = 3773,
  [6835] = 6586,
  [6836] = 3784,
  [6837] = 6605,
  [6838] = 3879,
  [6839] = 3884,
  [6840] = 3745,
  [6841] = 6605,
  [6842] = 6606,
  [6843] = 6673,
  [6844] = 3894,
  [6845] = 6641,
  [6846] = 6589,
  [6847] = 6590,
  [6848] = 3762,
  [6849] = 6680,
  [6850] = 3622,
  [6851] = 6682,
  [6852] = 6683,
  [6853] = 6684,
  [6854] = 3762,
  [6855] = 6687,
  [6856] = 6587,
  [6857] = 3922,
  [6858] = 6606,
  [6859] = 3746,
  [6860] = 6586,
  [6861] = 6680,
  [6862] = 6615,
  [6863] = 6667,
  [6864] = 6668,
  [6865] = 6616,
  [6866] = 4730,
  [6867] = 6603,
  [6868] = 6589,
  [6869] = 6691,
  [6870] = 6697,
  [6871] = 6546,
  [6872] = 6714,
  [6873] = 3736,
  [6874] = 6714,
  [6875] = 6698,
  [6876] = 3737,
  [6877] = 6701,
  [6878] = 6591,
  [6879] = 6705,
  [6880] = 3940,
  [6881] = 6597,
  [6882] = 6706,
  [6883] = 3845,
  [6884] = 6634,
  [6885] = 6739,
  [6886] = 3630,
  [6887] = 3632,
  [6888] = 3636,
  [6889] = 3651,
  [6890] = 3652,
  [6891] = 3568,
  [6892] = 3802,
  [6893] = 6601,
  [6894] = 3805,
  [6895] = 3593,
  [6896] = 6741,
  [6897] = 3992,
  [6898] = 3834,
  [6899] = 6742,
  [6900] = 6639,
  [6901] = 3733,
  [6902] = 3837,
  [6903] = 3786,
  [6904] = 3906,
  [6905] = 3786,
  [6906] = 6691,
  [6907] = 6697,
  [6908] = 6698,
  [6909] = 6701,
  [6910] = 6705,
  [6911] = 6706,
  [6912] = 6739,
  [6913] = 6741,
  [6914] = 6742,
  [6915] = 6743,
  [6916] = 6748,
  [6917] = 6598,
  [6918] = 6668,
  [6919] = 6680,
  [6920] = 6682,
  [6921] = 6683,
  [6922] = 6684,
  [6923] = 6687,
  [6924] = 3860,
  [6925] = 6591,
  [6926] = 6597,
  [6927] = 6634,
  [6928] = 6639,
  [6929] = 6715,
  [6930] = 6613,
  [6931] = 3620,
  [6932] = 3863,
  [6933] = 3922,
  [6934] = 3806,
  [6935] = 6587,
  [6936] = 3741,
  [6937] = 3781,
  [6938] = 6615,
  [6939] = 6616,
  [6940] = 3879,
  [6941] = 3884,
  [6942] = 6601,
  [6943] = 3894,
  [6944] = 3747,
  [6945] = 3760,
  [6946] = 3780,
  [6947] = 6605,
  [6948] = 6606,
  [6949] = 3933,
  [6950] = 6641,
  [6951] = 3940,
  [6952] = 3788,
  [6953] = 3845,
  [6954] = 3985,
  [6955] = 3992,
  [6956] = 3622,
  [6957] = 6643,
  [6958] = 6644,
  [6959] = 3922,
  [6960] = 3762,
  [6961] = 6590,
  [6962] = 3856,
  [6963] = 3762,
  [6964] = 6673,
  [6965] = 6642,
  [6966] = 6645,
  [6967] = 6586,
  [6968] = 6589,
  [6969] = 6737,
  [6970] = 3782,
  [6971] = 6646,
  [6972] = 3773,
  [6973] = 3569,
  [6974] = 6714,
  [6975] = 3630,
  [6976] = 3632,
  [6977] = 3636,
  [6978] = 3733,
  [6979] = 3784,
  [6980] = 3651,
  [6981] = 3652,
  [6982] = 3568,
  [6983] = 3737,
  [6984] = 3745,
  [6985] = 3786,
  [6986] = 3746,
  [6987] = 3593,
  [6988] = 4760,
  [6989] = 3622,
  [6990] = 6703,
  [6991] = 3731,
  [6992] = 6704,
  [6993] = 3732,
  [6994] = 3736,
  [6995] = 4730,
  [6996] = 3802,
  [6997] = 3805,
  [6998] = 3770,
  [6999] = 3836,
  [7000] = 4723,
  [7001] = 3925,
  [7002] = 3809,
  [7003] = 3834,
  [7004] = 4760,
  [7005] = 3736,
  [7006] = 6603,
  [7007] = 3844,
  [7008] = 3738,
  [7009] = 3847,
  [7010] = 3874,
  [7011] = 3927,
  [7012] = 3931,
  [7013] = 3942,
  [7014] = 3958,
  [7015] = 3748,
  [7016] = 3753,
  [7017] = 3757,
  [7018] = 3810,
  [7019] = 3739,
  [7020] = 3797,
  [7021] = 3826,
  [7022] = 3733,
  [7023] = 3849,
  [7024] = 3875,
  [7025] = 3887,
  [7026] = 3892,
  [7027] = 3893,
  [7028] = 3752,
  [7029] = 3737,
  [7030] = 3758,
  [7031] = 3761,
  [7032] = 3766,
  [7033] = 3772,
  [7034] = 3774,
  [7035] = 3785,
  [7036] = 3790,
  [7037] = 3792,
  [7038] = 3803,
  [7039] = 3812,
  [7040] = 3848,
  [7041] = 3745,
  [7042] = 3746,
  [7043] = 3871,
  [7044] = 3872,
  [7045] = 3885,
  [7046] = 3886,
  [7047] = 4723,
  [7048] = 3756,
  [7049] = 3770,
  [7050] = 3944,
  [7051] = 3567,
  [7052] = 3773,
  [7053] = 3837,
  [7054] = 3784,
  [7055] = 6667,
  [7056] = 6600,
  [7057] = 7057,
  [7058] = 3622,
  [7059] = 3770,
  [7060] = 3985,
  [7061] = 3871,
  [7062] = 7057,
  [7063] = 3872,
  [7064] = 3885,
  [7065] = 7057,
  [7066] = 3886,
  [7067] = 3773,
  [7068] = 3784,
  [7069] = 3786,
  [7070] = 3756,
  [7071] = 3992,
  [7072] = 7072,
  [7073] = 3622,
  [7074] = 7057,
  [7075] = 3944,
  [7076] = 3762,
  [7077] = 7057,
  [7078] = 7078,
  [7079] = 7057,
  [7080] = 3806,
  [7081] = 3733,
  [7082] = 3782,
  [7083] = 7083,
  [7084] = 7083,
  [7085] = 3741,
  [7086] = 7072,
  [7087] = 3781,
  [7088] = 7078,
  [7089] = 4723,
  [7090] = 3737,
  [7091] = 3569,
  [7092] = 7057,
  [7093] = 3630,
  [7094] = 3632,
  [7095] = 3636,
  [7096] = 4760,
  [7097] = 3651,
  [7098] = 3652,
  [7099] = 3568,
  [7100] = 3745,
  [7101] = 7078,
  [7102] = 7078,
  [7103] = 3746,
  [7104] = 7072,
  [7105] = 3844,
  [7106] = 3731,
  [7107] = 3884,
  [7108] = 3747,
  [7109] = 3847,
  [7110] = 3874,
  [7111] = 3736,
  [7112] = 3927,
  [7113] = 3931,
  [7114] = 3802,
  [7115] = 3805,
  [7116] = 3933,
  [7117] = 3620,
  [7118] = 3836,
  [7119] = 3834,
  [7120] = 3837,
  [7121] = 3845,
  [7122] = 3925,
  [7123] = 3567,
  [7124] = 3760,
  [7125] = 3780,
  [7126] = 3879,
  [7127] = 3788,
  [7128] = 3940,
  [7129] = 7083,
  [7130] = 3856,
  [7131] = 7083,
  [7132] = 7078,
  [7133] = 3860,
  [7134] = 3922,
  [7135] = 7057,
  [7136] = 3958,
  [7137] = 3748,
  [7138] = 3753,
  [7139] = 3863,
  [7140] = 3757,
  [7141] = 3810,
  [7142] = 3739,
  [7143] = 3894,
  [7144] = 3593,
  [7145] = 3732,
  [7146] = 7078,
  [7147] = 3738,
  [7148] = 3797,
  [7149] = 3826,
  [7150] = 3849,
  [7151] = 3875,
  [7152] = 3887,
  [7153] = 3892,
  [7154] = 7057,
  [7155] = 3893,
  [7156] = 3752,
  [7157] = 3758,
  [7158] = 3761,
  [7159] = 3766,
  [7160] = 3772,
  [7161] = 3774,
  [7162] = 3785,
  [7163] = 3790,
  [7164] = 3792,
  [7165] = 3803,
  [7166] = 3906,
  [7167] = 3812,
  [7168] = 3848,
  [7169] = 3809,
  [7170] = 3942,
  [7171] = 3568,
  [7172] = 3651,
  [7173] = 3652,
  [7174] = 3568,
  [7175] = 3770,
  [7176] = 3781,
  [7177] = 3773,
  [7178] = 3630,
  [7179] = 3636,
  [7180] = 3632,
  [7181] = 3620,
  [7182] = 3636,
  [7183] = 3784,
  [7184] = 3568,
  [7185] = 3756,
  [7186] = 3567,
  [7187] = 3651,
  [7188] = 3652,
  [7189] = 3568,
  [7190] = 3622,
  [7191] = 3622,
  [7192] = 3786,
  [7193] = 3622,
  [7194] = 3622,
  [7195] = 3773,
  [7196] = 3784,
  [7197] = 7197,
  [7198] = 3985,
  [7199] = 3651,
  [7200] = 3652,
  [7201] = 3784,
  [7202] = 3568,
  [7203] = 3593,
  [7204] = 3933,
  [7205] = 3802,
  [7206] = 3652,
  [7207] = 3630,
  [7208] = 7197,
  [7209] = 3786,
  [7210] = 3788,
  [7211] = 3922,
  [7212] = 3792,
  [7213] = 3568,
  [7214] = 3992,
  [7215] = 3803,
  [7216] = 3940,
  [7217] = 3933,
  [7218] = 3567,
  [7219] = 3802,
  [7220] = 3805,
  [7221] = 3894,
  [7222] = 3844,
  [7223] = 3761,
  [7224] = 3620,
  [7225] = 3944,
  [7226] = 3773,
  [7227] = 3762,
  [7228] = 3847,
  [7229] = 3925,
  [7230] = 3874,
  [7231] = 3856,
  [7232] = 3927,
  [7233] = 3931,
  [7234] = 3942,
  [7235] = 3622,
  [7236] = 3834,
  [7237] = 3747,
  [7238] = 3958,
  [7239] = 3748,
  [7240] = 3753,
  [7241] = 3837,
  [7242] = 3760,
  [7243] = 3906,
  [7244] = 3757,
  [7245] = 3810,
  [7246] = 3739,
  [7247] = 3569,
  [7248] = 3797,
  [7249] = 7249,
  [7250] = 3826,
  [7251] = 3849,
  [7252] = 3875,
  [7253] = 3887,
  [7254] = 3892,
  [7255] = 3893,
  [7256] = 3732,
  [7257] = 3752,
  [7258] = 3738,
  [7259] = 3758,
  [7260] = 3761,
  [7261] = 3766,
  [7262] = 3567,
  [7263] = 3772,
  [7264] = 3774,
  [7265] = 3785,
  [7266] = 3622,
  [7267] = 3790,
  [7268] = 3792,
  [7269] = 3803,
  [7270] = 3731,
  [7271] = 3812,
  [7272] = 3848,
  [7273] = 3630,
  [7274] = 3632,
  [7275] = 3636,
  [7276] = 3836,
  [7277] = 3731,
  [7278] = 3871,
  [7279] = 3812,
  [7280] = 3872,
  [7281] = 3885,
  [7282] = 3886,
  [7283] = 3806,
  [7284] = 3741,
  [7285] = 3781,
  [7286] = 3784,
  [7287] = 3651,
  [7288] = 3860,
  [7289] = 3875,
  [7290] = 3652,
  [7291] = 3849,
  [7292] = 3569,
  [7293] = 3756,
  [7294] = 3747,
  [7295] = 3760,
  [7296] = 3780,
  [7297] = 3863,
  [7298] = 3788,
  [7299] = 3620,
  [7300] = 3845,
  [7301] = 3786,
  [7302] = 3780,
  [7303] = 3848,
  [7304] = 3732,
  [7305] = 3944,
  [7306] = 3922,
  [7307] = 3788,
  [7308] = 3922,
  [7309] = 3786,
  [7310] = 3809,
  [7311] = 3805,
  [7312] = 3752,
  [7313] = 3632,
  [7314] = 3593,
  [7315] = 3630,
  [7316] = 3636,
  [7317] = 3806,
  [7318] = 3758,
  [7319] = 3632,
  [7320] = 3985,
  [7321] = 3636,
  [7322] = 3879,
  [7323] = 3884,
  [7324] = 3731,
  [7325] = 3773,
  [7326] = 3630,
  [7327] = 3985,
  [7328] = 3894,
  [7329] = 3992,
  [7330] = 3632,
  [7331] = 3636,
  [7332] = 3992,
  [7333] = 3741,
  [7334] = 3871,
  [7335] = 3782,
  [7336] = 3887,
  [7337] = 3845,
  [7338] = 3733,
  [7339] = 3651,
  [7340] = 3652,
  [7341] = 3737,
  [7342] = 3568,
  [7343] = 3736,
  [7344] = 3856,
  [7345] = 3745,
  [7346] = 3593,
  [7347] = 3746,
  [7348] = 3620,
  [7349] = 3892,
  [7350] = 3620,
  [7351] = 3893,
  [7352] = 3747,
  [7353] = 3844,
  [7354] = 3762,
  [7355] = 3940,
  [7356] = 3860,
  [7357] = 7197,
  [7358] = 3766,
  [7359] = 3802,
  [7360] = 3782,
  [7361] = 3933,
  [7362] = 3567,
  [7363] = 3802,
  [7364] = 3863,
  [7365] = 3805,
  [7366] = 3736,
  [7367] = 3860,
  [7368] = 3834,
  [7369] = 3879,
  [7370] = 3884,
  [7371] = 3940,
  [7372] = 3622,
  [7373] = 3836,
  [7374] = 3762,
  [7375] = 7249,
  [7376] = 3772,
  [7377] = 3567,
  [7378] = 3837,
  [7379] = 3733,
  [7380] = 3847,
  [7381] = 3569,
  [7382] = 3834,
  [7383] = 7249,
  [7384] = 3874,
  [7385] = 3770,
  [7386] = 3927,
  [7387] = 3737,
  [7388] = 3745,
  [7389] = 3593,
  [7390] = 3746,
  [7391] = 3630,
  [7392] = 3632,
  [7393] = 3636,
  [7394] = 3651,
  [7395] = 3652,
  [7396] = 3568,
  [7397] = 3844,
  [7398] = 3593,
  [7399] = 3790,
  [7400] = 3925,
  [7401] = 3874,
  [7402] = 3927,
  [7403] = 3931,
  [7404] = 3931,
  [7405] = 3942,
  [7406] = 3942,
  [7407] = 3836,
  [7408] = 3872,
  [7409] = 7197,
  [7410] = 3894,
  [7411] = 3958,
  [7412] = 3748,
  [7413] = 3753,
  [7414] = 3906,
  [7415] = 3757,
  [7416] = 3810,
  [7417] = 3739,
  [7418] = 3845,
  [7419] = 3958,
  [7420] = 3797,
  [7421] = 3826,
  [7422] = 3860,
  [7423] = 3849,
  [7424] = 3738,
  [7425] = 3875,
  [7426] = 3887,
  [7427] = 3892,
  [7428] = 3893,
  [7429] = 3732,
  [7430] = 3752,
  [7431] = 3758,
  [7432] = 3761,
  [7433] = 3766,
  [7434] = 3748,
  [7435] = 3772,
  [7436] = 3774,
  [7437] = 3785,
  [7438] = 3790,
  [7439] = 3792,
  [7440] = 3803,
  [7441] = 3731,
  [7442] = 3812,
  [7443] = 3848,
  [7444] = 3809,
  [7445] = 3753,
  [7446] = 3757,
  [7447] = 3810,
  [7448] = 3871,
  [7449] = 3872,
  [7450] = 3885,
  [7451] = 3886,
  [7452] = 3806,
  [7453] = 3741,
  [7454] = 3781,
  [7455] = 3739,
  [7456] = 3569,
  [7457] = 3797,
  [7458] = 3826,
  [7459] = 3756,
  [7460] = 3747,
  [7461] = 3760,
  [7462] = 3780,
  [7463] = 3863,
  [7464] = 3788,
  [7465] = 3985,
  [7466] = 3849,
  [7467] = 3593,
  [7468] = 3992,
  [7469] = 3944,
  [7470] = 3922,
  [7471] = 3875,
  [7472] = 3925,
  [7473] = 3733,
  [7474] = 3856,
  [7475] = 3887,
  [7476] = 3892,
  [7477] = 3567,
  [7478] = 3737,
  [7479] = 3745,
  [7480] = 3746,
  [7481] = 3933,
  [7482] = 3782,
  [7483] = 3893,
  [7484] = 3836,
  [7485] = 3738,
  [7486] = 3593,
  [7487] = 3752,
  [7488] = 3758,
  [7489] = 3761,
  [7490] = 3766,
  [7491] = 3567,
  [7492] = 3844,
  [7493] = 3772,
  [7494] = 3620,
  [7495] = 3774,
  [7496] = 3940,
  [7497] = 3785,
  [7498] = 3790,
  [7499] = 3856,
  [7500] = 3774,
  [7501] = 3792,
  [7502] = 3803,
  [7503] = 3812,
  [7504] = 3733,
  [7505] = 3848,
  [7506] = 3630,
  [7507] = 3847,
  [7508] = 3632,
  [7509] = 3636,
  [7510] = 3737,
  [7511] = 3871,
  [7512] = 3874,
  [7513] = 3872,
  [7514] = 3885,
  [7515] = 3886,
  [7516] = 3745,
  [7517] = 3651,
  [7518] = 3652,
  [7519] = 3568,
  [7520] = 3756,
  [7521] = 3746,
  [7522] = 3885,
  [7523] = 3886,
  [7524] = 3805,
  [7525] = 3770,
  [7526] = 3834,
  [7527] = 3781,
  [7528] = 3944,
  [7529] = 3732,
  [7530] = 3567,
  [7531] = 3762,
  [7532] = 3837,
  [7533] = 3569,
  [7534] = 3863,
  [7535] = 3569,
  [7536] = 3760,
  [7537] = 4730,
  [7538] = 3651,
  [7539] = 3569,
  [7540] = 3738,
  [7541] = 3782,
  [7542] = 3651,
  [7543] = 3879,
  [7544] = 3879,
  [7545] = 3884,
  [7546] = 3593,
  [7547] = 3770,
  [7548] = 3927,
  [7549] = 3837,
  [7550] = 3780,
  [7551] = 3845,
  [7552] = 3567,
  [7553] = 3736,
  [7554] = 3809,
  [7555] = 3931,
  [7556] = 3884,
  [7557] = 3785,
  [7558] = 3942,
  [7559] = 3630,
  [7560] = 7249,
  [7561] = 3906,
  [7562] = 3894,
  [7563] = 3593,
  [7564] = 3809,
  [7565] = 3806,
  [7566] = 3958,
  [7567] = 3925,
  [7568] = 3748,
  [7569] = 3753,
  [7570] = 3630,
  [7571] = 3569,
  [7572] = 3632,
  [7573] = 3636,
  [7574] = 3757,
  [7575] = 3736,
  [7576] = 3810,
  [7577] = 3739,
  [7578] = 3741,
  [7579] = 3632,
  [7580] = 3906,
  [7581] = 3652,
  [7582] = 3569,
  [7583] = 3797,
  [7584] = 3826,
  [7585] = 3847,
  [7586] = 3784,
  [7587] = 3569,
  [7588] = 3834,
  [7589] = 3944,
  [7590] = 3837,
  [7591] = 3847,
  [7592] = 3925,
  [7593] = 3874,
  [7594] = 3856,
  [7595] = 3568,
  [7596] = 3927,
  [7597] = 3931,
  [7598] = 3736,
  [7599] = 3879,
  [7600] = 3942,
  [7601] = 3593,
  [7602] = 7602,
  [7603] = 3844,
  [7604] = 3630,
  [7605] = 3632,
  [7606] = 3847,
  [7607] = 3630,
  [7608] = 3632,
  [7609] = 3636,
  [7610] = 3958,
  [7611] = 3770,
  [7612] = 3748,
  [7613] = 3651,
  [7614] = 3652,
  [7615] = 3568,
  [7616] = 3773,
  [7617] = 3620,
  [7618] = 3753,
  [7619] = 3784,
  [7620] = 3786,
  [7621] = 3860,
  [7622] = 3906,
  [7623] = 3757,
  [7624] = 3569,
  [7625] = 3810,
  [7626] = 3739,
  [7627] = 3736,
  [7628] = 3733,
  [7629] = 3863,
  [7630] = 3894,
  [7631] = 3836,
  [7632] = 3630,
  [7633] = 3737,
  [7634] = 3745,
  [7635] = 3632,
  [7636] = 3636,
  [7637] = 3797,
  [7638] = 3826,
  [7639] = 3651,
  [7640] = 3746,
  [7641] = 3652,
  [7642] = 3568,
  [7643] = 3636,
  [7644] = 3770,
  [7645] = 3940,
  [7646] = 3844,
  [7647] = 3944,
  [7648] = 3770,
  [7649] = 3773,
  [7650] = 3849,
  [7651] = 3784,
  [7652] = 3782,
  [7653] = 3786,
  [7654] = 3802,
  [7655] = 3762,
  [7656] = 3805,
  [7657] = 3875,
  [7658] = 3834,
  [7659] = 3622,
  [7660] = 3887,
  [7661] = 3847,
  [7662] = 3892,
  [7663] = 3837,
  [7664] = 3893,
  [7665] = 3732,
  [7666] = 3752,
  [7667] = 3738,
  [7668] = 3758,
  [7669] = 3761,
  [7670] = 3847,
  [7671] = 3925,
  [7672] = 3736,
  [7673] = 3766,
  [7674] = 3874,
  [7675] = 3874,
  [7676] = 3860,
  [7677] = 3772,
  [7678] = 3774,
  [7679] = 3863,
  [7680] = 3785,
  [7681] = 3927,
  [7682] = 3790,
  [7683] = 3792,
  [7684] = 3931,
  [7685] = 3803,
  [7686] = 3874,
  [7687] = 3731,
  [7688] = 3812,
  [7689] = 3942,
  [7690] = 3848,
  [7691] = 7602,
  [7692] = 3836,
  [7693] = 3927,
  [7694] = 3931,
  [7695] = 3927,
  [7696] = 3871,
  [7697] = 3931,
  [7698] = 3872,
  [7699] = 3885,
  [7700] = 3886,
  [7701] = 3593,
  [7702] = 3806,
  [7703] = 3770,
  [7704] = 3741,
  [7705] = 3781,
  [7706] = 3942,
  [7707] = 3773,
  [7708] = 3836,
  [7709] = 3773,
  [7710] = 3784,
  [7711] = 3786,
  [7712] = 3802,
  [7713] = 3805,
  [7714] = 3756,
  [7715] = 3747,
  [7716] = 3834,
  [7717] = 3760,
  [7718] = 3780,
  [7719] = 3837,
  [7720] = 3788,
  [7721] = 3786,
  [7722] = 3958,
  [7723] = 3748,
  [7724] = 3879,
  [7725] = 3753,
  [7726] = 3884,
  [7727] = 4723,
  [7728] = 3567,
  [7729] = 3736,
  [7730] = 3757,
  [7731] = 3810,
  [7732] = 3739,
  [7733] = 3860,
  [7734] = 3737,
  [7735] = 4730,
  [7736] = 3797,
  [7737] = 3826,
  [7738] = 3736,
  [7739] = 3863,
  [7740] = 3894,
  [7741] = 3849,
  [7742] = 3875,
  [7743] = 3887,
  [7744] = 3892,
  [7745] = 3893,
  [7746] = 3958,
  [7747] = 3748,
  [7748] = 3944,
  [7749] = 3752,
  [7750] = 3620,
  [7751] = 3922,
  [7752] = 3758,
  [7753] = 3761,
  [7754] = 3766,
  [7755] = 3772,
  [7756] = 3774,
  [7757] = 3785,
  [7758] = 3762,
  [7759] = 3790,
  [7760] = 3792,
  [7761] = 3803,
  [7762] = 3753,
  [7763] = 3733,
  [7764] = 3812,
  [7765] = 3848,
  [7766] = 3770,
  [7767] = 3809,
  [7768] = 3925,
  [7769] = 3942,
  [7770] = 3856,
  [7771] = 7771,
  [7772] = 3871,
  [7773] = 3836,
  [7774] = 4760,
  [7775] = 3872,
  [7776] = 3885,
  [7777] = 3886,
  [7778] = 3773,
  [7779] = 3906,
  [7780] = 3757,
  [7781] = 3746,
  [7782] = 3784,
  [7783] = 3884,
  [7784] = 3786,
  [7785] = 3802,
  [7786] = 3805,
  [7787] = 3756,
  [7788] = 3933,
  [7789] = 3810,
  [7790] = 3834,
  [7791] = 3739,
  [7792] = 3940,
  [7793] = 3837,
  [7794] = 3745,
  [7795] = 3593,
  [7796] = 3879,
  [7797] = 3622,
  [7798] = 3884,
  [7799] = 3797,
  [7800] = 3567,
  [7801] = 3845,
  [7802] = 3944,
  [7803] = 3826,
  [7804] = 3567,
  [7805] = 3860,
  [7806] = 3906,
  [7807] = 3849,
  [7808] = 3782,
  [7809] = 3863,
  [7810] = 3894,
  [7811] = 3875,
  [7812] = 3887,
  [7813] = 3892,
  [7814] = 3985,
  [7815] = 3992,
  [7816] = 3893,
  [7817] = 3802,
  [7818] = 3732,
  [7819] = 3752,
  [7820] = 3758,
  [7821] = 3805,
  [7822] = 3569,
  [7823] = 3761,
  [7824] = 3782,
  [7825] = 3834,
  [7826] = 3766,
  [7827] = 3772,
  [7828] = 3620,
  [7829] = 3732,
  [7830] = 3738,
  [7831] = 3622,
  [7832] = 3774,
  [7833] = 3845,
  [7834] = 3837,
  [7835] = 3802,
  [7836] = 3958,
  [7837] = 3805,
  [7838] = 3785,
  [7839] = 3933,
  [7840] = 3748,
  [7841] = 3790,
  [7842] = 3834,
  [7843] = 3567,
  [7844] = 3940,
  [7845] = 3792,
  [7846] = 3837,
  [7847] = 3803,
  [7848] = 3731,
  [7849] = 3630,
  [7850] = 3731,
  [7851] = 3879,
  [7852] = 3569,
  [7853] = 3884,
  [7854] = 3812,
  [7855] = 3845,
  [7856] = 3848,
  [7857] = 3762,
  [7858] = 3632,
  [7859] = 3860,
  [7860] = 3809,
  [7861] = 3806,
  [7862] = 3863,
  [7863] = 3894,
  [7864] = 3741,
  [7865] = 3753,
  [7866] = 3651,
  [7867] = 3781,
  [7868] = 3985,
  [7869] = 3992,
  [7870] = 3933,
  [7871] = 3636,
  [7872] = 3871,
  [7873] = 3770,
  [7874] = 3747,
  [7875] = 3760,
  [7876] = 3780,
  [7877] = 3788,
  [7878] = 7771,
  [7879] = 3872,
  [7880] = 3652,
  [7881] = 3757,
  [7882] = 3933,
  [7883] = 3885,
  [7884] = 3886,
  [7885] = 3806,
  [7886] = 3922,
  [7887] = 3940,
  [7888] = 3741,
  [7889] = 3762,
  [7890] = 3733,
  [7891] = 3810,
  [7892] = 3856,
  [7893] = 3739,
  [7894] = 3773,
  [7895] = 3756,
  [7896] = 3747,
  [7897] = 3797,
  [7898] = 3760,
  [7899] = 3782,
  [7900] = 3845,
  [7901] = 3780,
  [7902] = 3784,
  [7903] = 3933,
  [7904] = 3788,
  [7905] = 3826,
  [7906] = 3860,
  [7907] = 3940,
  [7908] = 3863,
  [7909] = 3786,
  [7910] = 3733,
  [7911] = 3879,
  [7912] = 3620,
  [7913] = 3593,
  [7914] = 3737,
  [7915] = 3884,
  [7916] = 3745,
  [7917] = 3746,
  [7918] = 3845,
  [7919] = 3844,
  [7920] = 3985,
  [7921] = 3992,
  [7922] = 3894,
  [7923] = 3738,
  [7924] = 3985,
  [7925] = 3944,
  [7926] = 3992,
  [7927] = 3849,
  [7928] = 3809,
  [7929] = 3622,
  [7930] = 3651,
  [7931] = 3925,
  [7932] = 3856,
  [7933] = 3652,
  [7934] = 3847,
  [7935] = 3844,
  [7936] = 3906,
  [7937] = 3933,
  [7938] = 3925,
  [7939] = 3940,
  [7940] = 3875,
  [7941] = 3847,
  [7942] = 3568,
  [7943] = 3874,
  [7944] = 3622,
  [7945] = 3887,
  [7946] = 3874,
  [7947] = 3892,
  [7948] = 3927,
  [7949] = 3931,
  [7950] = 3942,
  [7951] = 7771,
  [7952] = 3836,
  [7953] = 3856,
  [7954] = 3845,
  [7955] = 3958,
  [7956] = 3748,
  [7957] = 3753,
  [7958] = 3593,
  [7959] = 3757,
  [7960] = 3810,
  [7961] = 3739,
  [7962] = 3927,
  [7963] = 3797,
  [7964] = 3826,
  [7965] = 3985,
  [7966] = 3849,
  [7967] = 3931,
  [7968] = 3992,
  [7969] = 3875,
  [7970] = 3887,
  [7971] = 3892,
  [7972] = 3893,
  [7973] = 3752,
  [7974] = 3758,
  [7975] = 3942,
  [7976] = 3761,
  [7977] = 3836,
  [7978] = 3766,
  [7979] = 3772,
  [7980] = 3774,
  [7981] = 3785,
  [7982] = 3790,
  [7983] = 3792,
  [7984] = 3803,
  [7985] = 3812,
  [7986] = 3848,
  [7987] = 3809,
  [7988] = 3651,
  [7989] = 3922,
  [7990] = 3893,
  [7991] = 3871,
  [7992] = 3872,
  [7993] = 3885,
  [7994] = 3886,
  [7995] = 3732,
  [7996] = 3762,
  [7997] = 3879,
  [7998] = 3756,
  [7999] = 3738,
  [8000] = 3569,
  [8001] = 7602,
  [8002] = 3884,
  [8003] = 3944,
  [8004] = 3652,
  [8005] = 3752,
  [8006] = 3568,
  [8007] = 3738,
  [8008] = 3758,
  [8009] = 3761,
  [8010] = 3766,
  [8011] = 3630,
  [8012] = 3958,
  [8013] = 3748,
  [8014] = 3753,
  [8015] = 3906,
  [8016] = 3757,
  [8017] = 3810,
  [8018] = 3739,
  [8019] = 3632,
  [8020] = 3782,
  [8021] = 3772,
  [8022] = 3774,
  [8023] = 3797,
  [8024] = 3785,
  [8025] = 3826,
  [8026] = 3849,
  [8027] = 3782,
  [8028] = 3790,
  [8029] = 3875,
  [8030] = 3792,
  [8031] = 3803,
  [8032] = 3887,
  [8033] = 3731,
  [8034] = 3892,
  [8035] = 3893,
  [8036] = 3732,
  [8037] = 3752,
  [8038] = 3985,
  [8039] = 3738,
  [8040] = 3758,
  [8041] = 3761,
  [8042] = 3812,
  [8043] = 3848,
  [8044] = 3766,
  [8045] = 3894,
  [8046] = 3809,
  [8047] = 3772,
  [8048] = 3636,
  [8049] = 3992,
  [8050] = 3774,
  [8051] = 3785,
  [8052] = 7771,
  [8053] = 3790,
  [8054] = 3792,
  [8055] = 3803,
  [8056] = 3806,
  [8057] = 3737,
  [8058] = 3733,
  [8059] = 3741,
  [8060] = 3731,
  [8061] = 3781,
  [8062] = 3812,
  [8063] = 3848,
  [8064] = 3737,
  [8065] = 3745,
  [8066] = 3746,
  [8067] = 3871,
  [8068] = 3747,
  [8069] = 3760,
  [8070] = 3780,
  [8071] = 3922,
  [8072] = 3788,
  [8073] = 3809,
  [8074] = 3762,
  [8075] = 3872,
  [8076] = 3622,
  [8077] = 3922,
  [8078] = 7602,
  [8079] = 3885,
  [8080] = 3925,
  [8081] = 3620,
  [8082] = 3736,
  [8083] = 3871,
  [8084] = 3886,
  [8085] = 3622,
  [8086] = 3872,
  [8087] = 3622,
  [8088] = 3622,
  [8089] = 3622,
  [8090] = 3906,
  [8091] = 3733,
  [8092] = 3885,
  [8093] = 3886,
  [8094] = 3746,
  [8095] = 3806,
  [8096] = 3741,
  [8097] = 3781,
  [8098] = 3732,
  [8099] = 3737,
  [8100] = 3745,
  [8101] = 3844,
  [8102] = 3731,
  [8103] = 3746,
  [8104] = 3806,
  [8105] = 3741,
  [8106] = 3781,
  [8107] = 3756,
  [8108] = 3747,
  [8109] = 3747,
  [8110] = 3760,
  [8111] = 3780,
  [8112] = 3788,
  [8113] = 3745,
  [8114] = 3760,
  [8115] = 3780,
  [8116] = 3788,
  [8117] = 3922,
  [8118] = 3567,
  [8119] = 3802,
  [8120] = 3844,
  [8121] = 3805,
  [8122] = 3856,
  [8123] = 3756,
  [8124] = 3781,
  [8125] = 3651,
  [8126] = 3746,
  [8127] = 3809,
  [8128] = 3752,
  [8129] = 3844,
  [8130] = 3733,
  [8131] = 3856,
  [8132] = 3739,
  [8133] = 3894,
  [8134] = 4723,
  [8135] = 3887,
  [8136] = 3906,
  [8137] = 3892,
  [8138] = 3786,
  [8139] = 3733,
  [8140] = 3757,
  [8141] = 3752,
  [8142] = 3810,
  [8143] = 3739,
  [8144] = 3894,
  [8145] = 3773,
  [8146] = 3894,
  [8147] = 3925,
  [8148] = 3806,
  [8149] = 3569,
  [8150] = 3958,
  [8151] = 3797,
  [8152] = 3874,
  [8153] = 3860,
  [8154] = 3748,
  [8155] = 3844,
  [8156] = 3753,
  [8157] = 3797,
  [8158] = 3826,
  [8159] = 3893,
  [8160] = 8160,
  [8161] = 3836,
  [8162] = 3906,
  [8163] = 3879,
  [8164] = 3805,
  [8165] = 3756,
  [8166] = 3737,
  [8167] = 3733,
  [8168] = 3906,
  [8169] = 3797,
  [8170] = 3863,
  [8171] = 3933,
  [8172] = 3927,
  [8173] = 3944,
  [8174] = 3871,
  [8175] = 3931,
  [8176] = 3942,
  [8177] = 4730,
  [8178] = 3745,
  [8179] = 3826,
  [8180] = 3942,
  [8181] = 8181,
  [8182] = 3887,
  [8183] = 3746,
  [8184] = 3886,
  [8185] = 3845,
  [8186] = 3940,
  [8187] = 3736,
  [8188] = 3732,
  [8189] = 3884,
  [8190] = 3757,
  [8191] = 3810,
  [8192] = 3762,
  [8193] = 3731,
  [8194] = 3836,
  [8195] = 3747,
  [8196] = 3845,
  [8197] = 3739,
  [8198] = 3874,
  [8199] = 3856,
  [8200] = 3772,
  [8201] = 3758,
  [8202] = 3797,
  [8203] = 3760,
  [8204] = 3805,
  [8205] = 3849,
  [8206] = 3836,
  [8207] = 3860,
  [8208] = 3780,
  [8209] = 3756,
  [8210] = 3875,
  [8211] = 3887,
  [8212] = 3737,
  [8213] = 3892,
  [8214] = 3933,
  [8215] = 3826,
  [8216] = 3893,
  [8217] = 3826,
  [8218] = 3622,
  [8219] = 3745,
  [8220] = 3732,
  [8221] = 3844,
  [8222] = 3985,
  [8223] = 3752,
  [8224] = 3752,
  [8225] = 3736,
  [8226] = 3885,
  [8227] = 3774,
  [8228] = 3845,
  [8229] = 3758,
  [8230] = 3849,
  [8231] = 3732,
  [8232] = 3761,
  [8233] = 3784,
  [8234] = 3875,
  [8235] = 3849,
  [8236] = 3738,
  [8237] = 3736,
  [8238] = 3747,
  [8239] = 3785,
  [8240] = 3887,
  [8241] = 3892,
  [8242] = 3836,
  [8243] = 3847,
  [8244] = 3790,
  [8245] = 3761,
  [8246] = 3802,
  [8247] = 3806,
  [8248] = 3732,
  [8249] = 3766,
  [8250] = 3731,
  [8251] = 3782,
  [8252] = 3737,
  [8253] = 3805,
  [8254] = 3741,
  [8255] = 3893,
  [8256] = 3803,
  [8257] = 3845,
  [8258] = 3736,
  [8259] = 3733,
  [8260] = 3760,
  [8261] = 3944,
  [8262] = 3772,
  [8263] = 3731,
  [8264] = 3774,
  [8265] = 3785,
  [8266] = 3834,
  [8267] = 3805,
  [8268] = 3738,
  [8269] = 3752,
  [8270] = 3788,
  [8271] = 3622,
  [8272] = 3786,
  [8273] = 3806,
  [8274] = 3741,
  [8275] = 3781,
  [8276] = 3772,
  [8277] = 3733,
  [8278] = 3738,
  [8279] = 3737,
  [8280] = 3879,
  [8281] = 3745,
  [8282] = 3746,
  [8283] = 3747,
  [8284] = 3790,
  [8285] = 3931,
  [8286] = 3773,
  [8287] = 3758,
  [8288] = 3760,
  [8289] = 3782,
  [8290] = 3792,
  [8291] = 3780,
  [8292] = 3803,
  [8293] = 3788,
  [8294] = 3860,
  [8295] = 3770,
  [8296] = 3940,
  [8297] = 3733,
  [8298] = 3863,
  [8299] = 3894,
  [8300] = 3875,
  [8301] = 3758,
  [8302] = 3806,
  [8303] = 3773,
  [8304] = 3781,
  [8305] = 3922,
  [8306] = 3784,
  [8307] = 3761,
  [8308] = 3731,
  [8309] = 3786,
  [8310] = 3875,
  [8311] = 3812,
  [8312] = 3766,
  [8313] = 3774,
  [8314] = 3802,
  [8315] = 3837,
  [8316] = 3784,
  [8317] = 3805,
  [8318] = 3770,
  [8319] = 3785,
  [8320] = 3872,
  [8321] = 3933,
  [8322] = 3887,
  [8323] = 3892,
  [8324] = 3786,
  [8325] = 3848,
  [8326] = 3741,
  [8327] = 3834,
  [8328] = 3780,
  [8329] = 3944,
  [8330] = 3933,
  [8331] = 3772,
  [8332] = 3630,
  [8333] = 3761,
  [8334] = 3782,
  [8335] = 3766,
  [8336] = 3632,
  [8337] = 3885,
  [8338] = 3922,
  [8339] = 3933,
  [8340] = 3774,
  [8341] = 3940,
  [8342] = 3925,
  [8343] = 3790,
  [8344] = 3741,
  [8345] = 3785,
  [8346] = 3733,
  [8347] = 3756,
  [8348] = 3871,
  [8349] = 3790,
  [8350] = 4730,
  [8351] = 3792,
  [8352] = 3803,
  [8353] = 3757,
  [8354] = 3760,
  [8355] = 3940,
  [8356] = 8356,
  [8357] = 3812,
  [8358] = 3886,
  [8359] = 3806,
  [8360] = 3792,
  [8361] = 3837,
  [8362] = 3810,
  [8363] = 3847,
  [8364] = 3739,
  [8365] = 3933,
  [8366] = 3781,
  [8367] = 3741,
  [8368] = 3848,
  [8369] = 3940,
  [8370] = 3780,
  [8371] = 3809,
  [8372] = 3781,
  [8373] = 3893,
  [8374] = 3940,
  [8375] = 3863,
  [8376] = 3985,
  [8377] = 3745,
  [8378] = 3766,
  [8379] = 3837,
  [8380] = 3992,
  [8381] = 3733,
  [8382] = 3874,
  [8383] = 3933,
  [8384] = 3985,
  [8385] = 3788,
  [8386] = 3809,
  [8387] = 3884,
  [8388] = 3884,
  [8389] = 3871,
  [8390] = 3879,
  [8391] = 3784,
  [8392] = 3772,
  [8393] = 3872,
  [8394] = 3885,
  [8395] = 3746,
  [8396] = 3992,
  [8397] = 3886,
  [8398] = 3834,
  [8399] = 3747,
  [8400] = 3772,
  [8401] = 3774,
  [8402] = 3747,
  [8403] = 3760,
  [8404] = 3762,
  [8405] = 3780,
  [8406] = 3756,
  [8407] = 3774,
  [8408] = 3766,
  [8409] = 3788,
  [8410] = 3760,
  [8411] = 3762,
  [8412] = 3845,
  [8413] = 3738,
  [8414] = 3785,
  [8415] = 4760,
  [8416] = 3894,
  [8417] = 3762,
  [8418] = 3790,
  [8419] = 3788,
  [8420] = 3785,
  [8421] = 3790,
  [8422] = 3792,
  [8423] = 3837,
  [8424] = 3792,
  [8425] = 3636,
  [8426] = 3863,
  [8427] = 3803,
  [8428] = 3942,
  [8429] = 3803,
  [8430] = 3731,
  [8431] = 3731,
  [8432] = 3879,
  [8433] = 3812,
  [8434] = 3856,
  [8435] = 3871,
  [8436] = 3737,
  [8437] = 3844,
  [8438] = 3848,
  [8439] = 3834,
  [8440] = 3745,
  [8441] = 3809,
  [8442] = 3736,
  [8443] = 3762,
  [8444] = 3985,
  [8445] = 3933,
  [8446] = 3812,
  [8447] = 3856,
  [8448] = 3622,
  [8449] = 3773,
  [8450] = 3872,
  [8451] = 3738,
  [8452] = 3812,
  [8453] = 3872,
  [8454] = 3780,
  [8455] = 3848,
  [8456] = 3985,
  [8457] = 3884,
  [8458] = 3797,
  [8459] = 3770,
  [8460] = 3925,
  [8461] = 3958,
  [8462] = 3860,
  [8463] = 3748,
  [8464] = 3773,
  [8465] = 3739,
  [8466] = 3826,
  [8467] = 3992,
  [8468] = 4723,
  [8469] = 3753,
  [8470] = 3737,
  [8471] = 3925,
  [8472] = 3834,
  [8473] = 3786,
  [8474] = 3856,
  [8475] = 3863,
  [8476] = 3894,
  [8477] = 3788,
  [8478] = 3567,
  [8479] = 3756,
  [8480] = 3745,
  [8481] = 3845,
  [8482] = 3738,
  [8483] = 3762,
  [8484] = 3738,
  [8485] = 3737,
  [8486] = 3885,
  [8487] = 3802,
  [8488] = 3836,
  [8489] = 3745,
  [8490] = 3848,
  [8491] = 3922,
  [8492] = 3849,
  [8493] = 3746,
  [8494] = 3782,
  [8495] = 3860,
  [8496] = 3834,
  [8497] = 3847,
  [8498] = 3747,
  [8499] = 3847,
  [8500] = 3746,
  [8501] = 3792,
  [8502] = 3760,
  [8503] = 3874,
  [8504] = 3906,
  [8505] = 3944,
  [8506] = 3884,
  [8507] = 3922,
  [8508] = 3992,
  [8509] = 4760,
  [8510] = 3985,
  [8511] = 3803,
  [8512] = 3985,
  [8513] = 3927,
  [8514] = 3892,
  [8515] = 3925,
  [8516] = 3931,
  [8517] = 3770,
  [8518] = 3942,
  [8519] = 3593,
  [8520] = 3737,
  [8521] = 3844,
  [8522] = 3849,
  [8523] = 3886,
  [8524] = 3958,
  [8525] = 3927,
  [8526] = 3806,
  [8527] = 3782,
  [8528] = 3748,
  [8529] = 3856,
  [8530] = 3931,
  [8531] = 3992,
  [8532] = 3753,
  [8533] = 3847,
  [8534] = 3836,
  [8535] = 3874,
  [8536] = 3863,
  [8537] = 3927,
  [8538] = 3931,
  [8539] = 3942,
  [8540] = 3773,
  [8541] = 3837,
  [8542] = 3871,
  [8543] = 3875,
  [8544] = 8544,
  [8545] = 3906,
  [8546] = 3958,
  [8547] = 3748,
  [8548] = 3753,
  [8549] = 3784,
  [8550] = 3745,
  [8551] = 3757,
  [8552] = 3810,
  [8553] = 3739,
  [8554] = 3732,
  [8555] = 3736,
  [8556] = 3893,
  [8557] = 3569,
  [8558] = 3797,
  [8559] = 3826,
  [8560] = 3885,
  [8561] = 3757,
  [8562] = 3849,
  [8563] = 3810,
  [8564] = 3872,
  [8565] = 3875,
  [8566] = 3887,
  [8567] = 3892,
  [8568] = 3893,
  [8569] = 3786,
  [8570] = 3752,
  [8571] = 3847,
  [8572] = 3758,
  [8573] = 3761,
  [8574] = 3746,
  [8575] = 3739,
  [8576] = 3766,
  [8577] = 3844,
  [8578] = 3772,
  [8579] = 3774,
  [8580] = 3785,
  [8581] = 3790,
  [8582] = 3792,
  [8583] = 3803,
  [8584] = 3802,
  [8585] = 3812,
  [8586] = 3848,
  [8587] = 3746,
  [8588] = 3731,
  [8589] = 3630,
  [8590] = 3632,
  [8591] = 3636,
  [8592] = 3871,
  [8593] = 3770,
  [8594] = 3872,
  [8595] = 3885,
  [8596] = 3886,
  [8597] = 3985,
  [8598] = 3871,
  [8599] = 3797,
  [8600] = 3826,
  [8601] = 3651,
  [8602] = 3652,
  [8603] = 3568,
  [8604] = 3886,
  [8605] = 3756,
  [8606] = 3922,
  [8607] = 3849,
  [8608] = 3837,
  [8609] = 3844,
  [8610] = 3731,
  [8611] = 3940,
  [8612] = 3782,
  [8613] = 3805,
  [8614] = 3925,
  [8615] = 3780,
  [8616] = 3944,
  [8617] = 3809,
  [8618] = 3992,
  [8619] = 3802,
  [8620] = 3933,
  [8621] = 3958,
  [8622] = 3784,
  [8623] = 3748,
  [8624] = 3593,
  [8625] = 3738,
  [8626] = 3834,
  [8627] = 3879,
  [8628] = 3944,
  [8629] = 3836,
  [8630] = 3958,
  [8631] = 3748,
  [8632] = 3753,
  [8633] = 3812,
  [8634] = 3761,
  [8635] = 3887,
  [8636] = 3922,
  [8637] = 3806,
  [8638] = 3940,
  [8639] = 4730,
  [8640] = 3762,
  [8641] = 3741,
  [8642] = 3860,
  [8643] = 3781,
  [8644] = 3741,
  [8645] = 3781,
  [8646] = 3753,
  [8647] = 4730,
  [8648] = 8648,
  [8649] = 3782,
  [8650] = 3622,
  [8651] = 3781,
  [8652] = 3884,
  [8653] = 3925,
  [8654] = 3770,
  [8655] = 3837,
  [8656] = 3847,
  [8657] = 3925,
  [8658] = 3985,
  [8659] = 3874,
  [8660] = 3747,
  [8661] = 3874,
  [8662] = 3927,
  [8663] = 3810,
  [8664] = 3931,
  [8665] = 3879,
  [8666] = 3760,
  [8667] = 3942,
  [8668] = 3884,
  [8669] = 3780,
  [8670] = 3906,
  [8671] = 3856,
  [8672] = 3906,
  [8673] = 3809,
  [8674] = 3788,
  [8675] = 3879,
  [8676] = 3944,
  [8677] = 3652,
  [8678] = 3786,
  [8679] = 3927,
  [8680] = 3931,
  [8681] = 3758,
  [8682] = 3788,
  [8683] = 3892,
  [8684] = 3942,
  [8685] = 3757,
  [8686] = 3568,
  [8687] = 3884,
  [8688] = 3758,
  [8689] = 3770,
  [8690] = 3872,
  [8691] = 3885,
  [8692] = 3893,
  [8693] = 3802,
  [8694] = 3886,
  [8695] = 3992,
  [8696] = 3806,
  [8697] = 3741,
  [8698] = 3992,
  [8699] = 3805,
  [8700] = 3732,
  [8701] = 3875,
  [8702] = 3848,
  [8703] = 3761,
  [8704] = 3927,
  [8705] = 3781,
  [8706] = 3922,
  [8707] = 3810,
  [8708] = 3856,
  [8709] = 3732,
  [8710] = 3773,
  [8711] = 3863,
  [8712] = 8712,
  [8713] = 3894,
  [8714] = 3756,
  [8715] = 3747,
  [8716] = 3766,
  [8717] = 3567,
  [8718] = 3732,
  [8719] = 3845,
  [8720] = 3736,
  [8721] = 3958,
  [8722] = 3748,
  [8723] = 3753,
  [8724] = 3809,
  [8725] = 3860,
  [8726] = 3906,
  [8727] = 3802,
  [8728] = 3752,
  [8729] = 3757,
  [8730] = 3784,
  [8731] = 3844,
  [8732] = 3786,
  [8733] = 3802,
  [8734] = 3805,
  [8735] = 3834,
  [8736] = 3837,
  [8737] = 3860,
  [8738] = 3863,
  [8739] = 3747,
  [8740] = 3879,
  [8741] = 3845,
  [8742] = 3894,
  [8743] = 3760,
  [8744] = 3780,
  [8745] = 8745,
  [8746] = 3788,
  [8747] = 8747,
  [8748] = 3933,
  [8749] = 3733,
  [8750] = 3737,
  [8751] = 3745,
  [8752] = 3746,
  [8753] = 3940,
  [8754] = 4730,
  [8755] = 8712,
  [8756] = 8160,
  [8757] = 3985,
  [8758] = 3992,
  [8759] = 4730,
  [8760] = 8544,
  [8761] = 4730,
  [8762] = 3856,
  [8763] = 8356,
  [8764] = 8648,
  [8765] = 4730,
  [8766] = 3738,
  [8767] = 8181,
  [8768] = 6737,
  [8769] = 4723,
  [8770] = 4760,
  [8771] = 6546,
  [8772] = 6643,
  [8773] = 6644,
  [8774] = 6539,
  [8775] = 6673,
  [8776] = 6586,
  [8777] = 6589,
  [8778] = 6714,
  [8779] = 3933,
  [8780] = 3985,
  [8781] = 3925,
  [8782] = 3906,
  [8783] = 4730,
  [8784] = 3732,
  [8785] = 3731,
  [8786] = 3806,
  [8787] = 3741,
  [8788] = 3781,
  [8789] = 3747,
  [8790] = 3760,
  [8791] = 3780,
  [8792] = 3788,
  [8793] = 4723,
  [8794] = 4760,
  [8795] = 8795,
  [8796] = 8796,
  [8797] = 8797,
  [8798] = 8798,
  [8799] = 3567,
  [8800] = 3773,
  [8801] = 3593,
  [8802] = 8802,
  [8803] = 8803,
  [8804] = 8804,
  [8805] = 8805,
  [8806] = 8806,
  [8807] = 3826,
  [8808] = 8808,
  [8809] = 8809,
  [8810] = 3770,
  [8811] = 8811,
  [8812] = 3736,
  [8813] = 3770,
  [8814] = 3773,
  [8815] = 3784,
  [8816] = 3786,
  [8817] = 8817,
  [8818] = 8818,
  [8819] = 8819,
  [8820] = 8820,
  [8821] = 6398,
  [8822] = 3944,
  [8823] = 3847,
  [8824] = 3925,
  [8825] = 8825,
  [8826] = 8826,
  [8827] = 3874,
  [8828] = 3856,
  [8829] = 3927,
  [8830] = 3931,
  [8831] = 3942,
  [8832] = 3802,
  [8833] = 3805,
  [8834] = 3958,
  [8835] = 3748,
  [8836] = 3753,
  [8837] = 3834,
  [8838] = 3940,
  [8839] = 3837,
  [8840] = 3879,
  [8841] = 3884,
  [8842] = 3906,
  [8843] = 8843,
  [8844] = 8844,
  [8845] = 3757,
  [8846] = 3810,
  [8847] = 3739,
  [8848] = 3860,
  [8849] = 3569,
  [8850] = 3797,
  [8851] = 3733,
  [8852] = 3863,
  [8853] = 3894,
  [8854] = 4730,
  [8855] = 6455,
  [8856] = 3992,
  [8857] = 3733,
  [8858] = 3737,
  [8859] = 3745,
  [8860] = 3849,
  [8861] = 3737,
  [8862] = 3745,
  [8863] = 3782,
  [8864] = 3746,
  [8865] = 3746,
  [8866] = 3875,
  [8867] = 3887,
  [8868] = 3892,
  [8869] = 3893,
  [8870] = 3732,
  [8871] = 8871,
  [8872] = 8872,
  [8873] = 8873,
  [8874] = 8874,
  [8875] = 8875,
  [8876] = 3752,
  [8877] = 3738,
  [8878] = 3758,
  [8879] = 3761,
  [8880] = 6395,
  [8881] = 3766,
  [8882] = 3845,
  [8883] = 3772,
  [8884] = 3774,
  [8885] = 3785,
  [8886] = 3762,
  [8887] = 3790,
  [8888] = 3792,
  [8889] = 3803,
  [8890] = 3731,
  [8891] = 3922,
  [8892] = 8892,
  [8893] = 8893,
  [8894] = 8894,
  [8895] = 8895,
  [8896] = 8896,
  [8897] = 3812,
  [8898] = 3848,
  [8899] = 3630,
  [8900] = 3632,
  [8901] = 3636,
  [8902] = 3871,
  [8903] = 3872,
  [8904] = 3885,
  [8905] = 3886,
  [8906] = 3806,
  [8907] = 3741,
  [8908] = 3781,
  [8909] = 8909,
  [8910] = 8910,
  [8911] = 8911,
  [8912] = 8912,
  [8913] = 3651,
  [8914] = 3736,
  [8915] = 3652,
  [8916] = 3568,
  [8917] = 3756,
  [8918] = 3784,
  [8919] = 3785,
  [8920] = 8920,
  [8921] = 3894,
  [8922] = 8920,
  [8923] = 8920,
  [8924] = 3802,
  [8925] = 8920,
  [8926] = 3736,
  [8927] = 3805,
  [8928] = 8920,
  [8929] = 8826,
  [8930] = 3770,
  [8931] = 3834,
  [8932] = 3837,
  [8933] = 3884,
  [8934] = 3773,
  [8935] = 8920,
  [8936] = 3784,
  [8937] = 3786,
  [8938] = 8843,
  [8939] = 8844,
  [8940] = 4730,
  [8941] = 8920,
  [8942] = 8871,
  [8943] = 8872,
  [8944] = 8873,
  [8945] = 8874,
  [8946] = 8875,
  [8947] = 8920,
  [8948] = 3802,
  [8949] = 3805,
  [8950] = 3834,
  [8951] = 3837,
  [8952] = 3736,
  [8953] = 3860,
  [8954] = 3863,
  [8955] = 4730,
  [8956] = 8892,
  [8957] = 8893,
  [8958] = 8920,
  [8959] = 8894,
  [8960] = 8895,
  [8961] = 8896,
  [8962] = 3860,
  [8963] = 3863,
  [8964] = 8909,
  [8965] = 8910,
  [8966] = 8911,
  [8967] = 8912,
  [8968] = 8920,
  [8969] = 3770,
  [8970] = 3879,
  [8971] = 3884,
  [8972] = 8745,
  [8973] = 8747,
  [8974] = 3894,
  [8975] = 8920,
  [8976] = 8920,
  [8977] = 3773,
  [8978] = 3940,
  [8979] = 3845,
  [8980] = 3770,
  [8981] = 3992,
  [8982] = 8920,
  [8983] = 8920,
  [8984] = 3773,
  [8985] = 4723,
  [8986] = 3784,
  [8987] = 3786,
  [8988] = 8920,
  [8989] = 3933,
  [8990] = 3940,
  [8991] = 3879,
  [8992] = 3894,
  [8993] = 4760,
  [8994] = 3985,
  [8995] = 3992,
  [8996] = 8920,
  [8997] = 3845,
  [8998] = 4730,
  [8999] = 3733,
  [9000] = 3737,
  [9001] = 3745,
  [9002] = 3746,
  [9003] = 6737,
  [9004] = 3762,
  [9005] = 3784,
  [9006] = 6546,
  [9007] = 3786,
  [9008] = 6643,
  [9009] = 6644,
  [9010] = 6539,
  [9011] = 3802,
  [9012] = 6673,
  [9013] = 3805,
  [9014] = 3933,
  [9015] = 6586,
  [9016] = 6589,
  [9017] = 3733,
  [9018] = 3737,
  [9019] = 6714,
  [9020] = 9020,
  [9021] = 3745,
  [9022] = 3746,
  [9023] = 9020,
  [9024] = 3834,
  [9025] = 3733,
  [9026] = 3737,
  [9027] = 3745,
  [9028] = 9020,
  [9029] = 9020,
  [9030] = 3746,
  [9031] = 3567,
  [9032] = 3593,
  [9033] = 8795,
  [9034] = 8796,
  [9035] = 8920,
  [9036] = 8797,
  [9037] = 8798,
  [9038] = 4730,
  [9039] = 8797,
  [9040] = 8798,
  [9041] = 4723,
  [9042] = 3844,
  [9043] = 3940,
  [9044] = 3837,
  [9045] = 8802,
  [9046] = 3847,
  [9047] = 8803,
  [9048] = 3874,
  [9049] = 8804,
  [9050] = 3927,
  [9051] = 3931,
  [9052] = 3942,
  [9053] = 4730,
  [9054] = 3958,
  [9055] = 3748,
  [9056] = 3753,
  [9057] = 3757,
  [9058] = 3810,
  [9059] = 3739,
  [9060] = 3569,
  [9061] = 3797,
  [9062] = 3826,
  [9063] = 3849,
  [9064] = 3875,
  [9065] = 3887,
  [9066] = 3892,
  [9067] = 3893,
  [9068] = 3752,
  [9069] = 3758,
  [9070] = 3761,
  [9071] = 3766,
  [9072] = 3772,
  [9073] = 3774,
  [9074] = 4730,
  [9075] = 8805,
  [9076] = 3792,
  [9077] = 3803,
  [9078] = 3812,
  [9079] = 3848,
  [9080] = 3630,
  [9081] = 3632,
  [9082] = 3636,
  [9083] = 3871,
  [9084] = 4760,
  [9085] = 3872,
  [9086] = 3885,
  [9087] = 3886,
  [9088] = 4723,
  [9089] = 3651,
  [9090] = 3652,
  [9091] = 3568,
  [9092] = 3756,
  [9093] = 3736,
  [9094] = 3844,
  [9095] = 3944,
  [9096] = 3847,
  [9097] = 8803,
  [9098] = 3874,
  [9099] = 8804,
  [9100] = 3927,
  [9101] = 3931,
  [9102] = 3860,
  [9103] = 3942,
  [9104] = 4723,
  [9105] = 3958,
  [9106] = 3748,
  [9107] = 3753,
  [9108] = 8806,
  [9109] = 3757,
  [9110] = 3810,
  [9111] = 3739,
  [9112] = 3569,
  [9113] = 3797,
  [9114] = 3826,
  [9115] = 3849,
  [9116] = 3782,
  [9117] = 3875,
  [9118] = 3887,
  [9119] = 3892,
  [9120] = 3893,
  [9121] = 3752,
  [9122] = 4730,
  [9123] = 3758,
  [9124] = 3761,
  [9125] = 3766,
  [9126] = 3863,
  [9127] = 3772,
  [9128] = 3774,
  [9129] = 3785,
  [9130] = 3790,
  [9131] = 3792,
  [9132] = 3803,
  [9133] = 3812,
  [9134] = 3848,
  [9135] = 3630,
  [9136] = 3632,
  [9137] = 3636,
  [9138] = 3871,
  [9139] = 3872,
  [9140] = 3885,
  [9141] = 3886,
  [9142] = 4760,
  [9143] = 3651,
  [9144] = 3652,
  [9145] = 3568,
  [9146] = 3756,
  [9147] = 3944,
  [9148] = 3925,
  [9149] = 3856,
  [9150] = 8920,
  [9151] = 3567,
  [9152] = 3906,
  [9153] = 3782,
  [9154] = 3732,
  [9155] = 3738,
  [9156] = 3593,
  [9157] = 3731,
  [9158] = 3884,
  [9159] = 3806,
  [9160] = 3741,
  [9161] = 3781,
  [9162] = 4723,
  [9163] = 8806,
  [9164] = 3747,
  [9165] = 3760,
  [9166] = 3780,
  [9167] = 8808,
  [9168] = 3788,
  [9169] = 8809,
  [9170] = 3925,
  [9171] = 3856,
  [9172] = 4760,
  [9173] = 3906,
  [9174] = 3732,
  [9175] = 3738,
  [9176] = 3731,
  [9177] = 3806,
  [9178] = 3741,
  [9179] = 3781,
  [9180] = 3747,
  [9181] = 3760,
  [9182] = 3780,
  [9183] = 3788,
  [9184] = 3985,
  [9185] = 8920,
  [9186] = 4760,
  [9187] = 3992,
  [9188] = 4723,
  [9189] = 3879,
  [9190] = 8811,
  [9191] = 3845,
  [9192] = 8817,
  [9193] = 8920,
  [9194] = 3762,
  [9195] = 3922,
  [9196] = 8818,
  [9197] = 8819,
  [9198] = 8820,
  [9199] = 4760,
  [9200] = 8825,
  [9201] = 8920,
  [9202] = 3922,
  [9203] = 3762,
  [9204] = 8920,
  [9205] = 3790,
  [9206] = 4760,
  [9207] = 4723,
  [9208] = 9208,
  [9209] = 9209,
  [9210] = 3884,
  [9211] = 8544,
  [9212] = 3733,
  [9213] = 3737,
  [9214] = 3745,
  [9215] = 5856,
  [9216] = 8797,
  [9217] = 3746,
  [9218] = 9208,
  [9219] = 8544,
  [9220] = 8806,
  [9221] = 3845,
  [9222] = 8356,
  [9223] = 3933,
  [9224] = 3985,
  [9225] = 8648,
  [9226] = 9226,
  [9227] = 9227,
  [9228] = 9228,
  [9229] = 9229,
  [9230] = 9230,
  [9231] = 9208,
  [9232] = 9226,
  [9233] = 9227,
  [9234] = 4723,
  [9235] = 4760,
  [9236] = 9226,
  [9237] = 9227,
  [9238] = 5861,
  [9239] = 9226,
  [9240] = 9227,
  [9241] = 9226,
  [9242] = 9227,
  [9243] = 9226,
  [9244] = 9227,
  [9245] = 9226,
  [9246] = 9227,
  [9247] = 9208,
  [9248] = 9226,
  [9249] = 9227,
  [9250] = 8181,
  [9251] = 9226,
  [9252] = 9227,
  [9253] = 9226,
  [9254] = 9227,
  [9255] = 9226,
  [9256] = 9227,
  [9257] = 9226,
  [9258] = 9227,
  [9259] = 9226,
  [9260] = 9227,
  [9261] = 9226,
  [9262] = 9227,
  [9263] = 9226,
  [9264] = 9227,
  [9265] = 9226,
  [9266] = 9227,
  [9267] = 9226,
  [9268] = 9227,
  [9269] = 9226,
  [9270] = 9227,
  [9271] = 9226,
  [9272] = 9227,
  [9273] = 9226,
  [9274] = 9227,
  [9275] = 9229,
  [9276] = 9226,
  [9277] = 9227,
  [9278] = 4723,
  [9279] = 9208,
  [9280] = 9228,
  [9281] = 4723,
  [9282] = 9208,
  [9283] = 3844,
  [9284] = 4723,
  [9285] = 9208,
  [9286] = 4760,
  [9287] = 3933,
  [9288] = 3944,
  [9289] = 9208,
  [9290] = 3847,
  [9291] = 3925,
  [9292] = 3874,
  [9293] = 3927,
  [9294] = 3931,
  [9295] = 3942,
  [9296] = 3567,
  [9297] = 9208,
  [9298] = 9208,
  [9299] = 3958,
  [9300] = 3748,
  [9301] = 8712,
  [9302] = 3985,
  [9303] = 3753,
  [9304] = 3906,
  [9305] = 3757,
  [9306] = 3810,
  [9307] = 3739,
  [9308] = 3569,
  [9309] = 8160,
  [9310] = 3797,
  [9311] = 3826,
  [9312] = 9208,
  [9313] = 3849,
  [9314] = 3894,
  [9315] = 3875,
  [9316] = 3887,
  [9317] = 3892,
  [9318] = 3893,
  [9319] = 9208,
  [9320] = 3732,
  [9321] = 9208,
  [9322] = 3752,
  [9323] = 3758,
  [9324] = 3761,
  [9325] = 3766,
  [9326] = 3593,
  [9327] = 3772,
  [9328] = 5863,
  [9329] = 3774,
  [9330] = 3785,
  [9331] = 3790,
  [9332] = 3792,
  [9333] = 3803,
  [9334] = 9208,
  [9335] = 3731,
  [9336] = 8798,
  [9337] = 9208,
  [9338] = 3812,
  [9339] = 3848,
  [9340] = 3630,
  [9341] = 3632,
  [9342] = 3636,
  [9343] = 3871,
  [9344] = 3872,
  [9345] = 3885,
  [9346] = 8356,
  [9347] = 8648,
  [9348] = 3886,
  [9349] = 4760,
  [9350] = 9226,
  [9351] = 3806,
  [9352] = 3741,
  [9353] = 9208,
  [9354] = 3781,
  [9355] = 9229,
  [9356] = 3651,
  [9357] = 3652,
  [9358] = 3568,
  [9359] = 3756,
  [9360] = 3747,
  [9361] = 3760,
  [9362] = 3780,
  [9363] = 3788,
  [9364] = 9208,
  [9365] = 3856,
  [9366] = 3738,
  [9367] = 8803,
  [9368] = 4723,
  [9369] = 3922,
  [9370] = 9229,
  [9371] = 8804,
  [9372] = 9208,
  [9373] = 9208,
  [9374] = 4760,
  [9375] = 9229,
  [9376] = 4760,
  [9377] = 3802,
  [9378] = 3805,
  [9379] = 3834,
  [9380] = 3837,
  [9381] = 9208,
  [9382] = 3879,
  [9383] = 9208,
  [9384] = 9229,
  [9385] = 4723,
  [9386] = 3860,
  [9387] = 8181,
  [9388] = 9227,
  [9389] = 3736,
  [9390] = 3770,
  [9391] = 3773,
  [9392] = 3784,
  [9393] = 3786,
  [9394] = 9208,
  [9395] = 8712,
  [9396] = 8160,
  [9397] = 4760,
  [9398] = 3863,
  [9399] = 3782,
  [9400] = 3860,
  [9401] = 3736,
  [9402] = 3863,
  [9403] = 9403,
  [9404] = 9404,
  [9405] = 9405,
  [9406] = 9406,
  [9407] = 9407,
  [9408] = 6643,
  [9409] = 6644,
  [9410] = 6539,
  [9411] = 3737,
  [9412] = 3958,
  [9413] = 9413,
  [9414] = 3809,
  [9415] = 3748,
  [9416] = 3736,
  [9417] = 9404,
  [9418] = 9405,
  [9419] = 3753,
  [9420] = 9406,
  [9421] = 3757,
  [9422] = 3810,
  [9423] = 3739,
  [9424] = 9424,
  [9425] = 3569,
  [9426] = 3797,
  [9427] = 9404,
  [9428] = 9405,
  [9429] = 3826,
  [9430] = 9406,
  [9431] = 9431,
  [9432] = 9432,
  [9433] = 9404,
  [9434] = 9405,
  [9435] = 3849,
  [9436] = 9406,
  [9437] = 3875,
  [9438] = 3887,
  [9439] = 3892,
  [9440] = 3893,
  [9441] = 9441,
  [9442] = 8818,
  [9443] = 3770,
  [9444] = 9404,
  [9445] = 9405,
  [9446] = 9406,
  [9447] = 3752,
  [9448] = 3773,
  [9449] = 3758,
  [9450] = 3761,
  [9451] = 8825,
  [9452] = 9452,
  [9453] = 3784,
  [9454] = 3786,
  [9455] = 9404,
  [9456] = 9405,
  [9457] = 3766,
  [9458] = 9406,
  [9459] = 6673,
  [9460] = 8809,
  [9461] = 3772,
  [9462] = 3774,
  [9463] = 3785,
  [9464] = 3790,
  [9465] = 3792,
  [9466] = 3803,
  [9467] = 9432,
  [9468] = 9404,
  [9469] = 9405,
  [9470] = 9406,
  [9471] = 3812,
  [9472] = 3848,
  [9473] = 3630,
  [9474] = 3879,
  [9475] = 3884,
  [9476] = 3632,
  [9477] = 3636,
  [9478] = 3871,
  [9479] = 9404,
  [9480] = 9405,
  [9481] = 6586,
  [9482] = 6589,
  [9483] = 3733,
  [9484] = 9406,
  [9485] = 3745,
  [9486] = 3872,
  [9487] = 3885,
  [9488] = 3886,
  [9489] = 3894,
  [9490] = 3925,
  [9491] = 9404,
  [9492] = 9405,
  [9493] = 9406,
  [9494] = 3737,
  [9495] = 3745,
  [9496] = 3651,
  [9497] = 9497,
  [9498] = 3652,
  [9499] = 3568,
  [9500] = 6714,
  [9501] = 9404,
  [9502] = 9405,
  [9503] = 3746,
  [9504] = 3756,
  [9505] = 9406,
  [9506] = 3746,
  [9507] = 9507,
  [9508] = 9508,
  [9509] = 9404,
  [9510] = 9405,
  [9511] = 9511,
  [9512] = 9406,
  [9513] = 9513,
  [9514] = 3770,
  [9515] = 9404,
  [9516] = 9405,
  [9517] = 8817,
  [9518] = 9518,
  [9519] = 9406,
  [9520] = 3802,
  [9521] = 3805,
  [9522] = 3834,
  [9523] = 3773,
  [9524] = 3906,
  [9525] = 3944,
  [9526] = 9404,
  [9527] = 9405,
  [9528] = 3837,
  [9529] = 3762,
  [9530] = 9406,
  [9531] = 9531,
  [9532] = 3940,
  [9533] = 3845,
  [9534] = 9534,
  [9535] = 9404,
  [9536] = 9405,
  [9537] = 6737,
  [9538] = 9406,
  [9539] = 3732,
  [9540] = 9413,
  [9541] = 3863,
  [9542] = 9542,
  [9543] = 8818,
  [9544] = 9544,
  [9545] = 3784,
  [9546] = 9209,
  [9547] = 3782,
  [9548] = 3856,
  [9549] = 9549,
  [9550] = 9550,
  [9551] = 3992,
  [9552] = 3786,
  [9553] = 8819,
  [9554] = 3879,
  [9555] = 8820,
  [9556] = 3884,
  [9557] = 9557,
  [9558] = 3731,
  [9559] = 3736,
  [9560] = 3894,
  [9561] = 9404,
  [9562] = 9562,
  [9563] = 9405,
  [9564] = 9564,
  [9565] = 9403,
  [9566] = 9566,
  [9567] = 3733,
  [9568] = 3940,
  [9569] = 9569,
  [9570] = 8811,
  [9571] = 8825,
  [9572] = 8826,
  [9573] = 8795,
  [9574] = 8819,
  [9575] = 9404,
  [9576] = 9405,
  [9577] = 3845,
  [9578] = 9578,
  [9579] = 9579,
  [9580] = 9513,
  [9581] = 9566,
  [9582] = 9406,
  [9583] = 9424,
  [9584] = 3806,
  [9585] = 3741,
  [9586] = 3781,
  [9587] = 3992,
  [9588] = 8843,
  [9589] = 8844,
  [9590] = 3747,
  [9591] = 3760,
  [9592] = 9592,
  [9593] = 3780,
  [9594] = 3788,
  [9595] = 3770,
  [9596] = 9557,
  [9597] = 9407,
  [9598] = 8802,
  [9599] = 9599,
  [9600] = 6546,
  [9601] = 9601,
  [9602] = 8817,
  [9603] = 9592,
  [9604] = 6643,
  [9605] = 6644,
  [9606] = 6539,
  [9607] = 9431,
  [9608] = 8805,
  [9609] = 8871,
  [9610] = 3773,
  [9611] = 8872,
  [9612] = 8873,
  [9613] = 8874,
  [9614] = 9614,
  [9615] = 8875,
  [9616] = 8808,
  [9617] = 3784,
  [9618] = 3786,
  [9619] = 9452,
  [9620] = 9620,
  [9621] = 3567,
  [9622] = 9209,
  [9623] = 8808,
  [9624] = 5901,
  [9625] = 8809,
  [9626] = 8820,
  [9627] = 9404,
  [9628] = 9405,
  [9629] = 9542,
  [9630] = 9406,
  [9631] = 6737,
  [9632] = 9544,
  [9633] = 9578,
  [9634] = 8892,
  [9635] = 8893,
  [9636] = 8894,
  [9637] = 8895,
  [9638] = 8896,
  [9639] = 9579,
  [9640] = 9599,
  [9641] = 8805,
  [9642] = 9620,
  [9643] = 9230,
  [9644] = 9497,
  [9645] = 9507,
  [9646] = 9404,
  [9647] = 9405,
  [9648] = 8811,
  [9649] = 6673,
  [9650] = 9406,
  [9651] = 3738,
  [9652] = 3733,
  [9653] = 9508,
  [9654] = 6586,
  [9655] = 9404,
  [9656] = 8909,
  [9657] = 9601,
  [9658] = 8910,
  [9659] = 9405,
  [9660] = 8911,
  [9661] = 8912,
  [9662] = 6589,
  [9663] = 9406,
  [9664] = 9413,
  [9665] = 9564,
  [9666] = 3802,
  [9667] = 3802,
  [9668] = 3805,
  [9669] = 3805,
  [9670] = 9431,
  [9671] = 8745,
  [9672] = 6714,
  [9673] = 3593,
  [9674] = 9404,
  [9675] = 3834,
  [9676] = 3837,
  [9677] = 3879,
  [9678] = 8747,
  [9679] = 9518,
  [9680] = 8826,
  [9681] = 9405,
  [9682] = 9569,
  [9683] = 8843,
  [9684] = 8844,
  [9685] = 9441,
  [9686] = 3860,
  [9687] = 3863,
  [9688] = 8871,
  [9689] = 8872,
  [9690] = 8873,
  [9691] = 8874,
  [9692] = 8875,
  [9693] = 9406,
  [9694] = 8892,
  [9695] = 8893,
  [9696] = 8894,
  [9697] = 8895,
  [9698] = 8896,
  [9699] = 3894,
  [9700] = 9534,
  [9701] = 3922,
  [9702] = 3834,
  [9703] = 9413,
  [9704] = 3837,
  [9705] = 3844,
  [9706] = 9404,
  [9707] = 8909,
  [9708] = 3884,
  [9709] = 8910,
  [9710] = 3737,
  [9711] = 8911,
  [9712] = 9712,
  [9713] = 8912,
  [9714] = 9405,
  [9715] = 8745,
  [9716] = 3745,
  [9717] = 3746,
  [9718] = 8747,
  [9719] = 9406,
  [9720] = 9431,
  [9721] = 9413,
  [9722] = 3836,
  [9723] = 3933,
  [9724] = 3940,
  [9725] = 8795,
  [9726] = 8796,
  [9727] = 3845,
  [9728] = 9531,
  [9729] = 6546,
  [9730] = 3985,
  [9731] = 3992,
  [9732] = 3847,
  [9733] = 3860,
  [9734] = 3874,
  [9735] = 3927,
  [9736] = 9431,
  [9737] = 9404,
  [9738] = 9405,
  [9739] = 8802,
  [9740] = 3931,
  [9741] = 9406,
  [9742] = 3942,
  [9743] = 9406,
  [9744] = 9562,
  [9745] = 9745,
  [9746] = 8796,
  [9747] = 9747,
  [9748] = 9748,
  [9749] = 9749,
  [9750] = 9750,
  [9751] = 9751,
  [9752] = 9752,
  [9753] = 9753,
  [9754] = 9749,
  [9755] = 9755,
  [9756] = 9209,
  [9757] = 9757,
  [9758] = 9758,
  [9759] = 9759,
  [9760] = 9760,
  [9761] = 9761,
  [9762] = 9762,
  [9763] = 9749,
  [9764] = 6398,
  [9765] = 9497,
  [9766] = 9507,
  [9767] = 9767,
  [9768] = 9768,
  [9769] = 9424,
  [9770] = 3933,
  [9771] = 9508,
  [9772] = 3940,
  [9773] = 9773,
  [9774] = 9441,
  [9775] = 3845,
  [9776] = 9768,
  [9777] = 9777,
  [9778] = 3985,
  [9779] = 9748,
  [9780] = 9753,
  [9781] = 3992,
  [9782] = 9782,
  [9783] = 9783,
  [9784] = 9757,
  [9785] = 9758,
  [9786] = 9768,
  [9787] = 9783,
  [9788] = 9788,
  [9789] = 9759,
  [9790] = 9761,
  [9791] = 9791,
  [9792] = 9747,
  [9793] = 9793,
  [9794] = 9752,
  [9795] = 9749,
  [9796] = 9796,
  [9797] = 9797,
  [9798] = 9793,
  [9799] = 9799,
  [9800] = 9797,
  [9801] = 6455,
  [9802] = 9749,
  [9803] = 9562,
  [9804] = 9799,
  [9805] = 9564,
  [9806] = 9569,
  [9807] = 9513,
  [9808] = 9566,
  [9809] = 9557,
  [9810] = 9810,
  [9811] = 9810,
  [9812] = 9755,
  [9813] = 9783,
  [9814] = 9614,
  [9815] = 9452,
  [9816] = 9791,
  [9817] = 9601,
  [9818] = 9818,
  [9819] = 9810,
  [9820] = 9549,
  [9821] = 9783,
  [9822] = 9747,
  [9823] = 9550,
  [9824] = 9534,
  [9825] = 9592,
  [9826] = 9407,
  [9827] = 9818,
  [9828] = 9828,
  [9829] = 9762,
  [9830] = 9767,
  [9831] = 9818,
  [9832] = 9828,
  [9833] = 9773,
  [9834] = 9777,
  [9835] = 9748,
  [9836] = 9753,
  [9837] = 9757,
  [9838] = 9542,
  [9839] = 9760,
  [9840] = 9544,
  [9841] = 9796,
  [9842] = 9578,
  [9843] = 9579,
  [9844] = 9599,
  [9845] = 9620,
  [9846] = 9762,
  [9847] = 9758,
  [9848] = 9747,
  [9849] = 9849,
  [9850] = 9518,
  [9851] = 9851,
  [9852] = 9759,
  [9853] = 9761,
  [9854] = 9791,
  [9855] = 9747,
  [9856] = 9796,
  [9857] = 9857,
  [9858] = 9828,
  [9859] = 6395,
  [9860] = 9755,
  [9861] = 9747,
  [9862] = 9862,
  [9863] = 9767,
  [9864] = 9760,
  [9865] = 9773,
  [9866] = 9866,
  [9867] = 9777,
  [9868] = 9403,
  [9869] = 9531,
  [9870] = 9797,
  [9871] = 9799,
  [9872] = 9432,
  [9873] = 9793,
  [9874] = 9749,
  [9875] = 9752,
  [9876] = 3884,
  [9877] = 9511,
  [9878] = 9767,
  [9879] = 9768,
  [9880] = 9768,
  [9881] = 3933,
  [9882] = 3985,
  [9883] = 9749,
  [9884] = 9762,
  [9885] = 9773,
  [9886] = 9777,
  [9887] = 9748,
  [9888] = 9753,
  [9889] = 9757,
  [9890] = 9758,
  [9891] = 9759,
  [9892] = 9761,
  [9893] = 9791,
  [9894] = 9796,
  [9895] = 9752,
  [9896] = 9818,
  [9897] = 9828,
  [9898] = 9762,
  [9899] = 9767,
  [9900] = 9773,
  [9901] = 9777,
  [9902] = 9748,
  [9903] = 9753,
  [9904] = 9757,
  [9905] = 9758,
  [9906] = 9759,
  [9907] = 9761,
  [9908] = 9791,
  [9909] = 9796,
  [9910] = 9797,
  [9911] = 9799,
  [9912] = 9810,
  [9913] = 9749,
  [9914] = 9755,
  [9915] = 9760,
  [9916] = 9762,
  [9917] = 9767,
  [9918] = 9773,
  [9919] = 9777,
  [9920] = 9748,
  [9921] = 9753,
  [9922] = 9757,
  [9923] = 9758,
  [9924] = 9759,
  [9925] = 9761,
  [9926] = 9791,
  [9927] = 9796,
  [9928] = 9793,
  [9929] = 9752,
  [9930] = 9749,
  [9931] = 9747,
  [9932] = 9797,
  [9933] = 9799,
  [9934] = 9810,
  [9935] = 9755,
  [9936] = 9760,
  [9937] = 9937,
  [9938] = 9793,
  [9939] = 9752,
  [9940] = 9749,
  [9941] = 9752,
  [9942] = 9747,
  [9943] = 9797,
  [9944] = 9793,
  [9945] = 9799,
  [9946] = 9810,
  [9947] = 9752,
  [9948] = 9749,
  [9949] = 9747,
  [9950] = 9755,
  [9951] = 9760,
  [9952] = 9762,
  [9953] = 9767,
  [9954] = 9773,
  [9955] = 9777,
  [9956] = 9748,
  [9957] = 9753,
  [9958] = 4730,
  [9959] = 9758,
  [9960] = 9759,
  [9961] = 9761,
  [9962] = 9791,
  [9963] = 9747,
  [9964] = 9796,
  [9965] = 9937,
  [9966] = 9768,
  [9967] = 9818,
  [9968] = 9937,
  [9969] = 9828,
  [9970] = 9762,
  [9971] = 9767,
  [9972] = 9773,
  [9973] = 9777,
  [9974] = 9748,
  [9975] = 9753,
  [9976] = 9757,
  [9977] = 9758,
  [9978] = 9759,
  [9979] = 9761,
  [9980] = 9791,
  [9981] = 9747,
  [9982] = 9796,
  [9983] = 9762,
  [9984] = 9767,
  [9985] = 9773,
  [9986] = 9777,
  [9987] = 9748,
  [9988] = 9753,
  [9989] = 9757,
  [9990] = 9758,
  [9991] = 9759,
  [9992] = 9761,
  [9993] = 9791,
  [9994] = 9747,
  [9995] = 9796,
  [9996] = 9797,
  [9997] = 9799,
  [9998] = 9810,
  [9999] = 9749,
  [10000] = 9755,
  [10001] = 9760,
  [10002] = 9797,
  [10003] = 9799,
  [10004] = 9810,
  [10005] = 9755,
  [10006] = 9760,
  [10007] = 9797,
  [10008] = 9799,
  [10009] = 9810,
  [10010] = 9755,
  [10011] = 9760,
  [10012] = 9818,
  [10013] = 9828,
  [10014] = 9768,
  [10015] = 9768,
  [10016] = 9752,
  [10017] = 9818,
  [10018] = 9828,
  [10019] = 9818,
  [10020] = 9828,
  [10021] = 9818,
  [10022] = 9828,
  [10023] = 9768,
  [10024] = 9757,
  [10025] = 9828,
  [10026] = 9758,
  [10027] = 9759,
  [10028] = 9761,
  [10029] = 9791,
  [10030] = 10030,
  [10031] = 9796,
  [10032] = 10030,
  [10033] = 9773,
  [10034] = 10034,
  [10035] = 9752,
  [10036] = 10036,
  [10037] = 9752,
  [10038] = 10038,
  [10039] = 8544,
  [10040] = 10040,
  [10041] = 9777,
  [10042] = 10030,
  [10043] = 9818,
  [10044] = 9937,
  [10045] = 10040,
  [10046] = 9818,
  [10047] = 10036,
  [10048] = 10030,
  [10049] = 9828,
  [10050] = 9937,
  [10051] = 9828,
  [10052] = 10040,
  [10053] = 10053,
  [10054] = 10054,
  [10055] = 10036,
  [10056] = 10030,
  [10057] = 10040,
  [10058] = 10030,
  [10059] = 9796,
  [10060] = 10038,
  [10061] = 10040,
  [10062] = 10062,
  [10063] = 10063,
  [10064] = 9797,
  [10065] = 9799,
  [10066] = 9810,
  [10067] = 10036,
  [10068] = 9755,
  [10069] = 10040,
  [10070] = 9760,
  [10071] = 3985,
  [10072] = 10030,
  [10073] = 10063,
  [10074] = 9937,
  [10075] = 10040,
  [10076] = 10030,
  [10077] = 4760,
  [10078] = 9937,
  [10079] = 3845,
  [10080] = 10036,
  [10081] = 10040,
  [10082] = 9748,
  [10083] = 10030,
  [10084] = 9797,
  [10085] = 9799,
  [10086] = 9810,
  [10087] = 9755,
  [10088] = 10040,
  [10089] = 9753,
  [10090] = 9760,
  [10091] = 9797,
  [10092] = 9799,
  [10093] = 9810,
  [10094] = 9768,
  [10095] = 9755,
  [10096] = 10040,
  [10097] = 9752,
  [10098] = 9760,
  [10099] = 10030,
  [10100] = 10030,
  [10101] = 9937,
  [10102] = 9762,
  [10103] = 9767,
  [10104] = 9773,
  [10105] = 9777,
  [10106] = 9748,
  [10107] = 9753,
  [10108] = 9757,
  [10109] = 9758,
  [10110] = 9759,
  [10111] = 9761,
  [10112] = 9791,
  [10113] = 9757,
  [10114] = 9796,
  [10115] = 3940,
  [10116] = 3933,
  [10117] = 3884,
  [10118] = 10062,
  [10119] = 10040,
  [10120] = 9818,
  [10121] = 10040,
  [10122] = 10030,
  [10123] = 9828,
  [10124] = 8712,
  [10125] = 10040,
  [10126] = 10030,
  [10127] = 10040,
  [10128] = 10030,
  [10129] = 10054,
  [10130] = 9757,
  [10131] = 9758,
  [10132] = 9759,
  [10133] = 10040,
  [10134] = 10030,
  [10135] = 10030,
  [10136] = 9761,
  [10137] = 3992,
  [10138] = 9791,
  [10139] = 9768,
  [10140] = 10040,
  [10141] = 10141,
  [10142] = 10030,
  [10143] = 9762,
  [10144] = 10040,
  [10145] = 10030,
  [10146] = 10040,
  [10147] = 10030,
  [10148] = 10040,
  [10149] = 10040,
  [10150] = 10030,
  [10151] = 10040,
  [10152] = 10030,
  [10153] = 10036,
  [10154] = 9768,
  [10155] = 9818,
  [10156] = 10054,
  [10157] = 9818,
  [10158] = 9828,
  [10159] = 8356,
  [10160] = 4723,
  [10161] = 8648,
  [10162] = 10141,
  [10163] = 9767,
  [10164] = 10063,
  [10165] = 10036,
  [10166] = 10036,
  [10167] = 10167,
  [10168] = 10062,
  [10169] = 10036,
  [10170] = 9818,
  [10171] = 9828,
  [10172] = 9768,
  [10173] = 10040,
  [10174] = 10036,
  [10175] = 10141,
  [10176] = 10030,
  [10177] = 9762,
  [10178] = 9768,
  [10179] = 10038,
  [10180] = 9767,
  [10181] = 9773,
  [10182] = 8181,
  [10183] = 9777,
  [10184] = 9748,
  [10185] = 9753,
  [10186] = 9768,
  [10187] = 9937,
  [10188] = 10188,
  [10189] = 9752,
  [10190] = 9747,
  [10191] = 10191,
  [10192] = 10188,
  [10193] = 10193,
  [10194] = 9749,
  [10195] = 9937,
  [10196] = 10196,
  [10197] = 10197,
  [10198] = 9793,
  [10199] = 10197,
  [10200] = 10200,
  [10201] = 10193,
  [10202] = 10202,
  [10203] = 10193,
  [10204] = 10204,
  [10205] = 10191,
  [10206] = 10188,
  [10207] = 10207,
  [10208] = 3933,
  [10209] = 10209,
  [10210] = 10210,
  [10211] = 10211,
  [10212] = 9797,
  [10213] = 10188,
  [10214] = 9799,
  [10215] = 9810,
  [10216] = 9762,
  [10217] = 9755,
  [10218] = 10191,
  [10219] = 9760,
  [10220] = 10188,
  [10221] = 9937,
  [10222] = 9767,
  [10223] = 9773,
  [10224] = 9777,
  [10225] = 9748,
  [10226] = 9753,
  [10227] = 9757,
  [10228] = 9758,
  [10229] = 9759,
  [10230] = 9761,
  [10231] = 9791,
  [10232] = 10232,
  [10233] = 10202,
  [10234] = 9747,
  [10235] = 10202,
  [10236] = 10197,
  [10237] = 10191,
  [10238] = 9796,
  [10239] = 10188,
  [10240] = 10197,
  [10241] = 10191,
  [10242] = 10188,
  [10243] = 9818,
  [10244] = 10244,
  [10245] = 3940,
  [10246] = 10200,
  [10247] = 3933,
  [10248] = 10204,
  [10249] = 9797,
  [10250] = 9799,
  [10251] = 9810,
  [10252] = 9818,
  [10253] = 10193,
  [10254] = 9755,
  [10255] = 10191,
  [10256] = 9760,
  [10257] = 10202,
  [10258] = 9828,
  [10259] = 10197,
  [10260] = 10193,
  [10261] = 9828,
  [10262] = 10200,
  [10263] = 10204,
  [10264] = 9752,
  [10265] = 10191,
  [10266] = 10188,
  [10267] = 9749,
  [10268] = 10197,
  [10269] = 10193,
  [10270] = 10191,
  [10271] = 3985,
  [10272] = 10188,
  [10273] = 10202,
  [10274] = 10193,
  [10275] = 9793,
  [10276] = 3992,
  [10277] = 10191,
  [10278] = 10278,
  [10279] = 9937,
  [10280] = 10191,
  [10281] = 9818,
  [10282] = 10188,
  [10283] = 10283,
  [10284] = 10188,
  [10285] = 10202,
  [10286] = 3985,
  [10287] = 10287,
  [10288] = 9762,
  [10289] = 9767,
  [10290] = 9773,
  [10291] = 9777,
  [10292] = 9748,
  [10293] = 9753,
  [10294] = 9757,
  [10295] = 9758,
  [10296] = 9759,
  [10297] = 9761,
  [10298] = 9791,
  [10299] = 9747,
  [10300] = 9796,
  [10301] = 10191,
  [10302] = 10202,
  [10303] = 10188,
  [10304] = 9828,
  [10305] = 10202,
  [10306] = 10191,
  [10307] = 9768,
  [10308] = 10188,
  [10309] = 3845,
  [10310] = 10191,
  [10311] = 9768,
  [10312] = 10188,
  [10313] = 10202,
  [10314] = 9818,
  [10315] = 10191,
  [10316] = 10191,
  [10317] = 10200,
  [10318] = 10188,
  [10319] = 3884,
  [10320] = 10188,
  [10321] = 10204,
  [10322] = 9828,
  [10323] = 10191,
  [10324] = 9752,
  [10325] = 9768,
  [10326] = 10188,
  [10327] = 10327,
  [10328] = 10244,
  [10329] = 10191,
  [10330] = 10188,
  [10331] = 10191,
  [10332] = 10188,
  [10333] = 10191,
  [10334] = 10202,
  [10335] = 10188,
  [10336] = 9768,
  [10337] = 10191,
  [10338] = 10188,
  [10339] = 10339,
  [10340] = 10191,
  [10341] = 10188,
  [10342] = 10191,
  [10343] = 10188,
  [10344] = 10191,
  [10345] = 10188,
  [10346] = 10346,
  [10347] = 10191,
  [10348] = 10188,
  [10349] = 10191,
  [10350] = 10350,
  [10351] = 10188,
  [10352] = 10352,
  [10353] = 10191,
  [10354] = 10202,
  [10355] = 10188,
  [10356] = 10197,
  [10357] = 10188,
  [10358] = 9797,
  [10359] = 10191,
  [10360] = 10188,
  [10361] = 10191,
  [10362] = 9749,
  [10363] = 10188,
  [10364] = 9799,
  [10365] = 10191,
  [10366] = 10188,
  [10367] = 10191,
  [10368] = 10188,
  [10369] = 10202,
  [10370] = 10191,
  [10371] = 10188,
  [10372] = 10372,
  [10373] = 9810,
  [10374] = 10191,
  [10375] = 10188,
  [10376] = 9755,
  [10377] = 10191,
  [10378] = 10188,
  [10379] = 10191,
  [10380] = 10197,
  [10381] = 10191,
  [10382] = 10352,
  [10383] = 10188,
  [10384] = 10191,
  [10385] = 10188,
  [10386] = 10191,
  [10387] = 10193,
  [10388] = 10188,
  [10389] = 9768,
  [10390] = 10390,
  [10391] = 9818,
  [10392] = 10191,
  [10393] = 10188,
  [10394] = 9828,
  [10395] = 9749,
  [10396] = 8160,
  [10397] = 10191,
  [10398] = 10188,
  [10399] = 10202,
  [10400] = 10191,
  [10401] = 10188,
  [10402] = 10200,
  [10403] = 10204,
  [10404] = 10191,
  [10405] = 10188,
  [10406] = 9760,
  [10407] = 10188,
  [10408] = 9749,
  [10409] = 10191,
  [10410] = 10188,
  [10411] = 10191,
  [10412] = 10188,
  [10413] = 9768,
  [10414] = 10414,
  [10415] = 10191,
  [10416] = 10188,
  [10417] = 10193,
  [10418] = 10191,
  [10419] = 10188,
  [10420] = 10191,
  [10421] = 9762,
  [10422] = 10188,
  [10423] = 10191,
  [10424] = 10188,
  [10425] = 10191,
  [10426] = 10188,
  [10427] = 10202,
  [10428] = 10202,
  [10429] = 10414,
  [10430] = 10210,
  [10431] = 10211,
  [10432] = 10278,
  [10433] = 10207,
  [10434] = 10209,
  [10435] = 10327,
  [10436] = 10210,
  [10437] = 10211,
  [10438] = 9747,
  [10439] = 10278,
  [10440] = 9749,
  [10441] = 10207,
  [10442] = 10209,
  [10443] = 10327,
  [10444] = 10352,
  [10445] = 10445,
  [10446] = 9767,
  [10447] = 10210,
  [10448] = 10211,
  [10449] = 10278,
  [10450] = 10207,
  [10451] = 10209,
  [10452] = 10327,
  [10453] = 10210,
  [10454] = 10211,
  [10455] = 10278,
  [10456] = 10207,
  [10457] = 10209,
  [10458] = 10327,
  [10459] = 10210,
  [10460] = 10211,
  [10461] = 10278,
  [10462] = 10207,
  [10463] = 10209,
  [10464] = 10327,
  [10465] = 10210,
  [10466] = 10211,
  [10467] = 9773,
  [10468] = 10207,
  [10469] = 10209,
  [10470] = 10327,
  [10471] = 10211,
  [10472] = 10211,
  [10473] = 10211,
  [10474] = 10202,
  [10475] = 10197,
  [10476] = 10476,
  [10477] = 10193,
  [10478] = 9777,
  [10479] = 9748,
  [10480] = 9753,
  [10481] = 9757,
  [10482] = 9747,
  [10483] = 10200,
  [10484] = 10204,
  [10485] = 10197,
  [10486] = 9758,
  [10487] = 9759,
  [10488] = 9761,
  [10489] = 10191,
  [10490] = 9791,
  [10491] = 9747,
  [10492] = 10352,
  [10493] = 9796,
  [10494] = 9818,
  [10495] = 9793,
  [10496] = 9828,
  [10497] = 10372,
  [10498] = 10191,
  [10499] = 3770,
  [10500] = 8825,
  [10501] = 9796,
  [10502] = 9753,
  [10503] = 9767,
  [10504] = 9757,
  [10505] = 8843,
  [10506] = 9758,
  [10507] = 10507,
  [10508] = 10508,
  [10509] = 3863,
  [10510] = 3845,
  [10511] = 3894,
  [10512] = 9752,
  [10513] = 10513,
  [10514] = 3802,
  [10515] = 10515,
  [10516] = 10516,
  [10517] = 9748,
  [10518] = 3773,
  [10519] = 6546,
  [10520] = 8795,
  [10521] = 9753,
  [10522] = 8796,
  [10523] = 3733,
  [10524] = 9791,
  [10525] = 9759,
  [10526] = 8745,
  [10527] = 9810,
  [10528] = 9799,
  [10529] = 3805,
  [10530] = 9761,
  [10531] = 9762,
  [10532] = 8747,
  [10533] = 3784,
  [10534] = 6487,
  [10535] = 9810,
  [10536] = 3992,
  [10537] = 6398,
  [10538] = 6539,
  [10539] = 3737,
  [10540] = 3745,
  [10541] = 9791,
  [10542] = 9752,
  [10543] = 9757,
  [10544] = 9818,
  [10545] = 3786,
  [10546] = 3746,
  [10547] = 9752,
  [10548] = 10548,
  [10549] = 9797,
  [10550] = 3933,
  [10551] = 9799,
  [10552] = 9810,
  [10553] = 3845,
  [10554] = 8844,
  [10555] = 6737,
  [10556] = 9755,
  [10557] = 8892,
  [10558] = 3884,
  [10559] = 8826,
  [10560] = 8893,
  [10561] = 3884,
  [10562] = 10562,
  [10563] = 9760,
  [10564] = 6546,
  [10565] = 9768,
  [10566] = 8894,
  [10567] = 8802,
  [10568] = 9773,
  [10569] = 8895,
  [10570] = 9777,
  [10571] = 8817,
  [10572] = 8896,
  [10573] = 3992,
  [10574] = 6673,
  [10575] = 6455,
  [10576] = 9937,
  [10577] = 9755,
  [10578] = 3985,
  [10579] = 9755,
  [10580] = 6643,
  [10581] = 9762,
  [10582] = 9760,
  [10583] = 6395,
  [10584] = 9773,
  [10585] = 9777,
  [10586] = 9748,
  [10587] = 9753,
  [10588] = 6644,
  [10589] = 9757,
  [10590] = 9758,
  [10591] = 9759,
  [10592] = 9761,
  [10593] = 9791,
  [10594] = 9760,
  [10595] = 6539,
  [10596] = 3834,
  [10597] = 9768,
  [10598] = 9768,
  [10599] = 9762,
  [10600] = 9828,
  [10601] = 6555,
  [10602] = 9937,
  [10603] = 6586,
  [10604] = 6589,
  [10605] = 3736,
  [10606] = 3940,
  [10607] = 3837,
  [10608] = 10608,
  [10609] = 8819,
  [10610] = 8820,
  [10611] = 8871,
  [10612] = 8872,
  [10613] = 9799,
  [10614] = 9818,
  [10615] = 9796,
  [10616] = 9758,
  [10617] = 9937,
  [10618] = 9818,
  [10619] = 6714,
  [10620] = 9797,
  [10621] = 8805,
  [10622] = 8873,
  [10623] = 8874,
  [10624] = 3860,
  [10625] = 9828,
  [10626] = 3940,
  [10627] = 10627,
  [10628] = 8875,
  [10629] = 9796,
  [10630] = 8818,
  [10631] = 3802,
  [10632] = 3805,
  [10633] = 10633,
  [10634] = 8909,
  [10635] = 3834,
  [10636] = 3837,
  [10637] = 3879,
  [10638] = 8910,
  [10639] = 8911,
  [10640] = 8808,
  [10641] = 8809,
  [10642] = 8912,
  [10643] = 9759,
  [10644] = 9828,
  [10645] = 9761,
  [10646] = 3860,
  [10647] = 9767,
  [10648] = 3863,
  [10649] = 3894,
  [10650] = 3879,
  [10651] = 9773,
  [10652] = 8811,
  [10653] = 9777,
  [10654] = 9797,
  [10655] = 9748,
  [10656] = 9767,
  [10657] = 6741,
  [10658] = 6683,
  [10659] = 6598,
  [10660] = 9828,
  [10661] = 6600,
  [10662] = 6641,
  [10663] = 10663,
  [10664] = 6673,
  [10665] = 10665,
  [10666] = 3922,
  [10667] = 9818,
  [10668] = 3736,
  [10669] = 6737,
  [10670] = 6601,
  [10671] = 6739,
  [10672] = 9828,
  [10673] = 3746,
  [10674] = 6684,
  [10675] = 10675,
  [10676] = 10676,
  [10677] = 10677,
  [10678] = 6704,
  [10679] = 9937,
  [10680] = 6687,
  [10681] = 3746,
  [10682] = 6645,
  [10683] = 10683,
  [10684] = 10684,
  [10685] = 6667,
  [10686] = 10686,
  [10687] = 6680,
  [10688] = 6591,
  [10689] = 3737,
  [10690] = 3773,
  [10691] = 6668,
  [10692] = 10692,
  [10693] = 6643,
  [10694] = 10694,
  [10695] = 3992,
  [10696] = 6587,
  [10697] = 9937,
  [10698] = 9768,
  [10699] = 3762,
  [10700] = 6644,
  [10701] = 6613,
  [10702] = 3733,
  [10703] = 9937,
  [10704] = 6586,
  [10705] = 6597,
  [10706] = 9818,
  [10707] = 6634,
  [10708] = 6639,
  [10709] = 6589,
  [10710] = 6642,
  [10711] = 6605,
  [10712] = 6691,
  [10713] = 3770,
  [10714] = 6615,
  [10715] = 3940,
  [10716] = 9818,
  [10717] = 10717,
  [10718] = 6590,
  [10719] = 10719,
  [10720] = 6697,
  [10721] = 6606,
  [10722] = 10722,
  [10723] = 10723,
  [10724] = 6705,
  [10725] = 9768,
  [10726] = 6703,
  [10727] = 6698,
  [10728] = 10728,
  [10729] = 6616,
  [10730] = 6646,
  [10731] = 10722,
  [10732] = 10732,
  [10733] = 3786,
  [10734] = 10734,
  [10735] = 3733,
  [10736] = 6706,
  [10737] = 6715,
  [10738] = 6603,
  [10739] = 6714,
  [10740] = 6701,
  [10741] = 10741,
  [10742] = 9828,
  [10743] = 6742,
  [10744] = 10744,
  [10745] = 6743,
  [10746] = 3737,
  [10747] = 3745,
  [10748] = 6748,
  [10749] = 9768,
  [10750] = 10750,
  [10751] = 6682,
  [10752] = 3745,
  [10753] = 3784,
  [10754] = 10608,
  [10755] = 10734,
  [10756] = 10734,
  [10757] = 10757,
  [10758] = 10758,
  [10759] = 10759,
  [10760] = 10758,
  [10761] = 10761,
  [10762] = 10732,
  [10763] = 10757,
  [10764] = 10764,
  [10765] = 10675,
  [10766] = 10694,
  [10767] = 10767,
  [10768] = 10768,
  [10769] = 10769,
  [10770] = 10770,
  [10771] = 3737,
  [10772] = 10772,
  [10773] = 10772,
  [10774] = 10774,
  [10775] = 10775,
  [10776] = 10772,
  [10777] = 10768,
  [10778] = 10772,
  [10779] = 10768,
  [10780] = 10770,
  [10781] = 6737,
  [10782] = 10772,
  [10783] = 10783,
  [10784] = 10784,
  [10785] = 10768,
  [10786] = 10768,
  [10787] = 10770,
  [10788] = 10694,
  [10789] = 10772,
  [10790] = 10790,
  [10791] = 10768,
  [10792] = 10772,
  [10793] = 10768,
  [10794] = 10794,
  [10795] = 10783,
  [10796] = 10608,
  [10797] = 10770,
  [10798] = 6643,
  [10799] = 10799,
  [10800] = 10761,
  [10801] = 10772,
  [10802] = 10772,
  [10803] = 10769,
  [10804] = 10768,
  [10805] = 10768,
  [10806] = 10770,
  [10807] = 3745,
  [10808] = 10772,
  [10809] = 10809,
  [10810] = 10770,
  [10811] = 10767,
  [10812] = 10770,
  [10813] = 10772,
  [10814] = 10770,
  [10815] = 10815,
  [10816] = 10772,
  [10817] = 10768,
  [10818] = 10770,
  [10819] = 3733,
  [10820] = 10675,
  [10821] = 10821,
  [10822] = 10770,
  [10823] = 10734,
  [10824] = 10770,
  [10825] = 10732,
  [10826] = 10770,
  [10827] = 10827,
  [10828] = 10828,
  [10829] = 10768,
  [10830] = 10830,
  [10831] = 10608,
  [10832] = 10768,
  [10833] = 10833,
  [10834] = 10834,
  [10835] = 10835,
  [10836] = 10836,
  [10837] = 3746,
  [10838] = 3985,
  [10839] = 10770,
  [10840] = 10772,
  [10841] = 10768,
  [10842] = 10842,
  [10843] = 10843,
  [10844] = 10844,
  [10845] = 10845,
  [10846] = 10846,
  [10847] = 10847,
  [10848] = 10848,
  [10849] = 10849,
  [10850] = 10850,
  [10851] = 10851,
  [10852] = 10852,
  [10853] = 10853,
  [10854] = 10854,
  [10855] = 10855,
  [10856] = 10856,
  [10857] = 10857,
  [10858] = 10858,
  [10859] = 10859,
  [10860] = 10860,
  [10861] = 10861,
  [10862] = 10862,
  [10863] = 10863,
  [10864] = 10864,
  [10865] = 3933,
  [10866] = 10866,
  [10867] = 10867,
  [10868] = 10867,
  [10869] = 10869,
  [10870] = 10870,
  [10871] = 10732,
  [10872] = 10608,
  [10873] = 10873,
  [10874] = 10870,
  [10875] = 10734,
  [10876] = 10870,
  [10877] = 10877,
  [10878] = 10732,
  [10879] = 3745,
  [10880] = 3746,
  [10881] = 10881,
  [10882] = 10866,
  [10883] = 10883,
  [10884] = 10821,
  [10885] = 3745,
  [10886] = 10856,
  [10887] = 10857,
  [10888] = 10869,
  [10889] = 10851,
  [10890] = 10890,
  [10891] = 10891,
  [10892] = 10877,
  [10893] = 10890,
  [10894] = 10877,
  [10895] = 10895,
  [10896] = 10896,
  [10897] = 10852,
  [10898] = 10898,
  [10899] = 10899,
  [10900] = 10867,
  [10901] = 10899,
  [10902] = 10854,
  [10903] = 10896,
  [10904] = 10675,
  [10905] = 10870,
  [10906] = 10877,
  [10907] = 10830,
  [10908] = 10895,
  [10909] = 10877,
  [10910] = 10855,
  [10911] = 10853,
  [10912] = 10833,
  [10913] = 10834,
  [10914] = 10809,
  [10915] = 10694,
  [10916] = 10916,
  [10917] = 10835,
  [10918] = 10895,
  [10919] = 10919,
  [10920] = 10898,
  [10921] = 10836,
  [10922] = 10867,
  [10923] = 10870,
  [10924] = 10890,
  [10925] = 10858,
  [10926] = 10890,
  [10927] = 3856,
  [10928] = 10856,
  [10929] = 10857,
  [10930] = 10930,
  [10931] = 10675,
  [10932] = 10858,
  [10933] = 3844,
  [10934] = 10896,
  [10935] = 10870,
  [10936] = 10899,
  [10937] = 3746,
  [10938] = 10859,
  [10939] = 10899,
  [10940] = 10869,
  [10941] = 3925,
  [10942] = 10896,
  [10943] = 10899,
  [10944] = 10877,
  [10945] = 10867,
  [10946] = 10870,
  [10947] = 10767,
  [10948] = 10799,
  [10949] = 3847,
  [10950] = 10675,
  [10951] = 3736,
  [10952] = 3874,
  [10953] = 3927,
  [10954] = 10890,
  [10955] = 3931,
  [10956] = 10899,
  [10957] = 10877,
  [10958] = 10861,
  [10959] = 10890,
  [10960] = 10899,
  [10961] = 10895,
  [10962] = 10898,
  [10963] = 10867,
  [10964] = 10899,
  [10965] = 3942,
  [10966] = 10862,
  [10967] = 10896,
  [10968] = 10867,
  [10969] = 10870,
  [10970] = 10863,
  [10971] = 10890,
  [10972] = 3733,
  [10973] = 10896,
  [10974] = 10870,
  [10975] = 10899,
  [10976] = 10870,
  [10977] = 3593,
  [10978] = 10978,
  [10979] = 3958,
  [10980] = 3748,
  [10981] = 3770,
  [10982] = 3753,
  [10983] = 3773,
  [10984] = 10869,
  [10985] = 10877,
  [10986] = 3784,
  [10987] = 3786,
  [10988] = 6643,
  [10989] = 10899,
  [10990] = 3757,
  [10991] = 10991,
  [10992] = 3810,
  [10993] = 3739,
  [10994] = 10867,
  [10995] = 10895,
  [10996] = 10870,
  [10997] = 10898,
  [10998] = 10867,
  [10999] = 10899,
  [11000] = 10896,
  [11001] = 10867,
  [11002] = 6643,
  [11003] = 10870,
  [11004] = 10864,
  [11005] = 3569,
  [11006] = 10890,
  [11007] = 6737,
  [11008] = 3797,
  [11009] = 3826,
  [11010] = 10870,
  [11011] = 10877,
  [11012] = 3906,
  [11013] = 10890,
  [11014] = 3849,
  [11015] = 10899,
  [11016] = 3875,
  [11017] = 3884,
  [11018] = 3887,
  [11019] = 3892,
  [11020] = 3893,
  [11021] = 3752,
  [11022] = 3758,
  [11023] = 11023,
  [11024] = 3761,
  [11025] = 10899,
  [11026] = 3762,
  [11027] = 10869,
  [11028] = 11023,
  [11029] = 10877,
  [11030] = 10867,
  [11031] = 10870,
  [11032] = 11032,
  [11033] = 10899,
  [11034] = 10867,
  [11035] = 3766,
  [11036] = 3772,
  [11037] = 3774,
  [11038] = 3785,
  [11039] = 3790,
  [11040] = 10898,
  [11041] = 3792,
  [11042] = 3803,
  [11043] = 3737,
  [11044] = 10899,
  [11045] = 3802,
  [11046] = 3805,
  [11047] = 10694,
  [11048] = 10830,
  [11049] = 3732,
  [11050] = 6737,
  [11051] = 10794,
  [11052] = 10890,
  [11053] = 10869,
  [11054] = 3834,
  [11055] = 3812,
  [11056] = 3848,
  [11057] = 3630,
  [11058] = 10895,
  [11059] = 10848,
  [11060] = 3632,
  [11061] = 10849,
  [11062] = 3636,
  [11063] = 10867,
  [11064] = 10870,
  [11065] = 3837,
  [11066] = 3871,
  [11067] = 3731,
  [11068] = 3872,
  [11069] = 3885,
  [11070] = 11070,
  [11071] = 10869,
  [11072] = 3886,
  [11073] = 10877,
  [11074] = 10732,
  [11075] = 10859,
  [11076] = 10890,
  [11077] = 10844,
  [11078] = 10895,
  [11079] = 10898,
  [11080] = 10877,
  [11081] = 3860,
  [11082] = 10828,
  [11083] = 10890,
  [11084] = 3863,
  [11085] = 3806,
  [11086] = 3741,
  [11087] = 11087,
  [11088] = 10898,
  [11089] = 10867,
  [11090] = 10867,
  [11091] = 10899,
  [11092] = 10899,
  [11093] = 3738,
  [11094] = 10869,
  [11095] = 10896,
  [11096] = 10870,
  [11097] = 3781,
  [11098] = 11098,
  [11099] = 3922,
  [11100] = 10869,
  [11101] = 10895,
  [11102] = 3567,
  [11103] = 3747,
  [11104] = 10809,
  [11105] = 3651,
  [11106] = 3652,
  [11107] = 10761,
  [11108] = 10899,
  [11109] = 3568,
  [11110] = 10850,
  [11111] = 10833,
  [11112] = 3756,
  [11113] = 10898,
  [11114] = 3760,
  [11115] = 3780,
  [11116] = 3788,
  [11117] = 10867,
  [11118] = 10870,
  [11119] = 10867,
  [11120] = 10895,
  [11121] = 10869,
  [11122] = 10896,
  [11123] = 10898,
  [11124] = 10867,
  [11125] = 10896,
  [11126] = 10870,
  [11127] = 10870,
  [11128] = 10852,
  [11129] = 10828,
  [11130] = 10834,
  [11131] = 10895,
  [11132] = 10898,
  [11133] = 10867,
  [11134] = 10835,
  [11135] = 10734,
  [11136] = 3737,
  [11137] = 10853,
  [11138] = 10836,
  [11139] = 10842,
  [11140] = 3944,
  [11141] = 10896,
  [11142] = 10870,
  [11143] = 10899,
  [11144] = 10895,
  [11145] = 3745,
  [11146] = 10896,
  [11147] = 10898,
  [11148] = 10896,
  [11149] = 10843,
  [11150] = 10799,
  [11151] = 3746,
  [11152] = 10854,
  [11153] = 10867,
  [11154] = 10870,
  [11155] = 10867,
  [11156] = 10877,
  [11157] = 10869,
  [11158] = 3733,
  [11159] = 10895,
  [11160] = 10844,
  [11161] = 10890,
  [11162] = 3879,
  [11163] = 10870,
  [11164] = 10845,
  [11165] = 11165,
  [11166] = 10848,
  [11167] = 3836,
  [11168] = 10861,
  [11169] = 10855,
  [11170] = 10898,
  [11171] = 10899,
  [11172] = 10867,
  [11173] = 3809,
  [11174] = 10862,
  [11175] = 10863,
  [11176] = 10845,
  [11177] = 10849,
  [11178] = 3733,
  [11179] = 10850,
  [11180] = 10899,
  [11181] = 10851,
  [11182] = 10899,
  [11183] = 3992,
  [11184] = 3845,
  [11185] = 10869,
  [11186] = 3737,
  [11187] = 10866,
  [11188] = 3894,
  [11189] = 11189,
  [11190] = 10864,
  [11191] = 10842,
  [11192] = 10869,
  [11193] = 11193,
  [11194] = 10794,
  [11195] = 3940,
  [11196] = 10821,
  [11197] = 10843,
  [11198] = 3782,
  [11199] = 10694,
  [11200] = 10895,
  [11201] = 10898,
  [11202] = 11202,
  [11203] = 10852,
  [11204] = 11204,
  [11205] = 11204,
  [11206] = 11206,
  [11207] = 11204,
  [11208] = 10734,
  [11209] = 10767,
  [11210] = 6737,
  [11211] = 10833,
  [11212] = 9752,
  [11213] = 10842,
  [11214] = 10843,
  [11215] = 9749,
  [11216] = 10834,
  [11217] = 10844,
  [11218] = 11204,
  [11219] = 10809,
  [11220] = 11204,
  [11221] = 10845,
  [11222] = 11202,
  [11223] = 11206,
  [11224] = 11204,
  [11225] = 11225,
  [11226] = 10883,
  [11227] = 10835,
  [11228] = 10767,
  [11229] = 3770,
  [11230] = 10608,
  [11231] = 10836,
  [11232] = 10761,
  [11233] = 11202,
  [11234] = 11206,
  [11235] = 11204,
  [11236] = 10734,
  [11237] = 11237,
  [11238] = 9793,
  [11239] = 3746,
  [11240] = 11206,
  [11241] = 11241,
  [11242] = 11242,
  [11243] = 11206,
  [11244] = 11204,
  [11245] = 11245,
  [11246] = 10828,
  [11247] = 11247,
  [11248] = 3733,
  [11249] = 11098,
  [11250] = 10799,
  [11251] = 11202,
  [11252] = 10821,
  [11253] = 11253,
  [11254] = 11206,
  [11255] = 3736,
  [11256] = 11202,
  [11257] = 11257,
  [11258] = 11206,
  [11259] = 11206,
  [11260] = 11032,
  [11261] = 10848,
  [11262] = 10849,
  [11263] = 10850,
  [11264] = 10851,
  [11265] = 11204,
  [11266] = 11202,
  [11267] = 11206,
  [11268] = 11204,
  [11269] = 11202,
  [11270] = 9828,
  [11271] = 10830,
  [11272] = 11202,
  [11273] = 11273,
  [11274] = 10853,
  [11275] = 9747,
  [11276] = 6643,
  [11277] = 11202,
  [11278] = 9768,
  [11279] = 9818,
  [11280] = 10734,
  [11281] = 11206,
  [11282] = 11204,
  [11283] = 10608,
  [11284] = 9762,
  [11285] = 9767,
  [11286] = 10761,
  [11287] = 9773,
  [11288] = 9777,
  [11289] = 3784,
  [11290] = 9748,
  [11291] = 11202,
  [11292] = 11202,
  [11293] = 9753,
  [11294] = 9757,
  [11295] = 9758,
  [11296] = 3773,
  [11297] = 10854,
  [11298] = 9755,
  [11299] = 11206,
  [11300] = 10855,
  [11301] = 10856,
  [11302] = 9759,
  [11303] = 10857,
  [11304] = 9761,
  [11305] = 9760,
  [11306] = 11306,
  [11307] = 9791,
  [11308] = 10858,
  [11309] = 10859,
  [11310] = 9796,
  [11311] = 9797,
  [11312] = 11312,
  [11313] = 11098,
  [11314] = 10608,
  [11315] = 9799,
  [11316] = 9810,
  [11317] = 11202,
  [11318] = 10767,
  [11319] = 10866,
  [11320] = 10991,
  [11321] = 11204,
  [11322] = 3786,
  [11323] = 3737,
  [11324] = 10861,
  [11325] = 10862,
  [11326] = 10863,
  [11327] = 11202,
  [11328] = 11206,
  [11329] = 9747,
  [11330] = 11204,
  [11331] = 11202,
  [11332] = 10761,
  [11333] = 11202,
  [11334] = 11202,
  [11335] = 11206,
  [11336] = 10794,
  [11337] = 10864,
  [11338] = 3745,
  [11339] = 9749,
  [11340] = 11206,
  [11341] = 11341,
  [11342] = 11032,
  [11343] = 11204,
  [11344] = 11204,
  [11345] = 11206,
  [11346] = 11346,
  [11347] = 11204,
  [11348] = 11193,
  [11349] = 10881,
  [11350] = 11206,
  [11351] = 11351,
  [11352] = 11352,
  [11353] = 9752,
  [11354] = 9749,
  [11355] = 11351,
  [11356] = 11356,
  [11357] = 3773,
  [11358] = 3784,
  [11359] = 11359,
  [11360] = 11360,
  [11361] = 11361,
  [11362] = 3786,
  [11363] = 11363,
  [11364] = 11364,
  [11365] = 11365,
  [11366] = 3879,
  [11367] = 11367,
  [11368] = 11368,
  [11369] = 11356,
  [11370] = 11370,
  [11371] = 11371,
  [11372] = 11372,
  [11373] = 11373,
  [11374] = 11374,
  [11375] = 11375,
  [11376] = 11376,
  [11377] = 11377,
  [11378] = 11378,
  [11379] = 11379,
  [11380] = 11380,
  [11381] = 10848,
  [11382] = 10849,
  [11383] = 10850,
  [11384] = 10851,
  [11385] = 11367,
  [11386] = 3884,
  [11387] = 11387,
  [11388] = 11388,
  [11389] = 11368,
  [11390] = 3894,
  [11391] = 11391,
  [11392] = 4730,
  [11393] = 10845,
  [11394] = 10854,
  [11395] = 10855,
  [11396] = 10856,
  [11397] = 10857,
  [11398] = 10858,
  [11399] = 10859,
  [11400] = 10866,
  [11401] = 10821,
  [11402] = 10861,
  [11403] = 10862,
  [11404] = 10863,
  [11405] = 10864,
  [11406] = 3733,
  [11407] = 3737,
  [11408] = 11363,
  [11409] = 6643,
  [11410] = 11364,
  [11411] = 10866,
  [11412] = 11351,
  [11413] = 9762,
  [11414] = 10821,
  [11415] = 9767,
  [11416] = 10830,
  [11417] = 9773,
  [11418] = 9777,
  [11419] = 9748,
  [11420] = 9753,
  [11421] = 9757,
  [11422] = 9758,
  [11423] = 9759,
  [11424] = 9761,
  [11425] = 9791,
  [11426] = 11365,
  [11427] = 11352,
  [11428] = 9747,
  [11429] = 3745,
  [11430] = 9796,
  [11431] = 11387,
  [11432] = 11388,
  [11433] = 8797,
  [11434] = 8798,
  [11435] = 11351,
  [11436] = 3746,
  [11437] = 11437,
  [11438] = 10852,
  [11439] = 10608,
  [11440] = 10853,
  [11441] = 11367,
  [11442] = 11368,
  [11443] = 11351,
  [11444] = 11359,
  [11445] = 11360,
  [11446] = 10794,
  [11447] = 9755,
  [11448] = 9760,
  [11449] = 9797,
  [11450] = 9799,
  [11451] = 9810,
  [11452] = 11361,
  [11453] = 3933,
  [11454] = 6643,
  [11455] = 11363,
  [11456] = 11364,
  [11457] = 11356,
  [11458] = 9937,
  [11459] = 11370,
  [11460] = 11371,
  [11461] = 11372,
  [11462] = 11462,
  [11463] = 6737,
  [11464] = 11373,
  [11465] = 11374,
  [11466] = 11375,
  [11467] = 11376,
  [11468] = 11356,
  [11469] = 11377,
  [11470] = 11378,
  [11471] = 10809,
  [11472] = 11379,
  [11473] = 11380,
  [11474] = 11387,
  [11475] = 11388,
  [11476] = 3940,
  [11477] = 11363,
  [11478] = 11364,
  [11479] = 11365,
  [11480] = 9768,
  [11481] = 10794,
  [11482] = 11387,
  [11483] = 10732,
  [11484] = 11388,
  [11485] = 3845,
  [11486] = 9749,
  [11487] = 9793,
  [11488] = 9752,
  [11489] = 11370,
  [11490] = 10608,
  [11491] = 3985,
  [11492] = 11367,
  [11493] = 11365,
  [11494] = 3845,
  [11495] = 11371,
  [11496] = 10732,
  [11497] = 11368,
  [11498] = 3992,
  [11499] = 10799,
  [11500] = 11370,
  [11501] = 11372,
  [11502] = 11502,
  [11503] = 11503,
  [11504] = 11371,
  [11505] = 11372,
  [11506] = 11373,
  [11507] = 11374,
  [11508] = 11375,
  [11509] = 11376,
  [11510] = 11377,
  [11511] = 11378,
  [11512] = 11379,
  [11513] = 11380,
  [11514] = 8803,
  [11515] = 8804,
  [11516] = 10842,
  [11517] = 10843,
  [11518] = 10844,
  [11519] = 10845,
  [11520] = 9768,
  [11521] = 11521,
  [11522] = 3802,
  [11523] = 3805,
  [11524] = 11356,
  [11525] = 10675,
  [11526] = 11387,
  [11527] = 11388,
  [11528] = 10809,
  [11529] = 3834,
  [11530] = 8806,
  [11531] = 3837,
  [11532] = 10848,
  [11533] = 11387,
  [11534] = 10849,
  [11535] = 11388,
  [11536] = 3733,
  [11537] = 10850,
  [11538] = 3737,
  [11539] = 10799,
  [11540] = 10694,
  [11541] = 3745,
  [11542] = 3746,
  [11543] = 11352,
  [11544] = 11544,
  [11545] = 11352,
  [11546] = 10734,
  [11547] = 11547,
  [11548] = 11352,
  [11549] = 11373,
  [11550] = 11374,
  [11551] = 11375,
  [11552] = 11376,
  [11553] = 10851,
  [11554] = 11554,
  [11555] = 11555,
  [11556] = 10675,
  [11557] = 10833,
  [11558] = 10834,
  [11559] = 10835,
  [11560] = 6737,
  [11561] = 3733,
  [11562] = 9762,
  [11563] = 3737,
  [11564] = 9767,
  [11565] = 9773,
  [11566] = 9777,
  [11567] = 11567,
  [11568] = 11360,
  [11569] = 11361,
  [11570] = 9748,
  [11571] = 9753,
  [11572] = 9757,
  [11573] = 11356,
  [11574] = 11574,
  [11575] = 11575,
  [11576] = 9758,
  [11577] = 9759,
  [11578] = 9761,
  [11579] = 9818,
  [11580] = 11237,
  [11581] = 9791,
  [11582] = 10608,
  [11583] = 11359,
  [11584] = 10854,
  [11585] = 9828,
  [11586] = 11586,
  [11587] = 11587,
  [11588] = 11377,
  [11589] = 11378,
  [11590] = 11379,
  [11591] = 11360,
  [11592] = 11361,
  [11593] = 11593,
  [11594] = 11594,
  [11595] = 10855,
  [11596] = 11380,
  [11597] = 10856,
  [11598] = 11363,
  [11599] = 11364,
  [11600] = 11365,
  [11601] = 10857,
  [11602] = 11387,
  [11603] = 11388,
  [11604] = 9796,
  [11605] = 3745,
  [11606] = 10858,
  [11607] = 11098,
  [11608] = 10859,
  [11609] = 11367,
  [11610] = 11368,
  [11611] = 3746,
  [11612] = 10694,
  [11613] = 9747,
  [11614] = 11370,
  [11615] = 11371,
  [11616] = 11372,
  [11617] = 11373,
  [11618] = 11374,
  [11619] = 11375,
  [11620] = 11376,
  [11621] = 11237,
  [11622] = 11377,
  [11623] = 11356,
  [11624] = 11378,
  [11625] = 11379,
  [11626] = 11380,
  [11627] = 3736,
  [11628] = 3860,
  [11629] = 10861,
  [11630] = 10862,
  [11631] = 11631,
  [11632] = 10863,
  [11633] = 11633,
  [11634] = 11341,
  [11635] = 10864,
  [11636] = 3863,
  [11637] = 10836,
  [11638] = 11351,
  [11639] = 11639,
  [11640] = 3733,
  [11641] = 11312,
  [11642] = 10828,
  [11643] = 11643,
  [11644] = 11359,
  [11645] = 11360,
  [11646] = 11361,
  [11647] = 11312,
  [11648] = 10866,
  [11649] = 10821,
  [11650] = 10833,
  [11651] = 3844,
  [11652] = 10834,
  [11653] = 11653,
  [11654] = 11654,
  [11655] = 3847,
  [11656] = 3874,
  [11657] = 10830,
  [11658] = 3927,
  [11659] = 3931,
  [11660] = 3942,
  [11661] = 10835,
  [11662] = 10836,
  [11663] = 3958,
  [11664] = 3748,
  [11665] = 3753,
  [11666] = 3757,
  [11667] = 3810,
  [11668] = 3739,
  [11669] = 3569,
  [11670] = 3797,
  [11671] = 3826,
  [11672] = 3849,
  [11673] = 3875,
  [11674] = 3887,
  [11675] = 3892,
  [11676] = 3893,
  [11677] = 3752,
  [11678] = 3758,
  [11679] = 3761,
  [11680] = 3766,
  [11681] = 3772,
  [11682] = 3774,
  [11683] = 3785,
  [11684] = 3790,
  [11685] = 3792,
  [11686] = 3803,
  [11687] = 10852,
  [11688] = 3812,
  [11689] = 3848,
  [11690] = 3630,
  [11691] = 3632,
  [11692] = 3636,
  [11693] = 3871,
  [11694] = 3872,
  [11695] = 3885,
  [11696] = 3886,
  [11697] = 10853,
  [11698] = 3651,
  [11699] = 3652,
  [11700] = 3568,
  [11701] = 3756,
  [11702] = 3944,
  [11703] = 3567,
  [11704] = 3737,
  [11705] = 3782,
  [11706] = 3745,
  [11707] = 3593,
  [11708] = 10794,
  [11709] = 3925,
  [11710] = 3856,
  [11711] = 3906,
  [11712] = 3732,
  [11713] = 3738,
  [11714] = 3731,
  [11715] = 3806,
  [11716] = 3741,
  [11717] = 3781,
  [11718] = 3747,
  [11719] = 3760,
  [11720] = 3780,
  [11721] = 3788,
  [11722] = 3746,
  [11723] = 9818,
  [11724] = 9828,
  [11725] = 10852,
  [11726] = 10830,
  [11727] = 11727,
  [11728] = 11728,
  [11729] = 11032,
  [11730] = 10853,
  [11731] = 10828,
  [11732] = 3770,
  [11733] = 3922,
  [11734] = 3762,
  [11735] = 11735,
  [11736] = 11736,
  [11737] = 10842,
  [11738] = 10843,
  [11739] = 10844,
  [11740] = 11359,
  [11741] = 11741,
  [11742] = 10855,
  [11743] = 10856,
  [11744] = 10857,
  [11745] = 10858,
  [11746] = 10794,
  [11747] = 11747,
  [11748] = 10859,
  [11749] = 10854,
  [11750] = 10855,
  [11751] = 11741,
  [11752] = 10856,
  [11753] = 10857,
  [11754] = 10861,
  [11755] = 10862,
  [11756] = 10863,
  [11757] = 10858,
  [11758] = 11758,
  [11759] = 10864,
  [11760] = 11760,
  [11761] = 10859,
  [11762] = 6737,
  [11763] = 11763,
  [11764] = 11764,
  [11765] = 5856,
  [11766] = 11766,
  [11767] = 10861,
  [11768] = 10862,
  [11769] = 11769,
  [11770] = 10863,
  [11771] = 11771,
  [11772] = 11771,
  [11773] = 11766,
  [11774] = 11766,
  [11775] = 11775,
  [11776] = 11775,
  [11777] = 10864,
  [11778] = 11771,
  [11779] = 5861,
  [11780] = 11780,
  [11781] = 11769,
  [11782] = 11766,
  [11783] = 11741,
  [11784] = 11758,
  [11785] = 11747,
  [11786] = 11741,
  [11787] = 11758,
  [11788] = 11764,
  [11789] = 9768,
  [11790] = 9752,
  [11791] = 10761,
  [11792] = 3733,
  [11793] = 11775,
  [11794] = 11769,
  [11795] = 4723,
  [11796] = 10761,
  [11797] = 11747,
  [11798] = 3737,
  [11799] = 11741,
  [11800] = 11771,
  [11801] = 11758,
  [11802] = 11802,
  [11803] = 11766,
  [11804] = 5863,
  [11805] = 11775,
  [11806] = 11764,
  [11807] = 11769,
  [11808] = 11775,
  [11809] = 11747,
  [11810] = 11741,
  [11811] = 10809,
  [11812] = 11758,
  [11813] = 11764,
  [11814] = 6643,
  [11815] = 3745,
  [11816] = 3746,
  [11817] = 11741,
  [11818] = 11818,
  [11819] = 11769,
  [11820] = 11758,
  [11821] = 6737,
  [11822] = 11771,
  [11823] = 11766,
  [11824] = 11775,
  [11825] = 10767,
  [11826] = 11769,
  [11827] = 11747,
  [11828] = 11741,
  [11829] = 11758,
  [11830] = 11764,
  [11831] = 3746,
  [11832] = 11032,
  [11833] = 9818,
  [11834] = 10866,
  [11835] = 10821,
  [11836] = 3733,
  [11837] = 10866,
  [11838] = 10821,
  [11839] = 9828,
  [11840] = 10799,
  [11841] = 8181,
  [11842] = 11771,
  [11843] = 11843,
  [11844] = 10991,
  [11845] = 6737,
  [11846] = 11771,
  [11847] = 11766,
  [11848] = 11775,
  [11849] = 10830,
  [11850] = 11747,
  [11851] = 11769,
  [11852] = 11852,
  [11853] = 11747,
  [11854] = 11764,
  [11855] = 11741,
  [11856] = 11758,
  [11857] = 11764,
  [11858] = 10852,
  [11859] = 10883,
  [11860] = 10853,
  [11861] = 10830,
  [11862] = 10833,
  [11863] = 10767,
  [11864] = 10834,
  [11865] = 10835,
  [11866] = 10836,
  [11867] = 11758,
  [11868] = 6643,
  [11869] = 10794,
  [11870] = 9937,
  [11871] = 11764,
  [11872] = 11727,
  [11873] = 11728,
  [11874] = 11098,
  [11875] = 10852,
  [11876] = 11727,
  [11877] = 11771,
  [11878] = 11766,
  [11879] = 11775,
  [11880] = 11567,
  [11881] = 11728,
  [11882] = 11769,
  [11883] = 11643,
  [11884] = 11653,
  [11885] = 11771,
  [11886] = 11771,
  [11887] = 11887,
  [11888] = 11766,
  [11889] = 11631,
  [11890] = 11633,
  [11891] = 11747,
  [11892] = 11741,
  [11893] = 11758,
  [11894] = 11764,
  [11895] = 10852,
  [11896] = 11896,
  [11897] = 10853,
  [11898] = 10809,
  [11899] = 10608,
  [11900] = 11775,
  [11901] = 11747,
  [11902] = 11766,
  [11903] = 10828,
  [11904] = 11747,
  [11905] = 9762,
  [11906] = 9818,
  [11907] = 9767,
  [11908] = 9773,
  [11909] = 10854,
  [11910] = 9748,
  [11911] = 9753,
  [11912] = 9757,
  [11913] = 9758,
  [11914] = 9759,
  [11915] = 9761,
  [11916] = 9791,
  [11917] = 10794,
  [11918] = 11775,
  [11919] = 11769,
  [11920] = 10833,
  [11921] = 10834,
  [11922] = 10835,
  [11923] = 10836,
  [11924] = 10991,
  [11925] = 11747,
  [11926] = 8712,
  [11927] = 10883,
  [11928] = 11741,
  [11929] = 11758,
  [11930] = 9828,
  [11931] = 11931,
  [11932] = 11764,
  [11933] = 10842,
  [11934] = 10843,
  [11935] = 10844,
  [11936] = 10845,
  [11937] = 9796,
  [11938] = 11764,
  [11939] = 11098,
  [11940] = 10842,
  [11941] = 10843,
  [11942] = 10848,
  [11943] = 10849,
  [11944] = 10850,
  [11945] = 10851,
  [11946] = 10853,
  [11947] = 11771,
  [11948] = 11766,
  [11949] = 10854,
  [11950] = 10855,
  [11951] = 10856,
  [11952] = 10857,
  [11953] = 10858,
  [11954] = 10844,
  [11955] = 10859,
  [11956] = 11775,
  [11957] = 10799,
  [11958] = 10861,
  [11959] = 10862,
  [11960] = 10863,
  [11961] = 10864,
  [11962] = 11769,
  [11963] = 11747,
  [11964] = 11741,
  [11965] = 11758,
  [11966] = 11764,
  [11967] = 9937,
  [11968] = 11241,
  [11969] = 11032,
  [11970] = 10809,
  [11971] = 11971,
  [11972] = 10845,
  [11973] = 9768,
  [11974] = 11567,
  [11975] = 10844,
  [11976] = 11098,
  [11977] = 10845,
  [11978] = 10809,
  [11979] = 11312,
  [11980] = 3745,
  [11981] = 11771,
  [11982] = 11766,
  [11983] = 11775,
  [11984] = 10848,
  [11985] = 11769,
  [11986] = 10828,
  [11987] = 11771,
  [11988] = 11747,
  [11989] = 11741,
  [11990] = 11758,
  [11991] = 11764,
  [11992] = 3733,
  [11993] = 11237,
  [11994] = 3737,
  [11995] = 3745,
  [11996] = 10849,
  [11997] = 11747,
  [11998] = 3746,
  [11999] = 11633,
  [12000] = 8160,
  [12001] = 10799,
  [12002] = 10850,
  [12003] = 10848,
  [12004] = 10849,
  [12005] = 10850,
  [12006] = 10851,
  [12007] = 8805,
  [12008] = 6643,
  [12009] = 12009,
  [12010] = 10851,
  [12011] = 11769,
  [12012] = 3733,
  [12013] = 10734,
  [12014] = 3737,
  [12015] = 3745,
  [12016] = 3746,
  [12017] = 8544,
  [12018] = 11032,
  [12019] = 10828,
  [12020] = 11769,
  [12021] = 12021,
  [12022] = 11643,
  [12023] = 11653,
  [12024] = 11747,
  [12025] = 10866,
  [12026] = 10821,
  [12027] = 10833,
  [12028] = 10834,
  [12029] = 10835,
  [12030] = 10836,
  [12031] = 10799,
  [12032] = 11586,
  [12033] = 8356,
  [12034] = 8648,
  [12035] = 4760,
  [12036] = 11771,
  [12037] = 11766,
  [12038] = 3737,
  [12039] = 10830,
  [12040] = 11775,
  [12041] = 11654,
  [12042] = 11547,
  [12043] = 11574,
  [12044] = 11575,
  [12045] = 11594,
  [12046] = 10842,
  [12047] = 11193,
  [12048] = 11193,
  [12049] = 10843,
  [12050] = 10881,
  [12051] = 10881,
  [12052] = 9777,
  [12053] = 9797,
  [12054] = 12054,
  [12055] = 9762,
  [12056] = 9767,
  [12057] = 12057,
  [12058] = 12054,
  [12059] = 12059,
  [12060] = 9773,
  [12061] = 9777,
  [12062] = 12062,
  [12063] = 9748,
  [12064] = 9753,
  [12065] = 11098,
  [12066] = 12066,
  [12067] = 10833,
  [12068] = 10834,
  [12069] = 9757,
  [12070] = 9758,
  [12071] = 10835,
  [12072] = 11098,
  [12073] = 12054,
  [12074] = 9755,
  [12075] = 10836,
  [12076] = 9760,
  [12077] = 9799,
  [12078] = 10734,
  [12079] = 9759,
  [12080] = 9761,
  [12081] = 12081,
  [12082] = 12082,
  [12083] = 9791,
  [12084] = 9796,
  [12085] = 12085,
  [12086] = 9810,
  [12087] = 12054,
  [12088] = 12054,
  [12089] = 12089,
  [12090] = 8817,
  [12091] = 8745,
  [12092] = 12092,
  [12093] = 12093,
  [12094] = 12094,
  [12095] = 10842,
  [12096] = 12054,
  [12097] = 12097,
  [12098] = 10843,
  [12099] = 10844,
  [12100] = 10845,
  [12101] = 12101,
  [12102] = 12102,
  [12103] = 12103,
  [12104] = 12104,
  [12105] = 12054,
  [12106] = 12106,
  [12107] = 12107,
  [12108] = 11843,
  [12109] = 8808,
  [12110] = 11237,
  [12111] = 12111,
  [12112] = 8809,
  [12113] = 8892,
  [12114] = 8893,
  [12115] = 12054,
  [12116] = 10848,
  [12117] = 10849,
  [12118] = 10850,
  [12119] = 10851,
  [12120] = 8894,
  [12121] = 9818,
  [12122] = 3834,
  [12123] = 12123,
  [12124] = 12054,
  [12125] = 12125,
  [12126] = 8895,
  [12127] = 10854,
  [12128] = 10855,
  [12129] = 10856,
  [12130] = 10857,
  [12131] = 10858,
  [12132] = 10859,
  [12133] = 12054,
  [12134] = 8896,
  [12135] = 10861,
  [12136] = 10862,
  [12137] = 10863,
  [12138] = 12138,
  [12139] = 10864,
  [12140] = 12140,
  [12141] = 12054,
  [12142] = 12054,
  [12143] = 10734,
  [12144] = 3733,
  [12145] = 12145,
  [12146] = 11237,
  [12147] = 8818,
  [12148] = 12054,
  [12149] = 3770,
  [12150] = 8747,
  [12151] = 12151,
  [12152] = 11931,
  [12153] = 12054,
  [12154] = 8811,
  [12155] = 12155,
  [12156] = 12156,
  [12157] = 12157,
  [12158] = 3737,
  [12159] = 3745,
  [12160] = 5856,
  [12161] = 11032,
  [12162] = 10809,
  [12163] = 12163,
  [12164] = 12164,
  [12165] = 12054,
  [12166] = 12054,
  [12167] = 12167,
  [12168] = 10799,
  [12169] = 12169,
  [12170] = 5861,
  [12171] = 6737,
  [12172] = 8819,
  [12173] = 8909,
  [12174] = 8820,
  [12175] = 10608,
  [12176] = 9937,
  [12177] = 12177,
  [12178] = 12178,
  [12179] = 3805,
  [12180] = 3773,
  [12181] = 3802,
  [12182] = 6673,
  [12183] = 6546,
  [12184] = 12184,
  [12185] = 9749,
  [12186] = 12054,
  [12187] = 3784,
  [12188] = 11727,
  [12189] = 11728,
  [12190] = 12190,
  [12191] = 11567,
  [12192] = 3736,
  [12193] = 3860,
  [12194] = 8910,
  [12195] = 3837,
  [12196] = 11643,
  [12197] = 11653,
  [12198] = 11633,
  [12199] = 8911,
  [12200] = 9752,
  [12201] = 12054,
  [12202] = 6714,
  [12203] = 12054,
  [12204] = 3786,
  [12205] = 12205,
  [12206] = 12206,
  [12207] = 12207,
  [12208] = 12208,
  [12209] = 6643,
  [12210] = 6644,
  [12211] = 12211,
  [12212] = 8912,
  [12213] = 12213,
  [12214] = 6539,
  [12215] = 10608,
  [12216] = 9747,
  [12217] = 11852,
  [12218] = 5901,
  [12219] = 6586,
  [12220] = 11780,
  [12221] = 6589,
  [12222] = 12222,
  [12223] = 5863,
  [12224] = 9749,
  [12225] = 10734,
  [12226] = 12226,
  [12227] = 12227,
  [12228] = 12228,
  [12229] = 12229,
  [12230] = 12230,
  [12231] = 6737,
  [12232] = 12054,
  [12233] = 11032,
  [12234] = 11312,
  [12235] = 3762,
  [12236] = 3746,
  [12237] = 11312,
  [12238] = 9768,
  [12239] = 12239,
  [12240] = 12240,
  [12241] = 11631,
  [12242] = 12242,
  [12243] = 12243,
  [12244] = 6643,
  [12245] = 12054,
  [12246] = 8802,
  [12247] = 12247,
  [12248] = 12248,
  [12249] = 8825,
  [12250] = 10828,
  [12251] = 8795,
  [12252] = 8796,
  [12253] = 9793,
  [12254] = 12254,
  [12255] = 8826,
  [12256] = 8871,
  [12257] = 8872,
  [12258] = 3879,
  [12259] = 10608,
  [12260] = 8843,
  [12261] = 12261,
  [12262] = 12262,
  [12263] = 12263,
  [12264] = 8873,
  [12265] = 9828,
  [12266] = 11032,
  [12267] = 12267,
  [12268] = 12268,
  [12269] = 12269,
  [12270] = 12270,
  [12271] = 9747,
  [12272] = 12272,
  [12273] = 8874,
  [12274] = 3863,
  [12275] = 11237,
  [12276] = 12276,
  [12277] = 8875,
  [12278] = 11098,
  [12279] = 12054,
  [12280] = 3894,
  [12281] = 8844,
  [12282] = 11887,
  [12283] = 9209,
  [12284] = 12284,
  [12285] = 12207,
  [12286] = 12276,
  [12287] = 9432,
  [12288] = 3746,
  [12289] = 9937,
  [12290] = 12290,
  [12291] = 12291,
  [12292] = 9441,
  [12293] = 10794,
  [12294] = 12294,
  [12295] = 10859,
  [12296] = 10675,
  [12297] = 12297,
  [12298] = 10861,
  [12299] = 12299,
  [12300] = 12291,
  [12301] = 12301,
  [12302] = 12302,
  [12303] = 9592,
  [12304] = 12291,
  [12305] = 12305,
  [12306] = 12306,
  [12307] = 12307,
  [12308] = 11633,
  [12309] = 12309,
  [12310] = 12310,
  [12311] = 12311,
  [12312] = 12312,
  [12313] = 12313,
  [12314] = 9818,
  [12315] = 6643,
  [12316] = 12316,
  [12317] = 12291,
  [12318] = 12318,
  [12319] = 12319,
  [12320] = 12291,
  [12321] = 12321,
  [12322] = 12322,
  [12323] = 12323,
  [12324] = 12324,
  [12325] = 12325,
  [12326] = 9828,
  [12327] = 12327,
  [12328] = 12328,
  [12329] = 12329,
  [12330] = 12330,
  [12331] = 12331,
  [12332] = 12332,
  [12333] = 12333,
  [12334] = 6737,
  [12335] = 10694,
  [12336] = 12336,
  [12337] = 12337,
  [12338] = 9810,
  [12339] = 6395,
  [12340] = 12340,
  [12341] = 12341,
  [12342] = 12342,
  [12343] = 12291,
  [12344] = 3737,
  [12345] = 11567,
  [12346] = 9799,
  [12347] = 12347,
  [12348] = 9793,
  [12349] = 12349,
  [12350] = 3745,
  [12351] = 12351,
  [12352] = 9407,
  [12353] = 12353,
  [12354] = 12354,
  [12355] = 12291,
  [12356] = 12356,
  [12357] = 12357,
  [12358] = 5856,
  [12359] = 11237,
  [12360] = 9752,
  [12361] = 12291,
  [12362] = 9531,
  [12363] = 12363,
  [12364] = 12364,
  [12365] = 12365,
  [12366] = 12366,
  [12367] = 12367,
  [12368] = 12368,
  [12369] = 12369,
  [12370] = 12370,
  [12371] = 12371,
  [12372] = 12372,
  [12373] = 12373,
  [12374] = 5861,
  [12375] = 11567,
  [12376] = 12291,
  [12377] = 12377,
  [12378] = 12378,
  [12379] = 12379,
  [12380] = 12380,
  [12381] = 12381,
  [12382] = 12382,
  [12383] = 12383,
  [12384] = 11631,
  [12385] = 12385,
  [12386] = 12291,
  [12387] = 12291,
  [12388] = 12388,
  [12389] = 12389,
  [12390] = 12390,
  [12391] = 10828,
  [12392] = 12392,
  [12393] = 12291,
  [12394] = 5863,
  [12395] = 11032,
  [12396] = 12396,
  [12397] = 12291,
  [12398] = 12398,
  [12399] = 9751,
  [12400] = 12400,
  [12401] = 12401,
  [12402] = 12402,
  [12403] = 12291,
  [12404] = 12404,
  [12405] = 12291,
  [12406] = 12406,
  [12407] = 10830,
  [12408] = 12408,
  [12409] = 12409,
  [12410] = 12410,
  [12411] = 12411,
  [12412] = 12412,
  [12413] = 12413,
  [12414] = 12291,
  [12415] = 12291,
  [12416] = 12021,
  [12417] = 12417,
  [12418] = 12418,
  [12419] = 10852,
  [12420] = 12420,
  [12421] = 11931,
  [12422] = 9601,
  [12423] = 12423,
  [12424] = 12424,
  [12425] = 12291,
  [12426] = 10675,
  [12427] = 8825,
  [12428] = 12428,
  [12429] = 12429,
  [12430] = 12430,
  [12431] = 12431,
  [12432] = 12432,
  [12433] = 3746,
  [12434] = 10862,
  [12435] = 9599,
  [12436] = 12436,
  [12437] = 12437,
  [12438] = 9755,
  [12439] = 12439,
  [12440] = 12440,
  [12441] = 12291,
  [12442] = 12442,
  [12443] = 12443,
  [12444] = 12444,
  [12445] = 12445,
  [12446] = 11896,
  [12447] = 12447,
  [12448] = 12448,
  [12449] = 12449,
  [12450] = 12291,
  [12451] = 12451,
  [12452] = 12452,
  [12453] = 12453,
  [12454] = 12291,
  [12455] = 11586,
  [12456] = 6398,
  [12457] = 11643,
  [12458] = 11653,
  [12459] = 9762,
  [12460] = 9767,
  [12461] = 12461,
  [12462] = 9773,
  [12463] = 9777,
  [12464] = 9748,
  [12465] = 9753,
  [12466] = 9757,
  [12467] = 9758,
  [12468] = 9759,
  [12469] = 9761,
  [12470] = 9791,
  [12471] = 10853,
  [12472] = 12291,
  [12473] = 9614,
  [12474] = 12474,
  [12475] = 9403,
  [12476] = 12291,
  [12477] = 10863,
  [12478] = 12478,
  [12479] = 12479,
  [12480] = 12284,
  [12481] = 9747,
  [12482] = 12482,
  [12483] = 12483,
  [12484] = 12291,
  [12485] = 12485,
  [12486] = 12272,
  [12487] = 12145,
  [12488] = 10866,
  [12489] = 12169,
  [12490] = 12490,
  [12491] = 12157,
  [12492] = 12254,
  [12493] = 12081,
  [12494] = 12082,
  [12495] = 12085,
  [12496] = 12140,
  [12497] = 12177,
  [12498] = 12498,
  [12499] = 12226,
  [12500] = 12239,
  [12501] = 12240,
  [12502] = 12247,
  [12503] = 12248,
  [12504] = 12261,
  [12505] = 12262,
  [12506] = 12263,
  [12507] = 12267,
  [12508] = 12268,
  [12509] = 12269,
  [12510] = 12270,
  [12511] = 12511,
  [12512] = 12512,
  [12513] = 12104,
  [12514] = 12106,
  [12515] = 12111,
  [12516] = 12125,
  [12517] = 12138,
  [12518] = 12155,
  [12519] = 12156,
  [12520] = 12163,
  [12521] = 12164,
  [12522] = 12167,
  [12523] = 12101,
  [12524] = 12102,
  [12525] = 12103,
  [12526] = 12526,
  [12527] = 5901,
  [12528] = 10732,
  [12529] = 12529,
  [12530] = 6455,
  [12531] = 9796,
  [12532] = 9562,
  [12533] = 10830,
  [12534] = 9818,
  [12535] = 12291,
  [12536] = 12536,
  [12537] = 12537,
  [12538] = 12538,
  [12539] = 10608,
  [12540] = 12540,
  [12541] = 12291,
  [12542] = 12291,
  [12543] = 12543,
  [12544] = 12544,
  [12545] = 12545,
  [12546] = 11586,
  [12547] = 12547,
  [12548] = 11631,
  [12549] = 12242,
  [12550] = 12550,
  [12551] = 12178,
  [12552] = 12107,
  [12553] = 12291,
  [12554] = 12554,
  [12555] = 10734,
  [12556] = 11312,
  [12557] = 11654,
  [12558] = 12291,
  [12559] = 9749,
  [12560] = 11631,
  [12561] = 9760,
  [12562] = 9797,
  [12563] = 12291,
  [12564] = 12291,
  [12565] = 12565,
  [12566] = 9564,
  [12567] = 12291,
  [12568] = 11312,
  [12569] = 10734,
  [12570] = 9768,
  [12571] = 9747,
  [12572] = 12243,
  [12573] = 10856,
  [12574] = 11727,
  [12575] = 12291,
  [12576] = 10866,
  [12577] = 10821,
  [12578] = 9534,
  [12579] = 12579,
  [12580] = 9752,
  [12581] = 12291,
  [12582] = 11643,
  [12583] = 11728,
  [12584] = 10821,
  [12585] = 11237,
  [12586] = 10852,
  [12587] = 11653,
  [12588] = 12588,
  [12589] = 12589,
  [12590] = 11237,
  [12591] = 9569,
  [12592] = 12291,
  [12593] = 10833,
  [12594] = 11727,
  [12595] = 10834,
  [12596] = 10809,
  [12597] = 10835,
  [12598] = 10836,
  [12599] = 9452,
  [12600] = 10853,
  [12601] = 12601,
  [12602] = 11567,
  [12603] = 12242,
  [12604] = 9513,
  [12605] = 12605,
  [12606] = 12606,
  [12607] = 9542,
  [12608] = 12608,
  [12609] = 12243,
  [12610] = 12208,
  [12611] = 12291,
  [12612] = 11643,
  [12613] = 9768,
  [12614] = 11653,
  [12615] = 12291,
  [12616] = 10857,
  [12617] = 10858,
  [12618] = 11728,
  [12619] = 12619,
  [12620] = 11633,
  [12621] = 9749,
  [12622] = 9497,
  [12623] = 9544,
  [12624] = 9762,
  [12625] = 9507,
  [12626] = 9767,
  [12627] = 9773,
  [12628] = 9777,
  [12629] = 9748,
  [12630] = 9753,
  [12631] = 9757,
  [12632] = 9758,
  [12633] = 12291,
  [12634] = 9759,
  [12635] = 9761,
  [12636] = 9791,
  [12637] = 10842,
  [12638] = 10843,
  [12639] = 9508,
  [12640] = 10844,
  [12641] = 10845,
  [12642] = 12642,
  [12643] = 10854,
  [12644] = 12291,
  [12645] = 12291,
  [12646] = 12646,
  [12647] = 12647,
  [12648] = 12648,
  [12649] = 12291,
  [12650] = 12650,
  [12651] = 12291,
  [12652] = 12652,
  [12653] = 12653,
  [12654] = 9566,
  [12655] = 12291,
  [12656] = 12291,
  [12657] = 10608,
  [12658] = 9828,
  [12659] = 12659,
  [12660] = 12291,
  [12661] = 12291,
  [12662] = 9796,
  [12663] = 9518,
  [12664] = 10864,
  [12665] = 11032,
  [12666] = 3733,
  [12667] = 11727,
  [12668] = 9511,
  [12669] = 3737,
  [12670] = 3745,
  [12671] = 3746,
  [12672] = 9549,
  [12673] = 12673,
  [12674] = 9550,
  [12675] = 11728,
  [12676] = 3733,
  [12677] = 12291,
  [12678] = 9557,
  [12679] = 11633,
  [12680] = 12291,
  [12681] = 12291,
  [12682] = 10694,
  [12683] = 12208,
  [12684] = 12684,
  [12685] = 10855,
  [12686] = 10848,
  [12687] = 10849,
  [12688] = 10850,
  [12689] = 10851,
  [12690] = 10799,
  [12691] = 3733,
  [12692] = 9424,
  [12693] = 12693,
  [12694] = 12291,
  [12695] = 12291,
  [12696] = 10732,
  [12697] = 9620,
  [12698] = 3737,
  [12699] = 9578,
  [12700] = 3745,
  [12701] = 11547,
  [12702] = 11574,
  [12703] = 11575,
  [12704] = 11594,
  [12705] = 11654,
  [12706] = 12291,
  [12707] = 12009,
  [12708] = 10794,
  [12709] = 11547,
  [12710] = 11574,
  [12711] = 11575,
  [12712] = 11594,
  [12713] = 12123,
  [12714] = 9579,
  [12715] = 12715,
  [12716] = 10862,
  [12717] = 12717,
  [12718] = 12718,
  [12719] = 12719,
  [12720] = 12720,
  [12721] = 12721,
  [12722] = 12719,
  [12723] = 12723,
  [12724] = 12724,
  [12725] = 12725,
  [12726] = 12726,
  [12727] = 12727,
  [12728] = 10842,
  [12729] = 10843,
  [12730] = 12730,
  [12731] = 6737,
  [12732] = 10767,
  [12733] = 12733,
  [12734] = 10855,
  [12735] = 12735,
  [12736] = 5901,
  [12737] = 10844,
  [12738] = 12717,
  [12739] = 10761,
  [12740] = 12740,
  [12741] = 11931,
  [12742] = 10842,
  [12743] = 10843,
  [12744] = 10828,
  [12745] = 10845,
  [12746] = 10856,
  [12747] = 10844,
  [12748] = 10845,
  [12749] = 11567,
  [12750] = 12363,
  [12751] = 11852,
  [12752] = 6737,
  [12753] = 10836,
  [12754] = 12730,
  [12755] = 12755,
  [12756] = 11727,
  [12757] = 11780,
  [12758] = 10809,
  [12759] = 11852,
  [12760] = 11728,
  [12761] = 6737,
  [12762] = 9796,
  [12763] = 11780,
  [12764] = 11643,
  [12765] = 11654,
  [12766] = 12766,
  [12767] = 12730,
  [12768] = 12727,
  [12769] = 12769,
  [12770] = 10848,
  [12771] = 10849,
  [12772] = 10809,
  [12773] = 12721,
  [12774] = 11843,
  [12775] = 12730,
  [12776] = 12730,
  [12777] = 9768,
  [12778] = 10850,
  [12779] = 12730,
  [12780] = 12208,
  [12781] = 10857,
  [12782] = 10854,
  [12783] = 10851,
  [12784] = 11633,
  [12785] = 10855,
  [12786] = 11653,
  [12787] = 12787,
  [12788] = 12730,
  [12789] = 9751,
  [12790] = 10856,
  [12791] = 10857,
  [12792] = 6737,
  [12793] = 12423,
  [12794] = 10858,
  [12795] = 11727,
  [12796] = 10854,
  [12797] = 12730,
  [12798] = 10859,
  [12799] = 11728,
  [12800] = 11567,
  [12801] = 11643,
  [12802] = 11098,
  [12803] = 10848,
  [12804] = 10855,
  [12805] = 12805,
  [12806] = 12806,
  [12807] = 11653,
  [12808] = 12730,
  [12809] = 10861,
  [12810] = 12810,
  [12811] = 12811,
  [12812] = 12718,
  [12813] = 11887,
  [12814] = 12719,
  [12815] = 11643,
  [12816] = 10856,
  [12817] = 12730,
  [12818] = 10767,
  [12819] = 10861,
  [12820] = 12730,
  [12821] = 10862,
  [12822] = 12822,
  [12823] = 12730,
  [12824] = 10857,
  [12825] = 10799,
  [12826] = 10858,
  [12827] = 10863,
  [12828] = 10859,
  [12829] = 12829,
  [12830] = 10834,
  [12831] = 12831,
  [12832] = 10863,
  [12833] = 10861,
  [12834] = 10862,
  [12835] = 10863,
  [12836] = 3733,
  [12837] = 10864,
  [12838] = 9828,
  [12839] = 11653,
  [12840] = 10835,
  [12841] = 10858,
  [12842] = 8805,
  [12843] = 10828,
  [12844] = 10859,
  [12845] = 11931,
  [12846] = 12717,
  [12847] = 10864,
  [12848] = 9762,
  [12849] = 3737,
  [12850] = 10851,
  [12851] = 3745,
  [12852] = 10833,
  [12853] = 10849,
  [12854] = 12854,
  [12855] = 12855,
  [12856] = 9767,
  [12857] = 9773,
  [12858] = 9777,
  [12859] = 10864,
  [12860] = 9748,
  [12861] = 9753,
  [12862] = 12862,
  [12863] = 9757,
  [12864] = 11727,
  [12865] = 9937,
  [12866] = 12730,
  [12867] = 10799,
  [12868] = 9758,
  [12869] = 12869,
  [12870] = 12730,
  [12871] = 12730,
  [12872] = 3746,
  [12873] = 12242,
  [12874] = 9759,
  [12875] = 12875,
  [12876] = 12243,
  [12877] = 12877,
  [12878] = 11633,
  [12879] = 12733,
  [12880] = 9761,
  [12881] = 11728,
  [12882] = 9791,
  [12883] = 10809,
  [12884] = 12717,
  [12885] = 12885,
  [12886] = 10834,
  [12887] = 10842,
  [12888] = 6643,
  [12889] = 12730,
  [12890] = 11633,
  [12891] = 9937,
  [12892] = 11843,
  [12893] = 9752,
  [12894] = 10836,
  [12895] = 10828,
  [12896] = 12896,
  [12897] = 6643,
  [12898] = 10848,
  [12899] = 12899,
  [12900] = 10849,
  [12901] = 10850,
  [12902] = 10843,
  [12903] = 10851,
  [12904] = 11098,
  [12905] = 11887,
  [12906] = 11567,
  [12907] = 10799,
  [12908] = 12854,
  [12909] = 10833,
  [12910] = 10834,
  [12911] = 10835,
  [12912] = 12730,
  [12913] = 10836,
  [12914] = 10844,
  [12915] = 12730,
  [12916] = 12730,
  [12917] = 12917,
  [12918] = 12918,
  [12919] = 12919,
  [12920] = 10845,
  [12921] = 12854,
  [12922] = 12922,
  [12923] = 12718,
  [12924] = 10854,
  [12925] = 12925,
  [12926] = 12727,
  [12927] = 12927,
  [12928] = 10761,
  [12929] = 12730,
  [12930] = 11931,
  [12931] = 9818,
  [12932] = 12730,
  [12933] = 12730,
  [12934] = 12829,
  [12935] = 12935,
  [12936] = 12829,
  [12937] = 12937,
  [12938] = 10850,
  [12939] = 12363,
  [12940] = 12423,
  [12941] = 12400,
  [12942] = 12919,
  [12943] = 12718,
  [12944] = 12719,
  [12945] = 12727,
  [12946] = 12444,
  [12947] = 12715,
  [12948] = 12388,
  [12949] = 12919,
  [12950] = 12718,
  [12951] = 12719,
  [12952] = 12727,
  [12953] = 12919,
  [12954] = 12356,
  [12955] = 12718,
  [12956] = 12719,
  [12957] = 12727,
  [12958] = 12854,
  [12959] = 6643,
  [12960] = 12885,
  [12961] = 12829,
  [12962] = 12869,
  [12963] = 12717,
  [12964] = 12854,
  [12965] = 12885,
  [12966] = 12829,
  [12967] = 12717,
  [12968] = 12854,
  [12969] = 10833,
  [12970] = 12885,
  [12971] = 12829,
  [12972] = 10835,
  [12973] = 12973,
  [12974] = 12267,
  [12975] = 12268,
  [12976] = 12976,
  [12977] = 12269,
  [12978] = 12270,
  [12979] = 12104,
  [12980] = 5856,
  [12981] = 12106,
  [12982] = 12111,
  [12983] = 12125,
  [12984] = 12138,
  [12985] = 12155,
  [12986] = 12156,
  [12987] = 12163,
  [12988] = 12988,
  [12989] = 12164,
  [12990] = 12167,
  [12991] = 10848,
  [12992] = 10849,
  [12993] = 10850,
  [12994] = 12101,
  [12995] = 10851,
  [12996] = 12102,
  [12997] = 12103,
  [12998] = 9810,
  [12999] = 12988,
  [13000] = 12973,
  [13001] = 12107,
  [13002] = 10833,
  [13003] = 10834,
  [13004] = 13004,
  [13005] = 13005,
  [13006] = 12284,
  [13007] = 10835,
  [13008] = 12988,
  [13009] = 10694,
  [13010] = 12988,
  [13011] = 10836,
  [13012] = 10861,
  [13013] = 12988,
  [13014] = 13014,
  [13015] = 12988,
  [13016] = 13016,
  [13017] = 12272,
  [13018] = 13004,
  [13019] = 12988,
  [13020] = 12988,
  [13021] = 12988,
  [13022] = 10862,
  [13023] = 13023,
  [13024] = 11631,
  [13025] = 10854,
  [13026] = 10799,
  [13027] = 10855,
  [13028] = 10856,
  [13029] = 10857,
  [13030] = 10858,
  [13031] = 12988,
  [13032] = 10608,
  [13033] = 12145,
  [13034] = 10859,
  [13035] = 12976,
  [13036] = 12169,
  [13037] = 13037,
  [13038] = 12988,
  [13039] = 9799,
  [13040] = 10854,
  [13041] = 12988,
  [13042] = 9937,
  [13043] = 6737,
  [13044] = 12976,
  [13045] = 12242,
  [13046] = 12242,
  [13047] = 12988,
  [13048] = 6737,
  [13049] = 10861,
  [13050] = 10862,
  [13051] = 10734,
  [13052] = 10863,
  [13053] = 12157,
  [13054] = 12254,
  [13055] = 12081,
  [13056] = 12243,
  [13057] = 12988,
  [13058] = 12082,
  [13059] = 11237,
  [13060] = 10799,
  [13061] = 12363,
  [13062] = 12085,
  [13063] = 12988,
  [13064] = 12423,
  [13065] = 12140,
  [13066] = 10864,
  [13067] = 12988,
  [13068] = 12177,
  [13069] = 12226,
  [13070] = 12239,
  [13071] = 12240,
  [13072] = 12247,
  [13073] = 10863,
  [13074] = 12248,
  [13075] = 12261,
  [13076] = 12262,
  [13077] = 12263,
  [13078] = 12267,
  [13079] = 12268,
  [13080] = 12269,
  [13081] = 12270,
  [13082] = 3733,
  [13083] = 12104,
  [13084] = 10855,
  [13085] = 12106,
  [13086] = 12988,
  [13087] = 12111,
  [13088] = 12125,
  [13089] = 13089,
  [13090] = 3894,
  [13091] = 12138,
  [13092] = 12155,
  [13093] = 12156,
  [13094] = 12163,
  [13095] = 12164,
  [13096] = 12167,
  [13097] = 10675,
  [13098] = 12178,
  [13099] = 3733,
  [13100] = 9749,
  [13101] = 12101,
  [13102] = 13102,
  [13103] = 3737,
  [13104] = 3745,
  [13105] = 12102,
  [13106] = 3746,
  [13107] = 12208,
  [13108] = 12103,
  [13109] = 12988,
  [13110] = 12107,
  [13111] = 13089,
  [13112] = 12988,
  [13113] = 12988,
  [13114] = 10858,
  [13115] = 12988,
  [13116] = 12988,
  [13117] = 5863,
  [13118] = 10835,
  [13119] = 12988,
  [13120] = 6643,
  [13121] = 12988,
  [13122] = 13122,
  [13123] = 3737,
  [13124] = 12988,
  [13125] = 10864,
  [13126] = 12988,
  [13127] = 3879,
  [13128] = 6643,
  [13129] = 13129,
  [13130] = 13130,
  [13131] = 10833,
  [13132] = 10834,
  [13133] = 12988,
  [13134] = 12755,
  [13135] = 12988,
  [13136] = 12988,
  [13137] = 12263,
  [13138] = 12766,
  [13139] = 12242,
  [13140] = 9749,
  [13141] = 5861,
  [13142] = 12243,
  [13143] = 10857,
  [13144] = 10856,
  [13145] = 13037,
  [13146] = 12988,
  [13147] = 12988,
  [13148] = 12988,
  [13149] = 13016,
  [13150] = 12988,
  [13151] = 9760,
  [13152] = 12988,
  [13153] = 13122,
  [13154] = 10809,
  [13155] = 9793,
  [13156] = 13156,
  [13157] = 6643,
  [13158] = 12988,
  [13159] = 10848,
  [13160] = 12178,
  [13161] = 13161,
  [13162] = 12284,
  [13163] = 9762,
  [13164] = 9797,
  [13165] = 13089,
  [13166] = 10849,
  [13167] = 9747,
  [13168] = 12988,
  [13169] = 13169,
  [13170] = 10842,
  [13171] = 9767,
  [13172] = 12988,
  [13173] = 12988,
  [13174] = 12988,
  [13175] = 10843,
  [13176] = 11631,
  [13177] = 13129,
  [13178] = 10809,
  [13179] = 13179,
  [13180] = 13180,
  [13181] = 9773,
  [13182] = 12988,
  [13183] = 9751,
  [13184] = 10850,
  [13185] = 10851,
  [13186] = 9777,
  [13187] = 3745,
  [13188] = 12988,
  [13189] = 13004,
  [13190] = 9748,
  [13191] = 3746,
  [13192] = 12988,
  [13193] = 12973,
  [13194] = 10844,
  [13195] = 10845,
  [13196] = 12208,
  [13197] = 12988,
  [13198] = 12988,
  [13199] = 9818,
  [13200] = 9828,
  [13201] = 10828,
  [13202] = 10732,
  [13203] = 9753,
  [13204] = 9757,
  [13205] = 12243,
  [13206] = 12988,
  [13207] = 13207,
  [13208] = 12988,
  [13209] = 13016,
  [13210] = 12918,
  [13211] = 9758,
  [13212] = 12925,
  [13213] = 12922,
  [13214] = 12123,
  [13215] = 12988,
  [13216] = 12272,
  [13217] = 11654,
  [13218] = 11237,
  [13219] = 13129,
  [13220] = 12918,
  [13221] = 12145,
  [13222] = 12925,
  [13223] = 13037,
  [13224] = 13005,
  [13225] = 13023,
  [13226] = 12123,
  [13227] = 13023,
  [13228] = 9759,
  [13229] = 9752,
  [13230] = 9761,
  [13231] = 12896,
  [13232] = 13232,
  [13233] = 13233,
  [13234] = 9791,
  [13235] = 12169,
  [13236] = 10836,
  [13237] = 12899,
  [13238] = 9747,
  [13239] = 12988,
  [13240] = 9796,
  [13241] = 12157,
  [13242] = 12254,
  [13243] = 10842,
  [13244] = 9768,
  [13245] = 12896,
  [13246] = 10843,
  [13247] = 12081,
  [13248] = 12082,
  [13249] = 13005,
  [13250] = 12085,
  [13251] = 12988,
  [13252] = 12140,
  [13253] = 12988,
  [13254] = 10844,
  [13255] = 10828,
  [13256] = 13014,
  [13257] = 12177,
  [13258] = 12806,
  [13259] = 12226,
  [13260] = 12988,
  [13261] = 12755,
  [13262] = 12766,
  [13263] = 12988,
  [13264] = 10845,
  [13265] = 12239,
  [13266] = 12240,
  [13267] = 12247,
  [13268] = 12248,
  [13269] = 13014,
  [13270] = 12261,
  [13271] = 12262,
  [13272] = 12208,
  [13273] = 12875,
  [13274] = 9755,
  [13275] = 13275,
  [13276] = 10859,
  [13277] = 13277,
  [13278] = 13278,
  [13279] = 13279,
  [13280] = 13280,
  [13281] = 13281,
  [13282] = 13282,
  [13283] = 13277,
  [13284] = 13284,
  [13285] = 13285,
  [13286] = 13278,
  [13287] = 11727,
  [13288] = 11728,
  [13289] = 13289,
  [13290] = 13290,
  [13291] = 13291,
  [13292] = 13292,
  [13293] = 13293,
  [13294] = 13294,
  [13295] = 13295,
  [13296] = 13291,
  [13297] = 11567,
  [13298] = 13298,
  [13299] = 13299,
  [13300] = 13282,
  [13301] = 13285,
  [13302] = 13278,
  [13303] = 13279,
  [13304] = 13280,
  [13305] = 13282,
  [13306] = 13277,
  [13307] = 13284,
  [13308] = 13277,
  [13309] = 11643,
  [13310] = 11653,
  [13311] = 11931,
  [13312] = 13295,
  [13313] = 11633,
  [13314] = 13314,
  [13315] = 13291,
  [13316] = 13290,
  [13317] = 13292,
  [13318] = 13293,
  [13319] = 13294,
  [13320] = 13299,
  [13321] = 13295,
  [13322] = 13298,
  [13323] = 9762,
  [13324] = 9767,
  [13325] = 9773,
  [13326] = 9777,
  [13327] = 9748,
  [13328] = 9753,
  [13329] = 9757,
  [13330] = 9758,
  [13331] = 9759,
  [13332] = 9761,
  [13333] = 9791,
  [13334] = 9828,
  [13335] = 9796,
  [13336] = 13285,
  [13337] = 13278,
  [13338] = 13279,
  [13339] = 13280,
  [13340] = 13282,
  [13341] = 13277,
  [13342] = 13284,
  [13343] = 13298,
  [13344] = 13344,
  [13345] = 13345,
  [13346] = 13291,
  [13347] = 13285,
  [13348] = 9749,
  [13349] = 13278,
  [13350] = 13279,
  [13351] = 13291,
  [13352] = 13280,
  [13353] = 13295,
  [13354] = 13289,
  [13355] = 13282,
  [13356] = 13277,
  [13357] = 13284,
  [13358] = 13298,
  [13359] = 13285,
  [13360] = 13278,
  [13361] = 13279,
  [13362] = 13280,
  [13363] = 13282,
  [13364] = 13277,
  [13365] = 13284,
  [13366] = 5901,
  [13367] = 9762,
  [13368] = 9767,
  [13369] = 9773,
  [13370] = 9777,
  [13371] = 9748,
  [13372] = 9753,
  [13373] = 9757,
  [13374] = 9758,
  [13375] = 9759,
  [13376] = 9761,
  [13377] = 9791,
  [13378] = 9747,
  [13379] = 9796,
  [13380] = 13295,
  [13381] = 13289,
  [13382] = 12242,
  [13383] = 12243,
  [13384] = 13291,
  [13385] = 12208,
  [13386] = 13285,
  [13387] = 13295,
  [13388] = 13278,
  [13389] = 13291,
  [13390] = 13298,
  [13391] = 9793,
  [13392] = 13279,
  [13393] = 13285,
  [13394] = 13278,
  [13395] = 13279,
  [13396] = 13280,
  [13397] = 13282,
  [13398] = 13277,
  [13399] = 13284,
  [13400] = 9937,
  [13401] = 11032,
  [13402] = 13295,
  [13403] = 9752,
  [13404] = 9749,
  [13405] = 13289,
  [13406] = 13291,
  [13407] = 13281,
  [13408] = 9755,
  [13409] = 9760,
  [13410] = 9797,
  [13411] = 9799,
  [13412] = 9810,
  [13413] = 13295,
  [13414] = 13298,
  [13415] = 13298,
  [13416] = 13298,
  [13417] = 13285,
  [13418] = 13278,
  [13419] = 13280,
  [13420] = 13279,
  [13421] = 13280,
  [13422] = 13282,
  [13423] = 13277,
  [13424] = 13284,
  [13425] = 13289,
  [13426] = 13285,
  [13427] = 13278,
  [13428] = 13279,
  [13429] = 13295,
  [13430] = 13280,
  [13431] = 13282,
  [13432] = 13282,
  [13433] = 13277,
  [13434] = 13284,
  [13435] = 13277,
  [13436] = 13291,
  [13437] = 13279,
  [13438] = 13295,
  [13439] = 13298,
  [13440] = 13285,
  [13441] = 13278,
  [13442] = 13279,
  [13443] = 13280,
  [13444] = 13282,
  [13445] = 13277,
  [13446] = 13284,
  [13447] = 13285,
  [13448] = 13289,
  [13449] = 13278,
  [13450] = 13279,
  [13451] = 13280,
  [13452] = 11727,
  [13453] = 13291,
  [13454] = 11728,
  [13455] = 13291,
  [13456] = 13295,
  [13457] = 13282,
  [13458] = 13277,
  [13459] = 13298,
  [13460] = 13289,
  [13461] = 13285,
  [13462] = 13278,
  [13463] = 13284,
  [13464] = 13279,
  [13465] = 13280,
  [13466] = 13282,
  [13467] = 13277,
  [13468] = 13284,
  [13469] = 13295,
  [13470] = 11567,
  [13471] = 13284,
  [13472] = 13298,
  [13473] = 12363,
  [13474] = 12423,
  [13475] = 13291,
  [13476] = 11643,
  [13477] = 13289,
  [13478] = 11653,
  [13479] = 13295,
  [13480] = 13285,
  [13481] = 13278,
  [13482] = 11633,
  [13483] = 13298,
  [13484] = 13279,
  [13485] = 13285,
  [13486] = 13278,
  [13487] = 13279,
  [13488] = 13280,
  [13489] = 13282,
  [13490] = 13277,
  [13491] = 13284,
  [13492] = 13280,
  [13493] = 13289,
  [13494] = 12242,
  [13495] = 12243,
  [13496] = 13284,
  [13497] = 13282,
  [13498] = 13277,
  [13499] = 12208,
  [13500] = 13284,
  [13501] = 9768,
  [13502] = 9752,
  [13503] = 13291,
  [13504] = 13295,
  [13505] = 12363,
  [13506] = 12423,
  [13507] = 13289,
  [13508] = 13298,
  [13509] = 13285,
  [13510] = 13278,
  [13511] = 13279,
  [13512] = 13280,
  [13513] = 13282,
  [13514] = 13277,
  [13515] = 13284,
  [13516] = 13291,
  [13517] = 13289,
  [13518] = 12242,
  [13519] = 12243,
  [13520] = 12208,
  [13521] = 13291,
  [13522] = 13295,
  [13523] = 13295,
  [13524] = 13298,
  [13525] = 13285,
  [13526] = 13278,
  [13527] = 13279,
  [13528] = 13280,
  [13529] = 13282,
  [13530] = 13277,
  [13531] = 13284,
  [13532] = 13289,
  [13533] = 13298,
  [13534] = 9818,
  [13535] = 13291,
  [13536] = 9828,
  [13537] = 13537,
  [13538] = 13289,
  [13539] = 13295,
  [13540] = 13285,
  [13541] = 13278,
  [13542] = 13298,
  [13543] = 13285,
  [13544] = 13278,
  [13545] = 13279,
  [13546] = 13280,
  [13547] = 13282,
  [13548] = 13277,
  [13549] = 13284,
  [13550] = 13289,
  [13551] = 13279,
  [13552] = 13291,
  [13553] = 13280,
  [13554] = 13282,
  [13555] = 13277,
  [13556] = 13284,
  [13557] = 9768,
  [13558] = 13289,
  [13559] = 13291,
  [13560] = 13295,
  [13561] = 13298,
  [13562] = 13299,
  [13563] = 13285,
  [13564] = 13278,
  [13565] = 13279,
  [13566] = 13280,
  [13567] = 13282,
  [13568] = 13277,
  [13569] = 13289,
  [13570] = 13284,
  [13571] = 3845,
  [13572] = 13291,
  [13573] = 13291,
  [13574] = 11931,
  [13575] = 13289,
  [13576] = 13295,
  [13577] = 13295,
  [13578] = 13298,
  [13579] = 13285,
  [13580] = 13278,
  [13581] = 13279,
  [13582] = 13280,
  [13583] = 13282,
  [13584] = 13277,
  [13585] = 13284,
  [13586] = 13295,
  [13587] = 13289,
  [13588] = 13291,
  [13589] = 13289,
  [13590] = 13298,
  [13591] = 13295,
  [13592] = 13298,
  [13593] = 13285,
  [13594] = 13278,
  [13595] = 13279,
  [13596] = 13280,
  [13597] = 13282,
  [13598] = 13277,
  [13599] = 13289,
  [13600] = 13284,
  [13601] = 13298,
  [13602] = 13291,
  [13603] = 13289,
  [13604] = 13285,
  [13605] = 13295,
  [13606] = 13278,
  [13607] = 13279,
  [13608] = 13280,
  [13609] = 13289,
  [13610] = 13298,
  [13611] = 12363,
  [13612] = 13282,
  [13613] = 13277,
  [13614] = 13285,
  [13615] = 13278,
  [13616] = 13279,
  [13617] = 13280,
  [13618] = 13282,
  [13619] = 13277,
  [13620] = 13289,
  [13621] = 13284,
  [13622] = 13291,
  [13623] = 13284,
  [13624] = 13289,
  [13625] = 13291,
  [13626] = 13289,
  [13627] = 13295,
  [13628] = 13289,
  [13629] = 13298,
  [13630] = 13289,
  [13631] = 13285,
  [13632] = 13278,
  [13633] = 13279,
  [13634] = 13280,
  [13635] = 13282,
  [13636] = 13277,
  [13637] = 13284,
  [13638] = 9747,
  [13639] = 13285,
  [13640] = 13278,
  [13641] = 13289,
  [13642] = 13642,
  [13643] = 13642,
  [13644] = 13279,
  [13645] = 13291,
  [13646] = 13289,
  [13647] = 13647,
  [13648] = 13289,
  [13649] = 13298,
  [13650] = 13295,
  [13651] = 13280,
  [13652] = 13289,
  [13653] = 13282,
  [13654] = 13277,
  [13655] = 13298,
  [13656] = 13285,
  [13657] = 13289,
  [13658] = 13278,
  [13659] = 13279,
  [13660] = 13280,
  [13661] = 13282,
  [13662] = 13277,
  [13663] = 13289,
  [13664] = 13284,
  [13665] = 13284,
  [13666] = 9768,
  [13667] = 13291,
  [13668] = 13291,
  [13669] = 13285,
  [13670] = 13289,
  [13671] = 13291,
  [13672] = 13289,
  [13673] = 13295,
  [13674] = 13289,
  [13675] = 10761,
  [13676] = 13298,
  [13677] = 13295,
  [13678] = 13285,
  [13679] = 13278,
  [13680] = 13279,
  [13681] = 13280,
  [13682] = 13282,
  [13683] = 13277,
  [13684] = 13284,
  [13685] = 13289,
  [13686] = 13289,
  [13687] = 13291,
  [13688] = 13295,
  [13689] = 13295,
  [13690] = 13289,
  [13691] = 13298,
  [13692] = 13298,
  [13693] = 13285,
  [13694] = 13278,
  [13695] = 13289,
  [13696] = 13279,
  [13697] = 13280,
  [13698] = 13282,
  [13699] = 13277,
  [13700] = 13284,
  [13701] = 13289,
  [13702] = 13344,
  [13703] = 13285,
  [13704] = 13291,
  [13705] = 13289,
  [13706] = 13278,
  [13707] = 13295,
  [13708] = 13289,
  [13709] = 13279,
  [13710] = 13298,
  [13711] = 13280,
  [13712] = 13285,
  [13713] = 13278,
  [13714] = 13279,
  [13715] = 13280,
  [13716] = 13289,
  [13717] = 13282,
  [13718] = 13277,
  [13719] = 13284,
  [13720] = 13282,
  [13721] = 13277,
  [13722] = 13284,
  [13723] = 13289,
  [13724] = 13291,
  [13725] = 13289,
  [13726] = 13295,
  [13727] = 13298,
  [13728] = 13289,
  [13729] = 13285,
  [13730] = 13278,
  [13731] = 13279,
  [13732] = 13280,
  [13733] = 13282,
  [13734] = 13277,
  [13735] = 13284,
  [13736] = 13289,
  [13737] = 13298,
  [13738] = 13291,
  [13739] = 13289,
  [13740] = 13295,
  [13741] = 13344,
  [13742] = 13345,
  [13743] = 13298,
  [13744] = 13285,
  [13745] = 13278,
  [13746] = 13279,
  [13747] = 13280,
  [13748] = 13282,
  [13749] = 13277,
  [13750] = 13284,
  [13751] = 13291,
  [13752] = 13752,
  [13753] = 13291,
  [13754] = 13295,
  [13755] = 13298,
  [13756] = 13291,
  [13757] = 13285,
  [13758] = 13278,
  [13759] = 13279,
  [13760] = 13280,
  [13761] = 13282,
  [13762] = 13277,
  [13763] = 13284,
  [13764] = 13295,
  [13765] = 13292,
  [13766] = 13291,
  [13767] = 13767,
  [13768] = 13295,
  [13769] = 13345,
  [13770] = 13298,
  [13771] = 13298,
  [13772] = 13285,
  [13773] = 13278,
  [13774] = 13279,
  [13775] = 13280,
  [13776] = 13282,
  [13777] = 13277,
  [13778] = 13284,
  [13779] = 13779,
  [13780] = 13293,
  [13781] = 13291,
  [13782] = 13295,
  [13783] = 13298,
  [13784] = 13285,
  [13785] = 13278,
  [13786] = 13298,
  [13787] = 13279,
  [13788] = 13285,
  [13789] = 13278,
  [13790] = 13279,
  [13791] = 13280,
  [13792] = 13282,
  [13793] = 13277,
  [13794] = 13284,
  [13795] = 13280,
  [13796] = 13282,
  [13797] = 13277,
  [13798] = 13295,
  [13799] = 13291,
  [13800] = 13284,
  [13801] = 13295,
  [13802] = 12896,
  [13803] = 12755,
  [13804] = 12766,
  [13805] = 13298,
  [13806] = 13285,
  [13807] = 13285,
  [13808] = 13278,
  [13809] = 13279,
  [13810] = 13280,
  [13811] = 13282,
  [13812] = 13277,
  [13813] = 13284,
  [13814] = 13278,
  [13815] = 13291,
  [13816] = 13279,
  [13817] = 13295,
  [13818] = 13291,
  [13819] = 13298,
  [13820] = 13285,
  [13821] = 13278,
  [13822] = 13279,
  [13823] = 13280,
  [13824] = 13282,
  [13825] = 13277,
  [13826] = 13284,
  [13827] = 13291,
  [13828] = 13298,
  [13829] = 13280,
  [13830] = 13295,
  [13831] = 13298,
  [13832] = 13285,
  [13833] = 13278,
  [13834] = 13279,
  [13835] = 13280,
  [13836] = 13282,
  [13837] = 13277,
  [13838] = 13284,
  [13839] = 13280,
  [13840] = 13282,
  [13841] = 13291,
  [13842] = 13277,
  [13843] = 13291,
  [13844] = 13295,
  [13845] = 13295,
  [13846] = 13298,
  [13847] = 13285,
  [13848] = 13278,
  [13849] = 13279,
  [13850] = 13280,
  [13851] = 13282,
  [13852] = 13284,
  [13853] = 13290,
  [13854] = 13294,
  [13855] = 13298,
  [13856] = 13291,
  [13857] = 13289,
  [13858] = 9818,
  [13859] = 13284,
  [13860] = 13295,
  [13861] = 13285,
  [13862] = 13278,
  [13863] = 9828,
  [13864] = 13285,
  [13865] = 13278,
  [13866] = 13298,
  [13867] = 13279,
  [13868] = 13280,
  [13869] = 13285,
  [13870] = 13278,
  [13871] = 13279,
  [13872] = 13280,
  [13873] = 13282,
  [13874] = 13277,
  [13875] = 13284,
  [13876] = 13282,
  [13877] = 13277,
  [13878] = 13284,
  [13879] = 13291,
  [13880] = 9818,
  [13881] = 13279,
  [13882] = 13295,
  [13883] = 13298,
  [13884] = 13285,
  [13885] = 13278,
  [13886] = 13279,
  [13887] = 13280,
  [13888] = 13282,
  [13889] = 13277,
  [13890] = 13284,
  [13891] = 13295,
  [13892] = 13291,
  [13893] = 13280,
  [13894] = 13894,
  [13895] = 13295,
  [13896] = 10767,
  [13897] = 13282,
  [13898] = 13298,
  [13899] = 13285,
  [13900] = 13278,
  [13901] = 13279,
  [13902] = 13280,
  [13903] = 13282,
  [13904] = 13277,
  [13905] = 13284,
  [13906] = 13277,
  [13907] = 13284,
  [13908] = 13291,
  [13909] = 13295,
  [13910] = 13298,
  [13911] = 13285,
  [13912] = 13278,
  [13913] = 13279,
  [13914] = 13280,
  [13915] = 13282,
  [13916] = 13277,
  [13917] = 13284,
  [13918] = 13291,
  [13919] = 13291,
  [13920] = 13295,
  [13921] = 13298,
  [13922] = 13285,
  [13923] = 13278,
  [13924] = 13279,
  [13925] = 13280,
  [13926] = 13282,
  [13927] = 13277,
  [13928] = 13284,
  [13929] = 13291,
  [13930] = 13295,
  [13931] = 12444,
  [13932] = 12715,
  [13933] = 12388,
  [13934] = 13295,
  [13935] = 12444,
  [13936] = 12715,
  [13937] = 12388,
  [13938] = 12918,
  [13939] = 13298,
  [13940] = 12925,
  [13941] = 13285,
  [13942] = 13278,
  [13943] = 13279,
  [13944] = 13280,
  [13945] = 13282,
  [13946] = 13277,
  [13947] = 13284,
  [13948] = 12356,
  [13949] = 13298,
  [13950] = 13291,
  [13951] = 12400,
  [13952] = 12356,
  [13953] = 13295,
  [13954] = 12400,
  [13955] = 13298,
  [13956] = 13285,
  [13957] = 13278,
  [13958] = 13279,
  [13959] = 13280,
  [13960] = 13282,
  [13961] = 13277,
  [13962] = 13284,
  [13963] = 13291,
  [13964] = 13295,
  [13965] = 13298,
  [13966] = 13285,
  [13967] = 13278,
  [13968] = 13279,
  [13969] = 13280,
  [13970] = 13282,
  [13971] = 13277,
  [13972] = 13284,
  [13973] = 12423,
  [13974] = 9818,
  [13975] = 12875,
  [13976] = 6643,
  [13977] = 9762,
  [13978] = 9773,
  [13979] = 9777,
  [13980] = 9748,
  [13981] = 9753,
  [13982] = 9757,
  [13983] = 9758,
  [13984] = 9759,
  [13985] = 9761,
  [13986] = 9791,
  [13987] = 10694,
  [13988] = 13988,
  [13989] = 13989,
  [13990] = 13990,
  [13991] = 13991,
  [13992] = 13992,
  [13993] = 12973,
  [13994] = 9768,
  [13995] = 13995,
  [13996] = 13996,
  [13997] = 9937,
  [13998] = 10842,
  [13999] = 13037,
  [14000] = 13023,
  [14001] = 10843,
  [14002] = 13995,
  [14003] = 13991,
  [14004] = 9796,
  [14005] = 13996,
  [14006] = 13016,
  [14007] = 9828,
  [14008] = 10844,
  [14009] = 10845,
  [14010] = 10799,
  [14011] = 13991,
  [14012] = 13290,
  [14013] = 10734,
  [14014] = 13004,
  [14015] = 13995,
  [14016] = 13089,
  [14017] = 13129,
  [14018] = 13005,
  [14019] = 13014,
  [14020] = 12976,
  [14021] = 13991,
  [14022] = 13290,
  [14023] = 13292,
  [14024] = 13293,
  [14025] = 13294,
  [14026] = 14026,
  [14027] = 10608,
  [14028] = 13299,
  [14029] = 9768,
  [14030] = 14030,
  [14031] = 13345,
  [14032] = 9937,
  [14033] = 14033,
  [14034] = 13344,
  [14035] = 12363,
  [14036] = 12423,
  [14037] = 13345,
  [14038] = 13995,
  [14039] = 12363,
  [14040] = 12423,
  [14041] = 14041,
  [14042] = 14042,
  [14043] = 10848,
  [14044] = 10849,
  [14045] = 10850,
  [14046] = 10851,
  [14047] = 14047,
  [14048] = 9751,
  [14049] = 13290,
  [14050] = 13292,
  [14051] = 13293,
  [14052] = 13294,
  [14053] = 13299,
  [14054] = 13292,
  [14055] = 13344,
  [14056] = 13345,
  [14057] = 13293,
  [14058] = 13991,
  [14059] = 11654,
  [14060] = 13995,
  [14061] = 10854,
  [14062] = 13294,
  [14063] = 10855,
  [14064] = 10856,
  [14065] = 10833,
  [14066] = 10857,
  [14067] = 11654,
  [14068] = 12363,
  [14069] = 12423,
  [14070] = 10834,
  [14071] = 10858,
  [14072] = 9749,
  [14073] = 12973,
  [14074] = 3733,
  [14075] = 10835,
  [14076] = 12896,
  [14077] = 12755,
  [14078] = 12766,
  [14079] = 9818,
  [14080] = 10859,
  [14081] = 10836,
  [14082] = 10809,
  [14083] = 13037,
  [14084] = 13023,
  [14085] = 14085,
  [14086] = 12896,
  [14087] = 12755,
  [14088] = 12766,
  [14089] = 3737,
  [14090] = 3745,
  [14091] = 13016,
  [14092] = 9818,
  [14093] = 9828,
  [14094] = 13004,
  [14095] = 10861,
  [14096] = 10862,
  [14097] = 13089,
  [14098] = 13129,
  [14099] = 13005,
  [14100] = 13014,
  [14101] = 3746,
  [14102] = 9828,
  [14103] = 14103,
  [14104] = 12976,
  [14105] = 9747,
  [14106] = 9755,
  [14107] = 9760,
  [14108] = 9797,
  [14109] = 9799,
  [14110] = 9810,
  [14111] = 9762,
  [14112] = 9767,
  [14113] = 9773,
  [14114] = 9777,
  [14115] = 13344,
  [14116] = 10863,
  [14117] = 9748,
  [14118] = 10864,
  [14119] = 9753,
  [14120] = 9757,
  [14121] = 14121,
  [14122] = 13299,
  [14123] = 9758,
  [14124] = 13991,
  [14125] = 9759,
  [14126] = 14126,
  [14127] = 14127,
  [14128] = 13995,
  [14129] = 6737,
  [14130] = 9761,
  [14131] = 13991,
  [14132] = 9791,
  [14133] = 9747,
  [14134] = 9796,
  [14135] = 14135,
  [14136] = 10828,
  [14137] = 9768,
  [14138] = 9752,
  [14139] = 9749,
  [14140] = 9752,
  [14141] = 12922,
  [14142] = 12918,
  [14143] = 12925,
  [14144] = 12918,
  [14145] = 12925,
  [14146] = 14042,
  [14147] = 14121,
  [14148] = 12922,
  [14149] = 12899,
  [14150] = 9793,
  [14151] = 12899,
  [14152] = 14152,
  [14153] = 13991,
  [14154] = 12806,
  [14155] = 13995,
  [14156] = 12806,
  [14157] = 14157,
  [14158] = 12875,
  [14159] = 9767,
  [14160] = 9818,
  [14161] = 9768,
  [14162] = 3805,
  [14163] = 14026,
  [14164] = 14164,
  [14165] = 9777,
  [14166] = 14166,
  [14167] = 14167,
  [14168] = 14168,
  [14169] = 9749,
  [14170] = 9748,
  [14171] = 9753,
  [14172] = 9755,
  [14173] = 9760,
  [14174] = 14174,
  [14175] = 9797,
  [14176] = 14176,
  [14177] = 9799,
  [14178] = 14178,
  [14179] = 14179,
  [14180] = 9810,
  [14181] = 14181,
  [14182] = 9773,
  [14183] = 9793,
  [14184] = 9768,
  [14185] = 9777,
  [14186] = 9757,
  [14187] = 9762,
  [14188] = 14188,
  [14189] = 9758,
  [14190] = 14190,
  [14191] = 10734,
  [14192] = 14047,
  [14193] = 3782,
  [14194] = 14188,
  [14195] = 9767,
  [14196] = 3837,
  [14197] = 9759,
  [14198] = 9761,
  [14199] = 9828,
  [14200] = 3834,
  [14201] = 9773,
  [14202] = 9777,
  [14203] = 9749,
  [14204] = 9793,
  [14205] = 9818,
  [14206] = 14178,
  [14207] = 14188,
  [14208] = 14179,
  [14209] = 14209,
  [14210] = 9768,
  [14211] = 9791,
  [14212] = 14188,
  [14213] = 14167,
  [14214] = 9796,
  [14215] = 14215,
  [14216] = 9748,
  [14217] = 14188,
  [14218] = 9753,
  [14219] = 9747,
  [14220] = 14188,
  [14221] = 9773,
  [14222] = 9777,
  [14223] = 9748,
  [14224] = 9748,
  [14225] = 9753,
  [14226] = 9747,
  [14227] = 14188,
  [14228] = 9757,
  [14229] = 9752,
  [14230] = 9758,
  [14231] = 9749,
  [14232] = 9759,
  [14233] = 9761,
  [14234] = 9791,
  [14235] = 3879,
  [14236] = 9747,
  [14237] = 9752,
  [14238] = 9762,
  [14239] = 9747,
  [14240] = 9755,
  [14241] = 9760,
  [14242] = 9797,
  [14243] = 9799,
  [14244] = 9810,
  [14245] = 9796,
  [14246] = 14215,
  [14247] = 10732,
  [14248] = 9753,
  [14249] = 9757,
  [14250] = 14250,
  [14251] = 11032,
  [14252] = 9749,
  [14253] = 9767,
  [14254] = 14188,
  [14255] = 14250,
  [14256] = 14256,
  [14257] = 14257,
  [14258] = 14188,
  [14259] = 9773,
  [14260] = 9777,
  [14261] = 9748,
  [14262] = 9753,
  [14263] = 9757,
  [14264] = 14264,
  [14265] = 14188,
  [14266] = 9757,
  [14267] = 9758,
  [14268] = 9759,
  [14269] = 14188,
  [14270] = 14188,
  [14271] = 14271,
  [14272] = 14167,
  [14273] = 14168,
  [14274] = 14274,
  [14275] = 9758,
  [14276] = 9761,
  [14277] = 9791,
  [14278] = 9768,
  [14279] = 9749,
  [14280] = 9937,
  [14281] = 9793,
  [14282] = 14188,
  [14283] = 14188,
  [14284] = 14284,
  [14285] = 9755,
  [14286] = 9759,
  [14287] = 9760,
  [14288] = 9761,
  [14289] = 14256,
  [14290] = 9758,
  [14291] = 9759,
  [14292] = 12896,
  [14293] = 12755,
  [14294] = 12766,
  [14295] = 14188,
  [14296] = 9761,
  [14297] = 9791,
  [14298] = 10675,
  [14299] = 9791,
  [14300] = 14168,
  [14301] = 9797,
  [14302] = 9755,
  [14303] = 9760,
  [14304] = 9797,
  [14305] = 12896,
  [14306] = 12755,
  [14307] = 12766,
  [14308] = 14188,
  [14309] = 9793,
  [14310] = 9747,
  [14311] = 14188,
  [14312] = 9799,
  [14313] = 9810,
  [14314] = 14314,
  [14315] = 9799,
  [14316] = 9810,
  [14317] = 14188,
  [14318] = 13990,
  [14319] = 9752,
  [14320] = 9749,
  [14321] = 14188,
  [14322] = 14188,
  [14323] = 10608,
  [14324] = 9768,
  [14325] = 9752,
  [14326] = 9749,
  [14327] = 9793,
  [14328] = 14188,
  [14329] = 14188,
  [14330] = 14188,
  [14331] = 9749,
  [14332] = 9799,
  [14333] = 14188,
  [14334] = 14334,
  [14335] = 14188,
  [14336] = 3863,
  [14337] = 9796,
  [14338] = 9747,
  [14339] = 3894,
  [14340] = 9768,
  [14341] = 9810,
  [14342] = 9747,
  [14343] = 9937,
  [14344] = 14271,
  [14345] = 9818,
  [14346] = 14188,
  [14347] = 9828,
  [14348] = 9755,
  [14349] = 14126,
  [14350] = 14350,
  [14351] = 14188,
  [14352] = 9818,
  [14353] = 14353,
  [14354] = 3922,
  [14355] = 14188,
  [14356] = 10761,
  [14357] = 14357,
  [14358] = 9828,
  [14359] = 9818,
  [14360] = 14360,
  [14361] = 11631,
  [14362] = 9828,
  [14363] = 9796,
  [14364] = 9755,
  [14365] = 9760,
  [14366] = 14366,
  [14367] = 14188,
  [14368] = 14188,
  [14369] = 3802,
  [14370] = 3805,
  [14371] = 14371,
  [14372] = 14372,
  [14373] = 3834,
  [14374] = 9797,
  [14375] = 9799,
  [14376] = 14376,
  [14377] = 9762,
  [14378] = 9767,
  [14379] = 9773,
  [14380] = 9777,
  [14381] = 9748,
  [14382] = 3837,
  [14383] = 9753,
  [14384] = 9757,
  [14385] = 9758,
  [14386] = 9810,
  [14387] = 9759,
  [14388] = 9818,
  [14389] = 9828,
  [14390] = 3879,
  [14391] = 9760,
  [14392] = 14188,
  [14393] = 9828,
  [14394] = 14188,
  [14395] = 9761,
  [14396] = 9791,
  [14397] = 9796,
  [14398] = 9747,
  [14399] = 14399,
  [14400] = 9797,
  [14401] = 14190,
  [14402] = 14188,
  [14403] = 12242,
  [14404] = 12243,
  [14405] = 14215,
  [14406] = 14188,
  [14407] = 12208,
  [14408] = 14179,
  [14409] = 14178,
  [14410] = 9752,
  [14411] = 9749,
  [14412] = 9796,
  [14413] = 14188,
  [14414] = 3860,
  [14415] = 9818,
  [14416] = 14188,
  [14417] = 9828,
  [14418] = 3863,
  [14419] = 3894,
  [14420] = 9747,
  [14421] = 10694,
  [14422] = 14371,
  [14423] = 14423,
  [14424] = 14376,
  [14425] = 14188,
  [14426] = 3736,
  [14427] = 3944,
  [14428] = 9755,
  [14429] = 14350,
  [14430] = 14353,
  [14431] = 3770,
  [14432] = 3773,
  [14433] = 3784,
  [14434] = 3786,
  [14435] = 14435,
  [14436] = 10767,
  [14437] = 9762,
  [14438] = 14257,
  [14439] = 9760,
  [14440] = 9767,
  [14441] = 14435,
  [14442] = 9797,
  [14443] = 14152,
  [14444] = 9749,
  [14445] = 14188,
  [14446] = 9762,
  [14447] = 9767,
  [14448] = 14188,
  [14449] = 3860,
  [14450] = 9773,
  [14451] = 9777,
  [14452] = 9748,
  [14453] = 14176,
  [14454] = 14188,
  [14455] = 9762,
  [14456] = 14188,
  [14457] = 3802,
  [14458] = 9753,
  [14459] = 9757,
  [14460] = 9758,
  [14461] = 12918,
  [14462] = 12925,
  [14463] = 14188,
  [14464] = 9767,
  [14465] = 12918,
  [14466] = 12925,
  [14467] = 14188,
  [14468] = 9759,
  [14469] = 9761,
  [14470] = 14188,
  [14471] = 14176,
  [14472] = 9793,
  [14473] = 9791,
  [14474] = 9796,
  [14475] = 13992,
  [14476] = 14257,
  [14477] = 14188,
  [14478] = 9799,
  [14479] = 9762,
  [14480] = 9747,
  [14481] = 9810,
  [14482] = 9767,
  [14483] = 14127,
  [14484] = 14188,
  [14485] = 12242,
  [14486] = 12243,
  [14487] = 14190,
  [14488] = 9752,
  [14489] = 9749,
  [14490] = 14188,
  [14491] = 12208,
  [14492] = 14188,
  [14493] = 9747,
  [14494] = 9747,
  [14495] = 9752,
  [14496] = 14188,
  [14497] = 11631,
  [14498] = 14215,
  [14499] = 14188,
  [14500] = 9773,
  [14501] = 9749,
  [14502] = 14030,
  [14503] = 14085,
  [14504] = 14103,
  [14505] = 14135,
  [14506] = 14033,
  [14507] = 13988,
  [14508] = 14423,
  [14509] = 13989,
  [14510] = 9768,
  [14511] = 14511,
  [14512] = 14511,
  [14513] = 14511,
  [14514] = 9777,
  [14515] = 9773,
  [14516] = 14511,
  [14517] = 9777,
  [14518] = 9755,
  [14519] = 14519,
  [14520] = 9748,
  [14521] = 14521,
  [14522] = 9753,
  [14523] = 9757,
  [14524] = 9758,
  [14525] = 9759,
  [14526] = 9761,
  [14527] = 9791,
  [14528] = 9818,
  [14529] = 9937,
  [14530] = 9747,
  [14531] = 9796,
  [14532] = 9768,
  [14533] = 9828,
  [14534] = 9796,
  [14535] = 14511,
  [14536] = 10861,
  [14537] = 10862,
  [14538] = 10863,
  [14539] = 14511,
  [14540] = 9758,
  [14541] = 9799,
  [14542] = 14511,
  [14543] = 9759,
  [14544] = 9810,
  [14545] = 14519,
  [14546] = 14521,
  [14547] = 14511,
  [14548] = 9767,
  [14549] = 9818,
  [14550] = 9818,
  [14551] = 14519,
  [14552] = 9828,
  [14553] = 14519,
  [14554] = 14511,
  [14555] = 14511,
  [14556] = 14521,
  [14557] = 14521,
  [14558] = 9752,
  [14559] = 9749,
  [14560] = 14511,
  [14561] = 14511,
  [14562] = 14511,
  [14563] = 14519,
  [14564] = 14521,
  [14565] = 9761,
  [14566] = 9768,
  [14567] = 10732,
  [14568] = 10828,
  [14569] = 14569,
  [14570] = 14519,
  [14571] = 9773,
  [14572] = 9777,
  [14573] = 14511,
  [14574] = 9791,
  [14575] = 14511,
  [14576] = 14519,
  [14577] = 14511,
  [14578] = 14519,
  [14579] = 14521,
  [14580] = 14521,
  [14581] = 14519,
  [14582] = 14511,
  [14583] = 9749,
  [14584] = 9755,
  [14585] = 9760,
  [14586] = 9797,
  [14587] = 9799,
  [14588] = 9810,
  [14589] = 14521,
  [14590] = 14511,
  [14591] = 14511,
  [14592] = 14592,
  [14593] = 14519,
  [14594] = 14521,
  [14595] = 9762,
  [14596] = 10864,
  [14597] = 14511,
  [14598] = 14521,
  [14599] = 9828,
  [14600] = 9757,
  [14601] = 14511,
  [14602] = 9793,
  [14603] = 14519,
  [14604] = 14521,
  [14605] = 14519,
  [14606] = 11931,
  [14607] = 9773,
  [14608] = 12363,
  [14609] = 12423,
  [14610] = 9937,
  [14611] = 9752,
  [14612] = 9749,
  [14613] = 14511,
  [14614] = 9937,
  [14615] = 14519,
  [14616] = 9758,
  [14617] = 9767,
  [14618] = 14521,
  [14619] = 14521,
  [14620] = 9773,
  [14621] = 9759,
  [14622] = 14511,
  [14623] = 9761,
  [14624] = 14519,
  [14625] = 14625,
  [14626] = 14626,
  [14627] = 9796,
  [14628] = 14519,
  [14629] = 10761,
  [14630] = 9777,
  [14631] = 9768,
  [14632] = 9755,
  [14633] = 9747,
  [14634] = 14521,
  [14635] = 14511,
  [14636] = 14511,
  [14637] = 14519,
  [14638] = 14519,
  [14639] = 9768,
  [14640] = 14521,
  [14641] = 14521,
  [14642] = 9777,
  [14643] = 10833,
  [14644] = 10834,
  [14645] = 10809,
  [14646] = 9755,
  [14647] = 9760,
  [14648] = 9797,
  [14649] = 14511,
  [14650] = 9799,
  [14651] = 10835,
  [14652] = 9810,
  [14653] = 14519,
  [14654] = 9748,
  [14655] = 9753,
  [14656] = 9757,
  [14657] = 10836,
  [14658] = 9758,
  [14659] = 14519,
  [14660] = 9818,
  [14661] = 14511,
  [14662] = 14521,
  [14663] = 14519,
  [14664] = 14521,
  [14665] = 14665,
  [14666] = 9828,
  [14667] = 9749,
  [14668] = 9752,
  [14669] = 12363,
  [14670] = 12423,
  [14671] = 9937,
  [14672] = 9748,
  [14673] = 9793,
  [14674] = 9753,
  [14675] = 9757,
  [14676] = 9753,
  [14677] = 9752,
  [14678] = 9758,
  [14679] = 14511,
  [14680] = 14519,
  [14681] = 14521,
  [14682] = 14521,
  [14683] = 10767,
  [14684] = 9791,
  [14685] = 9818,
  [14686] = 9760,
  [14687] = 9797,
  [14688] = 10854,
  [14689] = 14511,
  [14690] = 14519,
  [14691] = 14521,
  [14692] = 10855,
  [14693] = 9796,
  [14694] = 10842,
  [14695] = 10856,
  [14696] = 10857,
  [14697] = 9828,
  [14698] = 9762,
  [14699] = 10858,
  [14700] = 9818,
  [14701] = 9759,
  [14702] = 10859,
  [14703] = 14511,
  [14704] = 14521,
  [14705] = 14519,
  [14706] = 9767,
  [14707] = 14521,
  [14708] = 14511,
  [14709] = 9773,
  [14710] = 9828,
  [14711] = 9777,
  [14712] = 9748,
  [14713] = 9753,
  [14714] = 9757,
  [14715] = 9758,
  [14716] = 10034,
  [14717] = 9759,
  [14718] = 14519,
  [14719] = 9752,
  [14720] = 10675,
  [14721] = 9749,
  [14722] = 14521,
  [14723] = 9761,
  [14724] = 9761,
  [14725] = 9791,
  [14726] = 14511,
  [14727] = 14519,
  [14728] = 9791,
  [14729] = 14519,
  [14730] = 14521,
  [14731] = 14592,
  [14732] = 14511,
  [14733] = 14511,
  [14734] = 9796,
  [14735] = 9768,
  [14736] = 14519,
  [14737] = 14521,
  [14738] = 14511,
  [14739] = 9759,
  [14740] = 14511,
  [14741] = 14519,
  [14742] = 9761,
  [14743] = 14521,
  [14744] = 14519,
  [14745] = 9818,
  [14746] = 14511,
  [14747] = 14521,
  [14748] = 9937,
  [14749] = 14521,
  [14750] = 9796,
  [14751] = 14519,
  [14752] = 14519,
  [14753] = 14521,
  [14754] = 9828,
  [14755] = 9762,
  [14756] = 9767,
  [14757] = 9773,
  [14758] = 9777,
  [14759] = 14511,
  [14760] = 9748,
  [14761] = 14511,
  [14762] = 9753,
  [14763] = 9768,
  [14764] = 9791,
  [14765] = 14511,
  [14766] = 14519,
  [14767] = 14519,
  [14768] = 14519,
  [14769] = 14521,
  [14770] = 9757,
  [14771] = 14521,
  [14772] = 9760,
  [14773] = 9797,
  [14774] = 9758,
  [14775] = 14521,
  [14776] = 14521,
  [14777] = 14511,
  [14778] = 9759,
  [14779] = 11931,
  [14780] = 9761,
  [14781] = 14511,
  [14782] = 14519,
  [14783] = 14521,
  [14784] = 9791,
  [14785] = 9768,
  [14786] = 9762,
  [14787] = 9747,
  [14788] = 9767,
  [14789] = 14511,
  [14790] = 9768,
  [14791] = 14519,
  [14792] = 9762,
  [14793] = 9773,
  [14794] = 14521,
  [14795] = 9777,
  [14796] = 9796,
  [14797] = 9767,
  [14798] = 9773,
  [14799] = 9748,
  [14800] = 9753,
  [14801] = 14511,
  [14802] = 9818,
  [14803] = 9777,
  [14804] = 14511,
  [14805] = 9748,
  [14806] = 9753,
  [14807] = 9757,
  [14808] = 14519,
  [14809] = 14521,
  [14810] = 9758,
  [14811] = 9828,
  [14812] = 9759,
  [14813] = 14511,
  [14814] = 9761,
  [14815] = 14592,
  [14816] = 9748,
  [14817] = 14511,
  [14818] = 14519,
  [14819] = 9757,
  [14820] = 14519,
  [14821] = 9758,
  [14822] = 9753,
  [14823] = 9759,
  [14824] = 14521,
  [14825] = 14511,
  [14826] = 9749,
  [14827] = 14521,
  [14828] = 14519,
  [14829] = 10848,
  [14830] = 14521,
  [14831] = 9761,
  [14832] = 10849,
  [14833] = 9791,
  [14834] = 9762,
  [14835] = 9747,
  [14836] = 10850,
  [14837] = 9791,
  [14838] = 10851,
  [14839] = 14511,
  [14840] = 14519,
  [14841] = 14521,
  [14842] = 9747,
  [14843] = 9796,
  [14844] = 9747,
  [14845] = 9799,
  [14846] = 9511,
  [14847] = 9810,
  [14848] = 9549,
  [14849] = 9550,
  [14850] = 9747,
  [14851] = 9768,
  [14852] = 14511,
  [14853] = 9768,
  [14854] = 14519,
  [14855] = 10799,
  [14856] = 14521,
  [14857] = 9793,
  [14858] = 3733,
  [14859] = 14511,
  [14860] = 9818,
  [14861] = 14519,
  [14862] = 14521,
  [14863] = 9818,
  [14864] = 9796,
  [14865] = 9752,
  [14866] = 10844,
  [14867] = 9755,
  [14868] = 14511,
  [14869] = 3737,
  [14870] = 3745,
  [14871] = 9828,
  [14872] = 9828,
  [14873] = 14519,
  [14874] = 9752,
  [14875] = 14521,
  [14876] = 14876,
  [14877] = 9614,
  [14878] = 3746,
  [14879] = 9752,
  [14880] = 9749,
  [14881] = 9749,
  [14882] = 14511,
  [14883] = 9748,
  [14884] = 14511,
  [14885] = 14511,
  [14886] = 14519,
  [14887] = 14519,
  [14888] = 9793,
  [14889] = 14519,
  [14890] = 14521,
  [14891] = 9767,
  [14892] = 14521,
  [14893] = 14511,
  [14894] = 14511,
  [14895] = 14521,
  [14896] = 9937,
  [14897] = 9818,
  [14898] = 9762,
  [14899] = 14511,
  [14900] = 14511,
  [14901] = 14511,
  [14902] = 9752,
  [14903] = 14519,
  [14904] = 14521,
  [14905] = 9755,
  [14906] = 9760,
  [14907] = 9797,
  [14908] = 9768,
  [14909] = 9799,
  [14910] = 9752,
  [14911] = 9810,
  [14912] = 9762,
  [14913] = 10843,
  [14914] = 9760,
  [14915] = 9797,
  [14916] = 9762,
  [14917] = 10167,
  [14918] = 9767,
  [14919] = 9773,
  [14920] = 9777,
  [14921] = 9748,
  [14922] = 9753,
  [14923] = 9757,
  [14924] = 9758,
  [14925] = 9767,
  [14926] = 9759,
  [14927] = 14511,
  [14928] = 9761,
  [14929] = 9791,
  [14930] = 10845,
  [14931] = 9773,
  [14932] = 14519,
  [14933] = 9757,
  [14934] = 9828,
  [14935] = 14935,
  [14936] = 9747,
  [14937] = 9762,
  [14938] = 14511,
  [14939] = 14511,
  [14940] = 14519,
  [14941] = 9767,
  [14942] = 9799,
  [14943] = 9937,
  [14944] = 9810,
  [14945] = 14511,
  [14946] = 14521,
  [14947] = 9796,
  [14948] = 14521,
  [14949] = 14511,
  [14950] = 14127,
  [14951] = 13989,
  [14952] = 10851,
  [14953] = 9759,
  [14954] = 14954,
  [14955] = 14955,
  [14956] = 14152,
  [14957] = 9818,
  [14958] = 14955,
  [14959] = 14955,
  [14960] = 14955,
  [14961] = 14955,
  [14962] = 10854,
  [14963] = 14955,
  [14964] = 9937,
  [14965] = 13988,
  [14966] = 10855,
  [14967] = 14967,
  [14968] = 9796,
  [14969] = 14026,
  [14970] = 14127,
  [14971] = 10856,
  [14972] = 10857,
  [14973] = 10858,
  [14974] = 10859,
  [14975] = 9777,
  [14976] = 10861,
  [14977] = 10862,
  [14978] = 9828,
  [14979] = 10863,
  [14980] = 9773,
  [14981] = 14955,
  [14982] = 10864,
  [14983] = 13990,
  [14984] = 6737,
  [14985] = 9768,
  [14986] = 14955,
  [14987] = 13992,
  [14988] = 9828,
  [14989] = 14955,
  [14990] = 9752,
  [14991] = 14955,
  [14992] = 13988,
  [14993] = 9748,
  [14994] = 14026,
  [14995] = 14955,
  [14996] = 14955,
  [14997] = 14955,
  [14998] = 14955,
  [14999] = 14167,
  [15000] = 9828,
  [15001] = 14955,
  [15002] = 14955,
  [15003] = 9937,
  [15004] = 14168,
  [15005] = 11631,
  [15006] = 14967,
  [15007] = 15007,
  [15008] = 15008,
  [15009] = 14257,
  [15010] = 9828,
  [15011] = 14955,
  [15012] = 9768,
  [15013] = 9937,
  [15014] = 14955,
  [15015] = 15015,
  [15016] = 15016,
  [15017] = 10675,
  [15018] = 3745,
  [15019] = 14955,
  [15020] = 15020,
  [15021] = 9768,
  [15022] = 9768,
  [15023] = 14955,
  [15024] = 9761,
  [15025] = 15015,
  [15026] = 10799,
  [15027] = 3733,
  [15028] = 9753,
  [15029] = 3746,
  [15030] = 9828,
  [15031] = 14955,
  [15032] = 9768,
  [15033] = 15033,
  [15034] = 6643,
  [15035] = 9752,
  [15036] = 9757,
  [15037] = 15037,
  [15038] = 14047,
  [15039] = 9753,
  [15040] = 10828,
  [15041] = 9937,
  [15042] = 3737,
  [15043] = 15043,
  [15044] = 9818,
  [15045] = 15045,
  [15046] = 14955,
  [15047] = 14955,
  [15048] = 14955,
  [15049] = 14955,
  [15050] = 9758,
  [15051] = 14955,
  [15052] = 9767,
  [15053] = 14178,
  [15054] = 9759,
  [15055] = 14179,
  [15056] = 9791,
  [15057] = 14955,
  [15058] = 14955,
  [15059] = 9828,
  [15060] = 9761,
  [15061] = 9791,
  [15062] = 14126,
  [15063] = 15063,
  [15064] = 9818,
  [15065] = 9937,
  [15066] = 15066,
  [15067] = 9767,
  [15068] = 9828,
  [15069] = 14126,
  [15070] = 14955,
  [15071] = 14955,
  [15072] = 9757,
  [15073] = 14167,
  [15074] = 10734,
  [15075] = 14955,
  [15076] = 10833,
  [15077] = 9748,
  [15078] = 9768,
  [15079] = 13990,
  [15080] = 10834,
  [15081] = 10835,
  [15082] = 9752,
  [15083] = 10836,
  [15084] = 14955,
  [15085] = 14955,
  [15086] = 15086,
  [15087] = 13992,
  [15088] = 9777,
  [15089] = 15015,
  [15090] = 9768,
  [15091] = 9768,
  [15092] = 9758,
  [15093] = 9818,
  [15094] = 15094,
  [15095] = 14955,
  [15096] = 9828,
  [15097] = 9752,
  [15098] = 15020,
  [15099] = 9762,
  [15100] = 14047,
  [15101] = 9796,
  [15102] = 15033,
  [15103] = 9768,
  [15104] = 9937,
  [15105] = 9818,
  [15106] = 9762,
  [15107] = 14955,
  [15108] = 9768,
  [15109] = 14955,
  [15110] = 14168,
  [15111] = 15111,
  [15112] = 9762,
  [15113] = 9818,
  [15114] = 9818,
  [15115] = 10842,
  [15116] = 14257,
  [15117] = 9818,
  [15118] = 9818,
  [15119] = 10843,
  [15120] = 14955,
  [15121] = 9767,
  [15122] = 14955,
  [15123] = 9773,
  [15124] = 9828,
  [15125] = 9777,
  [15126] = 9748,
  [15127] = 14955,
  [15128] = 10694,
  [15129] = 9767,
  [15130] = 14955,
  [15131] = 10809,
  [15132] = 9773,
  [15133] = 9777,
  [15134] = 9748,
  [15135] = 9937,
  [15136] = 14178,
  [15137] = 14955,
  [15138] = 14179,
  [15139] = 9753,
  [15140] = 9753,
  [15141] = 9757,
  [15142] = 14955,
  [15143] = 9796,
  [15144] = 9758,
  [15145] = 9759,
  [15146] = 9937,
  [15147] = 14955,
  [15148] = 10844,
  [15149] = 9757,
  [15150] = 9761,
  [15151] = 9937,
  [15152] = 9791,
  [15153] = 10845,
  [15154] = 9828,
  [15155] = 9758,
  [15156] = 9759,
  [15157] = 14955,
  [15158] = 10732,
  [15159] = 9761,
  [15160] = 14955,
  [15161] = 9791,
  [15162] = 15162,
  [15163] = 15163,
  [15164] = 15066,
  [15165] = 14955,
  [15166] = 14955,
  [15167] = 14955,
  [15168] = 5987,
  [15169] = 9773,
  [15170] = 9937,
  [15171] = 15015,
  [15172] = 14955,
  [15173] = 14955,
  [15174] = 10034,
  [15175] = 9818,
  [15176] = 10848,
  [15177] = 14955,
  [15178] = 10849,
  [15179] = 14030,
  [15180] = 14085,
  [15181] = 14103,
  [15182] = 14135,
  [15183] = 14033,
  [15184] = 9796,
  [15185] = 9762,
  [15186] = 14030,
  [15187] = 14085,
  [15188] = 14103,
  [15189] = 14135,
  [15190] = 14033,
  [15191] = 13989,
  [15192] = 14152,
  [15193] = 10850,
  [15194] = 15194,
  [15195] = 15195,
  [15196] = 9937,
  [15197] = 15194,
  [15198] = 15194,
  [15199] = 15195,
  [15200] = 10548,
  [15201] = 15201,
  [15202] = 15194,
  [15203] = 15203,
  [15204] = 15204,
  [15205] = 10167,
  [15206] = 10507,
  [15207] = 15195,
  [15208] = 15208,
  [15209] = 15209,
  [15210] = 11931,
  [15211] = 10515,
  [15212] = 10627,
  [15213] = 9937,
  [15214] = 15214,
  [15215] = 10761,
  [15216] = 15216,
  [15217] = 15217,
  [15218] = 9937,
  [15219] = 15204,
  [15220] = 15220,
  [15221] = 6129,
  [15222] = 15222,
  [15223] = 10633,
  [15224] = 15204,
  [15225] = 15204,
  [15226] = 3884,
  [15227] = 15227,
  [15228] = 15228,
  [15229] = 15195,
  [15230] = 15230,
  [15231] = 10767,
  [15232] = 9937,
  [15233] = 10513,
  [15234] = 6546,
  [15235] = 6643,
  [15236] = 15236,
  [15237] = 15237,
  [15238] = 15238,
  [15239] = 10842,
  [15240] = 15240,
  [15241] = 10843,
  [15242] = 15242,
  [15243] = 10863,
  [15244] = 15244,
  [15245] = 3737,
  [15246] = 10856,
  [15247] = 10844,
  [15248] = 15248,
  [15249] = 10675,
  [15250] = 3745,
  [15251] = 10845,
  [15252] = 10834,
  [15253] = 10849,
  [15254] = 15254,
  [15255] = 3733,
  [15256] = 10850,
  [15257] = 10848,
  [15258] = 10677,
  [15259] = 10857,
  [15260] = 10608,
  [15261] = 3733,
  [15262] = 6737,
  [15263] = 15237,
  [15264] = 10809,
  [15265] = 15265,
  [15266] = 15254,
  [15267] = 15237,
  [15268] = 10799,
  [15269] = 3746,
  [15270] = 10734,
  [15271] = 15254,
  [15272] = 10851,
  [15273] = 10694,
  [15274] = 10836,
  [15275] = 10833,
  [15276] = 10854,
  [15277] = 15277,
  [15278] = 3737,
  [15279] = 10859,
  [15280] = 15280,
  [15281] = 3746,
  [15282] = 10855,
  [15283] = 15244,
  [15284] = 6643,
  [15285] = 15254,
  [15286] = 15244,
  [15287] = 15287,
  [15288] = 6539,
  [15289] = 15289,
  [15290] = 15290,
  [15291] = 11032,
  [15292] = 10732,
  [15293] = 10861,
  [15294] = 10858,
  [15295] = 10686,
  [15296] = 15237,
  [15297] = 10835,
  [15298] = 15254,
  [15299] = 15299,
  [15300] = 3922,
  [15301] = 15244,
  [15302] = 10864,
  [15303] = 15303,
  [15304] = 10828,
  [15305] = 15254,
  [15306] = 10862,
  [15307] = 10750,
  [15308] = 6737,
  [15309] = 3745,
  [15310] = 15310,
  [15311] = 15311,
  [15312] = 15312,
  [15313] = 10881,
  [15314] = 10675,
  [15315] = 15310,
  [15316] = 15310,
  [15317] = 15317,
  [15318] = 15310,
  [15319] = 15319,
  [15320] = 15320,
  [15321] = 15321,
  [15322] = 15322,
  [15323] = 8745,
  [15324] = 15324,
  [15325] = 15325,
  [15326] = 15326,
  [15327] = 15312,
  [15328] = 8826,
  [15329] = 15312,
  [15330] = 15310,
  [15331] = 15310,
  [15332] = 15332,
  [15333] = 15333,
  [15334] = 15334,
  [15335] = 15335,
  [15336] = 15336,
  [15337] = 15337,
  [15338] = 15338,
  [15339] = 15339,
  [15340] = 15312,
  [15341] = 14876,
  [15342] = 15342,
  [15343] = 15343,
  [15344] = 15312,
  [15345] = 8747,
  [15346] = 15312,
  [15347] = 15312,
  [15348] = 12787,
  [15349] = 12724,
  [15350] = 8873,
  [15351] = 15310,
  [15352] = 15310,
  [15353] = 15310,
  [15354] = 15310,
  [15355] = 12725,
  [15356] = 12735,
  [15357] = 12811,
  [15358] = 15358,
  [15359] = 15310,
  [15360] = 15360,
  [15361] = 15361,
  [15362] = 15312,
  [15363] = 15363,
  [15364] = 10767,
  [15365] = 15365,
  [15366] = 15366,
  [15367] = 15367,
  [15368] = 15312,
  [15369] = 15312,
  [15370] = 12935,
  [15371] = 15371,
  [15372] = 15312,
  [15373] = 15310,
  [15374] = 15374,
  [15375] = 15375,
  [15376] = 15376,
  [15377] = 15377,
  [15378] = 15378,
  [15379] = 12723,
  [15380] = 15312,
  [15381] = 15312,
  [15382] = 15310,
  [15383] = 15383,
  [15384] = 15384,
  [15385] = 15312,
  [15386] = 15386,
  [15387] = 15387,
  [15388] = 15388,
  [15389] = 15310,
  [15390] = 15390,
  [15391] = 15310,
  [15392] = 15310,
  [15393] = 15312,
  [15394] = 15394,
  [15395] = 15395,
  [15396] = 15396,
  [15397] = 15397,
  [15398] = 15365,
  [15399] = 15312,
  [15400] = 15312,
  [15401] = 15312,
  [15402] = 15402,
  [15403] = 15374,
  [15404] = 9862,
  [15405] = 15310,
  [15406] = 15406,
  [15407] = 15312,
  [15408] = 15310,
  [15409] = 15409,
  [15410] = 15410,
  [15411] = 15312,
  [15412] = 15310,
  [15413] = 8875,
  [15414] = 11193,
  [15415] = 15415,
  [15416] = 15312,
  [15417] = 9849,
  [15418] = 15365,
  [15419] = 14625,
  [15420] = 15310,
  [15421] = 9851,
  [15422] = 9750,
  [15423] = 15310,
  [15424] = 15312,
  [15425] = 15374,
  [15426] = 8892,
  [15427] = 14626,
  [15428] = 15428,
  [15429] = 15429,
  [15430] = 9857,
  [15431] = 15374,
  [15432] = 15432,
  [15433] = 15433,
  [15434] = 15312,
  [15435] = 15435,
  [15436] = 15310,
  [15437] = 15437,
  [15438] = 15438,
  [15439] = 12769,
  [15440] = 15310,
  [15441] = 8843,
  [15442] = 8844,
  [15443] = 15443,
  [15444] = 15312,
  [15445] = 15312,
  [15446] = 15446,
  [15447] = 15310,
  [15448] = 15312,
  [15449] = 15449,
  [15450] = 15310,
  [15451] = 15310,
  [15452] = 15452,
  [15453] = 15312,
  [15454] = 15365,
  [15455] = 15455,
  [15456] = 15456,
  [15457] = 15457,
  [15458] = 15312,
  [15459] = 15312,
  [15460] = 15312,
  [15461] = 15461,
  [15462] = 15312,
  [15463] = 15312,
  [15464] = 15310,
  [15465] = 15310,
  [15466] = 5861,
  [15467] = 8909,
  [15468] = 15312,
  [15469] = 8910,
  [15470] = 15470,
  [15471] = 15310,
  [15472] = 8893,
  [15473] = 6644,
  [15474] = 15312,
  [15475] = 8911,
  [15476] = 8912,
  [15477] = 15477,
  [15478] = 15478,
  [15479] = 11631,
  [15480] = 15310,
  [15481] = 15481,
  [15482] = 15310,
  [15483] = 15312,
  [15484] = 15310,
  [15485] = 15485,
  [15486] = 15310,
  [15487] = 15487,
  [15488] = 8894,
  [15489] = 15489,
  [15490] = 8895,
  [15491] = 15312,
  [15492] = 15312,
  [15493] = 8874,
  [15494] = 6673,
  [15495] = 15495,
  [15496] = 15310,
  [15497] = 15497,
  [15498] = 15310,
  [15499] = 15499,
  [15500] = 15500,
  [15501] = 15501,
  [15502] = 15502,
  [15503] = 5863,
  [15504] = 15504,
  [15505] = 15505,
  [15506] = 15506,
  [15507] = 15312,
  [15508] = 15508,
  [15509] = 15310,
  [15510] = 15510,
  [15511] = 15310,
  [15512] = 15512,
  [15513] = 15312,
  [15514] = 10732,
  [15515] = 15310,
  [15516] = 15310,
  [15517] = 8896,
  [15518] = 15312,
  [15519] = 15312,
  [15520] = 15520,
  [15521] = 15310,
  [15522] = 15312,
  [15523] = 15523,
  [15524] = 6748,
  [15525] = 15310,
  [15526] = 15310,
  [15527] = 6586,
  [15528] = 6589,
  [15529] = 15529,
  [15530] = 10761,
  [15531] = 15531,
  [15532] = 15532,
  [15533] = 15533,
  [15534] = 9782,
  [15535] = 15312,
  [15536] = 15310,
  [15537] = 15310,
  [15538] = 15312,
  [15539] = 15310,
  [15540] = 15312,
  [15541] = 15541,
  [15542] = 8871,
  [15543] = 15312,
  [15544] = 15544,
  [15545] = 6714,
  [15546] = 15546,
  [15547] = 15312,
  [15548] = 15310,
  [15549] = 15310,
  [15550] = 8872,
  [15551] = 5856,
  [15552] = 15310,
  [15553] = 15310,
  [15554] = 15312,
  [15555] = 15310,
  [15556] = 15556,
  [15557] = 15433,
  [15558] = 15558,
  [15559] = 15559,
  [15560] = 15560,
  [15561] = 15561,
  [15562] = 15562,
  [15563] = 15563,
  [15564] = 15564,
  [15565] = 15312,
  [15566] = 15566,
  [15567] = 15312,
  [15568] = 15568,
  [15569] = 10858,
  [15570] = 10799,
  [15571] = 15571,
  [15572] = 11931,
  [15573] = 10861,
  [15574] = 3746,
  [15575] = 3745,
  [15576] = 10516,
  [15577] = 15577,
  [15578] = 3733,
  [15579] = 10848,
  [15580] = 10562,
  [15581] = 10862,
  [15582] = 5863,
  [15583] = 6643,
  [15584] = 10849,
  [15585] = 3737,
  [15586] = 10828,
  [15587] = 10842,
  [15588] = 3762,
  [15589] = 10843,
  [15590] = 10863,
  [15591] = 10844,
  [15592] = 10850,
  [15593] = 10845,
  [15594] = 10809,
  [15595] = 10851,
  [15596] = 10833,
  [15597] = 15597,
  [15598] = 10859,
  [15599] = 10834,
  [15600] = 5856,
  [15601] = 10854,
  [15602] = 15602,
  [15603] = 15603,
  [15604] = 15604,
  [15605] = 10608,
  [15606] = 5901,
  [15607] = 10835,
  [15608] = 10836,
  [15609] = 15609,
  [15610] = 10864,
  [15611] = 5861,
  [15612] = 10855,
  [15613] = 15613,
  [15614] = 6737,
  [15615] = 15615,
  [15616] = 10508,
  [15617] = 10856,
  [15618] = 10857,
  [15619] = 15619,
  [15620] = 11631,
  [15621] = 10744,
  [15622] = 11594,
  [15623] = 10719,
  [15624] = 10683,
  [15625] = 3985,
  [15626] = 10663,
  [15627] = 11631,
  [15628] = 15628,
  [15629] = 10852,
  [15630] = 15630,
  [15631] = 11654,
  [15632] = 15632,
  [15633] = 10692,
  [15634] = 9751,
  [15635] = 15635,
  [15636] = 10684,
  [15637] = 11931,
  [15638] = 10866,
  [15639] = 10821,
  [15640] = 5901,
  [15641] = 15641,
  [15642] = 10794,
  [15643] = 11574,
  [15644] = 15644,
  [15645] = 10830,
  [15646] = 10741,
  [15647] = 15641,
  [15648] = 6555,
  [15649] = 15641,
  [15650] = 10665,
  [15651] = 11547,
  [15652] = 10853,
  [15653] = 15644,
  [15654] = 10723,
  [15655] = 15641,
  [15656] = 11575,
  [15657] = 3933,
  [15658] = 10717,
  [15659] = 15659,
  [15660] = 10728,
  [15661] = 15644,
  [15662] = 10676,
  [15663] = 15644,
  [15664] = 15664,
  [15665] = 15665,
  [15666] = 15666,
  [15667] = 15665,
  [15668] = 15668,
  [15669] = 15669,
  [15670] = 15668,
  [15671] = 15669,
  [15672] = 15669,
  [15673] = 10847,
  [15674] = 6680,
  [15675] = 15665,
  [15676] = 15669,
  [15677] = 15668,
  [15678] = 15669,
  [15679] = 6591,
  [15680] = 15668,
  [15681] = 15669,
  [15682] = 15669,
  [15683] = 15666,
  [15684] = 6597,
  [15685] = 6613,
  [15686] = 15669,
  [15687] = 15666,
  [15688] = 15668,
  [15689] = 15669,
  [15690] = 6590,
  [15691] = 15668,
  [15692] = 15668,
  [15693] = 15693,
  [15694] = 15669,
  [15695] = 9751,
  [15696] = 15669,
  [15697] = 15669,
  [15698] = 15668,
  [15699] = 15699,
  [15700] = 6683,
  [15701] = 15668,
  [15702] = 15669,
  [15703] = 15669,
  [15704] = 15669,
  [15705] = 15705,
  [15706] = 15706,
  [15707] = 15693,
  [15708] = 15669,
  [15709] = 15668,
  [15710] = 15668,
  [15711] = 15668,
  [15712] = 10608,
  [15713] = 15666,
  [15714] = 3567,
  [15715] = 6703,
  [15716] = 15669,
  [15717] = 15668,
  [15718] = 15669,
  [15719] = 6704,
  [15720] = 15720,
  [15721] = 15668,
  [15722] = 15668,
  [15723] = 15706,
  [15724] = 15724,
  [15725] = 10775,
  [15726] = 15665,
  [15727] = 15693,
  [15728] = 6715,
  [15729] = 15668,
  [15730] = 15669,
  [15731] = 15724,
  [15732] = 10734,
  [15733] = 15668,
  [15734] = 15669,
  [15735] = 15669,
  [15736] = 10827,
  [15737] = 6667,
  [15738] = 15666,
  [15739] = 6668,
  [15740] = 15669,
  [15741] = 6691,
  [15742] = 6697,
  [15743] = 6698,
  [15744] = 15668,
  [15745] = 15665,
  [15746] = 15668,
  [15747] = 10608,
  [15748] = 15669,
  [15749] = 15666,
  [15750] = 6706,
  [15751] = 15668,
  [15752] = 6741,
  [15753] = 15668,
  [15754] = 6634,
  [15755] = 3940,
  [15756] = 15706,
  [15757] = 15666,
  [15758] = 15668,
  [15759] = 15669,
  [15760] = 15668,
  [15761] = 15669,
  [15762] = 6742,
  [15763] = 15668,
  [15764] = 15668,
  [15765] = 6598,
  [15766] = 6600,
  [15767] = 15668,
  [15768] = 15668,
  [15769] = 10784,
  [15770] = 15668,
  [15771] = 15668,
  [15772] = 6682,
  [15773] = 10815,
  [15774] = 15668,
  [15775] = 15668,
  [15776] = 15665,
  [15777] = 6603,
  [15778] = 15669,
  [15779] = 15668,
  [15780] = 11098,
  [15781] = 15669,
  [15782] = 15668,
  [15783] = 15668,
  [15784] = 15668,
  [15785] = 15668,
  [15786] = 6642,
  [15787] = 15669,
  [15788] = 15668,
  [15789] = 15668,
  [15790] = 3593,
  [15791] = 15668,
  [15792] = 15669,
  [15793] = 10860,
  [15794] = 15665,
  [15795] = 11931,
  [15796] = 6587,
  [15797] = 15669,
  [15798] = 15665,
  [15799] = 15669,
  [15800] = 15669,
  [15801] = 15693,
  [15802] = 6615,
  [15803] = 3992,
  [15804] = 11032,
  [15805] = 6616,
  [15806] = 15668,
  [15807] = 15668,
  [15808] = 15669,
  [15809] = 15693,
  [15810] = 6601,
  [15811] = 15666,
  [15812] = 15668,
  [15813] = 6605,
  [15814] = 6606,
  [15815] = 15669,
  [15816] = 15669,
  [15817] = 15669,
  [15818] = 10846,
  [15819] = 15669,
  [15820] = 15669,
  [15821] = 15668,
  [15822] = 15668,
  [15823] = 6639,
  [15824] = 6684,
  [15825] = 15668,
  [15826] = 6641,
  [15827] = 11087,
  [15828] = 15668,
  [15829] = 15668,
  [15830] = 15669,
  [15831] = 15668,
  [15832] = 6687,
  [15833] = 15669,
  [15834] = 15666,
  [15835] = 15665,
  [15836] = 15669,
  [15837] = 15668,
  [15838] = 15669,
  [15839] = 15668,
  [15840] = 15668,
  [15841] = 15665,
  [15842] = 15669,
  [15843] = 15669,
  [15844] = 15669,
  [15845] = 15668,
  [15846] = 15665,
  [15847] = 15668,
  [15848] = 15724,
  [15849] = 6645,
  [15850] = 6646,
  [15851] = 15666,
  [15852] = 15668,
  [15853] = 15665,
  [15854] = 15669,
  [15855] = 15669,
  [15856] = 15668,
  [15857] = 15666,
  [15858] = 15668,
  [15859] = 15668,
  [15860] = 15668,
  [15861] = 15706,
  [15862] = 15669,
  [15863] = 10790,
  [15864] = 15669,
  [15865] = 15669,
  [15866] = 10774,
  [15867] = 15668,
  [15868] = 15668,
  [15869] = 15668,
  [15870] = 15668,
  [15871] = 15668,
  [15872] = 15669,
  [15873] = 15724,
  [15874] = 15668,
  [15875] = 15875,
  [15876] = 15875,
  [15877] = 15877,
  [15878] = 15878,
  [15879] = 15879,
  [15880] = 15880,
  [15881] = 15881,
  [15882] = 6487,
  [15883] = 15875,
  [15884] = 15884,
  [15885] = 15875,
  [15886] = 15886,
  [15887] = 15875,
  [15888] = 15875,
  [15889] = 15877,
  [15890] = 15877,
  [15891] = 10873,
  [15892] = 15875,
  [15893] = 11631,
  [15894] = 12178,
  [15895] = 15877,
  [15896] = 15877,
  [15897] = 15880,
  [15898] = 15609,
  [15899] = 15875,
  [15900] = 12123,
  [15901] = 15877,
  [15902] = 15877,
  [15903] = 15875,
  [15904] = 15877,
  [15905] = 15875,
  [15906] = 15886,
  [15907] = 15875,
  [15908] = 15875,
  [15909] = 15886,
  [15910] = 15877,
  [15911] = 15875,
  [15912] = 15877,
  [15913] = 15880,
  [15914] = 15877,
  [15915] = 15875,
  [15916] = 15886,
  [15917] = 15877,
  [15918] = 15875,
  [15919] = 15919,
  [15920] = 15877,
  [15921] = 15921,
  [15922] = 15877,
  [15923] = 15877,
  [15924] = 15877,
  [15925] = 15886,
  [15926] = 11237,
  [15927] = 15875,
  [15928] = 15877,
  [15929] = 15880,
  [15930] = 15877,
  [15931] = 15875,
  [15932] = 15877,
  [15933] = 15877,
  [15934] = 15880,
  [15935] = 11547,
  [15936] = 11574,
  [15937] = 11575,
  [15938] = 11594,
  [15939] = 15880,
  [15940] = 15875,
  [15941] = 15877,
  [15942] = 12107,
  [15943] = 15877,
  [15944] = 15875,
  [15945] = 15875,
  [15946] = 11654,
  [15947] = 15875,
  [15948] = 15875,
  [15949] = 15949,
  [15950] = 15950,
  [15951] = 15951,
  [15952] = 15949,
  [15953] = 15953,
  [15954] = 15954,
  [15955] = 15954,
  [15956] = 15956,
  [15957] = 15957,
  [15958] = 15956,
  [15959] = 10809,
  [15960] = 15954,
  [15961] = 15950,
  [15962] = 6487,
  [15963] = 15963,
  [15964] = 15949,
  [15965] = 15963,
  [15966] = 15949,
  [15967] = 15963,
  [15968] = 12715,
  [15969] = 15949,
  [15970] = 15963,
  [15971] = 15949,
  [15972] = 15972,
  [15973] = 15954,
  [15974] = 15974,
  [15975] = 15975,
  [15976] = 15976,
  [15977] = 15956,
  [15978] = 15978,
  [15979] = 15954,
  [15980] = 15963,
  [15981] = 15963,
  [15982] = 11643,
  [15983] = 10833,
  [15984] = 15984,
  [15985] = 10859,
  [15986] = 10842,
  [15987] = 15963,
  [15988] = 15963,
  [15989] = 15989,
  [15990] = 15954,
  [15991] = 15963,
  [15992] = 15951,
  [15993] = 15949,
  [15994] = 15994,
  [15995] = 15949,
  [15996] = 15949,
  [15997] = 15953,
  [15998] = 15949,
  [15999] = 6487,
  [16000] = 15954,
  [16001] = 16001,
  [16002] = 15950,
  [16003] = 15963,
  [16004] = 15954,
  [16005] = 15659,
  [16006] = 3879,
  [16007] = 15632,
  [16008] = 15972,
  [16009] = 15664,
  [16010] = 15989,
  [16011] = 15954,
  [16012] = 15635,
  [16013] = 15630,
  [16014] = 15963,
  [16015] = 16015,
  [16016] = 15963,
  [16017] = 11653,
  [16018] = 15954,
  [16019] = 10858,
  [16020] = 16020,
  [16021] = 15963,
  [16022] = 11736,
  [16023] = 11760,
  [16024] = 15950,
  [16025] = 15951,
  [16026] = 15953,
  [16027] = 15949,
  [16028] = 15951,
  [16029] = 16029,
  [16030] = 15976,
  [16031] = 15963,
  [16032] = 15957,
  [16033] = 15949,
  [16034] = 15951,
  [16035] = 11631,
  [16036] = 16036,
  [16037] = 15963,
  [16038] = 16029,
  [16039] = 15974,
  [16040] = 16040,
  [16041] = 15984,
  [16042] = 15954,
  [16043] = 15954,
  [16044] = 16044,
  [16045] = 15949,
  [16046] = 16020,
  [16047] = 15953,
  [16048] = 15963,
  [16049] = 15954,
  [16050] = 16001,
  [16051] = 15963,
  [16052] = 15954,
  [16053] = 10856,
  [16054] = 15949,
  [16055] = 15976,
  [16056] = 16020,
  [16057] = 15954,
  [16058] = 16058,
  [16059] = 15954,
  [16060] = 10843,
  [16061] = 15954,
  [16062] = 15963,
  [16063] = 15954,
  [16064] = 15963,
  [16065] = 15953,
  [16066] = 16029,
  [16067] = 10828,
  [16068] = 16068,
  [16069] = 15954,
  [16070] = 15994,
  [16071] = 15954,
  [16072] = 15954,
  [16073] = 6546,
  [16074] = 15963,
  [16075] = 15954,
  [16076] = 15963,
  [16077] = 15954,
  [16078] = 6743,
  [16079] = 15954,
  [16080] = 3894,
  [16081] = 15989,
  [16082] = 10854,
  [16083] = 10855,
  [16084] = 15954,
  [16085] = 16085,
  [16086] = 15957,
  [16087] = 15956,
  [16088] = 15954,
  [16089] = 15984,
  [16090] = 15963,
  [16091] = 16040,
  [16092] = 15954,
  [16093] = 15949,
  [16094] = 15963,
  [16095] = 11931,
  [16096] = 11735,
  [16097] = 15976,
  [16098] = 15972,
  [16099] = 16040,
  [16100] = 15950,
  [16101] = 15963,
  [16102] = 15963,
  [16103] = 15974,
  [16104] = 15954,
  [16105] = 15963,
  [16106] = 15953,
  [16107] = 15949,
  [16108] = 15957,
  [16109] = 15954,
  [16110] = 11225,
  [16111] = 15978,
  [16112] = 15989,
  [16113] = 15972,
  [16114] = 15954,
  [16115] = 16040,
  [16116] = 11242,
  [16117] = 16029,
  [16118] = 16118,
  [16119] = 15949,
  [16120] = 11346,
  [16121] = 15994,
  [16122] = 15963,
  [16123] = 15954,
  [16124] = 15972,
  [16125] = 15963,
  [16126] = 15954,
  [16127] = 15963,
  [16128] = 15949,
  [16129] = 10851,
  [16130] = 10835,
  [16131] = 16131,
  [16132] = 15954,
  [16133] = 16015,
  [16134] = 16058,
  [16135] = 15951,
  [16136] = 10845,
  [16137] = 16137,
  [16138] = 11437,
  [16139] = 11257,
  [16140] = 15963,
  [16141] = 16058,
  [16142] = 15951,
  [16143] = 15953,
  [16144] = 15989,
  [16145] = 12400,
  [16146] = 11306,
  [16147] = 16029,
  [16148] = 15984,
  [16149] = 15950,
  [16150] = 15963,
  [16151] = 15949,
  [16152] = 15949,
  [16153] = 15954,
  [16154] = 15954,
  [16155] = 15974,
  [16156] = 15954,
  [16157] = 3985,
  [16158] = 15963,
  [16159] = 15978,
  [16160] = 15949,
  [16161] = 15949,
  [16162] = 16020,
  [16163] = 15994,
  [16164] = 15989,
  [16165] = 16040,
  [16166] = 3802,
  [16167] = 3805,
  [16168] = 15954,
  [16169] = 3834,
  [16170] = 11237,
  [16171] = 3837,
  [16172] = 15978,
  [16173] = 16040,
  [16174] = 10862,
  [16175] = 15963,
  [16176] = 15984,
  [16177] = 11567,
  [16178] = 3860,
  [16179] = 10863,
  [16180] = 3863,
  [16181] = 15628,
  [16182] = 15963,
  [16183] = 10799,
  [16184] = 15954,
  [16185] = 15954,
  [16186] = 15949,
  [16187] = 15963,
  [16188] = 10836,
  [16189] = 15956,
  [16190] = 15949,
  [16191] = 16191,
  [16192] = 16029,
  [16193] = 10844,
  [16194] = 15949,
  [16195] = 3933,
  [16196] = 15954,
  [16197] = 15954,
  [16198] = 15949,
  [16199] = 15963,
  [16200] = 15963,
  [16201] = 15954,
  [16202] = 6539,
  [16203] = 15949,
  [16204] = 15957,
  [16205] = 15963,
  [16206] = 16020,
  [16207] = 15954,
  [16208] = 11633,
  [16209] = 15963,
  [16210] = 15963,
  [16211] = 16020,
  [16212] = 11802,
  [16213] = 15949,
  [16214] = 15949,
  [16215] = 10861,
  [16216] = 15974,
  [16217] = 15957,
  [16218] = 15951,
  [16219] = 12356,
  [16220] = 15953,
  [16221] = 11247,
  [16222] = 15949,
  [16223] = 15963,
  [16224] = 15963,
  [16225] = 11273,
  [16226] = 10834,
  [16227] = 15954,
  [16228] = 15978,
  [16229] = 15989,
  [16230] = 16029,
  [16231] = 15954,
  [16232] = 16232,
  [16233] = 16058,
  [16234] = 6701,
  [16235] = 16058,
  [16236] = 15989,
  [16237] = 15949,
  [16238] = 15950,
  [16239] = 15954,
  [16240] = 15954,
  [16241] = 15949,
  [16242] = 15950,
  [16243] = 12388,
  [16244] = 15956,
  [16245] = 16245,
  [16246] = 16058,
  [16247] = 15994,
  [16248] = 16015,
  [16249] = 15954,
  [16250] = 15963,
  [16251] = 15972,
  [16252] = 11727,
  [16253] = 16020,
  [16254] = 15248,
  [16255] = 15963,
  [16256] = 15974,
  [16257] = 16015,
  [16258] = 15956,
  [16259] = 15957,
  [16260] = 15976,
  [16261] = 15978,
  [16262] = 15963,
  [16263] = 16263,
  [16264] = 15954,
  [16265] = 16015,
  [16266] = 15954,
  [16267] = 16001,
  [16268] = 15957,
  [16269] = 15963,
  [16270] = 11728,
  [16271] = 15963,
  [16272] = 15949,
  [16273] = 15972,
  [16274] = 6555,
  [16275] = 6705,
  [16276] = 15954,
  [16277] = 15949,
  [16278] = 16278,
  [16279] = 11245,
  [16280] = 10857,
  [16281] = 6739,
  [16282] = 15949,
  [16283] = 15963,
  [16284] = 15963,
  [16285] = 15949,
  [16286] = 16058,
  [16287] = 16020,
  [16288] = 10864,
  [16289] = 15963,
  [16290] = 10848,
  [16291] = 15954,
  [16292] = 15974,
  [16293] = 15609,
  [16294] = 12444,
  [16295] = 15963,
  [16296] = 16001,
  [16297] = 11586,
  [16298] = 10849,
  [16299] = 15978,
  [16300] = 16137,
  [16301] = 16001,
  [16302] = 10850,
  [16303] = 16137,
  [16304] = 15949,
  [16305] = 16040,
  [16306] = 16137,
  [16307] = 15963,
  [16308] = 16029,
  [16309] = 15949,
  [16310] = 16310,
  [16311] = 16311,
  [16312] = 16312,
  [16313] = 16310,
  [16314] = 16314,
  [16315] = 16310,
  [16316] = 16316,
  [16317] = 16317,
  [16318] = 16310,
  [16319] = 16316,
  [16320] = 16316,
  [16321] = 16311,
  [16322] = 16314,
  [16323] = 16314,
  [16324] = 16311,
  [16325] = 16311,
  [16326] = 16317,
  [16327] = 16310,
  [16328] = 16316,
  [16329] = 16311,
  [16330] = 16314,
  [16331] = 16316,
  [16332] = 16317,
  [16333] = 16310,
  [16334] = 16316,
  [16335] = 16314,
  [16336] = 16311,
  [16337] = 16314,
  [16338] = 16338,
  [16339] = 12230,
  [16340] = 16317,
  [16341] = 16310,
  [16342] = 6591,
  [16343] = 6597,
  [16344] = 16316,
  [16345] = 16311,
  [16346] = 6634,
  [16347] = 16317,
  [16348] = 6639,
  [16349] = 6701,
  [16350] = 6705,
  [16351] = 16314,
  [16352] = 6739,
  [16353] = 16317,
  [16354] = 16310,
  [16355] = 6743,
  [16356] = 16310,
  [16357] = 16316,
  [16358] = 11843,
  [16359] = 16311,
  [16360] = 16314,
  [16361] = 16316,
  [16362] = 16317,
  [16363] = 16310,
  [16364] = 16316,
  [16365] = 16311,
  [16366] = 16311,
  [16367] = 16314,
  [16368] = 16317,
  [16369] = 16310,
  [16370] = 6715,
  [16371] = 16316,
  [16372] = 16311,
  [16373] = 16317,
  [16374] = 16314,
  [16375] = 16314,
  [16376] = 16317,
  [16377] = 16314,
  [16378] = 16310,
  [16379] = 16316,
  [16380] = 16311,
  [16381] = 16314,
  [16382] = 16317,
  [16383] = 16310,
  [16384] = 16316,
  [16385] = 16317,
  [16386] = 16311,
  [16387] = 16314,
  [16388] = 6613,
  [16389] = 16317,
  [16390] = 16310,
  [16391] = 16310,
  [16392] = 16316,
  [16393] = 16311,
  [16394] = 16314,
  [16395] = 16314,
  [16396] = 16317,
  [16397] = 16316,
  [16398] = 16310,
  [16399] = 16316,
  [16400] = 16311,
  [16401] = 16314,
  [16402] = 16311,
  [16403] = 16317,
  [16404] = 16317,
  [16405] = 16310,
  [16406] = 16316,
  [16407] = 16311,
  [16408] = 16314,
  [16409] = 16317,
  [16410] = 16310,
  [16411] = 16316,
  [16412] = 16314,
  [16413] = 16311,
  [16414] = 16314,
  [16415] = 16317,
  [16416] = 16310,
  [16417] = 16316,
  [16418] = 16311,
  [16419] = 16317,
  [16420] = 16314,
  [16421] = 16310,
  [16422] = 16310,
  [16423] = 15659,
  [16424] = 16317,
  [16425] = 15402,
  [16426] = 16310,
  [16427] = 16316,
  [16428] = 16311,
  [16429] = 16310,
  [16430] = 16314,
  [16431] = 16317,
  [16432] = 16316,
  [16433] = 16310,
  [16434] = 15632,
  [16435] = 16316,
  [16436] = 16311,
  [16437] = 15664,
  [16438] = 16314,
  [16439] = 15358,
  [16440] = 16311,
  [16441] = 15635,
  [16442] = 16317,
  [16443] = 16310,
  [16444] = 16316,
  [16445] = 16311,
  [16446] = 15363,
  [16447] = 16316,
  [16448] = 15520,
  [16449] = 15630,
  [16450] = 15561,
  [16451] = 16314,
  [16452] = 16452,
  [16453] = 8826,
  [16454] = 16317,
  [16455] = 16311,
  [16456] = 16316,
  [16457] = 16311,
  [16458] = 16458,
  [16459] = 16316,
  [16460] = 12222,
  [16461] = 12228,
  [16462] = 12229,
  [16463] = 16314,
  [16464] = 16464,
  [16465] = 16317,
  [16466] = 6644,
  [16467] = 16310,
  [16468] = 16316,
  [16469] = 16311,
  [16470] = 16314,
  [16471] = 16311,
  [16472] = 16314,
  [16473] = 16317,
  [16474] = 16310,
  [16475] = 16475,
  [16476] = 16316,
  [16477] = 16317,
  [16478] = 16311,
  [16479] = 8843,
  [16480] = 8844,
  [16481] = 16314,
  [16482] = 16482,
  [16483] = 16483,
  [16484] = 16310,
  [16485] = 16317,
  [16486] = 16317,
  [16487] = 16310,
  [16488] = 16316,
  [16489] = 16311,
  [16490] = 15449,
  [16491] = 15455,
  [16492] = 16316,
  [16493] = 11241,
  [16494] = 16314,
  [16495] = 12205,
  [16496] = 12206,
  [16497] = 12211,
  [16498] = 12213,
  [16499] = 16317,
  [16500] = 16311,
  [16501] = 16310,
  [16502] = 16316,
  [16503] = 3762,
  [16504] = 16311,
  [16505] = 16505,
  [16506] = 16483,
  [16507] = 16314,
  [16508] = 8871,
  [16509] = 8872,
  [16510] = 8873,
  [16511] = 16317,
  [16512] = 8874,
  [16513] = 16513,
  [16514] = 3922,
  [16515] = 8875,
  [16516] = 16310,
  [16517] = 15394,
  [16518] = 16316,
  [16519] = 16311,
  [16520] = 12057,
  [16521] = 12059,
  [16522] = 12062,
  [16523] = 12066,
  [16524] = 16314,
  [16525] = 6673,
  [16526] = 16314,
  [16527] = 16317,
  [16528] = 16310,
  [16529] = 8892,
  [16530] = 16310,
  [16531] = 8894,
  [16532] = 8895,
  [16533] = 16316,
  [16534] = 16534,
  [16535] = 8896,
  [16536] = 16311,
  [16537] = 16317,
  [16538] = 12092,
  [16539] = 12093,
  [16540] = 12094,
  [16541] = 16541,
  [16542] = 6586,
  [16543] = 6589,
  [16544] = 16314,
  [16545] = 12151,
  [16546] = 16317,
  [16547] = 16310,
  [16548] = 16310,
  [16549] = 16316,
  [16550] = 16550,
  [16551] = 16311,
  [16552] = 8909,
  [16553] = 8910,
  [16554] = 8911,
  [16555] = 8912,
  [16556] = 16316,
  [16557] = 16314,
  [16558] = 6714,
  [16559] = 16317,
  [16560] = 6587,
  [16561] = 6615,
  [16562] = 6616,
  [16563] = 6601,
  [16564] = 16310,
  [16565] = 6605,
  [16566] = 16316,
  [16567] = 6606,
  [16568] = 16311,
  [16569] = 6641,
  [16570] = 16311,
  [16571] = 8745,
  [16572] = 16314,
  [16573] = 8747,
  [16574] = 16311,
  [16575] = 16317,
  [16576] = 16310,
  [16577] = 16316,
  [16578] = 16311,
  [16579] = 6642,
  [16580] = 6645,
  [16581] = 6646,
  [16582] = 16314,
  [16583] = 6703,
  [16584] = 6704,
  [16585] = 16314,
  [16586] = 15371,
  [16587] = 3736,
  [16588] = 16317,
  [16589] = 15366,
  [16590] = 15322,
  [16591] = 6590,
  [16592] = 15339,
  [16593] = 16310,
  [16594] = 16316,
  [16595] = 16311,
  [16596] = 3770,
  [16597] = 3773,
  [16598] = 3784,
  [16599] = 3786,
  [16600] = 16317,
  [16601] = 3884,
  [16602] = 16314,
  [16603] = 16317,
  [16604] = 3940,
  [16605] = 16310,
  [16606] = 3845,
  [16607] = 16316,
  [16608] = 16310,
  [16609] = 16311,
  [16610] = 6603,
  [16611] = 16458,
  [16612] = 3992,
  [16613] = 16314,
  [16614] = 16314,
  [16615] = 16316,
  [16616] = 16317,
  [16617] = 16617,
  [16618] = 16310,
  [16619] = 16316,
  [16620] = 16311,
  [16621] = 16311,
  [16622] = 6667,
  [16623] = 16314,
  [16624] = 6668,
  [16625] = 6691,
  [16626] = 6697,
  [16627] = 6698,
  [16628] = 16317,
  [16629] = 12190,
  [16630] = 6701,
  [16631] = 6705,
  [16632] = 16310,
  [16633] = 6706,
  [16634] = 6739,
  [16635] = 16534,
  [16636] = 16316,
  [16637] = 6741,
  [16638] = 16311,
  [16639] = 6742,
  [16640] = 6743,
  [16641] = 6748,
  [16642] = 6598,
  [16643] = 6600,
  [16644] = 16644,
  [16645] = 11887,
  [16646] = 16314,
  [16647] = 16314,
  [16648] = 16317,
  [16649] = 16317,
  [16650] = 16310,
  [16651] = 16316,
  [16652] = 16311,
  [16653] = 16317,
  [16654] = 16314,
  [16655] = 12178,
  [16656] = 12107,
  [16657] = 8825,
  [16658] = 16317,
  [16659] = 11931,
  [16660] = 16310,
  [16661] = 16316,
  [16662] = 16311,
  [16663] = 16310,
  [16664] = 16314,
  [16665] = 16317,
  [16666] = 16310,
  [16667] = 16316,
  [16668] = 16311,
  [16669] = 16316,
  [16670] = 16314,
  [16671] = 16310,
  [16672] = 16317,
  [16673] = 16311,
  [16674] = 16310,
  [16675] = 16316,
  [16676] = 15628,
  [16677] = 16311,
  [16678] = 15388,
  [16679] = 16314,
  [16680] = 15461,
  [16681] = 15311,
  [16682] = 6680,
  [16683] = 16317,
  [16684] = 6682,
  [16685] = 6683,
  [16686] = 6684,
  [16687] = 16310,
  [16688] = 6687,
  [16689] = 16316,
  [16690] = 16311,
  [16691] = 16314,
  [16692] = 16314,
  [16693] = 16317,
  [16694] = 16310,
  [16695] = 12123,
  [16696] = 16316,
  [16697] = 16311,
  [16698] = 16316,
  [16699] = 16699,
  [16700] = 16314,
  [16701] = 16317,
  [16702] = 16312,
  [16703] = 16312,
  [16704] = 16317,
  [16705] = 16312,
  [16706] = 8893,
  [16707] = 16707,
  [16708] = 16708,
  [16709] = 16709,
  [16710] = 16710,
  [16711] = 16711,
  [16712] = 16712,
  [16713] = 16709,
  [16714] = 16714,
  [16715] = 16707,
  [16716] = 12333,
  [16717] = 16708,
  [16718] = 16709,
  [16719] = 12418,
  [16720] = 16708,
  [16721] = 16709,
  [16722] = 16722,
  [16723] = 16723,
  [16724] = 16709,
  [16725] = 16725,
  [16726] = 16726,
  [16727] = 16708,
  [16728] = 16709,
  [16729] = 12420,
  [16730] = 16709,
  [16731] = 16731,
  [16732] = 16723,
  [16733] = 16711,
  [16734] = 16723,
  [16735] = 12453,
  [16736] = 16708,
  [16737] = 16737,
  [16738] = 16709,
  [16739] = 16710,
  [16740] = 16723,
  [16741] = 16709,
  [16742] = 16709,
  [16743] = 16709,
  [16744] = 16707,
  [16745] = 16708,
  [16746] = 16723,
  [16747] = 16708,
  [16748] = 16722,
  [16749] = 16749,
  [16750] = 16726,
  [16751] = 12311,
  [16752] = 12325,
  [16753] = 12406,
  [16754] = 16754,
  [16755] = 16709,
  [16756] = 16756,
  [16757] = 16757,
  [16758] = 16723,
  [16759] = 16709,
  [16760] = 16709,
  [16761] = 16761,
  [16762] = 16707,
  [16763] = 16723,
  [16764] = 16708,
  [16765] = 16765,
  [16766] = 16723,
  [16767] = 16709,
  [16768] = 16768,
  [16769] = 16769,
  [16770] = 12390,
  [16771] = 12392,
  [16772] = 16772,
  [16773] = 16725,
  [16774] = 16709,
  [16775] = 16723,
  [16776] = 16709,
  [16777] = 16709,
  [16778] = 16723,
  [16779] = 16709,
  [16780] = 16708,
  [16781] = 16723,
  [16782] = 16782,
  [16783] = 16709,
  [16784] = 16709,
  [16785] = 16723,
  [16786] = 16731,
  [16787] = 16708,
  [16788] = 16737,
  [16789] = 16723,
  [16790] = 16709,
  [16791] = 16708,
  [16792] = 16723,
  [16793] = 16737,
  [16794] = 16708,
  [16795] = 16723,
  [16796] = 16710,
  [16797] = 16709,
  [16798] = 16723,
  [16799] = 16723,
  [16800] = 16707,
  [16801] = 16723,
  [16802] = 11241,
  [16803] = 16708,
  [16804] = 16723,
  [16805] = 16708,
  [16806] = 16723,
  [16807] = 16709,
  [16808] = 16709,
  [16809] = 16723,
  [16810] = 16723,
  [16811] = 16723,
  [16812] = 16812,
  [16813] = 16813,
  [16814] = 16723,
  [16815] = 16815,
  [16816] = 16816,
  [16817] = 12242,
  [16818] = 16723,
  [16819] = 11544,
  [16820] = 16708,
  [16821] = 16708,
  [16822] = 16723,
  [16823] = 12243,
  [16824] = 16723,
  [16825] = 16709,
  [16826] = 16709,
  [16827] = 16723,
  [16828] = 16709,
  [16829] = 16723,
  [16830] = 16731,
  [16831] = 16723,
  [16832] = 16709,
  [16833] = 16731,
  [16834] = 16723,
  [16835] = 16709,
  [16836] = 16836,
  [16837] = 16723,
  [16838] = 16723,
  [16839] = 16731,
  [16840] = 16723,
  [16841] = 16841,
  [16842] = 16709,
  [16843] = 16723,
  [16844] = 16723,
  [16845] = 16723,
  [16846] = 16846,
  [16847] = 16723,
  [16848] = 16731,
  [16849] = 3826,
  [16850] = 16723,
  [16851] = 16709,
  [16852] = 16723,
  [16853] = 16712,
  [16854] = 16723,
  [16855] = 16737,
  [16856] = 16708,
  [16857] = 16709,
  [16858] = 16723,
  [16859] = 16709,
  [16860] = 16723,
  [16861] = 16710,
  [16862] = 16723,
  [16863] = 16723,
  [16864] = 16723,
  [16865] = 16723,
  [16866] = 16707,
  [16867] = 16723,
  [16868] = 16708,
  [16869] = 16709,
  [16870] = 16723,
  [16871] = 16709,
  [16872] = 16709,
  [16873] = 16737,
  [16874] = 16874,
  [16875] = 16875,
  [16876] = 12208,
  [16877] = 16709,
  [16878] = 16709,
  [16879] = 16709,
  [16880] = 12444,
  [16881] = 12715,
  [16882] = 12388,
  [16883] = 16725,
  [16884] = 16722,
  [16885] = 16726,
  [16886] = 12448,
  [16887] = 16887,
  [16888] = 16708,
  [16889] = 16709,
  [16890] = 16725,
  [16891] = 16710,
  [16892] = 16725,
  [16893] = 16709,
  [16894] = 16725,
  [16895] = 16737,
  [16896] = 16710,
  [16897] = 16731,
  [16898] = 16709,
  [16899] = 16707,
  [16900] = 16709,
  [16901] = 16712,
  [16902] = 16708,
  [16903] = 16709,
  [16904] = 16714,
  [16905] = 16709,
  [16906] = 16709,
  [16907] = 16737,
  [16908] = 16737,
  [16909] = 16708,
  [16910] = 16707,
  [16911] = 16709,
  [16912] = 16709,
  [16913] = 16913,
  [16914] = 16710,
  [16915] = 12356,
  [16916] = 16711,
  [16917] = 16711,
  [16918] = 16711,
  [16919] = 16919,
  [16920] = 16711,
  [16921] = 16921,
  [16922] = 16708,
  [16923] = 16709,
  [16924] = 16924,
  [16925] = 16723,
  [16926] = 16926,
  [16927] = 16927,
  [16928] = 16928,
  [16929] = 16929,
  [16930] = 16930,
  [16931] = 16931,
  [16932] = 16932,
  [16933] = 16933,
  [16934] = 16934,
  [16935] = 16934,
  [16936] = 16926,
  [16937] = 16937,
  [16938] = 15299,
  [16939] = 16939,
  [16940] = 16940,
  [16941] = 16941,
  [16942] = 12423,
  [16943] = 16943,
  [16944] = 16944,
  [16945] = 16928,
  [16946] = 16941,
  [16947] = 16947,
  [16948] = 16948,
  [16949] = 16949,
  [16950] = 16943,
  [16951] = 16944,
  [16952] = 16952,
  [16953] = 13299,
  [16954] = 16947,
  [16955] = 16955,
  [16956] = 16956,
  [16957] = 16947,
  [16958] = 16927,
  [16959] = 16948,
  [16960] = 16949,
  [16961] = 16931,
  [16962] = 16929,
  [16963] = 16952,
  [16964] = 16964,
  [16965] = 16927,
  [16966] = 16966,
  [16967] = 11896,
  [16968] = 16941,
  [16969] = 16933,
  [16970] = 16970,
  [16971] = 16947,
  [16972] = 16944,
  [16973] = 16928,
  [16974] = 16929,
  [16975] = 16931,
  [16976] = 16948,
  [16977] = 16949,
  [16978] = 16941,
  [16979] = 16932,
  [16980] = 16931,
  [16981] = 16947,
  [16982] = 16948,
  [16983] = 16983,
  [16984] = 16934,
  [16985] = 12740,
  [16986] = 16941,
  [16987] = 16987,
  [16988] = 16988,
  [16989] = 16988,
  [16990] = 16941,
  [16991] = 16952,
  [16992] = 16992,
  [16993] = 16988,
  [16994] = 16926,
  [16995] = 16995,
  [16996] = 16996,
  [16997] = 16966,
  [16998] = 16931,
  [16999] = 16926,
  [17000] = 17000,
  [17001] = 16983,
  [17002] = 16930,
  [17003] = 16928,
  [17004] = 16929,
  [17005] = 16931,
  [17006] = 16927,
  [17007] = 16932,
  [17008] = 17008,
  [17009] = 17009,
  [17010] = 16933,
  [17011] = 16934,
  [17012] = 17012,
  [17013] = 16926,
  [17014] = 16947,
  [17015] = 16943,
  [17016] = 16939,
  [17017] = 16940,
  [17018] = 16931,
  [17019] = 16926,
  [17020] = 16943,
  [17021] = 16929,
  [17022] = 16944,
  [17023] = 16931,
  [17024] = 12009,
  [17025] = 16966,
  [17026] = 16948,
  [17027] = 16941,
  [17028] = 16949,
  [17029] = 16941,
  [17030] = 16947,
  [17031] = 16948,
  [17032] = 16949,
  [17033] = 16927,
  [17034] = 17000,
  [17035] = 16955,
  [17036] = 16983,
  [17037] = 16928,
  [17038] = 16929,
  [17039] = 17039,
  [17040] = 16932,
  [17041] = 16952,
  [17042] = 12363,
  [17043] = 16930,
  [17044] = 16927,
  [17045] = 16947,
  [17046] = 16933,
  [17047] = 16934,
  [17048] = 16931,
  [17049] = 17049,
  [17050] = 16931,
  [17051] = 17051,
  [17052] = 17052,
  [17053] = 16966,
  [17054] = 16949,
  [17055] = 14625,
  [17056] = 16928,
  [17057] = 16929,
  [17058] = 16933,
  [17059] = 16932,
  [17060] = 16988,
  [17061] = 17061,
  [17062] = 16926,
  [17063] = 17063,
  [17064] = 17000,
  [17065] = 17000,
  [17066] = 16983,
  [17067] = 16983,
  [17068] = 16941,
  [17069] = 16939,
  [17070] = 16926,
  [17071] = 16927,
  [17072] = 16966,
  [17073] = 16940,
  [17074] = 17074,
  [17075] = 16927,
  [17076] = 16928,
  [17077] = 16929,
  [17078] = 16933,
  [17079] = 16934,
  [17080] = 16932,
  [17081] = 16931,
  [17082] = 16931,
  [17083] = 16943,
  [17084] = 16939,
  [17085] = 16940,
  [17086] = 16927,
  [17087] = 16943,
  [17088] = 16944,
  [17089] = 17089,
  [17090] = 16926,
  [17091] = 17091,
  [17092] = 16941,
  [17093] = 16947,
  [17094] = 16948,
  [17095] = 16949,
  [17096] = 16988,
  [17097] = 16966,
  [17098] = 16948,
  [17099] = 16944,
  [17100] = 12021,
  [17101] = 16947,
  [17102] = 16928,
  [17103] = 16929,
  [17104] = 16934,
  [17105] = 16933,
  [17106] = 17106,
  [17107] = 16926,
  [17108] = 16932,
  [17109] = 16927,
  [17110] = 16941,
  [17111] = 16931,
  [17112] = 16927,
  [17113] = 16966,
  [17114] = 16941,
  [17115] = 16947,
  [17116] = 16934,
  [17117] = 16928,
  [17118] = 16929,
  [17119] = 16988,
  [17120] = 16932,
  [17121] = 16948,
  [17122] = 16926,
  [17123] = 17000,
  [17124] = 16941,
  [17125] = 17000,
  [17126] = 16983,
  [17127] = 16983,
  [17128] = 16949,
  [17129] = 16927,
  [17130] = 17130,
  [17131] = 16926,
  [17132] = 16948,
  [17133] = 16933,
  [17134] = 16934,
  [17135] = 16933,
  [17136] = 17061,
  [17137] = 16939,
  [17138] = 16952,
  [17139] = 16939,
  [17140] = 16940,
  [17141] = 16943,
  [17142] = 16943,
  [17143] = 16944,
  [17144] = 16941,
  [17145] = 16931,
  [17146] = 16927,
  [17147] = 16940,
  [17148] = 16931,
  [17149] = 16932,
  [17150] = 17074,
  [17151] = 16949,
  [17152] = 12831,
  [17153] = 16939,
  [17154] = 16940,
  [17155] = 16926,
  [17156] = 16939,
  [17157] = 17157,
  [17158] = 5863,
  [17159] = 16931,
  [17160] = 16933,
  [17161] = 16934,
  [17162] = 16940,
  [17163] = 16926,
  [17164] = 16995,
  [17165] = 16988,
  [17166] = 16943,
  [17167] = 16941,
  [17168] = 16944,
  [17169] = 16988,
  [17170] = 16926,
  [17171] = 16934,
  [17172] = 16949,
  [17173] = 16931,
  [17174] = 16927,
  [17175] = 17000,
  [17176] = 16983,
  [17177] = 16926,
  [17178] = 16927,
  [17179] = 16937,
  [17180] = 12822,
  [17181] = 16941,
  [17182] = 16933,
  [17183] = 16934,
  [17184] = 16941,
  [17185] = 16947,
  [17186] = 16948,
  [17187] = 17106,
  [17188] = 16939,
  [17189] = 16940,
  [17190] = 17190,
  [17191] = 17000,
  [17192] = 16943,
  [17193] = 16944,
  [17194] = 16939,
  [17195] = 16941,
  [17196] = 16940,
  [17197] = 16937,
  [17198] = 16988,
  [17199] = 16966,
  [17200] = 17200,
  [17201] = 16943,
  [17202] = 17202,
  [17203] = 16944,
  [17204] = 17190,
  [17205] = 16988,
  [17206] = 16939,
  [17207] = 16966,
  [17208] = 16955,
  [17209] = 16926,
  [17210] = 16931,
  [17211] = 16949,
  [17212] = 17212,
  [17213] = 16941,
  [17214] = 5856,
  [17215] = 13344,
  [17216] = 16941,
  [17217] = 16931,
  [17218] = 14876,
  [17219] = 16947,
  [17220] = 16988,
  [17221] = 16948,
  [17222] = 16949,
  [17223] = 17223,
  [17224] = 16926,
  [17225] = 16928,
  [17226] = 16927,
  [17227] = 16929,
  [17228] = 16988,
  [17229] = 17000,
  [17230] = 16983,
  [17231] = 17231,
  [17232] = 16926,
  [17233] = 16930,
  [17234] = 16927,
  [17235] = 17000,
  [17236] = 16940,
  [17237] = 16983,
  [17238] = 16933,
  [17239] = 16934,
  [17240] = 16932,
  [17241] = 12855,
  [17242] = 16987,
  [17243] = 16927,
  [17244] = 16939,
  [17245] = 16940,
  [17246] = 17008,
  [17247] = 17247,
  [17248] = 16943,
  [17249] = 16926,
  [17250] = 16944,
  [17251] = 17251,
  [17252] = 16941,
  [17253] = 16926,
  [17254] = 17223,
  [17255] = 17089,
  [17256] = 16933,
  [17257] = 16934,
  [17258] = 17202,
  [17259] = 16941,
  [17260] = 16952,
  [17261] = 13293,
  [17262] = 16927,
  [17263] = 16943,
  [17264] = 16943,
  [17265] = 16939,
  [17266] = 16931,
  [17267] = 16931,
  [17268] = 16940,
  [17269] = 16943,
  [17270] = 17130,
  [17271] = 17231,
  [17272] = 17190,
  [17273] = 16943,
  [17274] = 16988,
  [17275] = 16941,
  [17276] = 16944,
  [17277] = 16941,
  [17278] = 16952,
  [17279] = 16926,
  [17280] = 16941,
  [17281] = 16931,
  [17282] = 16947,
  [17283] = 16948,
  [17284] = 16927,
  [17285] = 16949,
  [17286] = 16931,
  [17287] = 8806,
  [17288] = 17223,
  [17289] = 16931,
  [17290] = 16944,
  [17291] = 16947,
  [17292] = 17051,
  [17293] = 16931,
  [17294] = 16941,
  [17295] = 16941,
  [17296] = 16926,
  [17297] = 16926,
  [17298] = 16944,
  [17299] = 16988,
  [17300] = 16970,
  [17301] = 15388,
  [17302] = 16926,
  [17303] = 15461,
  [17304] = 16927,
  [17305] = 16944,
  [17306] = 15311,
  [17307] = 17307,
  [17308] = 17308,
  [17309] = 17309,
  [17310] = 16931,
  [17311] = 17106,
  [17312] = 16926,
  [17313] = 17223,
  [17314] = 16927,
  [17315] = 15299,
  [17316] = 16948,
  [17317] = 16931,
  [17318] = 16926,
  [17319] = 16966,
  [17320] = 16983,
  [17321] = 16949,
  [17322] = 16926,
  [17323] = 16941,
  [17324] = 16927,
  [17325] = 16931,
  [17326] = 17052,
  [17327] = 17000,
  [17328] = 16988,
  [17329] = 16931,
  [17330] = 16949,
  [17331] = 17000,
  [17332] = 16941,
  [17333] = 16927,
  [17334] = 16983,
  [17335] = 16928,
  [17336] = 5861,
  [17337] = 13345,
  [17338] = 16929,
  [17339] = 16948,
  [17340] = 14626,
  [17341] = 17341,
  [17342] = 16930,
  [17343] = 16927,
  [17344] = 16944,
  [17345] = 17202,
  [17346] = 16941,
  [17347] = 17347,
  [17348] = 16931,
  [17349] = 16927,
  [17350] = 16932,
  [17351] = 17000,
  [17352] = 16955,
  [17353] = 17000,
  [17354] = 16983,
  [17355] = 16939,
  [17356] = 16926,
  [17357] = 13290,
  [17358] = 16926,
  [17359] = 16926,
  [17360] = 16933,
  [17361] = 16934,
  [17362] = 16926,
  [17363] = 17363,
  [17364] = 16927,
  [17365] = 16947,
  [17366] = 16940,
  [17367] = 16952,
  [17368] = 16983,
  [17369] = 16952,
  [17370] = 16948,
  [17371] = 16941,
  [17372] = 16927,
  [17373] = 17000,
  [17374] = 16983,
  [17375] = 16939,
  [17376] = 16940,
  [17377] = 16939,
  [17378] = 13294,
  [17379] = 16932,
  [17380] = 17061,
  [17381] = 16927,
  [17382] = 16931,
  [17383] = 16931,
  [17384] = 16943,
  [17385] = 17091,
  [17386] = 16944,
  [17387] = 13292,
  [17388] = 17212,
  [17389] = 17000,
  [17390] = 17000,
  [17391] = 16955,
  [17392] = 17392,
  [17393] = 16955,
  [17394] = 17202,
  [17395] = 16940,
  [17396] = 16926,
  [17397] = 16926,
  [17398] = 16983,
  [17399] = 16931,
  [17400] = 17061,
  [17401] = 17190,
  [17402] = 16927,
  [17403] = 16941,
  [17404] = 16983,
  [17405] = 16947,
  [17406] = 16927,
  [17407] = 16926,
  [17408] = 16941,
  [17409] = 16948,
  [17410] = 16948,
  [17411] = 16949,
  [17412] = 16941,
  [17413] = 16927,
  [17414] = 16941,
  [17415] = 16933,
  [17416] = 17307,
  [17417] = 17392,
  [17418] = 16927,
  [17419] = 16934,
  [17420] = 16933,
  [17421] = 16934,
  [17422] = 16944,
  [17423] = 16927,
  [17424] = 16949,
  [17425] = 12810,
  [17426] = 16931,
  [17427] = 16937,
  [17428] = 16939,
  [17429] = 12720,
  [17430] = 16940,
  [17431] = 17223,
  [17432] = 16955,
  [17433] = 17000,
  [17434] = 16952,
  [17435] = 16931,
  [17436] = 16943,
  [17437] = 16987,
  [17438] = 16944,
  [17439] = 16941,
  [17440] = 16927,
  [17441] = 16931,
  [17442] = 16931,
  [17443] = 16926,
  [17444] = 16941,
  [17445] = 16947,
  [17446] = 17392,
  [17447] = 16948,
  [17448] = 16926,
  [17449] = 16947,
  [17450] = 16927,
  [17451] = 16928,
  [17452] = 16988,
  [17453] = 17000,
  [17454] = 16941,
  [17455] = 17455,
  [17456] = 16927,
  [17457] = 16949,
  [17458] = 17458,
  [17459] = 12862,
  [17460] = 16987,
  [17461] = 17461,
  [17462] = 16947,
  [17463] = 16939,
  [17464] = 16931,
  [17465] = 16988,
  [17466] = 17190,
  [17467] = 17392,
  [17468] = 16940,
  [17469] = 16926,
  [17470] = 17470,
  [17471] = 16966,
  [17472] = 16933,
  [17473] = 16926,
  [17474] = 16926,
  [17475] = 16927,
  [17476] = 16926,
  [17477] = 16927,
  [17478] = 16934,
  [17479] = 16987,
  [17480] = 16943,
  [17481] = 16943,
  [17482] = 17392,
  [17483] = 16941,
  [17484] = 16927,
  [17485] = 16937,
  [17486] = 15402,
  [17487] = 16944,
  [17488] = 16926,
  [17489] = 17000,
  [17490] = 16987,
  [17491] = 16927,
  [17492] = 16983,
  [17493] = 17392,
  [17494] = 16931,
  [17495] = 17392,
  [17496] = 16931,
  [17497] = 16995,
  [17498] = 17223,
  [17499] = 17499,
  [17500] = 16926,
  [17501] = 17392,
  [17502] = 16927,
  [17503] = 16983,
  [17504] = 16927,
  [17505] = 17392,
  [17506] = 17392,
  [17507] = 16941,
  [17508] = 17392,
  [17509] = 16941,
  [17510] = 16947,
  [17511] = 17392,
  [17512] = 16941,
  [17513] = 16928,
  [17514] = 15561,
  [17515] = 17392,
  [17516] = 16948,
  [17517] = 16929,
  [17518] = 17392,
  [17519] = 16933,
  [17520] = 16934,
  [17521] = 17392,
  [17522] = 16931,
  [17523] = 17392,
  [17524] = 16949,
  [17525] = 17392,
  [17526] = 17526,
  [17527] = 17392,
  [17528] = 16930,
  [17529] = 17392,
  [17530] = 16941,
  [17531] = 16933,
  [17532] = 17392,
  [17533] = 16926,
  [17534] = 17392,
  [17535] = 16933,
  [17536] = 16948,
  [17537] = 17392,
  [17538] = 16939,
  [17539] = 16940,
  [17540] = 16927,
  [17541] = 17392,
  [17542] = 17392,
  [17543] = 16949,
  [17544] = 16949,
  [17545] = 17392,
  [17546] = 17061,
  [17547] = 17202,
  [17548] = 17392,
  [17549] = 16941,
  [17550] = 17392,
  [17551] = 17551,
  [17552] = 16943,
  [17553] = 16933,
  [17554] = 17392,
  [17555] = 16926,
  [17556] = 17000,
  [17557] = 17392,
  [17558] = 16944,
  [17559] = 16934,
  [17560] = 17392,
  [17561] = 16931,
  [17562] = 16983,
  [17563] = 17392,
  [17564] = 16932,
  [17565] = 16955,
  [17566] = 16941,
  [17567] = 17392,
  [17568] = 16947,
  [17569] = 16934,
  [17570] = 17392,
  [17571] = 16948,
  [17572] = 16949,
  [17573] = 16952,
  [17574] = 17392,
  [17575] = 16995,
  [17576] = 17061,
  [17577] = 17392,
  [17578] = 16952,
  [17579] = 16926,
  [17580] = 17392,
  [17581] = 16931,
  [17582] = 17392,
  [17583] = 16931,
  [17584] = 16995,
  [17585] = 17392,
  [17586] = 16941,
  [17587] = 16927,
  [17588] = 17392,
  [17589] = 16931,
  [17590] = 17392,
  [17591] = 17392,
  [17592] = 16944,
  [17593] = 16927,
  [17594] = 17392,
  [17595] = 16941,
  [17596] = 17392,
  [17597] = 16939,
  [17598] = 16995,
  [17599] = 16940,
  [17600] = 17247,
  [17601] = 17392,
  [17602] = 17392,
  [17603] = 16931,
  [17604] = 17392,
  [17605] = 16952,
  [17606] = 17392,
  [17607] = 17392,
  [17608] = 17392,
  [17609] = 16931,
  [17610] = 17392,
  [17611] = 16931,
  [17612] = 16926,
  [17613] = 17052,
  [17614] = 17091,
  [17615] = 12400,
  [17616] = 17212,
  [17617] = 16988,
  [17618] = 16983,
  [17619] = 17247,
  [17620] = 16926,
  [17621] = 16943,
  [17622] = 16927,
  [17623] = 16988,
  [17624] = 16988,
  [17625] = 17106,
  [17626] = 16931,
  [17627] = 17627,
  [17628] = 17000,
  [17629] = 16927,
  [17630] = 16941,
  [17631] = 16966,
  [17632] = 16983,
  [17633] = 17633,
  [17634] = 16926,
  [17635] = 16941,
  [17636] = 17008,
  [17637] = 16931,
  [17638] = 16966,
  [17639] = 16939,
  [17640] = 17251,
  [17641] = 16939,
  [17642] = 17200,
  [17643] = 16941,
  [17644] = 16988,
  [17645] = 17091,
  [17646] = 17212,
  [17647] = 17247,
  [17648] = 16940,
  [17649] = 17200,
  [17650] = 16940,
  [17651] = 17091,
  [17652] = 17212,
  [17653] = 17247,
  [17654] = 16927,
  [17655] = 17200,
  [17656] = 17091,
  [17657] = 17212,
  [17658] = 17247,
  [17659] = 17251,
  [17660] = 16926,
  [17661] = 17251,
  [17662] = 16933,
  [17663] = 16934,
  [17664] = 17251,
  [17665] = 16937,
  [17666] = 17633,
  [17667] = 16927,
  [17668] = 17008,
  [17669] = 17633,
  [17670] = 17008,
  [17671] = 17633,
  [17672] = 17008,
  [17673] = 16988,
  [17674] = 17674,
  [17675] = 17675,
  [17676] = 17676,
  [17677] = 17677,
  [17678] = 17678,
  [17679] = 17678,
  [17680] = 17680,
  [17681] = 17681,
  [17682] = 17682,
  [17683] = 17683,
  [17684] = 17684,
  [17685] = 17685,
  [17686] = 17686,
  [17687] = 17687,
  [17688] = 17688,
  [17689] = 17689,
  [17690] = 17690,
  [17691] = 17691,
  [17692] = 17692,
  [17693] = 17693,
  [17694] = 17694,
  [17695] = 17695,
  [17696] = 17696,
  [17697] = 17688,
  [17698] = 17688,
  [17699] = 17699,
  [17700] = 17700,
  [17701] = 17701,
  [17702] = 17702,
  [17703] = 17678,
  [17704] = 17704,
  [17705] = 17705,
  [17706] = 17706,
  [17707] = 17707,
  [17708] = 17677,
  [17709] = 17709,
  [17710] = 17694,
  [17711] = 17676,
  [17712] = 17712,
  [17713] = 17713,
  [17714] = 17684,
  [17715] = 17715,
  [17716] = 17694,
  [17717] = 17715,
  [17718] = 17686,
  [17719] = 17686,
  [17720] = 17682,
  [17721] = 17700,
  [17722] = 17694,
  [17723] = 17696,
  [17724] = 17678,
  [17725] = 17713,
  [17726] = 17713,
  [17727] = 17727,
  [17728] = 17728,
  [17729] = 17694,
  [17730] = 17730,
  [17731] = 17731,
  [17732] = 17732,
  [17733] = 17696,
  [17734] = 17683,
  [17735] = 17735,
  [17736] = 17736,
  [17737] = 17713,
  [17738] = 17684,
  [17739] = 17692,
  [17740] = 17727,
  [17741] = 17741,
  [17742] = 17686,
  [17743] = 17683,
  [17744] = 17683,
  [17745] = 17712,
  [17746] = 17680,
  [17747] = 17681,
  [17748] = 17748,
  [17749] = 17696,
  [17750] = 17683,
  [17751] = 17678,
  [17752] = 17752,
  [17753] = 17696,
  [17754] = 17701,
  [17755] = 17687,
  [17756] = 17694,
  [17757] = 17691,
  [17758] = 17693,
  [17759] = 17685,
  [17760] = 17695,
  [17761] = 17702,
  [17762] = 17688,
  [17763] = 17678,
  [17764] = 17713,
  [17765] = 17699,
  [17766] = 17700,
  [17767] = 17689,
  [17768] = 17683,
  [17769] = 17701,
  [17770] = 17770,
  [17771] = 17685,
  [17772] = 17678,
  [17773] = 17689,
  [17774] = 17774,
  [17775] = 17701,
  [17776] = 17685,
  [17777] = 17702,
  [17778] = 17778,
  [17779] = 17779,
  [17780] = 17704,
  [17781] = 17705,
  [17782] = 17706,
  [17783] = 17694,
  [17784] = 17674,
  [17785] = 17677,
  [17786] = 17786,
  [17787] = 17689,
  [17788] = 17709,
  [17789] = 17702,
  [17790] = 17676,
  [17791] = 17712,
  [17792] = 17707,
  [17793] = 17715,
  [17794] = 17794,
  [17795] = 17684,
  [17796] = 17701,
  [17797] = 17731,
  [17798] = 17701,
  [17799] = 17686,
  [17800] = 17800,
  [17801] = 17800,
  [17802] = 17735,
  [17803] = 17700,
  [17804] = 17696,
  [17805] = 17694,
  [17806] = 17678,
  [17807] = 17702,
  [17808] = 12021,
  [17809] = 17696,
  [17810] = 17702,
  [17811] = 17694,
  [17812] = 17693,
  [17813] = 17704,
  [17814] = 17705,
  [17815] = 17706,
  [17816] = 17713,
  [17817] = 17678,
  [17818] = 17690,
  [17819] = 17691,
  [17820] = 17693,
  [17821] = 17677,
  [17822] = 17695,
  [17823] = 17688,
  [17824] = 17699,
  [17825] = 17700,
  [17826] = 17701,
  [17827] = 17683,
  [17828] = 17684,
  [17829] = 17685,
  [17830] = 17704,
  [17831] = 17705,
  [17832] = 17686,
  [17833] = 17706,
  [17834] = 17834,
  [17835] = 17696,
  [17836] = 17678,
  [17837] = 17701,
  [17838] = 17694,
  [17839] = 17713,
  [17840] = 17840,
  [17841] = 17731,
  [17842] = 17683,
  [17843] = 17702,
  [17844] = 17709,
  [17845] = 17677,
  [17846] = 17685,
  [17847] = 17735,
  [17848] = 17676,
  [17849] = 17689,
  [17850] = 17712,
  [17851] = 17713,
  [17852] = 17701,
  [17853] = 17702,
  [17854] = 17854,
  [17855] = 17696,
  [17856] = 17704,
  [17857] = 17690,
  [17858] = 17705,
  [17859] = 17691,
  [17860] = 17706,
  [17861] = 17693,
  [17862] = 17695,
  [17863] = 17678,
  [17864] = 17699,
  [17865] = 17677,
  [17866] = 17709,
  [17867] = 17684,
  [17868] = 17709,
  [17869] = 17676,
  [17870] = 17712,
  [17871] = 17676,
  [17872] = 17712,
  [17873] = 17873,
  [17874] = 17709,
  [17875] = 17715,
  [17876] = 17686,
  [17877] = 17683,
  [17878] = 17689,
  [17879] = 17713,
  [17880] = 17715,
  [17881] = 17696,
  [17882] = 17684,
  [17883] = 17678,
  [17884] = 17694,
  [17885] = 17885,
  [17886] = 17715,
  [17887] = 17731,
  [17888] = 17713,
  [17889] = 17694,
  [17890] = 17890,
  [17891] = 17891,
  [17892] = 17683,
  [17893] = 17735,
  [17894] = 17894,
  [17895] = 17701,
  [17896] = 17686,
  [17897] = 17702,
  [17898] = 17735,
  [17899] = 17899,
  [17900] = 17900,
  [17901] = 17684,
  [17902] = 17682,
  [17903] = 17690,
  [17904] = 17691,
  [17905] = 17695,
  [17906] = 17699,
  [17907] = 17907,
  [17908] = 17686,
  [17909] = 17909,
  [17910] = 17713,
  [17911] = 17696,
  [17912] = 17715,
  [17913] = 17696,
  [17914] = 17678,
  [17915] = 17678,
  [17916] = 17713,
  [17917] = 17727,
  [17918] = 17694,
  [17919] = 17694,
  [17920] = 17684,
  [17921] = 17694,
  [17922] = 17922,
  [17923] = 17840,
  [17924] = 17924,
  [17925] = 17731,
  [17926] = 17728,
  [17927] = 17713,
  [17928] = 17735,
  [17929] = 17683,
  [17930] = 17686,
  [17931] = 17730,
  [17932] = 17770,
  [17933] = 17800,
  [17934] = 17685,
  [17935] = 17732,
  [17936] = 17689,
  [17937] = 17696,
  [17938] = 17938,
  [17939] = 17678,
  [17940] = 17690,
  [17941] = 17701,
  [17942] = 17691,
  [17943] = 17695,
  [17944] = 17699,
  [17945] = 17713,
  [17946] = 17702,
  [17947] = 17694,
  [17948] = 17704,
  [17949] = 17705,
  [17950] = 17706,
  [17951] = 17701,
  [17952] = 17736,
  [17953] = 17677,
  [17954] = 17713,
  [17955] = 17713,
  [17956] = 17709,
  [17957] = 17676,
  [17958] = 17712,
  [17959] = 17727,
  [17960] = 17683,
  [17961] = 17727,
  [17962] = 17731,
  [17963] = 17715,
  [17964] = 17728,
  [17965] = 17701,
  [17966] = 17735,
  [17967] = 17683,
  [17968] = 17968,
  [17969] = 17702,
  [17970] = 17683,
  [17971] = 17730,
  [17972] = 17702,
  [17973] = 17701,
  [17974] = 17732,
  [17975] = 17975,
  [17976] = 17976,
  [17977] = 17676,
  [17978] = 17684,
  [17979] = 17690,
  [17980] = 17702,
  [17981] = 17691,
  [17982] = 17695,
  [17983] = 17699,
  [17984] = 17938,
  [17985] = 17712,
  [17986] = 17686,
  [17987] = 17684,
  [17988] = 17696,
  [17989] = 17684,
  [17990] = 17683,
  [17991] = 17678,
  [17992] = 17731,
  [17993] = 17684,
  [17994] = 17840,
  [17995] = 17731,
  [17996] = 17735,
  [17997] = 17694,
  [17998] = 17686,
  [17999] = 17713,
  [18000] = 17686,
  [18001] = 17696,
  [18002] = 17686,
  [18003] = 17678,
  [18004] = 17690,
  [18005] = 18005,
  [18006] = 17691,
  [18007] = 17695,
  [18008] = 17699,
  [18009] = 17694,
  [18010] = 17683,
  [18011] = 18011,
  [18012] = 17713,
  [18013] = 17786,
  [18014] = 17683,
  [18015] = 18015,
  [18016] = 17685,
  [18017] = 17731,
  [18018] = 17701,
  [18019] = 17689,
  [18020] = 17702,
  [18021] = 17687,
  [18022] = 17735,
  [18023] = 18023,
  [18024] = 17685,
  [18025] = 17701,
  [18026] = 17702,
  [18027] = 17704,
  [18028] = 17705,
  [18029] = 17706,
  [18030] = 17696,
  [18031] = 17678,
  [18032] = 17677,
  [18033] = 17690,
  [18034] = 17691,
  [18035] = 18035,
  [18036] = 17695,
  [18037] = 17699,
  [18038] = 17683,
  [18039] = 17709,
  [18040] = 17702,
  [18041] = 17676,
  [18042] = 17712,
  [18043] = 17701,
  [18044] = 17689,
  [18045] = 17696,
  [18046] = 17715,
  [18047] = 17683,
  [18048] = 17678,
  [18049] = 17686,
  [18050] = 17684,
  [18051] = 17694,
  [18052] = 17731,
  [18053] = 17686,
  [18054] = 17694,
  [18055] = 17774,
  [18056] = 18056,
  [18057] = 17735,
  [18058] = 17682,
  [18059] = 17696,
  [18060] = 17694,
  [18061] = 17778,
  [18062] = 17678,
  [18063] = 17694,
  [18064] = 17684,
  [18065] = 17713,
  [18066] = 17690,
  [18067] = 17691,
  [18068] = 17701,
  [18069] = 17695,
  [18070] = 17699,
  [18071] = 17713,
  [18072] = 14625,
  [18073] = 14626,
  [18074] = 18074,
  [18075] = 17727,
  [18076] = 17800,
  [18077] = 17684,
  [18078] = 17728,
  [18079] = 17713,
  [18080] = 17730,
  [18081] = 17732,
  [18082] = 17731,
  [18083] = 17686,
  [18084] = 17674,
  [18085] = 17735,
  [18086] = 17683,
  [18087] = 17686,
  [18088] = 17696,
  [18089] = 17685,
  [18090] = 17678,
  [18091] = 17727,
  [18092] = 17694,
  [18093] = 17701,
  [18094] = 17683,
  [18095] = 17690,
  [18096] = 17691,
  [18097] = 17695,
  [18098] = 17699,
  [18099] = 17713,
  [18100] = 17683,
  [18101] = 17702,
  [18102] = 17685,
  [18103] = 17685,
  [18104] = 17731,
  [18105] = 17696,
  [18106] = 17689,
  [18107] = 17683,
  [18108] = 17689,
  [18109] = 17735,
  [18110] = 17702,
  [18111] = 17701,
  [18112] = 17689,
  [18113] = 17702,
  [18114] = 17678,
  [18115] = 17770,
  [18116] = 17704,
  [18117] = 17705,
  [18118] = 17706,
  [18119] = 17690,
  [18120] = 17702,
  [18121] = 17691,
  [18122] = 17695,
  [18123] = 17699,
  [18124] = 17677,
  [18125] = 18125,
  [18126] = 17731,
  [18127] = 17686,
  [18128] = 17709,
  [18129] = 17685,
  [18130] = 17676,
  [18131] = 17712,
  [18132] = 17735,
  [18133] = 17694,
  [18134] = 17770,
  [18135] = 17727,
  [18136] = 17774,
  [18137] = 17715,
  [18138] = 17778,
  [18139] = 17689,
  [18140] = 17684,
  [18141] = 17690,
  [18142] = 17691,
  [18143] = 17695,
  [18144] = 17699,
  [18145] = 17686,
  [18146] = 17701,
  [18147] = 17731,
  [18148] = 17800,
  [18149] = 17774,
  [18150] = 17735,
  [18151] = 17696,
  [18152] = 17702,
  [18153] = 17678,
  [18154] = 17701,
  [18155] = 17694,
  [18156] = 17800,
  [18157] = 17702,
  [18158] = 17728,
  [18159] = 18159,
  [18160] = 17690,
  [18161] = 17691,
  [18162] = 17695,
  [18163] = 17699,
  [18164] = 17713,
  [18165] = 17713,
  [18166] = 17684,
  [18167] = 17731,
  [18168] = 17730,
  [18169] = 17704,
  [18170] = 17705,
  [18171] = 17706,
  [18172] = 17735,
  [18173] = 17686,
  [18174] = 17677,
  [18175] = 17741,
  [18176] = 17696,
  [18177] = 17683,
  [18178] = 17678,
  [18179] = 17690,
  [18180] = 17691,
  [18181] = 17702,
  [18182] = 17695,
  [18183] = 17699,
  [18184] = 17778,
  [18185] = 18185,
  [18186] = 17694,
  [18187] = 17731,
  [18188] = 17704,
  [18189] = 17701,
  [18190] = 17713,
  [18191] = 17735,
  [18192] = 17683,
  [18193] = 17702,
  [18194] = 17683,
  [18195] = 17674,
  [18196] = 17685,
  [18197] = 17705,
  [18198] = 17690,
  [18199] = 17689,
  [18200] = 17691,
  [18201] = 17695,
  [18202] = 17699,
  [18203] = 17704,
  [18204] = 17705,
  [18205] = 17731,
  [18206] = 17701,
  [18207] = 17735,
  [18208] = 17706,
  [18209] = 17702,
  [18210] = 17706,
  [18211] = 17704,
  [18212] = 17705,
  [18213] = 17706,
  [18214] = 17677,
  [18215] = 17677,
  [18216] = 17683,
  [18217] = 17690,
  [18218] = 17691,
  [18219] = 17695,
  [18220] = 17699,
  [18221] = 17701,
  [18222] = 17731,
  [18223] = 17709,
  [18224] = 17676,
  [18225] = 17712,
  [18226] = 17735,
  [18227] = 17709,
  [18228] = 17684,
  [18229] = 17715,
  [18230] = 17676,
  [18231] = 17702,
  [18232] = 17712,
  [18233] = 17686,
  [18234] = 18234,
  [18235] = 17677,
  [18236] = 17690,
  [18237] = 17691,
  [18238] = 17732,
  [18239] = 17695,
  [18240] = 17699,
  [18241] = 17709,
  [18242] = 17731,
  [18243] = 17735,
  [18244] = 17676,
  [18245] = 17715,
  [18246] = 17696,
  [18247] = 17684,
  [18248] = 17678,
  [18249] = 17712,
  [18250] = 17690,
  [18251] = 17691,
  [18252] = 17695,
  [18253] = 17699,
  [18254] = 17694,
  [18255] = 17731,
  [18256] = 17735,
  [18257] = 17713,
  [18258] = 17684,
  [18259] = 17683,
  [18260] = 17686,
  [18261] = 17690,
  [18262] = 17691,
  [18263] = 17695,
  [18264] = 17699,
  [18265] = 17731,
  [18266] = 17701,
  [18267] = 17735,
  [18268] = 17696,
  [18269] = 17715,
  [18270] = 17678,
  [18271] = 17701,
  [18272] = 17684,
  [18273] = 14876,
  [18274] = 17694,
  [18275] = 17786,
  [18276] = 17731,
  [18277] = 17702,
  [18278] = 17735,
  [18279] = 17713,
  [18280] = 17786,
  [18281] = 18281,
  [18282] = 17683,
  [18283] = 17800,
  [18284] = 17731,
  [18285] = 17685,
  [18286] = 17709,
  [18287] = 17735,
  [18288] = 17689,
  [18289] = 17685,
  [18290] = 17686,
  [18291] = 17701,
  [18292] = 17731,
  [18293] = 17676,
  [18294] = 17702,
  [18295] = 17704,
  [18296] = 17735,
  [18297] = 17705,
  [18298] = 17706,
  [18299] = 17712,
  [18300] = 17684,
  [18301] = 17677,
  [18302] = 17675,
  [18303] = 17731,
  [18304] = 17709,
  [18305] = 17701,
  [18306] = 17676,
  [18307] = 17712,
  [18308] = 17735,
  [18309] = 17689,
  [18310] = 18310,
  [18311] = 17702,
  [18312] = 13989,
  [18313] = 17715,
  [18314] = 17731,
  [18315] = 17686,
  [18316] = 17735,
  [18317] = 17770,
  [18318] = 17715,
  [18319] = 17774,
  [18320] = 17704,
  [18321] = 17731,
  [18322] = 17938,
  [18323] = 17735,
  [18324] = 17705,
  [18325] = 17706,
  [18326] = 18326,
  [18327] = 17731,
  [18328] = 17735,
  [18329] = 17685,
  [18330] = 17684,
  [18331] = 17684,
  [18332] = 18332,
  [18333] = 17677,
  [18334] = 17686,
  [18335] = 17731,
  [18336] = 17735,
  [18337] = 17778,
  [18338] = 17696,
  [18339] = 17678,
  [18340] = 17696,
  [18341] = 17694,
  [18342] = 17686,
  [18343] = 17731,
  [18344] = 17735,
  [18345] = 17713,
  [18346] = 17683,
  [18347] = 17678,
  [18348] = 17731,
  [18349] = 17701,
  [18350] = 17735,
  [18351] = 17701,
  [18352] = 17702,
  [18353] = 17786,
  [18354] = 17731,
  [18355] = 17735,
  [18356] = 17674,
  [18357] = 17696,
  [18358] = 17715,
  [18359] = 17731,
  [18360] = 17678,
  [18361] = 17735,
  [18362] = 18362,
  [18363] = 18363,
  [18364] = 17682,
  [18365] = 17731,
  [18366] = 17694,
  [18367] = 17735,
  [18368] = 17731,
  [18369] = 17684,
  [18370] = 17735,
  [18371] = 17713,
  [18372] = 17686,
  [18373] = 17731,
  [18374] = 17727,
  [18375] = 17735,
  [18376] = 17715,
  [18377] = 17696,
  [18378] = 17678,
  [18379] = 17728,
  [18380] = 17694,
  [18381] = 17730,
  [18382] = 17731,
  [18383] = 17732,
  [18384] = 17696,
  [18385] = 17735,
  [18386] = 17713,
  [18387] = 17694,
  [18388] = 17800,
  [18389] = 17684,
  [18390] = 17683,
  [18391] = 17731,
  [18392] = 18392,
  [18393] = 17735,
  [18394] = 17701,
  [18395] = 17686,
  [18396] = 17702,
  [18397] = 17683,
  [18398] = 17731,
  [18399] = 17735,
  [18400] = 11896,
  [18401] = 17696,
  [18402] = 17704,
  [18403] = 17678,
  [18404] = 17685,
  [18405] = 17731,
  [18406] = 17713,
  [18407] = 17689,
  [18408] = 17731,
  [18409] = 18409,
  [18410] = 14085,
  [18411] = 17735,
  [18412] = 17774,
  [18413] = 17678,
  [18414] = 17778,
  [18415] = 17709,
  [18416] = 17674,
  [18417] = 17683,
  [18418] = 17699,
  [18419] = 18419,
  [18420] = 17702,
  [18421] = 17731,
  [18422] = 17701,
  [18423] = 18125,
  [18424] = 17735,
  [18425] = 17694,
  [18426] = 17800,
  [18427] = 17731,
  [18428] = 17709,
  [18429] = 17684,
  [18430] = 17735,
  [18431] = 17694,
  [18432] = 17676,
  [18433] = 17676,
  [18434] = 17712,
  [18435] = 17686,
  [18436] = 17731,
  [18437] = 17712,
  [18438] = 17735,
  [18439] = 17702,
  [18440] = 17735,
  [18441] = 17696,
  [18442] = 17678,
  [18443] = 17736,
  [18444] = 17694,
  [18445] = 17731,
  [18446] = 17704,
  [18447] = 17713,
  [18448] = 17735,
  [18449] = 17701,
  [18450] = 17705,
  [18451] = 17706,
  [18452] = 17713,
  [18453] = 17683,
  [18454] = 18454,
  [18455] = 17677,
  [18456] = 17731,
  [18457] = 17735,
  [18458] = 17727,
  [18459] = 17701,
  [18460] = 17702,
  [18461] = 17695,
  [18462] = 17731,
  [18463] = 17735,
  [18464] = 17938,
  [18465] = 17702,
  [18466] = 17741,
  [18467] = 17683,
  [18468] = 17731,
  [18469] = 17735,
  [18470] = 17709,
  [18471] = 17696,
  [18472] = 17676,
  [18473] = 17712,
  [18474] = 13207,
  [18475] = 17731,
  [18476] = 12009,
  [18477] = 17735,
  [18478] = 17685,
  [18479] = 17731,
  [18480] = 17715,
  [18481] = 17735,
  [18482] = 17689,
  [18483] = 17684,
  [18484] = 17731,
  [18485] = 17735,
  [18486] = 17731,
  [18487] = 17735,
  [18488] = 17731,
  [18489] = 17735,
  [18490] = 17731,
  [18491] = 17684,
  [18492] = 17735,
  [18493] = 17731,
  [18494] = 17735,
  [18495] = 17731,
  [18496] = 17735,
  [18497] = 17731,
  [18498] = 17686,
  [18499] = 17735,
  [18500] = 17731,
  [18501] = 17735,
  [18502] = 17731,
  [18503] = 17735,
  [18504] = 17731,
  [18505] = 17735,
  [18506] = 17731,
  [18507] = 17735,
  [18508] = 17731,
  [18509] = 17735,
  [18510] = 17731,
  [18511] = 17735,
  [18512] = 17731,
  [18513] = 17735,
  [18514] = 17731,
  [18515] = 17735,
  [18516] = 17731,
  [18517] = 17735,
  [18518] = 17731,
  [18519] = 17735,
  [18520] = 17731,
  [18521] = 17735,
  [18522] = 17731,
  [18523] = 17735,
  [18524] = 17731,
  [18525] = 17735,
  [18526] = 17731,
  [18527] = 17735,
  [18528] = 17731,
  [18529] = 17735,
  [18530] = 17731,
  [18531] = 17735,
  [18532] = 17731,
  [18533] = 17735,
  [18534] = 17731,
  [18535] = 17735,
  [18536] = 17731,
  [18537] = 17735,
  [18538] = 17731,
  [18539] = 17735,
  [18540] = 17731,
  [18541] = 17735,
  [18542] = 17731,
  [18543] = 17735,
  [18544] = 17731,
  [18545] = 17735,
  [18546] = 17731,
  [18547] = 17735,
  [18548] = 17731,
  [18549] = 17735,
  [18550] = 17731,
  [18551] = 17735,
  [18552] = 17731,
  [18553] = 17735,
  [18554] = 17731,
  [18555] = 17735,
  [18556] = 17731,
  [18557] = 17735,
  [18558] = 18056,
  [18559] = 18559,
  [18560] = 17696,
  [18561] = 17678,
  [18562] = 17705,
  [18563] = 17840,
  [18564] = 17694,
  [18565] = 18565,
  [18566] = 18023,
  [18567] = 17713,
  [18568] = 17894,
  [18569] = 17701,
  [18570] = 17713,
  [18571] = 17683,
  [18572] = 17938,
  [18573] = 17680,
  [18574] = 17681,
  [18575] = 17800,
  [18576] = 17701,
  [18577] = 17794,
  [18578] = 17702,
  [18579] = 17702,
  [18580] = 18580,
  [18581] = 17686,
  [18582] = 17706,
  [18583] = 17701,
  [18584] = 17715,
  [18585] = 17704,
  [18586] = 17786,
  [18587] = 18587,
  [18588] = 18588,
  [18589] = 18589,
  [18590] = 17705,
  [18591] = 17684,
  [18592] = 17706,
  [18593] = 18419,
  [18594] = 17678,
  [18595] = 17683,
  [18596] = 17683,
  [18597] = 17677,
  [18598] = 14152,
  [18599] = 17687,
  [18600] = 17690,
  [18601] = 17691,
  [18602] = 17696,
  [18603] = 17693,
  [18604] = 17684,
  [18605] = 17689,
  [18606] = 17891,
  [18607] = 17686,
  [18608] = 17678,
  [18609] = 17696,
  [18610] = 17675,
  [18611] = 17678,
  [18612] = 17709,
  [18613] = 17694,
  [18614] = 17684,
  [18615] = 17701,
  [18616] = 17713,
  [18617] = 17676,
  [18618] = 18056,
  [18619] = 17712,
  [18620] = 17695,
  [18621] = 17683,
  [18622] = 17894,
  [18623] = 17968,
  [18624] = 14030,
  [18625] = 17688,
  [18626] = 17701,
  [18627] = 17794,
  [18628] = 17677,
  [18629] = 17702,
  [18630] = 17686,
  [18631] = 17699,
  [18632] = 17800,
  [18633] = 17976,
  [18634] = 17700,
  [18635] = 17682,
  [18636] = 17696,
  [18637] = 17678,
  [18638] = 17715,
  [18639] = 17924,
  [18640] = 17684,
  [18641] = 17702,
  [18642] = 17686,
  [18643] = 18565,
  [18644] = 17694,
  [18645] = 17686,
  [18646] = 17684,
  [18647] = 18056,
  [18648] = 17686,
  [18649] = 17682,
  [18650] = 17894,
  [18651] = 18651,
  [18652] = 17794,
  [18653] = 17696,
  [18654] = 17696,
  [18655] = 17678,
  [18656] = 17694,
  [18657] = 17694,
  [18658] = 18658,
  [18659] = 17713,
  [18660] = 17683,
  [18661] = 17678,
  [18662] = 17702,
  [18663] = 17713,
  [18664] = 18015,
  [18665] = 17701,
  [18666] = 17702,
  [18667] = 17713,
  [18668] = 12363,
  [18669] = 18669,
  [18670] = 17727,
  [18671] = 18056,
  [18672] = 17694,
  [18673] = 17894,
  [18674] = 17683,
  [18675] = 18392,
  [18676] = 17794,
  [18677] = 17938,
  [18678] = 17727,
  [18679] = 17727,
  [18680] = 17685,
  [18681] = 17713,
  [18682] = 18056,
  [18683] = 17684,
  [18684] = 17894,
  [18685] = 17689,
  [18686] = 17728,
  [18687] = 17794,
  [18688] = 17686,
  [18689] = 17774,
  [18690] = 17730,
  [18691] = 17778,
  [18692] = 18056,
  [18693] = 17674,
  [18694] = 17696,
  [18695] = 17683,
  [18696] = 17894,
  [18697] = 17678,
  [18698] = 17732,
  [18699] = 17794,
  [18700] = 17684,
  [18701] = 17694,
  [18702] = 17696,
  [18703] = 17713,
  [18704] = 18056,
  [18705] = 17684,
  [18706] = 17713,
  [18707] = 17894,
  [18708] = 17794,
  [18709] = 17683,
  [18710] = 17701,
  [18711] = 18056,
  [18712] = 17701,
  [18713] = 17894,
  [18714] = 17701,
  [18715] = 17794,
  [18716] = 18056,
  [18717] = 17704,
  [18718] = 17702,
  [18719] = 17800,
  [18720] = 17894,
  [18721] = 17794,
  [18722] = 18056,
  [18723] = 17705,
  [18724] = 17686,
  [18725] = 17894,
  [18726] = 17794,
  [18727] = 17706,
  [18728] = 17702,
  [18729] = 18056,
  [18730] = 17894,
  [18731] = 17794,
  [18732] = 18056,
  [18733] = 17704,
  [18734] = 17677,
  [18735] = 17696,
  [18736] = 17894,
  [18737] = 17705,
  [18738] = 17794,
  [18739] = 17706,
  [18740] = 18056,
  [18741] = 17702,
  [18742] = 17894,
  [18743] = 17794,
  [18744] = 17678,
  [18745] = 18056,
  [18746] = 17713,
  [18747] = 17680,
  [18748] = 17677,
  [18749] = 17894,
  [18750] = 17684,
  [18751] = 17794,
  [18752] = 18056,
  [18753] = 18753,
  [18754] = 17683,
  [18755] = 17894,
  [18756] = 17794,
  [18757] = 17686,
  [18758] = 17684,
  [18759] = 18056,
  [18760] = 17694,
  [18761] = 17704,
  [18762] = 17894,
  [18763] = 17794,
  [18764] = 18056,
  [18765] = 17696,
  [18766] = 17894,
  [18767] = 17678,
  [18768] = 17794,
  [18769] = 18056,
  [18770] = 17681,
  [18771] = 17694,
  [18772] = 17894,
  [18773] = 17794,
  [18774] = 18056,
  [18775] = 17713,
  [18776] = 17713,
  [18777] = 17894,
  [18778] = 17794,
  [18779] = 18056,
  [18780] = 18780,
  [18781] = 17709,
  [18782] = 17686,
  [18783] = 17894,
  [18784] = 17794,
  [18785] = 17676,
  [18786] = 17683,
  [18787] = 18056,
  [18788] = 17712,
  [18789] = 17894,
  [18790] = 17683,
  [18791] = 17794,
  [18792] = 18056,
  [18793] = 5901,
  [18794] = 17894,
  [18795] = 17701,
  [18796] = 17794,
  [18797] = 18056,
  [18798] = 17685,
  [18799] = 17702,
  [18800] = 17894,
  [18801] = 17794,
  [18802] = 18056,
  [18803] = 17894,
  [18804] = 17794,
  [18805] = 17689,
  [18806] = 17684,
  [18807] = 18056,
  [18808] = 17894,
  [18809] = 17794,
  [18810] = 17701,
  [18811] = 18056,
  [18812] = 17715,
  [18813] = 17686,
  [18814] = 17894,
  [18815] = 17794,
  [18816] = 18056,
  [18817] = 17702,
  [18818] = 17690,
  [18819] = 17704,
  [18820] = 17705,
  [18821] = 17894,
  [18822] = 17794,
  [18823] = 18056,
  [18824] = 17706,
  [18825] = 17894,
  [18826] = 17794,
  [18827] = 18056,
  [18828] = 17684,
  [18829] = 17677,
  [18830] = 17685,
  [18831] = 17894,
  [18832] = 17684,
  [18833] = 17794,
  [18834] = 18056,
  [18835] = 17705,
  [18836] = 17689,
  [18837] = 17684,
  [18838] = 17894,
  [18839] = 17709,
  [18840] = 17794,
  [18841] = 17686,
  [18842] = 18056,
  [18843] = 17894,
  [18844] = 17794,
  [18845] = 17676,
  [18846] = 18056,
  [18847] = 17712,
  [18848] = 17686,
  [18849] = 17894,
  [18850] = 17794,
  [18851] = 17696,
  [18852] = 18056,
  [18853] = 17678,
  [18854] = 17770,
  [18855] = 18159,
  [18856] = 17894,
  [18857] = 17794,
  [18858] = 17694,
  [18859] = 18056,
  [18860] = 17715,
  [18861] = 17684,
  [18862] = 17774,
  [18863] = 17894,
  [18864] = 17794,
  [18865] = 17713,
  [18866] = 18056,
  [18867] = 17894,
  [18868] = 17778,
  [18869] = 17794,
  [18870] = 17686,
  [18871] = 18056,
  [18872] = 17696,
  [18873] = 17674,
  [18874] = 17683,
  [18875] = 17709,
  [18876] = 17894,
  [18877] = 17794,
  [18878] = 18056,
  [18879] = 17706,
  [18880] = 17678,
  [18881] = 17894,
  [18882] = 17794,
  [18883] = 18056,
  [18884] = 17701,
  [18885] = 12423,
  [18886] = 17894,
  [18887] = 17794,
  [18888] = 17702,
  [18889] = 18056,
  [18890] = 17694,
  [18891] = 17894,
  [18892] = 17794,
  [18893] = 18056,
  [18894] = 18326,
  [18895] = 17894,
  [18896] = 17794,
  [18897] = 18056,
  [18898] = 17894,
  [18899] = 17794,
  [18900] = 17701,
  [18901] = 18056,
  [18902] = 17691,
  [18903] = 17894,
  [18904] = 17938,
  [18905] = 17794,
  [18906] = 18363,
  [18907] = 17713,
  [18908] = 18056,
  [18909] = 17709,
  [18910] = 17894,
  [18911] = 17794,
  [18912] = 18056,
  [18913] = 17800,
  [18914] = 14103,
  [18915] = 18658,
  [18916] = 17894,
  [18917] = 17794,
  [18918] = 18056,
  [18919] = 17684,
  [18920] = 17894,
  [18921] = 17684,
  [18922] = 17794,
  [18923] = 18056,
  [18924] = 17676,
  [18925] = 17686,
  [18926] = 17894,
  [18927] = 17794,
  [18928] = 18056,
  [18929] = 17712,
  [18930] = 17894,
  [18931] = 17794,
  [18932] = 18056,
  [18933] = 17696,
  [18934] = 14135,
  [18935] = 17678,
  [18936] = 17894,
  [18937] = 17794,
  [18938] = 17752,
  [18939] = 18056,
  [18940] = 17840,
  [18941] = 17694,
  [18942] = 17683,
  [18943] = 17894,
  [18944] = 17794,
  [18945] = 18056,
  [18946] = 17894,
  [18947] = 18056,
  [18948] = 17894,
  [18949] = 18056,
  [18950] = 17894,
  [18951] = 18056,
  [18952] = 17894,
  [18953] = 18056,
  [18954] = 17894,
  [18955] = 18056,
  [18956] = 17894,
  [18957] = 18056,
  [18958] = 17894,
  [18959] = 18056,
  [18960] = 17894,
  [18961] = 18056,
  [18962] = 17894,
  [18963] = 18056,
  [18964] = 17894,
  [18965] = 18056,
  [18966] = 17894,
  [18967] = 18056,
  [18968] = 17894,
  [18969] = 18056,
  [18970] = 17894,
  [18971] = 18056,
  [18972] = 17894,
  [18973] = 18056,
  [18974] = 18056,
  [18975] = 18056,
  [18976] = 18056,
  [18977] = 18056,
  [18978] = 18056,
  [18979] = 18056,
  [18980] = 18056,
  [18981] = 18056,
  [18982] = 18056,
  [18983] = 18056,
  [18984] = 18056,
  [18985] = 18056,
  [18986] = 18056,
  [18987] = 18056,
  [18988] = 18056,
  [18989] = 18056,
  [18990] = 18056,
  [18991] = 18056,
  [18992] = 18056,
  [18993] = 18056,
  [18994] = 18056,
  [18995] = 18056,
  [18996] = 17713,
  [18997] = 18997,
  [18998] = 17684,
  [18999] = 14033,
  [19000] = 17683,
  [19001] = 17840,
  [19002] = 18035,
  [19003] = 17701,
  [19004] = 17684,
  [19005] = 17702,
  [19006] = 17686,
  [19007] = 17702,
  [19008] = 18015,
  [19009] = 18125,
  [19010] = 17741,
  [19011] = 17680,
  [19012] = 17681,
  [19013] = 18559,
  [19014] = 17687,
  [19015] = 17686,
  [19016] = 17682,
  [19017] = 17696,
  [19018] = 17731,
  [19019] = 17686,
  [19020] = 17684,
  [19021] = 17678,
  [19022] = 18997,
  [19023] = 17701,
  [19024] = 17686,
  [19025] = 18580,
  [19026] = 17696,
  [19027] = 17675,
  [19028] = 17678,
  [19029] = 17696,
  [19030] = 17735,
  [19031] = 17678,
  [19032] = 17736,
  [19033] = 17678,
  [19034] = 17704,
  [19035] = 17705,
  [19036] = 17694,
  [19037] = 17702,
  [19038] = 17706,
  [19039] = 17696,
  [19040] = 17968,
  [19041] = 17694,
  [19042] = 17976,
  [19043] = 17741,
  [19044] = 17713,
  [19045] = 17968,
  [19046] = 17694,
  [19047] = 17976,
  [19048] = 17683,
  [19049] = 17968,
  [19050] = 17976,
  [19051] = 17677,
  [19052] = 17752,
  [19053] = 17786,
  [19054] = 17752,
  [19055] = 17696,
  [19056] = 17701,
  [19057] = 17752,
  [19058] = 17713,
  [19059] = 17675,
  [19060] = 17675,
  [19061] = 17690,
  [19062] = 19062,
  [19063] = 19063,
  [19064] = 19064,
  [19065] = 19065,
  [19066] = 19066,
  [19067] = 19067,
  [19068] = 19068,
  [19069] = 19069,
  [19070] = 19070,
  [19071] = 19071,
  [19072] = 19070,
  [19073] = 19073,
  [19074] = 19074,
  [19075] = 19075,
  [19076] = 19076,
  [19077] = 19077,
  [19078] = 19078,
  [19079] = 19079,
  [19080] = 19080,
  [19081] = 19081,
  [19082] = 19082,
  [19083] = 19083,
  [19084] = 19083,
  [19085] = 19078,
  [19086] = 19066,
  [19087] = 19087,
  [19088] = 19067,
  [19089] = 19071,
  [19090] = 19071,
  [19091] = 19079,
  [19092] = 19073,
  [19093] = 19093,
  [19094] = 19074,
  [19095] = 19075,
  [19096] = 19076,
  [19097] = 19071,
  [19098] = 19078,
  [19099] = 19099,
  [19100] = 12429,
  [19101] = 19065,
  [19102] = 19080,
  [19103] = 19103,
  [19104] = 19067,
  [19105] = 19071,
  [19106] = 19069,
  [19107] = 19067,
  [19108] = 19071,
  [19109] = 19079,
  [19110] = 19099,
  [19111] = 19073,
  [19112] = 19067,
  [19113] = 19079,
  [19114] = 19071,
  [19115] = 19074,
  [19116] = 19075,
  [19117] = 19076,
  [19118] = 19078,
  [19119] = 19079,
  [19120] = 19070,
  [19121] = 19067,
  [19122] = 19081,
  [19123] = 19080,
  [19124] = 19069,
  [19125] = 19125,
  [19126] = 19083,
  [19127] = 19074,
  [19128] = 19075,
  [19129] = 19077,
  [19130] = 19071,
  [19131] = 19076,
  [19132] = 19079,
  [19133] = 19067,
  [19134] = 19073,
  [19135] = 19099,
  [19136] = 19083,
  [19137] = 19074,
  [19138] = 19075,
  [19139] = 19076,
  [19140] = 19071,
  [19141] = 19078,
  [19142] = 19142,
  [19143] = 19079,
  [19144] = 19065,
  [19145] = 19145,
  [19146] = 19146,
  [19147] = 19067,
  [19148] = 12227,
  [19149] = 19071,
  [19150] = 19069,
  [19151] = 19079,
  [19152] = 19067,
  [19153] = 19153,
  [19154] = 19071,
  [19155] = 19079,
  [19156] = 19067,
  [19157] = 19067,
  [19158] = 19073,
  [19159] = 19065,
  [19160] = 19074,
  [19161] = 19075,
  [19162] = 19076,
  [19163] = 19078,
  [19164] = 19164,
  [19165] = 19071,
  [19166] = 19080,
  [19167] = 19079,
  [19168] = 19168,
  [19169] = 19169,
  [19170] = 19087,
  [19171] = 19077,
  [19172] = 19069,
  [19173] = 19173,
  [19174] = 19067,
  [19175] = 19073,
  [19176] = 19176,
  [19177] = 19125,
  [19178] = 19074,
  [19179] = 19075,
  [19180] = 19076,
  [19181] = 19078,
  [19182] = 19080,
  [19183] = 19066,
  [19184] = 19077,
  [19185] = 19185,
  [19186] = 19080,
  [19187] = 19187,
  [19188] = 19080,
  [19189] = 19070,
  [19190] = 19081,
  [19191] = 19153,
  [19192] = 19073,
  [19193] = 19153,
  [19194] = 19071,
  [19195] = 19195,
  [19196] = 19074,
  [19197] = 19075,
  [19198] = 19076,
  [19199] = 19070,
  [19200] = 19078,
  [19201] = 19079,
  [19202] = 19125,
  [19203] = 19069,
  [19204] = 19065,
  [19205] = 19067,
  [19206] = 19066,
  [19207] = 19071,
  [19208] = 19153,
  [19209] = 19069,
  [19210] = 19168,
  [19211] = 19125,
  [19212] = 19099,
  [19213] = 19079,
  [19214] = 19073,
  [19215] = 19074,
  [19216] = 19075,
  [19217] = 19076,
  [19218] = 19065,
  [19219] = 19080,
  [19220] = 19220,
  [19221] = 19080,
  [19222] = 19222,
  [19223] = 19223,
  [19224] = 19065,
  [19225] = 19080,
  [19226] = 19226,
  [19227] = 19069,
  [19228] = 19228,
  [19229] = 19125,
  [19230] = 19073,
  [19231] = 19071,
  [19232] = 19071,
  [19233] = 19074,
  [19234] = 19075,
  [19235] = 19076,
  [19236] = 19099,
  [19237] = 19073,
  [19238] = 19099,
  [19239] = 19067,
  [19240] = 19070,
  [19241] = 19077,
  [19242] = 19103,
  [19243] = 19070,
  [19244] = 19187,
  [19245] = 19081,
  [19246] = 19074,
  [19247] = 19093,
  [19248] = 19073,
  [19249] = 19079,
  [19250] = 19075,
  [19251] = 19074,
  [19252] = 19075,
  [19253] = 19076,
  [19254] = 19153,
  [19255] = 19076,
  [19256] = 19081,
  [19257] = 19257,
  [19258] = 19079,
  [19259] = 19074,
  [19260] = 19081,
  [19261] = 19082,
  [19262] = 19262,
  [19263] = 19263,
  [19264] = 19078,
  [19265] = 19265,
  [19266] = 19079,
  [19267] = 19070,
  [19268] = 19080,
  [19269] = 19069,
  [19270] = 19073,
  [19271] = 19079,
  [19272] = 19075,
  [19273] = 19074,
  [19274] = 19075,
  [19275] = 19076,
  [19276] = 19103,
  [19277] = 19277,
  [19278] = 19073,
  [19279] = 19066,
  [19280] = 19083,
  [19281] = 19281,
  [19282] = 19187,
  [19283] = 19283,
  [19284] = 19081,
  [19285] = 19070,
  [19286] = 19286,
  [19287] = 19074,
  [19288] = 19067,
  [19289] = 19073,
  [19290] = 19074,
  [19291] = 19075,
  [19292] = 19076,
  [19293] = 19075,
  [19294] = 19125,
  [19295] = 19295,
  [19296] = 19076,
  [19297] = 19069,
  [19298] = 19065,
  [19299] = 19063,
  [19300] = 19300,
  [19301] = 19185,
  [19302] = 19295,
  [19303] = 19067,
  [19304] = 19079,
  [19305] = 19073,
  [19306] = 19067,
  [19307] = 19125,
  [19308] = 19071,
  [19309] = 19074,
  [19310] = 19075,
  [19311] = 19076,
  [19312] = 19071,
  [19313] = 19099,
  [19314] = 19077,
  [19315] = 19082,
  [19316] = 19079,
  [19317] = 19300,
  [19318] = 19099,
  [19319] = 19070,
  [19320] = 19071,
  [19321] = 19081,
  [19322] = 19067,
  [19323] = 19069,
  [19324] = 19223,
  [19325] = 19073,
  [19326] = 19077,
  [19327] = 19083,
  [19328] = 19328,
  [19329] = 19074,
  [19330] = 19075,
  [19331] = 19076,
  [19332] = 19067,
  [19333] = 19078,
  [19334] = 19065,
  [19335] = 19223,
  [19336] = 19336,
  [19337] = 19337,
  [19338] = 19338,
  [19339] = 19069,
  [19340] = 19065,
  [19341] = 19066,
  [19342] = 12097,
  [19343] = 19343,
  [19344] = 19073,
  [19345] = 19125,
  [19346] = 19346,
  [19347] = 19074,
  [19348] = 19075,
  [19349] = 19076,
  [19350] = 19083,
  [19351] = 19080,
  [19352] = 19228,
  [19353] = 19068,
  [19354] = 19354,
  [19355] = 19071,
  [19356] = 19067,
  [19357] = 19357,
  [19358] = 19103,
  [19359] = 19071,
  [19360] = 19099,
  [19361] = 19070,
  [19362] = 19080,
  [19363] = 19363,
  [19364] = 19073,
  [19365] = 19071,
  [19366] = 19074,
  [19367] = 19075,
  [19368] = 19076,
  [19369] = 19099,
  [19370] = 19370,
  [19371] = 19093,
  [19372] = 19142,
  [19373] = 19065,
  [19374] = 19073,
  [19375] = 19080,
  [19376] = 19065,
  [19377] = 19222,
  [19378] = 19087,
  [19379] = 19354,
  [19380] = 19079,
  [19381] = 19073,
  [19382] = 19187,
  [19383] = 19074,
  [19384] = 19075,
  [19385] = 19076,
  [19386] = 19074,
  [19387] = 19093,
  [19388] = 19075,
  [19389] = 19300,
  [19390] = 19076,
  [19391] = 19081,
  [19392] = 19073,
  [19393] = 19142,
  [19394] = 19080,
  [19395] = 19099,
  [19396] = 19074,
  [19397] = 19075,
  [19398] = 19076,
  [19399] = 19065,
  [19400] = 19153,
  [19401] = 19153,
  [19402] = 19402,
  [19403] = 19300,
  [19404] = 19404,
  [19405] = 19405,
  [19406] = 19082,
  [19407] = 19407,
  [19408] = 19277,
  [19409] = 19078,
  [19410] = 19083,
  [19411] = 19069,
  [19412] = 19073,
  [19413] = 19067,
  [19414] = 19079,
  [19415] = 19074,
  [19416] = 19075,
  [19417] = 19076,
  [19418] = 19073,
  [19419] = 19168,
  [19420] = 19069,
  [19421] = 19069,
  [19422] = 19069,
  [19423] = 19262,
  [19424] = 19073,
  [19425] = 19074,
  [19426] = 19075,
  [19427] = 19076,
  [19428] = 19407,
  [19429] = 19099,
  [19430] = 19069,
  [19431] = 19077,
  [19432] = 19281,
  [19433] = 19073,
  [19434] = 19074,
  [19435] = 19075,
  [19436] = 19076,
  [19437] = 19067,
  [19438] = 19071,
  [19439] = 19073,
  [19440] = 19074,
  [19441] = 19075,
  [19442] = 19076,
  [19443] = 19103,
  [19444] = 19125,
  [19445] = 19067,
  [19446] = 19073,
  [19447] = 19074,
  [19448] = 19075,
  [19449] = 19076,
  [19450] = 19300,
  [19451] = 19153,
  [19452] = 19065,
  [19453] = 19073,
  [19454] = 19074,
  [19455] = 19075,
  [19456] = 19076,
  [19457] = 19346,
  [19458] = 19187,
  [19459] = 19080,
  [19460] = 19073,
  [19461] = 19074,
  [19462] = 19075,
  [19463] = 19076,
  [19464] = 19168,
  [19465] = 19153,
  [19466] = 19073,
  [19467] = 19074,
  [19468] = 19075,
  [19469] = 19076,
  [19470] = 19470,
  [19471] = 19069,
  [19472] = 19472,
  [19473] = 19073,
  [19474] = 19074,
  [19475] = 19075,
  [19476] = 19076,
  [19477] = 19125,
  [19478] = 19263,
  [19479] = 19073,
  [19480] = 19074,
  [19481] = 19075,
  [19482] = 19076,
  [19483] = 19300,
  [19484] = 19079,
  [19485] = 19073,
  [19486] = 19074,
  [19487] = 19075,
  [19488] = 19076,
  [19489] = 19066,
  [19490] = 19079,
  [19491] = 19073,
  [19492] = 19074,
  [19493] = 19075,
  [19494] = 19076,
  [19495] = 19125,
  [19496] = 19077,
  [19497] = 19073,
  [19498] = 19074,
  [19499] = 19075,
  [19500] = 19076,
  [19501] = 19262,
  [19502] = 19077,
  [19503] = 19068,
  [19504] = 19073,
  [19505] = 19074,
  [19506] = 19075,
  [19507] = 19076,
  [19508] = 19080,
  [19509] = 19470,
  [19510] = 19071,
  [19511] = 19073,
  [19512] = 19074,
  [19513] = 19075,
  [19514] = 19076,
  [19515] = 19515,
  [19516] = 19070,
  [19517] = 19073,
  [19518] = 19081,
  [19519] = 19099,
  [19520] = 19073,
  [19521] = 19407,
  [19522] = 19073,
  [19523] = 19073,
  [19524] = 19125,
  [19525] = 19079,
  [19526] = 19073,
  [19527] = 19187,
  [19528] = 19074,
  [19529] = 19073,
  [19530] = 19075,
  [19531] = 19076,
  [19532] = 19073,
  [19533] = 19071,
  [19534] = 19076,
  [19535] = 19073,
  [19536] = 19099,
  [19537] = 19083,
  [19538] = 19073,
  [19539] = 19080,
  [19540] = 19082,
  [19541] = 19073,
  [19542] = 19078,
  [19543] = 19281,
  [19544] = 19073,
  [19545] = 19300,
  [19546] = 19082,
  [19547] = 19073,
  [19548] = 19070,
  [19549] = 19065,
  [19550] = 19073,
  [19551] = 19065,
  [19552] = 19286,
  [19553] = 19073,
  [19554] = 19071,
  [19555] = 19080,
  [19556] = 19073,
  [19557] = 19067,
  [19558] = 19069,
  [19559] = 19073,
  [19560] = 19099,
  [19561] = 19079,
  [19562] = 19073,
  [19563] = 19070,
  [19564] = 19153,
  [19565] = 19073,
  [19566] = 19080,
  [19567] = 19083,
  [19568] = 19073,
  [19569] = 19065,
  [19570] = 19173,
  [19571] = 19073,
  [19572] = 19080,
  [19573] = 19153,
  [19574] = 19073,
  [19575] = 19153,
  [19576] = 19099,
  [19577] = 19073,
  [19578] = 19578,
  [19579] = 19125,
  [19580] = 19073,
  [19581] = 19066,
  [19582] = 19125,
  [19583] = 19073,
  [19584] = 19263,
  [19585] = 19585,
  [19586] = 19283,
  [19587] = 19070,
  [19588] = 19081,
  [19589] = 19077,
  [19590] = 19069,
  [19591] = 19263,
  [19592] = 19125,
  [19593] = 19286,
  [19594] = 19336,
  [19595] = 19066,
  [19596] = 19125,
  [19597] = 19125,
  [19598] = 19074,
  [19599] = 19220,
  [19600] = 19075,
  [19601] = 19076,
  [19602] = 19079,
  [19603] = 19065,
  [19604] = 19079,
  [19605] = 19605,
  [19606] = 19103,
  [19607] = 19069,
  [19608] = 19073,
  [19609] = 19063,
  [19610] = 19071,
  [19611] = 19074,
  [19612] = 19075,
  [19613] = 19125,
  [19614] = 19343,
  [19615] = 19080,
  [19616] = 19076,
  [19617] = 19099,
  [19618] = 19069,
  [19619] = 19472,
  [19620] = 19620,
  [19621] = 19080,
  [19622] = 19066,
  [19623] = 19082,
  [19624] = 19071,
  [19625] = 19625,
  [19626] = 19265,
  [19627] = 19078,
  [19628] = 19628,
  [19629] = 19071,
  [19630] = 19099,
  [19631] = 19062,
  [19632] = 19067,
  [19633] = 19099,
  [19634] = 19080,
  [19635] = 19195,
  [19636] = 19222,
  [19637] = 19079,
  [19638] = 19638,
  [19639] = 19082,
  [19640] = 19079,
  [19641] = 19625,
  [19642] = 19642,
  [19643] = 19125,
  [19644] = 19062,
  [19645] = 19645,
  [19646] = 19077,
  [19647] = 19078,
  [19648] = 19343,
  [19649] = 19153,
  [19650] = 19087,
  [19651] = 19169,
  [19652] = 19652,
  [19653] = 19605,
  [19654] = 19065,
  [19655] = 19168,
  [19656] = 19103,
  [19657] = 19223,
  [19658] = 19063,
  [19659] = 19228,
  [19660] = 19300,
  [19661] = 19066,
  [19662] = 19662,
  [19663] = 19346,
  [19664] = 19070,
  [19665] = 19068,
  [19666] = 19103,
  [19667] = 19125,
  [19668] = 19067,
  [19669] = 19222,
  [19670] = 19081,
  [19671] = 19071,
  [19672] = 19103,
  [19673] = 19067,
  [19674] = 19099,
  [19675] = 19067,
  [19676] = 19067,
  [19677] = 19073,
  [19678] = 19070,
  [19679] = 19070,
  [19680] = 19281,
  [19681] = 19300,
  [19682] = 19187,
  [19683] = 19187,
  [19684] = 19176,
  [19685] = 19125,
  [19686] = 19079,
  [19687] = 19262,
  [19688] = 19077,
  [19689] = 19073,
  [19690] = 19142,
  [19691] = 19070,
  [19692] = 19081,
  [19693] = 19283,
  [19694] = 19065,
  [19695] = 19074,
  [19696] = 19075,
  [19697] = 19168,
  [19698] = 19076,
  [19699] = 19065,
  [19700] = 19286,
  [19701] = 19065,
  [19702] = 19065,
  [19703] = 19065,
  [19704] = 19065,
  [19705] = 19069,
  [19706] = 19074,
  [19707] = 19263,
  [19708] = 19087,
  [19709] = 19082,
  [19710] = 19099,
  [19711] = 19336,
  [19712] = 19078,
  [19713] = 19075,
  [19714] = 19220,
  [19715] = 19080,
  [19716] = 19067,
  [19717] = 19077,
  [19718] = 19605,
  [19719] = 19071,
  [19720] = 19099,
  [19721] = 19076,
  [19722] = 19722,
  [19723] = 19125,
  [19724] = 19470,
  [19725] = 19063,
  [19726] = 19083,
  [19727] = 19727,
  [19728] = 19071,
  [19729] = 19099,
  [19730] = 19173,
  [19731] = 19300,
  [19732] = 19300,
  [19733] = 19168,
  [19734] = 19642,
  [19735] = 19066,
  [19736] = 19079,
  [19737] = 19077,
  [19738] = 19082,
  [19739] = 19125,
  [19740] = 19662,
  [19741] = 19083,
  [19742] = 19742,
  [19743] = 19087,
  [19744] = 19744,
  [19745] = 19070,
  [19746] = 19346,
  [19747] = 19081,
  [19748] = 19295,
  [19749] = 19067,
  [19750] = 19079,
  [19751] = 19069,
  [19752] = 19220,
  [19753] = 19295,
  [19754] = 19223,
  [19755] = 19070,
  [19756] = 19068,
  [19757] = 19067,
  [19758] = 19078,
  [19759] = 19079,
  [19760] = 19077,
  [19761] = 19071,
  [19762] = 19099,
  [19763] = 19067,
  [19764] = 19077,
  [19765] = 19346,
  [19766] = 19073,
  [19767] = 19336,
  [19768] = 19068,
  [19769] = 19083,
  [19770] = 19065,
  [19771] = 19103,
  [19772] = 19220,
  [19773] = 19069,
  [19774] = 19069,
  [19775] = 19074,
  [19776] = 19077,
  [19777] = 19405,
  [19778] = 19075,
  [19779] = 19070,
  [19780] = 19070,
  [19781] = 19081,
  [19782] = 19076,
  [19783] = 19079,
  [19784] = 19070,
  [19785] = 19067,
  [19786] = 19071,
  [19787] = 19070,
  [19788] = 19082,
  [19789] = 19065,
  [19790] = 19099,
  [19791] = 19065,
  [19792] = 19642,
  [19793] = 19078,
  [19794] = 19069,
  [19795] = 19067,
  [19796] = 19796,
  [19797] = 19069,
  [19798] = 19069,
  [19799] = 19080,
  [19800] = 19662,
  [19801] = 19069,
  [19802] = 19125,
  [19803] = 19262,
  [19804] = 19228,
  [19805] = 19081,
  [19806] = 19806,
  [19807] = 19071,
  [19808] = 19071,
  [19809] = 19099,
  [19810] = 19079,
  [19811] = 19168,
  [19812] = 19065,
  [19813] = 19125,
  [19814] = 19620,
  [19815] = 19815,
  [19816] = 19066,
  [19817] = 19079,
  [19818] = 19077,
  [19819] = 19067,
  [19820] = 19220,
  [19821] = 19080,
  [19822] = 19125,
  [19823] = 19063,
  [19824] = 19071,
  [19825] = 19283,
  [19826] = 19076,
  [19827] = 19125,
  [19828] = 19195,
  [19829] = 19065,
  [19830] = 19099,
  [19831] = 19070,
  [19832] = 19815,
  [19833] = 19069,
  [19834] = 19153,
  [19835] = 19067,
  [19836] = 19578,
  [19837] = 19080,
  [19838] = 19065,
  [19839] = 19070,
  [19840] = 19840,
  [19841] = 19073,
  [19842] = 19080,
  [19843] = 19220,
  [19844] = 19070,
  [19845] = 19077,
  [19846] = 19081,
  [19847] = 19074,
  [19848] = 19075,
  [19849] = 19076,
  [19850] = 19103,
  [19851] = 19642,
  [19852] = 19077,
  [19853] = 19070,
  [19854] = 19081,
  [19855] = 19082,
  [19856] = 19070,
  [19857] = 19067,
  [19858] = 19220,
  [19859] = 19081,
  [19860] = 19079,
  [19861] = 19078,
  [19862] = 19079,
  [19863] = 19103,
  [19864] = 19066,
  [19865] = 19125,
  [19866] = 19079,
  [19867] = 19067,
  [19868] = 19071,
  [19869] = 19065,
  [19870] = 19083,
  [19871] = 19168,
  [19872] = 19069,
  [19873] = 19067,
  [19874] = 19125,
  [19875] = 19083,
  [19876] = 19295,
  [19877] = 19220,
  [19878] = 19070,
  [19879] = 19173,
  [19880] = 19080,
  [19881] = 19080,
  [19882] = 19080,
  [19883] = 19067,
  [19884] = 19065,
  [19885] = 19223,
  [19886] = 19065,
  [19887] = 19071,
  [19888] = 19220,
  [19889] = 19222,
  [19890] = 19066,
  [19891] = 19125,
  [19892] = 19071,
  [19893] = 19893,
  [19894] = 19099,
  [19895] = 19125,
  [19896] = 19220,
  [19897] = 19069,
  [19898] = 19071,
  [19899] = 19099,
  [19900] = 19228,
  [19901] = 19071,
  [19902] = 19099,
  [19903] = 19069,
  [19904] = 19081,
  [19905] = 19220,
  [19906] = 19073,
  [19907] = 19099,
  [19908] = 19080,
  [19909] = 19277,
  [19910] = 19074,
  [19911] = 19079,
  [19912] = 19075,
  [19913] = 19076,
  [19914] = 19077,
  [19915] = 19220,
  [19916] = 19099,
  [19917] = 19071,
  [19918] = 19918,
  [19919] = 19067,
  [19920] = 19070,
  [19921] = 19153,
  [19922] = 19080,
  [19923] = 19081,
  [19924] = 19082,
  [19925] = 19078,
  [19926] = 19066,
  [19927] = 19927,
  [19928] = 19065,
  [19929] = 19125,
  [19930] = 19065,
  [19931] = 19067,
  [19932] = 19080,
  [19933] = 19080,
  [19934] = 19093,
  [19935] = 19223,
  [19936] = 19405,
  [19937] = 19103,
  [19938] = 19099,
  [19939] = 19066,
  [19940] = 19153,
  [19941] = 19073,
  [19942] = 19071,
  [19943] = 19079,
  [19944] = 19099,
  [19945] = 19103,
  [19946] = 19099,
  [19947] = 19077,
  [19948] = 19281,
  [19949] = 19083,
  [19950] = 19222,
  [19951] = 19073,
  [19952] = 19153,
  [19953] = 19277,
  [19954] = 19074,
  [19955] = 19075,
  [19956] = 19076,
  [19957] = 19337,
  [19958] = 19077,
  [19959] = 19073,
  [19960] = 19093,
  [19961] = 19407,
  [19962] = 19070,
  [19963] = 19082,
  [19964] = 19081,
  [19965] = 19065,
  [19966] = 19070,
  [19967] = 19173,
  [19968] = 19078,
  [19969] = 19073,
  [19970] = 19103,
  [19971] = 19187,
  [19972] = 19074,
  [19973] = 19075,
  [19974] = 19065,
  [19975] = 19076,
  [19976] = 19370,
  [19977] = 19063,
  [19978] = 19069,
  [19979] = 19069,
  [19980] = 19079,
  [19981] = 19069,
  [19982] = 19645,
  [19983] = 19357,
  [19984] = 19662,
  [19985] = 19103,
  [19986] = 19066,
  [19987] = 19080,
  [19988] = 19222,
  [19989] = 19187,
  [19990] = 19067,
  [19991] = 19082,
  [19992] = 19080,
  [19993] = 19071,
  [19994] = 19099,
  [19995] = 19343,
  [19996] = 19300,
  [19997] = 12659,
  [19998] = 19080,
  [19999] = 19283,
  [20000] = 20000,
  [20001] = 19078,
  [20002] = 19073,
  [20003] = 19079,
  [20004] = 19168,
  [20005] = 19069,
  [20006] = 19585,
  [20007] = 19074,
  [20008] = 19075,
  [20009] = 19076,
  [20010] = 19071,
  [20011] = 19281,
  [20012] = 19153,
  [20013] = 19099,
  [20014] = 19187,
  [20015] = 19082,
  [20016] = 19283,
  [20017] = 19078,
  [20018] = 13537,
  [20019] = 19300,
  [20020] = 19286,
  [20021] = 19067,
  [20022] = 19074,
  [20023] = 19071,
  [20024] = 19099,
  [20025] = 19075,
  [20026] = 19076,
  [20027] = 19168,
  [20028] = 19079,
  [20029] = 19407,
  [20030] = 19195,
  [20031] = 19063,
  [20032] = 19079,
  [20033] = 19300,
  [20034] = 19286,
  [20035] = 20035,
  [20036] = 19071,
  [20037] = 19099,
  [20038] = 19066,
  [20039] = 19065,
  [20040] = 19066,
  [20041] = 19407,
  [20042] = 19103,
  [20043] = 19069,
  [20044] = 19079,
  [20045] = 19070,
  [20046] = 19062,
  [20047] = 19074,
  [20048] = 19067,
  [20049] = 19065,
  [20050] = 19073,
  [20051] = 19103,
  [20052] = 19074,
  [20053] = 19077,
  [20054] = 19075,
  [20055] = 19153,
  [20056] = 19076,
  [20057] = 19075,
  [20058] = 19093,
  [20059] = 19082,
  [20060] = 19078,
  [20061] = 19082,
  [20062] = 19087,
  [20063] = 19079,
  [20064] = 19103,
  [20065] = 19283,
  [20066] = 19336,
  [20067] = 19081,
  [20068] = 6487,
  [20069] = 19069,
  [20070] = 19067,
  [20071] = 19080,
  [20072] = 19076,
  [20073] = 19262,
  [20074] = 19078,
  [20075] = 19077,
  [20076] = 19625,
  [20077] = 19066,
  [20078] = 19077,
  [20079] = 20079,
  [20080] = 19079,
  [20081] = 19069,
  [20082] = 19079,
  [20083] = 19168,
  [20084] = 19300,
  [20085] = 19070,
  [20086] = 19081,
  [20087] = 19168,
  [20088] = 19073,
  [20089] = 19073,
  [20090] = 19080,
  [20091] = 19300,
  [20092] = 19300,
  [20093] = 19074,
  [20094] = 19125,
  [20095] = 19075,
  [20096] = 19076,
  [20097] = 19080,
  [20098] = 19079,
  [20099] = 20099,
  [20100] = 19125,
  [20101] = 19065,
  [20102] = 19082,
  [20103] = 19082,
  [20104] = 19078,
  [20105] = 19079,
  [20106] = 19300,
  [20107] = 19069,
  [20108] = 19079,
  [20109] = 19070,
  [20110] = 19346,
  [20111] = 19066,
  [20112] = 19125,
  [20113] = 19277,
  [20114] = 19068,
  [20115] = 19077,
  [20116] = 19079,
  [20117] = 19080,
  [20118] = 19605,
  [20119] = 19080,
  [20120] = 19125,
  [20121] = 19066,
  [20122] = 19070,
  [20123] = 19081,
  [20124] = 19070,
  [20125] = 19071,
  [20126] = 19099,
  [20127] = 19628,
  [20128] = 19336,
  [20129] = 19067,
  [20130] = 19080,
  [20131] = 19073,
  [20132] = 19063,
  [20133] = 19071,
  [20134] = 19074,
  [20135] = 19075,
  [20136] = 19071,
  [20137] = 19076,
  [20138] = 19099,
  [20139] = 19083,
  [20140] = 19470,
  [20141] = 19082,
  [20142] = 19099,
  [20143] = 19078,
  [20144] = 19228,
  [20145] = 19070,
  [20146] = 19067,
  [20147] = 19071,
  [20148] = 19065,
  [20149] = 19099,
  [20150] = 20150,
  [20151] = 19065,
  [20152] = 19336,
  [20153] = 19081,
  [20154] = 19079,
  [20155] = 19080,
  [20156] = 19077,
  [20157] = 19069,
  [20158] = 19066,
  [20159] = 19069,
  [20160] = 19405,
  [20161] = 19067,
  [20162] = 19168,
  [20163] = 19071,
  [20164] = 12089,
  [20165] = 19073,
  [20166] = 20166,
  [20167] = 19067,
  [20168] = 19074,
  [20169] = 19075,
  [20170] = 19067,
  [20171] = 19076,
  [20172] = 19073,
  [20173] = 19078,
  [20174] = 19080,
  [20175] = 19079,
  [20176] = 19079,
  [20177] = 19262,
  [20178] = 19067,
  [20179] = 19153,
  [20180] = 19153,
  [20181] = 19168,
  [20182] = 19295,
  [20183] = 19065,
  [20184] = 19187,
  [20185] = 19083,
  [20186] = 19066,
  [20187] = 19295,
  [20188] = 19074,
  [20189] = 19075,
  [20190] = 19076,
  [20191] = 19067,
  [20192] = 19402,
  [20193] = 19073,
  [20194] = 19071,
  [20195] = 19077,
  [20196] = 19063,
  [20197] = 19074,
  [20198] = 20198,
  [20199] = 19075,
  [20200] = 19070,
  [20201] = 19081,
  [20202] = 19076,
  [20203] = 19080,
  [20204] = 19078,
  [20205] = 19099,
  [20206] = 19071,
  [20207] = 19099,
  [20208] = 19067,
  [20209] = 19067,
  [20210] = 15609,
  [20211] = 19066,
  [20212] = 19079,
  [20213] = 19065,
  [20214] = 19082,
  [20215] = 19078,
  [20216] = 19168,
  [20217] = 19336,
  [20218] = 19079,
  [20219] = 19125,
  [20220] = 19071,
  [20221] = 19069,
  [20222] = 19073,
  [20223] = 19067,
  [20224] = 19103,
  [20225] = 19077,
  [20226] = 19062,
  [20227] = 19074,
  [20228] = 19075,
  [20229] = 19076,
  [20230] = 19103,
  [20231] = 19069,
  [20232] = 19078,
  [20233] = 19099,
  [20234] = 19153,
  [20235] = 19168,
  [20236] = 19065,
  [20237] = 19300,
  [20238] = 19066,
  [20239] = 19077,
  [20240] = 19173,
  [20241] = 19071,
  [20242] = 19125,
  [20243] = 19168,
  [20244] = 19082,
  [20245] = 19195,
  [20246] = 19073,
  [20247] = 19300,
  [20248] = 19286,
  [20249] = 19070,
  [20250] = 19074,
  [20251] = 19075,
  [20252] = 19076,
  [20253] = 19079,
  [20254] = 19083,
  [20255] = 19078,
  [20256] = 9209,
  [20257] = 12309,
  [20258] = 19079,
  [20259] = 12184,
  [20260] = 19625,
  [20261] = 19168,
  [20262] = 19066,
  [20263] = 19067,
  [20264] = 19067,
  [20265] = 19222,
  [20266] = 19078,
  [20267] = 19077,
  [20268] = 19300,
  [20269] = 19078,
  [20270] = 19073,
  [20271] = 19067,
  [20272] = 19074,
  [20273] = 19470,
  [20274] = 19125,
  [20275] = 19075,
  [20276] = 19125,
  [20277] = 19077,
  [20278] = 19077,
  [20279] = 19125,
  [20280] = 19080,
  [20281] = 19077,
  [20282] = 19065,
  [20283] = 19076,
  [20284] = 19071,
  [20285] = 19078,
  [20286] = 19336,
  [20287] = 19099,
  [20288] = 19337,
  [20289] = 19125,
  [20290] = 19069,
  [20291] = 19070,
  [20292] = 19071,
  [20293] = 19168,
  [20294] = 19071,
  [20295] = 19125,
  [20296] = 19099,
  [20297] = 19079,
  [20298] = 19078,
  [20299] = 19407,
  [20300] = 19168,
  [20301] = 19300,
  [20302] = 19081,
  [20303] = 19077,
  [20304] = 19079,
  [20305] = 19125,
  [20306] = 19077,
  [20307] = 19065,
  [20308] = 19067,
  [20309] = 19066,
  [20310] = 19077,
  [20311] = 19087,
  [20312] = 19077,
  [20313] = 19065,
  [20314] = 19070,
  [20315] = 19066,
  [20316] = 19069,
  [20317] = 19125,
  [20318] = 19070,
  [20319] = 19073,
  [20320] = 19070,
  [20321] = 19125,
  [20322] = 19067,
  [20323] = 19070,
  [20324] = 19081,
  [20325] = 19081,
  [20326] = 19074,
  [20327] = 19075,
  [20328] = 19076,
  [20329] = 19067,
  [20330] = 19078,
  [20331] = 19168,
  [20332] = 19077,
  [20333] = 19585,
  [20334] = 19066,
  [20335] = 19079,
  [20336] = 19099,
  [20337] = 19071,
  [20338] = 19066,
  [20339] = 19070,
  [20340] = 19077,
  [20341] = 19125,
  [20342] = 19081,
  [20343] = 19077,
  [20344] = 19125,
  [20345] = 19168,
  [20346] = 19067,
  [20347] = 19070,
  [20348] = 19099,
  [20349] = 19168,
  [20350] = 19081,
  [20351] = 19083,
  [20352] = 19073,
  [20353] = 19083,
  [20354] = 19074,
  [20355] = 19075,
  [20356] = 19223,
  [20357] = 19076,
  [20358] = 19263,
  [20359] = 19228,
  [20360] = 19354,
  [20361] = 19125,
  [20362] = 19078,
  [20363] = 19125,
  [20364] = 19065,
  [20365] = 19195,
  [20366] = 19083,
  [20367] = 20367,
  [20368] = 19069,
  [20369] = 19346,
  [20370] = 19893,
  [20371] = 19125,
  [20372] = 19071,
  [20373] = 19066,
  [20374] = 19069,
  [20375] = 19077,
  [20376] = 19079,
  [20377] = 19337,
  [20378] = 19087,
  [20379] = 19893,
  [20380] = 19073,
  [20381] = 19103,
  [20382] = 19067,
  [20383] = 19407,
  [20384] = 19065,
  [20385] = 19080,
  [20386] = 19337,
  [20387] = 19065,
  [20388] = 19077,
  [20389] = 19893,
  [20390] = 19073,
  [20391] = 19585,
  [20392] = 19070,
  [20393] = 19081,
  [20394] = 19103,
  [20395] = 19337,
  [20396] = 19069,
  [20397] = 19125,
  [20398] = 19074,
  [20399] = 19277,
  [20400] = 19073,
  [20401] = 19075,
  [20402] = 19069,
  [20403] = 19076,
  [20404] = 19187,
  [20405] = 19071,
  [20406] = 19078,
  [20407] = 19071,
  [20408] = 19281,
  [20409] = 19074,
  [20410] = 19079,
  [20411] = 19075,
  [20412] = 19354,
  [20413] = 20413,
  [20414] = 20414,
  [20415] = 20415,
  [20416] = 20416,
  [20417] = 20417,
  [20418] = 20418,
  [20419] = 20419,
  [20420] = 20420,
  [20421] = 20414,
  [20422] = 20422,
  [20423] = 20423,
  [20424] = 20424,
  [20425] = 20425,
  [20426] = 20426,
  [20427] = 20427,
  [20428] = 20428,
  [20429] = 20429,
  [20430] = 20430,
  [20431] = 20418,
  [20432] = 20413,
  [20433] = 20433,
  [20434] = 20434,
  [20435] = 20417,
  [20436] = 20428,
  [20437] = 20437,
  [20438] = 20438,
  [20439] = 20439,
  [20440] = 20440,
  [20441] = 20418,
  [20442] = 20419,
  [20443] = 20443,
  [20444] = 20444,
  [20445] = 20445,
  [20446] = 20420,
  [20447] = 20413,
  [20448] = 20448,
  [20449] = 20419,
  [20450] = 20420,
  [20451] = 20426,
  [20452] = 20452,
  [20453] = 20453,
  [20454] = 20414,
  [20455] = 20414,
  [20456] = 20417,
  [20457] = 20457,
  [20458] = 20428,
  [20459] = 20443,
  [20460] = 20460,
  [20461] = 20461,
  [20462] = 20462,
  [20463] = 20463,
  [20464] = 20464,
  [20465] = 20465,
  [20466] = 20466,
  [20467] = 20467,
  [20468] = 20437,
  [20469] = 20469,
  [20470] = 20470,
  [20471] = 20471,
  [20472] = 20472,
  [20473] = 20473,
  [20474] = 20474,
  [20475] = 20475,
  [20476] = 20465,
  [20477] = 20477,
  [20478] = 20478,
  [20479] = 20453,
  [20480] = 20480,
  [20481] = 20481,
  [20482] = 20482,
  [20483] = 20483,
  [20484] = 20484,
  [20485] = 20485,
  [20486] = 20486,
  [20487] = 20487,
  [20488] = 20424,
  [20489] = 20489,
  [20490] = 20490,
  [20491] = 20467,
  [20492] = 20492,
  [20493] = 20428,
  [20494] = 20430,
  [20495] = 20480,
  [20496] = 20496,
  [20497] = 20433,
  [20498] = 20434,
  [20499] = 20481,
  [20500] = 20482,
  [20501] = 20483,
  [20502] = 20502,
  [20503] = 20443,
  [20504] = 20504,
  [20505] = 20443,
  [20506] = 20453,
  [20507] = 20461,
  [20508] = 20444,
  [20509] = 20445,
  [20510] = 20510,
  [20511] = 20413,
  [20512] = 20462,
  [20513] = 20463,
  [20514] = 20464,
  [20515] = 20467,
  [20516] = 20452,
  [20517] = 20517,
  [20518] = 20469,
  [20519] = 20438,
  [20520] = 20520,
  [20521] = 20457,
  [20522] = 20478,
  [20523] = 20523,
  [20524] = 20415,
  [20525] = 20485,
  [20526] = 20443,
  [20527] = 20427,
  [20528] = 20461,
  [20529] = 20462,
  [20530] = 20463,
  [20531] = 20464,
  [20532] = 20492,
  [20533] = 20467,
  [20534] = 20438,
  [20535] = 20462,
  [20536] = 20472,
  [20537] = 20473,
  [20538] = 20474,
  [20539] = 20475,
  [20540] = 20453,
  [20541] = 20461,
  [20542] = 20469,
  [20543] = 20416,
  [20544] = 20465,
  [20545] = 20478,
  [20546] = 20510,
  [20547] = 20547,
  [20548] = 20548,
  [20549] = 20502,
  [20550] = 20422,
  [20551] = 20492,
  [20552] = 20424,
  [20553] = 20517,
  [20554] = 20462,
  [20555] = 20523,
  [20556] = 20415,
  [20557] = 20490,
  [20558] = 20430,
  [20559] = 20423,
  [20560] = 20427,
  [20561] = 20433,
  [20562] = 20434,
  [20563] = 20463,
  [20564] = 20416,
  [20565] = 20418,
  [20566] = 20502,
  [20567] = 20419,
  [20568] = 20420,
  [20569] = 20517,
  [20570] = 20414,
  [20571] = 20523,
  [20572] = 20445,
  [20573] = 20415,
  [20574] = 20413,
  [20575] = 20464,
  [20576] = 20576,
  [20577] = 20416,
  [20578] = 20427,
  [20579] = 20452,
  [20580] = 20580,
  [20581] = 20422,
  [20582] = 20582,
  [20583] = 20423,
  [20584] = 20457,
  [20585] = 20517,
  [20586] = 20586,
  [20587] = 20426,
  [20588] = 20490,
  [20589] = 20589,
  [20590] = 20440,
  [20591] = 20417,
  [20592] = 20419,
  [20593] = 20428,
  [20594] = 20586,
  [20595] = 20418,
  [20596] = 20596,
  [20597] = 20428,
  [20598] = 20598,
  [20599] = 20472,
  [20600] = 20473,
  [20601] = 20474,
  [20602] = 20475,
  [20603] = 20465,
  [20604] = 20419,
  [20605] = 20416,
  [20606] = 20422,
  [20607] = 20423,
  [20608] = 20490,
  [20609] = 20467,
  [20610] = 20582,
  [20611] = 20440,
  [20612] = 20420,
  [20613] = 20480,
  [20614] = 20481,
  [20615] = 20424,
  [20616] = 20482,
  [20617] = 20483,
  [20618] = 20596,
  [20619] = 20619,
  [20620] = 20448,
  [20621] = 20430,
  [20622] = 20485,
  [20623] = 20623,
  [20624] = 20433,
  [20625] = 20434,
  [20626] = 20414,
  [20627] = 20453,
  [20628] = 20416,
  [20629] = 20422,
  [20630] = 20576,
  [20631] = 20423,
  [20632] = 20632,
  [20633] = 20633,
  [20634] = 20440,
  [20635] = 20445,
  [20636] = 20417,
  [20637] = 20413,
  [20638] = 20596,
  [20639] = 20417,
  [20640] = 20418,
  [20641] = 20465,
  [20642] = 20452,
  [20643] = 20418,
  [20644] = 20419,
  [20645] = 20420,
  [20646] = 20443,
  [20647] = 20457,
  [20648] = 20419,
  [20649] = 20480,
  [20650] = 20481,
  [20651] = 20482,
  [20652] = 20420,
  [20653] = 20483,
  [20654] = 20461,
  [20655] = 20485,
  [20656] = 20576,
  [20657] = 20448,
  [20658] = 20658,
  [20659] = 20453,
  [20660] = 20418,
  [20661] = 20465,
  [20662] = 20472,
  [20663] = 20473,
  [20664] = 20474,
  [20665] = 20475,
  [20666] = 20419,
  [20667] = 20420,
  [20668] = 20668,
  [20669] = 20448,
  [20670] = 20414,
  [20671] = 20668,
  [20672] = 20462,
  [20673] = 20480,
  [20674] = 20424,
  [20675] = 20481,
  [20676] = 20676,
  [20677] = 20482,
  [20678] = 20483,
  [20679] = 20430,
  [20680] = 20433,
  [20681] = 20434,
  [20682] = 20463,
  [20683] = 20443,
  [20684] = 20485,
  [20685] = 20461,
  [20686] = 20462,
  [20687] = 20453,
  [20688] = 20428,
  [20689] = 20463,
  [20690] = 20464,
  [20691] = 20445,
  [20692] = 20413,
  [20693] = 20467,
  [20694] = 20417,
  [20695] = 20414,
  [20696] = 20418,
  [20697] = 20452,
  [20698] = 20419,
  [20699] = 20420,
  [20700] = 20414,
  [20701] = 20464,
  [20702] = 20457,
  [20703] = 20422,
  [20704] = 20469,
  [20705] = 20467,
  [20706] = 20469,
  [20707] = 20478,
  [20708] = 20469,
  [20709] = 20469,
  [20710] = 20438,
  [20711] = 20443,
  [20712] = 20417,
  [20713] = 20414,
  [20714] = 20418,
  [20715] = 20461,
  [20716] = 20419,
  [20717] = 20472,
  [20718] = 20473,
  [20719] = 20474,
  [20720] = 20475,
  [20721] = 20462,
  [20722] = 20463,
  [20723] = 20420,
  [20724] = 20414,
  [20725] = 20464,
  [20726] = 20467,
  [20727] = 20418,
  [20728] = 20443,
  [20729] = 20424,
  [20730] = 20461,
  [20731] = 20426,
  [20732] = 20469,
  [20733] = 20462,
  [20734] = 20430,
  [20735] = 20433,
  [20736] = 20434,
  [20737] = 20463,
  [20738] = 20464,
  [20739] = 20428,
  [20740] = 20438,
  [20741] = 20490,
  [20742] = 20466,
  [20743] = 20478,
  [20744] = 20492,
  [20745] = 20478,
  [20746] = 20445,
  [20747] = 20413,
  [20748] = 20490,
  [20749] = 20428,
  [20750] = 20492,
  [20751] = 20465,
  [20752] = 20452,
  [20753] = 20438,
  [20754] = 20478,
  [20755] = 20480,
  [20756] = 20426,
  [20757] = 20457,
  [20758] = 20443,
  [20759] = 20428,
  [20760] = 20502,
  [20761] = 20492,
  [20762] = 20461,
  [20763] = 20502,
  [20764] = 20517,
  [20765] = 20517,
  [20766] = 20481,
  [20767] = 20438,
  [20768] = 20523,
  [20769] = 20632,
  [20770] = 20415,
  [20771] = 20472,
  [20772] = 20473,
  [20773] = 20474,
  [20774] = 20475,
  [20775] = 20510,
  [20776] = 20523,
  [20777] = 20547,
  [20778] = 20462,
  [20779] = 20463,
  [20780] = 20780,
  [20781] = 20464,
  [20782] = 20782,
  [20783] = 20424,
  [20784] = 20784,
  [20785] = 20470,
  [20786] = 20467,
  [20787] = 20787,
  [20788] = 20430,
  [20789] = 20433,
  [20790] = 20434,
  [20791] = 20427,
  [20792] = 20469,
  [20793] = 20596,
  [20794] = 20794,
  [20795] = 20415,
  [20796] = 20478,
  [20797] = 20477,
  [20798] = 20427,
  [20799] = 20426,
  [20800] = 20445,
  [20801] = 20413,
  [20802] = 20416,
  [20803] = 20422,
  [20804] = 20804,
  [20805] = 20805,
  [20806] = 20452,
  [20807] = 20492,
  [20808] = 20423,
  [20809] = 20492,
  [20810] = 20428,
  [20811] = 20457,
  [20812] = 20812,
  [20813] = 20478,
  [20814] = 20429,
  [20815] = 20490,
  [20816] = 20437,
  [20817] = 20416,
  [20818] = 20502,
  [20819] = 20422,
  [20820] = 20423,
  [20821] = 20482,
  [20822] = 20517,
  [20823] = 20483,
  [20824] = 20443,
  [20825] = 20461,
  [20826] = 20472,
  [20827] = 20473,
  [20828] = 20474,
  [20829] = 20475,
  [20830] = 20416,
  [20831] = 20422,
  [20832] = 20462,
  [20833] = 20443,
  [20834] = 20461,
  [20835] = 20462,
  [20836] = 20443,
  [20837] = 20463,
  [20838] = 20424,
  [20839] = 20464,
  [20840] = 20461,
  [20841] = 20467,
  [20842] = 20463,
  [20843] = 20430,
  [20844] = 20433,
  [20845] = 20434,
  [20846] = 20469,
  [20847] = 20443,
  [20848] = 20461,
  [20849] = 20849,
  [20850] = 20462,
  [20851] = 20478,
  [20852] = 20463,
  [20853] = 20464,
  [20854] = 20854,
  [20855] = 20445,
  [20856] = 20413,
  [20857] = 20478,
  [20858] = 20464,
  [20859] = 20492,
  [20860] = 20467,
  [20861] = 20452,
  [20862] = 20490,
  [20863] = 20423,
  [20864] = 20465,
  [20865] = 20438,
  [20866] = 20457,
  [20867] = 20430,
  [20868] = 20469,
  [20869] = 20869,
  [20870] = 20490,
  [20871] = 20478,
  [20872] = 20440,
  [20873] = 20523,
  [20874] = 20502,
  [20875] = 20415,
  [20876] = 20517,
  [20877] = 20440,
  [20878] = 20878,
  [20879] = 20492,
  [20880] = 20523,
  [20881] = 20472,
  [20882] = 20473,
  [20883] = 20474,
  [20884] = 20475,
  [20885] = 20423,
  [20886] = 20426,
  [20887] = 20415,
  [20888] = 20589,
  [20889] = 20427,
  [20890] = 20427,
  [20891] = 20465,
  [20892] = 20466,
  [20893] = 20424,
  [20894] = 20894,
  [20895] = 20485,
  [20896] = 20443,
  [20897] = 20461,
  [20898] = 20430,
  [20899] = 20433,
  [20900] = 20434,
  [20901] = 20869,
  [20902] = 20502,
  [20903] = 20480,
  [20904] = 20481,
  [20905] = 20502,
  [20906] = 20482,
  [20907] = 20445,
  [20908] = 20453,
  [20909] = 20502,
  [20910] = 20483,
  [20911] = 20911,
  [20912] = 20416,
  [20913] = 20452,
  [20914] = 20424,
  [20915] = 20517,
  [20916] = 20916,
  [20917] = 20517,
  [20918] = 20457,
  [20919] = 20523,
  [20920] = 20415,
  [20921] = 20485,
  [20922] = 20422,
  [20923] = 20490,
  [20924] = 20453,
  [20925] = 20472,
  [20926] = 20473,
  [20927] = 20474,
  [20928] = 20475,
  [20929] = 20423,
  [20930] = 20427,
  [20931] = 20523,
  [20932] = 20932,
  [20933] = 20415,
  [20934] = 20428,
  [20935] = 20424,
  [20936] = 20596,
  [20937] = 20937,
  [20938] = 6398,
  [20939] = 20453,
  [20940] = 20430,
  [20941] = 20433,
  [20942] = 20434,
  [20943] = 20440,
  [20944] = 20419,
  [20945] = 20430,
  [20946] = 20416,
  [20947] = 20496,
  [20948] = 20422,
  [20949] = 20445,
  [20950] = 20413,
  [20951] = 20418,
  [20952] = 20423,
  [20953] = 20433,
  [20954] = 20434,
  [20955] = 20452,
  [20956] = 20419,
  [20957] = 20420,
  [20958] = 20414,
  [20959] = 20440,
  [20960] = 20457,
  [20961] = 20517,
  [20962] = 20782,
  [20963] = 20963,
  [20964] = 20964,
  [20965] = 20465,
  [20966] = 20472,
  [20967] = 20473,
  [20968] = 20474,
  [20969] = 20475,
  [20970] = 20427,
  [20971] = 20787,
  [20972] = 20523,
  [20973] = 20582,
  [20974] = 20443,
  [20975] = 20975,
  [20976] = 20424,
  [20977] = 20428,
  [20978] = 20784,
  [20979] = 20465,
  [20980] = 20576,
  [20981] = 20430,
  [20982] = 20433,
  [20983] = 20434,
  [20984] = 20490,
  [20985] = 20461,
  [20986] = 20502,
  [20987] = 20465,
  [20988] = 20510,
  [20989] = 20547,
  [20990] = 20445,
  [20991] = 20413,
  [20992] = 20484,
  [20993] = 20480,
  [20994] = 20994,
  [20995] = 20444,
  [20996] = 20452,
  [20997] = 20462,
  [20998] = 20998,
  [20999] = 20463,
  [21000] = 20480,
  [21001] = 20457,
  [21002] = 20481,
  [21003] = 20445,
  [21004] = 20482,
  [21005] = 20483,
  [21006] = 20596,
  [21007] = 20472,
  [21008] = 20473,
  [21009] = 20474,
  [21010] = 20475,
  [21011] = 20485,
  [21012] = 20467,
  [21013] = 20453,
  [21014] = 20598,
  [21015] = 20413,
  [21016] = 20490,
  [21017] = 20424,
  [21018] = 20443,
  [21019] = 20461,
  [21020] = 20582,
  [21021] = 20462,
  [21022] = 20430,
  [21023] = 20433,
  [21024] = 20434,
  [21025] = 20452,
  [21026] = 20463,
  [21027] = 20464,
  [21028] = 20467,
  [21029] = 20464,
  [21030] = 20469,
  [21031] = 20445,
  [21032] = 20413,
  [21033] = 20467,
  [21034] = 20480,
  [21035] = 20478,
  [21036] = 20416,
  [21037] = 20452,
  [21038] = 20422,
  [21039] = 20423,
  [21040] = 20787,
  [21041] = 20481,
  [21042] = 20457,
  [21043] = 20469,
  [21044] = 20440,
  [21045] = 20417,
  [21046] = 20418,
  [21047] = 20419,
  [21048] = 20472,
  [21049] = 20473,
  [21050] = 20474,
  [21051] = 20475,
  [21052] = 20420,
  [21053] = 20414,
  [21054] = 20482,
  [21055] = 21055,
  [21056] = 21056,
  [21057] = 20492,
  [21058] = 20424,
  [21059] = 20633,
  [21060] = 20869,
  [21061] = 20483,
  [21062] = 20478,
  [21063] = 20430,
  [21064] = 20433,
  [21065] = 20434,
  [21066] = 20426,
  [21067] = 20485,
  [21068] = 20502,
  [21069] = 20438,
  [21070] = 20457,
  [21071] = 20420,
  [21072] = 20445,
  [21073] = 20413,
  [21074] = 20517,
  [21075] = 21075,
  [21076] = 20523,
  [21077] = 21077,
  [21078] = 20452,
  [21079] = 20415,
  [21080] = 20453,
  [21081] = 20427,
  [21082] = 20492,
  [21083] = 20457,
  [21084] = 20440,
  [21085] = 20480,
  [21086] = 20894,
  [21087] = 20426,
  [21088] = 20517,
  [21089] = 20472,
  [21090] = 20473,
  [21091] = 20474,
  [21092] = 20475,
  [21093] = 20428,
  [21094] = 20492,
  [21095] = 20576,
  [21096] = 21096,
  [21097] = 20596,
  [21098] = 21098,
  [21099] = 20424,
  [21100] = 20463,
  [21101] = 20486,
  [21102] = 20523,
  [21103] = 20490,
  [21104] = 20430,
  [21105] = 20433,
  [21106] = 20434,
  [21107] = 20894,
  [21108] = 20418,
  [21109] = 20419,
  [21110] = 21075,
  [21111] = 20440,
  [21112] = 20420,
  [21113] = 20445,
  [21114] = 20413,
  [21115] = 20472,
  [21116] = 20444,
  [21117] = 20481,
  [21118] = 20465,
  [21119] = 20452,
  [21120] = 20414,
  [21121] = 20481,
  [21122] = 20473,
  [21123] = 20482,
  [21124] = 20457,
  [21125] = 20443,
  [21126] = 20474,
  [21127] = 20461,
  [21128] = 20475,
  [21129] = 20911,
  [21130] = 20472,
  [21131] = 20473,
  [21132] = 20474,
  [21133] = 20475,
  [21134] = 20932,
  [21135] = 20416,
  [21136] = 20422,
  [21137] = 20423,
  [21138] = 20502,
  [21139] = 20510,
  [21140] = 20424,
  [21141] = 21141,
  [21142] = 20482,
  [21143] = 20547,
  [21144] = 20462,
  [21145] = 20430,
  [21146] = 20433,
  [21147] = 20434,
  [21148] = 20463,
  [21149] = 20480,
  [21150] = 20464,
  [21151] = 20470,
  [21152] = 20481,
  [21153] = 20467,
  [21154] = 20445,
  [21155] = 20413,
  [21156] = 20440,
  [21157] = 20482,
  [21158] = 20517,
  [21159] = 20483,
  [21160] = 20452,
  [21161] = 20483,
  [21162] = 20485,
  [21163] = 20416,
  [21164] = 20469,
  [21165] = 20457,
  [21166] = 20453,
  [21167] = 20422,
  [21168] = 20483,
  [21169] = 20443,
  [21170] = 20461,
  [21171] = 20472,
  [21172] = 20473,
  [21173] = 20474,
  [21174] = 20475,
  [21175] = 20462,
  [21176] = 20463,
  [21177] = 20464,
  [21178] = 20467,
  [21179] = 20423,
  [21180] = 20464,
  [21181] = 20424,
  [21182] = 20469,
  [21183] = 20523,
  [21184] = 20478,
  [21185] = 20465,
  [21186] = 20430,
  [21187] = 20433,
  [21188] = 20434,
  [21189] = 20478,
  [21190] = 20415,
  [21191] = 20428,
  [21192] = 20415,
  [21193] = 20448,
  [21194] = 20480,
  [21195] = 20445,
  [21196] = 20413,
  [21197] = 20481,
  [21198] = 20482,
  [21199] = 20492,
  [21200] = 21200,
  [21201] = 20452,
  [21202] = 20483,
  [21203] = 20440,
  [21204] = 21204,
  [21205] = 20417,
  [21206] = 20457,
  [21207] = 20492,
  [21208] = 20418,
  [21209] = 21209,
  [21210] = 20419,
  [21211] = 20420,
  [21212] = 20472,
  [21213] = 20473,
  [21214] = 20474,
  [21215] = 20475,
  [21216] = 20414,
  [21217] = 20502,
  [21218] = 20485,
  [21219] = 20517,
  [21220] = 20804,
  [21221] = 20485,
  [21222] = 20424,
  [21223] = 20523,
  [21224] = 20453,
  [21225] = 20415,
  [21226] = 20417,
  [21227] = 20430,
  [21228] = 20433,
  [21229] = 20434,
  [21230] = 20916,
  [21231] = 21141,
  [21232] = 20427,
  [21233] = 20427,
  [21234] = 20438,
  [21235] = 21235,
  [21236] = 20445,
  [21237] = 20413,
  [21238] = 20427,
  [21239] = 20453,
  [21240] = 20418,
  [21241] = 20426,
  [21242] = 20452,
  [21243] = 20419,
  [21244] = 20420,
  [21245] = 20414,
  [21246] = 20426,
  [21247] = 20457,
  [21248] = 20418,
  [21249] = 20428,
  [21250] = 21250,
  [21251] = 20582,
  [21252] = 20465,
  [21253] = 20472,
  [21254] = 20473,
  [21255] = 20474,
  [21256] = 20475,
  [21257] = 20490,
  [21258] = 20502,
  [21259] = 20443,
  [21260] = 20804,
  [21261] = 20676,
  [21262] = 20461,
  [21263] = 20424,
  [21264] = 20517,
  [21265] = 20805,
  [21266] = 20462,
  [21267] = 20596,
  [21268] = 20430,
  [21269] = 20433,
  [21270] = 20434,
  [21271] = 20523,
  [21272] = 20428,
  [21273] = 20463,
  [21274] = 20464,
  [21275] = 20467,
  [21276] = 20428,
  [21277] = 20445,
  [21278] = 20413,
  [21279] = 20445,
  [21280] = 20416,
  [21281] = 20422,
  [21282] = 20423,
  [21283] = 20452,
  [21284] = 20469,
  [21285] = 20490,
  [21286] = 20419,
  [21287] = 20415,
  [21288] = 20457,
  [21289] = 20420,
  [21290] = 21290,
  [21291] = 20440,
  [21292] = 20478,
  [21293] = 20443,
  [21294] = 20472,
  [21295] = 20473,
  [21296] = 20474,
  [21297] = 20475,
  [21298] = 20427,
  [21299] = 20805,
  [21300] = 20461,
  [21301] = 20596,
  [21302] = 20462,
  [21303] = 20465,
  [21304] = 20424,
  [21305] = 20463,
  [21306] = 20464,
  [21307] = 20467,
  [21308] = 20416,
  [21309] = 20430,
  [21310] = 20433,
  [21311] = 20434,
  [21312] = 20422,
  [21313] = 20423,
  [21314] = 20480,
  [21315] = 20481,
  [21316] = 20429,
  [21317] = 20482,
  [21318] = 20445,
  [21319] = 20413,
  [21320] = 21320,
  [21321] = 20483,
  [21322] = 20414,
  [21323] = 20485,
  [21324] = 20452,
  [21325] = 20469,
  [21326] = 20466,
  [21327] = 20580,
  [21328] = 20428,
  [21329] = 20457,
  [21330] = 20453,
  [21331] = 20478,
  [21332] = 20437,
  [21333] = 20480,
  [21334] = 20582,
  [21335] = 20472,
  [21336] = 20473,
  [21337] = 20474,
  [21338] = 20475,
  [21339] = 21075,
  [21340] = 20492,
  [21341] = 21341,
  [21342] = 20492,
  [21343] = 20481,
  [21344] = 20417,
  [21345] = 20424,
  [21346] = 20418,
  [21347] = 20419,
  [21348] = 20420,
  [21349] = 20430,
  [21350] = 20433,
  [21351] = 20434,
  [21352] = 20414,
  [21353] = 20424,
  [21354] = 20482,
  [21355] = 20916,
  [21356] = 20443,
  [21357] = 20461,
  [21358] = 20445,
  [21359] = 20413,
  [21360] = 20462,
  [21361] = 20483,
  [21362] = 20463,
  [21363] = 21341,
  [21364] = 20452,
  [21365] = 20464,
  [21366] = 20467,
  [21367] = 20869,
  [21368] = 20428,
  [21369] = 20457,
  [21370] = 21370,
  [21371] = 20469,
  [21372] = 20937,
  [21373] = 20596,
  [21374] = 20502,
  [21375] = 20472,
  [21376] = 20473,
  [21377] = 20474,
  [21378] = 20475,
  [21379] = 20415,
  [21380] = 20632,
  [21381] = 20430,
  [21382] = 20478,
  [21383] = 20517,
  [21384] = 20433,
  [21385] = 20424,
  [21386] = 20434,
  [21387] = 20485,
  [21388] = 20490,
  [21389] = 20430,
  [21390] = 20433,
  [21391] = 20434,
  [21392] = 21392,
  [21393] = 20523,
  [21394] = 20415,
  [21395] = 20443,
  [21396] = 20427,
  [21397] = 20502,
  [21398] = 20445,
  [21399] = 20413,
  [21400] = 20485,
  [21401] = 20582,
  [21402] = 20517,
  [21403] = 20461,
  [21404] = 20452,
  [21405] = 20492,
  [21406] = 20894,
  [21407] = 21407,
  [21408] = 20523,
  [21409] = 20457,
  [21410] = 20676,
  [21411] = 20415,
  [21412] = 20440,
  [21413] = 21413,
  [21414] = 20427,
  [21415] = 20472,
  [21416] = 20473,
  [21417] = 20474,
  [21418] = 20475,
  [21419] = 20428,
  [21420] = 20417,
  [21421] = 20502,
  [21422] = 20490,
  [21423] = 20490,
  [21424] = 20424,
  [21425] = 20444,
  [21426] = 20517,
  [21427] = 20998,
  [21428] = 20430,
  [21429] = 20433,
  [21430] = 20434,
  [21431] = 20596,
  [21432] = 20445,
  [21433] = 20453,
  [21434] = 20413,
  [21435] = 20418,
  [21436] = 20523,
  [21437] = 20445,
  [21438] = 20413,
  [21439] = 20415,
  [21440] = 21440,
  [21441] = 20443,
  [21442] = 20461,
  [21443] = 20452,
  [21444] = 20452,
  [21445] = 20419,
  [21446] = 20420,
  [21447] = 20462,
  [21448] = 20457,
  [21449] = 20463,
  [21450] = 20414,
  [21451] = 20464,
  [21452] = 20467,
  [21453] = 20416,
  [21454] = 20472,
  [21455] = 20473,
  [21456] = 20474,
  [21457] = 20475,
  [21458] = 20469,
  [21459] = 20422,
  [21460] = 20596,
  [21461] = 20423,
  [21462] = 20478,
  [21463] = 20424,
  [21464] = 20668,
  [21465] = 20420,
  [21466] = 20427,
  [21467] = 20430,
  [21468] = 20433,
  [21469] = 20434,
  [21470] = 20440,
  [21471] = 20416,
  [21472] = 20492,
  [21473] = 20490,
  [21474] = 20422,
  [21475] = 20417,
  [21476] = 20445,
  [21477] = 20413,
  [21478] = 21056,
  [21479] = 20418,
  [21480] = 20416,
  [21481] = 20633,
  [21482] = 20452,
  [21483] = 20423,
  [21484] = 20465,
  [21485] = 20419,
  [21486] = 20422,
  [21487] = 20457,
  [21488] = 20423,
  [21489] = 20510,
  [21490] = 20502,
  [21491] = 20420,
  [21492] = 20517,
  [21493] = 20472,
  [21494] = 20473,
  [21495] = 20474,
  [21496] = 20475,
  [21497] = 20440,
  [21498] = 20523,
  [21499] = 20415,
  [21500] = 20414,
  [21501] = 20457,
  [21502] = 20424,
  [21503] = 20480,
  [21504] = 20427,
  [21505] = 20481,
  [21506] = 20430,
  [21507] = 20433,
  [21508] = 20434,
  [21509] = 21509,
  [21510] = 20482,
  [21511] = 21077,
  [21512] = 20483,
  [21513] = 20465,
  [21514] = 20466,
  [21515] = 20445,
  [21516] = 20413,
  [21517] = 20485,
  [21518] = 20427,
  [21519] = 20453,
  [21520] = 21341,
  [21521] = 20452,
  [21522] = 21522,
  [21523] = 20416,
  [21524] = 20422,
  [21525] = 20487,
  [21526] = 20457,
  [21527] = 20490,
  [21528] = 21096,
  [21529] = 20490,
  [21530] = 20423,
  [21531] = 20440,
  [21532] = 20472,
  [21533] = 20473,
  [21534] = 20474,
  [21535] = 20475,
  [21536] = 20576,
  [21537] = 20547,
  [21538] = 20418,
  [21539] = 20419,
  [21540] = 20420,
  [21541] = 20424,
  [21542] = 20596,
  [21543] = 20414,
  [21544] = 20462,
  [21545] = 20430,
  [21546] = 20433,
  [21547] = 20434,
  [21548] = 20472,
  [21549] = 20440,
  [21550] = 20463,
  [21551] = 20416,
  [21552] = 20443,
  [21553] = 20422,
  [21554] = 20445,
  [21555] = 20413,
  [21556] = 20473,
  [21557] = 20423,
  [21558] = 20489,
  [21559] = 20894,
  [21560] = 20452,
  [21561] = 20474,
  [21562] = 20475,
  [21563] = 20911,
  [21564] = 20440,
  [21565] = 20457,
  [21566] = 20932,
  [21567] = 20596,
  [21568] = 20438,
  [21569] = 20428,
  [21570] = 20472,
  [21571] = 20473,
  [21572] = 20474,
  [21573] = 20475,
  [21574] = 20428,
  [21575] = 20440,
  [21576] = 20465,
  [21577] = 21141,
  [21578] = 20428,
  [21579] = 20424,
  [21580] = 20428,
  [21581] = 20465,
  [21582] = 20464,
  [21583] = 20430,
  [21584] = 20433,
  [21585] = 20434,
  [21586] = 20480,
  [21587] = 20416,
  [21588] = 20481,
  [21589] = 20482,
  [21590] = 20470,
  [21591] = 20483,
  [21592] = 20445,
  [21593] = 20413,
  [21594] = 20422,
  [21595] = 20423,
  [21596] = 20485,
  [21597] = 20576,
  [21598] = 20452,
  [21599] = 20417,
  [21600] = 20440,
  [21601] = 15236,
  [21602] = 20453,
  [21603] = 20457,
  [21604] = 20490,
  [21605] = 20480,
  [21606] = 20462,
  [21607] = 20463,
  [21608] = 20472,
  [21609] = 20473,
  [21610] = 20474,
  [21611] = 20475,
  [21612] = 20464,
  [21613] = 20467,
  [21614] = 20417,
  [21615] = 20481,
  [21616] = 20418,
  [21617] = 20424,
  [21618] = 20419,
  [21619] = 20420,
  [21620] = 20414,
  [21621] = 20430,
  [21622] = 20433,
  [21623] = 20434,
  [21624] = 20469,
  [21625] = 20576,
  [21626] = 20482,
  [21627] = 20576,
  [21628] = 20478,
  [21629] = 21629,
  [21630] = 20445,
  [21631] = 20413,
  [21632] = 20483,
  [21633] = 20461,
  [21634] = 20425,
  [21635] = 20428,
  [21636] = 20452,
  [21637] = 20465,
  [21638] = 20457,
  [21639] = 20485,
  [21640] = 21640,
  [21641] = 20457,
  [21642] = 20492,
  [21643] = 20480,
  [21644] = 20481,
  [21645] = 20482,
  [21646] = 20472,
  [21647] = 20473,
  [21648] = 20474,
  [21649] = 20475,
  [21650] = 20576,
  [21651] = 20483,
  [21652] = 21652,
  [21653] = 20485,
  [21654] = 21654,
  [21655] = 20424,
  [21656] = 20418,
  [21657] = 20453,
  [21658] = 20425,
  [21659] = 20430,
  [21660] = 20433,
  [21661] = 20434,
  [21662] = 20465,
  [21663] = 20425,
  [21664] = 20580,
  [21665] = 20502,
  [21666] = 20453,
  [21667] = 20517,
  [21668] = 20445,
  [21669] = 20413,
  [21670] = 20462,
  [21671] = 20523,
  [21672] = 20415,
  [21673] = 20465,
  [21674] = 20452,
  [21675] = 20463,
  [21676] = 20427,
  [21677] = 20480,
  [21678] = 20481,
  [21679] = 20457,
  [21680] = 20465,
  [21681] = 20417,
  [21682] = 20418,
  [21683] = 20419,
  [21684] = 20472,
  [21685] = 20473,
  [21686] = 20474,
  [21687] = 20475,
  [21688] = 20420,
  [21689] = 20480,
  [21690] = 20481,
  [21691] = 20414,
  [21692] = 20482,
  [21693] = 20424,
  [21694] = 20483,
  [21695] = 20443,
  [21696] = 20482,
  [21697] = 20430,
  [21698] = 20433,
  [21699] = 20434,
  [21700] = 20467,
  [21701] = 20443,
  [21702] = 20485,
  [21703] = 20487,
  [21704] = 20461,
  [21705] = 20483,
  [21706] = 20445,
  [21707] = 20413,
  [21708] = 20418,
  [21709] = 20489,
  [21710] = 20443,
  [21711] = 20461,
  [21712] = 20452,
  [21713] = 20490,
  [21714] = 20438,
  [21715] = 20485,
  [21716] = 20462,
  [21717] = 20457,
  [21718] = 20463,
  [21719] = 20464,
  [21720] = 20467,
  [21721] = 20419,
  [21722] = 20472,
  [21723] = 20473,
  [21724] = 20474,
  [21725] = 20475,
  [21726] = 20469,
  [21727] = 20489,
  [21728] = 20420,
  [21729] = 20414,
  [21730] = 20478,
  [21731] = 20424,
  [21732] = 20464,
  [21733] = 20582,
  [21734] = 20426,
  [21735] = 20430,
  [21736] = 20433,
  [21737] = 20434,
  [21738] = 20492,
  [21739] = 20416,
  [21740] = 20428,
  [21741] = 20422,
  [21742] = 20423,
  [21743] = 20480,
  [21744] = 20445,
  [21745] = 20413,
  [21746] = 20481,
  [21747] = 20510,
  [21748] = 20482,
  [21749] = 20483,
  [21750] = 20452,
  [21751] = 20453,
  [21752] = 20440,
  [21753] = 20547,
  [21754] = 20453,
  [21755] = 20457,
  [21756] = 20502,
  [21757] = 20467,
  [21758] = 20517,
  [21759] = 20424,
  [21760] = 20472,
  [21761] = 20473,
  [21762] = 20474,
  [21763] = 20475,
  [21764] = 20523,
  [21765] = 20415,
  [21766] = 20485,
  [21767] = 20916,
  [21768] = 20462,
  [21769] = 20424,
  [21770] = 20427,
  [21771] = 20428,
  [21772] = 20463,
  [21773] = 20430,
  [21774] = 20433,
  [21775] = 20434,
  [21776] = 20487,
  [21777] = 20489,
  [21778] = 20480,
  [21779] = 20465,
  [21780] = 20937,
  [21781] = 20523,
  [21782] = 20445,
  [21783] = 20413,
  [21784] = 20464,
  [21785] = 20430,
  [21786] = 21786,
  [21787] = 20586,
  [21788] = 20452,
  [21789] = 20433,
  [21790] = 20434,
  [21791] = 20467,
  [21792] = 20782,
  [21793] = 20457,
  [21794] = 20490,
  [21795] = 20443,
  [21796] = 20480,
  [21797] = 20461,
  [21798] = 20472,
  [21799] = 20473,
  [21800] = 20474,
  [21801] = 20475,
  [21802] = 20481,
  [21803] = 20482,
  [21804] = 20483,
  [21805] = 20469,
  [21806] = 20596,
  [21807] = 20424,
  [21808] = 20485,
  [21809] = 20469,
  [21810] = 20453,
  [21811] = 20430,
  [21812] = 20433,
  [21813] = 20434,
  [21814] = 20453,
  [21815] = 20490,
  [21816] = 20416,
  [21817] = 20422,
  [21818] = 20481,
  [21819] = 20423,
  [21820] = 20445,
  [21821] = 20413,
  [21822] = 20443,
  [21823] = 20444,
  [21824] = 20478,
  [21825] = 20440,
  [21826] = 20452,
  [21827] = 20998,
  [21828] = 20465,
  [21829] = 20445,
  [21830] = 21341,
  [21831] = 20457,
  [21832] = 20413,
  [21833] = 20418,
  [21834] = 20419,
  [21835] = 20420,
  [21836] = 20472,
  [21837] = 20473,
  [21838] = 20474,
  [21839] = 20475,
  [21840] = 20414,
  [21841] = 20465,
  [21842] = 20452,
  [21843] = 20461,
  [21844] = 20443,
  [21845] = 20424,
  [21846] = 20461,
  [21847] = 20462,
  [21848] = 20480,
  [21849] = 20430,
  [21850] = 20433,
  [21851] = 20434,
  [21852] = 20481,
  [21853] = 20463,
  [21854] = 20482,
  [21855] = 20483,
  [21856] = 20464,
  [21857] = 20428,
  [21858] = 20445,
  [21859] = 20413,
  [21860] = 20467,
  [21861] = 20485,
  [21862] = 20462,
  [21863] = 20453,
  [21864] = 20452,
  [21865] = 21056,
  [21866] = 20469,
  [21867] = 20633,
  [21868] = 20463,
  [21869] = 20457,
  [21870] = 20464,
  [21871] = 20457,
  [21872] = 20478,
  [21873] = 6455,
  [21874] = 20472,
  [21875] = 20473,
  [21876] = 20474,
  [21877] = 20475,
  [21878] = 20467,
  [21879] = 20417,
  [21880] = 20418,
  [21881] = 20548,
  [21882] = 20419,
  [21883] = 20424,
  [21884] = 20420,
  [21885] = 20414,
  [21886] = 20443,
  [21887] = 20430,
  [21888] = 20433,
  [21889] = 20434,
  [21890] = 20510,
  [21891] = 21077,
  [21892] = 20462,
  [21893] = 20463,
  [21894] = 20464,
  [21895] = 20467,
  [21896] = 20445,
  [21897] = 20413,
  [21898] = 20469,
  [21899] = 20547,
  [21900] = 20428,
  [21901] = 20469,
  [21902] = 20452,
  [21903] = 20417,
  [21904] = 20418,
  [21905] = 20478,
  [21906] = 21096,
  [21907] = 20457,
  [21908] = 20417,
  [21909] = 20418,
  [21910] = 20419,
  [21911] = 20420,
  [21912] = 20472,
  [21913] = 20473,
  [21914] = 20474,
  [21915] = 20475,
  [21916] = 20448,
  [21917] = 20668,
  [21918] = 20492,
  [21919] = 20419,
  [21920] = 20462,
  [21921] = 20424,
  [21922] = 20463,
  [21923] = 20414,
  [21924] = 20430,
  [21925] = 20433,
  [21926] = 20434,
  [21927] = 20492,
  [21928] = 20452,
  [21929] = 20464,
  [21930] = 20470,
  [21931] = 20492,
  [21932] = 20467,
  [21933] = 20445,
  [21934] = 20413,
  [21935] = 20420,
  [21936] = 20448,
  [21937] = 20472,
  [21938] = 20414,
  [21939] = 20452,
  [21940] = 20478,
  [21941] = 20473,
  [21942] = 20474,
  [21943] = 20475,
  [21944] = 20457,
  [21945] = 20911,
  [21946] = 20932,
  [21947] = 20438,
  [21948] = 20461,
  [21949] = 20472,
  [21950] = 20473,
  [21951] = 20474,
  [21952] = 20475,
  [21953] = 20469,
  [21954] = 20443,
  [21955] = 21141,
  [21956] = 20502,
  [21957] = 20462,
  [21958] = 20424,
  [21959] = 20784,
  [21960] = 20461,
  [21961] = 20430,
  [21962] = 20433,
  [21963] = 20434,
  [21964] = 20517,
  [21965] = 20462,
  [21966] = 20463,
  [21967] = 20787,
  [21968] = 20464,
  [21969] = 20478,
  [21970] = 20445,
  [21971] = 20413,
  [21972] = 20467,
  [21973] = 20582,
  [21974] = 20469,
  [21975] = 20443,
  [21976] = 20452,
  [21977] = 20469,
  [21978] = 20523,
  [21979] = 20478,
  [21980] = 20461,
  [21981] = 20457,
  [21982] = 20462,
  [21983] = 20463,
  [21984] = 20464,
  [21985] = 20467,
  [21986] = 20472,
  [21987] = 20473,
  [21988] = 20474,
  [21989] = 20475,
  [21990] = 20415,
  [21991] = 20469,
  [21992] = 20502,
  [21993] = 20586,
  [21994] = 20427,
  [21995] = 20424,
  [21996] = 20478,
  [21997] = 20434,
  [21998] = 20492,
  [21999] = 20478,
  [22000] = 22000,
  [22001] = 20452,
  [22002] = 20517,
  [22003] = 20463,
  [22004] = 20523,
  [22005] = 20457,
  [22006] = 20415,
  [22007] = 20472,
  [22008] = 20473,
  [22009] = 20474,
  [22010] = 20475,
  [22011] = 20490,
  [22012] = 20502,
  [22013] = 20492,
  [22014] = 20426,
  [22015] = 20434,
  [22016] = 20427,
  [22017] = 20517,
  [22018] = 20492,
  [22019] = 20523,
  [22020] = 20415,
  [22021] = 20502,
  [22022] = 20457,
  [22023] = 20805,
  [22024] = 20472,
  [22025] = 20473,
  [22026] = 20474,
  [22027] = 20475,
  [22028] = 20490,
  [22029] = 20428,
  [22030] = 20427,
  [22031] = 20464,
  [22032] = 20492,
  [22033] = 20438,
  [22034] = 20480,
  [22035] = 20473,
  [22036] = 20474,
  [22037] = 20475,
  [22038] = 20417,
  [22039] = 20467,
  [22040] = 20440,
  [22041] = 20469,
  [22042] = 20418,
  [22043] = 20419,
  [22044] = 20416,
  [22045] = 20473,
  [22046] = 20474,
  [22047] = 20475,
  [22048] = 20422,
  [22049] = 20420,
  [22050] = 20448,
  [22051] = 20490,
  [22052] = 20668,
  [22053] = 20423,
  [22054] = 20481,
  [22055] = 20473,
  [22056] = 20474,
  [22057] = 20475,
  [22058] = 20517,
  [22059] = 20427,
  [22060] = 20440,
  [22061] = 20596,
  [22062] = 20414,
  [22063] = 20482,
  [22064] = 20784,
  [22065] = 20473,
  [22066] = 20474,
  [22067] = 20475,
  [22068] = 20483,
  [22069] = 20502,
  [22070] = 20490,
  [22071] = 20416,
  [22072] = 20422,
  [22073] = 20423,
  [22074] = 20523,
  [22075] = 20473,
  [22076] = 20474,
  [22077] = 20475,
  [22078] = 20469,
  [22079] = 20576,
  [22080] = 20424,
  [22081] = 20440,
  [22082] = 20916,
  [22083] = 20465,
  [22084] = 20478,
  [22085] = 20473,
  [22086] = 20474,
  [22087] = 20475,
  [22088] = 21370,
  [22089] = 20517,
  [22090] = 22090,
  [22091] = 20415,
  [22092] = 20502,
  [22093] = 20480,
  [22094] = 20937,
  [22095] = 20473,
  [22096] = 20474,
  [22097] = 20475,
  [22098] = 20481,
  [22099] = 20492,
  [22100] = 20482,
  [22101] = 20430,
  [22102] = 20483,
  [22103] = 20414,
  [22104] = 20433,
  [22105] = 20473,
  [22106] = 20474,
  [22107] = 20475,
  [22108] = 20434,
  [22109] = 20523,
  [22110] = 20485,
  [22111] = 20517,
  [22112] = 20453,
  [22113] = 20482,
  [22114] = 20416,
  [22115] = 20473,
  [22116] = 20474,
  [22117] = 20475,
  [22118] = 20422,
  [22119] = 20415,
  [22120] = 20576,
  [22121] = 20423,
  [22122] = 20426,
  [22123] = 20485,
  [22124] = 20465,
  [22125] = 20473,
  [22126] = 20474,
  [22127] = 20475,
  [22128] = 20418,
  [22129] = 20419,
  [22130] = 20420,
  [22131] = 20444,
  [22132] = 20414,
  [22133] = 20998,
  [22134] = 20523,
  [22135] = 20473,
  [22136] = 20474,
  [22137] = 20475,
  [22138] = 20445,
  [22139] = 20480,
  [22140] = 20413,
  [22141] = 20428,
  [22142] = 20481,
  [22143] = 20482,
  [22144] = 20483,
  [22145] = 20473,
  [22146] = 20474,
  [22147] = 20475,
  [22148] = 20452,
  [22149] = 20487,
  [22150] = 20427,
  [22151] = 20440,
  [22152] = 20489,
  [22153] = 20428,
  [22154] = 20415,
  [22155] = 20443,
  [22156] = 20596,
  [22157] = 20427,
  [22158] = 21056,
  [22159] = 22159,
  [22160] = 20633,
  [22161] = 20467,
  [22162] = 20457,
  [22163] = 20485,
  [22164] = 20492,
  [22165] = 20453,
  [22166] = 20469,
  [22167] = 21077,
  [22168] = 20465,
  [22169] = 20576,
  [22170] = 20492,
  [22171] = 20676,
  [22172] = 20787,
  [22173] = 20438,
  [22174] = 20461,
  [22175] = 20523,
  [22176] = 20415,
  [22177] = 21096,
  [22178] = 20461,
  [22179] = 20480,
  [22180] = 20481,
  [22181] = 20482,
  [22182] = 20422,
  [22183] = 20423,
  [22184] = 20453,
  [22185] = 20472,
  [22186] = 20483,
  [22187] = 20480,
  [22188] = 20473,
  [22189] = 20474,
  [22190] = 20475,
  [22191] = 20911,
  [22192] = 20932,
  [22193] = 20462,
  [22194] = 20485,
  [22195] = 21141,
  [22196] = 22196,
  [22197] = 20463,
  [22198] = 20453,
  [22199] = 20414,
  [22200] = 20464,
  [22201] = 20417,
  [22202] = 20418,
  [22203] = 20419,
  [22204] = 20420,
  [22205] = 20414,
  [22206] = 20416,
  [22207] = 20490,
  [22208] = 22208,
  [22209] = 20422,
  [22210] = 20428,
  [22211] = 20502,
  [22212] = 20418,
  [22213] = 20419,
  [22214] = 20438,
  [22215] = 20467,
  [22216] = 20469,
  [22217] = 20492,
  [22218] = 20427,
  [22219] = 20782,
  [22220] = 20496,
  [22221] = 20420,
  [22222] = 20414,
  [22223] = 20426,
  [22224] = 20784,
  [22225] = 20428,
  [22226] = 20523,
  [22227] = 20415,
  [22228] = 20787,
  [22229] = 20467,
  [22230] = 22196,
  [22231] = 20478,
  [22232] = 20423,
  [22233] = 20422,
  [22234] = 20423,
  [22235] = 20425,
  [22236] = 21250,
  [22237] = 20490,
  [22238] = 20480,
  [22239] = 20517,
  [22240] = 20596,
  [22241] = 20483,
  [22242] = 20523,
  [22243] = 20426,
  [22244] = 9866,
  [22245] = 20596,
  [22246] = 20438,
  [22247] = 20804,
  [22248] = 20805,
  [22249] = 20428,
  [22250] = 20472,
  [22251] = 20812,
  [22252] = 20416,
  [22253] = 20414,
  [22254] = 20422,
  [22255] = 20423,
  [22256] = 20429,
  [22257] = 20437,
  [22258] = 20440,
  [22259] = 20428,
  [22260] = 20415,
  [22261] = 20469,
  [22262] = 20416,
  [22263] = 20422,
  [22264] = 20428,
  [22265] = 20520,
  [22266] = 20465,
  [22267] = 20423,
  [22268] = 20467,
  [22269] = 20478,
  [22270] = 20469,
  [22271] = 22208,
  [22272] = 20480,
  [22273] = 20481,
  [22274] = 20482,
  [22275] = 20483,
  [22276] = 20492,
  [22277] = 20485,
  [22278] = 20424,
  [22279] = 21522,
  [22280] = 20582,
  [22281] = 20916,
  [22282] = 20523,
  [22283] = 20453,
  [22284] = 20415,
  [22285] = 20422,
  [22286] = 20423,
  [22287] = 20480,
  [22288] = 20417,
  [22289] = 20414,
  [22290] = 20417,
  [22291] = 20418,
  [22292] = 20419,
  [22293] = 20420,
  [22294] = 20937,
  [22295] = 20414,
  [22296] = 20440,
  [22297] = 20428,
  [22298] = 20430,
  [22299] = 20502,
  [22300] = 20440,
  [22301] = 21096,
  [22302] = 21786,
  [22303] = 20433,
  [22304] = 20428,
  [22305] = 20517,
  [22306] = 20434,
  [22307] = 20467,
  [22308] = 20523,
  [22309] = 20469,
  [22310] = 20415,
  [22311] = 22311,
  [22312] = 22312,
  [22313] = 22313,
  [22314] = 20492,
  [22315] = 20490,
  [22316] = 20420,
  [22317] = 20523,
  [22318] = 20415,
  [22319] = 20422,
  [22320] = 20423,
  [22321] = 20480,
  [22322] = 20443,
  [22323] = 20461,
  [22324] = 20462,
  [22325] = 20463,
  [22326] = 20464,
  [22327] = 20444,
  [22328] = 20998,
  [22329] = 20445,
  [22330] = 20467,
  [22331] = 20413,
  [22332] = 20427,
  [22333] = 20414,
  [22334] = 20469,
  [22335] = 20443,
  [22336] = 20452,
  [22337] = 20428,
  [22338] = 20461,
  [22339] = 20462,
  [22340] = 20467,
  [22341] = 20469,
  [22342] = 20492,
  [22343] = 20463,
  [22344] = 20523,
  [22345] = 20443,
  [22346] = 20443,
  [22347] = 20461,
  [22348] = 20415,
  [22349] = 20462,
  [22350] = 21056,
  [22351] = 20463,
  [22352] = 20464,
  [22353] = 20467,
  [22354] = 20461,
  [22355] = 20469,
  [22356] = 20422,
  [22357] = 20633,
  [22358] = 20478,
  [22359] = 20423,
  [22360] = 20510,
  [22361] = 20457,
  [22362] = 20492,
  [22363] = 20547,
  [22364] = 20462,
  [22365] = 20463,
  [22366] = 20478,
  [22367] = 20480,
  [22368] = 20464,
  [22369] = 20464,
  [22370] = 20414,
  [22371] = 20470,
  [22372] = 20467,
  [22373] = 20502,
  [22374] = 21077,
  [22375] = 20517,
  [22376] = 20467,
  [22377] = 20523,
  [22378] = 20415,
  [22379] = 20428,
  [22380] = 20469,
  [22381] = 20427,
  [22382] = 20418,
  [22383] = 20492,
  [22384] = 20469,
  [22385] = 20467,
  [22386] = 20478,
  [22387] = 20469,
  [22388] = 20492,
  [22389] = 21096,
  [22390] = 20586,
  [22391] = 20523,
  [22392] = 20490,
  [22393] = 20492,
  [22394] = 20415,
  [22395] = 20422,
  [22396] = 20423,
  [22397] = 20480,
  [22398] = 20472,
  [22399] = 20478,
  [22400] = 20473,
  [22401] = 20492,
  [22402] = 20596,
  [22403] = 22403,
  [22404] = 20474,
  [22405] = 20475,
  [22406] = 20911,
  [22407] = 20932,
  [22408] = 20416,
  [22409] = 20422,
  [22410] = 20423,
  [22411] = 20414,
  [22412] = 21141,
  [22413] = 20998,
  [22414] = 20490,
  [22415] = 22196,
  [22416] = 20440,
  [22417] = 20428,
  [22418] = 20478,
  [22419] = 20502,
  [22420] = 21250,
  [22421] = 20596,
  [22422] = 20517,
  [22423] = 20467,
  [22424] = 20523,
  [22425] = 20415,
  [22426] = 20469,
  [22427] = 20812,
  [22428] = 20465,
  [22429] = 20492,
  [22430] = 20427,
  [22431] = 20502,
  [22432] = 20523,
  [22433] = 20415,
  [22434] = 20480,
  [22435] = 20481,
  [22436] = 20482,
  [22437] = 20483,
  [22438] = 20422,
  [22439] = 20485,
  [22440] = 21522,
  [22441] = 20423,
  [22442] = 20480,
  [22443] = 20453,
  [22444] = 21055,
  [22445] = 20414,
  [22446] = 20492,
  [22447] = 20428,
  [22448] = 20502,
  [22449] = 20465,
  [22450] = 20417,
  [22451] = 20418,
  [22452] = 20419,
  [22453] = 21786,
  [22454] = 20426,
  [22455] = 20420,
  [22456] = 22311,
  [22457] = 22312,
  [22458] = 22313,
  [22459] = 20414,
  [22460] = 20467,
  [22461] = 20517,
  [22462] = 20582,
  [22463] = 20523,
  [22464] = 20469,
  [22465] = 20415,
  [22466] = 20428,
  [22467] = 20490,
  [22468] = 20492,
  [22469] = 20443,
  [22470] = 20427,
  [22471] = 20523,
  [22472] = 20415,
  [22473] = 20422,
  [22474] = 20423,
  [22475] = 20676,
  [22476] = 20596,
  [22477] = 20480,
  [22478] = 20517,
  [22479] = 20414,
  [22480] = 20419,
  [22481] = 20424,
  [22482] = 20916,
  [22483] = 20428,
  [22484] = 20416,
  [22485] = 20461,
  [22486] = 20422,
  [22487] = 20423,
  [22488] = 20586,
  [22489] = 20467,
  [22490] = 20443,
  [22491] = 20461,
  [22492] = 20462,
  [22493] = 20463,
  [22494] = 20464,
  [22495] = 20467,
  [22496] = 20490,
  [22497] = 20469,
  [22498] = 20937,
  [22499] = 20469,
  [22500] = 20440,
  [22501] = 20430,
  [22502] = 20492,
  [22503] = 20478,
  [22504] = 20502,
  [22505] = 20433,
  [22506] = 20434,
  [22507] = 21077,
  [22508] = 20492,
  [22509] = 20582,
  [22510] = 20523,
  [22511] = 20415,
  [22512] = 20422,
  [22513] = 22196,
  [22514] = 22514,
  [22515] = 20423,
  [22516] = 20480,
  [22517] = 20492,
  [22518] = 21250,
  [22519] = 21250,
  [22520] = 20502,
  [22521] = 20414,
  [22522] = 20517,
  [22523] = 20812,
  [22524] = 20517,
  [22525] = 20428,
  [22526] = 20523,
  [22527] = 20415,
  [22528] = 20510,
  [22529] = 20510,
  [22530] = 20427,
  [22531] = 20444,
  [22532] = 20445,
  [22533] = 20523,
  [22534] = 20413,
  [22535] = 20490,
  [22536] = 21522,
  [22537] = 20467,
  [22538] = 20576,
  [22539] = 20469,
  [22540] = 20492,
  [22541] = 20452,
  [22542] = 20547,
  [22543] = 20490,
  [22544] = 20596,
  [22545] = 20523,
  [22546] = 20415,
  [22547] = 20422,
  [22548] = 20465,
  [22549] = 21786,
  [22550] = 20423,
  [22551] = 20596,
  [22552] = 22311,
  [22553] = 22312,
  [22554] = 22313,
  [22555] = 21056,
  [22556] = 20480,
  [22557] = 20633,
  [22558] = 20523,
  [22559] = 20416,
  [22560] = 20422,
  [22561] = 20423,
  [22562] = 20457,
  [22563] = 20596,
  [22564] = 20440,
  [22565] = 20414,
  [22566] = 20415,
  [22567] = 20428,
  [22568] = 20462,
  [22569] = 20596,
  [22570] = 20467,
  [22571] = 20480,
  [22572] = 20465,
  [22573] = 20481,
  [22574] = 20416,
  [22575] = 20422,
  [22576] = 20482,
  [22577] = 20480,
  [22578] = 20481,
  [22579] = 20482,
  [22580] = 20483,
  [22581] = 21096,
  [22582] = 20485,
  [22583] = 20469,
  [22584] = 20453,
  [22585] = 20483,
  [22586] = 20492,
  [22587] = 20463,
  [22588] = 20423,
  [22589] = 20523,
  [22590] = 20416,
  [22591] = 20417,
  [22592] = 20418,
  [22593] = 20419,
  [22594] = 20485,
  [22595] = 20472,
  [22596] = 20420,
  [22597] = 20414,
  [22598] = 20473,
  [22599] = 20422,
  [22600] = 20474,
  [22601] = 20440,
  [22602] = 20475,
  [22603] = 20423,
  [22604] = 20911,
  [22605] = 20428,
  [22606] = 20932,
  [22607] = 20415,
  [22608] = 21250,
  [22609] = 21141,
  [22610] = 20422,
  [22611] = 20423,
  [22612] = 20812,
  [22613] = 20453,
  [22614] = 20480,
  [22615] = 20427,
  [22616] = 20414,
  [22617] = 20415,
  [22618] = 22311,
  [22619] = 20619,
  [22620] = 21522,
  [22621] = 20428,
  [22622] = 20464,
  [22623] = 20480,
  [22624] = 20467,
  [22625] = 20469,
  [22626] = 21786,
  [22627] = 20492,
  [22628] = 22311,
  [22629] = 22312,
  [22630] = 22313,
  [22631] = 20443,
  [22632] = 20461,
  [22633] = 20462,
  [22634] = 20463,
  [22635] = 20464,
  [22636] = 20467,
  [22637] = 20523,
  [22638] = 20467,
  [22639] = 20415,
  [22640] = 20469,
  [22641] = 20417,
  [22642] = 20418,
  [22643] = 20419,
  [22644] = 20478,
  [22645] = 20420,
  [22646] = 20414,
  [22647] = 21250,
  [22648] = 20422,
  [22649] = 20576,
  [22650] = 20423,
  [22651] = 20812,
  [22652] = 20492,
  [22653] = 20480,
  [22654] = 20466,
  [22655] = 20481,
  [22656] = 22312,
  [22657] = 20414,
  [22658] = 20425,
  [22659] = 21522,
  [22660] = 20482,
  [22661] = 22313,
  [22662] = 20502,
  [22663] = 20428,
  [22664] = 20517,
  [22665] = 21786,
  [22666] = 20465,
  [22667] = 22311,
  [22668] = 22312,
  [22669] = 22313,
  [22670] = 20523,
  [22671] = 20415,
  [22672] = 20438,
  [22673] = 20429,
  [22674] = 20427,
  [22675] = 20483,
  [22676] = 22676,
  [22677] = 20467,
  [22678] = 20469,
  [22679] = 20492,
  [22680] = 20469,
  [22681] = 21250,
  [22682] = 20424,
  [22683] = 20916,
  [22684] = 20523,
  [22685] = 20812,
  [22686] = 20415,
  [22687] = 20422,
  [22688] = 20426,
  [22689] = 20465,
  [22690] = 20423,
  [22691] = 20490,
  [22692] = 21522,
  [22693] = 20937,
  [22694] = 20480,
  [22695] = 20428,
  [22696] = 20430,
  [22697] = 20869,
  [22698] = 21786,
  [22699] = 20420,
  [22700] = 22311,
  [22701] = 22312,
  [22702] = 22313,
  [22703] = 20596,
  [22704] = 20414,
  [22705] = 20433,
  [22706] = 20434,
  [22707] = 20485,
  [22708] = 20416,
  [22709] = 20422,
  [22710] = 20428,
  [22711] = 20423,
  [22712] = 20804,
  [22713] = 20416,
  [22714] = 21250,
  [22715] = 20467,
  [22716] = 20480,
  [22717] = 20440,
  [22718] = 20469,
  [22719] = 20481,
  [22720] = 20492,
  [22721] = 21522,
  [22722] = 20490,
  [22723] = 20482,
  [22724] = 21786,
  [22725] = 22311,
  [22726] = 22312,
  [22727] = 22313,
  [22728] = 20523,
  [22729] = 20415,
  [22730] = 20483,
  [22731] = 20465,
  [22732] = 20422,
  [22733] = 20485,
  [22734] = 20489,
  [22735] = 20444,
  [22736] = 20445,
  [22737] = 20423,
  [22738] = 20413,
  [22739] = 21250,
  [22740] = 20480,
  [22741] = 20481,
  [22742] = 20482,
  [22743] = 20480,
  [22744] = 20483,
  [22745] = 20422,
  [22746] = 21522,
  [22747] = 20414,
  [22748] = 21786,
  [22749] = 22311,
  [22750] = 22312,
  [22751] = 22313,
  [22752] = 20485,
  [22753] = 20453,
  [22754] = 20453,
  [22755] = 20452,
  [22756] = 20428,
  [22757] = 20478,
  [22758] = 20490,
  [22759] = 21250,
  [22760] = 20467,
  [22761] = 20423,
  [22762] = 20415,
  [22763] = 21056,
  [22764] = 20422,
  [22765] = 20453,
  [22766] = 21522,
  [22767] = 20633,
  [22768] = 21786,
  [22769] = 22311,
  [22770] = 22312,
  [22771] = 22313,
  [22772] = 20417,
  [22773] = 20418,
  [22774] = 20419,
  [22775] = 20423,
  [22776] = 20420,
  [22777] = 20457,
  [22778] = 20480,
  [22779] = 21250,
  [22780] = 20414,
  [22781] = 20467,
  [22782] = 20443,
  [22783] = 20805,
  [22784] = 6395,
  [22785] = 21522,
  [22786] = 20461,
  [22787] = 21786,
  [22788] = 22311,
  [22789] = 22312,
  [22790] = 22313,
  [22791] = 20422,
  [22792] = 20423,
  [22793] = 20480,
  [22794] = 20448,
  [22795] = 20428,
  [22796] = 21096,
  [22797] = 20422,
  [22798] = 21250,
  [22799] = 20894,
  [22800] = 20423,
  [22801] = 20453,
  [22802] = 20480,
  [22803] = 20414,
  [22804] = 21522,
  [22805] = 20422,
  [22806] = 21786,
  [22807] = 22311,
  [22808] = 22312,
  [22809] = 22313,
  [22810] = 21075,
  [22811] = 20440,
  [22812] = 20547,
  [22813] = 20472,
  [22814] = 20473,
  [22815] = 20474,
  [22816] = 20475,
  [22817] = 20911,
  [22818] = 20932,
  [22819] = 20423,
  [22820] = 21141,
  [22821] = 21522,
  [22822] = 20480,
  [22823] = 21786,
  [22824] = 22311,
  [22825] = 22312,
  [22826] = 22313,
  [22827] = 20510,
  [22828] = 20492,
  [22829] = 20443,
  [22830] = 20547,
  [22831] = 20461,
  [22832] = 20462,
  [22833] = 20462,
  [22834] = 20463,
  [22835] = 20464,
  [22836] = 20463,
  [22837] = 20467,
  [22838] = 21522,
  [22839] = 20464,
  [22840] = 21786,
  [22841] = 22311,
  [22842] = 22312,
  [22843] = 22313,
  [22844] = 20470,
  [22845] = 20469,
  [22846] = 20467,
  [22847] = 20422,
  [22848] = 20424,
  [22849] = 20469,
  [22850] = 20478,
  [22851] = 20423,
  [22852] = 20480,
  [22853] = 20478,
  [22854] = 20414,
  [22855] = 21522,
  [22856] = 20422,
  [22857] = 21786,
  [22858] = 22311,
  [22859] = 22312,
  [22860] = 22313,
  [22861] = 20492,
  [22862] = 20423,
  [22863] = 20480,
  [22864] = 20416,
  [22865] = 20417,
  [22866] = 20443,
  [22867] = 20470,
  [22868] = 20461,
  [22869] = 20462,
  [22870] = 20463,
  [22871] = 20502,
  [22872] = 21522,
  [22873] = 20464,
  [22874] = 21786,
  [22875] = 22311,
  [22876] = 22312,
  [22877] = 22313,
  [22878] = 20467,
  [22879] = 20517,
  [22880] = 20422,
  [22881] = 20469,
  [22882] = 20523,
  [22883] = 20492,
  [22884] = 20415,
  [22885] = 20423,
  [22886] = 20478,
  [22887] = 20480,
  [22888] = 20427,
  [22889] = 21522,
  [22890] = 20422,
  [22891] = 21786,
  [22892] = 22311,
  [22893] = 22312,
  [22894] = 22313,
  [22895] = 20417,
  [22896] = 20418,
  [22897] = 20422,
  [22898] = 20424,
  [22899] = 20916,
  [22900] = 20423,
  [22901] = 20419,
  [22902] = 20480,
  [22903] = 20423,
  [22904] = 20492,
  [22905] = 20422,
  [22906] = 21522,
  [22907] = 20937,
  [22908] = 21786,
  [22909] = 22311,
  [22910] = 22312,
  [22911] = 22313,
  [22912] = 20420,
  [22913] = 20448,
  [22914] = 20423,
  [22915] = 20490,
  [22916] = 20480,
  [22917] = 20414,
  [22918] = 20430,
  [22919] = 20428,
  [22920] = 20422,
  [22921] = 20433,
  [22922] = 21522,
  [22923] = 20434,
  [22924] = 21786,
  [22925] = 22311,
  [22926] = 22312,
  [22927] = 22313,
  [22928] = 20423,
  [22929] = 20596,
  [22930] = 20480,
  [22931] = 20461,
  [22932] = 20417,
  [22933] = 20422,
  [22934] = 20418,
  [22935] = 20423,
  [22936] = 20502,
  [22937] = 20416,
  [22938] = 21522,
  [22939] = 20480,
  [22940] = 21786,
  [22941] = 22311,
  [22942] = 22312,
  [22943] = 22313,
  [22944] = 20422,
  [22945] = 20423,
  [22946] = 20517,
  [22947] = 20418,
  [22948] = 20523,
  [22949] = 20444,
  [22950] = 20440,
  [22951] = 20445,
  [22952] = 20415,
  [22953] = 20413,
  [22954] = 21522,
  [22955] = 20422,
  [22956] = 21786,
  [22957] = 22311,
  [22958] = 22312,
  [22959] = 22313,
  [22960] = 20423,
  [22961] = 20419,
  [22962] = 20427,
  [22963] = 20452,
  [22964] = 20480,
  [22965] = 20502,
  [22966] = 20465,
  [22967] = 20422,
  [22968] = 20423,
  [22969] = 20420,
  [22970] = 21522,
  [22971] = 20480,
  [22972] = 21786,
  [22973] = 22311,
  [22974] = 22312,
  [22975] = 22313,
  [22976] = 20438,
  [22977] = 21056,
  [22978] = 20417,
  [22979] = 20480,
  [22980] = 20633,
  [22981] = 20481,
  [22982] = 20482,
  [22983] = 20483,
  [22984] = 20422,
  [22985] = 20457,
  [22986] = 21522,
  [22987] = 20502,
  [22988] = 22311,
  [22989] = 22312,
  [22990] = 22313,
  [22991] = 20485,
  [22992] = 20423,
  [22993] = 20480,
  [22994] = 20453,
  [22995] = 20517,
  [22996] = 20422,
  [22997] = 20423,
  [22998] = 20480,
  [22999] = 20419,
  [23000] = 20580,
  [23001] = 21522,
  [23002] = 20422,
  [23003] = 22311,
  [23004] = 22312,
  [23005] = 22313,
  [23006] = 21096,
  [23007] = 20423,
  [23008] = 20517,
  [23009] = 20417,
  [23010] = 20480,
  [23011] = 20418,
  [23012] = 20419,
  [23013] = 20420,
  [23014] = 20523,
  [23015] = 20414,
  [23016] = 21522,
  [23017] = 20422,
  [23018] = 22311,
  [23019] = 22312,
  [23020] = 22313,
  [23021] = 20423,
  [23022] = 20472,
  [23023] = 20473,
  [23024] = 21341,
  [23025] = 20474,
  [23026] = 20784,
  [23027] = 20475,
  [23028] = 20911,
  [23029] = 20932,
  [23030] = 20428,
  [23031] = 21522,
  [23032] = 20480,
  [23033] = 22311,
  [23034] = 22312,
  [23035] = 22313,
  [23036] = 21141,
  [23037] = 20415,
  [23038] = 20422,
  [23039] = 20523,
  [23040] = 20415,
  [23041] = 20490,
  [23042] = 20423,
  [23043] = 20480,
  [23044] = 20440,
  [23045] = 20426,
  [23046] = 21522,
  [23047] = 20422,
  [23048] = 22311,
  [23049] = 22312,
  [23050] = 22313,
  [23051] = 20433,
  [23052] = 20805,
  [23053] = 20427,
  [23054] = 20937,
  [23055] = 20596,
  [23056] = 20423,
  [23057] = 20428,
  [23058] = 20480,
  [23059] = 20420,
  [23060] = 20422,
  [23061] = 21522,
  [23062] = 20416,
  [23063] = 22311,
  [23064] = 22312,
  [23065] = 22313,
  [23066] = 20443,
  [23067] = 20461,
  [23068] = 20422,
  [23069] = 20462,
  [23070] = 20423,
  [23071] = 20463,
  [23072] = 20464,
  [23073] = 20467,
  [23074] = 20423,
  [23075] = 20480,
  [23076] = 21522,
  [23077] = 20440,
  [23078] = 22311,
  [23079] = 22312,
  [23080] = 22313,
  [23081] = 20469,
  [23082] = 20427,
  [23083] = 20422,
  [23084] = 20423,
  [23085] = 20480,
  [23086] = 20478,
  [23087] = 20448,
  [23088] = 21413,
  [23089] = 20422,
  [23090] = 20423,
  [23091] = 21522,
  [23092] = 20480,
  [23093] = 22311,
  [23094] = 22312,
  [23095] = 22313,
  [23096] = 20492,
  [23097] = 20668,
  [23098] = 20422,
  [23099] = 20576,
  [23100] = 20423,
  [23101] = 20424,
  [23102] = 20916,
  [23103] = 20576,
  [23104] = 20480,
  [23105] = 20440,
  [23106] = 21522,
  [23107] = 20418,
  [23108] = 22311,
  [23109] = 22312,
  [23110] = 22313,
  [23111] = 20502,
  [23112] = 20465,
  [23113] = 20937,
  [23114] = 20517,
  [23115] = 20427,
  [23116] = 20419,
  [23117] = 20523,
  [23118] = 20415,
  [23119] = 20430,
  [23120] = 20420,
  [23121] = 21522,
  [23122] = 20414,
  [23123] = 22311,
  [23124] = 22312,
  [23125] = 22313,
  [23126] = 20433,
  [23127] = 20427,
  [23128] = 20434,
  [23129] = 20465,
  [23130] = 20548,
  [23131] = 20424,
  [23132] = 20480,
  [23133] = 20481,
  [23134] = 21652,
  [23135] = 20482,
  [23136] = 21522,
  [23137] = 20483,
  [23138] = 22311,
  [23139] = 22312,
  [23140] = 22313,
  [23141] = 20414,
  [23142] = 20485,
  [23143] = 20596,
  [23144] = 20444,
  [23145] = 20445,
  [23146] = 20453,
  [23147] = 20413,
  [23148] = 20490,
  [23149] = 20916,
  [23150] = 20478,
  [23151] = 21522,
  [23152] = 20502,
  [23153] = 22311,
  [23154] = 22312,
  [23155] = 22313,
  [23156] = 20502,
  [23157] = 20452,
  [23158] = 20582,
  [23159] = 20425,
  [23160] = 20480,
  [23161] = 20481,
  [23162] = 20596,
  [23163] = 20482,
  [23164] = 20483,
  [23165] = 21056,
  [23166] = 21522,
  [23167] = 20632,
  [23168] = 22311,
  [23169] = 22312,
  [23170] = 22313,
  [23171] = 20633,
  [23172] = 20416,
  [23173] = 20457,
  [23174] = 20416,
  [23175] = 20425,
  [23176] = 20422,
  [23177] = 20423,
  [23178] = 20490,
  [23179] = 20485,
  [23180] = 20416,
  [23181] = 21522,
  [23182] = 20453,
  [23183] = 22311,
  [23184] = 22312,
  [23185] = 22313,
  [23186] = 20440,
  [23187] = 20937,
  [23188] = 20428,
  [23189] = 20422,
  [23190] = 20423,
  [23191] = 21096,
  [23192] = 20430,
  [23193] = 20576,
  [23194] = 20510,
  [23195] = 20465,
  [23196] = 21522,
  [23197] = 20596,
  [23198] = 22311,
  [23199] = 22312,
  [23200] = 22313,
  [23201] = 20465,
  [23202] = 23202,
  [23203] = 22514,
  [23204] = 20433,
  [23205] = 20472,
  [23206] = 20473,
  [23207] = 20474,
  [23208] = 20480,
  [23209] = 20475,
  [23210] = 20481,
  [23211] = 21522,
  [23212] = 20911,
  [23213] = 22311,
  [23214] = 22312,
  [23215] = 22313,
  [23216] = 20482,
  [23217] = 20483,
  [23218] = 20932,
  [23219] = 20434,
  [23220] = 21141,
  [23221] = 20485,
  [23222] = 20517,
  [23223] = 20453,
  [23224] = 20417,
  [23225] = 20418,
  [23226] = 20419,
  [23227] = 22311,
  [23228] = 22312,
  [23229] = 22313,
  [23230] = 20420,
  [23231] = 20414,
  [23232] = 20418,
  [23233] = 20548,
  [23234] = 20419,
  [23235] = 20420,
  [23236] = 23236,
  [23237] = 20417,
  [23238] = 20414,
  [23239] = 20418,
  [23240] = 20502,
  [23241] = 22311,
  [23242] = 22312,
  [23243] = 22313,
  [23244] = 20419,
  [23245] = 20420,
  [23246] = 20440,
  [23247] = 20414,
  [23248] = 20465,
  [23249] = 20517,
  [23250] = 20782,
  [23251] = 20438,
  [23252] = 23252,
  [23253] = 20416,
  [23254] = 20547,
  [23255] = 22311,
  [23256] = 22312,
  [23257] = 22313,
  [23258] = 20422,
  [23259] = 20480,
  [23260] = 20423,
  [23261] = 20428,
  [23262] = 20416,
  [23263] = 20481,
  [23264] = 20428,
  [23265] = 20482,
  [23266] = 20426,
  [23267] = 20483,
  [23268] = 20523,
  [23269] = 22311,
  [23270] = 22312,
  [23271] = 22313,
  [23272] = 20428,
  [23273] = 21370,
  [23274] = 20523,
  [23275] = 20485,
  [23276] = 20440,
  [23277] = 20487,
  [23278] = 20489,
  [23279] = 20438,
  [23280] = 20576,
  [23281] = 20415,
  [23282] = 20443,
  [23283] = 22311,
  [23284] = 22312,
  [23285] = 22313,
  [23286] = 20461,
  [23287] = 20462,
  [23288] = 20463,
  [23289] = 20424,
  [23290] = 20480,
  [23291] = 20443,
  [23292] = 20461,
  [23293] = 20462,
  [23294] = 20464,
  [23295] = 20463,
  [23296] = 20465,
  [23297] = 22311,
  [23298] = 22312,
  [23299] = 22313,
  [23300] = 20464,
  [23301] = 20467,
  [23302] = 20448,
  [23303] = 23303,
  [23304] = 20937,
  [23305] = 20469,
  [23306] = 20467,
  [23307] = 20582,
  [23308] = 20430,
  [23309] = 20478,
  [23310] = 20443,
  [23311] = 22311,
  [23312] = 22312,
  [23313] = 22313,
  [23314] = 20461,
  [23315] = 20433,
  [23316] = 20434,
  [23317] = 20582,
  [23318] = 20444,
  [23319] = 20492,
  [23320] = 20443,
  [23321] = 20461,
  [23322] = 20462,
  [23323] = 20676,
  [23324] = 20998,
  [23325] = 22311,
  [23326] = 22312,
  [23327] = 22313,
  [23328] = 20510,
  [23329] = 20547,
  [23330] = 20463,
  [23331] = 20462,
  [23332] = 20668,
  [23333] = 20502,
  [23334] = 20445,
  [23335] = 20517,
  [23336] = 20464,
  [23337] = 20463,
  [23338] = 20467,
  [23339] = 22311,
  [23340] = 22312,
  [23341] = 22313,
  [23342] = 20523,
  [23343] = 20415,
  [23344] = 20598,
  [23345] = 20444,
  [23346] = 20445,
  [23347] = 20464,
  [23348] = 20427,
  [23349] = 20467,
  [23350] = 20490,
  [23351] = 20413,
  [23352] = 20413,
  [23353] = 22311,
  [23354] = 22312,
  [23355] = 22313,
  [23356] = 20422,
  [23357] = 21204,
  [23358] = 21320,
  [23359] = 20469,
  [23360] = 20452,
  [23361] = 20576,
  [23362] = 20782,
  [23363] = 20469,
  [23364] = 20452,
  [23365] = 20676,
  [23366] = 20784,
  [23367] = 22311,
  [23368] = 22312,
  [23369] = 22313,
  [23370] = 21056,
  [23371] = 20490,
  [23372] = 20469,
  [23373] = 20478,
  [23374] = 20633,
  [23375] = 20465,
  [23376] = 20457,
  [23377] = 20480,
  [23378] = 20478,
  [23379] = 20481,
  [23380] = 20480,
  [23381] = 22311,
  [23382] = 22312,
  [23383] = 22313,
  [23384] = 20596,
  [23385] = 20596,
  [23386] = 20869,
  [23387] = 20784,
  [23388] = 22311,
  [23389] = 22312,
  [23390] = 22313,
  [23391] = 20787,
  [23392] = 20478,
  [23393] = 20492,
  [23394] = 21096,
  [23395] = 22311,
  [23396] = 22312,
  [23397] = 22313,
  [23398] = 20426,
  [23399] = 20481,
  [23400] = 22311,
  [23401] = 22312,
  [23402] = 22313,
  [23403] = 20482,
  [23404] = 20416,
  [23405] = 22311,
  [23406] = 22312,
  [23407] = 22313,
  [23408] = 20483,
  [23409] = 20423,
  [23410] = 22311,
  [23411] = 22312,
  [23412] = 22313,
  [23413] = 20472,
  [23414] = 20473,
  [23415] = 22311,
  [23416] = 22312,
  [23417] = 22313,
  [23418] = 20474,
  [23419] = 20475,
  [23420] = 22311,
  [23421] = 22312,
  [23422] = 22313,
  [23423] = 20911,
  [23424] = 20932,
  [23425] = 22311,
  [23426] = 22312,
  [23427] = 22313,
  [23428] = 20485,
  [23429] = 21141,
  [23430] = 22311,
  [23431] = 22312,
  [23432] = 22313,
  [23433] = 20480,
  [23434] = 20481,
  [23435] = 22311,
  [23436] = 22312,
  [23437] = 22313,
  [23438] = 20422,
  [23439] = 20423,
  [23440] = 22311,
  [23441] = 22312,
  [23442] = 22313,
  [23443] = 20482,
  [23444] = 20483,
  [23445] = 22311,
  [23446] = 22312,
  [23447] = 22313,
  [23448] = 20443,
  [23449] = 20461,
  [23450] = 22311,
  [23451] = 22312,
  [23452] = 22313,
  [23453] = 20462,
  [23454] = 20463,
  [23455] = 22311,
  [23456] = 22312,
  [23457] = 22313,
  [23458] = 20464,
  [23459] = 20467,
  [23460] = 20502,
  [23461] = 20469,
  [23462] = 20482,
  [23463] = 20517,
  [23464] = 20478,
  [23465] = 20485,
  [23466] = 22159,
  [23467] = 20466,
  [23468] = 21055,
  [23469] = 20492,
  [23470] = 21440,
  [23471] = 21056,
  [23472] = 20489,
  [23473] = 20633,
  [23474] = 20523,
  [23475] = 20415,
  [23476] = 20502,
  [23477] = 20489,
  [23478] = 23303,
  [23479] = 20424,
  [23480] = 20517,
  [23481] = 20465,
  [23482] = 20439,
  [23483] = 20878,
  [23484] = 20427,
  [23485] = 20416,
  [23486] = 20422,
  [23487] = 20423,
  [23488] = 22514,
  [23489] = 20460,
  [23490] = 20492,
  [23491] = 20523,
  [23492] = 20492,
  [23493] = 20440,
  [23494] = 20430,
  [23495] = 20415,
  [23496] = 20453,
  [23497] = 20580,
  [23498] = 20433,
  [23499] = 20434,
  [23500] = 20483,
  [23501] = 20484,
  [23502] = 20429,
  [23503] = 20453,
  [23504] = 20496,
  [23505] = 20427,
  [23506] = 20894,
  [23507] = 20485,
  [23508] = 20453,
  [23509] = 20632,
  [23510] = 20465,
  [23511] = 20489,
  [23512] = 20462,
  [23513] = 20502,
  [23514] = 20457,
  [23515] = 20444,
  [23516] = 20480,
  [23517] = 20439,
  [23518] = 20878,
  [23519] = 20460,
  [23520] = 20481,
  [23521] = 20482,
  [23522] = 20483,
  [23523] = 20445,
  [23524] = 20463,
  [23525] = 20485,
  [23526] = 20413,
  [23527] = 20453,
  [23528] = 20481,
  [23529] = 20482,
  [23530] = 20490,
  [23531] = 20440,
  [23532] = 20452,
  [23533] = 20502,
  [23534] = 21077,
  [23535] = 20439,
  [23536] = 20878,
  [23537] = 20460,
  [23538] = 20417,
  [23539] = 20418,
  [23540] = 20419,
  [23541] = 20420,
  [23542] = 23542,
  [23543] = 20414,
  [23544] = 20483,
  [23545] = 20517,
  [23546] = 20517,
  [23547] = 20523,
  [23548] = 20439,
  [23549] = 20465,
  [23550] = 20415,
  [23551] = 21056,
  [23552] = 20428,
  [23553] = 20427,
  [23554] = 20633,
  [23555] = 21098,
  [23556] = 20427,
  [23557] = 20439,
  [23558] = 20457,
  [23559] = 20523,
  [23560] = 20439,
  [23561] = 21370,
  [23562] = 23562,
  [23563] = 20439,
  [23564] = 20415,
  [23565] = 20437,
  [23566] = 20439,
  [23567] = 20439,
  [23568] = 20439,
  [23569] = 20439,
  [23570] = 20439,
  [23571] = 20439,
  [23572] = 20439,
  [23573] = 20439,
  [23574] = 20439,
  [23575] = 20439,
  [23576] = 20439,
  [23577] = 20439,
  [23578] = 20439,
  [23579] = 20439,
  [23580] = 20439,
  [23581] = 20439,
  [23582] = 20439,
  [23583] = 20439,
  [23584] = 20439,
  [23585] = 20439,
  [23586] = 20439,
  [23587] = 20439,
  [23588] = 20439,
  [23589] = 20439,
  [23590] = 20439,
  [23591] = 20439,
  [23592] = 20439,
  [23593] = 20439,
  [23594] = 20439,
  [23595] = 20439,
  [23596] = 20439,
  [23597] = 20439,
  [23598] = 20439,
  [23599] = 20439,
  [23600] = 20439,
  [23601] = 20439,
  [23602] = 20439,
  [23603] = 20439,
  [23604] = 20439,
  [23605] = 20439,
  [23606] = 20439,
  [23607] = 20439,
  [23608] = 20439,
  [23609] = 20439,
  [23610] = 20439,
  [23611] = 20439,
  [23612] = 20439,
  [23613] = 20439,
  [23614] = 20439,
  [23615] = 20439,
  [23616] = 20439,
  [23617] = 20439,
  [23618] = 20439,
  [23619] = 20439,
  [23620] = 20439,
  [23621] = 20439,
  [23622] = 20453,
  [23623] = 20854,
  [23624] = 20490,
  [23625] = 20963,
  [23626] = 23303,
  [23627] = 20427,
  [23628] = 20416,
  [23629] = 21096,
  [23630] = 20422,
  [23631] = 20423,
  [23632] = 20480,
  [23633] = 20443,
  [23634] = 20461,
  [23635] = 20462,
  [23636] = 20415,
  [23637] = 20463,
  [23638] = 20464,
  [23639] = 20440,
  [23640] = 20467,
  [23641] = 20596,
  [23642] = 20469,
  [23643] = 20472,
  [23644] = 20854,
  [23645] = 20963,
  [23646] = 20473,
  [23647] = 20478,
  [23648] = 20474,
  [23649] = 20475,
  [23650] = 20911,
  [23651] = 20492,
  [23652] = 20932,
  [23653] = 20854,
  [23654] = 20963,
  [23655] = 21096,
  [23656] = 20496,
  [23657] = 21141,
  [23658] = 20481,
  [23659] = 20414,
  [23660] = 20502,
  [23661] = 20596,
  [23662] = 20473,
  [23663] = 20517,
  [23664] = 20482,
  [23665] = 20483,
  [23666] = 20523,
  [23667] = 20415,
  [23668] = 20485,
  [23669] = 20416,
  [23670] = 20427,
  [23671] = 20582,
  [23672] = 20422,
  [23673] = 20423,
  [23674] = 20474,
  [23675] = 20426,
  [23676] = 20440,
  [23677] = 20485,
  [23678] = 20417,
  [23679] = 20475,
  [23680] = 20418,
  [23681] = 20419,
  [23682] = 20485,
  [23683] = 20420,
  [23684] = 20465,
  [23685] = 20448,
  [23686] = 20414,
  [23687] = 20489,
  [23688] = 20472,
  [23689] = 20424,
  [23690] = 20576,
  [23691] = 20453,
  [23692] = 20490,
  [23693] = 20576,
  [23694] = 20490,
  [23695] = 20804,
  [23696] = 20430,
  [23697] = 20465,
  [23698] = 20440,
  [23699] = 20490,
  [23700] = 20433,
  [23701] = 20434,
  [23702] = 20596,
  [23703] = 20805,
  [23704] = 20480,
  [23705] = 20473,
  [23706] = 20474,
  [23707] = 20475,
  [23708] = 20480,
  [23709] = 20481,
  [23710] = 20416,
  [23711] = 20482,
  [23712] = 20422,
  [23713] = 20483,
  [23714] = 20423,
  [23715] = 20444,
  [23716] = 20445,
  [23717] = 20911,
  [23718] = 20413,
  [23719] = 20932,
  [23720] = 20440,
  [23721] = 20485,
  [23722] = 20481,
  [23723] = 20453,
  [23724] = 23724,
  [23725] = 20452,
  [23726] = 20482,
  [23727] = 20483,
  [23728] = 20422,
  [23729] = 20485,
  [23730] = 20457,
  [23731] = 20423,
  [23732] = 20465,
  [23733] = 20596,
  [23734] = 20453,
  [23735] = 20464,
  [23736] = 21056,
  [23737] = 21141,
  [23738] = 20492,
  [23739] = 20434,
  [23740] = 20480,
  [23741] = 23741,
  [23742] = 20481,
  [23743] = 20438,
  [23744] = 20428,
  [23745] = 20482,
  [23746] = 20483,
  [23747] = 20487,
  [23748] = 20417,
  [23749] = 20489,
  [23750] = 20418,
  [23751] = 20485,
  [23752] = 20472,
  [23753] = 20473,
  [23754] = 20474,
  [23755] = 20475,
  [23756] = 20419,
  [23757] = 20427,
  [23758] = 23758,
  [23759] = 23759,
};

static TSCharacterRange sym_conversion_specification_character_set_6[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'}, {'N', 'N'},
  {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_conversion_specification_character_set_7[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'0', '9'}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'},
  {'N', 'N'}, {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_prefix_operator_character_set_1[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_pow_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_indexing_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'=', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym_let_operator_character_set_1[] = {
  {'$', '$'}, {'&', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {'<', '>'}, {'@', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym__lowercase_identifier_character_set_2[] = {
  {'\'', '\''}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7},
  {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3},
  {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa},
  {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963},
  {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36},
  {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48},
  {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3},
  {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f},
  {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca},
  {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6},
  {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37},
  {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049},
  {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715},
  {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd},
  {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592},
  {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767},
  {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c},
  {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7},
  {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1},
  {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075},
  {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173},
  {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241},
  {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303},
  {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348},
  {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459},
  {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640},
  {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746},
  {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938},
  {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47},
  {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f},
  {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47},
  {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6},
  {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152},
  {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006},
  {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d},
  {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22},
  {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47},
  {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b},
  {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c},
  {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
  {0xe0100, 0xe01ef},
};

static TSCharacterRange sym__lowercase_identifier_character_set_3[] = {
  {'_', '_'}, {'a', 'z'}, {0xb5, 0xb5}, {0xdf, 0xf6}, {0xf8, 0xff}, {0x101, 0x101}, {0x103, 0x103}, {0x105, 0x105},
  {0x107, 0x107}, {0x109, 0x109}, {0x10b, 0x10b}, {0x10d, 0x10d}, {0x10f, 0x10f}, {0x111, 0x111}, {0x113, 0x113}, {0x115, 0x115},
  {0x117, 0x117}, {0x119, 0x119}, {0x11b, 0x11b}, {0x11d, 0x11d}, {0x11f, 0x11f}, {0x121, 0x121}, {0x123, 0x123}, {0x125, 0x125},
  {0x127, 0x127}, {0x129, 0x129}, {0x12b, 0x12b}, {0x12d, 0x12d}, {0x12f, 0x12f}, {0x131, 0x131}, {0x133, 0x133}, {0x135, 0x135},
  {0x137, 0x138}, {0x13a, 0x13a}, {0x13c, 0x13c}, {0x13e, 0x13e}, {0x140, 0x140}, {0x142, 0x142}, {0x144, 0x144}, {0x146, 0x146},
  {0x148, 0x149}, {0x14b, 0x14b}, {0x14d, 0x14d}, {0x14f, 0x14f}, {0x151, 0x151}, {0x153, 0x153}, {0x155, 0x155}, {0x157, 0x157},
  {0x159, 0x159}, {0x15b, 0x15b}, {0x15d, 0x15d}, {0x15f, 0x15f}, {0x161, 0x161}, {0x163, 0x163}, {0x165, 0x165}, {0x167, 0x167},
  {0x169, 0x169}, {0x16b, 0x16b}, {0x16d, 0x16d}, {0x16f, 0x16f}, {0x171, 0x171}, {0x173, 0x173}, {0x175, 0x175}, {0x177, 0x177},
  {0x17a, 0x17a}, {0x17c, 0x17c}, {0x17e, 0x180}, {0x183, 0x183}, {0x185, 0x185}, {0x188, 0x188}, {0x18c, 0x18d}, {0x192, 0x192},
  {0x195, 0x195}, {0x199, 0x19b}, {0x19e, 0x19e}, {0x1a1, 0x1a1}, {0x1a3, 0x1a3}, {0x1a5, 0x1a5}, {0x1a8, 0x1a8}, {0x1aa, 0x1ab},
  {0x1ad, 0x1ad}, {0x1b0, 0x1b0}, {0x1b4, 0x1b4}, {0x1b6, 0x1b6}, {0x1b9, 0x1ba}, {0x1bd, 0x1bf}, {0x1c6, 0x1c6}, {0x1c9, 0x1c9},
  {0x1cc, 0x1cc}, {0x1ce, 0x1ce}, {0x1d0, 0x1d0}, {0x1d2, 0x1d2}, {0x1d4, 0x1d4}, {0x1d6, 0x1d6}, {0x1d8, 0x1d8}, {0x1da, 0x1da},
  {0x1dc, 0x1dd}, {0x1df, 0x1df}, {0x1e1, 0x1e1}, {0x1e3, 0x1e3}, {0x1e5, 0x1e5}, {0x1e7, 0x1e7}, {0x1e9, 0x1e9}, {0x1eb, 0x1eb},
  {0x1ed, 0x1ed}, {0x1ef, 0x1f0}, {0x1f3, 0x1f3}, {0x1f5, 0x1f5}, {0x1f9, 0x1f9}, {0x1fb, 0x1fb}, {0x1fd, 0x1fd}, {0x1ff, 0x1ff},
  {0x201, 0x201}, {0x203, 0x203}, {0x205, 0x205}, {0x207, 0x207}, {0x209, 0x209}, {0x20b, 0x20b}, {0x20d, 0x20d}, {0x20f, 0x20f},
  {0x211, 0x211}, {0x213, 0x213}, {0x215, 0x215}, {0x217, 0x217}, {0x219, 0x219}, {0x21b, 0x21b}, {0x21d, 0x21d}, {0x21f, 0x21f},
  {0x221, 0x221}, {0x223, 0x223}, {0x225, 0x225}, {0x227, 0x227}, {0x229, 0x229}, {0x22b, 0x22b}, {0x22d, 0x22d}, {0x22f, 0x22f},
  {0x231, 0x231}, {0x233, 0x239}, {0x23c, 0x23c}, {0x23f, 0x240}, {0x242, 0x242}, {0x247, 0x247}, {0x249, 0x249}, {0x24b, 0x24b},
  {0x24d, 0x24d}, {0x24f, 0x293}, {0x295, 0x2af}, {0x371, 0x371}, {0x373, 0x373}, {0x377, 0x377}, {0x37b, 0x37d}, {0x390, 0x390},
  {0x3ac, 0x3ce}, {0x3d0, 0x3d1}, {0x3d5, 0x3d7}, {0x3d9, 0x3d9}, {0x3db, 0x3db}, {0x3dd, 0x3dd}, {0x3df, 0x3df}, {0x3e1, 0x3e1},
  {0x3e3, 0x3e3}, {0x3e5, 0x3e5}, {0x3e7, 0x3e7}, {0x3e9, 0x3e9}, {0x3eb, 0x3eb}, {0x3ed, 0x3ed}, {0x3ef, 0x3f3}, {0x3f5, 0x3f5},
  {0x3f8, 0x3f8}, {0x3fb, 0x3fc}, {0x430, 0x45f}, {0x461, 0x461}, {0x463, 0x463}, {0x465, 0x465}, {0x467, 0x467}, {0x469, 0x469},
  {0x46b, 0x46b}, {0x46d, 0x46d}, {0x46f, 0x46f}, {0x471, 0x471}, {0x473, 0x473}, {0x475, 0x475}, {0x477, 0x477}, {0x479, 0x479},
  {0x47b, 0x47b}, {0x47d, 0x47d}, {0x47f, 0x47f}, {0x481, 0x481}, {0x48b, 0x48b}, {0x48d, 0x48d}, {0x48f, 0x48f}, {0x491, 0x491},
  {0x493, 0x493}, {0x495, 0x495}, {0x497, 0x497}, {0x499, 0x499}, {0x49b, 0x49b}, {0x49d, 0x49d}, {0x49f, 0x49f}, {0x4a1, 0x4a1},
  {0x4a3, 0x4a3}, {0x4a5, 0x4a5}, {0x4a7, 0x4a7}, {0x4a9, 0x4a9}, {0x4ab, 0x4ab}, {0x4ad, 0x4ad}, {0x4af, 0x4af}, {0x4b1, 0x4b1},
  {0x4b3, 0x4b3}, {0x4b5, 0x4b5}, {0x4b7, 0x4b7}, {0x4b9, 0x4b9}, {0x4bb, 0x4bb}, {0x4bd, 0x4bd}, {0x4bf, 0x4bf}, {0x4c2, 0x4c2},
  {0x4c4, 0x4c4}, {0x4c6, 0x4c6}, {0x4c8, 0x4c8}, {0x4ca, 0x4ca}, {0x4cc, 0x4cc}, {0x4ce, 0x4cf}, {0x4d1, 0x4d1}, {0x4d3, 0x4d3},
  {0x4d5, 0x4d5}, {0x4d7, 0x4d7}, {0x4d9, 0x4d9}, {0x4db, 0x4db}, {0x4dd, 0x4dd}, {0x4df, 0x4df}, {0x4e1, 0x4e1}, {0x4e3, 0x4e3},
  {0x4e5, 0x4e5}, {0x4e7, 0x4e7}, {0x4e9, 0x4e9}, {0x4eb, 0x4eb}, {0x4ed, 0x4ed}, {0x4ef, 0x4ef}, {0x4f1, 0x4f1}, {0x4f3, 0x4f3},
  {0x4f5, 0x4f5}, {0x4f7, 0x4f7}, {0x4f9, 0x4f9}, {0x4fb, 0x4fb}, {0x4fd, 0x4fd}, {0x4ff, 0x4ff}, {0x501, 0x501}, {0x503, 0x503},
  {0x505, 0x505}, {0x507, 0x507}, {0x509, 0x509}, {0x50b, 0x50b}, {0x50d, 0x50d}, {0x50f, 0x50f}, {0x511, 0x511}, {0x513, 0x513},
  {0x515, 0x515}, {0x517, 0x517}, {0x519, 0x519}, {0x51b, 0x51b}, {0x51d, 0x51d}, {0x51f, 0x51f}, {0x521, 0x521}, {0x523, 0x523},
  {0x525, 0x525}, {0x527, 0x527}, {0x529, 0x529}, {0x52b, 0x52b}, {0x52d, 0x52d}, {0x52f, 0x52f}, {0x560, 0x588}, {0x10d0, 0x10fa},
  {0x10fd, 0x10ff}, {0x13f8, 0x13fd}, {0x1c80, 0x1c88}, {0x1d00, 0x1d2b}, {0x1d6b, 0x1d77}, {0x1d79, 0x1d9a}, {0x1e01, 0x1e01}, {0x1e03, 0x1e03},
  {0x1e05, 0x1e05}, {0x1e07, 0x1e07}, {0x1e09, 0x1e09}, {0x1e0b, 0x1e0b}, {0x1e0d, 0x1e0d}, {0x1e0f, 0x1e0f}, {0x1e11, 0x1e11}, {0x1e13, 0x1e13},
  {0x1e15, 0x1e15}, {0x1e17, 0x1e17}, {0x1e19, 0x1e19}, {0x1e1b, 0x1e1b}, {0x1e1d, 0x1e1d}, {0x1e1f, 0x1e1f}, {0x1e21, 0x1e21}, {0x1e23, 0x1e23},
  {0x1e25, 0x1e25}, {0x1e27, 0x1e27}, {0x1e29, 0x1e29}, {0x1e2b, 0x1e2b}, {0x1e2d, 0x1e2d}, {0x1e2f, 0x1e2f}, {0x1e31, 0x1e31}, {0x1e33, 0x1e33},
  {0x1e35, 0x1e35}, {0x1e37, 0x1e37}, {0x1e39, 0x1e39}, {0x1e3b, 0x1e3b}, {0x1e3d, 0x1e3d}, {0x1e3f, 0x1e3f}, {0x1e41, 0x1e41}, {0x1e43, 0x1e43},
  {0x1e45, 0x1e45}, {0x1e47, 0x1e47}, {0x1e49, 0x1e49}, {0x1e4b, 0x1e4b}, {0x1e4d, 0x1e4d}, {0x1e4f, 0x1e4f}, {0x1e51, 0x1e51}, {0x1e53, 0x1e53},
  {0x1e55, 0x1e55}, {0x1e57, 0x1e57}, {0x1e59, 0x1e59}, {0x1e5b, 0x1e5b}, {0x1e5d, 0x1e5d}, {0x1e5f, 0x1e5f}, {0x1e61, 0x1e61}, {0x1e63, 0x1e63},
  {0x1e65, 0x1e65}, {0x1e67, 0x1e67}, {0x1e69, 0x1e69}, {0x1e6b, 0x1e6b}, {0x1e6d, 0x1e6d}, {0x1e6f, 0x1e6f}, {0x1e71, 0x1e71}, {0x1e73, 0x1e73},
  {0x1e75, 0x1e75}, {0x1e77, 0x1e77}, {0x1e79, 0x1e79}, {0x1e7b, 0x1e7b}, {0x1e7d, 0x1e7d}, {0x1e7f, 0x1e7f}, {0x1e81, 0x1e81}, {0x1e83, 0x1e83},
  {0x1e85, 0x1e85}, {0x1e87, 0x1e87}, {0x1e89, 0x1e89}, {0x1e8b, 0x1e8b}, {0x1e8d, 0x1e8d}, {0x1e8f, 0x1e8f}, {0x1e91, 0x1e91}, {0x1e93, 0x1e93},
  {0x1e95, 0x1e9d}, {0x1e9f, 0x1e9f}, {0x1ea1, 0x1ea1}, {0x1ea3, 0x1ea3}, {0x1ea5, 0x1ea5}, {0x1ea7, 0x1ea7}, {0x1ea9, 0x1ea9}, {0x1eab, 0x1eab},
  {0x1ead, 0x1ead}, {0x1eaf, 0x1eaf}, {0x1eb1, 0x1eb1}, {0x1eb3, 0x1eb3}, {0x1eb5, 0x1eb5}, {0x1eb7, 0x1eb7}, {0x1eb9, 0x1eb9}, {0x1ebb, 0x1ebb},
  {0x1ebd, 0x1ebd}, {0x1ebf, 0x1ebf}, {0x1ec1, 0x1ec1}, {0x1ec3, 0x1ec3}, {0x1ec5, 0x1ec5}, {0x1ec7, 0x1ec7}, {0x1ec9, 0x1ec9}, {0x1ecb, 0x1ecb},
  {0x1ecd, 0x1ecd}, {0x1ecf, 0x1ecf}, {0x1ed1, 0x1ed1}, {0x1ed3, 0x1ed3}, {0x1ed5, 0x1ed5}, {0x1ed7, 0x1ed7}, {0x1ed9, 0x1ed9}, {0x1edb, 0x1edb},
  {0x1edd, 0x1edd}, {0x1edf, 0x1edf}, {0x1ee1, 0x1ee1}, {0x1ee3, 0x1ee3}, {0x1ee5, 0x1ee5}, {0x1ee7, 0x1ee7}, {0x1ee9, 0x1ee9}, {0x1eeb, 0x1eeb},
  {0x1eed, 0x1eed}, {0x1eef, 0x1eef}, {0x1ef1, 0x1ef1}, {0x1ef3, 0x1ef3}, {0x1ef5, 0x1ef5}, {0x1ef7, 0x1ef7}, {0x1ef9, 0x1ef9}, {0x1efb, 0x1efb},
  {0x1efd, 0x1efd}, {0x1eff, 0x1f07}, {0x1f10, 0x1f15}, {0x1f20, 0x1f27}, {0x1f30, 0x1f37}, {0x1f40, 0x1f45}, {0x1f50, 0x1f57}, {0x1f60, 0x1f67},
  {0x1f70, 0x1f7d}, {0x1f80, 0x1f87}, {0x1f90, 0x1f97}, {0x1fa0, 0x1fa7}, {0x1fb0, 0x1fb4}, {0x1fb6, 0x1fb7}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fc7}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fd7}, {0x1fe0, 0x1fe7}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ff7}, {0x210a, 0x210a}, {0x210e, 0x210f},
  {0x2113, 0x2113}, {0x212f, 0x212f}, {0x2134, 0x2134}, {0x2139, 0x2139}, {0x213c, 0x213d}, {0x2146, 0x2149}, {0x214e, 0x214e}, {0x2184, 0x2184},
  {0x2c30, 0x2c5f}, {0x2c61, 0x2c61}, {0x2c65, 0x2c66}, {0x2c68, 0x2c68}, {0x2c6a, 0x2c6a}, {0x2c6c, 0x2c6c}, {0x2c71, 0x2c71}, {0x2c73, 0x2c74},
  {0x2c76, 0x2c7b}, {0x2c81, 0x2c81}, {0x2c83, 0x2c83}, {0x2c85, 0x2c85}, {0x2c87, 0x2c87}, {0x2c89, 0x2c89}, {0x2c8b, 0x2c8b}, {0x2c8d, 0x2c8d},
  {0x2c8f, 0x2c8f}, {0x2c91, 0x2c91}, {0x2c93, 0x2c93}, {0x2c95, 0x2c95}, {0x2c97, 0x2c97}, {0x2c99, 0x2c99}, {0x2c9b, 0x2c9b}, {0x2c9d, 0x2c9d},
  {0x2c9f, 0x2c9f}, {0x2ca1, 0x2ca1}, {0x2ca3, 0x2ca3}, {0x2ca5, 0x2ca5}, {0x2ca7, 0x2ca7}, {0x2ca9, 0x2ca9}, {0x2cab, 0x2cab}, {0x2cad, 0x2cad},
  {0x2caf, 0x2caf}, {0x2cb1, 0x2cb1}, {0x2cb3, 0x2cb3}, {0x2cb5, 0x2cb5}, {0x2cb7, 0x2cb7}, {0x2cb9, 0x2cb9}, {0x2cbb, 0x2cbb}, {0x2cbd, 0x2cbd},
  {0x2cbf, 0x2cbf}, {0x2cc1, 0x2cc1}, {0x2cc3, 0x2cc3}, {0x2cc5, 0x2cc5}, {0x2cc7, 0x2cc7}, {0x2cc9, 0x2cc9}, {0x2ccb, 0x2ccb}, {0x2ccd, 0x2ccd},
  {0x2ccf, 0x2ccf}, {0x2cd1, 0x2cd1}, {0x2cd3, 0x2cd3}, {0x2cd5, 0x2cd5}, {0x2cd7, 0x2cd7}, {0x2cd9, 0x2cd9}, {0x2cdb, 0x2cdb}, {0x2cdd, 0x2cdd},
  {0x2cdf, 0x2cdf}, {0x2ce1, 0x2ce1}, {0x2ce3, 0x2ce4}, {0x2cec, 0x2cec}, {0x2cee, 0x2cee}, {0x2cf3, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0xa641, 0xa641}, {0xa643, 0xa643}, {0xa645, 0xa645}, {0xa647, 0xa647}, {0xa649, 0xa649}, {0xa64b, 0xa64b}, {0xa64d, 0xa64d},
  {0xa64f, 0xa64f}, {0xa651, 0xa651}, {0xa653, 0xa653}, {0xa655, 0xa655}, {0xa657, 0xa657}, {0xa659, 0xa659}, {0xa65b, 0xa65b}, {0xa65d, 0xa65d},
  {0xa65f, 0xa65f}, {0xa661, 0xa661}, {0xa663, 0xa663}, {0xa665, 0xa665}, {0xa667, 0xa667}, {0xa669, 0xa669}, {0xa66b, 0xa66b}, {0xa66d, 0xa66d},
  {0xa681, 0xa681}, {0xa683, 0xa683}, {0xa685, 0xa685}, {0xa687, 0xa687}, {0xa689, 0xa689}, {0xa68b, 0xa68b}, {0xa68d, 0xa68d}, {0xa68f, 0xa68f},
  {0xa691, 0xa691}, {0xa693, 0xa693}, {0xa695, 0xa695}, {0xa697, 0xa697}, {0xa699, 0xa699}, {0xa69b, 0xa69b}, {0xa723, 0xa723}, {0xa725, 0xa725},
  {0xa727, 0xa727}, {0xa729, 0xa729}, {0xa72b, 0xa72b}, {0xa72d, 0xa72d}, {0xa72f, 0xa731}, {0xa733, 0xa733}, {0xa735, 0xa735}, {0xa737, 0xa737},
  {0xa739, 0xa739}, {0xa73b, 0xa73b}, {0xa73d, 0xa73d}, {0xa73f, 0xa73f}, {0xa741, 0xa741}, {0xa743, 0xa743}, {0xa745, 0xa745}, {0xa747, 0xa747},
  {0xa749, 0xa749}, {0xa74b, 0xa74b}, {0xa74d, 0xa74d}, {0xa74f, 0xa74f}, {0xa751, 0xa751}, {0xa753, 0xa753}, {0xa755, 0xa755}, {0xa757, 0xa757},
  {0xa759, 0xa759}, {0xa75b, 0xa75b}, {0xa75d, 0xa75d}, {0xa75f, 0xa75f}, {0xa761, 0xa761}, {0xa763, 0xa763}, {0xa765, 0xa765}, {0xa767, 0xa767},
  {0xa769, 0xa769}, {0xa76b, 0xa76b}, {0xa76d, 0xa76d}, {0xa76f, 0xa76f}, {0xa771, 0xa778}, {0xa77a, 0xa77a}, {0xa77c, 0xa77c}, {0xa77f, 0xa77f},
  {0xa781, 0xa781}, {0xa783, 0xa783}, {0xa785, 0xa785}, {0xa787, 0xa787}, {0xa78c, 0xa78c}, {0xa78e, 0xa78e}, {0xa791, 0xa791}, {0xa793, 0xa795},
  {0xa797, 0xa797}, {0xa799, 0xa799}, {0xa79b, 0xa79b}, {0xa79d, 0xa79d}, {0xa79f, 0xa79f}, {0xa7a1, 0xa7a1}, {0xa7a3, 0xa7a3}, {0xa7a5, 0xa7a5},
  {0xa7a7, 0xa7a7}, {0xa7a9, 0xa7a9}, {0xa7af, 0xa7af}, {0xa7b5, 0xa7b5}, {0xa7b7, 0xa7b7}, {0xa7b9, 0xa7b9}, {0xa7bb, 0xa7bb}, {0xa7bd, 0xa7bd},
  {0xa7bf, 0xa7bf}, {0xa7c1, 0xa7c1}, {0xa7c3, 0xa7c3}, {0xa7c8, 0xa7c8}, {0xa7ca, 0xa7ca}, {0xa7d1, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d5},
  {0xa7d7, 0xa7d7}, {0xa7d9, 0xa7d9}, {0xa7f6, 0xa7f6}, {0xa7fa, 0xa7fa}, {0xab30, 0xab5a}, {0xab60, 0xab68}, {0xab70, 0xabbf}, {0xfb00, 0xfb06},
  {0xfb13, 0xfb17}, {0xff41, 0xff5a}, {0x10428, 0x1044f}, {0x104d8, 0x104fb}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
};

static TSCharacterRange sym__uppercase_identifier_character_set_1[] = {
  {'A', 'Z'}, {0xc0, 0xd6}, {0xd8, 0xde}, {0x100, 0x100}, {0x102, 0x102}, {0x104, 0x104}, {0x106, 0x106}, {0x108, 0x108},
  {0x10a, 0x10a}, {0x10c, 0x10c}, {0x10e, 0x10e}, {0x110, 0x110}, {0x112, 0x112}, {0x114, 0x114}, {0x116, 0x116}, {0x118, 0x118},
  {0x11a, 0x11a}, {0x11c, 0x11c}, {0x11e, 0x11e}, {0x120, 0x120}, {0x122, 0x122}, {0x124, 0x124}, {0x126, 0x126}, {0x128, 0x128},
  {0x12a, 0x12a}, {0x12c, 0x12c}, {0x12e, 0x12e}, {0x130, 0x130}, {0x132, 0x132}, {0x134, 0x134}, {0x136, 0x136}, {0x139, 0x139},
  {0x13b, 0x13b}, {0x13d, 0x13d}, {0x13f, 0x13f}, {0x141, 0x141}, {0x143, 0x143}, {0x145, 0x145}, {0x147, 0x147}, {0x14a, 0x14a},
  {0x14c, 0x14c}, {0x14e, 0x14e}, {0x150, 0x150}, {0x152, 0x152}, {0x154, 0x154}, {0x156, 0x156}, {0x158, 0x158}, {0x15a, 0x15a},
  {0x15c, 0x15c}, {0x15e, 0x15e}, {0x160, 0x160}, {0x162, 0x162}, {0x164, 0x164}, {0x166, 0x166}, {0x168, 0x168}, {0x16a, 0x16a},
  {0x16c, 0x16c}, {0x16e, 0x16e}, {0x170, 0x170}, {0x172, 0x172}, {0x174, 0x174}, {0x176, 0x176}, {0x178, 0x179}, {0x17b, 0x17b},
  {0x17d, 0x17d}, {0x181, 0x182}, {0x184, 0x184}, {0x186, 0x187}, {0x189, 0x18b}, {0x18e, 0x191}, {0x193, 0x194}, {0x196, 0x198},
  {0x19c, 0x19d}, {0x19f, 0x1a0}, {0x1a2, 0x1a2}, {0x1a4, 0x1a4}, {0x1a6, 0x1a7}, {0x1a9, 0x1a9}, {0x1ac, 0x1ac}, {0x1ae, 0x1af},
  {0x1b1, 0x1b3}, {0x1b5, 0x1b5}, {0x1b7, 0x1b8}, {0x1bc, 0x1bc}, {0x1c4, 0x1c4}, {0x1c7, 0x1c7}, {0x1ca, 0x1ca}, {0x1cd, 0x1cd},
  {0x1cf, 0x1cf}, {0x1d1, 0x1d1}, {0x1d3, 0x1d3}, {0x1d5, 0x1d5}, {0x1d7, 0x1d7}, {0x1d9, 0x1d9}, {0x1db, 0x1db}, {0x1de, 0x1de},
  {0x1e0, 0x1e0}, {0x1e2, 0x1e2}, {0x1e4, 0x1e4}, {0x1e6, 0x1e6}, {0x1e8, 0x1e8}, {0x1ea, 0x1ea}, {0x1ec, 0x1ec}, {0x1ee, 0x1ee},
  {0x1f1, 0x1f1}, {0x1f4, 0x1f4}, {0x1f6, 0x1f8}, {0x1fa, 0x1fa}, {0x1fc, 0x1fc}, {0x1fe, 0x1fe}, {0x200, 0x200}, {0x202, 0x202},
  {0x204, 0x204}, {0x206, 0x206}, {0x208, 0x208}, {0x20a, 0x20a}, {0x20c, 0x20c}, {0x20e, 0x20e}, {0x210, 0x210}, {0x212, 0x212},
  {0x214, 0x214}, {0x216, 0x216}, {0x218, 0x218}, {0x21a, 0x21a}, {0x21c, 0x21c}, {0x21e, 0x21e}, {0x220, 0x220}, {0x222, 0x222},
  {0x224, 0x224}, {0x226, 0x226}, {0x228, 0x228}, {0x22a, 0x22a}, {0x22c, 0x22c}, {0x22e, 0x22e}, {0x230, 0x230}, {0x232, 0x232},
  {0x23a, 0x23b}, {0x23d, 0x23e}, {0x241, 0x241}, {0x243, 0x246}, {0x248, 0x248}, {0x24a, 0x24a}, {0x24c, 0x24c}, {0x24e, 0x24e},
  {0x370, 0x370}, {0x372, 0x372}, {0x376, 0x376}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x38f},
  {0x391, 0x3a1}, {0x3a3, 0x3ab}, {0x3cf, 0x3cf}, {0x3d2, 0x3d4}, {0x3d8, 0x3d8}, {0x3da, 0x3da}, {0x3dc, 0x3dc}, {0x3de, 0x3de},
  {0x3e0, 0x3e0}, {0x3e2, 0x3e2}, {0x3e4, 0x3e4}, {0x3e6, 0x3e6}, {0x3e8, 0x3e8}, {0x3ea, 0x3ea}, {0x3ec, 0x3ec}, {0x3ee, 0x3ee},
  {0x3f4, 0x3f4}, {0x3f7, 0x3f7}, {0x3f9, 0x3fa}, {0x3fd, 0x42f}, {0x460, 0x460}, {0x462, 0x462}, {0x464, 0x464}, {0x466, 0x466},
  {0x468, 0x468}, {0x46a, 0x46a}, {0x46c, 0x46c}, {0x46e, 0x46e}, {0x470, 0x470}, {0x472, 0x472}, {0x474, 0x474}, {0x476, 0x476},
  {0x478, 0x478}, {0x47a, 0x47a}, {0x47c, 0x47c}, {0x47e, 0x47e}, {0x480, 0x480}, {0x48a, 0x48a}, {0x48c, 0x48c}, {0x48e, 0x48e},
  {0x490, 0x490}, {0x492, 0x492}, {0x494, 0x494}, {0x496, 0x496}, {0x498, 0x498}, {0x49a, 0x49a}, {0x49c, 0x49c}, {0x49e, 0x49e},
  {0x4a0, 0x4a0}, {0x4a2, 0x4a2}, {0x4a4, 0x4a4}, {0x4a6, 0x4a6}, {0x4a8, 0x4a8}, {0x4aa, 0x4aa}, {0x4ac, 0x4ac}, {0x4ae, 0x4ae},
  {0x4b0, 0x4b0}, {0x4b2, 0x4b2}, {0x4b4, 0x4b4}, {0x4b6, 0x4b6}, {0x4b8, 0x4b8}, {0x4ba, 0x4ba}, {0x4bc, 0x4bc}, {0x4be, 0x4be},
  {0x4c0, 0x4c1}, {0x4c3, 0x4c3}, {0x4c5, 0x4c5}, {0x4c7, 0x4c7}, {0x4c9, 0x4c9}, {0x4cb, 0x4cb}, {0x4cd, 0x4cd}, {0x4d0, 0x4d0},
  {0x4d2, 0x4d2}, {0x4d4, 0x4d4}, {0x4d6, 0x4d6}, {0x4d8, 0x4d8}, {0x4da, 0x4da}, {0x4dc, 0x4dc}, {0x4de, 0x4de}, {0x4e0, 0x4e0},
  {0x4e2, 0x4e2}, {0x4e4, 0x4e4}, {0x4e6, 0x4e6}, {0x4e8, 0x4e8}, {0x4ea, 0x4ea}, {0x4ec, 0x4ec}, {0x4ee, 0x4ee}, {0x4f0, 0x4f0},
  {0x4f2, 0x4f2}, {0x4f4, 0x4f4}, {0x4f6, 0x4f6}, {0x4f8, 0x4f8}, {0x4fa, 0x4fa}, {0x4fc, 0x4fc}, {0x4fe, 0x4fe}, {0x500, 0x500},
  {0x502, 0x502}, {0x504, 0x504}, {0x506, 0x506}, {0x508, 0x508}, {0x50a, 0x50a}, {0x50c, 0x50c}, {0x50e, 0x50e}, {0x510, 0x510},
  {0x512, 0x512}, {0x514, 0x514}, {0x516, 0x516}, {0x518, 0x518}, {0x51a, 0x51a}, {0x51c, 0x51c}, {0x51e, 0x51e}, {0x520, 0x520},
  {0x522, 0x522}, {0x524, 0x524}, {0x526, 0x526}, {0x528, 0x528}, {0x52a, 0x52a}, {0x52c, 0x52c}, {0x52e, 0x52e}, {0x531, 0x556},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x13a0, 0x13f5}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1e00, 0x1e00}, {0x1e02, 0x1e02},
  {0x1e04, 0x1e04}, {0x1e06, 0x1e06}, {0x1e08, 0x1e08}, {0x1e0a, 0x1e0a}, {0x1e0c, 0x1e0c}, {0x1e0e, 0x1e0e}, {0x1e10, 0x1e10}, {0x1e12, 0x1e12},
  {0x1e14, 0x1e14}, {0x1e16, 0x1e16}, {0x1e18, 0x1e18}, {0x1e1a, 0x1e1a}, {0x1e1c, 0x1e1c}, {0x1e1e, 0x1e1e}, {0x1e20, 0x1e20}, {0x1e22, 0x1e22},
  {0x1e24, 0x1e24}, {0x1e26, 0x1e26}, {0x1e28, 0x1e28}, {0x1e2a, 0x1e2a}, {0x1e2c, 0x1e2c}, {0x1e2e, 0x1e2e}, {0x1e30, 0x1e30}, {0x1e32, 0x1e32},
  {0x1e34, 0x1e34}, {0x1e36, 0x1e36}, {0x1e38, 0x1e38}, {0x1e3a, 0x1e3a}, {0x1e3c, 0x1e3c}, {0x1e3e, 0x1e3e}, {0x1e40, 0x1e40}, {0x1e42, 0x1e42},
  {0x1e44, 0x1e44}, {0x1e46, 0x1e46}, {0x1e48, 0x1e48}, {0x1e4a, 0x1e4a}, {0x1e4c, 0x1e4c}, {0x1e4e, 0x1e4e}, {0x1e50, 0x1e50}, {0x1e52, 0x1e52},
  {0x1e54, 0x1e54}, {0x1e56, 0x1e56}, {0x1e58, 0x1e58}, {0x1e5a, 0x1e5a}, {0x1e5c, 0x1e5c}, {0x1e5e, 0x1e5e}, {0x1e60, 0x1e60}, {0x1e62, 0x1e62},
  {0x1e64, 0x1e64}, {0x1e66, 0x1e66}, {0x1e68, 0x1e68}, {0x1e6a, 0x1e6a}, {0x1e6c, 0x1e6c}, {0x1e6e, 0x1e6e}, {0x1e70, 0x1e70}, {0x1e72, 0x1e72},
  {0x1e74, 0x1e74}, {0x1e76, 0x1e76}, {0x1e78, 0x1e78}, {0x1e7a, 0x1e7a}, {0x1e7c, 0x1e7c}, {0x1e7e, 0x1e7e}, {0x1e80, 0x1e80}, {0x1e82, 0x1e82},
  {0x1e84, 0x1e84}, {0x1e86, 0x1e86}, {0x1e88, 0x1e88}, {0x1e8a, 0x1e8a}, {0x1e8c, 0x1e8c}, {0x1e8e, 0x1e8e}, {0x1e90, 0x1e90}, {0x1e92, 0x1e92},
  {0x1e94, 0x1e94}, {0x1e9e, 0x1e9e}, {0x1ea0, 0x1ea0}, {0x1ea2, 0x1ea2}, {0x1ea4, 0x1ea4}, {0x1ea6, 0x1ea6}, {0x1ea8, 0x1ea8}, {0x1eaa, 0x1eaa},
  {0x1eac, 0x1eac}, {0x1eae, 0x1eae}, {0x1eb0, 0x1eb0}, {0x1eb2, 0x1eb2}, {0x1eb4, 0x1eb4}, {0x1eb6, 0x1eb6}, {0x1eb8, 0x1eb8}, {0x1eba, 0x1eba},
  {0x1ebc, 0x1ebc}, {0x1ebe, 0x1ebe}, {0x1ec0, 0x1ec0}, {0x1ec2, 0x1ec2}, {0x1ec4, 0x1ec4}, {0x1ec6, 0x1ec6}, {0x1ec8, 0x1ec8}, {0x1eca, 0x1eca},
  {0x1ecc, 0x1ecc}, {0x1ece, 0x1ece}, {0x1ed0, 0x1ed0}, {0x1ed2, 0x1ed2}, {0x1ed4, 0x1ed4}, {0x1ed6, 0x1ed6}, {0x1ed8, 0x1ed8}, {0x1eda, 0x1eda},
  {0x1edc, 0x1edc}, {0x1ede, 0x1ede}, {0x1ee0, 0x1ee0}, {0x1ee2, 0x1ee2}, {0x1ee4, 0x1ee4}, {0x1ee6, 0x1ee6}, {0x1ee8, 0x1ee8}, {0x1eea, 0x1eea},
  {0x1eec, 0x1eec}, {0x1eee, 0x1eee}, {0x1ef0, 0x1ef0}, {0x1ef2, 0x1ef2}, {0x1ef4, 0x1ef4}, {0x1ef6, 0x1ef6}, {0x1ef8, 0x1ef8}, {0x1efa, 0x1efa},
  {0x1efc, 0x1efc}, {0x1efe, 0x1efe}, {0x1f08, 0x1f0f}, {0x1f18, 0x1f1d}, {0x1f28, 0x1f2f}, {0x1f38, 0x1f3f}, {0x1f48, 0x1f4d}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f5f}, {0x1f68, 0x1f6f}, {0x1fb8, 0x1fbb}, {0x1fc8, 0x1fcb}, {0x1fd8, 0x1fdb}, {0x1fe8, 0x1fec},
  {0x1ff8, 0x1ffb}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210b, 0x210d}, {0x2110, 0x2112}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x2130, 0x2133}, {0x213e, 0x213f}, {0x2145, 0x2145}, {0x2183, 0x2183}, {0x2c00, 0x2c2f},
  {0x2c60, 0x2c60}, {0x2c62, 0x2c64}, {0x2c67, 0x2c67}, {0x2c69, 0x2c69}, {0x2c6b, 0x2c6b}, {0x2c6d, 0x2c70}, {0x2c72, 0x2c72}, {0x2c75, 0x2c75},
  {0x2c7e, 0x2c80}, {0x2c82, 0x2c82}, {0x2c84, 0x2c84}, {0x2c86, 0x2c86}, {0x2c88, 0x2c88}, {0x2c8a, 0x2c8a}, {0x2c8c, 0x2c8c}, {0x2c8e, 0x2c8e},
  {0x2c90, 0x2c90}, {0x2c92, 0x2c92}, {0x2c94, 0x2c94}, {0x2c96, 0x2c96}, {0x2c98, 0x2c98}, {0x2c9a, 0x2c9a}, {0x2c9c, 0x2c9c}, {0x2c9e, 0x2c9e},
  {0x2ca0, 0x2ca0}, {0x2ca2, 0x2ca2}, {0x2ca4, 0x2ca4}, {0x2ca6, 0x2ca6}, {0x2ca8, 0x2ca8}, {0x2caa, 0x2caa}, {0x2cac, 0x2cac}, {0x2cae, 0x2cae},
  {0x2cb0, 0x2cb0}, {0x2cb2, 0x2cb2}, {0x2cb4, 0x2cb4}, {0x2cb6, 0x2cb6}, {0x2cb8, 0x2cb8}, {0x2cba, 0x2cba}, {0x2cbc, 0x2cbc}, {0x2cbe, 0x2cbe},
  {0x2cc0, 0x2cc0}, {0x2cc2, 0x2cc2}, {0x2cc4, 0x2cc4}, {0x2cc6, 0x2cc6}, {0x2cc8, 0x2cc8}, {0x2cca, 0x2cca}, {0x2ccc, 0x2ccc}, {0x2cce, 0x2cce},
  {0x2cd0, 0x2cd0}, {0x2cd2, 0x2cd2}, {0x2cd4, 0x2cd4}, {0x2cd6, 0x2cd6}, {0x2cd8, 0x2cd8}, {0x2cda, 0x2cda}, {0x2cdc, 0x2cdc}, {0x2cde, 0x2cde},
  {0x2ce0, 0x2ce0}, {0x2ce2, 0x2ce2}, {0x2ceb, 0x2ceb}, {0x2ced, 0x2ced}, {0x2cf2, 0x2cf2}, {0xa640, 0xa640}, {0xa642, 0xa642}, {0xa644, 0xa644},
  {0xa646, 0xa646}, {0xa648, 0xa648}, {0xa64a, 0xa64a}, {0xa64c, 0xa64c}, {0xa64e, 0xa64e}, {0xa650, 0xa650}, {0xa652, 0xa652}, {0xa654, 0xa654},
  {0xa656, 0xa656}, {0xa658, 0xa658}, {0xa65a, 0xa65a}, {0xa65c, 0xa65c}, {0xa65e, 0xa65e}, {0xa660, 0xa660}, {0xa662, 0xa662}, {0xa664, 0xa664},
  {0xa666, 0xa666}, {0xa668, 0xa668}, {0xa66a, 0xa66a}, {0xa66c, 0xa66c}, {0xa680, 0xa680}, {0xa682, 0xa682}, {0xa684, 0xa684}, {0xa686, 0xa686},
  {0xa688, 0xa688}, {0xa68a, 0xa68a}, {0xa68c, 0xa68c}, {0xa68e, 0xa68e}, {0xa690, 0xa690}, {0xa692, 0xa692}, {0xa694, 0xa694}, {0xa696, 0xa696},
  {0xa698, 0xa698}, {0xa69a, 0xa69a}, {0xa722, 0xa722}, {0xa724, 0xa724}, {0xa726, 0xa726}, {0xa728, 0xa728}, {0xa72a, 0xa72a}, {0xa72c, 0xa72c},
  {0xa72e, 0xa72e}, {0xa732, 0xa732}, {0xa734, 0xa734}, {0xa736, 0xa736}, {0xa738, 0xa738}, {0xa73a, 0xa73a}, {0xa73c, 0xa73c}, {0xa73e, 0xa73e},
  {0xa740, 0xa740}, {0xa742, 0xa742}, {0xa744, 0xa744}, {0xa746, 0xa746}, {0xa748, 0xa748}, {0xa74a, 0xa74a}, {0xa74c, 0xa74c}, {0xa74e, 0xa74e},
  {0xa750, 0xa750}, {0xa752, 0xa752}, {0xa754, 0xa754}, {0xa756, 0xa756}, {0xa758, 0xa758}, {0xa75a, 0xa75a}, {0xa75c, 0xa75c}, {0xa75e, 0xa75e},
  {0xa760, 0xa760}, {0xa762, 0xa762}, {0xa764, 0xa764}, {0xa766, 0xa766}, {0xa768, 0xa768}, {0xa76a, 0xa76a}, {0xa76c, 0xa76c}, {0xa76e, 0xa76e},
  {0xa779, 0xa779}, {0xa77b, 0xa77b}, {0xa77d, 0xa77e}, {0xa780, 0xa780}, {0xa782, 0xa782}, {0xa784, 0xa784}, {0xa786, 0xa786}, {0xa78b, 0xa78b},
  {0xa78d, 0xa78d}, {0xa790, 0xa790}, {0xa792, 0xa792}, {0xa796, 0xa796}, {0xa798, 0xa798}, {0xa79a, 0xa79a}, {0xa79c, 0xa79c}, {0xa79e, 0xa79e},
  {0xa7a0, 0xa7a0}, {0xa7a2, 0xa7a2}, {0xa7a4, 0xa7a4}, {0xa7a6, 0xa7a6}, {0xa7a8, 0xa7a8}, {0xa7aa, 0xa7ae}, {0xa7b0, 0xa7b4}, {0xa7b6, 0xa7b6},
  {0xa7b8, 0xa7b8}, {0xa7ba, 0xa7ba}, {0xa7bc, 0xa7bc}, {0xa7be, 0xa7be}, {0xa7c0, 0xa7c0}, {0xa7c2, 0xa7c2}, {0xa7c4, 0xa7c7}, {0xa7c9, 0xa7c9},
  {0xa7d0, 0xa7d0}, {0xa7d6, 0xa7d6}, {0xa7d8, 0xa7d8}, {0xa7f5, 0xa7f5}, {0xff21, 0xff3a}, {0x10400, 0x10427}, {0x104b0, 0x104d3}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 490,
        '"', 631,
        '#', 570,
        '$', 377,
        '%', 605,
        '&', 566,
        '\'', 627,
        '(', 479,
        ')', 480,
        '*', 524,
        '+', 489,
        ',', 487,
        '-', 492,
        '.', 521,
        '0', 608,
        ':', 474,
        ';', 532,
        '<', 568,
        '=', 467,
        '>', 564,
        '?', 470,
        '@', 671,
        '[', 499,
        '\\', 2,
        ']', 510,
        '^', 673,
        '`', 838,
        'a', 762,
        'c', 756,
        'd', 782,
        'e', 750,
        'i', 763,
        'l', 721,
        'm', 694,
        'o', 794,
        't', 742,
        'v', 692,
        'w', 746,
        '{', 527,
        '|', 496,
        '}', 533,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(393);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(639);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 639,
        '\r', 1,
        '#', 392,
        'o', 374,
        'u', 365,
        'x', 391,
        ' ', 645,
        '"', 645,
        '\'', 645,
        '\\', 645,
        'b', 645,
        'n', 645,
        'r', 645,
        't', 645,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(381);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 639,
        '\r', 1,
        'o', 374,
        'u', 365,
        'x', 391,
        ' ', 645,
        '"', 645,
        '\'', 645,
        '\\', 645,
        'b', 645,
        'n', 645,
        'r', 645,
        't', 645,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(381);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(628);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(630);
      if (lookahead == '\\') ADVANCE(322);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(629);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(629);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(628);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(238);
      if (lookahead == '\\') ADVANCE(322);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(240);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 490,
        '"', 631,
        '#', 569,
        '%', 605,
        '\'', 626,
        '(', 479,
        '+', 619,
        ',', 487,
        '-', 625,
        '.', 839,
        '0', 608,
        ':', 516,
        ';', 531,
        '=', 467,
        '>', 368,
        '?', 470,
        '[', 506,
        '\\', 172,
        '`', 838,
        '{', 528,
        '|', 495,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 490,
        '#', 569,
        '&', 565,
        '\'', 837,
        '(', 479,
        ')', 480,
        '*', 524,
        '+', 230,
        ',', 487,
        '-', 235,
        '.', 221,
        ':', 513,
        ';', 531,
        '<', 567,
        '=', 467,
        '>', 564,
        '?', 470,
        '[', 504,
        '\\', 172,
        ']', 510,
        '`', 838,
        '{', 528,
        '|', 494,
        '}', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 490,
        '%', 605,
        '\'', 837,
        '(', 479,
        '+', 488,
        '-', 491,
        '.', 839,
        '[', 505,
        '\\', 172,
        '{', 210,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(490);
      if (lookahead == '(') ADVANCE(479);
      if (lookahead == '[') ADVANCE(505);
      if (lookahead == '\\') ADVANCE(172);
      if (lookahead == 'l') ADVANCE(721);
      if (lookahead == '{') ADVANCE(210);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 835,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '.', 520,
        '0', 608,
        ':', 231,
        ';', 229,
        '=', 467,
        '?', 388,
        '[', 503,
        '\\', 172,
        '`', 838,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 697,
        'o', 795,
        't', 827,
        '{', 527,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 835,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        ';', 229,
        '?', 388,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 770,
        'i', 763,
        'l', 721,
        'm', 697,
        'o', 795,
        't', 827,
        '{', 527,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 835,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        ';', 229,
        '?', 388,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 697,
        'o', 795,
        't', 827,
        '{', 527,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 835,
        '$', 377,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 472,
        ';', 229,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 527,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 835,
        '$', 377,
        '\'', 626,
        '(', 479,
        '0', 608,
        ';', 229,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 527,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 571,
        '$', 377,
        '%', 605,
        '&', 565,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 524,
        '+', 619,
        ',', 487,
        '-', 625,
        '.', 520,
        '0', 608,
        ':', 513,
        ';', 531,
        '=', 467,
        '>', 564,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        '{', 529,
        '|', 494,
        '}', 533,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 571,
        '$', 377,
        '\'', 626,
        '(', 479,
        ')', 480,
        ',', 487,
        '.', 520,
        '0', 608,
        ':', 512,
        ';', 531,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        '{', 529,
        '|', 495,
        '~', 469,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 571,
        '$', 377,
        '\'', 626,
        '(', 479,
        '*', 524,
        '-', 235,
        '.', 520,
        '0', 608,
        ':', 472,
        ';', 229,
        '=', 467,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 527,
        '|', 494,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 571,
        '$', 377,
        '\'', 626,
        '(', 479,
        '*', 524,
        '-', 235,
        '.', 520,
        '0', 608,
        ':', 472,
        ';', 229,
        '=', 467,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 527,
        '|', 494,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 571,
        '$', 377,
        '\'', 626,
        '(', 479,
        '*', 524,
        '-', 235,
        '.', 520,
        '0', 608,
        ':', 478,
        '=', 467,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'c', 786,
        'e', 771,
        'i', 767,
        'm', 731,
        'v', 692,
        '{', 527,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 571,
        '$', 377,
        '\'', 626,
        '(', 479,
        '*', 524,
        '-', 235,
        '.', 520,
        '0', 608,
        ':', 236,
        '=', 467,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'c', 786,
        'e', 771,
        'i', 767,
        'm', 731,
        'v', 692,
        '{', 527,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 571,
        '$', 377,
        '\'', 626,
        '(', 479,
        '*', 524,
        '-', 235,
        '.', 520,
        '0', 608,
        ';', 229,
        '=', 467,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 527,
        '|', 494,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 571,
        '$', 377,
        '\'', 626,
        '(', 479,
        '*', 524,
        '-', 235,
        '.', 520,
        '0', 608,
        ';', 229,
        '=', 467,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 527,
        '|', 494,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 571,
        '$', 377,
        '\'', 626,
        '(', 479,
        '.', 520,
        '0', 608,
        ';', 229,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 527,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        ')', 480,
        '+', 620,
        '-', 621,
        '.', 520,
        '0', 608,
        ':', 519,
        ';', 531,
        '=', 467,
        '>', 368,
        '?', 388,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'l', 721,
        'm', 700,
        '{', 529,
        '|', 242,
        '}', 533,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 511,
        ';', 531,
        '=', 467,
        '>', 564,
        '?', 388,
        '[', 503,
        '\\', 172,
        '`', 838,
        'c', 786,
        'e', 771,
        'i', 767,
        'l', 721,
        'm', 696,
        'v', 692,
        '{', 527,
        '}', 533,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'd', 782,
        'l', 721,
        'm', 700,
        '{', 529,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'd', 784,
        'l', 721,
        'm', 700,
        't', 783,
        '{', 529,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'd', 793,
        'l', 721,
        'm', 700,
        '{', 529,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'e', 771,
        'l', 721,
        'm', 700,
        '{', 529,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'l', 721,
        'm', 700,
        't', 743,
        '{', 529,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'l', 721,
        'm', 700,
        'w', 746,
        '{', 529,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        '?', 388,
        '[', 507,
        '\\', 172,
        '`', 838,
        'a', 762,
        'i', 768,
        'l', 721,
        'm', 700,
        '{', 529,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '\'', 626,
        '(', 479,
        ')', 480,
        ',', 487,
        '-', 235,
        '.', 839,
        '0', 608,
        ':', 512,
        ';', 531,
        '=', 467,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        '{', 529,
        '|', 494,
        '}', 533,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '\'', 626,
        '(', 479,
        ')', 480,
        ',', 487,
        '-', 235,
        '.', 839,
        '0', 608,
        ':', 473,
        ';', 531,
        '=', 467,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        '{', 529,
        '|', 494,
        '}', 533,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '$', 377,
        '\'', 626,
        '(', 479,
        '.', 839,
        '0', 608,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'l', 721,
        'm', 700,
        '{', 529,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 221,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 750,
        'i', 763,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 750,
        'i', 772,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 770,
        'i', 763,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 750,
        'i', 772,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 750,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 750,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 770,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 750,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 750,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 750,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 770,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 750,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 388,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'c', 786,
        'e', 751,
        'i', 767,
        'l', 704,
        'm', 695,
        'o', 798,
        'v', 692,
        '{', 527,
        '|', 498,
        '}', 533,
        '~', 469,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '.', 520,
        '0', 608,
        ':', 515,
        ';', 531,
        '<', 675,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '.', 520,
        '0', 608,
        ':', 515,
        ';', 531,
        '<', 675,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 497,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '.', 520,
        '0', 608,
        ':', 515,
        ';', 531,
        '<', 675,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '.', 520,
        '0', 608,
        ':', 515,
        ';', 531,
        '<', 675,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 497,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 786,
        'e', 751,
        'i', 767,
        'l', 706,
        'm', 730,
        'o', 798,
        'v', 692,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(81);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 786,
        'e', 771,
        'i', 767,
        'l', 706,
        'm', 730,
        'o', 798,
        'v', 692,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 782,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 782,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 784,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        't', 783,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 784,
        'l', 706,
        'm', 791,
        'o', 798,
        't', 783,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 793,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 793,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 751,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        't', 743,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        'w', 746,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 771,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'l', 706,
        'm', 791,
        'o', 798,
        't', 743,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'l', 706,
        'm', 791,
        'o', 798,
        'w', 746,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 507,
        '\\', 172,
        '`', 838,
        'a', 761,
        'e', 753,
        'i', 768,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 475,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 507,
        '\\', 172,
        '`', 838,
        'a', 761,
        'i', 768,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 750,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 750,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 770,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 750,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 786,
        'e', 751,
        'i', 767,
        'l', 706,
        'm', 730,
        'o', 798,
        'v', 692,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(81);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 786,
        'e', 771,
        'i', 767,
        'l', 706,
        'm', 730,
        'o', 798,
        'v', 692,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(82);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 782,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 782,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(84);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 784,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        't', 783,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(85);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 784,
        'l', 706,
        'm', 791,
        'o', 798,
        't', 783,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(86);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 793,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(87);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 793,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(88);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 751,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(89);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        't', 743,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(90);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        'w', 746,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(91);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 771,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(92);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'l', 706,
        'm', 791,
        'o', 798,
        't', 743,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'l', 706,
        'm', 791,
        'o', 798,
        'w', 746,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(94);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 507,
        '\\', 172,
        '`', 838,
        'a', 761,
        'e', 753,
        'i', 768,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(95);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 675,
        '?', 471,
        '[', 507,
        '\\', 172,
        '`', 838,
        'a', 761,
        'i', 768,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 777,
        'e', 826,
        'l', 705,
        'm', 698,
        'o', 798,
        't', 827,
        '{', 528,
        '|', 366,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 777,
        'e', 826,
        'l', 705,
        'm', 698,
        'o', 798,
        '{', 528,
        '|', 366,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 777,
        'l', 705,
        'm', 698,
        'o', 798,
        't', 827,
        '{', 528,
        '|', 366,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 777,
        'l', 705,
        'm', 698,
        'o', 798,
        '{', 528,
        '|', 366,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 387,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 777,
        'l', 704,
        'm', 698,
        'o', 798,
        '{', 529,
        '|', 243,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '/', 667,
        '0', 608,
        ':', 515,
        ';', 531,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 388,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 498,
        '}', 533,
        '~', 469,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '/', 667,
        '0', 608,
        ':', 515,
        ';', 531,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 388,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 498,
        '}', 533,
        '~', 469,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 807,
        'c', 786,
        'e', 771,
        'i', 767,
        'l', 704,
        'm', 695,
        'o', 798,
        'v', 692,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 782,
        'e', 753,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 782,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 784,
        'e', 753,
        'l', 704,
        'm', 699,
        'o', 798,
        't', 783,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 784,
        'l', 704,
        'm', 699,
        'o', 798,
        't', 783,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 793,
        'e', 753,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'd', 793,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 751,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 704,
        'm', 699,
        'o', 798,
        't', 743,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 704,
        'm', 699,
        'o', 798,
        'w', 746,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 497,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'e', 771,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'l', 704,
        'm', 699,
        'o', 798,
        't', 743,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'l', 704,
        'm', 699,
        'o', 798,
        'w', 746,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 506,
        '\\', 172,
        '`', 838,
        'a', 807,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 497,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 507,
        '\\', 172,
        '`', 838,
        'a', 761,
        'e', 753,
        'i', 768,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 531,
        '<', 676,
        '?', 388,
        '[', 507,
        '\\', 172,
        '`', 838,
        'a', 761,
        'i', 768,
        'l', 704,
        'm', 699,
        'o', 798,
        '{', 529,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(120);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '0', 608,
        ':', 476,
        ';', 531,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '0', 608,
        ':', 476,
        ';', 531,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 497,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '0', 608,
        ':', 476,
        ';', 531,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '0', 608,
        ':', 476,
        ';', 531,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 497,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '0', 608,
        ':', 515,
        ';', 531,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '0', 608,
        ':', 515,
        ';', 531,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'e', 753,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 497,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '0', 608,
        ':', 515,
        ';', 531,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 498,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '0', 608,
        ':', 515,
        ';', 531,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 471,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'l', 706,
        'm', 791,
        'o', 798,
        '{', 529,
        '|', 497,
        '}', 533,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '!', 654,
        '#', 387,
        '&', 682,
        ')', 480,
        '*', 664,
        '+', 622,
        '-', 623,
        '.', 520,
        ':', 233,
        '<', 676,
        '[', 238,
        'a', 318,
        'l', 247,
        'm', 252,
        'o', 338,
        '|', 366,
        '%', 667,
        '/', 667,
        '?', 388,
        '~', 388,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(129);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '!', 234,
        '#', 571,
        '&', 682,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '.', 520,
        ':', 515,
        ';', 531,
        '<', 676,
        '>', 677,
        '[', 212,
        ']', 510,
        '`', 838,
        'a', 345,
        'c', 329,
        'd', 323,
        'e', 294,
        'i', 309,
        'l', 248,
        'm', 273,
        'o', 338,
        't', 285,
        'v', 244,
        'w', 288,
        '{', 213,
        '|', 497,
        '}', 533,
        '$', 679,
        '=', 679,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(130);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '!', 234,
        '#', 571,
        '&', 682,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '.', 520,
        ':', 515,
        ';', 531,
        '<', 676,
        '>', 677,
        '[', 212,
        ']', 510,
        'a', 345,
        'c', 329,
        'd', 323,
        'e', 294,
        'i', 309,
        'l', 248,
        'm', 273,
        'o', 338,
        't', 285,
        'v', 244,
        'w', 288,
        '{', 213,
        '|', 498,
        '}', 533,
        '$', 679,
        '=', 679,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '!', 234,
        '#', 571,
        '&', 682,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        ':', 475,
        ';', 531,
        '<', 676,
        '[', 239,
        'a', 304,
        'd', 324,
        'e', 293,
        'i', 311,
        'l', 248,
        'm', 331,
        'o', 338,
        't', 325,
        '|', 498,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '!', 234,
        '#', 571,
        '&', 682,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        ':', 226,
        ';', 531,
        '<', 676,
        '[', 239,
        'a', 304,
        'd', 324,
        'e', 293,
        'i', 311,
        'l', 248,
        'm', 331,
        'o', 338,
        't', 325,
        '|', 498,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '!', 234,
        '&', 682,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '.', 839,
        ':', 476,
        ';', 531,
        '<', 676,
        '>', 677,
        '[', 212,
        ']', 510,
        'a', 345,
        'c', 329,
        'd', 323,
        'e', 294,
        'i', 309,
        'l', 248,
        'm', 273,
        'o', 338,
        't', 285,
        'v', 244,
        'w', 288,
        '{', 213,
        '|', 497,
        '}', 533,
        '$', 679,
        '=', 679,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '!', 234,
        '&', 682,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        '.', 839,
        ':', 515,
        ';', 531,
        '<', 676,
        '>', 677,
        '[', 212,
        ']', 510,
        'a', 345,
        'c', 329,
        'd', 323,
        'e', 294,
        'i', 309,
        'l', 248,
        'm', 273,
        'o', 338,
        't', 285,
        'v', 244,
        'w', 288,
        '{', 213,
        '|', 497,
        '}', 533,
        '$', 679,
        '=', 679,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '!', 234,
        '&', 682,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        ':', 515,
        ';', 531,
        '<', 676,
        '>', 677,
        '[', 209,
        ']', 510,
        'a', 304,
        'd', 323,
        'e', 294,
        'i', 311,
        'l', 248,
        'm', 331,
        'o', 338,
        't', 285,
        'w', 288,
        '{', 210,
        '|', 497,
        '}', 533,
        '$', 679,
        '=', 679,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '!', 234,
        '&', 682,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        ':', 476,
        ';', 531,
        '<', 676,
        '>', 677,
        '[', 212,
        ']', 510,
        'a', 345,
        'c', 329,
        'd', 323,
        'e', 294,
        'i', 309,
        'l', 248,
        'm', 273,
        'o', 338,
        't', 285,
        'v', 244,
        'w', 288,
        '{', 213,
        '|', 498,
        '}', 533,
        '$', 679,
        '=', 679,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '!', 234,
        '&', 682,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 624,
        ':', 515,
        ';', 531,
        '<', 676,
        '>', 677,
        '[', 212,
        ']', 510,
        'a', 345,
        'c', 329,
        'd', 323,
        'e', 294,
        'i', 309,
        'l', 248,
        'm', 273,
        'o', 338,
        't', 285,
        'v', 244,
        'w', 288,
        '{', 213,
        '|', 498,
        '}', 533,
        '$', 679,
        '=', 679,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '%', 605,
        '\'', 626,
        '(', 479,
        ')', 480,
        '+', 619,
        ',', 487,
        '-', 625,
        '.', 520,
        '0', 608,
        ':', 512,
        ';', 531,
        '=', 467,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        'e', 826,
        '{', 528,
        '|', 494,
        '}', 533,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        '[', 506,
        '\\', 172,
        '`', 838,
        'e', 826,
        'm', 787,
        'o', 795,
        '{', 528,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        '[', 506,
        '\\', 172,
        '`', 838,
        'o', 795,
        '{', 528,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 524,
        '+', 619,
        ',', 487,
        '-', 625,
        '.', 520,
        '0', 608,
        ':', 516,
        ';', 531,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'c', 786,
        'e', 771,
        'i', 767,
        'm', 731,
        'v', 692,
        '{', 526,
        '|', 494,
        '}', 533,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(142);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ')', 480,
        '+', 619,
        ',', 487,
        '-', 625,
        '.', 520,
        '0', 608,
        ':', 516,
        ';', 531,
        '=', 467,
        '?', 470,
        '[', 506,
        '\\', 172,
        ']', 510,
        '`', 838,
        '{', 528,
        '|', 494,
        '}', 533,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '*', 524,
        '+', 619,
        '-', 625,
        '.', 520,
        '0', 608,
        ':', 511,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 526,
        '|', 494,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '*', 524,
        '+', 619,
        '-', 625,
        '.', 520,
        '0', 608,
        ':', 511,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '*', 524,
        '+', 619,
        '-', 625,
        '.', 520,
        '0', 608,
        ':', 511,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 526,
        '|', 494,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '+', 619,
        ',', 487,
        '-', 625,
        '.', 221,
        '0', 608,
        ':', 516,
        ';', 531,
        '=', 467,
        '?', 470,
        '[', 506,
        '\\', 172,
        '`', 838,
        '{', 528,
        '|', 495,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '+', 619,
        ',', 487,
        '-', 625,
        '.', 221,
        '0', 608,
        ':', 477,
        ';', 531,
        '=', 467,
        '?', 470,
        '[', 506,
        '\\', 172,
        '`', 838,
        '{', 528,
        '|', 495,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '.', 520,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 770,
        'i', 763,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '.', 520,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '.', 520,
        '0', 608,
        ':', 516,
        '=', 467,
        '?', 470,
        '[', 507,
        '\\', 172,
        '`', 838,
        'a', 762,
        'i', 768,
        '{', 528,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '.', 520,
        '0', 608,
        ':', 225,
        ';', 531,
        '[', 506,
        '\\', 172,
        '`', 838,
        'e', 826,
        '{', 528,
        '|', 495,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '.', 221,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 770,
        'i', 763,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '.', 221,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '.', 221,
        '0', 608,
        ':', 516,
        '=', 467,
        '?', 470,
        '[', 507,
        '\\', 172,
        '`', 838,
        'a', 762,
        'i', 768,
        '{', 528,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(155);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 770,
        'i', 763,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(156);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(157);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '0', 608,
        ':', 516,
        '=', 467,
        '?', 470,
        '[', 507,
        '\\', 172,
        '`', 838,
        'a', 762,
        'i', 768,
        '{', 528,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(158);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '0', 608,
        ':', 477,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 770,
        'i', 763,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(156);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 160:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '0', 608,
        ':', 477,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(157);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '0', 608,
        ':', 477,
        '=', 467,
        '?', 470,
        '[', 507,
        '\\', 172,
        '`', 838,
        'a', 762,
        'i', 768,
        '{', 528,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(158);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '.', 839,
        '0', 608,
        '[', 506,
        '\\', 172,
        '`', 838,
        'e', 826,
        '{', 528,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 511,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 526,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 511,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 511,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 526,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 511,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'c', 786,
        'e', 771,
        'i', 767,
        'm', 731,
        'v', 692,
        '{', 526,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 472,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 526,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 472,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 472,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 526,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 472,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        '`', 838,
        'c', 786,
        'e', 771,
        'i', 767,
        'm', 731,
        'v', 692,
        '{', 526,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 171:
      if (lookahead == '"') ADVANCE(631);
      if (lookahead == '%') ADVANCE(634);
      if (lookahead == '@') ADVANCE(635);
      if (lookahead == '[') ADVANCE(636);
      if (lookahead == '\\') ADVANCE(3);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(632);
      if (lookahead != 0) ADVANCE(637);
      END_STATE();
    case 172:
      if (lookahead == '#') ADVANCE(392);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '#', 835,
        '(', 479,
        '*', 524,
        '-', 235,
        ':', 511,
        ';', 229,
        '=', 467,
        '[', 508,
        '\\', 172,
        'a', 778,
        'c', 756,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '#', 835,
        '(', 479,
        ':', 511,
        ';', 229,
        '=', 467,
        '[', 508,
        '\\', 172,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '#', 835,
        '*', 524,
        '-', 235,
        ':', 231,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        'a', 778,
        'c', 756,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        'w', 746,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '#', 571,
        '(', 479,
        ')', 480,
        ',', 487,
        '-', 235,
        '.', 520,
        ':', 513,
        ';', 531,
        '=', 467,
        '[', 209,
        '\\', 172,
        ']', 510,
        'a', 778,
        'i', 768,
        'w', 746,
        '{', 210,
        '|', 494,
        '}', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '#', 571,
        '(', 479,
        '*', 524,
        ',', 487,
        '-', 235,
        '.', 520,
        ':', 517,
        ';', 531,
        '=', 467,
        '[', 209,
        'a', 316,
        'c', 329,
        'i', 311,
        'w', 288,
        '{', 210,
        '}', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '#', 571,
        ')', 480,
        ',', 487,
        '-', 235,
        '.', 521,
        ':', 512,
        ';', 531,
        '=', 467,
        '[', 238,
        '\\', 172,
        ']', 510,
        'w', 746,
        '|', 494,
        '}', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '#', 571,
        ')', 480,
        ',', 487,
        '-', 235,
        '.', 520,
        ':', 512,
        ';', 531,
        '=', 467,
        '[', 212,
        '\\', 172,
        ']', 510,
        'c', 786,
        'e', 771,
        'i', 767,
        'm', 731,
        'v', 692,
        'w', 746,
        '{', 213,
        '|', 494,
        '}', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '#', 571,
        ')', 480,
        ',', 487,
        '-', 235,
        '.', 520,
        ':', 512,
        ';', 531,
        '=', 467,
        '[', 239,
        '\\', 172,
        ']', 510,
        'i', 768,
        'w', 746,
        '|', 494,
        '}', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '#', 571,
        ')', 480,
        ',', 487,
        '.', 520,
        ':', 512,
        ';', 531,
        '[', 238,
        '\\', 172,
        ']', 510,
        'w', 746,
        '|', 494,
        '}', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '#', 569,
        '%', 605,
        '\'', 837,
        '(', 479,
        ')', 480,
        '-', 235,
        '.', 839,
        ':', 225,
        '<', 567,
        '?', 470,
        '[', 504,
        '\\', 172,
        'm', 787,
        '{', 210,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '#', 569,
        '%', 605,
        '\'', 837,
        '(', 479,
        '<', 567,
        '?', 470,
        '[', 504,
        '\\', 172,
        't', 827,
        '{', 210,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '#', 569,
        '&', 565,
        '\'', 837,
        ')', 480,
        '*', 524,
        ',', 487,
        '-', 235,
        '.', 520,
        ':', 236,
        ';', 531,
        '=', 467,
        '>', 564,
        '[', 238,
        '\\', 172,
        ']', 510,
        '|', 494,
        '}', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '(', 479,
        '*', 524,
        '-', 235,
        '.', 520,
        ':', 511,
        ';', 229,
        '<', 567,
        '=', 467,
        '?', 470,
        '[', 501,
        '\\', 172,
        ']', 510,
        'c', 757,
        'e', 825,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 205,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '(', 479,
        '*', 524,
        '-', 235,
        '.', 520,
        ':', 511,
        ';', 229,
        '=', 467,
        '[', 508,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 756,
        'e', 825,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '(', 479,
        '*', 524,
        '-', 235,
        '.', 520,
        ':', 511,
        ';', 229,
        '=', 467,
        '[', 508,
        '\\', 172,
        'a', 778,
        'c', 756,
        'e', 770,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '(', 479,
        '*', 524,
        '-', 235,
        '.', 520,
        ';', 229,
        '[', 508,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '(', 479,
        '*', 524,
        '-', 235,
        '.', 520,
        ';', 229,
        '[', 508,
        '\\', 172,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '(', 479,
        '<', 567,
        '?', 470,
        '[', 504,
        '\\', 172,
        'l', 736,
        '{', 210,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 191:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '*', 524,
        ',', 487,
        '-', 235,
        '.', 520,
        ':', 512,
        ';', 531,
        '=', 467,
        '[', 239,
        '\\', 172,
        'i', 768,
        '|', 495,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 192:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '*', 524,
        '-', 235,
        '.', 520,
        ':', 511,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        ']', 510,
        'c', 757,
        'e', 770,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 193:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '*', 524,
        '-', 235,
        '.', 520,
        ':', 511,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        'a', 778,
        'c', 756,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '*', 524,
        '-', 235,
        '.', 520,
        ':', 511,
        '[', 212,
        '\\', 172,
        'c', 786,
        'e', 771,
        'i', 774,
        'm', 731,
        'v', 692,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 195:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '*', 524,
        '-', 235,
        '.', 520,
        ':', 236,
        '=', 467,
        '[', 212,
        '\\', 172,
        'c', 786,
        'e', 771,
        'i', 767,
        'm', 731,
        'v', 692,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '*', 524,
        '-', 235,
        '.', 520,
        ';', 229,
        '[', 212,
        '\\', 172,
        'a', 778,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 197:
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '*', 524,
        '-', 235,
        '.', 520,
        ';', 229,
        '[', 212,
        '\\', 172,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 198:
      ADVANCE_MAP(
        '#', 569,
        ')', 480,
        '*', 524,
        '-', 235,
        ':', 519,
        '[', 238,
        '\\', 172,
        'a', 778,
        'c', 786,
        'w', 746,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 199:
      ADVANCE_MAP(
        '#', 569,
        '*', 524,
        '-', 235,
        ':', 517,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 756,
        'e', 825,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        'w', 746,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 200:
      ADVANCE_MAP(
        '#', 569,
        '*', 524,
        '-', 235,
        ':', 517,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        'a', 778,
        'c', 756,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        'w', 746,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 201:
      ADVANCE_MAP(
        '#', 569,
        '*', 524,
        '-', 235,
        ':', 517,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        'a', 778,
        'c', 756,
        'e', 770,
        'i', 772,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        'w', 746,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 202:
      ADVANCE_MAP(
        '#', 569,
        '*', 524,
        '-', 235,
        ':', 517,
        ';', 531,
        '=', 467,
        '>', 564,
        '[', 239,
        '\\', 172,
        'a', 778,
        'c', 786,
        'i', 768,
        'w', 746,
        '}', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 203:
      if (lookahead == '%') ADVANCE(605);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '\\') ADVANCE(172);
      if (lookahead == 't') ADVANCE(827);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 204:
      if (lookahead == '%') ADVANCE(599);
      if (lookahead == '@') ADVANCE(593);
      END_STATE();
    case 205:
      if (lookahead == '%') ADVANCE(601);
      END_STATE();
    case 206:
      if (lookahead == '%') ADVANCE(603);
      END_STATE();
    case 207:
      if (lookahead == '%') ADVANCE(604);
      END_STATE();
    case 208:
      if (lookahead == '%') ADVANCE(598);
      if (lookahead == '@') ADVANCE(592);
      END_STATE();
    case 209:
      if (lookahead == '%') ADVANCE(598);
      if (lookahead == '@') ADVANCE(594);
      END_STATE();
    case 210:
      if (lookahead == '%') ADVANCE(600);
      END_STATE();
    case 211:
      if (lookahead == '%') ADVANCE(641);
      if (lookahead == '@') ADVANCE(642);
      if (lookahead == '[') ADVANCE(643);
      if (lookahead == '|') ADVANCE(640);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(632);
      if (lookahead != 0) ADVANCE(644);
      END_STATE();
    case 212:
      if (lookahead == '%') ADVANCE(206);
      if (lookahead == '@') ADVANCE(593);
      END_STATE();
    case 213:
      if (lookahead == '%') ADVANCE(207);
      END_STATE();
    case 214:
      if (lookahead == '(') ADVANCE(479);
      if (lookahead == ')') ADVANCE(480);
      if (lookahead == '[') ADVANCE(208);
      if (lookahead == '\\') ADVANCE(172);
      if (lookahead == 'v') ADVANCE(692);
      if (lookahead == '{') ADVANCE(210);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(688);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 215:
      if (lookahead == '(') ADVANCE(479);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '\\') ADVANCE(172);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(494);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 216:
      if (lookahead == '(') ADVANCE(479);
      if (lookahead == '[') ADVANCE(509);
      if (lookahead == '\\') ADVANCE(172);
      if (lookahead == '{') ADVANCE(525);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(688);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 217:
      if (lookahead == '*') ADVANCE(224);
      if (lookahead == '.') ADVANCE(218);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(650);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(223);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(649);
      END_STATE();
    case 218:
      if (lookahead == '*') ADVANCE(373);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(650);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(372);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(649);
      END_STATE();
    case 219:
      ADVANCE_MAP(
        ',', 487,
        '.', 520,
        ':', 225,
        ';', 531,
        '[', 239,
        '\\', 172,
        ']', 510,
        'i', 768,
        '|', 494,
        '}', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 220:
      if (lookahead == '-') ADVANCE(575);
      END_STATE();
    case 221:
      if (lookahead == '.') ADVANCE(485);
      END_STATE();
    case 222:
      if (lookahead == '.') ADVANCE(839);
      if (lookahead == '[') ADVANCE(238);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(602);
      END_STATE();
    case 223:
      if (lookahead == '.') ADVANCE(218);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(650);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(223);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(649);
      END_STATE();
    case 224:
      if (lookahead == '.') ADVANCE(218);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(650);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(649);
      END_STATE();
    case 225:
      if (lookahead == ':') ADVANCE(572);
      END_STATE();
    case 226:
      if (lookahead == ':') ADVANCE(572);
      if (lookahead == '=') ADVANCE(687);
      END_STATE();
    case 227:
      ADVANCE_MAP(
        ':', 519,
        ';', 531,
        '=', 467,
        '>', 368,
        '[', 212,
        'c', 329,
        'e', 312,
        'i', 309,
        'm', 271,
        'v', 244,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(227);
      END_STATE();
    case 228:
      ADVANCE_MAP(
        ':', 236,
        ';', 531,
        '=', 467,
        '>', 564,
        '[', 212,
        'c', 329,
        'e', 312,
        'i', 309,
        'm', 271,
        'v', 244,
        '{', 213,
        '}', 533,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      END_STATE();
    case 229:
      if (lookahead == ';') ADVANCE(458);
      END_STATE();
    case 230:
      if (lookahead == '=') ADVANCE(486);
      END_STATE();
    case 231:
      if (lookahead == '=') ADVANCE(493);
      END_STATE();
    case 232:
      if (lookahead == '=') ADVANCE(493);
      if (lookahead == '>') ADVANCE(466);
      END_STATE();
    case 233:
      if (lookahead == '=') ADVANCE(687);
      END_STATE();
    case 234:
      if (lookahead == '=') ADVANCE(674);
      END_STATE();
    case 235:
      if (lookahead == '>') ADVANCE(522);
      END_STATE();
    case 236:
      if (lookahead == '>') ADVANCE(466);
      END_STATE();
    case 237:
      if (lookahead == '>') ADVANCE(651);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      END_STATE();
    case 238:
      if (lookahead == '@') ADVANCE(592);
      END_STATE();
    case 239:
      if (lookahead == '@') ADVANCE(594);
      END_STATE();
    case 240:
      if (lookahead == '[') ADVANCE(238);
      if (lookahead == '\\') ADVANCE(322);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(240);
      END_STATE();
    case 241:
      if (lookahead == '[') ADVANCE(505);
      if (lookahead == '\\') ADVANCE(172);
      if (lookahead == 'l') ADVANCE(736);
      if (lookahead == '{') ADVANCE(210);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(241);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 242:
      if (lookahead == ']') ADVANCE(574);
      END_STATE();
    case 243:
      if (lookahead == ']') ADVANCE(574);
      if (lookahead == '|') ADVANCE(685);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 244:
      if (lookahead == 'a') ADVANCE(296);
      END_STATE();
    case 245:
      if (lookahead == 'a') ADVANCE(348);
      END_STATE();
    case 246:
      if (lookahead == 'a') ADVANCE(315);
      if (lookahead == 'e') ADVANCE(350);
      if (lookahead == 'o') ADVANCE(340);
      if (lookahead == 's') ADVANCE(370);
      if (lookahead == 'x') ADVANCE(328);
      END_STATE();
    case 247:
      if (lookahead == 'a') ADVANCE(315);
      if (lookahead == 'e') ADVANCE(357);
      if (lookahead == 'o') ADVANCE(340);
      if (lookahead == 's') ADVANCE(370);
      if (lookahead == 'x') ADVANCE(328);
      END_STATE();
    case 248:
      if (lookahead == 'a') ADVANCE(315);
      if (lookahead == 'o') ADVANCE(340);
      if (lookahead == 's') ADVANCE(370);
      if (lookahead == 'x') ADVANCE(328);
      END_STATE();
    case 249:
      if (lookahead == 'a') ADVANCE(291);
      END_STATE();
    case 250:
      if (lookahead == 'a') ADVANCE(301);
      END_STATE();
    case 251:
      if (lookahead == 'a') ADVANCE(298);
      END_STATE();
    case 252:
      if (lookahead == 'a') ADVANCE(354);
      if (lookahead == 'o') ADVANCE(258);
      END_STATE();
    case 253:
      if (lookahead == 'c') ADVANCE(297);
      if (lookahead == 'h') ADVANCE(277);
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 254:
      if (lookahead == 'c') ADVANCE(275);
      if (lookahead == 't') ADVANCE(276);
      END_STATE();
    case 255:
      if (lookahead == 'c') ADVANCE(283);
      END_STATE();
    case 256:
      if (lookahead == 'd') ADVANCE(463);
      END_STATE();
    case 257:
      if (lookahead == 'd') ADVANCE(548);
      END_STATE();
    case 258:
      if (lookahead == 'd') ADVANCE(663);
      END_STATE();
    case 259:
      if (lookahead == 'd') ADVANCE(666);
      END_STATE();
    case 260:
      if (lookahead == 'd') ADVANCE(554);
      END_STATE();
    case 261:
      if (lookahead == 'd') ADVANCE(462);
      END_STATE();
    case 262:
      if (lookahead == 'd') ADVANCE(382);
      END_STATE();
    case 263:
      if (lookahead == 'd') ADVANCE(361);
      END_STATE();
    case 264:
      if (lookahead == 'd') ADVANCE(269);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(579);
      END_STATE();
    case 267:
      if (lookahead == 'e') ADVANCE(483);
      END_STATE();
    case 268:
      if (lookahead == 'e') ADVANCE(538);
      END_STATE();
    case 269:
      if (lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 270:
      if (lookahead == 'e') ADVANCE(583);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(351);
      if (lookahead == 'o') ADVANCE(259);
      END_STATE();
    case 273:
      if (lookahead == 'e') ADVANCE(351);
      if (lookahead == 'o') ADVANCE(258);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(351);
      if (lookahead == 'o') ADVANCE(263);
      END_STATE();
    case 275:
      if (lookahead == 'e') ADVANCE(336);
      END_STATE();
    case 276:
      if (lookahead == 'e') ADVANCE(343);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(344);
      END_STATE();
    case 278:
      if (lookahead == 'e') ADVANCE(306);
      END_STATE();
    case 279:
      if (lookahead == 'e') ADVANCE(307);
      END_STATE();
    case 280:
      if (lookahead == 'e') ADVANCE(341);
      END_STATE();
    case 281:
      if (lookahead == 'h') ADVANCE(550);
      END_STATE();
    case 282:
      if (lookahead == 'h') ADVANCE(332);
      END_STATE();
    case 283:
      if (lookahead == 'h') ADVANCE(384);
      END_STATE();
    case 284:
      if (lookahead == 'h') ADVANCE(277);
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 285:
      if (lookahead == 'h') ADVANCE(279);
      END_STATE();
    case 286:
      if (lookahead == 'h') ADVANCE(279);
      if (lookahead == 'y') ADVANCE(337);
      END_STATE();
    case 287:
      if (lookahead == 'i') ADVANCE(364);
      END_STATE();
    case 288:
      if (lookahead == 'i') ADVANCE(356);
      END_STATE();
    case 289:
      if (lookahead == 'i') ADVANCE(333);
      END_STATE();
    case 290:
      if (lookahead == 'i') ADVANCE(352);
      END_STATE();
    case 291:
      if (lookahead == 'i') ADVANCE(317);
      END_STATE();
    case 292:
      if (lookahead == 'i') ADVANCE(250);
      END_STATE();
    case 293:
      if (lookahead == 'l') ADVANCE(347);
      END_STATE();
    case 294:
      if (lookahead == 'l') ADVANCE(347);
      if (lookahead == 'n') ADVANCE(257);
      END_STATE();
    case 295:
      if (lookahead == 'l') ADVANCE(347);
      if (lookahead == 'n') ADVANCE(257);
      if (lookahead == 'x') ADVANCE(254);
      END_STATE();
    case 296:
      if (lookahead == 'l') ADVANCE(546);
      END_STATE();
    case 297:
      if (lookahead == 'l') ADVANCE(362);
      END_STATE();
    case 298:
      if (lookahead == 'l') ADVANCE(481);
      END_STATE();
    case 299:
      if (lookahead == 'l') ADVANCE(245);
      END_STATE();
    case 300:
      if (lookahead == 'l') ADVANCE(245);
      if (lookahead == 'o') ADVANCE(314);
      END_STATE();
    case 301:
      if (lookahead == 'l') ADVANCE(287);
      END_STATE();
    case 302:
      if (lookahead == 'l') ADVANCE(268);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(651);
      END_STATE();
    case 304:
      if (lookahead == 'n') ADVANCE(256);
      if (lookahead == 's') ADVANCE(339);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(253);
      END_STATE();
    case 306:
      if (lookahead == 'n') ADVANCE(540);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(577);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(536);
      END_STATE();
    case 309:
      if (lookahead == 'n') ADVANCE(284);
      END_STATE();
    case 310:
      if (lookahead == 'n') ADVANCE(558);
      END_STATE();
    case 311:
      if (lookahead == 'n') ADVANCE(556);
      END_STATE();
    case 312:
      if (lookahead == 'n') ADVANCE(257);
      END_STATE();
    case 313:
      if (lookahead == 'n') ADVANCE(257);
      if (lookahead == 'x') ADVANCE(254);
      END_STATE();
    case 314:
      if (lookahead == 'n') ADVANCE(349);
      END_STATE();
    case 315:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 316:
      if (lookahead == 'n') ADVANCE(261);
      END_STATE();
    case 317:
      if (lookahead == 'n') ADVANCE(353);
      END_STATE();
    case 318:
      if (lookahead == 'n') ADVANCE(262);
      if (lookahead == 's') ADVANCE(339);
      END_STATE();
    case 319:
      if (lookahead == 'n') ADVANCE(360);
      END_STATE();
    case 320:
      if (lookahead == 'n') ADVANCE(270);
      if (lookahead == 'w') ADVANCE(319);
      END_STATE();
    case 321:
      if (lookahead == 'n') ADVANCE(251);
      END_STATE();
    case 322:
      ADVANCE_MAP(
        'o', 374,
        'x', 391,
        ' ', 645,
        '"', 645,
        '\'', 645,
        '\\', 645,
        'b', 645,
        'n', 645,
        'r', 645,
        't', 645,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(381);
      END_STATE();
    case 323:
      if (lookahead == 'o') ADVANCE(581);
      END_STATE();
    case 324:
      if (lookahead == 'o') ADVANCE(320);
      END_STATE();
    case 325:
      if (lookahead == 'o') ADVANCE(585);
      END_STATE();
    case 326:
      if (lookahead == 'o') ADVANCE(585);
      if (lookahead == 'y') ADVANCE(337);
      END_STATE();
    case 327:
      if (lookahead == 'o') ADVANCE(587);
      END_STATE();
    case 328:
      if (lookahead == 'o') ADVANCE(340);
      END_STATE();
    case 329:
      if (lookahead == 'o') ADVANCE(314);
      END_STATE();
    case 330:
      if (lookahead == 'o') ADVANCE(259);
      END_STATE();
    case 331:
      if (lookahead == 'o') ADVANCE(258);
      END_STATE();
    case 332:
      if (lookahead == 'o') ADVANCE(260);
      END_STATE();
    case 333:
      if (lookahead == 'o') ADVANCE(308);
      END_STATE();
    case 334:
      if (lookahead == 'p') ADVANCE(278);
      END_STATE();
    case 335:
      if (lookahead == 'p') ADVANCE(278);
      if (lookahead == 'r') ADVANCE(684);
      END_STATE();
    case 336:
      if (lookahead == 'p') ADVANCE(358);
      END_STATE();
    case 337:
      if (lookahead == 'p') ADVANCE(267);
      END_STATE();
    case 338:
      if (lookahead == 'r') ADVANCE(684);
      END_STATE();
    case 339:
      if (lookahead == 'r') ADVANCE(660);
      END_STATE();
    case 340:
      if (lookahead == 'r') ADVANCE(663);
      END_STATE();
    case 341:
      if (lookahead == 'r') ADVANCE(560);
      END_STATE();
    case 342:
      if (lookahead == 'r') ADVANCE(249);
      END_STATE();
    case 343:
      if (lookahead == 'r') ADVANCE(321);
      END_STATE();
    case 344:
      if (lookahead == 'r') ADVANCE(290);
      END_STATE();
    case 345:
      if (lookahead == 's') ADVANCE(339);
      END_STATE();
    case 346:
      if (lookahead == 's') ADVANCE(544);
      END_STATE();
    case 347:
      if (lookahead == 's') ADVANCE(266);
      END_STATE();
    case 348:
      if (lookahead == 's') ADVANCE(346);
      END_STATE();
    case 349:
      if (lookahead == 's') ADVANCE(359);
      END_STATE();
    case 350:
      if (lookahead == 't') ADVANCE(459);
      END_STATE();
    case 351:
      if (lookahead == 't') ADVANCE(282);
      END_STATE();
    case 352:
      if (lookahead == 't') ADVANCE(552);
      END_STATE();
    case 353:
      if (lookahead == 't') ADVANCE(534);
      END_STATE();
    case 354:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 355:
      if (lookahead == 't') ADVANCE(292);
      END_STATE();
    case 356:
      if (lookahead == 't') ADVANCE(281);
      END_STATE();
    case 357:
      if (lookahead == 't') ADVANCE(383);
      END_STATE();
    case 358:
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 359:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 360:
      if (lookahead == 't') ADVANCE(327);
      END_STATE();
    case 361:
      if (lookahead == 'u') ADVANCE(302);
      END_STATE();
    case 362:
      if (lookahead == 'u') ADVANCE(264);
      END_STATE();
    case 363:
      if (lookahead == 'y') ADVANCE(337);
      END_STATE();
    case 364:
      if (lookahead == 'z') ADVANCE(280);
      END_STATE();
    case 365:
      if (lookahead == '{') ADVANCE(389);
      END_STATE();
    case 366:
      if (lookahead == '|') ADVANCE(685);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 367:
      if (lookahead == '}') ADVANCE(638);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(367);
      END_STATE();
    case 368:
      if (lookahead == '}') ADVANCE(590);
      END_STATE();
    case 369:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(378);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(617);
      END_STATE();
    case 370:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(660);
      END_STATE();
    case 371:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(614);
      END_STATE();
    case 372:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(650);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(372);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(649);
      END_STATE();
    case 373:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(650);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(649);
      END_STATE();
    case 374:
      if (('0' <= lookahead && lookahead <= '3')) ADVANCE(376);
      END_STATE();
    case 375:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(648);
      END_STATE();
    case 376:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(375);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 378:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(617);
      END_STATE();
    case 379:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      END_STATE();
    case 380:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(646);
      END_STATE();
    case 381:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(380);
      END_STATE();
    case 382:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(690);
      END_STATE();
    case 383:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(689);
      END_STATE();
    case 384:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(691);
      END_STATE();
    case 385:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 386:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 387:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 388:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 389:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(367);
      END_STATE();
    case 390:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(647);
      END_STATE();
    case 391:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(390);
      END_STATE();
    case 392:
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 393:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 490,
        '"', 631,
        '#', 570,
        '$', 377,
        '%', 605,
        '&', 566,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 524,
        '+', 489,
        ',', 487,
        '-', 492,
        '.', 521,
        '0', 608,
        ':', 513,
        ';', 532,
        '<', 568,
        '=', 467,
        '>', 564,
        '?', 470,
        '@', 671,
        '[', 500,
        '\\', 2,
        ']', 510,
        '^', 673,
        '`', 838,
        'a', 762,
        'c', 756,
        'd', 782,
        'e', 750,
        'i', 763,
        'l', 721,
        'm', 694,
        'o', 794,
        't', 742,
        'v', 692,
        'w', 746,
        '{', 527,
        '|', 496,
        '}', 533,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(393);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 394:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 836,
        '$', 377,
        '%', 605,
        '&', 565,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 524,
        '+', 620,
        ',', 487,
        '-', 621,
        '.', 839,
        '0', 608,
        ':', 513,
        ';', 229,
        '<', 220,
        '=', 467,
        '>', 564,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 697,
        'o', 795,
        't', 827,
        '{', 527,
        '|', 494,
        '}', 533,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(394);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 395:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 835,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        ';', 229,
        '?', 388,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 825,
        'i', 763,
        'l', 721,
        'm', 697,
        'o', 795,
        't', 827,
        '{', 527,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(395);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 396:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 835,
        '$', 377,
        '%', 605,
        '\'', 626,
        '(', 479,
        '0', 608,
        ';', 229,
        '?', 388,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 697,
        'o', 795,
        't', 827,
        '{', 527,
        '~', 469,
        '+', 620,
        '-', 620,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(396);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 397:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 835,
        '$', 377,
        '\'', 626,
        '(', 479,
        '+', 230,
        '0', 608,
        ':', 472,
        ';', 229,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 527,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(398);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 398:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 835,
        '$', 377,
        '\'', 626,
        '(', 479,
        '+', 230,
        '0', 608,
        ';', 229,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 527,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(398);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 399:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 653,
        '"', 631,
        '#', 571,
        '$', 377,
        '\'', 626,
        '(', 479,
        '.', 520,
        '0', 608,
        ';', 229,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 527,
        '~', 469,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(399);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 400:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '/', 667,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 388,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 752,
        'i', 763,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(401);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 401:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '=', 679,
        '>', 677,
        '?', 388,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 752,
        'i', 763,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(401);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 402:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 825,
        'i', 763,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(402);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 403:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(403);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 404:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 752,
        'i', 772,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(404);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 405:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(405);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 406:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '%', 606,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '/', 667,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 388,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 752,
        'i', 772,
        'l', 704,
        'm', 698,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(406);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 407:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 825,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(413);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 408:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(414);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 409:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 752,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(415);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 410:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 752,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 411:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(417);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 412:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 475,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 752,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 413:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 825,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(413);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 414:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(414);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 415:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 752,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(415);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 416:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 752,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 417:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(417);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 418:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 835,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 676,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 752,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 419:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 825,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(419);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 420:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(420);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 421:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 752,
        'i', 763,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(421);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 422:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 761,
        'c', 757,
        'e', 752,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(422);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 423:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(423);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 424:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 654,
        '"', 631,
        '#', 571,
        '$', 678,
        '&', 682,
        '\'', 626,
        '(', 479,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        '0', 608,
        ':', 226,
        ';', 532,
        '<', 675,
        '?', 471,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 807,
        'c', 757,
        'e', 752,
        'i', 772,
        'l', 704,
        'm', 790,
        'o', 794,
        't', 827,
        '{', 527,
        '|', 498,
        '~', 469,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(424);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 425:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 234,
        '"', 631,
        '#', 835,
        '&', 682,
        '\'', 627,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        ':', 515,
        ';', 532,
        '<', 676,
        '[', 502,
        ']', 510,
        'a', 304,
        'c', 300,
        'd', 323,
        'e', 295,
        'i', 305,
        'l', 246,
        'm', 272,
        'o', 335,
        't', 286,
        'v', 244,
        'w', 288,
        '{', 526,
        '|', 498,
        '}', 533,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(426);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      END_STATE();
    case 426:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 234,
        '"', 631,
        '#', 835,
        '&', 682,
        '(', 479,
        ')', 480,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        ':', 515,
        ';', 532,
        '<', 676,
        '[', 502,
        ']', 510,
        'a', 304,
        'c', 300,
        'd', 323,
        'e', 295,
        'i', 305,
        'l', 246,
        'm', 272,
        'o', 335,
        't', 286,
        'v', 244,
        'w', 288,
        '{', 526,
        '|', 498,
        '}', 533,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(426);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      END_STATE();
    case 427:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 234,
        '#', 835,
        '&', 682,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        ':', 475,
        ';', 532,
        '<', 676,
        '[', 212,
        ']', 510,
        'a', 304,
        'c', 299,
        'd', 324,
        'e', 295,
        'i', 310,
        'l', 246,
        'm', 330,
        'o', 335,
        't', 326,
        'v', 244,
        '{', 213,
        '|', 498,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(428);
      END_STATE();
    case 428:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 234,
        '#', 835,
        '&', 682,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        ':', 226,
        ';', 532,
        '<', 676,
        '[', 212,
        ']', 510,
        'a', 304,
        'c', 299,
        'd', 324,
        'e', 295,
        'i', 310,
        'l', 246,
        'm', 330,
        'o', 335,
        't', 326,
        'v', 244,
        '{', 213,
        '|', 498,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(428);
      END_STATE();
    case 429:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '!', 234,
        '#', 571,
        '&', 682,
        '*', 664,
        '+', 622,
        ',', 487,
        '-', 623,
        '.', 520,
        ':', 514,
        ';', 532,
        '<', 676,
        '[', 212,
        ']', 510,
        'a', 304,
        'c', 299,
        'd', 324,
        'e', 295,
        'i', 310,
        'l', 246,
        'm', 330,
        'o', 335,
        't', 326,
        'v', 244,
        '{', 213,
        '|', 498,
        '%', 667,
        '/', 667,
        '@', 673,
        '^', 673,
        '$', 679,
        '=', 679,
        '>', 679,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(429);
      END_STATE();
    case 430:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 835,
        '\'', 626,
        '(', 479,
        ')', 480,
        ',', 487,
        '0', 608,
        ':', 512,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        ']', 510,
        'c', 757,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 530,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(430);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 431:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 835,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 511,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        ']', 510,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 530,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(431);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 432:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '*', 524,
        '+', 619,
        '-', 625,
        '.', 520,
        '0', 608,
        ':', 511,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(432);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 433:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '.', 520,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 825,
        'i', 763,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(433);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 434:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '.', 520,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(434);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 435:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '.', 221,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 825,
        'i', 763,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(435);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 436:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '.', 221,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(436);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 437:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 825,
        'i', 763,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(437);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 438:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '0', 608,
        ':', 516,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(438);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 439:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '0', 608,
        ':', 477,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 825,
        'i', 763,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(437);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 440:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        ',', 487,
        '0', 608,
        ':', 477,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 762,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '|', 494,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(438);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 441:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 511,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(441);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 442:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '"', 631,
        '#', 569,
        '\'', 626,
        '(', 479,
        '0', 608,
        ':', 472,
        ';', 229,
        '=', 467,
        '?', 470,
        '[', 503,
        '\\', 172,
        ']', 510,
        '`', 838,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 526,
        '~', 468,
        '+', 619,
        '-', 619,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(441);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(609);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 443:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 835,
        '%', 605,
        '(', 479,
        ')', 480,
        '*', 524,
        '+', 230,
        '-', 235,
        '.', 520,
        ':', 518,
        ';', 229,
        '=', 467,
        '[', 204,
        ']', 510,
        'a', 316,
        'c', 300,
        'e', 313,
        'i', 305,
        'l', 265,
        'm', 274,
        'o', 334,
        't', 363,
        'v', 244,
        'w', 288,
        '{', 205,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(443);
      END_STATE();
    case 444:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 835,
        '&', 565,
        ')', 480,
        ',', 487,
        '-', 235,
        ':', 232,
        ';', 229,
        '=', 467,
        '>', 564,
        '[', 212,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 756,
        'e', 770,
        'i', 769,
        'l', 721,
        'm', 729,
        'o', 795,
        't', 827,
        'v', 692,
        'w', 746,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(444);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 445:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 835,
        '(', 479,
        ')', 480,
        ',', 487,
        '-', 235,
        '.', 520,
        ':', 512,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 756,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(445);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 446:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 835,
        '(', 479,
        '*', 524,
        '-', 235,
        ':', 511,
        ';', 229,
        '=', 467,
        '[', 508,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 756,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(446);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 447:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 835,
        '(', 479,
        ':', 511,
        ';', 229,
        '=', 467,
        '[', 508,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(447);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 448:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 835,
        ')', 480,
        '-', 235,
        ':', 232,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 756,
        'e', 770,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        'v', 692,
        'w', 746,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(448);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 449:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 835,
        ')', 480,
        ':', 511,
        ';', 229,
        '[', 212,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 756,
        'e', 770,
        'i', 769,
        'l', 721,
        'm', 729,
        'o', 795,
        't', 827,
        'v', 692,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(449);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 450:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 835,
        '*', 524,
        '-', 235,
        ':', 231,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 756,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        'w', 746,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(450);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 451:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '*', 524,
        '-', 235,
        '.', 520,
        ':', 511,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 756,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(451);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 452:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '*', 524,
        '-', 235,
        '.', 520,
        ';', 229,
        '[', 212,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 213,
        '|', 494,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(452);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 453:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 569,
        '\'', 837,
        '*', 524,
        '-', 235,
        '.', 520,
        ';', 229,
        '[', 212,
        '\\', 172,
        ']', 510,
        'c', 757,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(453);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 454:
      if (eof) ADVANCE(455);
      ADVANCE_MAP(
        '#', 569,
        '*', 524,
        '-', 235,
        ':', 517,
        ';', 229,
        '=', 467,
        '[', 212,
        '\\', 172,
        ']', 510,
        'a', 778,
        'c', 756,
        'e', 825,
        'i', 772,
        'l', 721,
        'm', 787,
        'o', 795,
        't', 827,
        'w', 746,
        '{', 213,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(454);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(834);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(833);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_shebang);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(456);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(457);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_shebang);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(457);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(689);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(689);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(690);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(572);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(572);
      if (lookahead == '=') ADVANCE(493);
      if (lookahead == '>') ADVANCE(466);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(572);
      if (lookahead == '=') ADVANCE(687);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(572);
      if (lookahead == '=') ADVANCE(687);
      if (lookahead == '>') ADVANCE(466);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(572);
      if (lookahead == '>') ADVANCE(466);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(466);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_external);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_type);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(656);
      if (lookahead == '=') ADVANCE(486);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(656);
      if (lookahead == '>') ADVANCE(522);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(574);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(574);
      if (lookahead == '|') ADVANCE(684);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(574);
      if (lookahead == '|') ADVANCE(685);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(685);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(599);
      if (lookahead == '<') ADVANCE(563);
      if (lookahead == '>') ADVANCE(562);
      if (lookahead == '@') ADVANCE(633);
      if (lookahead == '|') ADVANCE(573);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(599);
      if (lookahead == '<') ADVANCE(563);
      if (lookahead == '>') ADVANCE(562);
      if (lookahead == '@') ADVANCE(592);
      if (lookahead == '|') ADVANCE(573);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(599);
      if (lookahead == '<') ADVANCE(563);
      if (lookahead == '>') ADVANCE(562);
      if (lookahead == '@') ADVANCE(593);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(599);
      if (lookahead == '@') ADVANCE(593);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(599);
      if (lookahead == '@') ADVANCE(593);
      if (lookahead == '|') ADVANCE(573);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(598);
      if (lookahead == '<') ADVANCE(563);
      if (lookahead == '>') ADVANCE(562);
      if (lookahead == '@') ADVANCE(592);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(598);
      if (lookahead == '@') ADVANCE(592);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(598);
      if (lookahead == '@') ADVANCE(592);
      if (lookahead == '|') ADVANCE(573);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(598);
      if (lookahead == '@') ADVANCE(594);
      if (lookahead == '|') ADVANCE(573);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(206);
      if (lookahead == '@') ADVANCE(593);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '@') ADVANCE(592);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(572);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(572);
      if (lookahead == '=') ADVANCE(493);
      if (lookahead == '>') ADVANCE(466);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(572);
      if (lookahead == '=') ADVANCE(687);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(572);
      if (lookahead == '=') ADVANCE(687);
      if (lookahead == '>') ADVANCE(466);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(572);
      if (lookahead == '>') ADVANCE(466);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(493);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(493);
      if (lookahead == '>') ADVANCE(466);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '>') ADVANCE(466);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(485);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(601);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(601);
      if (lookahead == '<') ADVANCE(589);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(600);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(600);
      if (lookahead == '<') ADVANCE(589);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(207);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(458);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_constraint);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_constraint);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_exception);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_module);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_open);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_include);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_class);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_val);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_end);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_with);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_inherit);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_inherit);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_method);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(758);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(297);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_in);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_initializer);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_initializer);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_LBRACK_GT);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(681);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(575);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(456);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_then);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_else);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(anon_sym_do);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_done);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_to);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_downto);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(anon_sym_LBRACE_LT);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_GT_RBRACE);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(sym_ocamlyacc_value);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(596);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(595);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      if (lookahead == '@') ADVANCE(597);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT_AT);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      if (lookahead == '%') ADVANCE(603);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      if (lookahead == '%') ADVANCE(604);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_quoted_extension_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(602);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT_PERCENT);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PERCENT);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(aux_sym_number_token1);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_number_token1);
      ADVANCE_MAP(
        '.', 612,
        'B', 371,
        'b', 371,
        'E', 369,
        'e', 369,
        'O', 615,
        'o', 615,
        'X', 618,
        'x', 618,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(609);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(607);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(612);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(609);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(607);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(613);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(610);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(607);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(378);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(617);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(369);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(612);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(607);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(611);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(613);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(607);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(614);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(607);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(616);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(616);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(607);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(617);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(607);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(610);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(656);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(656);
      if (lookahead == '>') ADVANCE(522);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(658);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(657);
      if (lookahead == '>') ADVANCE(386);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(657);
      if (lookahead == '>') ADVANCE(523);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '>') ADVANCE(522);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_character_content_token1);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      if (lookahead == '@') ADVANCE(592);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(aux_sym_string_content_token2);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '*', 224,
        '.', 218,
        'L', 650,
        'l', 650,
        'n', 650,
        ' ', 217,
        '#', 217,
        '+', 217,
        '-', 217,
        '0', 217,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(223);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(649);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '<', 379,
        '\\', 303,
        ' ', 651,
        ',', 651,
        '.', 651,
        ';', 651,
        '?', 651,
        '[', 651,
        ']', 651,
        '{', 651,
        '}', 651,
      );
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead == '@') ADVANCE(633);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(637);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '\\') ADVANCE(637);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_string_content_token4);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(aux_sym_string_content_token5);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(639);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '*', 224,
        '.', 218,
        'L', 650,
        'l', 650,
        'n', 650,
        ' ', 217,
        '#', 217,
        '+', 217,
        '-', 217,
        '0', 217,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(223);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(649);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '<', 379,
        '\\', 303,
        ' ', 651,
        ',', 651,
        '.', 651,
        ';', 651,
        '?', 651,
        '[', 651,
        ']', 651,
        '{', 651,
        '}', 651,
      );
      END_STATE();
    case 643:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead == '@') ADVANCE(633);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '|') ADVANCE(644);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '|') ADVANCE(644);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token4);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_conversion_specification);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_conversion_specification);
      if (lookahead == 'X' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          lookahead == 'o' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(649);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(673);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(388);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(680);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (lookahead == '>') ADVANCE(670);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_hash_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_pow_operator);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(661);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_mult_operator);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '*') ADVANCE(661);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(760);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(302);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(667);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (lookahead == '>') ADVANCE(670);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_concat_operator);
      ADVANCE_MAP(
        '<', 672,
        '\\', 303,
        '.', 652,
        '?', 652,
        ' ', 651,
        ',', 651,
        ';', 651,
        '[', 651,
        ']', 651,
        '{', 651,
        '}', 651,
      );
      if (lookahead == '!' ||
          ('$' <= lookahead && lookahead <= '&') ||
          ('*' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          ('|' <= lookahead && lookahead <= '~')) ADVANCE(673);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_concat_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(237);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(673);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_concat_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(673);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_rel_operator);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(576);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(385);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '}') ADVANCE(590);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_rel_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(591);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(655);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_and_operator);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_and_operator);
      if (lookahead == '&') ADVANCE(683);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_or_operator);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(679);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_assign_operator);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_indexing_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(688);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_let_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(689);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_let_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(690);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_match_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(691);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(754);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(808);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'o') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'o') ADVANCE(716);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'e') ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'o') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'o') ADVANCE(717);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(811);
      if (lookahead == 'o') ADVANCE(716);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(811);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(747);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(755);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(759);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(775);
      if (lookahead == 'e') ADVANCE(810);
      if (lookahead == 'o') ADVANCE(800);
      if (lookahead == 's') ADVANCE(829);
      if (lookahead == 'x') ADVANCE(788);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(775);
      if (lookahead == 'e') ADVANCE(819);
      if (lookahead == 'o') ADVANCE(800);
      if (lookahead == 's') ADVANCE(829);
      if (lookahead == 'x') ADVANCE(788);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(775);
      if (lookahead == 'o') ADVANCE(800);
      if (lookahead == 's') ADVANCE(829);
      if (lookahead == 'x') ADVANCE(788);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(758);
      if (lookahead == 'h') ADVANCE(734);
      if (lookahead == 'i') ADVANCE(820);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(758);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(738);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(728);
      if (lookahead == 't') ADVANCE(723);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(728);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(464);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(549);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(822);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(555);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(668);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(665);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(465);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(830);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(726);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(810);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(580);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(803);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(484);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(539);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(543);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(584);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(797);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'o') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(812);
      if (lookahead == 'o') ADVANCE(716);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(764);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(765);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(804);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(801);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(815);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(551);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(832);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(789);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(734);
      if (lookahead == 'i') ADVANCE(820);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(734);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(733);
      if (lookahead == 'o') ADVANCE(586);
      if (lookahead == 'y') ADVANCE(796);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(733);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(828);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(792);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(817);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(776);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(703);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(806);
      if (lookahead == 'n') ADVANCE(713);
      if (lookahead == 'x') ADVANCE(710);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(806);
      if (lookahead == 'n') ADVANCE(713);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(806);
      if (lookahead == 'x') ADVANCE(710);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(806);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(547);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(482);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(693);
      if (lookahead == 'o') ADVANCE(773);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(823);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(744);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(725);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(712);
      if (lookahead == 's') ADVANCE(799);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(712);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(557);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(541);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(578);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(537);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(740);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(559);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(707);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(713);
      if (lookahead == 'x') ADVANCE(710);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(713);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(708);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(809);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(741);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(716);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(813);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(719);
      if (lookahead == 's') ADVANCE(799);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(718);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(821);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(727);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(702);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(582);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(586);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(824);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(588);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(773);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(800);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(715);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(717);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(716);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(766);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(780);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(732);
      if (lookahead == 'r') ADVANCE(686);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(732);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(724);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(816);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(686);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(662);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(668);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(561);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(701);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(781);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(748);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(545);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(722);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(799);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(805);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(818);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(460);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(709);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(739);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(535);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(553);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(461);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(745);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(737);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(802);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(831);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 820:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(749);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 821:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(785);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 822:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(760);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(720);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 824:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'w') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 825:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(710);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(711);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'y') ADVANCE(796);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 828:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'z') ADVANCE(735);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 829:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(662);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 830:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 831:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(689);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 832:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(691);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(833);
      END_STATE();
    case 834:
      ACCEPT_TOKEN(sym__uppercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(834);
      END_STATE();
    case 835:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      END_STATE();
    case 836:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      if (lookahead == '!') ADVANCE(457);
      END_STATE();
    case 837:
      ACCEPT_TOKEN(aux_sym_type_variable_token1);
      END_STATE();
    case 838:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 839:
      ACCEPT_TOKEN(aux_sym_attribute_id_token1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'e', 4,
        'f', 5,
        'i', 6,
        'l', 7,
        'm', 8,
        'n', 9,
        'o', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'v', 15,
        'w', 16,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(18);
      END_STATE();
    case 4:
      if (lookahead == 'f') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(25);
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(27);
      if (lookahead == 'o') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'b') ADVANCE(29);
      if (lookahead == 'f') ADVANCE(30);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(33);
      if (lookahead == 't') ADVANCE(34);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(35);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(36);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(37);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(38);
      END_STATE();
    case 18:
      if (lookahead == 'g') ADVANCE(39);
      END_STATE();
    case 19:
      if (lookahead == 'f') ADVANCE(40);
      END_STATE();
    case 20:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 21:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 24:
      if (lookahead == 'z') ADVANCE(44);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 27:
      if (lookahead == 'w') ADVANCE(47);
      END_STATE();
    case 28:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 29:
      if (lookahead == 'j') ADVANCE(49);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(51);
      END_STATE();
    case 33:
      if (lookahead == 'g') ADVANCE(52);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(54);
      if (lookahead == 'y') ADVANCE(55);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(56);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(57);
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(63);
      END_STATE();
    case 44:
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(65);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 'v') ADVANCE(69);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_sig);
      END_STATE();
    case 53:
      if (lookahead == 'u') ADVANCE(70);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(74);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 65:
      if (lookahead == 'h') ADVANCE(80);
      END_STATE();
    case 66:
      if (lookahead == 'b') ADVANCE(81);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 68:
      if (lookahead == 'c') ADVANCE(83);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 70:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 72:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_effect);
      END_STATE();
    case 90:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_nonrec);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 98:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_functor);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 394, .external_lex_state = 2},
  [2] = {.lex_state = 394, .external_lex_state = 2},
  [3] = {.lex_state = 394, .external_lex_state = 2},
  [4] = {.lex_state = 394, .external_lex_state = 2},
  [5] = {.lex_state = 394, .external_lex_state = 2},
  [6] = {.lex_state = 394, .external_lex_state = 2},
  [7] = {.lex_state = 394, .external_lex_state = 2},
  [8] = {.lex_state = 394, .external_lex_state = 2},
  [9] = {.lex_state = 394, .external_lex_state = 2},
  [10] = {.lex_state = 394, .external_lex_state = 2},
  [11] = {.lex_state = 394, .external_lex_state = 2},
  [12] = {.lex_state = 394, .external_lex_state = 2},
  [13] = {.lex_state = 394, .external_lex_state = 2},
  [14] = {.lex_state = 394, .external_lex_state = 2},
  [15] = {.lex_state = 394, .external_lex_state = 2},
  [16] = {.lex_state = 394, .external_lex_state = 2},
  [17] = {.lex_state = 394, .external_lex_state = 2},
  [18] = {.lex_state = 394, .external_lex_state = 2},
  [19] = {.lex_state = 394, .external_lex_state = 2},
  [20] = {.lex_state = 394, .external_lex_state = 2},
  [21] = {.lex_state = 394, .external_lex_state = 2},
  [22] = {.lex_state = 394, .external_lex_state = 2},
  [23] = {.lex_state = 394, .external_lex_state = 2},
  [24] = {.lex_state = 394, .external_lex_state = 2},
  [25] = {.lex_state = 394, .external_lex_state = 2},
  [26] = {.lex_state = 394, .external_lex_state = 2},
  [27] = {.lex_state = 394, .external_lex_state = 2},
  [28] = {.lex_state = 394, .external_lex_state = 2},
  [29] = {.lex_state = 394, .external_lex_state = 2},
  [30] = {.lex_state = 394, .external_lex_state = 2},
  [31] = {.lex_state = 394, .external_lex_state = 2},
  [32] = {.lex_state = 394, .external_lex_state = 2},
  [33] = {.lex_state = 394, .external_lex_state = 2},
  [34] = {.lex_state = 394, .external_lex_state = 2},
  [35] = {.lex_state = 394, .external_lex_state = 2},
  [36] = {.lex_state = 394, .external_lex_state = 2},
  [37] = {.lex_state = 394, .external_lex_state = 2},
  [38] = {.lex_state = 394, .external_lex_state = 2},
  [39] = {.lex_state = 394, .external_lex_state = 2},
  [40] = {.lex_state = 394, .external_lex_state = 2},
  [41] = {.lex_state = 394, .external_lex_state = 2},
  [42] = {.lex_state = 394, .external_lex_state = 2},
  [43] = {.lex_state = 394, .external_lex_state = 2},
  [44] = {.lex_state = 394, .external_lex_state = 2},
  [45] = {.lex_state = 394, .external_lex_state = 2},
  [46] = {.lex_state = 394, .external_lex_state = 2},
  [47] = {.lex_state = 394, .external_lex_state = 2},
  [48] = {.lex_state = 394, .external_lex_state = 2},
  [49] = {.lex_state = 394, .external_lex_state = 2},
  [50] = {.lex_state = 394, .external_lex_state = 2},
  [51] = {.lex_state = 394, .external_lex_state = 2},
  [52] = {.lex_state = 394, .external_lex_state = 2},
  [53] = {.lex_state = 394, .external_lex_state = 2},
  [54] = {.lex_state = 394, .external_lex_state = 2},
  [55] = {.lex_state = 394, .external_lex_state = 2},
  [56] = {.lex_state = 394, .external_lex_state = 2},
  [57] = {.lex_state = 394, .external_lex_state = 2},
  [58] = {.lex_state = 394, .external_lex_state = 2},
  [59] = {.lex_state = 394, .external_lex_state = 2},
  [60] = {.lex_state = 394, .external_lex_state = 2},
  [61] = {.lex_state = 394, .external_lex_state = 2},
  [62] = {.lex_state = 394, .external_lex_state = 2},
  [63] = {.lex_state = 394, .external_lex_state = 2},
  [64] = {.lex_state = 394, .external_lex_state = 2},
  [65] = {.lex_state = 394, .external_lex_state = 2},
  [66] = {.lex_state = 394, .external_lex_state = 2},
  [67] = {.lex_state = 394, .external_lex_state = 2},
  [68] = {.lex_state = 394, .external_lex_state = 2},
  [69] = {.lex_state = 394, .external_lex_state = 2},
  [70] = {.lex_state = 394, .external_lex_state = 2},
  [71] = {.lex_state = 394, .external_lex_state = 2},
  [72] = {.lex_state = 394, .external_lex_state = 2},
  [73] = {.lex_state = 394, .external_lex_state = 2},
  [74] = {.lex_state = 394, .external_lex_state = 2},
  [75] = {.lex_state = 394, .external_lex_state = 2},
  [76] = {.lex_state = 394, .external_lex_state = 2},
  [77] = {.lex_state = 394, .external_lex_state = 2},
  [78] = {.lex_state = 394, .external_lex_state = 2},
  [79] = {.lex_state = 394, .external_lex_state = 2},
  [80] = {.lex_state = 394, .external_lex_state = 2},
  [81] = {.lex_state = 394, .external_lex_state = 2},
  [82] = {.lex_state = 394, .external_lex_state = 2},
  [83] = {.lex_state = 394, .external_lex_state = 2},
  [84] = {.lex_state = 394, .external_lex_state = 2},
  [85] = {.lex_state = 394, .external_lex_state = 2},
  [86] = {.lex_state = 394, .external_lex_state = 2},
  [87] = {.lex_state = 394, .external_lex_state = 2},
  [88] = {.lex_state = 394, .external_lex_state = 2},
  [89] = {.lex_state = 394, .external_lex_state = 2},
  [90] = {.lex_state = 394, .external_lex_state = 2},
  [91] = {.lex_state = 394, .external_lex_state = 2},
  [92] = {.lex_state = 394, .external_lex_state = 2},
  [93] = {.lex_state = 394, .external_lex_state = 2},
  [94] = {.lex_state = 394, .external_lex_state = 2},
  [95] = {.lex_state = 394, .external_lex_state = 2},
  [96] = {.lex_state = 394, .external_lex_state = 2},
  [97] = {.lex_state = 400, .external_lex_state = 2},
  [98] = {.lex_state = 400, .external_lex_state = 2},
  [99] = {.lex_state = 36, .external_lex_state = 2},
  [100] = {.lex_state = 10, .external_lex_state = 2},
  [101] = {.lex_state = 10, .external_lex_state = 2},
  [102] = {.lex_state = 394, .external_lex_state = 2},
  [103] = {.lex_state = 394, .external_lex_state = 2},
  [104] = {.lex_state = 394, .external_lex_state = 2},
  [105] = {.lex_state = 404, .external_lex_state = 2},
  [106] = {.lex_state = 37, .external_lex_state = 2},
  [107] = {.lex_state = 404, .external_lex_state = 2},
  [108] = {.lex_state = 394, .external_lex_state = 2},
  [109] = {.lex_state = 394, .external_lex_state = 2},
  [110] = {.lex_state = 394, .external_lex_state = 2},
  [111] = {.lex_state = 394, .external_lex_state = 2},
  [112] = {.lex_state = 394, .external_lex_state = 2},
  [113] = {.lex_state = 10, .external_lex_state = 2},
  [114] = {.lex_state = 10, .external_lex_state = 2},
  [115] = {.lex_state = 402, .external_lex_state = 2},
  [116] = {.lex_state = 10, .external_lex_state = 2},
  [117] = {.lex_state = 10, .external_lex_state = 2},
  [118] = {.lex_state = 394, .external_lex_state = 2},
  [119] = {.lex_state = 402, .external_lex_state = 2},
  [120] = {.lex_state = 38, .external_lex_state = 2},
  [121] = {.lex_state = 39, .external_lex_state = 2},
  [122] = {.lex_state = 394, .external_lex_state = 2},
  [123] = {.lex_state = 394, .external_lex_state = 2},
  [124] = {.lex_state = 403, .external_lex_state = 2},
  [125] = {.lex_state = 394, .external_lex_state = 2},
  [126] = {.lex_state = 403, .external_lex_state = 2},
  [127] = {.lex_state = 406, .external_lex_state = 2},
  [128] = {.lex_state = 406, .external_lex_state = 2},
  [129] = {.lex_state = 40, .external_lex_state = 2},
  [130] = {.lex_state = 405, .external_lex_state = 2},
  [131] = {.lex_state = 41, .external_lex_state = 2},
  [132] = {.lex_state = 405, .external_lex_state = 2},
  [133] = {.lex_state = 54, .external_lex_state = 2},
  [134] = {.lex_state = 104, .external_lex_state = 2},
  [135] = {.lex_state = 54, .external_lex_state = 2},
  [136] = {.lex_state = 104, .external_lex_state = 2},
  [137] = {.lex_state = 102, .external_lex_state = 2},
  [138] = {.lex_state = 103, .external_lex_state = 2},
  [139] = {.lex_state = 102, .external_lex_state = 2},
  [140] = {.lex_state = 103, .external_lex_state = 2},
  [141] = {.lex_state = 395, .external_lex_state = 2},
  [142] = {.lex_state = 11, .external_lex_state = 2},
  [143] = {.lex_state = 119, .external_lex_state = 2},
  [144] = {.lex_state = 395, .external_lex_state = 2},
  [145] = {.lex_state = 396, .external_lex_state = 2},
  [146] = {.lex_state = 120, .external_lex_state = 2},
  [147] = {.lex_state = 119, .external_lex_state = 2},
  [148] = {.lex_state = 396, .external_lex_state = 2},
  [149] = {.lex_state = 12, .external_lex_state = 2},
  [150] = {.lex_state = 101, .external_lex_state = 2},
  [151] = {.lex_state = 101, .external_lex_state = 2},
  [152] = {.lex_state = 101, .external_lex_state = 2},
  [153] = {.lex_state = 101, .external_lex_state = 2},
  [154] = {.lex_state = 101, .external_lex_state = 2},
  [155] = {.lex_state = 101, .external_lex_state = 2},
  [156] = {.lex_state = 101, .external_lex_state = 2},
  [157] = {.lex_state = 120, .external_lex_state = 2},
  [158] = {.lex_state = 101, .external_lex_state = 2},
  [159] = {.lex_state = 101, .external_lex_state = 2},
  [160] = {.lex_state = 101, .external_lex_state = 2},
  [161] = {.lex_state = 101, .external_lex_state = 2},
  [162] = {.lex_state = 101, .external_lex_state = 2},
  [163] = {.lex_state = 101, .external_lex_state = 2},
  [164] = {.lex_state = 101, .external_lex_state = 2},
  [165] = {.lex_state = 101, .external_lex_state = 2},
  [166] = {.lex_state = 101, .external_lex_state = 2},
  [167] = {.lex_state = 101, .external_lex_state = 2},
  [168] = {.lex_state = 101, .external_lex_state = 2},
  [169] = {.lex_state = 101, .external_lex_state = 2},
  [170] = {.lex_state = 101, .external_lex_state = 2},
  [171] = {.lex_state = 101, .external_lex_state = 2},
  [172] = {.lex_state = 101, .external_lex_state = 2},
  [173] = {.lex_state = 101, .external_lex_state = 2},
  [174] = {.lex_state = 101, .external_lex_state = 2},
  [175] = {.lex_state = 101, .external_lex_state = 2},
  [176] = {.lex_state = 101, .external_lex_state = 2},
  [177] = {.lex_state = 101, .external_lex_state = 2},
  [178] = {.lex_state = 101, .external_lex_state = 2},
  [179] = {.lex_state = 101, .external_lex_state = 2},
  [180] = {.lex_state = 101, .external_lex_state = 2},
  [181] = {.lex_state = 101, .external_lex_state = 2},
  [182] = {.lex_state = 101, .external_lex_state = 2},
  [183] = {.lex_state = 101, .external_lex_state = 2},
  [184] = {.lex_state = 101, .external_lex_state = 2},
  [185] = {.lex_state = 101, .external_lex_state = 2},
  [186] = {.lex_state = 101, .external_lex_state = 2},
  [187] = {.lex_state = 101, .external_lex_state = 2},
  [188] = {.lex_state = 101, .external_lex_state = 2},
  [189] = {.lex_state = 101, .external_lex_state = 2},
  [190] = {.lex_state = 101, .external_lex_state = 2},
  [191] = {.lex_state = 101, .external_lex_state = 2},
  [192] = {.lex_state = 101, .external_lex_state = 2},
  [193] = {.lex_state = 101, .external_lex_state = 2},
  [194] = {.lex_state = 107, .external_lex_state = 2},
  [195] = {.lex_state = 101, .external_lex_state = 2},
  [196] = {.lex_state = 101, .external_lex_state = 2},
  [197] = {.lex_state = 101, .external_lex_state = 2},
  [198] = {.lex_state = 101, .external_lex_state = 2},
  [199] = {.lex_state = 101, .external_lex_state = 2},
  [200] = {.lex_state = 101, .external_lex_state = 2},
  [201] = {.lex_state = 101, .external_lex_state = 2},
  [202] = {.lex_state = 101, .external_lex_state = 2},
  [203] = {.lex_state = 101, .external_lex_state = 2},
  [204] = {.lex_state = 101, .external_lex_state = 2},
  [205] = {.lex_state = 101, .external_lex_state = 2},
  [206] = {.lex_state = 101, .external_lex_state = 2},
  [207] = {.lex_state = 101, .external_lex_state = 2},
  [208] = {.lex_state = 101, .external_lex_state = 2},
  [209] = {.lex_state = 101, .external_lex_state = 2},
  [210] = {.lex_state = 101, .external_lex_state = 2},
  [211] = {.lex_state = 101, .external_lex_state = 2},
  [212] = {.lex_state = 101, .external_lex_state = 2},
  [213] = {.lex_state = 101, .external_lex_state = 2},
  [214] = {.lex_state = 101, .external_lex_state = 2},
  [215] = {.lex_state = 101, .external_lex_state = 2},
  [216] = {.lex_state = 101, .external_lex_state = 2},
  [217] = {.lex_state = 101, .external_lex_state = 2},
  [218] = {.lex_state = 101, .external_lex_state = 2},
  [219] = {.lex_state = 101, .external_lex_state = 2},
  [220] = {.lex_state = 101, .external_lex_state = 2},
  [221] = {.lex_state = 101, .external_lex_state = 2},
  [222] = {.lex_state = 101, .external_lex_state = 2},
  [223] = {.lex_state = 101, .external_lex_state = 2},
  [224] = {.lex_state = 101, .external_lex_state = 2},
  [225] = {.lex_state = 101, .external_lex_state = 2},
  [226] = {.lex_state = 101, .external_lex_state = 2},
  [227] = {.lex_state = 101, .external_lex_state = 2},
  [228] = {.lex_state = 101, .external_lex_state = 2},
  [229] = {.lex_state = 101, .external_lex_state = 2},
  [230] = {.lex_state = 101, .external_lex_state = 2},
  [231] = {.lex_state = 101, .external_lex_state = 2},
  [232] = {.lex_state = 101, .external_lex_state = 2},
  [233] = {.lex_state = 101, .external_lex_state = 2},
  [234] = {.lex_state = 101, .external_lex_state = 2},
  [235] = {.lex_state = 101, .external_lex_state = 2},
  [236] = {.lex_state = 101, .external_lex_state = 2},
  [237] = {.lex_state = 101, .external_lex_state = 2},
  [238] = {.lex_state = 101, .external_lex_state = 2},
  [239] = {.lex_state = 101, .external_lex_state = 2},
  [240] = {.lex_state = 101, .external_lex_state = 2},
  [241] = {.lex_state = 101, .external_lex_state = 2},
  [242] = {.lex_state = 101, .external_lex_state = 2},
  [243] = {.lex_state = 101, .external_lex_state = 2},
  [244] = {.lex_state = 101, .external_lex_state = 2},
  [245] = {.lex_state = 101, .external_lex_state = 2},
  [246] = {.lex_state = 101, .external_lex_state = 2},
  [247] = {.lex_state = 101, .external_lex_state = 2},
  [248] = {.lex_state = 101, .external_lex_state = 2},
  [249] = {.lex_state = 101, .external_lex_state = 2},
  [250] = {.lex_state = 101, .external_lex_state = 2},
  [251] = {.lex_state = 101, .external_lex_state = 2},
  [252] = {.lex_state = 101, .external_lex_state = 2},
  [253] = {.lex_state = 101, .external_lex_state = 2},
  [254] = {.lex_state = 105, .external_lex_state = 2},
  [255] = {.lex_state = 113, .external_lex_state = 2},
  [256] = {.lex_state = 111, .external_lex_state = 2},
  [257] = {.lex_state = 108, .external_lex_state = 2},
  [258] = {.lex_state = 394, .external_lex_state = 2},
  [259] = {.lex_state = 109, .external_lex_state = 2},
  [260] = {.lex_state = 394, .external_lex_state = 2},
  [261] = {.lex_state = 10, .external_lex_state = 2},
  [262] = {.lex_state = 112, .external_lex_state = 2},
  [263] = {.lex_state = 114, .external_lex_state = 2},
  [264] = {.lex_state = 117, .external_lex_state = 2},
  [265] = {.lex_state = 118, .external_lex_state = 2},
  [266] = {.lex_state = 105, .external_lex_state = 2},
  [267] = {.lex_state = 110, .external_lex_state = 2},
  [268] = {.lex_state = 111, .external_lex_state = 2},
  [269] = {.lex_state = 113, .external_lex_state = 2},
  [270] = {.lex_state = 106, .external_lex_state = 2},
  [271] = {.lex_state = 112, .external_lex_state = 2},
  [272] = {.lex_state = 116, .external_lex_state = 2},
  [273] = {.lex_state = 115, .external_lex_state = 2},
  [274] = {.lex_state = 117, .external_lex_state = 2},
  [275] = {.lex_state = 116, .external_lex_state = 2},
  [276] = {.lex_state = 115, .external_lex_state = 2},
  [277] = {.lex_state = 106, .external_lex_state = 2},
  [278] = {.lex_state = 25, .external_lex_state = 2},
  [279] = {.lex_state = 24, .external_lex_state = 2},
  [280] = {.lex_state = 32, .external_lex_state = 2},
  [281] = {.lex_state = 29, .external_lex_state = 2},
  [282] = {.lex_state = 29, .external_lex_state = 2},
  [283] = {.lex_state = 29, .external_lex_state = 2},
  [284] = {.lex_state = 29, .external_lex_state = 2},
  [285] = {.lex_state = 29, .external_lex_state = 2},
  [286] = {.lex_state = 29, .external_lex_state = 2},
  [287] = {.lex_state = 29, .external_lex_state = 2},
  [288] = {.lex_state = 29, .external_lex_state = 2},
  [289] = {.lex_state = 29, .external_lex_state = 2},
  [290] = {.lex_state = 29, .external_lex_state = 2},
  [291] = {.lex_state = 29, .external_lex_state = 2},
  [292] = {.lex_state = 29, .external_lex_state = 2},
  [293] = {.lex_state = 29, .external_lex_state = 2},
  [294] = {.lex_state = 29, .external_lex_state = 2},
  [295] = {.lex_state = 29, .external_lex_state = 2},
  [296] = {.lex_state = 29, .external_lex_state = 2},
  [297] = {.lex_state = 29, .external_lex_state = 2},
  [298] = {.lex_state = 29, .external_lex_state = 2},
  [299] = {.lex_state = 29, .external_lex_state = 2},
  [300] = {.lex_state = 29, .external_lex_state = 2},
  [301] = {.lex_state = 29, .external_lex_state = 2},
  [302] = {.lex_state = 29, .external_lex_state = 2},
  [303] = {.lex_state = 27, .external_lex_state = 2},
  [304] = {.lex_state = 29, .external_lex_state = 2},
  [305] = {.lex_state = 29, .external_lex_state = 2},
  [306] = {.lex_state = 29, .external_lex_state = 2},
  [307] = {.lex_state = 29, .external_lex_state = 2},
  [308] = {.lex_state = 29, .external_lex_state = 2},
  [309] = {.lex_state = 29, .external_lex_state = 2},
  [310] = {.lex_state = 29, .external_lex_state = 2},
  [311] = {.lex_state = 29, .external_lex_state = 2},
  [312] = {.lex_state = 29, .external_lex_state = 2},
  [313] = {.lex_state = 29, .external_lex_state = 2},
  [314] = {.lex_state = 29, .external_lex_state = 2},
  [315] = {.lex_state = 29, .external_lex_state = 2},
  [316] = {.lex_state = 29, .external_lex_state = 2},
  [317] = {.lex_state = 29, .external_lex_state = 2},
  [318] = {.lex_state = 29, .external_lex_state = 2},
  [319] = {.lex_state = 29, .external_lex_state = 2},
  [320] = {.lex_state = 29, .external_lex_state = 2},
  [321] = {.lex_state = 29, .external_lex_state = 2},
  [322] = {.lex_state = 29, .external_lex_state = 2},
  [323] = {.lex_state = 29, .external_lex_state = 2},
  [324] = {.lex_state = 29, .external_lex_state = 2},
  [325] = {.lex_state = 29, .external_lex_state = 2},
  [326] = {.lex_state = 29, .external_lex_state = 2},
  [327] = {.lex_state = 29, .external_lex_state = 2},
  [328] = {.lex_state = 29, .external_lex_state = 2},
  [329] = {.lex_state = 29, .external_lex_state = 2},
  [330] = {.lex_state = 29, .external_lex_state = 2},
  [331] = {.lex_state = 29, .external_lex_state = 2},
  [332] = {.lex_state = 29, .external_lex_state = 2},
  [333] = {.lex_state = 24, .external_lex_state = 2},
  [334] = {.lex_state = 24, .external_lex_state = 2},
  [335] = {.lex_state = 24, .external_lex_state = 2},
  [336] = {.lex_state = 24, .external_lex_state = 2},
  [337] = {.lex_state = 26, .external_lex_state = 2},
  [338] = {.lex_state = 24, .external_lex_state = 2},
  [339] = {.lex_state = 28, .external_lex_state = 2},
  [340] = {.lex_state = 24, .external_lex_state = 2},
  [341] = {.lex_state = 24, .external_lex_state = 2},
  [342] = {.lex_state = 24, .external_lex_state = 2},
  [343] = {.lex_state = 24, .external_lex_state = 2},
  [344] = {.lex_state = 24, .external_lex_state = 2},
  [345] = {.lex_state = 24, .external_lex_state = 2},
  [346] = {.lex_state = 24, .external_lex_state = 2},
  [347] = {.lex_state = 24, .external_lex_state = 2},
  [348] = {.lex_state = 24, .external_lex_state = 2},
  [349] = {.lex_state = 24, .external_lex_state = 2},
  [350] = {.lex_state = 24, .external_lex_state = 2},
  [351] = {.lex_state = 24, .external_lex_state = 2},
  [352] = {.lex_state = 24, .external_lex_state = 2},
  [353] = {.lex_state = 24, .external_lex_state = 2},
  [354] = {.lex_state = 24, .external_lex_state = 2},
  [355] = {.lex_state = 31, .external_lex_state = 2},
  [356] = {.lex_state = 24, .external_lex_state = 2},
  [357] = {.lex_state = 24, .external_lex_state = 2},
  [358] = {.lex_state = 24, .external_lex_state = 2},
  [359] = {.lex_state = 24, .external_lex_state = 2},
  [360] = {.lex_state = 24, .external_lex_state = 2},
  [361] = {.lex_state = 24, .external_lex_state = 2},
  [362] = {.lex_state = 29, .external_lex_state = 2},
  [363] = {.lex_state = 24, .external_lex_state = 2},
  [364] = {.lex_state = 24, .external_lex_state = 2},
  [365] = {.lex_state = 24, .external_lex_state = 2},
  [366] = {.lex_state = 24, .external_lex_state = 2},
  [367] = {.lex_state = 24, .external_lex_state = 2},
  [368] = {.lex_state = 24, .external_lex_state = 2},
  [369] = {.lex_state = 24, .external_lex_state = 2},
  [370] = {.lex_state = 24, .external_lex_state = 2},
  [371] = {.lex_state = 24, .external_lex_state = 2},
  [372] = {.lex_state = 24, .external_lex_state = 2},
  [373] = {.lex_state = 24, .external_lex_state = 2},
  [374] = {.lex_state = 24, .external_lex_state = 2},
  [375] = {.lex_state = 24, .external_lex_state = 2},
  [376] = {.lex_state = 24, .external_lex_state = 2},
  [377] = {.lex_state = 24, .external_lex_state = 2},
  [378] = {.lex_state = 24, .external_lex_state = 2},
  [379] = {.lex_state = 24, .external_lex_state = 2},
  [380] = {.lex_state = 24, .external_lex_state = 2},
  [381] = {.lex_state = 24, .external_lex_state = 2},
  [382] = {.lex_state = 24, .external_lex_state = 2},
  [383] = {.lex_state = 24, .external_lex_state = 2},
  [384] = {.lex_state = 24, .external_lex_state = 2},
  [385] = {.lex_state = 24, .external_lex_state = 2},
  [386] = {.lex_state = 24, .external_lex_state = 2},
  [387] = {.lex_state = 24, .external_lex_state = 2},
  [388] = {.lex_state = 24, .external_lex_state = 2},
  [389] = {.lex_state = 24, .external_lex_state = 2},
  [390] = {.lex_state = 24, .external_lex_state = 2},
  [391] = {.lex_state = 24, .external_lex_state = 2},
  [392] = {.lex_state = 24, .external_lex_state = 2},
  [393] = {.lex_state = 24, .external_lex_state = 2},
  [394] = {.lex_state = 24, .external_lex_state = 2},
  [395] = {.lex_state = 24, .external_lex_state = 2},
  [396] = {.lex_state = 24, .external_lex_state = 2},
  [397] = {.lex_state = 24, .external_lex_state = 2},
  [398] = {.lex_state = 24, .external_lex_state = 2},
  [399] = {.lex_state = 24, .external_lex_state = 2},
  [400] = {.lex_state = 24, .external_lex_state = 2},
  [401] = {.lex_state = 24, .external_lex_state = 2},
  [402] = {.lex_state = 24, .external_lex_state = 2},
  [403] = {.lex_state = 24, .external_lex_state = 2},
  [404] = {.lex_state = 24, .external_lex_state = 2},
  [405] = {.lex_state = 24, .external_lex_state = 2},
  [406] = {.lex_state = 24, .external_lex_state = 2},
  [407] = {.lex_state = 24, .external_lex_state = 2},
  [408] = {.lex_state = 24, .external_lex_state = 2},
  [409] = {.lex_state = 24, .external_lex_state = 2},
  [410] = {.lex_state = 24, .external_lex_state = 2},
  [411] = {.lex_state = 24, .external_lex_state = 2},
  [412] = {.lex_state = 24, .external_lex_state = 2},
  [413] = {.lex_state = 24, .external_lex_state = 2},
  [414] = {.lex_state = 24, .external_lex_state = 2},
  [415] = {.lex_state = 24, .external_lex_state = 2},
  [416] = {.lex_state = 24, .external_lex_state = 2},
  [417] = {.lex_state = 24, .external_lex_state = 2},
  [418] = {.lex_state = 30, .external_lex_state = 2},
  [419] = {.lex_state = 24, .external_lex_state = 2},
  [420] = {.lex_state = 24, .external_lex_state = 2},
  [421] = {.lex_state = 24, .external_lex_state = 2},
  [422] = {.lex_state = 24, .external_lex_state = 2},
  [423] = {.lex_state = 24, .external_lex_state = 2},
  [424] = {.lex_state = 24, .external_lex_state = 2},
  [425] = {.lex_state = 24, .external_lex_state = 2},
  [426] = {.lex_state = 24, .external_lex_state = 2},
  [427] = {.lex_state = 24, .external_lex_state = 2},
  [428] = {.lex_state = 24, .external_lex_state = 2},
  [429] = {.lex_state = 24, .external_lex_state = 2},
  [430] = {.lex_state = 24, .external_lex_state = 2},
  [431] = {.lex_state = 24, .external_lex_state = 2},
  [432] = {.lex_state = 24, .external_lex_state = 2},
  [433] = {.lex_state = 24, .external_lex_state = 2},
  [434] = {.lex_state = 24, .external_lex_state = 2},
  [435] = {.lex_state = 24, .external_lex_state = 2},
  [436] = {.lex_state = 24, .external_lex_state = 2},
  [437] = {.lex_state = 24, .external_lex_state = 2},
  [438] = {.lex_state = 24, .external_lex_state = 2},
  [439] = {.lex_state = 24, .external_lex_state = 2},
  [440] = {.lex_state = 24, .external_lex_state = 2},
  [441] = {.lex_state = 24, .external_lex_state = 2},
  [442] = {.lex_state = 24, .external_lex_state = 2},
  [443] = {.lex_state = 24, .external_lex_state = 2},
  [444] = {.lex_state = 24, .external_lex_state = 2},
  [445] = {.lex_state = 24, .external_lex_state = 2},
  [446] = {.lex_state = 24, .external_lex_state = 2},
  [447] = {.lex_state = 24, .external_lex_state = 2},
  [448] = {.lex_state = 24, .external_lex_state = 2},
  [449] = {.lex_state = 24, .external_lex_state = 2},
  [450] = {.lex_state = 24, .external_lex_state = 2},
  [451] = {.lex_state = 24, .external_lex_state = 2},
  [452] = {.lex_state = 24, .external_lex_state = 2},
  [453] = {.lex_state = 24, .external_lex_state = 2},
  [454] = {.lex_state = 24, .external_lex_state = 2},
  [455] = {.lex_state = 24, .external_lex_state = 2},
  [456] = {.lex_state = 24, .external_lex_state = 2},
  [457] = {.lex_state = 24, .external_lex_state = 2},
  [458] = {.lex_state = 24, .external_lex_state = 2},
  [459] = {.lex_state = 24, .external_lex_state = 2},
  [460] = {.lex_state = 24, .external_lex_state = 2},
  [461] = {.lex_state = 24, .external_lex_state = 2},
  [462] = {.lex_state = 24, .external_lex_state = 2},
  [463] = {.lex_state = 24, .external_lex_state = 2},
  [464] = {.lex_state = 24, .external_lex_state = 2},
  [465] = {.lex_state = 24, .external_lex_state = 2},
  [466] = {.lex_state = 24, .external_lex_state = 2},
  [467] = {.lex_state = 24, .external_lex_state = 2},
  [468] = {.lex_state = 24, .external_lex_state = 2},
  [469] = {.lex_state = 24, .external_lex_state = 2},
  [470] = {.lex_state = 24, .external_lex_state = 2},
  [471] = {.lex_state = 24, .external_lex_state = 2},
  [472] = {.lex_state = 24, .external_lex_state = 2},
  [473] = {.lex_state = 24, .external_lex_state = 2},
  [474] = {.lex_state = 24, .external_lex_state = 2},
  [475] = {.lex_state = 24, .external_lex_state = 2},
  [476] = {.lex_state = 24, .external_lex_state = 2},
  [477] = {.lex_state = 24, .external_lex_state = 2},
  [478] = {.lex_state = 24, .external_lex_state = 2},
  [479] = {.lex_state = 24, .external_lex_state = 2},
  [480] = {.lex_state = 24, .external_lex_state = 2},
  [481] = {.lex_state = 24, .external_lex_state = 2},
  [482] = {.lex_state = 24, .external_lex_state = 2},
  [483] = {.lex_state = 24, .external_lex_state = 2},
  [484] = {.lex_state = 24, .external_lex_state = 2},
  [485] = {.lex_state = 24, .external_lex_state = 2},
  [486] = {.lex_state = 24, .external_lex_state = 2},
  [487] = {.lex_state = 24, .external_lex_state = 2},
  [488] = {.lex_state = 24, .external_lex_state = 2},
  [489] = {.lex_state = 24, .external_lex_state = 2},
  [490] = {.lex_state = 24, .external_lex_state = 2},
  [491] = {.lex_state = 24, .external_lex_state = 2},
  [492] = {.lex_state = 24, .external_lex_state = 2},
  [493] = {.lex_state = 24, .external_lex_state = 2},
  [494] = {.lex_state = 24, .external_lex_state = 2},
  [495] = {.lex_state = 24, .external_lex_state = 2},
  [496] = {.lex_state = 24, .external_lex_state = 2},
  [497] = {.lex_state = 24, .external_lex_state = 2},
  [498] = {.lex_state = 24, .external_lex_state = 2},
  [499] = {.lex_state = 24, .external_lex_state = 2},
  [500] = {.lex_state = 24, .external_lex_state = 2},
  [501] = {.lex_state = 24, .external_lex_state = 2},
  [502] = {.lex_state = 24, .external_lex_state = 2},
  [503] = {.lex_state = 24, .external_lex_state = 2},
  [504] = {.lex_state = 24, .external_lex_state = 2},
  [505] = {.lex_state = 24, .external_lex_state = 2},
  [506] = {.lex_state = 24, .external_lex_state = 2},
  [507] = {.lex_state = 24, .external_lex_state = 2},
  [508] = {.lex_state = 24, .external_lex_state = 2},
  [509] = {.lex_state = 24, .external_lex_state = 2},
  [510] = {.lex_state = 24, .external_lex_state = 2},
  [511] = {.lex_state = 24, .external_lex_state = 2},
  [512] = {.lex_state = 24, .external_lex_state = 2},
  [513] = {.lex_state = 24, .external_lex_state = 2},
  [514] = {.lex_state = 24, .external_lex_state = 2},
  [515] = {.lex_state = 24, .external_lex_state = 2},
  [516] = {.lex_state = 24, .external_lex_state = 2},
  [517] = {.lex_state = 24, .external_lex_state = 2},
  [518] = {.lex_state = 24, .external_lex_state = 2},
  [519] = {.lex_state = 24, .external_lex_state = 2},
  [520] = {.lex_state = 24, .external_lex_state = 2},
  [521] = {.lex_state = 24, .external_lex_state = 2},
  [522] = {.lex_state = 24, .external_lex_state = 2},
  [523] = {.lex_state = 24, .external_lex_state = 2},
  [524] = {.lex_state = 24, .external_lex_state = 2},
  [525] = {.lex_state = 24, .external_lex_state = 2},
  [526] = {.lex_state = 24, .external_lex_state = 2},
  [527] = {.lex_state = 24, .external_lex_state = 2},
  [528] = {.lex_state = 24, .external_lex_state = 2},
  [529] = {.lex_state = 24, .external_lex_state = 2},
  [530] = {.lex_state = 24, .external_lex_state = 2},
  [531] = {.lex_state = 24, .external_lex_state = 2},
  [532] = {.lex_state = 24, .external_lex_state = 2},
  [533] = {.lex_state = 24, .external_lex_state = 2},
  [534] = {.lex_state = 24, .external_lex_state = 2},
  [535] = {.lex_state = 24, .external_lex_state = 2},
  [536] = {.lex_state = 24, .external_lex_state = 2},
  [537] = {.lex_state = 24, .external_lex_state = 2},
  [538] = {.lex_state = 24, .external_lex_state = 2},
  [539] = {.lex_state = 24, .external_lex_state = 2},
  [540] = {.lex_state = 24, .external_lex_state = 2},
  [541] = {.lex_state = 24, .external_lex_state = 2},
  [542] = {.lex_state = 24, .external_lex_state = 2},
  [543] = {.lex_state = 24, .external_lex_state = 2},
  [544] = {.lex_state = 24, .external_lex_state = 2},
  [545] = {.lex_state = 24, .external_lex_state = 2},
  [546] = {.lex_state = 24, .external_lex_state = 2},
  [547] = {.lex_state = 24, .external_lex_state = 2},
  [548] = {.lex_state = 24, .external_lex_state = 2},
  [549] = {.lex_state = 24, .external_lex_state = 2},
  [550] = {.lex_state = 24, .external_lex_state = 2},
  [551] = {.lex_state = 24, .external_lex_state = 2},
  [552] = {.lex_state = 24, .external_lex_state = 2},
  [553] = {.lex_state = 24, .external_lex_state = 2},
  [554] = {.lex_state = 24, .external_lex_state = 2},
  [555] = {.lex_state = 24, .external_lex_state = 2},
  [556] = {.lex_state = 24, .external_lex_state = 2},
  [557] = {.lex_state = 24, .external_lex_state = 2},
  [558] = {.lex_state = 24, .external_lex_state = 2},
  [559] = {.lex_state = 24, .external_lex_state = 2},
  [560] = {.lex_state = 24, .external_lex_state = 2},
  [561] = {.lex_state = 24, .external_lex_state = 2},
  [562] = {.lex_state = 24, .external_lex_state = 2},
  [563] = {.lex_state = 24, .external_lex_state = 2},
  [564] = {.lex_state = 24, .external_lex_state = 2},
  [565] = {.lex_state = 24, .external_lex_state = 2},
  [566] = {.lex_state = 24, .external_lex_state = 2},
  [567] = {.lex_state = 24, .external_lex_state = 2},
  [568] = {.lex_state = 24, .external_lex_state = 2},
  [569] = {.lex_state = 24, .external_lex_state = 2},
  [570] = {.lex_state = 24, .external_lex_state = 2},
  [571] = {.lex_state = 24, .external_lex_state = 2},
  [572] = {.lex_state = 24, .external_lex_state = 2},
  [573] = {.lex_state = 24, .external_lex_state = 2},
  [574] = {.lex_state = 24, .external_lex_state = 2},
  [575] = {.lex_state = 24, .external_lex_state = 2},
  [576] = {.lex_state = 24, .external_lex_state = 2},
  [577] = {.lex_state = 24, .external_lex_state = 2},
  [578] = {.lex_state = 24, .external_lex_state = 2},
  [579] = {.lex_state = 24, .external_lex_state = 2},
  [580] = {.lex_state = 24, .external_lex_state = 2},
  [581] = {.lex_state = 24, .external_lex_state = 2},
  [582] = {.lex_state = 24, .external_lex_state = 2},
  [583] = {.lex_state = 24, .external_lex_state = 2},
  [584] = {.lex_state = 24, .external_lex_state = 2},
  [585] = {.lex_state = 24, .external_lex_state = 2},
  [586] = {.lex_state = 24, .external_lex_state = 2},
  [587] = {.lex_state = 24, .external_lex_state = 2},
  [588] = {.lex_state = 24, .external_lex_state = 2},
  [589] = {.lex_state = 24, .external_lex_state = 2},
  [590] = {.lex_state = 24, .external_lex_state = 2},
  [591] = {.lex_state = 24, .external_lex_state = 2},
  [592] = {.lex_state = 24, .external_lex_state = 2},
  [593] = {.lex_state = 24, .external_lex_state = 2},
  [594] = {.lex_state = 24, .external_lex_state = 2},
  [595] = {.lex_state = 24, .external_lex_state = 2},
  [596] = {.lex_state = 24, .external_lex_state = 2},
  [597] = {.lex_state = 24, .external_lex_state = 2},
  [598] = {.lex_state = 24, .external_lex_state = 2},
  [599] = {.lex_state = 24, .external_lex_state = 2},
  [600] = {.lex_state = 24, .external_lex_state = 2},
  [601] = {.lex_state = 28, .external_lex_state = 2},
  [602] = {.lex_state = 24, .external_lex_state = 2},
  [603] = {.lex_state = 24, .external_lex_state = 2},
  [604] = {.lex_state = 24, .external_lex_state = 2},
  [605] = {.lex_state = 24, .external_lex_state = 2},
  [606] = {.lex_state = 24, .external_lex_state = 2},
  [607] = {.lex_state = 24, .external_lex_state = 2},
  [608] = {.lex_state = 24, .external_lex_state = 2},
  [609] = {.lex_state = 28, .external_lex_state = 2},
  [610] = {.lex_state = 24, .external_lex_state = 2},
  [611] = {.lex_state = 24, .external_lex_state = 2},
  [612] = {.lex_state = 28, .external_lex_state = 2},
  [613] = {.lex_state = 24, .external_lex_state = 2},
  [614] = {.lex_state = 24, .external_lex_state = 2},
  [615] = {.lex_state = 24, .external_lex_state = 2},
  [616] = {.lex_state = 24, .external_lex_state = 2},
  [617] = {.lex_state = 24, .external_lex_state = 2},
  [618] = {.lex_state = 24, .external_lex_state = 2},
  [619] = {.lex_state = 24, .external_lex_state = 2},
  [620] = {.lex_state = 24, .external_lex_state = 2},
  [621] = {.lex_state = 24, .external_lex_state = 2},
  [622] = {.lex_state = 24, .external_lex_state = 2},
  [623] = {.lex_state = 24, .external_lex_state = 2},
  [624] = {.lex_state = 28, .external_lex_state = 2},
  [625] = {.lex_state = 24, .external_lex_state = 2},
  [626] = {.lex_state = 24, .external_lex_state = 2},
  [627] = {.lex_state = 24, .external_lex_state = 2},
  [628] = {.lex_state = 24, .external_lex_state = 2},
  [629] = {.lex_state = 24, .external_lex_state = 2},
  [630] = {.lex_state = 24, .external_lex_state = 2},
  [631] = {.lex_state = 24, .external_lex_state = 2},
  [632] = {.lex_state = 24, .external_lex_state = 2},
  [633] = {.lex_state = 24, .external_lex_state = 2},
  [634] = {.lex_state = 24, .external_lex_state = 2},
  [635] = {.lex_state = 24, .external_lex_state = 2},
  [636] = {.lex_state = 24, .external_lex_state = 2},
  [637] = {.lex_state = 24, .external_lex_state = 2},
  [638] = {.lex_state = 24, .external_lex_state = 2},
  [639] = {.lex_state = 24, .external_lex_state = 2},
  [640] = {.lex_state = 24, .external_lex_state = 2},
  [641] = {.lex_state = 24, .external_lex_state = 2},
  [642] = {.lex_state = 24, .external_lex_state = 2},
  [643] = {.lex_state = 24, .external_lex_state = 2},
  [644] = {.lex_state = 24, .external_lex_state = 2},
  [645] = {.lex_state = 24, .external_lex_state = 2},
  [646] = {.lex_state = 24, .external_lex_state = 2},
  [647] = {.lex_state = 24, .external_lex_state = 2},
  [648] = {.lex_state = 24, .external_lex_state = 2},
  [649] = {.lex_state = 24, .external_lex_state = 2},
  [650] = {.lex_state = 24, .external_lex_state = 2},
  [651] = {.lex_state = 24, .external_lex_state = 2},
  [652] = {.lex_state = 24, .external_lex_state = 2},
  [653] = {.lex_state = 24, .external_lex_state = 2},
  [654] = {.lex_state = 24, .external_lex_state = 2},
  [655] = {.lex_state = 24, .external_lex_state = 2},
  [656] = {.lex_state = 24, .external_lex_state = 2},
  [657] = {.lex_state = 24, .external_lex_state = 2},
  [658] = {.lex_state = 24, .external_lex_state = 2},
  [659] = {.lex_state = 24, .external_lex_state = 2},
  [660] = {.lex_state = 24, .external_lex_state = 2},
  [661] = {.lex_state = 24, .external_lex_state = 2},
  [662] = {.lex_state = 24, .external_lex_state = 2},
  [663] = {.lex_state = 24, .external_lex_state = 2},
  [664] = {.lex_state = 24, .external_lex_state = 2},
  [665] = {.lex_state = 24, .external_lex_state = 2},
  [666] = {.lex_state = 24, .external_lex_state = 2},
  [667] = {.lex_state = 24, .external_lex_state = 2},
  [668] = {.lex_state = 24, .external_lex_state = 2},
  [669] = {.lex_state = 24, .external_lex_state = 2},
  [670] = {.lex_state = 24, .external_lex_state = 2},
  [671] = {.lex_state = 24, .external_lex_state = 2},
  [672] = {.lex_state = 24, .external_lex_state = 2},
  [673] = {.lex_state = 24, .external_lex_state = 2},
  [674] = {.lex_state = 24, .external_lex_state = 2},
  [675] = {.lex_state = 24, .external_lex_state = 2},
  [676] = {.lex_state = 24, .external_lex_state = 2},
  [677] = {.lex_state = 24, .external_lex_state = 2},
  [678] = {.lex_state = 24, .external_lex_state = 2},
  [679] = {.lex_state = 24, .external_lex_state = 2},
  [680] = {.lex_state = 24, .external_lex_state = 2},
  [681] = {.lex_state = 24, .external_lex_state = 2},
  [682] = {.lex_state = 24, .external_lex_state = 2},
  [683] = {.lex_state = 24, .external_lex_state = 2},
  [684] = {.lex_state = 24, .external_lex_state = 2},
  [685] = {.lex_state = 24, .external_lex_state = 2},
  [686] = {.lex_state = 24, .external_lex_state = 2},
  [687] = {.lex_state = 24, .external_lex_state = 2},
  [688] = {.lex_state = 24, .external_lex_state = 2},
  [689] = {.lex_state = 24, .external_lex_state = 2},
  [690] = {.lex_state = 24, .external_lex_state = 2},
  [691] = {.lex_state = 24, .external_lex_state = 2},
  [692] = {.lex_state = 24, .external_lex_state = 2},
  [693] = {.lex_state = 24, .external_lex_state = 2},
  [694] = {.lex_state = 24, .external_lex_state = 2},
  [695] = {.lex_state = 24, .external_lex_state = 2},
  [696] = {.lex_state = 24, .external_lex_state = 2},
  [697] = {.lex_state = 24, .external_lex_state = 2},
  [698] = {.lex_state = 24, .external_lex_state = 2},
  [699] = {.lex_state = 24, .external_lex_state = 2},
  [700] = {.lex_state = 24, .external_lex_state = 2},
  [701] = {.lex_state = 24, .external_lex_state = 2},
  [702] = {.lex_state = 24, .external_lex_state = 2},
  [703] = {.lex_state = 24, .external_lex_state = 2},
  [704] = {.lex_state = 24, .external_lex_state = 2},
  [705] = {.lex_state = 24, .external_lex_state = 2},
  [706] = {.lex_state = 24, .external_lex_state = 2},
  [707] = {.lex_state = 24, .external_lex_state = 2},
  [708] = {.lex_state = 24, .external_lex_state = 2},
  [709] = {.lex_state = 24, .external_lex_state = 2},
  [710] = {.lex_state = 24, .external_lex_state = 2},
  [711] = {.lex_state = 24, .external_lex_state = 2},
  [712] = {.lex_state = 24, .external_lex_state = 2},
  [713] = {.lex_state = 24, .external_lex_state = 2},
  [714] = {.lex_state = 24, .external_lex_state = 2},
  [715] = {.lex_state = 24, .external_lex_state = 2},
  [716] = {.lex_state = 24, .external_lex_state = 2},
  [717] = {.lex_state = 24, .external_lex_state = 2},
  [718] = {.lex_state = 24, .external_lex_state = 2},
  [719] = {.lex_state = 24, .external_lex_state = 2},
  [720] = {.lex_state = 24, .external_lex_state = 2},
  [721] = {.lex_state = 24, .external_lex_state = 2},
  [722] = {.lex_state = 24, .external_lex_state = 2},
  [723] = {.lex_state = 24, .external_lex_state = 2},
  [724] = {.lex_state = 24, .external_lex_state = 2},
  [725] = {.lex_state = 24, .external_lex_state = 2},
  [726] = {.lex_state = 24, .external_lex_state = 2},
  [727] = {.lex_state = 24, .external_lex_state = 2},
  [728] = {.lex_state = 24, .external_lex_state = 2},
  [729] = {.lex_state = 24, .external_lex_state = 2},
  [730] = {.lex_state = 24, .external_lex_state = 2},
  [731] = {.lex_state = 24, .external_lex_state = 2},
  [732] = {.lex_state = 24, .external_lex_state = 2},
  [733] = {.lex_state = 24, .external_lex_state = 2},
  [734] = {.lex_state = 24, .external_lex_state = 2},
  [735] = {.lex_state = 24, .external_lex_state = 2},
  [736] = {.lex_state = 24, .external_lex_state = 2},
  [737] = {.lex_state = 24, .external_lex_state = 2},
  [738] = {.lex_state = 24, .external_lex_state = 2},
  [739] = {.lex_state = 24, .external_lex_state = 2},
  [740] = {.lex_state = 24, .external_lex_state = 2},
  [741] = {.lex_state = 24, .external_lex_state = 2},
  [742] = {.lex_state = 24, .external_lex_state = 2},
  [743] = {.lex_state = 24, .external_lex_state = 2},
  [744] = {.lex_state = 24, .external_lex_state = 2},
  [745] = {.lex_state = 24, .external_lex_state = 2},
  [746] = {.lex_state = 24, .external_lex_state = 2},
  [747] = {.lex_state = 24, .external_lex_state = 2},
  [748] = {.lex_state = 24, .external_lex_state = 2},
  [749] = {.lex_state = 24, .external_lex_state = 2},
  [750] = {.lex_state = 24, .external_lex_state = 2},
  [751] = {.lex_state = 24, .external_lex_state = 2},
  [752] = {.lex_state = 24, .external_lex_state = 2},
  [753] = {.lex_state = 24, .external_lex_state = 2},
  [754] = {.lex_state = 24, .external_lex_state = 2},
  [755] = {.lex_state = 24, .external_lex_state = 2},
  [756] = {.lex_state = 24, .external_lex_state = 2},
  [757] = {.lex_state = 24, .external_lex_state = 2},
  [758] = {.lex_state = 24, .external_lex_state = 2},
  [759] = {.lex_state = 24, .external_lex_state = 2},
  [760] = {.lex_state = 24, .external_lex_state = 2},
  [761] = {.lex_state = 24, .external_lex_state = 2},
  [762] = {.lex_state = 24, .external_lex_state = 2},
  [763] = {.lex_state = 24, .external_lex_state = 2},
  [764] = {.lex_state = 24, .external_lex_state = 2},
  [765] = {.lex_state = 24, .external_lex_state = 2},
  [766] = {.lex_state = 24, .external_lex_state = 2},
  [767] = {.lex_state = 24, .external_lex_state = 2},
  [768] = {.lex_state = 24, .external_lex_state = 2},
  [769] = {.lex_state = 24, .external_lex_state = 2},
  [770] = {.lex_state = 24, .external_lex_state = 2},
  [771] = {.lex_state = 24, .external_lex_state = 2},
  [772] = {.lex_state = 24, .external_lex_state = 2},
  [773] = {.lex_state = 24, .external_lex_state = 2},
  [774] = {.lex_state = 24, .external_lex_state = 2},
  [775] = {.lex_state = 24, .external_lex_state = 2},
  [776] = {.lex_state = 24, .external_lex_state = 2},
  [777] = {.lex_state = 24, .external_lex_state = 2},
  [778] = {.lex_state = 24, .external_lex_state = 2},
  [779] = {.lex_state = 24, .external_lex_state = 2},
  [780] = {.lex_state = 24, .external_lex_state = 2},
  [781] = {.lex_state = 24, .external_lex_state = 2},
  [782] = {.lex_state = 24, .external_lex_state = 2},
  [783] = {.lex_state = 24, .external_lex_state = 2},
  [784] = {.lex_state = 24, .external_lex_state = 2},
  [785] = {.lex_state = 24, .external_lex_state = 2},
  [786] = {.lex_state = 24, .external_lex_state = 2},
  [787] = {.lex_state = 24, .external_lex_state = 2},
  [788] = {.lex_state = 24, .external_lex_state = 2},
  [789] = {.lex_state = 24, .external_lex_state = 2},
  [790] = {.lex_state = 24, .external_lex_state = 2},
  [791] = {.lex_state = 24, .external_lex_state = 2},
  [792] = {.lex_state = 24, .external_lex_state = 2},
  [793] = {.lex_state = 24, .external_lex_state = 2},
  [794] = {.lex_state = 24, .external_lex_state = 2},
  [795] = {.lex_state = 24, .external_lex_state = 2},
  [796] = {.lex_state = 24, .external_lex_state = 2},
  [797] = {.lex_state = 24, .external_lex_state = 2},
  [798] = {.lex_state = 24, .external_lex_state = 2},
  [799] = {.lex_state = 24, .external_lex_state = 2},
  [800] = {.lex_state = 24, .external_lex_state = 2},
  [801] = {.lex_state = 24, .external_lex_state = 2},
  [802] = {.lex_state = 24, .external_lex_state = 2},
  [803] = {.lex_state = 421, .external_lex_state = 2},
  [804] = {.lex_state = 24, .external_lex_state = 2},
  [805] = {.lex_state = 24, .external_lex_state = 2},
  [806] = {.lex_state = 24, .external_lex_state = 2},
  [807] = {.lex_state = 24, .external_lex_state = 2},
  [808] = {.lex_state = 24, .external_lex_state = 2},
  [809] = {.lex_state = 24, .external_lex_state = 2},
  [810] = {.lex_state = 24, .external_lex_state = 2},
  [811] = {.lex_state = 24, .external_lex_state = 2},
  [812] = {.lex_state = 24, .external_lex_state = 2},
  [813] = {.lex_state = 24, .external_lex_state = 2},
  [814] = {.lex_state = 24, .external_lex_state = 2},
  [815] = {.lex_state = 24, .external_lex_state = 2},
  [816] = {.lex_state = 24, .external_lex_state = 2},
  [817] = {.lex_state = 24, .external_lex_state = 2},
  [818] = {.lex_state = 24, .external_lex_state = 2},
  [819] = {.lex_state = 24, .external_lex_state = 2},
  [820] = {.lex_state = 24, .external_lex_state = 2},
  [821] = {.lex_state = 24, .external_lex_state = 2},
  [822] = {.lex_state = 24, .external_lex_state = 2},
  [823] = {.lex_state = 24, .external_lex_state = 2},
  [824] = {.lex_state = 24, .external_lex_state = 2},
  [825] = {.lex_state = 24, .external_lex_state = 2},
  [826] = {.lex_state = 421, .external_lex_state = 2},
  [827] = {.lex_state = 24, .external_lex_state = 2},
  [828] = {.lex_state = 75, .external_lex_state = 2},
  [829] = {.lex_state = 24, .external_lex_state = 2},
  [830] = {.lex_state = 24, .external_lex_state = 2},
  [831] = {.lex_state = 24, .external_lex_state = 2},
  [832] = {.lex_state = 24, .external_lex_state = 2},
  [833] = {.lex_state = 24, .external_lex_state = 2},
  [834] = {.lex_state = 24, .external_lex_state = 2},
  [835] = {.lex_state = 24, .external_lex_state = 2},
  [836] = {.lex_state = 24, .external_lex_state = 2},
  [837] = {.lex_state = 24, .external_lex_state = 2},
  [838] = {.lex_state = 24, .external_lex_state = 2},
  [839] = {.lex_state = 24, .external_lex_state = 2},
  [840] = {.lex_state = 24, .external_lex_state = 2},
  [841] = {.lex_state = 24, .external_lex_state = 2},
  [842] = {.lex_state = 24, .external_lex_state = 2},
  [843] = {.lex_state = 24, .external_lex_state = 2},
  [844] = {.lex_state = 24, .external_lex_state = 2},
  [845] = {.lex_state = 24, .external_lex_state = 2},
  [846] = {.lex_state = 24, .external_lex_state = 2},
  [847] = {.lex_state = 24, .external_lex_state = 2},
  [848] = {.lex_state = 24, .external_lex_state = 2},
  [849] = {.lex_state = 24, .external_lex_state = 2},
  [850] = {.lex_state = 24, .external_lex_state = 2},
  [851] = {.lex_state = 24, .external_lex_state = 2},
  [852] = {.lex_state = 24, .external_lex_state = 2},
  [853] = {.lex_state = 24, .external_lex_state = 2},
  [854] = {.lex_state = 24, .external_lex_state = 2},
  [855] = {.lex_state = 24, .external_lex_state = 2},
  [856] = {.lex_state = 24, .external_lex_state = 2},
  [857] = {.lex_state = 24, .external_lex_state = 2},
  [858] = {.lex_state = 24, .external_lex_state = 2},
  [859] = {.lex_state = 24, .external_lex_state = 2},
  [860] = {.lex_state = 24, .external_lex_state = 2},
  [861] = {.lex_state = 24, .external_lex_state = 2},
  [862] = {.lex_state = 24, .external_lex_state = 2},
  [863] = {.lex_state = 24, .external_lex_state = 2},
  [864] = {.lex_state = 24, .external_lex_state = 2},
  [865] = {.lex_state = 24, .external_lex_state = 2},
  [866] = {.lex_state = 24, .external_lex_state = 2},
  [867] = {.lex_state = 24, .external_lex_state = 2},
  [868] = {.lex_state = 24, .external_lex_state = 2},
  [869] = {.lex_state = 24, .external_lex_state = 2},
  [870] = {.lex_state = 24, .external_lex_state = 2},
  [871] = {.lex_state = 24, .external_lex_state = 2},
  [872] = {.lex_state = 24, .external_lex_state = 2},
  [873] = {.lex_state = 24, .external_lex_state = 2},
  [874] = {.lex_state = 24, .external_lex_state = 2},
  [875] = {.lex_state = 24, .external_lex_state = 2},
  [876] = {.lex_state = 24, .external_lex_state = 2},
  [877] = {.lex_state = 24, .external_lex_state = 2},
  [878] = {.lex_state = 24, .external_lex_state = 2},
  [879] = {.lex_state = 24, .external_lex_state = 2},
  [880] = {.lex_state = 24, .external_lex_state = 2},
  [881] = {.lex_state = 24, .external_lex_state = 2},
  [882] = {.lex_state = 24, .external_lex_state = 2},
  [883] = {.lex_state = 24, .external_lex_state = 2},
  [884] = {.lex_state = 24, .external_lex_state = 2},
  [885] = {.lex_state = 24, .external_lex_state = 2},
  [886] = {.lex_state = 24, .external_lex_state = 2},
  [887] = {.lex_state = 24, .external_lex_state = 2},
  [888] = {.lex_state = 24, .external_lex_state = 2},
  [889] = {.lex_state = 24, .external_lex_state = 2},
  [890] = {.lex_state = 24, .external_lex_state = 2},
  [891] = {.lex_state = 24, .external_lex_state = 2},
  [892] = {.lex_state = 24, .external_lex_state = 2},
  [893] = {.lex_state = 24, .external_lex_state = 2},
  [894] = {.lex_state = 24, .external_lex_state = 2},
  [895] = {.lex_state = 24, .external_lex_state = 2},
  [896] = {.lex_state = 24, .external_lex_state = 2},
  [897] = {.lex_state = 24, .external_lex_state = 2},
  [898] = {.lex_state = 24, .external_lex_state = 2},
  [899] = {.lex_state = 24, .external_lex_state = 2},
  [900] = {.lex_state = 24, .external_lex_state = 2},
  [901] = {.lex_state = 24, .external_lex_state = 2},
  [902] = {.lex_state = 24, .external_lex_state = 2},
  [903] = {.lex_state = 24, .external_lex_state = 2},
  [904] = {.lex_state = 24, .external_lex_state = 2},
  [905] = {.lex_state = 24, .external_lex_state = 2},
  [906] = {.lex_state = 24, .external_lex_state = 2},
  [907] = {.lex_state = 24, .external_lex_state = 2},
  [908] = {.lex_state = 24, .external_lex_state = 2},
  [909] = {.lex_state = 24, .external_lex_state = 2},
  [910] = {.lex_state = 24, .external_lex_state = 2},
  [911] = {.lex_state = 24, .external_lex_state = 2},
  [912] = {.lex_state = 24, .external_lex_state = 2},
  [913] = {.lex_state = 24, .external_lex_state = 2},
  [914] = {.lex_state = 24, .external_lex_state = 2},
  [915] = {.lex_state = 24, .external_lex_state = 2},
  [916] = {.lex_state = 24, .external_lex_state = 2},
  [917] = {.lex_state = 24, .external_lex_state = 2},
  [918] = {.lex_state = 24, .external_lex_state = 2},
  [919] = {.lex_state = 24, .external_lex_state = 2},
  [920] = {.lex_state = 24, .external_lex_state = 2},
  [921] = {.lex_state = 24, .external_lex_state = 2},
  [922] = {.lex_state = 24, .external_lex_state = 2},
  [923] = {.lex_state = 24, .external_lex_state = 2},
  [924] = {.lex_state = 24, .external_lex_state = 2},
  [925] = {.lex_state = 24, .external_lex_state = 2},
  [926] = {.lex_state = 24, .external_lex_state = 2},
  [927] = {.lex_state = 24, .external_lex_state = 2},
  [928] = {.lex_state = 24, .external_lex_state = 2},
  [929] = {.lex_state = 24, .external_lex_state = 2},
  [930] = {.lex_state = 24, .external_lex_state = 2},
  [931] = {.lex_state = 24, .external_lex_state = 2},
  [932] = {.lex_state = 24, .external_lex_state = 2},
  [933] = {.lex_state = 24, .external_lex_state = 2},
  [934] = {.lex_state = 24, .external_lex_state = 2},
  [935] = {.lex_state = 24, .external_lex_state = 2},
  [936] = {.lex_state = 24, .external_lex_state = 2},
  [937] = {.lex_state = 24, .external_lex_state = 2},
  [938] = {.lex_state = 24, .external_lex_state = 2},
  [939] = {.lex_state = 24, .external_lex_state = 2},
  [940] = {.lex_state = 24, .external_lex_state = 2},
  [941] = {.lex_state = 24, .external_lex_state = 2},
  [942] = {.lex_state = 24, .external_lex_state = 2},
  [943] = {.lex_state = 24, .external_lex_state = 2},
  [944] = {.lex_state = 24, .external_lex_state = 2},
  [945] = {.lex_state = 24, .external_lex_state = 2},
  [946] = {.lex_state = 24, .external_lex_state = 2},
  [947] = {.lex_state = 24, .external_lex_state = 2},
  [948] = {.lex_state = 24, .external_lex_state = 2},
  [949] = {.lex_state = 24, .external_lex_state = 2},
  [950] = {.lex_state = 24, .external_lex_state = 2},
  [951] = {.lex_state = 24, .external_lex_state = 2},
  [952] = {.lex_state = 24, .external_lex_state = 2},
  [953] = {.lex_state = 24, .external_lex_state = 2},
  [954] = {.lex_state = 24, .external_lex_state = 2},
  [955] = {.lex_state = 24, .external_lex_state = 2},
  [956] = {.lex_state = 24, .external_lex_state = 2},
  [957] = {.lex_state = 24, .external_lex_state = 2},
  [958] = {.lex_state = 24, .external_lex_state = 2},
  [959] = {.lex_state = 24, .external_lex_state = 2},
  [960] = {.lex_state = 24, .external_lex_state = 2},
  [961] = {.lex_state = 24, .external_lex_state = 2},
  [962] = {.lex_state = 24, .external_lex_state = 2},
  [963] = {.lex_state = 24, .external_lex_state = 2},
  [964] = {.lex_state = 24, .external_lex_state = 2},
  [965] = {.lex_state = 24, .external_lex_state = 2},
  [966] = {.lex_state = 24, .external_lex_state = 2},
  [967] = {.lex_state = 24, .external_lex_state = 2},
  [968] = {.lex_state = 24, .external_lex_state = 2},
  [969] = {.lex_state = 24, .external_lex_state = 2},
  [970] = {.lex_state = 24, .external_lex_state = 2},
  [971] = {.lex_state = 24, .external_lex_state = 2},
  [972] = {.lex_state = 24, .external_lex_state = 2},
  [973] = {.lex_state = 24, .external_lex_state = 2},
  [974] = {.lex_state = 24, .external_lex_state = 2},
  [975] = {.lex_state = 24, .external_lex_state = 2},
  [976] = {.lex_state = 24, .external_lex_state = 2},
  [977] = {.lex_state = 24, .external_lex_state = 2},
  [978] = {.lex_state = 24, .external_lex_state = 2},
  [979] = {.lex_state = 24, .external_lex_state = 2},
  [980] = {.lex_state = 24, .external_lex_state = 2},
  [981] = {.lex_state = 24, .external_lex_state = 2},
  [982] = {.lex_state = 24, .external_lex_state = 2},
  [983] = {.lex_state = 24, .external_lex_state = 2},
  [984] = {.lex_state = 24, .external_lex_state = 2},
  [985] = {.lex_state = 24, .external_lex_state = 2},
  [986] = {.lex_state = 24, .external_lex_state = 2},
  [987] = {.lex_state = 24, .external_lex_state = 2},
  [988] = {.lex_state = 24, .external_lex_state = 2},
  [989] = {.lex_state = 24, .external_lex_state = 2},
  [990] = {.lex_state = 24, .external_lex_state = 2},
  [991] = {.lex_state = 24, .external_lex_state = 2},
  [992] = {.lex_state = 24, .external_lex_state = 2},
  [993] = {.lex_state = 24, .external_lex_state = 2},
  [994] = {.lex_state = 24, .external_lex_state = 2},
  [995] = {.lex_state = 24, .external_lex_state = 2},
  [996] = {.lex_state = 24, .external_lex_state = 2},
  [997] = {.lex_state = 24, .external_lex_state = 2},
  [998] = {.lex_state = 24, .external_lex_state = 2},
  [999] = {.lex_state = 24, .external_lex_state = 2},
  [1000] = {.lex_state = 24, .external_lex_state = 2},
  [1001] = {.lex_state = 24, .external_lex_state = 2},
  [1002] = {.lex_state = 24, .external_lex_state = 2},
  [1003] = {.lex_state = 24, .external_lex_state = 2},
  [1004] = {.lex_state = 24, .external_lex_state = 2},
  [1005] = {.lex_state = 24, .external_lex_state = 2},
  [1006] = {.lex_state = 24, .external_lex_state = 2},
  [1007] = {.lex_state = 24, .external_lex_state = 2},
  [1008] = {.lex_state = 24, .external_lex_state = 2},
  [1009] = {.lex_state = 24, .external_lex_state = 2},
  [1010] = {.lex_state = 24, .external_lex_state = 2},
  [1011] = {.lex_state = 24, .external_lex_state = 2},
  [1012] = {.lex_state = 24, .external_lex_state = 2},
  [1013] = {.lex_state = 24, .external_lex_state = 2},
  [1014] = {.lex_state = 24, .external_lex_state = 2},
  [1015] = {.lex_state = 24, .external_lex_state = 2},
  [1016] = {.lex_state = 24, .external_lex_state = 2},
  [1017] = {.lex_state = 24, .external_lex_state = 2},
  [1018] = {.lex_state = 24, .external_lex_state = 2},
  [1019] = {.lex_state = 24, .external_lex_state = 2},
  [1020] = {.lex_state = 24, .external_lex_state = 2},
  [1021] = {.lex_state = 24, .external_lex_state = 2},
  [1022] = {.lex_state = 24, .external_lex_state = 2},
  [1023] = {.lex_state = 24, .external_lex_state = 2},
  [1024] = {.lex_state = 24, .external_lex_state = 2},
  [1025] = {.lex_state = 24, .external_lex_state = 2},
  [1026] = {.lex_state = 24, .external_lex_state = 2},
  [1027] = {.lex_state = 24, .external_lex_state = 2},
  [1028] = {.lex_state = 24, .external_lex_state = 2},
  [1029] = {.lex_state = 24, .external_lex_state = 2},
  [1030] = {.lex_state = 24, .external_lex_state = 2},
  [1031] = {.lex_state = 24, .external_lex_state = 2},
  [1032] = {.lex_state = 24, .external_lex_state = 2},
  [1033] = {.lex_state = 24, .external_lex_state = 2},
  [1034] = {.lex_state = 24, .external_lex_state = 2},
  [1035] = {.lex_state = 24, .external_lex_state = 2},
  [1036] = {.lex_state = 24, .external_lex_state = 2},
  [1037] = {.lex_state = 24, .external_lex_state = 2},
  [1038] = {.lex_state = 24, .external_lex_state = 2},
  [1039] = {.lex_state = 24, .external_lex_state = 2},
  [1040] = {.lex_state = 24, .external_lex_state = 2},
  [1041] = {.lex_state = 24, .external_lex_state = 2},
  [1042] = {.lex_state = 24, .external_lex_state = 2},
  [1043] = {.lex_state = 24, .external_lex_state = 2},
  [1044] = {.lex_state = 24, .external_lex_state = 2},
  [1045] = {.lex_state = 24, .external_lex_state = 2},
  [1046] = {.lex_state = 24, .external_lex_state = 2},
  [1047] = {.lex_state = 24, .external_lex_state = 2},
  [1048] = {.lex_state = 24, .external_lex_state = 2},
  [1049] = {.lex_state = 24, .external_lex_state = 2},
  [1050] = {.lex_state = 24, .external_lex_state = 2},
  [1051] = {.lex_state = 24, .external_lex_state = 2},
  [1052] = {.lex_state = 24, .external_lex_state = 2},
  [1053] = {.lex_state = 24, .external_lex_state = 2},
  [1054] = {.lex_state = 24, .external_lex_state = 2},
  [1055] = {.lex_state = 24, .external_lex_state = 2},
  [1056] = {.lex_state = 24, .external_lex_state = 2},
  [1057] = {.lex_state = 24, .external_lex_state = 2},
  [1058] = {.lex_state = 24, .external_lex_state = 2},
  [1059] = {.lex_state = 24, .external_lex_state = 2},
  [1060] = {.lex_state = 24, .external_lex_state = 2},
  [1061] = {.lex_state = 24, .external_lex_state = 2},
  [1062] = {.lex_state = 24, .external_lex_state = 2},
  [1063] = {.lex_state = 24, .external_lex_state = 2},
  [1064] = {.lex_state = 24, .external_lex_state = 2},
  [1065] = {.lex_state = 24, .external_lex_state = 2},
  [1066] = {.lex_state = 24, .external_lex_state = 2},
  [1067] = {.lex_state = 24, .external_lex_state = 2},
  [1068] = {.lex_state = 24, .external_lex_state = 2},
  [1069] = {.lex_state = 24, .external_lex_state = 2},
  [1070] = {.lex_state = 24, .external_lex_state = 2},
  [1071] = {.lex_state = 24, .external_lex_state = 2},
  [1072] = {.lex_state = 24, .external_lex_state = 2},
  [1073] = {.lex_state = 24, .external_lex_state = 2},
  [1074] = {.lex_state = 24, .external_lex_state = 2},
  [1075] = {.lex_state = 24, .external_lex_state = 2},
  [1076] = {.lex_state = 24, .external_lex_state = 2},
  [1077] = {.lex_state = 24, .external_lex_state = 2},
  [1078] = {.lex_state = 24, .external_lex_state = 2},
  [1079] = {.lex_state = 24, .external_lex_state = 2},
  [1080] = {.lex_state = 24, .external_lex_state = 2},
  [1081] = {.lex_state = 24, .external_lex_state = 2},
  [1082] = {.lex_state = 24, .external_lex_state = 2},
  [1083] = {.lex_state = 24, .external_lex_state = 2},
  [1084] = {.lex_state = 24, .external_lex_state = 2},
  [1085] = {.lex_state = 24, .external_lex_state = 2},
  [1086] = {.lex_state = 24, .external_lex_state = 2},
  [1087] = {.lex_state = 24, .external_lex_state = 2},
  [1088] = {.lex_state = 24, .external_lex_state = 2},
  [1089] = {.lex_state = 24, .external_lex_state = 2},
  [1090] = {.lex_state = 24, .external_lex_state = 2},
  [1091] = {.lex_state = 24, .external_lex_state = 2},
  [1092] = {.lex_state = 24, .external_lex_state = 2},
  [1093] = {.lex_state = 24, .external_lex_state = 2},
  [1094] = {.lex_state = 24, .external_lex_state = 2},
  [1095] = {.lex_state = 24, .external_lex_state = 2},
  [1096] = {.lex_state = 24, .external_lex_state = 2},
  [1097] = {.lex_state = 24, .external_lex_state = 2},
  [1098] = {.lex_state = 24, .external_lex_state = 2},
  [1099] = {.lex_state = 24, .external_lex_state = 2},
  [1100] = {.lex_state = 24, .external_lex_state = 2},
  [1101] = {.lex_state = 24, .external_lex_state = 2},
  [1102] = {.lex_state = 24, .external_lex_state = 2},
  [1103] = {.lex_state = 24, .external_lex_state = 2},
  [1104] = {.lex_state = 24, .external_lex_state = 2},
  [1105] = {.lex_state = 24, .external_lex_state = 2},
  [1106] = {.lex_state = 24, .external_lex_state = 2},
  [1107] = {.lex_state = 24, .external_lex_state = 2},
  [1108] = {.lex_state = 24, .external_lex_state = 2},
  [1109] = {.lex_state = 24, .external_lex_state = 2},
  [1110] = {.lex_state = 24, .external_lex_state = 2},
  [1111] = {.lex_state = 24, .external_lex_state = 2},
  [1112] = {.lex_state = 24, .external_lex_state = 2},
  [1113] = {.lex_state = 24, .external_lex_state = 2},
  [1114] = {.lex_state = 24, .external_lex_state = 2},
  [1115] = {.lex_state = 24, .external_lex_state = 2},
  [1116] = {.lex_state = 24, .external_lex_state = 2},
  [1117] = {.lex_state = 24, .external_lex_state = 2},
  [1118] = {.lex_state = 24, .external_lex_state = 2},
  [1119] = {.lex_state = 24, .external_lex_state = 2},
  [1120] = {.lex_state = 24, .external_lex_state = 2},
  [1121] = {.lex_state = 24, .external_lex_state = 2},
  [1122] = {.lex_state = 24, .external_lex_state = 2},
  [1123] = {.lex_state = 24, .external_lex_state = 2},
  [1124] = {.lex_state = 24, .external_lex_state = 2},
  [1125] = {.lex_state = 24, .external_lex_state = 2},
  [1126] = {.lex_state = 24, .external_lex_state = 2},
  [1127] = {.lex_state = 24, .external_lex_state = 2},
  [1128] = {.lex_state = 24, .external_lex_state = 2},
  [1129] = {.lex_state = 24, .external_lex_state = 2},
  [1130] = {.lex_state = 24, .external_lex_state = 2},
  [1131] = {.lex_state = 24, .external_lex_state = 2},
  [1132] = {.lex_state = 24, .external_lex_state = 2},
  [1133] = {.lex_state = 24, .external_lex_state = 2},
  [1134] = {.lex_state = 24, .external_lex_state = 2},
  [1135] = {.lex_state = 24, .external_lex_state = 2},
  [1136] = {.lex_state = 24, .external_lex_state = 2},
  [1137] = {.lex_state = 24, .external_lex_state = 2},
  [1138] = {.lex_state = 24, .external_lex_state = 2},
  [1139] = {.lex_state = 24, .external_lex_state = 2},
  [1140] = {.lex_state = 24, .external_lex_state = 2},
  [1141] = {.lex_state = 24, .external_lex_state = 2},
  [1142] = {.lex_state = 24, .external_lex_state = 2},
  [1143] = {.lex_state = 24, .external_lex_state = 2},
  [1144] = {.lex_state = 24, .external_lex_state = 2},
  [1145] = {.lex_state = 24, .external_lex_state = 2},
  [1146] = {.lex_state = 24, .external_lex_state = 2},
  [1147] = {.lex_state = 24, .external_lex_state = 2},
  [1148] = {.lex_state = 24, .external_lex_state = 2},
  [1149] = {.lex_state = 24, .external_lex_state = 2},
  [1150] = {.lex_state = 24, .external_lex_state = 2},
  [1151] = {.lex_state = 24, .external_lex_state = 2},
  [1152] = {.lex_state = 24, .external_lex_state = 2},
  [1153] = {.lex_state = 24, .external_lex_state = 2},
  [1154] = {.lex_state = 24, .external_lex_state = 2},
  [1155] = {.lex_state = 24, .external_lex_state = 2},
  [1156] = {.lex_state = 24, .external_lex_state = 2},
  [1157] = {.lex_state = 24, .external_lex_state = 2},
  [1158] = {.lex_state = 24, .external_lex_state = 2},
  [1159] = {.lex_state = 24, .external_lex_state = 2},
  [1160] = {.lex_state = 24, .external_lex_state = 2},
  [1161] = {.lex_state = 24, .external_lex_state = 2},
  [1162] = {.lex_state = 24, .external_lex_state = 2},
  [1163] = {.lex_state = 24, .external_lex_state = 2},
  [1164] = {.lex_state = 24, .external_lex_state = 2},
  [1165] = {.lex_state = 24, .external_lex_state = 2},
  [1166] = {.lex_state = 24, .external_lex_state = 2},
  [1167] = {.lex_state = 24, .external_lex_state = 2},
  [1168] = {.lex_state = 24, .external_lex_state = 2},
  [1169] = {.lex_state = 24, .external_lex_state = 2},
  [1170] = {.lex_state = 24, .external_lex_state = 2},
  [1171] = {.lex_state = 24, .external_lex_state = 2},
  [1172] = {.lex_state = 24, .external_lex_state = 2},
  [1173] = {.lex_state = 24, .external_lex_state = 2},
  [1174] = {.lex_state = 24, .external_lex_state = 2},
  [1175] = {.lex_state = 24, .external_lex_state = 2},
  [1176] = {.lex_state = 24, .external_lex_state = 2},
  [1177] = {.lex_state = 24, .external_lex_state = 2},
  [1178] = {.lex_state = 24, .external_lex_state = 2},
  [1179] = {.lex_state = 24, .external_lex_state = 2},
  [1180] = {.lex_state = 24, .external_lex_state = 2},
  [1181] = {.lex_state = 24, .external_lex_state = 2},
  [1182] = {.lex_state = 24, .external_lex_state = 2},
  [1183] = {.lex_state = 24, .external_lex_state = 2},
  [1184] = {.lex_state = 24, .external_lex_state = 2},
  [1185] = {.lex_state = 24, .external_lex_state = 2},
  [1186] = {.lex_state = 24, .external_lex_state = 2},
  [1187] = {.lex_state = 24, .external_lex_state = 2},
  [1188] = {.lex_state = 24, .external_lex_state = 2},
  [1189] = {.lex_state = 24, .external_lex_state = 2},
  [1190] = {.lex_state = 24, .external_lex_state = 2},
  [1191] = {.lex_state = 24, .external_lex_state = 2},
  [1192] = {.lex_state = 24, .external_lex_state = 2},
  [1193] = {.lex_state = 24, .external_lex_state = 2},
  [1194] = {.lex_state = 24, .external_lex_state = 2},
  [1195] = {.lex_state = 24, .external_lex_state = 2},
  [1196] = {.lex_state = 24, .external_lex_state = 2},
  [1197] = {.lex_state = 24, .external_lex_state = 2},
  [1198] = {.lex_state = 24, .external_lex_state = 2},
  [1199] = {.lex_state = 24, .external_lex_state = 2},
  [1200] = {.lex_state = 24, .external_lex_state = 2},
  [1201] = {.lex_state = 24, .external_lex_state = 2},
  [1202] = {.lex_state = 24, .external_lex_state = 2},
  [1203] = {.lex_state = 24, .external_lex_state = 2},
  [1204] = {.lex_state = 24, .external_lex_state = 2},
  [1205] = {.lex_state = 24, .external_lex_state = 2},
  [1206] = {.lex_state = 24, .external_lex_state = 2},
  [1207] = {.lex_state = 24, .external_lex_state = 2},
  [1208] = {.lex_state = 24, .external_lex_state = 2},
  [1209] = {.lex_state = 24, .external_lex_state = 2},
  [1210] = {.lex_state = 24, .external_lex_state = 2},
  [1211] = {.lex_state = 24, .external_lex_state = 2},
  [1212] = {.lex_state = 24, .external_lex_state = 2},
  [1213] = {.lex_state = 24, .external_lex_state = 2},
  [1214] = {.lex_state = 24, .external_lex_state = 2},
  [1215] = {.lex_state = 24, .external_lex_state = 2},
  [1216] = {.lex_state = 24, .external_lex_state = 2},
  [1217] = {.lex_state = 24, .external_lex_state = 2},
  [1218] = {.lex_state = 24, .external_lex_state = 2},
  [1219] = {.lex_state = 24, .external_lex_state = 2},
  [1220] = {.lex_state = 24, .external_lex_state = 2},
  [1221] = {.lex_state = 24, .external_lex_state = 2},
  [1222] = {.lex_state = 24, .external_lex_state = 2},
  [1223] = {.lex_state = 24, .external_lex_state = 2},
  [1224] = {.lex_state = 24, .external_lex_state = 2},
  [1225] = {.lex_state = 24, .external_lex_state = 2},
  [1226] = {.lex_state = 24, .external_lex_state = 2},
  [1227] = {.lex_state = 24, .external_lex_state = 2},
  [1228] = {.lex_state = 24, .external_lex_state = 2},
  [1229] = {.lex_state = 24, .external_lex_state = 2},
  [1230] = {.lex_state = 24, .external_lex_state = 2},
  [1231] = {.lex_state = 24, .external_lex_state = 2},
  [1232] = {.lex_state = 24, .external_lex_state = 2},
  [1233] = {.lex_state = 24, .external_lex_state = 2},
  [1234] = {.lex_state = 24, .external_lex_state = 2},
  [1235] = {.lex_state = 24, .external_lex_state = 2},
  [1236] = {.lex_state = 24, .external_lex_state = 2},
  [1237] = {.lex_state = 24, .external_lex_state = 2},
  [1238] = {.lex_state = 24, .external_lex_state = 2},
  [1239] = {.lex_state = 24, .external_lex_state = 2},
  [1240] = {.lex_state = 24, .external_lex_state = 2},
  [1241] = {.lex_state = 24, .external_lex_state = 2},
  [1242] = {.lex_state = 24, .external_lex_state = 2},
  [1243] = {.lex_state = 24, .external_lex_state = 2},
  [1244] = {.lex_state = 24, .external_lex_state = 2},
  [1245] = {.lex_state = 24, .external_lex_state = 2},
  [1246] = {.lex_state = 24, .external_lex_state = 2},
  [1247] = {.lex_state = 24, .external_lex_state = 2},
  [1248] = {.lex_state = 24, .external_lex_state = 2},
  [1249] = {.lex_state = 24, .external_lex_state = 2},
  [1250] = {.lex_state = 24, .external_lex_state = 2},
  [1251] = {.lex_state = 24, .external_lex_state = 2},
  [1252] = {.lex_state = 24, .external_lex_state = 2},
  [1253] = {.lex_state = 24, .external_lex_state = 2},
  [1254] = {.lex_state = 24, .external_lex_state = 2},
  [1255] = {.lex_state = 24, .external_lex_state = 2},
  [1256] = {.lex_state = 24, .external_lex_state = 2},
  [1257] = {.lex_state = 24, .external_lex_state = 2},
  [1258] = {.lex_state = 24, .external_lex_state = 2},
  [1259] = {.lex_state = 24, .external_lex_state = 2},
  [1260] = {.lex_state = 24, .external_lex_state = 2},
  [1261] = {.lex_state = 24, .external_lex_state = 2},
  [1262] = {.lex_state = 24, .external_lex_state = 2},
  [1263] = {.lex_state = 24, .external_lex_state = 2},
  [1264] = {.lex_state = 24, .external_lex_state = 2},
  [1265] = {.lex_state = 24, .external_lex_state = 2},
  [1266] = {.lex_state = 24, .external_lex_state = 2},
  [1267] = {.lex_state = 24, .external_lex_state = 2},
  [1268] = {.lex_state = 24, .external_lex_state = 2},
  [1269] = {.lex_state = 24, .external_lex_state = 2},
  [1270] = {.lex_state = 24, .external_lex_state = 2},
  [1271] = {.lex_state = 24, .external_lex_state = 2},
  [1272] = {.lex_state = 24, .external_lex_state = 2},
  [1273] = {.lex_state = 24, .external_lex_state = 2},
  [1274] = {.lex_state = 24, .external_lex_state = 2},
  [1275] = {.lex_state = 24, .external_lex_state = 2},
  [1276] = {.lex_state = 24, .external_lex_state = 2},
  [1277] = {.lex_state = 24, .external_lex_state = 2},
  [1278] = {.lex_state = 24, .external_lex_state = 2},
  [1279] = {.lex_state = 24, .external_lex_state = 2},
  [1280] = {.lex_state = 24, .external_lex_state = 2},
  [1281] = {.lex_state = 24, .external_lex_state = 2},
  [1282] = {.lex_state = 24, .external_lex_state = 2},
  [1283] = {.lex_state = 24, .external_lex_state = 2},
  [1284] = {.lex_state = 24, .external_lex_state = 2},
  [1285] = {.lex_state = 24, .external_lex_state = 2},
  [1286] = {.lex_state = 24, .external_lex_state = 2},
  [1287] = {.lex_state = 24, .external_lex_state = 2},
  [1288] = {.lex_state = 24, .external_lex_state = 2},
  [1289] = {.lex_state = 24, .external_lex_state = 2},
  [1290] = {.lex_state = 24, .external_lex_state = 2},
  [1291] = {.lex_state = 24, .external_lex_state = 2},
  [1292] = {.lex_state = 24, .external_lex_state = 2},
  [1293] = {.lex_state = 24, .external_lex_state = 2},
  [1294] = {.lex_state = 24, .external_lex_state = 2},
  [1295] = {.lex_state = 24, .external_lex_state = 2},
  [1296] = {.lex_state = 24, .external_lex_state = 2},
  [1297] = {.lex_state = 24, .external_lex_state = 2},
  [1298] = {.lex_state = 24, .external_lex_state = 2},
  [1299] = {.lex_state = 24, .external_lex_state = 2},
  [1300] = {.lex_state = 24, .external_lex_state = 2},
  [1301] = {.lex_state = 24, .external_lex_state = 2},
  [1302] = {.lex_state = 24, .external_lex_state = 2},
  [1303] = {.lex_state = 24, .external_lex_state = 2},
  [1304] = {.lex_state = 24, .external_lex_state = 2},
  [1305] = {.lex_state = 24, .external_lex_state = 2},
  [1306] = {.lex_state = 24, .external_lex_state = 2},
  [1307] = {.lex_state = 24, .external_lex_state = 2},
  [1308] = {.lex_state = 24, .external_lex_state = 2},
  [1309] = {.lex_state = 24, .external_lex_state = 2},
  [1310] = {.lex_state = 24, .external_lex_state = 2},
  [1311] = {.lex_state = 24, .external_lex_state = 2},
  [1312] = {.lex_state = 24, .external_lex_state = 2},
  [1313] = {.lex_state = 24, .external_lex_state = 2},
  [1314] = {.lex_state = 24, .external_lex_state = 2},
  [1315] = {.lex_state = 24, .external_lex_state = 2},
  [1316] = {.lex_state = 24, .external_lex_state = 2},
  [1317] = {.lex_state = 24, .external_lex_state = 2},
  [1318] = {.lex_state = 24, .external_lex_state = 2},
  [1319] = {.lex_state = 24, .external_lex_state = 2},
  [1320] = {.lex_state = 24, .external_lex_state = 2},
  [1321] = {.lex_state = 24, .external_lex_state = 2},
  [1322] = {.lex_state = 24, .external_lex_state = 2},
  [1323] = {.lex_state = 24, .external_lex_state = 2},
  [1324] = {.lex_state = 24, .external_lex_state = 2},
  [1325] = {.lex_state = 24, .external_lex_state = 2},
  [1326] = {.lex_state = 24, .external_lex_state = 2},
  [1327] = {.lex_state = 24, .external_lex_state = 2},
  [1328] = {.lex_state = 24, .external_lex_state = 2},
  [1329] = {.lex_state = 24, .external_lex_state = 2},
  [1330] = {.lex_state = 24, .external_lex_state = 2},
  [1331] = {.lex_state = 24, .external_lex_state = 2},
  [1332] = {.lex_state = 24, .external_lex_state = 2},
  [1333] = {.lex_state = 24, .external_lex_state = 2},
  [1334] = {.lex_state = 24, .external_lex_state = 2},
  [1335] = {.lex_state = 24, .external_lex_state = 2},
  [1336] = {.lex_state = 24, .external_lex_state = 2},
  [1337] = {.lex_state = 24, .external_lex_state = 2},
  [1338] = {.lex_state = 24, .external_lex_state = 2},
  [1339] = {.lex_state = 24, .external_lex_state = 2},
  [1340] = {.lex_state = 24, .external_lex_state = 2},
  [1341] = {.lex_state = 24, .external_lex_state = 2},
  [1342] = {.lex_state = 24, .external_lex_state = 2},
  [1343] = {.lex_state = 24, .external_lex_state = 2},
  [1344] = {.lex_state = 24, .external_lex_state = 2},
  [1345] = {.lex_state = 24, .external_lex_state = 2},
  [1346] = {.lex_state = 24, .external_lex_state = 2},
  [1347] = {.lex_state = 24, .external_lex_state = 2},
  [1348] = {.lex_state = 24, .external_lex_state = 2},
  [1349] = {.lex_state = 24, .external_lex_state = 2},
  [1350] = {.lex_state = 24, .external_lex_state = 2},
  [1351] = {.lex_state = 24, .external_lex_state = 2},
  [1352] = {.lex_state = 24, .external_lex_state = 2},
  [1353] = {.lex_state = 24, .external_lex_state = 2},
  [1354] = {.lex_state = 24, .external_lex_state = 2},
  [1355] = {.lex_state = 24, .external_lex_state = 2},
  [1356] = {.lex_state = 24, .external_lex_state = 2},
  [1357] = {.lex_state = 24, .external_lex_state = 2},
  [1358] = {.lex_state = 24, .external_lex_state = 2},
  [1359] = {.lex_state = 24, .external_lex_state = 2},
  [1360] = {.lex_state = 24, .external_lex_state = 2},
  [1361] = {.lex_state = 24, .external_lex_state = 2},
  [1362] = {.lex_state = 24, .external_lex_state = 2},
  [1363] = {.lex_state = 24, .external_lex_state = 2},
  [1364] = {.lex_state = 24, .external_lex_state = 2},
  [1365] = {.lex_state = 24, .external_lex_state = 2},
  [1366] = {.lex_state = 24, .external_lex_state = 2},
  [1367] = {.lex_state = 24, .external_lex_state = 2},
  [1368] = {.lex_state = 24, .external_lex_state = 2},
  [1369] = {.lex_state = 24, .external_lex_state = 2},
  [1370] = {.lex_state = 24, .external_lex_state = 2},
  [1371] = {.lex_state = 24, .external_lex_state = 2},
  [1372] = {.lex_state = 24, .external_lex_state = 2},
  [1373] = {.lex_state = 24, .external_lex_state = 2},
  [1374] = {.lex_state = 24, .external_lex_state = 2},
  [1375] = {.lex_state = 24, .external_lex_state = 2},
  [1376] = {.lex_state = 24, .external_lex_state = 2},
  [1377] = {.lex_state = 24, .external_lex_state = 2},
  [1378] = {.lex_state = 24, .external_lex_state = 2},
  [1379] = {.lex_state = 24, .external_lex_state = 2},
  [1380] = {.lex_state = 24, .external_lex_state = 2},
  [1381] = {.lex_state = 24, .external_lex_state = 2},
  [1382] = {.lex_state = 24, .external_lex_state = 2},
  [1383] = {.lex_state = 24, .external_lex_state = 2},
  [1384] = {.lex_state = 24, .external_lex_state = 2},
  [1385] = {.lex_state = 24, .external_lex_state = 2},
  [1386] = {.lex_state = 24, .external_lex_state = 2},
  [1387] = {.lex_state = 24, .external_lex_state = 2},
  [1388] = {.lex_state = 24, .external_lex_state = 2},
  [1389] = {.lex_state = 24, .external_lex_state = 2},
  [1390] = {.lex_state = 24, .external_lex_state = 2},
  [1391] = {.lex_state = 24, .external_lex_state = 2},
  [1392] = {.lex_state = 24, .external_lex_state = 2},
  [1393] = {.lex_state = 24, .external_lex_state = 2},
  [1394] = {.lex_state = 24, .external_lex_state = 2},
  [1395] = {.lex_state = 24, .external_lex_state = 2},
  [1396] = {.lex_state = 24, .external_lex_state = 2},
  [1397] = {.lex_state = 24, .external_lex_state = 2},
  [1398] = {.lex_state = 24, .external_lex_state = 2},
  [1399] = {.lex_state = 24, .external_lex_state = 2},
  [1400] = {.lex_state = 24, .external_lex_state = 2},
  [1401] = {.lex_state = 24, .external_lex_state = 2},
  [1402] = {.lex_state = 24, .external_lex_state = 2},
  [1403] = {.lex_state = 24, .external_lex_state = 2},
  [1404] = {.lex_state = 24, .external_lex_state = 2},
  [1405] = {.lex_state = 24, .external_lex_state = 2},
  [1406] = {.lex_state = 24, .external_lex_state = 2},
  [1407] = {.lex_state = 24, .external_lex_state = 2},
  [1408] = {.lex_state = 24, .external_lex_state = 2},
  [1409] = {.lex_state = 24, .external_lex_state = 2},
  [1410] = {.lex_state = 24, .external_lex_state = 2},
  [1411] = {.lex_state = 24, .external_lex_state = 2},
  [1412] = {.lex_state = 24, .external_lex_state = 2},
  [1413] = {.lex_state = 24, .external_lex_state = 2},
  [1414] = {.lex_state = 24, .external_lex_state = 2},
  [1415] = {.lex_state = 24, .external_lex_state = 2},
  [1416] = {.lex_state = 24, .external_lex_state = 2},
  [1417] = {.lex_state = 24, .external_lex_state = 2},
  [1418] = {.lex_state = 24, .external_lex_state = 2},
  [1419] = {.lex_state = 24, .external_lex_state = 2},
  [1420] = {.lex_state = 24, .external_lex_state = 2},
  [1421] = {.lex_state = 24, .external_lex_state = 2},
  [1422] = {.lex_state = 24, .external_lex_state = 2},
  [1423] = {.lex_state = 24, .external_lex_state = 2},
  [1424] = {.lex_state = 24, .external_lex_state = 2},
  [1425] = {.lex_state = 24, .external_lex_state = 2},
  [1426] = {.lex_state = 24, .external_lex_state = 2},
  [1427] = {.lex_state = 24, .external_lex_state = 2},
  [1428] = {.lex_state = 24, .external_lex_state = 2},
  [1429] = {.lex_state = 24, .external_lex_state = 2},
  [1430] = {.lex_state = 24, .external_lex_state = 2},
  [1431] = {.lex_state = 24, .external_lex_state = 2},
  [1432] = {.lex_state = 24, .external_lex_state = 2},
  [1433] = {.lex_state = 24, .external_lex_state = 2},
  [1434] = {.lex_state = 24, .external_lex_state = 2},
  [1435] = {.lex_state = 24, .external_lex_state = 2},
  [1436] = {.lex_state = 24, .external_lex_state = 2},
  [1437] = {.lex_state = 24, .external_lex_state = 2},
  [1438] = {.lex_state = 24, .external_lex_state = 2},
  [1439] = {.lex_state = 24, .external_lex_state = 2},
  [1440] = {.lex_state = 24, .external_lex_state = 2},
  [1441] = {.lex_state = 24, .external_lex_state = 2},
  [1442] = {.lex_state = 24, .external_lex_state = 2},
  [1443] = {.lex_state = 24, .external_lex_state = 2},
  [1444] = {.lex_state = 24, .external_lex_state = 2},
  [1445] = {.lex_state = 24, .external_lex_state = 2},
  [1446] = {.lex_state = 24, .external_lex_state = 2},
  [1447] = {.lex_state = 24, .external_lex_state = 2},
  [1448] = {.lex_state = 24, .external_lex_state = 2},
  [1449] = {.lex_state = 24, .external_lex_state = 2},
  [1450] = {.lex_state = 24, .external_lex_state = 2},
  [1451] = {.lex_state = 24, .external_lex_state = 2},
  [1452] = {.lex_state = 24, .external_lex_state = 2},
  [1453] = {.lex_state = 24, .external_lex_state = 2},
  [1454] = {.lex_state = 24, .external_lex_state = 2},
  [1455] = {.lex_state = 24, .external_lex_state = 2},
  [1456] = {.lex_state = 24, .external_lex_state = 2},
  [1457] = {.lex_state = 24, .external_lex_state = 2},
  [1458] = {.lex_state = 24, .external_lex_state = 2},
  [1459] = {.lex_state = 24, .external_lex_state = 2},
  [1460] = {.lex_state = 24, .external_lex_state = 2},
  [1461] = {.lex_state = 24, .external_lex_state = 2},
  [1462] = {.lex_state = 24, .external_lex_state = 2},
  [1463] = {.lex_state = 24, .external_lex_state = 2},
  [1464] = {.lex_state = 24, .external_lex_state = 2},
  [1465] = {.lex_state = 24, .external_lex_state = 2},
  [1466] = {.lex_state = 24, .external_lex_state = 2},
  [1467] = {.lex_state = 24, .external_lex_state = 2},
  [1468] = {.lex_state = 24, .external_lex_state = 2},
  [1469] = {.lex_state = 24, .external_lex_state = 2},
  [1470] = {.lex_state = 24, .external_lex_state = 2},
  [1471] = {.lex_state = 24, .external_lex_state = 2},
  [1472] = {.lex_state = 24, .external_lex_state = 2},
  [1473] = {.lex_state = 24, .external_lex_state = 2},
  [1474] = {.lex_state = 24, .external_lex_state = 2},
  [1475] = {.lex_state = 24, .external_lex_state = 2},
  [1476] = {.lex_state = 24, .external_lex_state = 2},
  [1477] = {.lex_state = 24, .external_lex_state = 2},
  [1478] = {.lex_state = 24, .external_lex_state = 2},
  [1479] = {.lex_state = 24, .external_lex_state = 2},
  [1480] = {.lex_state = 24, .external_lex_state = 2},
  [1481] = {.lex_state = 24, .external_lex_state = 2},
  [1482] = {.lex_state = 24, .external_lex_state = 2},
  [1483] = {.lex_state = 24, .external_lex_state = 2},
  [1484] = {.lex_state = 24, .external_lex_state = 2},
  [1485] = {.lex_state = 24, .external_lex_state = 2},
  [1486] = {.lex_state = 24, .external_lex_state = 2},
  [1487] = {.lex_state = 24, .external_lex_state = 2},
  [1488] = {.lex_state = 24, .external_lex_state = 2},
  [1489] = {.lex_state = 24, .external_lex_state = 2},
  [1490] = {.lex_state = 24, .external_lex_state = 2},
  [1491] = {.lex_state = 24, .external_lex_state = 2},
  [1492] = {.lex_state = 24, .external_lex_state = 2},
  [1493] = {.lex_state = 24, .external_lex_state = 2},
  [1494] = {.lex_state = 24, .external_lex_state = 2},
  [1495] = {.lex_state = 24, .external_lex_state = 2},
  [1496] = {.lex_state = 24, .external_lex_state = 2},
  [1497] = {.lex_state = 24, .external_lex_state = 2},
  [1498] = {.lex_state = 24, .external_lex_state = 2},
  [1499] = {.lex_state = 24, .external_lex_state = 2},
  [1500] = {.lex_state = 24, .external_lex_state = 2},
  [1501] = {.lex_state = 24, .external_lex_state = 2},
  [1502] = {.lex_state = 24, .external_lex_state = 2},
  [1503] = {.lex_state = 24, .external_lex_state = 2},
  [1504] = {.lex_state = 24, .external_lex_state = 2},
  [1505] = {.lex_state = 24, .external_lex_state = 2},
  [1506] = {.lex_state = 24, .external_lex_state = 2},
  [1507] = {.lex_state = 24, .external_lex_state = 2},
  [1508] = {.lex_state = 24, .external_lex_state = 2},
  [1509] = {.lex_state = 24, .external_lex_state = 2},
  [1510] = {.lex_state = 24, .external_lex_state = 2},
  [1511] = {.lex_state = 24, .external_lex_state = 2},
  [1512] = {.lex_state = 24, .external_lex_state = 2},
  [1513] = {.lex_state = 24, .external_lex_state = 2},
  [1514] = {.lex_state = 24, .external_lex_state = 2},
  [1515] = {.lex_state = 24, .external_lex_state = 2},
  [1516] = {.lex_state = 24, .external_lex_state = 2},
  [1517] = {.lex_state = 24, .external_lex_state = 2},
  [1518] = {.lex_state = 24, .external_lex_state = 2},
  [1519] = {.lex_state = 24, .external_lex_state = 2},
  [1520] = {.lex_state = 24, .external_lex_state = 2},
  [1521] = {.lex_state = 24, .external_lex_state = 2},
  [1522] = {.lex_state = 24, .external_lex_state = 2},
  [1523] = {.lex_state = 24, .external_lex_state = 2},
  [1524] = {.lex_state = 24, .external_lex_state = 2},
  [1525] = {.lex_state = 24, .external_lex_state = 2},
  [1526] = {.lex_state = 24, .external_lex_state = 2},
  [1527] = {.lex_state = 24, .external_lex_state = 2},
  [1528] = {.lex_state = 24, .external_lex_state = 2},
  [1529] = {.lex_state = 24, .external_lex_state = 2},
  [1530] = {.lex_state = 24, .external_lex_state = 2},
  [1531] = {.lex_state = 24, .external_lex_state = 2},
  [1532] = {.lex_state = 24, .external_lex_state = 2},
  [1533] = {.lex_state = 24, .external_lex_state = 2},
  [1534] = {.lex_state = 24, .external_lex_state = 2},
  [1535] = {.lex_state = 24, .external_lex_state = 2},
  [1536] = {.lex_state = 24, .external_lex_state = 2},
  [1537] = {.lex_state = 24, .external_lex_state = 2},
  [1538] = {.lex_state = 24, .external_lex_state = 2},
  [1539] = {.lex_state = 24, .external_lex_state = 2},
  [1540] = {.lex_state = 24, .external_lex_state = 2},
  [1541] = {.lex_state = 24, .external_lex_state = 2},
  [1542] = {.lex_state = 24, .external_lex_state = 2},
  [1543] = {.lex_state = 24, .external_lex_state = 2},
  [1544] = {.lex_state = 24, .external_lex_state = 2},
  [1545] = {.lex_state = 24, .external_lex_state = 2},
  [1546] = {.lex_state = 24, .external_lex_state = 2},
  [1547] = {.lex_state = 24, .external_lex_state = 2},
  [1548] = {.lex_state = 24, .external_lex_state = 2},
  [1549] = {.lex_state = 24, .external_lex_state = 2},
  [1550] = {.lex_state = 24, .external_lex_state = 2},
  [1551] = {.lex_state = 24, .external_lex_state = 2},
  [1552] = {.lex_state = 24, .external_lex_state = 2},
  [1553] = {.lex_state = 24, .external_lex_state = 2},
  [1554] = {.lex_state = 24, .external_lex_state = 2},
  [1555] = {.lex_state = 24, .external_lex_state = 2},
  [1556] = {.lex_state = 24, .external_lex_state = 2},
  [1557] = {.lex_state = 24, .external_lex_state = 2},
  [1558] = {.lex_state = 24, .external_lex_state = 2},
  [1559] = {.lex_state = 24, .external_lex_state = 2},
  [1560] = {.lex_state = 24, .external_lex_state = 2},
  [1561] = {.lex_state = 24, .external_lex_state = 2},
  [1562] = {.lex_state = 24, .external_lex_state = 2},
  [1563] = {.lex_state = 24, .external_lex_state = 2},
  [1564] = {.lex_state = 24, .external_lex_state = 2},
  [1565] = {.lex_state = 24, .external_lex_state = 2},
  [1566] = {.lex_state = 24, .external_lex_state = 2},
  [1567] = {.lex_state = 24, .external_lex_state = 2},
  [1568] = {.lex_state = 24, .external_lex_state = 2},
  [1569] = {.lex_state = 24, .external_lex_state = 2},
  [1570] = {.lex_state = 24, .external_lex_state = 2},
  [1571] = {.lex_state = 24, .external_lex_state = 2},
  [1572] = {.lex_state = 24, .external_lex_state = 2},
  [1573] = {.lex_state = 24, .external_lex_state = 2},
  [1574] = {.lex_state = 24, .external_lex_state = 2},
  [1575] = {.lex_state = 24, .external_lex_state = 2},
  [1576] = {.lex_state = 24, .external_lex_state = 2},
  [1577] = {.lex_state = 24, .external_lex_state = 2},
  [1578] = {.lex_state = 24, .external_lex_state = 2},
  [1579] = {.lex_state = 24, .external_lex_state = 2},
  [1580] = {.lex_state = 24, .external_lex_state = 2},
  [1581] = {.lex_state = 24, .external_lex_state = 2},
  [1582] = {.lex_state = 24, .external_lex_state = 2},
  [1583] = {.lex_state = 24, .external_lex_state = 2},
  [1584] = {.lex_state = 24, .external_lex_state = 2},
  [1585] = {.lex_state = 24, .external_lex_state = 2},
  [1586] = {.lex_state = 24, .external_lex_state = 2},
  [1587] = {.lex_state = 24, .external_lex_state = 2},
  [1588] = {.lex_state = 24, .external_lex_state = 2},
  [1589] = {.lex_state = 24, .external_lex_state = 2},
  [1590] = {.lex_state = 24, .external_lex_state = 2},
  [1591] = {.lex_state = 24, .external_lex_state = 2},
  [1592] = {.lex_state = 24, .external_lex_state = 2},
  [1593] = {.lex_state = 24, .external_lex_state = 2},
  [1594] = {.lex_state = 24, .external_lex_state = 2},
  [1595] = {.lex_state = 24, .external_lex_state = 2},
  [1596] = {.lex_state = 24, .external_lex_state = 2},
  [1597] = {.lex_state = 24, .external_lex_state = 2},
  [1598] = {.lex_state = 24, .external_lex_state = 2},
  [1599] = {.lex_state = 24, .external_lex_state = 2},
  [1600] = {.lex_state = 24, .external_lex_state = 2},
  [1601] = {.lex_state = 24, .external_lex_state = 2},
  [1602] = {.lex_state = 24, .external_lex_state = 2},
  [1603] = {.lex_state = 24, .external_lex_state = 2},
  [1604] = {.lex_state = 24, .external_lex_state = 2},
  [1605] = {.lex_state = 24, .external_lex_state = 2},
  [1606] = {.lex_state = 24, .external_lex_state = 2},
  [1607] = {.lex_state = 24, .external_lex_state = 2},
  [1608] = {.lex_state = 24, .external_lex_state = 2},
  [1609] = {.lex_state = 24, .external_lex_state = 2},
  [1610] = {.lex_state = 24, .external_lex_state = 2},
  [1611] = {.lex_state = 24, .external_lex_state = 2},
  [1612] = {.lex_state = 24, .external_lex_state = 2},
  [1613] = {.lex_state = 24, .external_lex_state = 2},
  [1614] = {.lex_state = 24, .external_lex_state = 2},
  [1615] = {.lex_state = 24, .external_lex_state = 2},
  [1616] = {.lex_state = 24, .external_lex_state = 2},
  [1617] = {.lex_state = 24, .external_lex_state = 2},
  [1618] = {.lex_state = 24, .external_lex_state = 2},
  [1619] = {.lex_state = 24, .external_lex_state = 2},
  [1620] = {.lex_state = 24, .external_lex_state = 2},
  [1621] = {.lex_state = 24, .external_lex_state = 2},
  [1622] = {.lex_state = 24, .external_lex_state = 2},
  [1623] = {.lex_state = 24, .external_lex_state = 2},
  [1624] = {.lex_state = 24, .external_lex_state = 2},
  [1625] = {.lex_state = 24, .external_lex_state = 2},
  [1626] = {.lex_state = 24, .external_lex_state = 2},
  [1627] = {.lex_state = 24, .external_lex_state = 2},
  [1628] = {.lex_state = 24, .external_lex_state = 2},
  [1629] = {.lex_state = 24, .external_lex_state = 2},
  [1630] = {.lex_state = 24, .external_lex_state = 2},
  [1631] = {.lex_state = 24, .external_lex_state = 2},
  [1632] = {.lex_state = 24, .external_lex_state = 2},
  [1633] = {.lex_state = 24, .external_lex_state = 2},
  [1634] = {.lex_state = 24, .external_lex_state = 2},
  [1635] = {.lex_state = 24, .external_lex_state = 2},
  [1636] = {.lex_state = 24, .external_lex_state = 2},
  [1637] = {.lex_state = 24, .external_lex_state = 2},
  [1638] = {.lex_state = 24, .external_lex_state = 2},
  [1639] = {.lex_state = 24, .external_lex_state = 2},
  [1640] = {.lex_state = 24, .external_lex_state = 2},
  [1641] = {.lex_state = 24, .external_lex_state = 2},
  [1642] = {.lex_state = 24, .external_lex_state = 2},
  [1643] = {.lex_state = 24, .external_lex_state = 2},
  [1644] = {.lex_state = 24, .external_lex_state = 2},
  [1645] = {.lex_state = 24, .external_lex_state = 2},
  [1646] = {.lex_state = 24, .external_lex_state = 2},
  [1647] = {.lex_state = 24, .external_lex_state = 2},
  [1648] = {.lex_state = 24, .external_lex_state = 2},
  [1649] = {.lex_state = 24, .external_lex_state = 2},
  [1650] = {.lex_state = 24, .external_lex_state = 2},
  [1651] = {.lex_state = 24, .external_lex_state = 2},
  [1652] = {.lex_state = 24, .external_lex_state = 2},
  [1653] = {.lex_state = 24, .external_lex_state = 2},
  [1654] = {.lex_state = 24, .external_lex_state = 2},
  [1655] = {.lex_state = 24, .external_lex_state = 2},
  [1656] = {.lex_state = 24, .external_lex_state = 2},
  [1657] = {.lex_state = 24, .external_lex_state = 2},
  [1658] = {.lex_state = 24, .external_lex_state = 2},
  [1659] = {.lex_state = 24, .external_lex_state = 2},
  [1660] = {.lex_state = 24, .external_lex_state = 2},
  [1661] = {.lex_state = 24, .external_lex_state = 2},
  [1662] = {.lex_state = 24, .external_lex_state = 2},
  [1663] = {.lex_state = 24, .external_lex_state = 2},
  [1664] = {.lex_state = 24, .external_lex_state = 2},
  [1665] = {.lex_state = 24, .external_lex_state = 2},
  [1666] = {.lex_state = 24, .external_lex_state = 2},
  [1667] = {.lex_state = 24, .external_lex_state = 2},
  [1668] = {.lex_state = 24, .external_lex_state = 2},
  [1669] = {.lex_state = 24, .external_lex_state = 2},
  [1670] = {.lex_state = 24, .external_lex_state = 2},
  [1671] = {.lex_state = 24, .external_lex_state = 2},
  [1672] = {.lex_state = 24, .external_lex_state = 2},
  [1673] = {.lex_state = 24, .external_lex_state = 2},
  [1674] = {.lex_state = 24, .external_lex_state = 2},
  [1675] = {.lex_state = 24, .external_lex_state = 2},
  [1676] = {.lex_state = 24, .external_lex_state = 2},
  [1677] = {.lex_state = 24, .external_lex_state = 2},
  [1678] = {.lex_state = 24, .external_lex_state = 2},
  [1679] = {.lex_state = 24, .external_lex_state = 2},
  [1680] = {.lex_state = 24, .external_lex_state = 2},
  [1681] = {.lex_state = 24, .external_lex_state = 2},
  [1682] = {.lex_state = 24, .external_lex_state = 2},
  [1683] = {.lex_state = 24, .external_lex_state = 2},
  [1684] = {.lex_state = 24, .external_lex_state = 2},
  [1685] = {.lex_state = 24, .external_lex_state = 2},
  [1686] = {.lex_state = 24, .external_lex_state = 2},
  [1687] = {.lex_state = 24, .external_lex_state = 2},
  [1688] = {.lex_state = 24, .external_lex_state = 2},
  [1689] = {.lex_state = 24, .external_lex_state = 2},
  [1690] = {.lex_state = 24, .external_lex_state = 2},
  [1691] = {.lex_state = 24, .external_lex_state = 2},
  [1692] = {.lex_state = 24, .external_lex_state = 2},
  [1693] = {.lex_state = 24, .external_lex_state = 2},
  [1694] = {.lex_state = 24, .external_lex_state = 2},
  [1695] = {.lex_state = 24, .external_lex_state = 2},
  [1696] = {.lex_state = 24, .external_lex_state = 2},
  [1697] = {.lex_state = 24, .external_lex_state = 2},
  [1698] = {.lex_state = 24, .external_lex_state = 2},
  [1699] = {.lex_state = 24, .external_lex_state = 2},
  [1700] = {.lex_state = 24, .external_lex_state = 2},
  [1701] = {.lex_state = 24, .external_lex_state = 2},
  [1702] = {.lex_state = 24, .external_lex_state = 2},
  [1703] = {.lex_state = 24, .external_lex_state = 2},
  [1704] = {.lex_state = 24, .external_lex_state = 2},
  [1705] = {.lex_state = 24, .external_lex_state = 2},
  [1706] = {.lex_state = 24, .external_lex_state = 2},
  [1707] = {.lex_state = 24, .external_lex_state = 2},
  [1708] = {.lex_state = 24, .external_lex_state = 2},
  [1709] = {.lex_state = 24, .external_lex_state = 2},
  [1710] = {.lex_state = 24, .external_lex_state = 2},
  [1711] = {.lex_state = 24, .external_lex_state = 2},
  [1712] = {.lex_state = 24, .external_lex_state = 2},
  [1713] = {.lex_state = 24, .external_lex_state = 2},
  [1714] = {.lex_state = 24, .external_lex_state = 2},
  [1715] = {.lex_state = 24, .external_lex_state = 2},
  [1716] = {.lex_state = 24, .external_lex_state = 2},
  [1717] = {.lex_state = 24, .external_lex_state = 2},
  [1718] = {.lex_state = 24, .external_lex_state = 2},
  [1719] = {.lex_state = 24, .external_lex_state = 2},
  [1720] = {.lex_state = 24, .external_lex_state = 2},
  [1721] = {.lex_state = 24, .external_lex_state = 2},
  [1722] = {.lex_state = 24, .external_lex_state = 2},
  [1723] = {.lex_state = 24, .external_lex_state = 2},
  [1724] = {.lex_state = 24, .external_lex_state = 2},
  [1725] = {.lex_state = 24, .external_lex_state = 2},
  [1726] = {.lex_state = 24, .external_lex_state = 2},
  [1727] = {.lex_state = 24, .external_lex_state = 2},
  [1728] = {.lex_state = 24, .external_lex_state = 2},
  [1729] = {.lex_state = 24, .external_lex_state = 2},
  [1730] = {.lex_state = 24, .external_lex_state = 2},
  [1731] = {.lex_state = 24, .external_lex_state = 2},
  [1732] = {.lex_state = 24, .external_lex_state = 2},
  [1733] = {.lex_state = 24, .external_lex_state = 2},
  [1734] = {.lex_state = 24, .external_lex_state = 2},
  [1735] = {.lex_state = 24, .external_lex_state = 2},
  [1736] = {.lex_state = 24, .external_lex_state = 2},
  [1737] = {.lex_state = 24, .external_lex_state = 2},
  [1738] = {.lex_state = 24, .external_lex_state = 2},
  [1739] = {.lex_state = 24, .external_lex_state = 2},
  [1740] = {.lex_state = 24, .external_lex_state = 2},
  [1741] = {.lex_state = 24, .external_lex_state = 2},
  [1742] = {.lex_state = 24, .external_lex_state = 2},
  [1743] = {.lex_state = 24, .external_lex_state = 2},
  [1744] = {.lex_state = 24, .external_lex_state = 2},
  [1745] = {.lex_state = 24, .external_lex_state = 2},
  [1746] = {.lex_state = 24, .external_lex_state = 2},
  [1747] = {.lex_state = 24, .external_lex_state = 2},
  [1748] = {.lex_state = 24, .external_lex_state = 2},
  [1749] = {.lex_state = 24, .external_lex_state = 2},
  [1750] = {.lex_state = 24, .external_lex_state = 2},
  [1751] = {.lex_state = 24, .external_lex_state = 2},
  [1752] = {.lex_state = 24, .external_lex_state = 2},
  [1753] = {.lex_state = 24, .external_lex_state = 2},
  [1754] = {.lex_state = 24, .external_lex_state = 2},
  [1755] = {.lex_state = 24, .external_lex_state = 2},
  [1756] = {.lex_state = 24, .external_lex_state = 2},
  [1757] = {.lex_state = 24, .external_lex_state = 2},
  [1758] = {.lex_state = 24, .external_lex_state = 2},
  [1759] = {.lex_state = 24, .external_lex_state = 2},
  [1760] = {.lex_state = 24, .external_lex_state = 2},
  [1761] = {.lex_state = 24, .external_lex_state = 2},
  [1762] = {.lex_state = 24, .external_lex_state = 2},
  [1763] = {.lex_state = 24, .external_lex_state = 2},
  [1764] = {.lex_state = 24, .external_lex_state = 2},
  [1765] = {.lex_state = 24, .external_lex_state = 2},
  [1766] = {.lex_state = 24, .external_lex_state = 2},
  [1767] = {.lex_state = 24, .external_lex_state = 2},
  [1768] = {.lex_state = 24, .external_lex_state = 2},
  [1769] = {.lex_state = 24, .external_lex_state = 2},
  [1770] = {.lex_state = 24, .external_lex_state = 2},
  [1771] = {.lex_state = 24, .external_lex_state = 2},
  [1772] = {.lex_state = 24, .external_lex_state = 2},
  [1773] = {.lex_state = 24, .external_lex_state = 2},
  [1774] = {.lex_state = 24, .external_lex_state = 2},
  [1775] = {.lex_state = 24, .external_lex_state = 2},
  [1776] = {.lex_state = 24, .external_lex_state = 2},
  [1777] = {.lex_state = 24, .external_lex_state = 2},
  [1778] = {.lex_state = 24, .external_lex_state = 2},
  [1779] = {.lex_state = 24, .external_lex_state = 2},
  [1780] = {.lex_state = 24, .external_lex_state = 2},
  [1781] = {.lex_state = 24, .external_lex_state = 2},
  [1782] = {.lex_state = 24, .external_lex_state = 2},
  [1783] = {.lex_state = 24, .external_lex_state = 2},
  [1784] = {.lex_state = 24, .external_lex_state = 2},
  [1785] = {.lex_state = 24, .external_lex_state = 2},
  [1786] = {.lex_state = 24, .external_lex_state = 2},
  [1787] = {.lex_state = 24, .external_lex_state = 2},
  [1788] = {.lex_state = 24, .external_lex_state = 2},
  [1789] = {.lex_state = 24, .external_lex_state = 2},
  [1790] = {.lex_state = 24, .external_lex_state = 2},
  [1791] = {.lex_state = 24, .external_lex_state = 2},
  [1792] = {.lex_state = 24, .external_lex_state = 2},
  [1793] = {.lex_state = 24, .external_lex_state = 2},
  [1794] = {.lex_state = 24, .external_lex_state = 2},
  [1795] = {.lex_state = 24, .external_lex_state = 2},
  [1796] = {.lex_state = 24, .external_lex_state = 2},
  [1797] = {.lex_state = 24, .external_lex_state = 2},
  [1798] = {.lex_state = 24, .external_lex_state = 2},
  [1799] = {.lex_state = 24, .external_lex_state = 2},
  [1800] = {.lex_state = 24, .external_lex_state = 2},
  [1801] = {.lex_state = 24, .external_lex_state = 2},
  [1802] = {.lex_state = 24, .external_lex_state = 2},
  [1803] = {.lex_state = 24, .external_lex_state = 2},
  [1804] = {.lex_state = 24, .external_lex_state = 2},
  [1805] = {.lex_state = 24, .external_lex_state = 2},
  [1806] = {.lex_state = 24, .external_lex_state = 2},
  [1807] = {.lex_state = 24, .external_lex_state = 2},
  [1808] = {.lex_state = 24, .external_lex_state = 2},
  [1809] = {.lex_state = 24, .external_lex_state = 2},
  [1810] = {.lex_state = 24, .external_lex_state = 2},
  [1811] = {.lex_state = 24, .external_lex_state = 2},
  [1812] = {.lex_state = 24, .external_lex_state = 2},
  [1813] = {.lex_state = 24, .external_lex_state = 2},
  [1814] = {.lex_state = 24, .external_lex_state = 2},
  [1815] = {.lex_state = 24, .external_lex_state = 2},
  [1816] = {.lex_state = 24, .external_lex_state = 2},
  [1817] = {.lex_state = 24, .external_lex_state = 2},
  [1818] = {.lex_state = 422, .external_lex_state = 2},
  [1819] = {.lex_state = 24, .external_lex_state = 2},
  [1820] = {.lex_state = 24, .external_lex_state = 2},
  [1821] = {.lex_state = 24, .external_lex_state = 2},
  [1822] = {.lex_state = 24, .external_lex_state = 2},
  [1823] = {.lex_state = 24, .external_lex_state = 2},
  [1824] = {.lex_state = 24, .external_lex_state = 2},
  [1825] = {.lex_state = 24, .external_lex_state = 2},
  [1826] = {.lex_state = 24, .external_lex_state = 2},
  [1827] = {.lex_state = 24, .external_lex_state = 2},
  [1828] = {.lex_state = 24, .external_lex_state = 2},
  [1829] = {.lex_state = 24, .external_lex_state = 2},
  [1830] = {.lex_state = 24, .external_lex_state = 2},
  [1831] = {.lex_state = 24, .external_lex_state = 2},
  [1832] = {.lex_state = 24, .external_lex_state = 2},
  [1833] = {.lex_state = 24, .external_lex_state = 2},
  [1834] = {.lex_state = 24, .external_lex_state = 2},
  [1835] = {.lex_state = 24, .external_lex_state = 2},
  [1836] = {.lex_state = 24, .external_lex_state = 2},
  [1837] = {.lex_state = 24, .external_lex_state = 2},
  [1838] = {.lex_state = 24, .external_lex_state = 2},
  [1839] = {.lex_state = 24, .external_lex_state = 2},
  [1840] = {.lex_state = 24, .external_lex_state = 2},
  [1841] = {.lex_state = 24, .external_lex_state = 2},
  [1842] = {.lex_state = 24, .external_lex_state = 2},
  [1843] = {.lex_state = 24, .external_lex_state = 2},
  [1844] = {.lex_state = 24, .external_lex_state = 2},
  [1845] = {.lex_state = 24, .external_lex_state = 2},
  [1846] = {.lex_state = 24, .external_lex_state = 2},
  [1847] = {.lex_state = 24, .external_lex_state = 2},
  [1848] = {.lex_state = 24, .external_lex_state = 2},
  [1849] = {.lex_state = 24, .external_lex_state = 2},
  [1850] = {.lex_state = 24, .external_lex_state = 2},
  [1851] = {.lex_state = 24, .external_lex_state = 2},
  [1852] = {.lex_state = 24, .external_lex_state = 2},
  [1853] = {.lex_state = 24, .external_lex_state = 2},
  [1854] = {.lex_state = 24, .external_lex_state = 2},
  [1855] = {.lex_state = 24, .external_lex_state = 2},
  [1856] = {.lex_state = 24, .external_lex_state = 2},
  [1857] = {.lex_state = 24, .external_lex_state = 2},
  [1858] = {.lex_state = 24, .external_lex_state = 2},
  [1859] = {.lex_state = 24, .external_lex_state = 2},
  [1860] = {.lex_state = 24, .external_lex_state = 2},
  [1861] = {.lex_state = 24, .external_lex_state = 2},
  [1862] = {.lex_state = 24, .external_lex_state = 2},
  [1863] = {.lex_state = 24, .external_lex_state = 2},
  [1864] = {.lex_state = 24, .external_lex_state = 2},
  [1865] = {.lex_state = 24, .external_lex_state = 2},
  [1866] = {.lex_state = 24, .external_lex_state = 2},
  [1867] = {.lex_state = 24, .external_lex_state = 2},
  [1868] = {.lex_state = 24, .external_lex_state = 2},
  [1869] = {.lex_state = 24, .external_lex_state = 2},
  [1870] = {.lex_state = 24, .external_lex_state = 2},
  [1871] = {.lex_state = 24, .external_lex_state = 2},
  [1872] = {.lex_state = 24, .external_lex_state = 2},
  [1873] = {.lex_state = 24, .external_lex_state = 2},
  [1874] = {.lex_state = 24, .external_lex_state = 2},
  [1875] = {.lex_state = 24, .external_lex_state = 2},
  [1876] = {.lex_state = 24, .external_lex_state = 2},
  [1877] = {.lex_state = 24, .external_lex_state = 2},
  [1878] = {.lex_state = 24, .external_lex_state = 2},
  [1879] = {.lex_state = 24, .external_lex_state = 2},
  [1880] = {.lex_state = 24, .external_lex_state = 2},
  [1881] = {.lex_state = 24, .external_lex_state = 2},
  [1882] = {.lex_state = 24, .external_lex_state = 2},
  [1883] = {.lex_state = 24, .external_lex_state = 2},
  [1884] = {.lex_state = 24, .external_lex_state = 2},
  [1885] = {.lex_state = 24, .external_lex_state = 2},
  [1886] = {.lex_state = 24, .external_lex_state = 2},
  [1887] = {.lex_state = 24, .external_lex_state = 2},
  [1888] = {.lex_state = 422, .external_lex_state = 2},
  [1889] = {.lex_state = 24, .external_lex_state = 2},
  [1890] = {.lex_state = 24, .external_lex_state = 2},
  [1891] = {.lex_state = 24, .external_lex_state = 2},
  [1892] = {.lex_state = 24, .external_lex_state = 2},
  [1893] = {.lex_state = 24, .external_lex_state = 2},
  [1894] = {.lex_state = 24, .external_lex_state = 2},
  [1895] = {.lex_state = 24, .external_lex_state = 2},
  [1896] = {.lex_state = 24, .external_lex_state = 2},
  [1897] = {.lex_state = 24, .external_lex_state = 2},
  [1898] = {.lex_state = 76, .external_lex_state = 2},
  [1899] = {.lex_state = 24, .external_lex_state = 2},
  [1900] = {.lex_state = 24, .external_lex_state = 2},
  [1901] = {.lex_state = 24, .external_lex_state = 2},
  [1902] = {.lex_state = 24, .external_lex_state = 2},
  [1903] = {.lex_state = 24, .external_lex_state = 2},
  [1904] = {.lex_state = 24, .external_lex_state = 2},
  [1905] = {.lex_state = 24, .external_lex_state = 2},
  [1906] = {.lex_state = 24, .external_lex_state = 2},
  [1907] = {.lex_state = 24, .external_lex_state = 2},
  [1908] = {.lex_state = 24, .external_lex_state = 2},
  [1909] = {.lex_state = 24, .external_lex_state = 2},
  [1910] = {.lex_state = 24, .external_lex_state = 2},
  [1911] = {.lex_state = 24, .external_lex_state = 2},
  [1912] = {.lex_state = 24, .external_lex_state = 2},
  [1913] = {.lex_state = 24, .external_lex_state = 2},
  [1914] = {.lex_state = 24, .external_lex_state = 2},
  [1915] = {.lex_state = 24, .external_lex_state = 2},
  [1916] = {.lex_state = 24, .external_lex_state = 2},
  [1917] = {.lex_state = 24, .external_lex_state = 2},
  [1918] = {.lex_state = 24, .external_lex_state = 2},
  [1919] = {.lex_state = 24, .external_lex_state = 2},
  [1920] = {.lex_state = 24, .external_lex_state = 2},
  [1921] = {.lex_state = 24, .external_lex_state = 2},
  [1922] = {.lex_state = 24, .external_lex_state = 2},
  [1923] = {.lex_state = 24, .external_lex_state = 2},
  [1924] = {.lex_state = 24, .external_lex_state = 2},
  [1925] = {.lex_state = 24, .external_lex_state = 2},
  [1926] = {.lex_state = 24, .external_lex_state = 2},
  [1927] = {.lex_state = 24, .external_lex_state = 2},
  [1928] = {.lex_state = 24, .external_lex_state = 2},
  [1929] = {.lex_state = 24, .external_lex_state = 2},
  [1930] = {.lex_state = 24, .external_lex_state = 2},
  [1931] = {.lex_state = 24, .external_lex_state = 2},
  [1932] = {.lex_state = 24, .external_lex_state = 2},
  [1933] = {.lex_state = 24, .external_lex_state = 2},
  [1934] = {.lex_state = 24, .external_lex_state = 2},
  [1935] = {.lex_state = 24, .external_lex_state = 2},
  [1936] = {.lex_state = 24, .external_lex_state = 2},
  [1937] = {.lex_state = 24, .external_lex_state = 2},
  [1938] = {.lex_state = 24, .external_lex_state = 2},
  [1939] = {.lex_state = 24, .external_lex_state = 2},
  [1940] = {.lex_state = 24, .external_lex_state = 2},
  [1941] = {.lex_state = 24, .external_lex_state = 2},
  [1942] = {.lex_state = 24, .external_lex_state = 2},
  [1943] = {.lex_state = 24, .external_lex_state = 2},
  [1944] = {.lex_state = 24, .external_lex_state = 2},
  [1945] = {.lex_state = 24, .external_lex_state = 2},
  [1946] = {.lex_state = 24, .external_lex_state = 2},
  [1947] = {.lex_state = 24, .external_lex_state = 2},
  [1948] = {.lex_state = 24, .external_lex_state = 2},
  [1949] = {.lex_state = 24, .external_lex_state = 2},
  [1950] = {.lex_state = 24, .external_lex_state = 2},
  [1951] = {.lex_state = 24, .external_lex_state = 2},
  [1952] = {.lex_state = 24, .external_lex_state = 2},
  [1953] = {.lex_state = 24, .external_lex_state = 2},
  [1954] = {.lex_state = 24, .external_lex_state = 2},
  [1955] = {.lex_state = 24, .external_lex_state = 2},
  [1956] = {.lex_state = 24, .external_lex_state = 2},
  [1957] = {.lex_state = 24, .external_lex_state = 2},
  [1958] = {.lex_state = 24, .external_lex_state = 2},
  [1959] = {.lex_state = 24, .external_lex_state = 2},
  [1960] = {.lex_state = 24, .external_lex_state = 2},
  [1961] = {.lex_state = 24, .external_lex_state = 2},
  [1962] = {.lex_state = 24, .external_lex_state = 2},
  [1963] = {.lex_state = 24, .external_lex_state = 2},
  [1964] = {.lex_state = 24, .external_lex_state = 2},
  [1965] = {.lex_state = 24, .external_lex_state = 2},
  [1966] = {.lex_state = 24, .external_lex_state = 2},
  [1967] = {.lex_state = 24, .external_lex_state = 2},
  [1968] = {.lex_state = 24, .external_lex_state = 2},
  [1969] = {.lex_state = 24, .external_lex_state = 2},
  [1970] = {.lex_state = 24, .external_lex_state = 2},
  [1971] = {.lex_state = 24, .external_lex_state = 2},
  [1972] = {.lex_state = 24, .external_lex_state = 2},
  [1973] = {.lex_state = 24, .external_lex_state = 2},
  [1974] = {.lex_state = 24, .external_lex_state = 2},
  [1975] = {.lex_state = 24, .external_lex_state = 2},
  [1976] = {.lex_state = 24, .external_lex_state = 2},
  [1977] = {.lex_state = 24, .external_lex_state = 2},
  [1978] = {.lex_state = 24, .external_lex_state = 2},
  [1979] = {.lex_state = 24, .external_lex_state = 2},
  [1980] = {.lex_state = 24, .external_lex_state = 2},
  [1981] = {.lex_state = 24, .external_lex_state = 2},
  [1982] = {.lex_state = 24, .external_lex_state = 2},
  [1983] = {.lex_state = 24, .external_lex_state = 2},
  [1984] = {.lex_state = 24, .external_lex_state = 2},
  [1985] = {.lex_state = 24, .external_lex_state = 2},
  [1986] = {.lex_state = 24, .external_lex_state = 2},
  [1987] = {.lex_state = 24, .external_lex_state = 2},
  [1988] = {.lex_state = 24, .external_lex_state = 2},
  [1989] = {.lex_state = 24, .external_lex_state = 2},
  [1990] = {.lex_state = 24, .external_lex_state = 2},
  [1991] = {.lex_state = 24, .external_lex_state = 2},
  [1992] = {.lex_state = 24, .external_lex_state = 2},
  [1993] = {.lex_state = 24, .external_lex_state = 2},
  [1994] = {.lex_state = 24, .external_lex_state = 2},
  [1995] = {.lex_state = 24, .external_lex_state = 2},
  [1996] = {.lex_state = 24, .external_lex_state = 2},
  [1997] = {.lex_state = 24, .external_lex_state = 2},
  [1998] = {.lex_state = 24, .external_lex_state = 2},
  [1999] = {.lex_state = 24, .external_lex_state = 2},
  [2000] = {.lex_state = 24, .external_lex_state = 2},
  [2001] = {.lex_state = 24, .external_lex_state = 2},
  [2002] = {.lex_state = 24, .external_lex_state = 2},
  [2003] = {.lex_state = 24, .external_lex_state = 2},
  [2004] = {.lex_state = 24, .external_lex_state = 2},
  [2005] = {.lex_state = 24, .external_lex_state = 2},
  [2006] = {.lex_state = 24, .external_lex_state = 2},
  [2007] = {.lex_state = 24, .external_lex_state = 2},
  [2008] = {.lex_state = 24, .external_lex_state = 2},
  [2009] = {.lex_state = 24, .external_lex_state = 2},
  [2010] = {.lex_state = 24, .external_lex_state = 2},
  [2011] = {.lex_state = 24, .external_lex_state = 2},
  [2012] = {.lex_state = 24, .external_lex_state = 2},
  [2013] = {.lex_state = 24, .external_lex_state = 2},
  [2014] = {.lex_state = 24, .external_lex_state = 2},
  [2015] = {.lex_state = 24, .external_lex_state = 2},
  [2016] = {.lex_state = 24, .external_lex_state = 2},
  [2017] = {.lex_state = 24, .external_lex_state = 2},
  [2018] = {.lex_state = 24, .external_lex_state = 2},
  [2019] = {.lex_state = 24, .external_lex_state = 2},
  [2020] = {.lex_state = 24, .external_lex_state = 2},
  [2021] = {.lex_state = 24, .external_lex_state = 2},
  [2022] = {.lex_state = 24, .external_lex_state = 2},
  [2023] = {.lex_state = 24, .external_lex_state = 2},
  [2024] = {.lex_state = 24, .external_lex_state = 2},
  [2025] = {.lex_state = 24, .external_lex_state = 2},
  [2026] = {.lex_state = 24, .external_lex_state = 2},
  [2027] = {.lex_state = 24, .external_lex_state = 2},
  [2028] = {.lex_state = 24, .external_lex_state = 2},
  [2029] = {.lex_state = 24, .external_lex_state = 2},
  [2030] = {.lex_state = 24, .external_lex_state = 2},
  [2031] = {.lex_state = 24, .external_lex_state = 2},
  [2032] = {.lex_state = 24, .external_lex_state = 2},
  [2033] = {.lex_state = 24, .external_lex_state = 2},
  [2034] = {.lex_state = 24, .external_lex_state = 2},
  [2035] = {.lex_state = 24, .external_lex_state = 2},
  [2036] = {.lex_state = 419, .external_lex_state = 2},
  [2037] = {.lex_state = 24, .external_lex_state = 2},
  [2038] = {.lex_state = 24, .external_lex_state = 2},
  [2039] = {.lex_state = 24, .external_lex_state = 2},
  [2040] = {.lex_state = 24, .external_lex_state = 2},
  [2041] = {.lex_state = 24, .external_lex_state = 2},
  [2042] = {.lex_state = 24, .external_lex_state = 2},
  [2043] = {.lex_state = 24, .external_lex_state = 2},
  [2044] = {.lex_state = 24, .external_lex_state = 2},
  [2045] = {.lex_state = 24, .external_lex_state = 2},
  [2046] = {.lex_state = 24, .external_lex_state = 2},
  [2047] = {.lex_state = 24, .external_lex_state = 2},
  [2048] = {.lex_state = 24, .external_lex_state = 2},
  [2049] = {.lex_state = 77, .external_lex_state = 2},
  [2050] = {.lex_state = 24, .external_lex_state = 2},
  [2051] = {.lex_state = 24, .external_lex_state = 2},
  [2052] = {.lex_state = 24, .external_lex_state = 2},
  [2053] = {.lex_state = 24, .external_lex_state = 2},
  [2054] = {.lex_state = 24, .external_lex_state = 2},
  [2055] = {.lex_state = 24, .external_lex_state = 2},
  [2056] = {.lex_state = 24, .external_lex_state = 2},
  [2057] = {.lex_state = 24, .external_lex_state = 2},
  [2058] = {.lex_state = 24, .external_lex_state = 2},
  [2059] = {.lex_state = 24, .external_lex_state = 2},
  [2060] = {.lex_state = 24, .external_lex_state = 2},
  [2061] = {.lex_state = 24, .external_lex_state = 2},
  [2062] = {.lex_state = 24, .external_lex_state = 2},
  [2063] = {.lex_state = 24, .external_lex_state = 2},
  [2064] = {.lex_state = 24, .external_lex_state = 2},
  [2065] = {.lex_state = 24, .external_lex_state = 2},
  [2066] = {.lex_state = 24, .external_lex_state = 2},
  [2067] = {.lex_state = 24, .external_lex_state = 2},
  [2068] = {.lex_state = 24, .external_lex_state = 2},
  [2069] = {.lex_state = 24, .external_lex_state = 2},
  [2070] = {.lex_state = 24, .external_lex_state = 2},
  [2071] = {.lex_state = 24, .external_lex_state = 2},
  [2072] = {.lex_state = 24, .external_lex_state = 2},
  [2073] = {.lex_state = 24, .external_lex_state = 2},
  [2074] = {.lex_state = 24, .external_lex_state = 2},
  [2075] = {.lex_state = 24, .external_lex_state = 2},
  [2076] = {.lex_state = 24, .external_lex_state = 2},
  [2077] = {.lex_state = 24, .external_lex_state = 2},
  [2078] = {.lex_state = 24, .external_lex_state = 2},
  [2079] = {.lex_state = 24, .external_lex_state = 2},
  [2080] = {.lex_state = 24, .external_lex_state = 2},
  [2081] = {.lex_state = 24, .external_lex_state = 2},
  [2082] = {.lex_state = 24, .external_lex_state = 2},
  [2083] = {.lex_state = 24, .external_lex_state = 2},
  [2084] = {.lex_state = 24, .external_lex_state = 2},
  [2085] = {.lex_state = 24, .external_lex_state = 2},
  [2086] = {.lex_state = 24, .external_lex_state = 2},
  [2087] = {.lex_state = 24, .external_lex_state = 2},
  [2088] = {.lex_state = 419, .external_lex_state = 2},
  [2089] = {.lex_state = 24, .external_lex_state = 2},
  [2090] = {.lex_state = 24, .external_lex_state = 2},
  [2091] = {.lex_state = 24, .external_lex_state = 2},
  [2092] = {.lex_state = 24, .external_lex_state = 2},
  [2093] = {.lex_state = 24, .external_lex_state = 2},
  [2094] = {.lex_state = 24, .external_lex_state = 2},
  [2095] = {.lex_state = 24, .external_lex_state = 2},
  [2096] = {.lex_state = 24, .external_lex_state = 2},
  [2097] = {.lex_state = 24, .external_lex_state = 2},
  [2098] = {.lex_state = 24, .external_lex_state = 2},
  [2099] = {.lex_state = 24, .external_lex_state = 2},
  [2100] = {.lex_state = 24, .external_lex_state = 2},
  [2101] = {.lex_state = 24, .external_lex_state = 2},
  [2102] = {.lex_state = 24, .external_lex_state = 2},
  [2103] = {.lex_state = 24, .external_lex_state = 2},
  [2104] = {.lex_state = 24, .external_lex_state = 2},
  [2105] = {.lex_state = 24, .external_lex_state = 2},
  [2106] = {.lex_state = 24, .external_lex_state = 2},
  [2107] = {.lex_state = 24, .external_lex_state = 2},
  [2108] = {.lex_state = 24, .external_lex_state = 2},
  [2109] = {.lex_state = 24, .external_lex_state = 2},
  [2110] = {.lex_state = 24, .external_lex_state = 2},
  [2111] = {.lex_state = 24, .external_lex_state = 2},
  [2112] = {.lex_state = 24, .external_lex_state = 2},
  [2113] = {.lex_state = 24, .external_lex_state = 2},
  [2114] = {.lex_state = 24, .external_lex_state = 2},
  [2115] = {.lex_state = 24, .external_lex_state = 2},
  [2116] = {.lex_state = 24, .external_lex_state = 2},
  [2117] = {.lex_state = 24, .external_lex_state = 2},
  [2118] = {.lex_state = 24, .external_lex_state = 2},
  [2119] = {.lex_state = 24, .external_lex_state = 2},
  [2120] = {.lex_state = 24, .external_lex_state = 2},
  [2121] = {.lex_state = 24, .external_lex_state = 2},
  [2122] = {.lex_state = 24, .external_lex_state = 2},
  [2123] = {.lex_state = 24, .external_lex_state = 2},
  [2124] = {.lex_state = 24, .external_lex_state = 2},
  [2125] = {.lex_state = 24, .external_lex_state = 2},
  [2126] = {.lex_state = 24, .external_lex_state = 2},
  [2127] = {.lex_state = 24, .external_lex_state = 2},
  [2128] = {.lex_state = 24, .external_lex_state = 2},
  [2129] = {.lex_state = 24, .external_lex_state = 2},
  [2130] = {.lex_state = 24, .external_lex_state = 2},
  [2131] = {.lex_state = 24, .external_lex_state = 2},
  [2132] = {.lex_state = 24, .external_lex_state = 2},
  [2133] = {.lex_state = 24, .external_lex_state = 2},
  [2134] = {.lex_state = 24, .external_lex_state = 2},
  [2135] = {.lex_state = 24, .external_lex_state = 2},
  [2136] = {.lex_state = 24, .external_lex_state = 2},
  [2137] = {.lex_state = 24, .external_lex_state = 2},
  [2138] = {.lex_state = 24, .external_lex_state = 2},
  [2139] = {.lex_state = 24, .external_lex_state = 2},
  [2140] = {.lex_state = 24, .external_lex_state = 2},
  [2141] = {.lex_state = 24, .external_lex_state = 2},
  [2142] = {.lex_state = 24, .external_lex_state = 2},
  [2143] = {.lex_state = 24, .external_lex_state = 2},
  [2144] = {.lex_state = 24, .external_lex_state = 2},
  [2145] = {.lex_state = 24, .external_lex_state = 2},
  [2146] = {.lex_state = 24, .external_lex_state = 2},
  [2147] = {.lex_state = 24, .external_lex_state = 2},
  [2148] = {.lex_state = 24, .external_lex_state = 2},
  [2149] = {.lex_state = 24, .external_lex_state = 2},
  [2150] = {.lex_state = 24, .external_lex_state = 2},
  [2151] = {.lex_state = 24, .external_lex_state = 2},
  [2152] = {.lex_state = 24, .external_lex_state = 2},
  [2153] = {.lex_state = 24, .external_lex_state = 2},
  [2154] = {.lex_state = 24, .external_lex_state = 2},
  [2155] = {.lex_state = 24, .external_lex_state = 2},
  [2156] = {.lex_state = 24, .external_lex_state = 2},
  [2157] = {.lex_state = 24, .external_lex_state = 2},
  [2158] = {.lex_state = 24, .external_lex_state = 2},
  [2159] = {.lex_state = 24, .external_lex_state = 2},
  [2160] = {.lex_state = 24, .external_lex_state = 2},
  [2161] = {.lex_state = 24, .external_lex_state = 2},
  [2162] = {.lex_state = 24, .external_lex_state = 2},
  [2163] = {.lex_state = 24, .external_lex_state = 2},
  [2164] = {.lex_state = 24, .external_lex_state = 2},
  [2165] = {.lex_state = 24, .external_lex_state = 2},
  [2166] = {.lex_state = 24, .external_lex_state = 2},
  [2167] = {.lex_state = 24, .external_lex_state = 2},
  [2168] = {.lex_state = 24, .external_lex_state = 2},
  [2169] = {.lex_state = 24, .external_lex_state = 2},
  [2170] = {.lex_state = 24, .external_lex_state = 2},
  [2171] = {.lex_state = 24, .external_lex_state = 2},
  [2172] = {.lex_state = 24, .external_lex_state = 2},
  [2173] = {.lex_state = 24, .external_lex_state = 2},
  [2174] = {.lex_state = 24, .external_lex_state = 2},
  [2175] = {.lex_state = 24, .external_lex_state = 2},
  [2176] = {.lex_state = 24, .external_lex_state = 2},
  [2177] = {.lex_state = 24, .external_lex_state = 2},
  [2178] = {.lex_state = 24, .external_lex_state = 2},
  [2179] = {.lex_state = 24, .external_lex_state = 2},
  [2180] = {.lex_state = 24, .external_lex_state = 2},
  [2181] = {.lex_state = 24, .external_lex_state = 2},
  [2182] = {.lex_state = 24, .external_lex_state = 2},
  [2183] = {.lex_state = 24, .external_lex_state = 2},
  [2184] = {.lex_state = 24, .external_lex_state = 2},
  [2185] = {.lex_state = 24, .external_lex_state = 2},
  [2186] = {.lex_state = 24, .external_lex_state = 2},
  [2187] = {.lex_state = 24, .external_lex_state = 2},
  [2188] = {.lex_state = 24, .external_lex_state = 2},
  [2189] = {.lex_state = 24, .external_lex_state = 2},
  [2190] = {.lex_state = 24, .external_lex_state = 2},
  [2191] = {.lex_state = 24, .external_lex_state = 2},
  [2192] = {.lex_state = 24, .external_lex_state = 2},
  [2193] = {.lex_state = 24, .external_lex_state = 2},
  [2194] = {.lex_state = 24, .external_lex_state = 2},
  [2195] = {.lex_state = 24, .external_lex_state = 2},
  [2196] = {.lex_state = 24, .external_lex_state = 2},
  [2197] = {.lex_state = 24, .external_lex_state = 2},
  [2198] = {.lex_state = 24, .external_lex_state = 2},
  [2199] = {.lex_state = 24, .external_lex_state = 2},
  [2200] = {.lex_state = 24, .external_lex_state = 2},
  [2201] = {.lex_state = 24, .external_lex_state = 2},
  [2202] = {.lex_state = 24, .external_lex_state = 2},
  [2203] = {.lex_state = 24, .external_lex_state = 2},
  [2204] = {.lex_state = 24, .external_lex_state = 2},
  [2205] = {.lex_state = 24, .external_lex_state = 2},
  [2206] = {.lex_state = 24, .external_lex_state = 2},
  [2207] = {.lex_state = 24, .external_lex_state = 2},
  [2208] = {.lex_state = 24, .external_lex_state = 2},
  [2209] = {.lex_state = 24, .external_lex_state = 2},
  [2210] = {.lex_state = 24, .external_lex_state = 2},
  [2211] = {.lex_state = 24, .external_lex_state = 2},
  [2212] = {.lex_state = 24, .external_lex_state = 2},
  [2213] = {.lex_state = 24, .external_lex_state = 2},
  [2214] = {.lex_state = 24, .external_lex_state = 2},
  [2215] = {.lex_state = 24, .external_lex_state = 2},
  [2216] = {.lex_state = 24, .external_lex_state = 2},
  [2217] = {.lex_state = 24, .external_lex_state = 2},
  [2218] = {.lex_state = 24, .external_lex_state = 2},
  [2219] = {.lex_state = 24, .external_lex_state = 2},
  [2220] = {.lex_state = 24, .external_lex_state = 2},
  [2221] = {.lex_state = 24, .external_lex_state = 2},
  [2222] = {.lex_state = 24, .external_lex_state = 2},
  [2223] = {.lex_state = 24, .external_lex_state = 2},
  [2224] = {.lex_state = 24, .external_lex_state = 2},
  [2225] = {.lex_state = 24, .external_lex_state = 2},
  [2226] = {.lex_state = 24, .external_lex_state = 2},
  [2227] = {.lex_state = 24, .external_lex_state = 2},
  [2228] = {.lex_state = 24, .external_lex_state = 2},
  [2229] = {.lex_state = 24, .external_lex_state = 2},
  [2230] = {.lex_state = 24, .external_lex_state = 2},
  [2231] = {.lex_state = 24, .external_lex_state = 2},
  [2232] = {.lex_state = 24, .external_lex_state = 2},
  [2233] = {.lex_state = 24, .external_lex_state = 2},
  [2234] = {.lex_state = 24, .external_lex_state = 2},
  [2235] = {.lex_state = 24, .external_lex_state = 2},
  [2236] = {.lex_state = 24, .external_lex_state = 2},
  [2237] = {.lex_state = 24, .external_lex_state = 2},
  [2238] = {.lex_state = 24, .external_lex_state = 2},
  [2239] = {.lex_state = 24, .external_lex_state = 2},
  [2240] = {.lex_state = 24, .external_lex_state = 2},
  [2241] = {.lex_state = 24, .external_lex_state = 2},
  [2242] = {.lex_state = 24, .external_lex_state = 2},
  [2243] = {.lex_state = 24, .external_lex_state = 2},
  [2244] = {.lex_state = 24, .external_lex_state = 2},
  [2245] = {.lex_state = 24, .external_lex_state = 2},
  [2246] = {.lex_state = 24, .external_lex_state = 2},
  [2247] = {.lex_state = 24, .external_lex_state = 2},
  [2248] = {.lex_state = 24, .external_lex_state = 2},
  [2249] = {.lex_state = 24, .external_lex_state = 2},
  [2250] = {.lex_state = 24, .external_lex_state = 2},
  [2251] = {.lex_state = 24, .external_lex_state = 2},
  [2252] = {.lex_state = 24, .external_lex_state = 2},
  [2253] = {.lex_state = 24, .external_lex_state = 2},
  [2254] = {.lex_state = 24, .external_lex_state = 2},
  [2255] = {.lex_state = 24, .external_lex_state = 2},
  [2256] = {.lex_state = 24, .external_lex_state = 2},
  [2257] = {.lex_state = 24, .external_lex_state = 2},
  [2258] = {.lex_state = 24, .external_lex_state = 2},
  [2259] = {.lex_state = 24, .external_lex_state = 2},
  [2260] = {.lex_state = 24, .external_lex_state = 2},
  [2261] = {.lex_state = 24, .external_lex_state = 2},
  [2262] = {.lex_state = 24, .external_lex_state = 2},
  [2263] = {.lex_state = 24, .external_lex_state = 2},
  [2264] = {.lex_state = 24, .external_lex_state = 2},
  [2265] = {.lex_state = 24, .external_lex_state = 2},
  [2266] = {.lex_state = 24, .external_lex_state = 2},
  [2267] = {.lex_state = 24, .external_lex_state = 2},
  [2268] = {.lex_state = 24, .external_lex_state = 2},
  [2269] = {.lex_state = 24, .external_lex_state = 2},
  [2270] = {.lex_state = 24, .external_lex_state = 2},
  [2271] = {.lex_state = 24, .external_lex_state = 2},
  [2272] = {.lex_state = 24, .external_lex_state = 2},
  [2273] = {.lex_state = 24, .external_lex_state = 2},
  [2274] = {.lex_state = 24, .external_lex_state = 2},
  [2275] = {.lex_state = 24, .external_lex_state = 2},
  [2276] = {.lex_state = 24, .external_lex_state = 2},
  [2277] = {.lex_state = 24, .external_lex_state = 2},
  [2278] = {.lex_state = 24, .external_lex_state = 2},
  [2279] = {.lex_state = 24, .external_lex_state = 2},
  [2280] = {.lex_state = 24, .external_lex_state = 2},
  [2281] = {.lex_state = 24, .external_lex_state = 2},
  [2282] = {.lex_state = 24, .external_lex_state = 2},
  [2283] = {.lex_state = 24, .external_lex_state = 2},
  [2284] = {.lex_state = 24, .external_lex_state = 2},
  [2285] = {.lex_state = 24, .external_lex_state = 2},
  [2286] = {.lex_state = 24, .external_lex_state = 2},
  [2287] = {.lex_state = 24, .external_lex_state = 2},
  [2288] = {.lex_state = 24, .external_lex_state = 2},
  [2289] = {.lex_state = 24, .external_lex_state = 2},
  [2290] = {.lex_state = 24, .external_lex_state = 2},
  [2291] = {.lex_state = 24, .external_lex_state = 2},
  [2292] = {.lex_state = 24, .external_lex_state = 2},
  [2293] = {.lex_state = 24, .external_lex_state = 2},
  [2294] = {.lex_state = 24, .external_lex_state = 2},
  [2295] = {.lex_state = 24, .external_lex_state = 2},
  [2296] = {.lex_state = 24, .external_lex_state = 2},
  [2297] = {.lex_state = 24, .external_lex_state = 2},
  [2298] = {.lex_state = 24, .external_lex_state = 2},
  [2299] = {.lex_state = 24, .external_lex_state = 2},
  [2300] = {.lex_state = 24, .external_lex_state = 2},
  [2301] = {.lex_state = 24, .external_lex_state = 2},
  [2302] = {.lex_state = 24, .external_lex_state = 2},
  [2303] = {.lex_state = 24, .external_lex_state = 2},
  [2304] = {.lex_state = 24, .external_lex_state = 2},
  [2305] = {.lex_state = 24, .external_lex_state = 2},
  [2306] = {.lex_state = 24, .external_lex_state = 2},
  [2307] = {.lex_state = 24, .external_lex_state = 2},
  [2308] = {.lex_state = 24, .external_lex_state = 2},
  [2309] = {.lex_state = 24, .external_lex_state = 2},
  [2310] = {.lex_state = 24, .external_lex_state = 2},
  [2311] = {.lex_state = 24, .external_lex_state = 2},
  [2312] = {.lex_state = 24, .external_lex_state = 2},
  [2313] = {.lex_state = 24, .external_lex_state = 2},
  [2314] = {.lex_state = 24, .external_lex_state = 2},
  [2315] = {.lex_state = 24, .external_lex_state = 2},
  [2316] = {.lex_state = 24, .external_lex_state = 2},
  [2317] = {.lex_state = 24, .external_lex_state = 2},
  [2318] = {.lex_state = 24, .external_lex_state = 2},
  [2319] = {.lex_state = 24, .external_lex_state = 2},
  [2320] = {.lex_state = 24, .external_lex_state = 2},
  [2321] = {.lex_state = 24, .external_lex_state = 2},
  [2322] = {.lex_state = 24, .external_lex_state = 2},
  [2323] = {.lex_state = 24, .external_lex_state = 2},
  [2324] = {.lex_state = 24, .external_lex_state = 2},
  [2325] = {.lex_state = 24, .external_lex_state = 2},
  [2326] = {.lex_state = 24, .external_lex_state = 2},
  [2327] = {.lex_state = 24, .external_lex_state = 2},
  [2328] = {.lex_state = 24, .external_lex_state = 2},
  [2329] = {.lex_state = 24, .external_lex_state = 2},
  [2330] = {.lex_state = 24, .external_lex_state = 2},
  [2331] = {.lex_state = 24, .external_lex_state = 2},
  [2332] = {.lex_state = 24, .external_lex_state = 2},
  [2333] = {.lex_state = 24, .external_lex_state = 2},
  [2334] = {.lex_state = 24, .external_lex_state = 2},
  [2335] = {.lex_state = 24, .external_lex_state = 2},
  [2336] = {.lex_state = 24, .external_lex_state = 2},
  [2337] = {.lex_state = 24, .external_lex_state = 2},
  [2338] = {.lex_state = 24, .external_lex_state = 2},
  [2339] = {.lex_state = 24, .external_lex_state = 2},
  [2340] = {.lex_state = 24, .external_lex_state = 2},
  [2341] = {.lex_state = 24, .external_lex_state = 2},
  [2342] = {.lex_state = 24, .external_lex_state = 2},
  [2343] = {.lex_state = 24, .external_lex_state = 2},
  [2344] = {.lex_state = 24, .external_lex_state = 2},
  [2345] = {.lex_state = 24, .external_lex_state = 2},
  [2346] = {.lex_state = 24, .external_lex_state = 2},
  [2347] = {.lex_state = 24, .external_lex_state = 2},
  [2348] = {.lex_state = 24, .external_lex_state = 2},
  [2349] = {.lex_state = 24, .external_lex_state = 2},
  [2350] = {.lex_state = 24, .external_lex_state = 2},
  [2351] = {.lex_state = 24, .external_lex_state = 2},
  [2352] = {.lex_state = 24, .external_lex_state = 2},
  [2353] = {.lex_state = 24, .external_lex_state = 2},
  [2354] = {.lex_state = 24, .external_lex_state = 2},
  [2355] = {.lex_state = 24, .external_lex_state = 2},
  [2356] = {.lex_state = 24, .external_lex_state = 2},
  [2357] = {.lex_state = 24, .external_lex_state = 2},
  [2358] = {.lex_state = 24, .external_lex_state = 2},
  [2359] = {.lex_state = 24, .external_lex_state = 2},
  [2360] = {.lex_state = 24, .external_lex_state = 2},
  [2361] = {.lex_state = 24, .external_lex_state = 2},
  [2362] = {.lex_state = 24, .external_lex_state = 2},
  [2363] = {.lex_state = 24, .external_lex_state = 2},
  [2364] = {.lex_state = 24, .external_lex_state = 2},
  [2365] = {.lex_state = 24, .external_lex_state = 2},
  [2366] = {.lex_state = 24, .external_lex_state = 2},
  [2367] = {.lex_state = 24, .external_lex_state = 2},
  [2368] = {.lex_state = 24, .external_lex_state = 2},
  [2369] = {.lex_state = 24, .external_lex_state = 2},
  [2370] = {.lex_state = 24, .external_lex_state = 2},
  [2371] = {.lex_state = 24, .external_lex_state = 2},
  [2372] = {.lex_state = 24, .external_lex_state = 2},
  [2373] = {.lex_state = 24, .external_lex_state = 2},
  [2374] = {.lex_state = 24, .external_lex_state = 2},
  [2375] = {.lex_state = 24, .external_lex_state = 2},
  [2376] = {.lex_state = 24, .external_lex_state = 2},
  [2377] = {.lex_state = 24, .external_lex_state = 2},
  [2378] = {.lex_state = 24, .external_lex_state = 2},
  [2379] = {.lex_state = 24, .external_lex_state = 2},
  [2380] = {.lex_state = 24, .external_lex_state = 2},
  [2381] = {.lex_state = 24, .external_lex_state = 2},
  [2382] = {.lex_state = 24, .external_lex_state = 2},
  [2383] = {.lex_state = 24, .external_lex_state = 2},
  [2384] = {.lex_state = 24, .external_lex_state = 2},
  [2385] = {.lex_state = 24, .external_lex_state = 2},
  [2386] = {.lex_state = 24, .external_lex_state = 2},
  [2387] = {.lex_state = 24, .external_lex_state = 2},
  [2388] = {.lex_state = 24, .external_lex_state = 2},
  [2389] = {.lex_state = 24, .external_lex_state = 2},
  [2390] = {.lex_state = 24, .external_lex_state = 2},
  [2391] = {.lex_state = 24, .external_lex_state = 2},
  [2392] = {.lex_state = 24, .external_lex_state = 2},
  [2393] = {.lex_state = 24, .external_lex_state = 2},
  [2394] = {.lex_state = 24, .external_lex_state = 2},
  [2395] = {.lex_state = 24, .external_lex_state = 2},
  [2396] = {.lex_state = 24, .external_lex_state = 2},
  [2397] = {.lex_state = 24, .external_lex_state = 2},
  [2398] = {.lex_state = 24, .external_lex_state = 2},
  [2399] = {.lex_state = 24, .external_lex_state = 2},
  [2400] = {.lex_state = 24, .external_lex_state = 2},
  [2401] = {.lex_state = 24, .external_lex_state = 2},
  [2402] = {.lex_state = 24, .external_lex_state = 2},
  [2403] = {.lex_state = 24, .external_lex_state = 2},
  [2404] = {.lex_state = 24, .external_lex_state = 2},
  [2405] = {.lex_state = 24, .external_lex_state = 2},
  [2406] = {.lex_state = 24, .external_lex_state = 2},
  [2407] = {.lex_state = 24, .external_lex_state = 2},
  [2408] = {.lex_state = 24, .external_lex_state = 2},
  [2409] = {.lex_state = 24, .external_lex_state = 2},
  [2410] = {.lex_state = 24, .external_lex_state = 2},
  [2411] = {.lex_state = 24, .external_lex_state = 2},
  [2412] = {.lex_state = 24, .external_lex_state = 2},
  [2413] = {.lex_state = 24, .external_lex_state = 2},
  [2414] = {.lex_state = 24, .external_lex_state = 2},
  [2415] = {.lex_state = 24, .external_lex_state = 2},
  [2416] = {.lex_state = 24, .external_lex_state = 2},
  [2417] = {.lex_state = 24, .external_lex_state = 2},
  [2418] = {.lex_state = 24, .external_lex_state = 2},
  [2419] = {.lex_state = 24, .external_lex_state = 2},
  [2420] = {.lex_state = 24, .external_lex_state = 2},
  [2421] = {.lex_state = 24, .external_lex_state = 2},
  [2422] = {.lex_state = 24, .external_lex_state = 2},
  [2423] = {.lex_state = 24, .external_lex_state = 2},
  [2424] = {.lex_state = 24, .external_lex_state = 2},
  [2425] = {.lex_state = 24, .external_lex_state = 2},
  [2426] = {.lex_state = 24, .external_lex_state = 2},
  [2427] = {.lex_state = 24, .external_lex_state = 2},
  [2428] = {.lex_state = 24, .external_lex_state = 2},
  [2429] = {.lex_state = 24, .external_lex_state = 2},
  [2430] = {.lex_state = 24, .external_lex_state = 2},
  [2431] = {.lex_state = 24, .external_lex_state = 2},
  [2432] = {.lex_state = 24, .external_lex_state = 2},
  [2433] = {.lex_state = 24, .external_lex_state = 2},
  [2434] = {.lex_state = 24, .external_lex_state = 2},
  [2435] = {.lex_state = 24, .external_lex_state = 2},
  [2436] = {.lex_state = 24, .external_lex_state = 2},
  [2437] = {.lex_state = 24, .external_lex_state = 2},
  [2438] = {.lex_state = 24, .external_lex_state = 2},
  [2439] = {.lex_state = 24, .external_lex_state = 2},
  [2440] = {.lex_state = 24, .external_lex_state = 2},
  [2441] = {.lex_state = 24, .external_lex_state = 2},
  [2442] = {.lex_state = 24, .external_lex_state = 2},
  [2443] = {.lex_state = 24, .external_lex_state = 2},
  [2444] = {.lex_state = 24, .external_lex_state = 2},
  [2445] = {.lex_state = 24, .external_lex_state = 2},
  [2446] = {.lex_state = 24, .external_lex_state = 2},
  [2447] = {.lex_state = 24, .external_lex_state = 2},
  [2448] = {.lex_state = 24, .external_lex_state = 2},
  [2449] = {.lex_state = 24, .external_lex_state = 2},
  [2450] = {.lex_state = 24, .external_lex_state = 2},
  [2451] = {.lex_state = 24, .external_lex_state = 2},
  [2452] = {.lex_state = 24, .external_lex_state = 2},
  [2453] = {.lex_state = 24, .external_lex_state = 2},
  [2454] = {.lex_state = 24, .external_lex_state = 2},
  [2455] = {.lex_state = 24, .external_lex_state = 2},
  [2456] = {.lex_state = 24, .external_lex_state = 2},
  [2457] = {.lex_state = 24, .external_lex_state = 2},
  [2458] = {.lex_state = 24, .external_lex_state = 2},
  [2459] = {.lex_state = 24, .external_lex_state = 2},
  [2460] = {.lex_state = 24, .external_lex_state = 2},
  [2461] = {.lex_state = 24, .external_lex_state = 2},
  [2462] = {.lex_state = 24, .external_lex_state = 2},
  [2463] = {.lex_state = 24, .external_lex_state = 2},
  [2464] = {.lex_state = 24, .external_lex_state = 2},
  [2465] = {.lex_state = 24, .external_lex_state = 2},
  [2466] = {.lex_state = 24, .external_lex_state = 2},
  [2467] = {.lex_state = 24, .external_lex_state = 2},
  [2468] = {.lex_state = 24, .external_lex_state = 2},
  [2469] = {.lex_state = 24, .external_lex_state = 2},
  [2470] = {.lex_state = 24, .external_lex_state = 2},
  [2471] = {.lex_state = 24, .external_lex_state = 2},
  [2472] = {.lex_state = 24, .external_lex_state = 2},
  [2473] = {.lex_state = 24, .external_lex_state = 2},
  [2474] = {.lex_state = 24, .external_lex_state = 2},
  [2475] = {.lex_state = 24, .external_lex_state = 2},
  [2476] = {.lex_state = 24, .external_lex_state = 2},
  [2477] = {.lex_state = 24, .external_lex_state = 2},
  [2478] = {.lex_state = 24, .external_lex_state = 2},
  [2479] = {.lex_state = 24, .external_lex_state = 2},
  [2480] = {.lex_state = 24, .external_lex_state = 2},
  [2481] = {.lex_state = 24, .external_lex_state = 2},
  [2482] = {.lex_state = 24, .external_lex_state = 2},
  [2483] = {.lex_state = 24, .external_lex_state = 2},
  [2484] = {.lex_state = 24, .external_lex_state = 2},
  [2485] = {.lex_state = 24, .external_lex_state = 2},
  [2486] = {.lex_state = 24, .external_lex_state = 2},
  [2487] = {.lex_state = 24, .external_lex_state = 2},
  [2488] = {.lex_state = 24, .external_lex_state = 2},
  [2489] = {.lex_state = 24, .external_lex_state = 2},
  [2490] = {.lex_state = 24, .external_lex_state = 2},
  [2491] = {.lex_state = 24, .external_lex_state = 2},
  [2492] = {.lex_state = 24, .external_lex_state = 2},
  [2493] = {.lex_state = 24, .external_lex_state = 2},
  [2494] = {.lex_state = 24, .external_lex_state = 2},
  [2495] = {.lex_state = 24, .external_lex_state = 2},
  [2496] = {.lex_state = 24, .external_lex_state = 2},
  [2497] = {.lex_state = 24, .external_lex_state = 2},
  [2498] = {.lex_state = 24, .external_lex_state = 2},
  [2499] = {.lex_state = 24, .external_lex_state = 2},
  [2500] = {.lex_state = 24, .external_lex_state = 2},
  [2501] = {.lex_state = 24, .external_lex_state = 2},
  [2502] = {.lex_state = 24, .external_lex_state = 2},
  [2503] = {.lex_state = 24, .external_lex_state = 2},
  [2504] = {.lex_state = 24, .external_lex_state = 2},
  [2505] = {.lex_state = 24, .external_lex_state = 2},
  [2506] = {.lex_state = 24, .external_lex_state = 2},
  [2507] = {.lex_state = 24, .external_lex_state = 2},
  [2508] = {.lex_state = 24, .external_lex_state = 2},
  [2509] = {.lex_state = 24, .external_lex_state = 2},
  [2510] = {.lex_state = 24, .external_lex_state = 2},
  [2511] = {.lex_state = 24, .external_lex_state = 2},
  [2512] = {.lex_state = 24, .external_lex_state = 2},
  [2513] = {.lex_state = 24, .external_lex_state = 2},
  [2514] = {.lex_state = 24, .external_lex_state = 2},
  [2515] = {.lex_state = 24, .external_lex_state = 2},
  [2516] = {.lex_state = 24, .external_lex_state = 2},
  [2517] = {.lex_state = 24, .external_lex_state = 2},
  [2518] = {.lex_state = 24, .external_lex_state = 2},
  [2519] = {.lex_state = 24, .external_lex_state = 2},
  [2520] = {.lex_state = 24, .external_lex_state = 2},
  [2521] = {.lex_state = 24, .external_lex_state = 2},
  [2522] = {.lex_state = 24, .external_lex_state = 2},
  [2523] = {.lex_state = 24, .external_lex_state = 2},
  [2524] = {.lex_state = 24, .external_lex_state = 2},
  [2525] = {.lex_state = 24, .external_lex_state = 2},
  [2526] = {.lex_state = 24, .external_lex_state = 2},
  [2527] = {.lex_state = 24, .external_lex_state = 2},
  [2528] = {.lex_state = 24, .external_lex_state = 2},
  [2529] = {.lex_state = 24, .external_lex_state = 2},
  [2530] = {.lex_state = 24, .external_lex_state = 2},
  [2531] = {.lex_state = 24, .external_lex_state = 2},
  [2532] = {.lex_state = 24, .external_lex_state = 2},
  [2533] = {.lex_state = 24, .external_lex_state = 2},
  [2534] = {.lex_state = 24, .external_lex_state = 2},
  [2535] = {.lex_state = 24, .external_lex_state = 2},
  [2536] = {.lex_state = 24, .external_lex_state = 2},
  [2537] = {.lex_state = 24, .external_lex_state = 2},
  [2538] = {.lex_state = 24, .external_lex_state = 2},
  [2539] = {.lex_state = 24, .external_lex_state = 2},
  [2540] = {.lex_state = 24, .external_lex_state = 2},
  [2541] = {.lex_state = 24, .external_lex_state = 2},
  [2542] = {.lex_state = 24, .external_lex_state = 2},
  [2543] = {.lex_state = 24, .external_lex_state = 2},
  [2544] = {.lex_state = 24, .external_lex_state = 2},
  [2545] = {.lex_state = 24, .external_lex_state = 2},
  [2546] = {.lex_state = 24, .external_lex_state = 2},
  [2547] = {.lex_state = 24, .external_lex_state = 2},
  [2548] = {.lex_state = 24, .external_lex_state = 2},
  [2549] = {.lex_state = 24, .external_lex_state = 2},
  [2550] = {.lex_state = 24, .external_lex_state = 2},
  [2551] = {.lex_state = 24, .external_lex_state = 2},
  [2552] = {.lex_state = 24, .external_lex_state = 2},
  [2553] = {.lex_state = 24, .external_lex_state = 2},
  [2554] = {.lex_state = 24, .external_lex_state = 2},
  [2555] = {.lex_state = 24, .external_lex_state = 2},
  [2556] = {.lex_state = 24, .external_lex_state = 2},
  [2557] = {.lex_state = 24, .external_lex_state = 2},
  [2558] = {.lex_state = 24, .external_lex_state = 2},
  [2559] = {.lex_state = 24, .external_lex_state = 2},
  [2560] = {.lex_state = 24, .external_lex_state = 2},
  [2561] = {.lex_state = 24, .external_lex_state = 2},
  [2562] = {.lex_state = 24, .external_lex_state = 2},
  [2563] = {.lex_state = 24, .external_lex_state = 2},
  [2564] = {.lex_state = 24, .external_lex_state = 2},
  [2565] = {.lex_state = 24, .external_lex_state = 2},
  [2566] = {.lex_state = 24, .external_lex_state = 2},
  [2567] = {.lex_state = 24, .external_lex_state = 2},
  [2568] = {.lex_state = 24, .external_lex_state = 2},
  [2569] = {.lex_state = 24, .external_lex_state = 2},
  [2570] = {.lex_state = 24, .external_lex_state = 2},
  [2571] = {.lex_state = 24, .external_lex_state = 2},
  [2572] = {.lex_state = 24, .external_lex_state = 2},
  [2573] = {.lex_state = 24, .external_lex_state = 2},
  [2574] = {.lex_state = 24, .external_lex_state = 2},
  [2575] = {.lex_state = 24, .external_lex_state = 2},
  [2576] = {.lex_state = 24, .external_lex_state = 2},
  [2577] = {.lex_state = 24, .external_lex_state = 2},
  [2578] = {.lex_state = 24, .external_lex_state = 2},
  [2579] = {.lex_state = 24, .external_lex_state = 2},
  [2580] = {.lex_state = 24, .external_lex_state = 2},
  [2581] = {.lex_state = 24, .external_lex_state = 2},
  [2582] = {.lex_state = 24, .external_lex_state = 2},
  [2583] = {.lex_state = 24, .external_lex_state = 2},
  [2584] = {.lex_state = 24, .external_lex_state = 2},
  [2585] = {.lex_state = 24, .external_lex_state = 2},
  [2586] = {.lex_state = 24, .external_lex_state = 2},
  [2587] = {.lex_state = 24, .external_lex_state = 2},
  [2588] = {.lex_state = 24, .external_lex_state = 2},
  [2589] = {.lex_state = 24, .external_lex_state = 2},
  [2590] = {.lex_state = 24, .external_lex_state = 2},
  [2591] = {.lex_state = 24, .external_lex_state = 2},
  [2592] = {.lex_state = 24, .external_lex_state = 2},
  [2593] = {.lex_state = 24, .external_lex_state = 2},
  [2594] = {.lex_state = 24, .external_lex_state = 2},
  [2595] = {.lex_state = 24, .external_lex_state = 2},
  [2596] = {.lex_state = 24, .external_lex_state = 2},
  [2597] = {.lex_state = 24, .external_lex_state = 2},
  [2598] = {.lex_state = 24, .external_lex_state = 2},
  [2599] = {.lex_state = 24, .external_lex_state = 2},
  [2600] = {.lex_state = 24, .external_lex_state = 2},
  [2601] = {.lex_state = 24, .external_lex_state = 2},
  [2602] = {.lex_state = 24, .external_lex_state = 2},
  [2603] = {.lex_state = 24, .external_lex_state = 2},
  [2604] = {.lex_state = 24, .external_lex_state = 2},
  [2605] = {.lex_state = 24, .external_lex_state = 2},
  [2606] = {.lex_state = 24, .external_lex_state = 2},
  [2607] = {.lex_state = 24, .external_lex_state = 2},
  [2608] = {.lex_state = 24, .external_lex_state = 2},
  [2609] = {.lex_state = 24, .external_lex_state = 2},
  [2610] = {.lex_state = 24, .external_lex_state = 2},
  [2611] = {.lex_state = 24, .external_lex_state = 2},
  [2612] = {.lex_state = 24, .external_lex_state = 2},
  [2613] = {.lex_state = 24, .external_lex_state = 2},
  [2614] = {.lex_state = 24, .external_lex_state = 2},
  [2615] = {.lex_state = 24, .external_lex_state = 2},
  [2616] = {.lex_state = 24, .external_lex_state = 2},
  [2617] = {.lex_state = 24, .external_lex_state = 2},
  [2618] = {.lex_state = 24, .external_lex_state = 2},
  [2619] = {.lex_state = 24, .external_lex_state = 2},
  [2620] = {.lex_state = 24, .external_lex_state = 2},
  [2621] = {.lex_state = 24, .external_lex_state = 2},
  [2622] = {.lex_state = 24, .external_lex_state = 2},
  [2623] = {.lex_state = 24, .external_lex_state = 2},
  [2624] = {.lex_state = 24, .external_lex_state = 2},
  [2625] = {.lex_state = 24, .external_lex_state = 2},
  [2626] = {.lex_state = 24, .external_lex_state = 2},
  [2627] = {.lex_state = 24, .external_lex_state = 2},
  [2628] = {.lex_state = 24, .external_lex_state = 2},
  [2629] = {.lex_state = 24, .external_lex_state = 2},
  [2630] = {.lex_state = 24, .external_lex_state = 2},
  [2631] = {.lex_state = 24, .external_lex_state = 2},
  [2632] = {.lex_state = 24, .external_lex_state = 2},
  [2633] = {.lex_state = 24, .external_lex_state = 2},
  [2634] = {.lex_state = 24, .external_lex_state = 2},
  [2635] = {.lex_state = 24, .external_lex_state = 2},
  [2636] = {.lex_state = 24, .external_lex_state = 2},
  [2637] = {.lex_state = 24, .external_lex_state = 2},
  [2638] = {.lex_state = 24, .external_lex_state = 2},
  [2639] = {.lex_state = 24, .external_lex_state = 2},
  [2640] = {.lex_state = 24, .external_lex_state = 2},
  [2641] = {.lex_state = 24, .external_lex_state = 2},
  [2642] = {.lex_state = 24, .external_lex_state = 2},
  [2643] = {.lex_state = 24, .external_lex_state = 2},
  [2644] = {.lex_state = 24, .external_lex_state = 2},
  [2645] = {.lex_state = 24, .external_lex_state = 2},
  [2646] = {.lex_state = 24, .external_lex_state = 2},
  [2647] = {.lex_state = 24, .external_lex_state = 2},
  [2648] = {.lex_state = 24, .external_lex_state = 2},
  [2649] = {.lex_state = 24, .external_lex_state = 2},
  [2650] = {.lex_state = 24, .external_lex_state = 2},
  [2651] = {.lex_state = 24, .external_lex_state = 2},
  [2652] = {.lex_state = 24, .external_lex_state = 2},
  [2653] = {.lex_state = 24, .external_lex_state = 2},
  [2654] = {.lex_state = 24, .external_lex_state = 2},
  [2655] = {.lex_state = 24, .external_lex_state = 2},
  [2656] = {.lex_state = 24, .external_lex_state = 2},
  [2657] = {.lex_state = 24, .external_lex_state = 2},
  [2658] = {.lex_state = 24, .external_lex_state = 2},
  [2659] = {.lex_state = 24, .external_lex_state = 2},
  [2660] = {.lex_state = 24, .external_lex_state = 2},
  [2661] = {.lex_state = 24, .external_lex_state = 2},
  [2662] = {.lex_state = 24, .external_lex_state = 2},
  [2663] = {.lex_state = 24, .external_lex_state = 2},
  [2664] = {.lex_state = 24, .external_lex_state = 2},
  [2665] = {.lex_state = 24, .external_lex_state = 2},
  [2666] = {.lex_state = 24, .external_lex_state = 2},
  [2667] = {.lex_state = 24, .external_lex_state = 2},
  [2668] = {.lex_state = 24, .external_lex_state = 2},
  [2669] = {.lex_state = 24, .external_lex_state = 2},
  [2670] = {.lex_state = 24, .external_lex_state = 2},
  [2671] = {.lex_state = 24, .external_lex_state = 2},
  [2672] = {.lex_state = 24, .external_lex_state = 2},
  [2673] = {.lex_state = 24, .external_lex_state = 2},
  [2674] = {.lex_state = 24, .external_lex_state = 2},
  [2675] = {.lex_state = 24, .external_lex_state = 2},
  [2676] = {.lex_state = 24, .external_lex_state = 2},
  [2677] = {.lex_state = 24, .external_lex_state = 2},
  [2678] = {.lex_state = 24, .external_lex_state = 2},
  [2679] = {.lex_state = 24, .external_lex_state = 2},
  [2680] = {.lex_state = 24, .external_lex_state = 2},
  [2681] = {.lex_state = 24, .external_lex_state = 2},
  [2682] = {.lex_state = 24, .external_lex_state = 2},
  [2683] = {.lex_state = 24, .external_lex_state = 2},
  [2684] = {.lex_state = 24, .external_lex_state = 2},
  [2685] = {.lex_state = 24, .external_lex_state = 2},
  [2686] = {.lex_state = 24, .external_lex_state = 2},
  [2687] = {.lex_state = 24, .external_lex_state = 2},
  [2688] = {.lex_state = 24, .external_lex_state = 2},
  [2689] = {.lex_state = 24, .external_lex_state = 2},
  [2690] = {.lex_state = 24, .external_lex_state = 2},
  [2691] = {.lex_state = 24, .external_lex_state = 2},
  [2692] = {.lex_state = 24, .external_lex_state = 2},
  [2693] = {.lex_state = 24, .external_lex_state = 2},
  [2694] = {.lex_state = 24, .external_lex_state = 2},
  [2695] = {.lex_state = 24, .external_lex_state = 2},
  [2696] = {.lex_state = 24, .external_lex_state = 2},
  [2697] = {.lex_state = 24, .external_lex_state = 2},
  [2698] = {.lex_state = 24, .external_lex_state = 2},
  [2699] = {.lex_state = 24, .external_lex_state = 2},
  [2700] = {.lex_state = 24, .external_lex_state = 2},
  [2701] = {.lex_state = 24, .external_lex_state = 2},
  [2702] = {.lex_state = 24, .external_lex_state = 2},
  [2703] = {.lex_state = 24, .external_lex_state = 2},
  [2704] = {.lex_state = 24, .external_lex_state = 2},
  [2705] = {.lex_state = 24, .external_lex_state = 2},
  [2706] = {.lex_state = 24, .external_lex_state = 2},
  [2707] = {.lex_state = 24, .external_lex_state = 2},
  [2708] = {.lex_state = 24, .external_lex_state = 2},
  [2709] = {.lex_state = 24, .external_lex_state = 2},
  [2710] = {.lex_state = 24, .external_lex_state = 2},
  [2711] = {.lex_state = 24, .external_lex_state = 2},
  [2712] = {.lex_state = 24, .external_lex_state = 2},
  [2713] = {.lex_state = 24, .external_lex_state = 2},
  [2714] = {.lex_state = 24, .external_lex_state = 2},
  [2715] = {.lex_state = 24, .external_lex_state = 2},
  [2716] = {.lex_state = 24, .external_lex_state = 2},
  [2717] = {.lex_state = 24, .external_lex_state = 2},
  [2718] = {.lex_state = 24, .external_lex_state = 2},
  [2719] = {.lex_state = 24, .external_lex_state = 2},
  [2720] = {.lex_state = 420, .external_lex_state = 2},
  [2721] = {.lex_state = 24, .external_lex_state = 2},
  [2722] = {.lex_state = 24, .external_lex_state = 2},
  [2723] = {.lex_state = 24, .external_lex_state = 2},
  [2724] = {.lex_state = 24, .external_lex_state = 2},
  [2725] = {.lex_state = 24, .external_lex_state = 2},
  [2726] = {.lex_state = 24, .external_lex_state = 2},
  [2727] = {.lex_state = 24, .external_lex_state = 2},
  [2728] = {.lex_state = 24, .external_lex_state = 2},
  [2729] = {.lex_state = 24, .external_lex_state = 2},
  [2730] = {.lex_state = 24, .external_lex_state = 2},
  [2731] = {.lex_state = 24, .external_lex_state = 2},
  [2732] = {.lex_state = 24, .external_lex_state = 2},
  [2733] = {.lex_state = 24, .external_lex_state = 2},
  [2734] = {.lex_state = 24, .external_lex_state = 2},
  [2735] = {.lex_state = 24, .external_lex_state = 2},
  [2736] = {.lex_state = 24, .external_lex_state = 2},
  [2737] = {.lex_state = 24, .external_lex_state = 2},
  [2738] = {.lex_state = 24, .external_lex_state = 2},
  [2739] = {.lex_state = 24, .external_lex_state = 2},
  [2740] = {.lex_state = 24, .external_lex_state = 2},
  [2741] = {.lex_state = 24, .external_lex_state = 2},
  [2742] = {.lex_state = 24, .external_lex_state = 2},
  [2743] = {.lex_state = 24, .external_lex_state = 2},
  [2744] = {.lex_state = 24, .external_lex_state = 2},
  [2745] = {.lex_state = 24, .external_lex_state = 2},
  [2746] = {.lex_state = 24, .external_lex_state = 2},
  [2747] = {.lex_state = 24, .external_lex_state = 2},
  [2748] = {.lex_state = 24, .external_lex_state = 2},
  [2749] = {.lex_state = 420, .external_lex_state = 2},
  [2750] = {.lex_state = 24, .external_lex_state = 2},
  [2751] = {.lex_state = 24, .external_lex_state = 2},
  [2752] = {.lex_state = 24, .external_lex_state = 2},
  [2753] = {.lex_state = 24, .external_lex_state = 2},
  [2754] = {.lex_state = 24, .external_lex_state = 2},
  [2755] = {.lex_state = 24, .external_lex_state = 2},
  [2756] = {.lex_state = 24, .external_lex_state = 2},
  [2757] = {.lex_state = 24, .external_lex_state = 2},
  [2758] = {.lex_state = 24, .external_lex_state = 2},
  [2759] = {.lex_state = 24, .external_lex_state = 2},
  [2760] = {.lex_state = 24, .external_lex_state = 2},
  [2761] = {.lex_state = 24, .external_lex_state = 2},
  [2762] = {.lex_state = 24, .external_lex_state = 2},
  [2763] = {.lex_state = 78, .external_lex_state = 2},
  [2764] = {.lex_state = 24, .external_lex_state = 2},
  [2765] = {.lex_state = 24, .external_lex_state = 2},
  [2766] = {.lex_state = 24, .external_lex_state = 2},
  [2767] = {.lex_state = 24, .external_lex_state = 2},
  [2768] = {.lex_state = 24, .external_lex_state = 2},
  [2769] = {.lex_state = 24, .external_lex_state = 2},
  [2770] = {.lex_state = 24, .external_lex_state = 2},
  [2771] = {.lex_state = 24, .external_lex_state = 2},
  [2772] = {.lex_state = 24, .external_lex_state = 2},
  [2773] = {.lex_state = 24, .external_lex_state = 2},
  [2774] = {.lex_state = 24, .external_lex_state = 2},
  [2775] = {.lex_state = 24, .external_lex_state = 2},
  [2776] = {.lex_state = 24, .external_lex_state = 2},
  [2777] = {.lex_state = 24, .external_lex_state = 2},
  [2778] = {.lex_state = 24, .external_lex_state = 2},
  [2779] = {.lex_state = 24, .external_lex_state = 2},
  [2780] = {.lex_state = 24, .external_lex_state = 2},
  [2781] = {.lex_state = 24, .external_lex_state = 2},
  [2782] = {.lex_state = 24, .external_lex_state = 2},
  [2783] = {.lex_state = 24, .external_lex_state = 2},
  [2784] = {.lex_state = 24, .external_lex_state = 2},
  [2785] = {.lex_state = 24, .external_lex_state = 2},
  [2786] = {.lex_state = 24, .external_lex_state = 2},
  [2787] = {.lex_state = 24, .external_lex_state = 2},
  [2788] = {.lex_state = 24, .external_lex_state = 2},
  [2789] = {.lex_state = 24, .external_lex_state = 2},
  [2790] = {.lex_state = 24, .external_lex_state = 2},
  [2791] = {.lex_state = 24, .external_lex_state = 2},
  [2792] = {.lex_state = 24, .external_lex_state = 2},
  [2793] = {.lex_state = 24, .external_lex_state = 2},
  [2794] = {.lex_state = 24, .external_lex_state = 2},
  [2795] = {.lex_state = 24, .external_lex_state = 2},
  [2796] = {.lex_state = 24, .external_lex_state = 2},
  [2797] = {.lex_state = 24, .external_lex_state = 2},
  [2798] = {.lex_state = 24, .external_lex_state = 2},
  [2799] = {.lex_state = 24, .external_lex_state = 2},
  [2800] = {.lex_state = 24, .external_lex_state = 2},
  [2801] = {.lex_state = 24, .external_lex_state = 2},
  [2802] = {.lex_state = 24, .external_lex_state = 2},
  [2803] = {.lex_state = 24, .external_lex_state = 2},
  [2804] = {.lex_state = 24, .external_lex_state = 2},
  [2805] = {.lex_state = 24, .external_lex_state = 2},
  [2806] = {.lex_state = 24, .external_lex_state = 2},
  [2807] = {.lex_state = 24, .external_lex_state = 2},
  [2808] = {.lex_state = 24, .external_lex_state = 2},
  [2809] = {.lex_state = 24, .external_lex_state = 2},
  [2810] = {.lex_state = 24, .external_lex_state = 2},
  [2811] = {.lex_state = 24, .external_lex_state = 2},
  [2812] = {.lex_state = 24, .external_lex_state = 2},
  [2813] = {.lex_state = 79, .external_lex_state = 2},
  [2814] = {.lex_state = 42, .external_lex_state = 2},
  [2815] = {.lex_state = 409, .external_lex_state = 2},
  [2816] = {.lex_state = 424, .external_lex_state = 2},
  [2817] = {.lex_state = 409, .external_lex_state = 2},
  [2818] = {.lex_state = 42, .external_lex_state = 2},
  [2819] = {.lex_state = 409, .external_lex_state = 2},
  [2820] = {.lex_state = 409, .external_lex_state = 2},
  [2821] = {.lex_state = 424, .external_lex_state = 2},
  [2822] = {.lex_state = 44, .external_lex_state = 2},
  [2823] = {.lex_state = 423, .external_lex_state = 2},
  [2824] = {.lex_state = 410, .external_lex_state = 2},
  [2825] = {.lex_state = 410, .external_lex_state = 2},
  [2826] = {.lex_state = 410, .external_lex_state = 2},
  [2827] = {.lex_state = 43, .external_lex_state = 2},
  [2828] = {.lex_state = 407, .external_lex_state = 2},
  [2829] = {.lex_state = 43, .external_lex_state = 2},
  [2830] = {.lex_state = 407, .external_lex_state = 2},
  [2831] = {.lex_state = 423, .external_lex_state = 2},
  [2832] = {.lex_state = 410, .external_lex_state = 2},
  [2833] = {.lex_state = 407, .external_lex_state = 2},
  [2834] = {.lex_state = 80, .external_lex_state = 2},
  [2835] = {.lex_state = 407, .external_lex_state = 2},
  [2836] = {.lex_state = 44, .external_lex_state = 2},
  [2837] = {.lex_state = 408, .external_lex_state = 2},
  [2838] = {.lex_state = 408, .external_lex_state = 2},
  [2839] = {.lex_state = 45, .external_lex_state = 2},
  [2840] = {.lex_state = 408, .external_lex_state = 2},
  [2841] = {.lex_state = 408, .external_lex_state = 2},
  [2842] = {.lex_state = 45, .external_lex_state = 2},
  [2843] = {.lex_state = 412, .external_lex_state = 2},
  [2844] = {.lex_state = 412, .external_lex_state = 2},
  [2845] = {.lex_state = 46, .external_lex_state = 2},
  [2846] = {.lex_state = 412, .external_lex_state = 2},
  [2847] = {.lex_state = 412, .external_lex_state = 2},
  [2848] = {.lex_state = 46, .external_lex_state = 2},
  [2849] = {.lex_state = 411, .external_lex_state = 2},
  [2850] = {.lex_state = 411, .external_lex_state = 2},
  [2851] = {.lex_state = 411, .external_lex_state = 2},
  [2852] = {.lex_state = 47, .external_lex_state = 2},
  [2853] = {.lex_state = 411, .external_lex_state = 2},
  [2854] = {.lex_state = 47, .external_lex_state = 2},
  [2855] = {.lex_state = 59, .external_lex_state = 2},
  [2856] = {.lex_state = 60, .external_lex_state = 2},
  [2857] = {.lex_state = 56, .external_lex_state = 2},
  [2858] = {.lex_state = 433, .external_lex_state = 2},
  [2859] = {.lex_state = 55, .external_lex_state = 2},
  [2860] = {.lex_state = 58, .external_lex_state = 2},
  [2861] = {.lex_state = 59, .external_lex_state = 2},
  [2862] = {.lex_state = 59, .external_lex_state = 2},
  [2863] = {.lex_state = 60, .external_lex_state = 2},
  [2864] = {.lex_state = 434, .external_lex_state = 2},
  [2865] = {.lex_state = 57, .external_lex_state = 2},
  [2866] = {.lex_state = 149, .external_lex_state = 2},
  [2867] = {.lex_state = 433, .external_lex_state = 2},
  [2868] = {.lex_state = 60, .external_lex_state = 2},
  [2869] = {.lex_state = 56, .external_lex_state = 2},
  [2870] = {.lex_state = 97, .external_lex_state = 2},
  [2871] = {.lex_state = 150, .external_lex_state = 2},
  [2872] = {.lex_state = 97, .external_lex_state = 2},
  [2873] = {.lex_state = 97, .external_lex_state = 2},
  [2874] = {.lex_state = 97, .external_lex_state = 2},
  [2875] = {.lex_state = 434, .external_lex_state = 2},
  [2876] = {.lex_state = 97, .external_lex_state = 2},
  [2877] = {.lex_state = 97, .external_lex_state = 2},
  [2878] = {.lex_state = 97, .external_lex_state = 2},
  [2879] = {.lex_state = 97, .external_lex_state = 2},
  [2880] = {.lex_state = 56, .external_lex_state = 2},
  [2881] = {.lex_state = 149, .external_lex_state = 2},
  [2882] = {.lex_state = 150, .external_lex_state = 2},
  [2883] = {.lex_state = 58, .external_lex_state = 2},
  [2884] = {.lex_state = 55, .external_lex_state = 2},
  [2885] = {.lex_state = 73, .external_lex_state = 2},
  [2886] = {.lex_state = 58, .external_lex_state = 2},
  [2887] = {.lex_state = 55, .external_lex_state = 2},
  [2888] = {.lex_state = 98, .external_lex_state = 2},
  [2889] = {.lex_state = 98, .external_lex_state = 2},
  [2890] = {.lex_state = 98, .external_lex_state = 2},
  [2891] = {.lex_state = 98, .external_lex_state = 2},
  [2892] = {.lex_state = 74, .external_lex_state = 2},
  [2893] = {.lex_state = 98, .external_lex_state = 2},
  [2894] = {.lex_state = 57, .external_lex_state = 2},
  [2895] = {.lex_state = 98, .external_lex_state = 2},
  [2896] = {.lex_state = 98, .external_lex_state = 2},
  [2897] = {.lex_state = 98, .external_lex_state = 2},
  [2898] = {.lex_state = 98, .external_lex_state = 2},
  [2899] = {.lex_state = 98, .external_lex_state = 2},
  [2900] = {.lex_state = 57, .external_lex_state = 2},
  [2901] = {.lex_state = 63, .external_lex_state = 2},
  [2902] = {.lex_state = 65, .external_lex_state = 2},
  [2903] = {.lex_state = 73, .external_lex_state = 2},
  [2904] = {.lex_state = 64, .external_lex_state = 2},
  [2905] = {.lex_state = 61, .external_lex_state = 2},
  [2906] = {.lex_state = 73, .external_lex_state = 2},
  [2907] = {.lex_state = 68, .external_lex_state = 2},
  [2908] = {.lex_state = 69, .external_lex_state = 2},
  [2909] = {.lex_state = 67, .external_lex_state = 2},
  [2910] = {.lex_state = 99, .external_lex_state = 2},
  [2911] = {.lex_state = 66, .external_lex_state = 2},
  [2912] = {.lex_state = 99, .external_lex_state = 2},
  [2913] = {.lex_state = 99, .external_lex_state = 2},
  [2914] = {.lex_state = 71, .external_lex_state = 2},
  [2915] = {.lex_state = 74, .external_lex_state = 2},
  [2916] = {.lex_state = 99, .external_lex_state = 2},
  [2917] = {.lex_state = 433, .external_lex_state = 2},
  [2918] = {.lex_state = 99, .external_lex_state = 2},
  [2919] = {.lex_state = 70, .external_lex_state = 2},
  [2920] = {.lex_state = 74, .external_lex_state = 2},
  [2921] = {.lex_state = 99, .external_lex_state = 2},
  [2922] = {.lex_state = 433, .external_lex_state = 2},
  [2923] = {.lex_state = 62, .external_lex_state = 2},
  [2924] = {.lex_state = 149, .external_lex_state = 2},
  [2925] = {.lex_state = 99, .external_lex_state = 2},
  [2926] = {.lex_state = 72, .external_lex_state = 2},
  [2927] = {.lex_state = 63, .external_lex_state = 2},
  [2928] = {.lex_state = 150, .external_lex_state = 2},
  [2929] = {.lex_state = 397, .external_lex_state = 2},
  [2930] = {.lex_state = 397, .external_lex_state = 2},
  [2931] = {.lex_state = 397, .external_lex_state = 2},
  [2932] = {.lex_state = 397, .external_lex_state = 2},
  [2933] = {.lex_state = 434, .external_lex_state = 2},
  [2934] = {.lex_state = 13, .external_lex_state = 2},
  [2935] = {.lex_state = 13, .external_lex_state = 2},
  [2936] = {.lex_state = 397, .external_lex_state = 2},
  [2937] = {.lex_state = 13, .external_lex_state = 2},
  [2938] = {.lex_state = 63, .external_lex_state = 2},
  [2939] = {.lex_state = 434, .external_lex_state = 2},
  [2940] = {.lex_state = 397, .external_lex_state = 2},
  [2941] = {.lex_state = 100, .external_lex_state = 2},
  [2942] = {.lex_state = 100, .external_lex_state = 2},
  [2943] = {.lex_state = 100, .external_lex_state = 2},
  [2944] = {.lex_state = 100, .external_lex_state = 2},
  [2945] = {.lex_state = 64, .external_lex_state = 2},
  [2946] = {.lex_state = 68, .external_lex_state = 2},
  [2947] = {.lex_state = 100, .external_lex_state = 2},
  [2948] = {.lex_state = 100, .external_lex_state = 2},
  [2949] = {.lex_state = 61, .external_lex_state = 2},
  [2950] = {.lex_state = 69, .external_lex_state = 2},
  [2951] = {.lex_state = 67, .external_lex_state = 2},
  [2952] = {.lex_state = 68, .external_lex_state = 2},
  [2953] = {.lex_state = 61, .external_lex_state = 2},
  [2954] = {.lex_state = 64, .external_lex_state = 2},
  [2955] = {.lex_state = 69, .external_lex_state = 2},
  [2956] = {.lex_state = 67, .external_lex_state = 2},
  [2957] = {.lex_state = 100, .external_lex_state = 2},
  [2958] = {.lex_state = 100, .external_lex_state = 2},
  [2959] = {.lex_state = 65, .external_lex_state = 2},
  [2960] = {.lex_state = 65, .external_lex_state = 2},
  [2961] = {.lex_state = 100, .external_lex_state = 2},
  [2962] = {.lex_state = 17, .external_lex_state = 2},
  [2963] = {.lex_state = 70, .external_lex_state = 2},
  [2964] = {.lex_state = 18, .external_lex_state = 2},
  [2965] = {.lex_state = 66, .external_lex_state = 2},
  [2966] = {.lex_state = 70, .external_lex_state = 2},
  [2967] = {.lex_state = 72, .external_lex_state = 2},
  [2968] = {.lex_state = 18, .external_lex_state = 2},
  [2969] = {.lex_state = 62, .external_lex_state = 2},
  [2970] = {.lex_state = 71, .external_lex_state = 2},
  [2971] = {.lex_state = 17, .external_lex_state = 2},
  [2972] = {.lex_state = 62, .external_lex_state = 2},
  [2973] = {.lex_state = 17, .external_lex_state = 2},
  [2974] = {.lex_state = 18, .external_lex_state = 2},
  [2975] = {.lex_state = 71, .external_lex_state = 2},
  [2976] = {.lex_state = 66, .external_lex_state = 2},
  [2977] = {.lex_state = 72, .external_lex_state = 2},
  [2978] = {.lex_state = 139, .external_lex_state = 2},
  [2979] = {.lex_state = 432, .external_lex_state = 2},
  [2980] = {.lex_state = 19, .external_lex_state = 2},
  [2981] = {.lex_state = 432, .external_lex_state = 2},
  [2982] = {.lex_state = 432, .external_lex_state = 2},
  [2983] = {.lex_state = 432, .external_lex_state = 2},
  [2984] = {.lex_state = 432, .external_lex_state = 2},
  [2985] = {.lex_state = 432, .external_lex_state = 2},
  [2986] = {.lex_state = 432, .external_lex_state = 2},
  [2987] = {.lex_state = 432, .external_lex_state = 2},
  [2988] = {.lex_state = 432, .external_lex_state = 2},
  [2989] = {.lex_state = 432, .external_lex_state = 2},
  [2990] = {.lex_state = 432, .external_lex_state = 2},
  [2991] = {.lex_state = 432, .external_lex_state = 2},
  [2992] = {.lex_state = 432, .external_lex_state = 2},
  [2993] = {.lex_state = 432, .external_lex_state = 2},
  [2994] = {.lex_state = 432, .external_lex_state = 2},
  [2995] = {.lex_state = 432, .external_lex_state = 2},
  [2996] = {.lex_state = 19, .external_lex_state = 2},
  [2997] = {.lex_state = 145, .external_lex_state = 2},
  [2998] = {.lex_state = 432, .external_lex_state = 2},
  [2999] = {.lex_state = 19, .external_lex_state = 2},
  [3000] = {.lex_state = 145, .external_lex_state = 2},
  [3001] = {.lex_state = 145, .external_lex_state = 2},
  [3002] = {.lex_state = 432, .external_lex_state = 2},
  [3003] = {.lex_state = 145, .external_lex_state = 2},
  [3004] = {.lex_state = 432, .external_lex_state = 2},
  [3005] = {.lex_state = 145, .external_lex_state = 2},
  [3006] = {.lex_state = 139, .external_lex_state = 2},
  [3007] = {.lex_state = 145, .external_lex_state = 2},
  [3008] = {.lex_state = 145, .external_lex_state = 2},
  [3009] = {.lex_state = 145, .external_lex_state = 2},
  [3010] = {.lex_state = 145, .external_lex_state = 2},
  [3011] = {.lex_state = 432, .external_lex_state = 2},
  [3012] = {.lex_state = 145, .external_lex_state = 2},
  [3013] = {.lex_state = 146, .external_lex_state = 2},
  [3014] = {.lex_state = 139, .external_lex_state = 2},
  [3015] = {.lex_state = 144, .external_lex_state = 2},
  [3016] = {.lex_state = 144, .external_lex_state = 2},
  [3017] = {.lex_state = 144, .external_lex_state = 2},
  [3018] = {.lex_state = 146, .external_lex_state = 2},
  [3019] = {.lex_state = 146, .external_lex_state = 2},
  [3020] = {.lex_state = 151, .external_lex_state = 2},
  [3021] = {.lex_state = 144, .external_lex_state = 2},
  [3022] = {.lex_state = 146, .external_lex_state = 2},
  [3023] = {.lex_state = 144, .external_lex_state = 2},
  [3024] = {.lex_state = 144, .external_lex_state = 2},
  [3025] = {.lex_state = 144, .external_lex_state = 2},
  [3026] = {.lex_state = 144, .external_lex_state = 2},
  [3027] = {.lex_state = 144, .external_lex_state = 2},
  [3028] = {.lex_state = 146, .external_lex_state = 2},
  [3029] = {.lex_state = 146, .external_lex_state = 2},
  [3030] = {.lex_state = 146, .external_lex_state = 2},
  [3031] = {.lex_state = 146, .external_lex_state = 2},
  [3032] = {.lex_state = 146, .external_lex_state = 2},
  [3033] = {.lex_state = 146, .external_lex_state = 2},
  [3034] = {.lex_state = 144, .external_lex_state = 2},
  [3035] = {.lex_state = 432, .external_lex_state = 2},
  [3036] = {.lex_state = 151, .external_lex_state = 2},
  [3037] = {.lex_state = 139, .external_lex_state = 2},
  [3038] = {.lex_state = 152, .external_lex_state = 2},
  [3039] = {.lex_state = 145, .external_lex_state = 2},
  [3040] = {.lex_state = 152, .external_lex_state = 2},
  [3041] = {.lex_state = 140, .external_lex_state = 2},
  [3042] = {.lex_state = 140, .external_lex_state = 2},
  [3043] = {.lex_state = 144, .external_lex_state = 2},
  [3044] = {.lex_state = 140, .external_lex_state = 2},
  [3045] = {.lex_state = 140, .external_lex_state = 2},
  [3046] = {.lex_state = 140, .external_lex_state = 2},
  [3047] = {.lex_state = 140, .external_lex_state = 2},
  [3048] = {.lex_state = 140, .external_lex_state = 2},
  [3049] = {.lex_state = 139, .external_lex_state = 2},
  [3050] = {.lex_state = 139, .external_lex_state = 2},
  [3051] = {.lex_state = 140, .external_lex_state = 2},
  [3052] = {.lex_state = 140, .external_lex_state = 2},
  [3053] = {.lex_state = 139, .external_lex_state = 2},
  [3054] = {.lex_state = 140, .external_lex_state = 2},
  [3055] = {.lex_state = 139, .external_lex_state = 2},
  [3056] = {.lex_state = 140, .external_lex_state = 2},
  [3057] = {.lex_state = 140, .external_lex_state = 2},
  [3058] = {.lex_state = 139, .external_lex_state = 2},
  [3059] = {.lex_state = 140, .external_lex_state = 2},
  [3060] = {.lex_state = 140, .external_lex_state = 2},
  [3061] = {.lex_state = 140, .external_lex_state = 2},
  [3062] = {.lex_state = 140, .external_lex_state = 2},
  [3063] = {.lex_state = 140, .external_lex_state = 2},
  [3064] = {.lex_state = 140, .external_lex_state = 2},
  [3065] = {.lex_state = 139, .external_lex_state = 2},
  [3066] = {.lex_state = 140, .external_lex_state = 2},
  [3067] = {.lex_state = 140, .external_lex_state = 2},
  [3068] = {.lex_state = 139, .external_lex_state = 2},
  [3069] = {.lex_state = 140, .external_lex_state = 2},
  [3070] = {.lex_state = 140, .external_lex_state = 2},
  [3071] = {.lex_state = 139, .external_lex_state = 2},
  [3072] = {.lex_state = 140, .external_lex_state = 2},
  [3073] = {.lex_state = 139, .external_lex_state = 2},
  [3074] = {.lex_state = 139, .external_lex_state = 2},
  [3075] = {.lex_state = 140, .external_lex_state = 2},
  [3076] = {.lex_state = 139, .external_lex_state = 2},
  [3077] = {.lex_state = 140, .external_lex_state = 2},
  [3078] = {.lex_state = 139, .external_lex_state = 2},
  [3079] = {.lex_state = 139, .external_lex_state = 2},
  [3080] = {.lex_state = 140, .external_lex_state = 2},
  [3081] = {.lex_state = 140, .external_lex_state = 2},
  [3082] = {.lex_state = 139, .external_lex_state = 2},
  [3083] = {.lex_state = 140, .external_lex_state = 2},
  [3084] = {.lex_state = 140, .external_lex_state = 2},
  [3085] = {.lex_state = 140, .external_lex_state = 2},
  [3086] = {.lex_state = 140, .external_lex_state = 2},
  [3087] = {.lex_state = 140, .external_lex_state = 2},
  [3088] = {.lex_state = 140, .external_lex_state = 2},
  [3089] = {.lex_state = 140, .external_lex_state = 2},
  [3090] = {.lex_state = 139, .external_lex_state = 2},
  [3091] = {.lex_state = 139, .external_lex_state = 2},
  [3092] = {.lex_state = 139, .external_lex_state = 2},
  [3093] = {.lex_state = 139, .external_lex_state = 2},
  [3094] = {.lex_state = 140, .external_lex_state = 2},
  [3095] = {.lex_state = 140, .external_lex_state = 2},
  [3096] = {.lex_state = 139, .external_lex_state = 2},
  [3097] = {.lex_state = 140, .external_lex_state = 2},
  [3098] = {.lex_state = 140, .external_lex_state = 2},
  [3099] = {.lex_state = 139, .external_lex_state = 2},
  [3100] = {.lex_state = 139, .external_lex_state = 2},
  [3101] = {.lex_state = 139, .external_lex_state = 2},
  [3102] = {.lex_state = 139, .external_lex_state = 2},
  [3103] = {.lex_state = 140, .external_lex_state = 2},
  [3104] = {.lex_state = 140, .external_lex_state = 2},
  [3105] = {.lex_state = 140, .external_lex_state = 2},
  [3106] = {.lex_state = 139, .external_lex_state = 2},
  [3107] = {.lex_state = 139, .external_lex_state = 2},
  [3108] = {.lex_state = 139, .external_lex_state = 2},
  [3109] = {.lex_state = 139, .external_lex_state = 2},
  [3110] = {.lex_state = 139, .external_lex_state = 2},
  [3111] = {.lex_state = 146, .external_lex_state = 2},
  [3112] = {.lex_state = 140, .external_lex_state = 2},
  [3113] = {.lex_state = 140, .external_lex_state = 2},
  [3114] = {.lex_state = 139, .external_lex_state = 2},
  [3115] = {.lex_state = 139, .external_lex_state = 2},
  [3116] = {.lex_state = 139, .external_lex_state = 2},
  [3117] = {.lex_state = 140, .external_lex_state = 2},
  [3118] = {.lex_state = 140, .external_lex_state = 2},
  [3119] = {.lex_state = 139, .external_lex_state = 2},
  [3120] = {.lex_state = 140, .external_lex_state = 2},
  [3121] = {.lex_state = 139, .external_lex_state = 2},
  [3122] = {.lex_state = 139, .external_lex_state = 2},
  [3123] = {.lex_state = 139, .external_lex_state = 2},
  [3124] = {.lex_state = 139, .external_lex_state = 2},
  [3125] = {.lex_state = 140, .external_lex_state = 2},
  [3126] = {.lex_state = 139, .external_lex_state = 2},
  [3127] = {.lex_state = 139, .external_lex_state = 2},
  [3128] = {.lex_state = 140, .external_lex_state = 2},
  [3129] = {.lex_state = 140, .external_lex_state = 2},
  [3130] = {.lex_state = 139, .external_lex_state = 2},
  [3131] = {.lex_state = 139, .external_lex_state = 2},
  [3132] = {.lex_state = 139, .external_lex_state = 2},
  [3133] = {.lex_state = 140, .external_lex_state = 2},
  [3134] = {.lex_state = 139, .external_lex_state = 2},
  [3135] = {.lex_state = 139, .external_lex_state = 2},
  [3136] = {.lex_state = 140, .external_lex_state = 2},
  [3137] = {.lex_state = 139, .external_lex_state = 2},
  [3138] = {.lex_state = 140, .external_lex_state = 2},
  [3139] = {.lex_state = 139, .external_lex_state = 2},
  [3140] = {.lex_state = 139, .external_lex_state = 2},
  [3141] = {.lex_state = 140, .external_lex_state = 2},
  [3142] = {.lex_state = 139, .external_lex_state = 2},
  [3143] = {.lex_state = 140, .external_lex_state = 2},
  [3144] = {.lex_state = 139, .external_lex_state = 2},
  [3145] = {.lex_state = 139, .external_lex_state = 2},
  [3146] = {.lex_state = 139, .external_lex_state = 2},
  [3147] = {.lex_state = 140, .external_lex_state = 2},
  [3148] = {.lex_state = 139, .external_lex_state = 2},
  [3149] = {.lex_state = 139, .external_lex_state = 2},
  [3150] = {.lex_state = 139, .external_lex_state = 2},
  [3151] = {.lex_state = 139, .external_lex_state = 2},
  [3152] = {.lex_state = 139, .external_lex_state = 2},
  [3153] = {.lex_state = 139, .external_lex_state = 2},
  [3154] = {.lex_state = 142, .external_lex_state = 2},
  [3155] = {.lex_state = 139, .external_lex_state = 2},
  [3156] = {.lex_state = 139, .external_lex_state = 2},
  [3157] = {.lex_state = 139, .external_lex_state = 2},
  [3158] = {.lex_state = 139, .external_lex_state = 2},
  [3159] = {.lex_state = 139, .external_lex_state = 2},
  [3160] = {.lex_state = 139, .external_lex_state = 2},
  [3161] = {.lex_state = 139, .external_lex_state = 2},
  [3162] = {.lex_state = 139, .external_lex_state = 2},
  [3163] = {.lex_state = 139, .external_lex_state = 2},
  [3164] = {.lex_state = 139, .external_lex_state = 2},
  [3165] = {.lex_state = 139, .external_lex_state = 2},
  [3166] = {.lex_state = 139, .external_lex_state = 2},
  [3167] = {.lex_state = 139, .external_lex_state = 2},
  [3168] = {.lex_state = 139, .external_lex_state = 2},
  [3169] = {.lex_state = 139, .external_lex_state = 2},
  [3170] = {.lex_state = 139, .external_lex_state = 2},
  [3171] = {.lex_state = 139, .external_lex_state = 2},
  [3172] = {.lex_state = 142, .external_lex_state = 2},
  [3173] = {.lex_state = 139, .external_lex_state = 2},
  [3174] = {.lex_state = 139, .external_lex_state = 2},
  [3175] = {.lex_state = 139, .external_lex_state = 2},
  [3176] = {.lex_state = 139, .external_lex_state = 2},
  [3177] = {.lex_state = 139, .external_lex_state = 2},
  [3178] = {.lex_state = 139, .external_lex_state = 2},
  [3179] = {.lex_state = 139, .external_lex_state = 2},
  [3180] = {.lex_state = 139, .external_lex_state = 2},
  [3181] = {.lex_state = 139, .external_lex_state = 2},
  [3182] = {.lex_state = 139, .external_lex_state = 2},
  [3183] = {.lex_state = 139, .external_lex_state = 2},
  [3184] = {.lex_state = 139, .external_lex_state = 2},
  [3185] = {.lex_state = 139, .external_lex_state = 2},
  [3186] = {.lex_state = 139, .external_lex_state = 2},
  [3187] = {.lex_state = 139, .external_lex_state = 2},
  [3188] = {.lex_state = 139, .external_lex_state = 2},
  [3189] = {.lex_state = 142, .external_lex_state = 2},
  [3190] = {.lex_state = 139, .external_lex_state = 2},
  [3191] = {.lex_state = 139, .external_lex_state = 2},
  [3192] = {.lex_state = 139, .external_lex_state = 2},
  [3193] = {.lex_state = 139, .external_lex_state = 2},
  [3194] = {.lex_state = 139, .external_lex_state = 2},
  [3195] = {.lex_state = 139, .external_lex_state = 2},
  [3196] = {.lex_state = 139, .external_lex_state = 2},
  [3197] = {.lex_state = 139, .external_lex_state = 2},
  [3198] = {.lex_state = 139, .external_lex_state = 2},
  [3199] = {.lex_state = 139, .external_lex_state = 2},
  [3200] = {.lex_state = 139, .external_lex_state = 2},
  [3201] = {.lex_state = 139, .external_lex_state = 2},
  [3202] = {.lex_state = 139, .external_lex_state = 2},
  [3203] = {.lex_state = 142, .external_lex_state = 2},
  [3204] = {.lex_state = 139, .external_lex_state = 2},
  [3205] = {.lex_state = 139, .external_lex_state = 2},
  [3206] = {.lex_state = 139, .external_lex_state = 2},
  [3207] = {.lex_state = 139, .external_lex_state = 2},
  [3208] = {.lex_state = 139, .external_lex_state = 2},
  [3209] = {.lex_state = 139, .external_lex_state = 2},
  [3210] = {.lex_state = 139, .external_lex_state = 2},
  [3211] = {.lex_state = 139, .external_lex_state = 2},
  [3212] = {.lex_state = 139, .external_lex_state = 2},
  [3213] = {.lex_state = 139, .external_lex_state = 2},
  [3214] = {.lex_state = 139, .external_lex_state = 2},
  [3215] = {.lex_state = 139, .external_lex_state = 2},
  [3216] = {.lex_state = 139, .external_lex_state = 2},
  [3217] = {.lex_state = 139, .external_lex_state = 2},
  [3218] = {.lex_state = 139, .external_lex_state = 2},
  [3219] = {.lex_state = 139, .external_lex_state = 2},
  [3220] = {.lex_state = 139, .external_lex_state = 2},
  [3221] = {.lex_state = 139, .external_lex_state = 2},
  [3222] = {.lex_state = 139, .external_lex_state = 2},
  [3223] = {.lex_state = 139, .external_lex_state = 2},
  [3224] = {.lex_state = 139, .external_lex_state = 2},
  [3225] = {.lex_state = 139, .external_lex_state = 2},
  [3226] = {.lex_state = 139, .external_lex_state = 2},
  [3227] = {.lex_state = 139, .external_lex_state = 2},
  [3228] = {.lex_state = 139, .external_lex_state = 2},
  [3229] = {.lex_state = 139, .external_lex_state = 2},
  [3230] = {.lex_state = 139, .external_lex_state = 2},
  [3231] = {.lex_state = 139, .external_lex_state = 2},
  [3232] = {.lex_state = 139, .external_lex_state = 2},
  [3233] = {.lex_state = 139, .external_lex_state = 2},
  [3234] = {.lex_state = 139, .external_lex_state = 2},
  [3235] = {.lex_state = 139, .external_lex_state = 2},
  [3236] = {.lex_state = 139, .external_lex_state = 2},
  [3237] = {.lex_state = 139, .external_lex_state = 2},
  [3238] = {.lex_state = 139, .external_lex_state = 2},
  [3239] = {.lex_state = 139, .external_lex_state = 2},
  [3240] = {.lex_state = 139, .external_lex_state = 2},
  [3241] = {.lex_state = 139, .external_lex_state = 2},
  [3242] = {.lex_state = 139, .external_lex_state = 2},
  [3243] = {.lex_state = 139, .external_lex_state = 2},
  [3244] = {.lex_state = 139, .external_lex_state = 2},
  [3245] = {.lex_state = 139, .external_lex_state = 2},
  [3246] = {.lex_state = 139, .external_lex_state = 2},
  [3247] = {.lex_state = 139, .external_lex_state = 2},
  [3248] = {.lex_state = 139, .external_lex_state = 2},
  [3249] = {.lex_state = 139, .external_lex_state = 2},
  [3250] = {.lex_state = 139, .external_lex_state = 2},
  [3251] = {.lex_state = 139, .external_lex_state = 2},
  [3252] = {.lex_state = 139, .external_lex_state = 2},
  [3253] = {.lex_state = 139, .external_lex_state = 2},
  [3254] = {.lex_state = 139, .external_lex_state = 2},
  [3255] = {.lex_state = 139, .external_lex_state = 2},
  [3256] = {.lex_state = 139, .external_lex_state = 2},
  [3257] = {.lex_state = 142, .external_lex_state = 2},
  [3258] = {.lex_state = 139, .external_lex_state = 2},
  [3259] = {.lex_state = 139, .external_lex_state = 2},
  [3260] = {.lex_state = 139, .external_lex_state = 2},
  [3261] = {.lex_state = 139, .external_lex_state = 2},
  [3262] = {.lex_state = 139, .external_lex_state = 2},
  [3263] = {.lex_state = 139, .external_lex_state = 2},
  [3264] = {.lex_state = 139, .external_lex_state = 2},
  [3265] = {.lex_state = 139, .external_lex_state = 2},
  [3266] = {.lex_state = 139, .external_lex_state = 2},
  [3267] = {.lex_state = 139, .external_lex_state = 2},
  [3268] = {.lex_state = 139, .external_lex_state = 2},
  [3269] = {.lex_state = 139, .external_lex_state = 2},
  [3270] = {.lex_state = 139, .external_lex_state = 2},
  [3271] = {.lex_state = 139, .external_lex_state = 2},
  [3272] = {.lex_state = 139, .external_lex_state = 2},
  [3273] = {.lex_state = 139, .external_lex_state = 2},
  [3274] = {.lex_state = 139, .external_lex_state = 2},
  [3275] = {.lex_state = 139, .external_lex_state = 2},
  [3276] = {.lex_state = 139, .external_lex_state = 2},
  [3277] = {.lex_state = 139, .external_lex_state = 2},
  [3278] = {.lex_state = 139, .external_lex_state = 2},
  [3279] = {.lex_state = 139, .external_lex_state = 2},
  [3280] = {.lex_state = 139, .external_lex_state = 2},
  [3281] = {.lex_state = 139, .external_lex_state = 2},
  [3282] = {.lex_state = 139, .external_lex_state = 2},
  [3283] = {.lex_state = 139, .external_lex_state = 2},
  [3284] = {.lex_state = 139, .external_lex_state = 2},
  [3285] = {.lex_state = 139, .external_lex_state = 2},
  [3286] = {.lex_state = 139, .external_lex_state = 2},
  [3287] = {.lex_state = 139, .external_lex_state = 2},
  [3288] = {.lex_state = 139, .external_lex_state = 2},
  [3289] = {.lex_state = 139, .external_lex_state = 2},
  [3290] = {.lex_state = 139, .external_lex_state = 2},
  [3291] = {.lex_state = 139, .external_lex_state = 2},
  [3292] = {.lex_state = 139, .external_lex_state = 2},
  [3293] = {.lex_state = 139, .external_lex_state = 2},
  [3294] = {.lex_state = 139, .external_lex_state = 2},
  [3295] = {.lex_state = 139, .external_lex_state = 2},
  [3296] = {.lex_state = 139, .external_lex_state = 2},
  [3297] = {.lex_state = 139, .external_lex_state = 2},
  [3298] = {.lex_state = 139, .external_lex_state = 2},
  [3299] = {.lex_state = 139, .external_lex_state = 2},
  [3300] = {.lex_state = 139, .external_lex_state = 2},
  [3301] = {.lex_state = 139, .external_lex_state = 2},
  [3302] = {.lex_state = 139, .external_lex_state = 2},
  [3303] = {.lex_state = 139, .external_lex_state = 2},
  [3304] = {.lex_state = 139, .external_lex_state = 2},
  [3305] = {.lex_state = 139, .external_lex_state = 2},
  [3306] = {.lex_state = 139, .external_lex_state = 2},
  [3307] = {.lex_state = 139, .external_lex_state = 2},
  [3308] = {.lex_state = 139, .external_lex_state = 2},
  [3309] = {.lex_state = 139, .external_lex_state = 2},
  [3310] = {.lex_state = 139, .external_lex_state = 2},
  [3311] = {.lex_state = 139, .external_lex_state = 2},
  [3312] = {.lex_state = 139, .external_lex_state = 2},
  [3313] = {.lex_state = 139, .external_lex_state = 2},
  [3314] = {.lex_state = 139, .external_lex_state = 2},
  [3315] = {.lex_state = 139, .external_lex_state = 2},
  [3316] = {.lex_state = 139, .external_lex_state = 2},
  [3317] = {.lex_state = 139, .external_lex_state = 2},
  [3318] = {.lex_state = 139, .external_lex_state = 2},
  [3319] = {.lex_state = 139, .external_lex_state = 2},
  [3320] = {.lex_state = 139, .external_lex_state = 2},
  [3321] = {.lex_state = 139, .external_lex_state = 2},
  [3322] = {.lex_state = 139, .external_lex_state = 2},
  [3323] = {.lex_state = 139, .external_lex_state = 2},
  [3324] = {.lex_state = 139, .external_lex_state = 2},
  [3325] = {.lex_state = 139, .external_lex_state = 2},
  [3326] = {.lex_state = 139, .external_lex_state = 2},
  [3327] = {.lex_state = 139, .external_lex_state = 2},
  [3328] = {.lex_state = 139, .external_lex_state = 2},
  [3329] = {.lex_state = 139, .external_lex_state = 2},
  [3330] = {.lex_state = 139, .external_lex_state = 2},
  [3331] = {.lex_state = 139, .external_lex_state = 2},
  [3332] = {.lex_state = 139, .external_lex_state = 2},
  [3333] = {.lex_state = 139, .external_lex_state = 2},
  [3334] = {.lex_state = 139, .external_lex_state = 2},
  [3335] = {.lex_state = 139, .external_lex_state = 2},
  [3336] = {.lex_state = 139, .external_lex_state = 2},
  [3337] = {.lex_state = 139, .external_lex_state = 2},
  [3338] = {.lex_state = 139, .external_lex_state = 2},
  [3339] = {.lex_state = 139, .external_lex_state = 2},
  [3340] = {.lex_state = 139, .external_lex_state = 2},
  [3341] = {.lex_state = 139, .external_lex_state = 2},
  [3342] = {.lex_state = 139, .external_lex_state = 2},
  [3343] = {.lex_state = 139, .external_lex_state = 2},
  [3344] = {.lex_state = 139, .external_lex_state = 2},
  [3345] = {.lex_state = 139, .external_lex_state = 2},
  [3346] = {.lex_state = 139, .external_lex_state = 2},
  [3347] = {.lex_state = 139, .external_lex_state = 2},
  [3348] = {.lex_state = 139, .external_lex_state = 2},
  [3349] = {.lex_state = 139, .external_lex_state = 2},
  [3350] = {.lex_state = 139, .external_lex_state = 2},
  [3351] = {.lex_state = 139, .external_lex_state = 2},
  [3352] = {.lex_state = 139, .external_lex_state = 2},
  [3353] = {.lex_state = 139, .external_lex_state = 2},
  [3354] = {.lex_state = 139, .external_lex_state = 2},
  [3355] = {.lex_state = 139, .external_lex_state = 2},
  [3356] = {.lex_state = 15, .external_lex_state = 2},
  [3357] = {.lex_state = 139, .external_lex_state = 2},
  [3358] = {.lex_state = 139, .external_lex_state = 2},
  [3359] = {.lex_state = 139, .external_lex_state = 2},
  [3360] = {.lex_state = 139, .external_lex_state = 2},
  [3361] = {.lex_state = 139, .external_lex_state = 2},
  [3362] = {.lex_state = 139, .external_lex_state = 2},
  [3363] = {.lex_state = 139, .external_lex_state = 2},
  [3364] = {.lex_state = 139, .external_lex_state = 2},
  [3365] = {.lex_state = 139, .external_lex_state = 2},
  [3366] = {.lex_state = 139, .external_lex_state = 2},
  [3367] = {.lex_state = 139, .external_lex_state = 2},
  [3368] = {.lex_state = 139, .external_lex_state = 2},
  [3369] = {.lex_state = 139, .external_lex_state = 2},
  [3370] = {.lex_state = 139, .external_lex_state = 2},
  [3371] = {.lex_state = 139, .external_lex_state = 2},
  [3372] = {.lex_state = 139, .external_lex_state = 2},
  [3373] = {.lex_state = 139, .external_lex_state = 2},
  [3374] = {.lex_state = 139, .external_lex_state = 2},
  [3375] = {.lex_state = 139, .external_lex_state = 2},
  [3376] = {.lex_state = 139, .external_lex_state = 2},
  [3377] = {.lex_state = 139, .external_lex_state = 2},
  [3378] = {.lex_state = 139, .external_lex_state = 2},
  [3379] = {.lex_state = 139, .external_lex_state = 2},
  [3380] = {.lex_state = 139, .external_lex_state = 2},
  [3381] = {.lex_state = 139, .external_lex_state = 2},
  [3382] = {.lex_state = 139, .external_lex_state = 2},
  [3383] = {.lex_state = 139, .external_lex_state = 2},
  [3384] = {.lex_state = 139, .external_lex_state = 2},
  [3385] = {.lex_state = 139, .external_lex_state = 2},
  [3386] = {.lex_state = 139, .external_lex_state = 2},
  [3387] = {.lex_state = 139, .external_lex_state = 2},
  [3388] = {.lex_state = 139, .external_lex_state = 2},
  [3389] = {.lex_state = 139, .external_lex_state = 2},
  [3390] = {.lex_state = 139, .external_lex_state = 2},
  [3391] = {.lex_state = 139, .external_lex_state = 2},
  [3392] = {.lex_state = 139, .external_lex_state = 2},
  [3393] = {.lex_state = 139, .external_lex_state = 2},
  [3394] = {.lex_state = 139, .external_lex_state = 2},
  [3395] = {.lex_state = 139, .external_lex_state = 2},
  [3396] = {.lex_state = 139, .external_lex_state = 2},
  [3397] = {.lex_state = 139, .external_lex_state = 2},
  [3398] = {.lex_state = 139, .external_lex_state = 2},
  [3399] = {.lex_state = 142, .external_lex_state = 2},
  [3400] = {.lex_state = 139, .external_lex_state = 2},
  [3401] = {.lex_state = 139, .external_lex_state = 2},
  [3402] = {.lex_state = 139, .external_lex_state = 2},
  [3403] = {.lex_state = 139, .external_lex_state = 2},
  [3404] = {.lex_state = 139, .external_lex_state = 2},
  [3405] = {.lex_state = 185, .external_lex_state = 3},
  [3406] = {.lex_state = 139, .external_lex_state = 2},
  [3407] = {.lex_state = 139, .external_lex_state = 2},
  [3408] = {.lex_state = 139, .external_lex_state = 2},
  [3409] = {.lex_state = 139, .external_lex_state = 2},
  [3410] = {.lex_state = 139, .external_lex_state = 2},
  [3411] = {.lex_state = 139, .external_lex_state = 2},
  [3412] = {.lex_state = 139, .external_lex_state = 2},
  [3413] = {.lex_state = 139, .external_lex_state = 2},
  [3414] = {.lex_state = 139, .external_lex_state = 2},
  [3415] = {.lex_state = 6, .external_lex_state = 2},
  [3416] = {.lex_state = 15, .external_lex_state = 2},
  [3417] = {.lex_state = 139, .external_lex_state = 2},
  [3418] = {.lex_state = 139, .external_lex_state = 2},
  [3419] = {.lex_state = 139, .external_lex_state = 2},
  [3420] = {.lex_state = 139, .external_lex_state = 2},
  [3421] = {.lex_state = 15, .external_lex_state = 2},
  [3422] = {.lex_state = 139, .external_lex_state = 2},
  [3423] = {.lex_state = 139, .external_lex_state = 2},
  [3424] = {.lex_state = 139, .external_lex_state = 2},
  [3425] = {.lex_state = 139, .external_lex_state = 2},
  [3426] = {.lex_state = 139, .external_lex_state = 2},
  [3427] = {.lex_state = 151, .external_lex_state = 2},
  [3428] = {.lex_state = 139, .external_lex_state = 2},
  [3429] = {.lex_state = 139, .external_lex_state = 2},
  [3430] = {.lex_state = 139, .external_lex_state = 2},
  [3431] = {.lex_state = 139, .external_lex_state = 2},
  [3432] = {.lex_state = 152, .external_lex_state = 2},
  [3433] = {.lex_state = 139, .external_lex_state = 2},
  [3434] = {.lex_state = 6, .external_lex_state = 2},
  [3435] = {.lex_state = 139, .external_lex_state = 2},
  [3436] = {.lex_state = 139, .external_lex_state = 2},
  [3437] = {.lex_state = 139, .external_lex_state = 2},
  [3438] = {.lex_state = 152, .external_lex_state = 2},
  [3439] = {.lex_state = 139, .external_lex_state = 2},
  [3440] = {.lex_state = 152, .external_lex_state = 2},
  [3441] = {.lex_state = 141, .external_lex_state = 2},
  [3442] = {.lex_state = 139, .external_lex_state = 2},
  [3443] = {.lex_state = 139, .external_lex_state = 2},
  [3444] = {.lex_state = 152, .external_lex_state = 2},
  [3445] = {.lex_state = 152, .external_lex_state = 2},
  [3446] = {.lex_state = 139, .external_lex_state = 2},
  [3447] = {.lex_state = 139, .external_lex_state = 2},
  [3448] = {.lex_state = 139, .external_lex_state = 2},
  [3449] = {.lex_state = 139, .external_lex_state = 2},
  [3450] = {.lex_state = 139, .external_lex_state = 2},
  [3451] = {.lex_state = 152, .external_lex_state = 2},
  [3452] = {.lex_state = 139, .external_lex_state = 2},
  [3453] = {.lex_state = 152, .external_lex_state = 2},
  [3454] = {.lex_state = 139, .external_lex_state = 2},
  [3455] = {.lex_state = 139, .external_lex_state = 2},
  [3456] = {.lex_state = 139, .external_lex_state = 2},
  [3457] = {.lex_state = 139, .external_lex_state = 2},
  [3458] = {.lex_state = 152, .external_lex_state = 2},
  [3459] = {.lex_state = 139, .external_lex_state = 2},
  [3460] = {.lex_state = 152, .external_lex_state = 2},
  [3461] = {.lex_state = 139, .external_lex_state = 2},
  [3462] = {.lex_state = 139, .external_lex_state = 2},
  [3463] = {.lex_state = 139, .external_lex_state = 2},
  [3464] = {.lex_state = 139, .external_lex_state = 2},
  [3465] = {.lex_state = 139, .external_lex_state = 2},
  [3466] = {.lex_state = 139, .external_lex_state = 2},
  [3467] = {.lex_state = 139, .external_lex_state = 2},
  [3468] = {.lex_state = 139, .external_lex_state = 2},
  [3469] = {.lex_state = 139, .external_lex_state = 2},
  [3470] = {.lex_state = 139, .external_lex_state = 2},
  [3471] = {.lex_state = 139, .external_lex_state = 2},
  [3472] = {.lex_state = 139, .external_lex_state = 2},
  [3473] = {.lex_state = 152, .external_lex_state = 2},
  [3474] = {.lex_state = 139, .external_lex_state = 2},
  [3475] = {.lex_state = 15, .external_lex_state = 2},
  [3476] = {.lex_state = 139, .external_lex_state = 2},
  [3477] = {.lex_state = 139, .external_lex_state = 2},
  [3478] = {.lex_state = 139, .external_lex_state = 2},
  [3479] = {.lex_state = 139, .external_lex_state = 2},
  [3480] = {.lex_state = 139, .external_lex_state = 2},
  [3481] = {.lex_state = 139, .external_lex_state = 2},
  [3482] = {.lex_state = 139, .external_lex_state = 2},
  [3483] = {.lex_state = 139, .external_lex_state = 2},
  [3484] = {.lex_state = 152, .external_lex_state = 2},
  [3485] = {.lex_state = 139, .external_lex_state = 2},
  [3486] = {.lex_state = 139, .external_lex_state = 2},
  [3487] = {.lex_state = 139, .external_lex_state = 2},
  [3488] = {.lex_state = 139, .external_lex_state = 2},
  [3489] = {.lex_state = 139, .external_lex_state = 2},
  [3490] = {.lex_state = 152, .external_lex_state = 2},
  [3491] = {.lex_state = 15, .external_lex_state = 2},
  [3492] = {.lex_state = 139, .external_lex_state = 2},
  [3493] = {.lex_state = 139, .external_lex_state = 2},
  [3494] = {.lex_state = 139, .external_lex_state = 2},
  [3495] = {.lex_state = 139, .external_lex_state = 2},
  [3496] = {.lex_state = 141, .external_lex_state = 2},
  [3497] = {.lex_state = 139, .external_lex_state = 2},
  [3498] = {.lex_state = 139, .external_lex_state = 2},
  [3499] = {.lex_state = 139, .external_lex_state = 2},
  [3500] = {.lex_state = 141, .external_lex_state = 2},
  [3501] = {.lex_state = 139, .external_lex_state = 2},
  [3502] = {.lex_state = 139, .external_lex_state = 2},
  [3503] = {.lex_state = 141, .external_lex_state = 2},
  [3504] = {.lex_state = 15, .external_lex_state = 2},
  [3505] = {.lex_state = 141, .external_lex_state = 2},
  [3506] = {.lex_state = 139, .external_lex_state = 2},
  [3507] = {.lex_state = 141, .external_lex_state = 2},
  [3508] = {.lex_state = 139, .external_lex_state = 2},
  [3509] = {.lex_state = 141, .external_lex_state = 2},
  [3510] = {.lex_state = 139, .external_lex_state = 2},
  [3511] = {.lex_state = 152, .external_lex_state = 2},
  [3512] = {.lex_state = 139, .external_lex_state = 2},
  [3513] = {.lex_state = 139, .external_lex_state = 2},
  [3514] = {.lex_state = 139, .external_lex_state = 2},
  [3515] = {.lex_state = 139, .external_lex_state = 2},
  [3516] = {.lex_state = 139, .external_lex_state = 2},
  [3517] = {.lex_state = 139, .external_lex_state = 2},
  [3518] = {.lex_state = 139, .external_lex_state = 2},
  [3519] = {.lex_state = 139, .external_lex_state = 2},
  [3520] = {.lex_state = 139, .external_lex_state = 2},
  [3521] = {.lex_state = 152, .external_lex_state = 2},
  [3522] = {.lex_state = 139, .external_lex_state = 2},
  [3523] = {.lex_state = 152, .external_lex_state = 2},
  [3524] = {.lex_state = 139, .external_lex_state = 2},
  [3525] = {.lex_state = 139, .external_lex_state = 2},
  [3526] = {.lex_state = 139, .external_lex_state = 2},
  [3527] = {.lex_state = 139, .external_lex_state = 2},
  [3528] = {.lex_state = 152, .external_lex_state = 2},
  [3529] = {.lex_state = 139, .external_lex_state = 2},
  [3530] = {.lex_state = 139, .external_lex_state = 2},
  [3531] = {.lex_state = 139, .external_lex_state = 2},
  [3532] = {.lex_state = 139, .external_lex_state = 2},
  [3533] = {.lex_state = 139, .external_lex_state = 2},
  [3534] = {.lex_state = 139, .external_lex_state = 2},
  [3535] = {.lex_state = 139, .external_lex_state = 2},
  [3536] = {.lex_state = 139, .external_lex_state = 2},
  [3537] = {.lex_state = 139, .external_lex_state = 2},
  [3538] = {.lex_state = 139, .external_lex_state = 2},
  [3539] = {.lex_state = 139, .external_lex_state = 2},
  [3540] = {.lex_state = 139, .external_lex_state = 2},
  [3541] = {.lex_state = 152, .external_lex_state = 2},
  [3542] = {.lex_state = 139, .external_lex_state = 2},
  [3543] = {.lex_state = 152, .external_lex_state = 2},
  [3544] = {.lex_state = 139, .external_lex_state = 2},
  [3545] = {.lex_state = 139, .external_lex_state = 2},
  [3546] = {.lex_state = 139, .external_lex_state = 2},
  [3547] = {.lex_state = 152, .external_lex_state = 2},
  [3548] = {.lex_state = 139, .external_lex_state = 2},
  [3549] = {.lex_state = 139, .external_lex_state = 2},
  [3550] = {.lex_state = 152, .external_lex_state = 2},
  [3551] = {.lex_state = 139, .external_lex_state = 2},
  [3552] = {.lex_state = 139, .external_lex_state = 2},
  [3553] = {.lex_state = 152, .external_lex_state = 2},
  [3554] = {.lex_state = 139, .external_lex_state = 2},
  [3555] = {.lex_state = 152, .external_lex_state = 2},
  [3556] = {.lex_state = 139, .external_lex_state = 2},
  [3557] = {.lex_state = 152, .external_lex_state = 2},
  [3558] = {.lex_state = 139, .external_lex_state = 2},
  [3559] = {.lex_state = 15, .external_lex_state = 2},
  [3560] = {.lex_state = 152, .external_lex_state = 2},
  [3561] = {.lex_state = 139, .external_lex_state = 2},
  [3562] = {.lex_state = 139, .external_lex_state = 2},
  [3563] = {.lex_state = 139, .external_lex_state = 2},
  [3564] = {.lex_state = 139, .external_lex_state = 2},
  [3565] = {.lex_state = 139, .external_lex_state = 2},
  [3566] = {.lex_state = 139, .external_lex_state = 2},
  [3567] = {.lex_state = 421, .external_lex_state = 2},
  [3568] = {.lex_state = 421, .external_lex_state = 2},
  [3569] = {.lex_state = 421, .external_lex_state = 2},
  [3570] = {.lex_state = 139, .external_lex_state = 2},
  [3571] = {.lex_state = 142, .external_lex_state = 2},
  [3572] = {.lex_state = 139, .external_lex_state = 2},
  [3573] = {.lex_state = 75, .external_lex_state = 2},
  [3574] = {.lex_state = 139, .external_lex_state = 2},
  [3575] = {.lex_state = 75, .external_lex_state = 2},
  [3576] = {.lex_state = 139, .external_lex_state = 2},
  [3577] = {.lex_state = 139, .external_lex_state = 2},
  [3578] = {.lex_state = 139, .external_lex_state = 2},
  [3579] = {.lex_state = 139, .external_lex_state = 2},
  [3580] = {.lex_state = 139, .external_lex_state = 2},
  [3581] = {.lex_state = 139, .external_lex_state = 2},
  [3582] = {.lex_state = 139, .external_lex_state = 2},
  [3583] = {.lex_state = 139, .external_lex_state = 2},
  [3584] = {.lex_state = 139, .external_lex_state = 2},
  [3585] = {.lex_state = 139, .external_lex_state = 2},
  [3586] = {.lex_state = 139, .external_lex_state = 2},
  [3587] = {.lex_state = 139, .external_lex_state = 2},
  [3588] = {.lex_state = 139, .external_lex_state = 2},
  [3589] = {.lex_state = 139, .external_lex_state = 2},
  [3590] = {.lex_state = 139, .external_lex_state = 2},
  [3591] = {.lex_state = 139, .external_lex_state = 2},
  [3592] = {.lex_state = 139, .external_lex_state = 2},
  [3593] = {.lex_state = 75, .external_lex_state = 2},
  [3594] = {.lex_state = 139, .external_lex_state = 2},
  [3595] = {.lex_state = 139, .external_lex_state = 2},
  [3596] = {.lex_state = 139, .external_lex_state = 2},
  [3597] = {.lex_state = 139, .external_lex_state = 2},
  [3598] = {.lex_state = 139, .external_lex_state = 2},
  [3599] = {.lex_state = 139, .external_lex_state = 2},
  [3600] = {.lex_state = 421, .external_lex_state = 2},
  [3601] = {.lex_state = 139, .external_lex_state = 2},
  [3602] = {.lex_state = 139, .external_lex_state = 2},
  [3603] = {.lex_state = 139, .external_lex_state = 2},
  [3604] = {.lex_state = 139, .external_lex_state = 2},
  [3605] = {.lex_state = 421, .external_lex_state = 2},
  [3606] = {.lex_state = 139, .external_lex_state = 2},
  [3607] = {.lex_state = 139, .external_lex_state = 2},
  [3608] = {.lex_state = 139, .external_lex_state = 2},
  [3609] = {.lex_state = 139, .external_lex_state = 2},
  [3610] = {.lex_state = 139, .external_lex_state = 2},
  [3611] = {.lex_state = 139, .external_lex_state = 2},
  [3612] = {.lex_state = 139, .external_lex_state = 2},
  [3613] = {.lex_state = 139, .external_lex_state = 2},
  [3614] = {.lex_state = 139, .external_lex_state = 2},
  [3615] = {.lex_state = 139, .external_lex_state = 2},
  [3616] = {.lex_state = 139, .external_lex_state = 2},
  [3617] = {.lex_state = 139, .external_lex_state = 2},
  [3618] = {.lex_state = 139, .external_lex_state = 2},
  [3619] = {.lex_state = 139, .external_lex_state = 2},
  [3620] = {.lex_state = 421, .external_lex_state = 2},
  [3621] = {.lex_state = 139, .external_lex_state = 2},
  [3622] = {.lex_state = 421, .external_lex_state = 2},
  [3623] = {.lex_state = 139, .external_lex_state = 2},
  [3624] = {.lex_state = 139, .external_lex_state = 2},
  [3625] = {.lex_state = 139, .external_lex_state = 2},
  [3626] = {.lex_state = 139, .external_lex_state = 2},
  [3627] = {.lex_state = 139, .external_lex_state = 2},
  [3628] = {.lex_state = 139, .external_lex_state = 2},
  [3629] = {.lex_state = 139, .external_lex_state = 2},
  [3630] = {.lex_state = 75, .external_lex_state = 2},
  [3631] = {.lex_state = 139, .external_lex_state = 2},
  [3632] = {.lex_state = 75, .external_lex_state = 2},
  [3633] = {.lex_state = 139, .external_lex_state = 2},
  [3634] = {.lex_state = 139, .external_lex_state = 2},
  [3635] = {.lex_state = 421, .external_lex_state = 2},
  [3636] = {.lex_state = 75, .external_lex_state = 2},
  [3637] = {.lex_state = 139, .external_lex_state = 2},
  [3638] = {.lex_state = 139, .external_lex_state = 2},
  [3639] = {.lex_state = 139, .external_lex_state = 2},
  [3640] = {.lex_state = 139, .external_lex_state = 2},
  [3641] = {.lex_state = 139, .external_lex_state = 2},
  [3642] = {.lex_state = 139, .external_lex_state = 2},
  [3643] = {.lex_state = 139, .external_lex_state = 2},
  [3644] = {.lex_state = 139, .external_lex_state = 2},
  [3645] = {.lex_state = 139, .external_lex_state = 2},
  [3646] = {.lex_state = 139, .external_lex_state = 2},
  [3647] = {.lex_state = 139, .external_lex_state = 2},
  [3648] = {.lex_state = 139, .external_lex_state = 2},
  [3649] = {.lex_state = 139, .external_lex_state = 2},
  [3650] = {.lex_state = 139, .external_lex_state = 2},
  [3651] = {.lex_state = 75, .external_lex_state = 2},
  [3652] = {.lex_state = 75, .external_lex_state = 2},
  [3653] = {.lex_state = 139, .external_lex_state = 2},
  [3654] = {.lex_state = 139, .external_lex_state = 2},
  [3655] = {.lex_state = 139, .external_lex_state = 2},
  [3656] = {.lex_state = 75, .external_lex_state = 2},
  [3657] = {.lex_state = 139, .external_lex_state = 2},
  [3658] = {.lex_state = 139, .external_lex_state = 2},
  [3659] = {.lex_state = 139, .external_lex_state = 2},
  [3660] = {.lex_state = 139, .external_lex_state = 2},
  [3661] = {.lex_state = 139, .external_lex_state = 2},
  [3662] = {.lex_state = 139, .external_lex_state = 2},
  [3663] = {.lex_state = 421, .external_lex_state = 2},
  [3664] = {.lex_state = 139, .external_lex_state = 2},
  [3665] = {.lex_state = 139, .external_lex_state = 2},
  [3666] = {.lex_state = 139, .external_lex_state = 2},
  [3667] = {.lex_state = 139, .external_lex_state = 2},
  [3668] = {.lex_state = 139, .external_lex_state = 2},
  [3669] = {.lex_state = 139, .external_lex_state = 2},
  [3670] = {.lex_state = 421, .external_lex_state = 2},
  [3671] = {.lex_state = 139, .external_lex_state = 2},
  [3672] = {.lex_state = 139, .external_lex_state = 2},
  [3673] = {.lex_state = 139, .external_lex_state = 2},
  [3674] = {.lex_state = 139, .external_lex_state = 2},
  [3675] = {.lex_state = 139, .external_lex_state = 2},
  [3676] = {.lex_state = 139, .external_lex_state = 2},
  [3677] = {.lex_state = 421, .external_lex_state = 2},
  [3678] = {.lex_state = 139, .external_lex_state = 2},
  [3679] = {.lex_state = 139, .external_lex_state = 2},
  [3680] = {.lex_state = 139, .external_lex_state = 2},
  [3681] = {.lex_state = 139, .external_lex_state = 2},
  [3682] = {.lex_state = 139, .external_lex_state = 2},
  [3683] = {.lex_state = 139, .external_lex_state = 2},
  [3684] = {.lex_state = 139, .external_lex_state = 2},
  [3685] = {.lex_state = 139, .external_lex_state = 2},
  [3686] = {.lex_state = 139, .external_lex_state = 2},
  [3687] = {.lex_state = 421, .external_lex_state = 2},
  [3688] = {.lex_state = 139, .external_lex_state = 2},
  [3689] = {.lex_state = 421, .external_lex_state = 2},
  [3690] = {.lex_state = 139, .external_lex_state = 2},
  [3691] = {.lex_state = 421, .external_lex_state = 2},
  [3692] = {.lex_state = 139, .external_lex_state = 2},
  [3693] = {.lex_state = 139, .external_lex_state = 2},
  [3694] = {.lex_state = 139, .external_lex_state = 2},
  [3695] = {.lex_state = 139, .external_lex_state = 2},
  [3696] = {.lex_state = 139, .external_lex_state = 2},
  [3697] = {.lex_state = 139, .external_lex_state = 2},
  [3698] = {.lex_state = 139, .external_lex_state = 2},
  [3699] = {.lex_state = 421, .external_lex_state = 2},
  [3700] = {.lex_state = 421, .external_lex_state = 2},
  [3701] = {.lex_state = 139, .external_lex_state = 2},
  [3702] = {.lex_state = 421, .external_lex_state = 2},
  [3703] = {.lex_state = 139, .external_lex_state = 2},
  [3704] = {.lex_state = 139, .external_lex_state = 2},
  [3705] = {.lex_state = 139, .external_lex_state = 2},
  [3706] = {.lex_state = 139, .external_lex_state = 2},
  [3707] = {.lex_state = 139, .external_lex_state = 2},
  [3708] = {.lex_state = 421, .external_lex_state = 2},
  [3709] = {.lex_state = 421, .external_lex_state = 2},
  [3710] = {.lex_state = 139, .external_lex_state = 2},
  [3711] = {.lex_state = 421, .external_lex_state = 2},
  [3712] = {.lex_state = 139, .external_lex_state = 2},
  [3713] = {.lex_state = 139, .external_lex_state = 2},
  [3714] = {.lex_state = 139, .external_lex_state = 2},
  [3715] = {.lex_state = 139, .external_lex_state = 2},
  [3716] = {.lex_state = 139, .external_lex_state = 2},
  [3717] = {.lex_state = 421, .external_lex_state = 2},
  [3718] = {.lex_state = 139, .external_lex_state = 2},
  [3719] = {.lex_state = 421, .external_lex_state = 2},
  [3720] = {.lex_state = 139, .external_lex_state = 2},
  [3721] = {.lex_state = 75, .external_lex_state = 2},
  [3722] = {.lex_state = 139, .external_lex_state = 2},
  [3723] = {.lex_state = 75, .external_lex_state = 2},
  [3724] = {.lex_state = 139, .external_lex_state = 2},
  [3725] = {.lex_state = 139, .external_lex_state = 2},
  [3726] = {.lex_state = 139, .external_lex_state = 2},
  [3727] = {.lex_state = 139, .external_lex_state = 2},
  [3728] = {.lex_state = 77, .external_lex_state = 2},
  [3729] = {.lex_state = 419, .external_lex_state = 2},
  [3730] = {.lex_state = 76, .external_lex_state = 2},
  [3731] = {.lex_state = 421, .external_lex_state = 2},
  [3732] = {.lex_state = 75, .external_lex_state = 2},
  [3733] = {.lex_state = 421, .external_lex_state = 2},
  [3734] = {.lex_state = 76, .external_lex_state = 2},
  [3735] = {.lex_state = 15, .external_lex_state = 4},
  [3736] = {.lex_state = 421, .external_lex_state = 2},
  [3737] = {.lex_state = 421, .external_lex_state = 2},
  [3738] = {.lex_state = 75, .external_lex_state = 2},
  [3739] = {.lex_state = 421, .external_lex_state = 2},
  [3740] = {.lex_state = 419, .external_lex_state = 2},
  [3741] = {.lex_state = 421, .external_lex_state = 2},
  [3742] = {.lex_state = 419, .external_lex_state = 2},
  [3743] = {.lex_state = 15, .external_lex_state = 4},
  [3744] = {.lex_state = 15, .external_lex_state = 4},
  [3745] = {.lex_state = 421, .external_lex_state = 2},
  [3746] = {.lex_state = 421, .external_lex_state = 2},
  [3747] = {.lex_state = 421, .external_lex_state = 2},
  [3748] = {.lex_state = 75, .external_lex_state = 2},
  [3749] = {.lex_state = 75, .external_lex_state = 2},
  [3750] = {.lex_state = 15, .external_lex_state = 4},
  [3751] = {.lex_state = 75, .external_lex_state = 2},
  [3752] = {.lex_state = 75, .external_lex_state = 2},
  [3753] = {.lex_state = 75, .external_lex_state = 2},
  [3754] = {.lex_state = 75, .external_lex_state = 2},
  [3755] = {.lex_state = 75, .external_lex_state = 2},
  [3756] = {.lex_state = 421, .external_lex_state = 2},
  [3757] = {.lex_state = 75, .external_lex_state = 2},
  [3758] = {.lex_state = 75, .external_lex_state = 2},
  [3759] = {.lex_state = 421, .external_lex_state = 2},
  [3760] = {.lex_state = 421, .external_lex_state = 2},
  [3761] = {.lex_state = 75, .external_lex_state = 2},
  [3762] = {.lex_state = 421, .external_lex_state = 2},
  [3763] = {.lex_state = 15, .external_lex_state = 4},
  [3764] = {.lex_state = 422, .external_lex_state = 2},
  [3765] = {.lex_state = 421, .external_lex_state = 2},
  [3766] = {.lex_state = 75, .external_lex_state = 2},
  [3767] = {.lex_state = 422, .external_lex_state = 2},
  [3768] = {.lex_state = 75, .external_lex_state = 2},
  [3769] = {.lex_state = 15, .external_lex_state = 4},
  [3770] = {.lex_state = 421, .external_lex_state = 2},
  [3771] = {.lex_state = 77, .external_lex_state = 2},
  [3772] = {.lex_state = 75, .external_lex_state = 2},
  [3773] = {.lex_state = 421, .external_lex_state = 2},
  [3774] = {.lex_state = 75, .external_lex_state = 2},
  [3775] = {.lex_state = 77, .external_lex_state = 2},
  [3776] = {.lex_state = 422, .external_lex_state = 2},
  [3777] = {.lex_state = 76, .external_lex_state = 2},
  [3778] = {.lex_state = 15, .external_lex_state = 4},
  [3779] = {.lex_state = 76, .external_lex_state = 2},
  [3780] = {.lex_state = 421, .external_lex_state = 2},
  [3781] = {.lex_state = 421, .external_lex_state = 2},
  [3782] = {.lex_state = 421, .external_lex_state = 2},
  [3783] = {.lex_state = 15, .external_lex_state = 4},
  [3784] = {.lex_state = 421, .external_lex_state = 2},
  [3785] = {.lex_state = 75, .external_lex_state = 2},
  [3786] = {.lex_state = 421, .external_lex_state = 2},
  [3787] = {.lex_state = 15, .external_lex_state = 4},
  [3788] = {.lex_state = 421, .external_lex_state = 2},
  [3789] = {.lex_state = 422, .external_lex_state = 2},
  [3790] = {.lex_state = 75, .external_lex_state = 2},
  [3791] = {.lex_state = 15, .external_lex_state = 4},
  [3792] = {.lex_state = 75, .external_lex_state = 2},
  [3793] = {.lex_state = 421, .external_lex_state = 2},
  [3794] = {.lex_state = 15, .external_lex_state = 4},
  [3795] = {.lex_state = 76, .external_lex_state = 2},
  [3796] = {.lex_state = 422, .external_lex_state = 2},
  [3797] = {.lex_state = 421, .external_lex_state = 2},
  [3798] = {.lex_state = 15, .external_lex_state = 4},
  [3799] = {.lex_state = 422, .external_lex_state = 2},
  [3800] = {.lex_state = 421, .external_lex_state = 2},
  [3801] = {.lex_state = 15, .external_lex_state = 4},
  [3802] = {.lex_state = 421, .external_lex_state = 2},
  [3803] = {.lex_state = 75, .external_lex_state = 2},
  [3804] = {.lex_state = 419, .external_lex_state = 2},
  [3805] = {.lex_state = 421, .external_lex_state = 2},
  [3806] = {.lex_state = 75, .external_lex_state = 2},
  [3807] = {.lex_state = 421, .external_lex_state = 2},
  [3808] = {.lex_state = 419, .external_lex_state = 2},
  [3809] = {.lex_state = 75, .external_lex_state = 2},
  [3810] = {.lex_state = 75, .external_lex_state = 2},
  [3811] = {.lex_state = 421, .external_lex_state = 2},
  [3812] = {.lex_state = 75, .external_lex_state = 2},
  [3813] = {.lex_state = 421, .external_lex_state = 2},
  [3814] = {.lex_state = 422, .external_lex_state = 2},
  [3815] = {.lex_state = 421, .external_lex_state = 2},
  [3816] = {.lex_state = 421, .external_lex_state = 2},
  [3817] = {.lex_state = 422, .external_lex_state = 2},
  [3818] = {.lex_state = 421, .external_lex_state = 2},
  [3819] = {.lex_state = 421, .external_lex_state = 2},
  [3820] = {.lex_state = 422, .external_lex_state = 2},
  [3821] = {.lex_state = 419, .external_lex_state = 2},
  [3822] = {.lex_state = 15, .external_lex_state = 4},
  [3823] = {.lex_state = 421, .external_lex_state = 2},
  [3824] = {.lex_state = 419, .external_lex_state = 2},
  [3825] = {.lex_state = 419, .external_lex_state = 2},
  [3826] = {.lex_state = 421, .external_lex_state = 2},
  [3827] = {.lex_state = 419, .external_lex_state = 2},
  [3828] = {.lex_state = 419, .external_lex_state = 2},
  [3829] = {.lex_state = 15, .external_lex_state = 4},
  [3830] = {.lex_state = 419, .external_lex_state = 2},
  [3831] = {.lex_state = 15, .external_lex_state = 4},
  [3832] = {.lex_state = 422, .external_lex_state = 2},
  [3833] = {.lex_state = 15, .external_lex_state = 4},
  [3834] = {.lex_state = 421, .external_lex_state = 2},
  [3835] = {.lex_state = 15, .external_lex_state = 4},
  [3836] = {.lex_state = 421, .external_lex_state = 2},
  [3837] = {.lex_state = 421, .external_lex_state = 2},
  [3838] = {.lex_state = 15, .external_lex_state = 2},
  [3839] = {.lex_state = 422, .external_lex_state = 2},
  [3840] = {.lex_state = 422, .external_lex_state = 2},
  [3841] = {.lex_state = 422, .external_lex_state = 2},
  [3842] = {.lex_state = 421, .external_lex_state = 2},
  [3843] = {.lex_state = 75, .external_lex_state = 2},
  [3844] = {.lex_state = 421, .external_lex_state = 2},
  [3845] = {.lex_state = 421, .external_lex_state = 2},
  [3846] = {.lex_state = 419, .external_lex_state = 2},
  [3847] = {.lex_state = 421, .external_lex_state = 2},
  [3848] = {.lex_state = 75, .external_lex_state = 2},
  [3849] = {.lex_state = 421, .external_lex_state = 2},
  [3850] = {.lex_state = 421, .external_lex_state = 2},
  [3851] = {.lex_state = 15, .external_lex_state = 4},
  [3852] = {.lex_state = 15, .external_lex_state = 4},
  [3853] = {.lex_state = 77, .external_lex_state = 2},
  [3854] = {.lex_state = 75, .external_lex_state = 2},
  [3855] = {.lex_state = 419, .external_lex_state = 2},
  [3856] = {.lex_state = 421, .external_lex_state = 2},
  [3857] = {.lex_state = 421, .external_lex_state = 2},
  [3858] = {.lex_state = 15, .external_lex_state = 4},
  [3859] = {.lex_state = 75, .external_lex_state = 2},
  [3860] = {.lex_state = 421, .external_lex_state = 2},
  [3861] = {.lex_state = 77, .external_lex_state = 2},
  [3862] = {.lex_state = 77, .external_lex_state = 2},
  [3863] = {.lex_state = 421, .external_lex_state = 2},
  [3864] = {.lex_state = 77, .external_lex_state = 2},
  [3865] = {.lex_state = 77, .external_lex_state = 2},
  [3866] = {.lex_state = 75, .external_lex_state = 2},
  [3867] = {.lex_state = 75, .external_lex_state = 2},
  [3868] = {.lex_state = 77, .external_lex_state = 2},
  [3869] = {.lex_state = 419, .external_lex_state = 2},
  [3870] = {.lex_state = 75, .external_lex_state = 2},
  [3871] = {.lex_state = 75, .external_lex_state = 2},
  [3872] = {.lex_state = 75, .external_lex_state = 2},
  [3873] = {.lex_state = 15, .external_lex_state = 4},
  [3874] = {.lex_state = 421, .external_lex_state = 2},
  [3875] = {.lex_state = 421, .external_lex_state = 2},
  [3876] = {.lex_state = 15, .external_lex_state = 4},
  [3877] = {.lex_state = 75, .external_lex_state = 2},
  [3878] = {.lex_state = 422, .external_lex_state = 2},
  [3879] = {.lex_state = 421, .external_lex_state = 2},
  [3880] = {.lex_state = 421, .external_lex_state = 2},
  [3881] = {.lex_state = 15, .external_lex_state = 4},
  [3882] = {.lex_state = 421, .external_lex_state = 2},
  [3883] = {.lex_state = 421, .external_lex_state = 2},
  [3884] = {.lex_state = 421, .external_lex_state = 2},
  [3885] = {.lex_state = 75, .external_lex_state = 2},
  [3886] = {.lex_state = 75, .external_lex_state = 2},
  [3887] = {.lex_state = 421, .external_lex_state = 2},
  [3888] = {.lex_state = 421, .external_lex_state = 2},
  [3889] = {.lex_state = 15, .external_lex_state = 4},
  [3890] = {.lex_state = 419, .external_lex_state = 2},
  [3891] = {.lex_state = 15, .external_lex_state = 4},
  [3892] = {.lex_state = 421, .external_lex_state = 2},
  [3893] = {.lex_state = 421, .external_lex_state = 2},
  [3894] = {.lex_state = 421, .external_lex_state = 2},
  [3895] = {.lex_state = 15, .external_lex_state = 4},
  [3896] = {.lex_state = 77, .external_lex_state = 2},
  [3897] = {.lex_state = 421, .external_lex_state = 2},
  [3898] = {.lex_state = 75, .external_lex_state = 2},
  [3899] = {.lex_state = 77, .external_lex_state = 2},
  [3900] = {.lex_state = 15, .external_lex_state = 4},
  [3901] = {.lex_state = 421, .external_lex_state = 2},
  [3902] = {.lex_state = 15, .external_lex_state = 4},
  [3903] = {.lex_state = 15, .external_lex_state = 4},
  [3904] = {.lex_state = 75, .external_lex_state = 2},
  [3905] = {.lex_state = 421, .external_lex_state = 2},
  [3906] = {.lex_state = 421, .external_lex_state = 2},
  [3907] = {.lex_state = 422, .external_lex_state = 2},
  [3908] = {.lex_state = 421, .external_lex_state = 2},
  [3909] = {.lex_state = 421, .external_lex_state = 2},
  [3910] = {.lex_state = 419, .external_lex_state = 2},
  [3911] = {.lex_state = 75, .external_lex_state = 2},
  [3912] = {.lex_state = 75, .external_lex_state = 2},
  [3913] = {.lex_state = 421, .external_lex_state = 2},
  [3914] = {.lex_state = 419, .external_lex_state = 2},
  [3915] = {.lex_state = 15, .external_lex_state = 4},
  [3916] = {.lex_state = 422, .external_lex_state = 2},
  [3917] = {.lex_state = 75, .external_lex_state = 2},
  [3918] = {.lex_state = 421, .external_lex_state = 2},
  [3919] = {.lex_state = 421, .external_lex_state = 2},
  [3920] = {.lex_state = 15, .external_lex_state = 4},
  [3921] = {.lex_state = 15, .external_lex_state = 4},
  [3922] = {.lex_state = 421, .external_lex_state = 2},
  [3923] = {.lex_state = 75, .external_lex_state = 2},
  [3924] = {.lex_state = 421, .external_lex_state = 2},
  [3925] = {.lex_state = 75, .external_lex_state = 2},
  [3926] = {.lex_state = 15, .external_lex_state = 2},
  [3927] = {.lex_state = 421, .external_lex_state = 2},
  [3928] = {.lex_state = 419, .external_lex_state = 2},
  [3929] = {.lex_state = 75, .external_lex_state = 2},
  [3930] = {.lex_state = 419, .external_lex_state = 2},
  [3931] = {.lex_state = 421, .external_lex_state = 2},
  [3932] = {.lex_state = 419, .external_lex_state = 2},
  [3933] = {.lex_state = 421, .external_lex_state = 2},
  [3934] = {.lex_state = 419, .external_lex_state = 2},
  [3935] = {.lex_state = 75, .external_lex_state = 2},
  [3936] = {.lex_state = 75, .external_lex_state = 2},
  [3937] = {.lex_state = 421, .external_lex_state = 2},
  [3938] = {.lex_state = 15, .external_lex_state = 4},
  [3939] = {.lex_state = 422, .external_lex_state = 2},
  [3940] = {.lex_state = 421, .external_lex_state = 2},
  [3941] = {.lex_state = 75, .external_lex_state = 2},
  [3942] = {.lex_state = 421, .external_lex_state = 2},
  [3943] = {.lex_state = 15, .external_lex_state = 4},
  [3944] = {.lex_state = 421, .external_lex_state = 2},
  [3945] = {.lex_state = 75, .external_lex_state = 2},
  [3946] = {.lex_state = 421, .external_lex_state = 2},
  [3947] = {.lex_state = 422, .external_lex_state = 2},
  [3948] = {.lex_state = 421, .external_lex_state = 2},
  [3949] = {.lex_state = 421, .external_lex_state = 2},
  [3950] = {.lex_state = 421, .external_lex_state = 2},
  [3951] = {.lex_state = 421, .external_lex_state = 2},
  [3952] = {.lex_state = 421, .external_lex_state = 2},
  [3953] = {.lex_state = 419, .external_lex_state = 2},
  [3954] = {.lex_state = 421, .external_lex_state = 2},
  [3955] = {.lex_state = 75, .external_lex_state = 2},
  [3956] = {.lex_state = 75, .external_lex_state = 2},
  [3957] = {.lex_state = 15, .external_lex_state = 4},
  [3958] = {.lex_state = 421, .external_lex_state = 2},
  [3959] = {.lex_state = 421, .external_lex_state = 2},
  [3960] = {.lex_state = 421, .external_lex_state = 2},
  [3961] = {.lex_state = 421, .external_lex_state = 2},
  [3962] = {.lex_state = 421, .external_lex_state = 2},
  [3963] = {.lex_state = 75, .external_lex_state = 2},
  [3964] = {.lex_state = 75, .external_lex_state = 2},
  [3965] = {.lex_state = 421, .external_lex_state = 2},
  [3966] = {.lex_state = 421, .external_lex_state = 2},
  [3967] = {.lex_state = 75, .external_lex_state = 2},
  [3968] = {.lex_state = 15, .external_lex_state = 4},
  [3969] = {.lex_state = 15, .external_lex_state = 4},
  [3970] = {.lex_state = 421, .external_lex_state = 2},
  [3971] = {.lex_state = 421, .external_lex_state = 2},
  [3972] = {.lex_state = 76, .external_lex_state = 2},
  [3973] = {.lex_state = 15, .external_lex_state = 4},
  [3974] = {.lex_state = 421, .external_lex_state = 2},
  [3975] = {.lex_state = 421, .external_lex_state = 2},
  [3976] = {.lex_state = 421, .external_lex_state = 2},
  [3977] = {.lex_state = 421, .external_lex_state = 2},
  [3978] = {.lex_state = 421, .external_lex_state = 2},
  [3979] = {.lex_state = 421, .external_lex_state = 2},
  [3980] = {.lex_state = 76, .external_lex_state = 2},
  [3981] = {.lex_state = 421, .external_lex_state = 2},
  [3982] = {.lex_state = 15, .external_lex_state = 4},
  [3983] = {.lex_state = 421, .external_lex_state = 2},
  [3984] = {.lex_state = 421, .external_lex_state = 2},
  [3985] = {.lex_state = 421, .external_lex_state = 2},
  [3986] = {.lex_state = 421, .external_lex_state = 2},
  [3987] = {.lex_state = 421, .external_lex_state = 2},
  [3988] = {.lex_state = 421, .external_lex_state = 2},
  [3989] = {.lex_state = 422, .external_lex_state = 2},
  [3990] = {.lex_state = 421, .external_lex_state = 2},
  [3991] = {.lex_state = 421, .external_lex_state = 2},
  [3992] = {.lex_state = 421, .external_lex_state = 2},
  [3993] = {.lex_state = 76, .external_lex_state = 2},
  [3994] = {.lex_state = 75, .external_lex_state = 2},
  [3995] = {.lex_state = 75, .external_lex_state = 2},
  [3996] = {.lex_state = 75, .external_lex_state = 2},
  [3997] = {.lex_state = 75, .external_lex_state = 2},
  [3998] = {.lex_state = 15, .external_lex_state = 4},
  [3999] = {.lex_state = 75, .external_lex_state = 2},
  [4000] = {.lex_state = 15, .external_lex_state = 2},
  [4001] = {.lex_state = 75, .external_lex_state = 2},
  [4002] = {.lex_state = 75, .external_lex_state = 2},
  [4003] = {.lex_state = 75, .external_lex_state = 2},
  [4004] = {.lex_state = 15, .external_lex_state = 4},
  [4005] = {.lex_state = 421, .external_lex_state = 2},
  [4006] = {.lex_state = 15, .external_lex_state = 4},
  [4007] = {.lex_state = 421, .external_lex_state = 2},
  [4008] = {.lex_state = 421, .external_lex_state = 2},
  [4009] = {.lex_state = 421, .external_lex_state = 2},
  [4010] = {.lex_state = 75, .external_lex_state = 2},
  [4011] = {.lex_state = 421, .external_lex_state = 2},
  [4012] = {.lex_state = 421, .external_lex_state = 2},
  [4013] = {.lex_state = 421, .external_lex_state = 2},
  [4014] = {.lex_state = 76, .external_lex_state = 2},
  [4015] = {.lex_state = 421, .external_lex_state = 2},
  [4016] = {.lex_state = 421, .external_lex_state = 2},
  [4017] = {.lex_state = 421, .external_lex_state = 2},
  [4018] = {.lex_state = 421, .external_lex_state = 2},
  [4019] = {.lex_state = 421, .external_lex_state = 2},
  [4020] = {.lex_state = 421, .external_lex_state = 2},
  [4021] = {.lex_state = 421, .external_lex_state = 2},
  [4022] = {.lex_state = 421, .external_lex_state = 2},
  [4023] = {.lex_state = 15, .external_lex_state = 4},
  [4024] = {.lex_state = 422, .external_lex_state = 2},
  [4025] = {.lex_state = 421, .external_lex_state = 2},
  [4026] = {.lex_state = 15, .external_lex_state = 4},
  [4027] = {.lex_state = 75, .external_lex_state = 2},
  [4028] = {.lex_state = 75, .external_lex_state = 2},
  [4029] = {.lex_state = 75, .external_lex_state = 2},
  [4030] = {.lex_state = 421, .external_lex_state = 2},
  [4031] = {.lex_state = 15, .external_lex_state = 4},
  [4032] = {.lex_state = 75, .external_lex_state = 2},
  [4033] = {.lex_state = 421, .external_lex_state = 2},
  [4034] = {.lex_state = 75, .external_lex_state = 2},
  [4035] = {.lex_state = 421, .external_lex_state = 2},
  [4036] = {.lex_state = 421, .external_lex_state = 2},
  [4037] = {.lex_state = 421, .external_lex_state = 2},
  [4038] = {.lex_state = 75, .external_lex_state = 2},
  [4039] = {.lex_state = 421, .external_lex_state = 2},
  [4040] = {.lex_state = 15, .external_lex_state = 4},
  [4041] = {.lex_state = 75, .external_lex_state = 2},
  [4042] = {.lex_state = 421, .external_lex_state = 2},
  [4043] = {.lex_state = 75, .external_lex_state = 2},
  [4044] = {.lex_state = 75, .external_lex_state = 2},
  [4045] = {.lex_state = 421, .external_lex_state = 2},
  [4046] = {.lex_state = 75, .external_lex_state = 2},
  [4047] = {.lex_state = 421, .external_lex_state = 2},
  [4048] = {.lex_state = 75, .external_lex_state = 2},
  [4049] = {.lex_state = 421, .external_lex_state = 2},
  [4050] = {.lex_state = 15, .external_lex_state = 4},
  [4051] = {.lex_state = 421, .external_lex_state = 2},
  [4052] = {.lex_state = 421, .external_lex_state = 2},
  [4053] = {.lex_state = 421, .external_lex_state = 2},
  [4054] = {.lex_state = 421, .external_lex_state = 2},
  [4055] = {.lex_state = 15, .external_lex_state = 4},
  [4056] = {.lex_state = 421, .external_lex_state = 2},
  [4057] = {.lex_state = 421, .external_lex_state = 2},
  [4058] = {.lex_state = 421, .external_lex_state = 2},
  [4059] = {.lex_state = 421, .external_lex_state = 2},
  [4060] = {.lex_state = 76, .external_lex_state = 2},
  [4061] = {.lex_state = 422, .external_lex_state = 2},
  [4062] = {.lex_state = 75, .external_lex_state = 2},
  [4063] = {.lex_state = 15, .external_lex_state = 4},
  [4064] = {.lex_state = 421, .external_lex_state = 2},
  [4065] = {.lex_state = 421, .external_lex_state = 2},
  [4066] = {.lex_state = 421, .external_lex_state = 2},
  [4067] = {.lex_state = 421, .external_lex_state = 2},
  [4068] = {.lex_state = 75, .external_lex_state = 2},
  [4069] = {.lex_state = 421, .external_lex_state = 2},
  [4070] = {.lex_state = 75, .external_lex_state = 2},
  [4071] = {.lex_state = 75, .external_lex_state = 2},
  [4072] = {.lex_state = 421, .external_lex_state = 2},
  [4073] = {.lex_state = 15, .external_lex_state = 4},
  [4074] = {.lex_state = 421, .external_lex_state = 2},
  [4075] = {.lex_state = 422, .external_lex_state = 2},
  [4076] = {.lex_state = 421, .external_lex_state = 2},
  [4077] = {.lex_state = 421, .external_lex_state = 2},
  [4078] = {.lex_state = 75, .external_lex_state = 2},
  [4079] = {.lex_state = 76, .external_lex_state = 2},
  [4080] = {.lex_state = 421, .external_lex_state = 2},
  [4081] = {.lex_state = 421, .external_lex_state = 2},
  [4082] = {.lex_state = 422, .external_lex_state = 2},
  [4083] = {.lex_state = 422, .external_lex_state = 2},
  [4084] = {.lex_state = 422, .external_lex_state = 2},
  [4085] = {.lex_state = 422, .external_lex_state = 2},
  [4086] = {.lex_state = 422, .external_lex_state = 2},
  [4087] = {.lex_state = 422, .external_lex_state = 2},
  [4088] = {.lex_state = 422, .external_lex_state = 2},
  [4089] = {.lex_state = 422, .external_lex_state = 2},
  [4090] = {.lex_state = 422, .external_lex_state = 2},
  [4091] = {.lex_state = 422, .external_lex_state = 2},
  [4092] = {.lex_state = 422, .external_lex_state = 2},
  [4093] = {.lex_state = 422, .external_lex_state = 2},
  [4094] = {.lex_state = 422, .external_lex_state = 2},
  [4095] = {.lex_state = 422, .external_lex_state = 2},
  [4096] = {.lex_state = 422, .external_lex_state = 2},
  [4097] = {.lex_state = 422, .external_lex_state = 2},
  [4098] = {.lex_state = 422, .external_lex_state = 2},
  [4099] = {.lex_state = 422, .external_lex_state = 2},
  [4100] = {.lex_state = 422, .external_lex_state = 2},
  [4101] = {.lex_state = 422, .external_lex_state = 2},
  [4102] = {.lex_state = 422, .external_lex_state = 2},
  [4103] = {.lex_state = 422, .external_lex_state = 2},
  [4104] = {.lex_state = 422, .external_lex_state = 2},
  [4105] = {.lex_state = 422, .external_lex_state = 2},
  [4106] = {.lex_state = 77, .external_lex_state = 2},
  [4107] = {.lex_state = 422, .external_lex_state = 2},
  [4108] = {.lex_state = 77, .external_lex_state = 2},
  [4109] = {.lex_state = 77, .external_lex_state = 2},
  [4110] = {.lex_state = 77, .external_lex_state = 2},
  [4111] = {.lex_state = 422, .external_lex_state = 2},
  [4112] = {.lex_state = 77, .external_lex_state = 2},
  [4113] = {.lex_state = 422, .external_lex_state = 2},
  [4114] = {.lex_state = 422, .external_lex_state = 2},
  [4115] = {.lex_state = 422, .external_lex_state = 2},
  [4116] = {.lex_state = 422, .external_lex_state = 2},
  [4117] = {.lex_state = 419, .external_lex_state = 2},
  [4118] = {.lex_state = 422, .external_lex_state = 2},
  [4119] = {.lex_state = 422, .external_lex_state = 2},
  [4120] = {.lex_state = 419, .external_lex_state = 2},
  [4121] = {.lex_state = 419, .external_lex_state = 2},
  [4122] = {.lex_state = 422, .external_lex_state = 2},
  [4123] = {.lex_state = 419, .external_lex_state = 2},
  [4124] = {.lex_state = 422, .external_lex_state = 2},
  [4125] = {.lex_state = 422, .external_lex_state = 2},
  [4126] = {.lex_state = 422, .external_lex_state = 2},
  [4127] = {.lex_state = 422, .external_lex_state = 2},
  [4128] = {.lex_state = 422, .external_lex_state = 2},
  [4129] = {.lex_state = 422, .external_lex_state = 2},
  [4130] = {.lex_state = 422, .external_lex_state = 2},
  [4131] = {.lex_state = 422, .external_lex_state = 2},
  [4132] = {.lex_state = 422, .external_lex_state = 2},
  [4133] = {.lex_state = 422, .external_lex_state = 2},
  [4134] = {.lex_state = 422, .external_lex_state = 2},
  [4135] = {.lex_state = 422, .external_lex_state = 2},
  [4136] = {.lex_state = 422, .external_lex_state = 2},
  [4137] = {.lex_state = 422, .external_lex_state = 2},
  [4138] = {.lex_state = 422, .external_lex_state = 2},
  [4139] = {.lex_state = 76, .external_lex_state = 2},
  [4140] = {.lex_state = 422, .external_lex_state = 2},
  [4141] = {.lex_state = 422, .external_lex_state = 2},
  [4142] = {.lex_state = 422, .external_lex_state = 2},
  [4143] = {.lex_state = 422, .external_lex_state = 2},
  [4144] = {.lex_state = 422, .external_lex_state = 2},
  [4145] = {.lex_state = 422, .external_lex_state = 2},
  [4146] = {.lex_state = 422, .external_lex_state = 2},
  [4147] = {.lex_state = 422, .external_lex_state = 2},
  [4148] = {.lex_state = 422, .external_lex_state = 2},
  [4149] = {.lex_state = 422, .external_lex_state = 2},
  [4150] = {.lex_state = 422, .external_lex_state = 2},
  [4151] = {.lex_state = 422, .external_lex_state = 2},
  [4152] = {.lex_state = 422, .external_lex_state = 2},
  [4153] = {.lex_state = 422, .external_lex_state = 2},
  [4154] = {.lex_state = 422, .external_lex_state = 2},
  [4155] = {.lex_state = 422, .external_lex_state = 2},
  [4156] = {.lex_state = 422, .external_lex_state = 2},
  [4157] = {.lex_state = 422, .external_lex_state = 2},
  [4158] = {.lex_state = 422, .external_lex_state = 2},
  [4159] = {.lex_state = 422, .external_lex_state = 2},
  [4160] = {.lex_state = 422, .external_lex_state = 2},
  [4161] = {.lex_state = 422, .external_lex_state = 2},
  [4162] = {.lex_state = 422, .external_lex_state = 2},
  [4163] = {.lex_state = 422, .external_lex_state = 2},
  [4164] = {.lex_state = 76, .external_lex_state = 2},
  [4165] = {.lex_state = 422, .external_lex_state = 2},
  [4166] = {.lex_state = 422, .external_lex_state = 2},
  [4167] = {.lex_state = 422, .external_lex_state = 2},
  [4168] = {.lex_state = 422, .external_lex_state = 2},
  [4169] = {.lex_state = 422, .external_lex_state = 2},
  [4170] = {.lex_state = 76, .external_lex_state = 2},
  [4171] = {.lex_state = 422, .external_lex_state = 2},
  [4172] = {.lex_state = 422, .external_lex_state = 2},
  [4173] = {.lex_state = 76, .external_lex_state = 2},
  [4174] = {.lex_state = 76, .external_lex_state = 2},
  [4175] = {.lex_state = 76, .external_lex_state = 2},
  [4176] = {.lex_state = 76, .external_lex_state = 2},
  [4177] = {.lex_state = 76, .external_lex_state = 2},
  [4178] = {.lex_state = 76, .external_lex_state = 2},
  [4179] = {.lex_state = 76, .external_lex_state = 2},
  [4180] = {.lex_state = 76, .external_lex_state = 2},
  [4181] = {.lex_state = 76, .external_lex_state = 2},
  [4182] = {.lex_state = 76, .external_lex_state = 2},
  [4183] = {.lex_state = 76, .external_lex_state = 2},
  [4184] = {.lex_state = 76, .external_lex_state = 2},
  [4185] = {.lex_state = 76, .external_lex_state = 2},
  [4186] = {.lex_state = 76, .external_lex_state = 2},
  [4187] = {.lex_state = 422, .external_lex_state = 2},
  [4188] = {.lex_state = 76, .external_lex_state = 2},
  [4189] = {.lex_state = 76, .external_lex_state = 2},
  [4190] = {.lex_state = 76, .external_lex_state = 2},
  [4191] = {.lex_state = 76, .external_lex_state = 2},
  [4192] = {.lex_state = 76, .external_lex_state = 2},
  [4193] = {.lex_state = 76, .external_lex_state = 2},
  [4194] = {.lex_state = 76, .external_lex_state = 2},
  [4195] = {.lex_state = 76, .external_lex_state = 2},
  [4196] = {.lex_state = 76, .external_lex_state = 2},
  [4197] = {.lex_state = 76, .external_lex_state = 2},
  [4198] = {.lex_state = 76, .external_lex_state = 2},
  [4199] = {.lex_state = 76, .external_lex_state = 2},
  [4200] = {.lex_state = 76, .external_lex_state = 2},
  [4201] = {.lex_state = 76, .external_lex_state = 2},
  [4202] = {.lex_state = 76, .external_lex_state = 2},
  [4203] = {.lex_state = 76, .external_lex_state = 2},
  [4204] = {.lex_state = 76, .external_lex_state = 2},
  [4205] = {.lex_state = 76, .external_lex_state = 2},
  [4206] = {.lex_state = 76, .external_lex_state = 2},
  [4207] = {.lex_state = 76, .external_lex_state = 2},
  [4208] = {.lex_state = 76, .external_lex_state = 2},
  [4209] = {.lex_state = 76, .external_lex_state = 2},
  [4210] = {.lex_state = 422, .external_lex_state = 2},
  [4211] = {.lex_state = 422, .external_lex_state = 2},
  [4212] = {.lex_state = 422, .external_lex_state = 2},
  [4213] = {.lex_state = 77, .external_lex_state = 2},
  [4214] = {.lex_state = 76, .external_lex_state = 2},
  [4215] = {.lex_state = 422, .external_lex_state = 2},
  [4216] = {.lex_state = 422, .external_lex_state = 2},
  [4217] = {.lex_state = 77, .external_lex_state = 2},
  [4218] = {.lex_state = 77, .external_lex_state = 2},
  [4219] = {.lex_state = 422, .external_lex_state = 2},
  [4220] = {.lex_state = 77, .external_lex_state = 2},
  [4221] = {.lex_state = 422, .external_lex_state = 2},
  [4222] = {.lex_state = 422, .external_lex_state = 2},
  [4223] = {.lex_state = 422, .external_lex_state = 2},
  [4224] = {.lex_state = 422, .external_lex_state = 2},
  [4225] = {.lex_state = 422, .external_lex_state = 2},
  [4226] = {.lex_state = 422, .external_lex_state = 2},
  [4227] = {.lex_state = 422, .external_lex_state = 2},
  [4228] = {.lex_state = 76, .external_lex_state = 2},
  [4229] = {.lex_state = 76, .external_lex_state = 2},
  [4230] = {.lex_state = 76, .external_lex_state = 2},
  [4231] = {.lex_state = 76, .external_lex_state = 2},
  [4232] = {.lex_state = 76, .external_lex_state = 2},
  [4233] = {.lex_state = 76, .external_lex_state = 2},
  [4234] = {.lex_state = 76, .external_lex_state = 2},
  [4235] = {.lex_state = 76, .external_lex_state = 2},
  [4236] = {.lex_state = 76, .external_lex_state = 2},
  [4237] = {.lex_state = 76, .external_lex_state = 2},
  [4238] = {.lex_state = 76, .external_lex_state = 2},
  [4239] = {.lex_state = 76, .external_lex_state = 2},
  [4240] = {.lex_state = 76, .external_lex_state = 2},
  [4241] = {.lex_state = 422, .external_lex_state = 2},
  [4242] = {.lex_state = 422, .external_lex_state = 2},
  [4243] = {.lex_state = 76, .external_lex_state = 2},
  [4244] = {.lex_state = 76, .external_lex_state = 2},
  [4245] = {.lex_state = 422, .external_lex_state = 2},
  [4246] = {.lex_state = 422, .external_lex_state = 2},
  [4247] = {.lex_state = 422, .external_lex_state = 2},
  [4248] = {.lex_state = 422, .external_lex_state = 2},
  [4249] = {.lex_state = 422, .external_lex_state = 2},
  [4250] = {.lex_state = 422, .external_lex_state = 2},
  [4251] = {.lex_state = 422, .external_lex_state = 2},
  [4252] = {.lex_state = 422, .external_lex_state = 2},
  [4253] = {.lex_state = 422, .external_lex_state = 2},
  [4254] = {.lex_state = 422, .external_lex_state = 2},
  [4255] = {.lex_state = 422, .external_lex_state = 2},
  [4256] = {.lex_state = 422, .external_lex_state = 2},
  [4257] = {.lex_state = 422, .external_lex_state = 2},
  [4258] = {.lex_state = 422, .external_lex_state = 2},
  [4259] = {.lex_state = 422, .external_lex_state = 2},
  [4260] = {.lex_state = 422, .external_lex_state = 2},
  [4261] = {.lex_state = 422, .external_lex_state = 2},
  [4262] = {.lex_state = 422, .external_lex_state = 2},
  [4263] = {.lex_state = 422, .external_lex_state = 2},
  [4264] = {.lex_state = 422, .external_lex_state = 2},
  [4265] = {.lex_state = 422, .external_lex_state = 2},
  [4266] = {.lex_state = 422, .external_lex_state = 2},
  [4267] = {.lex_state = 422, .external_lex_state = 2},
  [4268] = {.lex_state = 422, .external_lex_state = 2},
  [4269] = {.lex_state = 76, .external_lex_state = 2},
  [4270] = {.lex_state = 76, .external_lex_state = 2},
  [4271] = {.lex_state = 76, .external_lex_state = 2},
  [4272] = {.lex_state = 76, .external_lex_state = 2},
  [4273] = {.lex_state = 76, .external_lex_state = 2},
  [4274] = {.lex_state = 422, .external_lex_state = 2},
  [4275] = {.lex_state = 422, .external_lex_state = 2},
  [4276] = {.lex_state = 422, .external_lex_state = 2},
  [4277] = {.lex_state = 422, .external_lex_state = 2},
  [4278] = {.lex_state = 422, .external_lex_state = 2},
  [4279] = {.lex_state = 422, .external_lex_state = 2},
  [4280] = {.lex_state = 76, .external_lex_state = 2},
  [4281] = {.lex_state = 76, .external_lex_state = 2},
  [4282] = {.lex_state = 76, .external_lex_state = 2},
  [4283] = {.lex_state = 76, .external_lex_state = 2},
  [4284] = {.lex_state = 422, .external_lex_state = 2},
  [4285] = {.lex_state = 422, .external_lex_state = 2},
  [4286] = {.lex_state = 76, .external_lex_state = 2},
  [4287] = {.lex_state = 76, .external_lex_state = 2},
  [4288] = {.lex_state = 422, .external_lex_state = 2},
  [4289] = {.lex_state = 422, .external_lex_state = 2},
  [4290] = {.lex_state = 422, .external_lex_state = 2},
  [4291] = {.lex_state = 76, .external_lex_state = 2},
  [4292] = {.lex_state = 76, .external_lex_state = 2},
  [4293] = {.lex_state = 422, .external_lex_state = 2},
  [4294] = {.lex_state = 76, .external_lex_state = 2},
  [4295] = {.lex_state = 422, .external_lex_state = 2},
  [4296] = {.lex_state = 422, .external_lex_state = 2},
  [4297] = {.lex_state = 76, .external_lex_state = 2},
  [4298] = {.lex_state = 76, .external_lex_state = 2},
  [4299] = {.lex_state = 76, .external_lex_state = 2},
  [4300] = {.lex_state = 76, .external_lex_state = 2},
  [4301] = {.lex_state = 76, .external_lex_state = 2},
  [4302] = {.lex_state = 422, .external_lex_state = 2},
  [4303] = {.lex_state = 422, .external_lex_state = 2},
  [4304] = {.lex_state = 422, .external_lex_state = 2},
  [4305] = {.lex_state = 422, .external_lex_state = 2},
  [4306] = {.lex_state = 422, .external_lex_state = 2},
  [4307] = {.lex_state = 422, .external_lex_state = 2},
  [4308] = {.lex_state = 422, .external_lex_state = 2},
  [4309] = {.lex_state = 422, .external_lex_state = 2},
  [4310] = {.lex_state = 76, .external_lex_state = 2},
  [4311] = {.lex_state = 76, .external_lex_state = 2},
  [4312] = {.lex_state = 76, .external_lex_state = 2},
  [4313] = {.lex_state = 76, .external_lex_state = 2},
  [4314] = {.lex_state = 419, .external_lex_state = 2},
  [4315] = {.lex_state = 419, .external_lex_state = 2},
  [4316] = {.lex_state = 419, .external_lex_state = 2},
  [4317] = {.lex_state = 419, .external_lex_state = 2},
  [4318] = {.lex_state = 419, .external_lex_state = 2},
  [4319] = {.lex_state = 419, .external_lex_state = 2},
  [4320] = {.lex_state = 419, .external_lex_state = 2},
  [4321] = {.lex_state = 419, .external_lex_state = 2},
  [4322] = {.lex_state = 419, .external_lex_state = 2},
  [4323] = {.lex_state = 419, .external_lex_state = 2},
  [4324] = {.lex_state = 419, .external_lex_state = 2},
  [4325] = {.lex_state = 419, .external_lex_state = 2},
  [4326] = {.lex_state = 419, .external_lex_state = 2},
  [4327] = {.lex_state = 419, .external_lex_state = 2},
  [4328] = {.lex_state = 419, .external_lex_state = 2},
  [4329] = {.lex_state = 419, .external_lex_state = 2},
  [4330] = {.lex_state = 419, .external_lex_state = 2},
  [4331] = {.lex_state = 419, .external_lex_state = 2},
  [4332] = {.lex_state = 419, .external_lex_state = 2},
  [4333] = {.lex_state = 419, .external_lex_state = 2},
  [4334] = {.lex_state = 419, .external_lex_state = 2},
  [4335] = {.lex_state = 419, .external_lex_state = 2},
  [4336] = {.lex_state = 419, .external_lex_state = 2},
  [4337] = {.lex_state = 419, .external_lex_state = 2},
  [4338] = {.lex_state = 419, .external_lex_state = 2},
  [4339] = {.lex_state = 419, .external_lex_state = 2},
  [4340] = {.lex_state = 419, .external_lex_state = 2},
  [4341] = {.lex_state = 419, .external_lex_state = 2},
  [4342] = {.lex_state = 419, .external_lex_state = 2},
  [4343] = {.lex_state = 419, .external_lex_state = 2},
  [4344] = {.lex_state = 419, .external_lex_state = 2},
  [4345] = {.lex_state = 419, .external_lex_state = 2},
  [4346] = {.lex_state = 419, .external_lex_state = 2},
  [4347] = {.lex_state = 419, .external_lex_state = 2},
  [4348] = {.lex_state = 419, .external_lex_state = 2},
  [4349] = {.lex_state = 419, .external_lex_state = 2},
  [4350] = {.lex_state = 419, .external_lex_state = 2},
  [4351] = {.lex_state = 419, .external_lex_state = 2},
  [4352] = {.lex_state = 419, .external_lex_state = 2},
  [4353] = {.lex_state = 419, .external_lex_state = 2},
  [4354] = {.lex_state = 419, .external_lex_state = 2},
  [4355] = {.lex_state = 419, .external_lex_state = 2},
  [4356] = {.lex_state = 419, .external_lex_state = 2},
  [4357] = {.lex_state = 419, .external_lex_state = 2},
  [4358] = {.lex_state = 422, .external_lex_state = 2},
  [4359] = {.lex_state = 419, .external_lex_state = 2},
  [4360] = {.lex_state = 419, .external_lex_state = 2},
  [4361] = {.lex_state = 419, .external_lex_state = 2},
  [4362] = {.lex_state = 419, .external_lex_state = 2},
  [4363] = {.lex_state = 419, .external_lex_state = 2},
  [4364] = {.lex_state = 419, .external_lex_state = 2},
  [4365] = {.lex_state = 419, .external_lex_state = 2},
  [4366] = {.lex_state = 419, .external_lex_state = 2},
  [4367] = {.lex_state = 419, .external_lex_state = 2},
  [4368] = {.lex_state = 419, .external_lex_state = 2},
  [4369] = {.lex_state = 419, .external_lex_state = 2},
  [4370] = {.lex_state = 419, .external_lex_state = 2},
  [4371] = {.lex_state = 419, .external_lex_state = 2},
  [4372] = {.lex_state = 419, .external_lex_state = 2},
  [4373] = {.lex_state = 419, .external_lex_state = 2},
  [4374] = {.lex_state = 419, .external_lex_state = 2},
  [4375] = {.lex_state = 419, .external_lex_state = 2},
  [4376] = {.lex_state = 419, .external_lex_state = 2},
  [4377] = {.lex_state = 419, .external_lex_state = 2},
  [4378] = {.lex_state = 419, .external_lex_state = 2},
  [4379] = {.lex_state = 419, .external_lex_state = 2},
  [4380] = {.lex_state = 419, .external_lex_state = 2},
  [4381] = {.lex_state = 419, .external_lex_state = 2},
  [4382] = {.lex_state = 419, .external_lex_state = 2},
  [4383] = {.lex_state = 419, .external_lex_state = 2},
  [4384] = {.lex_state = 419, .external_lex_state = 2},
  [4385] = {.lex_state = 419, .external_lex_state = 2},
  [4386] = {.lex_state = 419, .external_lex_state = 2},
  [4387] = {.lex_state = 420, .external_lex_state = 2},
  [4388] = {.lex_state = 420, .external_lex_state = 2},
  [4389] = {.lex_state = 419, .external_lex_state = 2},
  [4390] = {.lex_state = 419, .external_lex_state = 2},
  [4391] = {.lex_state = 419, .external_lex_state = 2},
  [4392] = {.lex_state = 419, .external_lex_state = 2},
  [4393] = {.lex_state = 419, .external_lex_state = 2},
  [4394] = {.lex_state = 419, .external_lex_state = 2},
  [4395] = {.lex_state = 420, .external_lex_state = 2},
  [4396] = {.lex_state = 419, .external_lex_state = 2},
  [4397] = {.lex_state = 420, .external_lex_state = 2},
  [4398] = {.lex_state = 420, .external_lex_state = 2},
  [4399] = {.lex_state = 420, .external_lex_state = 2},
  [4400] = {.lex_state = 420, .external_lex_state = 2},
  [4401] = {.lex_state = 420, .external_lex_state = 2},
  [4402] = {.lex_state = 420, .external_lex_state = 2},
  [4403] = {.lex_state = 419, .external_lex_state = 2},
  [4404] = {.lex_state = 420, .external_lex_state = 2},
  [4405] = {.lex_state = 420, .external_lex_state = 2},
  [4406] = {.lex_state = 419, .external_lex_state = 2},
  [4407] = {.lex_state = 419, .external_lex_state = 2},
  [4408] = {.lex_state = 419, .external_lex_state = 2},
  [4409] = {.lex_state = 419, .external_lex_state = 2},
  [4410] = {.lex_state = 419, .external_lex_state = 2},
  [4411] = {.lex_state = 419, .external_lex_state = 2},
  [4412] = {.lex_state = 419, .external_lex_state = 2},
  [4413] = {.lex_state = 419, .external_lex_state = 2},
  [4414] = {.lex_state = 419, .external_lex_state = 2},
  [4415] = {.lex_state = 419, .external_lex_state = 2},
  [4416] = {.lex_state = 419, .external_lex_state = 2},
  [4417] = {.lex_state = 419, .external_lex_state = 2},
  [4418] = {.lex_state = 419, .external_lex_state = 2},
  [4419] = {.lex_state = 419, .external_lex_state = 2},
  [4420] = {.lex_state = 419, .external_lex_state = 2},
  [4421] = {.lex_state = 419, .external_lex_state = 2},
  [4422] = {.lex_state = 419, .external_lex_state = 2},
  [4423] = {.lex_state = 419, .external_lex_state = 2},
  [4424] = {.lex_state = 419, .external_lex_state = 2},
  [4425] = {.lex_state = 419, .external_lex_state = 2},
  [4426] = {.lex_state = 419, .external_lex_state = 2},
  [4427] = {.lex_state = 419, .external_lex_state = 2},
  [4428] = {.lex_state = 419, .external_lex_state = 2},
  [4429] = {.lex_state = 419, .external_lex_state = 2},
  [4430] = {.lex_state = 419, .external_lex_state = 2},
  [4431] = {.lex_state = 419, .external_lex_state = 2},
  [4432] = {.lex_state = 419, .external_lex_state = 2},
  [4433] = {.lex_state = 419, .external_lex_state = 2},
  [4434] = {.lex_state = 419, .external_lex_state = 2},
  [4435] = {.lex_state = 419, .external_lex_state = 2},
  [4436] = {.lex_state = 419, .external_lex_state = 2},
  [4437] = {.lex_state = 419, .external_lex_state = 2},
  [4438] = {.lex_state = 419, .external_lex_state = 2},
  [4439] = {.lex_state = 419, .external_lex_state = 2},
  [4440] = {.lex_state = 419, .external_lex_state = 2},
  [4441] = {.lex_state = 419, .external_lex_state = 2},
  [4442] = {.lex_state = 419, .external_lex_state = 2},
  [4443] = {.lex_state = 420, .external_lex_state = 2},
  [4444] = {.lex_state = 419, .external_lex_state = 2},
  [4445] = {.lex_state = 419, .external_lex_state = 2},
  [4446] = {.lex_state = 419, .external_lex_state = 2},
  [4447] = {.lex_state = 420, .external_lex_state = 2},
  [4448] = {.lex_state = 419, .external_lex_state = 2},
  [4449] = {.lex_state = 419, .external_lex_state = 2},
  [4450] = {.lex_state = 419, .external_lex_state = 2},
  [4451] = {.lex_state = 419, .external_lex_state = 2},
  [4452] = {.lex_state = 419, .external_lex_state = 2},
  [4453] = {.lex_state = 419, .external_lex_state = 2},
  [4454] = {.lex_state = 419, .external_lex_state = 2},
  [4455] = {.lex_state = 419, .external_lex_state = 2},
  [4456] = {.lex_state = 77, .external_lex_state = 2},
  [4457] = {.lex_state = 78, .external_lex_state = 2},
  [4458] = {.lex_state = 78, .external_lex_state = 2},
  [4459] = {.lex_state = 77, .external_lex_state = 2},
  [4460] = {.lex_state = 77, .external_lex_state = 2},
  [4461] = {.lex_state = 419, .external_lex_state = 2},
  [4462] = {.lex_state = 77, .external_lex_state = 2},
  [4463] = {.lex_state = 77, .external_lex_state = 2},
  [4464] = {.lex_state = 77, .external_lex_state = 2},
  [4465] = {.lex_state = 77, .external_lex_state = 2},
  [4466] = {.lex_state = 77, .external_lex_state = 2},
  [4467] = {.lex_state = 77, .external_lex_state = 2},
  [4468] = {.lex_state = 77, .external_lex_state = 2},
  [4469] = {.lex_state = 77, .external_lex_state = 2},
  [4470] = {.lex_state = 77, .external_lex_state = 2},
  [4471] = {.lex_state = 77, .external_lex_state = 2},
  [4472] = {.lex_state = 77, .external_lex_state = 2},
  [4473] = {.lex_state = 77, .external_lex_state = 2},
  [4474] = {.lex_state = 77, .external_lex_state = 2},
  [4475] = {.lex_state = 77, .external_lex_state = 2},
  [4476] = {.lex_state = 77, .external_lex_state = 2},
  [4477] = {.lex_state = 77, .external_lex_state = 2},
  [4478] = {.lex_state = 77, .external_lex_state = 2},
  [4479] = {.lex_state = 77, .external_lex_state = 2},
  [4480] = {.lex_state = 419, .external_lex_state = 2},
  [4481] = {.lex_state = 77, .external_lex_state = 2},
  [4482] = {.lex_state = 77, .external_lex_state = 2},
  [4483] = {.lex_state = 77, .external_lex_state = 2},
  [4484] = {.lex_state = 77, .external_lex_state = 2},
  [4485] = {.lex_state = 77, .external_lex_state = 2},
  [4486] = {.lex_state = 77, .external_lex_state = 2},
  [4487] = {.lex_state = 77, .external_lex_state = 2},
  [4488] = {.lex_state = 77, .external_lex_state = 2},
  [4489] = {.lex_state = 77, .external_lex_state = 2},
  [4490] = {.lex_state = 77, .external_lex_state = 2},
  [4491] = {.lex_state = 77, .external_lex_state = 2},
  [4492] = {.lex_state = 77, .external_lex_state = 2},
  [4493] = {.lex_state = 77, .external_lex_state = 2},
  [4494] = {.lex_state = 77, .external_lex_state = 2},
  [4495] = {.lex_state = 77, .external_lex_state = 2},
  [4496] = {.lex_state = 77, .external_lex_state = 2},
  [4497] = {.lex_state = 77, .external_lex_state = 2},
  [4498] = {.lex_state = 77, .external_lex_state = 2},
  [4499] = {.lex_state = 77, .external_lex_state = 2},
  [4500] = {.lex_state = 77, .external_lex_state = 2},
  [4501] = {.lex_state = 77, .external_lex_state = 2},
  [4502] = {.lex_state = 77, .external_lex_state = 2},
  [4503] = {.lex_state = 77, .external_lex_state = 2},
  [4504] = {.lex_state = 77, .external_lex_state = 2},
  [4505] = {.lex_state = 77, .external_lex_state = 2},
  [4506] = {.lex_state = 77, .external_lex_state = 2},
  [4507] = {.lex_state = 77, .external_lex_state = 2},
  [4508] = {.lex_state = 77, .external_lex_state = 2},
  [4509] = {.lex_state = 77, .external_lex_state = 2},
  [4510] = {.lex_state = 77, .external_lex_state = 2},
  [4511] = {.lex_state = 419, .external_lex_state = 2},
  [4512] = {.lex_state = 419, .external_lex_state = 2},
  [4513] = {.lex_state = 77, .external_lex_state = 2},
  [4514] = {.lex_state = 77, .external_lex_state = 2},
  [4515] = {.lex_state = 77, .external_lex_state = 2},
  [4516] = {.lex_state = 420, .external_lex_state = 2},
  [4517] = {.lex_state = 420, .external_lex_state = 2},
  [4518] = {.lex_state = 420, .external_lex_state = 2},
  [4519] = {.lex_state = 420, .external_lex_state = 2},
  [4520] = {.lex_state = 420, .external_lex_state = 2},
  [4521] = {.lex_state = 420, .external_lex_state = 2},
  [4522] = {.lex_state = 420, .external_lex_state = 2},
  [4523] = {.lex_state = 77, .external_lex_state = 2},
  [4524] = {.lex_state = 420, .external_lex_state = 2},
  [4525] = {.lex_state = 419, .external_lex_state = 2},
  [4526] = {.lex_state = 420, .external_lex_state = 2},
  [4527] = {.lex_state = 419, .external_lex_state = 2},
  [4528] = {.lex_state = 419, .external_lex_state = 2},
  [4529] = {.lex_state = 419, .external_lex_state = 2},
  [4530] = {.lex_state = 419, .external_lex_state = 2},
  [4531] = {.lex_state = 78, .external_lex_state = 2},
  [4532] = {.lex_state = 78, .external_lex_state = 2},
  [4533] = {.lex_state = 78, .external_lex_state = 2},
  [4534] = {.lex_state = 78, .external_lex_state = 2},
  [4535] = {.lex_state = 78, .external_lex_state = 2},
  [4536] = {.lex_state = 78, .external_lex_state = 2},
  [4537] = {.lex_state = 78, .external_lex_state = 2},
  [4538] = {.lex_state = 419, .external_lex_state = 2},
  [4539] = {.lex_state = 419, .external_lex_state = 2},
  [4540] = {.lex_state = 419, .external_lex_state = 2},
  [4541] = {.lex_state = 419, .external_lex_state = 2},
  [4542] = {.lex_state = 419, .external_lex_state = 2},
  [4543] = {.lex_state = 419, .external_lex_state = 2},
  [4544] = {.lex_state = 419, .external_lex_state = 2},
  [4545] = {.lex_state = 419, .external_lex_state = 2},
  [4546] = {.lex_state = 78, .external_lex_state = 2},
  [4547] = {.lex_state = 422, .external_lex_state = 2},
  [4548] = {.lex_state = 77, .external_lex_state = 2},
  [4549] = {.lex_state = 419, .external_lex_state = 2},
  [4550] = {.lex_state = 78, .external_lex_state = 2},
  [4551] = {.lex_state = 77, .external_lex_state = 2},
  [4552] = {.lex_state = 77, .external_lex_state = 2},
  [4553] = {.lex_state = 77, .external_lex_state = 2},
  [4554] = {.lex_state = 77, .external_lex_state = 2},
  [4555] = {.lex_state = 419, .external_lex_state = 2},
  [4556] = {.lex_state = 419, .external_lex_state = 2},
  [4557] = {.lex_state = 419, .external_lex_state = 2},
  [4558] = {.lex_state = 419, .external_lex_state = 2},
  [4559] = {.lex_state = 419, .external_lex_state = 2},
  [4560] = {.lex_state = 77, .external_lex_state = 2},
  [4561] = {.lex_state = 77, .external_lex_state = 2},
  [4562] = {.lex_state = 77, .external_lex_state = 2},
  [4563] = {.lex_state = 77, .external_lex_state = 2},
  [4564] = {.lex_state = 77, .external_lex_state = 2},
  [4565] = {.lex_state = 77, .external_lex_state = 2},
  [4566] = {.lex_state = 77, .external_lex_state = 2},
  [4567] = {.lex_state = 422, .external_lex_state = 2},
  [4568] = {.lex_state = 422, .external_lex_state = 2},
  [4569] = {.lex_state = 422, .external_lex_state = 2},
  [4570] = {.lex_state = 422, .external_lex_state = 2},
  [4571] = {.lex_state = 422, .external_lex_state = 2},
  [4572] = {.lex_state = 77, .external_lex_state = 2},
  [4573] = {.lex_state = 422, .external_lex_state = 2},
  [4574] = {.lex_state = 77, .external_lex_state = 2},
  [4575] = {.lex_state = 422, .external_lex_state = 2},
  [4576] = {.lex_state = 422, .external_lex_state = 2},
  [4577] = {.lex_state = 422, .external_lex_state = 2},
  [4578] = {.lex_state = 422, .external_lex_state = 2},
  [4579] = {.lex_state = 422, .external_lex_state = 2},
  [4580] = {.lex_state = 422, .external_lex_state = 2},
  [4581] = {.lex_state = 422, .external_lex_state = 2},
  [4582] = {.lex_state = 419, .external_lex_state = 2},
  [4583] = {.lex_state = 420, .external_lex_state = 2},
  [4584] = {.lex_state = 15, .external_lex_state = 2},
  [4585] = {.lex_state = 420, .external_lex_state = 2},
  [4586] = {.lex_state = 420, .external_lex_state = 2},
  [4587] = {.lex_state = 15, .external_lex_state = 2},
  [4588] = {.lex_state = 420, .external_lex_state = 2},
  [4589] = {.lex_state = 420, .external_lex_state = 2},
  [4590] = {.lex_state = 420, .external_lex_state = 2},
  [4591] = {.lex_state = 420, .external_lex_state = 2},
  [4592] = {.lex_state = 420, .external_lex_state = 2},
  [4593] = {.lex_state = 15, .external_lex_state = 2},
  [4594] = {.lex_state = 420, .external_lex_state = 2},
  [4595] = {.lex_state = 420, .external_lex_state = 2},
  [4596] = {.lex_state = 420, .external_lex_state = 2},
  [4597] = {.lex_state = 420, .external_lex_state = 2},
  [4598] = {.lex_state = 420, .external_lex_state = 2},
  [4599] = {.lex_state = 420, .external_lex_state = 2},
  [4600] = {.lex_state = 15, .external_lex_state = 2},
  [4601] = {.lex_state = 420, .external_lex_state = 2},
  [4602] = {.lex_state = 420, .external_lex_state = 2},
  [4603] = {.lex_state = 420, .external_lex_state = 2},
  [4604] = {.lex_state = 420, .external_lex_state = 2},
  [4605] = {.lex_state = 420, .external_lex_state = 2},
  [4606] = {.lex_state = 420, .external_lex_state = 2},
  [4607] = {.lex_state = 15, .external_lex_state = 2},
  [4608] = {.lex_state = 15, .external_lex_state = 2},
  [4609] = {.lex_state = 15, .external_lex_state = 2},
  [4610] = {.lex_state = 420, .external_lex_state = 2},
  [4611] = {.lex_state = 15, .external_lex_state = 2},
  [4612] = {.lex_state = 420, .external_lex_state = 2},
  [4613] = {.lex_state = 420, .external_lex_state = 2},
  [4614] = {.lex_state = 420, .external_lex_state = 2},
  [4615] = {.lex_state = 420, .external_lex_state = 2},
  [4616] = {.lex_state = 15, .external_lex_state = 2},
  [4617] = {.lex_state = 15, .external_lex_state = 2},
  [4618] = {.lex_state = 420, .external_lex_state = 2},
  [4619] = {.lex_state = 15, .external_lex_state = 2},
  [4620] = {.lex_state = 420, .external_lex_state = 2},
  [4621] = {.lex_state = 15, .external_lex_state = 2},
  [4622] = {.lex_state = 15, .external_lex_state = 2},
  [4623] = {.lex_state = 420, .external_lex_state = 2},
  [4624] = {.lex_state = 420, .external_lex_state = 2},
  [4625] = {.lex_state = 15, .external_lex_state = 2},
  [4626] = {.lex_state = 420, .external_lex_state = 2},
  [4627] = {.lex_state = 420, .external_lex_state = 2},
  [4628] = {.lex_state = 420, .external_lex_state = 2},
  [4629] = {.lex_state = 15, .external_lex_state = 2},
  [4630] = {.lex_state = 78, .external_lex_state = 2},
  [4631] = {.lex_state = 78, .external_lex_state = 2},
  [4632] = {.lex_state = 78, .external_lex_state = 2},
  [4633] = {.lex_state = 78, .external_lex_state = 2},
  [4634] = {.lex_state = 15, .external_lex_state = 2},
  [4635] = {.lex_state = 420, .external_lex_state = 2},
  [4636] = {.lex_state = 15, .external_lex_state = 2},
  [4637] = {.lex_state = 15, .external_lex_state = 2},
  [4638] = {.lex_state = 15, .external_lex_state = 2},
  [4639] = {.lex_state = 420, .external_lex_state = 2},
  [4640] = {.lex_state = 78, .external_lex_state = 2},
  [4641] = {.lex_state = 420, .external_lex_state = 2},
  [4642] = {.lex_state = 78, .external_lex_state = 2},
  [4643] = {.lex_state = 15, .external_lex_state = 2},
  [4644] = {.lex_state = 78, .external_lex_state = 2},
  [4645] = {.lex_state = 78, .external_lex_state = 2},
  [4646] = {.lex_state = 15, .external_lex_state = 2},
  [4647] = {.lex_state = 420, .external_lex_state = 2},
  [4648] = {.lex_state = 15, .external_lex_state = 2},
  [4649] = {.lex_state = 15, .external_lex_state = 2},
  [4650] = {.lex_state = 420, .external_lex_state = 2},
  [4651] = {.lex_state = 420, .external_lex_state = 2},
  [4652] = {.lex_state = 15, .external_lex_state = 2},
  [4653] = {.lex_state = 420, .external_lex_state = 2},
  [4654] = {.lex_state = 420, .external_lex_state = 2},
  [4655] = {.lex_state = 15, .external_lex_state = 2},
  [4656] = {.lex_state = 420, .external_lex_state = 2},
  [4657] = {.lex_state = 420, .external_lex_state = 2},
  [4658] = {.lex_state = 420, .external_lex_state = 2},
  [4659] = {.lex_state = 420, .external_lex_state = 2},
  [4660] = {.lex_state = 78, .external_lex_state = 2},
  [4661] = {.lex_state = 420, .external_lex_state = 2},
  [4662] = {.lex_state = 420, .external_lex_state = 2},
  [4663] = {.lex_state = 15, .external_lex_state = 2},
  [4664] = {.lex_state = 420, .external_lex_state = 2},
  [4665] = {.lex_state = 420, .external_lex_state = 2},
  [4666] = {.lex_state = 420, .external_lex_state = 2},
  [4667] = {.lex_state = 420, .external_lex_state = 2},
  [4668] = {.lex_state = 420, .external_lex_state = 2},
  [4669] = {.lex_state = 15, .external_lex_state = 2},
  [4670] = {.lex_state = 420, .external_lex_state = 2},
  [4671] = {.lex_state = 78, .external_lex_state = 2},
  [4672] = {.lex_state = 78, .external_lex_state = 2},
  [4673] = {.lex_state = 78, .external_lex_state = 2},
  [4674] = {.lex_state = 420, .external_lex_state = 2},
  [4675] = {.lex_state = 420, .external_lex_state = 2},
  [4676] = {.lex_state = 15, .external_lex_state = 2},
  [4677] = {.lex_state = 420, .external_lex_state = 2},
  [4678] = {.lex_state = 78, .external_lex_state = 2},
  [4679] = {.lex_state = 420, .external_lex_state = 2},
  [4680] = {.lex_state = 15, .external_lex_state = 2},
  [4681] = {.lex_state = 420, .external_lex_state = 2},
  [4682] = {.lex_state = 420, .external_lex_state = 2},
  [4683] = {.lex_state = 420, .external_lex_state = 2},
  [4684] = {.lex_state = 15, .external_lex_state = 2},
  [4685] = {.lex_state = 78, .external_lex_state = 2},
  [4686] = {.lex_state = 78, .external_lex_state = 2},
  [4687] = {.lex_state = 15, .external_lex_state = 2},
  [4688] = {.lex_state = 420, .external_lex_state = 2},
  [4689] = {.lex_state = 15, .external_lex_state = 2},
  [4690] = {.lex_state = 15, .external_lex_state = 2},
  [4691] = {.lex_state = 15, .external_lex_state = 2},
  [4692] = {.lex_state = 15, .external_lex_state = 2},
  [4693] = {.lex_state = 424, .external_lex_state = 2},
  [4694] = {.lex_state = 15, .external_lex_state = 2},
  [4695] = {.lex_state = 78, .external_lex_state = 2},
  [4696] = {.lex_state = 420, .external_lex_state = 2},
  [4697] = {.lex_state = 78, .external_lex_state = 2},
  [4698] = {.lex_state = 15, .external_lex_state = 2},
  [4699] = {.lex_state = 424, .external_lex_state = 2},
  [4700] = {.lex_state = 424, .external_lex_state = 2},
  [4701] = {.lex_state = 424, .external_lex_state = 2},
  [4702] = {.lex_state = 15, .external_lex_state = 2},
  [4703] = {.lex_state = 420, .external_lex_state = 2},
  [4704] = {.lex_state = 78, .external_lex_state = 2},
  [4705] = {.lex_state = 15, .external_lex_state = 2},
  [4706] = {.lex_state = 424, .external_lex_state = 2},
  [4707] = {.lex_state = 424, .external_lex_state = 2},
  [4708] = {.lex_state = 424, .external_lex_state = 2},
  [4709] = {.lex_state = 78, .external_lex_state = 2},
  [4710] = {.lex_state = 420, .external_lex_state = 2},
  [4711] = {.lex_state = 78, .external_lex_state = 2},
  [4712] = {.lex_state = 420, .external_lex_state = 2},
  [4713] = {.lex_state = 420, .external_lex_state = 2},
  [4714] = {.lex_state = 78, .external_lex_state = 2},
  [4715] = {.lex_state = 420, .external_lex_state = 2},
  [4716] = {.lex_state = 78, .external_lex_state = 2},
  [4717] = {.lex_state = 78, .external_lex_state = 2},
  [4718] = {.lex_state = 15, .external_lex_state = 2},
  [4719] = {.lex_state = 15, .external_lex_state = 2},
  [4720] = {.lex_state = 15, .external_lex_state = 2},
  [4721] = {.lex_state = 15, .external_lex_state = 2},
  [4722] = {.lex_state = 15, .external_lex_state = 2},
  [4723] = {.lex_state = 409, .external_lex_state = 2},
  [4724] = {.lex_state = 424, .external_lex_state = 2},
  [4725] = {.lex_state = 15, .external_lex_state = 2},
  [4726] = {.lex_state = 424, .external_lex_state = 2},
  [4727] = {.lex_state = 424, .external_lex_state = 2},
  [4728] = {.lex_state = 424, .external_lex_state = 2},
  [4729] = {.lex_state = 15, .external_lex_state = 2},
  [4730] = {.lex_state = 409, .external_lex_state = 2},
  [4731] = {.lex_state = 424, .external_lex_state = 2},
  [4732] = {.lex_state = 424, .external_lex_state = 2},
  [4733] = {.lex_state = 15, .external_lex_state = 2},
  [4734] = {.lex_state = 424, .external_lex_state = 2},
  [4735] = {.lex_state = 15, .external_lex_state = 2},
  [4736] = {.lex_state = 15, .external_lex_state = 2},
  [4737] = {.lex_state = 15, .external_lex_state = 2},
  [4738] = {.lex_state = 15, .external_lex_state = 2},
  [4739] = {.lex_state = 15, .external_lex_state = 2},
  [4740] = {.lex_state = 15, .external_lex_state = 2},
  [4741] = {.lex_state = 15, .external_lex_state = 2},
  [4742] = {.lex_state = 15, .external_lex_state = 2},
  [4743] = {.lex_state = 15, .external_lex_state = 2},
  [4744] = {.lex_state = 424, .external_lex_state = 2},
  [4745] = {.lex_state = 15, .external_lex_state = 2},
  [4746] = {.lex_state = 15, .external_lex_state = 2},
  [4747] = {.lex_state = 424, .external_lex_state = 2},
  [4748] = {.lex_state = 15, .external_lex_state = 2},
  [4749] = {.lex_state = 15, .external_lex_state = 2},
  [4750] = {.lex_state = 409, .external_lex_state = 2},
  [4751] = {.lex_state = 15, .external_lex_state = 2},
  [4752] = {.lex_state = 15, .external_lex_state = 2},
  [4753] = {.lex_state = 15, .external_lex_state = 2},
  [4754] = {.lex_state = 15, .external_lex_state = 2},
  [4755] = {.lex_state = 15, .external_lex_state = 2},
  [4756] = {.lex_state = 15, .external_lex_state = 2},
  [4757] = {.lex_state = 15, .external_lex_state = 2},
  [4758] = {.lex_state = 15, .external_lex_state = 2},
  [4759] = {.lex_state = 15, .external_lex_state = 2},
  [4760] = {.lex_state = 409, .external_lex_state = 2},
  [4761] = {.lex_state = 15, .external_lex_state = 2},
  [4762] = {.lex_state = 15, .external_lex_state = 2},
  [4763] = {.lex_state = 420, .external_lex_state = 2},
  [4764] = {.lex_state = 420, .external_lex_state = 2},
  [4765] = {.lex_state = 15, .external_lex_state = 2},
  [4766] = {.lex_state = 424, .external_lex_state = 2},
  [4767] = {.lex_state = 15, .external_lex_state = 2},
  [4768] = {.lex_state = 79, .external_lex_state = 2},
  [4769] = {.lex_state = 15, .external_lex_state = 2},
  [4770] = {.lex_state = 15, .external_lex_state = 2},
  [4771] = {.lex_state = 424, .external_lex_state = 2},
  [4772] = {.lex_state = 15, .external_lex_state = 2},
  [4773] = {.lex_state = 79, .external_lex_state = 2},
  [4774] = {.lex_state = 79, .external_lex_state = 2},
  [4775] = {.lex_state = 79, .external_lex_state = 2},
  [4776] = {.lex_state = 15, .external_lex_state = 2},
  [4777] = {.lex_state = 15, .external_lex_state = 2},
  [4778] = {.lex_state = 15, .external_lex_state = 2},
  [4779] = {.lex_state = 79, .external_lex_state = 2},
  [4780] = {.lex_state = 79, .external_lex_state = 2},
  [4781] = {.lex_state = 79, .external_lex_state = 2},
  [4782] = {.lex_state = 15, .external_lex_state = 2},
  [4783] = {.lex_state = 15, .external_lex_state = 2},
  [4784] = {.lex_state = 15, .external_lex_state = 2},
  [4785] = {.lex_state = 15, .external_lex_state = 2},
  [4786] = {.lex_state = 15, .external_lex_state = 2},
  [4787] = {.lex_state = 15, .external_lex_state = 2},
  [4788] = {.lex_state = 15, .external_lex_state = 2},
  [4789] = {.lex_state = 79, .external_lex_state = 2},
  [4790] = {.lex_state = 15, .external_lex_state = 2},
  [4791] = {.lex_state = 79, .external_lex_state = 2},
  [4792] = {.lex_state = 420, .external_lex_state = 2},
  [4793] = {.lex_state = 15, .external_lex_state = 2},
  [4794] = {.lex_state = 420, .external_lex_state = 2},
  [4795] = {.lex_state = 420, .external_lex_state = 2},
  [4796] = {.lex_state = 420, .external_lex_state = 2},
  [4797] = {.lex_state = 420, .external_lex_state = 2},
  [4798] = {.lex_state = 420, .external_lex_state = 2},
  [4799] = {.lex_state = 420, .external_lex_state = 2},
  [4800] = {.lex_state = 420, .external_lex_state = 2},
  [4801] = {.lex_state = 420, .external_lex_state = 2},
  [4802] = {.lex_state = 420, .external_lex_state = 2},
  [4803] = {.lex_state = 420, .external_lex_state = 2},
  [4804] = {.lex_state = 420, .external_lex_state = 2},
  [4805] = {.lex_state = 15, .external_lex_state = 2},
  [4806] = {.lex_state = 420, .external_lex_state = 2},
  [4807] = {.lex_state = 420, .external_lex_state = 2},
  [4808] = {.lex_state = 420, .external_lex_state = 2},
  [4809] = {.lex_state = 420, .external_lex_state = 2},
  [4810] = {.lex_state = 420, .external_lex_state = 2},
  [4811] = {.lex_state = 420, .external_lex_state = 2},
  [4812] = {.lex_state = 420, .external_lex_state = 2},
  [4813] = {.lex_state = 420, .external_lex_state = 2},
  [4814] = {.lex_state = 420, .external_lex_state = 2},
  [4815] = {.lex_state = 420, .external_lex_state = 2},
  [4816] = {.lex_state = 420, .external_lex_state = 2},
  [4817] = {.lex_state = 420, .external_lex_state = 2},
  [4818] = {.lex_state = 420, .external_lex_state = 2},
  [4819] = {.lex_state = 420, .external_lex_state = 2},
  [4820] = {.lex_state = 420, .external_lex_state = 2},
  [4821] = {.lex_state = 420, .external_lex_state = 2},
  [4822] = {.lex_state = 420, .external_lex_state = 2},
  [4823] = {.lex_state = 420, .external_lex_state = 2},
  [4824] = {.lex_state = 420, .external_lex_state = 2},
  [4825] = {.lex_state = 15, .external_lex_state = 2},
  [4826] = {.lex_state = 15, .external_lex_state = 2},
  [4827] = {.lex_state = 15, .external_lex_state = 2},
  [4828] = {.lex_state = 420, .external_lex_state = 2},
  [4829] = {.lex_state = 420, .external_lex_state = 2},
  [4830] = {.lex_state = 420, .external_lex_state = 2},
  [4831] = {.lex_state = 420, .external_lex_state = 2},
  [4832] = {.lex_state = 15, .external_lex_state = 2},
  [4833] = {.lex_state = 15, .external_lex_state = 2},
  [4834] = {.lex_state = 15, .external_lex_state = 2},
  [4835] = {.lex_state = 420, .external_lex_state = 2},
  [4836] = {.lex_state = 420, .external_lex_state = 2},
  [4837] = {.lex_state = 15, .external_lex_state = 2},
  [4838] = {.lex_state = 420, .external_lex_state = 2},
  [4839] = {.lex_state = 420, .external_lex_state = 2},
  [4840] = {.lex_state = 420, .external_lex_state = 2},
  [4841] = {.lex_state = 420, .external_lex_state = 2},
  [4842] = {.lex_state = 420, .external_lex_state = 2},
  [4843] = {.lex_state = 420, .external_lex_state = 2},
  [4844] = {.lex_state = 420, .external_lex_state = 2},
  [4845] = {.lex_state = 420, .external_lex_state = 2},
  [4846] = {.lex_state = 424, .external_lex_state = 2},
  [4847] = {.lex_state = 424, .external_lex_state = 2},
  [4848] = {.lex_state = 15, .external_lex_state = 2},
  [4849] = {.lex_state = 420, .external_lex_state = 2},
  [4850] = {.lex_state = 15, .external_lex_state = 2},
  [4851] = {.lex_state = 15, .external_lex_state = 2},
  [4852] = {.lex_state = 15, .external_lex_state = 2},
  [4853] = {.lex_state = 420, .external_lex_state = 2},
  [4854] = {.lex_state = 78, .external_lex_state = 2},
  [4855] = {.lex_state = 420, .external_lex_state = 2},
  [4856] = {.lex_state = 15, .external_lex_state = 2},
  [4857] = {.lex_state = 420, .external_lex_state = 2},
  [4858] = {.lex_state = 420, .external_lex_state = 2},
  [4859] = {.lex_state = 78, .external_lex_state = 2},
  [4860] = {.lex_state = 420, .external_lex_state = 2},
  [4861] = {.lex_state = 78, .external_lex_state = 2},
  [4862] = {.lex_state = 420, .external_lex_state = 2},
  [4863] = {.lex_state = 78, .external_lex_state = 2},
  [4864] = {.lex_state = 78, .external_lex_state = 2},
  [4865] = {.lex_state = 78, .external_lex_state = 2},
  [4866] = {.lex_state = 78, .external_lex_state = 2},
  [4867] = {.lex_state = 78, .external_lex_state = 2},
  [4868] = {.lex_state = 78, .external_lex_state = 2},
  [4869] = {.lex_state = 78, .external_lex_state = 2},
  [4870] = {.lex_state = 420, .external_lex_state = 2},
  [4871] = {.lex_state = 420, .external_lex_state = 2},
  [4872] = {.lex_state = 78, .external_lex_state = 2},
  [4873] = {.lex_state = 78, .external_lex_state = 2},
  [4874] = {.lex_state = 78, .external_lex_state = 2},
  [4875] = {.lex_state = 420, .external_lex_state = 2},
  [4876] = {.lex_state = 42, .external_lex_state = 2},
  [4877] = {.lex_state = 15, .external_lex_state = 2},
  [4878] = {.lex_state = 78, .external_lex_state = 2},
  [4879] = {.lex_state = 78, .external_lex_state = 2},
  [4880] = {.lex_state = 78, .external_lex_state = 2},
  [4881] = {.lex_state = 78, .external_lex_state = 2},
  [4882] = {.lex_state = 78, .external_lex_state = 2},
  [4883] = {.lex_state = 78, .external_lex_state = 2},
  [4884] = {.lex_state = 78, .external_lex_state = 2},
  [4885] = {.lex_state = 420, .external_lex_state = 2},
  [4886] = {.lex_state = 78, .external_lex_state = 2},
  [4887] = {.lex_state = 420, .external_lex_state = 2},
  [4888] = {.lex_state = 78, .external_lex_state = 2},
  [4889] = {.lex_state = 78, .external_lex_state = 2},
  [4890] = {.lex_state = 78, .external_lex_state = 2},
  [4891] = {.lex_state = 78, .external_lex_state = 2},
  [4892] = {.lex_state = 78, .external_lex_state = 2},
  [4893] = {.lex_state = 78, .external_lex_state = 2},
  [4894] = {.lex_state = 78, .external_lex_state = 2},
  [4895] = {.lex_state = 78, .external_lex_state = 2},
  [4896] = {.lex_state = 78, .external_lex_state = 2},
  [4897] = {.lex_state = 420, .external_lex_state = 2},
  [4898] = {.lex_state = 78, .external_lex_state = 2},
  [4899] = {.lex_state = 78, .external_lex_state = 2},
  [4900] = {.lex_state = 78, .external_lex_state = 2},
  [4901] = {.lex_state = 15, .external_lex_state = 2},
  [4902] = {.lex_state = 15, .external_lex_state = 2},
  [4903] = {.lex_state = 424, .external_lex_state = 2},
  [4904] = {.lex_state = 78, .external_lex_state = 2},
  [4905] = {.lex_state = 78, .external_lex_state = 2},
  [4906] = {.lex_state = 78, .external_lex_state = 2},
  [4907] = {.lex_state = 78, .external_lex_state = 2},
  [4908] = {.lex_state = 420, .external_lex_state = 2},
  [4909] = {.lex_state = 420, .external_lex_state = 2},
  [4910] = {.lex_state = 420, .external_lex_state = 2},
  [4911] = {.lex_state = 424, .external_lex_state = 2},
  [4912] = {.lex_state = 15, .external_lex_state = 2},
  [4913] = {.lex_state = 15, .external_lex_state = 2},
  [4914] = {.lex_state = 78, .external_lex_state = 2},
  [4915] = {.lex_state = 420, .external_lex_state = 2},
  [4916] = {.lex_state = 420, .external_lex_state = 2},
  [4917] = {.lex_state = 420, .external_lex_state = 2},
  [4918] = {.lex_state = 420, .external_lex_state = 2},
  [4919] = {.lex_state = 15, .external_lex_state = 2},
  [4920] = {.lex_state = 15, .external_lex_state = 2},
  [4921] = {.lex_state = 15, .external_lex_state = 2},
  [4922] = {.lex_state = 78, .external_lex_state = 2},
  [4923] = {.lex_state = 420, .external_lex_state = 2},
  [4924] = {.lex_state = 15, .external_lex_state = 2},
  [4925] = {.lex_state = 420, .external_lex_state = 2},
  [4926] = {.lex_state = 420, .external_lex_state = 2},
  [4927] = {.lex_state = 15, .external_lex_state = 2},
  [4928] = {.lex_state = 15, .external_lex_state = 2},
  [4929] = {.lex_state = 420, .external_lex_state = 2},
  [4930] = {.lex_state = 78, .external_lex_state = 2},
  [4931] = {.lex_state = 420, .external_lex_state = 2},
  [4932] = {.lex_state = 420, .external_lex_state = 2},
  [4933] = {.lex_state = 15, .external_lex_state = 2},
  [4934] = {.lex_state = 15, .external_lex_state = 2},
  [4935] = {.lex_state = 15, .external_lex_state = 2},
  [4936] = {.lex_state = 15, .external_lex_state = 2},
  [4937] = {.lex_state = 15, .external_lex_state = 2},
  [4938] = {.lex_state = 15, .external_lex_state = 2},
  [4939] = {.lex_state = 420, .external_lex_state = 2},
  [4940] = {.lex_state = 420, .external_lex_state = 2},
  [4941] = {.lex_state = 15, .external_lex_state = 2},
  [4942] = {.lex_state = 15, .external_lex_state = 2},
  [4943] = {.lex_state = 79, .external_lex_state = 2},
  [4944] = {.lex_state = 79, .external_lex_state = 2},
  [4945] = {.lex_state = 15, .external_lex_state = 2},
  [4946] = {.lex_state = 15, .external_lex_state = 2},
  [4947] = {.lex_state = 420, .external_lex_state = 2},
  [4948] = {.lex_state = 420, .external_lex_state = 2},
  [4949] = {.lex_state = 78, .external_lex_state = 2},
  [4950] = {.lex_state = 15, .external_lex_state = 2},
  [4951] = {.lex_state = 78, .external_lex_state = 2},
  [4952] = {.lex_state = 15, .external_lex_state = 2},
  [4953] = {.lex_state = 15, .external_lex_state = 2},
  [4954] = {.lex_state = 78, .external_lex_state = 2},
  [4955] = {.lex_state = 78, .external_lex_state = 2},
  [4956] = {.lex_state = 78, .external_lex_state = 2},
  [4957] = {.lex_state = 78, .external_lex_state = 2},
  [4958] = {.lex_state = 78, .external_lex_state = 2},
  [4959] = {.lex_state = 78, .external_lex_state = 2},
  [4960] = {.lex_state = 78, .external_lex_state = 2},
  [4961] = {.lex_state = 78, .external_lex_state = 2},
  [4962] = {.lex_state = 78, .external_lex_state = 2},
  [4963] = {.lex_state = 15, .external_lex_state = 2},
  [4964] = {.lex_state = 15, .external_lex_state = 2},
  [4965] = {.lex_state = 420, .external_lex_state = 2},
  [4966] = {.lex_state = 15, .external_lex_state = 2},
  [4967] = {.lex_state = 78, .external_lex_state = 2},
  [4968] = {.lex_state = 15, .external_lex_state = 2},
  [4969] = {.lex_state = 78, .external_lex_state = 2},
  [4970] = {.lex_state = 15, .external_lex_state = 2},
  [4971] = {.lex_state = 420, .external_lex_state = 2},
  [4972] = {.lex_state = 78, .external_lex_state = 2},
  [4973] = {.lex_state = 15, .external_lex_state = 2},
  [4974] = {.lex_state = 78, .external_lex_state = 2},
  [4975] = {.lex_state = 420, .external_lex_state = 2},
  [4976] = {.lex_state = 420, .external_lex_state = 2},
  [4977] = {.lex_state = 15, .external_lex_state = 2},
  [4978] = {.lex_state = 420, .external_lex_state = 2},
  [4979] = {.lex_state = 420, .external_lex_state = 2},
  [4980] = {.lex_state = 420, .external_lex_state = 2},
  [4981] = {.lex_state = 15, .external_lex_state = 2},
  [4982] = {.lex_state = 15, .external_lex_state = 2},
  [4983] = {.lex_state = 420, .external_lex_state = 2},
  [4984] = {.lex_state = 420, .external_lex_state = 2},
  [4985] = {.lex_state = 420, .external_lex_state = 2},
  [4986] = {.lex_state = 420, .external_lex_state = 2},
  [4987] = {.lex_state = 15, .external_lex_state = 2},
  [4988] = {.lex_state = 420, .external_lex_state = 2},
  [4989] = {.lex_state = 420, .external_lex_state = 2},
  [4990] = {.lex_state = 79, .external_lex_state = 2},
  [4991] = {.lex_state = 79, .external_lex_state = 2},
  [4992] = {.lex_state = 15, .external_lex_state = 2},
  [4993] = {.lex_state = 15, .external_lex_state = 2},
  [4994] = {.lex_state = 6, .external_lex_state = 2},
  [4995] = {.lex_state = 15, .external_lex_state = 2},
  [4996] = {.lex_state = 79, .external_lex_state = 2},
  [4997] = {.lex_state = 79, .external_lex_state = 2},
  [4998] = {.lex_state = 79, .external_lex_state = 2},
  [4999] = {.lex_state = 79, .external_lex_state = 2},
  [5000] = {.lex_state = 15, .external_lex_state = 2},
  [5001] = {.lex_state = 6, .external_lex_state = 2},
  [5002] = {.lex_state = 15, .external_lex_state = 2},
  [5003] = {.lex_state = 6, .external_lex_state = 2},
  [5004] = {.lex_state = 79, .external_lex_state = 2},
  [5005] = {.lex_state = 79, .external_lex_state = 2},
  [5006] = {.lex_state = 424, .external_lex_state = 2},
  [5007] = {.lex_state = 15, .external_lex_state = 2},
  [5008] = {.lex_state = 79, .external_lex_state = 2},
  [5009] = {.lex_state = 15, .external_lex_state = 2},
  [5010] = {.lex_state = 79, .external_lex_state = 2},
  [5011] = {.lex_state = 423, .external_lex_state = 2},
  [5012] = {.lex_state = 423, .external_lex_state = 2},
  [5013] = {.lex_state = 424, .external_lex_state = 2},
  [5014] = {.lex_state = 15, .external_lex_state = 2},
  [5015] = {.lex_state = 424, .external_lex_state = 2},
  [5016] = {.lex_state = 424, .external_lex_state = 2},
  [5017] = {.lex_state = 424, .external_lex_state = 2},
  [5018] = {.lex_state = 424, .external_lex_state = 2},
  [5019] = {.lex_state = 424, .external_lex_state = 2},
  [5020] = {.lex_state = 424, .external_lex_state = 2},
  [5021] = {.lex_state = 15, .external_lex_state = 2},
  [5022] = {.lex_state = 424, .external_lex_state = 2},
  [5023] = {.lex_state = 424, .external_lex_state = 2},
  [5024] = {.lex_state = 424, .external_lex_state = 2},
  [5025] = {.lex_state = 15, .external_lex_state = 2},
  [5026] = {.lex_state = 424, .external_lex_state = 2},
  [5027] = {.lex_state = 424, .external_lex_state = 2},
  [5028] = {.lex_state = 424, .external_lex_state = 2},
  [5029] = {.lex_state = 424, .external_lex_state = 2},
  [5030] = {.lex_state = 424, .external_lex_state = 2},
  [5031] = {.lex_state = 423, .external_lex_state = 2},
  [5032] = {.lex_state = 424, .external_lex_state = 2},
  [5033] = {.lex_state = 424, .external_lex_state = 2},
  [5034] = {.lex_state = 424, .external_lex_state = 2},
  [5035] = {.lex_state = 424, .external_lex_state = 2},
  [5036] = {.lex_state = 424, .external_lex_state = 2},
  [5037] = {.lex_state = 424, .external_lex_state = 2},
  [5038] = {.lex_state = 424, .external_lex_state = 2},
  [5039] = {.lex_state = 424, .external_lex_state = 2},
  [5040] = {.lex_state = 424, .external_lex_state = 2},
  [5041] = {.lex_state = 424, .external_lex_state = 2},
  [5042] = {.lex_state = 424, .external_lex_state = 2},
  [5043] = {.lex_state = 424, .external_lex_state = 2},
  [5044] = {.lex_state = 424, .external_lex_state = 2},
  [5045] = {.lex_state = 424, .external_lex_state = 2},
  [5046] = {.lex_state = 424, .external_lex_state = 2},
  [5047] = {.lex_state = 424, .external_lex_state = 2},
  [5048] = {.lex_state = 424, .external_lex_state = 2},
  [5049] = {.lex_state = 424, .external_lex_state = 2},
  [5050] = {.lex_state = 15, .external_lex_state = 2},
  [5051] = {.lex_state = 424, .external_lex_state = 2},
  [5052] = {.lex_state = 424, .external_lex_state = 2},
  [5053] = {.lex_state = 424, .external_lex_state = 2},
  [5054] = {.lex_state = 424, .external_lex_state = 2},
  [5055] = {.lex_state = 424, .external_lex_state = 2},
  [5056] = {.lex_state = 424, .external_lex_state = 2},
  [5057] = {.lex_state = 15, .external_lex_state = 2},
  [5058] = {.lex_state = 15, .external_lex_state = 2},
  [5059] = {.lex_state = 6, .external_lex_state = 2},
  [5060] = {.lex_state = 424, .external_lex_state = 2},
  [5061] = {.lex_state = 15, .external_lex_state = 2},
  [5062] = {.lex_state = 79, .external_lex_state = 2},
  [5063] = {.lex_state = 424, .external_lex_state = 2},
  [5064] = {.lex_state = 424, .external_lex_state = 2},
  [5065] = {.lex_state = 424, .external_lex_state = 2},
  [5066] = {.lex_state = 15, .external_lex_state = 2},
  [5067] = {.lex_state = 423, .external_lex_state = 2},
  [5068] = {.lex_state = 15, .external_lex_state = 2},
  [5069] = {.lex_state = 424, .external_lex_state = 2},
  [5070] = {.lex_state = 424, .external_lex_state = 2},
  [5071] = {.lex_state = 15, .external_lex_state = 2},
  [5072] = {.lex_state = 424, .external_lex_state = 2},
  [5073] = {.lex_state = 424, .external_lex_state = 2},
  [5074] = {.lex_state = 424, .external_lex_state = 2},
  [5075] = {.lex_state = 424, .external_lex_state = 2},
  [5076] = {.lex_state = 424, .external_lex_state = 2},
  [5077] = {.lex_state = 424, .external_lex_state = 2},
  [5078] = {.lex_state = 424, .external_lex_state = 2},
  [5079] = {.lex_state = 424, .external_lex_state = 2},
  [5080] = {.lex_state = 424, .external_lex_state = 2},
  [5081] = {.lex_state = 15, .external_lex_state = 2},
  [5082] = {.lex_state = 424, .external_lex_state = 2},
  [5083] = {.lex_state = 424, .external_lex_state = 2},
  [5084] = {.lex_state = 15, .external_lex_state = 2},
  [5085] = {.lex_state = 423, .external_lex_state = 2},
  [5086] = {.lex_state = 15, .external_lex_state = 2},
  [5087] = {.lex_state = 424, .external_lex_state = 2},
  [5088] = {.lex_state = 424, .external_lex_state = 2},
  [5089] = {.lex_state = 15, .external_lex_state = 2},
  [5090] = {.lex_state = 423, .external_lex_state = 2},
  [5091] = {.lex_state = 15, .external_lex_state = 2},
  [5092] = {.lex_state = 423, .external_lex_state = 2},
  [5093] = {.lex_state = 15, .external_lex_state = 2},
  [5094] = {.lex_state = 423, .external_lex_state = 2},
  [5095] = {.lex_state = 15, .external_lex_state = 2},
  [5096] = {.lex_state = 79, .external_lex_state = 2},
  [5097] = {.lex_state = 424, .external_lex_state = 2},
  [5098] = {.lex_state = 15, .external_lex_state = 2},
  [5099] = {.lex_state = 424, .external_lex_state = 2},
  [5100] = {.lex_state = 424, .external_lex_state = 2},
  [5101] = {.lex_state = 424, .external_lex_state = 2},
  [5102] = {.lex_state = 424, .external_lex_state = 2},
  [5103] = {.lex_state = 424, .external_lex_state = 2},
  [5104] = {.lex_state = 15, .external_lex_state = 2},
  [5105] = {.lex_state = 15, .external_lex_state = 2},
  [5106] = {.lex_state = 424, .external_lex_state = 2},
  [5107] = {.lex_state = 424, .external_lex_state = 2},
  [5108] = {.lex_state = 424, .external_lex_state = 2},
  [5109] = {.lex_state = 424, .external_lex_state = 2},
  [5110] = {.lex_state = 15, .external_lex_state = 2},
  [5111] = {.lex_state = 424, .external_lex_state = 2},
  [5112] = {.lex_state = 424, .external_lex_state = 2},
  [5113] = {.lex_state = 424, .external_lex_state = 2},
  [5114] = {.lex_state = 424, .external_lex_state = 2},
  [5115] = {.lex_state = 15, .external_lex_state = 2},
  [5116] = {.lex_state = 15, .external_lex_state = 2},
  [5117] = {.lex_state = 15, .external_lex_state = 2},
  [5118] = {.lex_state = 424, .external_lex_state = 2},
  [5119] = {.lex_state = 424, .external_lex_state = 2},
  [5120] = {.lex_state = 15, .external_lex_state = 2},
  [5121] = {.lex_state = 44, .external_lex_state = 2},
  [5122] = {.lex_state = 15, .external_lex_state = 2},
  [5123] = {.lex_state = 15, .external_lex_state = 2},
  [5124] = {.lex_state = 15, .external_lex_state = 2},
  [5125] = {.lex_state = 424, .external_lex_state = 2},
  [5126] = {.lex_state = 15, .external_lex_state = 2},
  [5127] = {.lex_state = 424, .external_lex_state = 2},
  [5128] = {.lex_state = 15, .external_lex_state = 2},
  [5129] = {.lex_state = 15, .external_lex_state = 2},
  [5130] = {.lex_state = 15, .external_lex_state = 2},
  [5131] = {.lex_state = 6, .external_lex_state = 2},
  [5132] = {.lex_state = 424, .external_lex_state = 2},
  [5133] = {.lex_state = 15, .external_lex_state = 2},
  [5134] = {.lex_state = 15, .external_lex_state = 2},
  [5135] = {.lex_state = 424, .external_lex_state = 2},
  [5136] = {.lex_state = 424, .external_lex_state = 2},
  [5137] = {.lex_state = 15, .external_lex_state = 2},
  [5138] = {.lex_state = 15, .external_lex_state = 2},
  [5139] = {.lex_state = 15, .external_lex_state = 2},
  [5140] = {.lex_state = 15, .external_lex_state = 2},
  [5141] = {.lex_state = 15, .external_lex_state = 2},
  [5142] = {.lex_state = 6, .external_lex_state = 2},
  [5143] = {.lex_state = 15, .external_lex_state = 2},
  [5144] = {.lex_state = 15, .external_lex_state = 2},
  [5145] = {.lex_state = 6, .external_lex_state = 2},
  [5146] = {.lex_state = 80, .external_lex_state = 2},
  [5147] = {.lex_state = 80, .external_lex_state = 2},
  [5148] = {.lex_state = 15, .external_lex_state = 2},
  [5149] = {.lex_state = 15, .external_lex_state = 2},
  [5150] = {.lex_state = 15, .external_lex_state = 2},
  [5151] = {.lex_state = 15, .external_lex_state = 2},
  [5152] = {.lex_state = 423, .external_lex_state = 2},
  [5153] = {.lex_state = 15, .external_lex_state = 2},
  [5154] = {.lex_state = 15, .external_lex_state = 2},
  [5155] = {.lex_state = 15, .external_lex_state = 2},
  [5156] = {.lex_state = 15, .external_lex_state = 2},
  [5157] = {.lex_state = 15, .external_lex_state = 2},
  [5158] = {.lex_state = 15, .external_lex_state = 2},
  [5159] = {.lex_state = 6, .external_lex_state = 2},
  [5160] = {.lex_state = 423, .external_lex_state = 2},
  [5161] = {.lex_state = 15, .external_lex_state = 2},
  [5162] = {.lex_state = 423, .external_lex_state = 2},
  [5163] = {.lex_state = 15, .external_lex_state = 2},
  [5164] = {.lex_state = 15, .external_lex_state = 2},
  [5165] = {.lex_state = 423, .external_lex_state = 2},
  [5166] = {.lex_state = 15, .external_lex_state = 2},
  [5167] = {.lex_state = 423, .external_lex_state = 2},
  [5168] = {.lex_state = 423, .external_lex_state = 2},
  [5169] = {.lex_state = 423, .external_lex_state = 2},
  [5170] = {.lex_state = 424, .external_lex_state = 2},
  [5171] = {.lex_state = 424, .external_lex_state = 2},
  [5172] = {.lex_state = 15, .external_lex_state = 2},
  [5173] = {.lex_state = 424, .external_lex_state = 2},
  [5174] = {.lex_state = 424, .external_lex_state = 2},
  [5175] = {.lex_state = 424, .external_lex_state = 2},
  [5176] = {.lex_state = 424, .external_lex_state = 2},
  [5177] = {.lex_state = 424, .external_lex_state = 2},
  [5178] = {.lex_state = 424, .external_lex_state = 2},
  [5179] = {.lex_state = 424, .external_lex_state = 2},
  [5180] = {.lex_state = 15, .external_lex_state = 2},
  [5181] = {.lex_state = 424, .external_lex_state = 2},
  [5182] = {.lex_state = 15, .external_lex_state = 2},
  [5183] = {.lex_state = 424, .external_lex_state = 2},
  [5184] = {.lex_state = 424, .external_lex_state = 2},
  [5185] = {.lex_state = 424, .external_lex_state = 2},
  [5186] = {.lex_state = 15, .external_lex_state = 2},
  [5187] = {.lex_state = 424, .external_lex_state = 2},
  [5188] = {.lex_state = 424, .external_lex_state = 2},
  [5189] = {.lex_state = 424, .external_lex_state = 2},
  [5190] = {.lex_state = 423, .external_lex_state = 2},
  [5191] = {.lex_state = 424, .external_lex_state = 2},
  [5192] = {.lex_state = 424, .external_lex_state = 2},
  [5193] = {.lex_state = 424, .external_lex_state = 2},
  [5194] = {.lex_state = 424, .external_lex_state = 2},
  [5195] = {.lex_state = 15, .external_lex_state = 2},
  [5196] = {.lex_state = 424, .external_lex_state = 2},
  [5197] = {.lex_state = 6, .external_lex_state = 2},
  [5198] = {.lex_state = 424, .external_lex_state = 2},
  [5199] = {.lex_state = 424, .external_lex_state = 2},
  [5200] = {.lex_state = 424, .external_lex_state = 2},
  [5201] = {.lex_state = 424, .external_lex_state = 2},
  [5202] = {.lex_state = 424, .external_lex_state = 2},
  [5203] = {.lex_state = 424, .external_lex_state = 2},
  [5204] = {.lex_state = 424, .external_lex_state = 2},
  [5205] = {.lex_state = 424, .external_lex_state = 2},
  [5206] = {.lex_state = 424, .external_lex_state = 2},
  [5207] = {.lex_state = 15, .external_lex_state = 2},
  [5208] = {.lex_state = 424, .external_lex_state = 2},
  [5209] = {.lex_state = 424, .external_lex_state = 2},
  [5210] = {.lex_state = 79, .external_lex_state = 2},
  [5211] = {.lex_state = 423, .external_lex_state = 2},
  [5212] = {.lex_state = 423, .external_lex_state = 2},
  [5213] = {.lex_state = 424, .external_lex_state = 2},
  [5214] = {.lex_state = 424, .external_lex_state = 2},
  [5215] = {.lex_state = 424, .external_lex_state = 2},
  [5216] = {.lex_state = 424, .external_lex_state = 2},
  [5217] = {.lex_state = 424, .external_lex_state = 2},
  [5218] = {.lex_state = 15, .external_lex_state = 2},
  [5219] = {.lex_state = 15, .external_lex_state = 2},
  [5220] = {.lex_state = 424, .external_lex_state = 2},
  [5221] = {.lex_state = 424, .external_lex_state = 2},
  [5222] = {.lex_state = 15, .external_lex_state = 2},
  [5223] = {.lex_state = 6, .external_lex_state = 2},
  [5224] = {.lex_state = 424, .external_lex_state = 2},
  [5225] = {.lex_state = 407, .external_lex_state = 2},
  [5226] = {.lex_state = 15, .external_lex_state = 2},
  [5227] = {.lex_state = 6, .external_lex_state = 2},
  [5228] = {.lex_state = 424, .external_lex_state = 2},
  [5229] = {.lex_state = 407, .external_lex_state = 2},
  [5230] = {.lex_state = 424, .external_lex_state = 2},
  [5231] = {.lex_state = 15, .external_lex_state = 2},
  [5232] = {.lex_state = 424, .external_lex_state = 2},
  [5233] = {.lex_state = 15, .external_lex_state = 2},
  [5234] = {.lex_state = 424, .external_lex_state = 2},
  [5235] = {.lex_state = 424, .external_lex_state = 2},
  [5236] = {.lex_state = 424, .external_lex_state = 2},
  [5237] = {.lex_state = 410, .external_lex_state = 2},
  [5238] = {.lex_state = 424, .external_lex_state = 2},
  [5239] = {.lex_state = 15, .external_lex_state = 2},
  [5240] = {.lex_state = 15, .external_lex_state = 2},
  [5241] = {.lex_state = 15, .external_lex_state = 2},
  [5242] = {.lex_state = 15, .external_lex_state = 2},
  [5243] = {.lex_state = 424, .external_lex_state = 2},
  [5244] = {.lex_state = 424, .external_lex_state = 2},
  [5245] = {.lex_state = 424, .external_lex_state = 2},
  [5246] = {.lex_state = 424, .external_lex_state = 2},
  [5247] = {.lex_state = 424, .external_lex_state = 2},
  [5248] = {.lex_state = 424, .external_lex_state = 2},
  [5249] = {.lex_state = 424, .external_lex_state = 2},
  [5250] = {.lex_state = 79, .external_lex_state = 2},
  [5251] = {.lex_state = 407, .external_lex_state = 2},
  [5252] = {.lex_state = 80, .external_lex_state = 2},
  [5253] = {.lex_state = 79, .external_lex_state = 2},
  [5254] = {.lex_state = 79, .external_lex_state = 2},
  [5255] = {.lex_state = 79, .external_lex_state = 2},
  [5256] = {.lex_state = 79, .external_lex_state = 2},
  [5257] = {.lex_state = 79, .external_lex_state = 2},
  [5258] = {.lex_state = 79, .external_lex_state = 2},
  [5259] = {.lex_state = 79, .external_lex_state = 2},
  [5260] = {.lex_state = 79, .external_lex_state = 2},
  [5261] = {.lex_state = 79, .external_lex_state = 2},
  [5262] = {.lex_state = 79, .external_lex_state = 2},
  [5263] = {.lex_state = 79, .external_lex_state = 2},
  [5264] = {.lex_state = 79, .external_lex_state = 2},
  [5265] = {.lex_state = 79, .external_lex_state = 2},
  [5266] = {.lex_state = 79, .external_lex_state = 2},
  [5267] = {.lex_state = 79, .external_lex_state = 2},
  [5268] = {.lex_state = 79, .external_lex_state = 2},
  [5269] = {.lex_state = 79, .external_lex_state = 2},
  [5270] = {.lex_state = 79, .external_lex_state = 2},
  [5271] = {.lex_state = 79, .external_lex_state = 2},
  [5272] = {.lex_state = 79, .external_lex_state = 2},
  [5273] = {.lex_state = 79, .external_lex_state = 2},
  [5274] = {.lex_state = 79, .external_lex_state = 2},
  [5275] = {.lex_state = 79, .external_lex_state = 2},
  [5276] = {.lex_state = 79, .external_lex_state = 2},
  [5277] = {.lex_state = 79, .external_lex_state = 2},
  [5278] = {.lex_state = 79, .external_lex_state = 2},
  [5279] = {.lex_state = 79, .external_lex_state = 2},
  [5280] = {.lex_state = 79, .external_lex_state = 2},
  [5281] = {.lex_state = 79, .external_lex_state = 2},
  [5282] = {.lex_state = 79, .external_lex_state = 2},
  [5283] = {.lex_state = 15, .external_lex_state = 2},
  [5284] = {.lex_state = 15, .external_lex_state = 2},
  [5285] = {.lex_state = 79, .external_lex_state = 2},
  [5286] = {.lex_state = 79, .external_lex_state = 2},
  [5287] = {.lex_state = 79, .external_lex_state = 2},
  [5288] = {.lex_state = 79, .external_lex_state = 2},
  [5289] = {.lex_state = 15, .external_lex_state = 2},
  [5290] = {.lex_state = 6, .external_lex_state = 2},
  [5291] = {.lex_state = 15, .external_lex_state = 2},
  [5292] = {.lex_state = 79, .external_lex_state = 2},
  [5293] = {.lex_state = 423, .external_lex_state = 2},
  [5294] = {.lex_state = 79, .external_lex_state = 2},
  [5295] = {.lex_state = 424, .external_lex_state = 2},
  [5296] = {.lex_state = 79, .external_lex_state = 2},
  [5297] = {.lex_state = 79, .external_lex_state = 2},
  [5298] = {.lex_state = 424, .external_lex_state = 2},
  [5299] = {.lex_state = 79, .external_lex_state = 2},
  [5300] = {.lex_state = 424, .external_lex_state = 2},
  [5301] = {.lex_state = 79, .external_lex_state = 2},
  [5302] = {.lex_state = 79, .external_lex_state = 2},
  [5303] = {.lex_state = 79, .external_lex_state = 2},
  [5304] = {.lex_state = 79, .external_lex_state = 2},
  [5305] = {.lex_state = 79, .external_lex_state = 2},
  [5306] = {.lex_state = 79, .external_lex_state = 2},
  [5307] = {.lex_state = 79, .external_lex_state = 2},
  [5308] = {.lex_state = 79, .external_lex_state = 2},
  [5309] = {.lex_state = 79, .external_lex_state = 2},
  [5310] = {.lex_state = 79, .external_lex_state = 2},
  [5311] = {.lex_state = 79, .external_lex_state = 2},
  [5312] = {.lex_state = 424, .external_lex_state = 2},
  [5313] = {.lex_state = 79, .external_lex_state = 2},
  [5314] = {.lex_state = 15, .external_lex_state = 2},
  [5315] = {.lex_state = 6, .external_lex_state = 2},
  [5316] = {.lex_state = 80, .external_lex_state = 2},
  [5317] = {.lex_state = 80, .external_lex_state = 2},
  [5318] = {.lex_state = 80, .external_lex_state = 2},
  [5319] = {.lex_state = 79, .external_lex_state = 2},
  [5320] = {.lex_state = 15, .external_lex_state = 2},
  [5321] = {.lex_state = 6, .external_lex_state = 2},
  [5322] = {.lex_state = 407, .external_lex_state = 2},
  [5323] = {.lex_state = 80, .external_lex_state = 2},
  [5324] = {.lex_state = 80, .external_lex_state = 2},
  [5325] = {.lex_state = 15, .external_lex_state = 2},
  [5326] = {.lex_state = 15, .external_lex_state = 2},
  [5327] = {.lex_state = 80, .external_lex_state = 2},
  [5328] = {.lex_state = 15, .external_lex_state = 2},
  [5329] = {.lex_state = 79, .external_lex_state = 2},
  [5330] = {.lex_state = 15, .external_lex_state = 2},
  [5331] = {.lex_state = 423, .external_lex_state = 2},
  [5332] = {.lex_state = 423, .external_lex_state = 2},
  [5333] = {.lex_state = 423, .external_lex_state = 2},
  [5334] = {.lex_state = 6, .external_lex_state = 2},
  [5335] = {.lex_state = 410, .external_lex_state = 2},
  [5336] = {.lex_state = 410, .external_lex_state = 2},
  [5337] = {.lex_state = 410, .external_lex_state = 2},
  [5338] = {.lex_state = 79, .external_lex_state = 2},
  [5339] = {.lex_state = 42, .external_lex_state = 2},
  [5340] = {.lex_state = 15, .external_lex_state = 2},
  [5341] = {.lex_state = 15, .external_lex_state = 2},
  [5342] = {.lex_state = 15, .external_lex_state = 2},
  [5343] = {.lex_state = 6, .external_lex_state = 2},
  [5344] = {.lex_state = 15, .external_lex_state = 2},
  [5345] = {.lex_state = 80, .external_lex_state = 2},
  [5346] = {.lex_state = 15, .external_lex_state = 2},
  [5347] = {.lex_state = 6, .external_lex_state = 2},
  [5348] = {.lex_state = 15, .external_lex_state = 2},
  [5349] = {.lex_state = 6, .external_lex_state = 2},
  [5350] = {.lex_state = 15, .external_lex_state = 2},
  [5351] = {.lex_state = 42, .external_lex_state = 2},
  [5352] = {.lex_state = 15, .external_lex_state = 2},
  [5353] = {.lex_state = 424, .external_lex_state = 2},
  [5354] = {.lex_state = 43, .external_lex_state = 2},
  [5355] = {.lex_state = 80, .external_lex_state = 2},
  [5356] = {.lex_state = 424, .external_lex_state = 2},
  [5357] = {.lex_state = 424, .external_lex_state = 2},
  [5358] = {.lex_state = 424, .external_lex_state = 2},
  [5359] = {.lex_state = 424, .external_lex_state = 2},
  [5360] = {.lex_state = 15, .external_lex_state = 2},
  [5361] = {.lex_state = 6, .external_lex_state = 2},
  [5362] = {.lex_state = 15, .external_lex_state = 2},
  [5363] = {.lex_state = 424, .external_lex_state = 2},
  [5364] = {.lex_state = 424, .external_lex_state = 2},
  [5365] = {.lex_state = 424, .external_lex_state = 2},
  [5366] = {.lex_state = 424, .external_lex_state = 2},
  [5367] = {.lex_state = 79, .external_lex_state = 2},
  [5368] = {.lex_state = 424, .external_lex_state = 2},
  [5369] = {.lex_state = 424, .external_lex_state = 2},
  [5370] = {.lex_state = 79, .external_lex_state = 2},
  [5371] = {.lex_state = 79, .external_lex_state = 2},
  [5372] = {.lex_state = 79, .external_lex_state = 2},
  [5373] = {.lex_state = 15, .external_lex_state = 2},
  [5374] = {.lex_state = 6, .external_lex_state = 2},
  [5375] = {.lex_state = 424, .external_lex_state = 2},
  [5376] = {.lex_state = 424, .external_lex_state = 2},
  [5377] = {.lex_state = 15, .external_lex_state = 2},
  [5378] = {.lex_state = 424, .external_lex_state = 2},
  [5379] = {.lex_state = 6, .external_lex_state = 2},
  [5380] = {.lex_state = 79, .external_lex_state = 2},
  [5381] = {.lex_state = 79, .external_lex_state = 2},
  [5382] = {.lex_state = 424, .external_lex_state = 2},
  [5383] = {.lex_state = 79, .external_lex_state = 2},
  [5384] = {.lex_state = 424, .external_lex_state = 2},
  [5385] = {.lex_state = 79, .external_lex_state = 2},
  [5386] = {.lex_state = 424, .external_lex_state = 2},
  [5387] = {.lex_state = 79, .external_lex_state = 2},
  [5388] = {.lex_state = 79, .external_lex_state = 2},
  [5389] = {.lex_state = 424, .external_lex_state = 2},
  [5390] = {.lex_state = 80, .external_lex_state = 2},
  [5391] = {.lex_state = 423, .external_lex_state = 2},
  [5392] = {.lex_state = 15, .external_lex_state = 2},
  [5393] = {.lex_state = 15, .external_lex_state = 2},
  [5394] = {.lex_state = 15, .external_lex_state = 2},
  [5395] = {.lex_state = 423, .external_lex_state = 2},
  [5396] = {.lex_state = 423, .external_lex_state = 2},
  [5397] = {.lex_state = 15, .external_lex_state = 2},
  [5398] = {.lex_state = 15, .external_lex_state = 2},
  [5399] = {.lex_state = 15, .external_lex_state = 2},
  [5400] = {.lex_state = 15, .external_lex_state = 2},
  [5401] = {.lex_state = 15, .external_lex_state = 2},
  [5402] = {.lex_state = 15, .external_lex_state = 2},
  [5403] = {.lex_state = 423, .external_lex_state = 2},
  [5404] = {.lex_state = 80, .external_lex_state = 2},
  [5405] = {.lex_state = 15, .external_lex_state = 2},
  [5406] = {.lex_state = 15, .external_lex_state = 2},
  [5407] = {.lex_state = 15, .external_lex_state = 2},
  [5408] = {.lex_state = 15, .external_lex_state = 2},
  [5409] = {.lex_state = 423, .external_lex_state = 2},
  [5410] = {.lex_state = 80, .external_lex_state = 2},
  [5411] = {.lex_state = 15, .external_lex_state = 2},
  [5412] = {.lex_state = 15, .external_lex_state = 2},
  [5413] = {.lex_state = 15, .external_lex_state = 2},
  [5414] = {.lex_state = 15, .external_lex_state = 2},
  [5415] = {.lex_state = 15, .external_lex_state = 2},
  [5416] = {.lex_state = 15, .external_lex_state = 2},
  [5417] = {.lex_state = 15, .external_lex_state = 2},
  [5418] = {.lex_state = 15, .external_lex_state = 2},
  [5419] = {.lex_state = 423, .external_lex_state = 2},
  [5420] = {.lex_state = 80, .external_lex_state = 2},
  [5421] = {.lex_state = 15, .external_lex_state = 2},
  [5422] = {.lex_state = 15, .external_lex_state = 2},
  [5423] = {.lex_state = 15, .external_lex_state = 2},
  [5424] = {.lex_state = 15, .external_lex_state = 2},
  [5425] = {.lex_state = 15, .external_lex_state = 2},
  [5426] = {.lex_state = 15, .external_lex_state = 2},
  [5427] = {.lex_state = 15, .external_lex_state = 2},
  [5428] = {.lex_state = 15, .external_lex_state = 2},
  [5429] = {.lex_state = 15, .external_lex_state = 2},
  [5430] = {.lex_state = 423, .external_lex_state = 2},
  [5431] = {.lex_state = 408, .external_lex_state = 2},
  [5432] = {.lex_state = 423, .external_lex_state = 2},
  [5433] = {.lex_state = 15, .external_lex_state = 2},
  [5434] = {.lex_state = 423, .external_lex_state = 2},
  [5435] = {.lex_state = 15, .external_lex_state = 2},
  [5436] = {.lex_state = 15, .external_lex_state = 2},
  [5437] = {.lex_state = 15, .external_lex_state = 2},
  [5438] = {.lex_state = 423, .external_lex_state = 2},
  [5439] = {.lex_state = 408, .external_lex_state = 2},
  [5440] = {.lex_state = 15, .external_lex_state = 2},
  [5441] = {.lex_state = 423, .external_lex_state = 2},
  [5442] = {.lex_state = 15, .external_lex_state = 2},
  [5443] = {.lex_state = 15, .external_lex_state = 2},
  [5444] = {.lex_state = 15, .external_lex_state = 2},
  [5445] = {.lex_state = 408, .external_lex_state = 2},
  [5446] = {.lex_state = 423, .external_lex_state = 2},
  [5447] = {.lex_state = 15, .external_lex_state = 2},
  [5448] = {.lex_state = 15, .external_lex_state = 2},
  [5449] = {.lex_state = 15, .external_lex_state = 2},
  [5450] = {.lex_state = 15, .external_lex_state = 2},
  [5451] = {.lex_state = 44, .external_lex_state = 2},
  [5452] = {.lex_state = 15, .external_lex_state = 2},
  [5453] = {.lex_state = 15, .external_lex_state = 2},
  [5454] = {.lex_state = 15, .external_lex_state = 2},
  [5455] = {.lex_state = 15, .external_lex_state = 2},
  [5456] = {.lex_state = 15, .external_lex_state = 2},
  [5457] = {.lex_state = 15, .external_lex_state = 2},
  [5458] = {.lex_state = 15, .external_lex_state = 2},
  [5459] = {.lex_state = 15, .external_lex_state = 2},
  [5460] = {.lex_state = 423, .external_lex_state = 2},
  [5461] = {.lex_state = 15, .external_lex_state = 2},
  [5462] = {.lex_state = 15, .external_lex_state = 2},
  [5463] = {.lex_state = 15, .external_lex_state = 2},
  [5464] = {.lex_state = 423, .external_lex_state = 2},
  [5465] = {.lex_state = 44, .external_lex_state = 2},
  [5466] = {.lex_state = 15, .external_lex_state = 2},
  [5467] = {.lex_state = 15, .external_lex_state = 2},
  [5468] = {.lex_state = 15, .external_lex_state = 2},
  [5469] = {.lex_state = 423, .external_lex_state = 2},
  [5470] = {.lex_state = 15, .external_lex_state = 2},
  [5471] = {.lex_state = 15, .external_lex_state = 2},
  [5472] = {.lex_state = 15, .external_lex_state = 2},
  [5473] = {.lex_state = 15, .external_lex_state = 2},
  [5474] = {.lex_state = 15, .external_lex_state = 2},
  [5475] = {.lex_state = 15, .external_lex_state = 2},
  [5476] = {.lex_state = 15, .external_lex_state = 2},
  [5477] = {.lex_state = 423, .external_lex_state = 2},
  [5478] = {.lex_state = 15, .external_lex_state = 2},
  [5479] = {.lex_state = 15, .external_lex_state = 2},
  [5480] = {.lex_state = 15, .external_lex_state = 2},
  [5481] = {.lex_state = 15, .external_lex_state = 2},
  [5482] = {.lex_state = 15, .external_lex_state = 2},
  [5483] = {.lex_state = 15, .external_lex_state = 2},
  [5484] = {.lex_state = 15, .external_lex_state = 2},
  [5485] = {.lex_state = 15, .external_lex_state = 2},
  [5486] = {.lex_state = 15, .external_lex_state = 2},
  [5487] = {.lex_state = 15, .external_lex_state = 2},
  [5488] = {.lex_state = 15, .external_lex_state = 2},
  [5489] = {.lex_state = 15, .external_lex_state = 2},
  [5490] = {.lex_state = 80, .external_lex_state = 2},
  [5491] = {.lex_state = 15, .external_lex_state = 2},
  [5492] = {.lex_state = 15, .external_lex_state = 2},
  [5493] = {.lex_state = 15, .external_lex_state = 2},
  [5494] = {.lex_state = 15, .external_lex_state = 2},
  [5495] = {.lex_state = 423, .external_lex_state = 2},
  [5496] = {.lex_state = 15, .external_lex_state = 2},
  [5497] = {.lex_state = 80, .external_lex_state = 2},
  [5498] = {.lex_state = 80, .external_lex_state = 2},
  [5499] = {.lex_state = 15, .external_lex_state = 2},
  [5500] = {.lex_state = 15, .external_lex_state = 2},
  [5501] = {.lex_state = 80, .external_lex_state = 2},
  [5502] = {.lex_state = 423, .external_lex_state = 2},
  [5503] = {.lex_state = 15, .external_lex_state = 2},
  [5504] = {.lex_state = 15, .external_lex_state = 2},
  [5505] = {.lex_state = 15, .external_lex_state = 2},
  [5506] = {.lex_state = 15, .external_lex_state = 2},
  [5507] = {.lex_state = 15, .external_lex_state = 2},
  [5508] = {.lex_state = 15, .external_lex_state = 2},
  [5509] = {.lex_state = 80, .external_lex_state = 2},
  [5510] = {.lex_state = 15, .external_lex_state = 2},
  [5511] = {.lex_state = 15, .external_lex_state = 2},
  [5512] = {.lex_state = 15, .external_lex_state = 2},
  [5513] = {.lex_state = 423, .external_lex_state = 2},
  [5514] = {.lex_state = 15, .external_lex_state = 2},
  [5515] = {.lex_state = 15, .external_lex_state = 2},
  [5516] = {.lex_state = 80, .external_lex_state = 2},
  [5517] = {.lex_state = 423, .external_lex_state = 2},
  [5518] = {.lex_state = 423, .external_lex_state = 2},
  [5519] = {.lex_state = 80, .external_lex_state = 2},
  [5520] = {.lex_state = 15, .external_lex_state = 2},
  [5521] = {.lex_state = 15, .external_lex_state = 2},
  [5522] = {.lex_state = 15, .external_lex_state = 2},
  [5523] = {.lex_state = 15, .external_lex_state = 2},
  [5524] = {.lex_state = 15, .external_lex_state = 2},
  [5525] = {.lex_state = 15, .external_lex_state = 2},
  [5526] = {.lex_state = 15, .external_lex_state = 2},
  [5527] = {.lex_state = 80, .external_lex_state = 2},
  [5528] = {.lex_state = 423, .external_lex_state = 2},
  [5529] = {.lex_state = 15, .external_lex_state = 2},
  [5530] = {.lex_state = 15, .external_lex_state = 2},
  [5531] = {.lex_state = 423, .external_lex_state = 2},
  [5532] = {.lex_state = 423, .external_lex_state = 2},
  [5533] = {.lex_state = 423, .external_lex_state = 2},
  [5534] = {.lex_state = 423, .external_lex_state = 2},
  [5535] = {.lex_state = 423, .external_lex_state = 2},
  [5536] = {.lex_state = 423, .external_lex_state = 2},
  [5537] = {.lex_state = 423, .external_lex_state = 2},
  [5538] = {.lex_state = 15, .external_lex_state = 2},
  [5539] = {.lex_state = 15, .external_lex_state = 2},
  [5540] = {.lex_state = 15, .external_lex_state = 2},
  [5541] = {.lex_state = 15, .external_lex_state = 2},
  [5542] = {.lex_state = 15, .external_lex_state = 2},
  [5543] = {.lex_state = 423, .external_lex_state = 2},
  [5544] = {.lex_state = 80, .external_lex_state = 2},
  [5545] = {.lex_state = 423, .external_lex_state = 2},
  [5546] = {.lex_state = 80, .external_lex_state = 2},
  [5547] = {.lex_state = 423, .external_lex_state = 2},
  [5548] = {.lex_state = 423, .external_lex_state = 2},
  [5549] = {.lex_state = 423, .external_lex_state = 2},
  [5550] = {.lex_state = 423, .external_lex_state = 2},
  [5551] = {.lex_state = 423, .external_lex_state = 2},
  [5552] = {.lex_state = 423, .external_lex_state = 2},
  [5553] = {.lex_state = 423, .external_lex_state = 2},
  [5554] = {.lex_state = 15, .external_lex_state = 2},
  [5555] = {.lex_state = 423, .external_lex_state = 2},
  [5556] = {.lex_state = 15, .external_lex_state = 2},
  [5557] = {.lex_state = 423, .external_lex_state = 2},
  [5558] = {.lex_state = 423, .external_lex_state = 2},
  [5559] = {.lex_state = 423, .external_lex_state = 2},
  [5560] = {.lex_state = 423, .external_lex_state = 2},
  [5561] = {.lex_state = 423, .external_lex_state = 2},
  [5562] = {.lex_state = 423, .external_lex_state = 2},
  [5563] = {.lex_state = 423, .external_lex_state = 2},
  [5564] = {.lex_state = 423, .external_lex_state = 2},
  [5565] = {.lex_state = 423, .external_lex_state = 2},
  [5566] = {.lex_state = 423, .external_lex_state = 2},
  [5567] = {.lex_state = 423, .external_lex_state = 2},
  [5568] = {.lex_state = 423, .external_lex_state = 2},
  [5569] = {.lex_state = 423, .external_lex_state = 2},
  [5570] = {.lex_state = 423, .external_lex_state = 2},
  [5571] = {.lex_state = 423, .external_lex_state = 2},
  [5572] = {.lex_state = 423, .external_lex_state = 2},
  [5573] = {.lex_state = 423, .external_lex_state = 2},
  [5574] = {.lex_state = 423, .external_lex_state = 2},
  [5575] = {.lex_state = 423, .external_lex_state = 2},
  [5576] = {.lex_state = 423, .external_lex_state = 2},
  [5577] = {.lex_state = 423, .external_lex_state = 2},
  [5578] = {.lex_state = 423, .external_lex_state = 2},
  [5579] = {.lex_state = 423, .external_lex_state = 2},
  [5580] = {.lex_state = 423, .external_lex_state = 2},
  [5581] = {.lex_state = 423, .external_lex_state = 2},
  [5582] = {.lex_state = 423, .external_lex_state = 2},
  [5583] = {.lex_state = 423, .external_lex_state = 2},
  [5584] = {.lex_state = 423, .external_lex_state = 2},
  [5585] = {.lex_state = 423, .external_lex_state = 2},
  [5586] = {.lex_state = 423, .external_lex_state = 2},
  [5587] = {.lex_state = 423, .external_lex_state = 2},
  [5588] = {.lex_state = 423, .external_lex_state = 2},
  [5589] = {.lex_state = 423, .external_lex_state = 2},
  [5590] = {.lex_state = 423, .external_lex_state = 2},
  [5591] = {.lex_state = 423, .external_lex_state = 2},
  [5592] = {.lex_state = 15, .external_lex_state = 2},
  [5593] = {.lex_state = 423, .external_lex_state = 2},
  [5594] = {.lex_state = 423, .external_lex_state = 2},
  [5595] = {.lex_state = 80, .external_lex_state = 2},
  [5596] = {.lex_state = 15, .external_lex_state = 2},
  [5597] = {.lex_state = 423, .external_lex_state = 2},
  [5598] = {.lex_state = 80, .external_lex_state = 2},
  [5599] = {.lex_state = 80, .external_lex_state = 2},
  [5600] = {.lex_state = 80, .external_lex_state = 2},
  [5601] = {.lex_state = 423, .external_lex_state = 2},
  [5602] = {.lex_state = 80, .external_lex_state = 2},
  [5603] = {.lex_state = 80, .external_lex_state = 2},
  [5604] = {.lex_state = 423, .external_lex_state = 2},
  [5605] = {.lex_state = 15, .external_lex_state = 2},
  [5606] = {.lex_state = 423, .external_lex_state = 2},
  [5607] = {.lex_state = 15, .external_lex_state = 2},
  [5608] = {.lex_state = 15, .external_lex_state = 2},
  [5609] = {.lex_state = 423, .external_lex_state = 2},
  [5610] = {.lex_state = 423, .external_lex_state = 2},
  [5611] = {.lex_state = 423, .external_lex_state = 2},
  [5612] = {.lex_state = 423, .external_lex_state = 2},
  [5613] = {.lex_state = 423, .external_lex_state = 2},
  [5614] = {.lex_state = 15, .external_lex_state = 2},
  [5615] = {.lex_state = 15, .external_lex_state = 2},
  [5616] = {.lex_state = 423, .external_lex_state = 2},
  [5617] = {.lex_state = 15, .external_lex_state = 2},
  [5618] = {.lex_state = 80, .external_lex_state = 2},
  [5619] = {.lex_state = 15, .external_lex_state = 2},
  [5620] = {.lex_state = 80, .external_lex_state = 2},
  [5621] = {.lex_state = 423, .external_lex_state = 2},
  [5622] = {.lex_state = 80, .external_lex_state = 2},
  [5623] = {.lex_state = 80, .external_lex_state = 2},
  [5624] = {.lex_state = 80, .external_lex_state = 2},
  [5625] = {.lex_state = 80, .external_lex_state = 2},
  [5626] = {.lex_state = 15, .external_lex_state = 2},
  [5627] = {.lex_state = 423, .external_lex_state = 2},
  [5628] = {.lex_state = 423, .external_lex_state = 2},
  [5629] = {.lex_state = 80, .external_lex_state = 2},
  [5630] = {.lex_state = 80, .external_lex_state = 2},
  [5631] = {.lex_state = 423, .external_lex_state = 2},
  [5632] = {.lex_state = 423, .external_lex_state = 2},
  [5633] = {.lex_state = 15, .external_lex_state = 2},
  [5634] = {.lex_state = 423, .external_lex_state = 2},
  [5635] = {.lex_state = 15, .external_lex_state = 2},
  [5636] = {.lex_state = 15, .external_lex_state = 2},
  [5637] = {.lex_state = 423, .external_lex_state = 2},
  [5638] = {.lex_state = 15, .external_lex_state = 2},
  [5639] = {.lex_state = 15, .external_lex_state = 2},
  [5640] = {.lex_state = 15, .external_lex_state = 2},
  [5641] = {.lex_state = 80, .external_lex_state = 2},
  [5642] = {.lex_state = 423, .external_lex_state = 2},
  [5643] = {.lex_state = 15, .external_lex_state = 2},
  [5644] = {.lex_state = 15, .external_lex_state = 2},
  [5645] = {.lex_state = 408, .external_lex_state = 2},
  [5646] = {.lex_state = 15, .external_lex_state = 2},
  [5647] = {.lex_state = 80, .external_lex_state = 2},
  [5648] = {.lex_state = 15, .external_lex_state = 2},
  [5649] = {.lex_state = 423, .external_lex_state = 2},
  [5650] = {.lex_state = 80, .external_lex_state = 2},
  [5651] = {.lex_state = 80, .external_lex_state = 2},
  [5652] = {.lex_state = 80, .external_lex_state = 2},
  [5653] = {.lex_state = 80, .external_lex_state = 2},
  [5654] = {.lex_state = 15, .external_lex_state = 2},
  [5655] = {.lex_state = 80, .external_lex_state = 2},
  [5656] = {.lex_state = 15, .external_lex_state = 2},
  [5657] = {.lex_state = 15, .external_lex_state = 2},
  [5658] = {.lex_state = 80, .external_lex_state = 2},
  [5659] = {.lex_state = 423, .external_lex_state = 2},
  [5660] = {.lex_state = 80, .external_lex_state = 2},
  [5661] = {.lex_state = 15, .external_lex_state = 2},
  [5662] = {.lex_state = 423, .external_lex_state = 2},
  [5663] = {.lex_state = 423, .external_lex_state = 2},
  [5664] = {.lex_state = 423, .external_lex_state = 2},
  [5665] = {.lex_state = 15, .external_lex_state = 2},
  [5666] = {.lex_state = 80, .external_lex_state = 2},
  [5667] = {.lex_state = 15, .external_lex_state = 2},
  [5668] = {.lex_state = 80, .external_lex_state = 2},
  [5669] = {.lex_state = 15, .external_lex_state = 2},
  [5670] = {.lex_state = 15, .external_lex_state = 2},
  [5671] = {.lex_state = 15, .external_lex_state = 2},
  [5672] = {.lex_state = 15, .external_lex_state = 2},
  [5673] = {.lex_state = 45, .external_lex_state = 2},
  [5674] = {.lex_state = 80, .external_lex_state = 2},
  [5675] = {.lex_state = 423, .external_lex_state = 2},
  [5676] = {.lex_state = 15, .external_lex_state = 2},
  [5677] = {.lex_state = 80, .external_lex_state = 2},
  [5678] = {.lex_state = 423, .external_lex_state = 2},
  [5679] = {.lex_state = 15, .external_lex_state = 2},
  [5680] = {.lex_state = 80, .external_lex_state = 2},
  [5681] = {.lex_state = 15, .external_lex_state = 2},
  [5682] = {.lex_state = 15, .external_lex_state = 2},
  [5683] = {.lex_state = 80, .external_lex_state = 2},
  [5684] = {.lex_state = 15, .external_lex_state = 2},
  [5685] = {.lex_state = 15, .external_lex_state = 2},
  [5686] = {.lex_state = 15, .external_lex_state = 2},
  [5687] = {.lex_state = 15, .external_lex_state = 2},
  [5688] = {.lex_state = 423, .external_lex_state = 2},
  [5689] = {.lex_state = 423, .external_lex_state = 2},
  [5690] = {.lex_state = 423, .external_lex_state = 2},
  [5691] = {.lex_state = 80, .external_lex_state = 2},
  [5692] = {.lex_state = 15, .external_lex_state = 2},
  [5693] = {.lex_state = 80, .external_lex_state = 2},
  [5694] = {.lex_state = 80, .external_lex_state = 2},
  [5695] = {.lex_state = 15, .external_lex_state = 2},
  [5696] = {.lex_state = 15, .external_lex_state = 2},
  [5697] = {.lex_state = 80, .external_lex_state = 2},
  [5698] = {.lex_state = 15, .external_lex_state = 2},
  [5699] = {.lex_state = 423, .external_lex_state = 2},
  [5700] = {.lex_state = 423, .external_lex_state = 2},
  [5701] = {.lex_state = 15, .external_lex_state = 2},
  [5702] = {.lex_state = 423, .external_lex_state = 2},
  [5703] = {.lex_state = 15, .external_lex_state = 2},
  [5704] = {.lex_state = 15, .external_lex_state = 2},
  [5705] = {.lex_state = 15, .external_lex_state = 2},
  [5706] = {.lex_state = 423, .external_lex_state = 2},
  [5707] = {.lex_state = 80, .external_lex_state = 2},
  [5708] = {.lex_state = 15, .external_lex_state = 2},
  [5709] = {.lex_state = 423, .external_lex_state = 2},
  [5710] = {.lex_state = 80, .external_lex_state = 2},
  [5711] = {.lex_state = 423, .external_lex_state = 2},
  [5712] = {.lex_state = 15, .external_lex_state = 2},
  [5713] = {.lex_state = 15, .external_lex_state = 2},
  [5714] = {.lex_state = 80, .external_lex_state = 2},
  [5715] = {.lex_state = 423, .external_lex_state = 2},
  [5716] = {.lex_state = 80, .external_lex_state = 2},
  [5717] = {.lex_state = 80, .external_lex_state = 2},
  [5718] = {.lex_state = 80, .external_lex_state = 2},
  [5719] = {.lex_state = 423, .external_lex_state = 2},
  [5720] = {.lex_state = 80, .external_lex_state = 2},
  [5721] = {.lex_state = 80, .external_lex_state = 2},
  [5722] = {.lex_state = 80, .external_lex_state = 2},
  [5723] = {.lex_state = 80, .external_lex_state = 2},
  [5724] = {.lex_state = 15, .external_lex_state = 2},
  [5725] = {.lex_state = 15, .external_lex_state = 2},
  [5726] = {.lex_state = 80, .external_lex_state = 2},
  [5727] = {.lex_state = 80, .external_lex_state = 2},
  [5728] = {.lex_state = 423, .external_lex_state = 2},
  [5729] = {.lex_state = 423, .external_lex_state = 2},
  [5730] = {.lex_state = 80, .external_lex_state = 2},
  [5731] = {.lex_state = 423, .external_lex_state = 2},
  [5732] = {.lex_state = 80, .external_lex_state = 2},
  [5733] = {.lex_state = 423, .external_lex_state = 2},
  [5734] = {.lex_state = 80, .external_lex_state = 2},
  [5735] = {.lex_state = 80, .external_lex_state = 2},
  [5736] = {.lex_state = 80, .external_lex_state = 2},
  [5737] = {.lex_state = 80, .external_lex_state = 2},
  [5738] = {.lex_state = 80, .external_lex_state = 2},
  [5739] = {.lex_state = 15, .external_lex_state = 2},
  [5740] = {.lex_state = 15, .external_lex_state = 2},
  [5741] = {.lex_state = 423, .external_lex_state = 2},
  [5742] = {.lex_state = 15, .external_lex_state = 2},
  [5743] = {.lex_state = 15, .external_lex_state = 2},
  [5744] = {.lex_state = 15, .external_lex_state = 2},
  [5745] = {.lex_state = 15, .external_lex_state = 2},
  [5746] = {.lex_state = 15, .external_lex_state = 2},
  [5747] = {.lex_state = 15, .external_lex_state = 2},
  [5748] = {.lex_state = 423, .external_lex_state = 2},
  [5749] = {.lex_state = 423, .external_lex_state = 2},
  [5750] = {.lex_state = 423, .external_lex_state = 2},
  [5751] = {.lex_state = 423, .external_lex_state = 2},
  [5752] = {.lex_state = 80, .external_lex_state = 2},
  [5753] = {.lex_state = 423, .external_lex_state = 2},
  [5754] = {.lex_state = 15, .external_lex_state = 2},
  [5755] = {.lex_state = 15, .external_lex_state = 2},
  [5756] = {.lex_state = 423, .external_lex_state = 2},
  [5757] = {.lex_state = 80, .external_lex_state = 2},
  [5758] = {.lex_state = 80, .external_lex_state = 2},
  [5759] = {.lex_state = 423, .external_lex_state = 2},
  [5760] = {.lex_state = 80, .external_lex_state = 2},
  [5761] = {.lex_state = 423, .external_lex_state = 2},
  [5762] = {.lex_state = 15, .external_lex_state = 2},
  [5763] = {.lex_state = 15, .external_lex_state = 2},
  [5764] = {.lex_state = 80, .external_lex_state = 2},
  [5765] = {.lex_state = 423, .external_lex_state = 2},
  [5766] = {.lex_state = 423, .external_lex_state = 2},
  [5767] = {.lex_state = 15, .external_lex_state = 2},
  [5768] = {.lex_state = 423, .external_lex_state = 2},
  [5769] = {.lex_state = 15, .external_lex_state = 2},
  [5770] = {.lex_state = 80, .external_lex_state = 2},
  [5771] = {.lex_state = 80, .external_lex_state = 2},
  [5772] = {.lex_state = 423, .external_lex_state = 2},
  [5773] = {.lex_state = 423, .external_lex_state = 2},
  [5774] = {.lex_state = 80, .external_lex_state = 2},
  [5775] = {.lex_state = 15, .external_lex_state = 2},
  [5776] = {.lex_state = 423, .external_lex_state = 2},
  [5777] = {.lex_state = 15, .external_lex_state = 2},
  [5778] = {.lex_state = 423, .external_lex_state = 2},
  [5779] = {.lex_state = 15, .external_lex_state = 2},
  [5780] = {.lex_state = 15, .external_lex_state = 2},
  [5781] = {.lex_state = 15, .external_lex_state = 2},
  [5782] = {.lex_state = 423, .external_lex_state = 2},
  [5783] = {.lex_state = 15, .external_lex_state = 2},
  [5784] = {.lex_state = 15, .external_lex_state = 2},
  [5785] = {.lex_state = 15, .external_lex_state = 2},
  [5786] = {.lex_state = 423, .external_lex_state = 2},
  [5787] = {.lex_state = 15, .external_lex_state = 2},
  [5788] = {.lex_state = 15, .external_lex_state = 2},
  [5789] = {.lex_state = 15, .external_lex_state = 2},
  [5790] = {.lex_state = 15, .external_lex_state = 2},
  [5791] = {.lex_state = 423, .external_lex_state = 2},
  [5792] = {.lex_state = 80, .external_lex_state = 2},
  [5793] = {.lex_state = 15, .external_lex_state = 2},
  [5794] = {.lex_state = 15, .external_lex_state = 2},
  [5795] = {.lex_state = 15, .external_lex_state = 2},
  [5796] = {.lex_state = 80, .external_lex_state = 2},
  [5797] = {.lex_state = 15, .external_lex_state = 2},
  [5798] = {.lex_state = 15, .external_lex_state = 2},
  [5799] = {.lex_state = 423, .external_lex_state = 2},
  [5800] = {.lex_state = 80, .external_lex_state = 2},
  [5801] = {.lex_state = 43, .external_lex_state = 2},
  [5802] = {.lex_state = 43, .external_lex_state = 2},
  [5803] = {.lex_state = 15, .external_lex_state = 2},
  [5804] = {.lex_state = 423, .external_lex_state = 2},
  [5805] = {.lex_state = 15, .external_lex_state = 2},
  [5806] = {.lex_state = 423, .external_lex_state = 2},
  [5807] = {.lex_state = 423, .external_lex_state = 2},
  [5808] = {.lex_state = 423, .external_lex_state = 2},
  [5809] = {.lex_state = 15, .external_lex_state = 2},
  [5810] = {.lex_state = 15, .external_lex_state = 2},
  [5811] = {.lex_state = 15, .external_lex_state = 2},
  [5812] = {.lex_state = 15, .external_lex_state = 2},
  [5813] = {.lex_state = 423, .external_lex_state = 2},
  [5814] = {.lex_state = 423, .external_lex_state = 2},
  [5815] = {.lex_state = 423, .external_lex_state = 2},
  [5816] = {.lex_state = 423, .external_lex_state = 2},
  [5817] = {.lex_state = 423, .external_lex_state = 2},
  [5818] = {.lex_state = 423, .external_lex_state = 2},
  [5819] = {.lex_state = 15, .external_lex_state = 2},
  [5820] = {.lex_state = 423, .external_lex_state = 2},
  [5821] = {.lex_state = 423, .external_lex_state = 2},
  [5822] = {.lex_state = 423, .external_lex_state = 2},
  [5823] = {.lex_state = 423, .external_lex_state = 2},
  [5824] = {.lex_state = 423, .external_lex_state = 2},
  [5825] = {.lex_state = 15, .external_lex_state = 2},
  [5826] = {.lex_state = 423, .external_lex_state = 2},
  [5827] = {.lex_state = 15, .external_lex_state = 2},
  [5828] = {.lex_state = 423, .external_lex_state = 2},
  [5829] = {.lex_state = 423, .external_lex_state = 2},
  [5830] = {.lex_state = 15, .external_lex_state = 2},
  [5831] = {.lex_state = 15, .external_lex_state = 2},
  [5832] = {.lex_state = 15, .external_lex_state = 2},
  [5833] = {.lex_state = 15, .external_lex_state = 2},
  [5834] = {.lex_state = 15, .external_lex_state = 2},
  [5835] = {.lex_state = 15, .external_lex_state = 2},
  [5836] = {.lex_state = 423, .external_lex_state = 2},
  [5837] = {.lex_state = 423, .external_lex_state = 2},
  [5838] = {.lex_state = 15, .external_lex_state = 2},
  [5839] = {.lex_state = 80, .external_lex_state = 2},
  [5840] = {.lex_state = 412, .external_lex_state = 2},
  [5841] = {.lex_state = 412, .external_lex_state = 2},
  [5842] = {.lex_state = 46, .external_lex_state = 2},
  [5843] = {.lex_state = 412, .external_lex_state = 2},
  [5844] = {.lex_state = 45, .external_lex_state = 2},
  [5845] = {.lex_state = 45, .external_lex_state = 2},
  [5846] = {.lex_state = 412, .external_lex_state = 2},
  [5847] = {.lex_state = 411, .external_lex_state = 2},
  [5848] = {.lex_state = 47, .external_lex_state = 2},
  [5849] = {.lex_state = 411, .external_lex_state = 2},
  [5850] = {.lex_state = 46, .external_lex_state = 2},
  [5851] = {.lex_state = 411, .external_lex_state = 2},
  [5852] = {.lex_state = 46, .external_lex_state = 2},
  [5853] = {.lex_state = 411, .external_lex_state = 2},
  [5854] = {.lex_state = 47, .external_lex_state = 2},
  [5855] = {.lex_state = 6, .external_lex_state = 2},
  [5856] = {.lex_state = 394, .external_lex_state = 2},
  [5857] = {.lex_state = 6, .external_lex_state = 2},
  [5858] = {.lex_state = 6, .external_lex_state = 2},
  [5859] = {.lex_state = 6, .external_lex_state = 2},
  [5860] = {.lex_state = 6, .external_lex_state = 2},
  [5861] = {.lex_state = 394, .external_lex_state = 2},
  [5862] = {.lex_state = 6, .external_lex_state = 2},
  [5863] = {.lex_state = 394, .external_lex_state = 2},
  [5864] = {.lex_state = 6, .external_lex_state = 2},
  [5865] = {.lex_state = 47, .external_lex_state = 2},
  [5866] = {.lex_state = 6, .external_lex_state = 2},
  [5867] = {.lex_state = 6, .external_lex_state = 2},
  [5868] = {.lex_state = 6, .external_lex_state = 2},
  [5869] = {.lex_state = 6, .external_lex_state = 2},
  [5870] = {.lex_state = 6, .external_lex_state = 2},
  [5871] = {.lex_state = 6, .external_lex_state = 2},
  [5872] = {.lex_state = 6, .external_lex_state = 2},
  [5873] = {.lex_state = 6, .external_lex_state = 2},
  [5874] = {.lex_state = 6, .external_lex_state = 2},
  [5875] = {.lex_state = 6, .external_lex_state = 2},
  [5876] = {.lex_state = 6, .external_lex_state = 2},
  [5877] = {.lex_state = 6, .external_lex_state = 2},
  [5878] = {.lex_state = 6, .external_lex_state = 2},
  [5879] = {.lex_state = 6, .external_lex_state = 2},
  [5880] = {.lex_state = 6, .external_lex_state = 2},
  [5881] = {.lex_state = 6, .external_lex_state = 2},
  [5882] = {.lex_state = 6, .external_lex_state = 2},
  [5883] = {.lex_state = 6, .external_lex_state = 2},
  [5884] = {.lex_state = 6, .external_lex_state = 2},
  [5885] = {.lex_state = 6, .external_lex_state = 2},
  [5886] = {.lex_state = 6, .external_lex_state = 2},
  [5887] = {.lex_state = 59, .external_lex_state = 2},
  [5888] = {.lex_state = 6, .external_lex_state = 2},
  [5889] = {.lex_state = 6, .external_lex_state = 2},
  [5890] = {.lex_state = 6, .external_lex_state = 2},
  [5891] = {.lex_state = 6, .external_lex_state = 2},
  [5892] = {.lex_state = 6, .external_lex_state = 2},
  [5893] = {.lex_state = 6, .external_lex_state = 2},
  [5894] = {.lex_state = 6, .external_lex_state = 2},
  [5895] = {.lex_state = 6, .external_lex_state = 2},
  [5896] = {.lex_state = 6, .external_lex_state = 2},
  [5897] = {.lex_state = 6, .external_lex_state = 2},
  [5898] = {.lex_state = 6, .external_lex_state = 2},
  [5899] = {.lex_state = 6, .external_lex_state = 2},
  [5900] = {.lex_state = 6, .external_lex_state = 2},
  [5901] = {.lex_state = 394, .external_lex_state = 2},
  [5902] = {.lex_state = 6, .external_lex_state = 2},
  [5903] = {.lex_state = 6, .external_lex_state = 2},
  [5904] = {.lex_state = 6, .external_lex_state = 2},
  [5905] = {.lex_state = 6, .external_lex_state = 2},
  [5906] = {.lex_state = 6, .external_lex_state = 2},
  [5907] = {.lex_state = 6, .external_lex_state = 2},
  [5908] = {.lex_state = 6, .external_lex_state = 2},
  [5909] = {.lex_state = 6, .external_lex_state = 2},
  [5910] = {.lex_state = 6, .external_lex_state = 2},
  [5911] = {.lex_state = 6, .external_lex_state = 2},
  [5912] = {.lex_state = 6, .external_lex_state = 2},
  [5913] = {.lex_state = 6, .external_lex_state = 2},
  [5914] = {.lex_state = 6, .external_lex_state = 2},
  [5915] = {.lex_state = 6, .external_lex_state = 2},
  [5916] = {.lex_state = 6, .external_lex_state = 2},
  [5917] = {.lex_state = 6, .external_lex_state = 2},
  [5918] = {.lex_state = 6, .external_lex_state = 2},
  [5919] = {.lex_state = 6, .external_lex_state = 2},
  [5920] = {.lex_state = 6, .external_lex_state = 2},
  [5921] = {.lex_state = 6, .external_lex_state = 2},
  [5922] = {.lex_state = 6, .external_lex_state = 2},
  [5923] = {.lex_state = 6, .external_lex_state = 2},
  [5924] = {.lex_state = 59, .external_lex_state = 2},
  [5925] = {.lex_state = 6, .external_lex_state = 2},
  [5926] = {.lex_state = 6, .external_lex_state = 2},
  [5927] = {.lex_state = 6, .external_lex_state = 2},
  [5928] = {.lex_state = 6, .external_lex_state = 2},
  [5929] = {.lex_state = 6, .external_lex_state = 2},
  [5930] = {.lex_state = 6, .external_lex_state = 2},
  [5931] = {.lex_state = 6, .external_lex_state = 2},
  [5932] = {.lex_state = 6, .external_lex_state = 2},
  [5933] = {.lex_state = 6, .external_lex_state = 2},
  [5934] = {.lex_state = 6, .external_lex_state = 2},
  [5935] = {.lex_state = 6, .external_lex_state = 2},
  [5936] = {.lex_state = 6, .external_lex_state = 2},
  [5937] = {.lex_state = 6, .external_lex_state = 2},
  [5938] = {.lex_state = 6, .external_lex_state = 2},
  [5939] = {.lex_state = 6, .external_lex_state = 2},
  [5940] = {.lex_state = 6, .external_lex_state = 2},
  [5941] = {.lex_state = 6, .external_lex_state = 2},
  [5942] = {.lex_state = 6, .external_lex_state = 2},
  [5943] = {.lex_state = 6, .external_lex_state = 2},
  [5944] = {.lex_state = 6, .external_lex_state = 2},
  [5945] = {.lex_state = 6, .external_lex_state = 2},
  [5946] = {.lex_state = 6, .external_lex_state = 2},
  [5947] = {.lex_state = 6, .external_lex_state = 2},
  [5948] = {.lex_state = 6, .external_lex_state = 2},
  [5949] = {.lex_state = 6, .external_lex_state = 2},
  [5950] = {.lex_state = 6, .external_lex_state = 2},
  [5951] = {.lex_state = 6, .external_lex_state = 2},
  [5952] = {.lex_state = 6, .external_lex_state = 2},
  [5953] = {.lex_state = 59, .external_lex_state = 2},
  [5954] = {.lex_state = 6, .external_lex_state = 2},
  [5955] = {.lex_state = 6, .external_lex_state = 2},
  [5956] = {.lex_state = 59, .external_lex_state = 2},
  [5957] = {.lex_state = 59, .external_lex_state = 2},
  [5958] = {.lex_state = 59, .external_lex_state = 2},
  [5959] = {.lex_state = 59, .external_lex_state = 2},
  [5960] = {.lex_state = 59, .external_lex_state = 2},
  [5961] = {.lex_state = 59, .external_lex_state = 2},
  [5962] = {.lex_state = 6, .external_lex_state = 2},
  [5963] = {.lex_state = 6, .external_lex_state = 2},
  [5964] = {.lex_state = 6, .external_lex_state = 2},
  [5965] = {.lex_state = 6, .external_lex_state = 2},
  [5966] = {.lex_state = 6, .external_lex_state = 2},
  [5967] = {.lex_state = 6, .external_lex_state = 2},
  [5968] = {.lex_state = 6, .external_lex_state = 2},
  [5969] = {.lex_state = 6, .external_lex_state = 2},
  [5970] = {.lex_state = 59, .external_lex_state = 2},
  [5971] = {.lex_state = 6, .external_lex_state = 2},
  [5972] = {.lex_state = 6, .external_lex_state = 2},
  [5973] = {.lex_state = 6, .external_lex_state = 2},
  [5974] = {.lex_state = 6, .external_lex_state = 2},
  [5975] = {.lex_state = 6, .external_lex_state = 2},
  [5976] = {.lex_state = 59, .external_lex_state = 2},
  [5977] = {.lex_state = 6, .external_lex_state = 2},
  [5978] = {.lex_state = 6, .external_lex_state = 2},
  [5979] = {.lex_state = 6, .external_lex_state = 2},
  [5980] = {.lex_state = 6, .external_lex_state = 2},
  [5981] = {.lex_state = 6, .external_lex_state = 2},
  [5982] = {.lex_state = 6, .external_lex_state = 2},
  [5983] = {.lex_state = 60, .external_lex_state = 2},
  [5984] = {.lex_state = 59, .external_lex_state = 2},
  [5985] = {.lex_state = 59, .external_lex_state = 2},
  [5986] = {.lex_state = 60, .external_lex_state = 2},
  [5987] = {.lex_state = 394, .external_lex_state = 2},
  [5988] = {.lex_state = 6, .external_lex_state = 2},
  [5989] = {.lex_state = 60, .external_lex_state = 2},
  [5990] = {.lex_state = 6, .external_lex_state = 2},
  [5991] = {.lex_state = 59, .external_lex_state = 2},
  [5992] = {.lex_state = 59, .external_lex_state = 2},
  [5993] = {.lex_state = 6, .external_lex_state = 2},
  [5994] = {.lex_state = 59, .external_lex_state = 2},
  [5995] = {.lex_state = 6, .external_lex_state = 2},
  [5996] = {.lex_state = 59, .external_lex_state = 2},
  [5997] = {.lex_state = 59, .external_lex_state = 2},
  [5998] = {.lex_state = 59, .external_lex_state = 2},
  [5999] = {.lex_state = 6, .external_lex_state = 2},
  [6000] = {.lex_state = 59, .external_lex_state = 2},
  [6001] = {.lex_state = 59, .external_lex_state = 2},
  [6002] = {.lex_state = 59, .external_lex_state = 2},
  [6003] = {.lex_state = 59, .external_lex_state = 2},
  [6004] = {.lex_state = 59, .external_lex_state = 2},
  [6005] = {.lex_state = 59, .external_lex_state = 2},
  [6006] = {.lex_state = 59, .external_lex_state = 2},
  [6007] = {.lex_state = 59, .external_lex_state = 2},
  [6008] = {.lex_state = 6, .external_lex_state = 2},
  [6009] = {.lex_state = 59, .external_lex_state = 2},
  [6010] = {.lex_state = 59, .external_lex_state = 2},
  [6011] = {.lex_state = 59, .external_lex_state = 2},
  [6012] = {.lex_state = 59, .external_lex_state = 2},
  [6013] = {.lex_state = 59, .external_lex_state = 2},
  [6014] = {.lex_state = 59, .external_lex_state = 2},
  [6015] = {.lex_state = 59, .external_lex_state = 2},
  [6016] = {.lex_state = 59, .external_lex_state = 2},
  [6017] = {.lex_state = 6, .external_lex_state = 2},
  [6018] = {.lex_state = 59, .external_lex_state = 2},
  [6019] = {.lex_state = 59, .external_lex_state = 2},
  [6020] = {.lex_state = 59, .external_lex_state = 2},
  [6021] = {.lex_state = 59, .external_lex_state = 2},
  [6022] = {.lex_state = 59, .external_lex_state = 2},
  [6023] = {.lex_state = 59, .external_lex_state = 2},
  [6024] = {.lex_state = 59, .external_lex_state = 2},
  [6025] = {.lex_state = 59, .external_lex_state = 2},
  [6026] = {.lex_state = 59, .external_lex_state = 2},
  [6027] = {.lex_state = 59, .external_lex_state = 2},
  [6028] = {.lex_state = 59, .external_lex_state = 2},
  [6029] = {.lex_state = 6, .external_lex_state = 2},
  [6030] = {.lex_state = 59, .external_lex_state = 2},
  [6031] = {.lex_state = 59, .external_lex_state = 2},
  [6032] = {.lex_state = 59, .external_lex_state = 2},
  [6033] = {.lex_state = 59, .external_lex_state = 2},
  [6034] = {.lex_state = 59, .external_lex_state = 2},
  [6035] = {.lex_state = 6, .external_lex_state = 2},
  [6036] = {.lex_state = 59, .external_lex_state = 2},
  [6037] = {.lex_state = 59, .external_lex_state = 2},
  [6038] = {.lex_state = 6, .external_lex_state = 2},
  [6039] = {.lex_state = 59, .external_lex_state = 2},
  [6040] = {.lex_state = 6, .external_lex_state = 2},
  [6041] = {.lex_state = 6, .external_lex_state = 2},
  [6042] = {.lex_state = 59, .external_lex_state = 2},
  [6043] = {.lex_state = 6, .external_lex_state = 2},
  [6044] = {.lex_state = 59, .external_lex_state = 2},
  [6045] = {.lex_state = 6, .external_lex_state = 2},
  [6046] = {.lex_state = 59, .external_lex_state = 2},
  [6047] = {.lex_state = 6, .external_lex_state = 2},
  [6048] = {.lex_state = 59, .external_lex_state = 2},
  [6049] = {.lex_state = 6, .external_lex_state = 2},
  [6050] = {.lex_state = 59, .external_lex_state = 2},
  [6051] = {.lex_state = 6, .external_lex_state = 2},
  [6052] = {.lex_state = 6, .external_lex_state = 2},
  [6053] = {.lex_state = 59, .external_lex_state = 2},
  [6054] = {.lex_state = 6, .external_lex_state = 2},
  [6055] = {.lex_state = 59, .external_lex_state = 2},
  [6056] = {.lex_state = 59, .external_lex_state = 2},
  [6057] = {.lex_state = 6, .external_lex_state = 2},
  [6058] = {.lex_state = 6, .external_lex_state = 2},
  [6059] = {.lex_state = 59, .external_lex_state = 2},
  [6060] = {.lex_state = 59, .external_lex_state = 2},
  [6061] = {.lex_state = 6, .external_lex_state = 2},
  [6062] = {.lex_state = 59, .external_lex_state = 2},
  [6063] = {.lex_state = 59, .external_lex_state = 2},
  [6064] = {.lex_state = 59, .external_lex_state = 2},
  [6065] = {.lex_state = 6, .external_lex_state = 2},
  [6066] = {.lex_state = 59, .external_lex_state = 2},
  [6067] = {.lex_state = 59, .external_lex_state = 2},
  [6068] = {.lex_state = 59, .external_lex_state = 2},
  [6069] = {.lex_state = 59, .external_lex_state = 2},
  [6070] = {.lex_state = 6, .external_lex_state = 2},
  [6071] = {.lex_state = 59, .external_lex_state = 2},
  [6072] = {.lex_state = 6, .external_lex_state = 2},
  [6073] = {.lex_state = 59, .external_lex_state = 2},
  [6074] = {.lex_state = 6, .external_lex_state = 2},
  [6075] = {.lex_state = 6, .external_lex_state = 2},
  [6076] = {.lex_state = 6, .external_lex_state = 2},
  [6077] = {.lex_state = 59, .external_lex_state = 2},
  [6078] = {.lex_state = 6, .external_lex_state = 2},
  [6079] = {.lex_state = 6, .external_lex_state = 2},
  [6080] = {.lex_state = 6, .external_lex_state = 2},
  [6081] = {.lex_state = 6, .external_lex_state = 2},
  [6082] = {.lex_state = 59, .external_lex_state = 2},
  [6083] = {.lex_state = 6, .external_lex_state = 2},
  [6084] = {.lex_state = 6, .external_lex_state = 2},
  [6085] = {.lex_state = 6, .external_lex_state = 2},
  [6086] = {.lex_state = 6, .external_lex_state = 2},
  [6087] = {.lex_state = 6, .external_lex_state = 2},
  [6088] = {.lex_state = 6, .external_lex_state = 2},
  [6089] = {.lex_state = 6, .external_lex_state = 2},
  [6090] = {.lex_state = 6, .external_lex_state = 2},
  [6091] = {.lex_state = 6, .external_lex_state = 2},
  [6092] = {.lex_state = 6, .external_lex_state = 2},
  [6093] = {.lex_state = 6, .external_lex_state = 2},
  [6094] = {.lex_state = 6, .external_lex_state = 2},
  [6095] = {.lex_state = 6, .external_lex_state = 2},
  [6096] = {.lex_state = 59, .external_lex_state = 2},
  [6097] = {.lex_state = 59, .external_lex_state = 2},
  [6098] = {.lex_state = 6, .external_lex_state = 2},
  [6099] = {.lex_state = 59, .external_lex_state = 2},
  [6100] = {.lex_state = 6, .external_lex_state = 2},
  [6101] = {.lex_state = 60, .external_lex_state = 2},
  [6102] = {.lex_state = 6, .external_lex_state = 2},
  [6103] = {.lex_state = 6, .external_lex_state = 2},
  [6104] = {.lex_state = 60, .external_lex_state = 2},
  [6105] = {.lex_state = 6, .external_lex_state = 2},
  [6106] = {.lex_state = 6, .external_lex_state = 2},
  [6107] = {.lex_state = 59, .external_lex_state = 2},
  [6108] = {.lex_state = 6, .external_lex_state = 2},
  [6109] = {.lex_state = 59, .external_lex_state = 2},
  [6110] = {.lex_state = 59, .external_lex_state = 2},
  [6111] = {.lex_state = 60, .external_lex_state = 2},
  [6112] = {.lex_state = 60, .external_lex_state = 2},
  [6113] = {.lex_state = 60, .external_lex_state = 2},
  [6114] = {.lex_state = 60, .external_lex_state = 2},
  [6115] = {.lex_state = 60, .external_lex_state = 2},
  [6116] = {.lex_state = 59, .external_lex_state = 2},
  [6117] = {.lex_state = 59, .external_lex_state = 2},
  [6118] = {.lex_state = 59, .external_lex_state = 2},
  [6119] = {.lex_state = 59, .external_lex_state = 2},
  [6120] = {.lex_state = 59, .external_lex_state = 2},
  [6121] = {.lex_state = 59, .external_lex_state = 2},
  [6122] = {.lex_state = 59, .external_lex_state = 2},
  [6123] = {.lex_state = 59, .external_lex_state = 2},
  [6124] = {.lex_state = 60, .external_lex_state = 2},
  [6125] = {.lex_state = 59, .external_lex_state = 2},
  [6126] = {.lex_state = 60, .external_lex_state = 2},
  [6127] = {.lex_state = 60, .external_lex_state = 2},
  [6128] = {.lex_state = 60, .external_lex_state = 2},
  [6129] = {.lex_state = 394, .external_lex_state = 2},
  [6130] = {.lex_state = 6, .external_lex_state = 2},
  [6131] = {.lex_state = 56, .external_lex_state = 2},
  [6132] = {.lex_state = 56, .external_lex_state = 2},
  [6133] = {.lex_state = 60, .external_lex_state = 2},
  [6134] = {.lex_state = 56, .external_lex_state = 2},
  [6135] = {.lex_state = 60, .external_lex_state = 2},
  [6136] = {.lex_state = 6, .external_lex_state = 2},
  [6137] = {.lex_state = 60, .external_lex_state = 2},
  [6138] = {.lex_state = 60, .external_lex_state = 2},
  [6139] = {.lex_state = 60, .external_lex_state = 2},
  [6140] = {.lex_state = 60, .external_lex_state = 2},
  [6141] = {.lex_state = 60, .external_lex_state = 2},
  [6142] = {.lex_state = 60, .external_lex_state = 2},
  [6143] = {.lex_state = 60, .external_lex_state = 2},
  [6144] = {.lex_state = 60, .external_lex_state = 2},
  [6145] = {.lex_state = 6, .external_lex_state = 2},
  [6146] = {.lex_state = 60, .external_lex_state = 2},
  [6147] = {.lex_state = 60, .external_lex_state = 2},
  [6148] = {.lex_state = 60, .external_lex_state = 2},
  [6149] = {.lex_state = 60, .external_lex_state = 2},
  [6150] = {.lex_state = 6, .external_lex_state = 2},
  [6151] = {.lex_state = 10, .external_lex_state = 2},
  [6152] = {.lex_state = 60, .external_lex_state = 2},
  [6153] = {.lex_state = 60, .external_lex_state = 2},
  [6154] = {.lex_state = 60, .external_lex_state = 2},
  [6155] = {.lex_state = 60, .external_lex_state = 2},
  [6156] = {.lex_state = 60, .external_lex_state = 2},
  [6157] = {.lex_state = 60, .external_lex_state = 2},
  [6158] = {.lex_state = 60, .external_lex_state = 2},
  [6159] = {.lex_state = 56, .external_lex_state = 2},
  [6160] = {.lex_state = 60, .external_lex_state = 2},
  [6161] = {.lex_state = 60, .external_lex_state = 2},
  [6162] = {.lex_state = 60, .external_lex_state = 2},
  [6163] = {.lex_state = 60, .external_lex_state = 2},
  [6164] = {.lex_state = 60, .external_lex_state = 2},
  [6165] = {.lex_state = 60, .external_lex_state = 2},
  [6166] = {.lex_state = 60, .external_lex_state = 2},
  [6167] = {.lex_state = 60, .external_lex_state = 2},
  [6168] = {.lex_state = 56, .external_lex_state = 2},
  [6169] = {.lex_state = 60, .external_lex_state = 2},
  [6170] = {.lex_state = 60, .external_lex_state = 2},
  [6171] = {.lex_state = 60, .external_lex_state = 2},
  [6172] = {.lex_state = 60, .external_lex_state = 2},
  [6173] = {.lex_state = 60, .external_lex_state = 2},
  [6174] = {.lex_state = 60, .external_lex_state = 2},
  [6175] = {.lex_state = 60, .external_lex_state = 2},
  [6176] = {.lex_state = 60, .external_lex_state = 2},
  [6177] = {.lex_state = 60, .external_lex_state = 2},
  [6178] = {.lex_state = 56, .external_lex_state = 2},
  [6179] = {.lex_state = 60, .external_lex_state = 2},
  [6180] = {.lex_state = 60, .external_lex_state = 2},
  [6181] = {.lex_state = 60, .external_lex_state = 2},
  [6182] = {.lex_state = 60, .external_lex_state = 2},
  [6183] = {.lex_state = 60, .external_lex_state = 2},
  [6184] = {.lex_state = 60, .external_lex_state = 2},
  [6185] = {.lex_state = 60, .external_lex_state = 2},
  [6186] = {.lex_state = 60, .external_lex_state = 2},
  [6187] = {.lex_state = 60, .external_lex_state = 2},
  [6188] = {.lex_state = 60, .external_lex_state = 2},
  [6189] = {.lex_state = 60, .external_lex_state = 2},
  [6190] = {.lex_state = 60, .external_lex_state = 2},
  [6191] = {.lex_state = 60, .external_lex_state = 2},
  [6192] = {.lex_state = 60, .external_lex_state = 2},
  [6193] = {.lex_state = 60, .external_lex_state = 2},
  [6194] = {.lex_state = 6, .external_lex_state = 2},
  [6195] = {.lex_state = 60, .external_lex_state = 2},
  [6196] = {.lex_state = 60, .external_lex_state = 2},
  [6197] = {.lex_state = 60, .external_lex_state = 2},
  [6198] = {.lex_state = 60, .external_lex_state = 2},
  [6199] = {.lex_state = 60, .external_lex_state = 2},
  [6200] = {.lex_state = 60, .external_lex_state = 2},
  [6201] = {.lex_state = 60, .external_lex_state = 2},
  [6202] = {.lex_state = 60, .external_lex_state = 2},
  [6203] = {.lex_state = 60, .external_lex_state = 2},
  [6204] = {.lex_state = 60, .external_lex_state = 2},
  [6205] = {.lex_state = 6, .external_lex_state = 2},
  [6206] = {.lex_state = 60, .external_lex_state = 2},
  [6207] = {.lex_state = 60, .external_lex_state = 2},
  [6208] = {.lex_state = 60, .external_lex_state = 2},
  [6209] = {.lex_state = 60, .external_lex_state = 2},
  [6210] = {.lex_state = 60, .external_lex_state = 2},
  [6211] = {.lex_state = 6, .external_lex_state = 2},
  [6212] = {.lex_state = 60, .external_lex_state = 2},
  [6213] = {.lex_state = 60, .external_lex_state = 2},
  [6214] = {.lex_state = 60, .external_lex_state = 2},
  [6215] = {.lex_state = 60, .external_lex_state = 2},
  [6216] = {.lex_state = 60, .external_lex_state = 2},
  [6217] = {.lex_state = 56, .external_lex_state = 2},
  [6218] = {.lex_state = 56, .external_lex_state = 2},
  [6219] = {.lex_state = 56, .external_lex_state = 2},
  [6220] = {.lex_state = 60, .external_lex_state = 2},
  [6221] = {.lex_state = 56, .external_lex_state = 2},
  [6222] = {.lex_state = 60, .external_lex_state = 2},
  [6223] = {.lex_state = 60, .external_lex_state = 2},
  [6224] = {.lex_state = 56, .external_lex_state = 2},
  [6225] = {.lex_state = 56, .external_lex_state = 2},
  [6226] = {.lex_state = 56, .external_lex_state = 2},
  [6227] = {.lex_state = 56, .external_lex_state = 2},
  [6228] = {.lex_state = 6, .external_lex_state = 2},
  [6229] = {.lex_state = 56, .external_lex_state = 2},
  [6230] = {.lex_state = 56, .external_lex_state = 2},
  [6231] = {.lex_state = 6, .external_lex_state = 2},
  [6232] = {.lex_state = 6, .external_lex_state = 2},
  [6233] = {.lex_state = 56, .external_lex_state = 2},
  [6234] = {.lex_state = 56, .external_lex_state = 2},
  [6235] = {.lex_state = 56, .external_lex_state = 2},
  [6236] = {.lex_state = 6, .external_lex_state = 2},
  [6237] = {.lex_state = 56, .external_lex_state = 2},
  [6238] = {.lex_state = 55, .external_lex_state = 2},
  [6239] = {.lex_state = 56, .external_lex_state = 2},
  [6240] = {.lex_state = 56, .external_lex_state = 2},
  [6241] = {.lex_state = 6, .external_lex_state = 2},
  [6242] = {.lex_state = 56, .external_lex_state = 2},
  [6243] = {.lex_state = 6, .external_lex_state = 2},
  [6244] = {.lex_state = 56, .external_lex_state = 2},
  [6245] = {.lex_state = 56, .external_lex_state = 2},
  [6246] = {.lex_state = 6, .external_lex_state = 2},
  [6247] = {.lex_state = 56, .external_lex_state = 2},
  [6248] = {.lex_state = 56, .external_lex_state = 2},
  [6249] = {.lex_state = 56, .external_lex_state = 2},
  [6250] = {.lex_state = 56, .external_lex_state = 2},
  [6251] = {.lex_state = 6, .external_lex_state = 2},
  [6252] = {.lex_state = 6, .external_lex_state = 2},
  [6253] = {.lex_state = 56, .external_lex_state = 2},
  [6254] = {.lex_state = 58, .external_lex_state = 2},
  [6255] = {.lex_state = 6, .external_lex_state = 2},
  [6256] = {.lex_state = 56, .external_lex_state = 2},
  [6257] = {.lex_state = 56, .external_lex_state = 2},
  [6258] = {.lex_state = 56, .external_lex_state = 2},
  [6259] = {.lex_state = 56, .external_lex_state = 2},
  [6260] = {.lex_state = 56, .external_lex_state = 2},
  [6261] = {.lex_state = 15, .external_lex_state = 2},
  [6262] = {.lex_state = 6, .external_lex_state = 2},
  [6263] = {.lex_state = 56, .external_lex_state = 2},
  [6264] = {.lex_state = 56, .external_lex_state = 2},
  [6265] = {.lex_state = 6, .external_lex_state = 2},
  [6266] = {.lex_state = 56, .external_lex_state = 2},
  [6267] = {.lex_state = 6, .external_lex_state = 2},
  [6268] = {.lex_state = 56, .external_lex_state = 2},
  [6269] = {.lex_state = 6, .external_lex_state = 2},
  [6270] = {.lex_state = 56, .external_lex_state = 2},
  [6271] = {.lex_state = 56, .external_lex_state = 2},
  [6272] = {.lex_state = 6, .external_lex_state = 2},
  [6273] = {.lex_state = 56, .external_lex_state = 2},
  [6274] = {.lex_state = 56, .external_lex_state = 2},
  [6275] = {.lex_state = 6, .external_lex_state = 2},
  [6276] = {.lex_state = 56, .external_lex_state = 2},
  [6277] = {.lex_state = 6, .external_lex_state = 2},
  [6278] = {.lex_state = 6, .external_lex_state = 2},
  [6279] = {.lex_state = 56, .external_lex_state = 2},
  [6280] = {.lex_state = 59, .external_lex_state = 2},
  [6281] = {.lex_state = 6, .external_lex_state = 2},
  [6282] = {.lex_state = 6, .external_lex_state = 2},
  [6283] = {.lex_state = 6, .external_lex_state = 2},
  [6284] = {.lex_state = 6, .external_lex_state = 2},
  [6285] = {.lex_state = 56, .external_lex_state = 2},
  [6286] = {.lex_state = 6, .external_lex_state = 2},
  [6287] = {.lex_state = 6, .external_lex_state = 2},
  [6288] = {.lex_state = 56, .external_lex_state = 2},
  [6289] = {.lex_state = 6, .external_lex_state = 2},
  [6290] = {.lex_state = 6, .external_lex_state = 2},
  [6291] = {.lex_state = 6, .external_lex_state = 2},
  [6292] = {.lex_state = 55, .external_lex_state = 2},
  [6293] = {.lex_state = 6, .external_lex_state = 2},
  [6294] = {.lex_state = 6, .external_lex_state = 2},
  [6295] = {.lex_state = 56, .external_lex_state = 2},
  [6296] = {.lex_state = 56, .external_lex_state = 2},
  [6297] = {.lex_state = 56, .external_lex_state = 2},
  [6298] = {.lex_state = 56, .external_lex_state = 2},
  [6299] = {.lex_state = 6, .external_lex_state = 2},
  [6300] = {.lex_state = 56, .external_lex_state = 2},
  [6301] = {.lex_state = 56, .external_lex_state = 2},
  [6302] = {.lex_state = 55, .external_lex_state = 2},
  [6303] = {.lex_state = 6, .external_lex_state = 2},
  [6304] = {.lex_state = 55, .external_lex_state = 2},
  [6305] = {.lex_state = 56, .external_lex_state = 2},
  [6306] = {.lex_state = 6, .external_lex_state = 2},
  [6307] = {.lex_state = 6, .external_lex_state = 2},
  [6308] = {.lex_state = 56, .external_lex_state = 2},
  [6309] = {.lex_state = 6, .external_lex_state = 2},
  [6310] = {.lex_state = 6, .external_lex_state = 2},
  [6311] = {.lex_state = 56, .external_lex_state = 2},
  [6312] = {.lex_state = 6, .external_lex_state = 2},
  [6313] = {.lex_state = 6, .external_lex_state = 2},
  [6314] = {.lex_state = 58, .external_lex_state = 2},
  [6315] = {.lex_state = 56, .external_lex_state = 2},
  [6316] = {.lex_state = 58, .external_lex_state = 2},
  [6317] = {.lex_state = 56, .external_lex_state = 2},
  [6318] = {.lex_state = 6, .external_lex_state = 2},
  [6319] = {.lex_state = 55, .external_lex_state = 2},
  [6320] = {.lex_state = 56, .external_lex_state = 2},
  [6321] = {.lex_state = 56, .external_lex_state = 2},
  [6322] = {.lex_state = 6, .external_lex_state = 2},
  [6323] = {.lex_state = 56, .external_lex_state = 2},
  [6324] = {.lex_state = 6, .external_lex_state = 2},
  [6325] = {.lex_state = 56, .external_lex_state = 2},
  [6326] = {.lex_state = 6, .external_lex_state = 2},
  [6327] = {.lex_state = 6, .external_lex_state = 2},
  [6328] = {.lex_state = 56, .external_lex_state = 2},
  [6329] = {.lex_state = 56, .external_lex_state = 2},
  [6330] = {.lex_state = 6, .external_lex_state = 2},
  [6331] = {.lex_state = 58, .external_lex_state = 2},
  [6332] = {.lex_state = 15, .external_lex_state = 2},
  [6333] = {.lex_state = 56, .external_lex_state = 2},
  [6334] = {.lex_state = 6, .external_lex_state = 2},
  [6335] = {.lex_state = 56, .external_lex_state = 2},
  [6336] = {.lex_state = 56, .external_lex_state = 2},
  [6337] = {.lex_state = 6, .external_lex_state = 2},
  [6338] = {.lex_state = 56, .external_lex_state = 2},
  [6339] = {.lex_state = 58, .external_lex_state = 2},
  [6340] = {.lex_state = 56, .external_lex_state = 2},
  [6341] = {.lex_state = 6, .external_lex_state = 2},
  [6342] = {.lex_state = 15, .external_lex_state = 2},
  [6343] = {.lex_state = 6, .external_lex_state = 2},
  [6344] = {.lex_state = 6, .external_lex_state = 2},
  [6345] = {.lex_state = 6, .external_lex_state = 2},
  [6346] = {.lex_state = 6, .external_lex_state = 2},
  [6347] = {.lex_state = 6, .external_lex_state = 2},
  [6348] = {.lex_state = 6, .external_lex_state = 2},
  [6349] = {.lex_state = 58, .external_lex_state = 2},
  [6350] = {.lex_state = 58, .external_lex_state = 2},
  [6351] = {.lex_state = 6, .external_lex_state = 2},
  [6352] = {.lex_state = 6, .external_lex_state = 2},
  [6353] = {.lex_state = 55, .external_lex_state = 2},
  [6354] = {.lex_state = 58, .external_lex_state = 2},
  [6355] = {.lex_state = 56, .external_lex_state = 2},
  [6356] = {.lex_state = 55, .external_lex_state = 2},
  [6357] = {.lex_state = 55, .external_lex_state = 2},
  [6358] = {.lex_state = 55, .external_lex_state = 2},
  [6359] = {.lex_state = 6, .external_lex_state = 2},
  [6360] = {.lex_state = 56, .external_lex_state = 2},
  [6361] = {.lex_state = 56, .external_lex_state = 2},
  [6362] = {.lex_state = 56, .external_lex_state = 2},
  [6363] = {.lex_state = 6, .external_lex_state = 2},
  [6364] = {.lex_state = 56, .external_lex_state = 2},
  [6365] = {.lex_state = 56, .external_lex_state = 2},
  [6366] = {.lex_state = 56, .external_lex_state = 2},
  [6367] = {.lex_state = 6, .external_lex_state = 2},
  [6368] = {.lex_state = 433, .external_lex_state = 2},
  [6369] = {.lex_state = 56, .external_lex_state = 2},
  [6370] = {.lex_state = 56, .external_lex_state = 2},
  [6371] = {.lex_state = 56, .external_lex_state = 2},
  [6372] = {.lex_state = 55, .external_lex_state = 2},
  [6373] = {.lex_state = 56, .external_lex_state = 2},
  [6374] = {.lex_state = 56, .external_lex_state = 2},
  [6375] = {.lex_state = 6, .external_lex_state = 2},
  [6376] = {.lex_state = 56, .external_lex_state = 2},
  [6377] = {.lex_state = 56, .external_lex_state = 2},
  [6378] = {.lex_state = 58, .external_lex_state = 2},
  [6379] = {.lex_state = 56, .external_lex_state = 2},
  [6380] = {.lex_state = 6, .external_lex_state = 2},
  [6381] = {.lex_state = 433, .external_lex_state = 2},
  [6382] = {.lex_state = 10, .external_lex_state = 2},
  [6383] = {.lex_state = 56, .external_lex_state = 2},
  [6384] = {.lex_state = 56, .external_lex_state = 2},
  [6385] = {.lex_state = 56, .external_lex_state = 2},
  [6386] = {.lex_state = 55, .external_lex_state = 2},
  [6387] = {.lex_state = 56, .external_lex_state = 2},
  [6388] = {.lex_state = 58, .external_lex_state = 2},
  [6389] = {.lex_state = 58, .external_lex_state = 2},
  [6390] = {.lex_state = 55, .external_lex_state = 2},
  [6391] = {.lex_state = 55, .external_lex_state = 2},
  [6392] = {.lex_state = 55, .external_lex_state = 2},
  [6393] = {.lex_state = 55, .external_lex_state = 2},
  [6394] = {.lex_state = 58, .external_lex_state = 2},
  [6395] = {.lex_state = 425, .external_lex_state = 3},
  [6396] = {.lex_state = 58, .external_lex_state = 2},
  [6397] = {.lex_state = 58, .external_lex_state = 2},
  [6398] = {.lex_state = 425, .external_lex_state = 3},
  [6399] = {.lex_state = 58, .external_lex_state = 2},
  [6400] = {.lex_state = 57, .external_lex_state = 2},
  [6401] = {.lex_state = 55, .external_lex_state = 2},
  [6402] = {.lex_state = 55, .external_lex_state = 2},
  [6403] = {.lex_state = 55, .external_lex_state = 2},
  [6404] = {.lex_state = 58, .external_lex_state = 2},
  [6405] = {.lex_state = 58, .external_lex_state = 2},
  [6406] = {.lex_state = 58, .external_lex_state = 2},
  [6407] = {.lex_state = 55, .external_lex_state = 2},
  [6408] = {.lex_state = 58, .external_lex_state = 2},
  [6409] = {.lex_state = 58, .external_lex_state = 2},
  [6410] = {.lex_state = 58, .external_lex_state = 2},
  [6411] = {.lex_state = 55, .external_lex_state = 2},
  [6412] = {.lex_state = 58, .external_lex_state = 2},
  [6413] = {.lex_state = 58, .external_lex_state = 2},
  [6414] = {.lex_state = 55, .external_lex_state = 2},
  [6415] = {.lex_state = 55, .external_lex_state = 2},
  [6416] = {.lex_state = 55, .external_lex_state = 2},
  [6417] = {.lex_state = 57, .external_lex_state = 2},
  [6418] = {.lex_state = 58, .external_lex_state = 2},
  [6419] = {.lex_state = 55, .external_lex_state = 2},
  [6420] = {.lex_state = 58, .external_lex_state = 2},
  [6421] = {.lex_state = 58, .external_lex_state = 2},
  [6422] = {.lex_state = 55, .external_lex_state = 2},
  [6423] = {.lex_state = 55, .external_lex_state = 2},
  [6424] = {.lex_state = 58, .external_lex_state = 2},
  [6425] = {.lex_state = 55, .external_lex_state = 2},
  [6426] = {.lex_state = 55, .external_lex_state = 2},
  [6427] = {.lex_state = 433, .external_lex_state = 2},
  [6428] = {.lex_state = 58, .external_lex_state = 2},
  [6429] = {.lex_state = 435, .external_lex_state = 2},
  [6430] = {.lex_state = 58, .external_lex_state = 2},
  [6431] = {.lex_state = 58, .external_lex_state = 2},
  [6432] = {.lex_state = 58, .external_lex_state = 2},
  [6433] = {.lex_state = 434, .external_lex_state = 2},
  [6434] = {.lex_state = 55, .external_lex_state = 2},
  [6435] = {.lex_state = 56, .external_lex_state = 2},
  [6436] = {.lex_state = 55, .external_lex_state = 2},
  [6437] = {.lex_state = 55, .external_lex_state = 2},
  [6438] = {.lex_state = 55, .external_lex_state = 2},
  [6439] = {.lex_state = 55, .external_lex_state = 2},
  [6440] = {.lex_state = 55, .external_lex_state = 2},
  [6441] = {.lex_state = 55, .external_lex_state = 2},
  [6442] = {.lex_state = 57, .external_lex_state = 2},
  [6443] = {.lex_state = 58, .external_lex_state = 2},
  [6444] = {.lex_state = 58, .external_lex_state = 2},
  [6445] = {.lex_state = 58, .external_lex_state = 2},
  [6446] = {.lex_state = 58, .external_lex_state = 2},
  [6447] = {.lex_state = 55, .external_lex_state = 2},
  [6448] = {.lex_state = 55, .external_lex_state = 2},
  [6449] = {.lex_state = 433, .external_lex_state = 2},
  [6450] = {.lex_state = 55, .external_lex_state = 2},
  [6451] = {.lex_state = 59, .external_lex_state = 2},
  [6452] = {.lex_state = 58, .external_lex_state = 2},
  [6453] = {.lex_state = 55, .external_lex_state = 2},
  [6454] = {.lex_state = 55, .external_lex_state = 2},
  [6455] = {.lex_state = 425, .external_lex_state = 3},
  [6456] = {.lex_state = 58, .external_lex_state = 2},
  [6457] = {.lex_state = 55, .external_lex_state = 2},
  [6458] = {.lex_state = 58, .external_lex_state = 2},
  [6459] = {.lex_state = 58, .external_lex_state = 2},
  [6460] = {.lex_state = 55, .external_lex_state = 2},
  [6461] = {.lex_state = 55, .external_lex_state = 2},
  [6462] = {.lex_state = 55, .external_lex_state = 2},
  [6463] = {.lex_state = 58, .external_lex_state = 2},
  [6464] = {.lex_state = 55, .external_lex_state = 2},
  [6465] = {.lex_state = 57, .external_lex_state = 2},
  [6466] = {.lex_state = 434, .external_lex_state = 2},
  [6467] = {.lex_state = 60, .external_lex_state = 2},
  [6468] = {.lex_state = 58, .external_lex_state = 2},
  [6469] = {.lex_state = 58, .external_lex_state = 2},
  [6470] = {.lex_state = 435, .external_lex_state = 2},
  [6471] = {.lex_state = 58, .external_lex_state = 2},
  [6472] = {.lex_state = 58, .external_lex_state = 2},
  [6473] = {.lex_state = 55, .external_lex_state = 2},
  [6474] = {.lex_state = 55, .external_lex_state = 2},
  [6475] = {.lex_state = 55, .external_lex_state = 2},
  [6476] = {.lex_state = 57, .external_lex_state = 2},
  [6477] = {.lex_state = 55, .external_lex_state = 2},
  [6478] = {.lex_state = 55, .external_lex_state = 2},
  [6479] = {.lex_state = 58, .external_lex_state = 2},
  [6480] = {.lex_state = 57, .external_lex_state = 2},
  [6481] = {.lex_state = 58, .external_lex_state = 2},
  [6482] = {.lex_state = 58, .external_lex_state = 2},
  [6483] = {.lex_state = 55, .external_lex_state = 2},
  [6484] = {.lex_state = 58, .external_lex_state = 2},
  [6485] = {.lex_state = 58, .external_lex_state = 2},
  [6486] = {.lex_state = 58, .external_lex_state = 2},
  [6487] = {.lex_state = 439, .external_lex_state = 2},
  [6488] = {.lex_state = 58, .external_lex_state = 2},
  [6489] = {.lex_state = 55, .external_lex_state = 2},
  [6490] = {.lex_state = 55, .external_lex_state = 2},
  [6491] = {.lex_state = 55, .external_lex_state = 2},
  [6492] = {.lex_state = 58, .external_lex_state = 2},
  [6493] = {.lex_state = 57, .external_lex_state = 2},
  [6494] = {.lex_state = 58, .external_lex_state = 2},
  [6495] = {.lex_state = 57, .external_lex_state = 2},
  [6496] = {.lex_state = 58, .external_lex_state = 2},
  [6497] = {.lex_state = 55, .external_lex_state = 2},
  [6498] = {.lex_state = 55, .external_lex_state = 2},
  [6499] = {.lex_state = 58, .external_lex_state = 2},
  [6500] = {.lex_state = 58, .external_lex_state = 2},
  [6501] = {.lex_state = 58, .external_lex_state = 2},
  [6502] = {.lex_state = 55, .external_lex_state = 2},
  [6503] = {.lex_state = 55, .external_lex_state = 2},
  [6504] = {.lex_state = 57, .external_lex_state = 2},
  [6505] = {.lex_state = 55, .external_lex_state = 2},
  [6506] = {.lex_state = 58, .external_lex_state = 2},
  [6507] = {.lex_state = 55, .external_lex_state = 2},
  [6508] = {.lex_state = 55, .external_lex_state = 2},
  [6509] = {.lex_state = 58, .external_lex_state = 2},
  [6510] = {.lex_state = 55, .external_lex_state = 2},
  [6511] = {.lex_state = 58, .external_lex_state = 2},
  [6512] = {.lex_state = 435, .external_lex_state = 2},
  [6513] = {.lex_state = 55, .external_lex_state = 2},
  [6514] = {.lex_state = 435, .external_lex_state = 2},
  [6515] = {.lex_state = 58, .external_lex_state = 2},
  [6516] = {.lex_state = 435, .external_lex_state = 2},
  [6517] = {.lex_state = 58, .external_lex_state = 2},
  [6518] = {.lex_state = 58, .external_lex_state = 2},
  [6519] = {.lex_state = 58, .external_lex_state = 2},
  [6520] = {.lex_state = 55, .external_lex_state = 2},
  [6521] = {.lex_state = 55, .external_lex_state = 2},
  [6522] = {.lex_state = 55, .external_lex_state = 2},
  [6523] = {.lex_state = 58, .external_lex_state = 2},
  [6524] = {.lex_state = 55, .external_lex_state = 2},
  [6525] = {.lex_state = 433, .external_lex_state = 2},
  [6526] = {.lex_state = 58, .external_lex_state = 2},
  [6527] = {.lex_state = 55, .external_lex_state = 2},
  [6528] = {.lex_state = 55, .external_lex_state = 2},
  [6529] = {.lex_state = 55, .external_lex_state = 2},
  [6530] = {.lex_state = 58, .external_lex_state = 2},
  [6531] = {.lex_state = 55, .external_lex_state = 2},
  [6532] = {.lex_state = 58, .external_lex_state = 2},
  [6533] = {.lex_state = 58, .external_lex_state = 2},
  [6534] = {.lex_state = 55, .external_lex_state = 2},
  [6535] = {.lex_state = 55, .external_lex_state = 2},
  [6536] = {.lex_state = 58, .external_lex_state = 2},
  [6537] = {.lex_state = 58, .external_lex_state = 2},
  [6538] = {.lex_state = 58, .external_lex_state = 2},
  [6539] = {.lex_state = 435, .external_lex_state = 2},
  [6540] = {.lex_state = 58, .external_lex_state = 2},
  [6541] = {.lex_state = 55, .external_lex_state = 2},
  [6542] = {.lex_state = 58, .external_lex_state = 2},
  [6543] = {.lex_state = 58, .external_lex_state = 2},
  [6544] = {.lex_state = 55, .external_lex_state = 2},
  [6545] = {.lex_state = 58, .external_lex_state = 2},
  [6546] = {.lex_state = 435, .external_lex_state = 2},
  [6547] = {.lex_state = 58, .external_lex_state = 2},
  [6548] = {.lex_state = 55, .external_lex_state = 2},
  [6549] = {.lex_state = 149, .external_lex_state = 2},
  [6550] = {.lex_state = 58, .external_lex_state = 2},
  [6551] = {.lex_state = 55, .external_lex_state = 2},
  [6552] = {.lex_state = 55, .external_lex_state = 2},
  [6553] = {.lex_state = 55, .external_lex_state = 2},
  [6554] = {.lex_state = 149, .external_lex_state = 2},
  [6555] = {.lex_state = 435, .external_lex_state = 2},
  [6556] = {.lex_state = 55, .external_lex_state = 2},
  [6557] = {.lex_state = 58, .external_lex_state = 2},
  [6558] = {.lex_state = 55, .external_lex_state = 2},
  [6559] = {.lex_state = 58, .external_lex_state = 2},
  [6560] = {.lex_state = 58, .external_lex_state = 2},
  [6561] = {.lex_state = 435, .external_lex_state = 2},
  [6562] = {.lex_state = 55, .external_lex_state = 2},
  [6563] = {.lex_state = 58, .external_lex_state = 2},
  [6564] = {.lex_state = 58, .external_lex_state = 2},
  [6565] = {.lex_state = 57, .external_lex_state = 2},
  [6566] = {.lex_state = 58, .external_lex_state = 2},
  [6567] = {.lex_state = 57, .external_lex_state = 2},
  [6568] = {.lex_state = 55, .external_lex_state = 2},
  [6569] = {.lex_state = 58, .external_lex_state = 2},
  [6570] = {.lex_state = 433, .external_lex_state = 2},
  [6571] = {.lex_state = 55, .external_lex_state = 2},
  [6572] = {.lex_state = 55, .external_lex_state = 2},
  [6573] = {.lex_state = 55, .external_lex_state = 2},
  [6574] = {.lex_state = 55, .external_lex_state = 2},
  [6575] = {.lex_state = 55, .external_lex_state = 2},
  [6576] = {.lex_state = 58, .external_lex_state = 2},
  [6577] = {.lex_state = 59, .external_lex_state = 2},
  [6578] = {.lex_state = 58, .external_lex_state = 2},
  [6579] = {.lex_state = 55, .external_lex_state = 2},
  [6580] = {.lex_state = 58, .external_lex_state = 2},
  [6581] = {.lex_state = 435, .external_lex_state = 2},
  [6582] = {.lex_state = 435, .external_lex_state = 2},
  [6583] = {.lex_state = 434, .external_lex_state = 2},
  [6584] = {.lex_state = 153, .external_lex_state = 2},
  [6585] = {.lex_state = 57, .external_lex_state = 2},
  [6586] = {.lex_state = 433, .external_lex_state = 2},
  [6587] = {.lex_state = 433, .external_lex_state = 2},
  [6588] = {.lex_state = 149, .external_lex_state = 2},
  [6589] = {.lex_state = 433, .external_lex_state = 2},
  [6590] = {.lex_state = 433, .external_lex_state = 2},
  [6591] = {.lex_state = 433, .external_lex_state = 2},
  [6592] = {.lex_state = 57, .external_lex_state = 2},
  [6593] = {.lex_state = 149, .external_lex_state = 2},
  [6594] = {.lex_state = 149, .external_lex_state = 2},
  [6595] = {.lex_state = 149, .external_lex_state = 2},
  [6596] = {.lex_state = 433, .external_lex_state = 2},
  [6597] = {.lex_state = 433, .external_lex_state = 2},
  [6598] = {.lex_state = 433, .external_lex_state = 2},
  [6599] = {.lex_state = 436, .external_lex_state = 2},
  [6600] = {.lex_state = 433, .external_lex_state = 2},
  [6601] = {.lex_state = 433, .external_lex_state = 2},
  [6602] = {.lex_state = 433, .external_lex_state = 2},
  [6603] = {.lex_state = 433, .external_lex_state = 2},
  [6604] = {.lex_state = 433, .external_lex_state = 2},
  [6605] = {.lex_state = 433, .external_lex_state = 2},
  [6606] = {.lex_state = 433, .external_lex_state = 2},
  [6607] = {.lex_state = 57, .external_lex_state = 2},
  [6608] = {.lex_state = 57, .external_lex_state = 2},
  [6609] = {.lex_state = 57, .external_lex_state = 2},
  [6610] = {.lex_state = 57, .external_lex_state = 2},
  [6611] = {.lex_state = 57, .external_lex_state = 2},
  [6612] = {.lex_state = 57, .external_lex_state = 2},
  [6613] = {.lex_state = 433, .external_lex_state = 2},
  [6614] = {.lex_state = 436, .external_lex_state = 2},
  [6615] = {.lex_state = 433, .external_lex_state = 2},
  [6616] = {.lex_state = 433, .external_lex_state = 2},
  [6617] = {.lex_state = 57, .external_lex_state = 2},
  [6618] = {.lex_state = 57, .external_lex_state = 2},
  [6619] = {.lex_state = 57, .external_lex_state = 2},
  [6620] = {.lex_state = 57, .external_lex_state = 2},
  [6621] = {.lex_state = 57, .external_lex_state = 2},
  [6622] = {.lex_state = 57, .external_lex_state = 2},
  [6623] = {.lex_state = 57, .external_lex_state = 2},
  [6624] = {.lex_state = 57, .external_lex_state = 2},
  [6625] = {.lex_state = 57, .external_lex_state = 2},
  [6626] = {.lex_state = 433, .external_lex_state = 2},
  [6627] = {.lex_state = 433, .external_lex_state = 2},
  [6628] = {.lex_state = 57, .external_lex_state = 2},
  [6629] = {.lex_state = 57, .external_lex_state = 2},
  [6630] = {.lex_state = 433, .external_lex_state = 2},
  [6631] = {.lex_state = 57, .external_lex_state = 2},
  [6632] = {.lex_state = 57, .external_lex_state = 2},
  [6633] = {.lex_state = 57, .external_lex_state = 2},
  [6634] = {.lex_state = 433, .external_lex_state = 2},
  [6635] = {.lex_state = 57, .external_lex_state = 2},
  [6636] = {.lex_state = 57, .external_lex_state = 2},
  [6637] = {.lex_state = 57, .external_lex_state = 2},
  [6638] = {.lex_state = 57, .external_lex_state = 2},
  [6639] = {.lex_state = 433, .external_lex_state = 2},
  [6640] = {.lex_state = 57, .external_lex_state = 2},
  [6641] = {.lex_state = 433, .external_lex_state = 2},
  [6642] = {.lex_state = 433, .external_lex_state = 2},
  [6643] = {.lex_state = 433, .external_lex_state = 2},
  [6644] = {.lex_state = 433, .external_lex_state = 2},
  [6645] = {.lex_state = 433, .external_lex_state = 2},
  [6646] = {.lex_state = 433, .external_lex_state = 2},
  [6647] = {.lex_state = 57, .external_lex_state = 2},
  [6648] = {.lex_state = 57, .external_lex_state = 2},
  [6649] = {.lex_state = 57, .external_lex_state = 2},
  [6650] = {.lex_state = 57, .external_lex_state = 2},
  [6651] = {.lex_state = 57, .external_lex_state = 2},
  [6652] = {.lex_state = 57, .external_lex_state = 2},
  [6653] = {.lex_state = 57, .external_lex_state = 2},
  [6654] = {.lex_state = 57, .external_lex_state = 2},
  [6655] = {.lex_state = 57, .external_lex_state = 2},
  [6656] = {.lex_state = 57, .external_lex_state = 2},
  [6657] = {.lex_state = 57, .external_lex_state = 2},
  [6658] = {.lex_state = 153, .external_lex_state = 2},
  [6659] = {.lex_state = 57, .external_lex_state = 2},
  [6660] = {.lex_state = 57, .external_lex_state = 2},
  [6661] = {.lex_state = 57, .external_lex_state = 2},
  [6662] = {.lex_state = 57, .external_lex_state = 2},
  [6663] = {.lex_state = 57, .external_lex_state = 2},
  [6664] = {.lex_state = 57, .external_lex_state = 2},
  [6665] = {.lex_state = 57, .external_lex_state = 2},
  [6666] = {.lex_state = 57, .external_lex_state = 2},
  [6667] = {.lex_state = 433, .external_lex_state = 2},
  [6668] = {.lex_state = 433, .external_lex_state = 2},
  [6669] = {.lex_state = 57, .external_lex_state = 2},
  [6670] = {.lex_state = 57, .external_lex_state = 2},
  [6671] = {.lex_state = 153, .external_lex_state = 2},
  [6672] = {.lex_state = 57, .external_lex_state = 2},
  [6673] = {.lex_state = 433, .external_lex_state = 2},
  [6674] = {.lex_state = 57, .external_lex_state = 2},
  [6675] = {.lex_state = 153, .external_lex_state = 2},
  [6676] = {.lex_state = 57, .external_lex_state = 2},
  [6677] = {.lex_state = 57, .external_lex_state = 2},
  [6678] = {.lex_state = 57, .external_lex_state = 2},
  [6679] = {.lex_state = 57, .external_lex_state = 2},
  [6680] = {.lex_state = 433, .external_lex_state = 2},
  [6681] = {.lex_state = 57, .external_lex_state = 2},
  [6682] = {.lex_state = 433, .external_lex_state = 2},
  [6683] = {.lex_state = 433, .external_lex_state = 2},
  [6684] = {.lex_state = 433, .external_lex_state = 2},
  [6685] = {.lex_state = 150, .external_lex_state = 2},
  [6686] = {.lex_state = 436, .external_lex_state = 2},
  [6687] = {.lex_state = 433, .external_lex_state = 2},
  [6688] = {.lex_state = 150, .external_lex_state = 2},
  [6689] = {.lex_state = 57, .external_lex_state = 2},
  [6690] = {.lex_state = 57, .external_lex_state = 2},
  [6691] = {.lex_state = 433, .external_lex_state = 2},
  [6692] = {.lex_state = 57, .external_lex_state = 2},
  [6693] = {.lex_state = 57, .external_lex_state = 2},
  [6694] = {.lex_state = 57, .external_lex_state = 2},
  [6695] = {.lex_state = 57, .external_lex_state = 2},
  [6696] = {.lex_state = 60, .external_lex_state = 2},
  [6697] = {.lex_state = 433, .external_lex_state = 2},
  [6698] = {.lex_state = 433, .external_lex_state = 2},
  [6699] = {.lex_state = 57, .external_lex_state = 2},
  [6700] = {.lex_state = 433, .external_lex_state = 2},
  [6701] = {.lex_state = 433, .external_lex_state = 2},
  [6702] = {.lex_state = 57, .external_lex_state = 2},
  [6703] = {.lex_state = 433, .external_lex_state = 2},
  [6704] = {.lex_state = 433, .external_lex_state = 2},
  [6705] = {.lex_state = 433, .external_lex_state = 2},
  [6706] = {.lex_state = 433, .external_lex_state = 2},
  [6707] = {.lex_state = 57, .external_lex_state = 2},
  [6708] = {.lex_state = 436, .external_lex_state = 2},
  [6709] = {.lex_state = 436, .external_lex_state = 2},
  [6710] = {.lex_state = 440, .external_lex_state = 2},
  [6711] = {.lex_state = 436, .external_lex_state = 2},
  [6712] = {.lex_state = 159, .external_lex_state = 2},
  [6713] = {.lex_state = 436, .external_lex_state = 2},
  [6714] = {.lex_state = 433, .external_lex_state = 2},
  [6715] = {.lex_state = 433, .external_lex_state = 2},
  [6716] = {.lex_state = 436, .external_lex_state = 2},
  [6717] = {.lex_state = 57, .external_lex_state = 2},
  [6718] = {.lex_state = 57, .external_lex_state = 2},
  [6719] = {.lex_state = 436, .external_lex_state = 2},
  [6720] = {.lex_state = 436, .external_lex_state = 2},
  [6721] = {.lex_state = 436, .external_lex_state = 2},
  [6722] = {.lex_state = 122, .external_lex_state = 2},
  [6723] = {.lex_state = 60, .external_lex_state = 2},
  [6724] = {.lex_state = 433, .external_lex_state = 2},
  [6725] = {.lex_state = 57, .external_lex_state = 2},
  [6726] = {.lex_state = 57, .external_lex_state = 2},
  [6727] = {.lex_state = 57, .external_lex_state = 2},
  [6728] = {.lex_state = 57, .external_lex_state = 2},
  [6729] = {.lex_state = 57, .external_lex_state = 2},
  [6730] = {.lex_state = 57, .external_lex_state = 2},
  [6731] = {.lex_state = 57, .external_lex_state = 2},
  [6732] = {.lex_state = 57, .external_lex_state = 2},
  [6733] = {.lex_state = 57, .external_lex_state = 2},
  [6734] = {.lex_state = 57, .external_lex_state = 2},
  [6735] = {.lex_state = 57, .external_lex_state = 2},
  [6736] = {.lex_state = 434, .external_lex_state = 2},
  [6737] = {.lex_state = 433, .external_lex_state = 2},
  [6738] = {.lex_state = 434, .external_lex_state = 2},
  [6739] = {.lex_state = 433, .external_lex_state = 2},
  [6740] = {.lex_state = 58, .external_lex_state = 2},
  [6741] = {.lex_state = 433, .external_lex_state = 2},
  [6742] = {.lex_state = 433, .external_lex_state = 2},
  [6743] = {.lex_state = 433, .external_lex_state = 2},
  [6744] = {.lex_state = 433, .external_lex_state = 2},
  [6745] = {.lex_state = 433, .external_lex_state = 2},
  [6746] = {.lex_state = 153, .external_lex_state = 2},
  [6747] = {.lex_state = 153, .external_lex_state = 2},
  [6748] = {.lex_state = 433, .external_lex_state = 2},
  [6749] = {.lex_state = 153, .external_lex_state = 2},
  [6750] = {.lex_state = 153, .external_lex_state = 2},
  [6751] = {.lex_state = 153, .external_lex_state = 2},
  [6752] = {.lex_state = 153, .external_lex_state = 2},
  [6753] = {.lex_state = 57, .external_lex_state = 2},
  [6754] = {.lex_state = 434, .external_lex_state = 2},
  [6755] = {.lex_state = 153, .external_lex_state = 2},
  [6756] = {.lex_state = 433, .external_lex_state = 2},
  [6757] = {.lex_state = 73, .external_lex_state = 2},
  [6758] = {.lex_state = 434, .external_lex_state = 2},
  [6759] = {.lex_state = 149, .external_lex_state = 2},
  [6760] = {.lex_state = 434, .external_lex_state = 2},
  [6761] = {.lex_state = 434, .external_lex_state = 2},
  [6762] = {.lex_state = 434, .external_lex_state = 2},
  [6763] = {.lex_state = 73, .external_lex_state = 2},
  [6764] = {.lex_state = 149, .external_lex_state = 2},
  [6765] = {.lex_state = 149, .external_lex_state = 2},
  [6766] = {.lex_state = 73, .external_lex_state = 2},
  [6767] = {.lex_state = 149, .external_lex_state = 2},
  [6768] = {.lex_state = 149, .external_lex_state = 2},
  [6769] = {.lex_state = 160, .external_lex_state = 2},
  [6770] = {.lex_state = 154, .external_lex_state = 2},
  [6771] = {.lex_state = 434, .external_lex_state = 2},
  [6772] = {.lex_state = 434, .external_lex_state = 2},
  [6773] = {.lex_state = 149, .external_lex_state = 2},
  [6774] = {.lex_state = 154, .external_lex_state = 2},
  [6775] = {.lex_state = 434, .external_lex_state = 2},
  [6776] = {.lex_state = 149, .external_lex_state = 2},
  [6777] = {.lex_state = 124, .external_lex_state = 2},
  [6778] = {.lex_state = 149, .external_lex_state = 2},
  [6779] = {.lex_state = 149, .external_lex_state = 2},
  [6780] = {.lex_state = 149, .external_lex_state = 2},
  [6781] = {.lex_state = 434, .external_lex_state = 2},
  [6782] = {.lex_state = 149, .external_lex_state = 2},
  [6783] = {.lex_state = 149, .external_lex_state = 2},
  [6784] = {.lex_state = 149, .external_lex_state = 2},
  [6785] = {.lex_state = 149, .external_lex_state = 2},
  [6786] = {.lex_state = 149, .external_lex_state = 2},
  [6787] = {.lex_state = 149, .external_lex_state = 2},
  [6788] = {.lex_state = 149, .external_lex_state = 2},
  [6789] = {.lex_state = 149, .external_lex_state = 2},
  [6790] = {.lex_state = 149, .external_lex_state = 2},
  [6791] = {.lex_state = 149, .external_lex_state = 2},
  [6792] = {.lex_state = 149, .external_lex_state = 2},
  [6793] = {.lex_state = 434, .external_lex_state = 2},
  [6794] = {.lex_state = 154, .external_lex_state = 2},
  [6795] = {.lex_state = 434, .external_lex_state = 2},
  [6796] = {.lex_state = 434, .external_lex_state = 2},
  [6797] = {.lex_state = 434, .external_lex_state = 2},
  [6798] = {.lex_state = 434, .external_lex_state = 2},
  [6799] = {.lex_state = 434, .external_lex_state = 2},
  [6800] = {.lex_state = 434, .external_lex_state = 2},
  [6801] = {.lex_state = 149, .external_lex_state = 2},
  [6802] = {.lex_state = 149, .external_lex_state = 2},
  [6803] = {.lex_state = 149, .external_lex_state = 2},
  [6804] = {.lex_state = 56, .external_lex_state = 2},
  [6805] = {.lex_state = 434, .external_lex_state = 2},
  [6806] = {.lex_state = 434, .external_lex_state = 2},
  [6807] = {.lex_state = 434, .external_lex_state = 2},
  [6808] = {.lex_state = 434, .external_lex_state = 2},
  [6809] = {.lex_state = 434, .external_lex_state = 2},
  [6810] = {.lex_state = 434, .external_lex_state = 2},
  [6811] = {.lex_state = 434, .external_lex_state = 2},
  [6812] = {.lex_state = 434, .external_lex_state = 2},
  [6813] = {.lex_state = 434, .external_lex_state = 2},
  [6814] = {.lex_state = 434, .external_lex_state = 2},
  [6815] = {.lex_state = 434, .external_lex_state = 2},
  [6816] = {.lex_state = 434, .external_lex_state = 2},
  [6817] = {.lex_state = 434, .external_lex_state = 2},
  [6818] = {.lex_state = 434, .external_lex_state = 2},
  [6819] = {.lex_state = 434, .external_lex_state = 2},
  [6820] = {.lex_state = 149, .external_lex_state = 2},
  [6821] = {.lex_state = 434, .external_lex_state = 2},
  [6822] = {.lex_state = 149, .external_lex_state = 2},
  [6823] = {.lex_state = 434, .external_lex_state = 2},
  [6824] = {.lex_state = 149, .external_lex_state = 2},
  [6825] = {.lex_state = 149, .external_lex_state = 2},
  [6826] = {.lex_state = 434, .external_lex_state = 2},
  [6827] = {.lex_state = 434, .external_lex_state = 2},
  [6828] = {.lex_state = 434, .external_lex_state = 2},
  [6829] = {.lex_state = 434, .external_lex_state = 2},
  [6830] = {.lex_state = 149, .external_lex_state = 2},
  [6831] = {.lex_state = 434, .external_lex_state = 2},
  [6832] = {.lex_state = 56, .external_lex_state = 2},
  [6833] = {.lex_state = 154, .external_lex_state = 2},
  [6834] = {.lex_state = 149, .external_lex_state = 2},
  [6835] = {.lex_state = 434, .external_lex_state = 2},
  [6836] = {.lex_state = 149, .external_lex_state = 2},
  [6837] = {.lex_state = 149, .external_lex_state = 2},
  [6838] = {.lex_state = 154, .external_lex_state = 2},
  [6839] = {.lex_state = 150, .external_lex_state = 2},
  [6840] = {.lex_state = 434, .external_lex_state = 2},
  [6841] = {.lex_state = 434, .external_lex_state = 2},
  [6842] = {.lex_state = 434, .external_lex_state = 2},
  [6843] = {.lex_state = 149, .external_lex_state = 2},
  [6844] = {.lex_state = 154, .external_lex_state = 2},
  [6845] = {.lex_state = 434, .external_lex_state = 2},
  [6846] = {.lex_state = 434, .external_lex_state = 2},
  [6847] = {.lex_state = 149, .external_lex_state = 2},
  [6848] = {.lex_state = 434, .external_lex_state = 2},
  [6849] = {.lex_state = 434, .external_lex_state = 2},
  [6850] = {.lex_state = 73, .external_lex_state = 2},
  [6851] = {.lex_state = 434, .external_lex_state = 2},
  [6852] = {.lex_state = 434, .external_lex_state = 2},
  [6853] = {.lex_state = 434, .external_lex_state = 2},
  [6854] = {.lex_state = 149, .external_lex_state = 2},
  [6855] = {.lex_state = 434, .external_lex_state = 2},
  [6856] = {.lex_state = 149, .external_lex_state = 2},
  [6857] = {.lex_state = 149, .external_lex_state = 2},
  [6858] = {.lex_state = 149, .external_lex_state = 2},
  [6859] = {.lex_state = 434, .external_lex_state = 2},
  [6860] = {.lex_state = 149, .external_lex_state = 2},
  [6861] = {.lex_state = 149, .external_lex_state = 2},
  [6862] = {.lex_state = 149, .external_lex_state = 2},
  [6863] = {.lex_state = 149, .external_lex_state = 2},
  [6864] = {.lex_state = 149, .external_lex_state = 2},
  [6865] = {.lex_state = 149, .external_lex_state = 2},
  [6866] = {.lex_state = 121, .external_lex_state = 2},
  [6867] = {.lex_state = 149, .external_lex_state = 2},
  [6868] = {.lex_state = 149, .external_lex_state = 2},
  [6869] = {.lex_state = 149, .external_lex_state = 2},
  [6870] = {.lex_state = 149, .external_lex_state = 2},
  [6871] = {.lex_state = 154, .external_lex_state = 2},
  [6872] = {.lex_state = 149, .external_lex_state = 2},
  [6873] = {.lex_state = 434, .external_lex_state = 2},
  [6874] = {.lex_state = 434, .external_lex_state = 2},
  [6875] = {.lex_state = 149, .external_lex_state = 2},
  [6876] = {.lex_state = 434, .external_lex_state = 2},
  [6877] = {.lex_state = 149, .external_lex_state = 2},
  [6878] = {.lex_state = 434, .external_lex_state = 2},
  [6879] = {.lex_state = 149, .external_lex_state = 2},
  [6880] = {.lex_state = 150, .external_lex_state = 2},
  [6881] = {.lex_state = 434, .external_lex_state = 2},
  [6882] = {.lex_state = 149, .external_lex_state = 2},
  [6883] = {.lex_state = 150, .external_lex_state = 2},
  [6884] = {.lex_state = 434, .external_lex_state = 2},
  [6885] = {.lex_state = 149, .external_lex_state = 2},
  [6886] = {.lex_state = 73, .external_lex_state = 2},
  [6887] = {.lex_state = 73, .external_lex_state = 2},
  [6888] = {.lex_state = 73, .external_lex_state = 2},
  [6889] = {.lex_state = 73, .external_lex_state = 2},
  [6890] = {.lex_state = 73, .external_lex_state = 2},
  [6891] = {.lex_state = 73, .external_lex_state = 2},
  [6892] = {.lex_state = 154, .external_lex_state = 2},
  [6893] = {.lex_state = 149, .external_lex_state = 2},
  [6894] = {.lex_state = 154, .external_lex_state = 2},
  [6895] = {.lex_state = 73, .external_lex_state = 2},
  [6896] = {.lex_state = 149, .external_lex_state = 2},
  [6897] = {.lex_state = 150, .external_lex_state = 2},
  [6898] = {.lex_state = 154, .external_lex_state = 2},
  [6899] = {.lex_state = 149, .external_lex_state = 2},
  [6900] = {.lex_state = 434, .external_lex_state = 2},
  [6901] = {.lex_state = 434, .external_lex_state = 2},
  [6902] = {.lex_state = 154, .external_lex_state = 2},
  [6903] = {.lex_state = 149, .external_lex_state = 2},
  [6904] = {.lex_state = 73, .external_lex_state = 2},
  [6905] = {.lex_state = 150, .external_lex_state = 2},
  [6906] = {.lex_state = 150, .external_lex_state = 2},
  [6907] = {.lex_state = 150, .external_lex_state = 2},
  [6908] = {.lex_state = 150, .external_lex_state = 2},
  [6909] = {.lex_state = 150, .external_lex_state = 2},
  [6910] = {.lex_state = 150, .external_lex_state = 2},
  [6911] = {.lex_state = 150, .external_lex_state = 2},
  [6912] = {.lex_state = 150, .external_lex_state = 2},
  [6913] = {.lex_state = 150, .external_lex_state = 2},
  [6914] = {.lex_state = 150, .external_lex_state = 2},
  [6915] = {.lex_state = 150, .external_lex_state = 2},
  [6916] = {.lex_state = 150, .external_lex_state = 2},
  [6917] = {.lex_state = 150, .external_lex_state = 2},
  [6918] = {.lex_state = 150, .external_lex_state = 2},
  [6919] = {.lex_state = 150, .external_lex_state = 2},
  [6920] = {.lex_state = 150, .external_lex_state = 2},
  [6921] = {.lex_state = 150, .external_lex_state = 2},
  [6922] = {.lex_state = 150, .external_lex_state = 2},
  [6923] = {.lex_state = 150, .external_lex_state = 2},
  [6924] = {.lex_state = 73, .external_lex_state = 2},
  [6925] = {.lex_state = 150, .external_lex_state = 2},
  [6926] = {.lex_state = 150, .external_lex_state = 2},
  [6927] = {.lex_state = 150, .external_lex_state = 2},
  [6928] = {.lex_state = 150, .external_lex_state = 2},
  [6929] = {.lex_state = 150, .external_lex_state = 2},
  [6930] = {.lex_state = 150, .external_lex_state = 2},
  [6931] = {.lex_state = 74, .external_lex_state = 2},
  [6932] = {.lex_state = 73, .external_lex_state = 2},
  [6933] = {.lex_state = 150, .external_lex_state = 2},
  [6934] = {.lex_state = 73, .external_lex_state = 2},
  [6935] = {.lex_state = 150, .external_lex_state = 2},
  [6936] = {.lex_state = 73, .external_lex_state = 2},
  [6937] = {.lex_state = 73, .external_lex_state = 2},
  [6938] = {.lex_state = 150, .external_lex_state = 2},
  [6939] = {.lex_state = 150, .external_lex_state = 2},
  [6940] = {.lex_state = 73, .external_lex_state = 2},
  [6941] = {.lex_state = 73, .external_lex_state = 2},
  [6942] = {.lex_state = 150, .external_lex_state = 2},
  [6943] = {.lex_state = 73, .external_lex_state = 2},
  [6944] = {.lex_state = 73, .external_lex_state = 2},
  [6945] = {.lex_state = 73, .external_lex_state = 2},
  [6946] = {.lex_state = 73, .external_lex_state = 2},
  [6947] = {.lex_state = 150, .external_lex_state = 2},
  [6948] = {.lex_state = 150, .external_lex_state = 2},
  [6949] = {.lex_state = 73, .external_lex_state = 2},
  [6950] = {.lex_state = 150, .external_lex_state = 2},
  [6951] = {.lex_state = 73, .external_lex_state = 2},
  [6952] = {.lex_state = 73, .external_lex_state = 2},
  [6953] = {.lex_state = 73, .external_lex_state = 2},
  [6954] = {.lex_state = 73, .external_lex_state = 2},
  [6955] = {.lex_state = 73, .external_lex_state = 2},
  [6956] = {.lex_state = 73, .external_lex_state = 2},
  [6957] = {.lex_state = 150, .external_lex_state = 2},
  [6958] = {.lex_state = 150, .external_lex_state = 2},
  [6959] = {.lex_state = 73, .external_lex_state = 2},
  [6960] = {.lex_state = 73, .external_lex_state = 2},
  [6961] = {.lex_state = 150, .external_lex_state = 2},
  [6962] = {.lex_state = 73, .external_lex_state = 2},
  [6963] = {.lex_state = 150, .external_lex_state = 2},
  [6964] = {.lex_state = 150, .external_lex_state = 2},
  [6965] = {.lex_state = 150, .external_lex_state = 2},
  [6966] = {.lex_state = 150, .external_lex_state = 2},
  [6967] = {.lex_state = 150, .external_lex_state = 2},
  [6968] = {.lex_state = 150, .external_lex_state = 2},
  [6969] = {.lex_state = 150, .external_lex_state = 2},
  [6970] = {.lex_state = 73, .external_lex_state = 2},
  [6971] = {.lex_state = 150, .external_lex_state = 2},
  [6972] = {.lex_state = 73, .external_lex_state = 2},
  [6973] = {.lex_state = 74, .external_lex_state = 2},
  [6974] = {.lex_state = 150, .external_lex_state = 2},
  [6975] = {.lex_state = 74, .external_lex_state = 2},
  [6976] = {.lex_state = 74, .external_lex_state = 2},
  [6977] = {.lex_state = 74, .external_lex_state = 2},
  [6978] = {.lex_state = 150, .external_lex_state = 2},
  [6979] = {.lex_state = 73, .external_lex_state = 2},
  [6980] = {.lex_state = 74, .external_lex_state = 2},
  [6981] = {.lex_state = 74, .external_lex_state = 2},
  [6982] = {.lex_state = 74, .external_lex_state = 2},
  [6983] = {.lex_state = 150, .external_lex_state = 2},
  [6984] = {.lex_state = 150, .external_lex_state = 2},
  [6985] = {.lex_state = 73, .external_lex_state = 2},
  [6986] = {.lex_state = 150, .external_lex_state = 2},
  [6987] = {.lex_state = 74, .external_lex_state = 2},
  [6988] = {.lex_state = 58, .external_lex_state = 2},
  [6989] = {.lex_state = 74, .external_lex_state = 2},
  [6990] = {.lex_state = 150, .external_lex_state = 2},
  [6991] = {.lex_state = 73, .external_lex_state = 2},
  [6992] = {.lex_state = 150, .external_lex_state = 2},
  [6993] = {.lex_state = 73, .external_lex_state = 2},
  [6994] = {.lex_state = 73, .external_lex_state = 2},
  [6995] = {.lex_state = 123, .external_lex_state = 2},
  [6996] = {.lex_state = 73, .external_lex_state = 2},
  [6997] = {.lex_state = 73, .external_lex_state = 2},
  [6998] = {.lex_state = 73, .external_lex_state = 2},
  [6999] = {.lex_state = 73, .external_lex_state = 2},
  [7000] = {.lex_state = 55, .external_lex_state = 2},
  [7001] = {.lex_state = 73, .external_lex_state = 2},
  [7002] = {.lex_state = 73, .external_lex_state = 2},
  [7003] = {.lex_state = 73, .external_lex_state = 2},
  [7004] = {.lex_state = 55, .external_lex_state = 2},
  [7005] = {.lex_state = 150, .external_lex_state = 2},
  [7006] = {.lex_state = 150, .external_lex_state = 2},
  [7007] = {.lex_state = 73, .external_lex_state = 2},
  [7008] = {.lex_state = 73, .external_lex_state = 2},
  [7009] = {.lex_state = 73, .external_lex_state = 2},
  [7010] = {.lex_state = 73, .external_lex_state = 2},
  [7011] = {.lex_state = 73, .external_lex_state = 2},
  [7012] = {.lex_state = 73, .external_lex_state = 2},
  [7013] = {.lex_state = 73, .external_lex_state = 2},
  [7014] = {.lex_state = 73, .external_lex_state = 2},
  [7015] = {.lex_state = 73, .external_lex_state = 2},
  [7016] = {.lex_state = 73, .external_lex_state = 2},
  [7017] = {.lex_state = 73, .external_lex_state = 2},
  [7018] = {.lex_state = 73, .external_lex_state = 2},
  [7019] = {.lex_state = 73, .external_lex_state = 2},
  [7020] = {.lex_state = 73, .external_lex_state = 2},
  [7021] = {.lex_state = 73, .external_lex_state = 2},
  [7022] = {.lex_state = 73, .external_lex_state = 2},
  [7023] = {.lex_state = 73, .external_lex_state = 2},
  [7024] = {.lex_state = 73, .external_lex_state = 2},
  [7025] = {.lex_state = 73, .external_lex_state = 2},
  [7026] = {.lex_state = 73, .external_lex_state = 2},
  [7027] = {.lex_state = 73, .external_lex_state = 2},
  [7028] = {.lex_state = 73, .external_lex_state = 2},
  [7029] = {.lex_state = 73, .external_lex_state = 2},
  [7030] = {.lex_state = 73, .external_lex_state = 2},
  [7031] = {.lex_state = 73, .external_lex_state = 2},
  [7032] = {.lex_state = 73, .external_lex_state = 2},
  [7033] = {.lex_state = 73, .external_lex_state = 2},
  [7034] = {.lex_state = 73, .external_lex_state = 2},
  [7035] = {.lex_state = 73, .external_lex_state = 2},
  [7036] = {.lex_state = 73, .external_lex_state = 2},
  [7037] = {.lex_state = 73, .external_lex_state = 2},
  [7038] = {.lex_state = 73, .external_lex_state = 2},
  [7039] = {.lex_state = 73, .external_lex_state = 2},
  [7040] = {.lex_state = 73, .external_lex_state = 2},
  [7041] = {.lex_state = 73, .external_lex_state = 2},
  [7042] = {.lex_state = 73, .external_lex_state = 2},
  [7043] = {.lex_state = 73, .external_lex_state = 2},
  [7044] = {.lex_state = 73, .external_lex_state = 2},
  [7045] = {.lex_state = 73, .external_lex_state = 2},
  [7046] = {.lex_state = 73, .external_lex_state = 2},
  [7047] = {.lex_state = 58, .external_lex_state = 2},
  [7048] = {.lex_state = 73, .external_lex_state = 2},
  [7049] = {.lex_state = 150, .external_lex_state = 2},
  [7050] = {.lex_state = 73, .external_lex_state = 2},
  [7051] = {.lex_state = 74, .external_lex_state = 2},
  [7052] = {.lex_state = 150, .external_lex_state = 2},
  [7053] = {.lex_state = 73, .external_lex_state = 2},
  [7054] = {.lex_state = 150, .external_lex_state = 2},
  [7055] = {.lex_state = 150, .external_lex_state = 2},
  [7056] = {.lex_state = 150, .external_lex_state = 2},
  [7057] = {.lex_state = 15, .external_lex_state = 2},
  [7058] = {.lex_state = 63, .external_lex_state = 2},
  [7059] = {.lex_state = 74, .external_lex_state = 2},
  [7060] = {.lex_state = 74, .external_lex_state = 2},
  [7061] = {.lex_state = 74, .external_lex_state = 2},
  [7062] = {.lex_state = 15, .external_lex_state = 2},
  [7063] = {.lex_state = 74, .external_lex_state = 2},
  [7064] = {.lex_state = 74, .external_lex_state = 2},
  [7065] = {.lex_state = 15, .external_lex_state = 2},
  [7066] = {.lex_state = 74, .external_lex_state = 2},
  [7067] = {.lex_state = 74, .external_lex_state = 2},
  [7068] = {.lex_state = 74, .external_lex_state = 2},
  [7069] = {.lex_state = 74, .external_lex_state = 2},
  [7070] = {.lex_state = 74, .external_lex_state = 2},
  [7071] = {.lex_state = 74, .external_lex_state = 2},
  [7072] = {.lex_state = 15, .external_lex_state = 2},
  [7073] = {.lex_state = 74, .external_lex_state = 2},
  [7074] = {.lex_state = 15, .external_lex_state = 2},
  [7075] = {.lex_state = 74, .external_lex_state = 2},
  [7076] = {.lex_state = 74, .external_lex_state = 2},
  [7077] = {.lex_state = 15, .external_lex_state = 2},
  [7078] = {.lex_state = 15, .external_lex_state = 2},
  [7079] = {.lex_state = 15, .external_lex_state = 2},
  [7080] = {.lex_state = 74, .external_lex_state = 2},
  [7081] = {.lex_state = 74, .external_lex_state = 2},
  [7082] = {.lex_state = 74, .external_lex_state = 2},
  [7083] = {.lex_state = 15, .external_lex_state = 2},
  [7084] = {.lex_state = 15, .external_lex_state = 2},
  [7085] = {.lex_state = 74, .external_lex_state = 2},
  [7086] = {.lex_state = 15, .external_lex_state = 2},
  [7087] = {.lex_state = 74, .external_lex_state = 2},
  [7088] = {.lex_state = 15, .external_lex_state = 2},
  [7089] = {.lex_state = 57, .external_lex_state = 2},
  [7090] = {.lex_state = 74, .external_lex_state = 2},
  [7091] = {.lex_state = 63, .external_lex_state = 2},
  [7092] = {.lex_state = 15, .external_lex_state = 2},
  [7093] = {.lex_state = 63, .external_lex_state = 2},
  [7094] = {.lex_state = 63, .external_lex_state = 2},
  [7095] = {.lex_state = 63, .external_lex_state = 2},
  [7096] = {.lex_state = 57, .external_lex_state = 2},
  [7097] = {.lex_state = 63, .external_lex_state = 2},
  [7098] = {.lex_state = 63, .external_lex_state = 2},
  [7099] = {.lex_state = 63, .external_lex_state = 2},
  [7100] = {.lex_state = 74, .external_lex_state = 2},
  [7101] = {.lex_state = 15, .external_lex_state = 2},
  [7102] = {.lex_state = 15, .external_lex_state = 2},
  [7103] = {.lex_state = 74, .external_lex_state = 2},
  [7104] = {.lex_state = 15, .external_lex_state = 2},
  [7105] = {.lex_state = 74, .external_lex_state = 2},
  [7106] = {.lex_state = 74, .external_lex_state = 2},
  [7107] = {.lex_state = 74, .external_lex_state = 2},
  [7108] = {.lex_state = 74, .external_lex_state = 2},
  [7109] = {.lex_state = 74, .external_lex_state = 2},
  [7110] = {.lex_state = 74, .external_lex_state = 2},
  [7111] = {.lex_state = 74, .external_lex_state = 2},
  [7112] = {.lex_state = 74, .external_lex_state = 2},
  [7113] = {.lex_state = 74, .external_lex_state = 2},
  [7114] = {.lex_state = 74, .external_lex_state = 2},
  [7115] = {.lex_state = 74, .external_lex_state = 2},
  [7116] = {.lex_state = 74, .external_lex_state = 2},
  [7117] = {.lex_state = 63, .external_lex_state = 2},
  [7118] = {.lex_state = 74, .external_lex_state = 2},
  [7119] = {.lex_state = 74, .external_lex_state = 2},
  [7120] = {.lex_state = 74, .external_lex_state = 2},
  [7121] = {.lex_state = 74, .external_lex_state = 2},
  [7122] = {.lex_state = 74, .external_lex_state = 2},
  [7123] = {.lex_state = 63, .external_lex_state = 2},
  [7124] = {.lex_state = 74, .external_lex_state = 2},
  [7125] = {.lex_state = 74, .external_lex_state = 2},
  [7126] = {.lex_state = 74, .external_lex_state = 2},
  [7127] = {.lex_state = 74, .external_lex_state = 2},
  [7128] = {.lex_state = 74, .external_lex_state = 2},
  [7129] = {.lex_state = 15, .external_lex_state = 2},
  [7130] = {.lex_state = 74, .external_lex_state = 2},
  [7131] = {.lex_state = 15, .external_lex_state = 2},
  [7132] = {.lex_state = 15, .external_lex_state = 2},
  [7133] = {.lex_state = 74, .external_lex_state = 2},
  [7134] = {.lex_state = 74, .external_lex_state = 2},
  [7135] = {.lex_state = 15, .external_lex_state = 2},
  [7136] = {.lex_state = 74, .external_lex_state = 2},
  [7137] = {.lex_state = 74, .external_lex_state = 2},
  [7138] = {.lex_state = 74, .external_lex_state = 2},
  [7139] = {.lex_state = 74, .external_lex_state = 2},
  [7140] = {.lex_state = 74, .external_lex_state = 2},
  [7141] = {.lex_state = 74, .external_lex_state = 2},
  [7142] = {.lex_state = 74, .external_lex_state = 2},
  [7143] = {.lex_state = 74, .external_lex_state = 2},
  [7144] = {.lex_state = 63, .external_lex_state = 2},
  [7145] = {.lex_state = 74, .external_lex_state = 2},
  [7146] = {.lex_state = 15, .external_lex_state = 2},
  [7147] = {.lex_state = 74, .external_lex_state = 2},
  [7148] = {.lex_state = 74, .external_lex_state = 2},
  [7149] = {.lex_state = 74, .external_lex_state = 2},
  [7150] = {.lex_state = 74, .external_lex_state = 2},
  [7151] = {.lex_state = 74, .external_lex_state = 2},
  [7152] = {.lex_state = 74, .external_lex_state = 2},
  [7153] = {.lex_state = 74, .external_lex_state = 2},
  [7154] = {.lex_state = 15, .external_lex_state = 2},
  [7155] = {.lex_state = 74, .external_lex_state = 2},
  [7156] = {.lex_state = 74, .external_lex_state = 2},
  [7157] = {.lex_state = 74, .external_lex_state = 2},
  [7158] = {.lex_state = 74, .external_lex_state = 2},
  [7159] = {.lex_state = 74, .external_lex_state = 2},
  [7160] = {.lex_state = 74, .external_lex_state = 2},
  [7161] = {.lex_state = 74, .external_lex_state = 2},
  [7162] = {.lex_state = 74, .external_lex_state = 2},
  [7163] = {.lex_state = 74, .external_lex_state = 2},
  [7164] = {.lex_state = 74, .external_lex_state = 2},
  [7165] = {.lex_state = 74, .external_lex_state = 2},
  [7166] = {.lex_state = 74, .external_lex_state = 2},
  [7167] = {.lex_state = 74, .external_lex_state = 2},
  [7168] = {.lex_state = 74, .external_lex_state = 2},
  [7169] = {.lex_state = 74, .external_lex_state = 2},
  [7170] = {.lex_state = 74, .external_lex_state = 2},
  [7171] = {.lex_state = 23, .external_lex_state = 2},
  [7172] = {.lex_state = 64, .external_lex_state = 2},
  [7173] = {.lex_state = 64, .external_lex_state = 2},
  [7174] = {.lex_state = 64, .external_lex_state = 2},
  [7175] = {.lex_state = 63, .external_lex_state = 2},
  [7176] = {.lex_state = 63, .external_lex_state = 2},
  [7177] = {.lex_state = 63, .external_lex_state = 2},
  [7178] = {.lex_state = 67, .external_lex_state = 2},
  [7179] = {.lex_state = 61, .external_lex_state = 2},
  [7180] = {.lex_state = 67, .external_lex_state = 2},
  [7181] = {.lex_state = 61, .external_lex_state = 2},
  [7182] = {.lex_state = 67, .external_lex_state = 2},
  [7183] = {.lex_state = 63, .external_lex_state = 2},
  [7184] = {.lex_state = 399, .external_lex_state = 2},
  [7185] = {.lex_state = 399, .external_lex_state = 2},
  [7186] = {.lex_state = 399, .external_lex_state = 2},
  [7187] = {.lex_state = 67, .external_lex_state = 2},
  [7188] = {.lex_state = 67, .external_lex_state = 2},
  [7189] = {.lex_state = 67, .external_lex_state = 2},
  [7190] = {.lex_state = 68, .external_lex_state = 2},
  [7191] = {.lex_state = 61, .external_lex_state = 2},
  [7192] = {.lex_state = 63, .external_lex_state = 2},
  [7193] = {.lex_state = 69, .external_lex_state = 2},
  [7194] = {.lex_state = 67, .external_lex_state = 2},
  [7195] = {.lex_state = 23, .external_lex_state = 2},
  [7196] = {.lex_state = 399, .external_lex_state = 2},
  [7197] = {.lex_state = 7, .external_lex_state = 3},
  [7198] = {.lex_state = 399, .external_lex_state = 2},
  [7199] = {.lex_state = 61, .external_lex_state = 2},
  [7200] = {.lex_state = 61, .external_lex_state = 2},
  [7201] = {.lex_state = 23, .external_lex_state = 2},
  [7202] = {.lex_state = 61, .external_lex_state = 2},
  [7203] = {.lex_state = 399, .external_lex_state = 2},
  [7204] = {.lex_state = 23, .external_lex_state = 2},
  [7205] = {.lex_state = 23, .external_lex_state = 2},
  [7206] = {.lex_state = 68, .external_lex_state = 2},
  [7207] = {.lex_state = 68, .external_lex_state = 2},
  [7208] = {.lex_state = 7, .external_lex_state = 3},
  [7209] = {.lex_state = 23, .external_lex_state = 2},
  [7210] = {.lex_state = 63, .external_lex_state = 2},
  [7211] = {.lex_state = 399, .external_lex_state = 2},
  [7212] = {.lex_state = 399, .external_lex_state = 2},
  [7213] = {.lex_state = 68, .external_lex_state = 2},
  [7214] = {.lex_state = 399, .external_lex_state = 2},
  [7215] = {.lex_state = 399, .external_lex_state = 2},
  [7216] = {.lex_state = 23, .external_lex_state = 2},
  [7217] = {.lex_state = 399, .external_lex_state = 2},
  [7218] = {.lex_state = 69, .external_lex_state = 2},
  [7219] = {.lex_state = 399, .external_lex_state = 2},
  [7220] = {.lex_state = 399, .external_lex_state = 2},
  [7221] = {.lex_state = 399, .external_lex_state = 2},
  [7222] = {.lex_state = 23, .external_lex_state = 2},
  [7223] = {.lex_state = 399, .external_lex_state = 2},
  [7224] = {.lex_state = 65, .external_lex_state = 2},
  [7225] = {.lex_state = 399, .external_lex_state = 2},
  [7226] = {.lex_state = 399, .external_lex_state = 2},
  [7227] = {.lex_state = 23, .external_lex_state = 2},
  [7228] = {.lex_state = 23, .external_lex_state = 2},
  [7229] = {.lex_state = 399, .external_lex_state = 2},
  [7230] = {.lex_state = 23, .external_lex_state = 2},
  [7231] = {.lex_state = 399, .external_lex_state = 2},
  [7232] = {.lex_state = 23, .external_lex_state = 2},
  [7233] = {.lex_state = 23, .external_lex_state = 2},
  [7234] = {.lex_state = 23, .external_lex_state = 2},
  [7235] = {.lex_state = 65, .external_lex_state = 2},
  [7236] = {.lex_state = 399, .external_lex_state = 2},
  [7237] = {.lex_state = 399, .external_lex_state = 2},
  [7238] = {.lex_state = 23, .external_lex_state = 2},
  [7239] = {.lex_state = 23, .external_lex_state = 2},
  [7240] = {.lex_state = 23, .external_lex_state = 2},
  [7241] = {.lex_state = 399, .external_lex_state = 2},
  [7242] = {.lex_state = 399, .external_lex_state = 2},
  [7243] = {.lex_state = 399, .external_lex_state = 2},
  [7244] = {.lex_state = 23, .external_lex_state = 2},
  [7245] = {.lex_state = 23, .external_lex_state = 2},
  [7246] = {.lex_state = 23, .external_lex_state = 2},
  [7247] = {.lex_state = 23, .external_lex_state = 2},
  [7248] = {.lex_state = 23, .external_lex_state = 2},
  [7249] = {.lex_state = 7, .external_lex_state = 3},
  [7250] = {.lex_state = 23, .external_lex_state = 2},
  [7251] = {.lex_state = 23, .external_lex_state = 2},
  [7252] = {.lex_state = 23, .external_lex_state = 2},
  [7253] = {.lex_state = 23, .external_lex_state = 2},
  [7254] = {.lex_state = 23, .external_lex_state = 2},
  [7255] = {.lex_state = 23, .external_lex_state = 2},
  [7256] = {.lex_state = 399, .external_lex_state = 2},
  [7257] = {.lex_state = 23, .external_lex_state = 2},
  [7258] = {.lex_state = 399, .external_lex_state = 2},
  [7259] = {.lex_state = 23, .external_lex_state = 2},
  [7260] = {.lex_state = 23, .external_lex_state = 2},
  [7261] = {.lex_state = 23, .external_lex_state = 2},
  [7262] = {.lex_state = 68, .external_lex_state = 2},
  [7263] = {.lex_state = 23, .external_lex_state = 2},
  [7264] = {.lex_state = 23, .external_lex_state = 2},
  [7265] = {.lex_state = 23, .external_lex_state = 2},
  [7266] = {.lex_state = 64, .external_lex_state = 2},
  [7267] = {.lex_state = 23, .external_lex_state = 2},
  [7268] = {.lex_state = 23, .external_lex_state = 2},
  [7269] = {.lex_state = 23, .external_lex_state = 2},
  [7270] = {.lex_state = 399, .external_lex_state = 2},
  [7271] = {.lex_state = 23, .external_lex_state = 2},
  [7272] = {.lex_state = 23, .external_lex_state = 2},
  [7273] = {.lex_state = 23, .external_lex_state = 2},
  [7274] = {.lex_state = 23, .external_lex_state = 2},
  [7275] = {.lex_state = 23, .external_lex_state = 2},
  [7276] = {.lex_state = 23, .external_lex_state = 2},
  [7277] = {.lex_state = 399, .external_lex_state = 2},
  [7278] = {.lex_state = 23, .external_lex_state = 2},
  [7279] = {.lex_state = 399, .external_lex_state = 2},
  [7280] = {.lex_state = 23, .external_lex_state = 2},
  [7281] = {.lex_state = 23, .external_lex_state = 2},
  [7282] = {.lex_state = 23, .external_lex_state = 2},
  [7283] = {.lex_state = 399, .external_lex_state = 2},
  [7284] = {.lex_state = 399, .external_lex_state = 2},
  [7285] = {.lex_state = 399, .external_lex_state = 2},
  [7286] = {.lex_state = 399, .external_lex_state = 2},
  [7287] = {.lex_state = 23, .external_lex_state = 2},
  [7288] = {.lex_state = 399, .external_lex_state = 2},
  [7289] = {.lex_state = 399, .external_lex_state = 2},
  [7290] = {.lex_state = 23, .external_lex_state = 2},
  [7291] = {.lex_state = 399, .external_lex_state = 2},
  [7292] = {.lex_state = 69, .external_lex_state = 2},
  [7293] = {.lex_state = 23, .external_lex_state = 2},
  [7294] = {.lex_state = 399, .external_lex_state = 2},
  [7295] = {.lex_state = 399, .external_lex_state = 2},
  [7296] = {.lex_state = 399, .external_lex_state = 2},
  [7297] = {.lex_state = 399, .external_lex_state = 2},
  [7298] = {.lex_state = 399, .external_lex_state = 2},
  [7299] = {.lex_state = 64, .external_lex_state = 2},
  [7300] = {.lex_state = 23, .external_lex_state = 2},
  [7301] = {.lex_state = 399, .external_lex_state = 2},
  [7302] = {.lex_state = 399, .external_lex_state = 2},
  [7303] = {.lex_state = 399, .external_lex_state = 2},
  [7304] = {.lex_state = 399, .external_lex_state = 2},
  [7305] = {.lex_state = 23, .external_lex_state = 2},
  [7306] = {.lex_state = 399, .external_lex_state = 2},
  [7307] = {.lex_state = 399, .external_lex_state = 2},
  [7308] = {.lex_state = 63, .external_lex_state = 2},
  [7309] = {.lex_state = 399, .external_lex_state = 2},
  [7310] = {.lex_state = 23, .external_lex_state = 2},
  [7311] = {.lex_state = 23, .external_lex_state = 2},
  [7312] = {.lex_state = 399, .external_lex_state = 2},
  [7313] = {.lex_state = 68, .external_lex_state = 2},
  [7314] = {.lex_state = 68, .external_lex_state = 2},
  [7315] = {.lex_state = 399, .external_lex_state = 2},
  [7316] = {.lex_state = 68, .external_lex_state = 2},
  [7317] = {.lex_state = 399, .external_lex_state = 2},
  [7318] = {.lex_state = 399, .external_lex_state = 2},
  [7319] = {.lex_state = 399, .external_lex_state = 2},
  [7320] = {.lex_state = 63, .external_lex_state = 2},
  [7321] = {.lex_state = 399, .external_lex_state = 2},
  [7322] = {.lex_state = 399, .external_lex_state = 2},
  [7323] = {.lex_state = 399, .external_lex_state = 2},
  [7324] = {.lex_state = 63, .external_lex_state = 2},
  [7325] = {.lex_state = 399, .external_lex_state = 2},
  [7326] = {.lex_state = 69, .external_lex_state = 2},
  [7327] = {.lex_state = 23, .external_lex_state = 2},
  [7328] = {.lex_state = 399, .external_lex_state = 2},
  [7329] = {.lex_state = 23, .external_lex_state = 2},
  [7330] = {.lex_state = 69, .external_lex_state = 2},
  [7331] = {.lex_state = 69, .external_lex_state = 2},
  [7332] = {.lex_state = 63, .external_lex_state = 2},
  [7333] = {.lex_state = 399, .external_lex_state = 2},
  [7334] = {.lex_state = 399, .external_lex_state = 2},
  [7335] = {.lex_state = 23, .external_lex_state = 2},
  [7336] = {.lex_state = 399, .external_lex_state = 2},
  [7337] = {.lex_state = 399, .external_lex_state = 2},
  [7338] = {.lex_state = 399, .external_lex_state = 2},
  [7339] = {.lex_state = 69, .external_lex_state = 2},
  [7340] = {.lex_state = 69, .external_lex_state = 2},
  [7341] = {.lex_state = 399, .external_lex_state = 2},
  [7342] = {.lex_state = 69, .external_lex_state = 2},
  [7343] = {.lex_state = 23, .external_lex_state = 2},
  [7344] = {.lex_state = 399, .external_lex_state = 2},
  [7345] = {.lex_state = 399, .external_lex_state = 2},
  [7346] = {.lex_state = 69, .external_lex_state = 2},
  [7347] = {.lex_state = 399, .external_lex_state = 2},
  [7348] = {.lex_state = 68, .external_lex_state = 2},
  [7349] = {.lex_state = 399, .external_lex_state = 2},
  [7350] = {.lex_state = 69, .external_lex_state = 2},
  [7351] = {.lex_state = 399, .external_lex_state = 2},
  [7352] = {.lex_state = 63, .external_lex_state = 2},
  [7353] = {.lex_state = 399, .external_lex_state = 2},
  [7354] = {.lex_state = 399, .external_lex_state = 2},
  [7355] = {.lex_state = 399, .external_lex_state = 2},
  [7356] = {.lex_state = 399, .external_lex_state = 2},
  [7357] = {.lex_state = 7, .external_lex_state = 3},
  [7358] = {.lex_state = 399, .external_lex_state = 2},
  [7359] = {.lex_state = 399, .external_lex_state = 2},
  [7360] = {.lex_state = 399, .external_lex_state = 2},
  [7361] = {.lex_state = 399, .external_lex_state = 2},
  [7362] = {.lex_state = 64, .external_lex_state = 2},
  [7363] = {.lex_state = 63, .external_lex_state = 2},
  [7364] = {.lex_state = 399, .external_lex_state = 2},
  [7365] = {.lex_state = 63, .external_lex_state = 2},
  [7366] = {.lex_state = 399, .external_lex_state = 2},
  [7367] = {.lex_state = 23, .external_lex_state = 2},
  [7368] = {.lex_state = 63, .external_lex_state = 2},
  [7369] = {.lex_state = 63, .external_lex_state = 2},
  [7370] = {.lex_state = 63, .external_lex_state = 2},
  [7371] = {.lex_state = 399, .external_lex_state = 2},
  [7372] = {.lex_state = 56, .external_lex_state = 2},
  [7373] = {.lex_state = 399, .external_lex_state = 2},
  [7374] = {.lex_state = 399, .external_lex_state = 2},
  [7375] = {.lex_state = 7, .external_lex_state = 3},
  [7376] = {.lex_state = 399, .external_lex_state = 2},
  [7377] = {.lex_state = 23, .external_lex_state = 2},
  [7378] = {.lex_state = 63, .external_lex_state = 2},
  [7379] = {.lex_state = 399, .external_lex_state = 2},
  [7380] = {.lex_state = 399, .external_lex_state = 2},
  [7381] = {.lex_state = 65, .external_lex_state = 2},
  [7382] = {.lex_state = 23, .external_lex_state = 2},
  [7383] = {.lex_state = 7, .external_lex_state = 3},
  [7384] = {.lex_state = 399, .external_lex_state = 2},
  [7385] = {.lex_state = 399, .external_lex_state = 2},
  [7386] = {.lex_state = 399, .external_lex_state = 2},
  [7387] = {.lex_state = 399, .external_lex_state = 2},
  [7388] = {.lex_state = 399, .external_lex_state = 2},
  [7389] = {.lex_state = 23, .external_lex_state = 2},
  [7390] = {.lex_state = 399, .external_lex_state = 2},
  [7391] = {.lex_state = 65, .external_lex_state = 2},
  [7392] = {.lex_state = 65, .external_lex_state = 2},
  [7393] = {.lex_state = 65, .external_lex_state = 2},
  [7394] = {.lex_state = 65, .external_lex_state = 2},
  [7395] = {.lex_state = 65, .external_lex_state = 2},
  [7396] = {.lex_state = 65, .external_lex_state = 2},
  [7397] = {.lex_state = 63, .external_lex_state = 2},
  [7398] = {.lex_state = 64, .external_lex_state = 2},
  [7399] = {.lex_state = 399, .external_lex_state = 2},
  [7400] = {.lex_state = 23, .external_lex_state = 2},
  [7401] = {.lex_state = 63, .external_lex_state = 2},
  [7402] = {.lex_state = 63, .external_lex_state = 2},
  [7403] = {.lex_state = 63, .external_lex_state = 2},
  [7404] = {.lex_state = 399, .external_lex_state = 2},
  [7405] = {.lex_state = 63, .external_lex_state = 2},
  [7406] = {.lex_state = 399, .external_lex_state = 2},
  [7407] = {.lex_state = 63, .external_lex_state = 2},
  [7408] = {.lex_state = 399, .external_lex_state = 2},
  [7409] = {.lex_state = 7, .external_lex_state = 3},
  [7410] = {.lex_state = 63, .external_lex_state = 2},
  [7411] = {.lex_state = 63, .external_lex_state = 2},
  [7412] = {.lex_state = 63, .external_lex_state = 2},
  [7413] = {.lex_state = 63, .external_lex_state = 2},
  [7414] = {.lex_state = 23, .external_lex_state = 2},
  [7415] = {.lex_state = 63, .external_lex_state = 2},
  [7416] = {.lex_state = 63, .external_lex_state = 2},
  [7417] = {.lex_state = 63, .external_lex_state = 2},
  [7418] = {.lex_state = 399, .external_lex_state = 2},
  [7419] = {.lex_state = 399, .external_lex_state = 2},
  [7420] = {.lex_state = 63, .external_lex_state = 2},
  [7421] = {.lex_state = 63, .external_lex_state = 2},
  [7422] = {.lex_state = 63, .external_lex_state = 2},
  [7423] = {.lex_state = 63, .external_lex_state = 2},
  [7424] = {.lex_state = 63, .external_lex_state = 2},
  [7425] = {.lex_state = 63, .external_lex_state = 2},
  [7426] = {.lex_state = 63, .external_lex_state = 2},
  [7427] = {.lex_state = 63, .external_lex_state = 2},
  [7428] = {.lex_state = 63, .external_lex_state = 2},
  [7429] = {.lex_state = 23, .external_lex_state = 2},
  [7430] = {.lex_state = 63, .external_lex_state = 2},
  [7431] = {.lex_state = 63, .external_lex_state = 2},
  [7432] = {.lex_state = 63, .external_lex_state = 2},
  [7433] = {.lex_state = 63, .external_lex_state = 2},
  [7434] = {.lex_state = 399, .external_lex_state = 2},
  [7435] = {.lex_state = 63, .external_lex_state = 2},
  [7436] = {.lex_state = 63, .external_lex_state = 2},
  [7437] = {.lex_state = 63, .external_lex_state = 2},
  [7438] = {.lex_state = 63, .external_lex_state = 2},
  [7439] = {.lex_state = 63, .external_lex_state = 2},
  [7440] = {.lex_state = 63, .external_lex_state = 2},
  [7441] = {.lex_state = 23, .external_lex_state = 2},
  [7442] = {.lex_state = 63, .external_lex_state = 2},
  [7443] = {.lex_state = 63, .external_lex_state = 2},
  [7444] = {.lex_state = 63, .external_lex_state = 2},
  [7445] = {.lex_state = 399, .external_lex_state = 2},
  [7446] = {.lex_state = 399, .external_lex_state = 2},
  [7447] = {.lex_state = 399, .external_lex_state = 2},
  [7448] = {.lex_state = 63, .external_lex_state = 2},
  [7449] = {.lex_state = 63, .external_lex_state = 2},
  [7450] = {.lex_state = 63, .external_lex_state = 2},
  [7451] = {.lex_state = 63, .external_lex_state = 2},
  [7452] = {.lex_state = 23, .external_lex_state = 2},
  [7453] = {.lex_state = 23, .external_lex_state = 2},
  [7454] = {.lex_state = 23, .external_lex_state = 2},
  [7455] = {.lex_state = 399, .external_lex_state = 2},
  [7456] = {.lex_state = 399, .external_lex_state = 2},
  [7457] = {.lex_state = 399, .external_lex_state = 2},
  [7458] = {.lex_state = 399, .external_lex_state = 2},
  [7459] = {.lex_state = 63, .external_lex_state = 2},
  [7460] = {.lex_state = 23, .external_lex_state = 2},
  [7461] = {.lex_state = 23, .external_lex_state = 2},
  [7462] = {.lex_state = 23, .external_lex_state = 2},
  [7463] = {.lex_state = 63, .external_lex_state = 2},
  [7464] = {.lex_state = 23, .external_lex_state = 2},
  [7465] = {.lex_state = 399, .external_lex_state = 2},
  [7466] = {.lex_state = 399, .external_lex_state = 2},
  [7467] = {.lex_state = 399, .external_lex_state = 2},
  [7468] = {.lex_state = 399, .external_lex_state = 2},
  [7469] = {.lex_state = 63, .external_lex_state = 2},
  [7470] = {.lex_state = 23, .external_lex_state = 2},
  [7471] = {.lex_state = 399, .external_lex_state = 2},
  [7472] = {.lex_state = 399, .external_lex_state = 2},
  [7473] = {.lex_state = 23, .external_lex_state = 2},
  [7474] = {.lex_state = 23, .external_lex_state = 2},
  [7475] = {.lex_state = 399, .external_lex_state = 2},
  [7476] = {.lex_state = 399, .external_lex_state = 2},
  [7477] = {.lex_state = 65, .external_lex_state = 2},
  [7478] = {.lex_state = 23, .external_lex_state = 2},
  [7479] = {.lex_state = 23, .external_lex_state = 2},
  [7480] = {.lex_state = 23, .external_lex_state = 2},
  [7481] = {.lex_state = 63, .external_lex_state = 2},
  [7482] = {.lex_state = 63, .external_lex_state = 2},
  [7483] = {.lex_state = 399, .external_lex_state = 2},
  [7484] = {.lex_state = 399, .external_lex_state = 2},
  [7485] = {.lex_state = 23, .external_lex_state = 2},
  [7486] = {.lex_state = 65, .external_lex_state = 2},
  [7487] = {.lex_state = 399, .external_lex_state = 2},
  [7488] = {.lex_state = 399, .external_lex_state = 2},
  [7489] = {.lex_state = 399, .external_lex_state = 2},
  [7490] = {.lex_state = 399, .external_lex_state = 2},
  [7491] = {.lex_state = 67, .external_lex_state = 2},
  [7492] = {.lex_state = 399, .external_lex_state = 2},
  [7493] = {.lex_state = 399, .external_lex_state = 2},
  [7494] = {.lex_state = 67, .external_lex_state = 2},
  [7495] = {.lex_state = 399, .external_lex_state = 2},
  [7496] = {.lex_state = 63, .external_lex_state = 2},
  [7497] = {.lex_state = 399, .external_lex_state = 2},
  [7498] = {.lex_state = 399, .external_lex_state = 2},
  [7499] = {.lex_state = 63, .external_lex_state = 2},
  [7500] = {.lex_state = 399, .external_lex_state = 2},
  [7501] = {.lex_state = 399, .external_lex_state = 2},
  [7502] = {.lex_state = 399, .external_lex_state = 2},
  [7503] = {.lex_state = 399, .external_lex_state = 2},
  [7504] = {.lex_state = 63, .external_lex_state = 2},
  [7505] = {.lex_state = 399, .external_lex_state = 2},
  [7506] = {.lex_state = 399, .external_lex_state = 2},
  [7507] = {.lex_state = 399, .external_lex_state = 2},
  [7508] = {.lex_state = 399, .external_lex_state = 2},
  [7509] = {.lex_state = 399, .external_lex_state = 2},
  [7510] = {.lex_state = 63, .external_lex_state = 2},
  [7511] = {.lex_state = 399, .external_lex_state = 2},
  [7512] = {.lex_state = 399, .external_lex_state = 2},
  [7513] = {.lex_state = 399, .external_lex_state = 2},
  [7514] = {.lex_state = 399, .external_lex_state = 2},
  [7515] = {.lex_state = 399, .external_lex_state = 2},
  [7516] = {.lex_state = 63, .external_lex_state = 2},
  [7517] = {.lex_state = 399, .external_lex_state = 2},
  [7518] = {.lex_state = 399, .external_lex_state = 2},
  [7519] = {.lex_state = 399, .external_lex_state = 2},
  [7520] = {.lex_state = 399, .external_lex_state = 2},
  [7521] = {.lex_state = 63, .external_lex_state = 2},
  [7522] = {.lex_state = 399, .external_lex_state = 2},
  [7523] = {.lex_state = 399, .external_lex_state = 2},
  [7524] = {.lex_state = 399, .external_lex_state = 2},
  [7525] = {.lex_state = 399, .external_lex_state = 2},
  [7526] = {.lex_state = 399, .external_lex_state = 2},
  [7527] = {.lex_state = 399, .external_lex_state = 2},
  [7528] = {.lex_state = 399, .external_lex_state = 2},
  [7529] = {.lex_state = 63, .external_lex_state = 2},
  [7530] = {.lex_state = 61, .external_lex_state = 2},
  [7531] = {.lex_state = 63, .external_lex_state = 2},
  [7532] = {.lex_state = 399, .external_lex_state = 2},
  [7533] = {.lex_state = 67, .external_lex_state = 2},
  [7534] = {.lex_state = 23, .external_lex_state = 2},
  [7535] = {.lex_state = 64, .external_lex_state = 2},
  [7536] = {.lex_state = 63, .external_lex_state = 2},
  [7537] = {.lex_state = 73, .external_lex_state = 2},
  [7538] = {.lex_state = 68, .external_lex_state = 2},
  [7539] = {.lex_state = 61, .external_lex_state = 2},
  [7540] = {.lex_state = 399, .external_lex_state = 2},
  [7541] = {.lex_state = 399, .external_lex_state = 2},
  [7542] = {.lex_state = 399, .external_lex_state = 2},
  [7543] = {.lex_state = 399, .external_lex_state = 2},
  [7544] = {.lex_state = 23, .external_lex_state = 2},
  [7545] = {.lex_state = 23, .external_lex_state = 2},
  [7546] = {.lex_state = 67, .external_lex_state = 2},
  [7547] = {.lex_state = 23, .external_lex_state = 2},
  [7548] = {.lex_state = 399, .external_lex_state = 2},
  [7549] = {.lex_state = 23, .external_lex_state = 2},
  [7550] = {.lex_state = 63, .external_lex_state = 2},
  [7551] = {.lex_state = 63, .external_lex_state = 2},
  [7552] = {.lex_state = 399, .external_lex_state = 2},
  [7553] = {.lex_state = 63, .external_lex_state = 2},
  [7554] = {.lex_state = 399, .external_lex_state = 2},
  [7555] = {.lex_state = 399, .external_lex_state = 2},
  [7556] = {.lex_state = 399, .external_lex_state = 2},
  [7557] = {.lex_state = 399, .external_lex_state = 2},
  [7558] = {.lex_state = 399, .external_lex_state = 2},
  [7559] = {.lex_state = 61, .external_lex_state = 2},
  [7560] = {.lex_state = 7, .external_lex_state = 3},
  [7561] = {.lex_state = 399, .external_lex_state = 2},
  [7562] = {.lex_state = 23, .external_lex_state = 2},
  [7563] = {.lex_state = 61, .external_lex_state = 2},
  [7564] = {.lex_state = 399, .external_lex_state = 2},
  [7565] = {.lex_state = 63, .external_lex_state = 2},
  [7566] = {.lex_state = 399, .external_lex_state = 2},
  [7567] = {.lex_state = 63, .external_lex_state = 2},
  [7568] = {.lex_state = 399, .external_lex_state = 2},
  [7569] = {.lex_state = 399, .external_lex_state = 2},
  [7570] = {.lex_state = 64, .external_lex_state = 2},
  [7571] = {.lex_state = 68, .external_lex_state = 2},
  [7572] = {.lex_state = 64, .external_lex_state = 2},
  [7573] = {.lex_state = 64, .external_lex_state = 2},
  [7574] = {.lex_state = 399, .external_lex_state = 2},
  [7575] = {.lex_state = 399, .external_lex_state = 2},
  [7576] = {.lex_state = 399, .external_lex_state = 2},
  [7577] = {.lex_state = 399, .external_lex_state = 2},
  [7578] = {.lex_state = 63, .external_lex_state = 2},
  [7579] = {.lex_state = 61, .external_lex_state = 2},
  [7580] = {.lex_state = 63, .external_lex_state = 2},
  [7581] = {.lex_state = 399, .external_lex_state = 2},
  [7582] = {.lex_state = 399, .external_lex_state = 2},
  [7583] = {.lex_state = 399, .external_lex_state = 2},
  [7584] = {.lex_state = 399, .external_lex_state = 2},
  [7585] = {.lex_state = 63, .external_lex_state = 2},
  [7586] = {.lex_state = 65, .external_lex_state = 2},
  [7587] = {.lex_state = 70, .external_lex_state = 2},
  [7588] = {.lex_state = 64, .external_lex_state = 2},
  [7589] = {.lex_state = 69, .external_lex_state = 2},
  [7590] = {.lex_state = 64, .external_lex_state = 2},
  [7591] = {.lex_state = 67, .external_lex_state = 2},
  [7592] = {.lex_state = 69, .external_lex_state = 2},
  [7593] = {.lex_state = 67, .external_lex_state = 2},
  [7594] = {.lex_state = 61, .external_lex_state = 2},
  [7595] = {.lex_state = 62, .external_lex_state = 2},
  [7596] = {.lex_state = 67, .external_lex_state = 2},
  [7597] = {.lex_state = 67, .external_lex_state = 2},
  [7598] = {.lex_state = 68, .external_lex_state = 2},
  [7599] = {.lex_state = 64, .external_lex_state = 2},
  [7600] = {.lex_state = 67, .external_lex_state = 2},
  [7601] = {.lex_state = 70, .external_lex_state = 2},
  [7602] = {.lex_state = 7, .external_lex_state = 3},
  [7603] = {.lex_state = 61, .external_lex_state = 2},
  [7604] = {.lex_state = 71, .external_lex_state = 2},
  [7605] = {.lex_state = 71, .external_lex_state = 2},
  [7606] = {.lex_state = 68, .external_lex_state = 2},
  [7607] = {.lex_state = 70, .external_lex_state = 2},
  [7608] = {.lex_state = 70, .external_lex_state = 2},
  [7609] = {.lex_state = 70, .external_lex_state = 2},
  [7610] = {.lex_state = 67, .external_lex_state = 2},
  [7611] = {.lex_state = 68, .external_lex_state = 2},
  [7612] = {.lex_state = 67, .external_lex_state = 2},
  [7613] = {.lex_state = 70, .external_lex_state = 2},
  [7614] = {.lex_state = 70, .external_lex_state = 2},
  [7615] = {.lex_state = 70, .external_lex_state = 2},
  [7616] = {.lex_state = 68, .external_lex_state = 2},
  [7617] = {.lex_state = 62, .external_lex_state = 2},
  [7618] = {.lex_state = 67, .external_lex_state = 2},
  [7619] = {.lex_state = 68, .external_lex_state = 2},
  [7620] = {.lex_state = 68, .external_lex_state = 2},
  [7621] = {.lex_state = 64, .external_lex_state = 2},
  [7622] = {.lex_state = 69, .external_lex_state = 2},
  [7623] = {.lex_state = 67, .external_lex_state = 2},
  [7624] = {.lex_state = 66, .external_lex_state = 2},
  [7625] = {.lex_state = 67, .external_lex_state = 2},
  [7626] = {.lex_state = 67, .external_lex_state = 2},
  [7627] = {.lex_state = 61, .external_lex_state = 2},
  [7628] = {.lex_state = 64, .external_lex_state = 2},
  [7629] = {.lex_state = 64, .external_lex_state = 2},
  [7630] = {.lex_state = 64, .external_lex_state = 2},
  [7631] = {.lex_state = 68, .external_lex_state = 2},
  [7632] = {.lex_state = 66, .external_lex_state = 2},
  [7633] = {.lex_state = 64, .external_lex_state = 2},
  [7634] = {.lex_state = 64, .external_lex_state = 2},
  [7635] = {.lex_state = 66, .external_lex_state = 2},
  [7636] = {.lex_state = 66, .external_lex_state = 2},
  [7637] = {.lex_state = 67, .external_lex_state = 2},
  [7638] = {.lex_state = 67, .external_lex_state = 2},
  [7639] = {.lex_state = 66, .external_lex_state = 2},
  [7640] = {.lex_state = 64, .external_lex_state = 2},
  [7641] = {.lex_state = 66, .external_lex_state = 2},
  [7642] = {.lex_state = 66, .external_lex_state = 2},
  [7643] = {.lex_state = 71, .external_lex_state = 2},
  [7644] = {.lex_state = 61, .external_lex_state = 2},
  [7645] = {.lex_state = 65, .external_lex_state = 2},
  [7646] = {.lex_state = 64, .external_lex_state = 2},
  [7647] = {.lex_state = 68, .external_lex_state = 2},
  [7648] = {.lex_state = 65, .external_lex_state = 2},
  [7649] = {.lex_state = 61, .external_lex_state = 2},
  [7650] = {.lex_state = 67, .external_lex_state = 2},
  [7651] = {.lex_state = 61, .external_lex_state = 2},
  [7652] = {.lex_state = 69, .external_lex_state = 2},
  [7653] = {.lex_state = 61, .external_lex_state = 2},
  [7654] = {.lex_state = 68, .external_lex_state = 2},
  [7655] = {.lex_state = 64, .external_lex_state = 2},
  [7656] = {.lex_state = 68, .external_lex_state = 2},
  [7657] = {.lex_state = 67, .external_lex_state = 2},
  [7658] = {.lex_state = 68, .external_lex_state = 2},
  [7659] = {.lex_state = 68, .external_lex_state = 2},
  [7660] = {.lex_state = 67, .external_lex_state = 2},
  [7661] = {.lex_state = 61, .external_lex_state = 2},
  [7662] = {.lex_state = 67, .external_lex_state = 2},
  [7663] = {.lex_state = 68, .external_lex_state = 2},
  [7664] = {.lex_state = 67, .external_lex_state = 2},
  [7665] = {.lex_state = 69, .external_lex_state = 2},
  [7666] = {.lex_state = 67, .external_lex_state = 2},
  [7667] = {.lex_state = 61, .external_lex_state = 2},
  [7668] = {.lex_state = 67, .external_lex_state = 2},
  [7669] = {.lex_state = 67, .external_lex_state = 2},
  [7670] = {.lex_state = 64, .external_lex_state = 2},
  [7671] = {.lex_state = 68, .external_lex_state = 2},
  [7672] = {.lex_state = 69, .external_lex_state = 2},
  [7673] = {.lex_state = 67, .external_lex_state = 2},
  [7674] = {.lex_state = 61, .external_lex_state = 2},
  [7675] = {.lex_state = 64, .external_lex_state = 2},
  [7676] = {.lex_state = 68, .external_lex_state = 2},
  [7677] = {.lex_state = 67, .external_lex_state = 2},
  [7678] = {.lex_state = 67, .external_lex_state = 2},
  [7679] = {.lex_state = 68, .external_lex_state = 2},
  [7680] = {.lex_state = 67, .external_lex_state = 2},
  [7681] = {.lex_state = 64, .external_lex_state = 2},
  [7682] = {.lex_state = 67, .external_lex_state = 2},
  [7683] = {.lex_state = 67, .external_lex_state = 2},
  [7684] = {.lex_state = 64, .external_lex_state = 2},
  [7685] = {.lex_state = 67, .external_lex_state = 2},
  [7686] = {.lex_state = 68, .external_lex_state = 2},
  [7687] = {.lex_state = 69, .external_lex_state = 2},
  [7688] = {.lex_state = 67, .external_lex_state = 2},
  [7689] = {.lex_state = 64, .external_lex_state = 2},
  [7690] = {.lex_state = 67, .external_lex_state = 2},
  [7691] = {.lex_state = 7, .external_lex_state = 3},
  [7692] = {.lex_state = 64, .external_lex_state = 2},
  [7693] = {.lex_state = 68, .external_lex_state = 2},
  [7694] = {.lex_state = 68, .external_lex_state = 2},
  [7695] = {.lex_state = 61, .external_lex_state = 2},
  [7696] = {.lex_state = 67, .external_lex_state = 2},
  [7697] = {.lex_state = 61, .external_lex_state = 2},
  [7698] = {.lex_state = 67, .external_lex_state = 2},
  [7699] = {.lex_state = 67, .external_lex_state = 2},
  [7700] = {.lex_state = 67, .external_lex_state = 2},
  [7701] = {.lex_state = 72, .external_lex_state = 2},
  [7702] = {.lex_state = 69, .external_lex_state = 2},
  [7703] = {.lex_state = 69, .external_lex_state = 2},
  [7704] = {.lex_state = 69, .external_lex_state = 2},
  [7705] = {.lex_state = 69, .external_lex_state = 2},
  [7706] = {.lex_state = 61, .external_lex_state = 2},
  [7707] = {.lex_state = 69, .external_lex_state = 2},
  [7708] = {.lex_state = 69, .external_lex_state = 2},
  [7709] = {.lex_state = 65, .external_lex_state = 2},
  [7710] = {.lex_state = 69, .external_lex_state = 2},
  [7711] = {.lex_state = 69, .external_lex_state = 2},
  [7712] = {.lex_state = 61, .external_lex_state = 2},
  [7713] = {.lex_state = 61, .external_lex_state = 2},
  [7714] = {.lex_state = 67, .external_lex_state = 2},
  [7715] = {.lex_state = 69, .external_lex_state = 2},
  [7716] = {.lex_state = 61, .external_lex_state = 2},
  [7717] = {.lex_state = 69, .external_lex_state = 2},
  [7718] = {.lex_state = 69, .external_lex_state = 2},
  [7719] = {.lex_state = 61, .external_lex_state = 2},
  [7720] = {.lex_state = 69, .external_lex_state = 2},
  [7721] = {.lex_state = 65, .external_lex_state = 2},
  [7722] = {.lex_state = 64, .external_lex_state = 2},
  [7723] = {.lex_state = 64, .external_lex_state = 2},
  [7724] = {.lex_state = 68, .external_lex_state = 2},
  [7725] = {.lex_state = 64, .external_lex_state = 2},
  [7726] = {.lex_state = 68, .external_lex_state = 2},
  [7727] = {.lex_state = 73, .external_lex_state = 2},
  [7728] = {.lex_state = 72, .external_lex_state = 2},
  [7729] = {.lex_state = 67, .external_lex_state = 2},
  [7730] = {.lex_state = 64, .external_lex_state = 2},
  [7731] = {.lex_state = 64, .external_lex_state = 2},
  [7732] = {.lex_state = 64, .external_lex_state = 2},
  [7733] = {.lex_state = 61, .external_lex_state = 2},
  [7734] = {.lex_state = 69, .external_lex_state = 2},
  [7735] = {.lex_state = 74, .external_lex_state = 2},
  [7736] = {.lex_state = 64, .external_lex_state = 2},
  [7737] = {.lex_state = 64, .external_lex_state = 2},
  [7738] = {.lex_state = 64, .external_lex_state = 2},
  [7739] = {.lex_state = 61, .external_lex_state = 2},
  [7740] = {.lex_state = 68, .external_lex_state = 2},
  [7741] = {.lex_state = 64, .external_lex_state = 2},
  [7742] = {.lex_state = 64, .external_lex_state = 2},
  [7743] = {.lex_state = 64, .external_lex_state = 2},
  [7744] = {.lex_state = 64, .external_lex_state = 2},
  [7745] = {.lex_state = 64, .external_lex_state = 2},
  [7746] = {.lex_state = 61, .external_lex_state = 2},
  [7747] = {.lex_state = 61, .external_lex_state = 2},
  [7748] = {.lex_state = 67, .external_lex_state = 2},
  [7749] = {.lex_state = 64, .external_lex_state = 2},
  [7750] = {.lex_state = 70, .external_lex_state = 2},
  [7751] = {.lex_state = 68, .external_lex_state = 2},
  [7752] = {.lex_state = 64, .external_lex_state = 2},
  [7753] = {.lex_state = 64, .external_lex_state = 2},
  [7754] = {.lex_state = 64, .external_lex_state = 2},
  [7755] = {.lex_state = 64, .external_lex_state = 2},
  [7756] = {.lex_state = 64, .external_lex_state = 2},
  [7757] = {.lex_state = 64, .external_lex_state = 2},
  [7758] = {.lex_state = 68, .external_lex_state = 2},
  [7759] = {.lex_state = 64, .external_lex_state = 2},
  [7760] = {.lex_state = 64, .external_lex_state = 2},
  [7761] = {.lex_state = 64, .external_lex_state = 2},
  [7762] = {.lex_state = 61, .external_lex_state = 2},
  [7763] = {.lex_state = 67, .external_lex_state = 2},
  [7764] = {.lex_state = 64, .external_lex_state = 2},
  [7765] = {.lex_state = 64, .external_lex_state = 2},
  [7766] = {.lex_state = 67, .external_lex_state = 2},
  [7767] = {.lex_state = 64, .external_lex_state = 2},
  [7768] = {.lex_state = 67, .external_lex_state = 2},
  [7769] = {.lex_state = 68, .external_lex_state = 2},
  [7770] = {.lex_state = 69, .external_lex_state = 2},
  [7771] = {.lex_state = 7, .external_lex_state = 3},
  [7772] = {.lex_state = 64, .external_lex_state = 2},
  [7773] = {.lex_state = 61, .external_lex_state = 2},
  [7774] = {.lex_state = 73, .external_lex_state = 2},
  [7775] = {.lex_state = 64, .external_lex_state = 2},
  [7776] = {.lex_state = 64, .external_lex_state = 2},
  [7777] = {.lex_state = 64, .external_lex_state = 2},
  [7778] = {.lex_state = 67, .external_lex_state = 2},
  [7779] = {.lex_state = 68, .external_lex_state = 2},
  [7780] = {.lex_state = 61, .external_lex_state = 2},
  [7781] = {.lex_state = 69, .external_lex_state = 2},
  [7782] = {.lex_state = 67, .external_lex_state = 2},
  [7783] = {.lex_state = 64, .external_lex_state = 2},
  [7784] = {.lex_state = 67, .external_lex_state = 2},
  [7785] = {.lex_state = 69, .external_lex_state = 2},
  [7786] = {.lex_state = 69, .external_lex_state = 2},
  [7787] = {.lex_state = 64, .external_lex_state = 2},
  [7788] = {.lex_state = 68, .external_lex_state = 2},
  [7789] = {.lex_state = 61, .external_lex_state = 2},
  [7790] = {.lex_state = 69, .external_lex_state = 2},
  [7791] = {.lex_state = 61, .external_lex_state = 2},
  [7792] = {.lex_state = 68, .external_lex_state = 2},
  [7793] = {.lex_state = 69, .external_lex_state = 2},
  [7794] = {.lex_state = 69, .external_lex_state = 2},
  [7795] = {.lex_state = 71, .external_lex_state = 2},
  [7796] = {.lex_state = 61, .external_lex_state = 2},
  [7797] = {.lex_state = 61, .external_lex_state = 2},
  [7798] = {.lex_state = 61, .external_lex_state = 2},
  [7799] = {.lex_state = 61, .external_lex_state = 2},
  [7800] = {.lex_state = 71, .external_lex_state = 2},
  [7801] = {.lex_state = 68, .external_lex_state = 2},
  [7802] = {.lex_state = 64, .external_lex_state = 2},
  [7803] = {.lex_state = 61, .external_lex_state = 2},
  [7804] = {.lex_state = 62, .external_lex_state = 2},
  [7805] = {.lex_state = 69, .external_lex_state = 2},
  [7806] = {.lex_state = 67, .external_lex_state = 2},
  [7807] = {.lex_state = 61, .external_lex_state = 2},
  [7808] = {.lex_state = 68, .external_lex_state = 2},
  [7809] = {.lex_state = 69, .external_lex_state = 2},
  [7810] = {.lex_state = 61, .external_lex_state = 2},
  [7811] = {.lex_state = 61, .external_lex_state = 2},
  [7812] = {.lex_state = 61, .external_lex_state = 2},
  [7813] = {.lex_state = 61, .external_lex_state = 2},
  [7814] = {.lex_state = 68, .external_lex_state = 2},
  [7815] = {.lex_state = 68, .external_lex_state = 2},
  [7816] = {.lex_state = 61, .external_lex_state = 2},
  [7817] = {.lex_state = 65, .external_lex_state = 2},
  [7818] = {.lex_state = 68, .external_lex_state = 2},
  [7819] = {.lex_state = 61, .external_lex_state = 2},
  [7820] = {.lex_state = 61, .external_lex_state = 2},
  [7821] = {.lex_state = 65, .external_lex_state = 2},
  [7822] = {.lex_state = 62, .external_lex_state = 2},
  [7823] = {.lex_state = 61, .external_lex_state = 2},
  [7824] = {.lex_state = 67, .external_lex_state = 2},
  [7825] = {.lex_state = 65, .external_lex_state = 2},
  [7826] = {.lex_state = 61, .external_lex_state = 2},
  [7827] = {.lex_state = 61, .external_lex_state = 2},
  [7828] = {.lex_state = 66, .external_lex_state = 2},
  [7829] = {.lex_state = 67, .external_lex_state = 2},
  [7830] = {.lex_state = 69, .external_lex_state = 2},
  [7831] = {.lex_state = 66, .external_lex_state = 2},
  [7832] = {.lex_state = 61, .external_lex_state = 2},
  [7833] = {.lex_state = 65, .external_lex_state = 2},
  [7834] = {.lex_state = 65, .external_lex_state = 2},
  [7835] = {.lex_state = 67, .external_lex_state = 2},
  [7836] = {.lex_state = 68, .external_lex_state = 2},
  [7837] = {.lex_state = 67, .external_lex_state = 2},
  [7838] = {.lex_state = 61, .external_lex_state = 2},
  [7839] = {.lex_state = 61, .external_lex_state = 2},
  [7840] = {.lex_state = 68, .external_lex_state = 2},
  [7841] = {.lex_state = 61, .external_lex_state = 2},
  [7842] = {.lex_state = 67, .external_lex_state = 2},
  [7843] = {.lex_state = 66, .external_lex_state = 2},
  [7844] = {.lex_state = 61, .external_lex_state = 2},
  [7845] = {.lex_state = 61, .external_lex_state = 2},
  [7846] = {.lex_state = 67, .external_lex_state = 2},
  [7847] = {.lex_state = 61, .external_lex_state = 2},
  [7848] = {.lex_state = 68, .external_lex_state = 2},
  [7849] = {.lex_state = 72, .external_lex_state = 2},
  [7850] = {.lex_state = 67, .external_lex_state = 2},
  [7851] = {.lex_state = 69, .external_lex_state = 2},
  [7852] = {.lex_state = 71, .external_lex_state = 2},
  [7853] = {.lex_state = 69, .external_lex_state = 2},
  [7854] = {.lex_state = 61, .external_lex_state = 2},
  [7855] = {.lex_state = 61, .external_lex_state = 2},
  [7856] = {.lex_state = 61, .external_lex_state = 2},
  [7857] = {.lex_state = 65, .external_lex_state = 2},
  [7858] = {.lex_state = 72, .external_lex_state = 2},
  [7859] = {.lex_state = 67, .external_lex_state = 2},
  [7860] = {.lex_state = 69, .external_lex_state = 2},
  [7861] = {.lex_state = 67, .external_lex_state = 2},
  [7862] = {.lex_state = 67, .external_lex_state = 2},
  [7863] = {.lex_state = 69, .external_lex_state = 2},
  [7864] = {.lex_state = 67, .external_lex_state = 2},
  [7865] = {.lex_state = 68, .external_lex_state = 2},
  [7866] = {.lex_state = 62, .external_lex_state = 2},
  [7867] = {.lex_state = 67, .external_lex_state = 2},
  [7868] = {.lex_state = 61, .external_lex_state = 2},
  [7869] = {.lex_state = 61, .external_lex_state = 2},
  [7870] = {.lex_state = 65, .external_lex_state = 2},
  [7871] = {.lex_state = 72, .external_lex_state = 2},
  [7872] = {.lex_state = 61, .external_lex_state = 2},
  [7873] = {.lex_state = 64, .external_lex_state = 2},
  [7874] = {.lex_state = 67, .external_lex_state = 2},
  [7875] = {.lex_state = 67, .external_lex_state = 2},
  [7876] = {.lex_state = 67, .external_lex_state = 2},
  [7877] = {.lex_state = 67, .external_lex_state = 2},
  [7878] = {.lex_state = 7, .external_lex_state = 3},
  [7879] = {.lex_state = 61, .external_lex_state = 2},
  [7880] = {.lex_state = 62, .external_lex_state = 2},
  [7881] = {.lex_state = 68, .external_lex_state = 2},
  [7882] = {.lex_state = 64, .external_lex_state = 2},
  [7883] = {.lex_state = 61, .external_lex_state = 2},
  [7884] = {.lex_state = 61, .external_lex_state = 2},
  [7885] = {.lex_state = 68, .external_lex_state = 2},
  [7886] = {.lex_state = 61, .external_lex_state = 2},
  [7887] = {.lex_state = 64, .external_lex_state = 2},
  [7888] = {.lex_state = 68, .external_lex_state = 2},
  [7889] = {.lex_state = 61, .external_lex_state = 2},
  [7890] = {.lex_state = 69, .external_lex_state = 2},
  [7891] = {.lex_state = 68, .external_lex_state = 2},
  [7892] = {.lex_state = 67, .external_lex_state = 2},
  [7893] = {.lex_state = 68, .external_lex_state = 2},
  [7894] = {.lex_state = 64, .external_lex_state = 2},
  [7895] = {.lex_state = 61, .external_lex_state = 2},
  [7896] = {.lex_state = 68, .external_lex_state = 2},
  [7897] = {.lex_state = 68, .external_lex_state = 2},
  [7898] = {.lex_state = 68, .external_lex_state = 2},
  [7899] = {.lex_state = 64, .external_lex_state = 2},
  [7900] = {.lex_state = 64, .external_lex_state = 2},
  [7901] = {.lex_state = 68, .external_lex_state = 2},
  [7902] = {.lex_state = 64, .external_lex_state = 2},
  [7903] = {.lex_state = 69, .external_lex_state = 2},
  [7904] = {.lex_state = 68, .external_lex_state = 2},
  [7905] = {.lex_state = 68, .external_lex_state = 2},
  [7906] = {.lex_state = 65, .external_lex_state = 2},
  [7907] = {.lex_state = 69, .external_lex_state = 2},
  [7908] = {.lex_state = 65, .external_lex_state = 2},
  [7909] = {.lex_state = 64, .external_lex_state = 2},
  [7910] = {.lex_state = 65, .external_lex_state = 2},
  [7911] = {.lex_state = 67, .external_lex_state = 2},
  [7912] = {.lex_state = 71, .external_lex_state = 2},
  [7913] = {.lex_state = 66, .external_lex_state = 2},
  [7914] = {.lex_state = 65, .external_lex_state = 2},
  [7915] = {.lex_state = 67, .external_lex_state = 2},
  [7916] = {.lex_state = 65, .external_lex_state = 2},
  [7917] = {.lex_state = 65, .external_lex_state = 2},
  [7918] = {.lex_state = 69, .external_lex_state = 2},
  [7919] = {.lex_state = 69, .external_lex_state = 2},
  [7920] = {.lex_state = 64, .external_lex_state = 2},
  [7921] = {.lex_state = 64, .external_lex_state = 2},
  [7922] = {.lex_state = 67, .external_lex_state = 2},
  [7923] = {.lex_state = 67, .external_lex_state = 2},
  [7924] = {.lex_state = 69, .external_lex_state = 2},
  [7925] = {.lex_state = 61, .external_lex_state = 2},
  [7926] = {.lex_state = 69, .external_lex_state = 2},
  [7927] = {.lex_state = 68, .external_lex_state = 2},
  [7928] = {.lex_state = 68, .external_lex_state = 2},
  [7929] = {.lex_state = 69, .external_lex_state = 2},
  [7930] = {.lex_state = 71, .external_lex_state = 2},
  [7931] = {.lex_state = 64, .external_lex_state = 2},
  [7932] = {.lex_state = 64, .external_lex_state = 2},
  [7933] = {.lex_state = 71, .external_lex_state = 2},
  [7934] = {.lex_state = 69, .external_lex_state = 2},
  [7935] = {.lex_state = 65, .external_lex_state = 2},
  [7936] = {.lex_state = 64, .external_lex_state = 2},
  [7937] = {.lex_state = 67, .external_lex_state = 2},
  [7938] = {.lex_state = 61, .external_lex_state = 2},
  [7939] = {.lex_state = 67, .external_lex_state = 2},
  [7940] = {.lex_state = 68, .external_lex_state = 2},
  [7941] = {.lex_state = 65, .external_lex_state = 2},
  [7942] = {.lex_state = 71, .external_lex_state = 2},
  [7943] = {.lex_state = 65, .external_lex_state = 2},
  [7944] = {.lex_state = 58, .external_lex_state = 2},
  [7945] = {.lex_state = 68, .external_lex_state = 2},
  [7946] = {.lex_state = 69, .external_lex_state = 2},
  [7947] = {.lex_state = 68, .external_lex_state = 2},
  [7948] = {.lex_state = 65, .external_lex_state = 2},
  [7949] = {.lex_state = 65, .external_lex_state = 2},
  [7950] = {.lex_state = 65, .external_lex_state = 2},
  [7951] = {.lex_state = 7, .external_lex_state = 3},
  [7952] = {.lex_state = 65, .external_lex_state = 2},
  [7953] = {.lex_state = 68, .external_lex_state = 2},
  [7954] = {.lex_state = 67, .external_lex_state = 2},
  [7955] = {.lex_state = 65, .external_lex_state = 2},
  [7956] = {.lex_state = 65, .external_lex_state = 2},
  [7957] = {.lex_state = 65, .external_lex_state = 2},
  [7958] = {.lex_state = 62, .external_lex_state = 2},
  [7959] = {.lex_state = 65, .external_lex_state = 2},
  [7960] = {.lex_state = 65, .external_lex_state = 2},
  [7961] = {.lex_state = 65, .external_lex_state = 2},
  [7962] = {.lex_state = 69, .external_lex_state = 2},
  [7963] = {.lex_state = 65, .external_lex_state = 2},
  [7964] = {.lex_state = 65, .external_lex_state = 2},
  [7965] = {.lex_state = 67, .external_lex_state = 2},
  [7966] = {.lex_state = 65, .external_lex_state = 2},
  [7967] = {.lex_state = 69, .external_lex_state = 2},
  [7968] = {.lex_state = 67, .external_lex_state = 2},
  [7969] = {.lex_state = 65, .external_lex_state = 2},
  [7970] = {.lex_state = 65, .external_lex_state = 2},
  [7971] = {.lex_state = 65, .external_lex_state = 2},
  [7972] = {.lex_state = 65, .external_lex_state = 2},
  [7973] = {.lex_state = 65, .external_lex_state = 2},
  [7974] = {.lex_state = 65, .external_lex_state = 2},
  [7975] = {.lex_state = 69, .external_lex_state = 2},
  [7976] = {.lex_state = 65, .external_lex_state = 2},
  [7977] = {.lex_state = 67, .external_lex_state = 2},
  [7978] = {.lex_state = 65, .external_lex_state = 2},
  [7979] = {.lex_state = 65, .external_lex_state = 2},
  [7980] = {.lex_state = 65, .external_lex_state = 2},
  [7981] = {.lex_state = 65, .external_lex_state = 2},
  [7982] = {.lex_state = 65, .external_lex_state = 2},
  [7983] = {.lex_state = 65, .external_lex_state = 2},
  [7984] = {.lex_state = 65, .external_lex_state = 2},
  [7985] = {.lex_state = 65, .external_lex_state = 2},
  [7986] = {.lex_state = 65, .external_lex_state = 2},
  [7987] = {.lex_state = 65, .external_lex_state = 2},
  [7988] = {.lex_state = 72, .external_lex_state = 2},
  [7989] = {.lex_state = 69, .external_lex_state = 2},
  [7990] = {.lex_state = 68, .external_lex_state = 2},
  [7991] = {.lex_state = 65, .external_lex_state = 2},
  [7992] = {.lex_state = 65, .external_lex_state = 2},
  [7993] = {.lex_state = 65, .external_lex_state = 2},
  [7994] = {.lex_state = 65, .external_lex_state = 2},
  [7995] = {.lex_state = 64, .external_lex_state = 2},
  [7996] = {.lex_state = 69, .external_lex_state = 2},
  [7997] = {.lex_state = 65, .external_lex_state = 2},
  [7998] = {.lex_state = 65, .external_lex_state = 2},
  [7999] = {.lex_state = 64, .external_lex_state = 2},
  [8000] = {.lex_state = 72, .external_lex_state = 2},
  [8001] = {.lex_state = 7, .external_lex_state = 3},
  [8002] = {.lex_state = 65, .external_lex_state = 2},
  [8003] = {.lex_state = 65, .external_lex_state = 2},
  [8004] = {.lex_state = 72, .external_lex_state = 2},
  [8005] = {.lex_state = 68, .external_lex_state = 2},
  [8006] = {.lex_state = 72, .external_lex_state = 2},
  [8007] = {.lex_state = 65, .external_lex_state = 2},
  [8008] = {.lex_state = 68, .external_lex_state = 2},
  [8009] = {.lex_state = 68, .external_lex_state = 2},
  [8010] = {.lex_state = 68, .external_lex_state = 2},
  [8011] = {.lex_state = 62, .external_lex_state = 2},
  [8012] = {.lex_state = 69, .external_lex_state = 2},
  [8013] = {.lex_state = 69, .external_lex_state = 2},
  [8014] = {.lex_state = 69, .external_lex_state = 2},
  [8015] = {.lex_state = 61, .external_lex_state = 2},
  [8016] = {.lex_state = 69, .external_lex_state = 2},
  [8017] = {.lex_state = 69, .external_lex_state = 2},
  [8018] = {.lex_state = 69, .external_lex_state = 2},
  [8019] = {.lex_state = 62, .external_lex_state = 2},
  [8020] = {.lex_state = 65, .external_lex_state = 2},
  [8021] = {.lex_state = 68, .external_lex_state = 2},
  [8022] = {.lex_state = 68, .external_lex_state = 2},
  [8023] = {.lex_state = 69, .external_lex_state = 2},
  [8024] = {.lex_state = 68, .external_lex_state = 2},
  [8025] = {.lex_state = 69, .external_lex_state = 2},
  [8026] = {.lex_state = 69, .external_lex_state = 2},
  [8027] = {.lex_state = 61, .external_lex_state = 2},
  [8028] = {.lex_state = 68, .external_lex_state = 2},
  [8029] = {.lex_state = 69, .external_lex_state = 2},
  [8030] = {.lex_state = 68, .external_lex_state = 2},
  [8031] = {.lex_state = 68, .external_lex_state = 2},
  [8032] = {.lex_state = 69, .external_lex_state = 2},
  [8033] = {.lex_state = 64, .external_lex_state = 2},
  [8034] = {.lex_state = 69, .external_lex_state = 2},
  [8035] = {.lex_state = 69, .external_lex_state = 2},
  [8036] = {.lex_state = 61, .external_lex_state = 2},
  [8037] = {.lex_state = 69, .external_lex_state = 2},
  [8038] = {.lex_state = 65, .external_lex_state = 2},
  [8039] = {.lex_state = 68, .external_lex_state = 2},
  [8040] = {.lex_state = 69, .external_lex_state = 2},
  [8041] = {.lex_state = 69, .external_lex_state = 2},
  [8042] = {.lex_state = 68, .external_lex_state = 2},
  [8043] = {.lex_state = 68, .external_lex_state = 2},
  [8044] = {.lex_state = 69, .external_lex_state = 2},
  [8045] = {.lex_state = 65, .external_lex_state = 2},
  [8046] = {.lex_state = 61, .external_lex_state = 2},
  [8047] = {.lex_state = 69, .external_lex_state = 2},
  [8048] = {.lex_state = 62, .external_lex_state = 2},
  [8049] = {.lex_state = 65, .external_lex_state = 2},
  [8050] = {.lex_state = 69, .external_lex_state = 2},
  [8051] = {.lex_state = 69, .external_lex_state = 2},
  [8052] = {.lex_state = 7, .external_lex_state = 3},
  [8053] = {.lex_state = 69, .external_lex_state = 2},
  [8054] = {.lex_state = 69, .external_lex_state = 2},
  [8055] = {.lex_state = 69, .external_lex_state = 2},
  [8056] = {.lex_state = 64, .external_lex_state = 2},
  [8057] = {.lex_state = 67, .external_lex_state = 2},
  [8058] = {.lex_state = 68, .external_lex_state = 2},
  [8059] = {.lex_state = 64, .external_lex_state = 2},
  [8060] = {.lex_state = 61, .external_lex_state = 2},
  [8061] = {.lex_state = 64, .external_lex_state = 2},
  [8062] = {.lex_state = 69, .external_lex_state = 2},
  [8063] = {.lex_state = 69, .external_lex_state = 2},
  [8064] = {.lex_state = 68, .external_lex_state = 2},
  [8065] = {.lex_state = 68, .external_lex_state = 2},
  [8066] = {.lex_state = 68, .external_lex_state = 2},
  [8067] = {.lex_state = 68, .external_lex_state = 2},
  [8068] = {.lex_state = 64, .external_lex_state = 2},
  [8069] = {.lex_state = 64, .external_lex_state = 2},
  [8070] = {.lex_state = 64, .external_lex_state = 2},
  [8071] = {.lex_state = 67, .external_lex_state = 2},
  [8072] = {.lex_state = 64, .external_lex_state = 2},
  [8073] = {.lex_state = 67, .external_lex_state = 2},
  [8074] = {.lex_state = 67, .external_lex_state = 2},
  [8075] = {.lex_state = 68, .external_lex_state = 2},
  [8076] = {.lex_state = 67, .external_lex_state = 2},
  [8077] = {.lex_state = 64, .external_lex_state = 2},
  [8078] = {.lex_state = 7, .external_lex_state = 3},
  [8079] = {.lex_state = 68, .external_lex_state = 2},
  [8080] = {.lex_state = 65, .external_lex_state = 2},
  [8081] = {.lex_state = 72, .external_lex_state = 2},
  [8082] = {.lex_state = 65, .external_lex_state = 2},
  [8083] = {.lex_state = 69, .external_lex_state = 2},
  [8084] = {.lex_state = 68, .external_lex_state = 2},
  [8085] = {.lex_state = 71, .external_lex_state = 2},
  [8086] = {.lex_state = 69, .external_lex_state = 2},
  [8087] = {.lex_state = 62, .external_lex_state = 2},
  [8088] = {.lex_state = 72, .external_lex_state = 2},
  [8089] = {.lex_state = 70, .external_lex_state = 2},
  [8090] = {.lex_state = 65, .external_lex_state = 2},
  [8091] = {.lex_state = 61, .external_lex_state = 2},
  [8092] = {.lex_state = 69, .external_lex_state = 2},
  [8093] = {.lex_state = 69, .external_lex_state = 2},
  [8094] = {.lex_state = 67, .external_lex_state = 2},
  [8095] = {.lex_state = 61, .external_lex_state = 2},
  [8096] = {.lex_state = 61, .external_lex_state = 2},
  [8097] = {.lex_state = 61, .external_lex_state = 2},
  [8098] = {.lex_state = 65, .external_lex_state = 2},
  [8099] = {.lex_state = 61, .external_lex_state = 2},
  [8100] = {.lex_state = 61, .external_lex_state = 2},
  [8101] = {.lex_state = 68, .external_lex_state = 2},
  [8102] = {.lex_state = 65, .external_lex_state = 2},
  [8103] = {.lex_state = 61, .external_lex_state = 2},
  [8104] = {.lex_state = 65, .external_lex_state = 2},
  [8105] = {.lex_state = 65, .external_lex_state = 2},
  [8106] = {.lex_state = 65, .external_lex_state = 2},
  [8107] = {.lex_state = 69, .external_lex_state = 2},
  [8108] = {.lex_state = 61, .external_lex_state = 2},
  [8109] = {.lex_state = 65, .external_lex_state = 2},
  [8110] = {.lex_state = 65, .external_lex_state = 2},
  [8111] = {.lex_state = 65, .external_lex_state = 2},
  [8112] = {.lex_state = 65, .external_lex_state = 2},
  [8113] = {.lex_state = 67, .external_lex_state = 2},
  [8114] = {.lex_state = 61, .external_lex_state = 2},
  [8115] = {.lex_state = 61, .external_lex_state = 2},
  [8116] = {.lex_state = 61, .external_lex_state = 2},
  [8117] = {.lex_state = 65, .external_lex_state = 2},
  [8118] = {.lex_state = 70, .external_lex_state = 2},
  [8119] = {.lex_state = 64, .external_lex_state = 2},
  [8120] = {.lex_state = 67, .external_lex_state = 2},
  [8121] = {.lex_state = 64, .external_lex_state = 2},
  [8122] = {.lex_state = 65, .external_lex_state = 2},
  [8123] = {.lex_state = 68, .external_lex_state = 2},
  [8124] = {.lex_state = 68, .external_lex_state = 2},
  [8125] = {.lex_state = 18, .external_lex_state = 2},
  [8126] = {.lex_state = 397, .external_lex_state = 2},
  [8127] = {.lex_state = 70, .external_lex_state = 2},
  [8128] = {.lex_state = 71, .external_lex_state = 2},
  [8129] = {.lex_state = 71, .external_lex_state = 2},
  [8130] = {.lex_state = 17, .external_lex_state = 2},
  [8131] = {.lex_state = 397, .external_lex_state = 2},
  [8132] = {.lex_state = 71, .external_lex_state = 2},
  [8133] = {.lex_state = 72, .external_lex_state = 2},
  [8134] = {.lex_state = 74, .external_lex_state = 2},
  [8135] = {.lex_state = 62, .external_lex_state = 2},
  [8136] = {.lex_state = 18, .external_lex_state = 2},
  [8137] = {.lex_state = 62, .external_lex_state = 2},
  [8138] = {.lex_state = 66, .external_lex_state = 2},
  [8139] = {.lex_state = 62, .external_lex_state = 2},
  [8140] = {.lex_state = 18, .external_lex_state = 2},
  [8141] = {.lex_state = 70, .external_lex_state = 2},
  [8142] = {.lex_state = 18, .external_lex_state = 2},
  [8143] = {.lex_state = 18, .external_lex_state = 2},
  [8144] = {.lex_state = 17, .external_lex_state = 2},
  [8145] = {.lex_state = 72, .external_lex_state = 2},
  [8146] = {.lex_state = 18, .external_lex_state = 2},
  [8147] = {.lex_state = 71, .external_lex_state = 2},
  [8148] = {.lex_state = 62, .external_lex_state = 2},
  [8149] = {.lex_state = 18, .external_lex_state = 2},
  [8150] = {.lex_state = 66, .external_lex_state = 2},
  [8151] = {.lex_state = 70, .external_lex_state = 2},
  [8152] = {.lex_state = 71, .external_lex_state = 2},
  [8153] = {.lex_state = 71, .external_lex_state = 2},
  [8154] = {.lex_state = 66, .external_lex_state = 2},
  [8155] = {.lex_state = 72, .external_lex_state = 2},
  [8156] = {.lex_state = 66, .external_lex_state = 2},
  [8157] = {.lex_state = 18, .external_lex_state = 2},
  [8158] = {.lex_state = 70, .external_lex_state = 2},
  [8159] = {.lex_state = 62, .external_lex_state = 2},
  [8160] = {.lex_state = 442, .external_lex_state = 2},
  [8161] = {.lex_state = 70, .external_lex_state = 2},
  [8162] = {.lex_state = 72, .external_lex_state = 2},
  [8163] = {.lex_state = 71, .external_lex_state = 2},
  [8164] = {.lex_state = 17, .external_lex_state = 2},
  [8165] = {.lex_state = 70, .external_lex_state = 2},
  [8166] = {.lex_state = 17, .external_lex_state = 2},
  [8167] = {.lex_state = 70, .external_lex_state = 2},
  [8168] = {.lex_state = 66, .external_lex_state = 2},
  [8169] = {.lex_state = 71, .external_lex_state = 2},
  [8170] = {.lex_state = 72, .external_lex_state = 2},
  [8171] = {.lex_state = 17, .external_lex_state = 2},
  [8172] = {.lex_state = 71, .external_lex_state = 2},
  [8173] = {.lex_state = 18, .external_lex_state = 2},
  [8174] = {.lex_state = 72, .external_lex_state = 2},
  [8175] = {.lex_state = 71, .external_lex_state = 2},
  [8176] = {.lex_state = 72, .external_lex_state = 2},
  [8177] = {.lex_state = 397, .external_lex_state = 2},
  [8178] = {.lex_state = 17, .external_lex_state = 2},
  [8179] = {.lex_state = 18, .external_lex_state = 2},
  [8180] = {.lex_state = 71, .external_lex_state = 2},
  [8181] = {.lex_state = 397, .external_lex_state = 2},
  [8182] = {.lex_state = 72, .external_lex_state = 2},
  [8183] = {.lex_state = 17, .external_lex_state = 2},
  [8184] = {.lex_state = 71, .external_lex_state = 2},
  [8185] = {.lex_state = 71, .external_lex_state = 2},
  [8186] = {.lex_state = 17, .external_lex_state = 2},
  [8187] = {.lex_state = 62, .external_lex_state = 2},
  [8188] = {.lex_state = 62, .external_lex_state = 2},
  [8189] = {.lex_state = 130, .external_lex_state = 3},
  [8190] = {.lex_state = 66, .external_lex_state = 2},
  [8191] = {.lex_state = 66, .external_lex_state = 2},
  [8192] = {.lex_state = 62, .external_lex_state = 2},
  [8193] = {.lex_state = 397, .external_lex_state = 2},
  [8194] = {.lex_state = 62, .external_lex_state = 2},
  [8195] = {.lex_state = 70, .external_lex_state = 2},
  [8196] = {.lex_state = 70, .external_lex_state = 2},
  [8197] = {.lex_state = 66, .external_lex_state = 2},
  [8198] = {.lex_state = 72, .external_lex_state = 2},
  [8199] = {.lex_state = 62, .external_lex_state = 2},
  [8200] = {.lex_state = 72, .external_lex_state = 2},
  [8201] = {.lex_state = 70, .external_lex_state = 2},
  [8202] = {.lex_state = 66, .external_lex_state = 2},
  [8203] = {.lex_state = 70, .external_lex_state = 2},
  [8204] = {.lex_state = 71, .external_lex_state = 2},
  [8205] = {.lex_state = 18, .external_lex_state = 2},
  [8206] = {.lex_state = 72, .external_lex_state = 2},
  [8207] = {.lex_state = 17, .external_lex_state = 2},
  [8208] = {.lex_state = 70, .external_lex_state = 2},
  [8209] = {.lex_state = 62, .external_lex_state = 2},
  [8210] = {.lex_state = 18, .external_lex_state = 2},
  [8211] = {.lex_state = 18, .external_lex_state = 2},
  [8212] = {.lex_state = 70, .external_lex_state = 2},
  [8213] = {.lex_state = 18, .external_lex_state = 2},
  [8214] = {.lex_state = 70, .external_lex_state = 2},
  [8215] = {.lex_state = 71, .external_lex_state = 2},
  [8216] = {.lex_state = 18, .external_lex_state = 2},
  [8217] = {.lex_state = 66, .external_lex_state = 2},
  [8218] = {.lex_state = 62, .external_lex_state = 2},
  [8219] = {.lex_state = 70, .external_lex_state = 2},
  [8220] = {.lex_state = 18, .external_lex_state = 2},
  [8221] = {.lex_state = 18, .external_lex_state = 2},
  [8222] = {.lex_state = 432, .external_lex_state = 2},
  [8223] = {.lex_state = 18, .external_lex_state = 2},
  [8224] = {.lex_state = 62, .external_lex_state = 2},
  [8225] = {.lex_state = 17, .external_lex_state = 2},
  [8226] = {.lex_state = 62, .external_lex_state = 2},
  [8227] = {.lex_state = 71, .external_lex_state = 2},
  [8228] = {.lex_state = 72, .external_lex_state = 2},
  [8229] = {.lex_state = 18, .external_lex_state = 2},
  [8230] = {.lex_state = 66, .external_lex_state = 2},
  [8231] = {.lex_state = 66, .external_lex_state = 2},
  [8232] = {.lex_state = 18, .external_lex_state = 2},
  [8233] = {.lex_state = 72, .external_lex_state = 2},
  [8234] = {.lex_state = 66, .external_lex_state = 2},
  [8235] = {.lex_state = 71, .external_lex_state = 2},
  [8236] = {.lex_state = 66, .external_lex_state = 2},
  [8237] = {.lex_state = 70, .external_lex_state = 2},
  [8238] = {.lex_state = 62, .external_lex_state = 2},
  [8239] = {.lex_state = 71, .external_lex_state = 2},
  [8240] = {.lex_state = 66, .external_lex_state = 2},
  [8241] = {.lex_state = 66, .external_lex_state = 2},
  [8242] = {.lex_state = 17, .external_lex_state = 2},
  [8243] = {.lex_state = 62, .external_lex_state = 2},
  [8244] = {.lex_state = 71, .external_lex_state = 2},
  [8245] = {.lex_state = 70, .external_lex_state = 2},
  [8246] = {.lex_state = 66, .external_lex_state = 2},
  [8247] = {.lex_state = 71, .external_lex_state = 2},
  [8248] = {.lex_state = 72, .external_lex_state = 2},
  [8249] = {.lex_state = 18, .external_lex_state = 2},
  [8250] = {.lex_state = 66, .external_lex_state = 2},
  [8251] = {.lex_state = 71, .external_lex_state = 2},
  [8252] = {.lex_state = 62, .external_lex_state = 2},
  [8253] = {.lex_state = 66, .external_lex_state = 2},
  [8254] = {.lex_state = 71, .external_lex_state = 2},
  [8255] = {.lex_state = 66, .external_lex_state = 2},
  [8256] = {.lex_state = 71, .external_lex_state = 2},
  [8257] = {.lex_state = 17, .external_lex_state = 2},
  [8258] = {.lex_state = 18, .external_lex_state = 2},
  [8259] = {.lex_state = 397, .external_lex_state = 2},
  [8260] = {.lex_state = 62, .external_lex_state = 2},
  [8261] = {.lex_state = 71, .external_lex_state = 2},
  [8262] = {.lex_state = 18, .external_lex_state = 2},
  [8263] = {.lex_state = 71, .external_lex_state = 2},
  [8264] = {.lex_state = 18, .external_lex_state = 2},
  [8265] = {.lex_state = 18, .external_lex_state = 2},
  [8266] = {.lex_state = 66, .external_lex_state = 2},
  [8267] = {.lex_state = 62, .external_lex_state = 2},
  [8268] = {.lex_state = 71, .external_lex_state = 2},
  [8269] = {.lex_state = 66, .external_lex_state = 2},
  [8270] = {.lex_state = 70, .external_lex_state = 2},
  [8271] = {.lex_state = 71, .external_lex_state = 2},
  [8272] = {.lex_state = 72, .external_lex_state = 2},
  [8273] = {.lex_state = 66, .external_lex_state = 2},
  [8274] = {.lex_state = 66, .external_lex_state = 2},
  [8275] = {.lex_state = 66, .external_lex_state = 2},
  [8276] = {.lex_state = 71, .external_lex_state = 2},
  [8277] = {.lex_state = 18, .external_lex_state = 2},
  [8278] = {.lex_state = 397, .external_lex_state = 2},
  [8279] = {.lex_state = 18, .external_lex_state = 2},
  [8280] = {.lex_state = 17, .external_lex_state = 2},
  [8281] = {.lex_state = 18, .external_lex_state = 2},
  [8282] = {.lex_state = 18, .external_lex_state = 2},
  [8283] = {.lex_state = 66, .external_lex_state = 2},
  [8284] = {.lex_state = 18, .external_lex_state = 2},
  [8285] = {.lex_state = 18, .external_lex_state = 2},
  [8286] = {.lex_state = 70, .external_lex_state = 2},
  [8287] = {.lex_state = 62, .external_lex_state = 2},
  [8288] = {.lex_state = 66, .external_lex_state = 2},
  [8289] = {.lex_state = 18, .external_lex_state = 2},
  [8290] = {.lex_state = 18, .external_lex_state = 2},
  [8291] = {.lex_state = 66, .external_lex_state = 2},
  [8292] = {.lex_state = 18, .external_lex_state = 2},
  [8293] = {.lex_state = 66, .external_lex_state = 2},
  [8294] = {.lex_state = 62, .external_lex_state = 2},
  [8295] = {.lex_state = 17, .external_lex_state = 2},
  [8296] = {.lex_state = 70, .external_lex_state = 2},
  [8297] = {.lex_state = 71, .external_lex_state = 2},
  [8298] = {.lex_state = 62, .external_lex_state = 2},
  [8299] = {.lex_state = 62, .external_lex_state = 2},
  [8300] = {.lex_state = 71, .external_lex_state = 2},
  [8301] = {.lex_state = 66, .external_lex_state = 2},
  [8302] = {.lex_state = 397, .external_lex_state = 2},
  [8303] = {.lex_state = 17, .external_lex_state = 2},
  [8304] = {.lex_state = 71, .external_lex_state = 2},
  [8305] = {.lex_state = 66, .external_lex_state = 2},
  [8306] = {.lex_state = 70, .external_lex_state = 2},
  [8307] = {.lex_state = 66, .external_lex_state = 2},
  [8308] = {.lex_state = 18, .external_lex_state = 2},
  [8309] = {.lex_state = 70, .external_lex_state = 2},
  [8310] = {.lex_state = 72, .external_lex_state = 2},
  [8311] = {.lex_state = 18, .external_lex_state = 2},
  [8312] = {.lex_state = 66, .external_lex_state = 2},
  [8313] = {.lex_state = 72, .external_lex_state = 2},
  [8314] = {.lex_state = 70, .external_lex_state = 2},
  [8315] = {.lex_state = 66, .external_lex_state = 2},
  [8316] = {.lex_state = 17, .external_lex_state = 2},
  [8317] = {.lex_state = 70, .external_lex_state = 2},
  [8318] = {.lex_state = 71, .external_lex_state = 2},
  [8319] = {.lex_state = 72, .external_lex_state = 2},
  [8320] = {.lex_state = 72, .external_lex_state = 2},
  [8321] = {.lex_state = 429, .external_lex_state = 3},
  [8322] = {.lex_state = 71, .external_lex_state = 2},
  [8323] = {.lex_state = 71, .external_lex_state = 2},
  [8324] = {.lex_state = 17, .external_lex_state = 2},
  [8325] = {.lex_state = 18, .external_lex_state = 2},
  [8326] = {.lex_state = 62, .external_lex_state = 2},
  [8327] = {.lex_state = 70, .external_lex_state = 2},
  [8328] = {.lex_state = 62, .external_lex_state = 2},
  [8329] = {.lex_state = 72, .external_lex_state = 2},
  [8330] = {.lex_state = 66, .external_lex_state = 2},
  [8331] = {.lex_state = 66, .external_lex_state = 2},
  [8332] = {.lex_state = 18, .external_lex_state = 2},
  [8333] = {.lex_state = 62, .external_lex_state = 2},
  [8334] = {.lex_state = 66, .external_lex_state = 2},
  [8335] = {.lex_state = 62, .external_lex_state = 2},
  [8336] = {.lex_state = 18, .external_lex_state = 2},
  [8337] = {.lex_state = 72, .external_lex_state = 2},
  [8338] = {.lex_state = 62, .external_lex_state = 2},
  [8339] = {.lex_state = 18, .external_lex_state = 2},
  [8340] = {.lex_state = 66, .external_lex_state = 2},
  [8341] = {.lex_state = 429, .external_lex_state = 3},
  [8342] = {.lex_state = 62, .external_lex_state = 2},
  [8343] = {.lex_state = 72, .external_lex_state = 2},
  [8344] = {.lex_state = 397, .external_lex_state = 2},
  [8345] = {.lex_state = 66, .external_lex_state = 2},
  [8346] = {.lex_state = 72, .external_lex_state = 2},
  [8347] = {.lex_state = 71, .external_lex_state = 2},
  [8348] = {.lex_state = 71, .external_lex_state = 2},
  [8349] = {.lex_state = 66, .external_lex_state = 2},
  [8350] = {.lex_state = 13, .external_lex_state = 2},
  [8351] = {.lex_state = 66, .external_lex_state = 2},
  [8352] = {.lex_state = 66, .external_lex_state = 2},
  [8353] = {.lex_state = 72, .external_lex_state = 2},
  [8354] = {.lex_state = 18, .external_lex_state = 2},
  [8355] = {.lex_state = 18, .external_lex_state = 2},
  [8356] = {.lex_state = 397, .external_lex_state = 2},
  [8357] = {.lex_state = 66, .external_lex_state = 2},
  [8358] = {.lex_state = 72, .external_lex_state = 2},
  [8359] = {.lex_state = 72, .external_lex_state = 2},
  [8360] = {.lex_state = 72, .external_lex_state = 2},
  [8361] = {.lex_state = 70, .external_lex_state = 2},
  [8362] = {.lex_state = 72, .external_lex_state = 2},
  [8363] = {.lex_state = 18, .external_lex_state = 2},
  [8364] = {.lex_state = 72, .external_lex_state = 2},
  [8365] = {.lex_state = 62, .external_lex_state = 2},
  [8366] = {.lex_state = 397, .external_lex_state = 2},
  [8367] = {.lex_state = 72, .external_lex_state = 2},
  [8368] = {.lex_state = 66, .external_lex_state = 2},
  [8369] = {.lex_state = 66, .external_lex_state = 2},
  [8370] = {.lex_state = 18, .external_lex_state = 2},
  [8371] = {.lex_state = 66, .external_lex_state = 2},
  [8372] = {.lex_state = 72, .external_lex_state = 2},
  [8373] = {.lex_state = 71, .external_lex_state = 2},
  [8374] = {.lex_state = 71, .external_lex_state = 2},
  [8375] = {.lex_state = 71, .external_lex_state = 2},
  [8376] = {.lex_state = 62, .external_lex_state = 2},
  [8377] = {.lex_state = 62, .external_lex_state = 2},
  [8378] = {.lex_state = 70, .external_lex_state = 2},
  [8379] = {.lex_state = 18, .external_lex_state = 2},
  [8380] = {.lex_state = 62, .external_lex_state = 2},
  [8381] = {.lex_state = 66, .external_lex_state = 2},
  [8382] = {.lex_state = 62, .external_lex_state = 2},
  [8383] = {.lex_state = 71, .external_lex_state = 2},
  [8384] = {.lex_state = 17, .external_lex_state = 2},
  [8385] = {.lex_state = 62, .external_lex_state = 2},
  [8386] = {.lex_state = 17, .external_lex_state = 2},
  [8387] = {.lex_state = 66, .external_lex_state = 2},
  [8388] = {.lex_state = 71, .external_lex_state = 2},
  [8389] = {.lex_state = 66, .external_lex_state = 2},
  [8390] = {.lex_state = 66, .external_lex_state = 2},
  [8391] = {.lex_state = 66, .external_lex_state = 2},
  [8392] = {.lex_state = 62, .external_lex_state = 2},
  [8393] = {.lex_state = 66, .external_lex_state = 2},
  [8394] = {.lex_state = 66, .external_lex_state = 2},
  [8395] = {.lex_state = 70, .external_lex_state = 2},
  [8396] = {.lex_state = 17, .external_lex_state = 2},
  [8397] = {.lex_state = 66, .external_lex_state = 2},
  [8398] = {.lex_state = 18, .external_lex_state = 2},
  [8399] = {.lex_state = 71, .external_lex_state = 2},
  [8400] = {.lex_state = 70, .external_lex_state = 2},
  [8401] = {.lex_state = 70, .external_lex_state = 2},
  [8402] = {.lex_state = 397, .external_lex_state = 2},
  [8403] = {.lex_state = 397, .external_lex_state = 2},
  [8404] = {.lex_state = 71, .external_lex_state = 2},
  [8405] = {.lex_state = 397, .external_lex_state = 2},
  [8406] = {.lex_state = 66, .external_lex_state = 2},
  [8407] = {.lex_state = 62, .external_lex_state = 2},
  [8408] = {.lex_state = 72, .external_lex_state = 2},
  [8409] = {.lex_state = 18, .external_lex_state = 2},
  [8410] = {.lex_state = 71, .external_lex_state = 2},
  [8411] = {.lex_state = 66, .external_lex_state = 2},
  [8412] = {.lex_state = 18, .external_lex_state = 2},
  [8413] = {.lex_state = 70, .external_lex_state = 2},
  [8414] = {.lex_state = 70, .external_lex_state = 2},
  [8415] = {.lex_state = 74, .external_lex_state = 2},
  [8416] = {.lex_state = 71, .external_lex_state = 2},
  [8417] = {.lex_state = 70, .external_lex_state = 2},
  [8418] = {.lex_state = 70, .external_lex_state = 2},
  [8419] = {.lex_state = 397, .external_lex_state = 2},
  [8420] = {.lex_state = 62, .external_lex_state = 2},
  [8421] = {.lex_state = 62, .external_lex_state = 2},
  [8422] = {.lex_state = 62, .external_lex_state = 2},
  [8423] = {.lex_state = 17, .external_lex_state = 2},
  [8424] = {.lex_state = 70, .external_lex_state = 2},
  [8425] = {.lex_state = 18, .external_lex_state = 2},
  [8426] = {.lex_state = 17, .external_lex_state = 2},
  [8427] = {.lex_state = 70, .external_lex_state = 2},
  [8428] = {.lex_state = 18, .external_lex_state = 2},
  [8429] = {.lex_state = 62, .external_lex_state = 2},
  [8430] = {.lex_state = 62, .external_lex_state = 2},
  [8431] = {.lex_state = 70, .external_lex_state = 2},
  [8432] = {.lex_state = 70, .external_lex_state = 2},
  [8433] = {.lex_state = 62, .external_lex_state = 2},
  [8434] = {.lex_state = 70, .external_lex_state = 2},
  [8435] = {.lex_state = 18, .external_lex_state = 2},
  [8436] = {.lex_state = 72, .external_lex_state = 2},
  [8437] = {.lex_state = 66, .external_lex_state = 2},
  [8438] = {.lex_state = 62, .external_lex_state = 2},
  [8439] = {.lex_state = 62, .external_lex_state = 2},
  [8440] = {.lex_state = 72, .external_lex_state = 2},
  [8441] = {.lex_state = 72, .external_lex_state = 2},
  [8442] = {.lex_state = 71, .external_lex_state = 2},
  [8443] = {.lex_state = 17, .external_lex_state = 2},
  [8444] = {.lex_state = 72, .external_lex_state = 2},
  [8445] = {.lex_state = 432, .external_lex_state = 2},
  [8446] = {.lex_state = 71, .external_lex_state = 2},
  [8447] = {.lex_state = 18, .external_lex_state = 2},
  [8448] = {.lex_state = 70, .external_lex_state = 2},
  [8449] = {.lex_state = 71, .external_lex_state = 2},
  [8450] = {.lex_state = 18, .external_lex_state = 2},
  [8451] = {.lex_state = 17, .external_lex_state = 2},
  [8452] = {.lex_state = 70, .external_lex_state = 2},
  [8453] = {.lex_state = 71, .external_lex_state = 2},
  [8454] = {.lex_state = 71, .external_lex_state = 2},
  [8455] = {.lex_state = 70, .external_lex_state = 2},
  [8456] = {.lex_state = 18, .external_lex_state = 2},
  [8457] = {.lex_state = 70, .external_lex_state = 2},
  [8458] = {.lex_state = 72, .external_lex_state = 2},
  [8459] = {.lex_state = 18, .external_lex_state = 2},
  [8460] = {.lex_state = 17, .external_lex_state = 2},
  [8461] = {.lex_state = 72, .external_lex_state = 2},
  [8462] = {.lex_state = 66, .external_lex_state = 2},
  [8463] = {.lex_state = 72, .external_lex_state = 2},
  [8464] = {.lex_state = 18, .external_lex_state = 2},
  [8465] = {.lex_state = 70, .external_lex_state = 2},
  [8466] = {.lex_state = 72, .external_lex_state = 2},
  [8467] = {.lex_state = 18, .external_lex_state = 2},
  [8468] = {.lex_state = 397, .external_lex_state = 2},
  [8469] = {.lex_state = 72, .external_lex_state = 2},
  [8470] = {.lex_state = 66, .external_lex_state = 2},
  [8471] = {.lex_state = 18, .external_lex_state = 2},
  [8472] = {.lex_state = 17, .external_lex_state = 2},
  [8473] = {.lex_state = 18, .external_lex_state = 2},
  [8474] = {.lex_state = 71, .external_lex_state = 2},
  [8475] = {.lex_state = 66, .external_lex_state = 2},
  [8476] = {.lex_state = 66, .external_lex_state = 2},
  [8477] = {.lex_state = 71, .external_lex_state = 2},
  [8478] = {.lex_state = 18, .external_lex_state = 2},
  [8479] = {.lex_state = 72, .external_lex_state = 2},
  [8480] = {.lex_state = 66, .external_lex_state = 2},
  [8481] = {.lex_state = 66, .external_lex_state = 2},
  [8482] = {.lex_state = 18, .external_lex_state = 2},
  [8483] = {.lex_state = 18, .external_lex_state = 2},
  [8484] = {.lex_state = 72, .external_lex_state = 2},
  [8485] = {.lex_state = 71, .external_lex_state = 2},
  [8486] = {.lex_state = 18, .external_lex_state = 2},
  [8487] = {.lex_state = 17, .external_lex_state = 2},
  [8488] = {.lex_state = 71, .external_lex_state = 2},
  [8489] = {.lex_state = 71, .external_lex_state = 2},
  [8490] = {.lex_state = 71, .external_lex_state = 2},
  [8491] = {.lex_state = 18, .external_lex_state = 2},
  [8492] = {.lex_state = 70, .external_lex_state = 2},
  [8493] = {.lex_state = 62, .external_lex_state = 2},
  [8494] = {.lex_state = 70, .external_lex_state = 2},
  [8495] = {.lex_state = 18, .external_lex_state = 2},
  [8496] = {.lex_state = 71, .external_lex_state = 2},
  [8497] = {.lex_state = 71, .external_lex_state = 2},
  [8498] = {.lex_state = 72, .external_lex_state = 2},
  [8499] = {.lex_state = 66, .external_lex_state = 2},
  [8500] = {.lex_state = 71, .external_lex_state = 2},
  [8501] = {.lex_state = 71, .external_lex_state = 2},
  [8502] = {.lex_state = 72, .external_lex_state = 2},
  [8503] = {.lex_state = 66, .external_lex_state = 2},
  [8504] = {.lex_state = 17, .external_lex_state = 2},
  [8505] = {.lex_state = 66, .external_lex_state = 2},
  [8506] = {.lex_state = 17, .external_lex_state = 2},
  [8507] = {.lex_state = 72, .external_lex_state = 2},
  [8508] = {.lex_state = 72, .external_lex_state = 2},
  [8509] = {.lex_state = 397, .external_lex_state = 2},
  [8510] = {.lex_state = 70, .external_lex_state = 2},
  [8511] = {.lex_state = 72, .external_lex_state = 2},
  [8512] = {.lex_state = 71, .external_lex_state = 2},
  [8513] = {.lex_state = 66, .external_lex_state = 2},
  [8514] = {.lex_state = 72, .external_lex_state = 2},
  [8515] = {.lex_state = 66, .external_lex_state = 2},
  [8516] = {.lex_state = 66, .external_lex_state = 2},
  [8517] = {.lex_state = 62, .external_lex_state = 2},
  [8518] = {.lex_state = 66, .external_lex_state = 2},
  [8519] = {.lex_state = 18, .external_lex_state = 2},
  [8520] = {.lex_state = 397, .external_lex_state = 2},
  [8521] = {.lex_state = 17, .external_lex_state = 2},
  [8522] = {.lex_state = 72, .external_lex_state = 2},
  [8523] = {.lex_state = 18, .external_lex_state = 2},
  [8524] = {.lex_state = 62, .external_lex_state = 2},
  [8525] = {.lex_state = 62, .external_lex_state = 2},
  [8526] = {.lex_state = 18, .external_lex_state = 2},
  [8527] = {.lex_state = 72, .external_lex_state = 2},
  [8528] = {.lex_state = 62, .external_lex_state = 2},
  [8529] = {.lex_state = 66, .external_lex_state = 2},
  [8530] = {.lex_state = 62, .external_lex_state = 2},
  [8531] = {.lex_state = 71, .external_lex_state = 2},
  [8532] = {.lex_state = 62, .external_lex_state = 2},
  [8533] = {.lex_state = 17, .external_lex_state = 2},
  [8534] = {.lex_state = 66, .external_lex_state = 2},
  [8535] = {.lex_state = 17, .external_lex_state = 2},
  [8536] = {.lex_state = 18, .external_lex_state = 2},
  [8537] = {.lex_state = 17, .external_lex_state = 2},
  [8538] = {.lex_state = 17, .external_lex_state = 2},
  [8539] = {.lex_state = 17, .external_lex_state = 2},
  [8540] = {.lex_state = 62, .external_lex_state = 2},
  [8541] = {.lex_state = 71, .external_lex_state = 2},
  [8542] = {.lex_state = 62, .external_lex_state = 2},
  [8543] = {.lex_state = 70, .external_lex_state = 2},
  [8544] = {.lex_state = 397, .external_lex_state = 2},
  [8545] = {.lex_state = 62, .external_lex_state = 2},
  [8546] = {.lex_state = 17, .external_lex_state = 2},
  [8547] = {.lex_state = 17, .external_lex_state = 2},
  [8548] = {.lex_state = 17, .external_lex_state = 2},
  [8549] = {.lex_state = 62, .external_lex_state = 2},
  [8550] = {.lex_state = 397, .external_lex_state = 2},
  [8551] = {.lex_state = 17, .external_lex_state = 2},
  [8552] = {.lex_state = 17, .external_lex_state = 2},
  [8553] = {.lex_state = 17, .external_lex_state = 2},
  [8554] = {.lex_state = 17, .external_lex_state = 2},
  [8555] = {.lex_state = 66, .external_lex_state = 2},
  [8556] = {.lex_state = 72, .external_lex_state = 2},
  [8557] = {.lex_state = 17, .external_lex_state = 2},
  [8558] = {.lex_state = 17, .external_lex_state = 2},
  [8559] = {.lex_state = 17, .external_lex_state = 2},
  [8560] = {.lex_state = 71, .external_lex_state = 2},
  [8561] = {.lex_state = 62, .external_lex_state = 2},
  [8562] = {.lex_state = 17, .external_lex_state = 2},
  [8563] = {.lex_state = 62, .external_lex_state = 2},
  [8564] = {.lex_state = 62, .external_lex_state = 2},
  [8565] = {.lex_state = 17, .external_lex_state = 2},
  [8566] = {.lex_state = 17, .external_lex_state = 2},
  [8567] = {.lex_state = 17, .external_lex_state = 2},
  [8568] = {.lex_state = 17, .external_lex_state = 2},
  [8569] = {.lex_state = 62, .external_lex_state = 2},
  [8570] = {.lex_state = 17, .external_lex_state = 2},
  [8571] = {.lex_state = 72, .external_lex_state = 2},
  [8572] = {.lex_state = 17, .external_lex_state = 2},
  [8573] = {.lex_state = 17, .external_lex_state = 2},
  [8574] = {.lex_state = 66, .external_lex_state = 2},
  [8575] = {.lex_state = 62, .external_lex_state = 2},
  [8576] = {.lex_state = 17, .external_lex_state = 2},
  [8577] = {.lex_state = 62, .external_lex_state = 2},
  [8578] = {.lex_state = 17, .external_lex_state = 2},
  [8579] = {.lex_state = 17, .external_lex_state = 2},
  [8580] = {.lex_state = 17, .external_lex_state = 2},
  [8581] = {.lex_state = 17, .external_lex_state = 2},
  [8582] = {.lex_state = 17, .external_lex_state = 2},
  [8583] = {.lex_state = 17, .external_lex_state = 2},
  [8584] = {.lex_state = 72, .external_lex_state = 2},
  [8585] = {.lex_state = 17, .external_lex_state = 2},
  [8586] = {.lex_state = 17, .external_lex_state = 2},
  [8587] = {.lex_state = 72, .external_lex_state = 2},
  [8588] = {.lex_state = 72, .external_lex_state = 2},
  [8589] = {.lex_state = 17, .external_lex_state = 2},
  [8590] = {.lex_state = 17, .external_lex_state = 2},
  [8591] = {.lex_state = 17, .external_lex_state = 2},
  [8592] = {.lex_state = 17, .external_lex_state = 2},
  [8593] = {.lex_state = 66, .external_lex_state = 2},
  [8594] = {.lex_state = 17, .external_lex_state = 2},
  [8595] = {.lex_state = 17, .external_lex_state = 2},
  [8596] = {.lex_state = 17, .external_lex_state = 2},
  [8597] = {.lex_state = 66, .external_lex_state = 2},
  [8598] = {.lex_state = 70, .external_lex_state = 2},
  [8599] = {.lex_state = 62, .external_lex_state = 2},
  [8600] = {.lex_state = 62, .external_lex_state = 2},
  [8601] = {.lex_state = 17, .external_lex_state = 2},
  [8602] = {.lex_state = 17, .external_lex_state = 2},
  [8603] = {.lex_state = 17, .external_lex_state = 2},
  [8604] = {.lex_state = 62, .external_lex_state = 2},
  [8605] = {.lex_state = 17, .external_lex_state = 2},
  [8606] = {.lex_state = 17, .external_lex_state = 2},
  [8607] = {.lex_state = 62, .external_lex_state = 2},
  [8608] = {.lex_state = 62, .external_lex_state = 2},
  [8609] = {.lex_state = 70, .external_lex_state = 2},
  [8610] = {.lex_state = 17, .external_lex_state = 2},
  [8611] = {.lex_state = 62, .external_lex_state = 2},
  [8612] = {.lex_state = 62, .external_lex_state = 2},
  [8613] = {.lex_state = 72, .external_lex_state = 2},
  [8614] = {.lex_state = 397, .external_lex_state = 2},
  [8615] = {.lex_state = 72, .external_lex_state = 2},
  [8616] = {.lex_state = 17, .external_lex_state = 2},
  [8617] = {.lex_state = 71, .external_lex_state = 2},
  [8618] = {.lex_state = 66, .external_lex_state = 2},
  [8619] = {.lex_state = 71, .external_lex_state = 2},
  [8620] = {.lex_state = 72, .external_lex_state = 2},
  [8621] = {.lex_state = 71, .external_lex_state = 2},
  [8622] = {.lex_state = 71, .external_lex_state = 2},
  [8623] = {.lex_state = 71, .external_lex_state = 2},
  [8624] = {.lex_state = 17, .external_lex_state = 2},
  [8625] = {.lex_state = 62, .external_lex_state = 2},
  [8626] = {.lex_state = 72, .external_lex_state = 2},
  [8627] = {.lex_state = 18, .external_lex_state = 2},
  [8628] = {.lex_state = 70, .external_lex_state = 2},
  [8629] = {.lex_state = 18, .external_lex_state = 2},
  [8630] = {.lex_state = 18, .external_lex_state = 2},
  [8631] = {.lex_state = 18, .external_lex_state = 2},
  [8632] = {.lex_state = 71, .external_lex_state = 2},
  [8633] = {.lex_state = 72, .external_lex_state = 2},
  [8634] = {.lex_state = 72, .external_lex_state = 2},
  [8635] = {.lex_state = 70, .external_lex_state = 2},
  [8636] = {.lex_state = 70, .external_lex_state = 2},
  [8637] = {.lex_state = 17, .external_lex_state = 2},
  [8638] = {.lex_state = 72, .external_lex_state = 2},
  [8639] = {.lex_state = 397, .external_lex_state = 2},
  [8640] = {.lex_state = 72, .external_lex_state = 2},
  [8641] = {.lex_state = 17, .external_lex_state = 2},
  [8642] = {.lex_state = 70, .external_lex_state = 2},
  [8643] = {.lex_state = 62, .external_lex_state = 2},
  [8644] = {.lex_state = 18, .external_lex_state = 2},
  [8645] = {.lex_state = 17, .external_lex_state = 2},
  [8646] = {.lex_state = 18, .external_lex_state = 2},
  [8647] = {.lex_state = 63, .external_lex_state = 2},
  [8648] = {.lex_state = 397, .external_lex_state = 2},
  [8649] = {.lex_state = 17, .external_lex_state = 2},
  [8650] = {.lex_state = 72, .external_lex_state = 2},
  [8651] = {.lex_state = 18, .external_lex_state = 2},
  [8652] = {.lex_state = 18, .external_lex_state = 2},
  [8653] = {.lex_state = 72, .external_lex_state = 2},
  [8654] = {.lex_state = 70, .external_lex_state = 2},
  [8655] = {.lex_state = 72, .external_lex_state = 2},
  [8656] = {.lex_state = 70, .external_lex_state = 2},
  [8657] = {.lex_state = 70, .external_lex_state = 2},
  [8658] = {.lex_state = 429, .external_lex_state = 3},
  [8659] = {.lex_state = 18, .external_lex_state = 2},
  [8660] = {.lex_state = 17, .external_lex_state = 2},
  [8661] = {.lex_state = 70, .external_lex_state = 2},
  [8662] = {.lex_state = 70, .external_lex_state = 2},
  [8663] = {.lex_state = 70, .external_lex_state = 2},
  [8664] = {.lex_state = 70, .external_lex_state = 2},
  [8665] = {.lex_state = 72, .external_lex_state = 2},
  [8666] = {.lex_state = 17, .external_lex_state = 2},
  [8667] = {.lex_state = 70, .external_lex_state = 2},
  [8668] = {.lex_state = 72, .external_lex_state = 2},
  [8669] = {.lex_state = 17, .external_lex_state = 2},
  [8670] = {.lex_state = 397, .external_lex_state = 2},
  [8671] = {.lex_state = 72, .external_lex_state = 2},
  [8672] = {.lex_state = 71, .external_lex_state = 2},
  [8673] = {.lex_state = 18, .external_lex_state = 2},
  [8674] = {.lex_state = 72, .external_lex_state = 2},
  [8675] = {.lex_state = 62, .external_lex_state = 2},
  [8676] = {.lex_state = 62, .external_lex_state = 2},
  [8677] = {.lex_state = 18, .external_lex_state = 2},
  [8678] = {.lex_state = 71, .external_lex_state = 2},
  [8679] = {.lex_state = 72, .external_lex_state = 2},
  [8680] = {.lex_state = 72, .external_lex_state = 2},
  [8681] = {.lex_state = 71, .external_lex_state = 2},
  [8682] = {.lex_state = 17, .external_lex_state = 2},
  [8683] = {.lex_state = 70, .external_lex_state = 2},
  [8684] = {.lex_state = 62, .external_lex_state = 2},
  [8685] = {.lex_state = 71, .external_lex_state = 2},
  [8686] = {.lex_state = 18, .external_lex_state = 2},
  [8687] = {.lex_state = 62, .external_lex_state = 2},
  [8688] = {.lex_state = 72, .external_lex_state = 2},
  [8689] = {.lex_state = 72, .external_lex_state = 2},
  [8690] = {.lex_state = 70, .external_lex_state = 2},
  [8691] = {.lex_state = 70, .external_lex_state = 2},
  [8692] = {.lex_state = 70, .external_lex_state = 2},
  [8693] = {.lex_state = 18, .external_lex_state = 2},
  [8694] = {.lex_state = 70, .external_lex_state = 2},
  [8695] = {.lex_state = 70, .external_lex_state = 2},
  [8696] = {.lex_state = 70, .external_lex_state = 2},
  [8697] = {.lex_state = 70, .external_lex_state = 2},
  [8698] = {.lex_state = 429, .external_lex_state = 3},
  [8699] = {.lex_state = 18, .external_lex_state = 2},
  [8700] = {.lex_state = 71, .external_lex_state = 2},
  [8701] = {.lex_state = 62, .external_lex_state = 2},
  [8702] = {.lex_state = 72, .external_lex_state = 2},
  [8703] = {.lex_state = 71, .external_lex_state = 2},
  [8704] = {.lex_state = 18, .external_lex_state = 2},
  [8705] = {.lex_state = 70, .external_lex_state = 2},
  [8706] = {.lex_state = 71, .external_lex_state = 2},
  [8707] = {.lex_state = 71, .external_lex_state = 2},
  [8708] = {.lex_state = 17, .external_lex_state = 2},
  [8709] = {.lex_state = 70, .external_lex_state = 2},
  [8710] = {.lex_state = 66, .external_lex_state = 2},
  [8711] = {.lex_state = 70, .external_lex_state = 2},
  [8712] = {.lex_state = 397, .external_lex_state = 2},
  [8713] = {.lex_state = 70, .external_lex_state = 2},
  [8714] = {.lex_state = 18, .external_lex_state = 2},
  [8715] = {.lex_state = 18, .external_lex_state = 2},
  [8716] = {.lex_state = 71, .external_lex_state = 2},
  [8717] = {.lex_state = 17, .external_lex_state = 2},
  [8718] = {.lex_state = 397, .external_lex_state = 2},
  [8719] = {.lex_state = 62, .external_lex_state = 2},
  [8720] = {.lex_state = 72, .external_lex_state = 2},
  [8721] = {.lex_state = 70, .external_lex_state = 2},
  [8722] = {.lex_state = 70, .external_lex_state = 2},
  [8723] = {.lex_state = 70, .external_lex_state = 2},
  [8724] = {.lex_state = 62, .external_lex_state = 2},
  [8725] = {.lex_state = 72, .external_lex_state = 2},
  [8726] = {.lex_state = 70, .external_lex_state = 2},
  [8727] = {.lex_state = 62, .external_lex_state = 2},
  [8728] = {.lex_state = 72, .external_lex_state = 2},
  [8729] = {.lex_state = 70, .external_lex_state = 2},
  [8730] = {.lex_state = 18, .external_lex_state = 2},
  [8731] = {.lex_state = 130, .external_lex_state = 3},
  [8732] = {.lex_state = 130, .external_lex_state = 3},
  [8733] = {.lex_state = 130, .external_lex_state = 3},
  [8734] = {.lex_state = 130, .external_lex_state = 3},
  [8735] = {.lex_state = 130, .external_lex_state = 3},
  [8736] = {.lex_state = 130, .external_lex_state = 3},
  [8737] = {.lex_state = 130, .external_lex_state = 3},
  [8738] = {.lex_state = 130, .external_lex_state = 3},
  [8739] = {.lex_state = 130, .external_lex_state = 3},
  [8740] = {.lex_state = 130, .external_lex_state = 3},
  [8741] = {.lex_state = 130, .external_lex_state = 3},
  [8742] = {.lex_state = 130, .external_lex_state = 3},
  [8743] = {.lex_state = 130, .external_lex_state = 3},
  [8744] = {.lex_state = 130, .external_lex_state = 3},
  [8745] = {.lex_state = 432, .external_lex_state = 2},
  [8746] = {.lex_state = 130, .external_lex_state = 3},
  [8747] = {.lex_state = 432, .external_lex_state = 2},
  [8748] = {.lex_state = 130, .external_lex_state = 3},
  [8749] = {.lex_state = 130, .external_lex_state = 3},
  [8750] = {.lex_state = 130, .external_lex_state = 3},
  [8751] = {.lex_state = 130, .external_lex_state = 3},
  [8752] = {.lex_state = 130, .external_lex_state = 3},
  [8753] = {.lex_state = 130, .external_lex_state = 3},
  [8754] = {.lex_state = 68, .external_lex_state = 2},
  [8755] = {.lex_state = 13, .external_lex_state = 2},
  [8756] = {.lex_state = 168, .external_lex_state = 2},
  [8757] = {.lex_state = 130, .external_lex_state = 3},
  [8758] = {.lex_state = 130, .external_lex_state = 3},
  [8759] = {.lex_state = 61, .external_lex_state = 2},
  [8760] = {.lex_state = 13, .external_lex_state = 2},
  [8761] = {.lex_state = 69, .external_lex_state = 2},
  [8762] = {.lex_state = 13, .external_lex_state = 2},
  [8763] = {.lex_state = 13, .external_lex_state = 2},
  [8764] = {.lex_state = 13, .external_lex_state = 2},
  [8765] = {.lex_state = 67, .external_lex_state = 2},
  [8766] = {.lex_state = 13, .external_lex_state = 2},
  [8767] = {.lex_state = 13, .external_lex_state = 2},
  [8768] = {.lex_state = 432, .external_lex_state = 2},
  [8769] = {.lex_state = 13, .external_lex_state = 2},
  [8770] = {.lex_state = 13, .external_lex_state = 2},
  [8771] = {.lex_state = 432, .external_lex_state = 2},
  [8772] = {.lex_state = 432, .external_lex_state = 2},
  [8773] = {.lex_state = 432, .external_lex_state = 2},
  [8774] = {.lex_state = 432, .external_lex_state = 2},
  [8775] = {.lex_state = 432, .external_lex_state = 2},
  [8776] = {.lex_state = 432, .external_lex_state = 2},
  [8777] = {.lex_state = 432, .external_lex_state = 2},
  [8778] = {.lex_state = 432, .external_lex_state = 2},
  [8779] = {.lex_state = 145, .external_lex_state = 2},
  [8780] = {.lex_state = 145, .external_lex_state = 2},
  [8781] = {.lex_state = 13, .external_lex_state = 2},
  [8782] = {.lex_state = 13, .external_lex_state = 2},
  [8783] = {.lex_state = 65, .external_lex_state = 2},
  [8784] = {.lex_state = 13, .external_lex_state = 2},
  [8785] = {.lex_state = 13, .external_lex_state = 2},
  [8786] = {.lex_state = 13, .external_lex_state = 2},
  [8787] = {.lex_state = 13, .external_lex_state = 2},
  [8788] = {.lex_state = 13, .external_lex_state = 2},
  [8789] = {.lex_state = 13, .external_lex_state = 2},
  [8790] = {.lex_state = 13, .external_lex_state = 2},
  [8791] = {.lex_state = 13, .external_lex_state = 2},
  [8792] = {.lex_state = 13, .external_lex_state = 2},
  [8793] = {.lex_state = 63, .external_lex_state = 2},
  [8794] = {.lex_state = 63, .external_lex_state = 2},
  [8795] = {.lex_state = 432, .external_lex_state = 2},
  [8796] = {.lex_state = 432, .external_lex_state = 2},
  [8797] = {.lex_state = 130, .external_lex_state = 3},
  [8798] = {.lex_state = 130, .external_lex_state = 3},
  [8799] = {.lex_state = 130, .external_lex_state = 3},
  [8800] = {.lex_state = 130, .external_lex_state = 3},
  [8801] = {.lex_state = 130, .external_lex_state = 3},
  [8802] = {.lex_state = 432, .external_lex_state = 2},
  [8803] = {.lex_state = 130, .external_lex_state = 3},
  [8804] = {.lex_state = 130, .external_lex_state = 3},
  [8805] = {.lex_state = 432, .external_lex_state = 2},
  [8806] = {.lex_state = 130, .external_lex_state = 3},
  [8807] = {.lex_state = 130, .external_lex_state = 3},
  [8808] = {.lex_state = 432, .external_lex_state = 2},
  [8809] = {.lex_state = 432, .external_lex_state = 2},
  [8810] = {.lex_state = 130, .external_lex_state = 3},
  [8811] = {.lex_state = 432, .external_lex_state = 2},
  [8812] = {.lex_state = 432, .external_lex_state = 2},
  [8813] = {.lex_state = 432, .external_lex_state = 2},
  [8814] = {.lex_state = 432, .external_lex_state = 2},
  [8815] = {.lex_state = 432, .external_lex_state = 2},
  [8816] = {.lex_state = 432, .external_lex_state = 2},
  [8817] = {.lex_state = 432, .external_lex_state = 2},
  [8818] = {.lex_state = 432, .external_lex_state = 2},
  [8819] = {.lex_state = 432, .external_lex_state = 2},
  [8820] = {.lex_state = 432, .external_lex_state = 2},
  [8821] = {.lex_state = 427, .external_lex_state = 3},
  [8822] = {.lex_state = 130, .external_lex_state = 3},
  [8823] = {.lex_state = 130, .external_lex_state = 3},
  [8824] = {.lex_state = 130, .external_lex_state = 3},
  [8825] = {.lex_state = 432, .external_lex_state = 2},
  [8826] = {.lex_state = 432, .external_lex_state = 2},
  [8827] = {.lex_state = 130, .external_lex_state = 3},
  [8828] = {.lex_state = 130, .external_lex_state = 3},
  [8829] = {.lex_state = 130, .external_lex_state = 3},
  [8830] = {.lex_state = 130, .external_lex_state = 3},
  [8831] = {.lex_state = 130, .external_lex_state = 3},
  [8832] = {.lex_state = 432, .external_lex_state = 2},
  [8833] = {.lex_state = 432, .external_lex_state = 2},
  [8834] = {.lex_state = 130, .external_lex_state = 3},
  [8835] = {.lex_state = 130, .external_lex_state = 3},
  [8836] = {.lex_state = 130, .external_lex_state = 3},
  [8837] = {.lex_state = 432, .external_lex_state = 2},
  [8838] = {.lex_state = 432, .external_lex_state = 2},
  [8839] = {.lex_state = 432, .external_lex_state = 2},
  [8840] = {.lex_state = 432, .external_lex_state = 2},
  [8841] = {.lex_state = 432, .external_lex_state = 2},
  [8842] = {.lex_state = 130, .external_lex_state = 3},
  [8843] = {.lex_state = 432, .external_lex_state = 2},
  [8844] = {.lex_state = 432, .external_lex_state = 2},
  [8845] = {.lex_state = 130, .external_lex_state = 3},
  [8846] = {.lex_state = 130, .external_lex_state = 3},
  [8847] = {.lex_state = 130, .external_lex_state = 3},
  [8848] = {.lex_state = 432, .external_lex_state = 2},
  [8849] = {.lex_state = 130, .external_lex_state = 3},
  [8850] = {.lex_state = 130, .external_lex_state = 3},
  [8851] = {.lex_state = 432, .external_lex_state = 2},
  [8852] = {.lex_state = 432, .external_lex_state = 2},
  [8853] = {.lex_state = 432, .external_lex_state = 2},
  [8854] = {.lex_state = 64, .external_lex_state = 2},
  [8855] = {.lex_state = 427, .external_lex_state = 3},
  [8856] = {.lex_state = 432, .external_lex_state = 2},
  [8857] = {.lex_state = 13, .external_lex_state = 2},
  [8858] = {.lex_state = 432, .external_lex_state = 2},
  [8859] = {.lex_state = 432, .external_lex_state = 2},
  [8860] = {.lex_state = 130, .external_lex_state = 3},
  [8861] = {.lex_state = 13, .external_lex_state = 2},
  [8862] = {.lex_state = 13, .external_lex_state = 2},
  [8863] = {.lex_state = 130, .external_lex_state = 3},
  [8864] = {.lex_state = 13, .external_lex_state = 2},
  [8865] = {.lex_state = 432, .external_lex_state = 2},
  [8866] = {.lex_state = 130, .external_lex_state = 3},
  [8867] = {.lex_state = 130, .external_lex_state = 3},
  [8868] = {.lex_state = 130, .external_lex_state = 3},
  [8869] = {.lex_state = 130, .external_lex_state = 3},
  [8870] = {.lex_state = 130, .external_lex_state = 3},
  [8871] = {.lex_state = 432, .external_lex_state = 2},
  [8872] = {.lex_state = 432, .external_lex_state = 2},
  [8873] = {.lex_state = 432, .external_lex_state = 2},
  [8874] = {.lex_state = 432, .external_lex_state = 2},
  [8875] = {.lex_state = 432, .external_lex_state = 2},
  [8876] = {.lex_state = 130, .external_lex_state = 3},
  [8877] = {.lex_state = 130, .external_lex_state = 3},
  [8878] = {.lex_state = 130, .external_lex_state = 3},
  [8879] = {.lex_state = 130, .external_lex_state = 3},
  [8880] = {.lex_state = 427, .external_lex_state = 3},
  [8881] = {.lex_state = 130, .external_lex_state = 3},
  [8882] = {.lex_state = 432, .external_lex_state = 2},
  [8883] = {.lex_state = 130, .external_lex_state = 3},
  [8884] = {.lex_state = 130, .external_lex_state = 3},
  [8885] = {.lex_state = 130, .external_lex_state = 3},
  [8886] = {.lex_state = 130, .external_lex_state = 3},
  [8887] = {.lex_state = 130, .external_lex_state = 3},
  [8888] = {.lex_state = 130, .external_lex_state = 3},
  [8889] = {.lex_state = 130, .external_lex_state = 3},
  [8890] = {.lex_state = 130, .external_lex_state = 3},
  [8891] = {.lex_state = 130, .external_lex_state = 3},
  [8892] = {.lex_state = 432, .external_lex_state = 2},
  [8893] = {.lex_state = 432, .external_lex_state = 2},
  [8894] = {.lex_state = 432, .external_lex_state = 2},
  [8895] = {.lex_state = 432, .external_lex_state = 2},
  [8896] = {.lex_state = 432, .external_lex_state = 2},
  [8897] = {.lex_state = 130, .external_lex_state = 3},
  [8898] = {.lex_state = 130, .external_lex_state = 3},
  [8899] = {.lex_state = 130, .external_lex_state = 3},
  [8900] = {.lex_state = 130, .external_lex_state = 3},
  [8901] = {.lex_state = 130, .external_lex_state = 3},
  [8902] = {.lex_state = 130, .external_lex_state = 3},
  [8903] = {.lex_state = 130, .external_lex_state = 3},
  [8904] = {.lex_state = 130, .external_lex_state = 3},
  [8905] = {.lex_state = 130, .external_lex_state = 3},
  [8906] = {.lex_state = 130, .external_lex_state = 3},
  [8907] = {.lex_state = 130, .external_lex_state = 3},
  [8908] = {.lex_state = 130, .external_lex_state = 3},
  [8909] = {.lex_state = 432, .external_lex_state = 2},
  [8910] = {.lex_state = 432, .external_lex_state = 2},
  [8911] = {.lex_state = 432, .external_lex_state = 2},
  [8912] = {.lex_state = 432, .external_lex_state = 2},
  [8913] = {.lex_state = 130, .external_lex_state = 3},
  [8914] = {.lex_state = 130, .external_lex_state = 3},
  [8915] = {.lex_state = 130, .external_lex_state = 3},
  [8916] = {.lex_state = 130, .external_lex_state = 3},
  [8917] = {.lex_state = 130, .external_lex_state = 3},
  [8918] = {.lex_state = 130, .external_lex_state = 3},
  [8919] = {.lex_state = 429, .external_lex_state = 3},
  [8920] = {.lex_state = 7, .external_lex_state = 3},
  [8921] = {.lex_state = 429, .external_lex_state = 3},
  [8922] = {.lex_state = 7, .external_lex_state = 3},
  [8923] = {.lex_state = 7, .external_lex_state = 3},
  [8924] = {.lex_state = 131, .external_lex_state = 3},
  [8925] = {.lex_state = 7, .external_lex_state = 3},
  [8926] = {.lex_state = 145, .external_lex_state = 2},
  [8927] = {.lex_state = 131, .external_lex_state = 3},
  [8928] = {.lex_state = 7, .external_lex_state = 3},
  [8929] = {.lex_state = 145, .external_lex_state = 2},
  [8930] = {.lex_state = 145, .external_lex_state = 2},
  [8931] = {.lex_state = 131, .external_lex_state = 3},
  [8932] = {.lex_state = 131, .external_lex_state = 3},
  [8933] = {.lex_state = 131, .external_lex_state = 3},
  [8934] = {.lex_state = 145, .external_lex_state = 2},
  [8935] = {.lex_state = 7, .external_lex_state = 3},
  [8936] = {.lex_state = 145, .external_lex_state = 2},
  [8937] = {.lex_state = 145, .external_lex_state = 2},
  [8938] = {.lex_state = 145, .external_lex_state = 2},
  [8939] = {.lex_state = 145, .external_lex_state = 2},
  [8940] = {.lex_state = 70, .external_lex_state = 2},
  [8941] = {.lex_state = 7, .external_lex_state = 3},
  [8942] = {.lex_state = 145, .external_lex_state = 2},
  [8943] = {.lex_state = 145, .external_lex_state = 2},
  [8944] = {.lex_state = 145, .external_lex_state = 2},
  [8945] = {.lex_state = 145, .external_lex_state = 2},
  [8946] = {.lex_state = 145, .external_lex_state = 2},
  [8947] = {.lex_state = 7, .external_lex_state = 3},
  [8948] = {.lex_state = 145, .external_lex_state = 2},
  [8949] = {.lex_state = 145, .external_lex_state = 2},
  [8950] = {.lex_state = 145, .external_lex_state = 2},
  [8951] = {.lex_state = 145, .external_lex_state = 2},
  [8952] = {.lex_state = 131, .external_lex_state = 3},
  [8953] = {.lex_state = 145, .external_lex_state = 2},
  [8954] = {.lex_state = 145, .external_lex_state = 2},
  [8955] = {.lex_state = 17, .external_lex_state = 2},
  [8956] = {.lex_state = 145, .external_lex_state = 2},
  [8957] = {.lex_state = 145, .external_lex_state = 2},
  [8958] = {.lex_state = 7, .external_lex_state = 3},
  [8959] = {.lex_state = 145, .external_lex_state = 2},
  [8960] = {.lex_state = 145, .external_lex_state = 2},
  [8961] = {.lex_state = 145, .external_lex_state = 2},
  [8962] = {.lex_state = 131, .external_lex_state = 3},
  [8963] = {.lex_state = 131, .external_lex_state = 3},
  [8964] = {.lex_state = 145, .external_lex_state = 2},
  [8965] = {.lex_state = 145, .external_lex_state = 2},
  [8966] = {.lex_state = 145, .external_lex_state = 2},
  [8967] = {.lex_state = 145, .external_lex_state = 2},
  [8968] = {.lex_state = 7, .external_lex_state = 3},
  [8969] = {.lex_state = 429, .external_lex_state = 3},
  [8970] = {.lex_state = 145, .external_lex_state = 2},
  [8971] = {.lex_state = 145, .external_lex_state = 2},
  [8972] = {.lex_state = 145, .external_lex_state = 2},
  [8973] = {.lex_state = 145, .external_lex_state = 2},
  [8974] = {.lex_state = 145, .external_lex_state = 2},
  [8975] = {.lex_state = 7, .external_lex_state = 3},
  [8976] = {.lex_state = 7, .external_lex_state = 3},
  [8977] = {.lex_state = 429, .external_lex_state = 3},
  [8978] = {.lex_state = 145, .external_lex_state = 2},
  [8979] = {.lex_state = 145, .external_lex_state = 2},
  [8980] = {.lex_state = 131, .external_lex_state = 3},
  [8981] = {.lex_state = 145, .external_lex_state = 2},
  [8982] = {.lex_state = 7, .external_lex_state = 3},
  [8983] = {.lex_state = 7, .external_lex_state = 3},
  [8984] = {.lex_state = 131, .external_lex_state = 3},
  [8985] = {.lex_state = 65, .external_lex_state = 2},
  [8986] = {.lex_state = 131, .external_lex_state = 3},
  [8987] = {.lex_state = 131, .external_lex_state = 3},
  [8988] = {.lex_state = 7, .external_lex_state = 3},
  [8989] = {.lex_state = 131, .external_lex_state = 3},
  [8990] = {.lex_state = 131, .external_lex_state = 3},
  [8991] = {.lex_state = 131, .external_lex_state = 3},
  [8992] = {.lex_state = 131, .external_lex_state = 3},
  [8993] = {.lex_state = 65, .external_lex_state = 2},
  [8994] = {.lex_state = 131, .external_lex_state = 3},
  [8995] = {.lex_state = 131, .external_lex_state = 3},
  [8996] = {.lex_state = 7, .external_lex_state = 3},
  [8997] = {.lex_state = 131, .external_lex_state = 3},
  [8998] = {.lex_state = 18, .external_lex_state = 2},
  [8999] = {.lex_state = 145, .external_lex_state = 2},
  [9000] = {.lex_state = 145, .external_lex_state = 2},
  [9001] = {.lex_state = 145, .external_lex_state = 2},
  [9002] = {.lex_state = 145, .external_lex_state = 2},
  [9003] = {.lex_state = 145, .external_lex_state = 2},
  [9004] = {.lex_state = 429, .external_lex_state = 3},
  [9005] = {.lex_state = 429, .external_lex_state = 3},
  [9006] = {.lex_state = 145, .external_lex_state = 2},
  [9007] = {.lex_state = 429, .external_lex_state = 3},
  [9008] = {.lex_state = 145, .external_lex_state = 2},
  [9009] = {.lex_state = 145, .external_lex_state = 2},
  [9010] = {.lex_state = 145, .external_lex_state = 2},
  [9011] = {.lex_state = 429, .external_lex_state = 3},
  [9012] = {.lex_state = 145, .external_lex_state = 2},
  [9013] = {.lex_state = 429, .external_lex_state = 3},
  [9014] = {.lex_state = 429, .external_lex_state = 3},
  [9015] = {.lex_state = 145, .external_lex_state = 2},
  [9016] = {.lex_state = 145, .external_lex_state = 2},
  [9017] = {.lex_state = 429, .external_lex_state = 3},
  [9018] = {.lex_state = 429, .external_lex_state = 3},
  [9019] = {.lex_state = 145, .external_lex_state = 2},
  [9020] = {.lex_state = 7, .external_lex_state = 3},
  [9021] = {.lex_state = 429, .external_lex_state = 3},
  [9022] = {.lex_state = 429, .external_lex_state = 3},
  [9023] = {.lex_state = 7, .external_lex_state = 3},
  [9024] = {.lex_state = 429, .external_lex_state = 3},
  [9025] = {.lex_state = 131, .external_lex_state = 3},
  [9026] = {.lex_state = 131, .external_lex_state = 3},
  [9027] = {.lex_state = 131, .external_lex_state = 3},
  [9028] = {.lex_state = 7, .external_lex_state = 3},
  [9029] = {.lex_state = 7, .external_lex_state = 3},
  [9030] = {.lex_state = 131, .external_lex_state = 3},
  [9031] = {.lex_state = 429, .external_lex_state = 3},
  [9032] = {.lex_state = 429, .external_lex_state = 3},
  [9033] = {.lex_state = 145, .external_lex_state = 2},
  [9034] = {.lex_state = 145, .external_lex_state = 2},
  [9035] = {.lex_state = 7, .external_lex_state = 3},
  [9036] = {.lex_state = 131, .external_lex_state = 3},
  [9037] = {.lex_state = 131, .external_lex_state = 3},
  [9038] = {.lex_state = 66, .external_lex_state = 2},
  [9039] = {.lex_state = 429, .external_lex_state = 3},
  [9040] = {.lex_state = 429, .external_lex_state = 3},
  [9041] = {.lex_state = 68, .external_lex_state = 2},
  [9042] = {.lex_state = 429, .external_lex_state = 3},
  [9043] = {.lex_state = 429, .external_lex_state = 3},
  [9044] = {.lex_state = 429, .external_lex_state = 3},
  [9045] = {.lex_state = 145, .external_lex_state = 2},
  [9046] = {.lex_state = 429, .external_lex_state = 3},
  [9047] = {.lex_state = 131, .external_lex_state = 3},
  [9048] = {.lex_state = 429, .external_lex_state = 3},
  [9049] = {.lex_state = 131, .external_lex_state = 3},
  [9050] = {.lex_state = 429, .external_lex_state = 3},
  [9051] = {.lex_state = 429, .external_lex_state = 3},
  [9052] = {.lex_state = 429, .external_lex_state = 3},
  [9053] = {.lex_state = 62, .external_lex_state = 2},
  [9054] = {.lex_state = 429, .external_lex_state = 3},
  [9055] = {.lex_state = 429, .external_lex_state = 3},
  [9056] = {.lex_state = 429, .external_lex_state = 3},
  [9057] = {.lex_state = 429, .external_lex_state = 3},
  [9058] = {.lex_state = 429, .external_lex_state = 3},
  [9059] = {.lex_state = 429, .external_lex_state = 3},
  [9060] = {.lex_state = 429, .external_lex_state = 3},
  [9061] = {.lex_state = 429, .external_lex_state = 3},
  [9062] = {.lex_state = 429, .external_lex_state = 3},
  [9063] = {.lex_state = 429, .external_lex_state = 3},
  [9064] = {.lex_state = 429, .external_lex_state = 3},
  [9065] = {.lex_state = 429, .external_lex_state = 3},
  [9066] = {.lex_state = 429, .external_lex_state = 3},
  [9067] = {.lex_state = 429, .external_lex_state = 3},
  [9068] = {.lex_state = 429, .external_lex_state = 3},
  [9069] = {.lex_state = 429, .external_lex_state = 3},
  [9070] = {.lex_state = 429, .external_lex_state = 3},
  [9071] = {.lex_state = 429, .external_lex_state = 3},
  [9072] = {.lex_state = 429, .external_lex_state = 3},
  [9073] = {.lex_state = 429, .external_lex_state = 3},
  [9074] = {.lex_state = 72, .external_lex_state = 2},
  [9075] = {.lex_state = 145, .external_lex_state = 2},
  [9076] = {.lex_state = 429, .external_lex_state = 3},
  [9077] = {.lex_state = 429, .external_lex_state = 3},
  [9078] = {.lex_state = 429, .external_lex_state = 3},
  [9079] = {.lex_state = 429, .external_lex_state = 3},
  [9080] = {.lex_state = 429, .external_lex_state = 3},
  [9081] = {.lex_state = 429, .external_lex_state = 3},
  [9082] = {.lex_state = 429, .external_lex_state = 3},
  [9083] = {.lex_state = 429, .external_lex_state = 3},
  [9084] = {.lex_state = 68, .external_lex_state = 2},
  [9085] = {.lex_state = 429, .external_lex_state = 3},
  [9086] = {.lex_state = 429, .external_lex_state = 3},
  [9087] = {.lex_state = 429, .external_lex_state = 3},
  [9088] = {.lex_state = 64, .external_lex_state = 2},
  [9089] = {.lex_state = 429, .external_lex_state = 3},
  [9090] = {.lex_state = 429, .external_lex_state = 3},
  [9091] = {.lex_state = 429, .external_lex_state = 3},
  [9092] = {.lex_state = 429, .external_lex_state = 3},
  [9093] = {.lex_state = 429, .external_lex_state = 3},
  [9094] = {.lex_state = 131, .external_lex_state = 3},
  [9095] = {.lex_state = 429, .external_lex_state = 3},
  [9096] = {.lex_state = 131, .external_lex_state = 3},
  [9097] = {.lex_state = 429, .external_lex_state = 3},
  [9098] = {.lex_state = 131, .external_lex_state = 3},
  [9099] = {.lex_state = 429, .external_lex_state = 3},
  [9100] = {.lex_state = 131, .external_lex_state = 3},
  [9101] = {.lex_state = 131, .external_lex_state = 3},
  [9102] = {.lex_state = 429, .external_lex_state = 3},
  [9103] = {.lex_state = 131, .external_lex_state = 3},
  [9104] = {.lex_state = 61, .external_lex_state = 2},
  [9105] = {.lex_state = 131, .external_lex_state = 3},
  [9106] = {.lex_state = 131, .external_lex_state = 3},
  [9107] = {.lex_state = 131, .external_lex_state = 3},
  [9108] = {.lex_state = 131, .external_lex_state = 3},
  [9109] = {.lex_state = 131, .external_lex_state = 3},
  [9110] = {.lex_state = 131, .external_lex_state = 3},
  [9111] = {.lex_state = 131, .external_lex_state = 3},
  [9112] = {.lex_state = 131, .external_lex_state = 3},
  [9113] = {.lex_state = 131, .external_lex_state = 3},
  [9114] = {.lex_state = 131, .external_lex_state = 3},
  [9115] = {.lex_state = 131, .external_lex_state = 3},
  [9116] = {.lex_state = 429, .external_lex_state = 3},
  [9117] = {.lex_state = 131, .external_lex_state = 3},
  [9118] = {.lex_state = 131, .external_lex_state = 3},
  [9119] = {.lex_state = 131, .external_lex_state = 3},
  [9120] = {.lex_state = 131, .external_lex_state = 3},
  [9121] = {.lex_state = 131, .external_lex_state = 3},
  [9122] = {.lex_state = 71, .external_lex_state = 2},
  [9123] = {.lex_state = 131, .external_lex_state = 3},
  [9124] = {.lex_state = 131, .external_lex_state = 3},
  [9125] = {.lex_state = 131, .external_lex_state = 3},
  [9126] = {.lex_state = 429, .external_lex_state = 3},
  [9127] = {.lex_state = 131, .external_lex_state = 3},
  [9128] = {.lex_state = 131, .external_lex_state = 3},
  [9129] = {.lex_state = 131, .external_lex_state = 3},
  [9130] = {.lex_state = 131, .external_lex_state = 3},
  [9131] = {.lex_state = 131, .external_lex_state = 3},
  [9132] = {.lex_state = 131, .external_lex_state = 3},
  [9133] = {.lex_state = 131, .external_lex_state = 3},
  [9134] = {.lex_state = 131, .external_lex_state = 3},
  [9135] = {.lex_state = 131, .external_lex_state = 3},
  [9136] = {.lex_state = 131, .external_lex_state = 3},
  [9137] = {.lex_state = 131, .external_lex_state = 3},
  [9138] = {.lex_state = 131, .external_lex_state = 3},
  [9139] = {.lex_state = 131, .external_lex_state = 3},
  [9140] = {.lex_state = 131, .external_lex_state = 3},
  [9141] = {.lex_state = 131, .external_lex_state = 3},
  [9142] = {.lex_state = 61, .external_lex_state = 2},
  [9143] = {.lex_state = 131, .external_lex_state = 3},
  [9144] = {.lex_state = 131, .external_lex_state = 3},
  [9145] = {.lex_state = 131, .external_lex_state = 3},
  [9146] = {.lex_state = 131, .external_lex_state = 3},
  [9147] = {.lex_state = 131, .external_lex_state = 3},
  [9148] = {.lex_state = 429, .external_lex_state = 3},
  [9149] = {.lex_state = 429, .external_lex_state = 3},
  [9150] = {.lex_state = 7, .external_lex_state = 3},
  [9151] = {.lex_state = 131, .external_lex_state = 3},
  [9152] = {.lex_state = 429, .external_lex_state = 3},
  [9153] = {.lex_state = 131, .external_lex_state = 3},
  [9154] = {.lex_state = 429, .external_lex_state = 3},
  [9155] = {.lex_state = 429, .external_lex_state = 3},
  [9156] = {.lex_state = 131, .external_lex_state = 3},
  [9157] = {.lex_state = 429, .external_lex_state = 3},
  [9158] = {.lex_state = 429, .external_lex_state = 3},
  [9159] = {.lex_state = 429, .external_lex_state = 3},
  [9160] = {.lex_state = 429, .external_lex_state = 3},
  [9161] = {.lex_state = 429, .external_lex_state = 3},
  [9162] = {.lex_state = 69, .external_lex_state = 2},
  [9163] = {.lex_state = 429, .external_lex_state = 3},
  [9164] = {.lex_state = 429, .external_lex_state = 3},
  [9165] = {.lex_state = 429, .external_lex_state = 3},
  [9166] = {.lex_state = 429, .external_lex_state = 3},
  [9167] = {.lex_state = 145, .external_lex_state = 2},
  [9168] = {.lex_state = 429, .external_lex_state = 3},
  [9169] = {.lex_state = 145, .external_lex_state = 2},
  [9170] = {.lex_state = 131, .external_lex_state = 3},
  [9171] = {.lex_state = 131, .external_lex_state = 3},
  [9172] = {.lex_state = 64, .external_lex_state = 2},
  [9173] = {.lex_state = 131, .external_lex_state = 3},
  [9174] = {.lex_state = 131, .external_lex_state = 3},
  [9175] = {.lex_state = 131, .external_lex_state = 3},
  [9176] = {.lex_state = 131, .external_lex_state = 3},
  [9177] = {.lex_state = 131, .external_lex_state = 3},
  [9178] = {.lex_state = 131, .external_lex_state = 3},
  [9179] = {.lex_state = 131, .external_lex_state = 3},
  [9180] = {.lex_state = 131, .external_lex_state = 3},
  [9181] = {.lex_state = 131, .external_lex_state = 3},
  [9182] = {.lex_state = 131, .external_lex_state = 3},
  [9183] = {.lex_state = 131, .external_lex_state = 3},
  [9184] = {.lex_state = 429, .external_lex_state = 3},
  [9185] = {.lex_state = 7, .external_lex_state = 3},
  [9186] = {.lex_state = 69, .external_lex_state = 2},
  [9187] = {.lex_state = 429, .external_lex_state = 3},
  [9188] = {.lex_state = 67, .external_lex_state = 2},
  [9189] = {.lex_state = 429, .external_lex_state = 3},
  [9190] = {.lex_state = 145, .external_lex_state = 2},
  [9191] = {.lex_state = 429, .external_lex_state = 3},
  [9192] = {.lex_state = 145, .external_lex_state = 2},
  [9193] = {.lex_state = 7, .external_lex_state = 3},
  [9194] = {.lex_state = 429, .external_lex_state = 3},
  [9195] = {.lex_state = 429, .external_lex_state = 3},
  [9196] = {.lex_state = 145, .external_lex_state = 2},
  [9197] = {.lex_state = 145, .external_lex_state = 2},
  [9198] = {.lex_state = 145, .external_lex_state = 2},
  [9199] = {.lex_state = 67, .external_lex_state = 2},
  [9200] = {.lex_state = 145, .external_lex_state = 2},
  [9201] = {.lex_state = 7, .external_lex_state = 3},
  [9202] = {.lex_state = 131, .external_lex_state = 3},
  [9203] = {.lex_state = 131, .external_lex_state = 3},
  [9204] = {.lex_state = 7, .external_lex_state = 3},
  [9205] = {.lex_state = 429, .external_lex_state = 3},
  [9206] = {.lex_state = 17, .external_lex_state = 2},
  [9207] = {.lex_state = 17, .external_lex_state = 2},
  [9208] = {.lex_state = 7, .external_lex_state = 3},
  [9209] = {.lex_state = 134, .external_lex_state = 3},
  [9210] = {.lex_state = 429, .external_lex_state = 3},
  [9211] = {.lex_state = 18, .external_lex_state = 2},
  [9212] = {.lex_state = 429, .external_lex_state = 3},
  [9213] = {.lex_state = 429, .external_lex_state = 3},
  [9214] = {.lex_state = 429, .external_lex_state = 3},
  [9215] = {.lex_state = 35, .external_lex_state = 2},
  [9216] = {.lex_state = 429, .external_lex_state = 3},
  [9217] = {.lex_state = 429, .external_lex_state = 3},
  [9218] = {.lex_state = 7, .external_lex_state = 3},
  [9219] = {.lex_state = 17, .external_lex_state = 2},
  [9220] = {.lex_state = 429, .external_lex_state = 3},
  [9221] = {.lex_state = 429, .external_lex_state = 3},
  [9222] = {.lex_state = 18, .external_lex_state = 2},
  [9223] = {.lex_state = 144, .external_lex_state = 2},
  [9224] = {.lex_state = 144, .external_lex_state = 2},
  [9225] = {.lex_state = 18, .external_lex_state = 2},
  [9226] = {.lex_state = 7, .external_lex_state = 3},
  [9227] = {.lex_state = 7, .external_lex_state = 3},
  [9228] = {.lex_state = 7, .external_lex_state = 3},
  [9229] = {.lex_state = 183, .external_lex_state = 3},
  [9230] = {.lex_state = 431, .external_lex_state = 2},
  [9231] = {.lex_state = 7, .external_lex_state = 3},
  [9232] = {.lex_state = 7, .external_lex_state = 3},
  [9233] = {.lex_state = 7, .external_lex_state = 3},
  [9234] = {.lex_state = 70, .external_lex_state = 2},
  [9235] = {.lex_state = 70, .external_lex_state = 2},
  [9236] = {.lex_state = 7, .external_lex_state = 3},
  [9237] = {.lex_state = 7, .external_lex_state = 3},
  [9238] = {.lex_state = 35, .external_lex_state = 2},
  [9239] = {.lex_state = 7, .external_lex_state = 3},
  [9240] = {.lex_state = 7, .external_lex_state = 3},
  [9241] = {.lex_state = 7, .external_lex_state = 3},
  [9242] = {.lex_state = 7, .external_lex_state = 3},
  [9243] = {.lex_state = 7, .external_lex_state = 3},
  [9244] = {.lex_state = 7, .external_lex_state = 3},
  [9245] = {.lex_state = 7, .external_lex_state = 3},
  [9246] = {.lex_state = 7, .external_lex_state = 3},
  [9247] = {.lex_state = 7, .external_lex_state = 3},
  [9248] = {.lex_state = 7, .external_lex_state = 3},
  [9249] = {.lex_state = 7, .external_lex_state = 3},
  [9250] = {.lex_state = 18, .external_lex_state = 2},
  [9251] = {.lex_state = 7, .external_lex_state = 3},
  [9252] = {.lex_state = 7, .external_lex_state = 3},
  [9253] = {.lex_state = 7, .external_lex_state = 3},
  [9254] = {.lex_state = 7, .external_lex_state = 3},
  [9255] = {.lex_state = 7, .external_lex_state = 3},
  [9256] = {.lex_state = 7, .external_lex_state = 3},
  [9257] = {.lex_state = 7, .external_lex_state = 3},
  [9258] = {.lex_state = 7, .external_lex_state = 3},
  [9259] = {.lex_state = 7, .external_lex_state = 3},
  [9260] = {.lex_state = 7, .external_lex_state = 3},
  [9261] = {.lex_state = 7, .external_lex_state = 3},
  [9262] = {.lex_state = 7, .external_lex_state = 3},
  [9263] = {.lex_state = 7, .external_lex_state = 3},
  [9264] = {.lex_state = 7, .external_lex_state = 3},
  [9265] = {.lex_state = 7, .external_lex_state = 3},
  [9266] = {.lex_state = 7, .external_lex_state = 3},
  [9267] = {.lex_state = 7, .external_lex_state = 3},
  [9268] = {.lex_state = 7, .external_lex_state = 3},
  [9269] = {.lex_state = 7, .external_lex_state = 3},
  [9270] = {.lex_state = 7, .external_lex_state = 3},
  [9271] = {.lex_state = 7, .external_lex_state = 3},
  [9272] = {.lex_state = 7, .external_lex_state = 3},
  [9273] = {.lex_state = 7, .external_lex_state = 3},
  [9274] = {.lex_state = 7, .external_lex_state = 3},
  [9275] = {.lex_state = 183, .external_lex_state = 3},
  [9276] = {.lex_state = 7, .external_lex_state = 3},
  [9277] = {.lex_state = 7, .external_lex_state = 3},
  [9278] = {.lex_state = 66, .external_lex_state = 2},
  [9279] = {.lex_state = 7, .external_lex_state = 3},
  [9280] = {.lex_state = 7, .external_lex_state = 3},
  [9281] = {.lex_state = 62, .external_lex_state = 2},
  [9282] = {.lex_state = 7, .external_lex_state = 3},
  [9283] = {.lex_state = 429, .external_lex_state = 3},
  [9284] = {.lex_state = 71, .external_lex_state = 2},
  [9285] = {.lex_state = 7, .external_lex_state = 3},
  [9286] = {.lex_state = 66, .external_lex_state = 2},
  [9287] = {.lex_state = 146, .external_lex_state = 2},
  [9288] = {.lex_state = 429, .external_lex_state = 3},
  [9289] = {.lex_state = 7, .external_lex_state = 3},
  [9290] = {.lex_state = 429, .external_lex_state = 3},
  [9291] = {.lex_state = 429, .external_lex_state = 3},
  [9292] = {.lex_state = 429, .external_lex_state = 3},
  [9293] = {.lex_state = 429, .external_lex_state = 3},
  [9294] = {.lex_state = 429, .external_lex_state = 3},
  [9295] = {.lex_state = 429, .external_lex_state = 3},
  [9296] = {.lex_state = 429, .external_lex_state = 3},
  [9297] = {.lex_state = 7, .external_lex_state = 3},
  [9298] = {.lex_state = 7, .external_lex_state = 3},
  [9299] = {.lex_state = 429, .external_lex_state = 3},
  [9300] = {.lex_state = 429, .external_lex_state = 3},
  [9301] = {.lex_state = 18, .external_lex_state = 2},
  [9302] = {.lex_state = 146, .external_lex_state = 2},
  [9303] = {.lex_state = 429, .external_lex_state = 3},
  [9304] = {.lex_state = 429, .external_lex_state = 3},
  [9305] = {.lex_state = 429, .external_lex_state = 3},
  [9306] = {.lex_state = 429, .external_lex_state = 3},
  [9307] = {.lex_state = 429, .external_lex_state = 3},
  [9308] = {.lex_state = 429, .external_lex_state = 3},
  [9309] = {.lex_state = 169, .external_lex_state = 2},
  [9310] = {.lex_state = 429, .external_lex_state = 3},
  [9311] = {.lex_state = 429, .external_lex_state = 3},
  [9312] = {.lex_state = 7, .external_lex_state = 3},
  [9313] = {.lex_state = 429, .external_lex_state = 3},
  [9314] = {.lex_state = 429, .external_lex_state = 3},
  [9315] = {.lex_state = 429, .external_lex_state = 3},
  [9316] = {.lex_state = 429, .external_lex_state = 3},
  [9317] = {.lex_state = 429, .external_lex_state = 3},
  [9318] = {.lex_state = 429, .external_lex_state = 3},
  [9319] = {.lex_state = 7, .external_lex_state = 3},
  [9320] = {.lex_state = 429, .external_lex_state = 3},
  [9321] = {.lex_state = 7, .external_lex_state = 3},
  [9322] = {.lex_state = 429, .external_lex_state = 3},
  [9323] = {.lex_state = 429, .external_lex_state = 3},
  [9324] = {.lex_state = 429, .external_lex_state = 3},
  [9325] = {.lex_state = 429, .external_lex_state = 3},
  [9326] = {.lex_state = 429, .external_lex_state = 3},
  [9327] = {.lex_state = 429, .external_lex_state = 3},
  [9328] = {.lex_state = 35, .external_lex_state = 2},
  [9329] = {.lex_state = 429, .external_lex_state = 3},
  [9330] = {.lex_state = 429, .external_lex_state = 3},
  [9331] = {.lex_state = 429, .external_lex_state = 3},
  [9332] = {.lex_state = 429, .external_lex_state = 3},
  [9333] = {.lex_state = 429, .external_lex_state = 3},
  [9334] = {.lex_state = 7, .external_lex_state = 3},
  [9335] = {.lex_state = 429, .external_lex_state = 3},
  [9336] = {.lex_state = 429, .external_lex_state = 3},
  [9337] = {.lex_state = 7, .external_lex_state = 3},
  [9338] = {.lex_state = 429, .external_lex_state = 3},
  [9339] = {.lex_state = 429, .external_lex_state = 3},
  [9340] = {.lex_state = 429, .external_lex_state = 3},
  [9341] = {.lex_state = 429, .external_lex_state = 3},
  [9342] = {.lex_state = 429, .external_lex_state = 3},
  [9343] = {.lex_state = 429, .external_lex_state = 3},
  [9344] = {.lex_state = 429, .external_lex_state = 3},
  [9345] = {.lex_state = 429, .external_lex_state = 3},
  [9346] = {.lex_state = 17, .external_lex_state = 2},
  [9347] = {.lex_state = 17, .external_lex_state = 2},
  [9348] = {.lex_state = 429, .external_lex_state = 3},
  [9349] = {.lex_state = 72, .external_lex_state = 2},
  [9350] = {.lex_state = 7, .external_lex_state = 3},
  [9351] = {.lex_state = 429, .external_lex_state = 3},
  [9352] = {.lex_state = 429, .external_lex_state = 3},
  [9353] = {.lex_state = 7, .external_lex_state = 3},
  [9354] = {.lex_state = 429, .external_lex_state = 3},
  [9355] = {.lex_state = 183, .external_lex_state = 3},
  [9356] = {.lex_state = 429, .external_lex_state = 3},
  [9357] = {.lex_state = 429, .external_lex_state = 3},
  [9358] = {.lex_state = 429, .external_lex_state = 3},
  [9359] = {.lex_state = 429, .external_lex_state = 3},
  [9360] = {.lex_state = 429, .external_lex_state = 3},
  [9361] = {.lex_state = 429, .external_lex_state = 3},
  [9362] = {.lex_state = 429, .external_lex_state = 3},
  [9363] = {.lex_state = 429, .external_lex_state = 3},
  [9364] = {.lex_state = 7, .external_lex_state = 3},
  [9365] = {.lex_state = 429, .external_lex_state = 3},
  [9366] = {.lex_state = 429, .external_lex_state = 3},
  [9367] = {.lex_state = 429, .external_lex_state = 3},
  [9368] = {.lex_state = 18, .external_lex_state = 2},
  [9369] = {.lex_state = 429, .external_lex_state = 3},
  [9370] = {.lex_state = 183, .external_lex_state = 3},
  [9371] = {.lex_state = 429, .external_lex_state = 3},
  [9372] = {.lex_state = 7, .external_lex_state = 3},
  [9373] = {.lex_state = 7, .external_lex_state = 3},
  [9374] = {.lex_state = 62, .external_lex_state = 2},
  [9375] = {.lex_state = 183, .external_lex_state = 3},
  [9376] = {.lex_state = 18, .external_lex_state = 2},
  [9377] = {.lex_state = 429, .external_lex_state = 3},
  [9378] = {.lex_state = 429, .external_lex_state = 3},
  [9379] = {.lex_state = 429, .external_lex_state = 3},
  [9380] = {.lex_state = 429, .external_lex_state = 3},
  [9381] = {.lex_state = 7, .external_lex_state = 3},
  [9382] = {.lex_state = 429, .external_lex_state = 3},
  [9383] = {.lex_state = 7, .external_lex_state = 3},
  [9384] = {.lex_state = 183, .external_lex_state = 3},
  [9385] = {.lex_state = 72, .external_lex_state = 2},
  [9386] = {.lex_state = 429, .external_lex_state = 3},
  [9387] = {.lex_state = 17, .external_lex_state = 2},
  [9388] = {.lex_state = 7, .external_lex_state = 3},
  [9389] = {.lex_state = 429, .external_lex_state = 3},
  [9390] = {.lex_state = 429, .external_lex_state = 3},
  [9391] = {.lex_state = 429, .external_lex_state = 3},
  [9392] = {.lex_state = 429, .external_lex_state = 3},
  [9393] = {.lex_state = 429, .external_lex_state = 3},
  [9394] = {.lex_state = 7, .external_lex_state = 3},
  [9395] = {.lex_state = 17, .external_lex_state = 2},
  [9396] = {.lex_state = 167, .external_lex_state = 2},
  [9397] = {.lex_state = 71, .external_lex_state = 2},
  [9398] = {.lex_state = 429, .external_lex_state = 3},
  [9399] = {.lex_state = 429, .external_lex_state = 3},
  [9400] = {.lex_state = 146, .external_lex_state = 2},
  [9401] = {.lex_state = 144, .external_lex_state = 2},
  [9402] = {.lex_state = 144, .external_lex_state = 2},
  [9403] = {.lex_state = 130, .external_lex_state = 3},
  [9404] = {.lex_state = 7, .external_lex_state = 3},
  [9405] = {.lex_state = 7, .external_lex_state = 3},
  [9406] = {.lex_state = 7, .external_lex_state = 3},
  [9407] = {.lex_state = 130, .external_lex_state = 3},
  [9408] = {.lex_state = 146, .external_lex_state = 2},
  [9409] = {.lex_state = 146, .external_lex_state = 2},
  [9410] = {.lex_state = 146, .external_lex_state = 2},
  [9411] = {.lex_state = 19, .external_lex_state = 2},
  [9412] = {.lex_state = 19, .external_lex_state = 2},
  [9413] = {.lex_state = 190, .external_lex_state = 3},
  [9414] = {.lex_state = 19, .external_lex_state = 2},
  [9415] = {.lex_state = 19, .external_lex_state = 2},
  [9416] = {.lex_state = 146, .external_lex_state = 2},
  [9417] = {.lex_state = 7, .external_lex_state = 3},
  [9418] = {.lex_state = 7, .external_lex_state = 3},
  [9419] = {.lex_state = 19, .external_lex_state = 2},
  [9420] = {.lex_state = 7, .external_lex_state = 3},
  [9421] = {.lex_state = 19, .external_lex_state = 2},
  [9422] = {.lex_state = 19, .external_lex_state = 2},
  [9423] = {.lex_state = 19, .external_lex_state = 2},
  [9424] = {.lex_state = 130, .external_lex_state = 3},
  [9425] = {.lex_state = 19, .external_lex_state = 2},
  [9426] = {.lex_state = 19, .external_lex_state = 2},
  [9427] = {.lex_state = 7, .external_lex_state = 3},
  [9428] = {.lex_state = 7, .external_lex_state = 3},
  [9429] = {.lex_state = 19, .external_lex_state = 2},
  [9430] = {.lex_state = 7, .external_lex_state = 3},
  [9431] = {.lex_state = 190, .external_lex_state = 3},
  [9432] = {.lex_state = 427, .external_lex_state = 3},
  [9433] = {.lex_state = 7, .external_lex_state = 3},
  [9434] = {.lex_state = 7, .external_lex_state = 3},
  [9435] = {.lex_state = 19, .external_lex_state = 2},
  [9436] = {.lex_state = 7, .external_lex_state = 3},
  [9437] = {.lex_state = 19, .external_lex_state = 2},
  [9438] = {.lex_state = 19, .external_lex_state = 2},
  [9439] = {.lex_state = 19, .external_lex_state = 2},
  [9440] = {.lex_state = 19, .external_lex_state = 2},
  [9441] = {.lex_state = 130, .external_lex_state = 3},
  [9442] = {.lex_state = 144, .external_lex_state = 2},
  [9443] = {.lex_state = 146, .external_lex_state = 2},
  [9444] = {.lex_state = 7, .external_lex_state = 3},
  [9445] = {.lex_state = 7, .external_lex_state = 3},
  [9446] = {.lex_state = 7, .external_lex_state = 3},
  [9447] = {.lex_state = 19, .external_lex_state = 2},
  [9448] = {.lex_state = 146, .external_lex_state = 2},
  [9449] = {.lex_state = 19, .external_lex_state = 2},
  [9450] = {.lex_state = 19, .external_lex_state = 2},
  [9451] = {.lex_state = 144, .external_lex_state = 2},
  [9452] = {.lex_state = 130, .external_lex_state = 3},
  [9453] = {.lex_state = 146, .external_lex_state = 2},
  [9454] = {.lex_state = 146, .external_lex_state = 2},
  [9455] = {.lex_state = 7, .external_lex_state = 3},
  [9456] = {.lex_state = 7, .external_lex_state = 3},
  [9457] = {.lex_state = 19, .external_lex_state = 2},
  [9458] = {.lex_state = 7, .external_lex_state = 3},
  [9459] = {.lex_state = 146, .external_lex_state = 2},
  [9460] = {.lex_state = 144, .external_lex_state = 2},
  [9461] = {.lex_state = 19, .external_lex_state = 2},
  [9462] = {.lex_state = 19, .external_lex_state = 2},
  [9463] = {.lex_state = 19, .external_lex_state = 2},
  [9464] = {.lex_state = 19, .external_lex_state = 2},
  [9465] = {.lex_state = 19, .external_lex_state = 2},
  [9466] = {.lex_state = 19, .external_lex_state = 2},
  [9467] = {.lex_state = 130, .external_lex_state = 3},
  [9468] = {.lex_state = 7, .external_lex_state = 3},
  [9469] = {.lex_state = 7, .external_lex_state = 3},
  [9470] = {.lex_state = 7, .external_lex_state = 3},
  [9471] = {.lex_state = 19, .external_lex_state = 2},
  [9472] = {.lex_state = 19, .external_lex_state = 2},
  [9473] = {.lex_state = 19, .external_lex_state = 2},
  [9474] = {.lex_state = 144, .external_lex_state = 2},
  [9475] = {.lex_state = 144, .external_lex_state = 2},
  [9476] = {.lex_state = 19, .external_lex_state = 2},
  [9477] = {.lex_state = 19, .external_lex_state = 2},
  [9478] = {.lex_state = 19, .external_lex_state = 2},
  [9479] = {.lex_state = 7, .external_lex_state = 3},
  [9480] = {.lex_state = 7, .external_lex_state = 3},
  [9481] = {.lex_state = 146, .external_lex_state = 2},
  [9482] = {.lex_state = 146, .external_lex_state = 2},
  [9483] = {.lex_state = 144, .external_lex_state = 2},
  [9484] = {.lex_state = 7, .external_lex_state = 3},
  [9485] = {.lex_state = 19, .external_lex_state = 2},
  [9486] = {.lex_state = 19, .external_lex_state = 2},
  [9487] = {.lex_state = 19, .external_lex_state = 2},
  [9488] = {.lex_state = 19, .external_lex_state = 2},
  [9489] = {.lex_state = 144, .external_lex_state = 2},
  [9490] = {.lex_state = 19, .external_lex_state = 2},
  [9491] = {.lex_state = 7, .external_lex_state = 3},
  [9492] = {.lex_state = 7, .external_lex_state = 3},
  [9493] = {.lex_state = 7, .external_lex_state = 3},
  [9494] = {.lex_state = 144, .external_lex_state = 2},
  [9495] = {.lex_state = 144, .external_lex_state = 2},
  [9496] = {.lex_state = 19, .external_lex_state = 2},
  [9497] = {.lex_state = 130, .external_lex_state = 3},
  [9498] = {.lex_state = 19, .external_lex_state = 2},
  [9499] = {.lex_state = 19, .external_lex_state = 2},
  [9500] = {.lex_state = 146, .external_lex_state = 2},
  [9501] = {.lex_state = 7, .external_lex_state = 3},
  [9502] = {.lex_state = 7, .external_lex_state = 3},
  [9503] = {.lex_state = 19, .external_lex_state = 2},
  [9504] = {.lex_state = 19, .external_lex_state = 2},
  [9505] = {.lex_state = 7, .external_lex_state = 3},
  [9506] = {.lex_state = 144, .external_lex_state = 2},
  [9507] = {.lex_state = 130, .external_lex_state = 3},
  [9508] = {.lex_state = 130, .external_lex_state = 3},
  [9509] = {.lex_state = 7, .external_lex_state = 3},
  [9510] = {.lex_state = 7, .external_lex_state = 3},
  [9511] = {.lex_state = 427, .external_lex_state = 3},
  [9512] = {.lex_state = 7, .external_lex_state = 3},
  [9513] = {.lex_state = 427, .external_lex_state = 3},
  [9514] = {.lex_state = 144, .external_lex_state = 2},
  [9515] = {.lex_state = 7, .external_lex_state = 3},
  [9516] = {.lex_state = 7, .external_lex_state = 3},
  [9517] = {.lex_state = 146, .external_lex_state = 2},
  [9518] = {.lex_state = 130, .external_lex_state = 3},
  [9519] = {.lex_state = 7, .external_lex_state = 3},
  [9520] = {.lex_state = 146, .external_lex_state = 2},
  [9521] = {.lex_state = 146, .external_lex_state = 2},
  [9522] = {.lex_state = 146, .external_lex_state = 2},
  [9523] = {.lex_state = 144, .external_lex_state = 2},
  [9524] = {.lex_state = 19, .external_lex_state = 2},
  [9525] = {.lex_state = 19, .external_lex_state = 2},
  [9526] = {.lex_state = 7, .external_lex_state = 3},
  [9527] = {.lex_state = 7, .external_lex_state = 3},
  [9528] = {.lex_state = 146, .external_lex_state = 2},
  [9529] = {.lex_state = 19, .external_lex_state = 2},
  [9530] = {.lex_state = 7, .external_lex_state = 3},
  [9531] = {.lex_state = 130, .external_lex_state = 3},
  [9532] = {.lex_state = 144, .external_lex_state = 2},
  [9533] = {.lex_state = 144, .external_lex_state = 2},
  [9534] = {.lex_state = 130, .external_lex_state = 3},
  [9535] = {.lex_state = 7, .external_lex_state = 3},
  [9536] = {.lex_state = 7, .external_lex_state = 3},
  [9537] = {.lex_state = 144, .external_lex_state = 2},
  [9538] = {.lex_state = 7, .external_lex_state = 3},
  [9539] = {.lex_state = 19, .external_lex_state = 2},
  [9540] = {.lex_state = 190, .external_lex_state = 3},
  [9541] = {.lex_state = 146, .external_lex_state = 2},
  [9542] = {.lex_state = 427, .external_lex_state = 3},
  [9543] = {.lex_state = 146, .external_lex_state = 2},
  [9544] = {.lex_state = 427, .external_lex_state = 3},
  [9545] = {.lex_state = 144, .external_lex_state = 2},
  [9546] = {.lex_state = 137, .external_lex_state = 3},
  [9547] = {.lex_state = 19, .external_lex_state = 2},
  [9548] = {.lex_state = 19, .external_lex_state = 2},
  [9549] = {.lex_state = 427, .external_lex_state = 3},
  [9550] = {.lex_state = 427, .external_lex_state = 3},
  [9551] = {.lex_state = 144, .external_lex_state = 2},
  [9552] = {.lex_state = 144, .external_lex_state = 2},
  [9553] = {.lex_state = 146, .external_lex_state = 2},
  [9554] = {.lex_state = 146, .external_lex_state = 2},
  [9555] = {.lex_state = 146, .external_lex_state = 2},
  [9556] = {.lex_state = 146, .external_lex_state = 2},
  [9557] = {.lex_state = 427, .external_lex_state = 3},
  [9558] = {.lex_state = 19, .external_lex_state = 2},
  [9559] = {.lex_state = 19, .external_lex_state = 2},
  [9560] = {.lex_state = 146, .external_lex_state = 2},
  [9561] = {.lex_state = 7, .external_lex_state = 3},
  [9562] = {.lex_state = 130, .external_lex_state = 3},
  [9563] = {.lex_state = 7, .external_lex_state = 3},
  [9564] = {.lex_state = 130, .external_lex_state = 3},
  [9565] = {.lex_state = 427, .external_lex_state = 3},
  [9566] = {.lex_state = 427, .external_lex_state = 3},
  [9567] = {.lex_state = 146, .external_lex_state = 2},
  [9568] = {.lex_state = 146, .external_lex_state = 2},
  [9569] = {.lex_state = 130, .external_lex_state = 3},
  [9570] = {.lex_state = 146, .external_lex_state = 2},
  [9571] = {.lex_state = 146, .external_lex_state = 2},
  [9572] = {.lex_state = 144, .external_lex_state = 2},
  [9573] = {.lex_state = 146, .external_lex_state = 2},
  [9574] = {.lex_state = 144, .external_lex_state = 2},
  [9575] = {.lex_state = 7, .external_lex_state = 3},
  [9576] = {.lex_state = 7, .external_lex_state = 3},
  [9577] = {.lex_state = 146, .external_lex_state = 2},
  [9578] = {.lex_state = 427, .external_lex_state = 3},
  [9579] = {.lex_state = 427, .external_lex_state = 3},
  [9580] = {.lex_state = 130, .external_lex_state = 3},
  [9581] = {.lex_state = 130, .external_lex_state = 3},
  [9582] = {.lex_state = 7, .external_lex_state = 3},
  [9583] = {.lex_state = 427, .external_lex_state = 3},
  [9584] = {.lex_state = 19, .external_lex_state = 2},
  [9585] = {.lex_state = 19, .external_lex_state = 2},
  [9586] = {.lex_state = 19, .external_lex_state = 2},
  [9587] = {.lex_state = 146, .external_lex_state = 2},
  [9588] = {.lex_state = 144, .external_lex_state = 2},
  [9589] = {.lex_state = 144, .external_lex_state = 2},
  [9590] = {.lex_state = 19, .external_lex_state = 2},
  [9591] = {.lex_state = 19, .external_lex_state = 2},
  [9592] = {.lex_state = 130, .external_lex_state = 3},
  [9593] = {.lex_state = 19, .external_lex_state = 2},
  [9594] = {.lex_state = 19, .external_lex_state = 2},
  [9595] = {.lex_state = 19, .external_lex_state = 2},
  [9596] = {.lex_state = 130, .external_lex_state = 3},
  [9597] = {.lex_state = 427, .external_lex_state = 3},
  [9598] = {.lex_state = 146, .external_lex_state = 2},
  [9599] = {.lex_state = 427, .external_lex_state = 3},
  [9600] = {.lex_state = 144, .external_lex_state = 2},
  [9601] = {.lex_state = 130, .external_lex_state = 3},
  [9602] = {.lex_state = 144, .external_lex_state = 2},
  [9603] = {.lex_state = 427, .external_lex_state = 3},
  [9604] = {.lex_state = 144, .external_lex_state = 2},
  [9605] = {.lex_state = 144, .external_lex_state = 2},
  [9606] = {.lex_state = 144, .external_lex_state = 2},
  [9607] = {.lex_state = 190, .external_lex_state = 3},
  [9608] = {.lex_state = 146, .external_lex_state = 2},
  [9609] = {.lex_state = 144, .external_lex_state = 2},
  [9610] = {.lex_state = 19, .external_lex_state = 2},
  [9611] = {.lex_state = 144, .external_lex_state = 2},
  [9612] = {.lex_state = 144, .external_lex_state = 2},
  [9613] = {.lex_state = 144, .external_lex_state = 2},
  [9614] = {.lex_state = 427, .external_lex_state = 3},
  [9615] = {.lex_state = 144, .external_lex_state = 2},
  [9616] = {.lex_state = 144, .external_lex_state = 2},
  [9617] = {.lex_state = 19, .external_lex_state = 2},
  [9618] = {.lex_state = 19, .external_lex_state = 2},
  [9619] = {.lex_state = 427, .external_lex_state = 3},
  [9620] = {.lex_state = 427, .external_lex_state = 3},
  [9621] = {.lex_state = 19, .external_lex_state = 2},
  [9622] = {.lex_state = 427, .external_lex_state = 3},
  [9623] = {.lex_state = 146, .external_lex_state = 2},
  [9624] = {.lex_state = 35, .external_lex_state = 2},
  [9625] = {.lex_state = 146, .external_lex_state = 2},
  [9626] = {.lex_state = 144, .external_lex_state = 2},
  [9627] = {.lex_state = 7, .external_lex_state = 3},
  [9628] = {.lex_state = 7, .external_lex_state = 3},
  [9629] = {.lex_state = 130, .external_lex_state = 3},
  [9630] = {.lex_state = 7, .external_lex_state = 3},
  [9631] = {.lex_state = 146, .external_lex_state = 2},
  [9632] = {.lex_state = 130, .external_lex_state = 3},
  [9633] = {.lex_state = 130, .external_lex_state = 3},
  [9634] = {.lex_state = 144, .external_lex_state = 2},
  [9635] = {.lex_state = 144, .external_lex_state = 2},
  [9636] = {.lex_state = 144, .external_lex_state = 2},
  [9637] = {.lex_state = 144, .external_lex_state = 2},
  [9638] = {.lex_state = 144, .external_lex_state = 2},
  [9639] = {.lex_state = 130, .external_lex_state = 3},
  [9640] = {.lex_state = 130, .external_lex_state = 3},
  [9641] = {.lex_state = 144, .external_lex_state = 2},
  [9642] = {.lex_state = 130, .external_lex_state = 3},
  [9643] = {.lex_state = 430, .external_lex_state = 2},
  [9644] = {.lex_state = 427, .external_lex_state = 3},
  [9645] = {.lex_state = 427, .external_lex_state = 3},
  [9646] = {.lex_state = 7, .external_lex_state = 3},
  [9647] = {.lex_state = 7, .external_lex_state = 3},
  [9648] = {.lex_state = 144, .external_lex_state = 2},
  [9649] = {.lex_state = 144, .external_lex_state = 2},
  [9650] = {.lex_state = 7, .external_lex_state = 3},
  [9651] = {.lex_state = 19, .external_lex_state = 2},
  [9652] = {.lex_state = 19, .external_lex_state = 2},
  [9653] = {.lex_state = 427, .external_lex_state = 3},
  [9654] = {.lex_state = 144, .external_lex_state = 2},
  [9655] = {.lex_state = 7, .external_lex_state = 3},
  [9656] = {.lex_state = 144, .external_lex_state = 2},
  [9657] = {.lex_state = 427, .external_lex_state = 3},
  [9658] = {.lex_state = 144, .external_lex_state = 2},
  [9659] = {.lex_state = 7, .external_lex_state = 3},
  [9660] = {.lex_state = 144, .external_lex_state = 2},
  [9661] = {.lex_state = 144, .external_lex_state = 2},
  [9662] = {.lex_state = 144, .external_lex_state = 2},
  [9663] = {.lex_state = 7, .external_lex_state = 3},
  [9664] = {.lex_state = 190, .external_lex_state = 3},
  [9665] = {.lex_state = 427, .external_lex_state = 3},
  [9666] = {.lex_state = 144, .external_lex_state = 2},
  [9667] = {.lex_state = 19, .external_lex_state = 2},
  [9668] = {.lex_state = 144, .external_lex_state = 2},
  [9669] = {.lex_state = 19, .external_lex_state = 2},
  [9670] = {.lex_state = 190, .external_lex_state = 3},
  [9671] = {.lex_state = 144, .external_lex_state = 2},
  [9672] = {.lex_state = 144, .external_lex_state = 2},
  [9673] = {.lex_state = 19, .external_lex_state = 2},
  [9674] = {.lex_state = 7, .external_lex_state = 3},
  [9675] = {.lex_state = 19, .external_lex_state = 2},
  [9676] = {.lex_state = 19, .external_lex_state = 2},
  [9677] = {.lex_state = 19, .external_lex_state = 2},
  [9678] = {.lex_state = 144, .external_lex_state = 2},
  [9679] = {.lex_state = 427, .external_lex_state = 3},
  [9680] = {.lex_state = 146, .external_lex_state = 2},
  [9681] = {.lex_state = 7, .external_lex_state = 3},
  [9682] = {.lex_state = 427, .external_lex_state = 3},
  [9683] = {.lex_state = 146, .external_lex_state = 2},
  [9684] = {.lex_state = 146, .external_lex_state = 2},
  [9685] = {.lex_state = 427, .external_lex_state = 3},
  [9686] = {.lex_state = 19, .external_lex_state = 2},
  [9687] = {.lex_state = 19, .external_lex_state = 2},
  [9688] = {.lex_state = 146, .external_lex_state = 2},
  [9689] = {.lex_state = 146, .external_lex_state = 2},
  [9690] = {.lex_state = 146, .external_lex_state = 2},
  [9691] = {.lex_state = 146, .external_lex_state = 2},
  [9692] = {.lex_state = 146, .external_lex_state = 2},
  [9693] = {.lex_state = 7, .external_lex_state = 3},
  [9694] = {.lex_state = 146, .external_lex_state = 2},
  [9695] = {.lex_state = 146, .external_lex_state = 2},
  [9696] = {.lex_state = 146, .external_lex_state = 2},
  [9697] = {.lex_state = 146, .external_lex_state = 2},
  [9698] = {.lex_state = 146, .external_lex_state = 2},
  [9699] = {.lex_state = 19, .external_lex_state = 2},
  [9700] = {.lex_state = 427, .external_lex_state = 3},
  [9701] = {.lex_state = 19, .external_lex_state = 2},
  [9702] = {.lex_state = 144, .external_lex_state = 2},
  [9703] = {.lex_state = 190, .external_lex_state = 3},
  [9704] = {.lex_state = 144, .external_lex_state = 2},
  [9705] = {.lex_state = 19, .external_lex_state = 2},
  [9706] = {.lex_state = 7, .external_lex_state = 3},
  [9707] = {.lex_state = 146, .external_lex_state = 2},
  [9708] = {.lex_state = 19, .external_lex_state = 2},
  [9709] = {.lex_state = 146, .external_lex_state = 2},
  [9710] = {.lex_state = 146, .external_lex_state = 2},
  [9711] = {.lex_state = 146, .external_lex_state = 2},
  [9712] = {.lex_state = 24, .external_lex_state = 2},
  [9713] = {.lex_state = 146, .external_lex_state = 2},
  [9714] = {.lex_state = 7, .external_lex_state = 3},
  [9715] = {.lex_state = 146, .external_lex_state = 2},
  [9716] = {.lex_state = 146, .external_lex_state = 2},
  [9717] = {.lex_state = 146, .external_lex_state = 2},
  [9718] = {.lex_state = 146, .external_lex_state = 2},
  [9719] = {.lex_state = 7, .external_lex_state = 3},
  [9720] = {.lex_state = 190, .external_lex_state = 3},
  [9721] = {.lex_state = 190, .external_lex_state = 3},
  [9722] = {.lex_state = 19, .external_lex_state = 2},
  [9723] = {.lex_state = 19, .external_lex_state = 2},
  [9724] = {.lex_state = 19, .external_lex_state = 2},
  [9725] = {.lex_state = 144, .external_lex_state = 2},
  [9726] = {.lex_state = 144, .external_lex_state = 2},
  [9727] = {.lex_state = 19, .external_lex_state = 2},
  [9728] = {.lex_state = 427, .external_lex_state = 3},
  [9729] = {.lex_state = 146, .external_lex_state = 2},
  [9730] = {.lex_state = 19, .external_lex_state = 2},
  [9731] = {.lex_state = 19, .external_lex_state = 2},
  [9732] = {.lex_state = 19, .external_lex_state = 2},
  [9733] = {.lex_state = 144, .external_lex_state = 2},
  [9734] = {.lex_state = 19, .external_lex_state = 2},
  [9735] = {.lex_state = 19, .external_lex_state = 2},
  [9736] = {.lex_state = 190, .external_lex_state = 3},
  [9737] = {.lex_state = 7, .external_lex_state = 3},
  [9738] = {.lex_state = 7, .external_lex_state = 3},
  [9739] = {.lex_state = 144, .external_lex_state = 2},
  [9740] = {.lex_state = 19, .external_lex_state = 2},
  [9741] = {.lex_state = 7, .external_lex_state = 3},
  [9742] = {.lex_state = 19, .external_lex_state = 2},
  [9743] = {.lex_state = 7, .external_lex_state = 3},
  [9744] = {.lex_state = 427, .external_lex_state = 3},
  [9745] = {.lex_state = 7, .external_lex_state = 3},
  [9746] = {.lex_state = 146, .external_lex_state = 2},
  [9747] = {.lex_state = 427, .external_lex_state = 3},
  [9748] = {.lex_state = 427, .external_lex_state = 3},
  [9749] = {.lex_state = 427, .external_lex_state = 3},
  [9750] = {.lex_state = 444, .external_lex_state = 3},
  [9751] = {.lex_state = 24, .external_lex_state = 2},
  [9752] = {.lex_state = 427, .external_lex_state = 3},
  [9753] = {.lex_state = 427, .external_lex_state = 3},
  [9754] = {.lex_state = 427, .external_lex_state = 3},
  [9755] = {.lex_state = 427, .external_lex_state = 3},
  [9756] = {.lex_state = 427, .external_lex_state = 3},
  [9757] = {.lex_state = 427, .external_lex_state = 3},
  [9758] = {.lex_state = 427, .external_lex_state = 3},
  [9759] = {.lex_state = 427, .external_lex_state = 3},
  [9760] = {.lex_state = 427, .external_lex_state = 3},
  [9761] = {.lex_state = 427, .external_lex_state = 3},
  [9762] = {.lex_state = 427, .external_lex_state = 3},
  [9763] = {.lex_state = 427, .external_lex_state = 3},
  [9764] = {.lex_state = 131, .external_lex_state = 3},
  [9765] = {.lex_state = 131, .external_lex_state = 3},
  [9766] = {.lex_state = 131, .external_lex_state = 3},
  [9767] = {.lex_state = 427, .external_lex_state = 3},
  [9768] = {.lex_state = 427, .external_lex_state = 3},
  [9769] = {.lex_state = 131, .external_lex_state = 3},
  [9770] = {.lex_state = 16, .external_lex_state = 2},
  [9771] = {.lex_state = 131, .external_lex_state = 3},
  [9772] = {.lex_state = 16, .external_lex_state = 2},
  [9773] = {.lex_state = 427, .external_lex_state = 3},
  [9774] = {.lex_state = 131, .external_lex_state = 3},
  [9775] = {.lex_state = 16, .external_lex_state = 2},
  [9776] = {.lex_state = 427, .external_lex_state = 3},
  [9777] = {.lex_state = 427, .external_lex_state = 3},
  [9778] = {.lex_state = 16, .external_lex_state = 2},
  [9779] = {.lex_state = 427, .external_lex_state = 3},
  [9780] = {.lex_state = 427, .external_lex_state = 3},
  [9781] = {.lex_state = 16, .external_lex_state = 2},
  [9782] = {.lex_state = 444, .external_lex_state = 3},
  [9783] = {.lex_state = 182, .external_lex_state = 3},
  [9784] = {.lex_state = 427, .external_lex_state = 3},
  [9785] = {.lex_state = 427, .external_lex_state = 3},
  [9786] = {.lex_state = 427, .external_lex_state = 3},
  [9787] = {.lex_state = 182, .external_lex_state = 3},
  [9788] = {.lex_state = 24, .external_lex_state = 2},
  [9789] = {.lex_state = 427, .external_lex_state = 3},
  [9790] = {.lex_state = 427, .external_lex_state = 3},
  [9791] = {.lex_state = 427, .external_lex_state = 3},
  [9792] = {.lex_state = 427, .external_lex_state = 3},
  [9793] = {.lex_state = 427, .external_lex_state = 3},
  [9794] = {.lex_state = 427, .external_lex_state = 3},
  [9795] = {.lex_state = 427, .external_lex_state = 3},
  [9796] = {.lex_state = 427, .external_lex_state = 3},
  [9797] = {.lex_state = 427, .external_lex_state = 3},
  [9798] = {.lex_state = 427, .external_lex_state = 3},
  [9799] = {.lex_state = 427, .external_lex_state = 3},
  [9800] = {.lex_state = 427, .external_lex_state = 3},
  [9801] = {.lex_state = 131, .external_lex_state = 3},
  [9802] = {.lex_state = 427, .external_lex_state = 3},
  [9803] = {.lex_state = 131, .external_lex_state = 3},
  [9804] = {.lex_state = 427, .external_lex_state = 3},
  [9805] = {.lex_state = 131, .external_lex_state = 3},
  [9806] = {.lex_state = 131, .external_lex_state = 3},
  [9807] = {.lex_state = 131, .external_lex_state = 3},
  [9808] = {.lex_state = 131, .external_lex_state = 3},
  [9809] = {.lex_state = 131, .external_lex_state = 3},
  [9810] = {.lex_state = 427, .external_lex_state = 3},
  [9811] = {.lex_state = 427, .external_lex_state = 3},
  [9812] = {.lex_state = 427, .external_lex_state = 3},
  [9813] = {.lex_state = 182, .external_lex_state = 3},
  [9814] = {.lex_state = 131, .external_lex_state = 3},
  [9815] = {.lex_state = 131, .external_lex_state = 3},
  [9816] = {.lex_state = 427, .external_lex_state = 3},
  [9817] = {.lex_state = 131, .external_lex_state = 3},
  [9818] = {.lex_state = 427, .external_lex_state = 3},
  [9819] = {.lex_state = 427, .external_lex_state = 3},
  [9820] = {.lex_state = 131, .external_lex_state = 3},
  [9821] = {.lex_state = 182, .external_lex_state = 3},
  [9822] = {.lex_state = 427, .external_lex_state = 3},
  [9823] = {.lex_state = 131, .external_lex_state = 3},
  [9824] = {.lex_state = 131, .external_lex_state = 3},
  [9825] = {.lex_state = 131, .external_lex_state = 3},
  [9826] = {.lex_state = 131, .external_lex_state = 3},
  [9827] = {.lex_state = 427, .external_lex_state = 3},
  [9828] = {.lex_state = 427, .external_lex_state = 3},
  [9829] = {.lex_state = 427, .external_lex_state = 3},
  [9830] = {.lex_state = 427, .external_lex_state = 3},
  [9831] = {.lex_state = 427, .external_lex_state = 3},
  [9832] = {.lex_state = 427, .external_lex_state = 3},
  [9833] = {.lex_state = 427, .external_lex_state = 3},
  [9834] = {.lex_state = 427, .external_lex_state = 3},
  [9835] = {.lex_state = 427, .external_lex_state = 3},
  [9836] = {.lex_state = 427, .external_lex_state = 3},
  [9837] = {.lex_state = 427, .external_lex_state = 3},
  [9838] = {.lex_state = 131, .external_lex_state = 3},
  [9839] = {.lex_state = 427, .external_lex_state = 3},
  [9840] = {.lex_state = 131, .external_lex_state = 3},
  [9841] = {.lex_state = 427, .external_lex_state = 3},
  [9842] = {.lex_state = 131, .external_lex_state = 3},
  [9843] = {.lex_state = 131, .external_lex_state = 3},
  [9844] = {.lex_state = 131, .external_lex_state = 3},
  [9845] = {.lex_state = 131, .external_lex_state = 3},
  [9846] = {.lex_state = 427, .external_lex_state = 3},
  [9847] = {.lex_state = 427, .external_lex_state = 3},
  [9848] = {.lex_state = 427, .external_lex_state = 3},
  [9849] = {.lex_state = 444, .external_lex_state = 3},
  [9850] = {.lex_state = 131, .external_lex_state = 3},
  [9851] = {.lex_state = 444, .external_lex_state = 3},
  [9852] = {.lex_state = 427, .external_lex_state = 3},
  [9853] = {.lex_state = 427, .external_lex_state = 3},
  [9854] = {.lex_state = 427, .external_lex_state = 3},
  [9855] = {.lex_state = 427, .external_lex_state = 3},
  [9856] = {.lex_state = 427, .external_lex_state = 3},
  [9857] = {.lex_state = 444, .external_lex_state = 3},
  [9858] = {.lex_state = 427, .external_lex_state = 3},
  [9859] = {.lex_state = 131, .external_lex_state = 3},
  [9860] = {.lex_state = 427, .external_lex_state = 3},
  [9861] = {.lex_state = 427, .external_lex_state = 3},
  [9862] = {.lex_state = 444, .external_lex_state = 3},
  [9863] = {.lex_state = 427, .external_lex_state = 3},
  [9864] = {.lex_state = 427, .external_lex_state = 3},
  [9865] = {.lex_state = 427, .external_lex_state = 3},
  [9866] = {.lex_state = 24, .external_lex_state = 2},
  [9867] = {.lex_state = 427, .external_lex_state = 3},
  [9868] = {.lex_state = 131, .external_lex_state = 3},
  [9869] = {.lex_state = 131, .external_lex_state = 3},
  [9870] = {.lex_state = 427, .external_lex_state = 3},
  [9871] = {.lex_state = 427, .external_lex_state = 3},
  [9872] = {.lex_state = 131, .external_lex_state = 3},
  [9873] = {.lex_state = 427, .external_lex_state = 3},
  [9874] = {.lex_state = 427, .external_lex_state = 3},
  [9875] = {.lex_state = 427, .external_lex_state = 3},
  [9876] = {.lex_state = 16, .external_lex_state = 2},
  [9877] = {.lex_state = 131, .external_lex_state = 3},
  [9878] = {.lex_state = 427, .external_lex_state = 3},
  [9879] = {.lex_state = 425, .external_lex_state = 3},
  [9880] = {.lex_state = 425, .external_lex_state = 3},
  [9881] = {.lex_state = 139, .external_lex_state = 2},
  [9882] = {.lex_state = 139, .external_lex_state = 2},
  [9883] = {.lex_state = 425, .external_lex_state = 3},
  [9884] = {.lex_state = 427, .external_lex_state = 3},
  [9885] = {.lex_state = 427, .external_lex_state = 3},
  [9886] = {.lex_state = 427, .external_lex_state = 3},
  [9887] = {.lex_state = 427, .external_lex_state = 3},
  [9888] = {.lex_state = 427, .external_lex_state = 3},
  [9889] = {.lex_state = 427, .external_lex_state = 3},
  [9890] = {.lex_state = 427, .external_lex_state = 3},
  [9891] = {.lex_state = 427, .external_lex_state = 3},
  [9892] = {.lex_state = 427, .external_lex_state = 3},
  [9893] = {.lex_state = 427, .external_lex_state = 3},
  [9894] = {.lex_state = 427, .external_lex_state = 3},
  [9895] = {.lex_state = 427, .external_lex_state = 3},
  [9896] = {.lex_state = 427, .external_lex_state = 3},
  [9897] = {.lex_state = 427, .external_lex_state = 3},
  [9898] = {.lex_state = 427, .external_lex_state = 3},
  [9899] = {.lex_state = 427, .external_lex_state = 3},
  [9900] = {.lex_state = 427, .external_lex_state = 3},
  [9901] = {.lex_state = 427, .external_lex_state = 3},
  [9902] = {.lex_state = 427, .external_lex_state = 3},
  [9903] = {.lex_state = 427, .external_lex_state = 3},
  [9904] = {.lex_state = 427, .external_lex_state = 3},
  [9905] = {.lex_state = 427, .external_lex_state = 3},
  [9906] = {.lex_state = 427, .external_lex_state = 3},
  [9907] = {.lex_state = 427, .external_lex_state = 3},
  [9908] = {.lex_state = 427, .external_lex_state = 3},
  [9909] = {.lex_state = 427, .external_lex_state = 3},
  [9910] = {.lex_state = 427, .external_lex_state = 3},
  [9911] = {.lex_state = 427, .external_lex_state = 3},
  [9912] = {.lex_state = 427, .external_lex_state = 3},
  [9913] = {.lex_state = 425, .external_lex_state = 3},
  [9914] = {.lex_state = 427, .external_lex_state = 3},
  [9915] = {.lex_state = 427, .external_lex_state = 3},
  [9916] = {.lex_state = 427, .external_lex_state = 3},
  [9917] = {.lex_state = 427, .external_lex_state = 3},
  [9918] = {.lex_state = 427, .external_lex_state = 3},
  [9919] = {.lex_state = 427, .external_lex_state = 3},
  [9920] = {.lex_state = 427, .external_lex_state = 3},
  [9921] = {.lex_state = 427, .external_lex_state = 3},
  [9922] = {.lex_state = 427, .external_lex_state = 3},
  [9923] = {.lex_state = 427, .external_lex_state = 3},
  [9924] = {.lex_state = 427, .external_lex_state = 3},
  [9925] = {.lex_state = 427, .external_lex_state = 3},
  [9926] = {.lex_state = 427, .external_lex_state = 3},
  [9927] = {.lex_state = 427, .external_lex_state = 3},
  [9928] = {.lex_state = 425, .external_lex_state = 3},
  [9929] = {.lex_state = 425, .external_lex_state = 3},
  [9930] = {.lex_state = 425, .external_lex_state = 3},
  [9931] = {.lex_state = 425, .external_lex_state = 3},
  [9932] = {.lex_state = 427, .external_lex_state = 3},
  [9933] = {.lex_state = 427, .external_lex_state = 3},
  [9934] = {.lex_state = 427, .external_lex_state = 3},
  [9935] = {.lex_state = 427, .external_lex_state = 3},
  [9936] = {.lex_state = 427, .external_lex_state = 3},
  [9937] = {.lex_state = 427, .external_lex_state = 3},
  [9938] = {.lex_state = 425, .external_lex_state = 3},
  [9939] = {.lex_state = 425, .external_lex_state = 3},
  [9940] = {.lex_state = 425, .external_lex_state = 3},
  [9941] = {.lex_state = 427, .external_lex_state = 3},
  [9942] = {.lex_state = 425, .external_lex_state = 3},
  [9943] = {.lex_state = 427, .external_lex_state = 3},
  [9944] = {.lex_state = 425, .external_lex_state = 3},
  [9945] = {.lex_state = 427, .external_lex_state = 3},
  [9946] = {.lex_state = 427, .external_lex_state = 3},
  [9947] = {.lex_state = 425, .external_lex_state = 3},
  [9948] = {.lex_state = 425, .external_lex_state = 3},
  [9949] = {.lex_state = 425, .external_lex_state = 3},
  [9950] = {.lex_state = 427, .external_lex_state = 3},
  [9951] = {.lex_state = 427, .external_lex_state = 3},
  [9952] = {.lex_state = 425, .external_lex_state = 3},
  [9953] = {.lex_state = 425, .external_lex_state = 3},
  [9954] = {.lex_state = 425, .external_lex_state = 3},
  [9955] = {.lex_state = 425, .external_lex_state = 3},
  [9956] = {.lex_state = 425, .external_lex_state = 3},
  [9957] = {.lex_state = 425, .external_lex_state = 3},
  [9958] = {.lex_state = 19, .external_lex_state = 2},
  [9959] = {.lex_state = 425, .external_lex_state = 3},
  [9960] = {.lex_state = 425, .external_lex_state = 3},
  [9961] = {.lex_state = 425, .external_lex_state = 3},
  [9962] = {.lex_state = 425, .external_lex_state = 3},
  [9963] = {.lex_state = 425, .external_lex_state = 3},
  [9964] = {.lex_state = 425, .external_lex_state = 3},
  [9965] = {.lex_state = 427, .external_lex_state = 3},
  [9966] = {.lex_state = 427, .external_lex_state = 3},
  [9967] = {.lex_state = 427, .external_lex_state = 3},
  [9968] = {.lex_state = 427, .external_lex_state = 3},
  [9969] = {.lex_state = 427, .external_lex_state = 3},
  [9970] = {.lex_state = 425, .external_lex_state = 3},
  [9971] = {.lex_state = 425, .external_lex_state = 3},
  [9972] = {.lex_state = 425, .external_lex_state = 3},
  [9973] = {.lex_state = 425, .external_lex_state = 3},
  [9974] = {.lex_state = 425, .external_lex_state = 3},
  [9975] = {.lex_state = 425, .external_lex_state = 3},
  [9976] = {.lex_state = 425, .external_lex_state = 3},
  [9977] = {.lex_state = 425, .external_lex_state = 3},
  [9978] = {.lex_state = 425, .external_lex_state = 3},
  [9979] = {.lex_state = 425, .external_lex_state = 3},
  [9980] = {.lex_state = 425, .external_lex_state = 3},
  [9981] = {.lex_state = 425, .external_lex_state = 3},
  [9982] = {.lex_state = 425, .external_lex_state = 3},
  [9983] = {.lex_state = 425, .external_lex_state = 3},
  [9984] = {.lex_state = 425, .external_lex_state = 3},
  [9985] = {.lex_state = 425, .external_lex_state = 3},
  [9986] = {.lex_state = 425, .external_lex_state = 3},
  [9987] = {.lex_state = 425, .external_lex_state = 3},
  [9988] = {.lex_state = 425, .external_lex_state = 3},
  [9989] = {.lex_state = 425, .external_lex_state = 3},
  [9990] = {.lex_state = 425, .external_lex_state = 3},
  [9991] = {.lex_state = 425, .external_lex_state = 3},
  [9992] = {.lex_state = 425, .external_lex_state = 3},
  [9993] = {.lex_state = 425, .external_lex_state = 3},
  [9994] = {.lex_state = 425, .external_lex_state = 3},
  [9995] = {.lex_state = 425, .external_lex_state = 3},
  [9996] = {.lex_state = 425, .external_lex_state = 3},
  [9997] = {.lex_state = 425, .external_lex_state = 3},
  [9998] = {.lex_state = 425, .external_lex_state = 3},
  [9999] = {.lex_state = 425, .external_lex_state = 3},
  [10000] = {.lex_state = 425, .external_lex_state = 3},
  [10001] = {.lex_state = 425, .external_lex_state = 3},
  [10002] = {.lex_state = 425, .external_lex_state = 3},
  [10003] = {.lex_state = 425, .external_lex_state = 3},
  [10004] = {.lex_state = 425, .external_lex_state = 3},
  [10005] = {.lex_state = 425, .external_lex_state = 3},
  [10006] = {.lex_state = 425, .external_lex_state = 3},
  [10007] = {.lex_state = 425, .external_lex_state = 3},
  [10008] = {.lex_state = 425, .external_lex_state = 3},
  [10009] = {.lex_state = 425, .external_lex_state = 3},
  [10010] = {.lex_state = 425, .external_lex_state = 3},
  [10011] = {.lex_state = 425, .external_lex_state = 3},
  [10012] = {.lex_state = 427, .external_lex_state = 3},
  [10013] = {.lex_state = 427, .external_lex_state = 3},
  [10014] = {.lex_state = 427, .external_lex_state = 3},
  [10015] = {.lex_state = 427, .external_lex_state = 3},
  [10016] = {.lex_state = 427, .external_lex_state = 3},
  [10017] = {.lex_state = 425, .external_lex_state = 3},
  [10018] = {.lex_state = 425, .external_lex_state = 3},
  [10019] = {.lex_state = 425, .external_lex_state = 3},
  [10020] = {.lex_state = 425, .external_lex_state = 3},
  [10021] = {.lex_state = 425, .external_lex_state = 3},
  [10022] = {.lex_state = 425, .external_lex_state = 3},
  [10023] = {.lex_state = 425, .external_lex_state = 3},
  [10024] = {.lex_state = 425, .external_lex_state = 3},
  [10025] = {.lex_state = 427, .external_lex_state = 3},
  [10026] = {.lex_state = 425, .external_lex_state = 3},
  [10027] = {.lex_state = 425, .external_lex_state = 3},
  [10028] = {.lex_state = 425, .external_lex_state = 3},
  [10029] = {.lex_state = 425, .external_lex_state = 3},
  [10030] = {.lex_state = 182, .external_lex_state = 3},
  [10031] = {.lex_state = 425, .external_lex_state = 3},
  [10032] = {.lex_state = 182, .external_lex_state = 3},
  [10033] = {.lex_state = 425, .external_lex_state = 3},
  [10034] = {.lex_state = 443, .external_lex_state = 3},
  [10035] = {.lex_state = 425, .external_lex_state = 3},
  [10036] = {.lex_state = 7, .external_lex_state = 3},
  [10037] = {.lex_state = 425, .external_lex_state = 3},
  [10038] = {.lex_state = 425, .external_lex_state = 3},
  [10039] = {.lex_state = 19, .external_lex_state = 2},
  [10040] = {.lex_state = 182, .external_lex_state = 3},
  [10041] = {.lex_state = 425, .external_lex_state = 3},
  [10042] = {.lex_state = 182, .external_lex_state = 3},
  [10043] = {.lex_state = 427, .external_lex_state = 3},
  [10044] = {.lex_state = 425, .external_lex_state = 3},
  [10045] = {.lex_state = 182, .external_lex_state = 3},
  [10046] = {.lex_state = 425, .external_lex_state = 3},
  [10047] = {.lex_state = 7, .external_lex_state = 3},
  [10048] = {.lex_state = 182, .external_lex_state = 3},
  [10049] = {.lex_state = 427, .external_lex_state = 3},
  [10050] = {.lex_state = 427, .external_lex_state = 3},
  [10051] = {.lex_state = 425, .external_lex_state = 3},
  [10052] = {.lex_state = 182, .external_lex_state = 3},
  [10053] = {.lex_state = 7, .external_lex_state = 3},
  [10054] = {.lex_state = 425, .external_lex_state = 3},
  [10055] = {.lex_state = 7, .external_lex_state = 3},
  [10056] = {.lex_state = 182, .external_lex_state = 3},
  [10057] = {.lex_state = 182, .external_lex_state = 3},
  [10058] = {.lex_state = 182, .external_lex_state = 3},
  [10059] = {.lex_state = 425, .external_lex_state = 3},
  [10060] = {.lex_state = 425, .external_lex_state = 3},
  [10061] = {.lex_state = 182, .external_lex_state = 3},
  [10062] = {.lex_state = 425, .external_lex_state = 3},
  [10063] = {.lex_state = 425, .external_lex_state = 3},
  [10064] = {.lex_state = 425, .external_lex_state = 3},
  [10065] = {.lex_state = 425, .external_lex_state = 3},
  [10066] = {.lex_state = 425, .external_lex_state = 3},
  [10067] = {.lex_state = 7, .external_lex_state = 3},
  [10068] = {.lex_state = 425, .external_lex_state = 3},
  [10069] = {.lex_state = 182, .external_lex_state = 3},
  [10070] = {.lex_state = 425, .external_lex_state = 3},
  [10071] = {.lex_state = 143, .external_lex_state = 2},
  [10072] = {.lex_state = 182, .external_lex_state = 3},
  [10073] = {.lex_state = 425, .external_lex_state = 3},
  [10074] = {.lex_state = 427, .external_lex_state = 3},
  [10075] = {.lex_state = 182, .external_lex_state = 3},
  [10076] = {.lex_state = 182, .external_lex_state = 3},
  [10077] = {.lex_state = 19, .external_lex_state = 2},
  [10078] = {.lex_state = 425, .external_lex_state = 3},
  [10079] = {.lex_state = 139, .external_lex_state = 2},
  [10080] = {.lex_state = 7, .external_lex_state = 3},
  [10081] = {.lex_state = 182, .external_lex_state = 3},
  [10082] = {.lex_state = 425, .external_lex_state = 3},
  [10083] = {.lex_state = 182, .external_lex_state = 3},
  [10084] = {.lex_state = 425, .external_lex_state = 3},
  [10085] = {.lex_state = 425, .external_lex_state = 3},
  [10086] = {.lex_state = 425, .external_lex_state = 3},
  [10087] = {.lex_state = 425, .external_lex_state = 3},
  [10088] = {.lex_state = 182, .external_lex_state = 3},
  [10089] = {.lex_state = 425, .external_lex_state = 3},
  [10090] = {.lex_state = 425, .external_lex_state = 3},
  [10091] = {.lex_state = 425, .external_lex_state = 3},
  [10092] = {.lex_state = 425, .external_lex_state = 3},
  [10093] = {.lex_state = 425, .external_lex_state = 3},
  [10094] = {.lex_state = 427, .external_lex_state = 3},
  [10095] = {.lex_state = 425, .external_lex_state = 3},
  [10096] = {.lex_state = 182, .external_lex_state = 3},
  [10097] = {.lex_state = 425, .external_lex_state = 3},
  [10098] = {.lex_state = 425, .external_lex_state = 3},
  [10099] = {.lex_state = 182, .external_lex_state = 3},
  [10100] = {.lex_state = 182, .external_lex_state = 3},
  [10101] = {.lex_state = 425, .external_lex_state = 3},
  [10102] = {.lex_state = 425, .external_lex_state = 3},
  [10103] = {.lex_state = 425, .external_lex_state = 3},
  [10104] = {.lex_state = 425, .external_lex_state = 3},
  [10105] = {.lex_state = 425, .external_lex_state = 3},
  [10106] = {.lex_state = 425, .external_lex_state = 3},
  [10107] = {.lex_state = 425, .external_lex_state = 3},
  [10108] = {.lex_state = 425, .external_lex_state = 3},
  [10109] = {.lex_state = 425, .external_lex_state = 3},
  [10110] = {.lex_state = 425, .external_lex_state = 3},
  [10111] = {.lex_state = 425, .external_lex_state = 3},
  [10112] = {.lex_state = 425, .external_lex_state = 3},
  [10113] = {.lex_state = 425, .external_lex_state = 3},
  [10114] = {.lex_state = 425, .external_lex_state = 3},
  [10115] = {.lex_state = 139, .external_lex_state = 2},
  [10116] = {.lex_state = 143, .external_lex_state = 2},
  [10117] = {.lex_state = 139, .external_lex_state = 2},
  [10118] = {.lex_state = 425, .external_lex_state = 3},
  [10119] = {.lex_state = 182, .external_lex_state = 3},
  [10120] = {.lex_state = 427, .external_lex_state = 3},
  [10121] = {.lex_state = 182, .external_lex_state = 3},
  [10122] = {.lex_state = 182, .external_lex_state = 3},
  [10123] = {.lex_state = 427, .external_lex_state = 3},
  [10124] = {.lex_state = 19, .external_lex_state = 2},
  [10125] = {.lex_state = 182, .external_lex_state = 3},
  [10126] = {.lex_state = 182, .external_lex_state = 3},
  [10127] = {.lex_state = 182, .external_lex_state = 3},
  [10128] = {.lex_state = 182, .external_lex_state = 3},
  [10129] = {.lex_state = 425, .external_lex_state = 3},
  [10130] = {.lex_state = 425, .external_lex_state = 3},
  [10131] = {.lex_state = 425, .external_lex_state = 3},
  [10132] = {.lex_state = 425, .external_lex_state = 3},
  [10133] = {.lex_state = 182, .external_lex_state = 3},
  [10134] = {.lex_state = 182, .external_lex_state = 3},
  [10135] = {.lex_state = 182, .external_lex_state = 3},
  [10136] = {.lex_state = 425, .external_lex_state = 3},
  [10137] = {.lex_state = 139, .external_lex_state = 2},
  [10138] = {.lex_state = 425, .external_lex_state = 3},
  [10139] = {.lex_state = 427, .external_lex_state = 3},
  [10140] = {.lex_state = 182, .external_lex_state = 3},
  [10141] = {.lex_state = 425, .external_lex_state = 3},
  [10142] = {.lex_state = 182, .external_lex_state = 3},
  [10143] = {.lex_state = 425, .external_lex_state = 3},
  [10144] = {.lex_state = 182, .external_lex_state = 3},
  [10145] = {.lex_state = 182, .external_lex_state = 3},
  [10146] = {.lex_state = 182, .external_lex_state = 3},
  [10147] = {.lex_state = 182, .external_lex_state = 3},
  [10148] = {.lex_state = 182, .external_lex_state = 3},
  [10149] = {.lex_state = 182, .external_lex_state = 3},
  [10150] = {.lex_state = 182, .external_lex_state = 3},
  [10151] = {.lex_state = 182, .external_lex_state = 3},
  [10152] = {.lex_state = 182, .external_lex_state = 3},
  [10153] = {.lex_state = 7, .external_lex_state = 3},
  [10154] = {.lex_state = 425, .external_lex_state = 3},
  [10155] = {.lex_state = 427, .external_lex_state = 3},
  [10156] = {.lex_state = 425, .external_lex_state = 3},
  [10157] = {.lex_state = 425, .external_lex_state = 3},
  [10158] = {.lex_state = 425, .external_lex_state = 3},
  [10159] = {.lex_state = 19, .external_lex_state = 2},
  [10160] = {.lex_state = 19, .external_lex_state = 2},
  [10161] = {.lex_state = 19, .external_lex_state = 2},
  [10162] = {.lex_state = 425, .external_lex_state = 3},
  [10163] = {.lex_state = 425, .external_lex_state = 3},
  [10164] = {.lex_state = 425, .external_lex_state = 3},
  [10165] = {.lex_state = 7, .external_lex_state = 3},
  [10166] = {.lex_state = 7, .external_lex_state = 3},
  [10167] = {.lex_state = 443, .external_lex_state = 3},
  [10168] = {.lex_state = 425, .external_lex_state = 3},
  [10169] = {.lex_state = 7, .external_lex_state = 3},
  [10170] = {.lex_state = 425, .external_lex_state = 3},
  [10171] = {.lex_state = 425, .external_lex_state = 3},
  [10172] = {.lex_state = 425, .external_lex_state = 3},
  [10173] = {.lex_state = 182, .external_lex_state = 3},
  [10174] = {.lex_state = 7, .external_lex_state = 3},
  [10175] = {.lex_state = 425, .external_lex_state = 3},
  [10176] = {.lex_state = 182, .external_lex_state = 3},
  [10177] = {.lex_state = 425, .external_lex_state = 3},
  [10178] = {.lex_state = 425, .external_lex_state = 3},
  [10179] = {.lex_state = 425, .external_lex_state = 3},
  [10180] = {.lex_state = 425, .external_lex_state = 3},
  [10181] = {.lex_state = 425, .external_lex_state = 3},
  [10182] = {.lex_state = 19, .external_lex_state = 2},
  [10183] = {.lex_state = 425, .external_lex_state = 3},
  [10184] = {.lex_state = 425, .external_lex_state = 3},
  [10185] = {.lex_state = 425, .external_lex_state = 3},
  [10186] = {.lex_state = 427, .external_lex_state = 3},
  [10187] = {.lex_state = 427, .external_lex_state = 3},
  [10188] = {.lex_state = 7, .external_lex_state = 3},
  [10189] = {.lex_state = 425, .external_lex_state = 3},
  [10190] = {.lex_state = 425, .external_lex_state = 3},
  [10191] = {.lex_state = 7, .external_lex_state = 3},
  [10192] = {.lex_state = 7, .external_lex_state = 3},
  [10193] = {.lex_state = 7, .external_lex_state = 3},
  [10194] = {.lex_state = 425, .external_lex_state = 3},
  [10195] = {.lex_state = 425, .external_lex_state = 3},
  [10196] = {.lex_state = 7, .external_lex_state = 3},
  [10197] = {.lex_state = 7, .external_lex_state = 3},
  [10198] = {.lex_state = 425, .external_lex_state = 3},
  [10199] = {.lex_state = 7, .external_lex_state = 3},
  [10200] = {.lex_state = 7, .external_lex_state = 3},
  [10201] = {.lex_state = 7, .external_lex_state = 3},
  [10202] = {.lex_state = 7, .external_lex_state = 3},
  [10203] = {.lex_state = 7, .external_lex_state = 3},
  [10204] = {.lex_state = 7, .external_lex_state = 3},
  [10205] = {.lex_state = 7, .external_lex_state = 3},
  [10206] = {.lex_state = 7, .external_lex_state = 3},
  [10207] = {.lex_state = 7, .external_lex_state = 3},
  [10208] = {.lex_state = 151, .external_lex_state = 2},
  [10209] = {.lex_state = 7, .external_lex_state = 3},
  [10210] = {.lex_state = 7, .external_lex_state = 3},
  [10211] = {.lex_state = 7, .external_lex_state = 3},
  [10212] = {.lex_state = 425, .external_lex_state = 3},
  [10213] = {.lex_state = 7, .external_lex_state = 3},
  [10214] = {.lex_state = 425, .external_lex_state = 3},
  [10215] = {.lex_state = 425, .external_lex_state = 3},
  [10216] = {.lex_state = 425, .external_lex_state = 3},
  [10217] = {.lex_state = 425, .external_lex_state = 3},
  [10218] = {.lex_state = 7, .external_lex_state = 3},
  [10219] = {.lex_state = 425, .external_lex_state = 3},
  [10220] = {.lex_state = 7, .external_lex_state = 3},
  [10221] = {.lex_state = 425, .external_lex_state = 3},
  [10222] = {.lex_state = 425, .external_lex_state = 3},
  [10223] = {.lex_state = 425, .external_lex_state = 3},
  [10224] = {.lex_state = 425, .external_lex_state = 3},
  [10225] = {.lex_state = 425, .external_lex_state = 3},
  [10226] = {.lex_state = 425, .external_lex_state = 3},
  [10227] = {.lex_state = 425, .external_lex_state = 3},
  [10228] = {.lex_state = 425, .external_lex_state = 3},
  [10229] = {.lex_state = 425, .external_lex_state = 3},
  [10230] = {.lex_state = 425, .external_lex_state = 3},
  [10231] = {.lex_state = 425, .external_lex_state = 3},
  [10232] = {.lex_state = 7, .external_lex_state = 3},
  [10233] = {.lex_state = 7, .external_lex_state = 3},
  [10234] = {.lex_state = 425, .external_lex_state = 3},
  [10235] = {.lex_state = 7, .external_lex_state = 3},
  [10236] = {.lex_state = 7, .external_lex_state = 3},
  [10237] = {.lex_state = 7, .external_lex_state = 3},
  [10238] = {.lex_state = 425, .external_lex_state = 3},
  [10239] = {.lex_state = 7, .external_lex_state = 3},
  [10240] = {.lex_state = 7, .external_lex_state = 3},
  [10241] = {.lex_state = 7, .external_lex_state = 3},
  [10242] = {.lex_state = 7, .external_lex_state = 3},
  [10243] = {.lex_state = 425, .external_lex_state = 3},
  [10244] = {.lex_state = 7, .external_lex_state = 3},
  [10245] = {.lex_state = 143, .external_lex_state = 2},
  [10246] = {.lex_state = 7, .external_lex_state = 3},
  [10247] = {.lex_state = 142, .external_lex_state = 2},
  [10248] = {.lex_state = 7, .external_lex_state = 3},
  [10249] = {.lex_state = 425, .external_lex_state = 3},
  [10250] = {.lex_state = 425, .external_lex_state = 3},
  [10251] = {.lex_state = 425, .external_lex_state = 3},
  [10252] = {.lex_state = 425, .external_lex_state = 3},
  [10253] = {.lex_state = 7, .external_lex_state = 3},
  [10254] = {.lex_state = 425, .external_lex_state = 3},
  [10255] = {.lex_state = 7, .external_lex_state = 3},
  [10256] = {.lex_state = 425, .external_lex_state = 3},
  [10257] = {.lex_state = 7, .external_lex_state = 3},
  [10258] = {.lex_state = 425, .external_lex_state = 3},
  [10259] = {.lex_state = 7, .external_lex_state = 3},
  [10260] = {.lex_state = 7, .external_lex_state = 3},
  [10261] = {.lex_state = 425, .external_lex_state = 3},
  [10262] = {.lex_state = 7, .external_lex_state = 3},
  [10263] = {.lex_state = 7, .external_lex_state = 3},
  [10264] = {.lex_state = 425, .external_lex_state = 3},
  [10265] = {.lex_state = 7, .external_lex_state = 3},
  [10266] = {.lex_state = 7, .external_lex_state = 3},
  [10267] = {.lex_state = 425, .external_lex_state = 3},
  [10268] = {.lex_state = 7, .external_lex_state = 3},
  [10269] = {.lex_state = 7, .external_lex_state = 3},
  [10270] = {.lex_state = 7, .external_lex_state = 3},
  [10271] = {.lex_state = 151, .external_lex_state = 2},
  [10272] = {.lex_state = 7, .external_lex_state = 3},
  [10273] = {.lex_state = 7, .external_lex_state = 3},
  [10274] = {.lex_state = 7, .external_lex_state = 3},
  [10275] = {.lex_state = 425, .external_lex_state = 3},
  [10276] = {.lex_state = 143, .external_lex_state = 2},
  [10277] = {.lex_state = 7, .external_lex_state = 3},
  [10278] = {.lex_state = 7, .external_lex_state = 3},
  [10279] = {.lex_state = 425, .external_lex_state = 3},
  [10280] = {.lex_state = 7, .external_lex_state = 3},
  [10281] = {.lex_state = 425, .external_lex_state = 3},
  [10282] = {.lex_state = 7, .external_lex_state = 3},
  [10283] = {.lex_state = 7, .external_lex_state = 3},
  [10284] = {.lex_state = 7, .external_lex_state = 3},
  [10285] = {.lex_state = 7, .external_lex_state = 3},
  [10286] = {.lex_state = 142, .external_lex_state = 2},
  [10287] = {.lex_state = 7, .external_lex_state = 3},
  [10288] = {.lex_state = 425, .external_lex_state = 3},
  [10289] = {.lex_state = 425, .external_lex_state = 3},
  [10290] = {.lex_state = 425, .external_lex_state = 3},
  [10291] = {.lex_state = 425, .external_lex_state = 3},
  [10292] = {.lex_state = 425, .external_lex_state = 3},
  [10293] = {.lex_state = 425, .external_lex_state = 3},
  [10294] = {.lex_state = 425, .external_lex_state = 3},
  [10295] = {.lex_state = 425, .external_lex_state = 3},
  [10296] = {.lex_state = 425, .external_lex_state = 3},
  [10297] = {.lex_state = 425, .external_lex_state = 3},
  [10298] = {.lex_state = 425, .external_lex_state = 3},
  [10299] = {.lex_state = 425, .external_lex_state = 3},
  [10300] = {.lex_state = 425, .external_lex_state = 3},
  [10301] = {.lex_state = 7, .external_lex_state = 3},
  [10302] = {.lex_state = 7, .external_lex_state = 3},
  [10303] = {.lex_state = 7, .external_lex_state = 3},
  [10304] = {.lex_state = 425, .external_lex_state = 3},
  [10305] = {.lex_state = 7, .external_lex_state = 3},
  [10306] = {.lex_state = 7, .external_lex_state = 3},
  [10307] = {.lex_state = 425, .external_lex_state = 3},
  [10308] = {.lex_state = 7, .external_lex_state = 3},
  [10309] = {.lex_state = 143, .external_lex_state = 2},
  [10310] = {.lex_state = 7, .external_lex_state = 3},
  [10311] = {.lex_state = 425, .external_lex_state = 3},
  [10312] = {.lex_state = 7, .external_lex_state = 3},
  [10313] = {.lex_state = 7, .external_lex_state = 3},
  [10314] = {.lex_state = 425, .external_lex_state = 3},
  [10315] = {.lex_state = 7, .external_lex_state = 3},
  [10316] = {.lex_state = 7, .external_lex_state = 3},
  [10317] = {.lex_state = 7, .external_lex_state = 3},
  [10318] = {.lex_state = 7, .external_lex_state = 3},
  [10319] = {.lex_state = 143, .external_lex_state = 2},
  [10320] = {.lex_state = 7, .external_lex_state = 3},
  [10321] = {.lex_state = 7, .external_lex_state = 3},
  [10322] = {.lex_state = 425, .external_lex_state = 3},
  [10323] = {.lex_state = 7, .external_lex_state = 3},
  [10324] = {.lex_state = 425, .external_lex_state = 3},
  [10325] = {.lex_state = 425, .external_lex_state = 3},
  [10326] = {.lex_state = 7, .external_lex_state = 3},
  [10327] = {.lex_state = 7, .external_lex_state = 3},
  [10328] = {.lex_state = 7, .external_lex_state = 3},
  [10329] = {.lex_state = 7, .external_lex_state = 3},
  [10330] = {.lex_state = 7, .external_lex_state = 3},
  [10331] = {.lex_state = 7, .external_lex_state = 3},
  [10332] = {.lex_state = 7, .external_lex_state = 3},
  [10333] = {.lex_state = 7, .external_lex_state = 3},
  [10334] = {.lex_state = 7, .external_lex_state = 3},
  [10335] = {.lex_state = 7, .external_lex_state = 3},
  [10336] = {.lex_state = 425, .external_lex_state = 3},
  [10337] = {.lex_state = 7, .external_lex_state = 3},
  [10338] = {.lex_state = 7, .external_lex_state = 3},
  [10339] = {.lex_state = 7, .external_lex_state = 3},
  [10340] = {.lex_state = 7, .external_lex_state = 3},
  [10341] = {.lex_state = 7, .external_lex_state = 3},
  [10342] = {.lex_state = 7, .external_lex_state = 3},
  [10343] = {.lex_state = 7, .external_lex_state = 3},
  [10344] = {.lex_state = 7, .external_lex_state = 3},
  [10345] = {.lex_state = 7, .external_lex_state = 3},
  [10346] = {.lex_state = 7, .external_lex_state = 3},
  [10347] = {.lex_state = 7, .external_lex_state = 3},
  [10348] = {.lex_state = 7, .external_lex_state = 3},
  [10349] = {.lex_state = 7, .external_lex_state = 3},
  [10350] = {.lex_state = 7, .external_lex_state = 3},
  [10351] = {.lex_state = 7, .external_lex_state = 3},
  [10352] = {.lex_state = 7, .external_lex_state = 3},
  [10353] = {.lex_state = 7, .external_lex_state = 3},
  [10354] = {.lex_state = 7, .external_lex_state = 3},
  [10355] = {.lex_state = 7, .external_lex_state = 3},
  [10356] = {.lex_state = 7, .external_lex_state = 3},
  [10357] = {.lex_state = 7, .external_lex_state = 3},
  [10358] = {.lex_state = 425, .external_lex_state = 3},
  [10359] = {.lex_state = 7, .external_lex_state = 3},
  [10360] = {.lex_state = 7, .external_lex_state = 3},
  [10361] = {.lex_state = 7, .external_lex_state = 3},
  [10362] = {.lex_state = 425, .external_lex_state = 3},
  [10363] = {.lex_state = 7, .external_lex_state = 3},
  [10364] = {.lex_state = 425, .external_lex_state = 3},
  [10365] = {.lex_state = 7, .external_lex_state = 3},
  [10366] = {.lex_state = 7, .external_lex_state = 3},
  [10367] = {.lex_state = 7, .external_lex_state = 3},
  [10368] = {.lex_state = 7, .external_lex_state = 3},
  [10369] = {.lex_state = 7, .external_lex_state = 3},
  [10370] = {.lex_state = 7, .external_lex_state = 3},
  [10371] = {.lex_state = 7, .external_lex_state = 3},
  [10372] = {.lex_state = 7, .external_lex_state = 3},
  [10373] = {.lex_state = 425, .external_lex_state = 3},
  [10374] = {.lex_state = 7, .external_lex_state = 3},
  [10375] = {.lex_state = 7, .external_lex_state = 3},
  [10376] = {.lex_state = 425, .external_lex_state = 3},
  [10377] = {.lex_state = 7, .external_lex_state = 3},
  [10378] = {.lex_state = 7, .external_lex_state = 3},
  [10379] = {.lex_state = 7, .external_lex_state = 3},
  [10380] = {.lex_state = 7, .external_lex_state = 3},
  [10381] = {.lex_state = 7, .external_lex_state = 3},
  [10382] = {.lex_state = 7, .external_lex_state = 3},
  [10383] = {.lex_state = 7, .external_lex_state = 3},
  [10384] = {.lex_state = 7, .external_lex_state = 3},
  [10385] = {.lex_state = 7, .external_lex_state = 3},
  [10386] = {.lex_state = 7, .external_lex_state = 3},
  [10387] = {.lex_state = 7, .external_lex_state = 3},
  [10388] = {.lex_state = 7, .external_lex_state = 3},
  [10389] = {.lex_state = 425, .external_lex_state = 3},
  [10390] = {.lex_state = 7, .external_lex_state = 3},
  [10391] = {.lex_state = 425, .external_lex_state = 3},
  [10392] = {.lex_state = 7, .external_lex_state = 3},
  [10393] = {.lex_state = 7, .external_lex_state = 3},
  [10394] = {.lex_state = 425, .external_lex_state = 3},
  [10395] = {.lex_state = 425, .external_lex_state = 3},
  [10396] = {.lex_state = 170, .external_lex_state = 2},
  [10397] = {.lex_state = 7, .external_lex_state = 3},
  [10398] = {.lex_state = 7, .external_lex_state = 3},
  [10399] = {.lex_state = 7, .external_lex_state = 3},
  [10400] = {.lex_state = 7, .external_lex_state = 3},
  [10401] = {.lex_state = 7, .external_lex_state = 3},
  [10402] = {.lex_state = 7, .external_lex_state = 3},
  [10403] = {.lex_state = 7, .external_lex_state = 3},
  [10404] = {.lex_state = 7, .external_lex_state = 3},
  [10405] = {.lex_state = 7, .external_lex_state = 3},
  [10406] = {.lex_state = 425, .external_lex_state = 3},
  [10407] = {.lex_state = 7, .external_lex_state = 3},
  [10408] = {.lex_state = 425, .external_lex_state = 3},
  [10409] = {.lex_state = 7, .external_lex_state = 3},
  [10410] = {.lex_state = 7, .external_lex_state = 3},
  [10411] = {.lex_state = 7, .external_lex_state = 3},
  [10412] = {.lex_state = 7, .external_lex_state = 3},
  [10413] = {.lex_state = 425, .external_lex_state = 3},
  [10414] = {.lex_state = 7, .external_lex_state = 3},
  [10415] = {.lex_state = 7, .external_lex_state = 3},
  [10416] = {.lex_state = 7, .external_lex_state = 3},
  [10417] = {.lex_state = 7, .external_lex_state = 3},
  [10418] = {.lex_state = 7, .external_lex_state = 3},
  [10419] = {.lex_state = 7, .external_lex_state = 3},
  [10420] = {.lex_state = 7, .external_lex_state = 3},
  [10421] = {.lex_state = 425, .external_lex_state = 3},
  [10422] = {.lex_state = 7, .external_lex_state = 3},
  [10423] = {.lex_state = 7, .external_lex_state = 3},
  [10424] = {.lex_state = 7, .external_lex_state = 3},
  [10425] = {.lex_state = 7, .external_lex_state = 3},
  [10426] = {.lex_state = 7, .external_lex_state = 3},
  [10427] = {.lex_state = 7, .external_lex_state = 3},
  [10428] = {.lex_state = 7, .external_lex_state = 3},
  [10429] = {.lex_state = 7, .external_lex_state = 3},
  [10430] = {.lex_state = 7, .external_lex_state = 3},
  [10431] = {.lex_state = 7, .external_lex_state = 3},
  [10432] = {.lex_state = 7, .external_lex_state = 3},
  [10433] = {.lex_state = 7, .external_lex_state = 3},
  [10434] = {.lex_state = 7, .external_lex_state = 3},
  [10435] = {.lex_state = 7, .external_lex_state = 3},
  [10436] = {.lex_state = 7, .external_lex_state = 3},
  [10437] = {.lex_state = 7, .external_lex_state = 3},
  [10438] = {.lex_state = 425, .external_lex_state = 3},
  [10439] = {.lex_state = 7, .external_lex_state = 3},
  [10440] = {.lex_state = 425, .external_lex_state = 3},
  [10441] = {.lex_state = 7, .external_lex_state = 3},
  [10442] = {.lex_state = 7, .external_lex_state = 3},
  [10443] = {.lex_state = 7, .external_lex_state = 3},
  [10444] = {.lex_state = 7, .external_lex_state = 3},
  [10445] = {.lex_state = 7, .external_lex_state = 3},
  [10446] = {.lex_state = 425, .external_lex_state = 3},
  [10447] = {.lex_state = 7, .external_lex_state = 3},
  [10448] = {.lex_state = 7, .external_lex_state = 3},
  [10449] = {.lex_state = 7, .external_lex_state = 3},
  [10450] = {.lex_state = 7, .external_lex_state = 3},
  [10451] = {.lex_state = 7, .external_lex_state = 3},
  [10452] = {.lex_state = 7, .external_lex_state = 3},
  [10453] = {.lex_state = 7, .external_lex_state = 3},
  [10454] = {.lex_state = 7, .external_lex_state = 3},
  [10455] = {.lex_state = 7, .external_lex_state = 3},
  [10456] = {.lex_state = 7, .external_lex_state = 3},
  [10457] = {.lex_state = 7, .external_lex_state = 3},
  [10458] = {.lex_state = 7, .external_lex_state = 3},
  [10459] = {.lex_state = 7, .external_lex_state = 3},
  [10460] = {.lex_state = 7, .external_lex_state = 3},
  [10461] = {.lex_state = 7, .external_lex_state = 3},
  [10462] = {.lex_state = 7, .external_lex_state = 3},
  [10463] = {.lex_state = 7, .external_lex_state = 3},
  [10464] = {.lex_state = 7, .external_lex_state = 3},
  [10465] = {.lex_state = 7, .external_lex_state = 3},
  [10466] = {.lex_state = 7, .external_lex_state = 3},
  [10467] = {.lex_state = 425, .external_lex_state = 3},
  [10468] = {.lex_state = 7, .external_lex_state = 3},
  [10469] = {.lex_state = 7, .external_lex_state = 3},
  [10470] = {.lex_state = 7, .external_lex_state = 3},
  [10471] = {.lex_state = 7, .external_lex_state = 3},
  [10472] = {.lex_state = 7, .external_lex_state = 3},
  [10473] = {.lex_state = 7, .external_lex_state = 3},
  [10474] = {.lex_state = 7, .external_lex_state = 3},
  [10475] = {.lex_state = 7, .external_lex_state = 3},
  [10476] = {.lex_state = 7, .external_lex_state = 3},
  [10477] = {.lex_state = 7, .external_lex_state = 3},
  [10478] = {.lex_state = 425, .external_lex_state = 3},
  [10479] = {.lex_state = 425, .external_lex_state = 3},
  [10480] = {.lex_state = 425, .external_lex_state = 3},
  [10481] = {.lex_state = 425, .external_lex_state = 3},
  [10482] = {.lex_state = 425, .external_lex_state = 3},
  [10483] = {.lex_state = 7, .external_lex_state = 3},
  [10484] = {.lex_state = 7, .external_lex_state = 3},
  [10485] = {.lex_state = 7, .external_lex_state = 3},
  [10486] = {.lex_state = 425, .external_lex_state = 3},
  [10487] = {.lex_state = 425, .external_lex_state = 3},
  [10488] = {.lex_state = 425, .external_lex_state = 3},
  [10489] = {.lex_state = 7, .external_lex_state = 3},
  [10490] = {.lex_state = 425, .external_lex_state = 3},
  [10491] = {.lex_state = 425, .external_lex_state = 3},
  [10492] = {.lex_state = 7, .external_lex_state = 3},
  [10493] = {.lex_state = 425, .external_lex_state = 3},
  [10494] = {.lex_state = 425, .external_lex_state = 3},
  [10495] = {.lex_state = 425, .external_lex_state = 3},
  [10496] = {.lex_state = 425, .external_lex_state = 3},
  [10497] = {.lex_state = 7, .external_lex_state = 3},
  [10498] = {.lex_state = 7, .external_lex_state = 3},
  [10499] = {.lex_state = 142, .external_lex_state = 2},
  [10500] = {.lex_state = 142, .external_lex_state = 2},
  [10501] = {.lex_state = 425, .external_lex_state = 3},
  [10502] = {.lex_state = 425, .external_lex_state = 3},
  [10503] = {.lex_state = 425, .external_lex_state = 3},
  [10504] = {.lex_state = 425, .external_lex_state = 3},
  [10505] = {.lex_state = 142, .external_lex_state = 2},
  [10506] = {.lex_state = 425, .external_lex_state = 3},
  [10507] = {.lex_state = 443, .external_lex_state = 3},
  [10508] = {.lex_state = 443, .external_lex_state = 3},
  [10509] = {.lex_state = 155, .external_lex_state = 2},
  [10510] = {.lex_state = 151, .external_lex_state = 2},
  [10511] = {.lex_state = 155, .external_lex_state = 2},
  [10512] = {.lex_state = 425, .external_lex_state = 3},
  [10513] = {.lex_state = 443, .external_lex_state = 3},
  [10514] = {.lex_state = 155, .external_lex_state = 2},
  [10515] = {.lex_state = 443, .external_lex_state = 3},
  [10516] = {.lex_state = 443, .external_lex_state = 3},
  [10517] = {.lex_state = 425, .external_lex_state = 3},
  [10518] = {.lex_state = 142, .external_lex_state = 2},
  [10519] = {.lex_state = 155, .external_lex_state = 2},
  [10520] = {.lex_state = 142, .external_lex_state = 2},
  [10521] = {.lex_state = 425, .external_lex_state = 3},
  [10522] = {.lex_state = 142, .external_lex_state = 2},
  [10523] = {.lex_state = 142, .external_lex_state = 2},
  [10524] = {.lex_state = 425, .external_lex_state = 3},
  [10525] = {.lex_state = 425, .external_lex_state = 3},
  [10526] = {.lex_state = 142, .external_lex_state = 2},
  [10527] = {.lex_state = 425, .external_lex_state = 3},
  [10528] = {.lex_state = 425, .external_lex_state = 3},
  [10529] = {.lex_state = 155, .external_lex_state = 2},
  [10530] = {.lex_state = 425, .external_lex_state = 3},
  [10531] = {.lex_state = 425, .external_lex_state = 3},
  [10532] = {.lex_state = 142, .external_lex_state = 2},
  [10533] = {.lex_state = 142, .external_lex_state = 2},
  [10534] = {.lex_state = 161, .external_lex_state = 2},
  [10535] = {.lex_state = 425, .external_lex_state = 3},
  [10536] = {.lex_state = 151, .external_lex_state = 2},
  [10537] = {.lex_state = 136, .external_lex_state = 3},
  [10538] = {.lex_state = 155, .external_lex_state = 2},
  [10539] = {.lex_state = 142, .external_lex_state = 2},
  [10540] = {.lex_state = 142, .external_lex_state = 2},
  [10541] = {.lex_state = 425, .external_lex_state = 3},
  [10542] = {.lex_state = 425, .external_lex_state = 3},
  [10543] = {.lex_state = 425, .external_lex_state = 3},
  [10544] = {.lex_state = 425, .external_lex_state = 3},
  [10545] = {.lex_state = 142, .external_lex_state = 2},
  [10546] = {.lex_state = 142, .external_lex_state = 2},
  [10547] = {.lex_state = 425, .external_lex_state = 3},
  [10548] = {.lex_state = 443, .external_lex_state = 3},
  [10549] = {.lex_state = 425, .external_lex_state = 3},
  [10550] = {.lex_state = 445, .external_lex_state = 3},
  [10551] = {.lex_state = 425, .external_lex_state = 3},
  [10552] = {.lex_state = 425, .external_lex_state = 3},
  [10553] = {.lex_state = 142, .external_lex_state = 2},
  [10554] = {.lex_state = 142, .external_lex_state = 2},
  [10555] = {.lex_state = 142, .external_lex_state = 2},
  [10556] = {.lex_state = 425, .external_lex_state = 3},
  [10557] = {.lex_state = 142, .external_lex_state = 2},
  [10558] = {.lex_state = 151, .external_lex_state = 2},
  [10559] = {.lex_state = 142, .external_lex_state = 2},
  [10560] = {.lex_state = 142, .external_lex_state = 2},
  [10561] = {.lex_state = 142, .external_lex_state = 2},
  [10562] = {.lex_state = 443, .external_lex_state = 3},
  [10563] = {.lex_state = 425, .external_lex_state = 3},
  [10564] = {.lex_state = 142, .external_lex_state = 2},
  [10565] = {.lex_state = 425, .external_lex_state = 3},
  [10566] = {.lex_state = 142, .external_lex_state = 2},
  [10567] = {.lex_state = 142, .external_lex_state = 2},
  [10568] = {.lex_state = 425, .external_lex_state = 3},
  [10569] = {.lex_state = 142, .external_lex_state = 2},
  [10570] = {.lex_state = 425, .external_lex_state = 3},
  [10571] = {.lex_state = 142, .external_lex_state = 2},
  [10572] = {.lex_state = 142, .external_lex_state = 2},
  [10573] = {.lex_state = 142, .external_lex_state = 2},
  [10574] = {.lex_state = 142, .external_lex_state = 2},
  [10575] = {.lex_state = 136, .external_lex_state = 3},
  [10576] = {.lex_state = 425, .external_lex_state = 3},
  [10577] = {.lex_state = 425, .external_lex_state = 3},
  [10578] = {.lex_state = 445, .external_lex_state = 3},
  [10579] = {.lex_state = 425, .external_lex_state = 3},
  [10580] = {.lex_state = 142, .external_lex_state = 2},
  [10581] = {.lex_state = 425, .external_lex_state = 3},
  [10582] = {.lex_state = 425, .external_lex_state = 3},
  [10583] = {.lex_state = 136, .external_lex_state = 3},
  [10584] = {.lex_state = 425, .external_lex_state = 3},
  [10585] = {.lex_state = 425, .external_lex_state = 3},
  [10586] = {.lex_state = 425, .external_lex_state = 3},
  [10587] = {.lex_state = 425, .external_lex_state = 3},
  [10588] = {.lex_state = 142, .external_lex_state = 2},
  [10589] = {.lex_state = 425, .external_lex_state = 3},
  [10590] = {.lex_state = 425, .external_lex_state = 3},
  [10591] = {.lex_state = 425, .external_lex_state = 3},
  [10592] = {.lex_state = 425, .external_lex_state = 3},
  [10593] = {.lex_state = 425, .external_lex_state = 3},
  [10594] = {.lex_state = 425, .external_lex_state = 3},
  [10595] = {.lex_state = 142, .external_lex_state = 2},
  [10596] = {.lex_state = 155, .external_lex_state = 2},
  [10597] = {.lex_state = 425, .external_lex_state = 3},
  [10598] = {.lex_state = 425, .external_lex_state = 3},
  [10599] = {.lex_state = 425, .external_lex_state = 3},
  [10600] = {.lex_state = 425, .external_lex_state = 3},
  [10601] = {.lex_state = 155, .external_lex_state = 2},
  [10602] = {.lex_state = 425, .external_lex_state = 3},
  [10603] = {.lex_state = 142, .external_lex_state = 2},
  [10604] = {.lex_state = 142, .external_lex_state = 2},
  [10605] = {.lex_state = 142, .external_lex_state = 2},
  [10606] = {.lex_state = 151, .external_lex_state = 2},
  [10607] = {.lex_state = 155, .external_lex_state = 2},
  [10608] = {.lex_state = 444, .external_lex_state = 3},
  [10609] = {.lex_state = 142, .external_lex_state = 2},
  [10610] = {.lex_state = 142, .external_lex_state = 2},
  [10611] = {.lex_state = 142, .external_lex_state = 2},
  [10612] = {.lex_state = 142, .external_lex_state = 2},
  [10613] = {.lex_state = 425, .external_lex_state = 3},
  [10614] = {.lex_state = 425, .external_lex_state = 3},
  [10615] = {.lex_state = 425, .external_lex_state = 3},
  [10616] = {.lex_state = 425, .external_lex_state = 3},
  [10617] = {.lex_state = 425, .external_lex_state = 3},
  [10618] = {.lex_state = 425, .external_lex_state = 3},
  [10619] = {.lex_state = 142, .external_lex_state = 2},
  [10620] = {.lex_state = 425, .external_lex_state = 3},
  [10621] = {.lex_state = 142, .external_lex_state = 2},
  [10622] = {.lex_state = 142, .external_lex_state = 2},
  [10623] = {.lex_state = 142, .external_lex_state = 2},
  [10624] = {.lex_state = 155, .external_lex_state = 2},
  [10625] = {.lex_state = 425, .external_lex_state = 3},
  [10626] = {.lex_state = 142, .external_lex_state = 2},
  [10627] = {.lex_state = 443, .external_lex_state = 3},
  [10628] = {.lex_state = 142, .external_lex_state = 2},
  [10629] = {.lex_state = 425, .external_lex_state = 3},
  [10630] = {.lex_state = 142, .external_lex_state = 2},
  [10631] = {.lex_state = 142, .external_lex_state = 2},
  [10632] = {.lex_state = 142, .external_lex_state = 2},
  [10633] = {.lex_state = 443, .external_lex_state = 3},
  [10634] = {.lex_state = 142, .external_lex_state = 2},
  [10635] = {.lex_state = 142, .external_lex_state = 2},
  [10636] = {.lex_state = 142, .external_lex_state = 2},
  [10637] = {.lex_state = 142, .external_lex_state = 2},
  [10638] = {.lex_state = 142, .external_lex_state = 2},
  [10639] = {.lex_state = 142, .external_lex_state = 2},
  [10640] = {.lex_state = 142, .external_lex_state = 2},
  [10641] = {.lex_state = 142, .external_lex_state = 2},
  [10642] = {.lex_state = 142, .external_lex_state = 2},
  [10643] = {.lex_state = 425, .external_lex_state = 3},
  [10644] = {.lex_state = 425, .external_lex_state = 3},
  [10645] = {.lex_state = 425, .external_lex_state = 3},
  [10646] = {.lex_state = 142, .external_lex_state = 2},
  [10647] = {.lex_state = 425, .external_lex_state = 3},
  [10648] = {.lex_state = 142, .external_lex_state = 2},
  [10649] = {.lex_state = 142, .external_lex_state = 2},
  [10650] = {.lex_state = 155, .external_lex_state = 2},
  [10651] = {.lex_state = 425, .external_lex_state = 3},
  [10652] = {.lex_state = 142, .external_lex_state = 2},
  [10653] = {.lex_state = 425, .external_lex_state = 3},
  [10654] = {.lex_state = 425, .external_lex_state = 3},
  [10655] = {.lex_state = 425, .external_lex_state = 3},
  [10656] = {.lex_state = 425, .external_lex_state = 3},
  [10657] = {.lex_state = 151, .external_lex_state = 2},
  [10658] = {.lex_state = 151, .external_lex_state = 2},
  [10659] = {.lex_state = 151, .external_lex_state = 2},
  [10660] = {.lex_state = 425, .external_lex_state = 3},
  [10661] = {.lex_state = 151, .external_lex_state = 2},
  [10662] = {.lex_state = 151, .external_lex_state = 2},
  [10663] = {.lex_state = 443, .external_lex_state = 3},
  [10664] = {.lex_state = 151, .external_lex_state = 2},
  [10665] = {.lex_state = 443, .external_lex_state = 3},
  [10666] = {.lex_state = 151, .external_lex_state = 2},
  [10667] = {.lex_state = 425, .external_lex_state = 3},
  [10668] = {.lex_state = 151, .external_lex_state = 2},
  [10669] = {.lex_state = 151, .external_lex_state = 2},
  [10670] = {.lex_state = 151, .external_lex_state = 2},
  [10671] = {.lex_state = 151, .external_lex_state = 2},
  [10672] = {.lex_state = 425, .external_lex_state = 3},
  [10673] = {.lex_state = 151, .external_lex_state = 2},
  [10674] = {.lex_state = 151, .external_lex_state = 2},
  [10675] = {.lex_state = 454, .external_lex_state = 3},
  [10676] = {.lex_state = 443, .external_lex_state = 3},
  [10677] = {.lex_state = 425, .external_lex_state = 3},
  [10678] = {.lex_state = 151, .external_lex_state = 2},
  [10679] = {.lex_state = 425, .external_lex_state = 3},
  [10680] = {.lex_state = 151, .external_lex_state = 2},
  [10681] = {.lex_state = 443, .external_lex_state = 3},
  [10682] = {.lex_state = 151, .external_lex_state = 2},
  [10683] = {.lex_state = 443, .external_lex_state = 3},
  [10684] = {.lex_state = 443, .external_lex_state = 3},
  [10685] = {.lex_state = 151, .external_lex_state = 2},
  [10686] = {.lex_state = 425, .external_lex_state = 3},
  [10687] = {.lex_state = 151, .external_lex_state = 2},
  [10688] = {.lex_state = 151, .external_lex_state = 2},
  [10689] = {.lex_state = 443, .external_lex_state = 3},
  [10690] = {.lex_state = 151, .external_lex_state = 2},
  [10691] = {.lex_state = 151, .external_lex_state = 2},
  [10692] = {.lex_state = 443, .external_lex_state = 3},
  [10693] = {.lex_state = 151, .external_lex_state = 2},
  [10694] = {.lex_state = 454, .external_lex_state = 3},
  [10695] = {.lex_state = 445, .external_lex_state = 3},
  [10696] = {.lex_state = 151, .external_lex_state = 2},
  [10697] = {.lex_state = 425, .external_lex_state = 3},
  [10698] = {.lex_state = 425, .external_lex_state = 3},
  [10699] = {.lex_state = 151, .external_lex_state = 2},
  [10700] = {.lex_state = 151, .external_lex_state = 2},
  [10701] = {.lex_state = 151, .external_lex_state = 2},
  [10702] = {.lex_state = 151, .external_lex_state = 2},
  [10703] = {.lex_state = 425, .external_lex_state = 3},
  [10704] = {.lex_state = 151, .external_lex_state = 2},
  [10705] = {.lex_state = 151, .external_lex_state = 2},
  [10706] = {.lex_state = 425, .external_lex_state = 3},
  [10707] = {.lex_state = 151, .external_lex_state = 2},
  [10708] = {.lex_state = 151, .external_lex_state = 2},
  [10709] = {.lex_state = 151, .external_lex_state = 2},
  [10710] = {.lex_state = 151, .external_lex_state = 2},
  [10711] = {.lex_state = 151, .external_lex_state = 2},
  [10712] = {.lex_state = 151, .external_lex_state = 2},
  [10713] = {.lex_state = 151, .external_lex_state = 2},
  [10714] = {.lex_state = 151, .external_lex_state = 2},
  [10715] = {.lex_state = 445, .external_lex_state = 3},
  [10716] = {.lex_state = 425, .external_lex_state = 3},
  [10717] = {.lex_state = 443, .external_lex_state = 3},
  [10718] = {.lex_state = 151, .external_lex_state = 2},
  [10719] = {.lex_state = 443, .external_lex_state = 3},
  [10720] = {.lex_state = 151, .external_lex_state = 2},
  [10721] = {.lex_state = 151, .external_lex_state = 2},
  [10722] = {.lex_state = 425, .external_lex_state = 3},
  [10723] = {.lex_state = 443, .external_lex_state = 3},
  [10724] = {.lex_state = 151, .external_lex_state = 2},
  [10725] = {.lex_state = 425, .external_lex_state = 3},
  [10726] = {.lex_state = 151, .external_lex_state = 2},
  [10727] = {.lex_state = 151, .external_lex_state = 2},
  [10728] = {.lex_state = 443, .external_lex_state = 3},
  [10729] = {.lex_state = 151, .external_lex_state = 2},
  [10730] = {.lex_state = 151, .external_lex_state = 2},
  [10731] = {.lex_state = 425, .external_lex_state = 3},
  [10732] = {.lex_state = 454, .external_lex_state = 3},
  [10733] = {.lex_state = 151, .external_lex_state = 2},
  [10734] = {.lex_state = 454, .external_lex_state = 3},
  [10735] = {.lex_state = 443, .external_lex_state = 3},
  [10736] = {.lex_state = 151, .external_lex_state = 2},
  [10737] = {.lex_state = 151, .external_lex_state = 2},
  [10738] = {.lex_state = 151, .external_lex_state = 2},
  [10739] = {.lex_state = 151, .external_lex_state = 2},
  [10740] = {.lex_state = 151, .external_lex_state = 2},
  [10741] = {.lex_state = 443, .external_lex_state = 3},
  [10742] = {.lex_state = 425, .external_lex_state = 3},
  [10743] = {.lex_state = 151, .external_lex_state = 2},
  [10744] = {.lex_state = 443, .external_lex_state = 3},
  [10745] = {.lex_state = 151, .external_lex_state = 2},
  [10746] = {.lex_state = 151, .external_lex_state = 2},
  [10747] = {.lex_state = 443, .external_lex_state = 3},
  [10748] = {.lex_state = 151, .external_lex_state = 2},
  [10749] = {.lex_state = 425, .external_lex_state = 3},
  [10750] = {.lex_state = 425, .external_lex_state = 3},
  [10751] = {.lex_state = 151, .external_lex_state = 2},
  [10752] = {.lex_state = 151, .external_lex_state = 2},
  [10753] = {.lex_state = 151, .external_lex_state = 2},
  [10754] = {.lex_state = 451, .external_lex_state = 3},
  [10755] = {.lex_state = 451, .external_lex_state = 3},
  [10756] = {.lex_state = 200, .external_lex_state = 3},
  [10757] = {.lex_state = 425, .external_lex_state = 3},
  [10758] = {.lex_state = 425, .external_lex_state = 3},
  [10759] = {.lex_state = 425, .external_lex_state = 3},
  [10760] = {.lex_state = 425, .external_lex_state = 3},
  [10761] = {.lex_state = 454, .external_lex_state = 3},
  [10762] = {.lex_state = 200, .external_lex_state = 3},
  [10763] = {.lex_state = 425, .external_lex_state = 3},
  [10764] = {.lex_state = 425, .external_lex_state = 3},
  [10765] = {.lex_state = 200, .external_lex_state = 3},
  [10766] = {.lex_state = 200, .external_lex_state = 3},
  [10767] = {.lex_state = 454, .external_lex_state = 3},
  [10768] = {.lex_state = 7, .external_lex_state = 3},
  [10769] = {.lex_state = 425, .external_lex_state = 3},
  [10770] = {.lex_state = 7, .external_lex_state = 3},
  [10771] = {.lex_state = 454, .external_lex_state = 3},
  [10772] = {.lex_state = 7, .external_lex_state = 3},
  [10773] = {.lex_state = 7, .external_lex_state = 3},
  [10774] = {.lex_state = 443, .external_lex_state = 3},
  [10775] = {.lex_state = 448, .external_lex_state = 3},
  [10776] = {.lex_state = 7, .external_lex_state = 3},
  [10777] = {.lex_state = 7, .external_lex_state = 3},
  [10778] = {.lex_state = 7, .external_lex_state = 3},
  [10779] = {.lex_state = 7, .external_lex_state = 3},
  [10780] = {.lex_state = 7, .external_lex_state = 3},
  [10781] = {.lex_state = 454, .external_lex_state = 3},
  [10782] = {.lex_state = 7, .external_lex_state = 3},
  [10783] = {.lex_state = 425, .external_lex_state = 3},
  [10784] = {.lex_state = 448, .external_lex_state = 3},
  [10785] = {.lex_state = 7, .external_lex_state = 3},
  [10786] = {.lex_state = 7, .external_lex_state = 3},
  [10787] = {.lex_state = 7, .external_lex_state = 3},
  [10788] = {.lex_state = 451, .external_lex_state = 3},
  [10789] = {.lex_state = 7, .external_lex_state = 3},
  [10790] = {.lex_state = 443, .external_lex_state = 3},
  [10791] = {.lex_state = 7, .external_lex_state = 3},
  [10792] = {.lex_state = 7, .external_lex_state = 3},
  [10793] = {.lex_state = 7, .external_lex_state = 3},
  [10794] = {.lex_state = 451, .external_lex_state = 3},
  [10795] = {.lex_state = 425, .external_lex_state = 3},
  [10796] = {.lex_state = 193, .external_lex_state = 3},
  [10797] = {.lex_state = 7, .external_lex_state = 3},
  [10798] = {.lex_state = 454, .external_lex_state = 3},
  [10799] = {.lex_state = 454, .external_lex_state = 3},
  [10800] = {.lex_state = 200, .external_lex_state = 3},
  [10801] = {.lex_state = 7, .external_lex_state = 3},
  [10802] = {.lex_state = 7, .external_lex_state = 3},
  [10803] = {.lex_state = 425, .external_lex_state = 3},
  [10804] = {.lex_state = 7, .external_lex_state = 3},
  [10805] = {.lex_state = 7, .external_lex_state = 3},
  [10806] = {.lex_state = 7, .external_lex_state = 3},
  [10807] = {.lex_state = 454, .external_lex_state = 3},
  [10808] = {.lex_state = 7, .external_lex_state = 3},
  [10809] = {.lex_state = 454, .external_lex_state = 3},
  [10810] = {.lex_state = 7, .external_lex_state = 3},
  [10811] = {.lex_state = 200, .external_lex_state = 3},
  [10812] = {.lex_state = 7, .external_lex_state = 3},
  [10813] = {.lex_state = 7, .external_lex_state = 3},
  [10814] = {.lex_state = 7, .external_lex_state = 3},
  [10815] = {.lex_state = 443, .external_lex_state = 3},
  [10816] = {.lex_state = 7, .external_lex_state = 3},
  [10817] = {.lex_state = 7, .external_lex_state = 3},
  [10818] = {.lex_state = 7, .external_lex_state = 3},
  [10819] = {.lex_state = 454, .external_lex_state = 3},
  [10820] = {.lex_state = 451, .external_lex_state = 3},
  [10821] = {.lex_state = 451, .external_lex_state = 3},
  [10822] = {.lex_state = 7, .external_lex_state = 3},
  [10823] = {.lex_state = 193, .external_lex_state = 3},
  [10824] = {.lex_state = 7, .external_lex_state = 3},
  [10825] = {.lex_state = 451, .external_lex_state = 3},
  [10826] = {.lex_state = 7, .external_lex_state = 3},
  [10827] = {.lex_state = 448, .external_lex_state = 3},
  [10828] = {.lex_state = 454, .external_lex_state = 3},
  [10829] = {.lex_state = 7, .external_lex_state = 3},
  [10830] = {.lex_state = 451, .external_lex_state = 3},
  [10831] = {.lex_state = 454, .external_lex_state = 3},
  [10832] = {.lex_state = 7, .external_lex_state = 3},
  [10833] = {.lex_state = 454, .external_lex_state = 3},
  [10834] = {.lex_state = 454, .external_lex_state = 3},
  [10835] = {.lex_state = 454, .external_lex_state = 3},
  [10836] = {.lex_state = 454, .external_lex_state = 3},
  [10837] = {.lex_state = 454, .external_lex_state = 3},
  [10838] = {.lex_state = 152, .external_lex_state = 2},
  [10839] = {.lex_state = 7, .external_lex_state = 3},
  [10840] = {.lex_state = 7, .external_lex_state = 3},
  [10841] = {.lex_state = 7, .external_lex_state = 3},
  [10842] = {.lex_state = 454, .external_lex_state = 3},
  [10843] = {.lex_state = 454, .external_lex_state = 3},
  [10844] = {.lex_state = 454, .external_lex_state = 3},
  [10845] = {.lex_state = 454, .external_lex_state = 3},
  [10846] = {.lex_state = 443, .external_lex_state = 3},
  [10847] = {.lex_state = 443, .external_lex_state = 3},
  [10848] = {.lex_state = 454, .external_lex_state = 3},
  [10849] = {.lex_state = 454, .external_lex_state = 3},
  [10850] = {.lex_state = 454, .external_lex_state = 3},
  [10851] = {.lex_state = 454, .external_lex_state = 3},
  [10852] = {.lex_state = 451, .external_lex_state = 3},
  [10853] = {.lex_state = 451, .external_lex_state = 3},
  [10854] = {.lex_state = 454, .external_lex_state = 3},
  [10855] = {.lex_state = 454, .external_lex_state = 3},
  [10856] = {.lex_state = 454, .external_lex_state = 3},
  [10857] = {.lex_state = 454, .external_lex_state = 3},
  [10858] = {.lex_state = 454, .external_lex_state = 3},
  [10859] = {.lex_state = 454, .external_lex_state = 3},
  [10860] = {.lex_state = 443, .external_lex_state = 3},
  [10861] = {.lex_state = 454, .external_lex_state = 3},
  [10862] = {.lex_state = 454, .external_lex_state = 3},
  [10863] = {.lex_state = 454, .external_lex_state = 3},
  [10864] = {.lex_state = 454, .external_lex_state = 3},
  [10865] = {.lex_state = 152, .external_lex_state = 2},
  [10866] = {.lex_state = 451, .external_lex_state = 3},
  [10867] = {.lex_state = 7, .external_lex_state = 3},
  [10868] = {.lex_state = 7, .external_lex_state = 3},
  [10869] = {.lex_state = 7, .external_lex_state = 3},
  [10870] = {.lex_state = 7, .external_lex_state = 3},
  [10871] = {.lex_state = 199, .external_lex_state = 3},
  [10872] = {.lex_state = 200, .external_lex_state = 3},
  [10873] = {.lex_state = 443, .external_lex_state = 3},
  [10874] = {.lex_state = 7, .external_lex_state = 3},
  [10875] = {.lex_state = 201, .external_lex_state = 3},
  [10876] = {.lex_state = 7, .external_lex_state = 3},
  [10877] = {.lex_state = 7, .external_lex_state = 3},
  [10878] = {.lex_state = 201, .external_lex_state = 3},
  [10879] = {.lex_state = 200, .external_lex_state = 3},
  [10880] = {.lex_state = 451, .external_lex_state = 3},
  [10881] = {.lex_state = 443, .external_lex_state = 3},
  [10882] = {.lex_state = 193, .external_lex_state = 3},
  [10883] = {.lex_state = 443, .external_lex_state = 3},
  [10884] = {.lex_state = 193, .external_lex_state = 3},
  [10885] = {.lex_state = 451, .external_lex_state = 3},
  [10886] = {.lex_state = 451, .external_lex_state = 3},
  [10887] = {.lex_state = 451, .external_lex_state = 3},
  [10888] = {.lex_state = 7, .external_lex_state = 3},
  [10889] = {.lex_state = 451, .external_lex_state = 3},
  [10890] = {.lex_state = 7, .external_lex_state = 3},
  [10891] = {.lex_state = 449, .external_lex_state = 3},
  [10892] = {.lex_state = 7, .external_lex_state = 3},
  [10893] = {.lex_state = 7, .external_lex_state = 3},
  [10894] = {.lex_state = 7, .external_lex_state = 3},
  [10895] = {.lex_state = 7, .external_lex_state = 3},
  [10896] = {.lex_state = 7, .external_lex_state = 3},
  [10897] = {.lex_state = 193, .external_lex_state = 3},
  [10898] = {.lex_state = 7, .external_lex_state = 3},
  [10899] = {.lex_state = 7, .external_lex_state = 3},
  [10900] = {.lex_state = 7, .external_lex_state = 3},
  [10901] = {.lex_state = 7, .external_lex_state = 3},
  [10902] = {.lex_state = 200, .external_lex_state = 3},
  [10903] = {.lex_state = 7, .external_lex_state = 3},
  [10904] = {.lex_state = 201, .external_lex_state = 3},
  [10905] = {.lex_state = 7, .external_lex_state = 3},
  [10906] = {.lex_state = 7, .external_lex_state = 3},
  [10907] = {.lex_state = 432, .external_lex_state = 3},
  [10908] = {.lex_state = 7, .external_lex_state = 3},
  [10909] = {.lex_state = 7, .external_lex_state = 3},
  [10910] = {.lex_state = 200, .external_lex_state = 3},
  [10911] = {.lex_state = 193, .external_lex_state = 3},
  [10912] = {.lex_state = 451, .external_lex_state = 3},
  [10913] = {.lex_state = 451, .external_lex_state = 3},
  [10914] = {.lex_state = 451, .external_lex_state = 3},
  [10915] = {.lex_state = 201, .external_lex_state = 3},
  [10916] = {.lex_state = 7, .external_lex_state = 3},
  [10917] = {.lex_state = 451, .external_lex_state = 3},
  [10918] = {.lex_state = 7, .external_lex_state = 3},
  [10919] = {.lex_state = 449, .external_lex_state = 3},
  [10920] = {.lex_state = 7, .external_lex_state = 3},
  [10921] = {.lex_state = 451, .external_lex_state = 3},
  [10922] = {.lex_state = 7, .external_lex_state = 3},
  [10923] = {.lex_state = 7, .external_lex_state = 3},
  [10924] = {.lex_state = 7, .external_lex_state = 3},
  [10925] = {.lex_state = 451, .external_lex_state = 3},
  [10926] = {.lex_state = 7, .external_lex_state = 3},
  [10927] = {.lex_state = 15, .external_lex_state = 2},
  [10928] = {.lex_state = 200, .external_lex_state = 3},
  [10929] = {.lex_state = 200, .external_lex_state = 3},
  [10930] = {.lex_state = 449, .external_lex_state = 3},
  [10931] = {.lex_state = 199, .external_lex_state = 3},
  [10932] = {.lex_state = 200, .external_lex_state = 3},
  [10933] = {.lex_state = 15, .external_lex_state = 2},
  [10934] = {.lex_state = 7, .external_lex_state = 3},
  [10935] = {.lex_state = 7, .external_lex_state = 3},
  [10936] = {.lex_state = 7, .external_lex_state = 3},
  [10937] = {.lex_state = 200, .external_lex_state = 3},
  [10938] = {.lex_state = 200, .external_lex_state = 3},
  [10939] = {.lex_state = 7, .external_lex_state = 3},
  [10940] = {.lex_state = 7, .external_lex_state = 3},
  [10941] = {.lex_state = 15, .external_lex_state = 2},
  [10942] = {.lex_state = 7, .external_lex_state = 3},
  [10943] = {.lex_state = 7, .external_lex_state = 3},
  [10944] = {.lex_state = 7, .external_lex_state = 3},
  [10945] = {.lex_state = 7, .external_lex_state = 3},
  [10946] = {.lex_state = 7, .external_lex_state = 3},
  [10947] = {.lex_state = 451, .external_lex_state = 3},
  [10948] = {.lex_state = 200, .external_lex_state = 3},
  [10949] = {.lex_state = 15, .external_lex_state = 2},
  [10950] = {.lex_state = 193, .external_lex_state = 3},
  [10951] = {.lex_state = 15, .external_lex_state = 2},
  [10952] = {.lex_state = 15, .external_lex_state = 2},
  [10953] = {.lex_state = 15, .external_lex_state = 2},
  [10954] = {.lex_state = 7, .external_lex_state = 3},
  [10955] = {.lex_state = 15, .external_lex_state = 2},
  [10956] = {.lex_state = 7, .external_lex_state = 3},
  [10957] = {.lex_state = 7, .external_lex_state = 3},
  [10958] = {.lex_state = 200, .external_lex_state = 3},
  [10959] = {.lex_state = 7, .external_lex_state = 3},
  [10960] = {.lex_state = 7, .external_lex_state = 3},
  [10961] = {.lex_state = 7, .external_lex_state = 3},
  [10962] = {.lex_state = 7, .external_lex_state = 3},
  [10963] = {.lex_state = 7, .external_lex_state = 3},
  [10964] = {.lex_state = 7, .external_lex_state = 3},
  [10965] = {.lex_state = 15, .external_lex_state = 2},
  [10966] = {.lex_state = 200, .external_lex_state = 3},
  [10967] = {.lex_state = 7, .external_lex_state = 3},
  [10968] = {.lex_state = 7, .external_lex_state = 3},
  [10969] = {.lex_state = 7, .external_lex_state = 3},
  [10970] = {.lex_state = 200, .external_lex_state = 3},
  [10971] = {.lex_state = 7, .external_lex_state = 3},
  [10972] = {.lex_state = 15, .external_lex_state = 2},
  [10973] = {.lex_state = 7, .external_lex_state = 3},
  [10974] = {.lex_state = 7, .external_lex_state = 3},
  [10975] = {.lex_state = 7, .external_lex_state = 3},
  [10976] = {.lex_state = 7, .external_lex_state = 3},
  [10977] = {.lex_state = 15, .external_lex_state = 2},
  [10978] = {.lex_state = 7, .external_lex_state = 3},
  [10979] = {.lex_state = 15, .external_lex_state = 2},
  [10980] = {.lex_state = 15, .external_lex_state = 2},
  [10981] = {.lex_state = 15, .external_lex_state = 2},
  [10982] = {.lex_state = 15, .external_lex_state = 2},
  [10983] = {.lex_state = 15, .external_lex_state = 2},
  [10984] = {.lex_state = 7, .external_lex_state = 3},
  [10985] = {.lex_state = 7, .external_lex_state = 3},
  [10986] = {.lex_state = 15, .external_lex_state = 2},
  [10987] = {.lex_state = 15, .external_lex_state = 2},
  [10988] = {.lex_state = 451, .external_lex_state = 3},
  [10989] = {.lex_state = 7, .external_lex_state = 3},
  [10990] = {.lex_state = 15, .external_lex_state = 2},
  [10991] = {.lex_state = 443, .external_lex_state = 3},
  [10992] = {.lex_state = 15, .external_lex_state = 2},
  [10993] = {.lex_state = 15, .external_lex_state = 2},
  [10994] = {.lex_state = 7, .external_lex_state = 3},
  [10995] = {.lex_state = 7, .external_lex_state = 3},
  [10996] = {.lex_state = 7, .external_lex_state = 3},
  [10997] = {.lex_state = 7, .external_lex_state = 3},
  [10998] = {.lex_state = 7, .external_lex_state = 3},
  [10999] = {.lex_state = 7, .external_lex_state = 3},
  [11000] = {.lex_state = 7, .external_lex_state = 3},
  [11001] = {.lex_state = 7, .external_lex_state = 3},
  [11002] = {.lex_state = 200, .external_lex_state = 3},
  [11003] = {.lex_state = 7, .external_lex_state = 3},
  [11004] = {.lex_state = 200, .external_lex_state = 3},
  [11005] = {.lex_state = 15, .external_lex_state = 2},
  [11006] = {.lex_state = 7, .external_lex_state = 3},
  [11007] = {.lex_state = 200, .external_lex_state = 3},
  [11008] = {.lex_state = 15, .external_lex_state = 2},
  [11009] = {.lex_state = 15, .external_lex_state = 2},
  [11010] = {.lex_state = 7, .external_lex_state = 3},
  [11011] = {.lex_state = 7, .external_lex_state = 3},
  [11012] = {.lex_state = 15, .external_lex_state = 2},
  [11013] = {.lex_state = 7, .external_lex_state = 3},
  [11014] = {.lex_state = 15, .external_lex_state = 2},
  [11015] = {.lex_state = 7, .external_lex_state = 3},
  [11016] = {.lex_state = 15, .external_lex_state = 2},
  [11017] = {.lex_state = 152, .external_lex_state = 2},
  [11018] = {.lex_state = 15, .external_lex_state = 2},
  [11019] = {.lex_state = 15, .external_lex_state = 2},
  [11020] = {.lex_state = 15, .external_lex_state = 2},
  [11021] = {.lex_state = 15, .external_lex_state = 2},
  [11022] = {.lex_state = 15, .external_lex_state = 2},
  [11023] = {.lex_state = 425, .external_lex_state = 3},
  [11024] = {.lex_state = 15, .external_lex_state = 2},
  [11025] = {.lex_state = 7, .external_lex_state = 3},
  [11026] = {.lex_state = 15, .external_lex_state = 2},
  [11027] = {.lex_state = 7, .external_lex_state = 3},
  [11028] = {.lex_state = 425, .external_lex_state = 3},
  [11029] = {.lex_state = 7, .external_lex_state = 3},
  [11030] = {.lex_state = 7, .external_lex_state = 3},
  [11031] = {.lex_state = 7, .external_lex_state = 3},
  [11032] = {.lex_state = 451, .external_lex_state = 3},
  [11033] = {.lex_state = 7, .external_lex_state = 3},
  [11034] = {.lex_state = 7, .external_lex_state = 3},
  [11035] = {.lex_state = 15, .external_lex_state = 2},
  [11036] = {.lex_state = 15, .external_lex_state = 2},
  [11037] = {.lex_state = 15, .external_lex_state = 2},
  [11038] = {.lex_state = 15, .external_lex_state = 2},
  [11039] = {.lex_state = 15, .external_lex_state = 2},
  [11040] = {.lex_state = 7, .external_lex_state = 3},
  [11041] = {.lex_state = 15, .external_lex_state = 2},
  [11042] = {.lex_state = 15, .external_lex_state = 2},
  [11043] = {.lex_state = 451, .external_lex_state = 3},
  [11044] = {.lex_state = 7, .external_lex_state = 3},
  [11045] = {.lex_state = 15, .external_lex_state = 2},
  [11046] = {.lex_state = 15, .external_lex_state = 2},
  [11047] = {.lex_state = 199, .external_lex_state = 3},
  [11048] = {.lex_state = 193, .external_lex_state = 3},
  [11049] = {.lex_state = 15, .external_lex_state = 2},
  [11050] = {.lex_state = 451, .external_lex_state = 3},
  [11051] = {.lex_state = 193, .external_lex_state = 3},
  [11052] = {.lex_state = 7, .external_lex_state = 3},
  [11053] = {.lex_state = 7, .external_lex_state = 3},
  [11054] = {.lex_state = 15, .external_lex_state = 2},
  [11055] = {.lex_state = 15, .external_lex_state = 2},
  [11056] = {.lex_state = 15, .external_lex_state = 2},
  [11057] = {.lex_state = 15, .external_lex_state = 2},
  [11058] = {.lex_state = 7, .external_lex_state = 3},
  [11059] = {.lex_state = 451, .external_lex_state = 3},
  [11060] = {.lex_state = 15, .external_lex_state = 2},
  [11061] = {.lex_state = 451, .external_lex_state = 3},
  [11062] = {.lex_state = 15, .external_lex_state = 2},
  [11063] = {.lex_state = 7, .external_lex_state = 3},
  [11064] = {.lex_state = 7, .external_lex_state = 3},
  [11065] = {.lex_state = 15, .external_lex_state = 2},
  [11066] = {.lex_state = 15, .external_lex_state = 2},
  [11067] = {.lex_state = 15, .external_lex_state = 2},
  [11068] = {.lex_state = 15, .external_lex_state = 2},
  [11069] = {.lex_state = 15, .external_lex_state = 2},
  [11070] = {.lex_state = 449, .external_lex_state = 3},
  [11071] = {.lex_state = 7, .external_lex_state = 3},
  [11072] = {.lex_state = 15, .external_lex_state = 2},
  [11073] = {.lex_state = 7, .external_lex_state = 3},
  [11074] = {.lex_state = 193, .external_lex_state = 3},
  [11075] = {.lex_state = 451, .external_lex_state = 3},
  [11076] = {.lex_state = 7, .external_lex_state = 3},
  [11077] = {.lex_state = 451, .external_lex_state = 3},
  [11078] = {.lex_state = 7, .external_lex_state = 3},
  [11079] = {.lex_state = 7, .external_lex_state = 3},
  [11080] = {.lex_state = 7, .external_lex_state = 3},
  [11081] = {.lex_state = 15, .external_lex_state = 2},
  [11082] = {.lex_state = 200, .external_lex_state = 3},
  [11083] = {.lex_state = 7, .external_lex_state = 3},
  [11084] = {.lex_state = 15, .external_lex_state = 2},
  [11085] = {.lex_state = 15, .external_lex_state = 2},
  [11086] = {.lex_state = 15, .external_lex_state = 2},
  [11087] = {.lex_state = 443, .external_lex_state = 3},
  [11088] = {.lex_state = 7, .external_lex_state = 3},
  [11089] = {.lex_state = 7, .external_lex_state = 3},
  [11090] = {.lex_state = 7, .external_lex_state = 3},
  [11091] = {.lex_state = 7, .external_lex_state = 3},
  [11092] = {.lex_state = 7, .external_lex_state = 3},
  [11093] = {.lex_state = 15, .external_lex_state = 2},
  [11094] = {.lex_state = 7, .external_lex_state = 3},
  [11095] = {.lex_state = 7, .external_lex_state = 3},
  [11096] = {.lex_state = 7, .external_lex_state = 3},
  [11097] = {.lex_state = 15, .external_lex_state = 2},
  [11098] = {.lex_state = 451, .external_lex_state = 3},
  [11099] = {.lex_state = 15, .external_lex_state = 2},
  [11100] = {.lex_state = 7, .external_lex_state = 3},
  [11101] = {.lex_state = 7, .external_lex_state = 3},
  [11102] = {.lex_state = 15, .external_lex_state = 2},
  [11103] = {.lex_state = 15, .external_lex_state = 2},
  [11104] = {.lex_state = 200, .external_lex_state = 3},
  [11105] = {.lex_state = 15, .external_lex_state = 2},
  [11106] = {.lex_state = 15, .external_lex_state = 2},
  [11107] = {.lex_state = 451, .external_lex_state = 3},
  [11108] = {.lex_state = 7, .external_lex_state = 3},
  [11109] = {.lex_state = 15, .external_lex_state = 2},
  [11110] = {.lex_state = 451, .external_lex_state = 3},
  [11111] = {.lex_state = 200, .external_lex_state = 3},
  [11112] = {.lex_state = 15, .external_lex_state = 2},
  [11113] = {.lex_state = 7, .external_lex_state = 3},
  [11114] = {.lex_state = 15, .external_lex_state = 2},
  [11115] = {.lex_state = 15, .external_lex_state = 2},
  [11116] = {.lex_state = 15, .external_lex_state = 2},
  [11117] = {.lex_state = 7, .external_lex_state = 3},
  [11118] = {.lex_state = 7, .external_lex_state = 3},
  [11119] = {.lex_state = 7, .external_lex_state = 3},
  [11120] = {.lex_state = 7, .external_lex_state = 3},
  [11121] = {.lex_state = 7, .external_lex_state = 3},
  [11122] = {.lex_state = 7, .external_lex_state = 3},
  [11123] = {.lex_state = 7, .external_lex_state = 3},
  [11124] = {.lex_state = 7, .external_lex_state = 3},
  [11125] = {.lex_state = 7, .external_lex_state = 3},
  [11126] = {.lex_state = 7, .external_lex_state = 3},
  [11127] = {.lex_state = 7, .external_lex_state = 3},
  [11128] = {.lex_state = 432, .external_lex_state = 3},
  [11129] = {.lex_state = 451, .external_lex_state = 3},
  [11130] = {.lex_state = 200, .external_lex_state = 3},
  [11131] = {.lex_state = 7, .external_lex_state = 3},
  [11132] = {.lex_state = 7, .external_lex_state = 3},
  [11133] = {.lex_state = 7, .external_lex_state = 3},
  [11134] = {.lex_state = 200, .external_lex_state = 3},
  [11135] = {.lex_state = 199, .external_lex_state = 3},
  [11136] = {.lex_state = 15, .external_lex_state = 2},
  [11137] = {.lex_state = 432, .external_lex_state = 3},
  [11138] = {.lex_state = 200, .external_lex_state = 3},
  [11139] = {.lex_state = 200, .external_lex_state = 3},
  [11140] = {.lex_state = 15, .external_lex_state = 2},
  [11141] = {.lex_state = 7, .external_lex_state = 3},
  [11142] = {.lex_state = 7, .external_lex_state = 3},
  [11143] = {.lex_state = 7, .external_lex_state = 3},
  [11144] = {.lex_state = 7, .external_lex_state = 3},
  [11145] = {.lex_state = 15, .external_lex_state = 2},
  [11146] = {.lex_state = 7, .external_lex_state = 3},
  [11147] = {.lex_state = 7, .external_lex_state = 3},
  [11148] = {.lex_state = 7, .external_lex_state = 3},
  [11149] = {.lex_state = 200, .external_lex_state = 3},
  [11150] = {.lex_state = 451, .external_lex_state = 3},
  [11151] = {.lex_state = 15, .external_lex_state = 2},
  [11152] = {.lex_state = 451, .external_lex_state = 3},
  [11153] = {.lex_state = 7, .external_lex_state = 3},
  [11154] = {.lex_state = 7, .external_lex_state = 3},
  [11155] = {.lex_state = 7, .external_lex_state = 3},
  [11156] = {.lex_state = 7, .external_lex_state = 3},
  [11157] = {.lex_state = 7, .external_lex_state = 3},
  [11158] = {.lex_state = 200, .external_lex_state = 3},
  [11159] = {.lex_state = 7, .external_lex_state = 3},
  [11160] = {.lex_state = 200, .external_lex_state = 3},
  [11161] = {.lex_state = 7, .external_lex_state = 3},
  [11162] = {.lex_state = 15, .external_lex_state = 2},
  [11163] = {.lex_state = 7, .external_lex_state = 3},
  [11164] = {.lex_state = 200, .external_lex_state = 3},
  [11165] = {.lex_state = 7, .external_lex_state = 3},
  [11166] = {.lex_state = 200, .external_lex_state = 3},
  [11167] = {.lex_state = 15, .external_lex_state = 2},
  [11168] = {.lex_state = 451, .external_lex_state = 3},
  [11169] = {.lex_state = 451, .external_lex_state = 3},
  [11170] = {.lex_state = 7, .external_lex_state = 3},
  [11171] = {.lex_state = 7, .external_lex_state = 3},
  [11172] = {.lex_state = 7, .external_lex_state = 3},
  [11173] = {.lex_state = 15, .external_lex_state = 2},
  [11174] = {.lex_state = 451, .external_lex_state = 3},
  [11175] = {.lex_state = 451, .external_lex_state = 3},
  [11176] = {.lex_state = 451, .external_lex_state = 3},
  [11177] = {.lex_state = 200, .external_lex_state = 3},
  [11178] = {.lex_state = 451, .external_lex_state = 3},
  [11179] = {.lex_state = 200, .external_lex_state = 3},
  [11180] = {.lex_state = 7, .external_lex_state = 3},
  [11181] = {.lex_state = 200, .external_lex_state = 3},
  [11182] = {.lex_state = 7, .external_lex_state = 3},
  [11183] = {.lex_state = 152, .external_lex_state = 2},
  [11184] = {.lex_state = 152, .external_lex_state = 2},
  [11185] = {.lex_state = 7, .external_lex_state = 3},
  [11186] = {.lex_state = 200, .external_lex_state = 3},
  [11187] = {.lex_state = 432, .external_lex_state = 3},
  [11188] = {.lex_state = 15, .external_lex_state = 2},
  [11189] = {.lex_state = 445, .external_lex_state = 3},
  [11190] = {.lex_state = 451, .external_lex_state = 3},
  [11191] = {.lex_state = 451, .external_lex_state = 3},
  [11192] = {.lex_state = 7, .external_lex_state = 3},
  [11193] = {.lex_state = 443, .external_lex_state = 3},
  [11194] = {.lex_state = 432, .external_lex_state = 3},
  [11195] = {.lex_state = 152, .external_lex_state = 2},
  [11196] = {.lex_state = 432, .external_lex_state = 3},
  [11197] = {.lex_state = 451, .external_lex_state = 3},
  [11198] = {.lex_state = 15, .external_lex_state = 2},
  [11199] = {.lex_state = 193, .external_lex_state = 3},
  [11200] = {.lex_state = 7, .external_lex_state = 3},
  [11201] = {.lex_state = 7, .external_lex_state = 3},
  [11202] = {.lex_state = 7, .external_lex_state = 3},
  [11203] = {.lex_state = 145, .external_lex_state = 3},
  [11204] = {.lex_state = 7, .external_lex_state = 3},
  [11205] = {.lex_state = 7, .external_lex_state = 3},
  [11206] = {.lex_state = 7, .external_lex_state = 3},
  [11207] = {.lex_state = 7, .external_lex_state = 3},
  [11208] = {.lex_state = 187, .external_lex_state = 3},
  [11209] = {.lex_state = 199, .external_lex_state = 3},
  [11210] = {.lex_state = 193, .external_lex_state = 3},
  [11211] = {.lex_state = 193, .external_lex_state = 3},
  [11212] = {.lex_state = 131, .external_lex_state = 3},
  [11213] = {.lex_state = 193, .external_lex_state = 3},
  [11214] = {.lex_state = 193, .external_lex_state = 3},
  [11215] = {.lex_state = 131, .external_lex_state = 3},
  [11216] = {.lex_state = 193, .external_lex_state = 3},
  [11217] = {.lex_state = 193, .external_lex_state = 3},
  [11218] = {.lex_state = 7, .external_lex_state = 3},
  [11219] = {.lex_state = 193, .external_lex_state = 3},
  [11220] = {.lex_state = 7, .external_lex_state = 3},
  [11221] = {.lex_state = 193, .external_lex_state = 3},
  [11222] = {.lex_state = 7, .external_lex_state = 3},
  [11223] = {.lex_state = 7, .external_lex_state = 3},
  [11224] = {.lex_state = 7, .external_lex_state = 3},
  [11225] = {.lex_state = 443, .external_lex_state = 3},
  [11226] = {.lex_state = 443, .external_lex_state = 3},
  [11227] = {.lex_state = 193, .external_lex_state = 3},
  [11228] = {.lex_state = 201, .external_lex_state = 3},
  [11229] = {.lex_state = 179, .external_lex_state = 3},
  [11230] = {.lex_state = 452, .external_lex_state = 3},
  [11231] = {.lex_state = 193, .external_lex_state = 3},
  [11232] = {.lex_state = 193, .external_lex_state = 3},
  [11233] = {.lex_state = 7, .external_lex_state = 3},
  [11234] = {.lex_state = 7, .external_lex_state = 3},
  [11235] = {.lex_state = 7, .external_lex_state = 3},
  [11236] = {.lex_state = 432, .external_lex_state = 3},
  [11237] = {.lex_state = 451, .external_lex_state = 3},
  [11238] = {.lex_state = 131, .external_lex_state = 3},
  [11239] = {.lex_state = 193, .external_lex_state = 3},
  [11240] = {.lex_state = 7, .external_lex_state = 3},
  [11241] = {.lex_state = 443, .external_lex_state = 3},
  [11242] = {.lex_state = 443, .external_lex_state = 3},
  [11243] = {.lex_state = 7, .external_lex_state = 3},
  [11244] = {.lex_state = 7, .external_lex_state = 3},
  [11245] = {.lex_state = 443, .external_lex_state = 3},
  [11246] = {.lex_state = 193, .external_lex_state = 3},
  [11247] = {.lex_state = 443, .external_lex_state = 3},
  [11248] = {.lex_state = 193, .external_lex_state = 3},
  [11249] = {.lex_state = 193, .external_lex_state = 3},
  [11250] = {.lex_state = 193, .external_lex_state = 3},
  [11251] = {.lex_state = 7, .external_lex_state = 3},
  [11252] = {.lex_state = 145, .external_lex_state = 3},
  [11253] = {.lex_state = 9, .external_lex_state = 3},
  [11254] = {.lex_state = 7, .external_lex_state = 3},
  [11255] = {.lex_state = 179, .external_lex_state = 3},
  [11256] = {.lex_state = 7, .external_lex_state = 3},
  [11257] = {.lex_state = 443, .external_lex_state = 3},
  [11258] = {.lex_state = 7, .external_lex_state = 3},
  [11259] = {.lex_state = 7, .external_lex_state = 3},
  [11260] = {.lex_state = 452, .external_lex_state = 3},
  [11261] = {.lex_state = 193, .external_lex_state = 3},
  [11262] = {.lex_state = 193, .external_lex_state = 3},
  [11263] = {.lex_state = 193, .external_lex_state = 3},
  [11264] = {.lex_state = 193, .external_lex_state = 3},
  [11265] = {.lex_state = 7, .external_lex_state = 3},
  [11266] = {.lex_state = 7, .external_lex_state = 3},
  [11267] = {.lex_state = 7, .external_lex_state = 3},
  [11268] = {.lex_state = 7, .external_lex_state = 3},
  [11269] = {.lex_state = 7, .external_lex_state = 3},
  [11270] = {.lex_state = 131, .external_lex_state = 3},
  [11271] = {.lex_state = 145, .external_lex_state = 3},
  [11272] = {.lex_state = 7, .external_lex_state = 3},
  [11273] = {.lex_state = 443, .external_lex_state = 3},
  [11274] = {.lex_state = 145, .external_lex_state = 3},
  [11275] = {.lex_state = 131, .external_lex_state = 3},
  [11276] = {.lex_state = 193, .external_lex_state = 3},
  [11277] = {.lex_state = 7, .external_lex_state = 3},
  [11278] = {.lex_state = 131, .external_lex_state = 3},
  [11279] = {.lex_state = 131, .external_lex_state = 3},
  [11280] = {.lex_state = 186, .external_lex_state = 3},
  [11281] = {.lex_state = 7, .external_lex_state = 3},
  [11282] = {.lex_state = 7, .external_lex_state = 3},
  [11283] = {.lex_state = 186, .external_lex_state = 3},
  [11284] = {.lex_state = 131, .external_lex_state = 3},
  [11285] = {.lex_state = 131, .external_lex_state = 3},
  [11286] = {.lex_state = 201, .external_lex_state = 3},
  [11287] = {.lex_state = 131, .external_lex_state = 3},
  [11288] = {.lex_state = 131, .external_lex_state = 3},
  [11289] = {.lex_state = 179, .external_lex_state = 3},
  [11290] = {.lex_state = 131, .external_lex_state = 3},
  [11291] = {.lex_state = 7, .external_lex_state = 3},
  [11292] = {.lex_state = 7, .external_lex_state = 3},
  [11293] = {.lex_state = 131, .external_lex_state = 3},
  [11294] = {.lex_state = 131, .external_lex_state = 3},
  [11295] = {.lex_state = 131, .external_lex_state = 3},
  [11296] = {.lex_state = 179, .external_lex_state = 3},
  [11297] = {.lex_state = 193, .external_lex_state = 3},
  [11298] = {.lex_state = 131, .external_lex_state = 3},
  [11299] = {.lex_state = 7, .external_lex_state = 3},
  [11300] = {.lex_state = 193, .external_lex_state = 3},
  [11301] = {.lex_state = 193, .external_lex_state = 3},
  [11302] = {.lex_state = 131, .external_lex_state = 3},
  [11303] = {.lex_state = 193, .external_lex_state = 3},
  [11304] = {.lex_state = 131, .external_lex_state = 3},
  [11305] = {.lex_state = 131, .external_lex_state = 3},
  [11306] = {.lex_state = 443, .external_lex_state = 3},
  [11307] = {.lex_state = 131, .external_lex_state = 3},
  [11308] = {.lex_state = 193, .external_lex_state = 3},
  [11309] = {.lex_state = 193, .external_lex_state = 3},
  [11310] = {.lex_state = 131, .external_lex_state = 3},
  [11311] = {.lex_state = 131, .external_lex_state = 3},
  [11312] = {.lex_state = 446, .external_lex_state = 3},
  [11313] = {.lex_state = 432, .external_lex_state = 3},
  [11314] = {.lex_state = 187, .external_lex_state = 3},
  [11315] = {.lex_state = 131, .external_lex_state = 3},
  [11316] = {.lex_state = 131, .external_lex_state = 3},
  [11317] = {.lex_state = 7, .external_lex_state = 3},
  [11318] = {.lex_state = 193, .external_lex_state = 3},
  [11319] = {.lex_state = 145, .external_lex_state = 3},
  [11320] = {.lex_state = 443, .external_lex_state = 3},
  [11321] = {.lex_state = 7, .external_lex_state = 3},
  [11322] = {.lex_state = 179, .external_lex_state = 3},
  [11323] = {.lex_state = 193, .external_lex_state = 3},
  [11324] = {.lex_state = 193, .external_lex_state = 3},
  [11325] = {.lex_state = 193, .external_lex_state = 3},
  [11326] = {.lex_state = 193, .external_lex_state = 3},
  [11327] = {.lex_state = 7, .external_lex_state = 3},
  [11328] = {.lex_state = 7, .external_lex_state = 3},
  [11329] = {.lex_state = 131, .external_lex_state = 3},
  [11330] = {.lex_state = 7, .external_lex_state = 3},
  [11331] = {.lex_state = 7, .external_lex_state = 3},
  [11332] = {.lex_state = 199, .external_lex_state = 3},
  [11333] = {.lex_state = 7, .external_lex_state = 3},
  [11334] = {.lex_state = 7, .external_lex_state = 3},
  [11335] = {.lex_state = 7, .external_lex_state = 3},
  [11336] = {.lex_state = 145, .external_lex_state = 3},
  [11337] = {.lex_state = 193, .external_lex_state = 3},
  [11338] = {.lex_state = 193, .external_lex_state = 3},
  [11339] = {.lex_state = 131, .external_lex_state = 3},
  [11340] = {.lex_state = 7, .external_lex_state = 3},
  [11341] = {.lex_state = 431, .external_lex_state = 2},
  [11342] = {.lex_state = 193, .external_lex_state = 3},
  [11343] = {.lex_state = 7, .external_lex_state = 3},
  [11344] = {.lex_state = 7, .external_lex_state = 3},
  [11345] = {.lex_state = 7, .external_lex_state = 3},
  [11346] = {.lex_state = 443, .external_lex_state = 3},
  [11347] = {.lex_state = 7, .external_lex_state = 3},
  [11348] = {.lex_state = 443, .external_lex_state = 3},
  [11349] = {.lex_state = 443, .external_lex_state = 3},
  [11350] = {.lex_state = 7, .external_lex_state = 3},
  [11351] = {.lex_state = 9, .external_lex_state = 3},
  [11352] = {.lex_state = 9, .external_lex_state = 3},
  [11353] = {.lex_state = 130, .external_lex_state = 3},
  [11354] = {.lex_state = 130, .external_lex_state = 3},
  [11355] = {.lex_state = 9, .external_lex_state = 3},
  [11356] = {.lex_state = 9, .external_lex_state = 3},
  [11357] = {.lex_state = 132, .external_lex_state = 3},
  [11358] = {.lex_state = 132, .external_lex_state = 3},
  [11359] = {.lex_state = 9, .external_lex_state = 3},
  [11360] = {.lex_state = 9, .external_lex_state = 3},
  [11361] = {.lex_state = 9, .external_lex_state = 3},
  [11362] = {.lex_state = 132, .external_lex_state = 3},
  [11363] = {.lex_state = 9, .external_lex_state = 3},
  [11364] = {.lex_state = 9, .external_lex_state = 3},
  [11365] = {.lex_state = 9, .external_lex_state = 3},
  [11366] = {.lex_state = 132, .external_lex_state = 3},
  [11367] = {.lex_state = 9, .external_lex_state = 3},
  [11368] = {.lex_state = 9, .external_lex_state = 3},
  [11369] = {.lex_state = 9, .external_lex_state = 3},
  [11370] = {.lex_state = 9, .external_lex_state = 3},
  [11371] = {.lex_state = 9, .external_lex_state = 3},
  [11372] = {.lex_state = 9, .external_lex_state = 3},
  [11373] = {.lex_state = 9, .external_lex_state = 3},
  [11374] = {.lex_state = 9, .external_lex_state = 3},
  [11375] = {.lex_state = 9, .external_lex_state = 3},
  [11376] = {.lex_state = 9, .external_lex_state = 3},
  [11377] = {.lex_state = 9, .external_lex_state = 3},
  [11378] = {.lex_state = 9, .external_lex_state = 3},
  [11379] = {.lex_state = 9, .external_lex_state = 3},
  [11380] = {.lex_state = 9, .external_lex_state = 3},
  [11381] = {.lex_state = 201, .external_lex_state = 3},
  [11382] = {.lex_state = 201, .external_lex_state = 3},
  [11383] = {.lex_state = 201, .external_lex_state = 3},
  [11384] = {.lex_state = 201, .external_lex_state = 3},
  [11385] = {.lex_state = 9, .external_lex_state = 3},
  [11386] = {.lex_state = 132, .external_lex_state = 3},
  [11387] = {.lex_state = 9, .external_lex_state = 3},
  [11388] = {.lex_state = 9, .external_lex_state = 3},
  [11389] = {.lex_state = 9, .external_lex_state = 3},
  [11390] = {.lex_state = 132, .external_lex_state = 3},
  [11391] = {.lex_state = 443, .external_lex_state = 3},
  [11392] = {.lex_state = 34, .external_lex_state = 2},
  [11393] = {.lex_state = 201, .external_lex_state = 3},
  [11394] = {.lex_state = 201, .external_lex_state = 3},
  [11395] = {.lex_state = 201, .external_lex_state = 3},
  [11396] = {.lex_state = 201, .external_lex_state = 3},
  [11397] = {.lex_state = 201, .external_lex_state = 3},
  [11398] = {.lex_state = 201, .external_lex_state = 3},
  [11399] = {.lex_state = 201, .external_lex_state = 3},
  [11400] = {.lex_state = 187, .external_lex_state = 3},
  [11401] = {.lex_state = 187, .external_lex_state = 3},
  [11402] = {.lex_state = 201, .external_lex_state = 3},
  [11403] = {.lex_state = 201, .external_lex_state = 3},
  [11404] = {.lex_state = 201, .external_lex_state = 3},
  [11405] = {.lex_state = 201, .external_lex_state = 3},
  [11406] = {.lex_state = 132, .external_lex_state = 3},
  [11407] = {.lex_state = 132, .external_lex_state = 3},
  [11408] = {.lex_state = 9, .external_lex_state = 3},
  [11409] = {.lex_state = 199, .external_lex_state = 3},
  [11410] = {.lex_state = 9, .external_lex_state = 3},
  [11411] = {.lex_state = 453, .external_lex_state = 3},
  [11412] = {.lex_state = 9, .external_lex_state = 3},
  [11413] = {.lex_state = 130, .external_lex_state = 3},
  [11414] = {.lex_state = 453, .external_lex_state = 3},
  [11415] = {.lex_state = 130, .external_lex_state = 3},
  [11416] = {.lex_state = 187, .external_lex_state = 3},
  [11417] = {.lex_state = 130, .external_lex_state = 3},
  [11418] = {.lex_state = 130, .external_lex_state = 3},
  [11419] = {.lex_state = 130, .external_lex_state = 3},
  [11420] = {.lex_state = 130, .external_lex_state = 3},
  [11421] = {.lex_state = 130, .external_lex_state = 3},
  [11422] = {.lex_state = 130, .external_lex_state = 3},
  [11423] = {.lex_state = 130, .external_lex_state = 3},
  [11424] = {.lex_state = 130, .external_lex_state = 3},
  [11425] = {.lex_state = 130, .external_lex_state = 3},
  [11426] = {.lex_state = 9, .external_lex_state = 3},
  [11427] = {.lex_state = 9, .external_lex_state = 3},
  [11428] = {.lex_state = 130, .external_lex_state = 3},
  [11429] = {.lex_state = 132, .external_lex_state = 3},
  [11430] = {.lex_state = 130, .external_lex_state = 3},
  [11431] = {.lex_state = 9, .external_lex_state = 3},
  [11432] = {.lex_state = 9, .external_lex_state = 3},
  [11433] = {.lex_state = 132, .external_lex_state = 3},
  [11434] = {.lex_state = 132, .external_lex_state = 3},
  [11435] = {.lex_state = 9, .external_lex_state = 3},
  [11436] = {.lex_state = 132, .external_lex_state = 3},
  [11437] = {.lex_state = 443, .external_lex_state = 3},
  [11438] = {.lex_state = 187, .external_lex_state = 3},
  [11439] = {.lex_state = 201, .external_lex_state = 3},
  [11440] = {.lex_state = 187, .external_lex_state = 3},
  [11441] = {.lex_state = 9, .external_lex_state = 3},
  [11442] = {.lex_state = 9, .external_lex_state = 3},
  [11443] = {.lex_state = 9, .external_lex_state = 3},
  [11444] = {.lex_state = 9, .external_lex_state = 3},
  [11445] = {.lex_state = 9, .external_lex_state = 3},
  [11446] = {.lex_state = 187, .external_lex_state = 3},
  [11447] = {.lex_state = 131, .external_lex_state = 3},
  [11448] = {.lex_state = 131, .external_lex_state = 3},
  [11449] = {.lex_state = 131, .external_lex_state = 3},
  [11450] = {.lex_state = 131, .external_lex_state = 3},
  [11451] = {.lex_state = 131, .external_lex_state = 3},
  [11452] = {.lex_state = 9, .external_lex_state = 3},
  [11453] = {.lex_state = 132, .external_lex_state = 3},
  [11454] = {.lex_state = 201, .external_lex_state = 3},
  [11455] = {.lex_state = 9, .external_lex_state = 3},
  [11456] = {.lex_state = 9, .external_lex_state = 3},
  [11457] = {.lex_state = 9, .external_lex_state = 3},
  [11458] = {.lex_state = 131, .external_lex_state = 3},
  [11459] = {.lex_state = 9, .external_lex_state = 3},
  [11460] = {.lex_state = 9, .external_lex_state = 3},
  [11461] = {.lex_state = 9, .external_lex_state = 3},
  [11462] = {.lex_state = 443, .external_lex_state = 3},
  [11463] = {.lex_state = 199, .external_lex_state = 3},
  [11464] = {.lex_state = 9, .external_lex_state = 3},
  [11465] = {.lex_state = 9, .external_lex_state = 3},
  [11466] = {.lex_state = 9, .external_lex_state = 3},
  [11467] = {.lex_state = 9, .external_lex_state = 3},
  [11468] = {.lex_state = 9, .external_lex_state = 3},
  [11469] = {.lex_state = 9, .external_lex_state = 3},
  [11470] = {.lex_state = 9, .external_lex_state = 3},
  [11471] = {.lex_state = 201, .external_lex_state = 3},
  [11472] = {.lex_state = 9, .external_lex_state = 3},
  [11473] = {.lex_state = 9, .external_lex_state = 3},
  [11474] = {.lex_state = 9, .external_lex_state = 3},
  [11475] = {.lex_state = 9, .external_lex_state = 3},
  [11476] = {.lex_state = 132, .external_lex_state = 3},
  [11477] = {.lex_state = 9, .external_lex_state = 3},
  [11478] = {.lex_state = 9, .external_lex_state = 3},
  [11479] = {.lex_state = 9, .external_lex_state = 3},
  [11480] = {.lex_state = 130, .external_lex_state = 3},
  [11481] = {.lex_state = 453, .external_lex_state = 3},
  [11482] = {.lex_state = 9, .external_lex_state = 3},
  [11483] = {.lex_state = 187, .external_lex_state = 3},
  [11484] = {.lex_state = 9, .external_lex_state = 3},
  [11485] = {.lex_state = 132, .external_lex_state = 3},
  [11486] = {.lex_state = 130, .external_lex_state = 3},
  [11487] = {.lex_state = 130, .external_lex_state = 3},
  [11488] = {.lex_state = 131, .external_lex_state = 3},
  [11489] = {.lex_state = 9, .external_lex_state = 3},
  [11490] = {.lex_state = 199, .external_lex_state = 3},
  [11491] = {.lex_state = 132, .external_lex_state = 3},
  [11492] = {.lex_state = 9, .external_lex_state = 3},
  [11493] = {.lex_state = 9, .external_lex_state = 3},
  [11494] = {.lex_state = 445, .external_lex_state = 3},
  [11495] = {.lex_state = 9, .external_lex_state = 3},
  [11496] = {.lex_state = 186, .external_lex_state = 3},
  [11497] = {.lex_state = 9, .external_lex_state = 3},
  [11498] = {.lex_state = 132, .external_lex_state = 3},
  [11499] = {.lex_state = 201, .external_lex_state = 3},
  [11500] = {.lex_state = 9, .external_lex_state = 3},
  [11501] = {.lex_state = 9, .external_lex_state = 3},
  [11502] = {.lex_state = 443, .external_lex_state = 3},
  [11503] = {.lex_state = 443, .external_lex_state = 3},
  [11504] = {.lex_state = 9, .external_lex_state = 3},
  [11505] = {.lex_state = 9, .external_lex_state = 3},
  [11506] = {.lex_state = 9, .external_lex_state = 3},
  [11507] = {.lex_state = 9, .external_lex_state = 3},
  [11508] = {.lex_state = 9, .external_lex_state = 3},
  [11509] = {.lex_state = 9, .external_lex_state = 3},
  [11510] = {.lex_state = 9, .external_lex_state = 3},
  [11511] = {.lex_state = 9, .external_lex_state = 3},
  [11512] = {.lex_state = 9, .external_lex_state = 3},
  [11513] = {.lex_state = 9, .external_lex_state = 3},
  [11514] = {.lex_state = 132, .external_lex_state = 3},
  [11515] = {.lex_state = 132, .external_lex_state = 3},
  [11516] = {.lex_state = 199, .external_lex_state = 3},
  [11517] = {.lex_state = 199, .external_lex_state = 3},
  [11518] = {.lex_state = 199, .external_lex_state = 3},
  [11519] = {.lex_state = 199, .external_lex_state = 3},
  [11520] = {.lex_state = 131, .external_lex_state = 3},
  [11521] = {.lex_state = 7, .external_lex_state = 3},
  [11522] = {.lex_state = 132, .external_lex_state = 3},
  [11523] = {.lex_state = 132, .external_lex_state = 3},
  [11524] = {.lex_state = 9, .external_lex_state = 3},
  [11525] = {.lex_state = 187, .external_lex_state = 3},
  [11526] = {.lex_state = 9, .external_lex_state = 3},
  [11527] = {.lex_state = 9, .external_lex_state = 3},
  [11528] = {.lex_state = 199, .external_lex_state = 3},
  [11529] = {.lex_state = 132, .external_lex_state = 3},
  [11530] = {.lex_state = 132, .external_lex_state = 3},
  [11531] = {.lex_state = 132, .external_lex_state = 3},
  [11532] = {.lex_state = 199, .external_lex_state = 3},
  [11533] = {.lex_state = 9, .external_lex_state = 3},
  [11534] = {.lex_state = 199, .external_lex_state = 3},
  [11535] = {.lex_state = 9, .external_lex_state = 3},
  [11536] = {.lex_state = 199, .external_lex_state = 3},
  [11537] = {.lex_state = 199, .external_lex_state = 3},
  [11538] = {.lex_state = 199, .external_lex_state = 3},
  [11539] = {.lex_state = 199, .external_lex_state = 3},
  [11540] = {.lex_state = 187, .external_lex_state = 3},
  [11541] = {.lex_state = 199, .external_lex_state = 3},
  [11542] = {.lex_state = 199, .external_lex_state = 3},
  [11543] = {.lex_state = 9, .external_lex_state = 3},
  [11544] = {.lex_state = 445, .external_lex_state = 3},
  [11545] = {.lex_state = 9, .external_lex_state = 3},
  [11546] = {.lex_state = 145, .external_lex_state = 3},
  [11547] = {.lex_state = 443, .external_lex_state = 3},
  [11548] = {.lex_state = 9, .external_lex_state = 3},
  [11549] = {.lex_state = 9, .external_lex_state = 3},
  [11550] = {.lex_state = 9, .external_lex_state = 3},
  [11551] = {.lex_state = 9, .external_lex_state = 3},
  [11552] = {.lex_state = 9, .external_lex_state = 3},
  [11553] = {.lex_state = 199, .external_lex_state = 3},
  [11554] = {.lex_state = 443, .external_lex_state = 3},
  [11555] = {.lex_state = 443, .external_lex_state = 3},
  [11556] = {.lex_state = 186, .external_lex_state = 3},
  [11557] = {.lex_state = 199, .external_lex_state = 3},
  [11558] = {.lex_state = 199, .external_lex_state = 3},
  [11559] = {.lex_state = 199, .external_lex_state = 3},
  [11560] = {.lex_state = 201, .external_lex_state = 3},
  [11561] = {.lex_state = 201, .external_lex_state = 3},
  [11562] = {.lex_state = 131, .external_lex_state = 3},
  [11563] = {.lex_state = 201, .external_lex_state = 3},
  [11564] = {.lex_state = 131, .external_lex_state = 3},
  [11565] = {.lex_state = 131, .external_lex_state = 3},
  [11566] = {.lex_state = 131, .external_lex_state = 3},
  [11567] = {.lex_state = 451, .external_lex_state = 3},
  [11568] = {.lex_state = 9, .external_lex_state = 3},
  [11569] = {.lex_state = 9, .external_lex_state = 3},
  [11570] = {.lex_state = 131, .external_lex_state = 3},
  [11571] = {.lex_state = 131, .external_lex_state = 3},
  [11572] = {.lex_state = 131, .external_lex_state = 3},
  [11573] = {.lex_state = 9, .external_lex_state = 3},
  [11574] = {.lex_state = 443, .external_lex_state = 3},
  [11575] = {.lex_state = 443, .external_lex_state = 3},
  [11576] = {.lex_state = 131, .external_lex_state = 3},
  [11577] = {.lex_state = 131, .external_lex_state = 3},
  [11578] = {.lex_state = 131, .external_lex_state = 3},
  [11579] = {.lex_state = 130, .external_lex_state = 3},
  [11580] = {.lex_state = 432, .external_lex_state = 3},
  [11581] = {.lex_state = 131, .external_lex_state = 3},
  [11582] = {.lex_state = 196, .external_lex_state = 3},
  [11583] = {.lex_state = 9, .external_lex_state = 3},
  [11584] = {.lex_state = 199, .external_lex_state = 3},
  [11585] = {.lex_state = 130, .external_lex_state = 3},
  [11586] = {.lex_state = 432, .external_lex_state = 3},
  [11587] = {.lex_state = 443, .external_lex_state = 3},
  [11588] = {.lex_state = 9, .external_lex_state = 3},
  [11589] = {.lex_state = 9, .external_lex_state = 3},
  [11590] = {.lex_state = 9, .external_lex_state = 3},
  [11591] = {.lex_state = 9, .external_lex_state = 3},
  [11592] = {.lex_state = 9, .external_lex_state = 3},
  [11593] = {.lex_state = 443, .external_lex_state = 3},
  [11594] = {.lex_state = 443, .external_lex_state = 3},
  [11595] = {.lex_state = 199, .external_lex_state = 3},
  [11596] = {.lex_state = 9, .external_lex_state = 3},
  [11597] = {.lex_state = 199, .external_lex_state = 3},
  [11598] = {.lex_state = 9, .external_lex_state = 3},
  [11599] = {.lex_state = 9, .external_lex_state = 3},
  [11600] = {.lex_state = 9, .external_lex_state = 3},
  [11601] = {.lex_state = 199, .external_lex_state = 3},
  [11602] = {.lex_state = 9, .external_lex_state = 3},
  [11603] = {.lex_state = 9, .external_lex_state = 3},
  [11604] = {.lex_state = 131, .external_lex_state = 3},
  [11605] = {.lex_state = 201, .external_lex_state = 3},
  [11606] = {.lex_state = 199, .external_lex_state = 3},
  [11607] = {.lex_state = 145, .external_lex_state = 3},
  [11608] = {.lex_state = 199, .external_lex_state = 3},
  [11609] = {.lex_state = 9, .external_lex_state = 3},
  [11610] = {.lex_state = 9, .external_lex_state = 3},
  [11611] = {.lex_state = 201, .external_lex_state = 3},
  [11612] = {.lex_state = 186, .external_lex_state = 3},
  [11613] = {.lex_state = 130, .external_lex_state = 3},
  [11614] = {.lex_state = 9, .external_lex_state = 3},
  [11615] = {.lex_state = 9, .external_lex_state = 3},
  [11616] = {.lex_state = 9, .external_lex_state = 3},
  [11617] = {.lex_state = 9, .external_lex_state = 3},
  [11618] = {.lex_state = 9, .external_lex_state = 3},
  [11619] = {.lex_state = 9, .external_lex_state = 3},
  [11620] = {.lex_state = 9, .external_lex_state = 3},
  [11621] = {.lex_state = 193, .external_lex_state = 3},
  [11622] = {.lex_state = 9, .external_lex_state = 3},
  [11623] = {.lex_state = 9, .external_lex_state = 3},
  [11624] = {.lex_state = 9, .external_lex_state = 3},
  [11625] = {.lex_state = 9, .external_lex_state = 3},
  [11626] = {.lex_state = 9, .external_lex_state = 3},
  [11627] = {.lex_state = 132, .external_lex_state = 3},
  [11628] = {.lex_state = 132, .external_lex_state = 3},
  [11629] = {.lex_state = 199, .external_lex_state = 3},
  [11630] = {.lex_state = 199, .external_lex_state = 3},
  [11631] = {.lex_state = 450, .external_lex_state = 3},
  [11632] = {.lex_state = 199, .external_lex_state = 3},
  [11633] = {.lex_state = 451, .external_lex_state = 3},
  [11634] = {.lex_state = 430, .external_lex_state = 2},
  [11635] = {.lex_state = 199, .external_lex_state = 3},
  [11636] = {.lex_state = 132, .external_lex_state = 3},
  [11637] = {.lex_state = 199, .external_lex_state = 3},
  [11638] = {.lex_state = 9, .external_lex_state = 3},
  [11639] = {.lex_state = 9, .external_lex_state = 3},
  [11640] = {.lex_state = 432, .external_lex_state = 3},
  [11641] = {.lex_state = 447, .external_lex_state = 3},
  [11642] = {.lex_state = 201, .external_lex_state = 3},
  [11643] = {.lex_state = 451, .external_lex_state = 3},
  [11644] = {.lex_state = 9, .external_lex_state = 3},
  [11645] = {.lex_state = 9, .external_lex_state = 3},
  [11646] = {.lex_state = 9, .external_lex_state = 3},
  [11647] = {.lex_state = 173, .external_lex_state = 3},
  [11648] = {.lex_state = 186, .external_lex_state = 3},
  [11649] = {.lex_state = 186, .external_lex_state = 3},
  [11650] = {.lex_state = 201, .external_lex_state = 3},
  [11651] = {.lex_state = 132, .external_lex_state = 3},
  [11652] = {.lex_state = 201, .external_lex_state = 3},
  [11653] = {.lex_state = 451, .external_lex_state = 3},
  [11654] = {.lex_state = 443, .external_lex_state = 3},
  [11655] = {.lex_state = 132, .external_lex_state = 3},
  [11656] = {.lex_state = 132, .external_lex_state = 3},
  [11657] = {.lex_state = 186, .external_lex_state = 3},
  [11658] = {.lex_state = 132, .external_lex_state = 3},
  [11659] = {.lex_state = 132, .external_lex_state = 3},
  [11660] = {.lex_state = 132, .external_lex_state = 3},
  [11661] = {.lex_state = 201, .external_lex_state = 3},
  [11662] = {.lex_state = 201, .external_lex_state = 3},
  [11663] = {.lex_state = 132, .external_lex_state = 3},
  [11664] = {.lex_state = 132, .external_lex_state = 3},
  [11665] = {.lex_state = 132, .external_lex_state = 3},
  [11666] = {.lex_state = 132, .external_lex_state = 3},
  [11667] = {.lex_state = 132, .external_lex_state = 3},
  [11668] = {.lex_state = 132, .external_lex_state = 3},
  [11669] = {.lex_state = 132, .external_lex_state = 3},
  [11670] = {.lex_state = 132, .external_lex_state = 3},
  [11671] = {.lex_state = 132, .external_lex_state = 3},
  [11672] = {.lex_state = 132, .external_lex_state = 3},
  [11673] = {.lex_state = 132, .external_lex_state = 3},
  [11674] = {.lex_state = 132, .external_lex_state = 3},
  [11675] = {.lex_state = 132, .external_lex_state = 3},
  [11676] = {.lex_state = 132, .external_lex_state = 3},
  [11677] = {.lex_state = 132, .external_lex_state = 3},
  [11678] = {.lex_state = 132, .external_lex_state = 3},
  [11679] = {.lex_state = 132, .external_lex_state = 3},
  [11680] = {.lex_state = 132, .external_lex_state = 3},
  [11681] = {.lex_state = 132, .external_lex_state = 3},
  [11682] = {.lex_state = 132, .external_lex_state = 3},
  [11683] = {.lex_state = 132, .external_lex_state = 3},
  [11684] = {.lex_state = 132, .external_lex_state = 3},
  [11685] = {.lex_state = 132, .external_lex_state = 3},
  [11686] = {.lex_state = 132, .external_lex_state = 3},
  [11687] = {.lex_state = 186, .external_lex_state = 3},
  [11688] = {.lex_state = 132, .external_lex_state = 3},
  [11689] = {.lex_state = 132, .external_lex_state = 3},
  [11690] = {.lex_state = 132, .external_lex_state = 3},
  [11691] = {.lex_state = 132, .external_lex_state = 3},
  [11692] = {.lex_state = 132, .external_lex_state = 3},
  [11693] = {.lex_state = 132, .external_lex_state = 3},
  [11694] = {.lex_state = 132, .external_lex_state = 3},
  [11695] = {.lex_state = 132, .external_lex_state = 3},
  [11696] = {.lex_state = 132, .external_lex_state = 3},
  [11697] = {.lex_state = 186, .external_lex_state = 3},
  [11698] = {.lex_state = 132, .external_lex_state = 3},
  [11699] = {.lex_state = 132, .external_lex_state = 3},
  [11700] = {.lex_state = 132, .external_lex_state = 3},
  [11701] = {.lex_state = 132, .external_lex_state = 3},
  [11702] = {.lex_state = 132, .external_lex_state = 3},
  [11703] = {.lex_state = 132, .external_lex_state = 3},
  [11704] = {.lex_state = 432, .external_lex_state = 3},
  [11705] = {.lex_state = 132, .external_lex_state = 3},
  [11706] = {.lex_state = 432, .external_lex_state = 3},
  [11707] = {.lex_state = 132, .external_lex_state = 3},
  [11708] = {.lex_state = 186, .external_lex_state = 3},
  [11709] = {.lex_state = 132, .external_lex_state = 3},
  [11710] = {.lex_state = 132, .external_lex_state = 3},
  [11711] = {.lex_state = 132, .external_lex_state = 3},
  [11712] = {.lex_state = 132, .external_lex_state = 3},
  [11713] = {.lex_state = 132, .external_lex_state = 3},
  [11714] = {.lex_state = 132, .external_lex_state = 3},
  [11715] = {.lex_state = 132, .external_lex_state = 3},
  [11716] = {.lex_state = 132, .external_lex_state = 3},
  [11717] = {.lex_state = 132, .external_lex_state = 3},
  [11718] = {.lex_state = 132, .external_lex_state = 3},
  [11719] = {.lex_state = 132, .external_lex_state = 3},
  [11720] = {.lex_state = 132, .external_lex_state = 3},
  [11721] = {.lex_state = 132, .external_lex_state = 3},
  [11722] = {.lex_state = 432, .external_lex_state = 3},
  [11723] = {.lex_state = 131, .external_lex_state = 3},
  [11724] = {.lex_state = 131, .external_lex_state = 3},
  [11725] = {.lex_state = 453, .external_lex_state = 3},
  [11726] = {.lex_state = 453, .external_lex_state = 3},
  [11727] = {.lex_state = 451, .external_lex_state = 3},
  [11728] = {.lex_state = 451, .external_lex_state = 3},
  [11729] = {.lex_state = 196, .external_lex_state = 3},
  [11730] = {.lex_state = 453, .external_lex_state = 3},
  [11731] = {.lex_state = 199, .external_lex_state = 3},
  [11732] = {.lex_state = 132, .external_lex_state = 3},
  [11733] = {.lex_state = 132, .external_lex_state = 3},
  [11734] = {.lex_state = 132, .external_lex_state = 3},
  [11735] = {.lex_state = 443, .external_lex_state = 3},
  [11736] = {.lex_state = 443, .external_lex_state = 3},
  [11737] = {.lex_state = 201, .external_lex_state = 3},
  [11738] = {.lex_state = 201, .external_lex_state = 3},
  [11739] = {.lex_state = 201, .external_lex_state = 3},
  [11740] = {.lex_state = 9, .external_lex_state = 3},
  [11741] = {.lex_state = 7, .external_lex_state = 3},
  [11742] = {.lex_state = 432, .external_lex_state = 3},
  [11743] = {.lex_state = 432, .external_lex_state = 3},
  [11744] = {.lex_state = 432, .external_lex_state = 3},
  [11745] = {.lex_state = 432, .external_lex_state = 3},
  [11746] = {.lex_state = 17, .external_lex_state = 3},
  [11747] = {.lex_state = 7, .external_lex_state = 3},
  [11748] = {.lex_state = 432, .external_lex_state = 3},
  [11749] = {.lex_state = 187, .external_lex_state = 3},
  [11750] = {.lex_state = 187, .external_lex_state = 3},
  [11751] = {.lex_state = 7, .external_lex_state = 3},
  [11752] = {.lex_state = 187, .external_lex_state = 3},
  [11753] = {.lex_state = 187, .external_lex_state = 3},
  [11754] = {.lex_state = 432, .external_lex_state = 3},
  [11755] = {.lex_state = 432, .external_lex_state = 3},
  [11756] = {.lex_state = 432, .external_lex_state = 3},
  [11757] = {.lex_state = 187, .external_lex_state = 3},
  [11758] = {.lex_state = 7, .external_lex_state = 3},
  [11759] = {.lex_state = 432, .external_lex_state = 3},
  [11760] = {.lex_state = 443, .external_lex_state = 3},
  [11761] = {.lex_state = 187, .external_lex_state = 3},
  [11762] = {.lex_state = 187, .external_lex_state = 3},
  [11763] = {.lex_state = 7, .external_lex_state = 3},
  [11764] = {.lex_state = 7, .external_lex_state = 3},
  [11765] = {.lex_state = 162, .external_lex_state = 2},
  [11766] = {.lex_state = 7, .external_lex_state = 3},
  [11767] = {.lex_state = 187, .external_lex_state = 3},
  [11768] = {.lex_state = 187, .external_lex_state = 3},
  [11769] = {.lex_state = 7, .external_lex_state = 3},
  [11770] = {.lex_state = 187, .external_lex_state = 3},
  [11771] = {.lex_state = 7, .external_lex_state = 3},
  [11772] = {.lex_state = 7, .external_lex_state = 3},
  [11773] = {.lex_state = 7, .external_lex_state = 3},
  [11774] = {.lex_state = 7, .external_lex_state = 3},
  [11775] = {.lex_state = 7, .external_lex_state = 3},
  [11776] = {.lex_state = 7, .external_lex_state = 3},
  [11777] = {.lex_state = 187, .external_lex_state = 3},
  [11778] = {.lex_state = 7, .external_lex_state = 3},
  [11779] = {.lex_state = 162, .external_lex_state = 2},
  [11780] = {.lex_state = 443, .external_lex_state = 3},
  [11781] = {.lex_state = 7, .external_lex_state = 3},
  [11782] = {.lex_state = 7, .external_lex_state = 3},
  [11783] = {.lex_state = 7, .external_lex_state = 3},
  [11784] = {.lex_state = 7, .external_lex_state = 3},
  [11785] = {.lex_state = 7, .external_lex_state = 3},
  [11786] = {.lex_state = 7, .external_lex_state = 3},
  [11787] = {.lex_state = 7, .external_lex_state = 3},
  [11788] = {.lex_state = 7, .external_lex_state = 3},
  [11789] = {.lex_state = 130, .external_lex_state = 3},
  [11790] = {.lex_state = 130, .external_lex_state = 3},
  [11791] = {.lex_state = 187, .external_lex_state = 3},
  [11792] = {.lex_state = 187, .external_lex_state = 3},
  [11793] = {.lex_state = 7, .external_lex_state = 3},
  [11794] = {.lex_state = 7, .external_lex_state = 3},
  [11795] = {.lex_state = 15, .external_lex_state = 2},
  [11796] = {.lex_state = 186, .external_lex_state = 3},
  [11797] = {.lex_state = 7, .external_lex_state = 3},
  [11798] = {.lex_state = 187, .external_lex_state = 3},
  [11799] = {.lex_state = 7, .external_lex_state = 3},
  [11800] = {.lex_state = 7, .external_lex_state = 3},
  [11801] = {.lex_state = 7, .external_lex_state = 3},
  [11802] = {.lex_state = 443, .external_lex_state = 3},
  [11803] = {.lex_state = 7, .external_lex_state = 3},
  [11804] = {.lex_state = 162, .external_lex_state = 2},
  [11805] = {.lex_state = 7, .external_lex_state = 3},
  [11806] = {.lex_state = 7, .external_lex_state = 3},
  [11807] = {.lex_state = 7, .external_lex_state = 3},
  [11808] = {.lex_state = 7, .external_lex_state = 3},
  [11809] = {.lex_state = 7, .external_lex_state = 3},
  [11810] = {.lex_state = 7, .external_lex_state = 3},
  [11811] = {.lex_state = 432, .external_lex_state = 3},
  [11812] = {.lex_state = 7, .external_lex_state = 3},
  [11813] = {.lex_state = 7, .external_lex_state = 3},
  [11814] = {.lex_state = 186, .external_lex_state = 3},
  [11815] = {.lex_state = 187, .external_lex_state = 3},
  [11816] = {.lex_state = 187, .external_lex_state = 3},
  [11817] = {.lex_state = 7, .external_lex_state = 3},
  [11818] = {.lex_state = 425, .external_lex_state = 2},
  [11819] = {.lex_state = 7, .external_lex_state = 3},
  [11820] = {.lex_state = 7, .external_lex_state = 3},
  [11821] = {.lex_state = 186, .external_lex_state = 3},
  [11822] = {.lex_state = 7, .external_lex_state = 3},
  [11823] = {.lex_state = 7, .external_lex_state = 3},
  [11824] = {.lex_state = 7, .external_lex_state = 3},
  [11825] = {.lex_state = 187, .external_lex_state = 3},
  [11826] = {.lex_state = 7, .external_lex_state = 3},
  [11827] = {.lex_state = 7, .external_lex_state = 3},
  [11828] = {.lex_state = 7, .external_lex_state = 3},
  [11829] = {.lex_state = 7, .external_lex_state = 3},
  [11830] = {.lex_state = 7, .external_lex_state = 3},
  [11831] = {.lex_state = 176, .external_lex_state = 3},
  [11832] = {.lex_state = 186, .external_lex_state = 3},
  [11833] = {.lex_state = 130, .external_lex_state = 3},
  [11834] = {.lex_state = 18, .external_lex_state = 3},
  [11835] = {.lex_state = 18, .external_lex_state = 3},
  [11836] = {.lex_state = 176, .external_lex_state = 3},
  [11837] = {.lex_state = 197, .external_lex_state = 3},
  [11838] = {.lex_state = 197, .external_lex_state = 3},
  [11839] = {.lex_state = 130, .external_lex_state = 3},
  [11840] = {.lex_state = 432, .external_lex_state = 3},
  [11841] = {.lex_state = 15, .external_lex_state = 2},
  [11842] = {.lex_state = 7, .external_lex_state = 3},
  [11843] = {.lex_state = 432, .external_lex_state = 3},
  [11844] = {.lex_state = 443, .external_lex_state = 3},
  [11845] = {.lex_state = 432, .external_lex_state = 3},
  [11846] = {.lex_state = 7, .external_lex_state = 3},
  [11847] = {.lex_state = 7, .external_lex_state = 3},
  [11848] = {.lex_state = 7, .external_lex_state = 3},
  [11849] = {.lex_state = 18, .external_lex_state = 3},
  [11850] = {.lex_state = 7, .external_lex_state = 3},
  [11851] = {.lex_state = 7, .external_lex_state = 3},
  [11852] = {.lex_state = 443, .external_lex_state = 3},
  [11853] = {.lex_state = 7, .external_lex_state = 3},
  [11854] = {.lex_state = 7, .external_lex_state = 3},
  [11855] = {.lex_state = 7, .external_lex_state = 3},
  [11856] = {.lex_state = 7, .external_lex_state = 3},
  [11857] = {.lex_state = 7, .external_lex_state = 3},
  [11858] = {.lex_state = 18, .external_lex_state = 3},
  [11859] = {.lex_state = 443, .external_lex_state = 3},
  [11860] = {.lex_state = 18, .external_lex_state = 3},
  [11861] = {.lex_state = 197, .external_lex_state = 3},
  [11862] = {.lex_state = 432, .external_lex_state = 3},
  [11863] = {.lex_state = 186, .external_lex_state = 3},
  [11864] = {.lex_state = 432, .external_lex_state = 3},
  [11865] = {.lex_state = 432, .external_lex_state = 3},
  [11866] = {.lex_state = 432, .external_lex_state = 3},
  [11867] = {.lex_state = 7, .external_lex_state = 3},
  [11868] = {.lex_state = 187, .external_lex_state = 3},
  [11869] = {.lex_state = 18, .external_lex_state = 3},
  [11870] = {.lex_state = 131, .external_lex_state = 3},
  [11871] = {.lex_state = 7, .external_lex_state = 3},
  [11872] = {.lex_state = 193, .external_lex_state = 3},
  [11873] = {.lex_state = 193, .external_lex_state = 3},
  [11874] = {.lex_state = 187, .external_lex_state = 3},
  [11875] = {.lex_state = 17, .external_lex_state = 3},
  [11876] = {.lex_state = 432, .external_lex_state = 3},
  [11877] = {.lex_state = 7, .external_lex_state = 3},
  [11878] = {.lex_state = 7, .external_lex_state = 3},
  [11879] = {.lex_state = 7, .external_lex_state = 3},
  [11880] = {.lex_state = 193, .external_lex_state = 3},
  [11881] = {.lex_state = 432, .external_lex_state = 3},
  [11882] = {.lex_state = 7, .external_lex_state = 3},
  [11883] = {.lex_state = 193, .external_lex_state = 3},
  [11884] = {.lex_state = 193, .external_lex_state = 3},
  [11885] = {.lex_state = 7, .external_lex_state = 3},
  [11886] = {.lex_state = 7, .external_lex_state = 3},
  [11887] = {.lex_state = 432, .external_lex_state = 3},
  [11888] = {.lex_state = 7, .external_lex_state = 3},
  [11889] = {.lex_state = 175, .external_lex_state = 3},
  [11890] = {.lex_state = 193, .external_lex_state = 3},
  [11891] = {.lex_state = 7, .external_lex_state = 3},
  [11892] = {.lex_state = 7, .external_lex_state = 3},
  [11893] = {.lex_state = 7, .external_lex_state = 3},
  [11894] = {.lex_state = 7, .external_lex_state = 3},
  [11895] = {.lex_state = 197, .external_lex_state = 3},
  [11896] = {.lex_state = 443, .external_lex_state = 3},
  [11897] = {.lex_state = 197, .external_lex_state = 3},
  [11898] = {.lex_state = 187, .external_lex_state = 3},
  [11899] = {.lex_state = 453, .external_lex_state = 3},
  [11900] = {.lex_state = 7, .external_lex_state = 3},
  [11901] = {.lex_state = 7, .external_lex_state = 3},
  [11902] = {.lex_state = 7, .external_lex_state = 3},
  [11903] = {.lex_state = 186, .external_lex_state = 3},
  [11904] = {.lex_state = 7, .external_lex_state = 3},
  [11905] = {.lex_state = 130, .external_lex_state = 3},
  [11906] = {.lex_state = 130, .external_lex_state = 3},
  [11907] = {.lex_state = 130, .external_lex_state = 3},
  [11908] = {.lex_state = 130, .external_lex_state = 3},
  [11909] = {.lex_state = 432, .external_lex_state = 3},
  [11910] = {.lex_state = 130, .external_lex_state = 3},
  [11911] = {.lex_state = 130, .external_lex_state = 3},
  [11912] = {.lex_state = 130, .external_lex_state = 3},
  [11913] = {.lex_state = 130, .external_lex_state = 3},
  [11914] = {.lex_state = 130, .external_lex_state = 3},
  [11915] = {.lex_state = 130, .external_lex_state = 3},
  [11916] = {.lex_state = 130, .external_lex_state = 3},
  [11917] = {.lex_state = 197, .external_lex_state = 3},
  [11918] = {.lex_state = 7, .external_lex_state = 3},
  [11919] = {.lex_state = 7, .external_lex_state = 3},
  [11920] = {.lex_state = 186, .external_lex_state = 3},
  [11921] = {.lex_state = 186, .external_lex_state = 3},
  [11922] = {.lex_state = 186, .external_lex_state = 3},
  [11923] = {.lex_state = 186, .external_lex_state = 3},
  [11924] = {.lex_state = 443, .external_lex_state = 3},
  [11925] = {.lex_state = 7, .external_lex_state = 3},
  [11926] = {.lex_state = 15, .external_lex_state = 2},
  [11927] = {.lex_state = 443, .external_lex_state = 3},
  [11928] = {.lex_state = 7, .external_lex_state = 3},
  [11929] = {.lex_state = 7, .external_lex_state = 3},
  [11930] = {.lex_state = 130, .external_lex_state = 3},
  [11931] = {.lex_state = 450, .external_lex_state = 3},
  [11932] = {.lex_state = 7, .external_lex_state = 3},
  [11933] = {.lex_state = 186, .external_lex_state = 3},
  [11934] = {.lex_state = 186, .external_lex_state = 3},
  [11935] = {.lex_state = 186, .external_lex_state = 3},
  [11936] = {.lex_state = 186, .external_lex_state = 3},
  [11937] = {.lex_state = 130, .external_lex_state = 3},
  [11938] = {.lex_state = 7, .external_lex_state = 3},
  [11939] = {.lex_state = 453, .external_lex_state = 3},
  [11940] = {.lex_state = 432, .external_lex_state = 3},
  [11941] = {.lex_state = 432, .external_lex_state = 3},
  [11942] = {.lex_state = 186, .external_lex_state = 3},
  [11943] = {.lex_state = 186, .external_lex_state = 3},
  [11944] = {.lex_state = 186, .external_lex_state = 3},
  [11945] = {.lex_state = 186, .external_lex_state = 3},
  [11946] = {.lex_state = 17, .external_lex_state = 3},
  [11947] = {.lex_state = 7, .external_lex_state = 3},
  [11948] = {.lex_state = 7, .external_lex_state = 3},
  [11949] = {.lex_state = 186, .external_lex_state = 3},
  [11950] = {.lex_state = 186, .external_lex_state = 3},
  [11951] = {.lex_state = 186, .external_lex_state = 3},
  [11952] = {.lex_state = 186, .external_lex_state = 3},
  [11953] = {.lex_state = 186, .external_lex_state = 3},
  [11954] = {.lex_state = 432, .external_lex_state = 3},
  [11955] = {.lex_state = 186, .external_lex_state = 3},
  [11956] = {.lex_state = 7, .external_lex_state = 3},
  [11957] = {.lex_state = 443, .external_lex_state = 3},
  [11958] = {.lex_state = 186, .external_lex_state = 3},
  [11959] = {.lex_state = 186, .external_lex_state = 3},
  [11960] = {.lex_state = 186, .external_lex_state = 3},
  [11961] = {.lex_state = 186, .external_lex_state = 3},
  [11962] = {.lex_state = 7, .external_lex_state = 3},
  [11963] = {.lex_state = 7, .external_lex_state = 3},
  [11964] = {.lex_state = 7, .external_lex_state = 3},
  [11965] = {.lex_state = 7, .external_lex_state = 3},
  [11966] = {.lex_state = 7, .external_lex_state = 3},
  [11967] = {.lex_state = 130, .external_lex_state = 3},
  [11968] = {.lex_state = 427, .external_lex_state = 3},
  [11969] = {.lex_state = 187, .external_lex_state = 3},
  [11970] = {.lex_state = 443, .external_lex_state = 3},
  [11971] = {.lex_state = 425, .external_lex_state = 2},
  [11972] = {.lex_state = 432, .external_lex_state = 3},
  [11973] = {.lex_state = 130, .external_lex_state = 3},
  [11974] = {.lex_state = 432, .external_lex_state = 3},
  [11975] = {.lex_state = 187, .external_lex_state = 3},
  [11976] = {.lex_state = 186, .external_lex_state = 3},
  [11977] = {.lex_state = 187, .external_lex_state = 3},
  [11978] = {.lex_state = 186, .external_lex_state = 3},
  [11979] = {.lex_state = 174, .external_lex_state = 3},
  [11980] = {.lex_state = 176, .external_lex_state = 3},
  [11981] = {.lex_state = 7, .external_lex_state = 3},
  [11982] = {.lex_state = 7, .external_lex_state = 3},
  [11983] = {.lex_state = 7, .external_lex_state = 3},
  [11984] = {.lex_state = 187, .external_lex_state = 3},
  [11985] = {.lex_state = 7, .external_lex_state = 3},
  [11986] = {.lex_state = 432, .external_lex_state = 3},
  [11987] = {.lex_state = 7, .external_lex_state = 3},
  [11988] = {.lex_state = 7, .external_lex_state = 3},
  [11989] = {.lex_state = 7, .external_lex_state = 3},
  [11990] = {.lex_state = 7, .external_lex_state = 3},
  [11991] = {.lex_state = 7, .external_lex_state = 3},
  [11992] = {.lex_state = 145, .external_lex_state = 3},
  [11993] = {.lex_state = 145, .external_lex_state = 3},
  [11994] = {.lex_state = 145, .external_lex_state = 3},
  [11995] = {.lex_state = 145, .external_lex_state = 3},
  [11996] = {.lex_state = 187, .external_lex_state = 3},
  [11997] = {.lex_state = 7, .external_lex_state = 3},
  [11998] = {.lex_state = 145, .external_lex_state = 3},
  [11999] = {.lex_state = 432, .external_lex_state = 3},
  [12000] = {.lex_state = 148, .external_lex_state = 2},
  [12001] = {.lex_state = 186, .external_lex_state = 3},
  [12002] = {.lex_state = 187, .external_lex_state = 3},
  [12003] = {.lex_state = 432, .external_lex_state = 3},
  [12004] = {.lex_state = 432, .external_lex_state = 3},
  [12005] = {.lex_state = 432, .external_lex_state = 3},
  [12006] = {.lex_state = 432, .external_lex_state = 3},
  [12007] = {.lex_state = 6, .external_lex_state = 2},
  [12008] = {.lex_state = 432, .external_lex_state = 3},
  [12009] = {.lex_state = 443, .external_lex_state = 3},
  [12010] = {.lex_state = 187, .external_lex_state = 3},
  [12011] = {.lex_state = 7, .external_lex_state = 3},
  [12012] = {.lex_state = 186, .external_lex_state = 3},
  [12013] = {.lex_state = 453, .external_lex_state = 3},
  [12014] = {.lex_state = 186, .external_lex_state = 3},
  [12015] = {.lex_state = 186, .external_lex_state = 3},
  [12016] = {.lex_state = 186, .external_lex_state = 3},
  [12017] = {.lex_state = 15, .external_lex_state = 2},
  [12018] = {.lex_state = 453, .external_lex_state = 3},
  [12019] = {.lex_state = 187, .external_lex_state = 3},
  [12020] = {.lex_state = 7, .external_lex_state = 3},
  [12021] = {.lex_state = 443, .external_lex_state = 3},
  [12022] = {.lex_state = 432, .external_lex_state = 3},
  [12023] = {.lex_state = 432, .external_lex_state = 3},
  [12024] = {.lex_state = 7, .external_lex_state = 3},
  [12025] = {.lex_state = 17, .external_lex_state = 3},
  [12026] = {.lex_state = 17, .external_lex_state = 3},
  [12027] = {.lex_state = 187, .external_lex_state = 3},
  [12028] = {.lex_state = 187, .external_lex_state = 3},
  [12029] = {.lex_state = 187, .external_lex_state = 3},
  [12030] = {.lex_state = 187, .external_lex_state = 3},
  [12031] = {.lex_state = 187, .external_lex_state = 3},
  [12032] = {.lex_state = 145, .external_lex_state = 3},
  [12033] = {.lex_state = 15, .external_lex_state = 2},
  [12034] = {.lex_state = 15, .external_lex_state = 2},
  [12035] = {.lex_state = 15, .external_lex_state = 2},
  [12036] = {.lex_state = 7, .external_lex_state = 3},
  [12037] = {.lex_state = 7, .external_lex_state = 3},
  [12038] = {.lex_state = 176, .external_lex_state = 3},
  [12039] = {.lex_state = 17, .external_lex_state = 3},
  [12040] = {.lex_state = 7, .external_lex_state = 3},
  [12041] = {.lex_state = 443, .external_lex_state = 3},
  [12042] = {.lex_state = 443, .external_lex_state = 3},
  [12043] = {.lex_state = 443, .external_lex_state = 3},
  [12044] = {.lex_state = 443, .external_lex_state = 3},
  [12045] = {.lex_state = 443, .external_lex_state = 3},
  [12046] = {.lex_state = 187, .external_lex_state = 3},
  [12047] = {.lex_state = 443, .external_lex_state = 3},
  [12048] = {.lex_state = 443, .external_lex_state = 3},
  [12049] = {.lex_state = 187, .external_lex_state = 3},
  [12050] = {.lex_state = 443, .external_lex_state = 3},
  [12051] = {.lex_state = 443, .external_lex_state = 3},
  [12052] = {.lex_state = 130, .external_lex_state = 3},
  [12053] = {.lex_state = 131, .external_lex_state = 3},
  [12054] = {.lex_state = 182, .external_lex_state = 3},
  [12055] = {.lex_state = 131, .external_lex_state = 3},
  [12056] = {.lex_state = 131, .external_lex_state = 3},
  [12057] = {.lex_state = 427, .external_lex_state = 3},
  [12058] = {.lex_state = 182, .external_lex_state = 3},
  [12059] = {.lex_state = 427, .external_lex_state = 3},
  [12060] = {.lex_state = 131, .external_lex_state = 3},
  [12061] = {.lex_state = 131, .external_lex_state = 3},
  [12062] = {.lex_state = 427, .external_lex_state = 3},
  [12063] = {.lex_state = 131, .external_lex_state = 3},
  [12064] = {.lex_state = 131, .external_lex_state = 3},
  [12065] = {.lex_state = 18, .external_lex_state = 3},
  [12066] = {.lex_state = 427, .external_lex_state = 3},
  [12067] = {.lex_state = 145, .external_lex_state = 3},
  [12068] = {.lex_state = 145, .external_lex_state = 3},
  [12069] = {.lex_state = 131, .external_lex_state = 3},
  [12070] = {.lex_state = 131, .external_lex_state = 3},
  [12071] = {.lex_state = 145, .external_lex_state = 3},
  [12072] = {.lex_state = 197, .external_lex_state = 3},
  [12073] = {.lex_state = 182, .external_lex_state = 3},
  [12074] = {.lex_state = 131, .external_lex_state = 3},
  [12075] = {.lex_state = 145, .external_lex_state = 3},
  [12076] = {.lex_state = 131, .external_lex_state = 3},
  [12077] = {.lex_state = 131, .external_lex_state = 3},
  [12078] = {.lex_state = 18, .external_lex_state = 3},
  [12079] = {.lex_state = 131, .external_lex_state = 3},
  [12080] = {.lex_state = 131, .external_lex_state = 3},
  [12081] = {.lex_state = 443, .external_lex_state = 3},
  [12082] = {.lex_state = 443, .external_lex_state = 3},
  [12083] = {.lex_state = 131, .external_lex_state = 3},
  [12084] = {.lex_state = 131, .external_lex_state = 3},
  [12085] = {.lex_state = 443, .external_lex_state = 3},
  [12086] = {.lex_state = 131, .external_lex_state = 3},
  [12087] = {.lex_state = 182, .external_lex_state = 3},
  [12088] = {.lex_state = 182, .external_lex_state = 3},
  [12089] = {.lex_state = 443, .external_lex_state = 3},
  [12090] = {.lex_state = 6, .external_lex_state = 2},
  [12091] = {.lex_state = 6, .external_lex_state = 2},
  [12092] = {.lex_state = 427, .external_lex_state = 3},
  [12093] = {.lex_state = 427, .external_lex_state = 3},
  [12094] = {.lex_state = 427, .external_lex_state = 3},
  [12095] = {.lex_state = 145, .external_lex_state = 3},
  [12096] = {.lex_state = 182, .external_lex_state = 3},
  [12097] = {.lex_state = 443, .external_lex_state = 3},
  [12098] = {.lex_state = 145, .external_lex_state = 3},
  [12099] = {.lex_state = 145, .external_lex_state = 3},
  [12100] = {.lex_state = 145, .external_lex_state = 3},
  [12101] = {.lex_state = 443, .external_lex_state = 3},
  [12102] = {.lex_state = 443, .external_lex_state = 3},
  [12103] = {.lex_state = 443, .external_lex_state = 3},
  [12104] = {.lex_state = 443, .external_lex_state = 3},
  [12105] = {.lex_state = 182, .external_lex_state = 3},
  [12106] = {.lex_state = 443, .external_lex_state = 3},
  [12107] = {.lex_state = 443, .external_lex_state = 3},
  [12108] = {.lex_state = 145, .external_lex_state = 3},
  [12109] = {.lex_state = 6, .external_lex_state = 2},
  [12110] = {.lex_state = 187, .external_lex_state = 3},
  [12111] = {.lex_state = 443, .external_lex_state = 3},
  [12112] = {.lex_state = 6, .external_lex_state = 2},
  [12113] = {.lex_state = 6, .external_lex_state = 2},
  [12114] = {.lex_state = 6, .external_lex_state = 2},
  [12115] = {.lex_state = 182, .external_lex_state = 3},
  [12116] = {.lex_state = 145, .external_lex_state = 3},
  [12117] = {.lex_state = 145, .external_lex_state = 3},
  [12118] = {.lex_state = 145, .external_lex_state = 3},
  [12119] = {.lex_state = 145, .external_lex_state = 3},
  [12120] = {.lex_state = 6, .external_lex_state = 2},
  [12121] = {.lex_state = 131, .external_lex_state = 3},
  [12122] = {.lex_state = 6, .external_lex_state = 2},
  [12123] = {.lex_state = 443, .external_lex_state = 3},
  [12124] = {.lex_state = 182, .external_lex_state = 3},
  [12125] = {.lex_state = 443, .external_lex_state = 3},
  [12126] = {.lex_state = 6, .external_lex_state = 2},
  [12127] = {.lex_state = 145, .external_lex_state = 3},
  [12128] = {.lex_state = 145, .external_lex_state = 3},
  [12129] = {.lex_state = 145, .external_lex_state = 3},
  [12130] = {.lex_state = 145, .external_lex_state = 3},
  [12131] = {.lex_state = 145, .external_lex_state = 3},
  [12132] = {.lex_state = 145, .external_lex_state = 3},
  [12133] = {.lex_state = 182, .external_lex_state = 3},
  [12134] = {.lex_state = 6, .external_lex_state = 2},
  [12135] = {.lex_state = 145, .external_lex_state = 3},
  [12136] = {.lex_state = 145, .external_lex_state = 3},
  [12137] = {.lex_state = 145, .external_lex_state = 3},
  [12138] = {.lex_state = 443, .external_lex_state = 3},
  [12139] = {.lex_state = 145, .external_lex_state = 3},
  [12140] = {.lex_state = 443, .external_lex_state = 3},
  [12141] = {.lex_state = 182, .external_lex_state = 3},
  [12142] = {.lex_state = 182, .external_lex_state = 3},
  [12143] = {.lex_state = 197, .external_lex_state = 3},
  [12144] = {.lex_state = 6, .external_lex_state = 2},
  [12145] = {.lex_state = 443, .external_lex_state = 3},
  [12146] = {.lex_state = 186, .external_lex_state = 3},
  [12147] = {.lex_state = 6, .external_lex_state = 2},
  [12148] = {.lex_state = 182, .external_lex_state = 3},
  [12149] = {.lex_state = 6, .external_lex_state = 2},
  [12150] = {.lex_state = 6, .external_lex_state = 2},
  [12151] = {.lex_state = 427, .external_lex_state = 3},
  [12152] = {.lex_state = 175, .external_lex_state = 3},
  [12153] = {.lex_state = 182, .external_lex_state = 3},
  [12154] = {.lex_state = 6, .external_lex_state = 2},
  [12155] = {.lex_state = 443, .external_lex_state = 3},
  [12156] = {.lex_state = 443, .external_lex_state = 3},
  [12157] = {.lex_state = 443, .external_lex_state = 3},
  [12158] = {.lex_state = 6, .external_lex_state = 2},
  [12159] = {.lex_state = 6, .external_lex_state = 2},
  [12160] = {.lex_state = 6, .external_lex_state = 2},
  [12161] = {.lex_state = 188, .external_lex_state = 3},
  [12162] = {.lex_state = 145, .external_lex_state = 3},
  [12163] = {.lex_state = 443, .external_lex_state = 3},
  [12164] = {.lex_state = 443, .external_lex_state = 3},
  [12165] = {.lex_state = 182, .external_lex_state = 3},
  [12166] = {.lex_state = 182, .external_lex_state = 3},
  [12167] = {.lex_state = 443, .external_lex_state = 3},
  [12168] = {.lex_state = 145, .external_lex_state = 3},
  [12169] = {.lex_state = 443, .external_lex_state = 3},
  [12170] = {.lex_state = 6, .external_lex_state = 2},
  [12171] = {.lex_state = 145, .external_lex_state = 3},
  [12172] = {.lex_state = 6, .external_lex_state = 2},
  [12173] = {.lex_state = 6, .external_lex_state = 2},
  [12174] = {.lex_state = 6, .external_lex_state = 2},
  [12175] = {.lex_state = 197, .external_lex_state = 3},
  [12176] = {.lex_state = 130, .external_lex_state = 3},
  [12177] = {.lex_state = 443, .external_lex_state = 3},
  [12178] = {.lex_state = 443, .external_lex_state = 3},
  [12179] = {.lex_state = 6, .external_lex_state = 2},
  [12180] = {.lex_state = 6, .external_lex_state = 2},
  [12181] = {.lex_state = 6, .external_lex_state = 2},
  [12182] = {.lex_state = 6, .external_lex_state = 2},
  [12183] = {.lex_state = 6, .external_lex_state = 2},
  [12184] = {.lex_state = 443, .external_lex_state = 3},
  [12185] = {.lex_state = 131, .external_lex_state = 3},
  [12186] = {.lex_state = 182, .external_lex_state = 3},
  [12187] = {.lex_state = 6, .external_lex_state = 2},
  [12188] = {.lex_state = 145, .external_lex_state = 3},
  [12189] = {.lex_state = 145, .external_lex_state = 3},
  [12190] = {.lex_state = 427, .external_lex_state = 3},
  [12191] = {.lex_state = 145, .external_lex_state = 3},
  [12192] = {.lex_state = 6, .external_lex_state = 2},
  [12193] = {.lex_state = 6, .external_lex_state = 2},
  [12194] = {.lex_state = 6, .external_lex_state = 2},
  [12195] = {.lex_state = 6, .external_lex_state = 2},
  [12196] = {.lex_state = 145, .external_lex_state = 3},
  [12197] = {.lex_state = 145, .external_lex_state = 3},
  [12198] = {.lex_state = 145, .external_lex_state = 3},
  [12199] = {.lex_state = 6, .external_lex_state = 2},
  [12200] = {.lex_state = 131, .external_lex_state = 3},
  [12201] = {.lex_state = 182, .external_lex_state = 3},
  [12202] = {.lex_state = 6, .external_lex_state = 2},
  [12203] = {.lex_state = 182, .external_lex_state = 3},
  [12204] = {.lex_state = 6, .external_lex_state = 2},
  [12205] = {.lex_state = 427, .external_lex_state = 3},
  [12206] = {.lex_state = 427, .external_lex_state = 3},
  [12207] = {.lex_state = 182, .external_lex_state = 3},
  [12208] = {.lex_state = 446, .external_lex_state = 3},
  [12209] = {.lex_state = 6, .external_lex_state = 2},
  [12210] = {.lex_state = 6, .external_lex_state = 2},
  [12211] = {.lex_state = 427, .external_lex_state = 3},
  [12212] = {.lex_state = 6, .external_lex_state = 2},
  [12213] = {.lex_state = 427, .external_lex_state = 3},
  [12214] = {.lex_state = 6, .external_lex_state = 2},
  [12215] = {.lex_state = 189, .external_lex_state = 3},
  [12216] = {.lex_state = 131, .external_lex_state = 3},
  [12217] = {.lex_state = 443, .external_lex_state = 3},
  [12218] = {.lex_state = 162, .external_lex_state = 2},
  [12219] = {.lex_state = 6, .external_lex_state = 2},
  [12220] = {.lex_state = 443, .external_lex_state = 3},
  [12221] = {.lex_state = 6, .external_lex_state = 2},
  [12222] = {.lex_state = 427, .external_lex_state = 3},
  [12223] = {.lex_state = 6, .external_lex_state = 2},
  [12224] = {.lex_state = 131, .external_lex_state = 3},
  [12225] = {.lex_state = 17, .external_lex_state = 3},
  [12226] = {.lex_state = 443, .external_lex_state = 3},
  [12227] = {.lex_state = 443, .external_lex_state = 3},
  [12228] = {.lex_state = 427, .external_lex_state = 3},
  [12229] = {.lex_state = 427, .external_lex_state = 3},
  [12230] = {.lex_state = 427, .external_lex_state = 3},
  [12231] = {.lex_state = 6, .external_lex_state = 2},
  [12232] = {.lex_state = 182, .external_lex_state = 3},
  [12233] = {.lex_state = 197, .external_lex_state = 3},
  [12234] = {.lex_state = 186, .external_lex_state = 3},
  [12235] = {.lex_state = 430, .external_lex_state = 3},
  [12236] = {.lex_state = 6, .external_lex_state = 2},
  [12237] = {.lex_state = 187, .external_lex_state = 3},
  [12238] = {.lex_state = 131, .external_lex_state = 3},
  [12239] = {.lex_state = 443, .external_lex_state = 3},
  [12240] = {.lex_state = 443, .external_lex_state = 3},
  [12241] = {.lex_state = 446, .external_lex_state = 3},
  [12242] = {.lex_state = 446, .external_lex_state = 3},
  [12243] = {.lex_state = 446, .external_lex_state = 3},
  [12244] = {.lex_state = 145, .external_lex_state = 3},
  [12245] = {.lex_state = 182, .external_lex_state = 3},
  [12246] = {.lex_state = 6, .external_lex_state = 2},
  [12247] = {.lex_state = 443, .external_lex_state = 3},
  [12248] = {.lex_state = 443, .external_lex_state = 3},
  [12249] = {.lex_state = 6, .external_lex_state = 2},
  [12250] = {.lex_state = 145, .external_lex_state = 3},
  [12251] = {.lex_state = 6, .external_lex_state = 2},
  [12252] = {.lex_state = 6, .external_lex_state = 2},
  [12253] = {.lex_state = 131, .external_lex_state = 3},
  [12254] = {.lex_state = 443, .external_lex_state = 3},
  [12255] = {.lex_state = 6, .external_lex_state = 2},
  [12256] = {.lex_state = 6, .external_lex_state = 2},
  [12257] = {.lex_state = 6, .external_lex_state = 2},
  [12258] = {.lex_state = 6, .external_lex_state = 2},
  [12259] = {.lex_state = 188, .external_lex_state = 3},
  [12260] = {.lex_state = 6, .external_lex_state = 2},
  [12261] = {.lex_state = 443, .external_lex_state = 3},
  [12262] = {.lex_state = 443, .external_lex_state = 3},
  [12263] = {.lex_state = 443, .external_lex_state = 3},
  [12264] = {.lex_state = 6, .external_lex_state = 2},
  [12265] = {.lex_state = 131, .external_lex_state = 3},
  [12266] = {.lex_state = 189, .external_lex_state = 3},
  [12267] = {.lex_state = 443, .external_lex_state = 3},
  [12268] = {.lex_state = 443, .external_lex_state = 3},
  [12269] = {.lex_state = 443, .external_lex_state = 3},
  [12270] = {.lex_state = 443, .external_lex_state = 3},
  [12271] = {.lex_state = 131, .external_lex_state = 3},
  [12272] = {.lex_state = 443, .external_lex_state = 3},
  [12273] = {.lex_state = 6, .external_lex_state = 2},
  [12274] = {.lex_state = 6, .external_lex_state = 2},
  [12275] = {.lex_state = 453, .external_lex_state = 3},
  [12276] = {.lex_state = 182, .external_lex_state = 3},
  [12277] = {.lex_state = 6, .external_lex_state = 2},
  [12278] = {.lex_state = 17, .external_lex_state = 3},
  [12279] = {.lex_state = 182, .external_lex_state = 3},
  [12280] = {.lex_state = 6, .external_lex_state = 2},
  [12281] = {.lex_state = 6, .external_lex_state = 2},
  [12282] = {.lex_state = 145, .external_lex_state = 3},
  [12283] = {.lex_state = 132, .external_lex_state = 3},
  [12284] = {.lex_state = 443, .external_lex_state = 3},
  [12285] = {.lex_state = 182, .external_lex_state = 3},
  [12286] = {.lex_state = 182, .external_lex_state = 3},
  [12287] = {.lex_state = 132, .external_lex_state = 3},
  [12288] = {.lex_state = 18, .external_lex_state = 3},
  [12289] = {.lex_state = 131, .external_lex_state = 3},
  [12290] = {.lex_state = 443, .external_lex_state = 3},
  [12291] = {.lex_state = 443, .external_lex_state = 3},
  [12292] = {.lex_state = 132, .external_lex_state = 3},
  [12293] = {.lex_state = 192, .external_lex_state = 3},
  [12294] = {.lex_state = 443, .external_lex_state = 3},
  [12295] = {.lex_state = 453, .external_lex_state = 3},
  [12296] = {.lex_state = 192, .external_lex_state = 3},
  [12297] = {.lex_state = 443, .external_lex_state = 3},
  [12298] = {.lex_state = 453, .external_lex_state = 3},
  [12299] = {.lex_state = 443, .external_lex_state = 3},
  [12300] = {.lex_state = 443, .external_lex_state = 3},
  [12301] = {.lex_state = 443, .external_lex_state = 3},
  [12302] = {.lex_state = 425, .external_lex_state = 3},
  [12303] = {.lex_state = 132, .external_lex_state = 3},
  [12304] = {.lex_state = 443, .external_lex_state = 3},
  [12305] = {.lex_state = 443, .external_lex_state = 3},
  [12306] = {.lex_state = 443, .external_lex_state = 3},
  [12307] = {.lex_state = 443, .external_lex_state = 3},
  [12308] = {.lex_state = 453, .external_lex_state = 3},
  [12309] = {.lex_state = 443, .external_lex_state = 3},
  [12310] = {.lex_state = 443, .external_lex_state = 3},
  [12311] = {.lex_state = 443, .external_lex_state = 3},
  [12312] = {.lex_state = 443, .external_lex_state = 3},
  [12313] = {.lex_state = 443, .external_lex_state = 3},
  [12314] = {.lex_state = 130, .external_lex_state = 3},
  [12315] = {.lex_state = 453, .external_lex_state = 3},
  [12316] = {.lex_state = 443, .external_lex_state = 3},
  [12317] = {.lex_state = 443, .external_lex_state = 3},
  [12318] = {.lex_state = 443, .external_lex_state = 3},
  [12319] = {.lex_state = 443, .external_lex_state = 3},
  [12320] = {.lex_state = 443, .external_lex_state = 3},
  [12321] = {.lex_state = 443, .external_lex_state = 3},
  [12322] = {.lex_state = 443, .external_lex_state = 3},
  [12323] = {.lex_state = 443, .external_lex_state = 3},
  [12324] = {.lex_state = 443, .external_lex_state = 3},
  [12325] = {.lex_state = 443, .external_lex_state = 3},
  [12326] = {.lex_state = 130, .external_lex_state = 3},
  [12327] = {.lex_state = 443, .external_lex_state = 3},
  [12328] = {.lex_state = 443, .external_lex_state = 3},
  [12329] = {.lex_state = 443, .external_lex_state = 3},
  [12330] = {.lex_state = 443, .external_lex_state = 3},
  [12331] = {.lex_state = 443, .external_lex_state = 3},
  [12332] = {.lex_state = 443, .external_lex_state = 3},
  [12333] = {.lex_state = 443, .external_lex_state = 3},
  [12334] = {.lex_state = 453, .external_lex_state = 3},
  [12335] = {.lex_state = 192, .external_lex_state = 3},
  [12336] = {.lex_state = 443, .external_lex_state = 3},
  [12337] = {.lex_state = 443, .external_lex_state = 3},
  [12338] = {.lex_state = 131, .external_lex_state = 3},
  [12339] = {.lex_state = 132, .external_lex_state = 3},
  [12340] = {.lex_state = 443, .external_lex_state = 3},
  [12341] = {.lex_state = 443, .external_lex_state = 3},
  [12342] = {.lex_state = 443, .external_lex_state = 3},
  [12343] = {.lex_state = 443, .external_lex_state = 3},
  [12344] = {.lex_state = 453, .external_lex_state = 3},
  [12345] = {.lex_state = 187, .external_lex_state = 3},
  [12346] = {.lex_state = 131, .external_lex_state = 3},
  [12347] = {.lex_state = 443, .external_lex_state = 3},
  [12348] = {.lex_state = 130, .external_lex_state = 3},
  [12349] = {.lex_state = 443, .external_lex_state = 3},
  [12350] = {.lex_state = 453, .external_lex_state = 3},
  [12351] = {.lex_state = 443, .external_lex_state = 3},
  [12352] = {.lex_state = 132, .external_lex_state = 3},
  [12353] = {.lex_state = 443, .external_lex_state = 3},
  [12354] = {.lex_state = 443, .external_lex_state = 3},
  [12355] = {.lex_state = 443, .external_lex_state = 3},
  [12356] = {.lex_state = 443, .external_lex_state = 3},
  [12357] = {.lex_state = 443, .external_lex_state = 3},
  [12358] = {.lex_state = 34, .external_lex_state = 2},
  [12359] = {.lex_state = 18, .external_lex_state = 3},
  [12360] = {.lex_state = 131, .external_lex_state = 3},
  [12361] = {.lex_state = 443, .external_lex_state = 3},
  [12362] = {.lex_state = 132, .external_lex_state = 3},
  [12363] = {.lex_state = 443, .external_lex_state = 3},
  [12364] = {.lex_state = 443, .external_lex_state = 3},
  [12365] = {.lex_state = 443, .external_lex_state = 3},
  [12366] = {.lex_state = 443, .external_lex_state = 3},
  [12367] = {.lex_state = 443, .external_lex_state = 3},
  [12368] = {.lex_state = 443, .external_lex_state = 3},
  [12369] = {.lex_state = 443, .external_lex_state = 3},
  [12370] = {.lex_state = 443, .external_lex_state = 3},
  [12371] = {.lex_state = 443, .external_lex_state = 3},
  [12372] = {.lex_state = 443, .external_lex_state = 3},
  [12373] = {.lex_state = 443, .external_lex_state = 3},
  [12374] = {.lex_state = 34, .external_lex_state = 2},
  [12375] = {.lex_state = 453, .external_lex_state = 3},
  [12376] = {.lex_state = 443, .external_lex_state = 3},
  [12377] = {.lex_state = 443, .external_lex_state = 3},
  [12378] = {.lex_state = 443, .external_lex_state = 3},
  [12379] = {.lex_state = 443, .external_lex_state = 3},
  [12380] = {.lex_state = 443, .external_lex_state = 3},
  [12381] = {.lex_state = 443, .external_lex_state = 3},
  [12382] = {.lex_state = 443, .external_lex_state = 3},
  [12383] = {.lex_state = 443, .external_lex_state = 3},
  [12384] = {.lex_state = 173, .external_lex_state = 3},
  [12385] = {.lex_state = 425, .external_lex_state = 3},
  [12386] = {.lex_state = 443, .external_lex_state = 3},
  [12387] = {.lex_state = 443, .external_lex_state = 3},
  [12388] = {.lex_state = 443, .external_lex_state = 3},
  [12389] = {.lex_state = 443, .external_lex_state = 3},
  [12390] = {.lex_state = 443, .external_lex_state = 3},
  [12391] = {.lex_state = 453, .external_lex_state = 3},
  [12392] = {.lex_state = 443, .external_lex_state = 3},
  [12393] = {.lex_state = 443, .external_lex_state = 3},
  [12394] = {.lex_state = 34, .external_lex_state = 2},
  [12395] = {.lex_state = 192, .external_lex_state = 3},
  [12396] = {.lex_state = 443, .external_lex_state = 3},
  [12397] = {.lex_state = 443, .external_lex_state = 3},
  [12398] = {.lex_state = 443, .external_lex_state = 3},
  [12399] = {.lex_state = 139, .external_lex_state = 2},
  [12400] = {.lex_state = 443, .external_lex_state = 3},
  [12401] = {.lex_state = 443, .external_lex_state = 3},
  [12402] = {.lex_state = 443, .external_lex_state = 3},
  [12403] = {.lex_state = 443, .external_lex_state = 3},
  [12404] = {.lex_state = 443, .external_lex_state = 3},
  [12405] = {.lex_state = 443, .external_lex_state = 3},
  [12406] = {.lex_state = 443, .external_lex_state = 3},
  [12407] = {.lex_state = 185, .external_lex_state = 3},
  [12408] = {.lex_state = 443, .external_lex_state = 3},
  [12409] = {.lex_state = 443, .external_lex_state = 3},
  [12410] = {.lex_state = 443, .external_lex_state = 3},
  [12411] = {.lex_state = 443, .external_lex_state = 3},
  [12412] = {.lex_state = 443, .external_lex_state = 3},
  [12413] = {.lex_state = 443, .external_lex_state = 3},
  [12414] = {.lex_state = 443, .external_lex_state = 3},
  [12415] = {.lex_state = 443, .external_lex_state = 3},
  [12416] = {.lex_state = 427, .external_lex_state = 3},
  [12417] = {.lex_state = 443, .external_lex_state = 3},
  [12418] = {.lex_state = 443, .external_lex_state = 3},
  [12419] = {.lex_state = 192, .external_lex_state = 3},
  [12420] = {.lex_state = 443, .external_lex_state = 3},
  [12421] = {.lex_state = 446, .external_lex_state = 3},
  [12422] = {.lex_state = 132, .external_lex_state = 3},
  [12423] = {.lex_state = 443, .external_lex_state = 3},
  [12424] = {.lex_state = 443, .external_lex_state = 3},
  [12425] = {.lex_state = 443, .external_lex_state = 3},
  [12426] = {.lex_state = 185, .external_lex_state = 3},
  [12427] = {.lex_state = 142, .external_lex_state = 3},
  [12428] = {.lex_state = 443, .external_lex_state = 3},
  [12429] = {.lex_state = 443, .external_lex_state = 3},
  [12430] = {.lex_state = 443, .external_lex_state = 3},
  [12431] = {.lex_state = 443, .external_lex_state = 3},
  [12432] = {.lex_state = 443, .external_lex_state = 3},
  [12433] = {.lex_state = 453, .external_lex_state = 3},
  [12434] = {.lex_state = 453, .external_lex_state = 3},
  [12435] = {.lex_state = 132, .external_lex_state = 3},
  [12436] = {.lex_state = 443, .external_lex_state = 3},
  [12437] = {.lex_state = 443, .external_lex_state = 3},
  [12438] = {.lex_state = 131, .external_lex_state = 3},
  [12439] = {.lex_state = 443, .external_lex_state = 3},
  [12440] = {.lex_state = 443, .external_lex_state = 3},
  [12441] = {.lex_state = 443, .external_lex_state = 3},
  [12442] = {.lex_state = 443, .external_lex_state = 3},
  [12443] = {.lex_state = 443, .external_lex_state = 3},
  [12444] = {.lex_state = 443, .external_lex_state = 3},
  [12445] = {.lex_state = 443, .external_lex_state = 3},
  [12446] = {.lex_state = 427, .external_lex_state = 3},
  [12447] = {.lex_state = 443, .external_lex_state = 3},
  [12448] = {.lex_state = 443, .external_lex_state = 3},
  [12449] = {.lex_state = 443, .external_lex_state = 3},
  [12450] = {.lex_state = 443, .external_lex_state = 3},
  [12451] = {.lex_state = 443, .external_lex_state = 3},
  [12452] = {.lex_state = 443, .external_lex_state = 3},
  [12453] = {.lex_state = 443, .external_lex_state = 3},
  [12454] = {.lex_state = 443, .external_lex_state = 3},
  [12455] = {.lex_state = 144, .external_lex_state = 3},
  [12456] = {.lex_state = 132, .external_lex_state = 3},
  [12457] = {.lex_state = 453, .external_lex_state = 3},
  [12458] = {.lex_state = 453, .external_lex_state = 3},
  [12459] = {.lex_state = 130, .external_lex_state = 3},
  [12460] = {.lex_state = 130, .external_lex_state = 3},
  [12461] = {.lex_state = 443, .external_lex_state = 3},
  [12462] = {.lex_state = 130, .external_lex_state = 3},
  [12463] = {.lex_state = 130, .external_lex_state = 3},
  [12464] = {.lex_state = 130, .external_lex_state = 3},
  [12465] = {.lex_state = 130, .external_lex_state = 3},
  [12466] = {.lex_state = 130, .external_lex_state = 3},
  [12467] = {.lex_state = 130, .external_lex_state = 3},
  [12468] = {.lex_state = 130, .external_lex_state = 3},
  [12469] = {.lex_state = 130, .external_lex_state = 3},
  [12470] = {.lex_state = 130, .external_lex_state = 3},
  [12471] = {.lex_state = 192, .external_lex_state = 3},
  [12472] = {.lex_state = 443, .external_lex_state = 3},
  [12473] = {.lex_state = 132, .external_lex_state = 3},
  [12474] = {.lex_state = 443, .external_lex_state = 3},
  [12475] = {.lex_state = 132, .external_lex_state = 3},
  [12476] = {.lex_state = 443, .external_lex_state = 3},
  [12477] = {.lex_state = 453, .external_lex_state = 3},
  [12478] = {.lex_state = 443, .external_lex_state = 3},
  [12479] = {.lex_state = 443, .external_lex_state = 3},
  [12480] = {.lex_state = 443, .external_lex_state = 3},
  [12481] = {.lex_state = 130, .external_lex_state = 3},
  [12482] = {.lex_state = 443, .external_lex_state = 3},
  [12483] = {.lex_state = 443, .external_lex_state = 3},
  [12484] = {.lex_state = 443, .external_lex_state = 3},
  [12485] = {.lex_state = 425, .external_lex_state = 2},
  [12486] = {.lex_state = 443, .external_lex_state = 3},
  [12487] = {.lex_state = 443, .external_lex_state = 3},
  [12488] = {.lex_state = 185, .external_lex_state = 3},
  [12489] = {.lex_state = 443, .external_lex_state = 3},
  [12490] = {.lex_state = 443, .external_lex_state = 3},
  [12491] = {.lex_state = 443, .external_lex_state = 3},
  [12492] = {.lex_state = 443, .external_lex_state = 3},
  [12493] = {.lex_state = 443, .external_lex_state = 3},
  [12494] = {.lex_state = 443, .external_lex_state = 3},
  [12495] = {.lex_state = 443, .external_lex_state = 3},
  [12496] = {.lex_state = 443, .external_lex_state = 3},
  [12497] = {.lex_state = 443, .external_lex_state = 3},
  [12498] = {.lex_state = 443, .external_lex_state = 3},
  [12499] = {.lex_state = 443, .external_lex_state = 3},
  [12500] = {.lex_state = 443, .external_lex_state = 3},
  [12501] = {.lex_state = 443, .external_lex_state = 3},
  [12502] = {.lex_state = 443, .external_lex_state = 3},
  [12503] = {.lex_state = 443, .external_lex_state = 3},
  [12504] = {.lex_state = 443, .external_lex_state = 3},
  [12505] = {.lex_state = 443, .external_lex_state = 3},
  [12506] = {.lex_state = 443, .external_lex_state = 3},
  [12507] = {.lex_state = 443, .external_lex_state = 3},
  [12508] = {.lex_state = 443, .external_lex_state = 3},
  [12509] = {.lex_state = 443, .external_lex_state = 3},
  [12510] = {.lex_state = 443, .external_lex_state = 3},
  [12511] = {.lex_state = 443, .external_lex_state = 3},
  [12512] = {.lex_state = 443, .external_lex_state = 3},
  [12513] = {.lex_state = 443, .external_lex_state = 3},
  [12514] = {.lex_state = 443, .external_lex_state = 3},
  [12515] = {.lex_state = 443, .external_lex_state = 3},
  [12516] = {.lex_state = 443, .external_lex_state = 3},
  [12517] = {.lex_state = 443, .external_lex_state = 3},
  [12518] = {.lex_state = 443, .external_lex_state = 3},
  [12519] = {.lex_state = 443, .external_lex_state = 3},
  [12520] = {.lex_state = 443, .external_lex_state = 3},
  [12521] = {.lex_state = 443, .external_lex_state = 3},
  [12522] = {.lex_state = 443, .external_lex_state = 3},
  [12523] = {.lex_state = 443, .external_lex_state = 3},
  [12524] = {.lex_state = 443, .external_lex_state = 3},
  [12525] = {.lex_state = 443, .external_lex_state = 3},
  [12526] = {.lex_state = 443, .external_lex_state = 3},
  [12527] = {.lex_state = 6, .external_lex_state = 2},
  [12528] = {.lex_state = 192, .external_lex_state = 3},
  [12529] = {.lex_state = 443, .external_lex_state = 3},
  [12530] = {.lex_state = 132, .external_lex_state = 3},
  [12531] = {.lex_state = 130, .external_lex_state = 3},
  [12532] = {.lex_state = 132, .external_lex_state = 3},
  [12533] = {.lex_state = 192, .external_lex_state = 3},
  [12534] = {.lex_state = 131, .external_lex_state = 3},
  [12535] = {.lex_state = 443, .external_lex_state = 3},
  [12536] = {.lex_state = 443, .external_lex_state = 3},
  [12537] = {.lex_state = 443, .external_lex_state = 3},
  [12538] = {.lex_state = 443, .external_lex_state = 3},
  [12539] = {.lex_state = 192, .external_lex_state = 3},
  [12540] = {.lex_state = 443, .external_lex_state = 3},
  [12541] = {.lex_state = 443, .external_lex_state = 3},
  [12542] = {.lex_state = 443, .external_lex_state = 3},
  [12543] = {.lex_state = 443, .external_lex_state = 3},
  [12544] = {.lex_state = 443, .external_lex_state = 3},
  [12545] = {.lex_state = 443, .external_lex_state = 3},
  [12546] = {.lex_state = 146, .external_lex_state = 3},
  [12547] = {.lex_state = 443, .external_lex_state = 3},
  [12548] = {.lex_state = 199, .external_lex_state = 3},
  [12549] = {.lex_state = 447, .external_lex_state = 3},
  [12550] = {.lex_state = 443, .external_lex_state = 3},
  [12551] = {.lex_state = 443, .external_lex_state = 3},
  [12552] = {.lex_state = 443, .external_lex_state = 3},
  [12553] = {.lex_state = 443, .external_lex_state = 3},
  [12554] = {.lex_state = 443, .external_lex_state = 3},
  [12555] = {.lex_state = 185, .external_lex_state = 3},
  [12556] = {.lex_state = 188, .external_lex_state = 3},
  [12557] = {.lex_state = 443, .external_lex_state = 3},
  [12558] = {.lex_state = 443, .external_lex_state = 3},
  [12559] = {.lex_state = 130, .external_lex_state = 3},
  [12560] = {.lex_state = 201, .external_lex_state = 3},
  [12561] = {.lex_state = 131, .external_lex_state = 3},
  [12562] = {.lex_state = 131, .external_lex_state = 3},
  [12563] = {.lex_state = 443, .external_lex_state = 3},
  [12564] = {.lex_state = 443, .external_lex_state = 3},
  [12565] = {.lex_state = 443, .external_lex_state = 3},
  [12566] = {.lex_state = 132, .external_lex_state = 3},
  [12567] = {.lex_state = 443, .external_lex_state = 3},
  [12568] = {.lex_state = 189, .external_lex_state = 3},
  [12569] = {.lex_state = 192, .external_lex_state = 3},
  [12570] = {.lex_state = 131, .external_lex_state = 3},
  [12571] = {.lex_state = 130, .external_lex_state = 3},
  [12572] = {.lex_state = 447, .external_lex_state = 3},
  [12573] = {.lex_state = 453, .external_lex_state = 3},
  [12574] = {.lex_state = 186, .external_lex_state = 3},
  [12575] = {.lex_state = 443, .external_lex_state = 3},
  [12576] = {.lex_state = 192, .external_lex_state = 3},
  [12577] = {.lex_state = 192, .external_lex_state = 3},
  [12578] = {.lex_state = 132, .external_lex_state = 3},
  [12579] = {.lex_state = 443, .external_lex_state = 3},
  [12580] = {.lex_state = 130, .external_lex_state = 3},
  [12581] = {.lex_state = 443, .external_lex_state = 3},
  [12582] = {.lex_state = 187, .external_lex_state = 3},
  [12583] = {.lex_state = 186, .external_lex_state = 3},
  [12584] = {.lex_state = 185, .external_lex_state = 3},
  [12585] = {.lex_state = 197, .external_lex_state = 3},
  [12586] = {.lex_state = 185, .external_lex_state = 3},
  [12587] = {.lex_state = 187, .external_lex_state = 3},
  [12588] = {.lex_state = 443, .external_lex_state = 3},
  [12589] = {.lex_state = 443, .external_lex_state = 3},
  [12590] = {.lex_state = 17, .external_lex_state = 3},
  [12591] = {.lex_state = 132, .external_lex_state = 3},
  [12592] = {.lex_state = 443, .external_lex_state = 3},
  [12593] = {.lex_state = 453, .external_lex_state = 3},
  [12594] = {.lex_state = 187, .external_lex_state = 3},
  [12595] = {.lex_state = 453, .external_lex_state = 3},
  [12596] = {.lex_state = 453, .external_lex_state = 3},
  [12597] = {.lex_state = 453, .external_lex_state = 3},
  [12598] = {.lex_state = 453, .external_lex_state = 3},
  [12599] = {.lex_state = 132, .external_lex_state = 3},
  [12600] = {.lex_state = 185, .external_lex_state = 3},
  [12601] = {.lex_state = 443, .external_lex_state = 3},
  [12602] = {.lex_state = 186, .external_lex_state = 3},
  [12603] = {.lex_state = 173, .external_lex_state = 3},
  [12604] = {.lex_state = 132, .external_lex_state = 3},
  [12605] = {.lex_state = 443, .external_lex_state = 3},
  [12606] = {.lex_state = 443, .external_lex_state = 3},
  [12607] = {.lex_state = 132, .external_lex_state = 3},
  [12608] = {.lex_state = 443, .external_lex_state = 3},
  [12609] = {.lex_state = 173, .external_lex_state = 3},
  [12610] = {.lex_state = 447, .external_lex_state = 3},
  [12611] = {.lex_state = 443, .external_lex_state = 3},
  [12612] = {.lex_state = 186, .external_lex_state = 3},
  [12613] = {.lex_state = 130, .external_lex_state = 3},
  [12614] = {.lex_state = 186, .external_lex_state = 3},
  [12615] = {.lex_state = 443, .external_lex_state = 3},
  [12616] = {.lex_state = 453, .external_lex_state = 3},
  [12617] = {.lex_state = 453, .external_lex_state = 3},
  [12618] = {.lex_state = 187, .external_lex_state = 3},
  [12619] = {.lex_state = 443, .external_lex_state = 3},
  [12620] = {.lex_state = 186, .external_lex_state = 3},
  [12621] = {.lex_state = 130, .external_lex_state = 3},
  [12622] = {.lex_state = 132, .external_lex_state = 3},
  [12623] = {.lex_state = 132, .external_lex_state = 3},
  [12624] = {.lex_state = 131, .external_lex_state = 3},
  [12625] = {.lex_state = 132, .external_lex_state = 3},
  [12626] = {.lex_state = 131, .external_lex_state = 3},
  [12627] = {.lex_state = 131, .external_lex_state = 3},
  [12628] = {.lex_state = 131, .external_lex_state = 3},
  [12629] = {.lex_state = 131, .external_lex_state = 3},
  [12630] = {.lex_state = 131, .external_lex_state = 3},
  [12631] = {.lex_state = 131, .external_lex_state = 3},
  [12632] = {.lex_state = 131, .external_lex_state = 3},
  [12633] = {.lex_state = 443, .external_lex_state = 3},
  [12634] = {.lex_state = 131, .external_lex_state = 3},
  [12635] = {.lex_state = 131, .external_lex_state = 3},
  [12636] = {.lex_state = 131, .external_lex_state = 3},
  [12637] = {.lex_state = 453, .external_lex_state = 3},
  [12638] = {.lex_state = 453, .external_lex_state = 3},
  [12639] = {.lex_state = 132, .external_lex_state = 3},
  [12640] = {.lex_state = 453, .external_lex_state = 3},
  [12641] = {.lex_state = 453, .external_lex_state = 3},
  [12642] = {.lex_state = 443, .external_lex_state = 3},
  [12643] = {.lex_state = 453, .external_lex_state = 3},
  [12644] = {.lex_state = 443, .external_lex_state = 3},
  [12645] = {.lex_state = 443, .external_lex_state = 3},
  [12646] = {.lex_state = 443, .external_lex_state = 3},
  [12647] = {.lex_state = 443, .external_lex_state = 3},
  [12648] = {.lex_state = 443, .external_lex_state = 3},
  [12649] = {.lex_state = 443, .external_lex_state = 3},
  [12650] = {.lex_state = 443, .external_lex_state = 3},
  [12651] = {.lex_state = 443, .external_lex_state = 3},
  [12652] = {.lex_state = 443, .external_lex_state = 3},
  [12653] = {.lex_state = 443, .external_lex_state = 3},
  [12654] = {.lex_state = 132, .external_lex_state = 3},
  [12655] = {.lex_state = 443, .external_lex_state = 3},
  [12656] = {.lex_state = 443, .external_lex_state = 3},
  [12657] = {.lex_state = 185, .external_lex_state = 3},
  [12658] = {.lex_state = 131, .external_lex_state = 3},
  [12659] = {.lex_state = 443, .external_lex_state = 3},
  [12660] = {.lex_state = 443, .external_lex_state = 3},
  [12661] = {.lex_state = 443, .external_lex_state = 3},
  [12662] = {.lex_state = 131, .external_lex_state = 3},
  [12663] = {.lex_state = 132, .external_lex_state = 3},
  [12664] = {.lex_state = 453, .external_lex_state = 3},
  [12665] = {.lex_state = 185, .external_lex_state = 3},
  [12666] = {.lex_state = 17, .external_lex_state = 3},
  [12667] = {.lex_state = 453, .external_lex_state = 3},
  [12668] = {.lex_state = 132, .external_lex_state = 3},
  [12669] = {.lex_state = 17, .external_lex_state = 3},
  [12670] = {.lex_state = 17, .external_lex_state = 3},
  [12671] = {.lex_state = 17, .external_lex_state = 3},
  [12672] = {.lex_state = 132, .external_lex_state = 3},
  [12673] = {.lex_state = 443, .external_lex_state = 3},
  [12674] = {.lex_state = 132, .external_lex_state = 3},
  [12675] = {.lex_state = 453, .external_lex_state = 3},
  [12676] = {.lex_state = 453, .external_lex_state = 3},
  [12677] = {.lex_state = 443, .external_lex_state = 3},
  [12678] = {.lex_state = 132, .external_lex_state = 3},
  [12679] = {.lex_state = 187, .external_lex_state = 3},
  [12680] = {.lex_state = 443, .external_lex_state = 3},
  [12681] = {.lex_state = 443, .external_lex_state = 3},
  [12682] = {.lex_state = 185, .external_lex_state = 3},
  [12683] = {.lex_state = 173, .external_lex_state = 3},
  [12684] = {.lex_state = 443, .external_lex_state = 3},
  [12685] = {.lex_state = 453, .external_lex_state = 3},
  [12686] = {.lex_state = 453, .external_lex_state = 3},
  [12687] = {.lex_state = 453, .external_lex_state = 3},
  [12688] = {.lex_state = 453, .external_lex_state = 3},
  [12689] = {.lex_state = 453, .external_lex_state = 3},
  [12690] = {.lex_state = 453, .external_lex_state = 3},
  [12691] = {.lex_state = 18, .external_lex_state = 3},
  [12692] = {.lex_state = 132, .external_lex_state = 3},
  [12693] = {.lex_state = 443, .external_lex_state = 3},
  [12694] = {.lex_state = 443, .external_lex_state = 3},
  [12695] = {.lex_state = 443, .external_lex_state = 3},
  [12696] = {.lex_state = 185, .external_lex_state = 3},
  [12697] = {.lex_state = 132, .external_lex_state = 3},
  [12698] = {.lex_state = 18, .external_lex_state = 3},
  [12699] = {.lex_state = 132, .external_lex_state = 3},
  [12700] = {.lex_state = 18, .external_lex_state = 3},
  [12701] = {.lex_state = 443, .external_lex_state = 3},
  [12702] = {.lex_state = 443, .external_lex_state = 3},
  [12703] = {.lex_state = 443, .external_lex_state = 3},
  [12704] = {.lex_state = 443, .external_lex_state = 3},
  [12705] = {.lex_state = 443, .external_lex_state = 3},
  [12706] = {.lex_state = 443, .external_lex_state = 3},
  [12707] = {.lex_state = 427, .external_lex_state = 3},
  [12708] = {.lex_state = 185, .external_lex_state = 3},
  [12709] = {.lex_state = 443, .external_lex_state = 3},
  [12710] = {.lex_state = 443, .external_lex_state = 3},
  [12711] = {.lex_state = 443, .external_lex_state = 3},
  [12712] = {.lex_state = 443, .external_lex_state = 3},
  [12713] = {.lex_state = 443, .external_lex_state = 3},
  [12714] = {.lex_state = 132, .external_lex_state = 3},
  [12715] = {.lex_state = 443, .external_lex_state = 3},
  [12716] = {.lex_state = 18, .external_lex_state = 3},
  [12717] = {.lex_state = 182, .external_lex_state = 3},
  [12718] = {.lex_state = 182, .external_lex_state = 3},
  [12719] = {.lex_state = 182, .external_lex_state = 3},
  [12720] = {.lex_state = 425, .external_lex_state = 3},
  [12721] = {.lex_state = 182, .external_lex_state = 3},
  [12722] = {.lex_state = 182, .external_lex_state = 3},
  [12723] = {.lex_state = 425, .external_lex_state = 3},
  [12724] = {.lex_state = 425, .external_lex_state = 3},
  [12725] = {.lex_state = 425, .external_lex_state = 3},
  [12726] = {.lex_state = 425, .external_lex_state = 3},
  [12727] = {.lex_state = 182, .external_lex_state = 3},
  [12728] = {.lex_state = 197, .external_lex_state = 3},
  [12729] = {.lex_state = 197, .external_lex_state = 3},
  [12730] = {.lex_state = 182, .external_lex_state = 3},
  [12731] = {.lex_state = 7, .external_lex_state = 3},
  [12732] = {.lex_state = 192, .external_lex_state = 3},
  [12733] = {.lex_state = 182, .external_lex_state = 3},
  [12734] = {.lex_state = 18, .external_lex_state = 3},
  [12735] = {.lex_state = 425, .external_lex_state = 3},
  [12736] = {.lex_state = 34, .external_lex_state = 2},
  [12737] = {.lex_state = 197, .external_lex_state = 3},
  [12738] = {.lex_state = 182, .external_lex_state = 3},
  [12739] = {.lex_state = 192, .external_lex_state = 3},
  [12740] = {.lex_state = 425, .external_lex_state = 3},
  [12741] = {.lex_state = 199, .external_lex_state = 3},
  [12742] = {.lex_state = 17, .external_lex_state = 3},
  [12743] = {.lex_state = 17, .external_lex_state = 3},
  [12744] = {.lex_state = 197, .external_lex_state = 3},
  [12745] = {.lex_state = 197, .external_lex_state = 3},
  [12746] = {.lex_state = 18, .external_lex_state = 3},
  [12747] = {.lex_state = 17, .external_lex_state = 3},
  [12748] = {.lex_state = 17, .external_lex_state = 3},
  [12749] = {.lex_state = 197, .external_lex_state = 3},
  [12750] = {.lex_state = 443, .external_lex_state = 3},
  [12751] = {.lex_state = 443, .external_lex_state = 3},
  [12752] = {.lex_state = 197, .external_lex_state = 3},
  [12753] = {.lex_state = 18, .external_lex_state = 3},
  [12754] = {.lex_state = 182, .external_lex_state = 3},
  [12755] = {.lex_state = 443, .external_lex_state = 3},
  [12756] = {.lex_state = 18, .external_lex_state = 3},
  [12757] = {.lex_state = 443, .external_lex_state = 3},
  [12758] = {.lex_state = 197, .external_lex_state = 3},
  [12759] = {.lex_state = 443, .external_lex_state = 3},
  [12760] = {.lex_state = 18, .external_lex_state = 3},
  [12761] = {.lex_state = 17, .external_lex_state = 3},
  [12762] = {.lex_state = 130, .external_lex_state = 3},
  [12763] = {.lex_state = 443, .external_lex_state = 3},
  [12764] = {.lex_state = 17, .external_lex_state = 3},
  [12765] = {.lex_state = 443, .external_lex_state = 3},
  [12766] = {.lex_state = 443, .external_lex_state = 3},
  [12767] = {.lex_state = 182, .external_lex_state = 3},
  [12768] = {.lex_state = 182, .external_lex_state = 3},
  [12769] = {.lex_state = 425, .external_lex_state = 3},
  [12770] = {.lex_state = 17, .external_lex_state = 3},
  [12771] = {.lex_state = 17, .external_lex_state = 3},
  [12772] = {.lex_state = 18, .external_lex_state = 3},
  [12773] = {.lex_state = 182, .external_lex_state = 3},
  [12774] = {.lex_state = 17, .external_lex_state = 3},
  [12775] = {.lex_state = 182, .external_lex_state = 3},
  [12776] = {.lex_state = 182, .external_lex_state = 3},
  [12777] = {.lex_state = 130, .external_lex_state = 3},
  [12778] = {.lex_state = 17, .external_lex_state = 3},
  [12779] = {.lex_state = 182, .external_lex_state = 3},
  [12780] = {.lex_state = 174, .external_lex_state = 3},
  [12781] = {.lex_state = 18, .external_lex_state = 3},
  [12782] = {.lex_state = 197, .external_lex_state = 3},
  [12783] = {.lex_state = 17, .external_lex_state = 3},
  [12784] = {.lex_state = 17, .external_lex_state = 3},
  [12785] = {.lex_state = 197, .external_lex_state = 3},
  [12786] = {.lex_state = 17, .external_lex_state = 3},
  [12787] = {.lex_state = 425, .external_lex_state = 3},
  [12788] = {.lex_state = 182, .external_lex_state = 3},
  [12789] = {.lex_state = 6, .external_lex_state = 2},
  [12790] = {.lex_state = 197, .external_lex_state = 3},
  [12791] = {.lex_state = 197, .external_lex_state = 3},
  [12792] = {.lex_state = 18, .external_lex_state = 3},
  [12793] = {.lex_state = 443, .external_lex_state = 3},
  [12794] = {.lex_state = 197, .external_lex_state = 3},
  [12795] = {.lex_state = 17, .external_lex_state = 3},
  [12796] = {.lex_state = 17, .external_lex_state = 3},
  [12797] = {.lex_state = 182, .external_lex_state = 3},
  [12798] = {.lex_state = 197, .external_lex_state = 3},
  [12799] = {.lex_state = 17, .external_lex_state = 3},
  [12800] = {.lex_state = 17, .external_lex_state = 3},
  [12801] = {.lex_state = 18, .external_lex_state = 3},
  [12802] = {.lex_state = 192, .external_lex_state = 3},
  [12803] = {.lex_state = 18, .external_lex_state = 3},
  [12804] = {.lex_state = 17, .external_lex_state = 3},
  [12805] = {.lex_state = 425, .external_lex_state = 3},
  [12806] = {.lex_state = 443, .external_lex_state = 3},
  [12807] = {.lex_state = 18, .external_lex_state = 3},
  [12808] = {.lex_state = 182, .external_lex_state = 3},
  [12809] = {.lex_state = 18, .external_lex_state = 3},
  [12810] = {.lex_state = 425, .external_lex_state = 3},
  [12811] = {.lex_state = 425, .external_lex_state = 3},
  [12812] = {.lex_state = 182, .external_lex_state = 3},
  [12813] = {.lex_state = 18, .external_lex_state = 3},
  [12814] = {.lex_state = 182, .external_lex_state = 3},
  [12815] = {.lex_state = 197, .external_lex_state = 3},
  [12816] = {.lex_state = 17, .external_lex_state = 3},
  [12817] = {.lex_state = 182, .external_lex_state = 3},
  [12818] = {.lex_state = 185, .external_lex_state = 3},
  [12819] = {.lex_state = 197, .external_lex_state = 3},
  [12820] = {.lex_state = 182, .external_lex_state = 3},
  [12821] = {.lex_state = 197, .external_lex_state = 3},
  [12822] = {.lex_state = 425, .external_lex_state = 3},
  [12823] = {.lex_state = 182, .external_lex_state = 3},
  [12824] = {.lex_state = 17, .external_lex_state = 3},
  [12825] = {.lex_state = 197, .external_lex_state = 3},
  [12826] = {.lex_state = 17, .external_lex_state = 3},
  [12827] = {.lex_state = 197, .external_lex_state = 3},
  [12828] = {.lex_state = 17, .external_lex_state = 3},
  [12829] = {.lex_state = 182, .external_lex_state = 3},
  [12830] = {.lex_state = 197, .external_lex_state = 3},
  [12831] = {.lex_state = 425, .external_lex_state = 3},
  [12832] = {.lex_state = 18, .external_lex_state = 3},
  [12833] = {.lex_state = 17, .external_lex_state = 3},
  [12834] = {.lex_state = 17, .external_lex_state = 3},
  [12835] = {.lex_state = 17, .external_lex_state = 3},
  [12836] = {.lex_state = 197, .external_lex_state = 3},
  [12837] = {.lex_state = 17, .external_lex_state = 3},
  [12838] = {.lex_state = 130, .external_lex_state = 3},
  [12839] = {.lex_state = 197, .external_lex_state = 3},
  [12840] = {.lex_state = 197, .external_lex_state = 3},
  [12841] = {.lex_state = 18, .external_lex_state = 3},
  [12842] = {.lex_state = 139, .external_lex_state = 2},
  [12843] = {.lex_state = 17, .external_lex_state = 3},
  [12844] = {.lex_state = 18, .external_lex_state = 3},
  [12845] = {.lex_state = 173, .external_lex_state = 3},
  [12846] = {.lex_state = 182, .external_lex_state = 3},
  [12847] = {.lex_state = 197, .external_lex_state = 3},
  [12848] = {.lex_state = 130, .external_lex_state = 3},
  [12849] = {.lex_state = 197, .external_lex_state = 3},
  [12850] = {.lex_state = 18, .external_lex_state = 3},
  [12851] = {.lex_state = 197, .external_lex_state = 3},
  [12852] = {.lex_state = 18, .external_lex_state = 3},
  [12853] = {.lex_state = 18, .external_lex_state = 3},
  [12854] = {.lex_state = 182, .external_lex_state = 3},
  [12855] = {.lex_state = 425, .external_lex_state = 3},
  [12856] = {.lex_state = 130, .external_lex_state = 3},
  [12857] = {.lex_state = 130, .external_lex_state = 3},
  [12858] = {.lex_state = 130, .external_lex_state = 3},
  [12859] = {.lex_state = 18, .external_lex_state = 3},
  [12860] = {.lex_state = 130, .external_lex_state = 3},
  [12861] = {.lex_state = 130, .external_lex_state = 3},
  [12862] = {.lex_state = 425, .external_lex_state = 3},
  [12863] = {.lex_state = 130, .external_lex_state = 3},
  [12864] = {.lex_state = 197, .external_lex_state = 3},
  [12865] = {.lex_state = 131, .external_lex_state = 3},
  [12866] = {.lex_state = 182, .external_lex_state = 3},
  [12867] = {.lex_state = 18, .external_lex_state = 3},
  [12868] = {.lex_state = 130, .external_lex_state = 3},
  [12869] = {.lex_state = 182, .external_lex_state = 3},
  [12870] = {.lex_state = 182, .external_lex_state = 3},
  [12871] = {.lex_state = 182, .external_lex_state = 3},
  [12872] = {.lex_state = 197, .external_lex_state = 3},
  [12873] = {.lex_state = 174, .external_lex_state = 3},
  [12874] = {.lex_state = 130, .external_lex_state = 3},
  [12875] = {.lex_state = 443, .external_lex_state = 3},
  [12876] = {.lex_state = 174, .external_lex_state = 3},
  [12877] = {.lex_state = 425, .external_lex_state = 3},
  [12878] = {.lex_state = 197, .external_lex_state = 3},
  [12879] = {.lex_state = 182, .external_lex_state = 3},
  [12880] = {.lex_state = 130, .external_lex_state = 3},
  [12881] = {.lex_state = 197, .external_lex_state = 3},
  [12882] = {.lex_state = 130, .external_lex_state = 3},
  [12883] = {.lex_state = 17, .external_lex_state = 3},
  [12884] = {.lex_state = 182, .external_lex_state = 3},
  [12885] = {.lex_state = 182, .external_lex_state = 3},
  [12886] = {.lex_state = 18, .external_lex_state = 3},
  [12887] = {.lex_state = 18, .external_lex_state = 3},
  [12888] = {.lex_state = 17, .external_lex_state = 3},
  [12889] = {.lex_state = 182, .external_lex_state = 3},
  [12890] = {.lex_state = 18, .external_lex_state = 3},
  [12891] = {.lex_state = 130, .external_lex_state = 3},
  [12892] = {.lex_state = 18, .external_lex_state = 3},
  [12893] = {.lex_state = 130, .external_lex_state = 3},
  [12894] = {.lex_state = 197, .external_lex_state = 3},
  [12895] = {.lex_state = 18, .external_lex_state = 3},
  [12896] = {.lex_state = 443, .external_lex_state = 3},
  [12897] = {.lex_state = 18, .external_lex_state = 3},
  [12898] = {.lex_state = 197, .external_lex_state = 3},
  [12899] = {.lex_state = 443, .external_lex_state = 3},
  [12900] = {.lex_state = 197, .external_lex_state = 3},
  [12901] = {.lex_state = 197, .external_lex_state = 3},
  [12902] = {.lex_state = 18, .external_lex_state = 3},
  [12903] = {.lex_state = 197, .external_lex_state = 3},
  [12904] = {.lex_state = 185, .external_lex_state = 3},
  [12905] = {.lex_state = 17, .external_lex_state = 3},
  [12906] = {.lex_state = 18, .external_lex_state = 3},
  [12907] = {.lex_state = 17, .external_lex_state = 3},
  [12908] = {.lex_state = 182, .external_lex_state = 3},
  [12909] = {.lex_state = 17, .external_lex_state = 3},
  [12910] = {.lex_state = 17, .external_lex_state = 3},
  [12911] = {.lex_state = 17, .external_lex_state = 3},
  [12912] = {.lex_state = 182, .external_lex_state = 3},
  [12913] = {.lex_state = 17, .external_lex_state = 3},
  [12914] = {.lex_state = 18, .external_lex_state = 3},
  [12915] = {.lex_state = 182, .external_lex_state = 3},
  [12916] = {.lex_state = 182, .external_lex_state = 3},
  [12917] = {.lex_state = 425, .external_lex_state = 3},
  [12918] = {.lex_state = 443, .external_lex_state = 3},
  [12919] = {.lex_state = 182, .external_lex_state = 3},
  [12920] = {.lex_state = 18, .external_lex_state = 3},
  [12921] = {.lex_state = 182, .external_lex_state = 3},
  [12922] = {.lex_state = 443, .external_lex_state = 3},
  [12923] = {.lex_state = 182, .external_lex_state = 3},
  [12924] = {.lex_state = 18, .external_lex_state = 3},
  [12925] = {.lex_state = 443, .external_lex_state = 3},
  [12926] = {.lex_state = 182, .external_lex_state = 3},
  [12927] = {.lex_state = 425, .external_lex_state = 3},
  [12928] = {.lex_state = 185, .external_lex_state = 3},
  [12929] = {.lex_state = 182, .external_lex_state = 3},
  [12930] = {.lex_state = 201, .external_lex_state = 3},
  [12931] = {.lex_state = 130, .external_lex_state = 3},
  [12932] = {.lex_state = 182, .external_lex_state = 3},
  [12933] = {.lex_state = 182, .external_lex_state = 3},
  [12934] = {.lex_state = 182, .external_lex_state = 3},
  [12935] = {.lex_state = 425, .external_lex_state = 3},
  [12936] = {.lex_state = 182, .external_lex_state = 3},
  [12937] = {.lex_state = 425, .external_lex_state = 3},
  [12938] = {.lex_state = 18, .external_lex_state = 3},
  [12939] = {.lex_state = 443, .external_lex_state = 3},
  [12940] = {.lex_state = 443, .external_lex_state = 3},
  [12941] = {.lex_state = 443, .external_lex_state = 3},
  [12942] = {.lex_state = 182, .external_lex_state = 3},
  [12943] = {.lex_state = 182, .external_lex_state = 3},
  [12944] = {.lex_state = 182, .external_lex_state = 3},
  [12945] = {.lex_state = 182, .external_lex_state = 3},
  [12946] = {.lex_state = 443, .external_lex_state = 3},
  [12947] = {.lex_state = 443, .external_lex_state = 3},
  [12948] = {.lex_state = 443, .external_lex_state = 3},
  [12949] = {.lex_state = 182, .external_lex_state = 3},
  [12950] = {.lex_state = 182, .external_lex_state = 3},
  [12951] = {.lex_state = 182, .external_lex_state = 3},
  [12952] = {.lex_state = 182, .external_lex_state = 3},
  [12953] = {.lex_state = 182, .external_lex_state = 3},
  [12954] = {.lex_state = 443, .external_lex_state = 3},
  [12955] = {.lex_state = 182, .external_lex_state = 3},
  [12956] = {.lex_state = 182, .external_lex_state = 3},
  [12957] = {.lex_state = 182, .external_lex_state = 3},
  [12958] = {.lex_state = 182, .external_lex_state = 3},
  [12959] = {.lex_state = 197, .external_lex_state = 3},
  [12960] = {.lex_state = 182, .external_lex_state = 3},
  [12961] = {.lex_state = 182, .external_lex_state = 3},
  [12962] = {.lex_state = 182, .external_lex_state = 3},
  [12963] = {.lex_state = 182, .external_lex_state = 3},
  [12964] = {.lex_state = 182, .external_lex_state = 3},
  [12965] = {.lex_state = 182, .external_lex_state = 3},
  [12966] = {.lex_state = 182, .external_lex_state = 3},
  [12967] = {.lex_state = 182, .external_lex_state = 3},
  [12968] = {.lex_state = 182, .external_lex_state = 3},
  [12969] = {.lex_state = 197, .external_lex_state = 3},
  [12970] = {.lex_state = 182, .external_lex_state = 3},
  [12971] = {.lex_state = 182, .external_lex_state = 3},
  [12972] = {.lex_state = 18, .external_lex_state = 3},
  [12973] = {.lex_state = 443, .external_lex_state = 3},
  [12974] = {.lex_state = 443, .external_lex_state = 3},
  [12975] = {.lex_state = 443, .external_lex_state = 3},
  [12976] = {.lex_state = 443, .external_lex_state = 3},
  [12977] = {.lex_state = 443, .external_lex_state = 3},
  [12978] = {.lex_state = 443, .external_lex_state = 3},
  [12979] = {.lex_state = 443, .external_lex_state = 3},
  [12980] = {.lex_state = 8, .external_lex_state = 3},
  [12981] = {.lex_state = 443, .external_lex_state = 3},
  [12982] = {.lex_state = 443, .external_lex_state = 3},
  [12983] = {.lex_state = 443, .external_lex_state = 3},
  [12984] = {.lex_state = 443, .external_lex_state = 3},
  [12985] = {.lex_state = 443, .external_lex_state = 3},
  [12986] = {.lex_state = 443, .external_lex_state = 3},
  [12987] = {.lex_state = 443, .external_lex_state = 3},
  [12988] = {.lex_state = 425, .external_lex_state = 3},
  [12989] = {.lex_state = 443, .external_lex_state = 3},
  [12990] = {.lex_state = 443, .external_lex_state = 3},
  [12991] = {.lex_state = 185, .external_lex_state = 3},
  [12992] = {.lex_state = 185, .external_lex_state = 3},
  [12993] = {.lex_state = 185, .external_lex_state = 3},
  [12994] = {.lex_state = 443, .external_lex_state = 3},
  [12995] = {.lex_state = 185, .external_lex_state = 3},
  [12996] = {.lex_state = 443, .external_lex_state = 3},
  [12997] = {.lex_state = 443, .external_lex_state = 3},
  [12998] = {.lex_state = 132, .external_lex_state = 3},
  [12999] = {.lex_state = 425, .external_lex_state = 3},
  [13000] = {.lex_state = 443, .external_lex_state = 3},
  [13001] = {.lex_state = 443, .external_lex_state = 3},
  [13002] = {.lex_state = 185, .external_lex_state = 3},
  [13003] = {.lex_state = 185, .external_lex_state = 3},
  [13004] = {.lex_state = 443, .external_lex_state = 3},
  [13005] = {.lex_state = 443, .external_lex_state = 3},
  [13006] = {.lex_state = 443, .external_lex_state = 3},
  [13007] = {.lex_state = 185, .external_lex_state = 3},
  [13008] = {.lex_state = 425, .external_lex_state = 3},
  [13009] = {.lex_state = 19, .external_lex_state = 3},
  [13010] = {.lex_state = 425, .external_lex_state = 3},
  [13011] = {.lex_state = 185, .external_lex_state = 3},
  [13012] = {.lex_state = 192, .external_lex_state = 3},
  [13013] = {.lex_state = 425, .external_lex_state = 3},
  [13014] = {.lex_state = 443, .external_lex_state = 3},
  [13015] = {.lex_state = 425, .external_lex_state = 3},
  [13016] = {.lex_state = 443, .external_lex_state = 3},
  [13017] = {.lex_state = 443, .external_lex_state = 3},
  [13018] = {.lex_state = 443, .external_lex_state = 3},
  [13019] = {.lex_state = 425, .external_lex_state = 3},
  [13020] = {.lex_state = 425, .external_lex_state = 3},
  [13021] = {.lex_state = 425, .external_lex_state = 3},
  [13022] = {.lex_state = 192, .external_lex_state = 3},
  [13023] = {.lex_state = 443, .external_lex_state = 3},
  [13024] = {.lex_state = 186, .external_lex_state = 3},
  [13025] = {.lex_state = 185, .external_lex_state = 3},
  [13026] = {.lex_state = 192, .external_lex_state = 3},
  [13027] = {.lex_state = 185, .external_lex_state = 3},
  [13028] = {.lex_state = 185, .external_lex_state = 3},
  [13029] = {.lex_state = 185, .external_lex_state = 3},
  [13030] = {.lex_state = 185, .external_lex_state = 3},
  [13031] = {.lex_state = 425, .external_lex_state = 3},
  [13032] = {.lex_state = 195, .external_lex_state = 3},
  [13033] = {.lex_state = 443, .external_lex_state = 3},
  [13034] = {.lex_state = 185, .external_lex_state = 3},
  [13035] = {.lex_state = 443, .external_lex_state = 3},
  [13036] = {.lex_state = 443, .external_lex_state = 3},
  [13037] = {.lex_state = 443, .external_lex_state = 3},
  [13038] = {.lex_state = 425, .external_lex_state = 3},
  [13039] = {.lex_state = 132, .external_lex_state = 3},
  [13040] = {.lex_state = 192, .external_lex_state = 3},
  [13041] = {.lex_state = 425, .external_lex_state = 3},
  [13042] = {.lex_state = 130, .external_lex_state = 3},
  [13043] = {.lex_state = 192, .external_lex_state = 3},
  [13044] = {.lex_state = 443, .external_lex_state = 3},
  [13045] = {.lex_state = 431, .external_lex_state = 3},
  [13046] = {.lex_state = 187, .external_lex_state = 3},
  [13047] = {.lex_state = 425, .external_lex_state = 3},
  [13048] = {.lex_state = 185, .external_lex_state = 3},
  [13049] = {.lex_state = 185, .external_lex_state = 3},
  [13050] = {.lex_state = 185, .external_lex_state = 3},
  [13051] = {.lex_state = 19, .external_lex_state = 3},
  [13052] = {.lex_state = 185, .external_lex_state = 3},
  [13053] = {.lex_state = 443, .external_lex_state = 3},
  [13054] = {.lex_state = 443, .external_lex_state = 3},
  [13055] = {.lex_state = 443, .external_lex_state = 3},
  [13056] = {.lex_state = 187, .external_lex_state = 3},
  [13057] = {.lex_state = 425, .external_lex_state = 3},
  [13058] = {.lex_state = 443, .external_lex_state = 3},
  [13059] = {.lex_state = 192, .external_lex_state = 3},
  [13060] = {.lex_state = 185, .external_lex_state = 3},
  [13061] = {.lex_state = 443, .external_lex_state = 3},
  [13062] = {.lex_state = 443, .external_lex_state = 3},
  [13063] = {.lex_state = 425, .external_lex_state = 3},
  [13064] = {.lex_state = 443, .external_lex_state = 3},
  [13065] = {.lex_state = 443, .external_lex_state = 3},
  [13066] = {.lex_state = 185, .external_lex_state = 3},
  [13067] = {.lex_state = 425, .external_lex_state = 3},
  [13068] = {.lex_state = 443, .external_lex_state = 3},
  [13069] = {.lex_state = 443, .external_lex_state = 3},
  [13070] = {.lex_state = 443, .external_lex_state = 3},
  [13071] = {.lex_state = 443, .external_lex_state = 3},
  [13072] = {.lex_state = 443, .external_lex_state = 3},
  [13073] = {.lex_state = 192, .external_lex_state = 3},
  [13074] = {.lex_state = 443, .external_lex_state = 3},
  [13075] = {.lex_state = 443, .external_lex_state = 3},
  [13076] = {.lex_state = 443, .external_lex_state = 3},
  [13077] = {.lex_state = 443, .external_lex_state = 3},
  [13078] = {.lex_state = 443, .external_lex_state = 3},
  [13079] = {.lex_state = 443, .external_lex_state = 3},
  [13080] = {.lex_state = 443, .external_lex_state = 3},
  [13081] = {.lex_state = 443, .external_lex_state = 3},
  [13082] = {.lex_state = 192, .external_lex_state = 3},
  [13083] = {.lex_state = 443, .external_lex_state = 3},
  [13084] = {.lex_state = 192, .external_lex_state = 3},
  [13085] = {.lex_state = 443, .external_lex_state = 3},
  [13086] = {.lex_state = 425, .external_lex_state = 3},
  [13087] = {.lex_state = 443, .external_lex_state = 3},
  [13088] = {.lex_state = 443, .external_lex_state = 3},
  [13089] = {.lex_state = 443, .external_lex_state = 3},
  [13090] = {.lex_state = 425, .external_lex_state = 2},
  [13091] = {.lex_state = 443, .external_lex_state = 3},
  [13092] = {.lex_state = 443, .external_lex_state = 3},
  [13093] = {.lex_state = 443, .external_lex_state = 3},
  [13094] = {.lex_state = 443, .external_lex_state = 3},
  [13095] = {.lex_state = 443, .external_lex_state = 3},
  [13096] = {.lex_state = 443, .external_lex_state = 3},
  [13097] = {.lex_state = 19, .external_lex_state = 3},
  [13098] = {.lex_state = 443, .external_lex_state = 3},
  [13099] = {.lex_state = 185, .external_lex_state = 3},
  [13100] = {.lex_state = 132, .external_lex_state = 3},
  [13101] = {.lex_state = 443, .external_lex_state = 3},
  [13102] = {.lex_state = 425, .external_lex_state = 3},
  [13103] = {.lex_state = 185, .external_lex_state = 3},
  [13104] = {.lex_state = 185, .external_lex_state = 3},
  [13105] = {.lex_state = 443, .external_lex_state = 3},
  [13106] = {.lex_state = 185, .external_lex_state = 3},
  [13107] = {.lex_state = 187, .external_lex_state = 3},
  [13108] = {.lex_state = 443, .external_lex_state = 3},
  [13109] = {.lex_state = 425, .external_lex_state = 3},
  [13110] = {.lex_state = 443, .external_lex_state = 3},
  [13111] = {.lex_state = 443, .external_lex_state = 3},
  [13112] = {.lex_state = 425, .external_lex_state = 3},
  [13113] = {.lex_state = 425, .external_lex_state = 3},
  [13114] = {.lex_state = 192, .external_lex_state = 3},
  [13115] = {.lex_state = 425, .external_lex_state = 3},
  [13116] = {.lex_state = 425, .external_lex_state = 3},
  [13117] = {.lex_state = 8, .external_lex_state = 3},
  [13118] = {.lex_state = 192, .external_lex_state = 3},
  [13119] = {.lex_state = 425, .external_lex_state = 3},
  [13120] = {.lex_state = 192, .external_lex_state = 3},
  [13121] = {.lex_state = 425, .external_lex_state = 3},
  [13122] = {.lex_state = 6, .external_lex_state = 3},
  [13123] = {.lex_state = 192, .external_lex_state = 3},
  [13124] = {.lex_state = 425, .external_lex_state = 3},
  [13125] = {.lex_state = 192, .external_lex_state = 3},
  [13126] = {.lex_state = 425, .external_lex_state = 3},
  [13127] = {.lex_state = 425, .external_lex_state = 2},
  [13128] = {.lex_state = 15, .external_lex_state = 3},
  [13129] = {.lex_state = 443, .external_lex_state = 3},
  [13130] = {.lex_state = 443, .external_lex_state = 3},
  [13131] = {.lex_state = 192, .external_lex_state = 3},
  [13132] = {.lex_state = 192, .external_lex_state = 3},
  [13133] = {.lex_state = 425, .external_lex_state = 3},
  [13134] = {.lex_state = 443, .external_lex_state = 3},
  [13135] = {.lex_state = 425, .external_lex_state = 3},
  [13136] = {.lex_state = 425, .external_lex_state = 3},
  [13137] = {.lex_state = 443, .external_lex_state = 3},
  [13138] = {.lex_state = 443, .external_lex_state = 3},
  [13139] = {.lex_state = 186, .external_lex_state = 3},
  [13140] = {.lex_state = 132, .external_lex_state = 3},
  [13141] = {.lex_state = 8, .external_lex_state = 3},
  [13142] = {.lex_state = 186, .external_lex_state = 3},
  [13143] = {.lex_state = 192, .external_lex_state = 3},
  [13144] = {.lex_state = 192, .external_lex_state = 3},
  [13145] = {.lex_state = 443, .external_lex_state = 3},
  [13146] = {.lex_state = 425, .external_lex_state = 3},
  [13147] = {.lex_state = 425, .external_lex_state = 3},
  [13148] = {.lex_state = 425, .external_lex_state = 3},
  [13149] = {.lex_state = 443, .external_lex_state = 3},
  [13150] = {.lex_state = 425, .external_lex_state = 3},
  [13151] = {.lex_state = 132, .external_lex_state = 3},
  [13152] = {.lex_state = 425, .external_lex_state = 3},
  [13153] = {.lex_state = 6, .external_lex_state = 3},
  [13154] = {.lex_state = 192, .external_lex_state = 3},
  [13155] = {.lex_state = 132, .external_lex_state = 3},
  [13156] = {.lex_state = 425, .external_lex_state = 3},
  [13157] = {.lex_state = 185, .external_lex_state = 3},
  [13158] = {.lex_state = 425, .external_lex_state = 3},
  [13159] = {.lex_state = 192, .external_lex_state = 3},
  [13160] = {.lex_state = 443, .external_lex_state = 3},
  [13161] = {.lex_state = 425, .external_lex_state = 2},
  [13162] = {.lex_state = 443, .external_lex_state = 3},
  [13163] = {.lex_state = 132, .external_lex_state = 3},
  [13164] = {.lex_state = 132, .external_lex_state = 3},
  [13165] = {.lex_state = 443, .external_lex_state = 3},
  [13166] = {.lex_state = 192, .external_lex_state = 3},
  [13167] = {.lex_state = 132, .external_lex_state = 3},
  [13168] = {.lex_state = 425, .external_lex_state = 3},
  [13169] = {.lex_state = 443, .external_lex_state = 3},
  [13170] = {.lex_state = 185, .external_lex_state = 3},
  [13171] = {.lex_state = 132, .external_lex_state = 3},
  [13172] = {.lex_state = 425, .external_lex_state = 3},
  [13173] = {.lex_state = 425, .external_lex_state = 3},
  [13174] = {.lex_state = 425, .external_lex_state = 3},
  [13175] = {.lex_state = 185, .external_lex_state = 3},
  [13176] = {.lex_state = 187, .external_lex_state = 3},
  [13177] = {.lex_state = 443, .external_lex_state = 3},
  [13178] = {.lex_state = 185, .external_lex_state = 3},
  [13179] = {.lex_state = 443, .external_lex_state = 3},
  [13180] = {.lex_state = 443, .external_lex_state = 3},
  [13181] = {.lex_state = 132, .external_lex_state = 3},
  [13182] = {.lex_state = 425, .external_lex_state = 3},
  [13183] = {.lex_state = 15, .external_lex_state = 2},
  [13184] = {.lex_state = 192, .external_lex_state = 3},
  [13185] = {.lex_state = 192, .external_lex_state = 3},
  [13186] = {.lex_state = 132, .external_lex_state = 3},
  [13187] = {.lex_state = 192, .external_lex_state = 3},
  [13188] = {.lex_state = 425, .external_lex_state = 3},
  [13189] = {.lex_state = 443, .external_lex_state = 3},
  [13190] = {.lex_state = 132, .external_lex_state = 3},
  [13191] = {.lex_state = 192, .external_lex_state = 3},
  [13192] = {.lex_state = 425, .external_lex_state = 3},
  [13193] = {.lex_state = 443, .external_lex_state = 3},
  [13194] = {.lex_state = 185, .external_lex_state = 3},
  [13195] = {.lex_state = 185, .external_lex_state = 3},
  [13196] = {.lex_state = 186, .external_lex_state = 3},
  [13197] = {.lex_state = 425, .external_lex_state = 3},
  [13198] = {.lex_state = 425, .external_lex_state = 3},
  [13199] = {.lex_state = 132, .external_lex_state = 3},
  [13200] = {.lex_state = 132, .external_lex_state = 3},
  [13201] = {.lex_state = 185, .external_lex_state = 3},
  [13202] = {.lex_state = 19, .external_lex_state = 3},
  [13203] = {.lex_state = 132, .external_lex_state = 3},
  [13204] = {.lex_state = 132, .external_lex_state = 3},
  [13205] = {.lex_state = 431, .external_lex_state = 3},
  [13206] = {.lex_state = 425, .external_lex_state = 3},
  [13207] = {.lex_state = 427, .external_lex_state = 3},
  [13208] = {.lex_state = 425, .external_lex_state = 3},
  [13209] = {.lex_state = 443, .external_lex_state = 3},
  [13210] = {.lex_state = 443, .external_lex_state = 3},
  [13211] = {.lex_state = 132, .external_lex_state = 3},
  [13212] = {.lex_state = 443, .external_lex_state = 3},
  [13213] = {.lex_state = 443, .external_lex_state = 3},
  [13214] = {.lex_state = 443, .external_lex_state = 3},
  [13215] = {.lex_state = 425, .external_lex_state = 3},
  [13216] = {.lex_state = 443, .external_lex_state = 3},
  [13217] = {.lex_state = 443, .external_lex_state = 3},
  [13218] = {.lex_state = 185, .external_lex_state = 3},
  [13219] = {.lex_state = 443, .external_lex_state = 3},
  [13220] = {.lex_state = 443, .external_lex_state = 3},
  [13221] = {.lex_state = 443, .external_lex_state = 3},
  [13222] = {.lex_state = 443, .external_lex_state = 3},
  [13223] = {.lex_state = 443, .external_lex_state = 3},
  [13224] = {.lex_state = 443, .external_lex_state = 3},
  [13225] = {.lex_state = 443, .external_lex_state = 3},
  [13226] = {.lex_state = 443, .external_lex_state = 3},
  [13227] = {.lex_state = 443, .external_lex_state = 3},
  [13228] = {.lex_state = 132, .external_lex_state = 3},
  [13229] = {.lex_state = 132, .external_lex_state = 3},
  [13230] = {.lex_state = 132, .external_lex_state = 3},
  [13231] = {.lex_state = 443, .external_lex_state = 3},
  [13232] = {.lex_state = 443, .external_lex_state = 3},
  [13233] = {.lex_state = 425, .external_lex_state = 3},
  [13234] = {.lex_state = 132, .external_lex_state = 3},
  [13235] = {.lex_state = 443, .external_lex_state = 3},
  [13236] = {.lex_state = 192, .external_lex_state = 3},
  [13237] = {.lex_state = 443, .external_lex_state = 3},
  [13238] = {.lex_state = 132, .external_lex_state = 3},
  [13239] = {.lex_state = 425, .external_lex_state = 3},
  [13240] = {.lex_state = 132, .external_lex_state = 3},
  [13241] = {.lex_state = 443, .external_lex_state = 3},
  [13242] = {.lex_state = 443, .external_lex_state = 3},
  [13243] = {.lex_state = 192, .external_lex_state = 3},
  [13244] = {.lex_state = 132, .external_lex_state = 3},
  [13245] = {.lex_state = 443, .external_lex_state = 3},
  [13246] = {.lex_state = 192, .external_lex_state = 3},
  [13247] = {.lex_state = 443, .external_lex_state = 3},
  [13248] = {.lex_state = 443, .external_lex_state = 3},
  [13249] = {.lex_state = 443, .external_lex_state = 3},
  [13250] = {.lex_state = 443, .external_lex_state = 3},
  [13251] = {.lex_state = 425, .external_lex_state = 3},
  [13252] = {.lex_state = 443, .external_lex_state = 3},
  [13253] = {.lex_state = 425, .external_lex_state = 3},
  [13254] = {.lex_state = 192, .external_lex_state = 3},
  [13255] = {.lex_state = 192, .external_lex_state = 3},
  [13256] = {.lex_state = 443, .external_lex_state = 3},
  [13257] = {.lex_state = 443, .external_lex_state = 3},
  [13258] = {.lex_state = 443, .external_lex_state = 3},
  [13259] = {.lex_state = 443, .external_lex_state = 3},
  [13260] = {.lex_state = 425, .external_lex_state = 3},
  [13261] = {.lex_state = 443, .external_lex_state = 3},
  [13262] = {.lex_state = 443, .external_lex_state = 3},
  [13263] = {.lex_state = 425, .external_lex_state = 3},
  [13264] = {.lex_state = 192, .external_lex_state = 3},
  [13265] = {.lex_state = 443, .external_lex_state = 3},
  [13266] = {.lex_state = 443, .external_lex_state = 3},
  [13267] = {.lex_state = 443, .external_lex_state = 3},
  [13268] = {.lex_state = 443, .external_lex_state = 3},
  [13269] = {.lex_state = 443, .external_lex_state = 3},
  [13270] = {.lex_state = 443, .external_lex_state = 3},
  [13271] = {.lex_state = 443, .external_lex_state = 3},
  [13272] = {.lex_state = 431, .external_lex_state = 3},
  [13273] = {.lex_state = 443, .external_lex_state = 3},
  [13274] = {.lex_state = 132, .external_lex_state = 3},
  [13275] = {.lex_state = 425, .external_lex_state = 3},
  [13276] = {.lex_state = 192, .external_lex_state = 3},
  [13277] = {.lex_state = 425, .external_lex_state = 3},
  [13278] = {.lex_state = 425, .external_lex_state = 3},
  [13279] = {.lex_state = 425, .external_lex_state = 3},
  [13280] = {.lex_state = 425, .external_lex_state = 3},
  [13281] = {.lex_state = 214, .external_lex_state = 3},
  [13282] = {.lex_state = 425, .external_lex_state = 3},
  [13283] = {.lex_state = 425, .external_lex_state = 3},
  [13284] = {.lex_state = 425, .external_lex_state = 3},
  [13285] = {.lex_state = 425, .external_lex_state = 3},
  [13286] = {.lex_state = 425, .external_lex_state = 3},
  [13287] = {.lex_state = 185, .external_lex_state = 3},
  [13288] = {.lex_state = 185, .external_lex_state = 3},
  [13289] = {.lex_state = 15, .external_lex_state = 3},
  [13290] = {.lex_state = 427, .external_lex_state = 3},
  [13291] = {.lex_state = 425, .external_lex_state = 3},
  [13292] = {.lex_state = 427, .external_lex_state = 3},
  [13293] = {.lex_state = 427, .external_lex_state = 3},
  [13294] = {.lex_state = 427, .external_lex_state = 3},
  [13295] = {.lex_state = 425, .external_lex_state = 3},
  [13296] = {.lex_state = 425, .external_lex_state = 3},
  [13297] = {.lex_state = 185, .external_lex_state = 3},
  [13298] = {.lex_state = 425, .external_lex_state = 3},
  [13299] = {.lex_state = 427, .external_lex_state = 3},
  [13300] = {.lex_state = 425, .external_lex_state = 3},
  [13301] = {.lex_state = 425, .external_lex_state = 3},
  [13302] = {.lex_state = 425, .external_lex_state = 3},
  [13303] = {.lex_state = 425, .external_lex_state = 3},
  [13304] = {.lex_state = 425, .external_lex_state = 3},
  [13305] = {.lex_state = 425, .external_lex_state = 3},
  [13306] = {.lex_state = 425, .external_lex_state = 3},
  [13307] = {.lex_state = 425, .external_lex_state = 3},
  [13308] = {.lex_state = 425, .external_lex_state = 3},
  [13309] = {.lex_state = 185, .external_lex_state = 3},
  [13310] = {.lex_state = 185, .external_lex_state = 3},
  [13311] = {.lex_state = 187, .external_lex_state = 3},
  [13312] = {.lex_state = 425, .external_lex_state = 3},
  [13313] = {.lex_state = 185, .external_lex_state = 3},
  [13314] = {.lex_state = 443, .external_lex_state = 3},
  [13315] = {.lex_state = 425, .external_lex_state = 3},
  [13316] = {.lex_state = 427, .external_lex_state = 3},
  [13317] = {.lex_state = 427, .external_lex_state = 3},
  [13318] = {.lex_state = 427, .external_lex_state = 3},
  [13319] = {.lex_state = 427, .external_lex_state = 3},
  [13320] = {.lex_state = 427, .external_lex_state = 3},
  [13321] = {.lex_state = 425, .external_lex_state = 3},
  [13322] = {.lex_state = 425, .external_lex_state = 3},
  [13323] = {.lex_state = 132, .external_lex_state = 3},
  [13324] = {.lex_state = 132, .external_lex_state = 3},
  [13325] = {.lex_state = 132, .external_lex_state = 3},
  [13326] = {.lex_state = 132, .external_lex_state = 3},
  [13327] = {.lex_state = 132, .external_lex_state = 3},
  [13328] = {.lex_state = 132, .external_lex_state = 3},
  [13329] = {.lex_state = 132, .external_lex_state = 3},
  [13330] = {.lex_state = 132, .external_lex_state = 3},
  [13331] = {.lex_state = 132, .external_lex_state = 3},
  [13332] = {.lex_state = 132, .external_lex_state = 3},
  [13333] = {.lex_state = 132, .external_lex_state = 3},
  [13334] = {.lex_state = 130, .external_lex_state = 3},
  [13335] = {.lex_state = 132, .external_lex_state = 3},
  [13336] = {.lex_state = 425, .external_lex_state = 3},
  [13337] = {.lex_state = 425, .external_lex_state = 3},
  [13338] = {.lex_state = 425, .external_lex_state = 3},
  [13339] = {.lex_state = 425, .external_lex_state = 3},
  [13340] = {.lex_state = 425, .external_lex_state = 3},
  [13341] = {.lex_state = 425, .external_lex_state = 3},
  [13342] = {.lex_state = 425, .external_lex_state = 3},
  [13343] = {.lex_state = 425, .external_lex_state = 3},
  [13344] = {.lex_state = 427, .external_lex_state = 3},
  [13345] = {.lex_state = 427, .external_lex_state = 3},
  [13346] = {.lex_state = 425, .external_lex_state = 3},
  [13347] = {.lex_state = 425, .external_lex_state = 3},
  [13348] = {.lex_state = 136, .external_lex_state = 3},
  [13349] = {.lex_state = 425, .external_lex_state = 3},
  [13350] = {.lex_state = 425, .external_lex_state = 3},
  [13351] = {.lex_state = 425, .external_lex_state = 3},
  [13352] = {.lex_state = 425, .external_lex_state = 3},
  [13353] = {.lex_state = 425, .external_lex_state = 3},
  [13354] = {.lex_state = 15, .external_lex_state = 3},
  [13355] = {.lex_state = 425, .external_lex_state = 3},
  [13356] = {.lex_state = 425, .external_lex_state = 3},
  [13357] = {.lex_state = 425, .external_lex_state = 3},
  [13358] = {.lex_state = 425, .external_lex_state = 3},
  [13359] = {.lex_state = 425, .external_lex_state = 3},
  [13360] = {.lex_state = 425, .external_lex_state = 3},
  [13361] = {.lex_state = 425, .external_lex_state = 3},
  [13362] = {.lex_state = 425, .external_lex_state = 3},
  [13363] = {.lex_state = 425, .external_lex_state = 3},
  [13364] = {.lex_state = 425, .external_lex_state = 3},
  [13365] = {.lex_state = 425, .external_lex_state = 3},
  [13366] = {.lex_state = 8, .external_lex_state = 3},
  [13367] = {.lex_state = 136, .external_lex_state = 3},
  [13368] = {.lex_state = 136, .external_lex_state = 3},
  [13369] = {.lex_state = 136, .external_lex_state = 3},
  [13370] = {.lex_state = 136, .external_lex_state = 3},
  [13371] = {.lex_state = 136, .external_lex_state = 3},
  [13372] = {.lex_state = 136, .external_lex_state = 3},
  [13373] = {.lex_state = 136, .external_lex_state = 3},
  [13374] = {.lex_state = 136, .external_lex_state = 3},
  [13375] = {.lex_state = 136, .external_lex_state = 3},
  [13376] = {.lex_state = 136, .external_lex_state = 3},
  [13377] = {.lex_state = 136, .external_lex_state = 3},
  [13378] = {.lex_state = 136, .external_lex_state = 3},
  [13379] = {.lex_state = 136, .external_lex_state = 3},
  [13380] = {.lex_state = 425, .external_lex_state = 3},
  [13381] = {.lex_state = 15, .external_lex_state = 3},
  [13382] = {.lex_state = 430, .external_lex_state = 3},
  [13383] = {.lex_state = 430, .external_lex_state = 3},
  [13384] = {.lex_state = 425, .external_lex_state = 3},
  [13385] = {.lex_state = 430, .external_lex_state = 3},
  [13386] = {.lex_state = 425, .external_lex_state = 3},
  [13387] = {.lex_state = 425, .external_lex_state = 3},
  [13388] = {.lex_state = 425, .external_lex_state = 3},
  [13389] = {.lex_state = 425, .external_lex_state = 3},
  [13390] = {.lex_state = 425, .external_lex_state = 3},
  [13391] = {.lex_state = 136, .external_lex_state = 3},
  [13392] = {.lex_state = 425, .external_lex_state = 3},
  [13393] = {.lex_state = 425, .external_lex_state = 3},
  [13394] = {.lex_state = 425, .external_lex_state = 3},
  [13395] = {.lex_state = 425, .external_lex_state = 3},
  [13396] = {.lex_state = 425, .external_lex_state = 3},
  [13397] = {.lex_state = 425, .external_lex_state = 3},
  [13398] = {.lex_state = 425, .external_lex_state = 3},
  [13399] = {.lex_state = 425, .external_lex_state = 3},
  [13400] = {.lex_state = 132, .external_lex_state = 3},
  [13401] = {.lex_state = 195, .external_lex_state = 3},
  [13402] = {.lex_state = 425, .external_lex_state = 3},
  [13403] = {.lex_state = 136, .external_lex_state = 3},
  [13404] = {.lex_state = 136, .external_lex_state = 3},
  [13405] = {.lex_state = 15, .external_lex_state = 3},
  [13406] = {.lex_state = 425, .external_lex_state = 3},
  [13407] = {.lex_state = 214, .external_lex_state = 3},
  [13408] = {.lex_state = 132, .external_lex_state = 3},
  [13409] = {.lex_state = 132, .external_lex_state = 3},
  [13410] = {.lex_state = 132, .external_lex_state = 3},
  [13411] = {.lex_state = 132, .external_lex_state = 3},
  [13412] = {.lex_state = 132, .external_lex_state = 3},
  [13413] = {.lex_state = 425, .external_lex_state = 3},
  [13414] = {.lex_state = 425, .external_lex_state = 3},
  [13415] = {.lex_state = 425, .external_lex_state = 3},
  [13416] = {.lex_state = 425, .external_lex_state = 3},
  [13417] = {.lex_state = 425, .external_lex_state = 3},
  [13418] = {.lex_state = 425, .external_lex_state = 3},
  [13419] = {.lex_state = 425, .external_lex_state = 3},
  [13420] = {.lex_state = 425, .external_lex_state = 3},
  [13421] = {.lex_state = 425, .external_lex_state = 3},
  [13422] = {.lex_state = 425, .external_lex_state = 3},
  [13423] = {.lex_state = 425, .external_lex_state = 3},
  [13424] = {.lex_state = 425, .external_lex_state = 3},
  [13425] = {.lex_state = 15, .external_lex_state = 3},
  [13426] = {.lex_state = 425, .external_lex_state = 3},
  [13427] = {.lex_state = 425, .external_lex_state = 3},
  [13428] = {.lex_state = 425, .external_lex_state = 3},
  [13429] = {.lex_state = 425, .external_lex_state = 3},
  [13430] = {.lex_state = 425, .external_lex_state = 3},
  [13431] = {.lex_state = 425, .external_lex_state = 3},
  [13432] = {.lex_state = 425, .external_lex_state = 3},
  [13433] = {.lex_state = 425, .external_lex_state = 3},
  [13434] = {.lex_state = 425, .external_lex_state = 3},
  [13435] = {.lex_state = 425, .external_lex_state = 3},
  [13436] = {.lex_state = 425, .external_lex_state = 3},
  [13437] = {.lex_state = 425, .external_lex_state = 3},
  [13438] = {.lex_state = 425, .external_lex_state = 3},
  [13439] = {.lex_state = 425, .external_lex_state = 3},
  [13440] = {.lex_state = 425, .external_lex_state = 3},
  [13441] = {.lex_state = 425, .external_lex_state = 3},
  [13442] = {.lex_state = 425, .external_lex_state = 3},
  [13443] = {.lex_state = 425, .external_lex_state = 3},
  [13444] = {.lex_state = 425, .external_lex_state = 3},
  [13445] = {.lex_state = 425, .external_lex_state = 3},
  [13446] = {.lex_state = 425, .external_lex_state = 3},
  [13447] = {.lex_state = 425, .external_lex_state = 3},
  [13448] = {.lex_state = 15, .external_lex_state = 3},
  [13449] = {.lex_state = 425, .external_lex_state = 3},
  [13450] = {.lex_state = 425, .external_lex_state = 3},
  [13451] = {.lex_state = 425, .external_lex_state = 3},
  [13452] = {.lex_state = 192, .external_lex_state = 3},
  [13453] = {.lex_state = 425, .external_lex_state = 3},
  [13454] = {.lex_state = 192, .external_lex_state = 3},
  [13455] = {.lex_state = 425, .external_lex_state = 3},
  [13456] = {.lex_state = 425, .external_lex_state = 3},
  [13457] = {.lex_state = 425, .external_lex_state = 3},
  [13458] = {.lex_state = 425, .external_lex_state = 3},
  [13459] = {.lex_state = 425, .external_lex_state = 3},
  [13460] = {.lex_state = 15, .external_lex_state = 3},
  [13461] = {.lex_state = 425, .external_lex_state = 3},
  [13462] = {.lex_state = 425, .external_lex_state = 3},
  [13463] = {.lex_state = 425, .external_lex_state = 3},
  [13464] = {.lex_state = 425, .external_lex_state = 3},
  [13465] = {.lex_state = 425, .external_lex_state = 3},
  [13466] = {.lex_state = 425, .external_lex_state = 3},
  [13467] = {.lex_state = 425, .external_lex_state = 3},
  [13468] = {.lex_state = 425, .external_lex_state = 3},
  [13469] = {.lex_state = 425, .external_lex_state = 3},
  [13470] = {.lex_state = 192, .external_lex_state = 3},
  [13471] = {.lex_state = 425, .external_lex_state = 3},
  [13472] = {.lex_state = 425, .external_lex_state = 3},
  [13473] = {.lex_state = 443, .external_lex_state = 3},
  [13474] = {.lex_state = 443, .external_lex_state = 3},
  [13475] = {.lex_state = 425, .external_lex_state = 3},
  [13476] = {.lex_state = 192, .external_lex_state = 3},
  [13477] = {.lex_state = 15, .external_lex_state = 3},
  [13478] = {.lex_state = 192, .external_lex_state = 3},
  [13479] = {.lex_state = 425, .external_lex_state = 3},
  [13480] = {.lex_state = 425, .external_lex_state = 3},
  [13481] = {.lex_state = 425, .external_lex_state = 3},
  [13482] = {.lex_state = 192, .external_lex_state = 3},
  [13483] = {.lex_state = 425, .external_lex_state = 3},
  [13484] = {.lex_state = 425, .external_lex_state = 3},
  [13485] = {.lex_state = 425, .external_lex_state = 3},
  [13486] = {.lex_state = 425, .external_lex_state = 3},
  [13487] = {.lex_state = 425, .external_lex_state = 3},
  [13488] = {.lex_state = 425, .external_lex_state = 3},
  [13489] = {.lex_state = 425, .external_lex_state = 3},
  [13490] = {.lex_state = 425, .external_lex_state = 3},
  [13491] = {.lex_state = 425, .external_lex_state = 3},
  [13492] = {.lex_state = 425, .external_lex_state = 3},
  [13493] = {.lex_state = 15, .external_lex_state = 3},
  [13494] = {.lex_state = 144, .external_lex_state = 3},
  [13495] = {.lex_state = 144, .external_lex_state = 3},
  [13496] = {.lex_state = 425, .external_lex_state = 3},
  [13497] = {.lex_state = 425, .external_lex_state = 3},
  [13498] = {.lex_state = 425, .external_lex_state = 3},
  [13499] = {.lex_state = 144, .external_lex_state = 3},
  [13500] = {.lex_state = 425, .external_lex_state = 3},
  [13501] = {.lex_state = 132, .external_lex_state = 3},
  [13502] = {.lex_state = 132, .external_lex_state = 3},
  [13503] = {.lex_state = 425, .external_lex_state = 3},
  [13504] = {.lex_state = 425, .external_lex_state = 3},
  [13505] = {.lex_state = 443, .external_lex_state = 3},
  [13506] = {.lex_state = 443, .external_lex_state = 3},
  [13507] = {.lex_state = 15, .external_lex_state = 3},
  [13508] = {.lex_state = 425, .external_lex_state = 3},
  [13509] = {.lex_state = 425, .external_lex_state = 3},
  [13510] = {.lex_state = 425, .external_lex_state = 3},
  [13511] = {.lex_state = 425, .external_lex_state = 3},
  [13512] = {.lex_state = 425, .external_lex_state = 3},
  [13513] = {.lex_state = 425, .external_lex_state = 3},
  [13514] = {.lex_state = 425, .external_lex_state = 3},
  [13515] = {.lex_state = 425, .external_lex_state = 3},
  [13516] = {.lex_state = 425, .external_lex_state = 3},
  [13517] = {.lex_state = 15, .external_lex_state = 3},
  [13518] = {.lex_state = 146, .external_lex_state = 3},
  [13519] = {.lex_state = 146, .external_lex_state = 3},
  [13520] = {.lex_state = 146, .external_lex_state = 3},
  [13521] = {.lex_state = 425, .external_lex_state = 3},
  [13522] = {.lex_state = 425, .external_lex_state = 3},
  [13523] = {.lex_state = 425, .external_lex_state = 3},
  [13524] = {.lex_state = 425, .external_lex_state = 3},
  [13525] = {.lex_state = 425, .external_lex_state = 3},
  [13526] = {.lex_state = 425, .external_lex_state = 3},
  [13527] = {.lex_state = 425, .external_lex_state = 3},
  [13528] = {.lex_state = 425, .external_lex_state = 3},
  [13529] = {.lex_state = 425, .external_lex_state = 3},
  [13530] = {.lex_state = 425, .external_lex_state = 3},
  [13531] = {.lex_state = 425, .external_lex_state = 3},
  [13532] = {.lex_state = 15, .external_lex_state = 3},
  [13533] = {.lex_state = 425, .external_lex_state = 3},
  [13534] = {.lex_state = 132, .external_lex_state = 3},
  [13535] = {.lex_state = 425, .external_lex_state = 3},
  [13536] = {.lex_state = 132, .external_lex_state = 3},
  [13537] = {.lex_state = 443, .external_lex_state = 3},
  [13538] = {.lex_state = 15, .external_lex_state = 3},
  [13539] = {.lex_state = 425, .external_lex_state = 3},
  [13540] = {.lex_state = 425, .external_lex_state = 3},
  [13541] = {.lex_state = 425, .external_lex_state = 3},
  [13542] = {.lex_state = 425, .external_lex_state = 3},
  [13543] = {.lex_state = 425, .external_lex_state = 3},
  [13544] = {.lex_state = 425, .external_lex_state = 3},
  [13545] = {.lex_state = 425, .external_lex_state = 3},
  [13546] = {.lex_state = 425, .external_lex_state = 3},
  [13547] = {.lex_state = 425, .external_lex_state = 3},
  [13548] = {.lex_state = 425, .external_lex_state = 3},
  [13549] = {.lex_state = 425, .external_lex_state = 3},
  [13550] = {.lex_state = 15, .external_lex_state = 3},
  [13551] = {.lex_state = 425, .external_lex_state = 3},
  [13552] = {.lex_state = 425, .external_lex_state = 3},
  [13553] = {.lex_state = 425, .external_lex_state = 3},
  [13554] = {.lex_state = 425, .external_lex_state = 3},
  [13555] = {.lex_state = 425, .external_lex_state = 3},
  [13556] = {.lex_state = 425, .external_lex_state = 3},
  [13557] = {.lex_state = 136, .external_lex_state = 3},
  [13558] = {.lex_state = 15, .external_lex_state = 3},
  [13559] = {.lex_state = 425, .external_lex_state = 3},
  [13560] = {.lex_state = 425, .external_lex_state = 3},
  [13561] = {.lex_state = 425, .external_lex_state = 3},
  [13562] = {.lex_state = 427, .external_lex_state = 3},
  [13563] = {.lex_state = 425, .external_lex_state = 3},
  [13564] = {.lex_state = 425, .external_lex_state = 3},
  [13565] = {.lex_state = 425, .external_lex_state = 3},
  [13566] = {.lex_state = 425, .external_lex_state = 3},
  [13567] = {.lex_state = 425, .external_lex_state = 3},
  [13568] = {.lex_state = 425, .external_lex_state = 3},
  [13569] = {.lex_state = 15, .external_lex_state = 3},
  [13570] = {.lex_state = 425, .external_lex_state = 3},
  [13571] = {.lex_state = 180, .external_lex_state = 3},
  [13572] = {.lex_state = 425, .external_lex_state = 3},
  [13573] = {.lex_state = 425, .external_lex_state = 3},
  [13574] = {.lex_state = 186, .external_lex_state = 3},
  [13575] = {.lex_state = 15, .external_lex_state = 3},
  [13576] = {.lex_state = 425, .external_lex_state = 3},
  [13577] = {.lex_state = 425, .external_lex_state = 3},
  [13578] = {.lex_state = 425, .external_lex_state = 3},
  [13579] = {.lex_state = 425, .external_lex_state = 3},
  [13580] = {.lex_state = 425, .external_lex_state = 3},
  [13581] = {.lex_state = 425, .external_lex_state = 3},
  [13582] = {.lex_state = 425, .external_lex_state = 3},
  [13583] = {.lex_state = 425, .external_lex_state = 3},
  [13584] = {.lex_state = 425, .external_lex_state = 3},
  [13585] = {.lex_state = 425, .external_lex_state = 3},
  [13586] = {.lex_state = 425, .external_lex_state = 3},
  [13587] = {.lex_state = 15, .external_lex_state = 3},
  [13588] = {.lex_state = 425, .external_lex_state = 3},
  [13589] = {.lex_state = 15, .external_lex_state = 3},
  [13590] = {.lex_state = 425, .external_lex_state = 3},
  [13591] = {.lex_state = 425, .external_lex_state = 3},
  [13592] = {.lex_state = 425, .external_lex_state = 3},
  [13593] = {.lex_state = 425, .external_lex_state = 3},
  [13594] = {.lex_state = 425, .external_lex_state = 3},
  [13595] = {.lex_state = 425, .external_lex_state = 3},
  [13596] = {.lex_state = 425, .external_lex_state = 3},
  [13597] = {.lex_state = 425, .external_lex_state = 3},
  [13598] = {.lex_state = 425, .external_lex_state = 3},
  [13599] = {.lex_state = 15, .external_lex_state = 3},
  [13600] = {.lex_state = 425, .external_lex_state = 3},
  [13601] = {.lex_state = 425, .external_lex_state = 3},
  [13602] = {.lex_state = 425, .external_lex_state = 3},
  [13603] = {.lex_state = 15, .external_lex_state = 3},
  [13604] = {.lex_state = 425, .external_lex_state = 3},
  [13605] = {.lex_state = 425, .external_lex_state = 3},
  [13606] = {.lex_state = 425, .external_lex_state = 3},
  [13607] = {.lex_state = 425, .external_lex_state = 3},
  [13608] = {.lex_state = 425, .external_lex_state = 3},
  [13609] = {.lex_state = 15, .external_lex_state = 3},
  [13610] = {.lex_state = 425, .external_lex_state = 3},
  [13611] = {.lex_state = 443, .external_lex_state = 3},
  [13612] = {.lex_state = 425, .external_lex_state = 3},
  [13613] = {.lex_state = 425, .external_lex_state = 3},
  [13614] = {.lex_state = 425, .external_lex_state = 3},
  [13615] = {.lex_state = 425, .external_lex_state = 3},
  [13616] = {.lex_state = 425, .external_lex_state = 3},
  [13617] = {.lex_state = 425, .external_lex_state = 3},
  [13618] = {.lex_state = 425, .external_lex_state = 3},
  [13619] = {.lex_state = 425, .external_lex_state = 3},
  [13620] = {.lex_state = 15, .external_lex_state = 3},
  [13621] = {.lex_state = 425, .external_lex_state = 3},
  [13622] = {.lex_state = 425, .external_lex_state = 3},
  [13623] = {.lex_state = 425, .external_lex_state = 3},
  [13624] = {.lex_state = 15, .external_lex_state = 3},
  [13625] = {.lex_state = 425, .external_lex_state = 3},
  [13626] = {.lex_state = 15, .external_lex_state = 3},
  [13627] = {.lex_state = 425, .external_lex_state = 3},
  [13628] = {.lex_state = 15, .external_lex_state = 3},
  [13629] = {.lex_state = 425, .external_lex_state = 3},
  [13630] = {.lex_state = 15, .external_lex_state = 3},
  [13631] = {.lex_state = 425, .external_lex_state = 3},
  [13632] = {.lex_state = 425, .external_lex_state = 3},
  [13633] = {.lex_state = 425, .external_lex_state = 3},
  [13634] = {.lex_state = 425, .external_lex_state = 3},
  [13635] = {.lex_state = 425, .external_lex_state = 3},
  [13636] = {.lex_state = 425, .external_lex_state = 3},
  [13637] = {.lex_state = 425, .external_lex_state = 3},
  [13638] = {.lex_state = 136, .external_lex_state = 3},
  [13639] = {.lex_state = 425, .external_lex_state = 3},
  [13640] = {.lex_state = 425, .external_lex_state = 3},
  [13641] = {.lex_state = 15, .external_lex_state = 3},
  [13642] = {.lex_state = 15, .external_lex_state = 3},
  [13643] = {.lex_state = 15, .external_lex_state = 3},
  [13644] = {.lex_state = 425, .external_lex_state = 3},
  [13645] = {.lex_state = 425, .external_lex_state = 3},
  [13646] = {.lex_state = 15, .external_lex_state = 3},
  [13647] = {.lex_state = 443, .external_lex_state = 3},
  [13648] = {.lex_state = 15, .external_lex_state = 3},
  [13649] = {.lex_state = 425, .external_lex_state = 3},
  [13650] = {.lex_state = 425, .external_lex_state = 3},
  [13651] = {.lex_state = 425, .external_lex_state = 3},
  [13652] = {.lex_state = 15, .external_lex_state = 3},
  [13653] = {.lex_state = 425, .external_lex_state = 3},
  [13654] = {.lex_state = 425, .external_lex_state = 3},
  [13655] = {.lex_state = 425, .external_lex_state = 3},
  [13656] = {.lex_state = 425, .external_lex_state = 3},
  [13657] = {.lex_state = 15, .external_lex_state = 3},
  [13658] = {.lex_state = 425, .external_lex_state = 3},
  [13659] = {.lex_state = 425, .external_lex_state = 3},
  [13660] = {.lex_state = 425, .external_lex_state = 3},
  [13661] = {.lex_state = 425, .external_lex_state = 3},
  [13662] = {.lex_state = 425, .external_lex_state = 3},
  [13663] = {.lex_state = 15, .external_lex_state = 3},
  [13664] = {.lex_state = 425, .external_lex_state = 3},
  [13665] = {.lex_state = 425, .external_lex_state = 3},
  [13666] = {.lex_state = 130, .external_lex_state = 3},
  [13667] = {.lex_state = 425, .external_lex_state = 3},
  [13668] = {.lex_state = 425, .external_lex_state = 3},
  [13669] = {.lex_state = 425, .external_lex_state = 3},
  [13670] = {.lex_state = 15, .external_lex_state = 3},
  [13671] = {.lex_state = 425, .external_lex_state = 3},
  [13672] = {.lex_state = 15, .external_lex_state = 3},
  [13673] = {.lex_state = 425, .external_lex_state = 3},
  [13674] = {.lex_state = 15, .external_lex_state = 3},
  [13675] = {.lex_state = 142, .external_lex_state = 3},
  [13676] = {.lex_state = 425, .external_lex_state = 3},
  [13677] = {.lex_state = 425, .external_lex_state = 3},
  [13678] = {.lex_state = 425, .external_lex_state = 3},
  [13679] = {.lex_state = 425, .external_lex_state = 3},
  [13680] = {.lex_state = 425, .external_lex_state = 3},
  [13681] = {.lex_state = 425, .external_lex_state = 3},
  [13682] = {.lex_state = 425, .external_lex_state = 3},
  [13683] = {.lex_state = 425, .external_lex_state = 3},
  [13684] = {.lex_state = 425, .external_lex_state = 3},
  [13685] = {.lex_state = 15, .external_lex_state = 3},
  [13686] = {.lex_state = 15, .external_lex_state = 3},
  [13687] = {.lex_state = 425, .external_lex_state = 3},
  [13688] = {.lex_state = 425, .external_lex_state = 3},
  [13689] = {.lex_state = 425, .external_lex_state = 3},
  [13690] = {.lex_state = 15, .external_lex_state = 3},
  [13691] = {.lex_state = 425, .external_lex_state = 3},
  [13692] = {.lex_state = 425, .external_lex_state = 3},
  [13693] = {.lex_state = 425, .external_lex_state = 3},
  [13694] = {.lex_state = 425, .external_lex_state = 3},
  [13695] = {.lex_state = 15, .external_lex_state = 3},
  [13696] = {.lex_state = 425, .external_lex_state = 3},
  [13697] = {.lex_state = 425, .external_lex_state = 3},
  [13698] = {.lex_state = 425, .external_lex_state = 3},
  [13699] = {.lex_state = 425, .external_lex_state = 3},
  [13700] = {.lex_state = 425, .external_lex_state = 3},
  [13701] = {.lex_state = 15, .external_lex_state = 3},
  [13702] = {.lex_state = 427, .external_lex_state = 3},
  [13703] = {.lex_state = 425, .external_lex_state = 3},
  [13704] = {.lex_state = 425, .external_lex_state = 3},
  [13705] = {.lex_state = 15, .external_lex_state = 3},
  [13706] = {.lex_state = 425, .external_lex_state = 3},
  [13707] = {.lex_state = 425, .external_lex_state = 3},
  [13708] = {.lex_state = 15, .external_lex_state = 3},
  [13709] = {.lex_state = 425, .external_lex_state = 3},
  [13710] = {.lex_state = 425, .external_lex_state = 3},
  [13711] = {.lex_state = 425, .external_lex_state = 3},
  [13712] = {.lex_state = 425, .external_lex_state = 3},
  [13713] = {.lex_state = 425, .external_lex_state = 3},
  [13714] = {.lex_state = 425, .external_lex_state = 3},
  [13715] = {.lex_state = 425, .external_lex_state = 3},
  [13716] = {.lex_state = 15, .external_lex_state = 3},
  [13717] = {.lex_state = 425, .external_lex_state = 3},
  [13718] = {.lex_state = 425, .external_lex_state = 3},
  [13719] = {.lex_state = 425, .external_lex_state = 3},
  [13720] = {.lex_state = 425, .external_lex_state = 3},
  [13721] = {.lex_state = 425, .external_lex_state = 3},
  [13722] = {.lex_state = 425, .external_lex_state = 3},
  [13723] = {.lex_state = 15, .external_lex_state = 3},
  [13724] = {.lex_state = 425, .external_lex_state = 3},
  [13725] = {.lex_state = 15, .external_lex_state = 3},
  [13726] = {.lex_state = 425, .external_lex_state = 3},
  [13727] = {.lex_state = 425, .external_lex_state = 3},
  [13728] = {.lex_state = 15, .external_lex_state = 3},
  [13729] = {.lex_state = 425, .external_lex_state = 3},
  [13730] = {.lex_state = 425, .external_lex_state = 3},
  [13731] = {.lex_state = 425, .external_lex_state = 3},
  [13732] = {.lex_state = 425, .external_lex_state = 3},
  [13733] = {.lex_state = 425, .external_lex_state = 3},
  [13734] = {.lex_state = 425, .external_lex_state = 3},
  [13735] = {.lex_state = 425, .external_lex_state = 3},
  [13736] = {.lex_state = 15, .external_lex_state = 3},
  [13737] = {.lex_state = 425, .external_lex_state = 3},
  [13738] = {.lex_state = 425, .external_lex_state = 3},
  [13739] = {.lex_state = 15, .external_lex_state = 3},
  [13740] = {.lex_state = 425, .external_lex_state = 3},
  [13741] = {.lex_state = 427, .external_lex_state = 3},
  [13742] = {.lex_state = 427, .external_lex_state = 3},
  [13743] = {.lex_state = 425, .external_lex_state = 3},
  [13744] = {.lex_state = 425, .external_lex_state = 3},
  [13745] = {.lex_state = 425, .external_lex_state = 3},
  [13746] = {.lex_state = 425, .external_lex_state = 3},
  [13747] = {.lex_state = 425, .external_lex_state = 3},
  [13748] = {.lex_state = 425, .external_lex_state = 3},
  [13749] = {.lex_state = 425, .external_lex_state = 3},
  [13750] = {.lex_state = 425, .external_lex_state = 3},
  [13751] = {.lex_state = 425, .external_lex_state = 3},
  [13752] = {.lex_state = 129, .external_lex_state = 3},
  [13753] = {.lex_state = 425, .external_lex_state = 3},
  [13754] = {.lex_state = 425, .external_lex_state = 3},
  [13755] = {.lex_state = 425, .external_lex_state = 3},
  [13756] = {.lex_state = 425, .external_lex_state = 3},
  [13757] = {.lex_state = 425, .external_lex_state = 3},
  [13758] = {.lex_state = 425, .external_lex_state = 3},
  [13759] = {.lex_state = 425, .external_lex_state = 3},
  [13760] = {.lex_state = 425, .external_lex_state = 3},
  [13761] = {.lex_state = 425, .external_lex_state = 3},
  [13762] = {.lex_state = 425, .external_lex_state = 3},
  [13763] = {.lex_state = 425, .external_lex_state = 3},
  [13764] = {.lex_state = 425, .external_lex_state = 3},
  [13765] = {.lex_state = 427, .external_lex_state = 3},
  [13766] = {.lex_state = 425, .external_lex_state = 3},
  [13767] = {.lex_state = 15, .external_lex_state = 3},
  [13768] = {.lex_state = 425, .external_lex_state = 3},
  [13769] = {.lex_state = 427, .external_lex_state = 3},
  [13770] = {.lex_state = 425, .external_lex_state = 3},
  [13771] = {.lex_state = 425, .external_lex_state = 3},
  [13772] = {.lex_state = 425, .external_lex_state = 3},
  [13773] = {.lex_state = 425, .external_lex_state = 3},
  [13774] = {.lex_state = 425, .external_lex_state = 3},
  [13775] = {.lex_state = 425, .external_lex_state = 3},
  [13776] = {.lex_state = 425, .external_lex_state = 3},
  [13777] = {.lex_state = 425, .external_lex_state = 3},
  [13778] = {.lex_state = 425, .external_lex_state = 3},
  [13779] = {.lex_state = 443, .external_lex_state = 3},
  [13780] = {.lex_state = 427, .external_lex_state = 3},
  [13781] = {.lex_state = 425, .external_lex_state = 3},
  [13782] = {.lex_state = 425, .external_lex_state = 3},
  [13783] = {.lex_state = 425, .external_lex_state = 3},
  [13784] = {.lex_state = 425, .external_lex_state = 3},
  [13785] = {.lex_state = 425, .external_lex_state = 3},
  [13786] = {.lex_state = 425, .external_lex_state = 3},
  [13787] = {.lex_state = 425, .external_lex_state = 3},
  [13788] = {.lex_state = 425, .external_lex_state = 3},
  [13789] = {.lex_state = 425, .external_lex_state = 3},
  [13790] = {.lex_state = 425, .external_lex_state = 3},
  [13791] = {.lex_state = 425, .external_lex_state = 3},
  [13792] = {.lex_state = 425, .external_lex_state = 3},
  [13793] = {.lex_state = 425, .external_lex_state = 3},
  [13794] = {.lex_state = 425, .external_lex_state = 3},
  [13795] = {.lex_state = 425, .external_lex_state = 3},
  [13796] = {.lex_state = 425, .external_lex_state = 3},
  [13797] = {.lex_state = 425, .external_lex_state = 3},
  [13798] = {.lex_state = 425, .external_lex_state = 3},
  [13799] = {.lex_state = 425, .external_lex_state = 3},
  [13800] = {.lex_state = 425, .external_lex_state = 3},
  [13801] = {.lex_state = 425, .external_lex_state = 3},
  [13802] = {.lex_state = 443, .external_lex_state = 3},
  [13803] = {.lex_state = 443, .external_lex_state = 3},
  [13804] = {.lex_state = 443, .external_lex_state = 3},
  [13805] = {.lex_state = 425, .external_lex_state = 3},
  [13806] = {.lex_state = 425, .external_lex_state = 3},
  [13807] = {.lex_state = 425, .external_lex_state = 3},
  [13808] = {.lex_state = 425, .external_lex_state = 3},
  [13809] = {.lex_state = 425, .external_lex_state = 3},
  [13810] = {.lex_state = 425, .external_lex_state = 3},
  [13811] = {.lex_state = 425, .external_lex_state = 3},
  [13812] = {.lex_state = 425, .external_lex_state = 3},
  [13813] = {.lex_state = 425, .external_lex_state = 3},
  [13814] = {.lex_state = 425, .external_lex_state = 3},
  [13815] = {.lex_state = 425, .external_lex_state = 3},
  [13816] = {.lex_state = 425, .external_lex_state = 3},
  [13817] = {.lex_state = 425, .external_lex_state = 3},
  [13818] = {.lex_state = 425, .external_lex_state = 3},
  [13819] = {.lex_state = 425, .external_lex_state = 3},
  [13820] = {.lex_state = 425, .external_lex_state = 3},
  [13821] = {.lex_state = 425, .external_lex_state = 3},
  [13822] = {.lex_state = 425, .external_lex_state = 3},
  [13823] = {.lex_state = 425, .external_lex_state = 3},
  [13824] = {.lex_state = 425, .external_lex_state = 3},
  [13825] = {.lex_state = 425, .external_lex_state = 3},
  [13826] = {.lex_state = 425, .external_lex_state = 3},
  [13827] = {.lex_state = 425, .external_lex_state = 3},
  [13828] = {.lex_state = 425, .external_lex_state = 3},
  [13829] = {.lex_state = 425, .external_lex_state = 3},
  [13830] = {.lex_state = 425, .external_lex_state = 3},
  [13831] = {.lex_state = 425, .external_lex_state = 3},
  [13832] = {.lex_state = 425, .external_lex_state = 3},
  [13833] = {.lex_state = 425, .external_lex_state = 3},
  [13834] = {.lex_state = 425, .external_lex_state = 3},
  [13835] = {.lex_state = 425, .external_lex_state = 3},
  [13836] = {.lex_state = 425, .external_lex_state = 3},
  [13837] = {.lex_state = 425, .external_lex_state = 3},
  [13838] = {.lex_state = 425, .external_lex_state = 3},
  [13839] = {.lex_state = 425, .external_lex_state = 3},
  [13840] = {.lex_state = 425, .external_lex_state = 3},
  [13841] = {.lex_state = 425, .external_lex_state = 3},
  [13842] = {.lex_state = 425, .external_lex_state = 3},
  [13843] = {.lex_state = 425, .external_lex_state = 3},
  [13844] = {.lex_state = 425, .external_lex_state = 3},
  [13845] = {.lex_state = 425, .external_lex_state = 3},
  [13846] = {.lex_state = 425, .external_lex_state = 3},
  [13847] = {.lex_state = 425, .external_lex_state = 3},
  [13848] = {.lex_state = 425, .external_lex_state = 3},
  [13849] = {.lex_state = 425, .external_lex_state = 3},
  [13850] = {.lex_state = 425, .external_lex_state = 3},
  [13851] = {.lex_state = 425, .external_lex_state = 3},
  [13852] = {.lex_state = 425, .external_lex_state = 3},
  [13853] = {.lex_state = 427, .external_lex_state = 3},
  [13854] = {.lex_state = 427, .external_lex_state = 3},
  [13855] = {.lex_state = 425, .external_lex_state = 3},
  [13856] = {.lex_state = 425, .external_lex_state = 3},
  [13857] = {.lex_state = 15, .external_lex_state = 3},
  [13858] = {.lex_state = 136, .external_lex_state = 3},
  [13859] = {.lex_state = 425, .external_lex_state = 3},
  [13860] = {.lex_state = 425, .external_lex_state = 3},
  [13861] = {.lex_state = 425, .external_lex_state = 3},
  [13862] = {.lex_state = 425, .external_lex_state = 3},
  [13863] = {.lex_state = 136, .external_lex_state = 3},
  [13864] = {.lex_state = 425, .external_lex_state = 3},
  [13865] = {.lex_state = 425, .external_lex_state = 3},
  [13866] = {.lex_state = 425, .external_lex_state = 3},
  [13867] = {.lex_state = 425, .external_lex_state = 3},
  [13868] = {.lex_state = 425, .external_lex_state = 3},
  [13869] = {.lex_state = 425, .external_lex_state = 3},
  [13870] = {.lex_state = 425, .external_lex_state = 3},
  [13871] = {.lex_state = 425, .external_lex_state = 3},
  [13872] = {.lex_state = 425, .external_lex_state = 3},
  [13873] = {.lex_state = 425, .external_lex_state = 3},
  [13874] = {.lex_state = 425, .external_lex_state = 3},
  [13875] = {.lex_state = 425, .external_lex_state = 3},
  [13876] = {.lex_state = 425, .external_lex_state = 3},
  [13877] = {.lex_state = 425, .external_lex_state = 3},
  [13878] = {.lex_state = 425, .external_lex_state = 3},
  [13879] = {.lex_state = 425, .external_lex_state = 3},
  [13880] = {.lex_state = 130, .external_lex_state = 3},
  [13881] = {.lex_state = 425, .external_lex_state = 3},
  [13882] = {.lex_state = 425, .external_lex_state = 3},
  [13883] = {.lex_state = 425, .external_lex_state = 3},
  [13884] = {.lex_state = 425, .external_lex_state = 3},
  [13885] = {.lex_state = 425, .external_lex_state = 3},
  [13886] = {.lex_state = 425, .external_lex_state = 3},
  [13887] = {.lex_state = 425, .external_lex_state = 3},
  [13888] = {.lex_state = 425, .external_lex_state = 3},
  [13889] = {.lex_state = 425, .external_lex_state = 3},
  [13890] = {.lex_state = 425, .external_lex_state = 3},
  [13891] = {.lex_state = 425, .external_lex_state = 3},
  [13892] = {.lex_state = 425, .external_lex_state = 3},
  [13893] = {.lex_state = 425, .external_lex_state = 3},
  [13894] = {.lex_state = 425, .external_lex_state = 3},
  [13895] = {.lex_state = 425, .external_lex_state = 3},
  [13896] = {.lex_state = 142, .external_lex_state = 3},
  [13897] = {.lex_state = 425, .external_lex_state = 3},
  [13898] = {.lex_state = 425, .external_lex_state = 3},
  [13899] = {.lex_state = 425, .external_lex_state = 3},
  [13900] = {.lex_state = 425, .external_lex_state = 3},
  [13901] = {.lex_state = 425, .external_lex_state = 3},
  [13902] = {.lex_state = 425, .external_lex_state = 3},
  [13903] = {.lex_state = 425, .external_lex_state = 3},
  [13904] = {.lex_state = 425, .external_lex_state = 3},
  [13905] = {.lex_state = 425, .external_lex_state = 3},
  [13906] = {.lex_state = 425, .external_lex_state = 3},
  [13907] = {.lex_state = 425, .external_lex_state = 3},
  [13908] = {.lex_state = 425, .external_lex_state = 3},
  [13909] = {.lex_state = 425, .external_lex_state = 3},
  [13910] = {.lex_state = 425, .external_lex_state = 3},
  [13911] = {.lex_state = 425, .external_lex_state = 3},
  [13912] = {.lex_state = 425, .external_lex_state = 3},
  [13913] = {.lex_state = 425, .external_lex_state = 3},
  [13914] = {.lex_state = 425, .external_lex_state = 3},
  [13915] = {.lex_state = 425, .external_lex_state = 3},
  [13916] = {.lex_state = 425, .external_lex_state = 3},
  [13917] = {.lex_state = 425, .external_lex_state = 3},
  [13918] = {.lex_state = 425, .external_lex_state = 3},
  [13919] = {.lex_state = 425, .external_lex_state = 3},
  [13920] = {.lex_state = 425, .external_lex_state = 3},
  [13921] = {.lex_state = 425, .external_lex_state = 3},
  [13922] = {.lex_state = 425, .external_lex_state = 3},
  [13923] = {.lex_state = 425, .external_lex_state = 3},
  [13924] = {.lex_state = 425, .external_lex_state = 3},
  [13925] = {.lex_state = 425, .external_lex_state = 3},
  [13926] = {.lex_state = 425, .external_lex_state = 3},
  [13927] = {.lex_state = 425, .external_lex_state = 3},
  [13928] = {.lex_state = 425, .external_lex_state = 3},
  [13929] = {.lex_state = 425, .external_lex_state = 3},
  [13930] = {.lex_state = 425, .external_lex_state = 3},
  [13931] = {.lex_state = 443, .external_lex_state = 3},
  [13932] = {.lex_state = 443, .external_lex_state = 3},
  [13933] = {.lex_state = 443, .external_lex_state = 3},
  [13934] = {.lex_state = 425, .external_lex_state = 3},
  [13935] = {.lex_state = 443, .external_lex_state = 3},
  [13936] = {.lex_state = 443, .external_lex_state = 3},
  [13937] = {.lex_state = 443, .external_lex_state = 3},
  [13938] = {.lex_state = 443, .external_lex_state = 3},
  [13939] = {.lex_state = 425, .external_lex_state = 3},
  [13940] = {.lex_state = 443, .external_lex_state = 3},
  [13941] = {.lex_state = 425, .external_lex_state = 3},
  [13942] = {.lex_state = 425, .external_lex_state = 3},
  [13943] = {.lex_state = 425, .external_lex_state = 3},
  [13944] = {.lex_state = 425, .external_lex_state = 3},
  [13945] = {.lex_state = 425, .external_lex_state = 3},
  [13946] = {.lex_state = 425, .external_lex_state = 3},
  [13947] = {.lex_state = 425, .external_lex_state = 3},
  [13948] = {.lex_state = 443, .external_lex_state = 3},
  [13949] = {.lex_state = 425, .external_lex_state = 3},
  [13950] = {.lex_state = 425, .external_lex_state = 3},
  [13951] = {.lex_state = 443, .external_lex_state = 3},
  [13952] = {.lex_state = 443, .external_lex_state = 3},
  [13953] = {.lex_state = 425, .external_lex_state = 3},
  [13954] = {.lex_state = 443, .external_lex_state = 3},
  [13955] = {.lex_state = 425, .external_lex_state = 3},
  [13956] = {.lex_state = 425, .external_lex_state = 3},
  [13957] = {.lex_state = 425, .external_lex_state = 3},
  [13958] = {.lex_state = 425, .external_lex_state = 3},
  [13959] = {.lex_state = 425, .external_lex_state = 3},
  [13960] = {.lex_state = 425, .external_lex_state = 3},
  [13961] = {.lex_state = 425, .external_lex_state = 3},
  [13962] = {.lex_state = 425, .external_lex_state = 3},
  [13963] = {.lex_state = 425, .external_lex_state = 3},
  [13964] = {.lex_state = 425, .external_lex_state = 3},
  [13965] = {.lex_state = 425, .external_lex_state = 3},
  [13966] = {.lex_state = 425, .external_lex_state = 3},
  [13967] = {.lex_state = 425, .external_lex_state = 3},
  [13968] = {.lex_state = 425, .external_lex_state = 3},
  [13969] = {.lex_state = 425, .external_lex_state = 3},
  [13970] = {.lex_state = 425, .external_lex_state = 3},
  [13971] = {.lex_state = 425, .external_lex_state = 3},
  [13972] = {.lex_state = 425, .external_lex_state = 3},
  [13973] = {.lex_state = 443, .external_lex_state = 3},
  [13974] = {.lex_state = 136, .external_lex_state = 3},
  [13975] = {.lex_state = 443, .external_lex_state = 3},
  [13976] = {.lex_state = 19, .external_lex_state = 3},
  [13977] = {.lex_state = 136, .external_lex_state = 3},
  [13978] = {.lex_state = 136, .external_lex_state = 3},
  [13979] = {.lex_state = 136, .external_lex_state = 3},
  [13980] = {.lex_state = 136, .external_lex_state = 3},
  [13981] = {.lex_state = 136, .external_lex_state = 3},
  [13982] = {.lex_state = 136, .external_lex_state = 3},
  [13983] = {.lex_state = 136, .external_lex_state = 3},
  [13984] = {.lex_state = 136, .external_lex_state = 3},
  [13985] = {.lex_state = 136, .external_lex_state = 3},
  [13986] = {.lex_state = 136, .external_lex_state = 3},
  [13987] = {.lex_state = 15, .external_lex_state = 3},
  [13988] = {.lex_state = 443, .external_lex_state = 3},
  [13989] = {.lex_state = 443, .external_lex_state = 3},
  [13990] = {.lex_state = 443, .external_lex_state = 3},
  [13991] = {.lex_state = 129, .external_lex_state = 3},
  [13992] = {.lex_state = 443, .external_lex_state = 3},
  [13993] = {.lex_state = 443, .external_lex_state = 3},
  [13994] = {.lex_state = 136, .external_lex_state = 3},
  [13995] = {.lex_state = 15, .external_lex_state = 2},
  [13996] = {.lex_state = 214, .external_lex_state = 3},
  [13997] = {.lex_state = 132, .external_lex_state = 3},
  [13998] = {.lex_state = 19, .external_lex_state = 3},
  [13999] = {.lex_state = 443, .external_lex_state = 3},
  [14000] = {.lex_state = 443, .external_lex_state = 3},
  [14001] = {.lex_state = 19, .external_lex_state = 3},
  [14002] = {.lex_state = 15, .external_lex_state = 2},
  [14003] = {.lex_state = 129, .external_lex_state = 3},
  [14004] = {.lex_state = 136, .external_lex_state = 3},
  [14005] = {.lex_state = 214, .external_lex_state = 3},
  [14006] = {.lex_state = 443, .external_lex_state = 3},
  [14007] = {.lex_state = 136, .external_lex_state = 3},
  [14008] = {.lex_state = 19, .external_lex_state = 3},
  [14009] = {.lex_state = 19, .external_lex_state = 3},
  [14010] = {.lex_state = 19, .external_lex_state = 3},
  [14011] = {.lex_state = 129, .external_lex_state = 3},
  [14012] = {.lex_state = 425, .external_lex_state = 3},
  [14013] = {.lex_state = 15, .external_lex_state = 3},
  [14014] = {.lex_state = 443, .external_lex_state = 3},
  [14015] = {.lex_state = 15, .external_lex_state = 2},
  [14016] = {.lex_state = 443, .external_lex_state = 3},
  [14017] = {.lex_state = 443, .external_lex_state = 3},
  [14018] = {.lex_state = 443, .external_lex_state = 3},
  [14019] = {.lex_state = 443, .external_lex_state = 3},
  [14020] = {.lex_state = 443, .external_lex_state = 3},
  [14021] = {.lex_state = 129, .external_lex_state = 3},
  [14022] = {.lex_state = 425, .external_lex_state = 3},
  [14023] = {.lex_state = 425, .external_lex_state = 3},
  [14024] = {.lex_state = 425, .external_lex_state = 3},
  [14025] = {.lex_state = 425, .external_lex_state = 3},
  [14026] = {.lex_state = 443, .external_lex_state = 3},
  [14027] = {.lex_state = 184, .external_lex_state = 3},
  [14028] = {.lex_state = 425, .external_lex_state = 3},
  [14029] = {.lex_state = 136, .external_lex_state = 3},
  [14030] = {.lex_state = 443, .external_lex_state = 3},
  [14031] = {.lex_state = 425, .external_lex_state = 3},
  [14032] = {.lex_state = 136, .external_lex_state = 3},
  [14033] = {.lex_state = 443, .external_lex_state = 3},
  [14034] = {.lex_state = 425, .external_lex_state = 3},
  [14035] = {.lex_state = 443, .external_lex_state = 3},
  [14036] = {.lex_state = 443, .external_lex_state = 3},
  [14037] = {.lex_state = 425, .external_lex_state = 3},
  [14038] = {.lex_state = 15, .external_lex_state = 2},
  [14039] = {.lex_state = 443, .external_lex_state = 3},
  [14040] = {.lex_state = 443, .external_lex_state = 3},
  [14041] = {.lex_state = 425, .external_lex_state = 3},
  [14042] = {.lex_state = 443, .external_lex_state = 3},
  [14043] = {.lex_state = 19, .external_lex_state = 3},
  [14044] = {.lex_state = 19, .external_lex_state = 3},
  [14045] = {.lex_state = 19, .external_lex_state = 3},
  [14046] = {.lex_state = 19, .external_lex_state = 3},
  [14047] = {.lex_state = 443, .external_lex_state = 3},
  [14048] = {.lex_state = 8, .external_lex_state = 3},
  [14049] = {.lex_state = 425, .external_lex_state = 3},
  [14050] = {.lex_state = 425, .external_lex_state = 3},
  [14051] = {.lex_state = 425, .external_lex_state = 3},
  [14052] = {.lex_state = 425, .external_lex_state = 3},
  [14053] = {.lex_state = 425, .external_lex_state = 3},
  [14054] = {.lex_state = 425, .external_lex_state = 3},
  [14055] = {.lex_state = 425, .external_lex_state = 3},
  [14056] = {.lex_state = 425, .external_lex_state = 3},
  [14057] = {.lex_state = 425, .external_lex_state = 3},
  [14058] = {.lex_state = 129, .external_lex_state = 3},
  [14059] = {.lex_state = 443, .external_lex_state = 3},
  [14060] = {.lex_state = 15, .external_lex_state = 2},
  [14061] = {.lex_state = 19, .external_lex_state = 3},
  [14062] = {.lex_state = 425, .external_lex_state = 3},
  [14063] = {.lex_state = 19, .external_lex_state = 3},
  [14064] = {.lex_state = 19, .external_lex_state = 3},
  [14065] = {.lex_state = 19, .external_lex_state = 3},
  [14066] = {.lex_state = 19, .external_lex_state = 3},
  [14067] = {.lex_state = 443, .external_lex_state = 3},
  [14068] = {.lex_state = 443, .external_lex_state = 3},
  [14069] = {.lex_state = 443, .external_lex_state = 3},
  [14070] = {.lex_state = 19, .external_lex_state = 3},
  [14071] = {.lex_state = 19, .external_lex_state = 3},
  [14072] = {.lex_state = 132, .external_lex_state = 3},
  [14073] = {.lex_state = 443, .external_lex_state = 3},
  [14074] = {.lex_state = 19, .external_lex_state = 3},
  [14075] = {.lex_state = 19, .external_lex_state = 3},
  [14076] = {.lex_state = 443, .external_lex_state = 3},
  [14077] = {.lex_state = 443, .external_lex_state = 3},
  [14078] = {.lex_state = 443, .external_lex_state = 3},
  [14079] = {.lex_state = 136, .external_lex_state = 3},
  [14080] = {.lex_state = 19, .external_lex_state = 3},
  [14081] = {.lex_state = 19, .external_lex_state = 3},
  [14082] = {.lex_state = 19, .external_lex_state = 3},
  [14083] = {.lex_state = 443, .external_lex_state = 3},
  [14084] = {.lex_state = 443, .external_lex_state = 3},
  [14085] = {.lex_state = 443, .external_lex_state = 3},
  [14086] = {.lex_state = 443, .external_lex_state = 3},
  [14087] = {.lex_state = 443, .external_lex_state = 3},
  [14088] = {.lex_state = 443, .external_lex_state = 3},
  [14089] = {.lex_state = 19, .external_lex_state = 3},
  [14090] = {.lex_state = 19, .external_lex_state = 3},
  [14091] = {.lex_state = 443, .external_lex_state = 3},
  [14092] = {.lex_state = 132, .external_lex_state = 3},
  [14093] = {.lex_state = 136, .external_lex_state = 3},
  [14094] = {.lex_state = 443, .external_lex_state = 3},
  [14095] = {.lex_state = 19, .external_lex_state = 3},
  [14096] = {.lex_state = 19, .external_lex_state = 3},
  [14097] = {.lex_state = 443, .external_lex_state = 3},
  [14098] = {.lex_state = 443, .external_lex_state = 3},
  [14099] = {.lex_state = 443, .external_lex_state = 3},
  [14100] = {.lex_state = 443, .external_lex_state = 3},
  [14101] = {.lex_state = 19, .external_lex_state = 3},
  [14102] = {.lex_state = 132, .external_lex_state = 3},
  [14103] = {.lex_state = 443, .external_lex_state = 3},
  [14104] = {.lex_state = 443, .external_lex_state = 3},
  [14105] = {.lex_state = 132, .external_lex_state = 3},
  [14106] = {.lex_state = 132, .external_lex_state = 3},
  [14107] = {.lex_state = 132, .external_lex_state = 3},
  [14108] = {.lex_state = 132, .external_lex_state = 3},
  [14109] = {.lex_state = 132, .external_lex_state = 3},
  [14110] = {.lex_state = 132, .external_lex_state = 3},
  [14111] = {.lex_state = 132, .external_lex_state = 3},
  [14112] = {.lex_state = 132, .external_lex_state = 3},
  [14113] = {.lex_state = 132, .external_lex_state = 3},
  [14114] = {.lex_state = 132, .external_lex_state = 3},
  [14115] = {.lex_state = 425, .external_lex_state = 3},
  [14116] = {.lex_state = 19, .external_lex_state = 3},
  [14117] = {.lex_state = 132, .external_lex_state = 3},
  [14118] = {.lex_state = 19, .external_lex_state = 3},
  [14119] = {.lex_state = 132, .external_lex_state = 3},
  [14120] = {.lex_state = 132, .external_lex_state = 3},
  [14121] = {.lex_state = 443, .external_lex_state = 3},
  [14122] = {.lex_state = 425, .external_lex_state = 3},
  [14123] = {.lex_state = 132, .external_lex_state = 3},
  [14124] = {.lex_state = 129, .external_lex_state = 3},
  [14125] = {.lex_state = 132, .external_lex_state = 3},
  [14126] = {.lex_state = 443, .external_lex_state = 3},
  [14127] = {.lex_state = 443, .external_lex_state = 3},
  [14128] = {.lex_state = 15, .external_lex_state = 2},
  [14129] = {.lex_state = 19, .external_lex_state = 3},
  [14130] = {.lex_state = 132, .external_lex_state = 3},
  [14131] = {.lex_state = 129, .external_lex_state = 3},
  [14132] = {.lex_state = 132, .external_lex_state = 3},
  [14133] = {.lex_state = 132, .external_lex_state = 3},
  [14134] = {.lex_state = 132, .external_lex_state = 3},
  [14135] = {.lex_state = 443, .external_lex_state = 3},
  [14136] = {.lex_state = 19, .external_lex_state = 3},
  [14137] = {.lex_state = 132, .external_lex_state = 3},
  [14138] = {.lex_state = 132, .external_lex_state = 3},
  [14139] = {.lex_state = 132, .external_lex_state = 3},
  [14140] = {.lex_state = 136, .external_lex_state = 3},
  [14141] = {.lex_state = 443, .external_lex_state = 3},
  [14142] = {.lex_state = 443, .external_lex_state = 3},
  [14143] = {.lex_state = 443, .external_lex_state = 3},
  [14144] = {.lex_state = 443, .external_lex_state = 3},
  [14145] = {.lex_state = 443, .external_lex_state = 3},
  [14146] = {.lex_state = 443, .external_lex_state = 3},
  [14147] = {.lex_state = 443, .external_lex_state = 3},
  [14148] = {.lex_state = 443, .external_lex_state = 3},
  [14149] = {.lex_state = 443, .external_lex_state = 3},
  [14150] = {.lex_state = 132, .external_lex_state = 3},
  [14151] = {.lex_state = 443, .external_lex_state = 3},
  [14152] = {.lex_state = 443, .external_lex_state = 3},
  [14153] = {.lex_state = 129, .external_lex_state = 3},
  [14154] = {.lex_state = 443, .external_lex_state = 3},
  [14155] = {.lex_state = 15, .external_lex_state = 2},
  [14156] = {.lex_state = 443, .external_lex_state = 3},
  [14157] = {.lex_state = 425, .external_lex_state = 3},
  [14158] = {.lex_state = 443, .external_lex_state = 3},
  [14159] = {.lex_state = 136, .external_lex_state = 3},
  [14160] = {.lex_state = 131, .external_lex_state = 3},
  [14161] = {.lex_state = 132, .external_lex_state = 3},
  [14162] = {.lex_state = 178, .external_lex_state = 3},
  [14163] = {.lex_state = 443, .external_lex_state = 3},
  [14164] = {.lex_state = 425, .external_lex_state = 3},
  [14165] = {.lex_state = 131, .external_lex_state = 3},
  [14166] = {.lex_state = 425, .external_lex_state = 3},
  [14167] = {.lex_state = 443, .external_lex_state = 3},
  [14168] = {.lex_state = 443, .external_lex_state = 3},
  [14169] = {.lex_state = 131, .external_lex_state = 3},
  [14170] = {.lex_state = 131, .external_lex_state = 3},
  [14171] = {.lex_state = 131, .external_lex_state = 3},
  [14172] = {.lex_state = 131, .external_lex_state = 3},
  [14173] = {.lex_state = 131, .external_lex_state = 3},
  [14174] = {.lex_state = 425, .external_lex_state = 3},
  [14175] = {.lex_state = 131, .external_lex_state = 3},
  [14176] = {.lex_state = 15, .external_lex_state = 3},
  [14177] = {.lex_state = 131, .external_lex_state = 3},
  [14178] = {.lex_state = 443, .external_lex_state = 3},
  [14179] = {.lex_state = 443, .external_lex_state = 3},
  [14180] = {.lex_state = 131, .external_lex_state = 3},
  [14181] = {.lex_state = 425, .external_lex_state = 3},
  [14182] = {.lex_state = 132, .external_lex_state = 3},
  [14183] = {.lex_state = 132, .external_lex_state = 3},
  [14184] = {.lex_state = 131, .external_lex_state = 3},
  [14185] = {.lex_state = 132, .external_lex_state = 3},
  [14186] = {.lex_state = 131, .external_lex_state = 3},
  [14187] = {.lex_state = 131, .external_lex_state = 3},
  [14188] = {.lex_state = 15, .external_lex_state = 3},
  [14189] = {.lex_state = 131, .external_lex_state = 3},
  [14190] = {.lex_state = 15, .external_lex_state = 3},
  [14191] = {.lex_state = 194, .external_lex_state = 3},
  [14192] = {.lex_state = 443, .external_lex_state = 3},
  [14193] = {.lex_state = 425, .external_lex_state = 3},
  [14194] = {.lex_state = 15, .external_lex_state = 3},
  [14195] = {.lex_state = 131, .external_lex_state = 3},
  [14196] = {.lex_state = 178, .external_lex_state = 3},
  [14197] = {.lex_state = 131, .external_lex_state = 3},
  [14198] = {.lex_state = 131, .external_lex_state = 3},
  [14199] = {.lex_state = 132, .external_lex_state = 3},
  [14200] = {.lex_state = 178, .external_lex_state = 3},
  [14201] = {.lex_state = 131, .external_lex_state = 3},
  [14202] = {.lex_state = 131, .external_lex_state = 3},
  [14203] = {.lex_state = 130, .external_lex_state = 3},
  [14204] = {.lex_state = 130, .external_lex_state = 3},
  [14205] = {.lex_state = 132, .external_lex_state = 3},
  [14206] = {.lex_state = 443, .external_lex_state = 3},
  [14207] = {.lex_state = 15, .external_lex_state = 3},
  [14208] = {.lex_state = 443, .external_lex_state = 3},
  [14209] = {.lex_state = 425, .external_lex_state = 3},
  [14210] = {.lex_state = 131, .external_lex_state = 3},
  [14211] = {.lex_state = 131, .external_lex_state = 3},
  [14212] = {.lex_state = 15, .external_lex_state = 3},
  [14213] = {.lex_state = 443, .external_lex_state = 3},
  [14214] = {.lex_state = 131, .external_lex_state = 3},
  [14215] = {.lex_state = 8, .external_lex_state = 3},
  [14216] = {.lex_state = 131, .external_lex_state = 3},
  [14217] = {.lex_state = 15, .external_lex_state = 3},
  [14218] = {.lex_state = 131, .external_lex_state = 3},
  [14219] = {.lex_state = 131, .external_lex_state = 3},
  [14220] = {.lex_state = 15, .external_lex_state = 3},
  [14221] = {.lex_state = 130, .external_lex_state = 3},
  [14222] = {.lex_state = 130, .external_lex_state = 3},
  [14223] = {.lex_state = 132, .external_lex_state = 3},
  [14224] = {.lex_state = 130, .external_lex_state = 3},
  [14225] = {.lex_state = 130, .external_lex_state = 3},
  [14226] = {.lex_state = 132, .external_lex_state = 3},
  [14227] = {.lex_state = 15, .external_lex_state = 3},
  [14228] = {.lex_state = 131, .external_lex_state = 3},
  [14229] = {.lex_state = 131, .external_lex_state = 3},
  [14230] = {.lex_state = 131, .external_lex_state = 3},
  [14231] = {.lex_state = 132, .external_lex_state = 3},
  [14232] = {.lex_state = 131, .external_lex_state = 3},
  [14233] = {.lex_state = 131, .external_lex_state = 3},
  [14234] = {.lex_state = 131, .external_lex_state = 3},
  [14235] = {.lex_state = 178, .external_lex_state = 3},
  [14236] = {.lex_state = 132, .external_lex_state = 3},
  [14237] = {.lex_state = 132, .external_lex_state = 3},
  [14238] = {.lex_state = 132, .external_lex_state = 3},
  [14239] = {.lex_state = 131, .external_lex_state = 3},
  [14240] = {.lex_state = 131, .external_lex_state = 3},
  [14241] = {.lex_state = 131, .external_lex_state = 3},
  [14242] = {.lex_state = 131, .external_lex_state = 3},
  [14243] = {.lex_state = 131, .external_lex_state = 3},
  [14244] = {.lex_state = 131, .external_lex_state = 3},
  [14245] = {.lex_state = 131, .external_lex_state = 3},
  [14246] = {.lex_state = 8, .external_lex_state = 3},
  [14247] = {.lex_state = 194, .external_lex_state = 3},
  [14248] = {.lex_state = 132, .external_lex_state = 3},
  [14249] = {.lex_state = 132, .external_lex_state = 3},
  [14250] = {.lex_state = 15, .external_lex_state = 3},
  [14251] = {.lex_state = 194, .external_lex_state = 3},
  [14252] = {.lex_state = 131, .external_lex_state = 3},
  [14253] = {.lex_state = 132, .external_lex_state = 3},
  [14254] = {.lex_state = 15, .external_lex_state = 3},
  [14255] = {.lex_state = 15, .external_lex_state = 3},
  [14256] = {.lex_state = 15, .external_lex_state = 3},
  [14257] = {.lex_state = 443, .external_lex_state = 3},
  [14258] = {.lex_state = 15, .external_lex_state = 3},
  [14259] = {.lex_state = 132, .external_lex_state = 3},
  [14260] = {.lex_state = 132, .external_lex_state = 3},
  [14261] = {.lex_state = 132, .external_lex_state = 3},
  [14262] = {.lex_state = 132, .external_lex_state = 3},
  [14263] = {.lex_state = 130, .external_lex_state = 3},
  [14264] = {.lex_state = 425, .external_lex_state = 3},
  [14265] = {.lex_state = 15, .external_lex_state = 3},
  [14266] = {.lex_state = 132, .external_lex_state = 3},
  [14267] = {.lex_state = 132, .external_lex_state = 3},
  [14268] = {.lex_state = 132, .external_lex_state = 3},
  [14269] = {.lex_state = 15, .external_lex_state = 3},
  [14270] = {.lex_state = 15, .external_lex_state = 3},
  [14271] = {.lex_state = 15, .external_lex_state = 3},
  [14272] = {.lex_state = 443, .external_lex_state = 3},
  [14273] = {.lex_state = 443, .external_lex_state = 3},
  [14274] = {.lex_state = 425, .external_lex_state = 3},
  [14275] = {.lex_state = 130, .external_lex_state = 3},
  [14276] = {.lex_state = 132, .external_lex_state = 3},
  [14277] = {.lex_state = 132, .external_lex_state = 3},
  [14278] = {.lex_state = 132, .external_lex_state = 3},
  [14279] = {.lex_state = 131, .external_lex_state = 3},
  [14280] = {.lex_state = 136, .external_lex_state = 3},
  [14281] = {.lex_state = 131, .external_lex_state = 3},
  [14282] = {.lex_state = 15, .external_lex_state = 3},
  [14283] = {.lex_state = 15, .external_lex_state = 3},
  [14284] = {.lex_state = 425, .external_lex_state = 3},
  [14285] = {.lex_state = 132, .external_lex_state = 3},
  [14286] = {.lex_state = 130, .external_lex_state = 3},
  [14287] = {.lex_state = 132, .external_lex_state = 3},
  [14288] = {.lex_state = 130, .external_lex_state = 3},
  [14289] = {.lex_state = 15, .external_lex_state = 3},
  [14290] = {.lex_state = 132, .external_lex_state = 3},
  [14291] = {.lex_state = 132, .external_lex_state = 3},
  [14292] = {.lex_state = 443, .external_lex_state = 3},
  [14293] = {.lex_state = 443, .external_lex_state = 3},
  [14294] = {.lex_state = 443, .external_lex_state = 3},
  [14295] = {.lex_state = 15, .external_lex_state = 3},
  [14296] = {.lex_state = 132, .external_lex_state = 3},
  [14297] = {.lex_state = 130, .external_lex_state = 3},
  [14298] = {.lex_state = 194, .external_lex_state = 3},
  [14299] = {.lex_state = 132, .external_lex_state = 3},
  [14300] = {.lex_state = 443, .external_lex_state = 3},
  [14301] = {.lex_state = 132, .external_lex_state = 3},
  [14302] = {.lex_state = 131, .external_lex_state = 3},
  [14303] = {.lex_state = 131, .external_lex_state = 3},
  [14304] = {.lex_state = 131, .external_lex_state = 3},
  [14305] = {.lex_state = 443, .external_lex_state = 3},
  [14306] = {.lex_state = 443, .external_lex_state = 3},
  [14307] = {.lex_state = 443, .external_lex_state = 3},
  [14308] = {.lex_state = 15, .external_lex_state = 3},
  [14309] = {.lex_state = 131, .external_lex_state = 3},
  [14310] = {.lex_state = 130, .external_lex_state = 3},
  [14311] = {.lex_state = 15, .external_lex_state = 3},
  [14312] = {.lex_state = 131, .external_lex_state = 3},
  [14313] = {.lex_state = 131, .external_lex_state = 3},
  [14314] = {.lex_state = 15, .external_lex_state = 3},
  [14315] = {.lex_state = 132, .external_lex_state = 3},
  [14316] = {.lex_state = 132, .external_lex_state = 3},
  [14317] = {.lex_state = 15, .external_lex_state = 3},
  [14318] = {.lex_state = 443, .external_lex_state = 3},
  [14319] = {.lex_state = 131, .external_lex_state = 3},
  [14320] = {.lex_state = 131, .external_lex_state = 3},
  [14321] = {.lex_state = 15, .external_lex_state = 3},
  [14322] = {.lex_state = 15, .external_lex_state = 3},
  [14323] = {.lex_state = 194, .external_lex_state = 3},
  [14324] = {.lex_state = 130, .external_lex_state = 3},
  [14325] = {.lex_state = 131, .external_lex_state = 3},
  [14326] = {.lex_state = 131, .external_lex_state = 3},
  [14327] = {.lex_state = 131, .external_lex_state = 3},
  [14328] = {.lex_state = 15, .external_lex_state = 3},
  [14329] = {.lex_state = 15, .external_lex_state = 3},
  [14330] = {.lex_state = 15, .external_lex_state = 3},
  [14331] = {.lex_state = 131, .external_lex_state = 3},
  [14332] = {.lex_state = 130, .external_lex_state = 3},
  [14333] = {.lex_state = 15, .external_lex_state = 3},
  [14334] = {.lex_state = 425, .external_lex_state = 3},
  [14335] = {.lex_state = 15, .external_lex_state = 3},
  [14336] = {.lex_state = 178, .external_lex_state = 3},
  [14337] = {.lex_state = 130, .external_lex_state = 3},
  [14338] = {.lex_state = 131, .external_lex_state = 3},
  [14339] = {.lex_state = 178, .external_lex_state = 3},
  [14340] = {.lex_state = 131, .external_lex_state = 3},
  [14341] = {.lex_state = 130, .external_lex_state = 3},
  [14342] = {.lex_state = 130, .external_lex_state = 3},
  [14343] = {.lex_state = 132, .external_lex_state = 3},
  [14344] = {.lex_state = 15, .external_lex_state = 3},
  [14345] = {.lex_state = 131, .external_lex_state = 3},
  [14346] = {.lex_state = 15, .external_lex_state = 3},
  [14347] = {.lex_state = 131, .external_lex_state = 3},
  [14348] = {.lex_state = 130, .external_lex_state = 3},
  [14349] = {.lex_state = 443, .external_lex_state = 3},
  [14350] = {.lex_state = 15, .external_lex_state = 3},
  [14351] = {.lex_state = 15, .external_lex_state = 3},
  [14352] = {.lex_state = 132, .external_lex_state = 3},
  [14353] = {.lex_state = 15, .external_lex_state = 3},
  [14354] = {.lex_state = 425, .external_lex_state = 3},
  [14355] = {.lex_state = 15, .external_lex_state = 3},
  [14356] = {.lex_state = 15, .external_lex_state = 3},
  [14357] = {.lex_state = 425, .external_lex_state = 3},
  [14358] = {.lex_state = 131, .external_lex_state = 3},
  [14359] = {.lex_state = 131, .external_lex_state = 3},
  [14360] = {.lex_state = 425, .external_lex_state = 3},
  [14361] = {.lex_state = 185, .external_lex_state = 3},
  [14362] = {.lex_state = 131, .external_lex_state = 3},
  [14363] = {.lex_state = 132, .external_lex_state = 3},
  [14364] = {.lex_state = 131, .external_lex_state = 3},
  [14365] = {.lex_state = 131, .external_lex_state = 3},
  [14366] = {.lex_state = 425, .external_lex_state = 3},
  [14367] = {.lex_state = 15, .external_lex_state = 3},
  [14368] = {.lex_state = 15, .external_lex_state = 3},
  [14369] = {.lex_state = 425, .external_lex_state = 3},
  [14370] = {.lex_state = 425, .external_lex_state = 3},
  [14371] = {.lex_state = 15, .external_lex_state = 3},
  [14372] = {.lex_state = 425, .external_lex_state = 3},
  [14373] = {.lex_state = 425, .external_lex_state = 3},
  [14374] = {.lex_state = 131, .external_lex_state = 3},
  [14375] = {.lex_state = 131, .external_lex_state = 3},
  [14376] = {.lex_state = 15, .external_lex_state = 3},
  [14377] = {.lex_state = 131, .external_lex_state = 3},
  [14378] = {.lex_state = 131, .external_lex_state = 3},
  [14379] = {.lex_state = 131, .external_lex_state = 3},
  [14380] = {.lex_state = 131, .external_lex_state = 3},
  [14381] = {.lex_state = 131, .external_lex_state = 3},
  [14382] = {.lex_state = 425, .external_lex_state = 3},
  [14383] = {.lex_state = 131, .external_lex_state = 3},
  [14384] = {.lex_state = 131, .external_lex_state = 3},
  [14385] = {.lex_state = 131, .external_lex_state = 3},
  [14386] = {.lex_state = 131, .external_lex_state = 3},
  [14387] = {.lex_state = 131, .external_lex_state = 3},
  [14388] = {.lex_state = 131, .external_lex_state = 3},
  [14389] = {.lex_state = 132, .external_lex_state = 3},
  [14390] = {.lex_state = 425, .external_lex_state = 3},
  [14391] = {.lex_state = 130, .external_lex_state = 3},
  [14392] = {.lex_state = 15, .external_lex_state = 3},
  [14393] = {.lex_state = 131, .external_lex_state = 3},
  [14394] = {.lex_state = 15, .external_lex_state = 3},
  [14395] = {.lex_state = 131, .external_lex_state = 3},
  [14396] = {.lex_state = 131, .external_lex_state = 3},
  [14397] = {.lex_state = 131, .external_lex_state = 3},
  [14398] = {.lex_state = 131, .external_lex_state = 3},
  [14399] = {.lex_state = 425, .external_lex_state = 3},
  [14400] = {.lex_state = 130, .external_lex_state = 3},
  [14401] = {.lex_state = 15, .external_lex_state = 3},
  [14402] = {.lex_state = 15, .external_lex_state = 3},
  [14403] = {.lex_state = 185, .external_lex_state = 3},
  [14404] = {.lex_state = 185, .external_lex_state = 3},
  [14405] = {.lex_state = 8, .external_lex_state = 3},
  [14406] = {.lex_state = 15, .external_lex_state = 3},
  [14407] = {.lex_state = 185, .external_lex_state = 3},
  [14408] = {.lex_state = 443, .external_lex_state = 3},
  [14409] = {.lex_state = 443, .external_lex_state = 3},
  [14410] = {.lex_state = 131, .external_lex_state = 3},
  [14411] = {.lex_state = 131, .external_lex_state = 3},
  [14412] = {.lex_state = 132, .external_lex_state = 3},
  [14413] = {.lex_state = 15, .external_lex_state = 3},
  [14414] = {.lex_state = 425, .external_lex_state = 3},
  [14415] = {.lex_state = 130, .external_lex_state = 3},
  [14416] = {.lex_state = 15, .external_lex_state = 3},
  [14417] = {.lex_state = 130, .external_lex_state = 3},
  [14418] = {.lex_state = 425, .external_lex_state = 3},
  [14419] = {.lex_state = 425, .external_lex_state = 3},
  [14420] = {.lex_state = 131, .external_lex_state = 3},
  [14421] = {.lex_state = 194, .external_lex_state = 3},
  [14422] = {.lex_state = 15, .external_lex_state = 3},
  [14423] = {.lex_state = 130, .external_lex_state = 3},
  [14424] = {.lex_state = 15, .external_lex_state = 3},
  [14425] = {.lex_state = 15, .external_lex_state = 3},
  [14426] = {.lex_state = 425, .external_lex_state = 3},
  [14427] = {.lex_state = 425, .external_lex_state = 3},
  [14428] = {.lex_state = 132, .external_lex_state = 3},
  [14429] = {.lex_state = 15, .external_lex_state = 3},
  [14430] = {.lex_state = 15, .external_lex_state = 3},
  [14431] = {.lex_state = 425, .external_lex_state = 3},
  [14432] = {.lex_state = 425, .external_lex_state = 3},
  [14433] = {.lex_state = 425, .external_lex_state = 3},
  [14434] = {.lex_state = 425, .external_lex_state = 3},
  [14435] = {.lex_state = 15, .external_lex_state = 3},
  [14436] = {.lex_state = 15, .external_lex_state = 3},
  [14437] = {.lex_state = 130, .external_lex_state = 3},
  [14438] = {.lex_state = 443, .external_lex_state = 3},
  [14439] = {.lex_state = 132, .external_lex_state = 3},
  [14440] = {.lex_state = 130, .external_lex_state = 3},
  [14441] = {.lex_state = 15, .external_lex_state = 3},
  [14442] = {.lex_state = 132, .external_lex_state = 3},
  [14443] = {.lex_state = 443, .external_lex_state = 3},
  [14444] = {.lex_state = 131, .external_lex_state = 3},
  [14445] = {.lex_state = 15, .external_lex_state = 3},
  [14446] = {.lex_state = 131, .external_lex_state = 3},
  [14447] = {.lex_state = 131, .external_lex_state = 3},
  [14448] = {.lex_state = 15, .external_lex_state = 3},
  [14449] = {.lex_state = 178, .external_lex_state = 3},
  [14450] = {.lex_state = 131, .external_lex_state = 3},
  [14451] = {.lex_state = 131, .external_lex_state = 3},
  [14452] = {.lex_state = 131, .external_lex_state = 3},
  [14453] = {.lex_state = 15, .external_lex_state = 3},
  [14454] = {.lex_state = 15, .external_lex_state = 3},
  [14455] = {.lex_state = 132, .external_lex_state = 3},
  [14456] = {.lex_state = 15, .external_lex_state = 3},
  [14457] = {.lex_state = 178, .external_lex_state = 3},
  [14458] = {.lex_state = 131, .external_lex_state = 3},
  [14459] = {.lex_state = 131, .external_lex_state = 3},
  [14460] = {.lex_state = 131, .external_lex_state = 3},
  [14461] = {.lex_state = 443, .external_lex_state = 3},
  [14462] = {.lex_state = 443, .external_lex_state = 3},
  [14463] = {.lex_state = 15, .external_lex_state = 3},
  [14464] = {.lex_state = 132, .external_lex_state = 3},
  [14465] = {.lex_state = 443, .external_lex_state = 3},
  [14466] = {.lex_state = 443, .external_lex_state = 3},
  [14467] = {.lex_state = 15, .external_lex_state = 3},
  [14468] = {.lex_state = 131, .external_lex_state = 3},
  [14469] = {.lex_state = 131, .external_lex_state = 3},
  [14470] = {.lex_state = 15, .external_lex_state = 3},
  [14471] = {.lex_state = 15, .external_lex_state = 3},
  [14472] = {.lex_state = 131, .external_lex_state = 3},
  [14473] = {.lex_state = 131, .external_lex_state = 3},
  [14474] = {.lex_state = 131, .external_lex_state = 3},
  [14475] = {.lex_state = 443, .external_lex_state = 3},
  [14476] = {.lex_state = 443, .external_lex_state = 3},
  [14477] = {.lex_state = 15, .external_lex_state = 3},
  [14478] = {.lex_state = 132, .external_lex_state = 3},
  [14479] = {.lex_state = 131, .external_lex_state = 3},
  [14480] = {.lex_state = 131, .external_lex_state = 3},
  [14481] = {.lex_state = 132, .external_lex_state = 3},
  [14482] = {.lex_state = 131, .external_lex_state = 3},
  [14483] = {.lex_state = 443, .external_lex_state = 3},
  [14484] = {.lex_state = 15, .external_lex_state = 3},
  [14485] = {.lex_state = 192, .external_lex_state = 3},
  [14486] = {.lex_state = 192, .external_lex_state = 3},
  [14487] = {.lex_state = 15, .external_lex_state = 3},
  [14488] = {.lex_state = 132, .external_lex_state = 3},
  [14489] = {.lex_state = 132, .external_lex_state = 3},
  [14490] = {.lex_state = 15, .external_lex_state = 3},
  [14491] = {.lex_state = 192, .external_lex_state = 3},
  [14492] = {.lex_state = 15, .external_lex_state = 3},
  [14493] = {.lex_state = 131, .external_lex_state = 3},
  [14494] = {.lex_state = 131, .external_lex_state = 3},
  [14495] = {.lex_state = 130, .external_lex_state = 3},
  [14496] = {.lex_state = 15, .external_lex_state = 3},
  [14497] = {.lex_state = 192, .external_lex_state = 3},
  [14498] = {.lex_state = 8, .external_lex_state = 3},
  [14499] = {.lex_state = 15, .external_lex_state = 3},
  [14500] = {.lex_state = 131, .external_lex_state = 3},
  [14501] = {.lex_state = 130, .external_lex_state = 3},
  [14502] = {.lex_state = 443, .external_lex_state = 3},
  [14503] = {.lex_state = 443, .external_lex_state = 3},
  [14504] = {.lex_state = 443, .external_lex_state = 3},
  [14505] = {.lex_state = 443, .external_lex_state = 3},
  [14506] = {.lex_state = 443, .external_lex_state = 3},
  [14507] = {.lex_state = 443, .external_lex_state = 3},
  [14508] = {.lex_state = 130, .external_lex_state = 3},
  [14509] = {.lex_state = 443, .external_lex_state = 3},
  [14510] = {.lex_state = 131, .external_lex_state = 3},
  [14511] = {.lex_state = 171, .external_lex_state = 5},
  [14512] = {.lex_state = 171, .external_lex_state = 5},
  [14513] = {.lex_state = 171, .external_lex_state = 5},
  [14514] = {.lex_state = 130, .external_lex_state = 3},
  [14515] = {.lex_state = 130, .external_lex_state = 3},
  [14516] = {.lex_state = 171, .external_lex_state = 5},
  [14517] = {.lex_state = 130, .external_lex_state = 3},
  [14518] = {.lex_state = 132, .external_lex_state = 3},
  [14519] = {.lex_state = 130, .external_lex_state = 3},
  [14520] = {.lex_state = 130, .external_lex_state = 3},
  [14521] = {.lex_state = 130, .external_lex_state = 3},
  [14522] = {.lex_state = 130, .external_lex_state = 3},
  [14523] = {.lex_state = 130, .external_lex_state = 3},
  [14524] = {.lex_state = 130, .external_lex_state = 3},
  [14525] = {.lex_state = 130, .external_lex_state = 3},
  [14526] = {.lex_state = 130, .external_lex_state = 3},
  [14527] = {.lex_state = 130, .external_lex_state = 3},
  [14528] = {.lex_state = 131, .external_lex_state = 3},
  [14529] = {.lex_state = 131, .external_lex_state = 3},
  [14530] = {.lex_state = 130, .external_lex_state = 3},
  [14531] = {.lex_state = 131, .external_lex_state = 3},
  [14532] = {.lex_state = 130, .external_lex_state = 3},
  [14533] = {.lex_state = 131, .external_lex_state = 3},
  [14534] = {.lex_state = 130, .external_lex_state = 3},
  [14535] = {.lex_state = 171, .external_lex_state = 5},
  [14536] = {.lex_state = 15, .external_lex_state = 3},
  [14537] = {.lex_state = 15, .external_lex_state = 3},
  [14538] = {.lex_state = 15, .external_lex_state = 3},
  [14539] = {.lex_state = 171, .external_lex_state = 5},
  [14540] = {.lex_state = 130, .external_lex_state = 3},
  [14541] = {.lex_state = 132, .external_lex_state = 3},
  [14542] = {.lex_state = 171, .external_lex_state = 5},
  [14543] = {.lex_state = 130, .external_lex_state = 3},
  [14544] = {.lex_state = 132, .external_lex_state = 3},
  [14545] = {.lex_state = 130, .external_lex_state = 3},
  [14546] = {.lex_state = 130, .external_lex_state = 3},
  [14547] = {.lex_state = 171, .external_lex_state = 5},
  [14548] = {.lex_state = 131, .external_lex_state = 3},
  [14549] = {.lex_state = 132, .external_lex_state = 3},
  [14550] = {.lex_state = 130, .external_lex_state = 3},
  [14551] = {.lex_state = 130, .external_lex_state = 3},
  [14552] = {.lex_state = 130, .external_lex_state = 3},
  [14553] = {.lex_state = 130, .external_lex_state = 3},
  [14554] = {.lex_state = 171, .external_lex_state = 5},
  [14555] = {.lex_state = 171, .external_lex_state = 5},
  [14556] = {.lex_state = 130, .external_lex_state = 3},
  [14557] = {.lex_state = 130, .external_lex_state = 3},
  [14558] = {.lex_state = 130, .external_lex_state = 3},
  [14559] = {.lex_state = 130, .external_lex_state = 3},
  [14560] = {.lex_state = 171, .external_lex_state = 5},
  [14561] = {.lex_state = 171, .external_lex_state = 5},
  [14562] = {.lex_state = 171, .external_lex_state = 5},
  [14563] = {.lex_state = 130, .external_lex_state = 3},
  [14564] = {.lex_state = 130, .external_lex_state = 3},
  [14565] = {.lex_state = 130, .external_lex_state = 3},
  [14566] = {.lex_state = 131, .external_lex_state = 3},
  [14567] = {.lex_state = 15, .external_lex_state = 3},
  [14568] = {.lex_state = 15, .external_lex_state = 3},
  [14569] = {.lex_state = 443, .external_lex_state = 3},
  [14570] = {.lex_state = 130, .external_lex_state = 3},
  [14571] = {.lex_state = 130, .external_lex_state = 3},
  [14572] = {.lex_state = 131, .external_lex_state = 3},
  [14573] = {.lex_state = 171, .external_lex_state = 5},
  [14574] = {.lex_state = 130, .external_lex_state = 3},
  [14575] = {.lex_state = 171, .external_lex_state = 5},
  [14576] = {.lex_state = 130, .external_lex_state = 3},
  [14577] = {.lex_state = 171, .external_lex_state = 5},
  [14578] = {.lex_state = 130, .external_lex_state = 3},
  [14579] = {.lex_state = 130, .external_lex_state = 3},
  [14580] = {.lex_state = 130, .external_lex_state = 3},
  [14581] = {.lex_state = 130, .external_lex_state = 3},
  [14582] = {.lex_state = 171, .external_lex_state = 5},
  [14583] = {.lex_state = 130, .external_lex_state = 3},
  [14584] = {.lex_state = 131, .external_lex_state = 3},
  [14585] = {.lex_state = 131, .external_lex_state = 3},
  [14586] = {.lex_state = 131, .external_lex_state = 3},
  [14587] = {.lex_state = 131, .external_lex_state = 3},
  [14588] = {.lex_state = 131, .external_lex_state = 3},
  [14589] = {.lex_state = 130, .external_lex_state = 3},
  [14590] = {.lex_state = 171, .external_lex_state = 5},
  [14591] = {.lex_state = 171, .external_lex_state = 5},
  [14592] = {.lex_state = 427, .external_lex_state = 3},
  [14593] = {.lex_state = 130, .external_lex_state = 3},
  [14594] = {.lex_state = 130, .external_lex_state = 3},
  [14595] = {.lex_state = 130, .external_lex_state = 3},
  [14596] = {.lex_state = 15, .external_lex_state = 3},
  [14597] = {.lex_state = 171, .external_lex_state = 5},
  [14598] = {.lex_state = 130, .external_lex_state = 3},
  [14599] = {.lex_state = 132, .external_lex_state = 3},
  [14600] = {.lex_state = 131, .external_lex_state = 3},
  [14601] = {.lex_state = 171, .external_lex_state = 5},
  [14602] = {.lex_state = 130, .external_lex_state = 3},
  [14603] = {.lex_state = 130, .external_lex_state = 3},
  [14604] = {.lex_state = 130, .external_lex_state = 3},
  [14605] = {.lex_state = 130, .external_lex_state = 3},
  [14606] = {.lex_state = 192, .external_lex_state = 3},
  [14607] = {.lex_state = 131, .external_lex_state = 3},
  [14608] = {.lex_state = 443, .external_lex_state = 3},
  [14609] = {.lex_state = 443, .external_lex_state = 3},
  [14610] = {.lex_state = 130, .external_lex_state = 3},
  [14611] = {.lex_state = 130, .external_lex_state = 3},
  [14612] = {.lex_state = 130, .external_lex_state = 3},
  [14613] = {.lex_state = 171, .external_lex_state = 5},
  [14614] = {.lex_state = 131, .external_lex_state = 3},
  [14615] = {.lex_state = 130, .external_lex_state = 3},
  [14616] = {.lex_state = 131, .external_lex_state = 3},
  [14617] = {.lex_state = 130, .external_lex_state = 3},
  [14618] = {.lex_state = 130, .external_lex_state = 3},
  [14619] = {.lex_state = 130, .external_lex_state = 3},
  [14620] = {.lex_state = 130, .external_lex_state = 3},
  [14621] = {.lex_state = 131, .external_lex_state = 3},
  [14622] = {.lex_state = 171, .external_lex_state = 5},
  [14623] = {.lex_state = 131, .external_lex_state = 3},
  [14624] = {.lex_state = 130, .external_lex_state = 3},
  [14625] = {.lex_state = 192, .external_lex_state = 3},
  [14626] = {.lex_state = 192, .external_lex_state = 3},
  [14627] = {.lex_state = 132, .external_lex_state = 3},
  [14628] = {.lex_state = 130, .external_lex_state = 3},
  [14629] = {.lex_state = 194, .external_lex_state = 3},
  [14630] = {.lex_state = 130, .external_lex_state = 3},
  [14631] = {.lex_state = 132, .external_lex_state = 3},
  [14632] = {.lex_state = 130, .external_lex_state = 3},
  [14633] = {.lex_state = 130, .external_lex_state = 3},
  [14634] = {.lex_state = 130, .external_lex_state = 3},
  [14635] = {.lex_state = 171, .external_lex_state = 5},
  [14636] = {.lex_state = 171, .external_lex_state = 5},
  [14637] = {.lex_state = 130, .external_lex_state = 3},
  [14638] = {.lex_state = 130, .external_lex_state = 3},
  [14639] = {.lex_state = 130, .external_lex_state = 3},
  [14640] = {.lex_state = 130, .external_lex_state = 3},
  [14641] = {.lex_state = 130, .external_lex_state = 3},
  [14642] = {.lex_state = 131, .external_lex_state = 3},
  [14643] = {.lex_state = 15, .external_lex_state = 3},
  [14644] = {.lex_state = 15, .external_lex_state = 3},
  [14645] = {.lex_state = 15, .external_lex_state = 3},
  [14646] = {.lex_state = 131, .external_lex_state = 3},
  [14647] = {.lex_state = 131, .external_lex_state = 3},
  [14648] = {.lex_state = 131, .external_lex_state = 3},
  [14649] = {.lex_state = 171, .external_lex_state = 5},
  [14650] = {.lex_state = 131, .external_lex_state = 3},
  [14651] = {.lex_state = 15, .external_lex_state = 3},
  [14652] = {.lex_state = 131, .external_lex_state = 3},
  [14653] = {.lex_state = 130, .external_lex_state = 3},
  [14654] = {.lex_state = 131, .external_lex_state = 3},
  [14655] = {.lex_state = 131, .external_lex_state = 3},
  [14656] = {.lex_state = 131, .external_lex_state = 3},
  [14657] = {.lex_state = 15, .external_lex_state = 3},
  [14658] = {.lex_state = 131, .external_lex_state = 3},
  [14659] = {.lex_state = 130, .external_lex_state = 3},
  [14660] = {.lex_state = 131, .external_lex_state = 3},
  [14661] = {.lex_state = 171, .external_lex_state = 5},
  [14662] = {.lex_state = 130, .external_lex_state = 3},
  [14663] = {.lex_state = 130, .external_lex_state = 3},
  [14664] = {.lex_state = 130, .external_lex_state = 3},
  [14665] = {.lex_state = 443, .external_lex_state = 3},
  [14666] = {.lex_state = 131, .external_lex_state = 3},
  [14667] = {.lex_state = 130, .external_lex_state = 3},
  [14668] = {.lex_state = 131, .external_lex_state = 3},
  [14669] = {.lex_state = 443, .external_lex_state = 3},
  [14670] = {.lex_state = 443, .external_lex_state = 3},
  [14671] = {.lex_state = 131, .external_lex_state = 3},
  [14672] = {.lex_state = 130, .external_lex_state = 3},
  [14673] = {.lex_state = 130, .external_lex_state = 3},
  [14674] = {.lex_state = 130, .external_lex_state = 3},
  [14675] = {.lex_state = 130, .external_lex_state = 3},
  [14676] = {.lex_state = 131, .external_lex_state = 3},
  [14677] = {.lex_state = 131, .external_lex_state = 3},
  [14678] = {.lex_state = 130, .external_lex_state = 3},
  [14679] = {.lex_state = 171, .external_lex_state = 5},
  [14680] = {.lex_state = 130, .external_lex_state = 3},
  [14681] = {.lex_state = 130, .external_lex_state = 3},
  [14682] = {.lex_state = 130, .external_lex_state = 3},
  [14683] = {.lex_state = 194, .external_lex_state = 3},
  [14684] = {.lex_state = 131, .external_lex_state = 3},
  [14685] = {.lex_state = 130, .external_lex_state = 3},
  [14686] = {.lex_state = 130, .external_lex_state = 3},
  [14687] = {.lex_state = 130, .external_lex_state = 3},
  [14688] = {.lex_state = 15, .external_lex_state = 3},
  [14689] = {.lex_state = 171, .external_lex_state = 5},
  [14690] = {.lex_state = 130, .external_lex_state = 3},
  [14691] = {.lex_state = 130, .external_lex_state = 3},
  [14692] = {.lex_state = 15, .external_lex_state = 3},
  [14693] = {.lex_state = 130, .external_lex_state = 3},
  [14694] = {.lex_state = 15, .external_lex_state = 3},
  [14695] = {.lex_state = 15, .external_lex_state = 3},
  [14696] = {.lex_state = 15, .external_lex_state = 3},
  [14697] = {.lex_state = 130, .external_lex_state = 3},
  [14698] = {.lex_state = 131, .external_lex_state = 3},
  [14699] = {.lex_state = 15, .external_lex_state = 3},
  [14700] = {.lex_state = 131, .external_lex_state = 3},
  [14701] = {.lex_state = 131, .external_lex_state = 3},
  [14702] = {.lex_state = 15, .external_lex_state = 3},
  [14703] = {.lex_state = 171, .external_lex_state = 5},
  [14704] = {.lex_state = 130, .external_lex_state = 3},
  [14705] = {.lex_state = 130, .external_lex_state = 3},
  [14706] = {.lex_state = 131, .external_lex_state = 3},
  [14707] = {.lex_state = 130, .external_lex_state = 3},
  [14708] = {.lex_state = 171, .external_lex_state = 5},
  [14709] = {.lex_state = 131, .external_lex_state = 3},
  [14710] = {.lex_state = 131, .external_lex_state = 3},
  [14711] = {.lex_state = 131, .external_lex_state = 3},
  [14712] = {.lex_state = 131, .external_lex_state = 3},
  [14713] = {.lex_state = 131, .external_lex_state = 3},
  [14714] = {.lex_state = 131, .external_lex_state = 3},
  [14715] = {.lex_state = 131, .external_lex_state = 3},
  [14716] = {.lex_state = 177, .external_lex_state = 3},
  [14717] = {.lex_state = 131, .external_lex_state = 3},
  [14718] = {.lex_state = 130, .external_lex_state = 3},
  [14719] = {.lex_state = 130, .external_lex_state = 3},
  [14720] = {.lex_state = 15, .external_lex_state = 3},
  [14721] = {.lex_state = 130, .external_lex_state = 3},
  [14722] = {.lex_state = 130, .external_lex_state = 3},
  [14723] = {.lex_state = 131, .external_lex_state = 3},
  [14724] = {.lex_state = 131, .external_lex_state = 3},
  [14725] = {.lex_state = 131, .external_lex_state = 3},
  [14726] = {.lex_state = 171, .external_lex_state = 5},
  [14727] = {.lex_state = 130, .external_lex_state = 3},
  [14728] = {.lex_state = 131, .external_lex_state = 3},
  [14729] = {.lex_state = 130, .external_lex_state = 3},
  [14730] = {.lex_state = 130, .external_lex_state = 3},
  [14731] = {.lex_state = 427, .external_lex_state = 3},
  [14732] = {.lex_state = 171, .external_lex_state = 5},
  [14733] = {.lex_state = 171, .external_lex_state = 5},
  [14734] = {.lex_state = 131, .external_lex_state = 3},
  [14735] = {.lex_state = 130, .external_lex_state = 3},
  [14736] = {.lex_state = 130, .external_lex_state = 3},
  [14737] = {.lex_state = 130, .external_lex_state = 3},
  [14738] = {.lex_state = 171, .external_lex_state = 5},
  [14739] = {.lex_state = 130, .external_lex_state = 3},
  [14740] = {.lex_state = 171, .external_lex_state = 5},
  [14741] = {.lex_state = 130, .external_lex_state = 3},
  [14742] = {.lex_state = 130, .external_lex_state = 3},
  [14743] = {.lex_state = 130, .external_lex_state = 3},
  [14744] = {.lex_state = 130, .external_lex_state = 3},
  [14745] = {.lex_state = 130, .external_lex_state = 3},
  [14746] = {.lex_state = 171, .external_lex_state = 5},
  [14747] = {.lex_state = 130, .external_lex_state = 3},
  [14748] = {.lex_state = 132, .external_lex_state = 3},
  [14749] = {.lex_state = 130, .external_lex_state = 3},
  [14750] = {.lex_state = 131, .external_lex_state = 3},
  [14751] = {.lex_state = 130, .external_lex_state = 3},
  [14752] = {.lex_state = 130, .external_lex_state = 3},
  [14753] = {.lex_state = 130, .external_lex_state = 3},
  [14754] = {.lex_state = 130, .external_lex_state = 3},
  [14755] = {.lex_state = 130, .external_lex_state = 3},
  [14756] = {.lex_state = 130, .external_lex_state = 3},
  [14757] = {.lex_state = 130, .external_lex_state = 3},
  [14758] = {.lex_state = 130, .external_lex_state = 3},
  [14759] = {.lex_state = 171, .external_lex_state = 5},
  [14760] = {.lex_state = 130, .external_lex_state = 3},
  [14761] = {.lex_state = 171, .external_lex_state = 5},
  [14762] = {.lex_state = 130, .external_lex_state = 3},
  [14763] = {.lex_state = 130, .external_lex_state = 3},
  [14764] = {.lex_state = 130, .external_lex_state = 3},
  [14765] = {.lex_state = 171, .external_lex_state = 5},
  [14766] = {.lex_state = 130, .external_lex_state = 3},
  [14767] = {.lex_state = 130, .external_lex_state = 3},
  [14768] = {.lex_state = 130, .external_lex_state = 3},
  [14769] = {.lex_state = 130, .external_lex_state = 3},
  [14770] = {.lex_state = 130, .external_lex_state = 3},
  [14771] = {.lex_state = 130, .external_lex_state = 3},
  [14772] = {.lex_state = 132, .external_lex_state = 3},
  [14773] = {.lex_state = 132, .external_lex_state = 3},
  [14774] = {.lex_state = 130, .external_lex_state = 3},
  [14775] = {.lex_state = 130, .external_lex_state = 3},
  [14776] = {.lex_state = 130, .external_lex_state = 3},
  [14777] = {.lex_state = 171, .external_lex_state = 5},
  [14778] = {.lex_state = 130, .external_lex_state = 3},
  [14779] = {.lex_state = 185, .external_lex_state = 3},
  [14780] = {.lex_state = 130, .external_lex_state = 3},
  [14781] = {.lex_state = 171, .external_lex_state = 5},
  [14782] = {.lex_state = 130, .external_lex_state = 3},
  [14783] = {.lex_state = 130, .external_lex_state = 3},
  [14784] = {.lex_state = 130, .external_lex_state = 3},
  [14785] = {.lex_state = 131, .external_lex_state = 3},
  [14786] = {.lex_state = 132, .external_lex_state = 3},
  [14787] = {.lex_state = 130, .external_lex_state = 3},
  [14788] = {.lex_state = 132, .external_lex_state = 3},
  [14789] = {.lex_state = 171, .external_lex_state = 5},
  [14790] = {.lex_state = 131, .external_lex_state = 3},
  [14791] = {.lex_state = 130, .external_lex_state = 3},
  [14792] = {.lex_state = 131, .external_lex_state = 3},
  [14793] = {.lex_state = 132, .external_lex_state = 3},
  [14794] = {.lex_state = 130, .external_lex_state = 3},
  [14795] = {.lex_state = 132, .external_lex_state = 3},
  [14796] = {.lex_state = 130, .external_lex_state = 3},
  [14797] = {.lex_state = 131, .external_lex_state = 3},
  [14798] = {.lex_state = 131, .external_lex_state = 3},
  [14799] = {.lex_state = 132, .external_lex_state = 3},
  [14800] = {.lex_state = 132, .external_lex_state = 3},
  [14801] = {.lex_state = 171, .external_lex_state = 5},
  [14802] = {.lex_state = 130, .external_lex_state = 3},
  [14803] = {.lex_state = 131, .external_lex_state = 3},
  [14804] = {.lex_state = 171, .external_lex_state = 5},
  [14805] = {.lex_state = 131, .external_lex_state = 3},
  [14806] = {.lex_state = 131, .external_lex_state = 3},
  [14807] = {.lex_state = 131, .external_lex_state = 3},
  [14808] = {.lex_state = 130, .external_lex_state = 3},
  [14809] = {.lex_state = 130, .external_lex_state = 3},
  [14810] = {.lex_state = 131, .external_lex_state = 3},
  [14811] = {.lex_state = 130, .external_lex_state = 3},
  [14812] = {.lex_state = 131, .external_lex_state = 3},
  [14813] = {.lex_state = 171, .external_lex_state = 5},
  [14814] = {.lex_state = 131, .external_lex_state = 3},
  [14815] = {.lex_state = 427, .external_lex_state = 3},
  [14816] = {.lex_state = 130, .external_lex_state = 3},
  [14817] = {.lex_state = 171, .external_lex_state = 5},
  [14818] = {.lex_state = 130, .external_lex_state = 3},
  [14819] = {.lex_state = 132, .external_lex_state = 3},
  [14820] = {.lex_state = 130, .external_lex_state = 3},
  [14821] = {.lex_state = 132, .external_lex_state = 3},
  [14822] = {.lex_state = 130, .external_lex_state = 3},
  [14823] = {.lex_state = 132, .external_lex_state = 3},
  [14824] = {.lex_state = 130, .external_lex_state = 3},
  [14825] = {.lex_state = 171, .external_lex_state = 5},
  [14826] = {.lex_state = 130, .external_lex_state = 3},
  [14827] = {.lex_state = 130, .external_lex_state = 3},
  [14828] = {.lex_state = 130, .external_lex_state = 3},
  [14829] = {.lex_state = 15, .external_lex_state = 3},
  [14830] = {.lex_state = 130, .external_lex_state = 3},
  [14831] = {.lex_state = 132, .external_lex_state = 3},
  [14832] = {.lex_state = 15, .external_lex_state = 3},
  [14833] = {.lex_state = 131, .external_lex_state = 3},
  [14834] = {.lex_state = 130, .external_lex_state = 3},
  [14835] = {.lex_state = 130, .external_lex_state = 3},
  [14836] = {.lex_state = 15, .external_lex_state = 3},
  [14837] = {.lex_state = 132, .external_lex_state = 3},
  [14838] = {.lex_state = 15, .external_lex_state = 3},
  [14839] = {.lex_state = 171, .external_lex_state = 5},
  [14840] = {.lex_state = 130, .external_lex_state = 3},
  [14841] = {.lex_state = 130, .external_lex_state = 3},
  [14842] = {.lex_state = 130, .external_lex_state = 3},
  [14843] = {.lex_state = 131, .external_lex_state = 3},
  [14844] = {.lex_state = 130, .external_lex_state = 3},
  [14845] = {.lex_state = 130, .external_lex_state = 3},
  [14846] = {.lex_state = 130, .external_lex_state = 3},
  [14847] = {.lex_state = 130, .external_lex_state = 3},
  [14848] = {.lex_state = 130, .external_lex_state = 3},
  [14849] = {.lex_state = 130, .external_lex_state = 3},
  [14850] = {.lex_state = 130, .external_lex_state = 3},
  [14851] = {.lex_state = 130, .external_lex_state = 3},
  [14852] = {.lex_state = 171, .external_lex_state = 5},
  [14853] = {.lex_state = 131, .external_lex_state = 3},
  [14854] = {.lex_state = 130, .external_lex_state = 3},
  [14855] = {.lex_state = 15, .external_lex_state = 3},
  [14856] = {.lex_state = 130, .external_lex_state = 3},
  [14857] = {.lex_state = 130, .external_lex_state = 3},
  [14858] = {.lex_state = 15, .external_lex_state = 3},
  [14859] = {.lex_state = 171, .external_lex_state = 5},
  [14860] = {.lex_state = 132, .external_lex_state = 3},
  [14861] = {.lex_state = 130, .external_lex_state = 3},
  [14862] = {.lex_state = 130, .external_lex_state = 3},
  [14863] = {.lex_state = 130, .external_lex_state = 3},
  [14864] = {.lex_state = 130, .external_lex_state = 3},
  [14865] = {.lex_state = 132, .external_lex_state = 3},
  [14866] = {.lex_state = 15, .external_lex_state = 3},
  [14867] = {.lex_state = 131, .external_lex_state = 3},
  [14868] = {.lex_state = 171, .external_lex_state = 5},
  [14869] = {.lex_state = 15, .external_lex_state = 3},
  [14870] = {.lex_state = 15, .external_lex_state = 3},
  [14871] = {.lex_state = 132, .external_lex_state = 3},
  [14872] = {.lex_state = 130, .external_lex_state = 3},
  [14873] = {.lex_state = 130, .external_lex_state = 3},
  [14874] = {.lex_state = 131, .external_lex_state = 3},
  [14875] = {.lex_state = 130, .external_lex_state = 3},
  [14876] = {.lex_state = 192, .external_lex_state = 3},
  [14877] = {.lex_state = 130, .external_lex_state = 3},
  [14878] = {.lex_state = 15, .external_lex_state = 3},
  [14879] = {.lex_state = 130, .external_lex_state = 3},
  [14880] = {.lex_state = 130, .external_lex_state = 3},
  [14881] = {.lex_state = 130, .external_lex_state = 3},
  [14882] = {.lex_state = 171, .external_lex_state = 5},
  [14883] = {.lex_state = 131, .external_lex_state = 3},
  [14884] = {.lex_state = 171, .external_lex_state = 5},
  [14885] = {.lex_state = 171, .external_lex_state = 5},
  [14886] = {.lex_state = 130, .external_lex_state = 3},
  [14887] = {.lex_state = 130, .external_lex_state = 3},
  [14888] = {.lex_state = 130, .external_lex_state = 3},
  [14889] = {.lex_state = 130, .external_lex_state = 3},
  [14890] = {.lex_state = 130, .external_lex_state = 3},
  [14891] = {.lex_state = 130, .external_lex_state = 3},
  [14892] = {.lex_state = 130, .external_lex_state = 3},
  [14893] = {.lex_state = 171, .external_lex_state = 5},
  [14894] = {.lex_state = 171, .external_lex_state = 5},
  [14895] = {.lex_state = 130, .external_lex_state = 3},
  [14896] = {.lex_state = 131, .external_lex_state = 3},
  [14897] = {.lex_state = 131, .external_lex_state = 3},
  [14898] = {.lex_state = 131, .external_lex_state = 3},
  [14899] = {.lex_state = 171, .external_lex_state = 5},
  [14900] = {.lex_state = 171, .external_lex_state = 5},
  [14901] = {.lex_state = 171, .external_lex_state = 5},
  [14902] = {.lex_state = 130, .external_lex_state = 3},
  [14903] = {.lex_state = 130, .external_lex_state = 3},
  [14904] = {.lex_state = 130, .external_lex_state = 3},
  [14905] = {.lex_state = 131, .external_lex_state = 3},
  [14906] = {.lex_state = 131, .external_lex_state = 3},
  [14907] = {.lex_state = 131, .external_lex_state = 3},
  [14908] = {.lex_state = 132, .external_lex_state = 3},
  [14909] = {.lex_state = 131, .external_lex_state = 3},
  [14910] = {.lex_state = 131, .external_lex_state = 3},
  [14911] = {.lex_state = 131, .external_lex_state = 3},
  [14912] = {.lex_state = 131, .external_lex_state = 3},
  [14913] = {.lex_state = 15, .external_lex_state = 3},
  [14914] = {.lex_state = 131, .external_lex_state = 3},
  [14915] = {.lex_state = 131, .external_lex_state = 3},
  [14916] = {.lex_state = 130, .external_lex_state = 3},
  [14917] = {.lex_state = 177, .external_lex_state = 3},
  [14918] = {.lex_state = 130, .external_lex_state = 3},
  [14919] = {.lex_state = 130, .external_lex_state = 3},
  [14920] = {.lex_state = 130, .external_lex_state = 3},
  [14921] = {.lex_state = 130, .external_lex_state = 3},
  [14922] = {.lex_state = 130, .external_lex_state = 3},
  [14923] = {.lex_state = 130, .external_lex_state = 3},
  [14924] = {.lex_state = 130, .external_lex_state = 3},
  [14925] = {.lex_state = 131, .external_lex_state = 3},
  [14926] = {.lex_state = 130, .external_lex_state = 3},
  [14927] = {.lex_state = 171, .external_lex_state = 5},
  [14928] = {.lex_state = 130, .external_lex_state = 3},
  [14929] = {.lex_state = 130, .external_lex_state = 3},
  [14930] = {.lex_state = 15, .external_lex_state = 3},
  [14931] = {.lex_state = 131, .external_lex_state = 3},
  [14932] = {.lex_state = 130, .external_lex_state = 3},
  [14933] = {.lex_state = 130, .external_lex_state = 3},
  [14934] = {.lex_state = 131, .external_lex_state = 3},
  [14935] = {.lex_state = 443, .external_lex_state = 3},
  [14936] = {.lex_state = 130, .external_lex_state = 3},
  [14937] = {.lex_state = 130, .external_lex_state = 3},
  [14938] = {.lex_state = 171, .external_lex_state = 5},
  [14939] = {.lex_state = 171, .external_lex_state = 5},
  [14940] = {.lex_state = 130, .external_lex_state = 3},
  [14941] = {.lex_state = 130, .external_lex_state = 3},
  [14942] = {.lex_state = 131, .external_lex_state = 3},
  [14943] = {.lex_state = 132, .external_lex_state = 3},
  [14944] = {.lex_state = 131, .external_lex_state = 3},
  [14945] = {.lex_state = 171, .external_lex_state = 5},
  [14946] = {.lex_state = 130, .external_lex_state = 3},
  [14947] = {.lex_state = 130, .external_lex_state = 3},
  [14948] = {.lex_state = 130, .external_lex_state = 3},
  [14949] = {.lex_state = 171, .external_lex_state = 5},
  [14950] = {.lex_state = 443, .external_lex_state = 3},
  [14951] = {.lex_state = 443, .external_lex_state = 3},
  [14952] = {.lex_state = 194, .external_lex_state = 3},
  [14953] = {.lex_state = 130, .external_lex_state = 3},
  [14954] = {.lex_state = 241, .external_lex_state = 3},
  [14955] = {.lex_state = 15, .external_lex_state = 3},
  [14956] = {.lex_state = 443, .external_lex_state = 3},
  [14957] = {.lex_state = 130, .external_lex_state = 3},
  [14958] = {.lex_state = 15, .external_lex_state = 3},
  [14959] = {.lex_state = 15, .external_lex_state = 3},
  [14960] = {.lex_state = 15, .external_lex_state = 3},
  [14961] = {.lex_state = 15, .external_lex_state = 3},
  [14962] = {.lex_state = 194, .external_lex_state = 3},
  [14963] = {.lex_state = 15, .external_lex_state = 3},
  [14964] = {.lex_state = 130, .external_lex_state = 3},
  [14965] = {.lex_state = 443, .external_lex_state = 3},
  [14966] = {.lex_state = 194, .external_lex_state = 3},
  [14967] = {.lex_state = 241, .external_lex_state = 3},
  [14968] = {.lex_state = 130, .external_lex_state = 3},
  [14969] = {.lex_state = 443, .external_lex_state = 3},
  [14970] = {.lex_state = 443, .external_lex_state = 3},
  [14971] = {.lex_state = 194, .external_lex_state = 3},
  [14972] = {.lex_state = 194, .external_lex_state = 3},
  [14973] = {.lex_state = 194, .external_lex_state = 3},
  [14974] = {.lex_state = 194, .external_lex_state = 3},
  [14975] = {.lex_state = 130, .external_lex_state = 3},
  [14976] = {.lex_state = 194, .external_lex_state = 3},
  [14977] = {.lex_state = 194, .external_lex_state = 3},
  [14978] = {.lex_state = 130, .external_lex_state = 3},
  [14979] = {.lex_state = 194, .external_lex_state = 3},
  [14980] = {.lex_state = 130, .external_lex_state = 3},
  [14981] = {.lex_state = 15, .external_lex_state = 3},
  [14982] = {.lex_state = 194, .external_lex_state = 3},
  [14983] = {.lex_state = 443, .external_lex_state = 3},
  [14984] = {.lex_state = 194, .external_lex_state = 3},
  [14985] = {.lex_state = 130, .external_lex_state = 3},
  [14986] = {.lex_state = 15, .external_lex_state = 3},
  [14987] = {.lex_state = 443, .external_lex_state = 3},
  [14988] = {.lex_state = 130, .external_lex_state = 3},
  [14989] = {.lex_state = 15, .external_lex_state = 3},
  [14990] = {.lex_state = 130, .external_lex_state = 3},
  [14991] = {.lex_state = 15, .external_lex_state = 3},
  [14992] = {.lex_state = 443, .external_lex_state = 3},
  [14993] = {.lex_state = 130, .external_lex_state = 3},
  [14994] = {.lex_state = 443, .external_lex_state = 3},
  [14995] = {.lex_state = 15, .external_lex_state = 3},
  [14996] = {.lex_state = 15, .external_lex_state = 3},
  [14997] = {.lex_state = 15, .external_lex_state = 3},
  [14998] = {.lex_state = 15, .external_lex_state = 3},
  [14999] = {.lex_state = 443, .external_lex_state = 3},
  [15000] = {.lex_state = 130, .external_lex_state = 3},
  [15001] = {.lex_state = 15, .external_lex_state = 3},
  [15002] = {.lex_state = 15, .external_lex_state = 3},
  [15003] = {.lex_state = 132, .external_lex_state = 3},
  [15004] = {.lex_state = 443, .external_lex_state = 3},
  [15005] = {.lex_state = 19, .external_lex_state = 3},
  [15006] = {.lex_state = 241, .external_lex_state = 3},
  [15007] = {.lex_state = 15, .external_lex_state = 3},
  [15008] = {.lex_state = 130, .external_lex_state = 3},
  [15009] = {.lex_state = 443, .external_lex_state = 3},
  [15010] = {.lex_state = 130, .external_lex_state = 3},
  [15011] = {.lex_state = 15, .external_lex_state = 3},
  [15012] = {.lex_state = 130, .external_lex_state = 3},
  [15013] = {.lex_state = 131, .external_lex_state = 3},
  [15014] = {.lex_state = 15, .external_lex_state = 3},
  [15015] = {.lex_state = 8, .external_lex_state = 3},
  [15016] = {.lex_state = 241, .external_lex_state = 3},
  [15017] = {.lex_state = 202, .external_lex_state = 3},
  [15018] = {.lex_state = 194, .external_lex_state = 3},
  [15019] = {.lex_state = 15, .external_lex_state = 3},
  [15020] = {.lex_state = 228, .external_lex_state = 3},
  [15021] = {.lex_state = 132, .external_lex_state = 3},
  [15022] = {.lex_state = 130, .external_lex_state = 3},
  [15023] = {.lex_state = 15, .external_lex_state = 3},
  [15024] = {.lex_state = 130, .external_lex_state = 3},
  [15025] = {.lex_state = 8, .external_lex_state = 3},
  [15026] = {.lex_state = 194, .external_lex_state = 3},
  [15027] = {.lex_state = 194, .external_lex_state = 3},
  [15028] = {.lex_state = 130, .external_lex_state = 3},
  [15029] = {.lex_state = 194, .external_lex_state = 3},
  [15030] = {.lex_state = 130, .external_lex_state = 3},
  [15031] = {.lex_state = 15, .external_lex_state = 3},
  [15032] = {.lex_state = 130, .external_lex_state = 3},
  [15033] = {.lex_state = 228, .external_lex_state = 3},
  [15034] = {.lex_state = 194, .external_lex_state = 3},
  [15035] = {.lex_state = 130, .external_lex_state = 3},
  [15036] = {.lex_state = 130, .external_lex_state = 3},
  [15037] = {.lex_state = 241, .external_lex_state = 3},
  [15038] = {.lex_state = 443, .external_lex_state = 3},
  [15039] = {.lex_state = 130, .external_lex_state = 3},
  [15040] = {.lex_state = 194, .external_lex_state = 3},
  [15041] = {.lex_state = 130, .external_lex_state = 3},
  [15042] = {.lex_state = 194, .external_lex_state = 3},
  [15043] = {.lex_state = 241, .external_lex_state = 3},
  [15044] = {.lex_state = 130, .external_lex_state = 3},
  [15045] = {.lex_state = 241, .external_lex_state = 3},
  [15046] = {.lex_state = 15, .external_lex_state = 3},
  [15047] = {.lex_state = 15, .external_lex_state = 3},
  [15048] = {.lex_state = 15, .external_lex_state = 3},
  [15049] = {.lex_state = 15, .external_lex_state = 3},
  [15050] = {.lex_state = 130, .external_lex_state = 3},
  [15051] = {.lex_state = 15, .external_lex_state = 3},
  [15052] = {.lex_state = 130, .external_lex_state = 3},
  [15053] = {.lex_state = 443, .external_lex_state = 3},
  [15054] = {.lex_state = 130, .external_lex_state = 3},
  [15055] = {.lex_state = 443, .external_lex_state = 3},
  [15056] = {.lex_state = 130, .external_lex_state = 3},
  [15057] = {.lex_state = 15, .external_lex_state = 3},
  [15058] = {.lex_state = 15, .external_lex_state = 3},
  [15059] = {.lex_state = 130, .external_lex_state = 3},
  [15060] = {.lex_state = 130, .external_lex_state = 3},
  [15061] = {.lex_state = 130, .external_lex_state = 3},
  [15062] = {.lex_state = 443, .external_lex_state = 3},
  [15063] = {.lex_state = 171, .external_lex_state = 5},
  [15064] = {.lex_state = 130, .external_lex_state = 3},
  [15065] = {.lex_state = 131, .external_lex_state = 3},
  [15066] = {.lex_state = 130, .external_lex_state = 3},
  [15067] = {.lex_state = 130, .external_lex_state = 3},
  [15068] = {.lex_state = 130, .external_lex_state = 3},
  [15069] = {.lex_state = 443, .external_lex_state = 3},
  [15070] = {.lex_state = 15, .external_lex_state = 3},
  [15071] = {.lex_state = 15, .external_lex_state = 3},
  [15072] = {.lex_state = 130, .external_lex_state = 3},
  [15073] = {.lex_state = 443, .external_lex_state = 3},
  [15074] = {.lex_state = 202, .external_lex_state = 3},
  [15075] = {.lex_state = 15, .external_lex_state = 3},
  [15076] = {.lex_state = 194, .external_lex_state = 3},
  [15077] = {.lex_state = 130, .external_lex_state = 3},
  [15078] = {.lex_state = 130, .external_lex_state = 3},
  [15079] = {.lex_state = 443, .external_lex_state = 3},
  [15080] = {.lex_state = 194, .external_lex_state = 3},
  [15081] = {.lex_state = 194, .external_lex_state = 3},
  [15082] = {.lex_state = 130, .external_lex_state = 3},
  [15083] = {.lex_state = 194, .external_lex_state = 3},
  [15084] = {.lex_state = 15, .external_lex_state = 3},
  [15085] = {.lex_state = 15, .external_lex_state = 3},
  [15086] = {.lex_state = 130, .external_lex_state = 3},
  [15087] = {.lex_state = 443, .external_lex_state = 3},
  [15088] = {.lex_state = 130, .external_lex_state = 3},
  [15089] = {.lex_state = 8, .external_lex_state = 3},
  [15090] = {.lex_state = 130, .external_lex_state = 3},
  [15091] = {.lex_state = 130, .external_lex_state = 3},
  [15092] = {.lex_state = 130, .external_lex_state = 3},
  [15093] = {.lex_state = 130, .external_lex_state = 3},
  [15094] = {.lex_state = 227, .external_lex_state = 3},
  [15095] = {.lex_state = 15, .external_lex_state = 3},
  [15096] = {.lex_state = 130, .external_lex_state = 3},
  [15097] = {.lex_state = 130, .external_lex_state = 3},
  [15098] = {.lex_state = 425, .external_lex_state = 3},
  [15099] = {.lex_state = 130, .external_lex_state = 3},
  [15100] = {.lex_state = 443, .external_lex_state = 3},
  [15101] = {.lex_state = 130, .external_lex_state = 3},
  [15102] = {.lex_state = 425, .external_lex_state = 3},
  [15103] = {.lex_state = 130, .external_lex_state = 3},
  [15104] = {.lex_state = 130, .external_lex_state = 3},
  [15105] = {.lex_state = 132, .external_lex_state = 3},
  [15106] = {.lex_state = 130, .external_lex_state = 3},
  [15107] = {.lex_state = 15, .external_lex_state = 3},
  [15108] = {.lex_state = 130, .external_lex_state = 3},
  [15109] = {.lex_state = 15, .external_lex_state = 3},
  [15110] = {.lex_state = 443, .external_lex_state = 3},
  [15111] = {.lex_state = 130, .external_lex_state = 3},
  [15112] = {.lex_state = 130, .external_lex_state = 3},
  [15113] = {.lex_state = 130, .external_lex_state = 3},
  [15114] = {.lex_state = 130, .external_lex_state = 3},
  [15115] = {.lex_state = 194, .external_lex_state = 3},
  [15116] = {.lex_state = 443, .external_lex_state = 3},
  [15117] = {.lex_state = 130, .external_lex_state = 3},
  [15118] = {.lex_state = 130, .external_lex_state = 3},
  [15119] = {.lex_state = 194, .external_lex_state = 3},
  [15120] = {.lex_state = 15, .external_lex_state = 3},
  [15121] = {.lex_state = 130, .external_lex_state = 3},
  [15122] = {.lex_state = 15, .external_lex_state = 3},
  [15123] = {.lex_state = 130, .external_lex_state = 3},
  [15124] = {.lex_state = 130, .external_lex_state = 3},
  [15125] = {.lex_state = 130, .external_lex_state = 3},
  [15126] = {.lex_state = 130, .external_lex_state = 3},
  [15127] = {.lex_state = 15, .external_lex_state = 3},
  [15128] = {.lex_state = 202, .external_lex_state = 3},
  [15129] = {.lex_state = 130, .external_lex_state = 3},
  [15130] = {.lex_state = 15, .external_lex_state = 3},
  [15131] = {.lex_state = 194, .external_lex_state = 3},
  [15132] = {.lex_state = 130, .external_lex_state = 3},
  [15133] = {.lex_state = 130, .external_lex_state = 3},
  [15134] = {.lex_state = 130, .external_lex_state = 3},
  [15135] = {.lex_state = 131, .external_lex_state = 3},
  [15136] = {.lex_state = 443, .external_lex_state = 3},
  [15137] = {.lex_state = 15, .external_lex_state = 3},
  [15138] = {.lex_state = 443, .external_lex_state = 3},
  [15139] = {.lex_state = 130, .external_lex_state = 3},
  [15140] = {.lex_state = 130, .external_lex_state = 3},
  [15141] = {.lex_state = 130, .external_lex_state = 3},
  [15142] = {.lex_state = 15, .external_lex_state = 3},
  [15143] = {.lex_state = 130, .external_lex_state = 3},
  [15144] = {.lex_state = 130, .external_lex_state = 3},
  [15145] = {.lex_state = 130, .external_lex_state = 3},
  [15146] = {.lex_state = 131, .external_lex_state = 3},
  [15147] = {.lex_state = 15, .external_lex_state = 3},
  [15148] = {.lex_state = 194, .external_lex_state = 3},
  [15149] = {.lex_state = 130, .external_lex_state = 3},
  [15150] = {.lex_state = 130, .external_lex_state = 3},
  [15151] = {.lex_state = 130, .external_lex_state = 3},
  [15152] = {.lex_state = 130, .external_lex_state = 3},
  [15153] = {.lex_state = 194, .external_lex_state = 3},
  [15154] = {.lex_state = 132, .external_lex_state = 3},
  [15155] = {.lex_state = 130, .external_lex_state = 3},
  [15156] = {.lex_state = 130, .external_lex_state = 3},
  [15157] = {.lex_state = 15, .external_lex_state = 3},
  [15158] = {.lex_state = 202, .external_lex_state = 3},
  [15159] = {.lex_state = 130, .external_lex_state = 3},
  [15160] = {.lex_state = 15, .external_lex_state = 3},
  [15161] = {.lex_state = 130, .external_lex_state = 3},
  [15162] = {.lex_state = 171, .external_lex_state = 5},
  [15163] = {.lex_state = 241, .external_lex_state = 3},
  [15164] = {.lex_state = 130, .external_lex_state = 3},
  [15165] = {.lex_state = 15, .external_lex_state = 3},
  [15166] = {.lex_state = 15, .external_lex_state = 3},
  [15167] = {.lex_state = 15, .external_lex_state = 3},
  [15168] = {.lex_state = 425, .external_lex_state = 3},
  [15169] = {.lex_state = 130, .external_lex_state = 3},
  [15170] = {.lex_state = 130, .external_lex_state = 3},
  [15171] = {.lex_state = 8, .external_lex_state = 3},
  [15172] = {.lex_state = 15, .external_lex_state = 3},
  [15173] = {.lex_state = 15, .external_lex_state = 3},
  [15174] = {.lex_state = 443, .external_lex_state = 3},
  [15175] = {.lex_state = 130, .external_lex_state = 3},
  [15176] = {.lex_state = 194, .external_lex_state = 3},
  [15177] = {.lex_state = 15, .external_lex_state = 3},
  [15178] = {.lex_state = 194, .external_lex_state = 3},
  [15179] = {.lex_state = 443, .external_lex_state = 3},
  [15180] = {.lex_state = 443, .external_lex_state = 3},
  [15181] = {.lex_state = 443, .external_lex_state = 3},
  [15182] = {.lex_state = 443, .external_lex_state = 3},
  [15183] = {.lex_state = 443, .external_lex_state = 3},
  [15184] = {.lex_state = 130, .external_lex_state = 3},
  [15185] = {.lex_state = 130, .external_lex_state = 3},
  [15186] = {.lex_state = 443, .external_lex_state = 3},
  [15187] = {.lex_state = 443, .external_lex_state = 3},
  [15188] = {.lex_state = 443, .external_lex_state = 3},
  [15189] = {.lex_state = 443, .external_lex_state = 3},
  [15190] = {.lex_state = 443, .external_lex_state = 3},
  [15191] = {.lex_state = 443, .external_lex_state = 3},
  [15192] = {.lex_state = 443, .external_lex_state = 3},
  [15193] = {.lex_state = 194, .external_lex_state = 3},
  [15194] = {.lex_state = 8, .external_lex_state = 3},
  [15195] = {.lex_state = 8, .external_lex_state = 3},
  [15196] = {.lex_state = 130, .external_lex_state = 3},
  [15197] = {.lex_state = 8, .external_lex_state = 3},
  [15198] = {.lex_state = 8, .external_lex_state = 3},
  [15199] = {.lex_state = 8, .external_lex_state = 3},
  [15200] = {.lex_state = 177, .external_lex_state = 3},
  [15201] = {.lex_state = 19, .external_lex_state = 3},
  [15202] = {.lex_state = 8, .external_lex_state = 3},
  [15203] = {.lex_state = 425, .external_lex_state = 3},
  [15204] = {.lex_state = 8, .external_lex_state = 3},
  [15205] = {.lex_state = 443, .external_lex_state = 3},
  [15206] = {.lex_state = 177, .external_lex_state = 3},
  [15207] = {.lex_state = 8, .external_lex_state = 3},
  [15208] = {.lex_state = 19, .external_lex_state = 3},
  [15209] = {.lex_state = 19, .external_lex_state = 3},
  [15210] = {.lex_state = 19, .external_lex_state = 3},
  [15211] = {.lex_state = 177, .external_lex_state = 3},
  [15212] = {.lex_state = 177, .external_lex_state = 3},
  [15213] = {.lex_state = 130, .external_lex_state = 3},
  [15214] = {.lex_state = 443, .external_lex_state = 3},
  [15215] = {.lex_state = 202, .external_lex_state = 3},
  [15216] = {.lex_state = 443, .external_lex_state = 3},
  [15217] = {.lex_state = 19, .external_lex_state = 3},
  [15218] = {.lex_state = 130, .external_lex_state = 3},
  [15219] = {.lex_state = 8, .external_lex_state = 3},
  [15220] = {.lex_state = 19, .external_lex_state = 3},
  [15221] = {.lex_state = 425, .external_lex_state = 3},
  [15222] = {.lex_state = 443, .external_lex_state = 3},
  [15223] = {.lex_state = 177, .external_lex_state = 3},
  [15224] = {.lex_state = 8, .external_lex_state = 3},
  [15225] = {.lex_state = 8, .external_lex_state = 3},
  [15226] = {.lex_state = 15, .external_lex_state = 3},
  [15227] = {.lex_state = 425, .external_lex_state = 3},
  [15228] = {.lex_state = 425, .external_lex_state = 3},
  [15229] = {.lex_state = 8, .external_lex_state = 3},
  [15230] = {.lex_state = 19, .external_lex_state = 3},
  [15231] = {.lex_state = 202, .external_lex_state = 3},
  [15232] = {.lex_state = 130, .external_lex_state = 3},
  [15233] = {.lex_state = 177, .external_lex_state = 3},
  [15234] = {.lex_state = 7, .external_lex_state = 3},
  [15235] = {.lex_state = 191, .external_lex_state = 3},
  [15236] = {.lex_state = 171, .external_lex_state = 5},
  [15237] = {.lex_state = 215, .external_lex_state = 3},
  [15238] = {.lex_state = 443, .external_lex_state = 3},
  [15239] = {.lex_state = 202, .external_lex_state = 3},
  [15240] = {.lex_state = 19, .external_lex_state = 3},
  [15241] = {.lex_state = 202, .external_lex_state = 3},
  [15242] = {.lex_state = 443, .external_lex_state = 3},
  [15243] = {.lex_state = 202, .external_lex_state = 3},
  [15244] = {.lex_state = 215, .external_lex_state = 3},
  [15245] = {.lex_state = 191, .external_lex_state = 3},
  [15246] = {.lex_state = 202, .external_lex_state = 3},
  [15247] = {.lex_state = 202, .external_lex_state = 3},
  [15248] = {.lex_state = 7, .external_lex_state = 3},
  [15249] = {.lex_state = 198, .external_lex_state = 3},
  [15250] = {.lex_state = 191, .external_lex_state = 3},
  [15251] = {.lex_state = 202, .external_lex_state = 3},
  [15252] = {.lex_state = 202, .external_lex_state = 3},
  [15253] = {.lex_state = 202, .external_lex_state = 3},
  [15254] = {.lex_state = 8, .external_lex_state = 3},
  [15255] = {.lex_state = 202, .external_lex_state = 3},
  [15256] = {.lex_state = 202, .external_lex_state = 3},
  [15257] = {.lex_state = 202, .external_lex_state = 3},
  [15258] = {.lex_state = 136, .external_lex_state = 3},
  [15259] = {.lex_state = 202, .external_lex_state = 3},
  [15260] = {.lex_state = 202, .external_lex_state = 3},
  [15261] = {.lex_state = 191, .external_lex_state = 3},
  [15262] = {.lex_state = 191, .external_lex_state = 3},
  [15263] = {.lex_state = 215, .external_lex_state = 3},
  [15264] = {.lex_state = 202, .external_lex_state = 3},
  [15265] = {.lex_state = 171, .external_lex_state = 5},
  [15266] = {.lex_state = 8, .external_lex_state = 3},
  [15267] = {.lex_state = 215, .external_lex_state = 3},
  [15268] = {.lex_state = 202, .external_lex_state = 3},
  [15269] = {.lex_state = 202, .external_lex_state = 3},
  [15270] = {.lex_state = 198, .external_lex_state = 3},
  [15271] = {.lex_state = 8, .external_lex_state = 3},
  [15272] = {.lex_state = 202, .external_lex_state = 3},
  [15273] = {.lex_state = 198, .external_lex_state = 3},
  [15274] = {.lex_state = 202, .external_lex_state = 3},
  [15275] = {.lex_state = 202, .external_lex_state = 3},
  [15276] = {.lex_state = 202, .external_lex_state = 3},
  [15277] = {.lex_state = 443, .external_lex_state = 3},
  [15278] = {.lex_state = 202, .external_lex_state = 3},
  [15279] = {.lex_state = 202, .external_lex_state = 3},
  [15280] = {.lex_state = 443, .external_lex_state = 3},
  [15281] = {.lex_state = 191, .external_lex_state = 3},
  [15282] = {.lex_state = 202, .external_lex_state = 3},
  [15283] = {.lex_state = 215, .external_lex_state = 3},
  [15284] = {.lex_state = 202, .external_lex_state = 3},
  [15285] = {.lex_state = 8, .external_lex_state = 3},
  [15286] = {.lex_state = 215, .external_lex_state = 3},
  [15287] = {.lex_state = 443, .external_lex_state = 3},
  [15288] = {.lex_state = 7, .external_lex_state = 3},
  [15289] = {.lex_state = 443, .external_lex_state = 3},
  [15290] = {.lex_state = 19, .external_lex_state = 3},
  [15291] = {.lex_state = 184, .external_lex_state = 3},
  [15292] = {.lex_state = 198, .external_lex_state = 3},
  [15293] = {.lex_state = 202, .external_lex_state = 3},
  [15294] = {.lex_state = 202, .external_lex_state = 3},
  [15295] = {.lex_state = 136, .external_lex_state = 3},
  [15296] = {.lex_state = 215, .external_lex_state = 3},
  [15297] = {.lex_state = 202, .external_lex_state = 3},
  [15298] = {.lex_state = 8, .external_lex_state = 3},
  [15299] = {.lex_state = 19, .external_lex_state = 3},
  [15300] = {.lex_state = 181, .external_lex_state = 3},
  [15301] = {.lex_state = 215, .external_lex_state = 3},
  [15302] = {.lex_state = 202, .external_lex_state = 3},
  [15303] = {.lex_state = 19, .external_lex_state = 3},
  [15304] = {.lex_state = 202, .external_lex_state = 3},
  [15305] = {.lex_state = 8, .external_lex_state = 3},
  [15306] = {.lex_state = 202, .external_lex_state = 3},
  [15307] = {.lex_state = 136, .external_lex_state = 3},
  [15308] = {.lex_state = 202, .external_lex_state = 3},
  [15309] = {.lex_state = 202, .external_lex_state = 3},
  [15310] = {.lex_state = 394, .external_lex_state = 3},
  [15311] = {.lex_state = 15, .external_lex_state = 3},
  [15312] = {.lex_state = 394, .external_lex_state = 3},
  [15313] = {.lex_state = 177, .external_lex_state = 3},
  [15314] = {.lex_state = 15, .external_lex_state = 3},
  [15315] = {.lex_state = 394, .external_lex_state = 3},
  [15316] = {.lex_state = 394, .external_lex_state = 3},
  [15317] = {.lex_state = 425, .external_lex_state = 3},
  [15318] = {.lex_state = 394, .external_lex_state = 3},
  [15319] = {.lex_state = 425, .external_lex_state = 3},
  [15320] = {.lex_state = 425, .external_lex_state = 3},
  [15321] = {.lex_state = 425, .external_lex_state = 3},
  [15322] = {.lex_state = 15, .external_lex_state = 3},
  [15323] = {.lex_state = 15, .external_lex_state = 3},
  [15324] = {.lex_state = 425, .external_lex_state = 3},
  [15325] = {.lex_state = 425, .external_lex_state = 3},
  [15326] = {.lex_state = 425, .external_lex_state = 3},
  [15327] = {.lex_state = 394, .external_lex_state = 3},
  [15328] = {.lex_state = 15, .external_lex_state = 3},
  [15329] = {.lex_state = 394, .external_lex_state = 3},
  [15330] = {.lex_state = 394, .external_lex_state = 3},
  [15331] = {.lex_state = 394, .external_lex_state = 3},
  [15332] = {.lex_state = 425, .external_lex_state = 3},
  [15333] = {.lex_state = 425, .external_lex_state = 3},
  [15334] = {.lex_state = 425, .external_lex_state = 3},
  [15335] = {.lex_state = 425, .external_lex_state = 3},
  [15336] = {.lex_state = 425, .external_lex_state = 3},
  [15337] = {.lex_state = 425, .external_lex_state = 3},
  [15338] = {.lex_state = 425, .external_lex_state = 3},
  [15339] = {.lex_state = 15, .external_lex_state = 3},
  [15340] = {.lex_state = 394, .external_lex_state = 3},
  [15341] = {.lex_state = 19, .external_lex_state = 3},
  [15342] = {.lex_state = 425, .external_lex_state = 3},
  [15343] = {.lex_state = 425, .external_lex_state = 3},
  [15344] = {.lex_state = 394, .external_lex_state = 3},
  [15345] = {.lex_state = 15, .external_lex_state = 3},
  [15346] = {.lex_state = 394, .external_lex_state = 3},
  [15347] = {.lex_state = 394, .external_lex_state = 3},
  [15348] = {.lex_state = 425, .external_lex_state = 3},
  [15349] = {.lex_state = 425, .external_lex_state = 3},
  [15350] = {.lex_state = 15, .external_lex_state = 3},
  [15351] = {.lex_state = 394, .external_lex_state = 3},
  [15352] = {.lex_state = 394, .external_lex_state = 3},
  [15353] = {.lex_state = 394, .external_lex_state = 3},
  [15354] = {.lex_state = 394, .external_lex_state = 3},
  [15355] = {.lex_state = 425, .external_lex_state = 3},
  [15356] = {.lex_state = 425, .external_lex_state = 3},
  [15357] = {.lex_state = 425, .external_lex_state = 3},
  [15358] = {.lex_state = 15, .external_lex_state = 3},
  [15359] = {.lex_state = 394, .external_lex_state = 3},
  [15360] = {.lex_state = 425, .external_lex_state = 3},
  [15361] = {.lex_state = 425, .external_lex_state = 3},
  [15362] = {.lex_state = 394, .external_lex_state = 3},
  [15363] = {.lex_state = 15, .external_lex_state = 3},
  [15364] = {.lex_state = 198, .external_lex_state = 3},
  [15365] = {.lex_state = 215, .external_lex_state = 3},
  [15366] = {.lex_state = 15, .external_lex_state = 3},
  [15367] = {.lex_state = 425, .external_lex_state = 3},
  [15368] = {.lex_state = 394, .external_lex_state = 3},
  [15369] = {.lex_state = 394, .external_lex_state = 3},
  [15370] = {.lex_state = 425, .external_lex_state = 3},
  [15371] = {.lex_state = 15, .external_lex_state = 3},
  [15372] = {.lex_state = 394, .external_lex_state = 3},
  [15373] = {.lex_state = 394, .external_lex_state = 3},
  [15374] = {.lex_state = 215, .external_lex_state = 3},
  [15375] = {.lex_state = 425, .external_lex_state = 3},
  [15376] = {.lex_state = 425, .external_lex_state = 3},
  [15377] = {.lex_state = 425, .external_lex_state = 3},
  [15378] = {.lex_state = 425, .external_lex_state = 3},
  [15379] = {.lex_state = 425, .external_lex_state = 3},
  [15380] = {.lex_state = 394, .external_lex_state = 3},
  [15381] = {.lex_state = 394, .external_lex_state = 3},
  [15382] = {.lex_state = 394, .external_lex_state = 3},
  [15383] = {.lex_state = 425, .external_lex_state = 3},
  [15384] = {.lex_state = 425, .external_lex_state = 3},
  [15385] = {.lex_state = 394, .external_lex_state = 3},
  [15386] = {.lex_state = 425, .external_lex_state = 3},
  [15387] = {.lex_state = 425, .external_lex_state = 3},
  [15388] = {.lex_state = 15, .external_lex_state = 3},
  [15389] = {.lex_state = 394, .external_lex_state = 3},
  [15390] = {.lex_state = 425, .external_lex_state = 3},
  [15391] = {.lex_state = 394, .external_lex_state = 3},
  [15392] = {.lex_state = 394, .external_lex_state = 3},
  [15393] = {.lex_state = 394, .external_lex_state = 3},
  [15394] = {.lex_state = 15, .external_lex_state = 3},
  [15395] = {.lex_state = 425, .external_lex_state = 3},
  [15396] = {.lex_state = 425, .external_lex_state = 3},
  [15397] = {.lex_state = 425, .external_lex_state = 3},
  [15398] = {.lex_state = 215, .external_lex_state = 3},
  [15399] = {.lex_state = 394, .external_lex_state = 3},
  [15400] = {.lex_state = 394, .external_lex_state = 3},
  [15401] = {.lex_state = 394, .external_lex_state = 3},
  [15402] = {.lex_state = 15, .external_lex_state = 3},
  [15403] = {.lex_state = 215, .external_lex_state = 3},
  [15404] = {.lex_state = 202, .external_lex_state = 3},
  [15405] = {.lex_state = 394, .external_lex_state = 3},
  [15406] = {.lex_state = 425, .external_lex_state = 3},
  [15407] = {.lex_state = 394, .external_lex_state = 3},
  [15408] = {.lex_state = 394, .external_lex_state = 3},
  [15409] = {.lex_state = 425, .external_lex_state = 3},
  [15410] = {.lex_state = 425, .external_lex_state = 3},
  [15411] = {.lex_state = 394, .external_lex_state = 3},
  [15412] = {.lex_state = 394, .external_lex_state = 3},
  [15413] = {.lex_state = 15, .external_lex_state = 3},
  [15414] = {.lex_state = 177, .external_lex_state = 3},
  [15415] = {.lex_state = 425, .external_lex_state = 3},
  [15416] = {.lex_state = 394, .external_lex_state = 3},
  [15417] = {.lex_state = 202, .external_lex_state = 3},
  [15418] = {.lex_state = 215, .external_lex_state = 3},
  [15419] = {.lex_state = 19, .external_lex_state = 3},
  [15420] = {.lex_state = 394, .external_lex_state = 3},
  [15421] = {.lex_state = 202, .external_lex_state = 3},
  [15422] = {.lex_state = 202, .external_lex_state = 3},
  [15423] = {.lex_state = 394, .external_lex_state = 3},
  [15424] = {.lex_state = 394, .external_lex_state = 3},
  [15425] = {.lex_state = 215, .external_lex_state = 3},
  [15426] = {.lex_state = 15, .external_lex_state = 3},
  [15427] = {.lex_state = 19, .external_lex_state = 3},
  [15428] = {.lex_state = 425, .external_lex_state = 3},
  [15429] = {.lex_state = 425, .external_lex_state = 3},
  [15430] = {.lex_state = 202, .external_lex_state = 3},
  [15431] = {.lex_state = 215, .external_lex_state = 3},
  [15432] = {.lex_state = 425, .external_lex_state = 3},
  [15433] = {.lex_state = 394, .external_lex_state = 3},
  [15434] = {.lex_state = 394, .external_lex_state = 3},
  [15435] = {.lex_state = 425, .external_lex_state = 3},
  [15436] = {.lex_state = 394, .external_lex_state = 3},
  [15437] = {.lex_state = 425, .external_lex_state = 3},
  [15438] = {.lex_state = 425, .external_lex_state = 3},
  [15439] = {.lex_state = 425, .external_lex_state = 3},
  [15440] = {.lex_state = 394, .external_lex_state = 3},
  [15441] = {.lex_state = 15, .external_lex_state = 3},
  [15442] = {.lex_state = 15, .external_lex_state = 3},
  [15443] = {.lex_state = 425, .external_lex_state = 3},
  [15444] = {.lex_state = 394, .external_lex_state = 3},
  [15445] = {.lex_state = 394, .external_lex_state = 3},
  [15446] = {.lex_state = 425, .external_lex_state = 3},
  [15447] = {.lex_state = 394, .external_lex_state = 3},
  [15448] = {.lex_state = 394, .external_lex_state = 3},
  [15449] = {.lex_state = 15, .external_lex_state = 3},
  [15450] = {.lex_state = 394, .external_lex_state = 3},
  [15451] = {.lex_state = 394, .external_lex_state = 3},
  [15452] = {.lex_state = 425, .external_lex_state = 3},
  [15453] = {.lex_state = 394, .external_lex_state = 3},
  [15454] = {.lex_state = 215, .external_lex_state = 3},
  [15455] = {.lex_state = 15, .external_lex_state = 3},
  [15456] = {.lex_state = 425, .external_lex_state = 3},
  [15457] = {.lex_state = 425, .external_lex_state = 3},
  [15458] = {.lex_state = 394, .external_lex_state = 3},
  [15459] = {.lex_state = 394, .external_lex_state = 3},
  [15460] = {.lex_state = 394, .external_lex_state = 3},
  [15461] = {.lex_state = 15, .external_lex_state = 3},
  [15462] = {.lex_state = 394, .external_lex_state = 3},
  [15463] = {.lex_state = 394, .external_lex_state = 3},
  [15464] = {.lex_state = 394, .external_lex_state = 3},
  [15465] = {.lex_state = 394, .external_lex_state = 3},
  [15466] = {.lex_state = 134, .external_lex_state = 3},
  [15467] = {.lex_state = 15, .external_lex_state = 3},
  [15468] = {.lex_state = 394, .external_lex_state = 3},
  [15469] = {.lex_state = 15, .external_lex_state = 3},
  [15470] = {.lex_state = 425, .external_lex_state = 3},
  [15471] = {.lex_state = 394, .external_lex_state = 3},
  [15472] = {.lex_state = 15, .external_lex_state = 3},
  [15473] = {.lex_state = 15, .external_lex_state = 3},
  [15474] = {.lex_state = 394, .external_lex_state = 3},
  [15475] = {.lex_state = 15, .external_lex_state = 3},
  [15476] = {.lex_state = 15, .external_lex_state = 3},
  [15477] = {.lex_state = 425, .external_lex_state = 3},
  [15478] = {.lex_state = 425, .external_lex_state = 3},
  [15479] = {.lex_state = 194, .external_lex_state = 3},
  [15480] = {.lex_state = 394, .external_lex_state = 3},
  [15481] = {.lex_state = 425, .external_lex_state = 3},
  [15482] = {.lex_state = 394, .external_lex_state = 3},
  [15483] = {.lex_state = 394, .external_lex_state = 3},
  [15484] = {.lex_state = 394, .external_lex_state = 3},
  [15485] = {.lex_state = 425, .external_lex_state = 3},
  [15486] = {.lex_state = 394, .external_lex_state = 3},
  [15487] = {.lex_state = 425, .external_lex_state = 3},
  [15488] = {.lex_state = 15, .external_lex_state = 3},
  [15489] = {.lex_state = 425, .external_lex_state = 3},
  [15490] = {.lex_state = 15, .external_lex_state = 3},
  [15491] = {.lex_state = 394, .external_lex_state = 3},
  [15492] = {.lex_state = 394, .external_lex_state = 3},
  [15493] = {.lex_state = 15, .external_lex_state = 3},
  [15494] = {.lex_state = 15, .external_lex_state = 3},
  [15495] = {.lex_state = 425, .external_lex_state = 3},
  [15496] = {.lex_state = 394, .external_lex_state = 3},
  [15497] = {.lex_state = 425, .external_lex_state = 3},
  [15498] = {.lex_state = 394, .external_lex_state = 3},
  [15499] = {.lex_state = 425, .external_lex_state = 3},
  [15500] = {.lex_state = 425, .external_lex_state = 3},
  [15501] = {.lex_state = 425, .external_lex_state = 3},
  [15502] = {.lex_state = 425, .external_lex_state = 3},
  [15503] = {.lex_state = 134, .external_lex_state = 3},
  [15504] = {.lex_state = 425, .external_lex_state = 3},
  [15505] = {.lex_state = 425, .external_lex_state = 3},
  [15506] = {.lex_state = 425, .external_lex_state = 3},
  [15507] = {.lex_state = 394, .external_lex_state = 3},
  [15508] = {.lex_state = 425, .external_lex_state = 3},
  [15509] = {.lex_state = 394, .external_lex_state = 3},
  [15510] = {.lex_state = 425, .external_lex_state = 3},
  [15511] = {.lex_state = 394, .external_lex_state = 3},
  [15512] = {.lex_state = 425, .external_lex_state = 3},
  [15513] = {.lex_state = 394, .external_lex_state = 3},
  [15514] = {.lex_state = 15, .external_lex_state = 3},
  [15515] = {.lex_state = 394, .external_lex_state = 3},
  [15516] = {.lex_state = 394, .external_lex_state = 3},
  [15517] = {.lex_state = 15, .external_lex_state = 3},
  [15518] = {.lex_state = 394, .external_lex_state = 3},
  [15519] = {.lex_state = 394, .external_lex_state = 3},
  [15520] = {.lex_state = 15, .external_lex_state = 3},
  [15521] = {.lex_state = 394, .external_lex_state = 3},
  [15522] = {.lex_state = 394, .external_lex_state = 3},
  [15523] = {.lex_state = 425, .external_lex_state = 3},
  [15524] = {.lex_state = 15, .external_lex_state = 3},
  [15525] = {.lex_state = 394, .external_lex_state = 3},
  [15526] = {.lex_state = 394, .external_lex_state = 3},
  [15527] = {.lex_state = 15, .external_lex_state = 3},
  [15528] = {.lex_state = 15, .external_lex_state = 3},
  [15529] = {.lex_state = 425, .external_lex_state = 3},
  [15530] = {.lex_state = 198, .external_lex_state = 3},
  [15531] = {.lex_state = 425, .external_lex_state = 3},
  [15532] = {.lex_state = 425, .external_lex_state = 3},
  [15533] = {.lex_state = 425, .external_lex_state = 3},
  [15534] = {.lex_state = 202, .external_lex_state = 3},
  [15535] = {.lex_state = 394, .external_lex_state = 3},
  [15536] = {.lex_state = 394, .external_lex_state = 3},
  [15537] = {.lex_state = 394, .external_lex_state = 3},
  [15538] = {.lex_state = 394, .external_lex_state = 3},
  [15539] = {.lex_state = 394, .external_lex_state = 3},
  [15540] = {.lex_state = 394, .external_lex_state = 3},
  [15541] = {.lex_state = 425, .external_lex_state = 3},
  [15542] = {.lex_state = 15, .external_lex_state = 3},
  [15543] = {.lex_state = 394, .external_lex_state = 3},
  [15544] = {.lex_state = 425, .external_lex_state = 3},
  [15545] = {.lex_state = 15, .external_lex_state = 3},
  [15546] = {.lex_state = 425, .external_lex_state = 3},
  [15547] = {.lex_state = 394, .external_lex_state = 3},
  [15548] = {.lex_state = 394, .external_lex_state = 3},
  [15549] = {.lex_state = 394, .external_lex_state = 3},
  [15550] = {.lex_state = 15, .external_lex_state = 3},
  [15551] = {.lex_state = 134, .external_lex_state = 3},
  [15552] = {.lex_state = 394, .external_lex_state = 3},
  [15553] = {.lex_state = 394, .external_lex_state = 3},
  [15554] = {.lex_state = 394, .external_lex_state = 3},
  [15555] = {.lex_state = 394, .external_lex_state = 3},
  [15556] = {.lex_state = 425, .external_lex_state = 3},
  [15557] = {.lex_state = 394, .external_lex_state = 3},
  [15558] = {.lex_state = 425, .external_lex_state = 3},
  [15559] = {.lex_state = 425, .external_lex_state = 3},
  [15560] = {.lex_state = 425, .external_lex_state = 3},
  [15561] = {.lex_state = 15, .external_lex_state = 3},
  [15562] = {.lex_state = 425, .external_lex_state = 3},
  [15563] = {.lex_state = 425, .external_lex_state = 3},
  [15564] = {.lex_state = 425, .external_lex_state = 3},
  [15565] = {.lex_state = 394, .external_lex_state = 3},
  [15566] = {.lex_state = 425, .external_lex_state = 3},
  [15567] = {.lex_state = 394, .external_lex_state = 3},
  [15568] = {.lex_state = 425, .external_lex_state = 3},
  [15569] = {.lex_state = 198, .external_lex_state = 3},
  [15570] = {.lex_state = 198, .external_lex_state = 3},
  [15571] = {.lex_state = 425, .external_lex_state = 3},
  [15572] = {.lex_state = 194, .external_lex_state = 3},
  [15573] = {.lex_state = 198, .external_lex_state = 3},
  [15574] = {.lex_state = 198, .external_lex_state = 3},
  [15575] = {.lex_state = 198, .external_lex_state = 3},
  [15576] = {.lex_state = 177, .external_lex_state = 3},
  [15577] = {.lex_state = 425, .external_lex_state = 3},
  [15578] = {.lex_state = 198, .external_lex_state = 3},
  [15579] = {.lex_state = 198, .external_lex_state = 3},
  [15580] = {.lex_state = 177, .external_lex_state = 3},
  [15581] = {.lex_state = 198, .external_lex_state = 3},
  [15582] = {.lex_state = 182, .external_lex_state = 3},
  [15583] = {.lex_state = 198, .external_lex_state = 3},
  [15584] = {.lex_state = 198, .external_lex_state = 3},
  [15585] = {.lex_state = 198, .external_lex_state = 3},
  [15586] = {.lex_state = 198, .external_lex_state = 3},
  [15587] = {.lex_state = 198, .external_lex_state = 3},
  [15588] = {.lex_state = 181, .external_lex_state = 3},
  [15589] = {.lex_state = 198, .external_lex_state = 3},
  [15590] = {.lex_state = 198, .external_lex_state = 3},
  [15591] = {.lex_state = 198, .external_lex_state = 3},
  [15592] = {.lex_state = 198, .external_lex_state = 3},
  [15593] = {.lex_state = 198, .external_lex_state = 3},
  [15594] = {.lex_state = 198, .external_lex_state = 3},
  [15595] = {.lex_state = 198, .external_lex_state = 3},
  [15596] = {.lex_state = 198, .external_lex_state = 3},
  [15597] = {.lex_state = 425, .external_lex_state = 3},
  [15598] = {.lex_state = 198, .external_lex_state = 3},
  [15599] = {.lex_state = 198, .external_lex_state = 3},
  [15600] = {.lex_state = 182, .external_lex_state = 3},
  [15601] = {.lex_state = 198, .external_lex_state = 3},
  [15602] = {.lex_state = 425, .external_lex_state = 3},
  [15603] = {.lex_state = 425, .external_lex_state = 3},
  [15604] = {.lex_state = 425, .external_lex_state = 3},
  [15605] = {.lex_state = 198, .external_lex_state = 3},
  [15606] = {.lex_state = 134, .external_lex_state = 3},
  [15607] = {.lex_state = 198, .external_lex_state = 3},
  [15608] = {.lex_state = 198, .external_lex_state = 3},
  [15609] = {.lex_state = 34, .external_lex_state = 3},
  [15610] = {.lex_state = 198, .external_lex_state = 3},
  [15611] = {.lex_state = 182, .external_lex_state = 3},
  [15612] = {.lex_state = 198, .external_lex_state = 3},
  [15613] = {.lex_state = 425, .external_lex_state = 3},
  [15614] = {.lex_state = 198, .external_lex_state = 3},
  [15615] = {.lex_state = 425, .external_lex_state = 3},
  [15616] = {.lex_state = 177, .external_lex_state = 3},
  [15617] = {.lex_state = 198, .external_lex_state = 3},
  [15618] = {.lex_state = 198, .external_lex_state = 3},
  [15619] = {.lex_state = 425, .external_lex_state = 3},
  [15620] = {.lex_state = 15, .external_lex_state = 3},
  [15621] = {.lex_state = 177, .external_lex_state = 3},
  [15622] = {.lex_state = 177, .external_lex_state = 3},
  [15623] = {.lex_state = 177, .external_lex_state = 3},
  [15624] = {.lex_state = 177, .external_lex_state = 3},
  [15625] = {.lex_state = 219, .external_lex_state = 3},
  [15626] = {.lex_state = 177, .external_lex_state = 3},
  [15627] = {.lex_state = 202, .external_lex_state = 3},
  [15628] = {.lex_state = 15, .external_lex_state = 3},
  [15629] = {.lex_state = 191, .external_lex_state = 3},
  [15630] = {.lex_state = 15, .external_lex_state = 3},
  [15631] = {.lex_state = 177, .external_lex_state = 3},
  [15632] = {.lex_state = 15, .external_lex_state = 3},
  [15633] = {.lex_state = 177, .external_lex_state = 3},
  [15634] = {.lex_state = 425, .external_lex_state = 3},
  [15635] = {.lex_state = 15, .external_lex_state = 3},
  [15636] = {.lex_state = 177, .external_lex_state = 3},
  [15637] = {.lex_state = 15, .external_lex_state = 3},
  [15638] = {.lex_state = 191, .external_lex_state = 3},
  [15639] = {.lex_state = 191, .external_lex_state = 3},
  [15640] = {.lex_state = 182, .external_lex_state = 3},
  [15641] = {.lex_state = 8, .external_lex_state = 3},
  [15642] = {.lex_state = 191, .external_lex_state = 3},
  [15643] = {.lex_state = 177, .external_lex_state = 3},
  [15644] = {.lex_state = 8, .external_lex_state = 3},
  [15645] = {.lex_state = 191, .external_lex_state = 3},
  [15646] = {.lex_state = 177, .external_lex_state = 3},
  [15647] = {.lex_state = 8, .external_lex_state = 3},
  [15648] = {.lex_state = 7, .external_lex_state = 3},
  [15649] = {.lex_state = 8, .external_lex_state = 3},
  [15650] = {.lex_state = 177, .external_lex_state = 3},
  [15651] = {.lex_state = 177, .external_lex_state = 3},
  [15652] = {.lex_state = 191, .external_lex_state = 3},
  [15653] = {.lex_state = 8, .external_lex_state = 3},
  [15654] = {.lex_state = 177, .external_lex_state = 3},
  [15655] = {.lex_state = 8, .external_lex_state = 3},
  [15656] = {.lex_state = 177, .external_lex_state = 3},
  [15657] = {.lex_state = 219, .external_lex_state = 3},
  [15658] = {.lex_state = 177, .external_lex_state = 3},
  [15659] = {.lex_state = 15, .external_lex_state = 3},
  [15660] = {.lex_state = 177, .external_lex_state = 3},
  [15661] = {.lex_state = 8, .external_lex_state = 3},
  [15662] = {.lex_state = 177, .external_lex_state = 3},
  [15663] = {.lex_state = 8, .external_lex_state = 3},
  [15664] = {.lex_state = 15, .external_lex_state = 3},
  [15665] = {.lex_state = 394, .external_lex_state = 3},
  [15666] = {.lex_state = 394, .external_lex_state = 3},
  [15667] = {.lex_state = 394, .external_lex_state = 3},
  [15668] = {.lex_state = 4, .external_lex_state = 6},
  [15669] = {.lex_state = 216, .external_lex_state = 3},
  [15670] = {.lex_state = 4, .external_lex_state = 6},
  [15671] = {.lex_state = 216, .external_lex_state = 3},
  [15672] = {.lex_state = 216, .external_lex_state = 3},
  [15673] = {.lex_state = 177, .external_lex_state = 3},
  [15674] = {.lex_state = 15, .external_lex_state = 3},
  [15675] = {.lex_state = 394, .external_lex_state = 3},
  [15676] = {.lex_state = 216, .external_lex_state = 3},
  [15677] = {.lex_state = 4, .external_lex_state = 6},
  [15678] = {.lex_state = 216, .external_lex_state = 3},
  [15679] = {.lex_state = 15, .external_lex_state = 3},
  [15680] = {.lex_state = 4, .external_lex_state = 6},
  [15681] = {.lex_state = 216, .external_lex_state = 3},
  [15682] = {.lex_state = 216, .external_lex_state = 3},
  [15683] = {.lex_state = 394, .external_lex_state = 3},
  [15684] = {.lex_state = 15, .external_lex_state = 3},
  [15685] = {.lex_state = 15, .external_lex_state = 3},
  [15686] = {.lex_state = 216, .external_lex_state = 3},
  [15687] = {.lex_state = 394, .external_lex_state = 3},
  [15688] = {.lex_state = 4, .external_lex_state = 6},
  [15689] = {.lex_state = 216, .external_lex_state = 3},
  [15690] = {.lex_state = 15, .external_lex_state = 3},
  [15691] = {.lex_state = 4, .external_lex_state = 6},
  [15692] = {.lex_state = 4, .external_lex_state = 6},
  [15693] = {.lex_state = 8, .external_lex_state = 3},
  [15694] = {.lex_state = 216, .external_lex_state = 3},
  [15695] = {.lex_state = 182, .external_lex_state = 3},
  [15696] = {.lex_state = 216, .external_lex_state = 3},
  [15697] = {.lex_state = 216, .external_lex_state = 3},
  [15698] = {.lex_state = 4, .external_lex_state = 6},
  [15699] = {.lex_state = 211, .external_lex_state = 7},
  [15700] = {.lex_state = 15, .external_lex_state = 3},
  [15701] = {.lex_state = 4, .external_lex_state = 6},
  [15702] = {.lex_state = 216, .external_lex_state = 3},
  [15703] = {.lex_state = 216, .external_lex_state = 3},
  [15704] = {.lex_state = 216, .external_lex_state = 3},
  [15705] = {.lex_state = 425, .external_lex_state = 3},
  [15706] = {.lex_state = 8, .external_lex_state = 3},
  [15707] = {.lex_state = 8, .external_lex_state = 3},
  [15708] = {.lex_state = 216, .external_lex_state = 3},
  [15709] = {.lex_state = 4, .external_lex_state = 6},
  [15710] = {.lex_state = 4, .external_lex_state = 6},
  [15711] = {.lex_state = 4, .external_lex_state = 6},
  [15712] = {.lex_state = 202, .external_lex_state = 3},
  [15713] = {.lex_state = 394, .external_lex_state = 3},
  [15714] = {.lex_state = 177, .external_lex_state = 3},
  [15715] = {.lex_state = 15, .external_lex_state = 3},
  [15716] = {.lex_state = 216, .external_lex_state = 3},
  [15717] = {.lex_state = 4, .external_lex_state = 6},
  [15718] = {.lex_state = 216, .external_lex_state = 3},
  [15719] = {.lex_state = 15, .external_lex_state = 3},
  [15720] = {.lex_state = 425, .external_lex_state = 3},
  [15721] = {.lex_state = 4, .external_lex_state = 6},
  [15722] = {.lex_state = 4, .external_lex_state = 6},
  [15723] = {.lex_state = 8, .external_lex_state = 3},
  [15724] = {.lex_state = 8, .external_lex_state = 3},
  [15725] = {.lex_state = 202, .external_lex_state = 3},
  [15726] = {.lex_state = 394, .external_lex_state = 3},
  [15727] = {.lex_state = 8, .external_lex_state = 3},
  [15728] = {.lex_state = 15, .external_lex_state = 3},
  [15729] = {.lex_state = 4, .external_lex_state = 6},
  [15730] = {.lex_state = 216, .external_lex_state = 3},
  [15731] = {.lex_state = 8, .external_lex_state = 3},
  [15732] = {.lex_state = 191, .external_lex_state = 3},
  [15733] = {.lex_state = 4, .external_lex_state = 6},
  [15734] = {.lex_state = 216, .external_lex_state = 3},
  [15735] = {.lex_state = 216, .external_lex_state = 3},
  [15736] = {.lex_state = 202, .external_lex_state = 3},
  [15737] = {.lex_state = 15, .external_lex_state = 3},
  [15738] = {.lex_state = 394, .external_lex_state = 3},
  [15739] = {.lex_state = 15, .external_lex_state = 3},
  [15740] = {.lex_state = 216, .external_lex_state = 3},
  [15741] = {.lex_state = 15, .external_lex_state = 3},
  [15742] = {.lex_state = 15, .external_lex_state = 3},
  [15743] = {.lex_state = 15, .external_lex_state = 3},
  [15744] = {.lex_state = 4, .external_lex_state = 6},
  [15745] = {.lex_state = 394, .external_lex_state = 3},
  [15746] = {.lex_state = 4, .external_lex_state = 6},
  [15747] = {.lex_state = 191, .external_lex_state = 3},
  [15748] = {.lex_state = 216, .external_lex_state = 3},
  [15749] = {.lex_state = 394, .external_lex_state = 3},
  [15750] = {.lex_state = 15, .external_lex_state = 3},
  [15751] = {.lex_state = 4, .external_lex_state = 6},
  [15752] = {.lex_state = 15, .external_lex_state = 3},
  [15753] = {.lex_state = 4, .external_lex_state = 6},
  [15754] = {.lex_state = 15, .external_lex_state = 3},
  [15755] = {.lex_state = 219, .external_lex_state = 3},
  [15756] = {.lex_state = 8, .external_lex_state = 3},
  [15757] = {.lex_state = 394, .external_lex_state = 3},
  [15758] = {.lex_state = 4, .external_lex_state = 6},
  [15759] = {.lex_state = 216, .external_lex_state = 3},
  [15760] = {.lex_state = 4, .external_lex_state = 6},
  [15761] = {.lex_state = 216, .external_lex_state = 3},
  [15762] = {.lex_state = 15, .external_lex_state = 3},
  [15763] = {.lex_state = 4, .external_lex_state = 6},
  [15764] = {.lex_state = 4, .external_lex_state = 6},
  [15765] = {.lex_state = 15, .external_lex_state = 3},
  [15766] = {.lex_state = 15, .external_lex_state = 3},
  [15767] = {.lex_state = 4, .external_lex_state = 6},
  [15768] = {.lex_state = 4, .external_lex_state = 6},
  [15769] = {.lex_state = 202, .external_lex_state = 3},
  [15770] = {.lex_state = 4, .external_lex_state = 6},
  [15771] = {.lex_state = 4, .external_lex_state = 6},
  [15772] = {.lex_state = 15, .external_lex_state = 3},
  [15773] = {.lex_state = 177, .external_lex_state = 3},
  [15774] = {.lex_state = 4, .external_lex_state = 6},
  [15775] = {.lex_state = 4, .external_lex_state = 6},
  [15776] = {.lex_state = 394, .external_lex_state = 3},
  [15777] = {.lex_state = 15, .external_lex_state = 3},
  [15778] = {.lex_state = 216, .external_lex_state = 3},
  [15779] = {.lex_state = 4, .external_lex_state = 6},
  [15780] = {.lex_state = 191, .external_lex_state = 3},
  [15781] = {.lex_state = 216, .external_lex_state = 3},
  [15782] = {.lex_state = 4, .external_lex_state = 6},
  [15783] = {.lex_state = 4, .external_lex_state = 6},
  [15784] = {.lex_state = 4, .external_lex_state = 6},
  [15785] = {.lex_state = 4, .external_lex_state = 6},
  [15786] = {.lex_state = 15, .external_lex_state = 3},
  [15787] = {.lex_state = 216, .external_lex_state = 3},
  [15788] = {.lex_state = 4, .external_lex_state = 6},
  [15789] = {.lex_state = 4, .external_lex_state = 6},
  [15790] = {.lex_state = 177, .external_lex_state = 3},
  [15791] = {.lex_state = 4, .external_lex_state = 6},
  [15792] = {.lex_state = 216, .external_lex_state = 3},
  [15793] = {.lex_state = 177, .external_lex_state = 3},
  [15794] = {.lex_state = 394, .external_lex_state = 3},
  [15795] = {.lex_state = 202, .external_lex_state = 3},
  [15796] = {.lex_state = 15, .external_lex_state = 3},
  [15797] = {.lex_state = 216, .external_lex_state = 3},
  [15798] = {.lex_state = 394, .external_lex_state = 3},
  [15799] = {.lex_state = 216, .external_lex_state = 3},
  [15800] = {.lex_state = 216, .external_lex_state = 3},
  [15801] = {.lex_state = 8, .external_lex_state = 3},
  [15802] = {.lex_state = 15, .external_lex_state = 3},
  [15803] = {.lex_state = 219, .external_lex_state = 3},
  [15804] = {.lex_state = 191, .external_lex_state = 3},
  [15805] = {.lex_state = 15, .external_lex_state = 3},
  [15806] = {.lex_state = 4, .external_lex_state = 6},
  [15807] = {.lex_state = 4, .external_lex_state = 6},
  [15808] = {.lex_state = 216, .external_lex_state = 3},
  [15809] = {.lex_state = 8, .external_lex_state = 3},
  [15810] = {.lex_state = 15, .external_lex_state = 3},
  [15811] = {.lex_state = 394, .external_lex_state = 3},
  [15812] = {.lex_state = 4, .external_lex_state = 6},
  [15813] = {.lex_state = 15, .external_lex_state = 3},
  [15814] = {.lex_state = 15, .external_lex_state = 3},
  [15815] = {.lex_state = 216, .external_lex_state = 3},
  [15816] = {.lex_state = 216, .external_lex_state = 3},
  [15817] = {.lex_state = 216, .external_lex_state = 3},
  [15818] = {.lex_state = 177, .external_lex_state = 3},
  [15819] = {.lex_state = 216, .external_lex_state = 3},
  [15820] = {.lex_state = 216, .external_lex_state = 3},
  [15821] = {.lex_state = 4, .external_lex_state = 6},
  [15822] = {.lex_state = 4, .external_lex_state = 6},
  [15823] = {.lex_state = 15, .external_lex_state = 3},
  [15824] = {.lex_state = 15, .external_lex_state = 3},
  [15825] = {.lex_state = 4, .external_lex_state = 6},
  [15826] = {.lex_state = 15, .external_lex_state = 3},
  [15827] = {.lex_state = 177, .external_lex_state = 3},
  [15828] = {.lex_state = 4, .external_lex_state = 6},
  [15829] = {.lex_state = 4, .external_lex_state = 6},
  [15830] = {.lex_state = 216, .external_lex_state = 3},
  [15831] = {.lex_state = 4, .external_lex_state = 6},
  [15832] = {.lex_state = 15, .external_lex_state = 3},
  [15833] = {.lex_state = 216, .external_lex_state = 3},
  [15834] = {.lex_state = 394, .external_lex_state = 3},
  [15835] = {.lex_state = 394, .external_lex_state = 3},
  [15836] = {.lex_state = 216, .external_lex_state = 3},
  [15837] = {.lex_state = 4, .external_lex_state = 6},
  [15838] = {.lex_state = 216, .external_lex_state = 3},
  [15839] = {.lex_state = 4, .external_lex_state = 6},
  [15840] = {.lex_state = 4, .external_lex_state = 6},
  [15841] = {.lex_state = 394, .external_lex_state = 3},
  [15842] = {.lex_state = 216, .external_lex_state = 3},
  [15843] = {.lex_state = 216, .external_lex_state = 3},
  [15844] = {.lex_state = 216, .external_lex_state = 3},
  [15845] = {.lex_state = 4, .external_lex_state = 6},
  [15846] = {.lex_state = 394, .external_lex_state = 3},
  [15847] = {.lex_state = 4, .external_lex_state = 6},
  [15848] = {.lex_state = 8, .external_lex_state = 3},
  [15849] = {.lex_state = 15, .external_lex_state = 3},
  [15850] = {.lex_state = 15, .external_lex_state = 3},
  [15851] = {.lex_state = 394, .external_lex_state = 3},
  [15852] = {.lex_state = 4, .external_lex_state = 6},
  [15853] = {.lex_state = 394, .external_lex_state = 3},
  [15854] = {.lex_state = 216, .external_lex_state = 3},
  [15855] = {.lex_state = 216, .external_lex_state = 3},
  [15856] = {.lex_state = 4, .external_lex_state = 6},
  [15857] = {.lex_state = 394, .external_lex_state = 3},
  [15858] = {.lex_state = 4, .external_lex_state = 6},
  [15859] = {.lex_state = 4, .external_lex_state = 6},
  [15860] = {.lex_state = 4, .external_lex_state = 6},
  [15861] = {.lex_state = 8, .external_lex_state = 3},
  [15862] = {.lex_state = 216, .external_lex_state = 3},
  [15863] = {.lex_state = 177, .external_lex_state = 3},
  [15864] = {.lex_state = 216, .external_lex_state = 3},
  [15865] = {.lex_state = 216, .external_lex_state = 3},
  [15866] = {.lex_state = 177, .external_lex_state = 3},
  [15867] = {.lex_state = 4, .external_lex_state = 6},
  [15868] = {.lex_state = 4, .external_lex_state = 6},
  [15869] = {.lex_state = 4, .external_lex_state = 6},
  [15870] = {.lex_state = 4, .external_lex_state = 6},
  [15871] = {.lex_state = 4, .external_lex_state = 6},
  [15872] = {.lex_state = 216, .external_lex_state = 3},
  [15873] = {.lex_state = 8, .external_lex_state = 3},
  [15874] = {.lex_state = 4, .external_lex_state = 6},
  [15875] = {.lex_state = 15, .external_lex_state = 3},
  [15876] = {.lex_state = 15, .external_lex_state = 3},
  [15877] = {.lex_state = 7, .external_lex_state = 3},
  [15878] = {.lex_state = 177, .external_lex_state = 3},
  [15879] = {.lex_state = 211, .external_lex_state = 7},
  [15880] = {.lex_state = 15, .external_lex_state = 3},
  [15881] = {.lex_state = 425, .external_lex_state = 3},
  [15882] = {.lex_state = 34, .external_lex_state = 3},
  [15883] = {.lex_state = 15, .external_lex_state = 3},
  [15884] = {.lex_state = 425, .external_lex_state = 3},
  [15885] = {.lex_state = 15, .external_lex_state = 3},
  [15886] = {.lex_state = 7, .external_lex_state = 3},
  [15887] = {.lex_state = 15, .external_lex_state = 3},
  [15888] = {.lex_state = 15, .external_lex_state = 3},
  [15889] = {.lex_state = 7, .external_lex_state = 3},
  [15890] = {.lex_state = 7, .external_lex_state = 3},
  [15891] = {.lex_state = 177, .external_lex_state = 3},
  [15892] = {.lex_state = 15, .external_lex_state = 3},
  [15893] = {.lex_state = 198, .external_lex_state = 3},
  [15894] = {.lex_state = 177, .external_lex_state = 3},
  [15895] = {.lex_state = 7, .external_lex_state = 3},
  [15896] = {.lex_state = 7, .external_lex_state = 3},
  [15897] = {.lex_state = 15, .external_lex_state = 3},
  [15898] = {.lex_state = 34, .external_lex_state = 3},
  [15899] = {.lex_state = 15, .external_lex_state = 3},
  [15900] = {.lex_state = 177, .external_lex_state = 3},
  [15901] = {.lex_state = 7, .external_lex_state = 3},
  [15902] = {.lex_state = 7, .external_lex_state = 3},
  [15903] = {.lex_state = 15, .external_lex_state = 3},
  [15904] = {.lex_state = 7, .external_lex_state = 3},
  [15905] = {.lex_state = 15, .external_lex_state = 3},
  [15906] = {.lex_state = 7, .external_lex_state = 3},
  [15907] = {.lex_state = 15, .external_lex_state = 3},
  [15908] = {.lex_state = 15, .external_lex_state = 3},
  [15909] = {.lex_state = 7, .external_lex_state = 3},
  [15910] = {.lex_state = 7, .external_lex_state = 3},
  [15911] = {.lex_state = 15, .external_lex_state = 3},
  [15912] = {.lex_state = 7, .external_lex_state = 3},
  [15913] = {.lex_state = 15, .external_lex_state = 3},
  [15914] = {.lex_state = 7, .external_lex_state = 3},
  [15915] = {.lex_state = 15, .external_lex_state = 3},
  [15916] = {.lex_state = 7, .external_lex_state = 3},
  [15917] = {.lex_state = 7, .external_lex_state = 3},
  [15918] = {.lex_state = 15, .external_lex_state = 3},
  [15919] = {.lex_state = 211, .external_lex_state = 7},
  [15920] = {.lex_state = 7, .external_lex_state = 3},
  [15921] = {.lex_state = 177, .external_lex_state = 3},
  [15922] = {.lex_state = 7, .external_lex_state = 3},
  [15923] = {.lex_state = 7, .external_lex_state = 3},
  [15924] = {.lex_state = 7, .external_lex_state = 3},
  [15925] = {.lex_state = 7, .external_lex_state = 3},
  [15926] = {.lex_state = 191, .external_lex_state = 3},
  [15927] = {.lex_state = 15, .external_lex_state = 3},
  [15928] = {.lex_state = 7, .external_lex_state = 3},
  [15929] = {.lex_state = 15, .external_lex_state = 3},
  [15930] = {.lex_state = 7, .external_lex_state = 3},
  [15931] = {.lex_state = 15, .external_lex_state = 3},
  [15932] = {.lex_state = 7, .external_lex_state = 3},
  [15933] = {.lex_state = 7, .external_lex_state = 3},
  [15934] = {.lex_state = 15, .external_lex_state = 3},
  [15935] = {.lex_state = 443, .external_lex_state = 3},
  [15936] = {.lex_state = 443, .external_lex_state = 3},
  [15937] = {.lex_state = 443, .external_lex_state = 3},
  [15938] = {.lex_state = 443, .external_lex_state = 3},
  [15939] = {.lex_state = 15, .external_lex_state = 3},
  [15940] = {.lex_state = 15, .external_lex_state = 3},
  [15941] = {.lex_state = 7, .external_lex_state = 3},
  [15942] = {.lex_state = 177, .external_lex_state = 3},
  [15943] = {.lex_state = 7, .external_lex_state = 3},
  [15944] = {.lex_state = 15, .external_lex_state = 3},
  [15945] = {.lex_state = 15, .external_lex_state = 3},
  [15946] = {.lex_state = 443, .external_lex_state = 3},
  [15947] = {.lex_state = 15, .external_lex_state = 3},
  [15948] = {.lex_state = 15, .external_lex_state = 3},
  [15949] = {.lex_state = 15, .external_lex_state = 3},
  [15950] = {.lex_state = 15, .external_lex_state = 3},
  [15951] = {.lex_state = 15, .external_lex_state = 3},
  [15952] = {.lex_state = 15, .external_lex_state = 3},
  [15953] = {.lex_state = 15, .external_lex_state = 3},
  [15954] = {.lex_state = 15, .external_lex_state = 3},
  [15955] = {.lex_state = 15, .external_lex_state = 3},
  [15956] = {.lex_state = 15, .external_lex_state = 8},
  [15957] = {.lex_state = 15, .external_lex_state = 8},
  [15958] = {.lex_state = 15, .external_lex_state = 8},
  [15959] = {.lex_state = 191, .external_lex_state = 3},
  [15960] = {.lex_state = 15, .external_lex_state = 3},
  [15961] = {.lex_state = 15, .external_lex_state = 3},
  [15962] = {.lex_state = 148, .external_lex_state = 3},
  [15963] = {.lex_state = 15, .external_lex_state = 3},
  [15964] = {.lex_state = 15, .external_lex_state = 3},
  [15965] = {.lex_state = 15, .external_lex_state = 3},
  [15966] = {.lex_state = 15, .external_lex_state = 3},
  [15967] = {.lex_state = 15, .external_lex_state = 3},
  [15968] = {.lex_state = 177, .external_lex_state = 3},
  [15969] = {.lex_state = 15, .external_lex_state = 3},
  [15970] = {.lex_state = 15, .external_lex_state = 3},
  [15971] = {.lex_state = 15, .external_lex_state = 3},
  [15972] = {.lex_state = 15, .external_lex_state = 3},
  [15973] = {.lex_state = 15, .external_lex_state = 3},
  [15974] = {.lex_state = 15, .external_lex_state = 3},
  [15975] = {.lex_state = 8, .external_lex_state = 3},
  [15976] = {.lex_state = 8, .external_lex_state = 3},
  [15977] = {.lex_state = 15, .external_lex_state = 8},
  [15978] = {.lex_state = 6, .external_lex_state = 3},
  [15979] = {.lex_state = 15, .external_lex_state = 3},
  [15980] = {.lex_state = 15, .external_lex_state = 3},
  [15981] = {.lex_state = 15, .external_lex_state = 3},
  [15982] = {.lex_state = 191, .external_lex_state = 3},
  [15983] = {.lex_state = 191, .external_lex_state = 3},
  [15984] = {.lex_state = 203, .external_lex_state = 3},
  [15985] = {.lex_state = 191, .external_lex_state = 3},
  [15986] = {.lex_state = 191, .external_lex_state = 3},
  [15987] = {.lex_state = 15, .external_lex_state = 3},
  [15988] = {.lex_state = 15, .external_lex_state = 3},
  [15989] = {.lex_state = 15, .external_lex_state = 3},
  [15990] = {.lex_state = 15, .external_lex_state = 3},
  [15991] = {.lex_state = 15, .external_lex_state = 3},
  [15992] = {.lex_state = 15, .external_lex_state = 3},
  [15993] = {.lex_state = 15, .external_lex_state = 3},
  [15994] = {.lex_state = 15, .external_lex_state = 3},
  [15995] = {.lex_state = 15, .external_lex_state = 3},
  [15996] = {.lex_state = 15, .external_lex_state = 3},
  [15997] = {.lex_state = 15, .external_lex_state = 3},
  [15998] = {.lex_state = 15, .external_lex_state = 3},
  [15999] = {.lex_state = 34, .external_lex_state = 3},
  [16000] = {.lex_state = 15, .external_lex_state = 3},
  [16001] = {.lex_state = 8, .external_lex_state = 3},
  [16002] = {.lex_state = 15, .external_lex_state = 3},
  [16003] = {.lex_state = 15, .external_lex_state = 3},
  [16004] = {.lex_state = 15, .external_lex_state = 3},
  [16005] = {.lex_state = 15, .external_lex_state = 3},
  [16006] = {.lex_state = 148, .external_lex_state = 3},
  [16007] = {.lex_state = 15, .external_lex_state = 3},
  [16008] = {.lex_state = 15, .external_lex_state = 3},
  [16009] = {.lex_state = 15, .external_lex_state = 3},
  [16010] = {.lex_state = 15, .external_lex_state = 3},
  [16011] = {.lex_state = 15, .external_lex_state = 3},
  [16012] = {.lex_state = 15, .external_lex_state = 3},
  [16013] = {.lex_state = 15, .external_lex_state = 3},
  [16014] = {.lex_state = 15, .external_lex_state = 3},
  [16015] = {.lex_state = 8, .external_lex_state = 3},
  [16016] = {.lex_state = 15, .external_lex_state = 3},
  [16017] = {.lex_state = 191, .external_lex_state = 3},
  [16018] = {.lex_state = 15, .external_lex_state = 3},
  [16019] = {.lex_state = 191, .external_lex_state = 3},
  [16020] = {.lex_state = 8, .external_lex_state = 3},
  [16021] = {.lex_state = 15, .external_lex_state = 3},
  [16022] = {.lex_state = 177, .external_lex_state = 3},
  [16023] = {.lex_state = 177, .external_lex_state = 3},
  [16024] = {.lex_state = 15, .external_lex_state = 3},
  [16025] = {.lex_state = 15, .external_lex_state = 3},
  [16026] = {.lex_state = 15, .external_lex_state = 3},
  [16027] = {.lex_state = 15, .external_lex_state = 3},
  [16028] = {.lex_state = 15, .external_lex_state = 3},
  [16029] = {.lex_state = 6, .external_lex_state = 3},
  [16030] = {.lex_state = 8, .external_lex_state = 3},
  [16031] = {.lex_state = 15, .external_lex_state = 3},
  [16032] = {.lex_state = 15, .external_lex_state = 8},
  [16033] = {.lex_state = 15, .external_lex_state = 3},
  [16034] = {.lex_state = 15, .external_lex_state = 3},
  [16035] = {.lex_state = 15, .external_lex_state = 3},
  [16036] = {.lex_state = 15, .external_lex_state = 3},
  [16037] = {.lex_state = 15, .external_lex_state = 3},
  [16038] = {.lex_state = 6, .external_lex_state = 3},
  [16039] = {.lex_state = 15, .external_lex_state = 3},
  [16040] = {.lex_state = 15, .external_lex_state = 3},
  [16041] = {.lex_state = 203, .external_lex_state = 3},
  [16042] = {.lex_state = 15, .external_lex_state = 3},
  [16043] = {.lex_state = 15, .external_lex_state = 3},
  [16044] = {.lex_state = 8, .external_lex_state = 3},
  [16045] = {.lex_state = 15, .external_lex_state = 3},
  [16046] = {.lex_state = 8, .external_lex_state = 3},
  [16047] = {.lex_state = 15, .external_lex_state = 3},
  [16048] = {.lex_state = 15, .external_lex_state = 3},
  [16049] = {.lex_state = 15, .external_lex_state = 3},
  [16050] = {.lex_state = 8, .external_lex_state = 3},
  [16051] = {.lex_state = 15, .external_lex_state = 3},
  [16052] = {.lex_state = 15, .external_lex_state = 3},
  [16053] = {.lex_state = 191, .external_lex_state = 3},
  [16054] = {.lex_state = 15, .external_lex_state = 3},
  [16055] = {.lex_state = 8, .external_lex_state = 3},
  [16056] = {.lex_state = 8, .external_lex_state = 3},
  [16057] = {.lex_state = 15, .external_lex_state = 3},
  [16058] = {.lex_state = 15, .external_lex_state = 3},
  [16059] = {.lex_state = 15, .external_lex_state = 3},
  [16060] = {.lex_state = 191, .external_lex_state = 3},
  [16061] = {.lex_state = 15, .external_lex_state = 3},
  [16062] = {.lex_state = 15, .external_lex_state = 3},
  [16063] = {.lex_state = 15, .external_lex_state = 3},
  [16064] = {.lex_state = 15, .external_lex_state = 3},
  [16065] = {.lex_state = 15, .external_lex_state = 3},
  [16066] = {.lex_state = 6, .external_lex_state = 3},
  [16067] = {.lex_state = 191, .external_lex_state = 3},
  [16068] = {.lex_state = 15, .external_lex_state = 3},
  [16069] = {.lex_state = 15, .external_lex_state = 3},
  [16070] = {.lex_state = 15, .external_lex_state = 3},
  [16071] = {.lex_state = 15, .external_lex_state = 3},
  [16072] = {.lex_state = 15, .external_lex_state = 3},
  [16073] = {.lex_state = 148, .external_lex_state = 3},
  [16074] = {.lex_state = 15, .external_lex_state = 3},
  [16075] = {.lex_state = 15, .external_lex_state = 3},
  [16076] = {.lex_state = 15, .external_lex_state = 3},
  [16077] = {.lex_state = 15, .external_lex_state = 3},
  [16078] = {.lex_state = 15, .external_lex_state = 3},
  [16079] = {.lex_state = 15, .external_lex_state = 3},
  [16080] = {.lex_state = 148, .external_lex_state = 3},
  [16081] = {.lex_state = 15, .external_lex_state = 3},
  [16082] = {.lex_state = 191, .external_lex_state = 3},
  [16083] = {.lex_state = 191, .external_lex_state = 3},
  [16084] = {.lex_state = 15, .external_lex_state = 3},
  [16085] = {.lex_state = 15, .external_lex_state = 3},
  [16086] = {.lex_state = 15, .external_lex_state = 8},
  [16087] = {.lex_state = 15, .external_lex_state = 8},
  [16088] = {.lex_state = 15, .external_lex_state = 3},
  [16089] = {.lex_state = 203, .external_lex_state = 3},
  [16090] = {.lex_state = 15, .external_lex_state = 3},
  [16091] = {.lex_state = 15, .external_lex_state = 3},
  [16092] = {.lex_state = 15, .external_lex_state = 3},
  [16093] = {.lex_state = 15, .external_lex_state = 3},
  [16094] = {.lex_state = 15, .external_lex_state = 3},
  [16095] = {.lex_state = 198, .external_lex_state = 3},
  [16096] = {.lex_state = 177, .external_lex_state = 3},
  [16097] = {.lex_state = 8, .external_lex_state = 3},
  [16098] = {.lex_state = 15, .external_lex_state = 3},
  [16099] = {.lex_state = 15, .external_lex_state = 3},
  [16100] = {.lex_state = 15, .external_lex_state = 3},
  [16101] = {.lex_state = 15, .external_lex_state = 3},
  [16102] = {.lex_state = 15, .external_lex_state = 3},
  [16103] = {.lex_state = 15, .external_lex_state = 3},
  [16104] = {.lex_state = 15, .external_lex_state = 3},
  [16105] = {.lex_state = 15, .external_lex_state = 3},
  [16106] = {.lex_state = 15, .external_lex_state = 3},
  [16107] = {.lex_state = 15, .external_lex_state = 3},
  [16108] = {.lex_state = 15, .external_lex_state = 8},
  [16109] = {.lex_state = 15, .external_lex_state = 3},
  [16110] = {.lex_state = 177, .external_lex_state = 3},
  [16111] = {.lex_state = 6, .external_lex_state = 3},
  [16112] = {.lex_state = 15, .external_lex_state = 3},
  [16113] = {.lex_state = 15, .external_lex_state = 3},
  [16114] = {.lex_state = 15, .external_lex_state = 3},
  [16115] = {.lex_state = 15, .external_lex_state = 3},
  [16116] = {.lex_state = 177, .external_lex_state = 3},
  [16117] = {.lex_state = 6, .external_lex_state = 3},
  [16118] = {.lex_state = 15, .external_lex_state = 3},
  [16119] = {.lex_state = 15, .external_lex_state = 3},
  [16120] = {.lex_state = 177, .external_lex_state = 3},
  [16121] = {.lex_state = 15, .external_lex_state = 3},
  [16122] = {.lex_state = 15, .external_lex_state = 3},
  [16123] = {.lex_state = 15, .external_lex_state = 3},
  [16124] = {.lex_state = 15, .external_lex_state = 3},
  [16125] = {.lex_state = 15, .external_lex_state = 3},
  [16126] = {.lex_state = 15, .external_lex_state = 3},
  [16127] = {.lex_state = 15, .external_lex_state = 3},
  [16128] = {.lex_state = 15, .external_lex_state = 3},
  [16129] = {.lex_state = 191, .external_lex_state = 3},
  [16130] = {.lex_state = 191, .external_lex_state = 3},
  [16131] = {.lex_state = 15, .external_lex_state = 3},
  [16132] = {.lex_state = 15, .external_lex_state = 3},
  [16133] = {.lex_state = 8, .external_lex_state = 3},
  [16134] = {.lex_state = 15, .external_lex_state = 3},
  [16135] = {.lex_state = 15, .external_lex_state = 3},
  [16136] = {.lex_state = 191, .external_lex_state = 3},
  [16137] = {.lex_state = 183, .external_lex_state = 3},
  [16138] = {.lex_state = 177, .external_lex_state = 3},
  [16139] = {.lex_state = 177, .external_lex_state = 3},
  [16140] = {.lex_state = 15, .external_lex_state = 3},
  [16141] = {.lex_state = 15, .external_lex_state = 3},
  [16142] = {.lex_state = 15, .external_lex_state = 3},
  [16143] = {.lex_state = 15, .external_lex_state = 3},
  [16144] = {.lex_state = 15, .external_lex_state = 3},
  [16145] = {.lex_state = 177, .external_lex_state = 3},
  [16146] = {.lex_state = 177, .external_lex_state = 3},
  [16147] = {.lex_state = 6, .external_lex_state = 3},
  [16148] = {.lex_state = 203, .external_lex_state = 3},
  [16149] = {.lex_state = 15, .external_lex_state = 3},
  [16150] = {.lex_state = 15, .external_lex_state = 3},
  [16151] = {.lex_state = 15, .external_lex_state = 3},
  [16152] = {.lex_state = 15, .external_lex_state = 3},
  [16153] = {.lex_state = 15, .external_lex_state = 3},
  [16154] = {.lex_state = 15, .external_lex_state = 3},
  [16155] = {.lex_state = 15, .external_lex_state = 3},
  [16156] = {.lex_state = 15, .external_lex_state = 3},
  [16157] = {.lex_state = 16, .external_lex_state = 3},
  [16158] = {.lex_state = 15, .external_lex_state = 3},
  [16159] = {.lex_state = 6, .external_lex_state = 3},
  [16160] = {.lex_state = 15, .external_lex_state = 3},
  [16161] = {.lex_state = 15, .external_lex_state = 3},
  [16162] = {.lex_state = 8, .external_lex_state = 3},
  [16163] = {.lex_state = 15, .external_lex_state = 3},
  [16164] = {.lex_state = 15, .external_lex_state = 3},
  [16165] = {.lex_state = 15, .external_lex_state = 3},
  [16166] = {.lex_state = 148, .external_lex_state = 3},
  [16167] = {.lex_state = 148, .external_lex_state = 3},
  [16168] = {.lex_state = 15, .external_lex_state = 3},
  [16169] = {.lex_state = 148, .external_lex_state = 3},
  [16170] = {.lex_state = 15, .external_lex_state = 3},
  [16171] = {.lex_state = 148, .external_lex_state = 3},
  [16172] = {.lex_state = 6, .external_lex_state = 3},
  [16173] = {.lex_state = 15, .external_lex_state = 3},
  [16174] = {.lex_state = 191, .external_lex_state = 3},
  [16175] = {.lex_state = 15, .external_lex_state = 3},
  [16176] = {.lex_state = 203, .external_lex_state = 3},
  [16177] = {.lex_state = 191, .external_lex_state = 3},
  [16178] = {.lex_state = 148, .external_lex_state = 3},
  [16179] = {.lex_state = 191, .external_lex_state = 3},
  [16180] = {.lex_state = 148, .external_lex_state = 3},
  [16181] = {.lex_state = 15, .external_lex_state = 3},
  [16182] = {.lex_state = 15, .external_lex_state = 3},
  [16183] = {.lex_state = 191, .external_lex_state = 3},
  [16184] = {.lex_state = 15, .external_lex_state = 3},
  [16185] = {.lex_state = 15, .external_lex_state = 3},
  [16186] = {.lex_state = 15, .external_lex_state = 3},
  [16187] = {.lex_state = 15, .external_lex_state = 3},
  [16188] = {.lex_state = 191, .external_lex_state = 3},
  [16189] = {.lex_state = 15, .external_lex_state = 8},
  [16190] = {.lex_state = 15, .external_lex_state = 3},
  [16191] = {.lex_state = 8, .external_lex_state = 3},
  [16192] = {.lex_state = 6, .external_lex_state = 3},
  [16193] = {.lex_state = 191, .external_lex_state = 3},
  [16194] = {.lex_state = 15, .external_lex_state = 3},
  [16195] = {.lex_state = 16, .external_lex_state = 3},
  [16196] = {.lex_state = 15, .external_lex_state = 3},
  [16197] = {.lex_state = 15, .external_lex_state = 3},
  [16198] = {.lex_state = 15, .external_lex_state = 3},
  [16199] = {.lex_state = 15, .external_lex_state = 3},
  [16200] = {.lex_state = 15, .external_lex_state = 3},
  [16201] = {.lex_state = 15, .external_lex_state = 3},
  [16202] = {.lex_state = 148, .external_lex_state = 3},
  [16203] = {.lex_state = 15, .external_lex_state = 3},
  [16204] = {.lex_state = 15, .external_lex_state = 8},
  [16205] = {.lex_state = 15, .external_lex_state = 3},
  [16206] = {.lex_state = 8, .external_lex_state = 3},
  [16207] = {.lex_state = 15, .external_lex_state = 3},
  [16208] = {.lex_state = 191, .external_lex_state = 3},
  [16209] = {.lex_state = 15, .external_lex_state = 3},
  [16210] = {.lex_state = 15, .external_lex_state = 3},
  [16211] = {.lex_state = 8, .external_lex_state = 3},
  [16212] = {.lex_state = 177, .external_lex_state = 3},
  [16213] = {.lex_state = 15, .external_lex_state = 3},
  [16214] = {.lex_state = 15, .external_lex_state = 3},
  [16215] = {.lex_state = 191, .external_lex_state = 3},
  [16216] = {.lex_state = 15, .external_lex_state = 3},
  [16217] = {.lex_state = 15, .external_lex_state = 8},
  [16218] = {.lex_state = 15, .external_lex_state = 3},
  [16219] = {.lex_state = 177, .external_lex_state = 3},
  [16220] = {.lex_state = 15, .external_lex_state = 3},
  [16221] = {.lex_state = 177, .external_lex_state = 3},
  [16222] = {.lex_state = 15, .external_lex_state = 3},
  [16223] = {.lex_state = 15, .external_lex_state = 3},
  [16224] = {.lex_state = 15, .external_lex_state = 3},
  [16225] = {.lex_state = 177, .external_lex_state = 3},
  [16226] = {.lex_state = 191, .external_lex_state = 3},
  [16227] = {.lex_state = 15, .external_lex_state = 3},
  [16228] = {.lex_state = 6, .external_lex_state = 3},
  [16229] = {.lex_state = 15, .external_lex_state = 3},
  [16230] = {.lex_state = 6, .external_lex_state = 3},
  [16231] = {.lex_state = 15, .external_lex_state = 3},
  [16232] = {.lex_state = 8, .external_lex_state = 3},
  [16233] = {.lex_state = 15, .external_lex_state = 3},
  [16234] = {.lex_state = 15, .external_lex_state = 3},
  [16235] = {.lex_state = 15, .external_lex_state = 3},
  [16236] = {.lex_state = 15, .external_lex_state = 3},
  [16237] = {.lex_state = 15, .external_lex_state = 3},
  [16238] = {.lex_state = 15, .external_lex_state = 3},
  [16239] = {.lex_state = 15, .external_lex_state = 3},
  [16240] = {.lex_state = 15, .external_lex_state = 3},
  [16241] = {.lex_state = 15, .external_lex_state = 3},
  [16242] = {.lex_state = 15, .external_lex_state = 3},
  [16243] = {.lex_state = 177, .external_lex_state = 3},
  [16244] = {.lex_state = 15, .external_lex_state = 8},
  [16245] = {.lex_state = 211, .external_lex_state = 7},
  [16246] = {.lex_state = 15, .external_lex_state = 3},
  [16247] = {.lex_state = 15, .external_lex_state = 3},
  [16248] = {.lex_state = 8, .external_lex_state = 3},
  [16249] = {.lex_state = 15, .external_lex_state = 3},
  [16250] = {.lex_state = 15, .external_lex_state = 3},
  [16251] = {.lex_state = 15, .external_lex_state = 3},
  [16252] = {.lex_state = 191, .external_lex_state = 3},
  [16253] = {.lex_state = 8, .external_lex_state = 3},
  [16254] = {.lex_state = 148, .external_lex_state = 3},
  [16255] = {.lex_state = 15, .external_lex_state = 3},
  [16256] = {.lex_state = 15, .external_lex_state = 3},
  [16257] = {.lex_state = 8, .external_lex_state = 3},
  [16258] = {.lex_state = 15, .external_lex_state = 8},
  [16259] = {.lex_state = 15, .external_lex_state = 8},
  [16260] = {.lex_state = 8, .external_lex_state = 3},
  [16261] = {.lex_state = 6, .external_lex_state = 3},
  [16262] = {.lex_state = 15, .external_lex_state = 3},
  [16263] = {.lex_state = 443, .external_lex_state = 3},
  [16264] = {.lex_state = 15, .external_lex_state = 3},
  [16265] = {.lex_state = 8, .external_lex_state = 3},
  [16266] = {.lex_state = 15, .external_lex_state = 3},
  [16267] = {.lex_state = 8, .external_lex_state = 3},
  [16268] = {.lex_state = 15, .external_lex_state = 8},
  [16269] = {.lex_state = 15, .external_lex_state = 3},
  [16270] = {.lex_state = 191, .external_lex_state = 3},
  [16271] = {.lex_state = 15, .external_lex_state = 3},
  [16272] = {.lex_state = 15, .external_lex_state = 3},
  [16273] = {.lex_state = 15, .external_lex_state = 3},
  [16274] = {.lex_state = 148, .external_lex_state = 3},
  [16275] = {.lex_state = 15, .external_lex_state = 3},
  [16276] = {.lex_state = 15, .external_lex_state = 3},
  [16277] = {.lex_state = 15, .external_lex_state = 3},
  [16278] = {.lex_state = 15, .external_lex_state = 3},
  [16279] = {.lex_state = 177, .external_lex_state = 3},
  [16280] = {.lex_state = 191, .external_lex_state = 3},
  [16281] = {.lex_state = 15, .external_lex_state = 3},
  [16282] = {.lex_state = 15, .external_lex_state = 3},
  [16283] = {.lex_state = 15, .external_lex_state = 3},
  [16284] = {.lex_state = 15, .external_lex_state = 3},
  [16285] = {.lex_state = 15, .external_lex_state = 3},
  [16286] = {.lex_state = 15, .external_lex_state = 3},
  [16287] = {.lex_state = 8, .external_lex_state = 3},
  [16288] = {.lex_state = 191, .external_lex_state = 3},
  [16289] = {.lex_state = 15, .external_lex_state = 3},
  [16290] = {.lex_state = 191, .external_lex_state = 3},
  [16291] = {.lex_state = 15, .external_lex_state = 3},
  [16292] = {.lex_state = 15, .external_lex_state = 3},
  [16293] = {.lex_state = 148, .external_lex_state = 3},
  [16294] = {.lex_state = 177, .external_lex_state = 3},
  [16295] = {.lex_state = 15, .external_lex_state = 3},
  [16296] = {.lex_state = 8, .external_lex_state = 3},
  [16297] = {.lex_state = 15, .external_lex_state = 3},
  [16298] = {.lex_state = 191, .external_lex_state = 3},
  [16299] = {.lex_state = 6, .external_lex_state = 3},
  [16300] = {.lex_state = 183, .external_lex_state = 3},
  [16301] = {.lex_state = 8, .external_lex_state = 3},
  [16302] = {.lex_state = 191, .external_lex_state = 3},
  [16303] = {.lex_state = 183, .external_lex_state = 3},
  [16304] = {.lex_state = 15, .external_lex_state = 3},
  [16305] = {.lex_state = 15, .external_lex_state = 3},
  [16306] = {.lex_state = 183, .external_lex_state = 3},
  [16307] = {.lex_state = 15, .external_lex_state = 3},
  [16308] = {.lex_state = 6, .external_lex_state = 3},
  [16309] = {.lex_state = 15, .external_lex_state = 3},
  [16310] = {.lex_state = 15, .external_lex_state = 3},
  [16311] = {.lex_state = 15, .external_lex_state = 3},
  [16312] = {.lex_state = 15, .external_lex_state = 3},
  [16313] = {.lex_state = 15, .external_lex_state = 3},
  [16314] = {.lex_state = 15, .external_lex_state = 3},
  [16315] = {.lex_state = 15, .external_lex_state = 3},
  [16316] = {.lex_state = 15, .external_lex_state = 3},
  [16317] = {.lex_state = 15, .external_lex_state = 3},
  [16318] = {.lex_state = 15, .external_lex_state = 3},
  [16319] = {.lex_state = 15, .external_lex_state = 3},
  [16320] = {.lex_state = 15, .external_lex_state = 3},
  [16321] = {.lex_state = 15, .external_lex_state = 3},
  [16322] = {.lex_state = 15, .external_lex_state = 3},
  [16323] = {.lex_state = 15, .external_lex_state = 3},
  [16324] = {.lex_state = 15, .external_lex_state = 3},
  [16325] = {.lex_state = 15, .external_lex_state = 3},
  [16326] = {.lex_state = 15, .external_lex_state = 3},
  [16327] = {.lex_state = 15, .external_lex_state = 3},
  [16328] = {.lex_state = 15, .external_lex_state = 3},
  [16329] = {.lex_state = 15, .external_lex_state = 3},
  [16330] = {.lex_state = 15, .external_lex_state = 3},
  [16331] = {.lex_state = 15, .external_lex_state = 3},
  [16332] = {.lex_state = 15, .external_lex_state = 3},
  [16333] = {.lex_state = 15, .external_lex_state = 3},
  [16334] = {.lex_state = 15, .external_lex_state = 3},
  [16335] = {.lex_state = 15, .external_lex_state = 3},
  [16336] = {.lex_state = 15, .external_lex_state = 3},
  [16337] = {.lex_state = 15, .external_lex_state = 3},
  [16338] = {.lex_state = 15, .external_lex_state = 3},
  [16339] = {.lex_state = 136, .external_lex_state = 3},
  [16340] = {.lex_state = 15, .external_lex_state = 3},
  [16341] = {.lex_state = 15, .external_lex_state = 3},
  [16342] = {.lex_state = 6, .external_lex_state = 3},
  [16343] = {.lex_state = 6, .external_lex_state = 3},
  [16344] = {.lex_state = 15, .external_lex_state = 3},
  [16345] = {.lex_state = 15, .external_lex_state = 3},
  [16346] = {.lex_state = 6, .external_lex_state = 3},
  [16347] = {.lex_state = 15, .external_lex_state = 3},
  [16348] = {.lex_state = 6, .external_lex_state = 3},
  [16349] = {.lex_state = 15, .external_lex_state = 3},
  [16350] = {.lex_state = 15, .external_lex_state = 3},
  [16351] = {.lex_state = 15, .external_lex_state = 3},
  [16352] = {.lex_state = 15, .external_lex_state = 3},
  [16353] = {.lex_state = 15, .external_lex_state = 3},
  [16354] = {.lex_state = 15, .external_lex_state = 3},
  [16355] = {.lex_state = 15, .external_lex_state = 3},
  [16356] = {.lex_state = 15, .external_lex_state = 3},
  [16357] = {.lex_state = 15, .external_lex_state = 3},
  [16358] = {.lex_state = 15, .external_lex_state = 3},
  [16359] = {.lex_state = 15, .external_lex_state = 3},
  [16360] = {.lex_state = 15, .external_lex_state = 3},
  [16361] = {.lex_state = 15, .external_lex_state = 3},
  [16362] = {.lex_state = 15, .external_lex_state = 3},
  [16363] = {.lex_state = 15, .external_lex_state = 3},
  [16364] = {.lex_state = 15, .external_lex_state = 3},
  [16365] = {.lex_state = 15, .external_lex_state = 3},
  [16366] = {.lex_state = 15, .external_lex_state = 3},
  [16367] = {.lex_state = 15, .external_lex_state = 3},
  [16368] = {.lex_state = 15, .external_lex_state = 3},
  [16369] = {.lex_state = 15, .external_lex_state = 3},
  [16370] = {.lex_state = 6, .external_lex_state = 3},
  [16371] = {.lex_state = 15, .external_lex_state = 3},
  [16372] = {.lex_state = 15, .external_lex_state = 3},
  [16373] = {.lex_state = 15, .external_lex_state = 3},
  [16374] = {.lex_state = 15, .external_lex_state = 3},
  [16375] = {.lex_state = 15, .external_lex_state = 3},
  [16376] = {.lex_state = 15, .external_lex_state = 3},
  [16377] = {.lex_state = 15, .external_lex_state = 3},
  [16378] = {.lex_state = 15, .external_lex_state = 3},
  [16379] = {.lex_state = 15, .external_lex_state = 3},
  [16380] = {.lex_state = 15, .external_lex_state = 3},
  [16381] = {.lex_state = 15, .external_lex_state = 3},
  [16382] = {.lex_state = 15, .external_lex_state = 3},
  [16383] = {.lex_state = 15, .external_lex_state = 3},
  [16384] = {.lex_state = 15, .external_lex_state = 3},
  [16385] = {.lex_state = 15, .external_lex_state = 3},
  [16386] = {.lex_state = 15, .external_lex_state = 3},
  [16387] = {.lex_state = 15, .external_lex_state = 3},
  [16388] = {.lex_state = 6, .external_lex_state = 3},
  [16389] = {.lex_state = 15, .external_lex_state = 3},
  [16390] = {.lex_state = 15, .external_lex_state = 3},
  [16391] = {.lex_state = 15, .external_lex_state = 3},
  [16392] = {.lex_state = 15, .external_lex_state = 3},
  [16393] = {.lex_state = 15, .external_lex_state = 3},
  [16394] = {.lex_state = 15, .external_lex_state = 3},
  [16395] = {.lex_state = 15, .external_lex_state = 3},
  [16396] = {.lex_state = 15, .external_lex_state = 3},
  [16397] = {.lex_state = 15, .external_lex_state = 3},
  [16398] = {.lex_state = 15, .external_lex_state = 3},
  [16399] = {.lex_state = 15, .external_lex_state = 3},
  [16400] = {.lex_state = 15, .external_lex_state = 3},
  [16401] = {.lex_state = 15, .external_lex_state = 3},
  [16402] = {.lex_state = 15, .external_lex_state = 3},
  [16403] = {.lex_state = 15, .external_lex_state = 3},
  [16404] = {.lex_state = 15, .external_lex_state = 3},
  [16405] = {.lex_state = 15, .external_lex_state = 3},
  [16406] = {.lex_state = 15, .external_lex_state = 3},
  [16407] = {.lex_state = 15, .external_lex_state = 3},
  [16408] = {.lex_state = 15, .external_lex_state = 3},
  [16409] = {.lex_state = 15, .external_lex_state = 3},
  [16410] = {.lex_state = 15, .external_lex_state = 3},
  [16411] = {.lex_state = 15, .external_lex_state = 3},
  [16412] = {.lex_state = 15, .external_lex_state = 3},
  [16413] = {.lex_state = 15, .external_lex_state = 3},
  [16414] = {.lex_state = 15, .external_lex_state = 3},
  [16415] = {.lex_state = 15, .external_lex_state = 3},
  [16416] = {.lex_state = 15, .external_lex_state = 3},
  [16417] = {.lex_state = 15, .external_lex_state = 3},
  [16418] = {.lex_state = 15, .external_lex_state = 3},
  [16419] = {.lex_state = 15, .external_lex_state = 3},
  [16420] = {.lex_state = 15, .external_lex_state = 3},
  [16421] = {.lex_state = 15, .external_lex_state = 3},
  [16422] = {.lex_state = 15, .external_lex_state = 3},
  [16423] = {.lex_state = 6, .external_lex_state = 3},
  [16424] = {.lex_state = 15, .external_lex_state = 3},
  [16425] = {.lex_state = 6, .external_lex_state = 3},
  [16426] = {.lex_state = 15, .external_lex_state = 3},
  [16427] = {.lex_state = 15, .external_lex_state = 3},
  [16428] = {.lex_state = 15, .external_lex_state = 3},
  [16429] = {.lex_state = 15, .external_lex_state = 3},
  [16430] = {.lex_state = 15, .external_lex_state = 3},
  [16431] = {.lex_state = 15, .external_lex_state = 3},
  [16432] = {.lex_state = 15, .external_lex_state = 3},
  [16433] = {.lex_state = 15, .external_lex_state = 3},
  [16434] = {.lex_state = 6, .external_lex_state = 3},
  [16435] = {.lex_state = 15, .external_lex_state = 3},
  [16436] = {.lex_state = 15, .external_lex_state = 3},
  [16437] = {.lex_state = 6, .external_lex_state = 3},
  [16438] = {.lex_state = 15, .external_lex_state = 3},
  [16439] = {.lex_state = 6, .external_lex_state = 3},
  [16440] = {.lex_state = 15, .external_lex_state = 3},
  [16441] = {.lex_state = 6, .external_lex_state = 3},
  [16442] = {.lex_state = 15, .external_lex_state = 3},
  [16443] = {.lex_state = 15, .external_lex_state = 3},
  [16444] = {.lex_state = 15, .external_lex_state = 3},
  [16445] = {.lex_state = 15, .external_lex_state = 3},
  [16446] = {.lex_state = 6, .external_lex_state = 3},
  [16447] = {.lex_state = 15, .external_lex_state = 3},
  [16448] = {.lex_state = 6, .external_lex_state = 3},
  [16449] = {.lex_state = 6, .external_lex_state = 3},
  [16450] = {.lex_state = 6, .external_lex_state = 3},
  [16451] = {.lex_state = 15, .external_lex_state = 3},
  [16452] = {.lex_state = 15, .external_lex_state = 3},
  [16453] = {.lex_state = 6, .external_lex_state = 3},
  [16454] = {.lex_state = 15, .external_lex_state = 3},
  [16455] = {.lex_state = 15, .external_lex_state = 3},
  [16456] = {.lex_state = 15, .external_lex_state = 3},
  [16457] = {.lex_state = 15, .external_lex_state = 3},
  [16458] = {.lex_state = 6, .external_lex_state = 3},
  [16459] = {.lex_state = 15, .external_lex_state = 3},
  [16460] = {.lex_state = 136, .external_lex_state = 3},
  [16461] = {.lex_state = 136, .external_lex_state = 3},
  [16462] = {.lex_state = 136, .external_lex_state = 3},
  [16463] = {.lex_state = 15, .external_lex_state = 3},
  [16464] = {.lex_state = 8, .external_lex_state = 3},
  [16465] = {.lex_state = 15, .external_lex_state = 3},
  [16466] = {.lex_state = 6, .external_lex_state = 3},
  [16467] = {.lex_state = 15, .external_lex_state = 3},
  [16468] = {.lex_state = 15, .external_lex_state = 3},
  [16469] = {.lex_state = 15, .external_lex_state = 3},
  [16470] = {.lex_state = 15, .external_lex_state = 3},
  [16471] = {.lex_state = 15, .external_lex_state = 3},
  [16472] = {.lex_state = 15, .external_lex_state = 3},
  [16473] = {.lex_state = 15, .external_lex_state = 3},
  [16474] = {.lex_state = 15, .external_lex_state = 3},
  [16475] = {.lex_state = 15, .external_lex_state = 3},
  [16476] = {.lex_state = 15, .external_lex_state = 3},
  [16477] = {.lex_state = 15, .external_lex_state = 3},
  [16478] = {.lex_state = 15, .external_lex_state = 3},
  [16479] = {.lex_state = 6, .external_lex_state = 3},
  [16480] = {.lex_state = 6, .external_lex_state = 3},
  [16481] = {.lex_state = 15, .external_lex_state = 3},
  [16482] = {.lex_state = 15, .external_lex_state = 3},
  [16483] = {.lex_state = 6, .external_lex_state = 3},
  [16484] = {.lex_state = 15, .external_lex_state = 3},
  [16485] = {.lex_state = 15, .external_lex_state = 3},
  [16486] = {.lex_state = 15, .external_lex_state = 3},
  [16487] = {.lex_state = 15, .external_lex_state = 3},
  [16488] = {.lex_state = 15, .external_lex_state = 3},
  [16489] = {.lex_state = 15, .external_lex_state = 3},
  [16490] = {.lex_state = 6, .external_lex_state = 3},
  [16491] = {.lex_state = 6, .external_lex_state = 3},
  [16492] = {.lex_state = 15, .external_lex_state = 3},
  [16493] = {.lex_state = 136, .external_lex_state = 3},
  [16494] = {.lex_state = 15, .external_lex_state = 3},
  [16495] = {.lex_state = 136, .external_lex_state = 3},
  [16496] = {.lex_state = 136, .external_lex_state = 3},
  [16497] = {.lex_state = 136, .external_lex_state = 3},
  [16498] = {.lex_state = 136, .external_lex_state = 3},
  [16499] = {.lex_state = 15, .external_lex_state = 3},
  [16500] = {.lex_state = 15, .external_lex_state = 3},
  [16501] = {.lex_state = 15, .external_lex_state = 3},
  [16502] = {.lex_state = 15, .external_lex_state = 3},
  [16503] = {.lex_state = 6, .external_lex_state = 3},
  [16504] = {.lex_state = 15, .external_lex_state = 3},
  [16505] = {.lex_state = 6, .external_lex_state = 3},
  [16506] = {.lex_state = 15, .external_lex_state = 3},
  [16507] = {.lex_state = 15, .external_lex_state = 3},
  [16508] = {.lex_state = 6, .external_lex_state = 3},
  [16509] = {.lex_state = 6, .external_lex_state = 3},
  [16510] = {.lex_state = 6, .external_lex_state = 3},
  [16511] = {.lex_state = 15, .external_lex_state = 3},
  [16512] = {.lex_state = 6, .external_lex_state = 3},
  [16513] = {.lex_state = 15, .external_lex_state = 3},
  [16514] = {.lex_state = 6, .external_lex_state = 3},
  [16515] = {.lex_state = 6, .external_lex_state = 3},
  [16516] = {.lex_state = 15, .external_lex_state = 3},
  [16517] = {.lex_state = 6, .external_lex_state = 3},
  [16518] = {.lex_state = 15, .external_lex_state = 3},
  [16519] = {.lex_state = 15, .external_lex_state = 3},
  [16520] = {.lex_state = 136, .external_lex_state = 3},
  [16521] = {.lex_state = 136, .external_lex_state = 3},
  [16522] = {.lex_state = 136, .external_lex_state = 3},
  [16523] = {.lex_state = 136, .external_lex_state = 3},
  [16524] = {.lex_state = 15, .external_lex_state = 3},
  [16525] = {.lex_state = 6, .external_lex_state = 3},
  [16526] = {.lex_state = 15, .external_lex_state = 3},
  [16527] = {.lex_state = 15, .external_lex_state = 3},
  [16528] = {.lex_state = 15, .external_lex_state = 3},
  [16529] = {.lex_state = 6, .external_lex_state = 3},
  [16530] = {.lex_state = 15, .external_lex_state = 3},
  [16531] = {.lex_state = 6, .external_lex_state = 3},
  [16532] = {.lex_state = 6, .external_lex_state = 3},
  [16533] = {.lex_state = 15, .external_lex_state = 3},
  [16534] = {.lex_state = 15, .external_lex_state = 3},
  [16535] = {.lex_state = 6, .external_lex_state = 3},
  [16536] = {.lex_state = 15, .external_lex_state = 3},
  [16537] = {.lex_state = 15, .external_lex_state = 3},
  [16538] = {.lex_state = 136, .external_lex_state = 3},
  [16539] = {.lex_state = 136, .external_lex_state = 3},
  [16540] = {.lex_state = 136, .external_lex_state = 3},
  [16541] = {.lex_state = 15, .external_lex_state = 3},
  [16542] = {.lex_state = 6, .external_lex_state = 3},
  [16543] = {.lex_state = 6, .external_lex_state = 3},
  [16544] = {.lex_state = 15, .external_lex_state = 3},
  [16545] = {.lex_state = 136, .external_lex_state = 3},
  [16546] = {.lex_state = 15, .external_lex_state = 3},
  [16547] = {.lex_state = 15, .external_lex_state = 3},
  [16548] = {.lex_state = 15, .external_lex_state = 3},
  [16549] = {.lex_state = 15, .external_lex_state = 3},
  [16550] = {.lex_state = 15, .external_lex_state = 3},
  [16551] = {.lex_state = 15, .external_lex_state = 3},
  [16552] = {.lex_state = 6, .external_lex_state = 3},
  [16553] = {.lex_state = 6, .external_lex_state = 3},
  [16554] = {.lex_state = 6, .external_lex_state = 3},
  [16555] = {.lex_state = 6, .external_lex_state = 3},
  [16556] = {.lex_state = 15, .external_lex_state = 3},
  [16557] = {.lex_state = 15, .external_lex_state = 3},
  [16558] = {.lex_state = 6, .external_lex_state = 3},
  [16559] = {.lex_state = 15, .external_lex_state = 3},
  [16560] = {.lex_state = 6, .external_lex_state = 3},
  [16561] = {.lex_state = 6, .external_lex_state = 3},
  [16562] = {.lex_state = 6, .external_lex_state = 3},
  [16563] = {.lex_state = 6, .external_lex_state = 3},
  [16564] = {.lex_state = 15, .external_lex_state = 3},
  [16565] = {.lex_state = 6, .external_lex_state = 3},
  [16566] = {.lex_state = 15, .external_lex_state = 3},
  [16567] = {.lex_state = 6, .external_lex_state = 3},
  [16568] = {.lex_state = 15, .external_lex_state = 3},
  [16569] = {.lex_state = 6, .external_lex_state = 3},
  [16570] = {.lex_state = 15, .external_lex_state = 3},
  [16571] = {.lex_state = 6, .external_lex_state = 3},
  [16572] = {.lex_state = 15, .external_lex_state = 3},
  [16573] = {.lex_state = 6, .external_lex_state = 3},
  [16574] = {.lex_state = 15, .external_lex_state = 3},
  [16575] = {.lex_state = 15, .external_lex_state = 3},
  [16576] = {.lex_state = 15, .external_lex_state = 3},
  [16577] = {.lex_state = 15, .external_lex_state = 3},
  [16578] = {.lex_state = 15, .external_lex_state = 3},
  [16579] = {.lex_state = 6, .external_lex_state = 3},
  [16580] = {.lex_state = 6, .external_lex_state = 3},
  [16581] = {.lex_state = 6, .external_lex_state = 3},
  [16582] = {.lex_state = 15, .external_lex_state = 3},
  [16583] = {.lex_state = 6, .external_lex_state = 3},
  [16584] = {.lex_state = 6, .external_lex_state = 3},
  [16585] = {.lex_state = 15, .external_lex_state = 3},
  [16586] = {.lex_state = 6, .external_lex_state = 3},
  [16587] = {.lex_state = 6, .external_lex_state = 3},
  [16588] = {.lex_state = 15, .external_lex_state = 3},
  [16589] = {.lex_state = 6, .external_lex_state = 3},
  [16590] = {.lex_state = 6, .external_lex_state = 3},
  [16591] = {.lex_state = 6, .external_lex_state = 3},
  [16592] = {.lex_state = 6, .external_lex_state = 3},
  [16593] = {.lex_state = 15, .external_lex_state = 3},
  [16594] = {.lex_state = 15, .external_lex_state = 3},
  [16595] = {.lex_state = 15, .external_lex_state = 3},
  [16596] = {.lex_state = 6, .external_lex_state = 3},
  [16597] = {.lex_state = 6, .external_lex_state = 3},
  [16598] = {.lex_state = 6, .external_lex_state = 3},
  [16599] = {.lex_state = 6, .external_lex_state = 3},
  [16600] = {.lex_state = 15, .external_lex_state = 3},
  [16601] = {.lex_state = 6, .external_lex_state = 3},
  [16602] = {.lex_state = 15, .external_lex_state = 3},
  [16603] = {.lex_state = 15, .external_lex_state = 3},
  [16604] = {.lex_state = 6, .external_lex_state = 3},
  [16605] = {.lex_state = 15, .external_lex_state = 3},
  [16606] = {.lex_state = 6, .external_lex_state = 3},
  [16607] = {.lex_state = 15, .external_lex_state = 3},
  [16608] = {.lex_state = 15, .external_lex_state = 3},
  [16609] = {.lex_state = 15, .external_lex_state = 3},
  [16610] = {.lex_state = 6, .external_lex_state = 3},
  [16611] = {.lex_state = 15, .external_lex_state = 3},
  [16612] = {.lex_state = 6, .external_lex_state = 3},
  [16613] = {.lex_state = 15, .external_lex_state = 3},
  [16614] = {.lex_state = 15, .external_lex_state = 3},
  [16615] = {.lex_state = 15, .external_lex_state = 3},
  [16616] = {.lex_state = 15, .external_lex_state = 3},
  [16617] = {.lex_state = 15, .external_lex_state = 3},
  [16618] = {.lex_state = 15, .external_lex_state = 3},
  [16619] = {.lex_state = 15, .external_lex_state = 3},
  [16620] = {.lex_state = 15, .external_lex_state = 3},
  [16621] = {.lex_state = 15, .external_lex_state = 3},
  [16622] = {.lex_state = 6, .external_lex_state = 3},
  [16623] = {.lex_state = 15, .external_lex_state = 3},
  [16624] = {.lex_state = 6, .external_lex_state = 3},
  [16625] = {.lex_state = 6, .external_lex_state = 3},
  [16626] = {.lex_state = 6, .external_lex_state = 3},
  [16627] = {.lex_state = 6, .external_lex_state = 3},
  [16628] = {.lex_state = 15, .external_lex_state = 3},
  [16629] = {.lex_state = 136, .external_lex_state = 3},
  [16630] = {.lex_state = 6, .external_lex_state = 3},
  [16631] = {.lex_state = 6, .external_lex_state = 3},
  [16632] = {.lex_state = 15, .external_lex_state = 3},
  [16633] = {.lex_state = 6, .external_lex_state = 3},
  [16634] = {.lex_state = 6, .external_lex_state = 3},
  [16635] = {.lex_state = 15, .external_lex_state = 3},
  [16636] = {.lex_state = 15, .external_lex_state = 3},
  [16637] = {.lex_state = 6, .external_lex_state = 3},
  [16638] = {.lex_state = 15, .external_lex_state = 3},
  [16639] = {.lex_state = 6, .external_lex_state = 3},
  [16640] = {.lex_state = 6, .external_lex_state = 3},
  [16641] = {.lex_state = 6, .external_lex_state = 3},
  [16642] = {.lex_state = 6, .external_lex_state = 3},
  [16643] = {.lex_state = 6, .external_lex_state = 3},
  [16644] = {.lex_state = 15, .external_lex_state = 3},
  [16645] = {.lex_state = 15, .external_lex_state = 3},
  [16646] = {.lex_state = 15, .external_lex_state = 3},
  [16647] = {.lex_state = 15, .external_lex_state = 3},
  [16648] = {.lex_state = 15, .external_lex_state = 3},
  [16649] = {.lex_state = 15, .external_lex_state = 3},
  [16650] = {.lex_state = 15, .external_lex_state = 3},
  [16651] = {.lex_state = 15, .external_lex_state = 3},
  [16652] = {.lex_state = 15, .external_lex_state = 3},
  [16653] = {.lex_state = 15, .external_lex_state = 3},
  [16654] = {.lex_state = 15, .external_lex_state = 3},
  [16655] = {.lex_state = 443, .external_lex_state = 3},
  [16656] = {.lex_state = 443, .external_lex_state = 3},
  [16657] = {.lex_state = 6, .external_lex_state = 3},
  [16658] = {.lex_state = 15, .external_lex_state = 3},
  [16659] = {.lex_state = 15, .external_lex_state = 3},
  [16660] = {.lex_state = 15, .external_lex_state = 3},
  [16661] = {.lex_state = 15, .external_lex_state = 3},
  [16662] = {.lex_state = 15, .external_lex_state = 3},
  [16663] = {.lex_state = 15, .external_lex_state = 3},
  [16664] = {.lex_state = 15, .external_lex_state = 3},
  [16665] = {.lex_state = 15, .external_lex_state = 3},
  [16666] = {.lex_state = 15, .external_lex_state = 3},
  [16667] = {.lex_state = 15, .external_lex_state = 3},
  [16668] = {.lex_state = 15, .external_lex_state = 3},
  [16669] = {.lex_state = 15, .external_lex_state = 3},
  [16670] = {.lex_state = 15, .external_lex_state = 3},
  [16671] = {.lex_state = 15, .external_lex_state = 3},
  [16672] = {.lex_state = 15, .external_lex_state = 3},
  [16673] = {.lex_state = 15, .external_lex_state = 3},
  [16674] = {.lex_state = 15, .external_lex_state = 3},
  [16675] = {.lex_state = 15, .external_lex_state = 3},
  [16676] = {.lex_state = 6, .external_lex_state = 3},
  [16677] = {.lex_state = 15, .external_lex_state = 3},
  [16678] = {.lex_state = 6, .external_lex_state = 3},
  [16679] = {.lex_state = 15, .external_lex_state = 3},
  [16680] = {.lex_state = 6, .external_lex_state = 3},
  [16681] = {.lex_state = 6, .external_lex_state = 3},
  [16682] = {.lex_state = 6, .external_lex_state = 3},
  [16683] = {.lex_state = 15, .external_lex_state = 3},
  [16684] = {.lex_state = 6, .external_lex_state = 3},
  [16685] = {.lex_state = 6, .external_lex_state = 3},
  [16686] = {.lex_state = 6, .external_lex_state = 3},
  [16687] = {.lex_state = 15, .external_lex_state = 3},
  [16688] = {.lex_state = 6, .external_lex_state = 3},
  [16689] = {.lex_state = 15, .external_lex_state = 3},
  [16690] = {.lex_state = 15, .external_lex_state = 3},
  [16691] = {.lex_state = 15, .external_lex_state = 3},
  [16692] = {.lex_state = 15, .external_lex_state = 3},
  [16693] = {.lex_state = 15, .external_lex_state = 3},
  [16694] = {.lex_state = 15, .external_lex_state = 3},
  [16695] = {.lex_state = 443, .external_lex_state = 3},
  [16696] = {.lex_state = 15, .external_lex_state = 3},
  [16697] = {.lex_state = 15, .external_lex_state = 3},
  [16698] = {.lex_state = 15, .external_lex_state = 3},
  [16699] = {.lex_state = 15, .external_lex_state = 3},
  [16700] = {.lex_state = 15, .external_lex_state = 3},
  [16701] = {.lex_state = 15, .external_lex_state = 3},
  [16702] = {.lex_state = 15, .external_lex_state = 3},
  [16703] = {.lex_state = 15, .external_lex_state = 3},
  [16704] = {.lex_state = 15, .external_lex_state = 3},
  [16705] = {.lex_state = 15, .external_lex_state = 3},
  [16706] = {.lex_state = 6, .external_lex_state = 3},
  [16707] = {.lex_state = 15, .external_lex_state = 3},
  [16708] = {.lex_state = 15, .external_lex_state = 3},
  [16709] = {.lex_state = 6, .external_lex_state = 3},
  [16710] = {.lex_state = 15, .external_lex_state = 3},
  [16711] = {.lex_state = 425, .external_lex_state = 3},
  [16712] = {.lex_state = 394, .external_lex_state = 3},
  [16713] = {.lex_state = 6, .external_lex_state = 3},
  [16714] = {.lex_state = 15, .external_lex_state = 3},
  [16715] = {.lex_state = 15, .external_lex_state = 3},
  [16716] = {.lex_state = 177, .external_lex_state = 3},
  [16717] = {.lex_state = 15, .external_lex_state = 3},
  [16718] = {.lex_state = 6, .external_lex_state = 3},
  [16719] = {.lex_state = 177, .external_lex_state = 3},
  [16720] = {.lex_state = 15, .external_lex_state = 3},
  [16721] = {.lex_state = 6, .external_lex_state = 3},
  [16722] = {.lex_state = 394, .external_lex_state = 3},
  [16723] = {.lex_state = 15, .external_lex_state = 3},
  [16724] = {.lex_state = 6, .external_lex_state = 3},
  [16725] = {.lex_state = 425, .external_lex_state = 3},
  [16726] = {.lex_state = 394, .external_lex_state = 3},
  [16727] = {.lex_state = 15, .external_lex_state = 3},
  [16728] = {.lex_state = 6, .external_lex_state = 3},
  [16729] = {.lex_state = 177, .external_lex_state = 3},
  [16730] = {.lex_state = 6, .external_lex_state = 3},
  [16731] = {.lex_state = 15, .external_lex_state = 3},
  [16732] = {.lex_state = 15, .external_lex_state = 3},
  [16733] = {.lex_state = 425, .external_lex_state = 3},
  [16734] = {.lex_state = 15, .external_lex_state = 3},
  [16735] = {.lex_state = 177, .external_lex_state = 3},
  [16736] = {.lex_state = 15, .external_lex_state = 3},
  [16737] = {.lex_state = 15, .external_lex_state = 3},
  [16738] = {.lex_state = 6, .external_lex_state = 3},
  [16739] = {.lex_state = 15, .external_lex_state = 3},
  [16740] = {.lex_state = 15, .external_lex_state = 3},
  [16741] = {.lex_state = 6, .external_lex_state = 3},
  [16742] = {.lex_state = 6, .external_lex_state = 3},
  [16743] = {.lex_state = 6, .external_lex_state = 3},
  [16744] = {.lex_state = 15, .external_lex_state = 3},
  [16745] = {.lex_state = 15, .external_lex_state = 3},
  [16746] = {.lex_state = 15, .external_lex_state = 3},
  [16747] = {.lex_state = 15, .external_lex_state = 3},
  [16748] = {.lex_state = 394, .external_lex_state = 3},
  [16749] = {.lex_state = 6, .external_lex_state = 3},
  [16750] = {.lex_state = 394, .external_lex_state = 3},
  [16751] = {.lex_state = 177, .external_lex_state = 3},
  [16752] = {.lex_state = 177, .external_lex_state = 3},
  [16753] = {.lex_state = 177, .external_lex_state = 3},
  [16754] = {.lex_state = 394, .external_lex_state = 3},
  [16755] = {.lex_state = 6, .external_lex_state = 3},
  [16756] = {.lex_state = 15, .external_lex_state = 3},
  [16757] = {.lex_state = 394, .external_lex_state = 3},
  [16758] = {.lex_state = 15, .external_lex_state = 3},
  [16759] = {.lex_state = 6, .external_lex_state = 3},
  [16760] = {.lex_state = 6, .external_lex_state = 3},
  [16761] = {.lex_state = 15, .external_lex_state = 3},
  [16762] = {.lex_state = 15, .external_lex_state = 3},
  [16763] = {.lex_state = 15, .external_lex_state = 3},
  [16764] = {.lex_state = 15, .external_lex_state = 3},
  [16765] = {.lex_state = 15, .external_lex_state = 3},
  [16766] = {.lex_state = 15, .external_lex_state = 3},
  [16767] = {.lex_state = 6, .external_lex_state = 3},
  [16768] = {.lex_state = 8, .external_lex_state = 3},
  [16769] = {.lex_state = 15, .external_lex_state = 3},
  [16770] = {.lex_state = 177, .external_lex_state = 3},
  [16771] = {.lex_state = 177, .external_lex_state = 3},
  [16772] = {.lex_state = 15, .external_lex_state = 3},
  [16773] = {.lex_state = 425, .external_lex_state = 3},
  [16774] = {.lex_state = 6, .external_lex_state = 3},
  [16775] = {.lex_state = 15, .external_lex_state = 3},
  [16776] = {.lex_state = 6, .external_lex_state = 3},
  [16777] = {.lex_state = 6, .external_lex_state = 3},
  [16778] = {.lex_state = 15, .external_lex_state = 3},
  [16779] = {.lex_state = 6, .external_lex_state = 3},
  [16780] = {.lex_state = 15, .external_lex_state = 3},
  [16781] = {.lex_state = 15, .external_lex_state = 3},
  [16782] = {.lex_state = 15, .external_lex_state = 3},
  [16783] = {.lex_state = 6, .external_lex_state = 3},
  [16784] = {.lex_state = 6, .external_lex_state = 3},
  [16785] = {.lex_state = 15, .external_lex_state = 3},
  [16786] = {.lex_state = 15, .external_lex_state = 3},
  [16787] = {.lex_state = 15, .external_lex_state = 3},
  [16788] = {.lex_state = 15, .external_lex_state = 3},
  [16789] = {.lex_state = 15, .external_lex_state = 3},
  [16790] = {.lex_state = 6, .external_lex_state = 3},
  [16791] = {.lex_state = 15, .external_lex_state = 3},
  [16792] = {.lex_state = 15, .external_lex_state = 3},
  [16793] = {.lex_state = 15, .external_lex_state = 3},
  [16794] = {.lex_state = 15, .external_lex_state = 3},
  [16795] = {.lex_state = 15, .external_lex_state = 3},
  [16796] = {.lex_state = 15, .external_lex_state = 3},
  [16797] = {.lex_state = 6, .external_lex_state = 3},
  [16798] = {.lex_state = 15, .external_lex_state = 3},
  [16799] = {.lex_state = 15, .external_lex_state = 3},
  [16800] = {.lex_state = 15, .external_lex_state = 3},
  [16801] = {.lex_state = 15, .external_lex_state = 3},
  [16802] = {.lex_state = 177, .external_lex_state = 3},
  [16803] = {.lex_state = 15, .external_lex_state = 3},
  [16804] = {.lex_state = 15, .external_lex_state = 3},
  [16805] = {.lex_state = 15, .external_lex_state = 3},
  [16806] = {.lex_state = 15, .external_lex_state = 3},
  [16807] = {.lex_state = 6, .external_lex_state = 3},
  [16808] = {.lex_state = 6, .external_lex_state = 3},
  [16809] = {.lex_state = 15, .external_lex_state = 3},
  [16810] = {.lex_state = 15, .external_lex_state = 3},
  [16811] = {.lex_state = 15, .external_lex_state = 3},
  [16812] = {.lex_state = 15, .external_lex_state = 3},
  [16813] = {.lex_state = 25, .external_lex_state = 3},
  [16814] = {.lex_state = 15, .external_lex_state = 3},
  [16815] = {.lex_state = 15, .external_lex_state = 3},
  [16816] = {.lex_state = 15, .external_lex_state = 3},
  [16817] = {.lex_state = 191, .external_lex_state = 3},
  [16818] = {.lex_state = 15, .external_lex_state = 3},
  [16819] = {.lex_state = 191, .external_lex_state = 3},
  [16820] = {.lex_state = 15, .external_lex_state = 3},
  [16821] = {.lex_state = 15, .external_lex_state = 3},
  [16822] = {.lex_state = 15, .external_lex_state = 3},
  [16823] = {.lex_state = 191, .external_lex_state = 3},
  [16824] = {.lex_state = 15, .external_lex_state = 3},
  [16825] = {.lex_state = 6, .external_lex_state = 3},
  [16826] = {.lex_state = 6, .external_lex_state = 3},
  [16827] = {.lex_state = 15, .external_lex_state = 3},
  [16828] = {.lex_state = 6, .external_lex_state = 3},
  [16829] = {.lex_state = 15, .external_lex_state = 3},
  [16830] = {.lex_state = 15, .external_lex_state = 3},
  [16831] = {.lex_state = 15, .external_lex_state = 3},
  [16832] = {.lex_state = 6, .external_lex_state = 3},
  [16833] = {.lex_state = 15, .external_lex_state = 3},
  [16834] = {.lex_state = 15, .external_lex_state = 3},
  [16835] = {.lex_state = 6, .external_lex_state = 3},
  [16836] = {.lex_state = 15, .external_lex_state = 3},
  [16837] = {.lex_state = 15, .external_lex_state = 3},
  [16838] = {.lex_state = 15, .external_lex_state = 3},
  [16839] = {.lex_state = 15, .external_lex_state = 3},
  [16840] = {.lex_state = 15, .external_lex_state = 3},
  [16841] = {.lex_state = 15, .external_lex_state = 3},
  [16842] = {.lex_state = 6, .external_lex_state = 3},
  [16843] = {.lex_state = 15, .external_lex_state = 3},
  [16844] = {.lex_state = 15, .external_lex_state = 3},
  [16845] = {.lex_state = 15, .external_lex_state = 3},
  [16846] = {.lex_state = 15, .external_lex_state = 3},
  [16847] = {.lex_state = 15, .external_lex_state = 3},
  [16848] = {.lex_state = 15, .external_lex_state = 3},
  [16849] = {.lex_state = 130, .external_lex_state = 3},
  [16850] = {.lex_state = 15, .external_lex_state = 3},
  [16851] = {.lex_state = 6, .external_lex_state = 3},
  [16852] = {.lex_state = 15, .external_lex_state = 3},
  [16853] = {.lex_state = 394, .external_lex_state = 3},
  [16854] = {.lex_state = 15, .external_lex_state = 3},
  [16855] = {.lex_state = 15, .external_lex_state = 3},
  [16856] = {.lex_state = 15, .external_lex_state = 3},
  [16857] = {.lex_state = 6, .external_lex_state = 3},
  [16858] = {.lex_state = 15, .external_lex_state = 3},
  [16859] = {.lex_state = 6, .external_lex_state = 3},
  [16860] = {.lex_state = 15, .external_lex_state = 3},
  [16861] = {.lex_state = 15, .external_lex_state = 3},
  [16862] = {.lex_state = 15, .external_lex_state = 3},
  [16863] = {.lex_state = 15, .external_lex_state = 3},
  [16864] = {.lex_state = 15, .external_lex_state = 3},
  [16865] = {.lex_state = 15, .external_lex_state = 3},
  [16866] = {.lex_state = 15, .external_lex_state = 3},
  [16867] = {.lex_state = 15, .external_lex_state = 3},
  [16868] = {.lex_state = 15, .external_lex_state = 3},
  [16869] = {.lex_state = 6, .external_lex_state = 3},
  [16870] = {.lex_state = 15, .external_lex_state = 3},
  [16871] = {.lex_state = 6, .external_lex_state = 3},
  [16872] = {.lex_state = 6, .external_lex_state = 3},
  [16873] = {.lex_state = 15, .external_lex_state = 3},
  [16874] = {.lex_state = 15, .external_lex_state = 3},
  [16875] = {.lex_state = 15, .external_lex_state = 3},
  [16876] = {.lex_state = 191, .external_lex_state = 3},
  [16877] = {.lex_state = 6, .external_lex_state = 3},
  [16878] = {.lex_state = 6, .external_lex_state = 3},
  [16879] = {.lex_state = 6, .external_lex_state = 3},
  [16880] = {.lex_state = 443, .external_lex_state = 3},
  [16881] = {.lex_state = 443, .external_lex_state = 3},
  [16882] = {.lex_state = 443, .external_lex_state = 3},
  [16883] = {.lex_state = 425, .external_lex_state = 3},
  [16884] = {.lex_state = 394, .external_lex_state = 3},
  [16885] = {.lex_state = 394, .external_lex_state = 3},
  [16886] = {.lex_state = 177, .external_lex_state = 3},
  [16887] = {.lex_state = 25, .external_lex_state = 3},
  [16888] = {.lex_state = 15, .external_lex_state = 3},
  [16889] = {.lex_state = 6, .external_lex_state = 3},
  [16890] = {.lex_state = 425, .external_lex_state = 3},
  [16891] = {.lex_state = 15, .external_lex_state = 3},
  [16892] = {.lex_state = 425, .external_lex_state = 3},
  [16893] = {.lex_state = 6, .external_lex_state = 3},
  [16894] = {.lex_state = 425, .external_lex_state = 3},
  [16895] = {.lex_state = 15, .external_lex_state = 3},
  [16896] = {.lex_state = 15, .external_lex_state = 3},
  [16897] = {.lex_state = 15, .external_lex_state = 3},
  [16898] = {.lex_state = 6, .external_lex_state = 3},
  [16899] = {.lex_state = 15, .external_lex_state = 3},
  [16900] = {.lex_state = 6, .external_lex_state = 3},
  [16901] = {.lex_state = 394, .external_lex_state = 3},
  [16902] = {.lex_state = 15, .external_lex_state = 3},
  [16903] = {.lex_state = 6, .external_lex_state = 3},
  [16904] = {.lex_state = 15, .external_lex_state = 3},
  [16905] = {.lex_state = 6, .external_lex_state = 3},
  [16906] = {.lex_state = 6, .external_lex_state = 3},
  [16907] = {.lex_state = 15, .external_lex_state = 3},
  [16908] = {.lex_state = 15, .external_lex_state = 3},
  [16909] = {.lex_state = 15, .external_lex_state = 3},
  [16910] = {.lex_state = 15, .external_lex_state = 3},
  [16911] = {.lex_state = 6, .external_lex_state = 3},
  [16912] = {.lex_state = 6, .external_lex_state = 3},
  [16913] = {.lex_state = 394, .external_lex_state = 3},
  [16914] = {.lex_state = 15, .external_lex_state = 3},
  [16915] = {.lex_state = 443, .external_lex_state = 3},
  [16916] = {.lex_state = 425, .external_lex_state = 3},
  [16917] = {.lex_state = 425, .external_lex_state = 3},
  [16918] = {.lex_state = 425, .external_lex_state = 3},
  [16919] = {.lex_state = 15, .external_lex_state = 3},
  [16920] = {.lex_state = 425, .external_lex_state = 3},
  [16921] = {.lex_state = 15, .external_lex_state = 3},
  [16922] = {.lex_state = 15, .external_lex_state = 3},
  [16923] = {.lex_state = 6, .external_lex_state = 3},
  [16924] = {.lex_state = 25, .external_lex_state = 3},
  [16925] = {.lex_state = 15, .external_lex_state = 3},
  [16926] = {.lex_state = 6, .external_lex_state = 3},
  [16927] = {.lex_state = 6, .external_lex_state = 3},
  [16928] = {.lex_state = 185, .external_lex_state = 3},
  [16929] = {.lex_state = 185, .external_lex_state = 3},
  [16930] = {.lex_state = 15, .external_lex_state = 3},
  [16931] = {.lex_state = 394, .external_lex_state = 3},
  [16932] = {.lex_state = 185, .external_lex_state = 3},
  [16933] = {.lex_state = 394, .external_lex_state = 3},
  [16934] = {.lex_state = 394, .external_lex_state = 3},
  [16935] = {.lex_state = 394, .external_lex_state = 3},
  [16936] = {.lex_state = 6, .external_lex_state = 3},
  [16937] = {.lex_state = 15, .external_lex_state = 3},
  [16938] = {.lex_state = 15, .external_lex_state = 3},
  [16939] = {.lex_state = 394, .external_lex_state = 3},
  [16940] = {.lex_state = 394, .external_lex_state = 3},
  [16941] = {.lex_state = 15, .external_lex_state = 3},
  [16942] = {.lex_state = 177, .external_lex_state = 3},
  [16943] = {.lex_state = 394, .external_lex_state = 3},
  [16944] = {.lex_state = 394, .external_lex_state = 3},
  [16945] = {.lex_state = 185, .external_lex_state = 3},
  [16946] = {.lex_state = 15, .external_lex_state = 3},
  [16947] = {.lex_state = 15, .external_lex_state = 3},
  [16948] = {.lex_state = 15, .external_lex_state = 3},
  [16949] = {.lex_state = 15, .external_lex_state = 3},
  [16950] = {.lex_state = 394, .external_lex_state = 3},
  [16951] = {.lex_state = 394, .external_lex_state = 3},
  [16952] = {.lex_state = 15, .external_lex_state = 3},
  [16953] = {.lex_state = 136, .external_lex_state = 3},
  [16954] = {.lex_state = 15, .external_lex_state = 3},
  [16955] = {.lex_state = 15, .external_lex_state = 3},
  [16956] = {.lex_state = 15, .external_lex_state = 3},
  [16957] = {.lex_state = 15, .external_lex_state = 3},
  [16958] = {.lex_state = 6, .external_lex_state = 3},
  [16959] = {.lex_state = 15, .external_lex_state = 3},
  [16960] = {.lex_state = 15, .external_lex_state = 3},
  [16961] = {.lex_state = 394, .external_lex_state = 3},
  [16962] = {.lex_state = 185, .external_lex_state = 3},
  [16963] = {.lex_state = 15, .external_lex_state = 3},
  [16964] = {.lex_state = 8, .external_lex_state = 3},
  [16965] = {.lex_state = 6, .external_lex_state = 3},
  [16966] = {.lex_state = 15, .external_lex_state = 3},
  [16967] = {.lex_state = 136, .external_lex_state = 3},
  [16968] = {.lex_state = 15, .external_lex_state = 3},
  [16969] = {.lex_state = 394, .external_lex_state = 3},
  [16970] = {.lex_state = 15, .external_lex_state = 3},
  [16971] = {.lex_state = 15, .external_lex_state = 3},
  [16972] = {.lex_state = 394, .external_lex_state = 3},
  [16973] = {.lex_state = 185, .external_lex_state = 3},
  [16974] = {.lex_state = 185, .external_lex_state = 3},
  [16975] = {.lex_state = 394, .external_lex_state = 3},
  [16976] = {.lex_state = 15, .external_lex_state = 3},
  [16977] = {.lex_state = 15, .external_lex_state = 3},
  [16978] = {.lex_state = 15, .external_lex_state = 3},
  [16979] = {.lex_state = 185, .external_lex_state = 3},
  [16980] = {.lex_state = 394, .external_lex_state = 3},
  [16981] = {.lex_state = 15, .external_lex_state = 3},
  [16982] = {.lex_state = 15, .external_lex_state = 3},
  [16983] = {.lex_state = 394, .external_lex_state = 3},
  [16984] = {.lex_state = 394, .external_lex_state = 3},
  [16985] = {.lex_state = 136, .external_lex_state = 3},
  [16986] = {.lex_state = 15, .external_lex_state = 3},
  [16987] = {.lex_state = 15, .external_lex_state = 3},
  [16988] = {.lex_state = 15, .external_lex_state = 3},
  [16989] = {.lex_state = 15, .external_lex_state = 3},
  [16990] = {.lex_state = 15, .external_lex_state = 3},
  [16991] = {.lex_state = 15, .external_lex_state = 3},
  [16992] = {.lex_state = 15, .external_lex_state = 3},
  [16993] = {.lex_state = 15, .external_lex_state = 3},
  [16994] = {.lex_state = 6, .external_lex_state = 3},
  [16995] = {.lex_state = 15, .external_lex_state = 3},
  [16996] = {.lex_state = 15, .external_lex_state = 3},
  [16997] = {.lex_state = 15, .external_lex_state = 3},
  [16998] = {.lex_state = 394, .external_lex_state = 3},
  [16999] = {.lex_state = 6, .external_lex_state = 3},
  [17000] = {.lex_state = 15, .external_lex_state = 3},
  [17001] = {.lex_state = 394, .external_lex_state = 3},
  [17002] = {.lex_state = 15, .external_lex_state = 3},
  [17003] = {.lex_state = 185, .external_lex_state = 3},
  [17004] = {.lex_state = 185, .external_lex_state = 3},
  [17005] = {.lex_state = 394, .external_lex_state = 3},
  [17006] = {.lex_state = 6, .external_lex_state = 3},
  [17007] = {.lex_state = 185, .external_lex_state = 3},
  [17008] = {.lex_state = 15, .external_lex_state = 3},
  [17009] = {.lex_state = 7, .external_lex_state = 3},
  [17010] = {.lex_state = 394, .external_lex_state = 3},
  [17011] = {.lex_state = 394, .external_lex_state = 3},
  [17012] = {.lex_state = 15, .external_lex_state = 3},
  [17013] = {.lex_state = 6, .external_lex_state = 3},
  [17014] = {.lex_state = 15, .external_lex_state = 3},
  [17015] = {.lex_state = 394, .external_lex_state = 3},
  [17016] = {.lex_state = 394, .external_lex_state = 3},
  [17017] = {.lex_state = 394, .external_lex_state = 3},
  [17018] = {.lex_state = 394, .external_lex_state = 3},
  [17019] = {.lex_state = 6, .external_lex_state = 3},
  [17020] = {.lex_state = 394, .external_lex_state = 3},
  [17021] = {.lex_state = 185, .external_lex_state = 3},
  [17022] = {.lex_state = 394, .external_lex_state = 3},
  [17023] = {.lex_state = 394, .external_lex_state = 3},
  [17024] = {.lex_state = 136, .external_lex_state = 3},
  [17025] = {.lex_state = 15, .external_lex_state = 3},
  [17026] = {.lex_state = 15, .external_lex_state = 3},
  [17027] = {.lex_state = 15, .external_lex_state = 3},
  [17028] = {.lex_state = 15, .external_lex_state = 3},
  [17029] = {.lex_state = 15, .external_lex_state = 3},
  [17030] = {.lex_state = 15, .external_lex_state = 3},
  [17031] = {.lex_state = 15, .external_lex_state = 3},
  [17032] = {.lex_state = 15, .external_lex_state = 3},
  [17033] = {.lex_state = 6, .external_lex_state = 3},
  [17034] = {.lex_state = 15, .external_lex_state = 3},
  [17035] = {.lex_state = 15, .external_lex_state = 3},
  [17036] = {.lex_state = 394, .external_lex_state = 3},
  [17037] = {.lex_state = 185, .external_lex_state = 3},
  [17038] = {.lex_state = 185, .external_lex_state = 3},
  [17039] = {.lex_state = 15, .external_lex_state = 3},
  [17040] = {.lex_state = 185, .external_lex_state = 3},
  [17041] = {.lex_state = 15, .external_lex_state = 3},
  [17042] = {.lex_state = 177, .external_lex_state = 3},
  [17043] = {.lex_state = 15, .external_lex_state = 3},
  [17044] = {.lex_state = 6, .external_lex_state = 3},
  [17045] = {.lex_state = 15, .external_lex_state = 3},
  [17046] = {.lex_state = 394, .external_lex_state = 3},
  [17047] = {.lex_state = 394, .external_lex_state = 3},
  [17048] = {.lex_state = 394, .external_lex_state = 3},
  [17049] = {.lex_state = 15, .external_lex_state = 3},
  [17050] = {.lex_state = 394, .external_lex_state = 3},
  [17051] = {.lex_state = 15, .external_lex_state = 3},
  [17052] = {.lex_state = 394, .external_lex_state = 3},
  [17053] = {.lex_state = 15, .external_lex_state = 3},
  [17054] = {.lex_state = 15, .external_lex_state = 3},
  [17055] = {.lex_state = 15, .external_lex_state = 3},
  [17056] = {.lex_state = 185, .external_lex_state = 3},
  [17057] = {.lex_state = 185, .external_lex_state = 3},
  [17058] = {.lex_state = 394, .external_lex_state = 3},
  [17059] = {.lex_state = 185, .external_lex_state = 3},
  [17060] = {.lex_state = 15, .external_lex_state = 3},
  [17061] = {.lex_state = 394, .external_lex_state = 3},
  [17062] = {.lex_state = 6, .external_lex_state = 3},
  [17063] = {.lex_state = 15, .external_lex_state = 3},
  [17064] = {.lex_state = 15, .external_lex_state = 3},
  [17065] = {.lex_state = 15, .external_lex_state = 3},
  [17066] = {.lex_state = 394, .external_lex_state = 3},
  [17067] = {.lex_state = 394, .external_lex_state = 3},
  [17068] = {.lex_state = 15, .external_lex_state = 3},
  [17069] = {.lex_state = 394, .external_lex_state = 3},
  [17070] = {.lex_state = 6, .external_lex_state = 3},
  [17071] = {.lex_state = 6, .external_lex_state = 3},
  [17072] = {.lex_state = 15, .external_lex_state = 3},
  [17073] = {.lex_state = 394, .external_lex_state = 3},
  [17074] = {.lex_state = 15, .external_lex_state = 3},
  [17075] = {.lex_state = 6, .external_lex_state = 3},
  [17076] = {.lex_state = 185, .external_lex_state = 3},
  [17077] = {.lex_state = 185, .external_lex_state = 3},
  [17078] = {.lex_state = 394, .external_lex_state = 3},
  [17079] = {.lex_state = 394, .external_lex_state = 3},
  [17080] = {.lex_state = 185, .external_lex_state = 3},
  [17081] = {.lex_state = 394, .external_lex_state = 3},
  [17082] = {.lex_state = 394, .external_lex_state = 3},
  [17083] = {.lex_state = 394, .external_lex_state = 3},
  [17084] = {.lex_state = 394, .external_lex_state = 3},
  [17085] = {.lex_state = 394, .external_lex_state = 3},
  [17086] = {.lex_state = 6, .external_lex_state = 3},
  [17087] = {.lex_state = 394, .external_lex_state = 3},
  [17088] = {.lex_state = 394, .external_lex_state = 3},
  [17089] = {.lex_state = 15, .external_lex_state = 3},
  [17090] = {.lex_state = 6, .external_lex_state = 3},
  [17091] = {.lex_state = 394, .external_lex_state = 3},
  [17092] = {.lex_state = 15, .external_lex_state = 3},
  [17093] = {.lex_state = 15, .external_lex_state = 3},
  [17094] = {.lex_state = 15, .external_lex_state = 3},
  [17095] = {.lex_state = 15, .external_lex_state = 3},
  [17096] = {.lex_state = 15, .external_lex_state = 3},
  [17097] = {.lex_state = 15, .external_lex_state = 3},
  [17098] = {.lex_state = 15, .external_lex_state = 3},
  [17099] = {.lex_state = 394, .external_lex_state = 3},
  [17100] = {.lex_state = 136, .external_lex_state = 3},
  [17101] = {.lex_state = 15, .external_lex_state = 3},
  [17102] = {.lex_state = 185, .external_lex_state = 3},
  [17103] = {.lex_state = 185, .external_lex_state = 3},
  [17104] = {.lex_state = 394, .external_lex_state = 3},
  [17105] = {.lex_state = 394, .external_lex_state = 3},
  [17106] = {.lex_state = 15, .external_lex_state = 3},
  [17107] = {.lex_state = 6, .external_lex_state = 3},
  [17108] = {.lex_state = 185, .external_lex_state = 3},
  [17109] = {.lex_state = 6, .external_lex_state = 3},
  [17110] = {.lex_state = 15, .external_lex_state = 3},
  [17111] = {.lex_state = 394, .external_lex_state = 3},
  [17112] = {.lex_state = 6, .external_lex_state = 3},
  [17113] = {.lex_state = 15, .external_lex_state = 3},
  [17114] = {.lex_state = 15, .external_lex_state = 3},
  [17115] = {.lex_state = 15, .external_lex_state = 3},
  [17116] = {.lex_state = 394, .external_lex_state = 3},
  [17117] = {.lex_state = 185, .external_lex_state = 3},
  [17118] = {.lex_state = 185, .external_lex_state = 3},
  [17119] = {.lex_state = 15, .external_lex_state = 3},
  [17120] = {.lex_state = 185, .external_lex_state = 3},
  [17121] = {.lex_state = 15, .external_lex_state = 3},
  [17122] = {.lex_state = 6, .external_lex_state = 3},
  [17123] = {.lex_state = 15, .external_lex_state = 3},
  [17124] = {.lex_state = 15, .external_lex_state = 3},
  [17125] = {.lex_state = 15, .external_lex_state = 3},
  [17126] = {.lex_state = 394, .external_lex_state = 3},
  [17127] = {.lex_state = 394, .external_lex_state = 3},
  [17128] = {.lex_state = 15, .external_lex_state = 3},
  [17129] = {.lex_state = 6, .external_lex_state = 3},
  [17130] = {.lex_state = 15, .external_lex_state = 3},
  [17131] = {.lex_state = 6, .external_lex_state = 3},
  [17132] = {.lex_state = 15, .external_lex_state = 3},
  [17133] = {.lex_state = 394, .external_lex_state = 3},
  [17134] = {.lex_state = 394, .external_lex_state = 3},
  [17135] = {.lex_state = 394, .external_lex_state = 3},
  [17136] = {.lex_state = 394, .external_lex_state = 3},
  [17137] = {.lex_state = 394, .external_lex_state = 3},
  [17138] = {.lex_state = 15, .external_lex_state = 3},
  [17139] = {.lex_state = 394, .external_lex_state = 3},
  [17140] = {.lex_state = 394, .external_lex_state = 3},
  [17141] = {.lex_state = 394, .external_lex_state = 3},
  [17142] = {.lex_state = 394, .external_lex_state = 3},
  [17143] = {.lex_state = 394, .external_lex_state = 3},
  [17144] = {.lex_state = 15, .external_lex_state = 3},
  [17145] = {.lex_state = 394, .external_lex_state = 3},
  [17146] = {.lex_state = 6, .external_lex_state = 3},
  [17147] = {.lex_state = 394, .external_lex_state = 3},
  [17148] = {.lex_state = 394, .external_lex_state = 3},
  [17149] = {.lex_state = 185, .external_lex_state = 3},
  [17150] = {.lex_state = 15, .external_lex_state = 3},
  [17151] = {.lex_state = 15, .external_lex_state = 3},
  [17152] = {.lex_state = 136, .external_lex_state = 3},
  [17153] = {.lex_state = 394, .external_lex_state = 3},
  [17154] = {.lex_state = 394, .external_lex_state = 3},
  [17155] = {.lex_state = 6, .external_lex_state = 3},
  [17156] = {.lex_state = 394, .external_lex_state = 3},
  [17157] = {.lex_state = 8, .external_lex_state = 3},
  [17158] = {.lex_state = 222, .external_lex_state = 8},
  [17159] = {.lex_state = 394, .external_lex_state = 3},
  [17160] = {.lex_state = 394, .external_lex_state = 3},
  [17161] = {.lex_state = 394, .external_lex_state = 3},
  [17162] = {.lex_state = 394, .external_lex_state = 3},
  [17163] = {.lex_state = 6, .external_lex_state = 3},
  [17164] = {.lex_state = 15, .external_lex_state = 3},
  [17165] = {.lex_state = 15, .external_lex_state = 3},
  [17166] = {.lex_state = 394, .external_lex_state = 3},
  [17167] = {.lex_state = 15, .external_lex_state = 3},
  [17168] = {.lex_state = 394, .external_lex_state = 3},
  [17169] = {.lex_state = 15, .external_lex_state = 3},
  [17170] = {.lex_state = 6, .external_lex_state = 3},
  [17171] = {.lex_state = 394, .external_lex_state = 3},
  [17172] = {.lex_state = 15, .external_lex_state = 3},
  [17173] = {.lex_state = 394, .external_lex_state = 3},
  [17174] = {.lex_state = 6, .external_lex_state = 3},
  [17175] = {.lex_state = 15, .external_lex_state = 3},
  [17176] = {.lex_state = 394, .external_lex_state = 3},
  [17177] = {.lex_state = 6, .external_lex_state = 3},
  [17178] = {.lex_state = 6, .external_lex_state = 3},
  [17179] = {.lex_state = 15, .external_lex_state = 3},
  [17180] = {.lex_state = 136, .external_lex_state = 3},
  [17181] = {.lex_state = 15, .external_lex_state = 3},
  [17182] = {.lex_state = 394, .external_lex_state = 3},
  [17183] = {.lex_state = 394, .external_lex_state = 3},
  [17184] = {.lex_state = 15, .external_lex_state = 3},
  [17185] = {.lex_state = 15, .external_lex_state = 3},
  [17186] = {.lex_state = 15, .external_lex_state = 3},
  [17187] = {.lex_state = 15, .external_lex_state = 3},
  [17188] = {.lex_state = 394, .external_lex_state = 3},
  [17189] = {.lex_state = 394, .external_lex_state = 3},
  [17190] = {.lex_state = 8, .external_lex_state = 3},
  [17191] = {.lex_state = 15, .external_lex_state = 3},
  [17192] = {.lex_state = 394, .external_lex_state = 3},
  [17193] = {.lex_state = 394, .external_lex_state = 3},
  [17194] = {.lex_state = 394, .external_lex_state = 3},
  [17195] = {.lex_state = 15, .external_lex_state = 3},
  [17196] = {.lex_state = 394, .external_lex_state = 3},
  [17197] = {.lex_state = 15, .external_lex_state = 3},
  [17198] = {.lex_state = 15, .external_lex_state = 3},
  [17199] = {.lex_state = 15, .external_lex_state = 3},
  [17200] = {.lex_state = 15, .external_lex_state = 3},
  [17201] = {.lex_state = 394, .external_lex_state = 3},
  [17202] = {.lex_state = 8, .external_lex_state = 3},
  [17203] = {.lex_state = 394, .external_lex_state = 3},
  [17204] = {.lex_state = 8, .external_lex_state = 3},
  [17205] = {.lex_state = 15, .external_lex_state = 3},
  [17206] = {.lex_state = 394, .external_lex_state = 3},
  [17207] = {.lex_state = 15, .external_lex_state = 3},
  [17208] = {.lex_state = 15, .external_lex_state = 3},
  [17209] = {.lex_state = 6, .external_lex_state = 3},
  [17210] = {.lex_state = 394, .external_lex_state = 3},
  [17211] = {.lex_state = 15, .external_lex_state = 3},
  [17212] = {.lex_state = 394, .external_lex_state = 3},
  [17213] = {.lex_state = 15, .external_lex_state = 3},
  [17214] = {.lex_state = 222, .external_lex_state = 8},
  [17215] = {.lex_state = 136, .external_lex_state = 3},
  [17216] = {.lex_state = 15, .external_lex_state = 3},
  [17217] = {.lex_state = 394, .external_lex_state = 3},
  [17218] = {.lex_state = 15, .external_lex_state = 3},
  [17219] = {.lex_state = 15, .external_lex_state = 3},
  [17220] = {.lex_state = 15, .external_lex_state = 3},
  [17221] = {.lex_state = 15, .external_lex_state = 3},
  [17222] = {.lex_state = 15, .external_lex_state = 3},
  [17223] = {.lex_state = 185, .external_lex_state = 3},
  [17224] = {.lex_state = 6, .external_lex_state = 3},
  [17225] = {.lex_state = 185, .external_lex_state = 3},
  [17226] = {.lex_state = 6, .external_lex_state = 3},
  [17227] = {.lex_state = 185, .external_lex_state = 3},
  [17228] = {.lex_state = 15, .external_lex_state = 3},
  [17229] = {.lex_state = 15, .external_lex_state = 3},
  [17230] = {.lex_state = 394, .external_lex_state = 3},
  [17231] = {.lex_state = 15, .external_lex_state = 3},
  [17232] = {.lex_state = 6, .external_lex_state = 3},
  [17233] = {.lex_state = 15, .external_lex_state = 3},
  [17234] = {.lex_state = 6, .external_lex_state = 3},
  [17235] = {.lex_state = 15, .external_lex_state = 3},
  [17236] = {.lex_state = 394, .external_lex_state = 3},
  [17237] = {.lex_state = 394, .external_lex_state = 3},
  [17238] = {.lex_state = 394, .external_lex_state = 3},
  [17239] = {.lex_state = 394, .external_lex_state = 3},
  [17240] = {.lex_state = 185, .external_lex_state = 3},
  [17241] = {.lex_state = 136, .external_lex_state = 3},
  [17242] = {.lex_state = 15, .external_lex_state = 3},
  [17243] = {.lex_state = 6, .external_lex_state = 3},
  [17244] = {.lex_state = 394, .external_lex_state = 3},
  [17245] = {.lex_state = 394, .external_lex_state = 3},
  [17246] = {.lex_state = 15, .external_lex_state = 3},
  [17247] = {.lex_state = 394, .external_lex_state = 3},
  [17248] = {.lex_state = 394, .external_lex_state = 3},
  [17249] = {.lex_state = 6, .external_lex_state = 3},
  [17250] = {.lex_state = 394, .external_lex_state = 3},
  [17251] = {.lex_state = 15, .external_lex_state = 3},
  [17252] = {.lex_state = 15, .external_lex_state = 3},
  [17253] = {.lex_state = 6, .external_lex_state = 3},
  [17254] = {.lex_state = 185, .external_lex_state = 3},
  [17255] = {.lex_state = 15, .external_lex_state = 3},
  [17256] = {.lex_state = 394, .external_lex_state = 3},
  [17257] = {.lex_state = 394, .external_lex_state = 3},
  [17258] = {.lex_state = 8, .external_lex_state = 3},
  [17259] = {.lex_state = 15, .external_lex_state = 3},
  [17260] = {.lex_state = 15, .external_lex_state = 3},
  [17261] = {.lex_state = 136, .external_lex_state = 3},
  [17262] = {.lex_state = 6, .external_lex_state = 3},
  [17263] = {.lex_state = 394, .external_lex_state = 3},
  [17264] = {.lex_state = 394, .external_lex_state = 3},
  [17265] = {.lex_state = 394, .external_lex_state = 3},
  [17266] = {.lex_state = 394, .external_lex_state = 3},
  [17267] = {.lex_state = 394, .external_lex_state = 3},
  [17268] = {.lex_state = 394, .external_lex_state = 3},
  [17269] = {.lex_state = 394, .external_lex_state = 3},
  [17270] = {.lex_state = 15, .external_lex_state = 3},
  [17271] = {.lex_state = 15, .external_lex_state = 3},
  [17272] = {.lex_state = 8, .external_lex_state = 3},
  [17273] = {.lex_state = 394, .external_lex_state = 3},
  [17274] = {.lex_state = 15, .external_lex_state = 3},
  [17275] = {.lex_state = 15, .external_lex_state = 3},
  [17276] = {.lex_state = 394, .external_lex_state = 3},
  [17277] = {.lex_state = 15, .external_lex_state = 3},
  [17278] = {.lex_state = 15, .external_lex_state = 3},
  [17279] = {.lex_state = 6, .external_lex_state = 3},
  [17280] = {.lex_state = 15, .external_lex_state = 3},
  [17281] = {.lex_state = 394, .external_lex_state = 3},
  [17282] = {.lex_state = 15, .external_lex_state = 3},
  [17283] = {.lex_state = 15, .external_lex_state = 3},
  [17284] = {.lex_state = 6, .external_lex_state = 3},
  [17285] = {.lex_state = 15, .external_lex_state = 3},
  [17286] = {.lex_state = 394, .external_lex_state = 3},
  [17287] = {.lex_state = 54, .external_lex_state = 3},
  [17288] = {.lex_state = 185, .external_lex_state = 3},
  [17289] = {.lex_state = 394, .external_lex_state = 3},
  [17290] = {.lex_state = 394, .external_lex_state = 3},
  [17291] = {.lex_state = 15, .external_lex_state = 3},
  [17292] = {.lex_state = 15, .external_lex_state = 3},
  [17293] = {.lex_state = 394, .external_lex_state = 3},
  [17294] = {.lex_state = 15, .external_lex_state = 3},
  [17295] = {.lex_state = 15, .external_lex_state = 3},
  [17296] = {.lex_state = 6, .external_lex_state = 3},
  [17297] = {.lex_state = 6, .external_lex_state = 3},
  [17298] = {.lex_state = 394, .external_lex_state = 3},
  [17299] = {.lex_state = 15, .external_lex_state = 3},
  [17300] = {.lex_state = 15, .external_lex_state = 3},
  [17301] = {.lex_state = 15, .external_lex_state = 3},
  [17302] = {.lex_state = 6, .external_lex_state = 3},
  [17303] = {.lex_state = 15, .external_lex_state = 3},
  [17304] = {.lex_state = 6, .external_lex_state = 3},
  [17305] = {.lex_state = 394, .external_lex_state = 3},
  [17306] = {.lex_state = 15, .external_lex_state = 3},
  [17307] = {.lex_state = 15, .external_lex_state = 3},
  [17308] = {.lex_state = 15, .external_lex_state = 3},
  [17309] = {.lex_state = 15, .external_lex_state = 3},
  [17310] = {.lex_state = 394, .external_lex_state = 3},
  [17311] = {.lex_state = 15, .external_lex_state = 3},
  [17312] = {.lex_state = 6, .external_lex_state = 3},
  [17313] = {.lex_state = 185, .external_lex_state = 3},
  [17314] = {.lex_state = 6, .external_lex_state = 3},
  [17315] = {.lex_state = 15, .external_lex_state = 3},
  [17316] = {.lex_state = 15, .external_lex_state = 3},
  [17317] = {.lex_state = 394, .external_lex_state = 3},
  [17318] = {.lex_state = 6, .external_lex_state = 3},
  [17319] = {.lex_state = 15, .external_lex_state = 3},
  [17320] = {.lex_state = 394, .external_lex_state = 3},
  [17321] = {.lex_state = 15, .external_lex_state = 3},
  [17322] = {.lex_state = 6, .external_lex_state = 3},
  [17323] = {.lex_state = 15, .external_lex_state = 3},
  [17324] = {.lex_state = 6, .external_lex_state = 3},
  [17325] = {.lex_state = 394, .external_lex_state = 3},
  [17326] = {.lex_state = 394, .external_lex_state = 3},
  [17327] = {.lex_state = 15, .external_lex_state = 3},
  [17328] = {.lex_state = 15, .external_lex_state = 3},
  [17329] = {.lex_state = 394, .external_lex_state = 3},
  [17330] = {.lex_state = 15, .external_lex_state = 3},
  [17331] = {.lex_state = 15, .external_lex_state = 3},
  [17332] = {.lex_state = 15, .external_lex_state = 3},
  [17333] = {.lex_state = 6, .external_lex_state = 3},
  [17334] = {.lex_state = 394, .external_lex_state = 3},
  [17335] = {.lex_state = 185, .external_lex_state = 3},
  [17336] = {.lex_state = 222, .external_lex_state = 8},
  [17337] = {.lex_state = 136, .external_lex_state = 3},
  [17338] = {.lex_state = 185, .external_lex_state = 3},
  [17339] = {.lex_state = 15, .external_lex_state = 3},
  [17340] = {.lex_state = 15, .external_lex_state = 3},
  [17341] = {.lex_state = 15, .external_lex_state = 3},
  [17342] = {.lex_state = 15, .external_lex_state = 3},
  [17343] = {.lex_state = 6, .external_lex_state = 3},
  [17344] = {.lex_state = 394, .external_lex_state = 3},
  [17345] = {.lex_state = 8, .external_lex_state = 3},
  [17346] = {.lex_state = 15, .external_lex_state = 3},
  [17347] = {.lex_state = 394, .external_lex_state = 3},
  [17348] = {.lex_state = 394, .external_lex_state = 3},
  [17349] = {.lex_state = 6, .external_lex_state = 3},
  [17350] = {.lex_state = 185, .external_lex_state = 3},
  [17351] = {.lex_state = 15, .external_lex_state = 3},
  [17352] = {.lex_state = 15, .external_lex_state = 3},
  [17353] = {.lex_state = 15, .external_lex_state = 3},
  [17354] = {.lex_state = 394, .external_lex_state = 3},
  [17355] = {.lex_state = 394, .external_lex_state = 3},
  [17356] = {.lex_state = 6, .external_lex_state = 3},
  [17357] = {.lex_state = 136, .external_lex_state = 3},
  [17358] = {.lex_state = 6, .external_lex_state = 3},
  [17359] = {.lex_state = 6, .external_lex_state = 3},
  [17360] = {.lex_state = 394, .external_lex_state = 3},
  [17361] = {.lex_state = 394, .external_lex_state = 3},
  [17362] = {.lex_state = 6, .external_lex_state = 3},
  [17363] = {.lex_state = 394, .external_lex_state = 3},
  [17364] = {.lex_state = 6, .external_lex_state = 3},
  [17365] = {.lex_state = 15, .external_lex_state = 3},
  [17366] = {.lex_state = 394, .external_lex_state = 3},
  [17367] = {.lex_state = 15, .external_lex_state = 3},
  [17368] = {.lex_state = 394, .external_lex_state = 3},
  [17369] = {.lex_state = 15, .external_lex_state = 3},
  [17370] = {.lex_state = 15, .external_lex_state = 3},
  [17371] = {.lex_state = 15, .external_lex_state = 3},
  [17372] = {.lex_state = 6, .external_lex_state = 3},
  [17373] = {.lex_state = 15, .external_lex_state = 3},
  [17374] = {.lex_state = 394, .external_lex_state = 3},
  [17375] = {.lex_state = 394, .external_lex_state = 3},
  [17376] = {.lex_state = 394, .external_lex_state = 3},
  [17377] = {.lex_state = 394, .external_lex_state = 3},
  [17378] = {.lex_state = 136, .external_lex_state = 3},
  [17379] = {.lex_state = 185, .external_lex_state = 3},
  [17380] = {.lex_state = 394, .external_lex_state = 3},
  [17381] = {.lex_state = 6, .external_lex_state = 3},
  [17382] = {.lex_state = 394, .external_lex_state = 3},
  [17383] = {.lex_state = 394, .external_lex_state = 3},
  [17384] = {.lex_state = 394, .external_lex_state = 3},
  [17385] = {.lex_state = 394, .external_lex_state = 3},
  [17386] = {.lex_state = 394, .external_lex_state = 3},
  [17387] = {.lex_state = 136, .external_lex_state = 3},
  [17388] = {.lex_state = 394, .external_lex_state = 3},
  [17389] = {.lex_state = 15, .external_lex_state = 3},
  [17390] = {.lex_state = 15, .external_lex_state = 3},
  [17391] = {.lex_state = 15, .external_lex_state = 3},
  [17392] = {.lex_state = 130, .external_lex_state = 3},
  [17393] = {.lex_state = 15, .external_lex_state = 3},
  [17394] = {.lex_state = 8, .external_lex_state = 3},
  [17395] = {.lex_state = 394, .external_lex_state = 3},
  [17396] = {.lex_state = 6, .external_lex_state = 3},
  [17397] = {.lex_state = 6, .external_lex_state = 3},
  [17398] = {.lex_state = 394, .external_lex_state = 3},
  [17399] = {.lex_state = 394, .external_lex_state = 3},
  [17400] = {.lex_state = 394, .external_lex_state = 3},
  [17401] = {.lex_state = 8, .external_lex_state = 3},
  [17402] = {.lex_state = 6, .external_lex_state = 3},
  [17403] = {.lex_state = 15, .external_lex_state = 3},
  [17404] = {.lex_state = 394, .external_lex_state = 3},
  [17405] = {.lex_state = 15, .external_lex_state = 3},
  [17406] = {.lex_state = 6, .external_lex_state = 3},
  [17407] = {.lex_state = 6, .external_lex_state = 3},
  [17408] = {.lex_state = 15, .external_lex_state = 3},
  [17409] = {.lex_state = 15, .external_lex_state = 3},
  [17410] = {.lex_state = 15, .external_lex_state = 3},
  [17411] = {.lex_state = 15, .external_lex_state = 3},
  [17412] = {.lex_state = 15, .external_lex_state = 3},
  [17413] = {.lex_state = 6, .external_lex_state = 3},
  [17414] = {.lex_state = 15, .external_lex_state = 3},
  [17415] = {.lex_state = 394, .external_lex_state = 3},
  [17416] = {.lex_state = 15, .external_lex_state = 3},
  [17417] = {.lex_state = 130, .external_lex_state = 3},
  [17418] = {.lex_state = 6, .external_lex_state = 3},
  [17419] = {.lex_state = 394, .external_lex_state = 3},
  [17420] = {.lex_state = 394, .external_lex_state = 3},
  [17421] = {.lex_state = 394, .external_lex_state = 3},
  [17422] = {.lex_state = 394, .external_lex_state = 3},
  [17423] = {.lex_state = 6, .external_lex_state = 3},
  [17424] = {.lex_state = 15, .external_lex_state = 3},
  [17425] = {.lex_state = 136, .external_lex_state = 3},
  [17426] = {.lex_state = 394, .external_lex_state = 3},
  [17427] = {.lex_state = 15, .external_lex_state = 3},
  [17428] = {.lex_state = 394, .external_lex_state = 3},
  [17429] = {.lex_state = 136, .external_lex_state = 3},
  [17430] = {.lex_state = 394, .external_lex_state = 3},
  [17431] = {.lex_state = 185, .external_lex_state = 3},
  [17432] = {.lex_state = 15, .external_lex_state = 3},
  [17433] = {.lex_state = 15, .external_lex_state = 3},
  [17434] = {.lex_state = 15, .external_lex_state = 3},
  [17435] = {.lex_state = 394, .external_lex_state = 3},
  [17436] = {.lex_state = 394, .external_lex_state = 3},
  [17437] = {.lex_state = 15, .external_lex_state = 3},
  [17438] = {.lex_state = 394, .external_lex_state = 3},
  [17439] = {.lex_state = 15, .external_lex_state = 3},
  [17440] = {.lex_state = 6, .external_lex_state = 3},
  [17441] = {.lex_state = 394, .external_lex_state = 3},
  [17442] = {.lex_state = 394, .external_lex_state = 3},
  [17443] = {.lex_state = 6, .external_lex_state = 3},
  [17444] = {.lex_state = 15, .external_lex_state = 3},
  [17445] = {.lex_state = 15, .external_lex_state = 3},
  [17446] = {.lex_state = 130, .external_lex_state = 3},
  [17447] = {.lex_state = 15, .external_lex_state = 3},
  [17448] = {.lex_state = 6, .external_lex_state = 3},
  [17449] = {.lex_state = 15, .external_lex_state = 3},
  [17450] = {.lex_state = 6, .external_lex_state = 3},
  [17451] = {.lex_state = 185, .external_lex_state = 3},
  [17452] = {.lex_state = 15, .external_lex_state = 3},
  [17453] = {.lex_state = 15, .external_lex_state = 3},
  [17454] = {.lex_state = 15, .external_lex_state = 3},
  [17455] = {.lex_state = 185, .external_lex_state = 3},
  [17456] = {.lex_state = 6, .external_lex_state = 3},
  [17457] = {.lex_state = 15, .external_lex_state = 3},
  [17458] = {.lex_state = 15, .external_lex_state = 3},
  [17459] = {.lex_state = 136, .external_lex_state = 3},
  [17460] = {.lex_state = 15, .external_lex_state = 3},
  [17461] = {.lex_state = 15, .external_lex_state = 3},
  [17462] = {.lex_state = 15, .external_lex_state = 3},
  [17463] = {.lex_state = 394, .external_lex_state = 3},
  [17464] = {.lex_state = 394, .external_lex_state = 3},
  [17465] = {.lex_state = 15, .external_lex_state = 3},
  [17466] = {.lex_state = 8, .external_lex_state = 3},
  [17467] = {.lex_state = 130, .external_lex_state = 3},
  [17468] = {.lex_state = 394, .external_lex_state = 3},
  [17469] = {.lex_state = 6, .external_lex_state = 3},
  [17470] = {.lex_state = 15, .external_lex_state = 3},
  [17471] = {.lex_state = 15, .external_lex_state = 3},
  [17472] = {.lex_state = 394, .external_lex_state = 3},
  [17473] = {.lex_state = 6, .external_lex_state = 3},
  [17474] = {.lex_state = 6, .external_lex_state = 3},
  [17475] = {.lex_state = 6, .external_lex_state = 3},
  [17476] = {.lex_state = 6, .external_lex_state = 3},
  [17477] = {.lex_state = 6, .external_lex_state = 3},
  [17478] = {.lex_state = 394, .external_lex_state = 3},
  [17479] = {.lex_state = 15, .external_lex_state = 3},
  [17480] = {.lex_state = 394, .external_lex_state = 3},
  [17481] = {.lex_state = 394, .external_lex_state = 3},
  [17482] = {.lex_state = 130, .external_lex_state = 3},
  [17483] = {.lex_state = 15, .external_lex_state = 3},
  [17484] = {.lex_state = 6, .external_lex_state = 3},
  [17485] = {.lex_state = 15, .external_lex_state = 3},
  [17486] = {.lex_state = 15, .external_lex_state = 3},
  [17487] = {.lex_state = 394, .external_lex_state = 3},
  [17488] = {.lex_state = 6, .external_lex_state = 3},
  [17489] = {.lex_state = 15, .external_lex_state = 3},
  [17490] = {.lex_state = 15, .external_lex_state = 3},
  [17491] = {.lex_state = 6, .external_lex_state = 3},
  [17492] = {.lex_state = 394, .external_lex_state = 3},
  [17493] = {.lex_state = 130, .external_lex_state = 3},
  [17494] = {.lex_state = 394, .external_lex_state = 3},
  [17495] = {.lex_state = 130, .external_lex_state = 3},
  [17496] = {.lex_state = 394, .external_lex_state = 3},
  [17497] = {.lex_state = 15, .external_lex_state = 3},
  [17498] = {.lex_state = 185, .external_lex_state = 3},
  [17499] = {.lex_state = 15, .external_lex_state = 3},
  [17500] = {.lex_state = 6, .external_lex_state = 3},
  [17501] = {.lex_state = 130, .external_lex_state = 3},
  [17502] = {.lex_state = 6, .external_lex_state = 3},
  [17503] = {.lex_state = 394, .external_lex_state = 3},
  [17504] = {.lex_state = 6, .external_lex_state = 3},
  [17505] = {.lex_state = 130, .external_lex_state = 3},
  [17506] = {.lex_state = 130, .external_lex_state = 3},
  [17507] = {.lex_state = 15, .external_lex_state = 3},
  [17508] = {.lex_state = 130, .external_lex_state = 3},
  [17509] = {.lex_state = 15, .external_lex_state = 3},
  [17510] = {.lex_state = 15, .external_lex_state = 3},
  [17511] = {.lex_state = 130, .external_lex_state = 3},
  [17512] = {.lex_state = 15, .external_lex_state = 3},
  [17513] = {.lex_state = 185, .external_lex_state = 3},
  [17514] = {.lex_state = 15, .external_lex_state = 3},
  [17515] = {.lex_state = 130, .external_lex_state = 3},
  [17516] = {.lex_state = 15, .external_lex_state = 3},
  [17517] = {.lex_state = 185, .external_lex_state = 3},
  [17518] = {.lex_state = 130, .external_lex_state = 3},
  [17519] = {.lex_state = 394, .external_lex_state = 3},
  [17520] = {.lex_state = 394, .external_lex_state = 3},
  [17521] = {.lex_state = 130, .external_lex_state = 3},
  [17522] = {.lex_state = 394, .external_lex_state = 3},
  [17523] = {.lex_state = 130, .external_lex_state = 3},
  [17524] = {.lex_state = 15, .external_lex_state = 3},
  [17525] = {.lex_state = 130, .external_lex_state = 3},
  [17526] = {.lex_state = 15, .external_lex_state = 3},
  [17527] = {.lex_state = 130, .external_lex_state = 3},
  [17528] = {.lex_state = 15, .external_lex_state = 3},
  [17529] = {.lex_state = 130, .external_lex_state = 3},
  [17530] = {.lex_state = 15, .external_lex_state = 3},
  [17531] = {.lex_state = 394, .external_lex_state = 3},
  [17532] = {.lex_state = 130, .external_lex_state = 3},
  [17533] = {.lex_state = 6, .external_lex_state = 3},
  [17534] = {.lex_state = 130, .external_lex_state = 3},
  [17535] = {.lex_state = 394, .external_lex_state = 3},
  [17536] = {.lex_state = 15, .external_lex_state = 3},
  [17537] = {.lex_state = 130, .external_lex_state = 3},
  [17538] = {.lex_state = 394, .external_lex_state = 3},
  [17539] = {.lex_state = 394, .external_lex_state = 3},
  [17540] = {.lex_state = 6, .external_lex_state = 3},
  [17541] = {.lex_state = 130, .external_lex_state = 3},
  [17542] = {.lex_state = 130, .external_lex_state = 3},
  [17543] = {.lex_state = 15, .external_lex_state = 3},
  [17544] = {.lex_state = 15, .external_lex_state = 3},
  [17545] = {.lex_state = 130, .external_lex_state = 3},
  [17546] = {.lex_state = 394, .external_lex_state = 3},
  [17547] = {.lex_state = 8, .external_lex_state = 3},
  [17548] = {.lex_state = 130, .external_lex_state = 3},
  [17549] = {.lex_state = 15, .external_lex_state = 3},
  [17550] = {.lex_state = 130, .external_lex_state = 3},
  [17551] = {.lex_state = 394, .external_lex_state = 3},
  [17552] = {.lex_state = 394, .external_lex_state = 3},
  [17553] = {.lex_state = 394, .external_lex_state = 3},
  [17554] = {.lex_state = 130, .external_lex_state = 3},
  [17555] = {.lex_state = 6, .external_lex_state = 3},
  [17556] = {.lex_state = 15, .external_lex_state = 3},
  [17557] = {.lex_state = 130, .external_lex_state = 3},
  [17558] = {.lex_state = 394, .external_lex_state = 3},
  [17559] = {.lex_state = 394, .external_lex_state = 3},
  [17560] = {.lex_state = 130, .external_lex_state = 3},
  [17561] = {.lex_state = 394, .external_lex_state = 3},
  [17562] = {.lex_state = 394, .external_lex_state = 3},
  [17563] = {.lex_state = 130, .external_lex_state = 3},
  [17564] = {.lex_state = 185, .external_lex_state = 3},
  [17565] = {.lex_state = 15, .external_lex_state = 3},
  [17566] = {.lex_state = 15, .external_lex_state = 3},
  [17567] = {.lex_state = 130, .external_lex_state = 3},
  [17568] = {.lex_state = 15, .external_lex_state = 3},
  [17569] = {.lex_state = 394, .external_lex_state = 3},
  [17570] = {.lex_state = 130, .external_lex_state = 3},
  [17571] = {.lex_state = 15, .external_lex_state = 3},
  [17572] = {.lex_state = 15, .external_lex_state = 3},
  [17573] = {.lex_state = 15, .external_lex_state = 3},
  [17574] = {.lex_state = 130, .external_lex_state = 3},
  [17575] = {.lex_state = 15, .external_lex_state = 3},
  [17576] = {.lex_state = 394, .external_lex_state = 3},
  [17577] = {.lex_state = 130, .external_lex_state = 3},
  [17578] = {.lex_state = 15, .external_lex_state = 3},
  [17579] = {.lex_state = 6, .external_lex_state = 3},
  [17580] = {.lex_state = 130, .external_lex_state = 3},
  [17581] = {.lex_state = 394, .external_lex_state = 3},
  [17582] = {.lex_state = 130, .external_lex_state = 3},
  [17583] = {.lex_state = 394, .external_lex_state = 3},
  [17584] = {.lex_state = 15, .external_lex_state = 3},
  [17585] = {.lex_state = 130, .external_lex_state = 3},
  [17586] = {.lex_state = 15, .external_lex_state = 3},
  [17587] = {.lex_state = 6, .external_lex_state = 3},
  [17588] = {.lex_state = 130, .external_lex_state = 3},
  [17589] = {.lex_state = 394, .external_lex_state = 3},
  [17590] = {.lex_state = 130, .external_lex_state = 3},
  [17591] = {.lex_state = 130, .external_lex_state = 3},
  [17592] = {.lex_state = 394, .external_lex_state = 3},
  [17593] = {.lex_state = 6, .external_lex_state = 3},
  [17594] = {.lex_state = 130, .external_lex_state = 3},
  [17595] = {.lex_state = 15, .external_lex_state = 3},
  [17596] = {.lex_state = 130, .external_lex_state = 3},
  [17597] = {.lex_state = 394, .external_lex_state = 3},
  [17598] = {.lex_state = 15, .external_lex_state = 3},
  [17599] = {.lex_state = 394, .external_lex_state = 3},
  [17600] = {.lex_state = 394, .external_lex_state = 3},
  [17601] = {.lex_state = 130, .external_lex_state = 3},
  [17602] = {.lex_state = 130, .external_lex_state = 3},
  [17603] = {.lex_state = 394, .external_lex_state = 3},
  [17604] = {.lex_state = 130, .external_lex_state = 3},
  [17605] = {.lex_state = 15, .external_lex_state = 3},
  [17606] = {.lex_state = 130, .external_lex_state = 3},
  [17607] = {.lex_state = 130, .external_lex_state = 3},
  [17608] = {.lex_state = 130, .external_lex_state = 3},
  [17609] = {.lex_state = 394, .external_lex_state = 3},
  [17610] = {.lex_state = 130, .external_lex_state = 3},
  [17611] = {.lex_state = 394, .external_lex_state = 3},
  [17612] = {.lex_state = 6, .external_lex_state = 3},
  [17613] = {.lex_state = 394, .external_lex_state = 3},
  [17614] = {.lex_state = 394, .external_lex_state = 3},
  [17615] = {.lex_state = 443, .external_lex_state = 3},
  [17616] = {.lex_state = 394, .external_lex_state = 3},
  [17617] = {.lex_state = 15, .external_lex_state = 3},
  [17618] = {.lex_state = 394, .external_lex_state = 3},
  [17619] = {.lex_state = 394, .external_lex_state = 3},
  [17620] = {.lex_state = 6, .external_lex_state = 3},
  [17621] = {.lex_state = 394, .external_lex_state = 3},
  [17622] = {.lex_state = 6, .external_lex_state = 3},
  [17623] = {.lex_state = 15, .external_lex_state = 3},
  [17624] = {.lex_state = 15, .external_lex_state = 3},
  [17625] = {.lex_state = 15, .external_lex_state = 3},
  [17626] = {.lex_state = 394, .external_lex_state = 3},
  [17627] = {.lex_state = 394, .external_lex_state = 3},
  [17628] = {.lex_state = 15, .external_lex_state = 3},
  [17629] = {.lex_state = 6, .external_lex_state = 3},
  [17630] = {.lex_state = 15, .external_lex_state = 3},
  [17631] = {.lex_state = 15, .external_lex_state = 3},
  [17632] = {.lex_state = 394, .external_lex_state = 3},
  [17633] = {.lex_state = 15, .external_lex_state = 3},
  [17634] = {.lex_state = 6, .external_lex_state = 3},
  [17635] = {.lex_state = 15, .external_lex_state = 3},
  [17636] = {.lex_state = 15, .external_lex_state = 3},
  [17637] = {.lex_state = 394, .external_lex_state = 3},
  [17638] = {.lex_state = 15, .external_lex_state = 3},
  [17639] = {.lex_state = 394, .external_lex_state = 3},
  [17640] = {.lex_state = 15, .external_lex_state = 3},
  [17641] = {.lex_state = 394, .external_lex_state = 3},
  [17642] = {.lex_state = 15, .external_lex_state = 3},
  [17643] = {.lex_state = 15, .external_lex_state = 3},
  [17644] = {.lex_state = 15, .external_lex_state = 3},
  [17645] = {.lex_state = 394, .external_lex_state = 3},
  [17646] = {.lex_state = 394, .external_lex_state = 3},
  [17647] = {.lex_state = 394, .external_lex_state = 3},
  [17648] = {.lex_state = 394, .external_lex_state = 3},
  [17649] = {.lex_state = 15, .external_lex_state = 3},
  [17650] = {.lex_state = 394, .external_lex_state = 3},
  [17651] = {.lex_state = 394, .external_lex_state = 3},
  [17652] = {.lex_state = 394, .external_lex_state = 3},
  [17653] = {.lex_state = 394, .external_lex_state = 3},
  [17654] = {.lex_state = 6, .external_lex_state = 3},
  [17655] = {.lex_state = 15, .external_lex_state = 3},
  [17656] = {.lex_state = 394, .external_lex_state = 3},
  [17657] = {.lex_state = 394, .external_lex_state = 3},
  [17658] = {.lex_state = 394, .external_lex_state = 3},
  [17659] = {.lex_state = 15, .external_lex_state = 3},
  [17660] = {.lex_state = 6, .external_lex_state = 3},
  [17661] = {.lex_state = 15, .external_lex_state = 3},
  [17662] = {.lex_state = 394, .external_lex_state = 3},
  [17663] = {.lex_state = 394, .external_lex_state = 3},
  [17664] = {.lex_state = 15, .external_lex_state = 3},
  [17665] = {.lex_state = 15, .external_lex_state = 3},
  [17666] = {.lex_state = 15, .external_lex_state = 3},
  [17667] = {.lex_state = 6, .external_lex_state = 3},
  [17668] = {.lex_state = 15, .external_lex_state = 3},
  [17669] = {.lex_state = 15, .external_lex_state = 3},
  [17670] = {.lex_state = 15, .external_lex_state = 3},
  [17671] = {.lex_state = 15, .external_lex_state = 3},
  [17672] = {.lex_state = 15, .external_lex_state = 3},
  [17673] = {.lex_state = 15, .external_lex_state = 3},
  [17674] = {.lex_state = 101, .external_lex_state = 3},
  [17675] = {.lex_state = 425, .external_lex_state = 3},
  [17676] = {.lex_state = 394, .external_lex_state = 3},
  [17677] = {.lex_state = 25, .external_lex_state = 3},
  [17678] = {.lex_state = 54, .external_lex_state = 3},
  [17679] = {.lex_state = 54, .external_lex_state = 3},
  [17680] = {.lex_state = 394, .external_lex_state = 3},
  [17681] = {.lex_state = 394, .external_lex_state = 3},
  [17682] = {.lex_state = 54, .external_lex_state = 3},
  [17683] = {.lex_state = 54, .external_lex_state = 3},
  [17684] = {.lex_state = 54, .external_lex_state = 3},
  [17685] = {.lex_state = 394, .external_lex_state = 3},
  [17686] = {.lex_state = 54, .external_lex_state = 3},
  [17687] = {.lex_state = 394, .external_lex_state = 3},
  [17688] = {.lex_state = 394, .external_lex_state = 3},
  [17689] = {.lex_state = 25, .external_lex_state = 3},
  [17690] = {.lex_state = 394, .external_lex_state = 3},
  [17691] = {.lex_state = 394, .external_lex_state = 3},
  [17692] = {.lex_state = 10, .external_lex_state = 3},
  [17693] = {.lex_state = 394, .external_lex_state = 3},
  [17694] = {.lex_state = 101, .external_lex_state = 3},
  [17695] = {.lex_state = 394, .external_lex_state = 3},
  [17696] = {.lex_state = 54, .external_lex_state = 3},
  [17697] = {.lex_state = 394, .external_lex_state = 3},
  [17698] = {.lex_state = 394, .external_lex_state = 3},
  [17699] = {.lex_state = 394, .external_lex_state = 3},
  [17700] = {.lex_state = 394, .external_lex_state = 3},
  [17701] = {.lex_state = 216, .external_lex_state = 3},
  [17702] = {.lex_state = 54, .external_lex_state = 3},
  [17703] = {.lex_state = 54, .external_lex_state = 3},
  [17704] = {.lex_state = 443, .external_lex_state = 3},
  [17705] = {.lex_state = 394, .external_lex_state = 3},
  [17706] = {.lex_state = 394, .external_lex_state = 3},
  [17707] = {.lex_state = 443, .external_lex_state = 3},
  [17708] = {.lex_state = 25, .external_lex_state = 3},
  [17709] = {.lex_state = 443, .external_lex_state = 3},
  [17710] = {.lex_state = 101, .external_lex_state = 3},
  [17711] = {.lex_state = 394, .external_lex_state = 3},
  [17712] = {.lex_state = 394, .external_lex_state = 3},
  [17713] = {.lex_state = 54, .external_lex_state = 3},
  [17714] = {.lex_state = 54, .external_lex_state = 3},
  [17715] = {.lex_state = 394, .external_lex_state = 3},
  [17716] = {.lex_state = 101, .external_lex_state = 3},
  [17717] = {.lex_state = 394, .external_lex_state = 3},
  [17718] = {.lex_state = 54, .external_lex_state = 3},
  [17719] = {.lex_state = 54, .external_lex_state = 3},
  [17720] = {.lex_state = 54, .external_lex_state = 3},
  [17721] = {.lex_state = 394, .external_lex_state = 3},
  [17722] = {.lex_state = 101, .external_lex_state = 3},
  [17723] = {.lex_state = 54, .external_lex_state = 3},
  [17724] = {.lex_state = 54, .external_lex_state = 3},
  [17725] = {.lex_state = 54, .external_lex_state = 3},
  [17726] = {.lex_state = 54, .external_lex_state = 3},
  [17727] = {.lex_state = 394, .external_lex_state = 3},
  [17728] = {.lex_state = 54, .external_lex_state = 3},
  [17729] = {.lex_state = 101, .external_lex_state = 3},
  [17730] = {.lex_state = 54, .external_lex_state = 3},
  [17731] = {.lex_state = 15, .external_lex_state = 3},
  [17732] = {.lex_state = 101, .external_lex_state = 3},
  [17733] = {.lex_state = 54, .external_lex_state = 3},
  [17734] = {.lex_state = 54, .external_lex_state = 3},
  [17735] = {.lex_state = 222, .external_lex_state = 8},
  [17736] = {.lex_state = 15, .external_lex_state = 3},
  [17737] = {.lex_state = 54, .external_lex_state = 3},
  [17738] = {.lex_state = 54, .external_lex_state = 3},
  [17739] = {.lex_state = 10, .external_lex_state = 3},
  [17740] = {.lex_state = 394, .external_lex_state = 3},
  [17741] = {.lex_state = 394, .external_lex_state = 3},
  [17742] = {.lex_state = 54, .external_lex_state = 3},
  [17743] = {.lex_state = 54, .external_lex_state = 3},
  [17744] = {.lex_state = 54, .external_lex_state = 3},
  [17745] = {.lex_state = 394, .external_lex_state = 3},
  [17746] = {.lex_state = 394, .external_lex_state = 3},
  [17747] = {.lex_state = 394, .external_lex_state = 3},
  [17748] = {.lex_state = 15, .external_lex_state = 3},
  [17749] = {.lex_state = 54, .external_lex_state = 3},
  [17750] = {.lex_state = 54, .external_lex_state = 3},
  [17751] = {.lex_state = 54, .external_lex_state = 3},
  [17752] = {.lex_state = 15, .external_lex_state = 3},
  [17753] = {.lex_state = 54, .external_lex_state = 3},
  [17754] = {.lex_state = 216, .external_lex_state = 3},
  [17755] = {.lex_state = 394, .external_lex_state = 3},
  [17756] = {.lex_state = 101, .external_lex_state = 3},
  [17757] = {.lex_state = 394, .external_lex_state = 3},
  [17758] = {.lex_state = 394, .external_lex_state = 3},
  [17759] = {.lex_state = 394, .external_lex_state = 3},
  [17760] = {.lex_state = 394, .external_lex_state = 3},
  [17761] = {.lex_state = 54, .external_lex_state = 3},
  [17762] = {.lex_state = 394, .external_lex_state = 3},
  [17763] = {.lex_state = 54, .external_lex_state = 3},
  [17764] = {.lex_state = 54, .external_lex_state = 3},
  [17765] = {.lex_state = 394, .external_lex_state = 3},
  [17766] = {.lex_state = 394, .external_lex_state = 3},
  [17767] = {.lex_state = 25, .external_lex_state = 3},
  [17768] = {.lex_state = 54, .external_lex_state = 3},
  [17769] = {.lex_state = 216, .external_lex_state = 3},
  [17770] = {.lex_state = 394, .external_lex_state = 3},
  [17771] = {.lex_state = 394, .external_lex_state = 3},
  [17772] = {.lex_state = 54, .external_lex_state = 3},
  [17773] = {.lex_state = 25, .external_lex_state = 3},
  [17774] = {.lex_state = 54, .external_lex_state = 3},
  [17775] = {.lex_state = 216, .external_lex_state = 3},
  [17776] = {.lex_state = 394, .external_lex_state = 3},
  [17777] = {.lex_state = 54, .external_lex_state = 3},
  [17778] = {.lex_state = 54, .external_lex_state = 3},
  [17779] = {.lex_state = 425, .external_lex_state = 3},
  [17780] = {.lex_state = 443, .external_lex_state = 3},
  [17781] = {.lex_state = 394, .external_lex_state = 3},
  [17782] = {.lex_state = 394, .external_lex_state = 3},
  [17783] = {.lex_state = 101, .external_lex_state = 3},
  [17784] = {.lex_state = 101, .external_lex_state = 3},
  [17785] = {.lex_state = 25, .external_lex_state = 3},
  [17786] = {.lex_state = 54, .external_lex_state = 3},
  [17787] = {.lex_state = 25, .external_lex_state = 3},
  [17788] = {.lex_state = 443, .external_lex_state = 3},
  [17789] = {.lex_state = 54, .external_lex_state = 3},
  [17790] = {.lex_state = 394, .external_lex_state = 3},
  [17791] = {.lex_state = 394, .external_lex_state = 3},
  [17792] = {.lex_state = 443, .external_lex_state = 3},
  [17793] = {.lex_state = 394, .external_lex_state = 3},
  [17794] = {.lex_state = 425, .external_lex_state = 3},
  [17795] = {.lex_state = 54, .external_lex_state = 3},
  [17796] = {.lex_state = 216, .external_lex_state = 3},
  [17797] = {.lex_state = 15, .external_lex_state = 3},
  [17798] = {.lex_state = 216, .external_lex_state = 3},
  [17799] = {.lex_state = 54, .external_lex_state = 3},
  [17800] = {.lex_state = 394, .external_lex_state = 3},
  [17801] = {.lex_state = 394, .external_lex_state = 3},
  [17802] = {.lex_state = 222, .external_lex_state = 8},
  [17803] = {.lex_state = 394, .external_lex_state = 3},
  [17804] = {.lex_state = 54, .external_lex_state = 3},
  [17805] = {.lex_state = 101, .external_lex_state = 3},
  [17806] = {.lex_state = 54, .external_lex_state = 3},
  [17807] = {.lex_state = 54, .external_lex_state = 3},
  [17808] = {.lex_state = 177, .external_lex_state = 3},
  [17809] = {.lex_state = 54, .external_lex_state = 3},
  [17810] = {.lex_state = 54, .external_lex_state = 3},
  [17811] = {.lex_state = 101, .external_lex_state = 3},
  [17812] = {.lex_state = 394, .external_lex_state = 3},
  [17813] = {.lex_state = 443, .external_lex_state = 3},
  [17814] = {.lex_state = 394, .external_lex_state = 3},
  [17815] = {.lex_state = 394, .external_lex_state = 3},
  [17816] = {.lex_state = 54, .external_lex_state = 3},
  [17817] = {.lex_state = 54, .external_lex_state = 3},
  [17818] = {.lex_state = 394, .external_lex_state = 3},
  [17819] = {.lex_state = 394, .external_lex_state = 3},
  [17820] = {.lex_state = 394, .external_lex_state = 3},
  [17821] = {.lex_state = 25, .external_lex_state = 3},
  [17822] = {.lex_state = 394, .external_lex_state = 3},
  [17823] = {.lex_state = 394, .external_lex_state = 3},
  [17824] = {.lex_state = 394, .external_lex_state = 3},
  [17825] = {.lex_state = 394, .external_lex_state = 3},
  [17826] = {.lex_state = 216, .external_lex_state = 3},
  [17827] = {.lex_state = 54, .external_lex_state = 3},
  [17828] = {.lex_state = 54, .external_lex_state = 3},
  [17829] = {.lex_state = 394, .external_lex_state = 3},
  [17830] = {.lex_state = 443, .external_lex_state = 3},
  [17831] = {.lex_state = 394, .external_lex_state = 3},
  [17832] = {.lex_state = 54, .external_lex_state = 3},
  [17833] = {.lex_state = 394, .external_lex_state = 3},
  [17834] = {.lex_state = 394, .external_lex_state = 3},
  [17835] = {.lex_state = 54, .external_lex_state = 3},
  [17836] = {.lex_state = 54, .external_lex_state = 3},
  [17837] = {.lex_state = 216, .external_lex_state = 3},
  [17838] = {.lex_state = 101, .external_lex_state = 3},
  [17839] = {.lex_state = 54, .external_lex_state = 3},
  [17840] = {.lex_state = 15, .external_lex_state = 3},
  [17841] = {.lex_state = 15, .external_lex_state = 3},
  [17842] = {.lex_state = 54, .external_lex_state = 3},
  [17843] = {.lex_state = 54, .external_lex_state = 3},
  [17844] = {.lex_state = 443, .external_lex_state = 3},
  [17845] = {.lex_state = 25, .external_lex_state = 3},
  [17846] = {.lex_state = 394, .external_lex_state = 3},
  [17847] = {.lex_state = 222, .external_lex_state = 8},
  [17848] = {.lex_state = 394, .external_lex_state = 3},
  [17849] = {.lex_state = 25, .external_lex_state = 3},
  [17850] = {.lex_state = 394, .external_lex_state = 3},
  [17851] = {.lex_state = 54, .external_lex_state = 3},
  [17852] = {.lex_state = 216, .external_lex_state = 3},
  [17853] = {.lex_state = 54, .external_lex_state = 3},
  [17854] = {.lex_state = 25, .external_lex_state = 3},
  [17855] = {.lex_state = 54, .external_lex_state = 3},
  [17856] = {.lex_state = 443, .external_lex_state = 3},
  [17857] = {.lex_state = 394, .external_lex_state = 3},
  [17858] = {.lex_state = 394, .external_lex_state = 3},
  [17859] = {.lex_state = 394, .external_lex_state = 3},
  [17860] = {.lex_state = 394, .external_lex_state = 3},
  [17861] = {.lex_state = 394, .external_lex_state = 3},
  [17862] = {.lex_state = 394, .external_lex_state = 3},
  [17863] = {.lex_state = 54, .external_lex_state = 3},
  [17864] = {.lex_state = 394, .external_lex_state = 3},
  [17865] = {.lex_state = 25, .external_lex_state = 3},
  [17866] = {.lex_state = 443, .external_lex_state = 3},
  [17867] = {.lex_state = 54, .external_lex_state = 3},
  [17868] = {.lex_state = 443, .external_lex_state = 3},
  [17869] = {.lex_state = 394, .external_lex_state = 3},
  [17870] = {.lex_state = 394, .external_lex_state = 3},
  [17871] = {.lex_state = 394, .external_lex_state = 3},
  [17872] = {.lex_state = 394, .external_lex_state = 3},
  [17873] = {.lex_state = 54, .external_lex_state = 3},
  [17874] = {.lex_state = 443, .external_lex_state = 3},
  [17875] = {.lex_state = 394, .external_lex_state = 3},
  [17876] = {.lex_state = 54, .external_lex_state = 3},
  [17877] = {.lex_state = 54, .external_lex_state = 3},
  [17878] = {.lex_state = 25, .external_lex_state = 3},
  [17879] = {.lex_state = 54, .external_lex_state = 3},
  [17880] = {.lex_state = 394, .external_lex_state = 3},
  [17881] = {.lex_state = 54, .external_lex_state = 3},
  [17882] = {.lex_state = 54, .external_lex_state = 3},
  [17883] = {.lex_state = 54, .external_lex_state = 3},
  [17884] = {.lex_state = 101, .external_lex_state = 3},
  [17885] = {.lex_state = 15, .external_lex_state = 3},
  [17886] = {.lex_state = 394, .external_lex_state = 3},
  [17887] = {.lex_state = 15, .external_lex_state = 3},
  [17888] = {.lex_state = 54, .external_lex_state = 3},
  [17889] = {.lex_state = 101, .external_lex_state = 3},
  [17890] = {.lex_state = 394, .external_lex_state = 3},
  [17891] = {.lex_state = 54, .external_lex_state = 3},
  [17892] = {.lex_state = 54, .external_lex_state = 3},
  [17893] = {.lex_state = 222, .external_lex_state = 8},
  [17894] = {.lex_state = 425, .external_lex_state = 3},
  [17895] = {.lex_state = 216, .external_lex_state = 3},
  [17896] = {.lex_state = 54, .external_lex_state = 3},
  [17897] = {.lex_state = 54, .external_lex_state = 3},
  [17898] = {.lex_state = 222, .external_lex_state = 8},
  [17899] = {.lex_state = 394, .external_lex_state = 3},
  [17900] = {.lex_state = 394, .external_lex_state = 3},
  [17901] = {.lex_state = 54, .external_lex_state = 3},
  [17902] = {.lex_state = 54, .external_lex_state = 3},
  [17903] = {.lex_state = 394, .external_lex_state = 3},
  [17904] = {.lex_state = 394, .external_lex_state = 3},
  [17905] = {.lex_state = 394, .external_lex_state = 3},
  [17906] = {.lex_state = 394, .external_lex_state = 3},
  [17907] = {.lex_state = 15, .external_lex_state = 3},
  [17908] = {.lex_state = 54, .external_lex_state = 3},
  [17909] = {.lex_state = 54, .external_lex_state = 3},
  [17910] = {.lex_state = 54, .external_lex_state = 3},
  [17911] = {.lex_state = 54, .external_lex_state = 3},
  [17912] = {.lex_state = 394, .external_lex_state = 3},
  [17913] = {.lex_state = 54, .external_lex_state = 3},
  [17914] = {.lex_state = 54, .external_lex_state = 3},
  [17915] = {.lex_state = 54, .external_lex_state = 3},
  [17916] = {.lex_state = 54, .external_lex_state = 3},
  [17917] = {.lex_state = 394, .external_lex_state = 3},
  [17918] = {.lex_state = 101, .external_lex_state = 3},
  [17919] = {.lex_state = 101, .external_lex_state = 3},
  [17920] = {.lex_state = 54, .external_lex_state = 3},
  [17921] = {.lex_state = 101, .external_lex_state = 3},
  [17922] = {.lex_state = 7, .external_lex_state = 3},
  [17923] = {.lex_state = 15, .external_lex_state = 3},
  [17924] = {.lex_state = 15, .external_lex_state = 3},
  [17925] = {.lex_state = 15, .external_lex_state = 3},
  [17926] = {.lex_state = 54, .external_lex_state = 3},
  [17927] = {.lex_state = 54, .external_lex_state = 3},
  [17928] = {.lex_state = 222, .external_lex_state = 8},
  [17929] = {.lex_state = 54, .external_lex_state = 3},
  [17930] = {.lex_state = 54, .external_lex_state = 3},
  [17931] = {.lex_state = 54, .external_lex_state = 3},
  [17932] = {.lex_state = 394, .external_lex_state = 3},
  [17933] = {.lex_state = 394, .external_lex_state = 3},
  [17934] = {.lex_state = 394, .external_lex_state = 3},
  [17935] = {.lex_state = 101, .external_lex_state = 3},
  [17936] = {.lex_state = 25, .external_lex_state = 3},
  [17937] = {.lex_state = 54, .external_lex_state = 3},
  [17938] = {.lex_state = 15, .external_lex_state = 3},
  [17939] = {.lex_state = 54, .external_lex_state = 3},
  [17940] = {.lex_state = 394, .external_lex_state = 3},
  [17941] = {.lex_state = 216, .external_lex_state = 3},
  [17942] = {.lex_state = 394, .external_lex_state = 3},
  [17943] = {.lex_state = 394, .external_lex_state = 3},
  [17944] = {.lex_state = 394, .external_lex_state = 3},
  [17945] = {.lex_state = 54, .external_lex_state = 3},
  [17946] = {.lex_state = 54, .external_lex_state = 3},
  [17947] = {.lex_state = 101, .external_lex_state = 3},
  [17948] = {.lex_state = 443, .external_lex_state = 3},
  [17949] = {.lex_state = 394, .external_lex_state = 3},
  [17950] = {.lex_state = 394, .external_lex_state = 3},
  [17951] = {.lex_state = 216, .external_lex_state = 3},
  [17952] = {.lex_state = 15, .external_lex_state = 3},
  [17953] = {.lex_state = 25, .external_lex_state = 3},
  [17954] = {.lex_state = 54, .external_lex_state = 3},
  [17955] = {.lex_state = 54, .external_lex_state = 3},
  [17956] = {.lex_state = 443, .external_lex_state = 3},
  [17957] = {.lex_state = 394, .external_lex_state = 3},
  [17958] = {.lex_state = 394, .external_lex_state = 3},
  [17959] = {.lex_state = 394, .external_lex_state = 3},
  [17960] = {.lex_state = 54, .external_lex_state = 3},
  [17961] = {.lex_state = 394, .external_lex_state = 3},
  [17962] = {.lex_state = 15, .external_lex_state = 3},
  [17963] = {.lex_state = 394, .external_lex_state = 3},
  [17964] = {.lex_state = 54, .external_lex_state = 3},
  [17965] = {.lex_state = 216, .external_lex_state = 3},
  [17966] = {.lex_state = 222, .external_lex_state = 8},
  [17967] = {.lex_state = 54, .external_lex_state = 3},
  [17968] = {.lex_state = 15, .external_lex_state = 3},
  [17969] = {.lex_state = 54, .external_lex_state = 3},
  [17970] = {.lex_state = 54, .external_lex_state = 3},
  [17971] = {.lex_state = 54, .external_lex_state = 3},
  [17972] = {.lex_state = 54, .external_lex_state = 3},
  [17973] = {.lex_state = 216, .external_lex_state = 3},
  [17974] = {.lex_state = 101, .external_lex_state = 3},
  [17975] = {.lex_state = 15, .external_lex_state = 3},
  [17976] = {.lex_state = 15, .external_lex_state = 3},
  [17977] = {.lex_state = 394, .external_lex_state = 3},
  [17978] = {.lex_state = 54, .external_lex_state = 3},
  [17979] = {.lex_state = 394, .external_lex_state = 3},
  [17980] = {.lex_state = 54, .external_lex_state = 3},
  [17981] = {.lex_state = 394, .external_lex_state = 3},
  [17982] = {.lex_state = 394, .external_lex_state = 3},
  [17983] = {.lex_state = 394, .external_lex_state = 3},
  [17984] = {.lex_state = 15, .external_lex_state = 3},
  [17985] = {.lex_state = 394, .external_lex_state = 3},
  [17986] = {.lex_state = 54, .external_lex_state = 3},
  [17987] = {.lex_state = 54, .external_lex_state = 3},
  [17988] = {.lex_state = 54, .external_lex_state = 3},
  [17989] = {.lex_state = 54, .external_lex_state = 3},
  [17990] = {.lex_state = 54, .external_lex_state = 3},
  [17991] = {.lex_state = 54, .external_lex_state = 3},
  [17992] = {.lex_state = 15, .external_lex_state = 3},
  [17993] = {.lex_state = 54, .external_lex_state = 3},
  [17994] = {.lex_state = 15, .external_lex_state = 3},
  [17995] = {.lex_state = 15, .external_lex_state = 3},
  [17996] = {.lex_state = 222, .external_lex_state = 8},
  [17997] = {.lex_state = 101, .external_lex_state = 3},
  [17998] = {.lex_state = 54, .external_lex_state = 3},
  [17999] = {.lex_state = 54, .external_lex_state = 3},
  [18000] = {.lex_state = 54, .external_lex_state = 3},
  [18001] = {.lex_state = 54, .external_lex_state = 3},
  [18002] = {.lex_state = 54, .external_lex_state = 3},
  [18003] = {.lex_state = 54, .external_lex_state = 3},
  [18004] = {.lex_state = 394, .external_lex_state = 3},
  [18005] = {.lex_state = 425, .external_lex_state = 3},
  [18006] = {.lex_state = 394, .external_lex_state = 3},
  [18007] = {.lex_state = 394, .external_lex_state = 3},
  [18008] = {.lex_state = 394, .external_lex_state = 3},
  [18009] = {.lex_state = 101, .external_lex_state = 3},
  [18010] = {.lex_state = 54, .external_lex_state = 3},
  [18011] = {.lex_state = 15, .external_lex_state = 3},
  [18012] = {.lex_state = 54, .external_lex_state = 3},
  [18013] = {.lex_state = 54, .external_lex_state = 3},
  [18014] = {.lex_state = 54, .external_lex_state = 3},
  [18015] = {.lex_state = 394, .external_lex_state = 3},
  [18016] = {.lex_state = 394, .external_lex_state = 3},
  [18017] = {.lex_state = 15, .external_lex_state = 3},
  [18018] = {.lex_state = 216, .external_lex_state = 3},
  [18019] = {.lex_state = 25, .external_lex_state = 3},
  [18020] = {.lex_state = 54, .external_lex_state = 3},
  [18021] = {.lex_state = 394, .external_lex_state = 3},
  [18022] = {.lex_state = 222, .external_lex_state = 8},
  [18023] = {.lex_state = 222, .external_lex_state = 8},
  [18024] = {.lex_state = 394, .external_lex_state = 3},
  [18025] = {.lex_state = 216, .external_lex_state = 3},
  [18026] = {.lex_state = 54, .external_lex_state = 3},
  [18027] = {.lex_state = 443, .external_lex_state = 3},
  [18028] = {.lex_state = 394, .external_lex_state = 3},
  [18029] = {.lex_state = 394, .external_lex_state = 3},
  [18030] = {.lex_state = 54, .external_lex_state = 3},
  [18031] = {.lex_state = 54, .external_lex_state = 3},
  [18032] = {.lex_state = 25, .external_lex_state = 3},
  [18033] = {.lex_state = 394, .external_lex_state = 3},
  [18034] = {.lex_state = 394, .external_lex_state = 3},
  [18035] = {.lex_state = 400, .external_lex_state = 3},
  [18036] = {.lex_state = 394, .external_lex_state = 3},
  [18037] = {.lex_state = 394, .external_lex_state = 3},
  [18038] = {.lex_state = 54, .external_lex_state = 3},
  [18039] = {.lex_state = 443, .external_lex_state = 3},
  [18040] = {.lex_state = 54, .external_lex_state = 3},
  [18041] = {.lex_state = 394, .external_lex_state = 3},
  [18042] = {.lex_state = 394, .external_lex_state = 3},
  [18043] = {.lex_state = 216, .external_lex_state = 3},
  [18044] = {.lex_state = 25, .external_lex_state = 3},
  [18045] = {.lex_state = 54, .external_lex_state = 3},
  [18046] = {.lex_state = 394, .external_lex_state = 3},
  [18047] = {.lex_state = 54, .external_lex_state = 3},
  [18048] = {.lex_state = 54, .external_lex_state = 3},
  [18049] = {.lex_state = 54, .external_lex_state = 3},
  [18050] = {.lex_state = 54, .external_lex_state = 3},
  [18051] = {.lex_state = 101, .external_lex_state = 3},
  [18052] = {.lex_state = 15, .external_lex_state = 3},
  [18053] = {.lex_state = 54, .external_lex_state = 3},
  [18054] = {.lex_state = 101, .external_lex_state = 3},
  [18055] = {.lex_state = 54, .external_lex_state = 3},
  [18056] = {.lex_state = 15, .external_lex_state = 3},
  [18057] = {.lex_state = 222, .external_lex_state = 8},
  [18058] = {.lex_state = 54, .external_lex_state = 3},
  [18059] = {.lex_state = 54, .external_lex_state = 3},
  [18060] = {.lex_state = 101, .external_lex_state = 3},
  [18061] = {.lex_state = 54, .external_lex_state = 3},
  [18062] = {.lex_state = 54, .external_lex_state = 3},
  [18063] = {.lex_state = 101, .external_lex_state = 3},
  [18064] = {.lex_state = 54, .external_lex_state = 3},
  [18065] = {.lex_state = 54, .external_lex_state = 3},
  [18066] = {.lex_state = 394, .external_lex_state = 3},
  [18067] = {.lex_state = 394, .external_lex_state = 3},
  [18068] = {.lex_state = 216, .external_lex_state = 3},
  [18069] = {.lex_state = 394, .external_lex_state = 3},
  [18070] = {.lex_state = 394, .external_lex_state = 3},
  [18071] = {.lex_state = 54, .external_lex_state = 3},
  [18072] = {.lex_state = 15, .external_lex_state = 3},
  [18073] = {.lex_state = 15, .external_lex_state = 3},
  [18074] = {.lex_state = 25, .external_lex_state = 3},
  [18075] = {.lex_state = 394, .external_lex_state = 3},
  [18076] = {.lex_state = 394, .external_lex_state = 3},
  [18077] = {.lex_state = 54, .external_lex_state = 3},
  [18078] = {.lex_state = 54, .external_lex_state = 3},
  [18079] = {.lex_state = 54, .external_lex_state = 3},
  [18080] = {.lex_state = 54, .external_lex_state = 3},
  [18081] = {.lex_state = 101, .external_lex_state = 3},
  [18082] = {.lex_state = 15, .external_lex_state = 3},
  [18083] = {.lex_state = 54, .external_lex_state = 3},
  [18084] = {.lex_state = 101, .external_lex_state = 3},
  [18085] = {.lex_state = 222, .external_lex_state = 8},
  [18086] = {.lex_state = 54, .external_lex_state = 3},
  [18087] = {.lex_state = 54, .external_lex_state = 3},
  [18088] = {.lex_state = 54, .external_lex_state = 3},
  [18089] = {.lex_state = 394, .external_lex_state = 3},
  [18090] = {.lex_state = 54, .external_lex_state = 3},
  [18091] = {.lex_state = 394, .external_lex_state = 3},
  [18092] = {.lex_state = 101, .external_lex_state = 3},
  [18093] = {.lex_state = 216, .external_lex_state = 3},
  [18094] = {.lex_state = 54, .external_lex_state = 3},
  [18095] = {.lex_state = 394, .external_lex_state = 3},
  [18096] = {.lex_state = 394, .external_lex_state = 3},
  [18097] = {.lex_state = 394, .external_lex_state = 3},
  [18098] = {.lex_state = 394, .external_lex_state = 3},
  [18099] = {.lex_state = 54, .external_lex_state = 3},
  [18100] = {.lex_state = 54, .external_lex_state = 3},
  [18101] = {.lex_state = 54, .external_lex_state = 3},
  [18102] = {.lex_state = 394, .external_lex_state = 3},
  [18103] = {.lex_state = 394, .external_lex_state = 3},
  [18104] = {.lex_state = 15, .external_lex_state = 3},
  [18105] = {.lex_state = 54, .external_lex_state = 3},
  [18106] = {.lex_state = 25, .external_lex_state = 3},
  [18107] = {.lex_state = 54, .external_lex_state = 3},
  [18108] = {.lex_state = 25, .external_lex_state = 3},
  [18109] = {.lex_state = 222, .external_lex_state = 8},
  [18110] = {.lex_state = 54, .external_lex_state = 3},
  [18111] = {.lex_state = 216, .external_lex_state = 3},
  [18112] = {.lex_state = 25, .external_lex_state = 3},
  [18113] = {.lex_state = 54, .external_lex_state = 3},
  [18114] = {.lex_state = 54, .external_lex_state = 3},
  [18115] = {.lex_state = 394, .external_lex_state = 3},
  [18116] = {.lex_state = 443, .external_lex_state = 3},
  [18117] = {.lex_state = 394, .external_lex_state = 3},
  [18118] = {.lex_state = 394, .external_lex_state = 3},
  [18119] = {.lex_state = 394, .external_lex_state = 3},
  [18120] = {.lex_state = 54, .external_lex_state = 3},
  [18121] = {.lex_state = 394, .external_lex_state = 3},
  [18122] = {.lex_state = 394, .external_lex_state = 3},
  [18123] = {.lex_state = 394, .external_lex_state = 3},
  [18124] = {.lex_state = 25, .external_lex_state = 3},
  [18125] = {.lex_state = 394, .external_lex_state = 3},
  [18126] = {.lex_state = 15, .external_lex_state = 3},
  [18127] = {.lex_state = 54, .external_lex_state = 3},
  [18128] = {.lex_state = 443, .external_lex_state = 3},
  [18129] = {.lex_state = 394, .external_lex_state = 3},
  [18130] = {.lex_state = 394, .external_lex_state = 3},
  [18131] = {.lex_state = 394, .external_lex_state = 3},
  [18132] = {.lex_state = 222, .external_lex_state = 8},
  [18133] = {.lex_state = 101, .external_lex_state = 3},
  [18134] = {.lex_state = 394, .external_lex_state = 3},
  [18135] = {.lex_state = 394, .external_lex_state = 3},
  [18136] = {.lex_state = 54, .external_lex_state = 3},
  [18137] = {.lex_state = 394, .external_lex_state = 3},
  [18138] = {.lex_state = 54, .external_lex_state = 3},
  [18139] = {.lex_state = 25, .external_lex_state = 3},
  [18140] = {.lex_state = 54, .external_lex_state = 3},
  [18141] = {.lex_state = 394, .external_lex_state = 3},
  [18142] = {.lex_state = 394, .external_lex_state = 3},
  [18143] = {.lex_state = 394, .external_lex_state = 3},
  [18144] = {.lex_state = 394, .external_lex_state = 3},
  [18145] = {.lex_state = 54, .external_lex_state = 3},
  [18146] = {.lex_state = 216, .external_lex_state = 3},
  [18147] = {.lex_state = 15, .external_lex_state = 3},
  [18148] = {.lex_state = 394, .external_lex_state = 3},
  [18149] = {.lex_state = 54, .external_lex_state = 3},
  [18150] = {.lex_state = 222, .external_lex_state = 8},
  [18151] = {.lex_state = 54, .external_lex_state = 3},
  [18152] = {.lex_state = 54, .external_lex_state = 3},
  [18153] = {.lex_state = 54, .external_lex_state = 3},
  [18154] = {.lex_state = 216, .external_lex_state = 3},
  [18155] = {.lex_state = 101, .external_lex_state = 3},
  [18156] = {.lex_state = 394, .external_lex_state = 3},
  [18157] = {.lex_state = 54, .external_lex_state = 3},
  [18158] = {.lex_state = 54, .external_lex_state = 3},
  [18159] = {.lex_state = 54, .external_lex_state = 3},
  [18160] = {.lex_state = 394, .external_lex_state = 3},
  [18161] = {.lex_state = 394, .external_lex_state = 3},
  [18162] = {.lex_state = 394, .external_lex_state = 3},
  [18163] = {.lex_state = 394, .external_lex_state = 3},
  [18164] = {.lex_state = 54, .external_lex_state = 3},
  [18165] = {.lex_state = 54, .external_lex_state = 3},
  [18166] = {.lex_state = 54, .external_lex_state = 3},
  [18167] = {.lex_state = 15, .external_lex_state = 3},
  [18168] = {.lex_state = 54, .external_lex_state = 3},
  [18169] = {.lex_state = 443, .external_lex_state = 3},
  [18170] = {.lex_state = 394, .external_lex_state = 3},
  [18171] = {.lex_state = 394, .external_lex_state = 3},
  [18172] = {.lex_state = 222, .external_lex_state = 8},
  [18173] = {.lex_state = 54, .external_lex_state = 3},
  [18174] = {.lex_state = 25, .external_lex_state = 3},
  [18175] = {.lex_state = 394, .external_lex_state = 3},
  [18176] = {.lex_state = 54, .external_lex_state = 3},
  [18177] = {.lex_state = 54, .external_lex_state = 3},
  [18178] = {.lex_state = 54, .external_lex_state = 3},
  [18179] = {.lex_state = 394, .external_lex_state = 3},
  [18180] = {.lex_state = 394, .external_lex_state = 3},
  [18181] = {.lex_state = 54, .external_lex_state = 3},
  [18182] = {.lex_state = 394, .external_lex_state = 3},
  [18183] = {.lex_state = 394, .external_lex_state = 3},
  [18184] = {.lex_state = 54, .external_lex_state = 3},
  [18185] = {.lex_state = 25, .external_lex_state = 3},
  [18186] = {.lex_state = 101, .external_lex_state = 3},
  [18187] = {.lex_state = 15, .external_lex_state = 3},
  [18188] = {.lex_state = 443, .external_lex_state = 3},
  [18189] = {.lex_state = 216, .external_lex_state = 3},
  [18190] = {.lex_state = 54, .external_lex_state = 3},
  [18191] = {.lex_state = 222, .external_lex_state = 8},
  [18192] = {.lex_state = 54, .external_lex_state = 3},
  [18193] = {.lex_state = 54, .external_lex_state = 3},
  [18194] = {.lex_state = 54, .external_lex_state = 3},
  [18195] = {.lex_state = 101, .external_lex_state = 3},
  [18196] = {.lex_state = 394, .external_lex_state = 3},
  [18197] = {.lex_state = 394, .external_lex_state = 3},
  [18198] = {.lex_state = 394, .external_lex_state = 3},
  [18199] = {.lex_state = 25, .external_lex_state = 3},
  [18200] = {.lex_state = 394, .external_lex_state = 3},
  [18201] = {.lex_state = 394, .external_lex_state = 3},
  [18202] = {.lex_state = 394, .external_lex_state = 3},
  [18203] = {.lex_state = 443, .external_lex_state = 3},
  [18204] = {.lex_state = 394, .external_lex_state = 3},
  [18205] = {.lex_state = 15, .external_lex_state = 3},
  [18206] = {.lex_state = 216, .external_lex_state = 3},
  [18207] = {.lex_state = 222, .external_lex_state = 8},
  [18208] = {.lex_state = 394, .external_lex_state = 3},
  [18209] = {.lex_state = 54, .external_lex_state = 3},
  [18210] = {.lex_state = 394, .external_lex_state = 3},
  [18211] = {.lex_state = 443, .external_lex_state = 3},
  [18212] = {.lex_state = 394, .external_lex_state = 3},
  [18213] = {.lex_state = 394, .external_lex_state = 3},
  [18214] = {.lex_state = 25, .external_lex_state = 3},
  [18215] = {.lex_state = 25, .external_lex_state = 3},
  [18216] = {.lex_state = 54, .external_lex_state = 3},
  [18217] = {.lex_state = 394, .external_lex_state = 3},
  [18218] = {.lex_state = 394, .external_lex_state = 3},
  [18219] = {.lex_state = 394, .external_lex_state = 3},
  [18220] = {.lex_state = 394, .external_lex_state = 3},
  [18221] = {.lex_state = 216, .external_lex_state = 3},
  [18222] = {.lex_state = 15, .external_lex_state = 3},
  [18223] = {.lex_state = 443, .external_lex_state = 3},
  [18224] = {.lex_state = 394, .external_lex_state = 3},
  [18225] = {.lex_state = 394, .external_lex_state = 3},
  [18226] = {.lex_state = 222, .external_lex_state = 8},
  [18227] = {.lex_state = 443, .external_lex_state = 3},
  [18228] = {.lex_state = 54, .external_lex_state = 3},
  [18229] = {.lex_state = 394, .external_lex_state = 3},
  [18230] = {.lex_state = 394, .external_lex_state = 3},
  [18231] = {.lex_state = 54, .external_lex_state = 3},
  [18232] = {.lex_state = 394, .external_lex_state = 3},
  [18233] = {.lex_state = 54, .external_lex_state = 3},
  [18234] = {.lex_state = 24, .external_lex_state = 3},
  [18235] = {.lex_state = 25, .external_lex_state = 3},
  [18236] = {.lex_state = 394, .external_lex_state = 3},
  [18237] = {.lex_state = 394, .external_lex_state = 3},
  [18238] = {.lex_state = 101, .external_lex_state = 3},
  [18239] = {.lex_state = 394, .external_lex_state = 3},
  [18240] = {.lex_state = 394, .external_lex_state = 3},
  [18241] = {.lex_state = 443, .external_lex_state = 3},
  [18242] = {.lex_state = 15, .external_lex_state = 3},
  [18243] = {.lex_state = 222, .external_lex_state = 8},
  [18244] = {.lex_state = 394, .external_lex_state = 3},
  [18245] = {.lex_state = 394, .external_lex_state = 3},
  [18246] = {.lex_state = 54, .external_lex_state = 3},
  [18247] = {.lex_state = 54, .external_lex_state = 3},
  [18248] = {.lex_state = 54, .external_lex_state = 3},
  [18249] = {.lex_state = 394, .external_lex_state = 3},
  [18250] = {.lex_state = 394, .external_lex_state = 3},
  [18251] = {.lex_state = 394, .external_lex_state = 3},
  [18252] = {.lex_state = 394, .external_lex_state = 3},
  [18253] = {.lex_state = 394, .external_lex_state = 3},
  [18254] = {.lex_state = 101, .external_lex_state = 3},
  [18255] = {.lex_state = 15, .external_lex_state = 3},
  [18256] = {.lex_state = 222, .external_lex_state = 8},
  [18257] = {.lex_state = 54, .external_lex_state = 3},
  [18258] = {.lex_state = 54, .external_lex_state = 3},
  [18259] = {.lex_state = 54, .external_lex_state = 3},
  [18260] = {.lex_state = 54, .external_lex_state = 3},
  [18261] = {.lex_state = 394, .external_lex_state = 3},
  [18262] = {.lex_state = 394, .external_lex_state = 3},
  [18263] = {.lex_state = 394, .external_lex_state = 3},
  [18264] = {.lex_state = 394, .external_lex_state = 3},
  [18265] = {.lex_state = 15, .external_lex_state = 3},
  [18266] = {.lex_state = 216, .external_lex_state = 3},
  [18267] = {.lex_state = 222, .external_lex_state = 8},
  [18268] = {.lex_state = 54, .external_lex_state = 3},
  [18269] = {.lex_state = 394, .external_lex_state = 3},
  [18270] = {.lex_state = 54, .external_lex_state = 3},
  [18271] = {.lex_state = 216, .external_lex_state = 3},
  [18272] = {.lex_state = 54, .external_lex_state = 3},
  [18273] = {.lex_state = 15, .external_lex_state = 3},
  [18274] = {.lex_state = 101, .external_lex_state = 3},
  [18275] = {.lex_state = 54, .external_lex_state = 3},
  [18276] = {.lex_state = 15, .external_lex_state = 3},
  [18277] = {.lex_state = 54, .external_lex_state = 3},
  [18278] = {.lex_state = 222, .external_lex_state = 8},
  [18279] = {.lex_state = 54, .external_lex_state = 3},
  [18280] = {.lex_state = 54, .external_lex_state = 3},
  [18281] = {.lex_state = 54, .external_lex_state = 3},
  [18282] = {.lex_state = 54, .external_lex_state = 3},
  [18283] = {.lex_state = 394, .external_lex_state = 3},
  [18284] = {.lex_state = 15, .external_lex_state = 3},
  [18285] = {.lex_state = 394, .external_lex_state = 3},
  [18286] = {.lex_state = 443, .external_lex_state = 3},
  [18287] = {.lex_state = 222, .external_lex_state = 8},
  [18288] = {.lex_state = 25, .external_lex_state = 3},
  [18289] = {.lex_state = 394, .external_lex_state = 3},
  [18290] = {.lex_state = 54, .external_lex_state = 3},
  [18291] = {.lex_state = 216, .external_lex_state = 3},
  [18292] = {.lex_state = 15, .external_lex_state = 3},
  [18293] = {.lex_state = 394, .external_lex_state = 3},
  [18294] = {.lex_state = 54, .external_lex_state = 3},
  [18295] = {.lex_state = 443, .external_lex_state = 3},
  [18296] = {.lex_state = 222, .external_lex_state = 8},
  [18297] = {.lex_state = 394, .external_lex_state = 3},
  [18298] = {.lex_state = 394, .external_lex_state = 3},
  [18299] = {.lex_state = 394, .external_lex_state = 3},
  [18300] = {.lex_state = 54, .external_lex_state = 3},
  [18301] = {.lex_state = 25, .external_lex_state = 3},
  [18302] = {.lex_state = 425, .external_lex_state = 3},
  [18303] = {.lex_state = 15, .external_lex_state = 3},
  [18304] = {.lex_state = 443, .external_lex_state = 3},
  [18305] = {.lex_state = 216, .external_lex_state = 3},
  [18306] = {.lex_state = 394, .external_lex_state = 3},
  [18307] = {.lex_state = 394, .external_lex_state = 3},
  [18308] = {.lex_state = 222, .external_lex_state = 8},
  [18309] = {.lex_state = 25, .external_lex_state = 3},
  [18310] = {.lex_state = 54, .external_lex_state = 3},
  [18311] = {.lex_state = 54, .external_lex_state = 3},
  [18312] = {.lex_state = 177, .external_lex_state = 3},
  [18313] = {.lex_state = 394, .external_lex_state = 3},
  [18314] = {.lex_state = 15, .external_lex_state = 3},
  [18315] = {.lex_state = 54, .external_lex_state = 3},
  [18316] = {.lex_state = 222, .external_lex_state = 8},
  [18317] = {.lex_state = 394, .external_lex_state = 3},
  [18318] = {.lex_state = 394, .external_lex_state = 3},
  [18319] = {.lex_state = 54, .external_lex_state = 3},
  [18320] = {.lex_state = 443, .external_lex_state = 3},
  [18321] = {.lex_state = 15, .external_lex_state = 3},
  [18322] = {.lex_state = 15, .external_lex_state = 3},
  [18323] = {.lex_state = 222, .external_lex_state = 8},
  [18324] = {.lex_state = 394, .external_lex_state = 3},
  [18325] = {.lex_state = 394, .external_lex_state = 3},
  [18326] = {.lex_state = 443, .external_lex_state = 3},
  [18327] = {.lex_state = 15, .external_lex_state = 3},
  [18328] = {.lex_state = 222, .external_lex_state = 8},
  [18329] = {.lex_state = 394, .external_lex_state = 3},
  [18330] = {.lex_state = 54, .external_lex_state = 3},
  [18331] = {.lex_state = 54, .external_lex_state = 3},
  [18332] = {.lex_state = 394, .external_lex_state = 3},
  [18333] = {.lex_state = 25, .external_lex_state = 3},
  [18334] = {.lex_state = 54, .external_lex_state = 3},
  [18335] = {.lex_state = 15, .external_lex_state = 3},
  [18336] = {.lex_state = 222, .external_lex_state = 8},
  [18337] = {.lex_state = 54, .external_lex_state = 3},
  [18338] = {.lex_state = 54, .external_lex_state = 3},
  [18339] = {.lex_state = 54, .external_lex_state = 3},
  [18340] = {.lex_state = 54, .external_lex_state = 3},
  [18341] = {.lex_state = 101, .external_lex_state = 3},
  [18342] = {.lex_state = 54, .external_lex_state = 3},
  [18343] = {.lex_state = 15, .external_lex_state = 3},
  [18344] = {.lex_state = 222, .external_lex_state = 8},
  [18345] = {.lex_state = 54, .external_lex_state = 3},
  [18346] = {.lex_state = 54, .external_lex_state = 3},
  [18347] = {.lex_state = 54, .external_lex_state = 3},
  [18348] = {.lex_state = 15, .external_lex_state = 3},
  [18349] = {.lex_state = 216, .external_lex_state = 3},
  [18350] = {.lex_state = 222, .external_lex_state = 8},
  [18351] = {.lex_state = 216, .external_lex_state = 3},
  [18352] = {.lex_state = 54, .external_lex_state = 3},
  [18353] = {.lex_state = 54, .external_lex_state = 3},
  [18354] = {.lex_state = 15, .external_lex_state = 3},
  [18355] = {.lex_state = 222, .external_lex_state = 8},
  [18356] = {.lex_state = 101, .external_lex_state = 3},
  [18357] = {.lex_state = 54, .external_lex_state = 3},
  [18358] = {.lex_state = 394, .external_lex_state = 3},
  [18359] = {.lex_state = 15, .external_lex_state = 3},
  [18360] = {.lex_state = 54, .external_lex_state = 3},
  [18361] = {.lex_state = 222, .external_lex_state = 8},
  [18362] = {.lex_state = 15, .external_lex_state = 3},
  [18363] = {.lex_state = 394, .external_lex_state = 3},
  [18364] = {.lex_state = 54, .external_lex_state = 3},
  [18365] = {.lex_state = 15, .external_lex_state = 3},
  [18366] = {.lex_state = 101, .external_lex_state = 3},
  [18367] = {.lex_state = 222, .external_lex_state = 8},
  [18368] = {.lex_state = 15, .external_lex_state = 3},
  [18369] = {.lex_state = 54, .external_lex_state = 3},
  [18370] = {.lex_state = 222, .external_lex_state = 8},
  [18371] = {.lex_state = 54, .external_lex_state = 3},
  [18372] = {.lex_state = 54, .external_lex_state = 3},
  [18373] = {.lex_state = 15, .external_lex_state = 3},
  [18374] = {.lex_state = 394, .external_lex_state = 3},
  [18375] = {.lex_state = 222, .external_lex_state = 8},
  [18376] = {.lex_state = 394, .external_lex_state = 3},
  [18377] = {.lex_state = 54, .external_lex_state = 3},
  [18378] = {.lex_state = 54, .external_lex_state = 3},
  [18379] = {.lex_state = 54, .external_lex_state = 3},
  [18380] = {.lex_state = 101, .external_lex_state = 3},
  [18381] = {.lex_state = 54, .external_lex_state = 3},
  [18382] = {.lex_state = 15, .external_lex_state = 3},
  [18383] = {.lex_state = 101, .external_lex_state = 3},
  [18384] = {.lex_state = 54, .external_lex_state = 3},
  [18385] = {.lex_state = 222, .external_lex_state = 8},
  [18386] = {.lex_state = 54, .external_lex_state = 3},
  [18387] = {.lex_state = 101, .external_lex_state = 3},
  [18388] = {.lex_state = 394, .external_lex_state = 3},
  [18389] = {.lex_state = 54, .external_lex_state = 3},
  [18390] = {.lex_state = 54, .external_lex_state = 3},
  [18391] = {.lex_state = 15, .external_lex_state = 3},
  [18392] = {.lex_state = 443, .external_lex_state = 3},
  [18393] = {.lex_state = 222, .external_lex_state = 8},
  [18394] = {.lex_state = 216, .external_lex_state = 3},
  [18395] = {.lex_state = 54, .external_lex_state = 3},
  [18396] = {.lex_state = 54, .external_lex_state = 3},
  [18397] = {.lex_state = 54, .external_lex_state = 3},
  [18398] = {.lex_state = 15, .external_lex_state = 3},
  [18399] = {.lex_state = 222, .external_lex_state = 8},
  [18400] = {.lex_state = 177, .external_lex_state = 3},
  [18401] = {.lex_state = 54, .external_lex_state = 3},
  [18402] = {.lex_state = 443, .external_lex_state = 3},
  [18403] = {.lex_state = 54, .external_lex_state = 3},
  [18404] = {.lex_state = 394, .external_lex_state = 3},
  [18405] = {.lex_state = 15, .external_lex_state = 3},
  [18406] = {.lex_state = 54, .external_lex_state = 3},
  [18407] = {.lex_state = 25, .external_lex_state = 3},
  [18408] = {.lex_state = 15, .external_lex_state = 3},
  [18409] = {.lex_state = 394, .external_lex_state = 2},
  [18410] = {.lex_state = 177, .external_lex_state = 3},
  [18411] = {.lex_state = 222, .external_lex_state = 8},
  [18412] = {.lex_state = 54, .external_lex_state = 3},
  [18413] = {.lex_state = 54, .external_lex_state = 3},
  [18414] = {.lex_state = 54, .external_lex_state = 3},
  [18415] = {.lex_state = 443, .external_lex_state = 3},
  [18416] = {.lex_state = 101, .external_lex_state = 3},
  [18417] = {.lex_state = 54, .external_lex_state = 3},
  [18418] = {.lex_state = 394, .external_lex_state = 3},
  [18419] = {.lex_state = 54, .external_lex_state = 3},
  [18420] = {.lex_state = 54, .external_lex_state = 3},
  [18421] = {.lex_state = 15, .external_lex_state = 3},
  [18422] = {.lex_state = 216, .external_lex_state = 3},
  [18423] = {.lex_state = 394, .external_lex_state = 3},
  [18424] = {.lex_state = 222, .external_lex_state = 8},
  [18425] = {.lex_state = 101, .external_lex_state = 3},
  [18426] = {.lex_state = 394, .external_lex_state = 3},
  [18427] = {.lex_state = 15, .external_lex_state = 3},
  [18428] = {.lex_state = 443, .external_lex_state = 3},
  [18429] = {.lex_state = 54, .external_lex_state = 3},
  [18430] = {.lex_state = 222, .external_lex_state = 8},
  [18431] = {.lex_state = 101, .external_lex_state = 3},
  [18432] = {.lex_state = 394, .external_lex_state = 3},
  [18433] = {.lex_state = 394, .external_lex_state = 3},
  [18434] = {.lex_state = 394, .external_lex_state = 3},
  [18435] = {.lex_state = 54, .external_lex_state = 3},
  [18436] = {.lex_state = 15, .external_lex_state = 3},
  [18437] = {.lex_state = 394, .external_lex_state = 3},
  [18438] = {.lex_state = 222, .external_lex_state = 8},
  [18439] = {.lex_state = 54, .external_lex_state = 3},
  [18440] = {.lex_state = 222, .external_lex_state = 8},
  [18441] = {.lex_state = 54, .external_lex_state = 3},
  [18442] = {.lex_state = 54, .external_lex_state = 3},
  [18443] = {.lex_state = 15, .external_lex_state = 3},
  [18444] = {.lex_state = 101, .external_lex_state = 3},
  [18445] = {.lex_state = 15, .external_lex_state = 3},
  [18446] = {.lex_state = 443, .external_lex_state = 3},
  [18447] = {.lex_state = 54, .external_lex_state = 3},
  [18448] = {.lex_state = 222, .external_lex_state = 8},
  [18449] = {.lex_state = 216, .external_lex_state = 3},
  [18450] = {.lex_state = 394, .external_lex_state = 3},
  [18451] = {.lex_state = 394, .external_lex_state = 3},
  [18452] = {.lex_state = 54, .external_lex_state = 3},
  [18453] = {.lex_state = 54, .external_lex_state = 3},
  [18454] = {.lex_state = 394, .external_lex_state = 3},
  [18455] = {.lex_state = 25, .external_lex_state = 3},
  [18456] = {.lex_state = 15, .external_lex_state = 3},
  [18457] = {.lex_state = 222, .external_lex_state = 8},
  [18458] = {.lex_state = 394, .external_lex_state = 3},
  [18459] = {.lex_state = 216, .external_lex_state = 3},
  [18460] = {.lex_state = 54, .external_lex_state = 3},
  [18461] = {.lex_state = 394, .external_lex_state = 3},
  [18462] = {.lex_state = 15, .external_lex_state = 3},
  [18463] = {.lex_state = 222, .external_lex_state = 8},
  [18464] = {.lex_state = 15, .external_lex_state = 3},
  [18465] = {.lex_state = 54, .external_lex_state = 3},
  [18466] = {.lex_state = 394, .external_lex_state = 3},
  [18467] = {.lex_state = 54, .external_lex_state = 3},
  [18468] = {.lex_state = 15, .external_lex_state = 3},
  [18469] = {.lex_state = 222, .external_lex_state = 8},
  [18470] = {.lex_state = 443, .external_lex_state = 3},
  [18471] = {.lex_state = 54, .external_lex_state = 3},
  [18472] = {.lex_state = 394, .external_lex_state = 3},
  [18473] = {.lex_state = 394, .external_lex_state = 3},
  [18474] = {.lex_state = 136, .external_lex_state = 3},
  [18475] = {.lex_state = 15, .external_lex_state = 3},
  [18476] = {.lex_state = 177, .external_lex_state = 3},
  [18477] = {.lex_state = 222, .external_lex_state = 8},
  [18478] = {.lex_state = 394, .external_lex_state = 3},
  [18479] = {.lex_state = 15, .external_lex_state = 3},
  [18480] = {.lex_state = 394, .external_lex_state = 3},
  [18481] = {.lex_state = 222, .external_lex_state = 8},
  [18482] = {.lex_state = 25, .external_lex_state = 3},
  [18483] = {.lex_state = 54, .external_lex_state = 3},
  [18484] = {.lex_state = 15, .external_lex_state = 3},
  [18485] = {.lex_state = 222, .external_lex_state = 8},
  [18486] = {.lex_state = 15, .external_lex_state = 3},
  [18487] = {.lex_state = 222, .external_lex_state = 8},
  [18488] = {.lex_state = 15, .external_lex_state = 3},
  [18489] = {.lex_state = 222, .external_lex_state = 8},
  [18490] = {.lex_state = 15, .external_lex_state = 3},
  [18491] = {.lex_state = 54, .external_lex_state = 3},
  [18492] = {.lex_state = 222, .external_lex_state = 8},
  [18493] = {.lex_state = 15, .external_lex_state = 3},
  [18494] = {.lex_state = 222, .external_lex_state = 8},
  [18495] = {.lex_state = 15, .external_lex_state = 3},
  [18496] = {.lex_state = 222, .external_lex_state = 8},
  [18497] = {.lex_state = 15, .external_lex_state = 3},
  [18498] = {.lex_state = 54, .external_lex_state = 3},
  [18499] = {.lex_state = 222, .external_lex_state = 8},
  [18500] = {.lex_state = 15, .external_lex_state = 3},
  [18501] = {.lex_state = 222, .external_lex_state = 8},
  [18502] = {.lex_state = 15, .external_lex_state = 3},
  [18503] = {.lex_state = 222, .external_lex_state = 8},
  [18504] = {.lex_state = 15, .external_lex_state = 3},
  [18505] = {.lex_state = 222, .external_lex_state = 8},
  [18506] = {.lex_state = 15, .external_lex_state = 3},
  [18507] = {.lex_state = 222, .external_lex_state = 8},
  [18508] = {.lex_state = 15, .external_lex_state = 3},
  [18509] = {.lex_state = 222, .external_lex_state = 8},
  [18510] = {.lex_state = 15, .external_lex_state = 3},
  [18511] = {.lex_state = 222, .external_lex_state = 8},
  [18512] = {.lex_state = 15, .external_lex_state = 3},
  [18513] = {.lex_state = 222, .external_lex_state = 8},
  [18514] = {.lex_state = 15, .external_lex_state = 3},
  [18515] = {.lex_state = 222, .external_lex_state = 8},
  [18516] = {.lex_state = 15, .external_lex_state = 3},
  [18517] = {.lex_state = 222, .external_lex_state = 8},
  [18518] = {.lex_state = 15, .external_lex_state = 3},
  [18519] = {.lex_state = 222, .external_lex_state = 8},
  [18520] = {.lex_state = 15, .external_lex_state = 3},
  [18521] = {.lex_state = 222, .external_lex_state = 8},
  [18522] = {.lex_state = 15, .external_lex_state = 3},
  [18523] = {.lex_state = 222, .external_lex_state = 8},
  [18524] = {.lex_state = 15, .external_lex_state = 3},
  [18525] = {.lex_state = 222, .external_lex_state = 8},
  [18526] = {.lex_state = 15, .external_lex_state = 3},
  [18527] = {.lex_state = 222, .external_lex_state = 8},
  [18528] = {.lex_state = 15, .external_lex_state = 3},
  [18529] = {.lex_state = 222, .external_lex_state = 8},
  [18530] = {.lex_state = 15, .external_lex_state = 3},
  [18531] = {.lex_state = 222, .external_lex_state = 8},
  [18532] = {.lex_state = 15, .external_lex_state = 3},
  [18533] = {.lex_state = 222, .external_lex_state = 8},
  [18534] = {.lex_state = 15, .external_lex_state = 3},
  [18535] = {.lex_state = 222, .external_lex_state = 8},
  [18536] = {.lex_state = 15, .external_lex_state = 3},
  [18537] = {.lex_state = 222, .external_lex_state = 8},
  [18538] = {.lex_state = 15, .external_lex_state = 3},
  [18539] = {.lex_state = 222, .external_lex_state = 8},
  [18540] = {.lex_state = 15, .external_lex_state = 3},
  [18541] = {.lex_state = 222, .external_lex_state = 8},
  [18542] = {.lex_state = 15, .external_lex_state = 3},
  [18543] = {.lex_state = 222, .external_lex_state = 8},
  [18544] = {.lex_state = 15, .external_lex_state = 3},
  [18545] = {.lex_state = 222, .external_lex_state = 8},
  [18546] = {.lex_state = 15, .external_lex_state = 3},
  [18547] = {.lex_state = 222, .external_lex_state = 8},
  [18548] = {.lex_state = 15, .external_lex_state = 3},
  [18549] = {.lex_state = 222, .external_lex_state = 8},
  [18550] = {.lex_state = 15, .external_lex_state = 3},
  [18551] = {.lex_state = 222, .external_lex_state = 8},
  [18552] = {.lex_state = 15, .external_lex_state = 3},
  [18553] = {.lex_state = 222, .external_lex_state = 8},
  [18554] = {.lex_state = 15, .external_lex_state = 3},
  [18555] = {.lex_state = 222, .external_lex_state = 8},
  [18556] = {.lex_state = 15, .external_lex_state = 3},
  [18557] = {.lex_state = 222, .external_lex_state = 8},
  [18558] = {.lex_state = 15, .external_lex_state = 3},
  [18559] = {.lex_state = 15, .external_lex_state = 3},
  [18560] = {.lex_state = 54, .external_lex_state = 3},
  [18561] = {.lex_state = 54, .external_lex_state = 3},
  [18562] = {.lex_state = 394, .external_lex_state = 3},
  [18563] = {.lex_state = 15, .external_lex_state = 3},
  [18564] = {.lex_state = 101, .external_lex_state = 3},
  [18565] = {.lex_state = 15, .external_lex_state = 3},
  [18566] = {.lex_state = 222, .external_lex_state = 8},
  [18567] = {.lex_state = 54, .external_lex_state = 3},
  [18568] = {.lex_state = 425, .external_lex_state = 3},
  [18569] = {.lex_state = 216, .external_lex_state = 3},
  [18570] = {.lex_state = 54, .external_lex_state = 3},
  [18571] = {.lex_state = 54, .external_lex_state = 3},
  [18572] = {.lex_state = 15, .external_lex_state = 3},
  [18573] = {.lex_state = 394, .external_lex_state = 3},
  [18574] = {.lex_state = 394, .external_lex_state = 3},
  [18575] = {.lex_state = 394, .external_lex_state = 3},
  [18576] = {.lex_state = 216, .external_lex_state = 3},
  [18577] = {.lex_state = 425, .external_lex_state = 3},
  [18578] = {.lex_state = 54, .external_lex_state = 3},
  [18579] = {.lex_state = 54, .external_lex_state = 3},
  [18580] = {.lex_state = 101, .external_lex_state = 3},
  [18581] = {.lex_state = 54, .external_lex_state = 3},
  [18582] = {.lex_state = 394, .external_lex_state = 3},
  [18583] = {.lex_state = 216, .external_lex_state = 3},
  [18584] = {.lex_state = 394, .external_lex_state = 3},
  [18585] = {.lex_state = 443, .external_lex_state = 3},
  [18586] = {.lex_state = 54, .external_lex_state = 3},
  [18587] = {.lex_state = 54, .external_lex_state = 3},
  [18588] = {.lex_state = 25, .external_lex_state = 3},
  [18589] = {.lex_state = 394, .external_lex_state = 3},
  [18590] = {.lex_state = 394, .external_lex_state = 3},
  [18591] = {.lex_state = 54, .external_lex_state = 3},
  [18592] = {.lex_state = 394, .external_lex_state = 3},
  [18593] = {.lex_state = 101, .external_lex_state = 3},
  [18594] = {.lex_state = 54, .external_lex_state = 3},
  [18595] = {.lex_state = 54, .external_lex_state = 3},
  [18596] = {.lex_state = 54, .external_lex_state = 3},
  [18597] = {.lex_state = 25, .external_lex_state = 3},
  [18598] = {.lex_state = 177, .external_lex_state = 3},
  [18599] = {.lex_state = 394, .external_lex_state = 3},
  [18600] = {.lex_state = 394, .external_lex_state = 3},
  [18601] = {.lex_state = 394, .external_lex_state = 3},
  [18602] = {.lex_state = 54, .external_lex_state = 3},
  [18603] = {.lex_state = 394, .external_lex_state = 3},
  [18604] = {.lex_state = 54, .external_lex_state = 3},
  [18605] = {.lex_state = 25, .external_lex_state = 3},
  [18606] = {.lex_state = 101, .external_lex_state = 3},
  [18607] = {.lex_state = 54, .external_lex_state = 3},
  [18608] = {.lex_state = 54, .external_lex_state = 3},
  [18609] = {.lex_state = 54, .external_lex_state = 3},
  [18610] = {.lex_state = 425, .external_lex_state = 3},
  [18611] = {.lex_state = 54, .external_lex_state = 3},
  [18612] = {.lex_state = 443, .external_lex_state = 3},
  [18613] = {.lex_state = 101, .external_lex_state = 3},
  [18614] = {.lex_state = 54, .external_lex_state = 3},
  [18615] = {.lex_state = 216, .external_lex_state = 3},
  [18616] = {.lex_state = 54, .external_lex_state = 3},
  [18617] = {.lex_state = 394, .external_lex_state = 3},
  [18618] = {.lex_state = 15, .external_lex_state = 3},
  [18619] = {.lex_state = 394, .external_lex_state = 3},
  [18620] = {.lex_state = 394, .external_lex_state = 3},
  [18621] = {.lex_state = 54, .external_lex_state = 3},
  [18622] = {.lex_state = 425, .external_lex_state = 3},
  [18623] = {.lex_state = 15, .external_lex_state = 3},
  [18624] = {.lex_state = 177, .external_lex_state = 3},
  [18625] = {.lex_state = 394, .external_lex_state = 3},
  [18626] = {.lex_state = 216, .external_lex_state = 3},
  [18627] = {.lex_state = 425, .external_lex_state = 3},
  [18628] = {.lex_state = 25, .external_lex_state = 3},
  [18629] = {.lex_state = 54, .external_lex_state = 3},
  [18630] = {.lex_state = 54, .external_lex_state = 3},
  [18631] = {.lex_state = 394, .external_lex_state = 3},
  [18632] = {.lex_state = 394, .external_lex_state = 3},
  [18633] = {.lex_state = 15, .external_lex_state = 3},
  [18634] = {.lex_state = 394, .external_lex_state = 3},
  [18635] = {.lex_state = 54, .external_lex_state = 3},
  [18636] = {.lex_state = 54, .external_lex_state = 3},
  [18637] = {.lex_state = 54, .external_lex_state = 3},
  [18638] = {.lex_state = 394, .external_lex_state = 3},
  [18639] = {.lex_state = 15, .external_lex_state = 3},
  [18640] = {.lex_state = 54, .external_lex_state = 3},
  [18641] = {.lex_state = 54, .external_lex_state = 3},
  [18642] = {.lex_state = 54, .external_lex_state = 3},
  [18643] = {.lex_state = 15, .external_lex_state = 3},
  [18644] = {.lex_state = 101, .external_lex_state = 3},
  [18645] = {.lex_state = 54, .external_lex_state = 3},
  [18646] = {.lex_state = 54, .external_lex_state = 3},
  [18647] = {.lex_state = 15, .external_lex_state = 3},
  [18648] = {.lex_state = 54, .external_lex_state = 3},
  [18649] = {.lex_state = 54, .external_lex_state = 3},
  [18650] = {.lex_state = 425, .external_lex_state = 3},
  [18651] = {.lex_state = 15, .external_lex_state = 3},
  [18652] = {.lex_state = 425, .external_lex_state = 3},
  [18653] = {.lex_state = 54, .external_lex_state = 3},
  [18654] = {.lex_state = 54, .external_lex_state = 3},
  [18655] = {.lex_state = 54, .external_lex_state = 3},
  [18656] = {.lex_state = 101, .external_lex_state = 3},
  [18657] = {.lex_state = 101, .external_lex_state = 3},
  [18658] = {.lex_state = 54, .external_lex_state = 3},
  [18659] = {.lex_state = 54, .external_lex_state = 3},
  [18660] = {.lex_state = 54, .external_lex_state = 3},
  [18661] = {.lex_state = 54, .external_lex_state = 3},
  [18662] = {.lex_state = 54, .external_lex_state = 3},
  [18663] = {.lex_state = 54, .external_lex_state = 3},
  [18664] = {.lex_state = 394, .external_lex_state = 3},
  [18665] = {.lex_state = 216, .external_lex_state = 3},
  [18666] = {.lex_state = 54, .external_lex_state = 3},
  [18667] = {.lex_state = 54, .external_lex_state = 3},
  [18668] = {.lex_state = 394, .external_lex_state = 3},
  [18669] = {.lex_state = 394, .external_lex_state = 3},
  [18670] = {.lex_state = 394, .external_lex_state = 3},
  [18671] = {.lex_state = 15, .external_lex_state = 3},
  [18672] = {.lex_state = 101, .external_lex_state = 3},
  [18673] = {.lex_state = 425, .external_lex_state = 3},
  [18674] = {.lex_state = 54, .external_lex_state = 3},
  [18675] = {.lex_state = 443, .external_lex_state = 3},
  [18676] = {.lex_state = 425, .external_lex_state = 3},
  [18677] = {.lex_state = 15, .external_lex_state = 3},
  [18678] = {.lex_state = 394, .external_lex_state = 3},
  [18679] = {.lex_state = 394, .external_lex_state = 3},
  [18680] = {.lex_state = 394, .external_lex_state = 3},
  [18681] = {.lex_state = 54, .external_lex_state = 3},
  [18682] = {.lex_state = 15, .external_lex_state = 3},
  [18683] = {.lex_state = 54, .external_lex_state = 3},
  [18684] = {.lex_state = 425, .external_lex_state = 3},
  [18685] = {.lex_state = 25, .external_lex_state = 3},
  [18686] = {.lex_state = 54, .external_lex_state = 3},
  [18687] = {.lex_state = 425, .external_lex_state = 3},
  [18688] = {.lex_state = 54, .external_lex_state = 3},
  [18689] = {.lex_state = 54, .external_lex_state = 3},
  [18690] = {.lex_state = 54, .external_lex_state = 3},
  [18691] = {.lex_state = 54, .external_lex_state = 3},
  [18692] = {.lex_state = 15, .external_lex_state = 3},
  [18693] = {.lex_state = 101, .external_lex_state = 3},
  [18694] = {.lex_state = 54, .external_lex_state = 3},
  [18695] = {.lex_state = 54, .external_lex_state = 3},
  [18696] = {.lex_state = 425, .external_lex_state = 3},
  [18697] = {.lex_state = 54, .external_lex_state = 3},
  [18698] = {.lex_state = 101, .external_lex_state = 3},
  [18699] = {.lex_state = 425, .external_lex_state = 3},
  [18700] = {.lex_state = 54, .external_lex_state = 3},
  [18701] = {.lex_state = 101, .external_lex_state = 3},
  [18702] = {.lex_state = 54, .external_lex_state = 3},
  [18703] = {.lex_state = 54, .external_lex_state = 3},
  [18704] = {.lex_state = 15, .external_lex_state = 3},
  [18705] = {.lex_state = 54, .external_lex_state = 3},
  [18706] = {.lex_state = 54, .external_lex_state = 3},
  [18707] = {.lex_state = 425, .external_lex_state = 3},
  [18708] = {.lex_state = 425, .external_lex_state = 3},
  [18709] = {.lex_state = 54, .external_lex_state = 3},
  [18710] = {.lex_state = 216, .external_lex_state = 3},
  [18711] = {.lex_state = 15, .external_lex_state = 3},
  [18712] = {.lex_state = 216, .external_lex_state = 3},
  [18713] = {.lex_state = 425, .external_lex_state = 3},
  [18714] = {.lex_state = 216, .external_lex_state = 3},
  [18715] = {.lex_state = 425, .external_lex_state = 3},
  [18716] = {.lex_state = 15, .external_lex_state = 3},
  [18717] = {.lex_state = 443, .external_lex_state = 3},
  [18718] = {.lex_state = 54, .external_lex_state = 3},
  [18719] = {.lex_state = 394, .external_lex_state = 3},
  [18720] = {.lex_state = 425, .external_lex_state = 3},
  [18721] = {.lex_state = 425, .external_lex_state = 3},
  [18722] = {.lex_state = 15, .external_lex_state = 3},
  [18723] = {.lex_state = 394, .external_lex_state = 3},
  [18724] = {.lex_state = 54, .external_lex_state = 3},
  [18725] = {.lex_state = 425, .external_lex_state = 3},
  [18726] = {.lex_state = 425, .external_lex_state = 3},
  [18727] = {.lex_state = 394, .external_lex_state = 3},
  [18728] = {.lex_state = 54, .external_lex_state = 3},
  [18729] = {.lex_state = 15, .external_lex_state = 3},
  [18730] = {.lex_state = 425, .external_lex_state = 3},
  [18731] = {.lex_state = 425, .external_lex_state = 3},
  [18732] = {.lex_state = 15, .external_lex_state = 3},
  [18733] = {.lex_state = 443, .external_lex_state = 3},
  [18734] = {.lex_state = 25, .external_lex_state = 3},
  [18735] = {.lex_state = 54, .external_lex_state = 3},
  [18736] = {.lex_state = 425, .external_lex_state = 3},
  [18737] = {.lex_state = 394, .external_lex_state = 3},
  [18738] = {.lex_state = 425, .external_lex_state = 3},
  [18739] = {.lex_state = 394, .external_lex_state = 3},
  [18740] = {.lex_state = 15, .external_lex_state = 3},
  [18741] = {.lex_state = 54, .external_lex_state = 3},
  [18742] = {.lex_state = 425, .external_lex_state = 3},
  [18743] = {.lex_state = 425, .external_lex_state = 3},
  [18744] = {.lex_state = 54, .external_lex_state = 3},
  [18745] = {.lex_state = 15, .external_lex_state = 3},
  [18746] = {.lex_state = 54, .external_lex_state = 3},
  [18747] = {.lex_state = 394, .external_lex_state = 3},
  [18748] = {.lex_state = 25, .external_lex_state = 3},
  [18749] = {.lex_state = 425, .external_lex_state = 3},
  [18750] = {.lex_state = 54, .external_lex_state = 3},
  [18751] = {.lex_state = 425, .external_lex_state = 3},
  [18752] = {.lex_state = 15, .external_lex_state = 3},
  [18753] = {.lex_state = 394, .external_lex_state = 2},
  [18754] = {.lex_state = 54, .external_lex_state = 3},
  [18755] = {.lex_state = 425, .external_lex_state = 3},
  [18756] = {.lex_state = 425, .external_lex_state = 3},
  [18757] = {.lex_state = 54, .external_lex_state = 3},
  [18758] = {.lex_state = 54, .external_lex_state = 3},
  [18759] = {.lex_state = 15, .external_lex_state = 3},
  [18760] = {.lex_state = 101, .external_lex_state = 3},
  [18761] = {.lex_state = 443, .external_lex_state = 3},
  [18762] = {.lex_state = 425, .external_lex_state = 3},
  [18763] = {.lex_state = 425, .external_lex_state = 3},
  [18764] = {.lex_state = 15, .external_lex_state = 3},
  [18765] = {.lex_state = 54, .external_lex_state = 3},
  [18766] = {.lex_state = 425, .external_lex_state = 3},
  [18767] = {.lex_state = 54, .external_lex_state = 3},
  [18768] = {.lex_state = 425, .external_lex_state = 3},
  [18769] = {.lex_state = 15, .external_lex_state = 3},
  [18770] = {.lex_state = 394, .external_lex_state = 3},
  [18771] = {.lex_state = 101, .external_lex_state = 3},
  [18772] = {.lex_state = 425, .external_lex_state = 3},
  [18773] = {.lex_state = 425, .external_lex_state = 3},
  [18774] = {.lex_state = 15, .external_lex_state = 3},
  [18775] = {.lex_state = 54, .external_lex_state = 3},
  [18776] = {.lex_state = 54, .external_lex_state = 3},
  [18777] = {.lex_state = 425, .external_lex_state = 3},
  [18778] = {.lex_state = 425, .external_lex_state = 3},
  [18779] = {.lex_state = 15, .external_lex_state = 3},
  [18780] = {.lex_state = 394, .external_lex_state = 3},
  [18781] = {.lex_state = 443, .external_lex_state = 3},
  [18782] = {.lex_state = 54, .external_lex_state = 3},
  [18783] = {.lex_state = 425, .external_lex_state = 3},
  [18784] = {.lex_state = 425, .external_lex_state = 3},
  [18785] = {.lex_state = 394, .external_lex_state = 3},
  [18786] = {.lex_state = 54, .external_lex_state = 3},
  [18787] = {.lex_state = 15, .external_lex_state = 3},
  [18788] = {.lex_state = 394, .external_lex_state = 3},
  [18789] = {.lex_state = 425, .external_lex_state = 3},
  [18790] = {.lex_state = 54, .external_lex_state = 3},
  [18791] = {.lex_state = 425, .external_lex_state = 3},
  [18792] = {.lex_state = 15, .external_lex_state = 3},
  [18793] = {.lex_state = 222, .external_lex_state = 8},
  [18794] = {.lex_state = 425, .external_lex_state = 3},
  [18795] = {.lex_state = 216, .external_lex_state = 3},
  [18796] = {.lex_state = 425, .external_lex_state = 3},
  [18797] = {.lex_state = 15, .external_lex_state = 3},
  [18798] = {.lex_state = 394, .external_lex_state = 3},
  [18799] = {.lex_state = 54, .external_lex_state = 3},
  [18800] = {.lex_state = 425, .external_lex_state = 3},
  [18801] = {.lex_state = 425, .external_lex_state = 3},
  [18802] = {.lex_state = 15, .external_lex_state = 3},
  [18803] = {.lex_state = 425, .external_lex_state = 3},
  [18804] = {.lex_state = 425, .external_lex_state = 3},
  [18805] = {.lex_state = 25, .external_lex_state = 3},
  [18806] = {.lex_state = 54, .external_lex_state = 3},
  [18807] = {.lex_state = 15, .external_lex_state = 3},
  [18808] = {.lex_state = 425, .external_lex_state = 3},
  [18809] = {.lex_state = 425, .external_lex_state = 3},
  [18810] = {.lex_state = 216, .external_lex_state = 3},
  [18811] = {.lex_state = 15, .external_lex_state = 3},
  [18812] = {.lex_state = 394, .external_lex_state = 3},
  [18813] = {.lex_state = 54, .external_lex_state = 3},
  [18814] = {.lex_state = 425, .external_lex_state = 3},
  [18815] = {.lex_state = 425, .external_lex_state = 3},
  [18816] = {.lex_state = 15, .external_lex_state = 3},
  [18817] = {.lex_state = 54, .external_lex_state = 3},
  [18818] = {.lex_state = 394, .external_lex_state = 3},
  [18819] = {.lex_state = 443, .external_lex_state = 3},
  [18820] = {.lex_state = 394, .external_lex_state = 3},
  [18821] = {.lex_state = 425, .external_lex_state = 3},
  [18822] = {.lex_state = 425, .external_lex_state = 3},
  [18823] = {.lex_state = 15, .external_lex_state = 3},
  [18824] = {.lex_state = 394, .external_lex_state = 3},
  [18825] = {.lex_state = 425, .external_lex_state = 3},
  [18826] = {.lex_state = 425, .external_lex_state = 3},
  [18827] = {.lex_state = 15, .external_lex_state = 3},
  [18828] = {.lex_state = 54, .external_lex_state = 3},
  [18829] = {.lex_state = 25, .external_lex_state = 3},
  [18830] = {.lex_state = 394, .external_lex_state = 3},
  [18831] = {.lex_state = 425, .external_lex_state = 3},
  [18832] = {.lex_state = 54, .external_lex_state = 3},
  [18833] = {.lex_state = 425, .external_lex_state = 3},
  [18834] = {.lex_state = 15, .external_lex_state = 3},
  [18835] = {.lex_state = 394, .external_lex_state = 3},
  [18836] = {.lex_state = 25, .external_lex_state = 3},
  [18837] = {.lex_state = 54, .external_lex_state = 3},
  [18838] = {.lex_state = 425, .external_lex_state = 3},
  [18839] = {.lex_state = 443, .external_lex_state = 3},
  [18840] = {.lex_state = 425, .external_lex_state = 3},
  [18841] = {.lex_state = 54, .external_lex_state = 3},
  [18842] = {.lex_state = 15, .external_lex_state = 3},
  [18843] = {.lex_state = 425, .external_lex_state = 3},
  [18844] = {.lex_state = 425, .external_lex_state = 3},
  [18845] = {.lex_state = 394, .external_lex_state = 3},
  [18846] = {.lex_state = 15, .external_lex_state = 3},
  [18847] = {.lex_state = 394, .external_lex_state = 3},
  [18848] = {.lex_state = 54, .external_lex_state = 3},
  [18849] = {.lex_state = 425, .external_lex_state = 3},
  [18850] = {.lex_state = 425, .external_lex_state = 3},
  [18851] = {.lex_state = 54, .external_lex_state = 3},
  [18852] = {.lex_state = 15, .external_lex_state = 3},
  [18853] = {.lex_state = 54, .external_lex_state = 3},
  [18854] = {.lex_state = 394, .external_lex_state = 3},
  [18855] = {.lex_state = 54, .external_lex_state = 3},
  [18856] = {.lex_state = 425, .external_lex_state = 3},
  [18857] = {.lex_state = 425, .external_lex_state = 3},
  [18858] = {.lex_state = 101, .external_lex_state = 3},
  [18859] = {.lex_state = 15, .external_lex_state = 3},
  [18860] = {.lex_state = 394, .external_lex_state = 3},
  [18861] = {.lex_state = 54, .external_lex_state = 3},
  [18862] = {.lex_state = 54, .external_lex_state = 3},
  [18863] = {.lex_state = 425, .external_lex_state = 3},
  [18864] = {.lex_state = 425, .external_lex_state = 3},
  [18865] = {.lex_state = 54, .external_lex_state = 3},
  [18866] = {.lex_state = 15, .external_lex_state = 3},
  [18867] = {.lex_state = 425, .external_lex_state = 3},
  [18868] = {.lex_state = 54, .external_lex_state = 3},
  [18869] = {.lex_state = 425, .external_lex_state = 3},
  [18870] = {.lex_state = 54, .external_lex_state = 3},
  [18871] = {.lex_state = 15, .external_lex_state = 3},
  [18872] = {.lex_state = 54, .external_lex_state = 3},
  [18873] = {.lex_state = 101, .external_lex_state = 3},
  [18874] = {.lex_state = 54, .external_lex_state = 3},
  [18875] = {.lex_state = 443, .external_lex_state = 3},
  [18876] = {.lex_state = 425, .external_lex_state = 3},
  [18877] = {.lex_state = 425, .external_lex_state = 3},
  [18878] = {.lex_state = 15, .external_lex_state = 3},
  [18879] = {.lex_state = 394, .external_lex_state = 3},
  [18880] = {.lex_state = 54, .external_lex_state = 3},
  [18881] = {.lex_state = 425, .external_lex_state = 3},
  [18882] = {.lex_state = 425, .external_lex_state = 3},
  [18883] = {.lex_state = 15, .external_lex_state = 3},
  [18884] = {.lex_state = 216, .external_lex_state = 3},
  [18885] = {.lex_state = 394, .external_lex_state = 3},
  [18886] = {.lex_state = 425, .external_lex_state = 3},
  [18887] = {.lex_state = 425, .external_lex_state = 3},
  [18888] = {.lex_state = 54, .external_lex_state = 3},
  [18889] = {.lex_state = 15, .external_lex_state = 3},
  [18890] = {.lex_state = 101, .external_lex_state = 3},
  [18891] = {.lex_state = 425, .external_lex_state = 3},
  [18892] = {.lex_state = 425, .external_lex_state = 3},
  [18893] = {.lex_state = 15, .external_lex_state = 3},
  [18894] = {.lex_state = 443, .external_lex_state = 3},
  [18895] = {.lex_state = 425, .external_lex_state = 3},
  [18896] = {.lex_state = 425, .external_lex_state = 3},
  [18897] = {.lex_state = 15, .external_lex_state = 3},
  [18898] = {.lex_state = 425, .external_lex_state = 3},
  [18899] = {.lex_state = 425, .external_lex_state = 3},
  [18900] = {.lex_state = 216, .external_lex_state = 3},
  [18901] = {.lex_state = 15, .external_lex_state = 3},
  [18902] = {.lex_state = 394, .external_lex_state = 3},
  [18903] = {.lex_state = 425, .external_lex_state = 3},
  [18904] = {.lex_state = 15, .external_lex_state = 3},
  [18905] = {.lex_state = 425, .external_lex_state = 3},
  [18906] = {.lex_state = 394, .external_lex_state = 3},
  [18907] = {.lex_state = 54, .external_lex_state = 3},
  [18908] = {.lex_state = 15, .external_lex_state = 3},
  [18909] = {.lex_state = 443, .external_lex_state = 3},
  [18910] = {.lex_state = 425, .external_lex_state = 3},
  [18911] = {.lex_state = 425, .external_lex_state = 3},
  [18912] = {.lex_state = 15, .external_lex_state = 3},
  [18913] = {.lex_state = 394, .external_lex_state = 3},
  [18914] = {.lex_state = 177, .external_lex_state = 3},
  [18915] = {.lex_state = 54, .external_lex_state = 3},
  [18916] = {.lex_state = 425, .external_lex_state = 3},
  [18917] = {.lex_state = 425, .external_lex_state = 3},
  [18918] = {.lex_state = 15, .external_lex_state = 3},
  [18919] = {.lex_state = 54, .external_lex_state = 3},
  [18920] = {.lex_state = 425, .external_lex_state = 3},
  [18921] = {.lex_state = 54, .external_lex_state = 3},
  [18922] = {.lex_state = 425, .external_lex_state = 3},
  [18923] = {.lex_state = 15, .external_lex_state = 3},
  [18924] = {.lex_state = 394, .external_lex_state = 3},
  [18925] = {.lex_state = 54, .external_lex_state = 3},
  [18926] = {.lex_state = 425, .external_lex_state = 3},
  [18927] = {.lex_state = 425, .external_lex_state = 3},
  [18928] = {.lex_state = 15, .external_lex_state = 3},
  [18929] = {.lex_state = 394, .external_lex_state = 3},
  [18930] = {.lex_state = 425, .external_lex_state = 3},
  [18931] = {.lex_state = 425, .external_lex_state = 3},
  [18932] = {.lex_state = 15, .external_lex_state = 3},
  [18933] = {.lex_state = 54, .external_lex_state = 3},
  [18934] = {.lex_state = 177, .external_lex_state = 3},
  [18935] = {.lex_state = 54, .external_lex_state = 3},
  [18936] = {.lex_state = 425, .external_lex_state = 3},
  [18937] = {.lex_state = 425, .external_lex_state = 3},
  [18938] = {.lex_state = 15, .external_lex_state = 3},
  [18939] = {.lex_state = 15, .external_lex_state = 3},
  [18940] = {.lex_state = 15, .external_lex_state = 3},
  [18941] = {.lex_state = 101, .external_lex_state = 3},
  [18942] = {.lex_state = 54, .external_lex_state = 3},
  [18943] = {.lex_state = 425, .external_lex_state = 3},
  [18944] = {.lex_state = 425, .external_lex_state = 3},
  [18945] = {.lex_state = 15, .external_lex_state = 3},
  [18946] = {.lex_state = 425, .external_lex_state = 3},
  [18947] = {.lex_state = 15, .external_lex_state = 3},
  [18948] = {.lex_state = 425, .external_lex_state = 3},
  [18949] = {.lex_state = 15, .external_lex_state = 3},
  [18950] = {.lex_state = 425, .external_lex_state = 3},
  [18951] = {.lex_state = 15, .external_lex_state = 3},
  [18952] = {.lex_state = 425, .external_lex_state = 3},
  [18953] = {.lex_state = 15, .external_lex_state = 3},
  [18954] = {.lex_state = 425, .external_lex_state = 3},
  [18955] = {.lex_state = 15, .external_lex_state = 3},
  [18956] = {.lex_state = 425, .external_lex_state = 3},
  [18957] = {.lex_state = 15, .external_lex_state = 3},
  [18958] = {.lex_state = 425, .external_lex_state = 3},
  [18959] = {.lex_state = 15, .external_lex_state = 3},
  [18960] = {.lex_state = 425, .external_lex_state = 3},
  [18961] = {.lex_state = 15, .external_lex_state = 3},
  [18962] = {.lex_state = 425, .external_lex_state = 3},
  [18963] = {.lex_state = 15, .external_lex_state = 3},
  [18964] = {.lex_state = 425, .external_lex_state = 3},
  [18965] = {.lex_state = 15, .external_lex_state = 3},
  [18966] = {.lex_state = 425, .external_lex_state = 3},
  [18967] = {.lex_state = 15, .external_lex_state = 3},
  [18968] = {.lex_state = 425, .external_lex_state = 3},
  [18969] = {.lex_state = 15, .external_lex_state = 3},
  [18970] = {.lex_state = 425, .external_lex_state = 3},
  [18971] = {.lex_state = 15, .external_lex_state = 3},
  [18972] = {.lex_state = 425, .external_lex_state = 3},
  [18973] = {.lex_state = 15, .external_lex_state = 3},
  [18974] = {.lex_state = 15, .external_lex_state = 3},
  [18975] = {.lex_state = 15, .external_lex_state = 3},
  [18976] = {.lex_state = 15, .external_lex_state = 3},
  [18977] = {.lex_state = 15, .external_lex_state = 3},
  [18978] = {.lex_state = 15, .external_lex_state = 3},
  [18979] = {.lex_state = 15, .external_lex_state = 3},
  [18980] = {.lex_state = 15, .external_lex_state = 3},
  [18981] = {.lex_state = 15, .external_lex_state = 3},
  [18982] = {.lex_state = 15, .external_lex_state = 3},
  [18983] = {.lex_state = 15, .external_lex_state = 3},
  [18984] = {.lex_state = 15, .external_lex_state = 3},
  [18985] = {.lex_state = 15, .external_lex_state = 3},
  [18986] = {.lex_state = 15, .external_lex_state = 3},
  [18987] = {.lex_state = 15, .external_lex_state = 3},
  [18988] = {.lex_state = 15, .external_lex_state = 3},
  [18989] = {.lex_state = 15, .external_lex_state = 3},
  [18990] = {.lex_state = 15, .external_lex_state = 3},
  [18991] = {.lex_state = 15, .external_lex_state = 3},
  [18992] = {.lex_state = 15, .external_lex_state = 3},
  [18993] = {.lex_state = 15, .external_lex_state = 3},
  [18994] = {.lex_state = 15, .external_lex_state = 3},
  [18995] = {.lex_state = 15, .external_lex_state = 3},
  [18996] = {.lex_state = 54, .external_lex_state = 3},
  [18997] = {.lex_state = 15, .external_lex_state = 3},
  [18998] = {.lex_state = 54, .external_lex_state = 3},
  [18999] = {.lex_state = 177, .external_lex_state = 3},
  [19000] = {.lex_state = 54, .external_lex_state = 3},
  [19001] = {.lex_state = 15, .external_lex_state = 3},
  [19002] = {.lex_state = 400, .external_lex_state = 3},
  [19003] = {.lex_state = 216, .external_lex_state = 3},
  [19004] = {.lex_state = 54, .external_lex_state = 3},
  [19005] = {.lex_state = 54, .external_lex_state = 3},
  [19006] = {.lex_state = 54, .external_lex_state = 3},
  [19007] = {.lex_state = 54, .external_lex_state = 3},
  [19008] = {.lex_state = 394, .external_lex_state = 3},
  [19009] = {.lex_state = 394, .external_lex_state = 3},
  [19010] = {.lex_state = 394, .external_lex_state = 3},
  [19011] = {.lex_state = 394, .external_lex_state = 3},
  [19012] = {.lex_state = 394, .external_lex_state = 3},
  [19013] = {.lex_state = 15, .external_lex_state = 3},
  [19014] = {.lex_state = 394, .external_lex_state = 3},
  [19015] = {.lex_state = 54, .external_lex_state = 3},
  [19016] = {.lex_state = 54, .external_lex_state = 3},
  [19017] = {.lex_state = 54, .external_lex_state = 3},
  [19018] = {.lex_state = 15, .external_lex_state = 3},
  [19019] = {.lex_state = 54, .external_lex_state = 3},
  [19020] = {.lex_state = 54, .external_lex_state = 3},
  [19021] = {.lex_state = 54, .external_lex_state = 3},
  [19022] = {.lex_state = 15, .external_lex_state = 3},
  [19023] = {.lex_state = 216, .external_lex_state = 3},
  [19024] = {.lex_state = 54, .external_lex_state = 3},
  [19025] = {.lex_state = 54, .external_lex_state = 3},
  [19026] = {.lex_state = 54, .external_lex_state = 3},
  [19027] = {.lex_state = 425, .external_lex_state = 3},
  [19028] = {.lex_state = 54, .external_lex_state = 3},
  [19029] = {.lex_state = 54, .external_lex_state = 3},
  [19030] = {.lex_state = 222, .external_lex_state = 8},
  [19031] = {.lex_state = 54, .external_lex_state = 3},
  [19032] = {.lex_state = 15, .external_lex_state = 3},
  [19033] = {.lex_state = 54, .external_lex_state = 3},
  [19034] = {.lex_state = 443, .external_lex_state = 3},
  [19035] = {.lex_state = 394, .external_lex_state = 3},
  [19036] = {.lex_state = 101, .external_lex_state = 3},
  [19037] = {.lex_state = 54, .external_lex_state = 3},
  [19038] = {.lex_state = 394, .external_lex_state = 3},
  [19039] = {.lex_state = 54, .external_lex_state = 3},
  [19040] = {.lex_state = 15, .external_lex_state = 3},
  [19041] = {.lex_state = 101, .external_lex_state = 3},
  [19042] = {.lex_state = 15, .external_lex_state = 3},
  [19043] = {.lex_state = 394, .external_lex_state = 3},
  [19044] = {.lex_state = 54, .external_lex_state = 3},
  [19045] = {.lex_state = 15, .external_lex_state = 3},
  [19046] = {.lex_state = 101, .external_lex_state = 3},
  [19047] = {.lex_state = 15, .external_lex_state = 3},
  [19048] = {.lex_state = 54, .external_lex_state = 3},
  [19049] = {.lex_state = 15, .external_lex_state = 3},
  [19050] = {.lex_state = 15, .external_lex_state = 3},
  [19051] = {.lex_state = 25, .external_lex_state = 3},
  [19052] = {.lex_state = 15, .external_lex_state = 3},
  [19053] = {.lex_state = 54, .external_lex_state = 3},
  [19054] = {.lex_state = 15, .external_lex_state = 3},
  [19055] = {.lex_state = 54, .external_lex_state = 3},
  [19056] = {.lex_state = 216, .external_lex_state = 3},
  [19057] = {.lex_state = 15, .external_lex_state = 3},
  [19058] = {.lex_state = 54, .external_lex_state = 3},
  [19059] = {.lex_state = 425, .external_lex_state = 3},
  [19060] = {.lex_state = 425, .external_lex_state = 3},
  [19061] = {.lex_state = 394, .external_lex_state = 3},
  [19062] = {.lex_state = 400, .external_lex_state = 3},
  [19063] = {.lex_state = 15, .external_lex_state = 3},
  [19064] = {.lex_state = 54, .external_lex_state = 3},
  [19065] = {.lex_state = 425, .external_lex_state = 3},
  [19066] = {.lex_state = 400, .external_lex_state = 3},
  [19067] = {.lex_state = 15, .external_lex_state = 3},
  [19068] = {.lex_state = 15, .external_lex_state = 3},
  [19069] = {.lex_state = 15, .external_lex_state = 3},
  [19070] = {.lex_state = 394, .external_lex_state = 3},
  [19071] = {.lex_state = 394, .external_lex_state = 3},
  [19072] = {.lex_state = 394, .external_lex_state = 3},
  [19073] = {.lex_state = 394, .external_lex_state = 8},
  [19074] = {.lex_state = 54, .external_lex_state = 3},
  [19075] = {.lex_state = 54, .external_lex_state = 3},
  [19076] = {.lex_state = 54, .external_lex_state = 3},
  [19077] = {.lex_state = 15, .external_lex_state = 3},
  [19078] = {.lex_state = 394, .external_lex_state = 3},
  [19079] = {.lex_state = 394, .external_lex_state = 3},
  [19080] = {.lex_state = 15, .external_lex_state = 3},
  [19081] = {.lex_state = 15, .external_lex_state = 3},
  [19082] = {.lex_state = 400, .external_lex_state = 3},
  [19083] = {.lex_state = 400, .external_lex_state = 3},
  [19084] = {.lex_state = 400, .external_lex_state = 3},
  [19085] = {.lex_state = 394, .external_lex_state = 3},
  [19086] = {.lex_state = 400, .external_lex_state = 3},
  [19087] = {.lex_state = 15, .external_lex_state = 3},
  [19088] = {.lex_state = 15, .external_lex_state = 3},
  [19089] = {.lex_state = 394, .external_lex_state = 3},
  [19090] = {.lex_state = 394, .external_lex_state = 3},
  [19091] = {.lex_state = 394, .external_lex_state = 3},
  [19092] = {.lex_state = 394, .external_lex_state = 8},
  [19093] = {.lex_state = 54, .external_lex_state = 3},
  [19094] = {.lex_state = 54, .external_lex_state = 3},
  [19095] = {.lex_state = 54, .external_lex_state = 3},
  [19096] = {.lex_state = 54, .external_lex_state = 3},
  [19097] = {.lex_state = 394, .external_lex_state = 3},
  [19098] = {.lex_state = 394, .external_lex_state = 3},
  [19099] = {.lex_state = 15, .external_lex_state = 3},
  [19100] = {.lex_state = 136, .external_lex_state = 3},
  [19101] = {.lex_state = 425, .external_lex_state = 3},
  [19102] = {.lex_state = 15, .external_lex_state = 3},
  [19103] = {.lex_state = 15, .external_lex_state = 3},
  [19104] = {.lex_state = 15, .external_lex_state = 3},
  [19105] = {.lex_state = 394, .external_lex_state = 3},
  [19106] = {.lex_state = 15, .external_lex_state = 3},
  [19107] = {.lex_state = 15, .external_lex_state = 3},
  [19108] = {.lex_state = 394, .external_lex_state = 3},
  [19109] = {.lex_state = 394, .external_lex_state = 3},
  [19110] = {.lex_state = 15, .external_lex_state = 3},
  [19111] = {.lex_state = 394, .external_lex_state = 8},
  [19112] = {.lex_state = 15, .external_lex_state = 3},
  [19113] = {.lex_state = 394, .external_lex_state = 3},
  [19114] = {.lex_state = 394, .external_lex_state = 3},
  [19115] = {.lex_state = 54, .external_lex_state = 3},
  [19116] = {.lex_state = 54, .external_lex_state = 3},
  [19117] = {.lex_state = 54, .external_lex_state = 3},
  [19118] = {.lex_state = 394, .external_lex_state = 3},
  [19119] = {.lex_state = 394, .external_lex_state = 3},
  [19120] = {.lex_state = 394, .external_lex_state = 3},
  [19121] = {.lex_state = 15, .external_lex_state = 3},
  [19122] = {.lex_state = 15, .external_lex_state = 3},
  [19123] = {.lex_state = 15, .external_lex_state = 3},
  [19124] = {.lex_state = 15, .external_lex_state = 3},
  [19125] = {.lex_state = 425, .external_lex_state = 3},
  [19126] = {.lex_state = 400, .external_lex_state = 3},
  [19127] = {.lex_state = 54, .external_lex_state = 3},
  [19128] = {.lex_state = 54, .external_lex_state = 3},
  [19129] = {.lex_state = 15, .external_lex_state = 3},
  [19130] = {.lex_state = 394, .external_lex_state = 3},
  [19131] = {.lex_state = 54, .external_lex_state = 3},
  [19132] = {.lex_state = 394, .external_lex_state = 3},
  [19133] = {.lex_state = 15, .external_lex_state = 3},
  [19134] = {.lex_state = 394, .external_lex_state = 8},
  [19135] = {.lex_state = 15, .external_lex_state = 3},
  [19136] = {.lex_state = 400, .external_lex_state = 3},
  [19137] = {.lex_state = 54, .external_lex_state = 3},
  [19138] = {.lex_state = 54, .external_lex_state = 3},
  [19139] = {.lex_state = 54, .external_lex_state = 3},
  [19140] = {.lex_state = 394, .external_lex_state = 3},
  [19141] = {.lex_state = 394, .external_lex_state = 3},
  [19142] = {.lex_state = 425, .external_lex_state = 3},
  [19143] = {.lex_state = 394, .external_lex_state = 3},
  [19144] = {.lex_state = 425, .external_lex_state = 3},
  [19145] = {.lex_state = 15, .external_lex_state = 3},
  [19146] = {.lex_state = 394, .external_lex_state = 3},
  [19147] = {.lex_state = 15, .external_lex_state = 3},
  [19148] = {.lex_state = 136, .external_lex_state = 3},
  [19149] = {.lex_state = 394, .external_lex_state = 3},
  [19150] = {.lex_state = 15, .external_lex_state = 3},
  [19151] = {.lex_state = 394, .external_lex_state = 3},
  [19152] = {.lex_state = 15, .external_lex_state = 3},
  [19153] = {.lex_state = 394, .external_lex_state = 3},
  [19154] = {.lex_state = 394, .external_lex_state = 3},
  [19155] = {.lex_state = 394, .external_lex_state = 3},
  [19156] = {.lex_state = 15, .external_lex_state = 3},
  [19157] = {.lex_state = 15, .external_lex_state = 3},
  [19158] = {.lex_state = 394, .external_lex_state = 8},
  [19159] = {.lex_state = 425, .external_lex_state = 3},
  [19160] = {.lex_state = 54, .external_lex_state = 3},
  [19161] = {.lex_state = 54, .external_lex_state = 3},
  [19162] = {.lex_state = 54, .external_lex_state = 3},
  [19163] = {.lex_state = 394, .external_lex_state = 3},
  [19164] = {.lex_state = 394, .external_lex_state = 3},
  [19165] = {.lex_state = 394, .external_lex_state = 3},
  [19166] = {.lex_state = 15, .external_lex_state = 3},
  [19167] = {.lex_state = 394, .external_lex_state = 3},
  [19168] = {.lex_state = 15, .external_lex_state = 3},
  [19169] = {.lex_state = 394, .external_lex_state = 3},
  [19170] = {.lex_state = 15, .external_lex_state = 3},
  [19171] = {.lex_state = 15, .external_lex_state = 3},
  [19172] = {.lex_state = 15, .external_lex_state = 3},
  [19173] = {.lex_state = 394, .external_lex_state = 3},
  [19174] = {.lex_state = 15, .external_lex_state = 3},
  [19175] = {.lex_state = 394, .external_lex_state = 8},
  [19176] = {.lex_state = 394, .external_lex_state = 3},
  [19177] = {.lex_state = 425, .external_lex_state = 3},
  [19178] = {.lex_state = 54, .external_lex_state = 3},
  [19179] = {.lex_state = 54, .external_lex_state = 3},
  [19180] = {.lex_state = 54, .external_lex_state = 3},
  [19181] = {.lex_state = 394, .external_lex_state = 3},
  [19182] = {.lex_state = 15, .external_lex_state = 3},
  [19183] = {.lex_state = 400, .external_lex_state = 3},
  [19184] = {.lex_state = 15, .external_lex_state = 3},
  [19185] = {.lex_state = 15, .external_lex_state = 3},
  [19186] = {.lex_state = 15, .external_lex_state = 3},
  [19187] = {.lex_state = 15, .external_lex_state = 3},
  [19188] = {.lex_state = 15, .external_lex_state = 3},
  [19189] = {.lex_state = 394, .external_lex_state = 3},
  [19190] = {.lex_state = 15, .external_lex_state = 3},
  [19191] = {.lex_state = 394, .external_lex_state = 3},
  [19192] = {.lex_state = 394, .external_lex_state = 8},
  [19193] = {.lex_state = 394, .external_lex_state = 3},
  [19194] = {.lex_state = 394, .external_lex_state = 3},
  [19195] = {.lex_state = 394, .external_lex_state = 3},
  [19196] = {.lex_state = 54, .external_lex_state = 3},
  [19197] = {.lex_state = 54, .external_lex_state = 3},
  [19198] = {.lex_state = 54, .external_lex_state = 3},
  [19199] = {.lex_state = 394, .external_lex_state = 3},
  [19200] = {.lex_state = 394, .external_lex_state = 3},
  [19201] = {.lex_state = 394, .external_lex_state = 3},
  [19202] = {.lex_state = 425, .external_lex_state = 3},
  [19203] = {.lex_state = 15, .external_lex_state = 3},
  [19204] = {.lex_state = 425, .external_lex_state = 3},
  [19205] = {.lex_state = 15, .external_lex_state = 3},
  [19206] = {.lex_state = 400, .external_lex_state = 3},
  [19207] = {.lex_state = 394, .external_lex_state = 3},
  [19208] = {.lex_state = 394, .external_lex_state = 3},
  [19209] = {.lex_state = 15, .external_lex_state = 3},
  [19210] = {.lex_state = 15, .external_lex_state = 3},
  [19211] = {.lex_state = 425, .external_lex_state = 3},
  [19212] = {.lex_state = 15, .external_lex_state = 3},
  [19213] = {.lex_state = 394, .external_lex_state = 3},
  [19214] = {.lex_state = 394, .external_lex_state = 8},
  [19215] = {.lex_state = 54, .external_lex_state = 3},
  [19216] = {.lex_state = 54, .external_lex_state = 3},
  [19217] = {.lex_state = 54, .external_lex_state = 3},
  [19218] = {.lex_state = 425, .external_lex_state = 3},
  [19219] = {.lex_state = 15, .external_lex_state = 3},
  [19220] = {.lex_state = 394, .external_lex_state = 3},
  [19221] = {.lex_state = 15, .external_lex_state = 3},
  [19222] = {.lex_state = 54, .external_lex_state = 3},
  [19223] = {.lex_state = 394, .external_lex_state = 8},
  [19224] = {.lex_state = 425, .external_lex_state = 3},
  [19225] = {.lex_state = 15, .external_lex_state = 3},
  [19226] = {.lex_state = 54, .external_lex_state = 3},
  [19227] = {.lex_state = 15, .external_lex_state = 3},
  [19228] = {.lex_state = 394, .external_lex_state = 3},
  [19229] = {.lex_state = 425, .external_lex_state = 3},
  [19230] = {.lex_state = 394, .external_lex_state = 8},
  [19231] = {.lex_state = 394, .external_lex_state = 3},
  [19232] = {.lex_state = 394, .external_lex_state = 3},
  [19233] = {.lex_state = 54, .external_lex_state = 3},
  [19234] = {.lex_state = 54, .external_lex_state = 3},
  [19235] = {.lex_state = 54, .external_lex_state = 3},
  [19236] = {.lex_state = 15, .external_lex_state = 3},
  [19237] = {.lex_state = 394, .external_lex_state = 8},
  [19238] = {.lex_state = 15, .external_lex_state = 3},
  [19239] = {.lex_state = 15, .external_lex_state = 3},
  [19240] = {.lex_state = 394, .external_lex_state = 3},
  [19241] = {.lex_state = 15, .external_lex_state = 3},
  [19242] = {.lex_state = 15, .external_lex_state = 3},
  [19243] = {.lex_state = 394, .external_lex_state = 3},
  [19244] = {.lex_state = 15, .external_lex_state = 3},
  [19245] = {.lex_state = 15, .external_lex_state = 3},
  [19246] = {.lex_state = 54, .external_lex_state = 3},
  [19247] = {.lex_state = 54, .external_lex_state = 3},
  [19248] = {.lex_state = 394, .external_lex_state = 8},
  [19249] = {.lex_state = 394, .external_lex_state = 3},
  [19250] = {.lex_state = 54, .external_lex_state = 3},
  [19251] = {.lex_state = 54, .external_lex_state = 3},
  [19252] = {.lex_state = 54, .external_lex_state = 3},
  [19253] = {.lex_state = 54, .external_lex_state = 3},
  [19254] = {.lex_state = 394, .external_lex_state = 3},
  [19255] = {.lex_state = 54, .external_lex_state = 3},
  [19256] = {.lex_state = 15, .external_lex_state = 3},
  [19257] = {.lex_state = 394, .external_lex_state = 3},
  [19258] = {.lex_state = 394, .external_lex_state = 3},
  [19259] = {.lex_state = 54, .external_lex_state = 3},
  [19260] = {.lex_state = 15, .external_lex_state = 3},
  [19261] = {.lex_state = 400, .external_lex_state = 3},
  [19262] = {.lex_state = 15, .external_lex_state = 3},
  [19263] = {.lex_state = 15, .external_lex_state = 3},
  [19264] = {.lex_state = 394, .external_lex_state = 3},
  [19265] = {.lex_state = 394, .external_lex_state = 8},
  [19266] = {.lex_state = 394, .external_lex_state = 3},
  [19267] = {.lex_state = 394, .external_lex_state = 3},
  [19268] = {.lex_state = 15, .external_lex_state = 3},
  [19269] = {.lex_state = 15, .external_lex_state = 3},
  [19270] = {.lex_state = 394, .external_lex_state = 8},
  [19271] = {.lex_state = 394, .external_lex_state = 3},
  [19272] = {.lex_state = 54, .external_lex_state = 3},
  [19273] = {.lex_state = 54, .external_lex_state = 3},
  [19274] = {.lex_state = 54, .external_lex_state = 3},
  [19275] = {.lex_state = 54, .external_lex_state = 3},
  [19276] = {.lex_state = 15, .external_lex_state = 3},
  [19277] = {.lex_state = 15, .external_lex_state = 3},
  [19278] = {.lex_state = 394, .external_lex_state = 8},
  [19279] = {.lex_state = 400, .external_lex_state = 3},
  [19280] = {.lex_state = 400, .external_lex_state = 3},
  [19281] = {.lex_state = 394, .external_lex_state = 3},
  [19282] = {.lex_state = 15, .external_lex_state = 3},
  [19283] = {.lex_state = 15, .external_lex_state = 3},
  [19284] = {.lex_state = 15, .external_lex_state = 3},
  [19285] = {.lex_state = 394, .external_lex_state = 3},
  [19286] = {.lex_state = 394, .external_lex_state = 3},
  [19287] = {.lex_state = 54, .external_lex_state = 3},
  [19288] = {.lex_state = 15, .external_lex_state = 3},
  [19289] = {.lex_state = 394, .external_lex_state = 8},
  [19290] = {.lex_state = 54, .external_lex_state = 3},
  [19291] = {.lex_state = 54, .external_lex_state = 3},
  [19292] = {.lex_state = 54, .external_lex_state = 3},
  [19293] = {.lex_state = 54, .external_lex_state = 3},
  [19294] = {.lex_state = 425, .external_lex_state = 3},
  [19295] = {.lex_state = 54, .external_lex_state = 3},
  [19296] = {.lex_state = 54, .external_lex_state = 3},
  [19297] = {.lex_state = 15, .external_lex_state = 3},
  [19298] = {.lex_state = 425, .external_lex_state = 3},
  [19299] = {.lex_state = 15, .external_lex_state = 3},
  [19300] = {.lex_state = 15, .external_lex_state = 3},
  [19301] = {.lex_state = 15, .external_lex_state = 3},
  [19302] = {.lex_state = 54, .external_lex_state = 3},
  [19303] = {.lex_state = 15, .external_lex_state = 3},
  [19304] = {.lex_state = 394, .external_lex_state = 3},
  [19305] = {.lex_state = 394, .external_lex_state = 8},
  [19306] = {.lex_state = 15, .external_lex_state = 3},
  [19307] = {.lex_state = 425, .external_lex_state = 3},
  [19308] = {.lex_state = 394, .external_lex_state = 3},
  [19309] = {.lex_state = 54, .external_lex_state = 3},
  [19310] = {.lex_state = 54, .external_lex_state = 3},
  [19311] = {.lex_state = 54, .external_lex_state = 3},
  [19312] = {.lex_state = 394, .external_lex_state = 3},
  [19313] = {.lex_state = 15, .external_lex_state = 3},
  [19314] = {.lex_state = 15, .external_lex_state = 3},
  [19315] = {.lex_state = 400, .external_lex_state = 3},
  [19316] = {.lex_state = 394, .external_lex_state = 3},
  [19317] = {.lex_state = 15, .external_lex_state = 3},
  [19318] = {.lex_state = 15, .external_lex_state = 3},
  [19319] = {.lex_state = 394, .external_lex_state = 3},
  [19320] = {.lex_state = 394, .external_lex_state = 3},
  [19321] = {.lex_state = 15, .external_lex_state = 3},
  [19322] = {.lex_state = 15, .external_lex_state = 3},
  [19323] = {.lex_state = 15, .external_lex_state = 3},
  [19324] = {.lex_state = 394, .external_lex_state = 8},
  [19325] = {.lex_state = 394, .external_lex_state = 8},
  [19326] = {.lex_state = 15, .external_lex_state = 3},
  [19327] = {.lex_state = 400, .external_lex_state = 3},
  [19328] = {.lex_state = 15, .external_lex_state = 3},
  [19329] = {.lex_state = 54, .external_lex_state = 3},
  [19330] = {.lex_state = 54, .external_lex_state = 3},
  [19331] = {.lex_state = 54, .external_lex_state = 3},
  [19332] = {.lex_state = 15, .external_lex_state = 3},
  [19333] = {.lex_state = 394, .external_lex_state = 3},
  [19334] = {.lex_state = 425, .external_lex_state = 3},
  [19335] = {.lex_state = 394, .external_lex_state = 8},
  [19336] = {.lex_state = 15, .external_lex_state = 3},
  [19337] = {.lex_state = 394, .external_lex_state = 3},
  [19338] = {.lex_state = 394, .external_lex_state = 3},
  [19339] = {.lex_state = 15, .external_lex_state = 3},
  [19340] = {.lex_state = 425, .external_lex_state = 3},
  [19341] = {.lex_state = 400, .external_lex_state = 3},
  [19342] = {.lex_state = 136, .external_lex_state = 3},
  [19343] = {.lex_state = 425, .external_lex_state = 3},
  [19344] = {.lex_state = 394, .external_lex_state = 8},
  [19345] = {.lex_state = 425, .external_lex_state = 3},
  [19346] = {.lex_state = 15, .external_lex_state = 3},
  [19347] = {.lex_state = 54, .external_lex_state = 3},
  [19348] = {.lex_state = 54, .external_lex_state = 3},
  [19349] = {.lex_state = 54, .external_lex_state = 3},
  [19350] = {.lex_state = 400, .external_lex_state = 3},
  [19351] = {.lex_state = 15, .external_lex_state = 3},
  [19352] = {.lex_state = 394, .external_lex_state = 3},
  [19353] = {.lex_state = 15, .external_lex_state = 3},
  [19354] = {.lex_state = 394, .external_lex_state = 3},
  [19355] = {.lex_state = 394, .external_lex_state = 3},
  [19356] = {.lex_state = 15, .external_lex_state = 3},
  [19357] = {.lex_state = 394, .external_lex_state = 3},
  [19358] = {.lex_state = 15, .external_lex_state = 3},
  [19359] = {.lex_state = 394, .external_lex_state = 3},
  [19360] = {.lex_state = 15, .external_lex_state = 3},
  [19361] = {.lex_state = 394, .external_lex_state = 3},
  [19362] = {.lex_state = 15, .external_lex_state = 3},
  [19363] = {.lex_state = 15, .external_lex_state = 3},
  [19364] = {.lex_state = 394, .external_lex_state = 8},
  [19365] = {.lex_state = 394, .external_lex_state = 3},
  [19366] = {.lex_state = 54, .external_lex_state = 3},
  [19367] = {.lex_state = 54, .external_lex_state = 3},
  [19368] = {.lex_state = 54, .external_lex_state = 3},
  [19369] = {.lex_state = 15, .external_lex_state = 3},
  [19370] = {.lex_state = 394, .external_lex_state = 3},
  [19371] = {.lex_state = 54, .external_lex_state = 3},
  [19372] = {.lex_state = 425, .external_lex_state = 3},
  [19373] = {.lex_state = 425, .external_lex_state = 3},
  [19374] = {.lex_state = 394, .external_lex_state = 8},
  [19375] = {.lex_state = 15, .external_lex_state = 3},
  [19376] = {.lex_state = 425, .external_lex_state = 3},
  [19377] = {.lex_state = 54, .external_lex_state = 3},
  [19378] = {.lex_state = 15, .external_lex_state = 3},
  [19379] = {.lex_state = 394, .external_lex_state = 3},
  [19380] = {.lex_state = 394, .external_lex_state = 3},
  [19381] = {.lex_state = 394, .external_lex_state = 8},
  [19382] = {.lex_state = 15, .external_lex_state = 3},
  [19383] = {.lex_state = 54, .external_lex_state = 3},
  [19384] = {.lex_state = 54, .external_lex_state = 3},
  [19385] = {.lex_state = 54, .external_lex_state = 3},
  [19386] = {.lex_state = 54, .external_lex_state = 3},
  [19387] = {.lex_state = 54, .external_lex_state = 3},
  [19388] = {.lex_state = 54, .external_lex_state = 3},
  [19389] = {.lex_state = 15, .external_lex_state = 3},
  [19390] = {.lex_state = 54, .external_lex_state = 3},
  [19391] = {.lex_state = 15, .external_lex_state = 3},
  [19392] = {.lex_state = 394, .external_lex_state = 8},
  [19393] = {.lex_state = 425, .external_lex_state = 3},
  [19394] = {.lex_state = 15, .external_lex_state = 3},
  [19395] = {.lex_state = 15, .external_lex_state = 3},
  [19396] = {.lex_state = 54, .external_lex_state = 3},
  [19397] = {.lex_state = 54, .external_lex_state = 3},
  [19398] = {.lex_state = 54, .external_lex_state = 3},
  [19399] = {.lex_state = 425, .external_lex_state = 3},
  [19400] = {.lex_state = 394, .external_lex_state = 3},
  [19401] = {.lex_state = 394, .external_lex_state = 3},
  [19402] = {.lex_state = 15, .external_lex_state = 3},
  [19403] = {.lex_state = 15, .external_lex_state = 3},
  [19404] = {.lex_state = 394, .external_lex_state = 3},
  [19405] = {.lex_state = 425, .external_lex_state = 3},
  [19406] = {.lex_state = 400, .external_lex_state = 3},
  [19407] = {.lex_state = 54, .external_lex_state = 3},
  [19408] = {.lex_state = 15, .external_lex_state = 3},
  [19409] = {.lex_state = 394, .external_lex_state = 3},
  [19410] = {.lex_state = 400, .external_lex_state = 3},
  [19411] = {.lex_state = 15, .external_lex_state = 3},
  [19412] = {.lex_state = 394, .external_lex_state = 8},
  [19413] = {.lex_state = 15, .external_lex_state = 3},
  [19414] = {.lex_state = 394, .external_lex_state = 3},
  [19415] = {.lex_state = 54, .external_lex_state = 3},
  [19416] = {.lex_state = 54, .external_lex_state = 3},
  [19417] = {.lex_state = 54, .external_lex_state = 3},
  [19418] = {.lex_state = 394, .external_lex_state = 8},
  [19419] = {.lex_state = 15, .external_lex_state = 3},
  [19420] = {.lex_state = 15, .external_lex_state = 3},
  [19421] = {.lex_state = 15, .external_lex_state = 3},
  [19422] = {.lex_state = 15, .external_lex_state = 3},
  [19423] = {.lex_state = 15, .external_lex_state = 3},
  [19424] = {.lex_state = 394, .external_lex_state = 8},
  [19425] = {.lex_state = 54, .external_lex_state = 3},
  [19426] = {.lex_state = 54, .external_lex_state = 3},
  [19427] = {.lex_state = 54, .external_lex_state = 3},
  [19428] = {.lex_state = 54, .external_lex_state = 3},
  [19429] = {.lex_state = 15, .external_lex_state = 3},
  [19430] = {.lex_state = 15, .external_lex_state = 3},
  [19431] = {.lex_state = 15, .external_lex_state = 3},
  [19432] = {.lex_state = 394, .external_lex_state = 3},
  [19433] = {.lex_state = 394, .external_lex_state = 8},
  [19434] = {.lex_state = 54, .external_lex_state = 3},
  [19435] = {.lex_state = 54, .external_lex_state = 3},
  [19436] = {.lex_state = 54, .external_lex_state = 3},
  [19437] = {.lex_state = 15, .external_lex_state = 3},
  [19438] = {.lex_state = 394, .external_lex_state = 3},
  [19439] = {.lex_state = 394, .external_lex_state = 8},
  [19440] = {.lex_state = 54, .external_lex_state = 3},
  [19441] = {.lex_state = 54, .external_lex_state = 3},
  [19442] = {.lex_state = 54, .external_lex_state = 3},
  [19443] = {.lex_state = 15, .external_lex_state = 3},
  [19444] = {.lex_state = 425, .external_lex_state = 3},
  [19445] = {.lex_state = 15, .external_lex_state = 3},
  [19446] = {.lex_state = 394, .external_lex_state = 8},
  [19447] = {.lex_state = 54, .external_lex_state = 3},
  [19448] = {.lex_state = 54, .external_lex_state = 3},
  [19449] = {.lex_state = 54, .external_lex_state = 3},
  [19450] = {.lex_state = 15, .external_lex_state = 3},
  [19451] = {.lex_state = 394, .external_lex_state = 3},
  [19452] = {.lex_state = 425, .external_lex_state = 3},
  [19453] = {.lex_state = 394, .external_lex_state = 8},
  [19454] = {.lex_state = 54, .external_lex_state = 3},
  [19455] = {.lex_state = 54, .external_lex_state = 3},
  [19456] = {.lex_state = 54, .external_lex_state = 3},
  [19457] = {.lex_state = 15, .external_lex_state = 3},
  [19458] = {.lex_state = 15, .external_lex_state = 3},
  [19459] = {.lex_state = 15, .external_lex_state = 3},
  [19460] = {.lex_state = 394, .external_lex_state = 8},
  [19461] = {.lex_state = 54, .external_lex_state = 3},
  [19462] = {.lex_state = 54, .external_lex_state = 3},
  [19463] = {.lex_state = 54, .external_lex_state = 3},
  [19464] = {.lex_state = 15, .external_lex_state = 3},
  [19465] = {.lex_state = 394, .external_lex_state = 3},
  [19466] = {.lex_state = 394, .external_lex_state = 8},
  [19467] = {.lex_state = 54, .external_lex_state = 3},
  [19468] = {.lex_state = 54, .external_lex_state = 3},
  [19469] = {.lex_state = 54, .external_lex_state = 3},
  [19470] = {.lex_state = 8, .external_lex_state = 3},
  [19471] = {.lex_state = 15, .external_lex_state = 3},
  [19472] = {.lex_state = 394, .external_lex_state = 3},
  [19473] = {.lex_state = 394, .external_lex_state = 8},
  [19474] = {.lex_state = 54, .external_lex_state = 3},
  [19475] = {.lex_state = 54, .external_lex_state = 3},
  [19476] = {.lex_state = 54, .external_lex_state = 3},
  [19477] = {.lex_state = 425, .external_lex_state = 3},
  [19478] = {.lex_state = 15, .external_lex_state = 3},
  [19479] = {.lex_state = 394, .external_lex_state = 8},
  [19480] = {.lex_state = 54, .external_lex_state = 3},
  [19481] = {.lex_state = 54, .external_lex_state = 3},
  [19482] = {.lex_state = 54, .external_lex_state = 3},
  [19483] = {.lex_state = 15, .external_lex_state = 3},
  [19484] = {.lex_state = 394, .external_lex_state = 3},
  [19485] = {.lex_state = 394, .external_lex_state = 8},
  [19486] = {.lex_state = 54, .external_lex_state = 3},
  [19487] = {.lex_state = 54, .external_lex_state = 3},
  [19488] = {.lex_state = 54, .external_lex_state = 3},
  [19489] = {.lex_state = 400, .external_lex_state = 3},
  [19490] = {.lex_state = 394, .external_lex_state = 3},
  [19491] = {.lex_state = 394, .external_lex_state = 8},
  [19492] = {.lex_state = 54, .external_lex_state = 3},
  [19493] = {.lex_state = 54, .external_lex_state = 3},
  [19494] = {.lex_state = 54, .external_lex_state = 3},
  [19495] = {.lex_state = 425, .external_lex_state = 3},
  [19496] = {.lex_state = 15, .external_lex_state = 3},
  [19497] = {.lex_state = 394, .external_lex_state = 8},
  [19498] = {.lex_state = 54, .external_lex_state = 3},
  [19499] = {.lex_state = 54, .external_lex_state = 3},
  [19500] = {.lex_state = 54, .external_lex_state = 3},
  [19501] = {.lex_state = 15, .external_lex_state = 3},
  [19502] = {.lex_state = 15, .external_lex_state = 3},
  [19503] = {.lex_state = 15, .external_lex_state = 3},
  [19504] = {.lex_state = 394, .external_lex_state = 8},
  [19505] = {.lex_state = 54, .external_lex_state = 3},
  [19506] = {.lex_state = 54, .external_lex_state = 3},
  [19507] = {.lex_state = 54, .external_lex_state = 3},
  [19508] = {.lex_state = 15, .external_lex_state = 3},
  [19509] = {.lex_state = 8, .external_lex_state = 3},
  [19510] = {.lex_state = 394, .external_lex_state = 3},
  [19511] = {.lex_state = 394, .external_lex_state = 8},
  [19512] = {.lex_state = 54, .external_lex_state = 3},
  [19513] = {.lex_state = 54, .external_lex_state = 3},
  [19514] = {.lex_state = 54, .external_lex_state = 3},
  [19515] = {.lex_state = 15, .external_lex_state = 3},
  [19516] = {.lex_state = 394, .external_lex_state = 3},
  [19517] = {.lex_state = 394, .external_lex_state = 8},
  [19518] = {.lex_state = 15, .external_lex_state = 3},
  [19519] = {.lex_state = 15, .external_lex_state = 3},
  [19520] = {.lex_state = 394, .external_lex_state = 8},
  [19521] = {.lex_state = 54, .external_lex_state = 3},
  [19522] = {.lex_state = 394, .external_lex_state = 8},
  [19523] = {.lex_state = 394, .external_lex_state = 8},
  [19524] = {.lex_state = 425, .external_lex_state = 3},
  [19525] = {.lex_state = 394, .external_lex_state = 3},
  [19526] = {.lex_state = 394, .external_lex_state = 8},
  [19527] = {.lex_state = 15, .external_lex_state = 3},
  [19528] = {.lex_state = 54, .external_lex_state = 3},
  [19529] = {.lex_state = 394, .external_lex_state = 8},
  [19530] = {.lex_state = 54, .external_lex_state = 3},
  [19531] = {.lex_state = 54, .external_lex_state = 3},
  [19532] = {.lex_state = 394, .external_lex_state = 8},
  [19533] = {.lex_state = 394, .external_lex_state = 3},
  [19534] = {.lex_state = 54, .external_lex_state = 3},
  [19535] = {.lex_state = 394, .external_lex_state = 8},
  [19536] = {.lex_state = 15, .external_lex_state = 3},
  [19537] = {.lex_state = 400, .external_lex_state = 3},
  [19538] = {.lex_state = 394, .external_lex_state = 8},
  [19539] = {.lex_state = 15, .external_lex_state = 3},
  [19540] = {.lex_state = 400, .external_lex_state = 3},
  [19541] = {.lex_state = 394, .external_lex_state = 8},
  [19542] = {.lex_state = 394, .external_lex_state = 3},
  [19543] = {.lex_state = 394, .external_lex_state = 3},
  [19544] = {.lex_state = 394, .external_lex_state = 8},
  [19545] = {.lex_state = 15, .external_lex_state = 3},
  [19546] = {.lex_state = 400, .external_lex_state = 3},
  [19547] = {.lex_state = 394, .external_lex_state = 8},
  [19548] = {.lex_state = 394, .external_lex_state = 3},
  [19549] = {.lex_state = 425, .external_lex_state = 3},
  [19550] = {.lex_state = 394, .external_lex_state = 8},
  [19551] = {.lex_state = 425, .external_lex_state = 3},
  [19552] = {.lex_state = 394, .external_lex_state = 3},
  [19553] = {.lex_state = 394, .external_lex_state = 8},
  [19554] = {.lex_state = 394, .external_lex_state = 3},
  [19555] = {.lex_state = 15, .external_lex_state = 3},
  [19556] = {.lex_state = 394, .external_lex_state = 8},
  [19557] = {.lex_state = 15, .external_lex_state = 3},
  [19558] = {.lex_state = 15, .external_lex_state = 3},
  [19559] = {.lex_state = 394, .external_lex_state = 8},
  [19560] = {.lex_state = 15, .external_lex_state = 3},
  [19561] = {.lex_state = 394, .external_lex_state = 3},
  [19562] = {.lex_state = 394, .external_lex_state = 8},
  [19563] = {.lex_state = 394, .external_lex_state = 3},
  [19564] = {.lex_state = 394, .external_lex_state = 3},
  [19565] = {.lex_state = 394, .external_lex_state = 8},
  [19566] = {.lex_state = 15, .external_lex_state = 3},
  [19567] = {.lex_state = 400, .external_lex_state = 3},
  [19568] = {.lex_state = 394, .external_lex_state = 8},
  [19569] = {.lex_state = 425, .external_lex_state = 3},
  [19570] = {.lex_state = 394, .external_lex_state = 3},
  [19571] = {.lex_state = 394, .external_lex_state = 8},
  [19572] = {.lex_state = 15, .external_lex_state = 3},
  [19573] = {.lex_state = 394, .external_lex_state = 3},
  [19574] = {.lex_state = 394, .external_lex_state = 8},
  [19575] = {.lex_state = 394, .external_lex_state = 3},
  [19576] = {.lex_state = 15, .external_lex_state = 3},
  [19577] = {.lex_state = 394, .external_lex_state = 8},
  [19578] = {.lex_state = 394, .external_lex_state = 3},
  [19579] = {.lex_state = 425, .external_lex_state = 3},
  [19580] = {.lex_state = 394, .external_lex_state = 8},
  [19581] = {.lex_state = 400, .external_lex_state = 3},
  [19582] = {.lex_state = 425, .external_lex_state = 3},
  [19583] = {.lex_state = 394, .external_lex_state = 8},
  [19584] = {.lex_state = 15, .external_lex_state = 3},
  [19585] = {.lex_state = 425, .external_lex_state = 3},
  [19586] = {.lex_state = 15, .external_lex_state = 3},
  [19587] = {.lex_state = 394, .external_lex_state = 3},
  [19588] = {.lex_state = 15, .external_lex_state = 3},
  [19589] = {.lex_state = 15, .external_lex_state = 3},
  [19590] = {.lex_state = 15, .external_lex_state = 3},
  [19591] = {.lex_state = 15, .external_lex_state = 3},
  [19592] = {.lex_state = 425, .external_lex_state = 3},
  [19593] = {.lex_state = 394, .external_lex_state = 3},
  [19594] = {.lex_state = 15, .external_lex_state = 3},
  [19595] = {.lex_state = 400, .external_lex_state = 3},
  [19596] = {.lex_state = 425, .external_lex_state = 3},
  [19597] = {.lex_state = 425, .external_lex_state = 3},
  [19598] = {.lex_state = 54, .external_lex_state = 3},
  [19599] = {.lex_state = 394, .external_lex_state = 3},
  [19600] = {.lex_state = 54, .external_lex_state = 3},
  [19601] = {.lex_state = 54, .external_lex_state = 3},
  [19602] = {.lex_state = 394, .external_lex_state = 3},
  [19603] = {.lex_state = 425, .external_lex_state = 3},
  [19604] = {.lex_state = 394, .external_lex_state = 3},
  [19605] = {.lex_state = 15, .external_lex_state = 3},
  [19606] = {.lex_state = 15, .external_lex_state = 3},
  [19607] = {.lex_state = 15, .external_lex_state = 3},
  [19608] = {.lex_state = 394, .external_lex_state = 8},
  [19609] = {.lex_state = 15, .external_lex_state = 3},
  [19610] = {.lex_state = 394, .external_lex_state = 3},
  [19611] = {.lex_state = 54, .external_lex_state = 3},
  [19612] = {.lex_state = 54, .external_lex_state = 3},
  [19613] = {.lex_state = 425, .external_lex_state = 3},
  [19614] = {.lex_state = 425, .external_lex_state = 3},
  [19615] = {.lex_state = 15, .external_lex_state = 3},
  [19616] = {.lex_state = 54, .external_lex_state = 3},
  [19617] = {.lex_state = 15, .external_lex_state = 3},
  [19618] = {.lex_state = 15, .external_lex_state = 3},
  [19619] = {.lex_state = 394, .external_lex_state = 3},
  [19620] = {.lex_state = 400, .external_lex_state = 3},
  [19621] = {.lex_state = 15, .external_lex_state = 3},
  [19622] = {.lex_state = 400, .external_lex_state = 3},
  [19623] = {.lex_state = 400, .external_lex_state = 3},
  [19624] = {.lex_state = 394, .external_lex_state = 3},
  [19625] = {.lex_state = 185, .external_lex_state = 3},
  [19626] = {.lex_state = 394, .external_lex_state = 8},
  [19627] = {.lex_state = 394, .external_lex_state = 3},
  [19628] = {.lex_state = 425, .external_lex_state = 3},
  [19629] = {.lex_state = 394, .external_lex_state = 3},
  [19630] = {.lex_state = 15, .external_lex_state = 3},
  [19631] = {.lex_state = 400, .external_lex_state = 3},
  [19632] = {.lex_state = 15, .external_lex_state = 3},
  [19633] = {.lex_state = 15, .external_lex_state = 3},
  [19634] = {.lex_state = 15, .external_lex_state = 3},
  [19635] = {.lex_state = 394, .external_lex_state = 3},
  [19636] = {.lex_state = 54, .external_lex_state = 3},
  [19637] = {.lex_state = 394, .external_lex_state = 3},
  [19638] = {.lex_state = 54, .external_lex_state = 3},
  [19639] = {.lex_state = 400, .external_lex_state = 3},
  [19640] = {.lex_state = 394, .external_lex_state = 3},
  [19641] = {.lex_state = 185, .external_lex_state = 3},
  [19642] = {.lex_state = 429, .external_lex_state = 3},
  [19643] = {.lex_state = 425, .external_lex_state = 3},
  [19644] = {.lex_state = 400, .external_lex_state = 3},
  [19645] = {.lex_state = 394, .external_lex_state = 3},
  [19646] = {.lex_state = 15, .external_lex_state = 3},
  [19647] = {.lex_state = 394, .external_lex_state = 3},
  [19648] = {.lex_state = 425, .external_lex_state = 3},
  [19649] = {.lex_state = 394, .external_lex_state = 3},
  [19650] = {.lex_state = 15, .external_lex_state = 3},
  [19651] = {.lex_state = 394, .external_lex_state = 3},
  [19652] = {.lex_state = 25, .external_lex_state = 3},
  [19653] = {.lex_state = 15, .external_lex_state = 3},
  [19654] = {.lex_state = 425, .external_lex_state = 3},
  [19655] = {.lex_state = 15, .external_lex_state = 3},
  [19656] = {.lex_state = 15, .external_lex_state = 3},
  [19657] = {.lex_state = 394, .external_lex_state = 8},
  [19658] = {.lex_state = 15, .external_lex_state = 3},
  [19659] = {.lex_state = 394, .external_lex_state = 3},
  [19660] = {.lex_state = 15, .external_lex_state = 3},
  [19661] = {.lex_state = 400, .external_lex_state = 3},
  [19662] = {.lex_state = 429, .external_lex_state = 3},
  [19663] = {.lex_state = 15, .external_lex_state = 3},
  [19664] = {.lex_state = 394, .external_lex_state = 3},
  [19665] = {.lex_state = 15, .external_lex_state = 3},
  [19666] = {.lex_state = 15, .external_lex_state = 3},
  [19667] = {.lex_state = 425, .external_lex_state = 3},
  [19668] = {.lex_state = 15, .external_lex_state = 3},
  [19669] = {.lex_state = 54, .external_lex_state = 3},
  [19670] = {.lex_state = 15, .external_lex_state = 3},
  [19671] = {.lex_state = 394, .external_lex_state = 3},
  [19672] = {.lex_state = 15, .external_lex_state = 3},
  [19673] = {.lex_state = 15, .external_lex_state = 3},
  [19674] = {.lex_state = 15, .external_lex_state = 3},
  [19675] = {.lex_state = 15, .external_lex_state = 3},
  [19676] = {.lex_state = 15, .external_lex_state = 3},
  [19677] = {.lex_state = 394, .external_lex_state = 8},
  [19678] = {.lex_state = 394, .external_lex_state = 3},
  [19679] = {.lex_state = 394, .external_lex_state = 3},
  [19680] = {.lex_state = 394, .external_lex_state = 3},
  [19681] = {.lex_state = 15, .external_lex_state = 3},
  [19682] = {.lex_state = 15, .external_lex_state = 3},
  [19683] = {.lex_state = 15, .external_lex_state = 3},
  [19684] = {.lex_state = 394, .external_lex_state = 3},
  [19685] = {.lex_state = 425, .external_lex_state = 3},
  [19686] = {.lex_state = 394, .external_lex_state = 3},
  [19687] = {.lex_state = 15, .external_lex_state = 3},
  [19688] = {.lex_state = 15, .external_lex_state = 3},
  [19689] = {.lex_state = 394, .external_lex_state = 8},
  [19690] = {.lex_state = 425, .external_lex_state = 3},
  [19691] = {.lex_state = 394, .external_lex_state = 3},
  [19692] = {.lex_state = 15, .external_lex_state = 3},
  [19693] = {.lex_state = 15, .external_lex_state = 3},
  [19694] = {.lex_state = 425, .external_lex_state = 3},
  [19695] = {.lex_state = 54, .external_lex_state = 3},
  [19696] = {.lex_state = 54, .external_lex_state = 3},
  [19697] = {.lex_state = 15, .external_lex_state = 3},
  [19698] = {.lex_state = 54, .external_lex_state = 3},
  [19699] = {.lex_state = 425, .external_lex_state = 3},
  [19700] = {.lex_state = 394, .external_lex_state = 3},
  [19701] = {.lex_state = 425, .external_lex_state = 3},
  [19702] = {.lex_state = 425, .external_lex_state = 3},
  [19703] = {.lex_state = 425, .external_lex_state = 3},
  [19704] = {.lex_state = 425, .external_lex_state = 3},
  [19705] = {.lex_state = 15, .external_lex_state = 3},
  [19706] = {.lex_state = 54, .external_lex_state = 3},
  [19707] = {.lex_state = 15, .external_lex_state = 3},
  [19708] = {.lex_state = 15, .external_lex_state = 3},
  [19709] = {.lex_state = 400, .external_lex_state = 3},
  [19710] = {.lex_state = 15, .external_lex_state = 3},
  [19711] = {.lex_state = 15, .external_lex_state = 3},
  [19712] = {.lex_state = 394, .external_lex_state = 3},
  [19713] = {.lex_state = 54, .external_lex_state = 3},
  [19714] = {.lex_state = 394, .external_lex_state = 3},
  [19715] = {.lex_state = 15, .external_lex_state = 3},
  [19716] = {.lex_state = 15, .external_lex_state = 3},
  [19717] = {.lex_state = 15, .external_lex_state = 3},
  [19718] = {.lex_state = 15, .external_lex_state = 3},
  [19719] = {.lex_state = 394, .external_lex_state = 3},
  [19720] = {.lex_state = 15, .external_lex_state = 3},
  [19721] = {.lex_state = 54, .external_lex_state = 3},
  [19722] = {.lex_state = 8, .external_lex_state = 3},
  [19723] = {.lex_state = 425, .external_lex_state = 3},
  [19724] = {.lex_state = 8, .external_lex_state = 3},
  [19725] = {.lex_state = 15, .external_lex_state = 3},
  [19726] = {.lex_state = 400, .external_lex_state = 3},
  [19727] = {.lex_state = 394, .external_lex_state = 3},
  [19728] = {.lex_state = 394, .external_lex_state = 3},
  [19729] = {.lex_state = 15, .external_lex_state = 3},
  [19730] = {.lex_state = 394, .external_lex_state = 3},
  [19731] = {.lex_state = 15, .external_lex_state = 3},
  [19732] = {.lex_state = 15, .external_lex_state = 3},
  [19733] = {.lex_state = 15, .external_lex_state = 3},
  [19734] = {.lex_state = 429, .external_lex_state = 3},
  [19735] = {.lex_state = 400, .external_lex_state = 3},
  [19736] = {.lex_state = 394, .external_lex_state = 3},
  [19737] = {.lex_state = 15, .external_lex_state = 3},
  [19738] = {.lex_state = 400, .external_lex_state = 3},
  [19739] = {.lex_state = 425, .external_lex_state = 3},
  [19740] = {.lex_state = 429, .external_lex_state = 3},
  [19741] = {.lex_state = 400, .external_lex_state = 3},
  [19742] = {.lex_state = 185, .external_lex_state = 3},
  [19743] = {.lex_state = 15, .external_lex_state = 3},
  [19744] = {.lex_state = 54, .external_lex_state = 3},
  [19745] = {.lex_state = 394, .external_lex_state = 3},
  [19746] = {.lex_state = 15, .external_lex_state = 3},
  [19747] = {.lex_state = 15, .external_lex_state = 3},
  [19748] = {.lex_state = 54, .external_lex_state = 3},
  [19749] = {.lex_state = 15, .external_lex_state = 3},
  [19750] = {.lex_state = 394, .external_lex_state = 3},
  [19751] = {.lex_state = 15, .external_lex_state = 3},
  [19752] = {.lex_state = 394, .external_lex_state = 3},
  [19753] = {.lex_state = 54, .external_lex_state = 3},
  [19754] = {.lex_state = 394, .external_lex_state = 8},
  [19755] = {.lex_state = 394, .external_lex_state = 3},
  [19756] = {.lex_state = 15, .external_lex_state = 3},
  [19757] = {.lex_state = 15, .external_lex_state = 3},
  [19758] = {.lex_state = 394, .external_lex_state = 3},
  [19759] = {.lex_state = 394, .external_lex_state = 3},
  [19760] = {.lex_state = 15, .external_lex_state = 3},
  [19761] = {.lex_state = 394, .external_lex_state = 3},
  [19762] = {.lex_state = 15, .external_lex_state = 3},
  [19763] = {.lex_state = 15, .external_lex_state = 3},
  [19764] = {.lex_state = 15, .external_lex_state = 3},
  [19765] = {.lex_state = 15, .external_lex_state = 3},
  [19766] = {.lex_state = 394, .external_lex_state = 8},
  [19767] = {.lex_state = 15, .external_lex_state = 3},
  [19768] = {.lex_state = 15, .external_lex_state = 3},
  [19769] = {.lex_state = 400, .external_lex_state = 3},
  [19770] = {.lex_state = 425, .external_lex_state = 3},
  [19771] = {.lex_state = 15, .external_lex_state = 3},
  [19772] = {.lex_state = 394, .external_lex_state = 3},
  [19773] = {.lex_state = 15, .external_lex_state = 3},
  [19774] = {.lex_state = 15, .external_lex_state = 3},
  [19775] = {.lex_state = 54, .external_lex_state = 3},
  [19776] = {.lex_state = 15, .external_lex_state = 3},
  [19777] = {.lex_state = 425, .external_lex_state = 3},
  [19778] = {.lex_state = 54, .external_lex_state = 3},
  [19779] = {.lex_state = 394, .external_lex_state = 3},
  [19780] = {.lex_state = 394, .external_lex_state = 3},
  [19781] = {.lex_state = 15, .external_lex_state = 3},
  [19782] = {.lex_state = 54, .external_lex_state = 3},
  [19783] = {.lex_state = 394, .external_lex_state = 3},
  [19784] = {.lex_state = 394, .external_lex_state = 3},
  [19785] = {.lex_state = 15, .external_lex_state = 3},
  [19786] = {.lex_state = 394, .external_lex_state = 3},
  [19787] = {.lex_state = 394, .external_lex_state = 3},
  [19788] = {.lex_state = 400, .external_lex_state = 3},
  [19789] = {.lex_state = 425, .external_lex_state = 3},
  [19790] = {.lex_state = 15, .external_lex_state = 3},
  [19791] = {.lex_state = 425, .external_lex_state = 3},
  [19792] = {.lex_state = 429, .external_lex_state = 3},
  [19793] = {.lex_state = 394, .external_lex_state = 3},
  [19794] = {.lex_state = 15, .external_lex_state = 3},
  [19795] = {.lex_state = 15, .external_lex_state = 3},
  [19796] = {.lex_state = 394, .external_lex_state = 3},
  [19797] = {.lex_state = 15, .external_lex_state = 3},
  [19798] = {.lex_state = 15, .external_lex_state = 3},
  [19799] = {.lex_state = 15, .external_lex_state = 3},
  [19800] = {.lex_state = 429, .external_lex_state = 3},
  [19801] = {.lex_state = 15, .external_lex_state = 3},
  [19802] = {.lex_state = 425, .external_lex_state = 3},
  [19803] = {.lex_state = 15, .external_lex_state = 3},
  [19804] = {.lex_state = 394, .external_lex_state = 3},
  [19805] = {.lex_state = 15, .external_lex_state = 3},
  [19806] = {.lex_state = 54, .external_lex_state = 3},
  [19807] = {.lex_state = 394, .external_lex_state = 3},
  [19808] = {.lex_state = 394, .external_lex_state = 3},
  [19809] = {.lex_state = 15, .external_lex_state = 3},
  [19810] = {.lex_state = 394, .external_lex_state = 3},
  [19811] = {.lex_state = 15, .external_lex_state = 3},
  [19812] = {.lex_state = 425, .external_lex_state = 3},
  [19813] = {.lex_state = 425, .external_lex_state = 3},
  [19814] = {.lex_state = 400, .external_lex_state = 3},
  [19815] = {.lex_state = 15, .external_lex_state = 3},
  [19816] = {.lex_state = 400, .external_lex_state = 3},
  [19817] = {.lex_state = 394, .external_lex_state = 3},
  [19818] = {.lex_state = 15, .external_lex_state = 3},
  [19819] = {.lex_state = 15, .external_lex_state = 3},
  [19820] = {.lex_state = 394, .external_lex_state = 3},
  [19821] = {.lex_state = 15, .external_lex_state = 3},
  [19822] = {.lex_state = 425, .external_lex_state = 3},
  [19823] = {.lex_state = 15, .external_lex_state = 3},
  [19824] = {.lex_state = 394, .external_lex_state = 3},
  [19825] = {.lex_state = 15, .external_lex_state = 3},
  [19826] = {.lex_state = 54, .external_lex_state = 3},
  [19827] = {.lex_state = 425, .external_lex_state = 3},
  [19828] = {.lex_state = 394, .external_lex_state = 3},
  [19829] = {.lex_state = 425, .external_lex_state = 3},
  [19830] = {.lex_state = 15, .external_lex_state = 3},
  [19831] = {.lex_state = 394, .external_lex_state = 3},
  [19832] = {.lex_state = 15, .external_lex_state = 3},
  [19833] = {.lex_state = 15, .external_lex_state = 3},
  [19834] = {.lex_state = 394, .external_lex_state = 3},
  [19835] = {.lex_state = 15, .external_lex_state = 3},
  [19836] = {.lex_state = 394, .external_lex_state = 3},
  [19837] = {.lex_state = 15, .external_lex_state = 3},
  [19838] = {.lex_state = 425, .external_lex_state = 3},
  [19839] = {.lex_state = 394, .external_lex_state = 3},
  [19840] = {.lex_state = 15, .external_lex_state = 3},
  [19841] = {.lex_state = 394, .external_lex_state = 8},
  [19842] = {.lex_state = 15, .external_lex_state = 3},
  [19843] = {.lex_state = 394, .external_lex_state = 3},
  [19844] = {.lex_state = 394, .external_lex_state = 3},
  [19845] = {.lex_state = 15, .external_lex_state = 3},
  [19846] = {.lex_state = 15, .external_lex_state = 3},
  [19847] = {.lex_state = 54, .external_lex_state = 3},
  [19848] = {.lex_state = 54, .external_lex_state = 3},
  [19849] = {.lex_state = 54, .external_lex_state = 3},
  [19850] = {.lex_state = 15, .external_lex_state = 3},
  [19851] = {.lex_state = 429, .external_lex_state = 3},
  [19852] = {.lex_state = 15, .external_lex_state = 3},
  [19853] = {.lex_state = 394, .external_lex_state = 3},
  [19854] = {.lex_state = 15, .external_lex_state = 3},
  [19855] = {.lex_state = 400, .external_lex_state = 3},
  [19856] = {.lex_state = 394, .external_lex_state = 3},
  [19857] = {.lex_state = 15, .external_lex_state = 3},
  [19858] = {.lex_state = 394, .external_lex_state = 3},
  [19859] = {.lex_state = 15, .external_lex_state = 3},
  [19860] = {.lex_state = 394, .external_lex_state = 3},
  [19861] = {.lex_state = 394, .external_lex_state = 3},
  [19862] = {.lex_state = 394, .external_lex_state = 3},
  [19863] = {.lex_state = 15, .external_lex_state = 3},
  [19864] = {.lex_state = 400, .external_lex_state = 3},
  [19865] = {.lex_state = 425, .external_lex_state = 3},
  [19866] = {.lex_state = 394, .external_lex_state = 3},
  [19867] = {.lex_state = 15, .external_lex_state = 3},
  [19868] = {.lex_state = 394, .external_lex_state = 3},
  [19869] = {.lex_state = 425, .external_lex_state = 3},
  [19870] = {.lex_state = 400, .external_lex_state = 3},
  [19871] = {.lex_state = 15, .external_lex_state = 3},
  [19872] = {.lex_state = 15, .external_lex_state = 3},
  [19873] = {.lex_state = 15, .external_lex_state = 3},
  [19874] = {.lex_state = 425, .external_lex_state = 3},
  [19875] = {.lex_state = 400, .external_lex_state = 3},
  [19876] = {.lex_state = 54, .external_lex_state = 3},
  [19877] = {.lex_state = 394, .external_lex_state = 3},
  [19878] = {.lex_state = 394, .external_lex_state = 3},
  [19879] = {.lex_state = 394, .external_lex_state = 3},
  [19880] = {.lex_state = 15, .external_lex_state = 3},
  [19881] = {.lex_state = 15, .external_lex_state = 3},
  [19882] = {.lex_state = 15, .external_lex_state = 3},
  [19883] = {.lex_state = 15, .external_lex_state = 3},
  [19884] = {.lex_state = 425, .external_lex_state = 3},
  [19885] = {.lex_state = 394, .external_lex_state = 8},
  [19886] = {.lex_state = 425, .external_lex_state = 3},
  [19887] = {.lex_state = 394, .external_lex_state = 3},
  [19888] = {.lex_state = 394, .external_lex_state = 3},
  [19889] = {.lex_state = 54, .external_lex_state = 3},
  [19890] = {.lex_state = 400, .external_lex_state = 3},
  [19891] = {.lex_state = 425, .external_lex_state = 3},
  [19892] = {.lex_state = 394, .external_lex_state = 3},
  [19893] = {.lex_state = 15, .external_lex_state = 3},
  [19894] = {.lex_state = 15, .external_lex_state = 3},
  [19895] = {.lex_state = 425, .external_lex_state = 3},
  [19896] = {.lex_state = 394, .external_lex_state = 3},
  [19897] = {.lex_state = 15, .external_lex_state = 3},
  [19898] = {.lex_state = 394, .external_lex_state = 3},
  [19899] = {.lex_state = 15, .external_lex_state = 3},
  [19900] = {.lex_state = 394, .external_lex_state = 3},
  [19901] = {.lex_state = 394, .external_lex_state = 3},
  [19902] = {.lex_state = 15, .external_lex_state = 3},
  [19903] = {.lex_state = 15, .external_lex_state = 3},
  [19904] = {.lex_state = 15, .external_lex_state = 3},
  [19905] = {.lex_state = 394, .external_lex_state = 3},
  [19906] = {.lex_state = 394, .external_lex_state = 8},
  [19907] = {.lex_state = 15, .external_lex_state = 3},
  [19908] = {.lex_state = 15, .external_lex_state = 3},
  [19909] = {.lex_state = 15, .external_lex_state = 3},
  [19910] = {.lex_state = 54, .external_lex_state = 3},
  [19911] = {.lex_state = 394, .external_lex_state = 3},
  [19912] = {.lex_state = 54, .external_lex_state = 3},
  [19913] = {.lex_state = 54, .external_lex_state = 3},
  [19914] = {.lex_state = 15, .external_lex_state = 3},
  [19915] = {.lex_state = 394, .external_lex_state = 3},
  [19916] = {.lex_state = 15, .external_lex_state = 3},
  [19917] = {.lex_state = 394, .external_lex_state = 3},
  [19918] = {.lex_state = 54, .external_lex_state = 3},
  [19919] = {.lex_state = 15, .external_lex_state = 3},
  [19920] = {.lex_state = 394, .external_lex_state = 3},
  [19921] = {.lex_state = 394, .external_lex_state = 3},
  [19922] = {.lex_state = 15, .external_lex_state = 3},
  [19923] = {.lex_state = 15, .external_lex_state = 3},
  [19924] = {.lex_state = 400, .external_lex_state = 3},
  [19925] = {.lex_state = 394, .external_lex_state = 3},
  [19926] = {.lex_state = 400, .external_lex_state = 3},
  [19927] = {.lex_state = 394, .external_lex_state = 3},
  [19928] = {.lex_state = 425, .external_lex_state = 3},
  [19929] = {.lex_state = 425, .external_lex_state = 3},
  [19930] = {.lex_state = 425, .external_lex_state = 3},
  [19931] = {.lex_state = 15, .external_lex_state = 3},
  [19932] = {.lex_state = 15, .external_lex_state = 3},
  [19933] = {.lex_state = 15, .external_lex_state = 3},
  [19934] = {.lex_state = 54, .external_lex_state = 3},
  [19935] = {.lex_state = 394, .external_lex_state = 8},
  [19936] = {.lex_state = 425, .external_lex_state = 3},
  [19937] = {.lex_state = 15, .external_lex_state = 3},
  [19938] = {.lex_state = 15, .external_lex_state = 3},
  [19939] = {.lex_state = 400, .external_lex_state = 3},
  [19940] = {.lex_state = 394, .external_lex_state = 3},
  [19941] = {.lex_state = 394, .external_lex_state = 8},
  [19942] = {.lex_state = 394, .external_lex_state = 3},
  [19943] = {.lex_state = 394, .external_lex_state = 3},
  [19944] = {.lex_state = 15, .external_lex_state = 3},
  [19945] = {.lex_state = 15, .external_lex_state = 3},
  [19946] = {.lex_state = 15, .external_lex_state = 3},
  [19947] = {.lex_state = 15, .external_lex_state = 3},
  [19948] = {.lex_state = 394, .external_lex_state = 3},
  [19949] = {.lex_state = 400, .external_lex_state = 3},
  [19950] = {.lex_state = 54, .external_lex_state = 3},
  [19951] = {.lex_state = 394, .external_lex_state = 8},
  [19952] = {.lex_state = 394, .external_lex_state = 3},
  [19953] = {.lex_state = 15, .external_lex_state = 3},
  [19954] = {.lex_state = 54, .external_lex_state = 3},
  [19955] = {.lex_state = 54, .external_lex_state = 3},
  [19956] = {.lex_state = 54, .external_lex_state = 3},
  [19957] = {.lex_state = 394, .external_lex_state = 3},
  [19958] = {.lex_state = 15, .external_lex_state = 3},
  [19959] = {.lex_state = 394, .external_lex_state = 8},
  [19960] = {.lex_state = 54, .external_lex_state = 3},
  [19961] = {.lex_state = 54, .external_lex_state = 3},
  [19962] = {.lex_state = 394, .external_lex_state = 3},
  [19963] = {.lex_state = 400, .external_lex_state = 3},
  [19964] = {.lex_state = 15, .external_lex_state = 3},
  [19965] = {.lex_state = 425, .external_lex_state = 3},
  [19966] = {.lex_state = 394, .external_lex_state = 3},
  [19967] = {.lex_state = 394, .external_lex_state = 3},
  [19968] = {.lex_state = 394, .external_lex_state = 3},
  [19969] = {.lex_state = 394, .external_lex_state = 8},
  [19970] = {.lex_state = 15, .external_lex_state = 3},
  [19971] = {.lex_state = 15, .external_lex_state = 3},
  [19972] = {.lex_state = 54, .external_lex_state = 3},
  [19973] = {.lex_state = 54, .external_lex_state = 3},
  [19974] = {.lex_state = 425, .external_lex_state = 3},
  [19975] = {.lex_state = 54, .external_lex_state = 3},
  [19976] = {.lex_state = 394, .external_lex_state = 3},
  [19977] = {.lex_state = 15, .external_lex_state = 3},
  [19978] = {.lex_state = 15, .external_lex_state = 3},
  [19979] = {.lex_state = 15, .external_lex_state = 3},
  [19980] = {.lex_state = 394, .external_lex_state = 3},
  [19981] = {.lex_state = 15, .external_lex_state = 3},
  [19982] = {.lex_state = 394, .external_lex_state = 3},
  [19983] = {.lex_state = 394, .external_lex_state = 3},
  [19984] = {.lex_state = 429, .external_lex_state = 3},
  [19985] = {.lex_state = 15, .external_lex_state = 3},
  [19986] = {.lex_state = 400, .external_lex_state = 3},
  [19987] = {.lex_state = 15, .external_lex_state = 3},
  [19988] = {.lex_state = 54, .external_lex_state = 3},
  [19989] = {.lex_state = 15, .external_lex_state = 3},
  [19990] = {.lex_state = 15, .external_lex_state = 3},
  [19991] = {.lex_state = 400, .external_lex_state = 3},
  [19992] = {.lex_state = 15, .external_lex_state = 3},
  [19993] = {.lex_state = 394, .external_lex_state = 3},
  [19994] = {.lex_state = 15, .external_lex_state = 3},
  [19995] = {.lex_state = 425, .external_lex_state = 3},
  [19996] = {.lex_state = 15, .external_lex_state = 3},
  [19997] = {.lex_state = 136, .external_lex_state = 3},
  [19998] = {.lex_state = 15, .external_lex_state = 3},
  [19999] = {.lex_state = 15, .external_lex_state = 3},
  [20000] = {.lex_state = 394, .external_lex_state = 3},
  [20001] = {.lex_state = 394, .external_lex_state = 3},
  [20002] = {.lex_state = 394, .external_lex_state = 8},
  [20003] = {.lex_state = 394, .external_lex_state = 3},
  [20004] = {.lex_state = 15, .external_lex_state = 3},
  [20005] = {.lex_state = 15, .external_lex_state = 3},
  [20006] = {.lex_state = 425, .external_lex_state = 3},
  [20007] = {.lex_state = 54, .external_lex_state = 3},
  [20008] = {.lex_state = 54, .external_lex_state = 3},
  [20009] = {.lex_state = 54, .external_lex_state = 3},
  [20010] = {.lex_state = 394, .external_lex_state = 3},
  [20011] = {.lex_state = 394, .external_lex_state = 3},
  [20012] = {.lex_state = 394, .external_lex_state = 3},
  [20013] = {.lex_state = 15, .external_lex_state = 3},
  [20014] = {.lex_state = 15, .external_lex_state = 3},
  [20015] = {.lex_state = 400, .external_lex_state = 3},
  [20016] = {.lex_state = 15, .external_lex_state = 3},
  [20017] = {.lex_state = 394, .external_lex_state = 3},
  [20018] = {.lex_state = 177, .external_lex_state = 3},
  [20019] = {.lex_state = 15, .external_lex_state = 3},
  [20020] = {.lex_state = 394, .external_lex_state = 3},
  [20021] = {.lex_state = 15, .external_lex_state = 3},
  [20022] = {.lex_state = 54, .external_lex_state = 3},
  [20023] = {.lex_state = 394, .external_lex_state = 3},
  [20024] = {.lex_state = 15, .external_lex_state = 3},
  [20025] = {.lex_state = 54, .external_lex_state = 3},
  [20026] = {.lex_state = 54, .external_lex_state = 3},
  [20027] = {.lex_state = 15, .external_lex_state = 3},
  [20028] = {.lex_state = 394, .external_lex_state = 3},
  [20029] = {.lex_state = 54, .external_lex_state = 3},
  [20030] = {.lex_state = 394, .external_lex_state = 3},
  [20031] = {.lex_state = 15, .external_lex_state = 3},
  [20032] = {.lex_state = 394, .external_lex_state = 3},
  [20033] = {.lex_state = 15, .external_lex_state = 3},
  [20034] = {.lex_state = 394, .external_lex_state = 3},
  [20035] = {.lex_state = 15, .external_lex_state = 3},
  [20036] = {.lex_state = 394, .external_lex_state = 3},
  [20037] = {.lex_state = 15, .external_lex_state = 3},
  [20038] = {.lex_state = 400, .external_lex_state = 3},
  [20039] = {.lex_state = 425, .external_lex_state = 3},
  [20040] = {.lex_state = 400, .external_lex_state = 3},
  [20041] = {.lex_state = 54, .external_lex_state = 3},
  [20042] = {.lex_state = 15, .external_lex_state = 3},
  [20043] = {.lex_state = 15, .external_lex_state = 3},
  [20044] = {.lex_state = 394, .external_lex_state = 3},
  [20045] = {.lex_state = 394, .external_lex_state = 3},
  [20046] = {.lex_state = 400, .external_lex_state = 3},
  [20047] = {.lex_state = 54, .external_lex_state = 3},
  [20048] = {.lex_state = 15, .external_lex_state = 3},
  [20049] = {.lex_state = 425, .external_lex_state = 3},
  [20050] = {.lex_state = 394, .external_lex_state = 8},
  [20051] = {.lex_state = 15, .external_lex_state = 3},
  [20052] = {.lex_state = 54, .external_lex_state = 3},
  [20053] = {.lex_state = 15, .external_lex_state = 3},
  [20054] = {.lex_state = 54, .external_lex_state = 3},
  [20055] = {.lex_state = 394, .external_lex_state = 3},
  [20056] = {.lex_state = 54, .external_lex_state = 3},
  [20057] = {.lex_state = 54, .external_lex_state = 3},
  [20058] = {.lex_state = 54, .external_lex_state = 3},
  [20059] = {.lex_state = 400, .external_lex_state = 3},
  [20060] = {.lex_state = 394, .external_lex_state = 3},
  [20061] = {.lex_state = 400, .external_lex_state = 3},
  [20062] = {.lex_state = 15, .external_lex_state = 3},
  [20063] = {.lex_state = 394, .external_lex_state = 3},
  [20064] = {.lex_state = 15, .external_lex_state = 3},
  [20065] = {.lex_state = 15, .external_lex_state = 3},
  [20066] = {.lex_state = 15, .external_lex_state = 3},
  [20067] = {.lex_state = 15, .external_lex_state = 3},
  [20068] = {.lex_state = 400, .external_lex_state = 3},
  [20069] = {.lex_state = 15, .external_lex_state = 3},
  [20070] = {.lex_state = 15, .external_lex_state = 3},
  [20071] = {.lex_state = 15, .external_lex_state = 3},
  [20072] = {.lex_state = 54, .external_lex_state = 3},
  [20073] = {.lex_state = 15, .external_lex_state = 3},
  [20074] = {.lex_state = 394, .external_lex_state = 3},
  [20075] = {.lex_state = 15, .external_lex_state = 3},
  [20076] = {.lex_state = 185, .external_lex_state = 3},
  [20077] = {.lex_state = 400, .external_lex_state = 3},
  [20078] = {.lex_state = 15, .external_lex_state = 3},
  [20079] = {.lex_state = 394, .external_lex_state = 3},
  [20080] = {.lex_state = 394, .external_lex_state = 3},
  [20081] = {.lex_state = 15, .external_lex_state = 3},
  [20082] = {.lex_state = 394, .external_lex_state = 3},
  [20083] = {.lex_state = 15, .external_lex_state = 3},
  [20084] = {.lex_state = 15, .external_lex_state = 3},
  [20085] = {.lex_state = 394, .external_lex_state = 3},
  [20086] = {.lex_state = 15, .external_lex_state = 3},
  [20087] = {.lex_state = 15, .external_lex_state = 3},
  [20088] = {.lex_state = 394, .external_lex_state = 8},
  [20089] = {.lex_state = 394, .external_lex_state = 8},
  [20090] = {.lex_state = 15, .external_lex_state = 3},
  [20091] = {.lex_state = 15, .external_lex_state = 3},
  [20092] = {.lex_state = 15, .external_lex_state = 3},
  [20093] = {.lex_state = 54, .external_lex_state = 3},
  [20094] = {.lex_state = 425, .external_lex_state = 3},
  [20095] = {.lex_state = 54, .external_lex_state = 3},
  [20096] = {.lex_state = 54, .external_lex_state = 3},
  [20097] = {.lex_state = 15, .external_lex_state = 3},
  [20098] = {.lex_state = 394, .external_lex_state = 3},
  [20099] = {.lex_state = 394, .external_lex_state = 3},
  [20100] = {.lex_state = 425, .external_lex_state = 3},
  [20101] = {.lex_state = 425, .external_lex_state = 3},
  [20102] = {.lex_state = 400, .external_lex_state = 3},
  [20103] = {.lex_state = 400, .external_lex_state = 3},
  [20104] = {.lex_state = 394, .external_lex_state = 3},
  [20105] = {.lex_state = 394, .external_lex_state = 3},
  [20106] = {.lex_state = 15, .external_lex_state = 3},
  [20107] = {.lex_state = 15, .external_lex_state = 3},
  [20108] = {.lex_state = 394, .external_lex_state = 3},
  [20109] = {.lex_state = 394, .external_lex_state = 3},
  [20110] = {.lex_state = 15, .external_lex_state = 3},
  [20111] = {.lex_state = 400, .external_lex_state = 3},
  [20112] = {.lex_state = 425, .external_lex_state = 3},
  [20113] = {.lex_state = 15, .external_lex_state = 3},
  [20114] = {.lex_state = 15, .external_lex_state = 3},
  [20115] = {.lex_state = 15, .external_lex_state = 3},
  [20116] = {.lex_state = 394, .external_lex_state = 3},
  [20117] = {.lex_state = 15, .external_lex_state = 3},
  [20118] = {.lex_state = 15, .external_lex_state = 3},
  [20119] = {.lex_state = 15, .external_lex_state = 3},
  [20120] = {.lex_state = 425, .external_lex_state = 3},
  [20121] = {.lex_state = 400, .external_lex_state = 3},
  [20122] = {.lex_state = 394, .external_lex_state = 3},
  [20123] = {.lex_state = 15, .external_lex_state = 3},
  [20124] = {.lex_state = 394, .external_lex_state = 3},
  [20125] = {.lex_state = 394, .external_lex_state = 3},
  [20126] = {.lex_state = 15, .external_lex_state = 3},
  [20127] = {.lex_state = 425, .external_lex_state = 3},
  [20128] = {.lex_state = 15, .external_lex_state = 3},
  [20129] = {.lex_state = 15, .external_lex_state = 3},
  [20130] = {.lex_state = 15, .external_lex_state = 3},
  [20131] = {.lex_state = 394, .external_lex_state = 8},
  [20132] = {.lex_state = 15, .external_lex_state = 3},
  [20133] = {.lex_state = 394, .external_lex_state = 3},
  [20134] = {.lex_state = 54, .external_lex_state = 3},
  [20135] = {.lex_state = 54, .external_lex_state = 3},
  [20136] = {.lex_state = 394, .external_lex_state = 3},
  [20137] = {.lex_state = 54, .external_lex_state = 3},
  [20138] = {.lex_state = 15, .external_lex_state = 3},
  [20139] = {.lex_state = 400, .external_lex_state = 3},
  [20140] = {.lex_state = 8, .external_lex_state = 3},
  [20141] = {.lex_state = 400, .external_lex_state = 3},
  [20142] = {.lex_state = 15, .external_lex_state = 3},
  [20143] = {.lex_state = 394, .external_lex_state = 3},
  [20144] = {.lex_state = 394, .external_lex_state = 3},
  [20145] = {.lex_state = 394, .external_lex_state = 3},
  [20146] = {.lex_state = 15, .external_lex_state = 3},
  [20147] = {.lex_state = 394, .external_lex_state = 3},
  [20148] = {.lex_state = 425, .external_lex_state = 3},
  [20149] = {.lex_state = 15, .external_lex_state = 3},
  [20150] = {.lex_state = 394, .external_lex_state = 3},
  [20151] = {.lex_state = 425, .external_lex_state = 3},
  [20152] = {.lex_state = 15, .external_lex_state = 3},
  [20153] = {.lex_state = 15, .external_lex_state = 3},
  [20154] = {.lex_state = 394, .external_lex_state = 3},
  [20155] = {.lex_state = 15, .external_lex_state = 3},
  [20156] = {.lex_state = 15, .external_lex_state = 3},
  [20157] = {.lex_state = 15, .external_lex_state = 3},
  [20158] = {.lex_state = 400, .external_lex_state = 3},
  [20159] = {.lex_state = 15, .external_lex_state = 3},
  [20160] = {.lex_state = 425, .external_lex_state = 3},
  [20161] = {.lex_state = 15, .external_lex_state = 3},
  [20162] = {.lex_state = 15, .external_lex_state = 3},
  [20163] = {.lex_state = 394, .external_lex_state = 3},
  [20164] = {.lex_state = 136, .external_lex_state = 3},
  [20165] = {.lex_state = 394, .external_lex_state = 8},
  [20166] = {.lex_state = 54, .external_lex_state = 3},
  [20167] = {.lex_state = 15, .external_lex_state = 3},
  [20168] = {.lex_state = 54, .external_lex_state = 3},
  [20169] = {.lex_state = 54, .external_lex_state = 3},
  [20170] = {.lex_state = 15, .external_lex_state = 3},
  [20171] = {.lex_state = 54, .external_lex_state = 3},
  [20172] = {.lex_state = 394, .external_lex_state = 8},
  [20173] = {.lex_state = 394, .external_lex_state = 3},
  [20174] = {.lex_state = 15, .external_lex_state = 3},
  [20175] = {.lex_state = 394, .external_lex_state = 3},
  [20176] = {.lex_state = 394, .external_lex_state = 3},
  [20177] = {.lex_state = 15, .external_lex_state = 3},
  [20178] = {.lex_state = 15, .external_lex_state = 3},
  [20179] = {.lex_state = 394, .external_lex_state = 3},
  [20180] = {.lex_state = 394, .external_lex_state = 3},
  [20181] = {.lex_state = 15, .external_lex_state = 3},
  [20182] = {.lex_state = 54, .external_lex_state = 3},
  [20183] = {.lex_state = 425, .external_lex_state = 3},
  [20184] = {.lex_state = 15, .external_lex_state = 3},
  [20185] = {.lex_state = 400, .external_lex_state = 3},
  [20186] = {.lex_state = 400, .external_lex_state = 3},
  [20187] = {.lex_state = 54, .external_lex_state = 3},
  [20188] = {.lex_state = 54, .external_lex_state = 3},
  [20189] = {.lex_state = 54, .external_lex_state = 3},
  [20190] = {.lex_state = 54, .external_lex_state = 3},
  [20191] = {.lex_state = 15, .external_lex_state = 3},
  [20192] = {.lex_state = 15, .external_lex_state = 3},
  [20193] = {.lex_state = 394, .external_lex_state = 8},
  [20194] = {.lex_state = 394, .external_lex_state = 3},
  [20195] = {.lex_state = 15, .external_lex_state = 3},
  [20196] = {.lex_state = 15, .external_lex_state = 3},
  [20197] = {.lex_state = 54, .external_lex_state = 3},
  [20198] = {.lex_state = 15, .external_lex_state = 3},
  [20199] = {.lex_state = 54, .external_lex_state = 3},
  [20200] = {.lex_state = 394, .external_lex_state = 3},
  [20201] = {.lex_state = 15, .external_lex_state = 3},
  [20202] = {.lex_state = 54, .external_lex_state = 3},
  [20203] = {.lex_state = 15, .external_lex_state = 3},
  [20204] = {.lex_state = 394, .external_lex_state = 3},
  [20205] = {.lex_state = 15, .external_lex_state = 3},
  [20206] = {.lex_state = 394, .external_lex_state = 3},
  [20207] = {.lex_state = 15, .external_lex_state = 3},
  [20208] = {.lex_state = 15, .external_lex_state = 3},
  [20209] = {.lex_state = 15, .external_lex_state = 3},
  [20210] = {.lex_state = 400, .external_lex_state = 3},
  [20211] = {.lex_state = 400, .external_lex_state = 3},
  [20212] = {.lex_state = 394, .external_lex_state = 3},
  [20213] = {.lex_state = 425, .external_lex_state = 3},
  [20214] = {.lex_state = 400, .external_lex_state = 3},
  [20215] = {.lex_state = 394, .external_lex_state = 3},
  [20216] = {.lex_state = 15, .external_lex_state = 3},
  [20217] = {.lex_state = 15, .external_lex_state = 3},
  [20218] = {.lex_state = 394, .external_lex_state = 3},
  [20219] = {.lex_state = 425, .external_lex_state = 3},
  [20220] = {.lex_state = 394, .external_lex_state = 3},
  [20221] = {.lex_state = 15, .external_lex_state = 3},
  [20222] = {.lex_state = 394, .external_lex_state = 8},
  [20223] = {.lex_state = 15, .external_lex_state = 3},
  [20224] = {.lex_state = 15, .external_lex_state = 3},
  [20225] = {.lex_state = 15, .external_lex_state = 3},
  [20226] = {.lex_state = 400, .external_lex_state = 3},
  [20227] = {.lex_state = 54, .external_lex_state = 3},
  [20228] = {.lex_state = 54, .external_lex_state = 3},
  [20229] = {.lex_state = 54, .external_lex_state = 3},
  [20230] = {.lex_state = 15, .external_lex_state = 3},
  [20231] = {.lex_state = 15, .external_lex_state = 3},
  [20232] = {.lex_state = 394, .external_lex_state = 3},
  [20233] = {.lex_state = 15, .external_lex_state = 3},
  [20234] = {.lex_state = 394, .external_lex_state = 3},
  [20235] = {.lex_state = 15, .external_lex_state = 3},
  [20236] = {.lex_state = 425, .external_lex_state = 3},
  [20237] = {.lex_state = 15, .external_lex_state = 3},
  [20238] = {.lex_state = 400, .external_lex_state = 3},
  [20239] = {.lex_state = 15, .external_lex_state = 3},
  [20240] = {.lex_state = 394, .external_lex_state = 3},
  [20241] = {.lex_state = 394, .external_lex_state = 3},
  [20242] = {.lex_state = 425, .external_lex_state = 3},
  [20243] = {.lex_state = 15, .external_lex_state = 3},
  [20244] = {.lex_state = 400, .external_lex_state = 3},
  [20245] = {.lex_state = 394, .external_lex_state = 3},
  [20246] = {.lex_state = 394, .external_lex_state = 8},
  [20247] = {.lex_state = 15, .external_lex_state = 3},
  [20248] = {.lex_state = 394, .external_lex_state = 3},
  [20249] = {.lex_state = 394, .external_lex_state = 3},
  [20250] = {.lex_state = 54, .external_lex_state = 3},
  [20251] = {.lex_state = 54, .external_lex_state = 3},
  [20252] = {.lex_state = 54, .external_lex_state = 3},
  [20253] = {.lex_state = 394, .external_lex_state = 3},
  [20254] = {.lex_state = 400, .external_lex_state = 3},
  [20255] = {.lex_state = 394, .external_lex_state = 3},
  [20256] = {.lex_state = 400, .external_lex_state = 3},
  [20257] = {.lex_state = 136, .external_lex_state = 3},
  [20258] = {.lex_state = 394, .external_lex_state = 3},
  [20259] = {.lex_state = 136, .external_lex_state = 3},
  [20260] = {.lex_state = 185, .external_lex_state = 3},
  [20261] = {.lex_state = 15, .external_lex_state = 3},
  [20262] = {.lex_state = 400, .external_lex_state = 3},
  [20263] = {.lex_state = 15, .external_lex_state = 3},
  [20264] = {.lex_state = 15, .external_lex_state = 3},
  [20265] = {.lex_state = 54, .external_lex_state = 3},
  [20266] = {.lex_state = 394, .external_lex_state = 3},
  [20267] = {.lex_state = 15, .external_lex_state = 3},
  [20268] = {.lex_state = 15, .external_lex_state = 3},
  [20269] = {.lex_state = 394, .external_lex_state = 3},
  [20270] = {.lex_state = 394, .external_lex_state = 8},
  [20271] = {.lex_state = 15, .external_lex_state = 3},
  [20272] = {.lex_state = 54, .external_lex_state = 3},
  [20273] = {.lex_state = 8, .external_lex_state = 3},
  [20274] = {.lex_state = 425, .external_lex_state = 3},
  [20275] = {.lex_state = 54, .external_lex_state = 3},
  [20276] = {.lex_state = 425, .external_lex_state = 3},
  [20277] = {.lex_state = 15, .external_lex_state = 3},
  [20278] = {.lex_state = 15, .external_lex_state = 3},
  [20279] = {.lex_state = 425, .external_lex_state = 3},
  [20280] = {.lex_state = 15, .external_lex_state = 3},
  [20281] = {.lex_state = 15, .external_lex_state = 3},
  [20282] = {.lex_state = 425, .external_lex_state = 3},
  [20283] = {.lex_state = 54, .external_lex_state = 3},
  [20284] = {.lex_state = 394, .external_lex_state = 3},
  [20285] = {.lex_state = 394, .external_lex_state = 3},
  [20286] = {.lex_state = 15, .external_lex_state = 3},
  [20287] = {.lex_state = 15, .external_lex_state = 3},
  [20288] = {.lex_state = 394, .external_lex_state = 3},
  [20289] = {.lex_state = 425, .external_lex_state = 3},
  [20290] = {.lex_state = 15, .external_lex_state = 3},
  [20291] = {.lex_state = 394, .external_lex_state = 3},
  [20292] = {.lex_state = 394, .external_lex_state = 3},
  [20293] = {.lex_state = 15, .external_lex_state = 3},
  [20294] = {.lex_state = 394, .external_lex_state = 3},
  [20295] = {.lex_state = 425, .external_lex_state = 3},
  [20296] = {.lex_state = 15, .external_lex_state = 3},
  [20297] = {.lex_state = 394, .external_lex_state = 3},
  [20298] = {.lex_state = 394, .external_lex_state = 3},
  [20299] = {.lex_state = 54, .external_lex_state = 3},
  [20300] = {.lex_state = 15, .external_lex_state = 3},
  [20301] = {.lex_state = 15, .external_lex_state = 3},
  [20302] = {.lex_state = 15, .external_lex_state = 3},
  [20303] = {.lex_state = 15, .external_lex_state = 3},
  [20304] = {.lex_state = 394, .external_lex_state = 3},
  [20305] = {.lex_state = 425, .external_lex_state = 3},
  [20306] = {.lex_state = 15, .external_lex_state = 3},
  [20307] = {.lex_state = 425, .external_lex_state = 3},
  [20308] = {.lex_state = 15, .external_lex_state = 3},
  [20309] = {.lex_state = 400, .external_lex_state = 3},
  [20310] = {.lex_state = 15, .external_lex_state = 3},
  [20311] = {.lex_state = 15, .external_lex_state = 3},
  [20312] = {.lex_state = 15, .external_lex_state = 3},
  [20313] = {.lex_state = 425, .external_lex_state = 3},
  [20314] = {.lex_state = 394, .external_lex_state = 3},
  [20315] = {.lex_state = 400, .external_lex_state = 3},
  [20316] = {.lex_state = 15, .external_lex_state = 3},
  [20317] = {.lex_state = 425, .external_lex_state = 3},
  [20318] = {.lex_state = 394, .external_lex_state = 3},
  [20319] = {.lex_state = 394, .external_lex_state = 8},
  [20320] = {.lex_state = 394, .external_lex_state = 3},
  [20321] = {.lex_state = 425, .external_lex_state = 3},
  [20322] = {.lex_state = 15, .external_lex_state = 3},
  [20323] = {.lex_state = 394, .external_lex_state = 3},
  [20324] = {.lex_state = 15, .external_lex_state = 3},
  [20325] = {.lex_state = 15, .external_lex_state = 3},
  [20326] = {.lex_state = 54, .external_lex_state = 3},
  [20327] = {.lex_state = 54, .external_lex_state = 3},
  [20328] = {.lex_state = 54, .external_lex_state = 3},
  [20329] = {.lex_state = 15, .external_lex_state = 3},
  [20330] = {.lex_state = 394, .external_lex_state = 3},
  [20331] = {.lex_state = 15, .external_lex_state = 3},
  [20332] = {.lex_state = 15, .external_lex_state = 3},
  [20333] = {.lex_state = 425, .external_lex_state = 3},
  [20334] = {.lex_state = 400, .external_lex_state = 3},
  [20335] = {.lex_state = 394, .external_lex_state = 3},
  [20336] = {.lex_state = 15, .external_lex_state = 3},
  [20337] = {.lex_state = 394, .external_lex_state = 3},
  [20338] = {.lex_state = 400, .external_lex_state = 3},
  [20339] = {.lex_state = 394, .external_lex_state = 3},
  [20340] = {.lex_state = 15, .external_lex_state = 3},
  [20341] = {.lex_state = 425, .external_lex_state = 3},
  [20342] = {.lex_state = 15, .external_lex_state = 3},
  [20343] = {.lex_state = 15, .external_lex_state = 3},
  [20344] = {.lex_state = 425, .external_lex_state = 3},
  [20345] = {.lex_state = 15, .external_lex_state = 3},
  [20346] = {.lex_state = 15, .external_lex_state = 3},
  [20347] = {.lex_state = 394, .external_lex_state = 3},
  [20348] = {.lex_state = 15, .external_lex_state = 3},
  [20349] = {.lex_state = 15, .external_lex_state = 3},
  [20350] = {.lex_state = 15, .external_lex_state = 3},
  [20351] = {.lex_state = 400, .external_lex_state = 3},
  [20352] = {.lex_state = 394, .external_lex_state = 8},
  [20353] = {.lex_state = 400, .external_lex_state = 3},
  [20354] = {.lex_state = 54, .external_lex_state = 3},
  [20355] = {.lex_state = 54, .external_lex_state = 3},
  [20356] = {.lex_state = 394, .external_lex_state = 8},
  [20357] = {.lex_state = 54, .external_lex_state = 3},
  [20358] = {.lex_state = 15, .external_lex_state = 3},
  [20359] = {.lex_state = 394, .external_lex_state = 3},
  [20360] = {.lex_state = 394, .external_lex_state = 3},
  [20361] = {.lex_state = 425, .external_lex_state = 3},
  [20362] = {.lex_state = 394, .external_lex_state = 3},
  [20363] = {.lex_state = 425, .external_lex_state = 3},
  [20364] = {.lex_state = 425, .external_lex_state = 3},
  [20365] = {.lex_state = 394, .external_lex_state = 3},
  [20366] = {.lex_state = 400, .external_lex_state = 3},
  [20367] = {.lex_state = 25, .external_lex_state = 3},
  [20368] = {.lex_state = 15, .external_lex_state = 3},
  [20369] = {.lex_state = 15, .external_lex_state = 3},
  [20370] = {.lex_state = 15, .external_lex_state = 3},
  [20371] = {.lex_state = 425, .external_lex_state = 3},
  [20372] = {.lex_state = 394, .external_lex_state = 3},
  [20373] = {.lex_state = 400, .external_lex_state = 3},
  [20374] = {.lex_state = 15, .external_lex_state = 3},
  [20375] = {.lex_state = 15, .external_lex_state = 3},
  [20376] = {.lex_state = 394, .external_lex_state = 3},
  [20377] = {.lex_state = 394, .external_lex_state = 3},
  [20378] = {.lex_state = 15, .external_lex_state = 3},
  [20379] = {.lex_state = 15, .external_lex_state = 3},
  [20380] = {.lex_state = 394, .external_lex_state = 8},
  [20381] = {.lex_state = 15, .external_lex_state = 3},
  [20382] = {.lex_state = 15, .external_lex_state = 3},
  [20383] = {.lex_state = 54, .external_lex_state = 3},
  [20384] = {.lex_state = 425, .external_lex_state = 3},
  [20385] = {.lex_state = 15, .external_lex_state = 3},
  [20386] = {.lex_state = 394, .external_lex_state = 3},
  [20387] = {.lex_state = 425, .external_lex_state = 3},
  [20388] = {.lex_state = 15, .external_lex_state = 3},
  [20389] = {.lex_state = 15, .external_lex_state = 3},
  [20390] = {.lex_state = 394, .external_lex_state = 8},
  [20391] = {.lex_state = 425, .external_lex_state = 3},
  [20392] = {.lex_state = 394, .external_lex_state = 3},
  [20393] = {.lex_state = 15, .external_lex_state = 3},
  [20394] = {.lex_state = 15, .external_lex_state = 3},
  [20395] = {.lex_state = 394, .external_lex_state = 3},
  [20396] = {.lex_state = 15, .external_lex_state = 3},
  [20397] = {.lex_state = 425, .external_lex_state = 3},
  [20398] = {.lex_state = 54, .external_lex_state = 3},
  [20399] = {.lex_state = 15, .external_lex_state = 3},
  [20400] = {.lex_state = 394, .external_lex_state = 8},
  [20401] = {.lex_state = 54, .external_lex_state = 3},
  [20402] = {.lex_state = 15, .external_lex_state = 3},
  [20403] = {.lex_state = 54, .external_lex_state = 3},
  [20404] = {.lex_state = 15, .external_lex_state = 3},
  [20405] = {.lex_state = 394, .external_lex_state = 3},
  [20406] = {.lex_state = 394, .external_lex_state = 3},
  [20407] = {.lex_state = 394, .external_lex_state = 3},
  [20408] = {.lex_state = 394, .external_lex_state = 3},
  [20409] = {.lex_state = 54, .external_lex_state = 3},
  [20410] = {.lex_state = 394, .external_lex_state = 3},
  [20411] = {.lex_state = 54, .external_lex_state = 3},
  [20412] = {.lex_state = 394, .external_lex_state = 3},
  [20413] = {.lex_state = 425, .external_lex_state = 3},
  [20414] = {.lex_state = 394, .external_lex_state = 3},
  [20415] = {.lex_state = 394, .external_lex_state = 2},
  [20416] = {.lex_state = 425, .external_lex_state = 3},
  [20417] = {.lex_state = 394, .external_lex_state = 3},
  [20418] = {.lex_state = 394, .external_lex_state = 3},
  [20419] = {.lex_state = 394, .external_lex_state = 3},
  [20420] = {.lex_state = 394, .external_lex_state = 3},
  [20421] = {.lex_state = 394, .external_lex_state = 3},
  [20422] = {.lex_state = 394, .external_lex_state = 3},
  [20423] = {.lex_state = 394, .external_lex_state = 3},
  [20424] = {.lex_state = 400, .external_lex_state = 3},
  [20425] = {.lex_state = 394, .external_lex_state = 3},
  [20426] = {.lex_state = 394, .external_lex_state = 3},
  [20427] = {.lex_state = 15, .external_lex_state = 3},
  [20428] = {.lex_state = 394, .external_lex_state = 3},
  [20429] = {.lex_state = 394, .external_lex_state = 3},
  [20430] = {.lex_state = 425, .external_lex_state = 3},
  [20431] = {.lex_state = 394, .external_lex_state = 3},
  [20432] = {.lex_state = 425, .external_lex_state = 3},
  [20433] = {.lex_state = 425, .external_lex_state = 3},
  [20434] = {.lex_state = 400, .external_lex_state = 3},
  [20435] = {.lex_state = 394, .external_lex_state = 3},
  [20436] = {.lex_state = 394, .external_lex_state = 3},
  [20437] = {.lex_state = 394, .external_lex_state = 3},
  [20438] = {.lex_state = 394, .external_lex_state = 3},
  [20439] = {.lex_state = 214, .external_lex_state = 3},
  [20440] = {.lex_state = 394, .external_lex_state = 3},
  [20441] = {.lex_state = 394, .external_lex_state = 3},
  [20442] = {.lex_state = 394, .external_lex_state = 3},
  [20443] = {.lex_state = 394, .external_lex_state = 3},
  [20444] = {.lex_state = 394, .external_lex_state = 3},
  [20445] = {.lex_state = 425, .external_lex_state = 3},
  [20446] = {.lex_state = 394, .external_lex_state = 3},
  [20447] = {.lex_state = 425, .external_lex_state = 3},
  [20448] = {.lex_state = 394, .external_lex_state = 3},
  [20449] = {.lex_state = 394, .external_lex_state = 3},
  [20450] = {.lex_state = 394, .external_lex_state = 3},
  [20451] = {.lex_state = 394, .external_lex_state = 3},
  [20452] = {.lex_state = 400, .external_lex_state = 3},
  [20453] = {.lex_state = 394, .external_lex_state = 3},
  [20454] = {.lex_state = 394, .external_lex_state = 3},
  [20455] = {.lex_state = 394, .external_lex_state = 3},
  [20456] = {.lex_state = 394, .external_lex_state = 3},
  [20457] = {.lex_state = 394, .external_lex_state = 3},
  [20458] = {.lex_state = 394, .external_lex_state = 3},
  [20459] = {.lex_state = 394, .external_lex_state = 3},
  [20460] = {.lex_state = 397, .external_lex_state = 3},
  [20461] = {.lex_state = 394, .external_lex_state = 3},
  [20462] = {.lex_state = 136, .external_lex_state = 3},
  [20463] = {.lex_state = 136, .external_lex_state = 3},
  [20464] = {.lex_state = 136, .external_lex_state = 3},
  [20465] = {.lex_state = 394, .external_lex_state = 3},
  [20466] = {.lex_state = 394, .external_lex_state = 3},
  [20467] = {.lex_state = 394, .external_lex_state = 3},
  [20468] = {.lex_state = 394, .external_lex_state = 3},
  [20469] = {.lex_state = 394, .external_lex_state = 3},
  [20470] = {.lex_state = 394, .external_lex_state = 3},
  [20471] = {.lex_state = 394, .external_lex_state = 3},
  [20472] = {.lex_state = 394, .external_lex_state = 3},
  [20473] = {.lex_state = 394, .external_lex_state = 3},
  [20474] = {.lex_state = 394, .external_lex_state = 3},
  [20475] = {.lex_state = 394, .external_lex_state = 3},
  [20476] = {.lex_state = 394, .external_lex_state = 3},
  [20477] = {.lex_state = 394, .external_lex_state = 3},
  [20478] = {.lex_state = 136, .external_lex_state = 3},
  [20479] = {.lex_state = 394, .external_lex_state = 3},
  [20480] = {.lex_state = 394, .external_lex_state = 3},
  [20481] = {.lex_state = 394, .external_lex_state = 3},
  [20482] = {.lex_state = 394, .external_lex_state = 3},
  [20483] = {.lex_state = 394, .external_lex_state = 3},
  [20484] = {.lex_state = 15, .external_lex_state = 3},
  [20485] = {.lex_state = 394, .external_lex_state = 3},
  [20486] = {.lex_state = 425, .external_lex_state = 3},
  [20487] = {.lex_state = 394, .external_lex_state = 3},
  [20488] = {.lex_state = 400, .external_lex_state = 3},
  [20489] = {.lex_state = 394, .external_lex_state = 3},
  [20490] = {.lex_state = 394, .external_lex_state = 3},
  [20491] = {.lex_state = 394, .external_lex_state = 3},
  [20492] = {.lex_state = 394, .external_lex_state = 3},
  [20493] = {.lex_state = 394, .external_lex_state = 3},
  [20494] = {.lex_state = 425, .external_lex_state = 3},
  [20495] = {.lex_state = 394, .external_lex_state = 3},
  [20496] = {.lex_state = 15, .external_lex_state = 3},
  [20497] = {.lex_state = 425, .external_lex_state = 3},
  [20498] = {.lex_state = 400, .external_lex_state = 3},
  [20499] = {.lex_state = 394, .external_lex_state = 3},
  [20500] = {.lex_state = 394, .external_lex_state = 3},
  [20501] = {.lex_state = 394, .external_lex_state = 3},
  [20502] = {.lex_state = 400, .external_lex_state = 3},
  [20503] = {.lex_state = 394, .external_lex_state = 3},
  [20504] = {.lex_state = 394, .external_lex_state = 3},
  [20505] = {.lex_state = 394, .external_lex_state = 3},
  [20506] = {.lex_state = 394, .external_lex_state = 3},
  [20507] = {.lex_state = 394, .external_lex_state = 3},
  [20508] = {.lex_state = 394, .external_lex_state = 3},
  [20509] = {.lex_state = 425, .external_lex_state = 3},
  [20510] = {.lex_state = 425, .external_lex_state = 3},
  [20511] = {.lex_state = 425, .external_lex_state = 3},
  [20512] = {.lex_state = 136, .external_lex_state = 3},
  [20513] = {.lex_state = 136, .external_lex_state = 3},
  [20514] = {.lex_state = 136, .external_lex_state = 3},
  [20515] = {.lex_state = 394, .external_lex_state = 3},
  [20516] = {.lex_state = 400, .external_lex_state = 3},
  [20517] = {.lex_state = 425, .external_lex_state = 3},
  [20518] = {.lex_state = 394, .external_lex_state = 3},
  [20519] = {.lex_state = 394, .external_lex_state = 3},
  [20520] = {.lex_state = 136, .external_lex_state = 3},
  [20521] = {.lex_state = 394, .external_lex_state = 3},
  [20522] = {.lex_state = 136, .external_lex_state = 3},
  [20523] = {.lex_state = 425, .external_lex_state = 3},
  [20524] = {.lex_state = 394, .external_lex_state = 2},
  [20525] = {.lex_state = 394, .external_lex_state = 3},
  [20526] = {.lex_state = 394, .external_lex_state = 3},
  [20527] = {.lex_state = 15, .external_lex_state = 3},
  [20528] = {.lex_state = 394, .external_lex_state = 3},
  [20529] = {.lex_state = 136, .external_lex_state = 3},
  [20530] = {.lex_state = 136, .external_lex_state = 3},
  [20531] = {.lex_state = 136, .external_lex_state = 3},
  [20532] = {.lex_state = 394, .external_lex_state = 3},
  [20533] = {.lex_state = 394, .external_lex_state = 3},
  [20534] = {.lex_state = 394, .external_lex_state = 3},
  [20535] = {.lex_state = 136, .external_lex_state = 3},
  [20536] = {.lex_state = 394, .external_lex_state = 3},
  [20537] = {.lex_state = 394, .external_lex_state = 3},
  [20538] = {.lex_state = 394, .external_lex_state = 3},
  [20539] = {.lex_state = 394, .external_lex_state = 3},
  [20540] = {.lex_state = 394, .external_lex_state = 3},
  [20541] = {.lex_state = 394, .external_lex_state = 3},
  [20542] = {.lex_state = 394, .external_lex_state = 3},
  [20543] = {.lex_state = 425, .external_lex_state = 3},
  [20544] = {.lex_state = 394, .external_lex_state = 3},
  [20545] = {.lex_state = 136, .external_lex_state = 3},
  [20546] = {.lex_state = 425, .external_lex_state = 3},
  [20547] = {.lex_state = 394, .external_lex_state = 3},
  [20548] = {.lex_state = 429, .external_lex_state = 3},
  [20549] = {.lex_state = 400, .external_lex_state = 3},
  [20550] = {.lex_state = 394, .external_lex_state = 3},
  [20551] = {.lex_state = 394, .external_lex_state = 3},
  [20552] = {.lex_state = 400, .external_lex_state = 3},
  [20553] = {.lex_state = 425, .external_lex_state = 3},
  [20554] = {.lex_state = 136, .external_lex_state = 3},
  [20555] = {.lex_state = 425, .external_lex_state = 3},
  [20556] = {.lex_state = 394, .external_lex_state = 2},
  [20557] = {.lex_state = 394, .external_lex_state = 3},
  [20558] = {.lex_state = 425, .external_lex_state = 3},
  [20559] = {.lex_state = 394, .external_lex_state = 3},
  [20560] = {.lex_state = 15, .external_lex_state = 3},
  [20561] = {.lex_state = 425, .external_lex_state = 3},
  [20562] = {.lex_state = 400, .external_lex_state = 3},
  [20563] = {.lex_state = 136, .external_lex_state = 3},
  [20564] = {.lex_state = 425, .external_lex_state = 3},
  [20565] = {.lex_state = 394, .external_lex_state = 3},
  [20566] = {.lex_state = 400, .external_lex_state = 3},
  [20567] = {.lex_state = 394, .external_lex_state = 3},
  [20568] = {.lex_state = 394, .external_lex_state = 3},
  [20569] = {.lex_state = 425, .external_lex_state = 3},
  [20570] = {.lex_state = 394, .external_lex_state = 3},
  [20571] = {.lex_state = 425, .external_lex_state = 3},
  [20572] = {.lex_state = 425, .external_lex_state = 3},
  [20573] = {.lex_state = 394, .external_lex_state = 2},
  [20574] = {.lex_state = 425, .external_lex_state = 3},
  [20575] = {.lex_state = 136, .external_lex_state = 3},
  [20576] = {.lex_state = 394, .external_lex_state = 3},
  [20577] = {.lex_state = 425, .external_lex_state = 3},
  [20578] = {.lex_state = 15, .external_lex_state = 3},
  [20579] = {.lex_state = 400, .external_lex_state = 3},
  [20580] = {.lex_state = 15, .external_lex_state = 3},
  [20581] = {.lex_state = 394, .external_lex_state = 3},
  [20582] = {.lex_state = 394, .external_lex_state = 3},
  [20583] = {.lex_state = 394, .external_lex_state = 3},
  [20584] = {.lex_state = 394, .external_lex_state = 3},
  [20585] = {.lex_state = 425, .external_lex_state = 3},
  [20586] = {.lex_state = 394, .external_lex_state = 3},
  [20587] = {.lex_state = 394, .external_lex_state = 3},
  [20588] = {.lex_state = 394, .external_lex_state = 3},
  [20589] = {.lex_state = 394, .external_lex_state = 3},
  [20590] = {.lex_state = 394, .external_lex_state = 3},
  [20591] = {.lex_state = 394, .external_lex_state = 3},
  [20592] = {.lex_state = 394, .external_lex_state = 3},
  [20593] = {.lex_state = 394, .external_lex_state = 3},
  [20594] = {.lex_state = 394, .external_lex_state = 3},
  [20595] = {.lex_state = 394, .external_lex_state = 3},
  [20596] = {.lex_state = 394, .external_lex_state = 3},
  [20597] = {.lex_state = 394, .external_lex_state = 3},
  [20598] = {.lex_state = 394, .external_lex_state = 3},
  [20599] = {.lex_state = 394, .external_lex_state = 3},
  [20600] = {.lex_state = 394, .external_lex_state = 3},
  [20601] = {.lex_state = 394, .external_lex_state = 3},
  [20602] = {.lex_state = 394, .external_lex_state = 3},
  [20603] = {.lex_state = 394, .external_lex_state = 3},
  [20604] = {.lex_state = 394, .external_lex_state = 3},
  [20605] = {.lex_state = 425, .external_lex_state = 3},
  [20606] = {.lex_state = 394, .external_lex_state = 3},
  [20607] = {.lex_state = 394, .external_lex_state = 3},
  [20608] = {.lex_state = 394, .external_lex_state = 3},
  [20609] = {.lex_state = 394, .external_lex_state = 3},
  [20610] = {.lex_state = 394, .external_lex_state = 3},
  [20611] = {.lex_state = 394, .external_lex_state = 3},
  [20612] = {.lex_state = 394, .external_lex_state = 3},
  [20613] = {.lex_state = 394, .external_lex_state = 3},
  [20614] = {.lex_state = 394, .external_lex_state = 3},
  [20615] = {.lex_state = 400, .external_lex_state = 3},
  [20616] = {.lex_state = 394, .external_lex_state = 3},
  [20617] = {.lex_state = 394, .external_lex_state = 3},
  [20618] = {.lex_state = 394, .external_lex_state = 3},
  [20619] = {.lex_state = 394, .external_lex_state = 3},
  [20620] = {.lex_state = 394, .external_lex_state = 3},
  [20621] = {.lex_state = 425, .external_lex_state = 3},
  [20622] = {.lex_state = 394, .external_lex_state = 3},
  [20623] = {.lex_state = 394, .external_lex_state = 3},
  [20624] = {.lex_state = 425, .external_lex_state = 3},
  [20625] = {.lex_state = 400, .external_lex_state = 3},
  [20626] = {.lex_state = 394, .external_lex_state = 3},
  [20627] = {.lex_state = 394, .external_lex_state = 3},
  [20628] = {.lex_state = 425, .external_lex_state = 3},
  [20629] = {.lex_state = 394, .external_lex_state = 3},
  [20630] = {.lex_state = 394, .external_lex_state = 3},
  [20631] = {.lex_state = 394, .external_lex_state = 3},
  [20632] = {.lex_state = 15, .external_lex_state = 3},
  [20633] = {.lex_state = 394, .external_lex_state = 3},
  [20634] = {.lex_state = 394, .external_lex_state = 3},
  [20635] = {.lex_state = 425, .external_lex_state = 3},
  [20636] = {.lex_state = 394, .external_lex_state = 3},
  [20637] = {.lex_state = 425, .external_lex_state = 3},
  [20638] = {.lex_state = 394, .external_lex_state = 3},
  [20639] = {.lex_state = 394, .external_lex_state = 3},
  [20640] = {.lex_state = 394, .external_lex_state = 3},
  [20641] = {.lex_state = 394, .external_lex_state = 3},
  [20642] = {.lex_state = 400, .external_lex_state = 3},
  [20643] = {.lex_state = 394, .external_lex_state = 3},
  [20644] = {.lex_state = 394, .external_lex_state = 3},
  [20645] = {.lex_state = 394, .external_lex_state = 3},
  [20646] = {.lex_state = 394, .external_lex_state = 3},
  [20647] = {.lex_state = 394, .external_lex_state = 3},
  [20648] = {.lex_state = 394, .external_lex_state = 3},
  [20649] = {.lex_state = 394, .external_lex_state = 3},
  [20650] = {.lex_state = 394, .external_lex_state = 3},
  [20651] = {.lex_state = 394, .external_lex_state = 3},
  [20652] = {.lex_state = 394, .external_lex_state = 3},
  [20653] = {.lex_state = 394, .external_lex_state = 3},
  [20654] = {.lex_state = 394, .external_lex_state = 3},
  [20655] = {.lex_state = 394, .external_lex_state = 3},
  [20656] = {.lex_state = 394, .external_lex_state = 3},
  [20657] = {.lex_state = 394, .external_lex_state = 3},
  [20658] = {.lex_state = 15, .external_lex_state = 3},
  [20659] = {.lex_state = 394, .external_lex_state = 3},
  [20660] = {.lex_state = 394, .external_lex_state = 3},
  [20661] = {.lex_state = 394, .external_lex_state = 3},
  [20662] = {.lex_state = 394, .external_lex_state = 3},
  [20663] = {.lex_state = 394, .external_lex_state = 3},
  [20664] = {.lex_state = 394, .external_lex_state = 3},
  [20665] = {.lex_state = 394, .external_lex_state = 3},
  [20666] = {.lex_state = 394, .external_lex_state = 3},
  [20667] = {.lex_state = 394, .external_lex_state = 3},
  [20668] = {.lex_state = 394, .external_lex_state = 3},
  [20669] = {.lex_state = 394, .external_lex_state = 3},
  [20670] = {.lex_state = 394, .external_lex_state = 3},
  [20671] = {.lex_state = 394, .external_lex_state = 3},
  [20672] = {.lex_state = 136, .external_lex_state = 3},
  [20673] = {.lex_state = 394, .external_lex_state = 3},
  [20674] = {.lex_state = 400, .external_lex_state = 3},
  [20675] = {.lex_state = 394, .external_lex_state = 3},
  [20676] = {.lex_state = 394, .external_lex_state = 3},
  [20677] = {.lex_state = 394, .external_lex_state = 3},
  [20678] = {.lex_state = 394, .external_lex_state = 3},
  [20679] = {.lex_state = 425, .external_lex_state = 3},
  [20680] = {.lex_state = 425, .external_lex_state = 3},
  [20681] = {.lex_state = 400, .external_lex_state = 3},
  [20682] = {.lex_state = 136, .external_lex_state = 3},
  [20683] = {.lex_state = 394, .external_lex_state = 3},
  [20684] = {.lex_state = 394, .external_lex_state = 3},
  [20685] = {.lex_state = 394, .external_lex_state = 3},
  [20686] = {.lex_state = 136, .external_lex_state = 3},
  [20687] = {.lex_state = 394, .external_lex_state = 3},
  [20688] = {.lex_state = 394, .external_lex_state = 3},
  [20689] = {.lex_state = 136, .external_lex_state = 3},
  [20690] = {.lex_state = 136, .external_lex_state = 3},
  [20691] = {.lex_state = 425, .external_lex_state = 3},
  [20692] = {.lex_state = 425, .external_lex_state = 3},
  [20693] = {.lex_state = 394, .external_lex_state = 3},
  [20694] = {.lex_state = 394, .external_lex_state = 3},
  [20695] = {.lex_state = 394, .external_lex_state = 3},
  [20696] = {.lex_state = 394, .external_lex_state = 3},
  [20697] = {.lex_state = 400, .external_lex_state = 3},
  [20698] = {.lex_state = 394, .external_lex_state = 3},
  [20699] = {.lex_state = 394, .external_lex_state = 3},
  [20700] = {.lex_state = 394, .external_lex_state = 3},
  [20701] = {.lex_state = 136, .external_lex_state = 3},
  [20702] = {.lex_state = 394, .external_lex_state = 3},
  [20703] = {.lex_state = 394, .external_lex_state = 3},
  [20704] = {.lex_state = 394, .external_lex_state = 3},
  [20705] = {.lex_state = 394, .external_lex_state = 3},
  [20706] = {.lex_state = 394, .external_lex_state = 3},
  [20707] = {.lex_state = 136, .external_lex_state = 3},
  [20708] = {.lex_state = 394, .external_lex_state = 3},
  [20709] = {.lex_state = 394, .external_lex_state = 3},
  [20710] = {.lex_state = 394, .external_lex_state = 3},
  [20711] = {.lex_state = 394, .external_lex_state = 3},
  [20712] = {.lex_state = 394, .external_lex_state = 3},
  [20713] = {.lex_state = 394, .external_lex_state = 3},
  [20714] = {.lex_state = 394, .external_lex_state = 3},
  [20715] = {.lex_state = 394, .external_lex_state = 3},
  [20716] = {.lex_state = 394, .external_lex_state = 3},
  [20717] = {.lex_state = 394, .external_lex_state = 3},
  [20718] = {.lex_state = 394, .external_lex_state = 3},
  [20719] = {.lex_state = 394, .external_lex_state = 3},
  [20720] = {.lex_state = 394, .external_lex_state = 3},
  [20721] = {.lex_state = 136, .external_lex_state = 3},
  [20722] = {.lex_state = 136, .external_lex_state = 3},
  [20723] = {.lex_state = 394, .external_lex_state = 3},
  [20724] = {.lex_state = 394, .external_lex_state = 3},
  [20725] = {.lex_state = 136, .external_lex_state = 3},
  [20726] = {.lex_state = 394, .external_lex_state = 3},
  [20727] = {.lex_state = 394, .external_lex_state = 3},
  [20728] = {.lex_state = 394, .external_lex_state = 3},
  [20729] = {.lex_state = 400, .external_lex_state = 3},
  [20730] = {.lex_state = 394, .external_lex_state = 3},
  [20731] = {.lex_state = 394, .external_lex_state = 3},
  [20732] = {.lex_state = 394, .external_lex_state = 3},
  [20733] = {.lex_state = 136, .external_lex_state = 3},
  [20734] = {.lex_state = 425, .external_lex_state = 3},
  [20735] = {.lex_state = 425, .external_lex_state = 3},
  [20736] = {.lex_state = 400, .external_lex_state = 3},
  [20737] = {.lex_state = 136, .external_lex_state = 3},
  [20738] = {.lex_state = 136, .external_lex_state = 3},
  [20739] = {.lex_state = 394, .external_lex_state = 3},
  [20740] = {.lex_state = 394, .external_lex_state = 3},
  [20741] = {.lex_state = 394, .external_lex_state = 3},
  [20742] = {.lex_state = 394, .external_lex_state = 3},
  [20743] = {.lex_state = 136, .external_lex_state = 3},
  [20744] = {.lex_state = 394, .external_lex_state = 3},
  [20745] = {.lex_state = 136, .external_lex_state = 3},
  [20746] = {.lex_state = 425, .external_lex_state = 3},
  [20747] = {.lex_state = 425, .external_lex_state = 3},
  [20748] = {.lex_state = 394, .external_lex_state = 3},
  [20749] = {.lex_state = 394, .external_lex_state = 3},
  [20750] = {.lex_state = 394, .external_lex_state = 3},
  [20751] = {.lex_state = 394, .external_lex_state = 3},
  [20752] = {.lex_state = 400, .external_lex_state = 3},
  [20753] = {.lex_state = 394, .external_lex_state = 3},
  [20754] = {.lex_state = 136, .external_lex_state = 3},
  [20755] = {.lex_state = 394, .external_lex_state = 3},
  [20756] = {.lex_state = 394, .external_lex_state = 3},
  [20757] = {.lex_state = 394, .external_lex_state = 3},
  [20758] = {.lex_state = 394, .external_lex_state = 3},
  [20759] = {.lex_state = 394, .external_lex_state = 3},
  [20760] = {.lex_state = 400, .external_lex_state = 3},
  [20761] = {.lex_state = 394, .external_lex_state = 3},
  [20762] = {.lex_state = 394, .external_lex_state = 3},
  [20763] = {.lex_state = 400, .external_lex_state = 3},
  [20764] = {.lex_state = 425, .external_lex_state = 3},
  [20765] = {.lex_state = 425, .external_lex_state = 3},
  [20766] = {.lex_state = 394, .external_lex_state = 3},
  [20767] = {.lex_state = 394, .external_lex_state = 3},
  [20768] = {.lex_state = 425, .external_lex_state = 3},
  [20769] = {.lex_state = 15, .external_lex_state = 3},
  [20770] = {.lex_state = 394, .external_lex_state = 2},
  [20771] = {.lex_state = 394, .external_lex_state = 3},
  [20772] = {.lex_state = 394, .external_lex_state = 3},
  [20773] = {.lex_state = 394, .external_lex_state = 3},
  [20774] = {.lex_state = 394, .external_lex_state = 3},
  [20775] = {.lex_state = 425, .external_lex_state = 3},
  [20776] = {.lex_state = 425, .external_lex_state = 3},
  [20777] = {.lex_state = 394, .external_lex_state = 3},
  [20778] = {.lex_state = 136, .external_lex_state = 3},
  [20779] = {.lex_state = 136, .external_lex_state = 3},
  [20780] = {.lex_state = 394, .external_lex_state = 3},
  [20781] = {.lex_state = 136, .external_lex_state = 3},
  [20782] = {.lex_state = 394, .external_lex_state = 3},
  [20783] = {.lex_state = 400, .external_lex_state = 3},
  [20784] = {.lex_state = 394, .external_lex_state = 3},
  [20785] = {.lex_state = 394, .external_lex_state = 3},
  [20786] = {.lex_state = 394, .external_lex_state = 3},
  [20787] = {.lex_state = 394, .external_lex_state = 3},
  [20788] = {.lex_state = 425, .external_lex_state = 3},
  [20789] = {.lex_state = 425, .external_lex_state = 3},
  [20790] = {.lex_state = 400, .external_lex_state = 3},
  [20791] = {.lex_state = 15, .external_lex_state = 3},
  [20792] = {.lex_state = 394, .external_lex_state = 3},
  [20793] = {.lex_state = 394, .external_lex_state = 3},
  [20794] = {.lex_state = 394, .external_lex_state = 3},
  [20795] = {.lex_state = 394, .external_lex_state = 2},
  [20796] = {.lex_state = 136, .external_lex_state = 3},
  [20797] = {.lex_state = 394, .external_lex_state = 3},
  [20798] = {.lex_state = 15, .external_lex_state = 3},
  [20799] = {.lex_state = 394, .external_lex_state = 3},
  [20800] = {.lex_state = 425, .external_lex_state = 3},
  [20801] = {.lex_state = 425, .external_lex_state = 3},
  [20802] = {.lex_state = 425, .external_lex_state = 3},
  [20803] = {.lex_state = 394, .external_lex_state = 3},
  [20804] = {.lex_state = 394, .external_lex_state = 3},
  [20805] = {.lex_state = 394, .external_lex_state = 3},
  [20806] = {.lex_state = 400, .external_lex_state = 3},
  [20807] = {.lex_state = 394, .external_lex_state = 3},
  [20808] = {.lex_state = 394, .external_lex_state = 3},
  [20809] = {.lex_state = 394, .external_lex_state = 3},
  [20810] = {.lex_state = 394, .external_lex_state = 3},
  [20811] = {.lex_state = 394, .external_lex_state = 3},
  [20812] = {.lex_state = 15, .external_lex_state = 3},
  [20813] = {.lex_state = 136, .external_lex_state = 3},
  [20814] = {.lex_state = 394, .external_lex_state = 3},
  [20815] = {.lex_state = 394, .external_lex_state = 3},
  [20816] = {.lex_state = 394, .external_lex_state = 3},
  [20817] = {.lex_state = 425, .external_lex_state = 3},
  [20818] = {.lex_state = 400, .external_lex_state = 3},
  [20819] = {.lex_state = 394, .external_lex_state = 3},
  [20820] = {.lex_state = 394, .external_lex_state = 3},
  [20821] = {.lex_state = 394, .external_lex_state = 3},
  [20822] = {.lex_state = 425, .external_lex_state = 3},
  [20823] = {.lex_state = 394, .external_lex_state = 3},
  [20824] = {.lex_state = 394, .external_lex_state = 3},
  [20825] = {.lex_state = 394, .external_lex_state = 3},
  [20826] = {.lex_state = 394, .external_lex_state = 3},
  [20827] = {.lex_state = 394, .external_lex_state = 3},
  [20828] = {.lex_state = 394, .external_lex_state = 3},
  [20829] = {.lex_state = 394, .external_lex_state = 3},
  [20830] = {.lex_state = 425, .external_lex_state = 3},
  [20831] = {.lex_state = 394, .external_lex_state = 3},
  [20832] = {.lex_state = 136, .external_lex_state = 3},
  [20833] = {.lex_state = 394, .external_lex_state = 3},
  [20834] = {.lex_state = 394, .external_lex_state = 3},
  [20835] = {.lex_state = 136, .external_lex_state = 3},
  [20836] = {.lex_state = 394, .external_lex_state = 3},
  [20837] = {.lex_state = 136, .external_lex_state = 3},
  [20838] = {.lex_state = 400, .external_lex_state = 3},
  [20839] = {.lex_state = 136, .external_lex_state = 3},
  [20840] = {.lex_state = 394, .external_lex_state = 3},
  [20841] = {.lex_state = 394, .external_lex_state = 3},
  [20842] = {.lex_state = 136, .external_lex_state = 3},
  [20843] = {.lex_state = 425, .external_lex_state = 3},
  [20844] = {.lex_state = 425, .external_lex_state = 3},
  [20845] = {.lex_state = 400, .external_lex_state = 3},
  [20846] = {.lex_state = 394, .external_lex_state = 3},
  [20847] = {.lex_state = 394, .external_lex_state = 3},
  [20848] = {.lex_state = 394, .external_lex_state = 3},
  [20849] = {.lex_state = 15, .external_lex_state = 3},
  [20850] = {.lex_state = 136, .external_lex_state = 3},
  [20851] = {.lex_state = 136, .external_lex_state = 3},
  [20852] = {.lex_state = 136, .external_lex_state = 3},
  [20853] = {.lex_state = 136, .external_lex_state = 3},
  [20854] = {.lex_state = 394, .external_lex_state = 3},
  [20855] = {.lex_state = 425, .external_lex_state = 3},
  [20856] = {.lex_state = 425, .external_lex_state = 3},
  [20857] = {.lex_state = 136, .external_lex_state = 3},
  [20858] = {.lex_state = 136, .external_lex_state = 3},
  [20859] = {.lex_state = 394, .external_lex_state = 3},
  [20860] = {.lex_state = 394, .external_lex_state = 3},
  [20861] = {.lex_state = 400, .external_lex_state = 3},
  [20862] = {.lex_state = 394, .external_lex_state = 3},
  [20863] = {.lex_state = 394, .external_lex_state = 3},
  [20864] = {.lex_state = 394, .external_lex_state = 3},
  [20865] = {.lex_state = 394, .external_lex_state = 3},
  [20866] = {.lex_state = 394, .external_lex_state = 3},
  [20867] = {.lex_state = 425, .external_lex_state = 3},
  [20868] = {.lex_state = 394, .external_lex_state = 3},
  [20869] = {.lex_state = 400, .external_lex_state = 3},
  [20870] = {.lex_state = 394, .external_lex_state = 3},
  [20871] = {.lex_state = 136, .external_lex_state = 3},
  [20872] = {.lex_state = 394, .external_lex_state = 3},
  [20873] = {.lex_state = 425, .external_lex_state = 3},
  [20874] = {.lex_state = 400, .external_lex_state = 3},
  [20875] = {.lex_state = 394, .external_lex_state = 2},
  [20876] = {.lex_state = 425, .external_lex_state = 3},
  [20877] = {.lex_state = 394, .external_lex_state = 3},
  [20878] = {.lex_state = 397, .external_lex_state = 3},
  [20879] = {.lex_state = 394, .external_lex_state = 3},
  [20880] = {.lex_state = 425, .external_lex_state = 3},
  [20881] = {.lex_state = 394, .external_lex_state = 3},
  [20882] = {.lex_state = 394, .external_lex_state = 3},
  [20883] = {.lex_state = 394, .external_lex_state = 3},
  [20884] = {.lex_state = 394, .external_lex_state = 3},
  [20885] = {.lex_state = 394, .external_lex_state = 3},
  [20886] = {.lex_state = 394, .external_lex_state = 3},
  [20887] = {.lex_state = 394, .external_lex_state = 2},
  [20888] = {.lex_state = 394, .external_lex_state = 3},
  [20889] = {.lex_state = 15, .external_lex_state = 3},
  [20890] = {.lex_state = 15, .external_lex_state = 3},
  [20891] = {.lex_state = 394, .external_lex_state = 3},
  [20892] = {.lex_state = 394, .external_lex_state = 3},
  [20893] = {.lex_state = 400, .external_lex_state = 3},
  [20894] = {.lex_state = 394, .external_lex_state = 3},
  [20895] = {.lex_state = 394, .external_lex_state = 3},
  [20896] = {.lex_state = 394, .external_lex_state = 3},
  [20897] = {.lex_state = 394, .external_lex_state = 3},
  [20898] = {.lex_state = 425, .external_lex_state = 3},
  [20899] = {.lex_state = 425, .external_lex_state = 3},
  [20900] = {.lex_state = 400, .external_lex_state = 3},
  [20901] = {.lex_state = 400, .external_lex_state = 3},
  [20902] = {.lex_state = 400, .external_lex_state = 3},
  [20903] = {.lex_state = 394, .external_lex_state = 3},
  [20904] = {.lex_state = 394, .external_lex_state = 3},
  [20905] = {.lex_state = 400, .external_lex_state = 3},
  [20906] = {.lex_state = 394, .external_lex_state = 3},
  [20907] = {.lex_state = 425, .external_lex_state = 3},
  [20908] = {.lex_state = 394, .external_lex_state = 3},
  [20909] = {.lex_state = 400, .external_lex_state = 3},
  [20910] = {.lex_state = 394, .external_lex_state = 3},
  [20911] = {.lex_state = 394, .external_lex_state = 3},
  [20912] = {.lex_state = 425, .external_lex_state = 3},
  [20913] = {.lex_state = 400, .external_lex_state = 3},
  [20914] = {.lex_state = 400, .external_lex_state = 3},
  [20915] = {.lex_state = 425, .external_lex_state = 3},
  [20916] = {.lex_state = 400, .external_lex_state = 3},
  [20917] = {.lex_state = 425, .external_lex_state = 3},
  [20918] = {.lex_state = 394, .external_lex_state = 3},
  [20919] = {.lex_state = 425, .external_lex_state = 3},
  [20920] = {.lex_state = 394, .external_lex_state = 2},
  [20921] = {.lex_state = 394, .external_lex_state = 3},
  [20922] = {.lex_state = 394, .external_lex_state = 3},
  [20923] = {.lex_state = 394, .external_lex_state = 3},
  [20924] = {.lex_state = 394, .external_lex_state = 3},
  [20925] = {.lex_state = 394, .external_lex_state = 3},
  [20926] = {.lex_state = 394, .external_lex_state = 3},
  [20927] = {.lex_state = 394, .external_lex_state = 3},
  [20928] = {.lex_state = 394, .external_lex_state = 3},
  [20929] = {.lex_state = 394, .external_lex_state = 3},
  [20930] = {.lex_state = 15, .external_lex_state = 3},
  [20931] = {.lex_state = 425, .external_lex_state = 3},
  [20932] = {.lex_state = 394, .external_lex_state = 3},
  [20933] = {.lex_state = 394, .external_lex_state = 2},
  [20934] = {.lex_state = 394, .external_lex_state = 3},
  [20935] = {.lex_state = 400, .external_lex_state = 3},
  [20936] = {.lex_state = 394, .external_lex_state = 3},
  [20937] = {.lex_state = 400, .external_lex_state = 3},
  [20938] = {.lex_state = 394, .external_lex_state = 3},
  [20939] = {.lex_state = 394, .external_lex_state = 3},
  [20940] = {.lex_state = 425, .external_lex_state = 3},
  [20941] = {.lex_state = 425, .external_lex_state = 3},
  [20942] = {.lex_state = 400, .external_lex_state = 3},
  [20943] = {.lex_state = 394, .external_lex_state = 3},
  [20944] = {.lex_state = 394, .external_lex_state = 3},
  [20945] = {.lex_state = 425, .external_lex_state = 3},
  [20946] = {.lex_state = 425, .external_lex_state = 3},
  [20947] = {.lex_state = 15, .external_lex_state = 3},
  [20948] = {.lex_state = 394, .external_lex_state = 3},
  [20949] = {.lex_state = 425, .external_lex_state = 3},
  [20950] = {.lex_state = 425, .external_lex_state = 3},
  [20951] = {.lex_state = 394, .external_lex_state = 3},
  [20952] = {.lex_state = 394, .external_lex_state = 3},
  [20953] = {.lex_state = 425, .external_lex_state = 3},
  [20954] = {.lex_state = 400, .external_lex_state = 3},
  [20955] = {.lex_state = 400, .external_lex_state = 3},
  [20956] = {.lex_state = 394, .external_lex_state = 3},
  [20957] = {.lex_state = 394, .external_lex_state = 3},
  [20958] = {.lex_state = 394, .external_lex_state = 3},
  [20959] = {.lex_state = 394, .external_lex_state = 3},
  [20960] = {.lex_state = 394, .external_lex_state = 3},
  [20961] = {.lex_state = 425, .external_lex_state = 3},
  [20962] = {.lex_state = 394, .external_lex_state = 3},
  [20963] = {.lex_state = 394, .external_lex_state = 3},
  [20964] = {.lex_state = 394, .external_lex_state = 3},
  [20965] = {.lex_state = 394, .external_lex_state = 3},
  [20966] = {.lex_state = 394, .external_lex_state = 3},
  [20967] = {.lex_state = 394, .external_lex_state = 3},
  [20968] = {.lex_state = 394, .external_lex_state = 3},
  [20969] = {.lex_state = 394, .external_lex_state = 3},
  [20970] = {.lex_state = 15, .external_lex_state = 3},
  [20971] = {.lex_state = 394, .external_lex_state = 3},
  [20972] = {.lex_state = 425, .external_lex_state = 3},
  [20973] = {.lex_state = 394, .external_lex_state = 3},
  [20974] = {.lex_state = 394, .external_lex_state = 3},
  [20975] = {.lex_state = 400, .external_lex_state = 3},
  [20976] = {.lex_state = 400, .external_lex_state = 3},
  [20977] = {.lex_state = 394, .external_lex_state = 3},
  [20978] = {.lex_state = 394, .external_lex_state = 3},
  [20979] = {.lex_state = 394, .external_lex_state = 3},
  [20980] = {.lex_state = 394, .external_lex_state = 3},
  [20981] = {.lex_state = 425, .external_lex_state = 3},
  [20982] = {.lex_state = 425, .external_lex_state = 3},
  [20983] = {.lex_state = 400, .external_lex_state = 3},
  [20984] = {.lex_state = 394, .external_lex_state = 3},
  [20985] = {.lex_state = 394, .external_lex_state = 3},
  [20986] = {.lex_state = 400, .external_lex_state = 3},
  [20987] = {.lex_state = 394, .external_lex_state = 3},
  [20988] = {.lex_state = 425, .external_lex_state = 3},
  [20989] = {.lex_state = 394, .external_lex_state = 3},
  [20990] = {.lex_state = 425, .external_lex_state = 3},
  [20991] = {.lex_state = 425, .external_lex_state = 3},
  [20992] = {.lex_state = 15, .external_lex_state = 3},
  [20993] = {.lex_state = 394, .external_lex_state = 3},
  [20994] = {.lex_state = 394, .external_lex_state = 3},
  [20995] = {.lex_state = 394, .external_lex_state = 3},
  [20996] = {.lex_state = 400, .external_lex_state = 3},
  [20997] = {.lex_state = 136, .external_lex_state = 3},
  [20998] = {.lex_state = 136, .external_lex_state = 3},
  [20999] = {.lex_state = 136, .external_lex_state = 3},
  [21000] = {.lex_state = 394, .external_lex_state = 3},
  [21001] = {.lex_state = 394, .external_lex_state = 3},
  [21002] = {.lex_state = 394, .external_lex_state = 3},
  [21003] = {.lex_state = 425, .external_lex_state = 3},
  [21004] = {.lex_state = 394, .external_lex_state = 3},
  [21005] = {.lex_state = 394, .external_lex_state = 3},
  [21006] = {.lex_state = 394, .external_lex_state = 3},
  [21007] = {.lex_state = 394, .external_lex_state = 3},
  [21008] = {.lex_state = 394, .external_lex_state = 3},
  [21009] = {.lex_state = 394, .external_lex_state = 3},
  [21010] = {.lex_state = 394, .external_lex_state = 3},
  [21011] = {.lex_state = 394, .external_lex_state = 3},
  [21012] = {.lex_state = 394, .external_lex_state = 3},
  [21013] = {.lex_state = 394, .external_lex_state = 3},
  [21014] = {.lex_state = 394, .external_lex_state = 3},
  [21015] = {.lex_state = 425, .external_lex_state = 3},
  [21016] = {.lex_state = 394, .external_lex_state = 3},
  [21017] = {.lex_state = 400, .external_lex_state = 3},
  [21018] = {.lex_state = 394, .external_lex_state = 3},
  [21019] = {.lex_state = 394, .external_lex_state = 3},
  [21020] = {.lex_state = 394, .external_lex_state = 3},
  [21021] = {.lex_state = 136, .external_lex_state = 3},
  [21022] = {.lex_state = 425, .external_lex_state = 3},
  [21023] = {.lex_state = 425, .external_lex_state = 3},
  [21024] = {.lex_state = 400, .external_lex_state = 3},
  [21025] = {.lex_state = 400, .external_lex_state = 3},
  [21026] = {.lex_state = 136, .external_lex_state = 3},
  [21027] = {.lex_state = 136, .external_lex_state = 3},
  [21028] = {.lex_state = 394, .external_lex_state = 3},
  [21029] = {.lex_state = 136, .external_lex_state = 3},
  [21030] = {.lex_state = 394, .external_lex_state = 3},
  [21031] = {.lex_state = 425, .external_lex_state = 3},
  [21032] = {.lex_state = 425, .external_lex_state = 3},
  [21033] = {.lex_state = 394, .external_lex_state = 3},
  [21034] = {.lex_state = 394, .external_lex_state = 3},
  [21035] = {.lex_state = 136, .external_lex_state = 3},
  [21036] = {.lex_state = 425, .external_lex_state = 3},
  [21037] = {.lex_state = 400, .external_lex_state = 3},
  [21038] = {.lex_state = 394, .external_lex_state = 3},
  [21039] = {.lex_state = 394, .external_lex_state = 3},
  [21040] = {.lex_state = 394, .external_lex_state = 3},
  [21041] = {.lex_state = 394, .external_lex_state = 3},
  [21042] = {.lex_state = 394, .external_lex_state = 3},
  [21043] = {.lex_state = 394, .external_lex_state = 3},
  [21044] = {.lex_state = 394, .external_lex_state = 3},
  [21045] = {.lex_state = 394, .external_lex_state = 3},
  [21046] = {.lex_state = 394, .external_lex_state = 3},
  [21047] = {.lex_state = 394, .external_lex_state = 3},
  [21048] = {.lex_state = 394, .external_lex_state = 3},
  [21049] = {.lex_state = 394, .external_lex_state = 3},
  [21050] = {.lex_state = 394, .external_lex_state = 3},
  [21051] = {.lex_state = 394, .external_lex_state = 3},
  [21052] = {.lex_state = 394, .external_lex_state = 3},
  [21053] = {.lex_state = 394, .external_lex_state = 3},
  [21054] = {.lex_state = 394, .external_lex_state = 3},
  [21055] = {.lex_state = 400, .external_lex_state = 3},
  [21056] = {.lex_state = 394, .external_lex_state = 3},
  [21057] = {.lex_state = 394, .external_lex_state = 3},
  [21058] = {.lex_state = 400, .external_lex_state = 3},
  [21059] = {.lex_state = 394, .external_lex_state = 3},
  [21060] = {.lex_state = 400, .external_lex_state = 3},
  [21061] = {.lex_state = 394, .external_lex_state = 3},
  [21062] = {.lex_state = 136, .external_lex_state = 3},
  [21063] = {.lex_state = 425, .external_lex_state = 3},
  [21064] = {.lex_state = 425, .external_lex_state = 3},
  [21065] = {.lex_state = 400, .external_lex_state = 3},
  [21066] = {.lex_state = 394, .external_lex_state = 3},
  [21067] = {.lex_state = 394, .external_lex_state = 3},
  [21068] = {.lex_state = 400, .external_lex_state = 3},
  [21069] = {.lex_state = 394, .external_lex_state = 3},
  [21070] = {.lex_state = 394, .external_lex_state = 3},
  [21071] = {.lex_state = 394, .external_lex_state = 3},
  [21072] = {.lex_state = 425, .external_lex_state = 3},
  [21073] = {.lex_state = 425, .external_lex_state = 3},
  [21074] = {.lex_state = 425, .external_lex_state = 3},
  [21075] = {.lex_state = 394, .external_lex_state = 3},
  [21076] = {.lex_state = 425, .external_lex_state = 3},
  [21077] = {.lex_state = 136, .external_lex_state = 3},
  [21078] = {.lex_state = 400, .external_lex_state = 3},
  [21079] = {.lex_state = 394, .external_lex_state = 2},
  [21080] = {.lex_state = 394, .external_lex_state = 3},
  [21081] = {.lex_state = 15, .external_lex_state = 3},
  [21082] = {.lex_state = 394, .external_lex_state = 3},
  [21083] = {.lex_state = 394, .external_lex_state = 3},
  [21084] = {.lex_state = 394, .external_lex_state = 3},
  [21085] = {.lex_state = 394, .external_lex_state = 3},
  [21086] = {.lex_state = 394, .external_lex_state = 3},
  [21087] = {.lex_state = 394, .external_lex_state = 3},
  [21088] = {.lex_state = 425, .external_lex_state = 3},
  [21089] = {.lex_state = 394, .external_lex_state = 3},
  [21090] = {.lex_state = 394, .external_lex_state = 3},
  [21091] = {.lex_state = 394, .external_lex_state = 3},
  [21092] = {.lex_state = 394, .external_lex_state = 3},
  [21093] = {.lex_state = 394, .external_lex_state = 3},
  [21094] = {.lex_state = 394, .external_lex_state = 3},
  [21095] = {.lex_state = 394, .external_lex_state = 3},
  [21096] = {.lex_state = 394, .external_lex_state = 3},
  [21097] = {.lex_state = 394, .external_lex_state = 3},
  [21098] = {.lex_state = 394, .external_lex_state = 3},
  [21099] = {.lex_state = 400, .external_lex_state = 3},
  [21100] = {.lex_state = 136, .external_lex_state = 3},
  [21101] = {.lex_state = 425, .external_lex_state = 3},
  [21102] = {.lex_state = 425, .external_lex_state = 3},
  [21103] = {.lex_state = 394, .external_lex_state = 3},
  [21104] = {.lex_state = 425, .external_lex_state = 3},
  [21105] = {.lex_state = 425, .external_lex_state = 3},
  [21106] = {.lex_state = 400, .external_lex_state = 3},
  [21107] = {.lex_state = 394, .external_lex_state = 3},
  [21108] = {.lex_state = 394, .external_lex_state = 3},
  [21109] = {.lex_state = 394, .external_lex_state = 3},
  [21110] = {.lex_state = 394, .external_lex_state = 3},
  [21111] = {.lex_state = 394, .external_lex_state = 3},
  [21112] = {.lex_state = 394, .external_lex_state = 3},
  [21113] = {.lex_state = 425, .external_lex_state = 3},
  [21114] = {.lex_state = 425, .external_lex_state = 3},
  [21115] = {.lex_state = 394, .external_lex_state = 3},
  [21116] = {.lex_state = 394, .external_lex_state = 3},
  [21117] = {.lex_state = 394, .external_lex_state = 3},
  [21118] = {.lex_state = 394, .external_lex_state = 3},
  [21119] = {.lex_state = 400, .external_lex_state = 3},
  [21120] = {.lex_state = 394, .external_lex_state = 3},
  [21121] = {.lex_state = 394, .external_lex_state = 3},
  [21122] = {.lex_state = 394, .external_lex_state = 3},
  [21123] = {.lex_state = 394, .external_lex_state = 3},
  [21124] = {.lex_state = 394, .external_lex_state = 3},
  [21125] = {.lex_state = 394, .external_lex_state = 3},
  [21126] = {.lex_state = 394, .external_lex_state = 3},
  [21127] = {.lex_state = 394, .external_lex_state = 3},
  [21128] = {.lex_state = 394, .external_lex_state = 3},
  [21129] = {.lex_state = 394, .external_lex_state = 3},
  [21130] = {.lex_state = 394, .external_lex_state = 3},
  [21131] = {.lex_state = 394, .external_lex_state = 3},
  [21132] = {.lex_state = 394, .external_lex_state = 3},
  [21133] = {.lex_state = 394, .external_lex_state = 3},
  [21134] = {.lex_state = 394, .external_lex_state = 3},
  [21135] = {.lex_state = 425, .external_lex_state = 3},
  [21136] = {.lex_state = 394, .external_lex_state = 3},
  [21137] = {.lex_state = 394, .external_lex_state = 3},
  [21138] = {.lex_state = 400, .external_lex_state = 3},
  [21139] = {.lex_state = 425, .external_lex_state = 3},
  [21140] = {.lex_state = 400, .external_lex_state = 3},
  [21141] = {.lex_state = 394, .external_lex_state = 3},
  [21142] = {.lex_state = 394, .external_lex_state = 3},
  [21143] = {.lex_state = 394, .external_lex_state = 3},
  [21144] = {.lex_state = 136, .external_lex_state = 3},
  [21145] = {.lex_state = 425, .external_lex_state = 3},
  [21146] = {.lex_state = 425, .external_lex_state = 3},
  [21147] = {.lex_state = 400, .external_lex_state = 3},
  [21148] = {.lex_state = 136, .external_lex_state = 3},
  [21149] = {.lex_state = 394, .external_lex_state = 3},
  [21150] = {.lex_state = 136, .external_lex_state = 3},
  [21151] = {.lex_state = 394, .external_lex_state = 3},
  [21152] = {.lex_state = 394, .external_lex_state = 3},
  [21153] = {.lex_state = 394, .external_lex_state = 3},
  [21154] = {.lex_state = 425, .external_lex_state = 3},
  [21155] = {.lex_state = 425, .external_lex_state = 3},
  [21156] = {.lex_state = 394, .external_lex_state = 3},
  [21157] = {.lex_state = 394, .external_lex_state = 3},
  [21158] = {.lex_state = 425, .external_lex_state = 3},
  [21159] = {.lex_state = 394, .external_lex_state = 3},
  [21160] = {.lex_state = 400, .external_lex_state = 3},
  [21161] = {.lex_state = 394, .external_lex_state = 3},
  [21162] = {.lex_state = 394, .external_lex_state = 3},
  [21163] = {.lex_state = 425, .external_lex_state = 3},
  [21164] = {.lex_state = 394, .external_lex_state = 3},
  [21165] = {.lex_state = 394, .external_lex_state = 3},
  [21166] = {.lex_state = 394, .external_lex_state = 3},
  [21167] = {.lex_state = 394, .external_lex_state = 3},
  [21168] = {.lex_state = 394, .external_lex_state = 3},
  [21169] = {.lex_state = 394, .external_lex_state = 3},
  [21170] = {.lex_state = 394, .external_lex_state = 3},
  [21171] = {.lex_state = 394, .external_lex_state = 3},
  [21172] = {.lex_state = 394, .external_lex_state = 3},
  [21173] = {.lex_state = 394, .external_lex_state = 3},
  [21174] = {.lex_state = 394, .external_lex_state = 3},
  [21175] = {.lex_state = 136, .external_lex_state = 3},
  [21176] = {.lex_state = 136, .external_lex_state = 3},
  [21177] = {.lex_state = 136, .external_lex_state = 3},
  [21178] = {.lex_state = 394, .external_lex_state = 3},
  [21179] = {.lex_state = 394, .external_lex_state = 3},
  [21180] = {.lex_state = 136, .external_lex_state = 3},
  [21181] = {.lex_state = 400, .external_lex_state = 3},
  [21182] = {.lex_state = 394, .external_lex_state = 3},
  [21183] = {.lex_state = 425, .external_lex_state = 3},
  [21184] = {.lex_state = 136, .external_lex_state = 3},
  [21185] = {.lex_state = 394, .external_lex_state = 3},
  [21186] = {.lex_state = 425, .external_lex_state = 3},
  [21187] = {.lex_state = 425, .external_lex_state = 3},
  [21188] = {.lex_state = 400, .external_lex_state = 3},
  [21189] = {.lex_state = 136, .external_lex_state = 3},
  [21190] = {.lex_state = 394, .external_lex_state = 2},
  [21191] = {.lex_state = 394, .external_lex_state = 3},
  [21192] = {.lex_state = 394, .external_lex_state = 2},
  [21193] = {.lex_state = 394, .external_lex_state = 3},
  [21194] = {.lex_state = 394, .external_lex_state = 3},
  [21195] = {.lex_state = 425, .external_lex_state = 3},
  [21196] = {.lex_state = 425, .external_lex_state = 3},
  [21197] = {.lex_state = 394, .external_lex_state = 3},
  [21198] = {.lex_state = 394, .external_lex_state = 3},
  [21199] = {.lex_state = 394, .external_lex_state = 3},
  [21200] = {.lex_state = 394, .external_lex_state = 3},
  [21201] = {.lex_state = 400, .external_lex_state = 3},
  [21202] = {.lex_state = 394, .external_lex_state = 3},
  [21203] = {.lex_state = 394, .external_lex_state = 3},
  [21204] = {.lex_state = 394, .external_lex_state = 3},
  [21205] = {.lex_state = 394, .external_lex_state = 3},
  [21206] = {.lex_state = 394, .external_lex_state = 3},
  [21207] = {.lex_state = 394, .external_lex_state = 3},
  [21208] = {.lex_state = 394, .external_lex_state = 3},
  [21209] = {.lex_state = 15, .external_lex_state = 3},
  [21210] = {.lex_state = 394, .external_lex_state = 3},
  [21211] = {.lex_state = 394, .external_lex_state = 3},
  [21212] = {.lex_state = 394, .external_lex_state = 3},
  [21213] = {.lex_state = 394, .external_lex_state = 3},
  [21214] = {.lex_state = 394, .external_lex_state = 3},
  [21215] = {.lex_state = 394, .external_lex_state = 3},
  [21216] = {.lex_state = 394, .external_lex_state = 3},
  [21217] = {.lex_state = 400, .external_lex_state = 3},
  [21218] = {.lex_state = 394, .external_lex_state = 3},
  [21219] = {.lex_state = 425, .external_lex_state = 3},
  [21220] = {.lex_state = 394, .external_lex_state = 3},
  [21221] = {.lex_state = 394, .external_lex_state = 3},
  [21222] = {.lex_state = 400, .external_lex_state = 3},
  [21223] = {.lex_state = 425, .external_lex_state = 3},
  [21224] = {.lex_state = 394, .external_lex_state = 3},
  [21225] = {.lex_state = 394, .external_lex_state = 2},
  [21226] = {.lex_state = 394, .external_lex_state = 3},
  [21227] = {.lex_state = 425, .external_lex_state = 3},
  [21228] = {.lex_state = 425, .external_lex_state = 3},
  [21229] = {.lex_state = 400, .external_lex_state = 3},
  [21230] = {.lex_state = 400, .external_lex_state = 3},
  [21231] = {.lex_state = 394, .external_lex_state = 3},
  [21232] = {.lex_state = 15, .external_lex_state = 3},
  [21233] = {.lex_state = 15, .external_lex_state = 3},
  [21234] = {.lex_state = 394, .external_lex_state = 3},
  [21235] = {.lex_state = 394, .external_lex_state = 3},
  [21236] = {.lex_state = 425, .external_lex_state = 3},
  [21237] = {.lex_state = 425, .external_lex_state = 3},
  [21238] = {.lex_state = 15, .external_lex_state = 3},
  [21239] = {.lex_state = 394, .external_lex_state = 3},
  [21240] = {.lex_state = 394, .external_lex_state = 3},
  [21241] = {.lex_state = 394, .external_lex_state = 3},
  [21242] = {.lex_state = 400, .external_lex_state = 3},
  [21243] = {.lex_state = 394, .external_lex_state = 3},
  [21244] = {.lex_state = 394, .external_lex_state = 3},
  [21245] = {.lex_state = 394, .external_lex_state = 3},
  [21246] = {.lex_state = 394, .external_lex_state = 3},
  [21247] = {.lex_state = 394, .external_lex_state = 3},
  [21248] = {.lex_state = 394, .external_lex_state = 3},
  [21249] = {.lex_state = 394, .external_lex_state = 3},
  [21250] = {.lex_state = 394, .external_lex_state = 3},
  [21251] = {.lex_state = 394, .external_lex_state = 3},
  [21252] = {.lex_state = 394, .external_lex_state = 3},
  [21253] = {.lex_state = 394, .external_lex_state = 3},
  [21254] = {.lex_state = 394, .external_lex_state = 3},
  [21255] = {.lex_state = 394, .external_lex_state = 3},
  [21256] = {.lex_state = 394, .external_lex_state = 3},
  [21257] = {.lex_state = 394, .external_lex_state = 3},
  [21258] = {.lex_state = 400, .external_lex_state = 3},
  [21259] = {.lex_state = 394, .external_lex_state = 3},
  [21260] = {.lex_state = 394, .external_lex_state = 3},
  [21261] = {.lex_state = 394, .external_lex_state = 3},
  [21262] = {.lex_state = 394, .external_lex_state = 3},
  [21263] = {.lex_state = 400, .external_lex_state = 3},
  [21264] = {.lex_state = 425, .external_lex_state = 3},
  [21265] = {.lex_state = 394, .external_lex_state = 3},
  [21266] = {.lex_state = 136, .external_lex_state = 3},
  [21267] = {.lex_state = 394, .external_lex_state = 3},
  [21268] = {.lex_state = 425, .external_lex_state = 3},
  [21269] = {.lex_state = 425, .external_lex_state = 3},
  [21270] = {.lex_state = 400, .external_lex_state = 3},
  [21271] = {.lex_state = 425, .external_lex_state = 3},
  [21272] = {.lex_state = 394, .external_lex_state = 3},
  [21273] = {.lex_state = 136, .external_lex_state = 3},
  [21274] = {.lex_state = 136, .external_lex_state = 3},
  [21275] = {.lex_state = 394, .external_lex_state = 3},
  [21276] = {.lex_state = 394, .external_lex_state = 3},
  [21277] = {.lex_state = 425, .external_lex_state = 3},
  [21278] = {.lex_state = 425, .external_lex_state = 3},
  [21279] = {.lex_state = 425, .external_lex_state = 3},
  [21280] = {.lex_state = 425, .external_lex_state = 3},
  [21281] = {.lex_state = 394, .external_lex_state = 3},
  [21282] = {.lex_state = 394, .external_lex_state = 3},
  [21283] = {.lex_state = 400, .external_lex_state = 3},
  [21284] = {.lex_state = 394, .external_lex_state = 3},
  [21285] = {.lex_state = 394, .external_lex_state = 3},
  [21286] = {.lex_state = 394, .external_lex_state = 3},
  [21287] = {.lex_state = 394, .external_lex_state = 2},
  [21288] = {.lex_state = 394, .external_lex_state = 3},
  [21289] = {.lex_state = 394, .external_lex_state = 3},
  [21290] = {.lex_state = 425, .external_lex_state = 3},
  [21291] = {.lex_state = 394, .external_lex_state = 3},
  [21292] = {.lex_state = 136, .external_lex_state = 3},
  [21293] = {.lex_state = 394, .external_lex_state = 3},
  [21294] = {.lex_state = 394, .external_lex_state = 3},
  [21295] = {.lex_state = 394, .external_lex_state = 3},
  [21296] = {.lex_state = 394, .external_lex_state = 3},
  [21297] = {.lex_state = 394, .external_lex_state = 3},
  [21298] = {.lex_state = 15, .external_lex_state = 3},
  [21299] = {.lex_state = 394, .external_lex_state = 3},
  [21300] = {.lex_state = 394, .external_lex_state = 3},
  [21301] = {.lex_state = 394, .external_lex_state = 3},
  [21302] = {.lex_state = 136, .external_lex_state = 3},
  [21303] = {.lex_state = 394, .external_lex_state = 3},
  [21304] = {.lex_state = 400, .external_lex_state = 3},
  [21305] = {.lex_state = 136, .external_lex_state = 3},
  [21306] = {.lex_state = 136, .external_lex_state = 3},
  [21307] = {.lex_state = 394, .external_lex_state = 3},
  [21308] = {.lex_state = 425, .external_lex_state = 3},
  [21309] = {.lex_state = 425, .external_lex_state = 3},
  [21310] = {.lex_state = 425, .external_lex_state = 3},
  [21311] = {.lex_state = 400, .external_lex_state = 3},
  [21312] = {.lex_state = 394, .external_lex_state = 3},
  [21313] = {.lex_state = 394, .external_lex_state = 3},
  [21314] = {.lex_state = 394, .external_lex_state = 3},
  [21315] = {.lex_state = 394, .external_lex_state = 3},
  [21316] = {.lex_state = 394, .external_lex_state = 3},
  [21317] = {.lex_state = 394, .external_lex_state = 3},
  [21318] = {.lex_state = 425, .external_lex_state = 3},
  [21319] = {.lex_state = 425, .external_lex_state = 3},
  [21320] = {.lex_state = 394, .external_lex_state = 3},
  [21321] = {.lex_state = 394, .external_lex_state = 3},
  [21322] = {.lex_state = 394, .external_lex_state = 3},
  [21323] = {.lex_state = 394, .external_lex_state = 3},
  [21324] = {.lex_state = 400, .external_lex_state = 3},
  [21325] = {.lex_state = 394, .external_lex_state = 3},
  [21326] = {.lex_state = 394, .external_lex_state = 3},
  [21327] = {.lex_state = 15, .external_lex_state = 3},
  [21328] = {.lex_state = 394, .external_lex_state = 3},
  [21329] = {.lex_state = 394, .external_lex_state = 3},
  [21330] = {.lex_state = 394, .external_lex_state = 3},
  [21331] = {.lex_state = 136, .external_lex_state = 3},
  [21332] = {.lex_state = 394, .external_lex_state = 3},
  [21333] = {.lex_state = 394, .external_lex_state = 3},
  [21334] = {.lex_state = 394, .external_lex_state = 3},
  [21335] = {.lex_state = 394, .external_lex_state = 3},
  [21336] = {.lex_state = 394, .external_lex_state = 3},
  [21337] = {.lex_state = 394, .external_lex_state = 3},
  [21338] = {.lex_state = 394, .external_lex_state = 3},
  [21339] = {.lex_state = 394, .external_lex_state = 3},
  [21340] = {.lex_state = 394, .external_lex_state = 3},
  [21341] = {.lex_state = 394, .external_lex_state = 3},
  [21342] = {.lex_state = 394, .external_lex_state = 3},
  [21343] = {.lex_state = 394, .external_lex_state = 3},
  [21344] = {.lex_state = 394, .external_lex_state = 3},
  [21345] = {.lex_state = 400, .external_lex_state = 3},
  [21346] = {.lex_state = 394, .external_lex_state = 3},
  [21347] = {.lex_state = 394, .external_lex_state = 3},
  [21348] = {.lex_state = 394, .external_lex_state = 3},
  [21349] = {.lex_state = 425, .external_lex_state = 3},
  [21350] = {.lex_state = 425, .external_lex_state = 3},
  [21351] = {.lex_state = 400, .external_lex_state = 3},
  [21352] = {.lex_state = 394, .external_lex_state = 3},
  [21353] = {.lex_state = 400, .external_lex_state = 3},
  [21354] = {.lex_state = 394, .external_lex_state = 3},
  [21355] = {.lex_state = 400, .external_lex_state = 3},
  [21356] = {.lex_state = 394, .external_lex_state = 3},
  [21357] = {.lex_state = 394, .external_lex_state = 3},
  [21358] = {.lex_state = 425, .external_lex_state = 3},
  [21359] = {.lex_state = 425, .external_lex_state = 3},
  [21360] = {.lex_state = 136, .external_lex_state = 3},
  [21361] = {.lex_state = 394, .external_lex_state = 3},
  [21362] = {.lex_state = 136, .external_lex_state = 3},
  [21363] = {.lex_state = 394, .external_lex_state = 3},
  [21364] = {.lex_state = 400, .external_lex_state = 3},
  [21365] = {.lex_state = 136, .external_lex_state = 3},
  [21366] = {.lex_state = 394, .external_lex_state = 3},
  [21367] = {.lex_state = 400, .external_lex_state = 3},
  [21368] = {.lex_state = 394, .external_lex_state = 3},
  [21369] = {.lex_state = 394, .external_lex_state = 3},
  [21370] = {.lex_state = 394, .external_lex_state = 3},
  [21371] = {.lex_state = 394, .external_lex_state = 3},
  [21372] = {.lex_state = 400, .external_lex_state = 3},
  [21373] = {.lex_state = 394, .external_lex_state = 3},
  [21374] = {.lex_state = 400, .external_lex_state = 3},
  [21375] = {.lex_state = 394, .external_lex_state = 3},
  [21376] = {.lex_state = 394, .external_lex_state = 3},
  [21377] = {.lex_state = 394, .external_lex_state = 3},
  [21378] = {.lex_state = 394, .external_lex_state = 3},
  [21379] = {.lex_state = 394, .external_lex_state = 2},
  [21380] = {.lex_state = 15, .external_lex_state = 3},
  [21381] = {.lex_state = 425, .external_lex_state = 3},
  [21382] = {.lex_state = 136, .external_lex_state = 3},
  [21383] = {.lex_state = 425, .external_lex_state = 3},
  [21384] = {.lex_state = 425, .external_lex_state = 3},
  [21385] = {.lex_state = 400, .external_lex_state = 3},
  [21386] = {.lex_state = 400, .external_lex_state = 3},
  [21387] = {.lex_state = 394, .external_lex_state = 3},
  [21388] = {.lex_state = 394, .external_lex_state = 3},
  [21389] = {.lex_state = 425, .external_lex_state = 3},
  [21390] = {.lex_state = 425, .external_lex_state = 3},
  [21391] = {.lex_state = 400, .external_lex_state = 3},
  [21392] = {.lex_state = 394, .external_lex_state = 3},
  [21393] = {.lex_state = 425, .external_lex_state = 3},
  [21394] = {.lex_state = 394, .external_lex_state = 2},
  [21395] = {.lex_state = 394, .external_lex_state = 3},
  [21396] = {.lex_state = 15, .external_lex_state = 3},
  [21397] = {.lex_state = 400, .external_lex_state = 3},
  [21398] = {.lex_state = 425, .external_lex_state = 3},
  [21399] = {.lex_state = 425, .external_lex_state = 3},
  [21400] = {.lex_state = 394, .external_lex_state = 3},
  [21401] = {.lex_state = 394, .external_lex_state = 3},
  [21402] = {.lex_state = 425, .external_lex_state = 3},
  [21403] = {.lex_state = 394, .external_lex_state = 3},
  [21404] = {.lex_state = 400, .external_lex_state = 3},
  [21405] = {.lex_state = 394, .external_lex_state = 3},
  [21406] = {.lex_state = 394, .external_lex_state = 3},
  [21407] = {.lex_state = 394, .external_lex_state = 3},
  [21408] = {.lex_state = 425, .external_lex_state = 3},
  [21409] = {.lex_state = 394, .external_lex_state = 3},
  [21410] = {.lex_state = 394, .external_lex_state = 3},
  [21411] = {.lex_state = 394, .external_lex_state = 2},
  [21412] = {.lex_state = 394, .external_lex_state = 3},
  [21413] = {.lex_state = 425, .external_lex_state = 3},
  [21414] = {.lex_state = 15, .external_lex_state = 3},
  [21415] = {.lex_state = 394, .external_lex_state = 3},
  [21416] = {.lex_state = 394, .external_lex_state = 3},
  [21417] = {.lex_state = 394, .external_lex_state = 3},
  [21418] = {.lex_state = 394, .external_lex_state = 3},
  [21419] = {.lex_state = 394, .external_lex_state = 3},
  [21420] = {.lex_state = 394, .external_lex_state = 3},
  [21421] = {.lex_state = 400, .external_lex_state = 3},
  [21422] = {.lex_state = 394, .external_lex_state = 3},
  [21423] = {.lex_state = 394, .external_lex_state = 3},
  [21424] = {.lex_state = 400, .external_lex_state = 3},
  [21425] = {.lex_state = 394, .external_lex_state = 3},
  [21426] = {.lex_state = 425, .external_lex_state = 3},
  [21427] = {.lex_state = 136, .external_lex_state = 3},
  [21428] = {.lex_state = 425, .external_lex_state = 3},
  [21429] = {.lex_state = 425, .external_lex_state = 3},
  [21430] = {.lex_state = 400, .external_lex_state = 3},
  [21431] = {.lex_state = 394, .external_lex_state = 3},
  [21432] = {.lex_state = 425, .external_lex_state = 3},
  [21433] = {.lex_state = 394, .external_lex_state = 3},
  [21434] = {.lex_state = 425, .external_lex_state = 3},
  [21435] = {.lex_state = 394, .external_lex_state = 3},
  [21436] = {.lex_state = 425, .external_lex_state = 3},
  [21437] = {.lex_state = 425, .external_lex_state = 3},
  [21438] = {.lex_state = 425, .external_lex_state = 3},
  [21439] = {.lex_state = 394, .external_lex_state = 2},
  [21440] = {.lex_state = 394, .external_lex_state = 3},
  [21441] = {.lex_state = 394, .external_lex_state = 3},
  [21442] = {.lex_state = 394, .external_lex_state = 3},
  [21443] = {.lex_state = 400, .external_lex_state = 3},
  [21444] = {.lex_state = 400, .external_lex_state = 3},
  [21445] = {.lex_state = 394, .external_lex_state = 3},
  [21446] = {.lex_state = 394, .external_lex_state = 3},
  [21447] = {.lex_state = 136, .external_lex_state = 3},
  [21448] = {.lex_state = 394, .external_lex_state = 3},
  [21449] = {.lex_state = 136, .external_lex_state = 3},
  [21450] = {.lex_state = 394, .external_lex_state = 3},
  [21451] = {.lex_state = 136, .external_lex_state = 3},
  [21452] = {.lex_state = 394, .external_lex_state = 3},
  [21453] = {.lex_state = 425, .external_lex_state = 3},
  [21454] = {.lex_state = 394, .external_lex_state = 3},
  [21455] = {.lex_state = 394, .external_lex_state = 3},
  [21456] = {.lex_state = 394, .external_lex_state = 3},
  [21457] = {.lex_state = 394, .external_lex_state = 3},
  [21458] = {.lex_state = 394, .external_lex_state = 3},
  [21459] = {.lex_state = 394, .external_lex_state = 3},
  [21460] = {.lex_state = 394, .external_lex_state = 3},
  [21461] = {.lex_state = 394, .external_lex_state = 3},
  [21462] = {.lex_state = 136, .external_lex_state = 3},
  [21463] = {.lex_state = 400, .external_lex_state = 3},
  [21464] = {.lex_state = 394, .external_lex_state = 3},
  [21465] = {.lex_state = 394, .external_lex_state = 3},
  [21466] = {.lex_state = 15, .external_lex_state = 3},
  [21467] = {.lex_state = 425, .external_lex_state = 3},
  [21468] = {.lex_state = 425, .external_lex_state = 3},
  [21469] = {.lex_state = 400, .external_lex_state = 3},
  [21470] = {.lex_state = 394, .external_lex_state = 3},
  [21471] = {.lex_state = 425, .external_lex_state = 3},
  [21472] = {.lex_state = 394, .external_lex_state = 3},
  [21473] = {.lex_state = 394, .external_lex_state = 3},
  [21474] = {.lex_state = 394, .external_lex_state = 3},
  [21475] = {.lex_state = 394, .external_lex_state = 3},
  [21476] = {.lex_state = 425, .external_lex_state = 3},
  [21477] = {.lex_state = 425, .external_lex_state = 3},
  [21478] = {.lex_state = 394, .external_lex_state = 3},
  [21479] = {.lex_state = 394, .external_lex_state = 3},
  [21480] = {.lex_state = 425, .external_lex_state = 3},
  [21481] = {.lex_state = 394, .external_lex_state = 3},
  [21482] = {.lex_state = 400, .external_lex_state = 3},
  [21483] = {.lex_state = 394, .external_lex_state = 3},
  [21484] = {.lex_state = 394, .external_lex_state = 3},
  [21485] = {.lex_state = 394, .external_lex_state = 3},
  [21486] = {.lex_state = 394, .external_lex_state = 3},
  [21487] = {.lex_state = 394, .external_lex_state = 3},
  [21488] = {.lex_state = 394, .external_lex_state = 3},
  [21489] = {.lex_state = 425, .external_lex_state = 3},
  [21490] = {.lex_state = 400, .external_lex_state = 3},
  [21491] = {.lex_state = 394, .external_lex_state = 3},
  [21492] = {.lex_state = 425, .external_lex_state = 3},
  [21493] = {.lex_state = 394, .external_lex_state = 3},
  [21494] = {.lex_state = 394, .external_lex_state = 3},
  [21495] = {.lex_state = 394, .external_lex_state = 3},
  [21496] = {.lex_state = 394, .external_lex_state = 3},
  [21497] = {.lex_state = 394, .external_lex_state = 3},
  [21498] = {.lex_state = 425, .external_lex_state = 3},
  [21499] = {.lex_state = 394, .external_lex_state = 2},
  [21500] = {.lex_state = 394, .external_lex_state = 3},
  [21501] = {.lex_state = 394, .external_lex_state = 3},
  [21502] = {.lex_state = 400, .external_lex_state = 3},
  [21503] = {.lex_state = 394, .external_lex_state = 3},
  [21504] = {.lex_state = 15, .external_lex_state = 3},
  [21505] = {.lex_state = 394, .external_lex_state = 3},
  [21506] = {.lex_state = 425, .external_lex_state = 3},
  [21507] = {.lex_state = 425, .external_lex_state = 3},
  [21508] = {.lex_state = 400, .external_lex_state = 3},
  [21509] = {.lex_state = 394, .external_lex_state = 9},
  [21510] = {.lex_state = 394, .external_lex_state = 3},
  [21511] = {.lex_state = 136, .external_lex_state = 3},
  [21512] = {.lex_state = 394, .external_lex_state = 3},
  [21513] = {.lex_state = 394, .external_lex_state = 3},
  [21514] = {.lex_state = 394, .external_lex_state = 3},
  [21515] = {.lex_state = 425, .external_lex_state = 3},
  [21516] = {.lex_state = 425, .external_lex_state = 3},
  [21517] = {.lex_state = 394, .external_lex_state = 3},
  [21518] = {.lex_state = 15, .external_lex_state = 3},
  [21519] = {.lex_state = 394, .external_lex_state = 3},
  [21520] = {.lex_state = 394, .external_lex_state = 3},
  [21521] = {.lex_state = 400, .external_lex_state = 3},
  [21522] = {.lex_state = 15, .external_lex_state = 3},
  [21523] = {.lex_state = 425, .external_lex_state = 3},
  [21524] = {.lex_state = 394, .external_lex_state = 3},
  [21525] = {.lex_state = 394, .external_lex_state = 3},
  [21526] = {.lex_state = 394, .external_lex_state = 3},
  [21527] = {.lex_state = 394, .external_lex_state = 3},
  [21528] = {.lex_state = 394, .external_lex_state = 3},
  [21529] = {.lex_state = 394, .external_lex_state = 3},
  [21530] = {.lex_state = 394, .external_lex_state = 3},
  [21531] = {.lex_state = 394, .external_lex_state = 3},
  [21532] = {.lex_state = 394, .external_lex_state = 3},
  [21533] = {.lex_state = 394, .external_lex_state = 3},
  [21534] = {.lex_state = 394, .external_lex_state = 3},
  [21535] = {.lex_state = 394, .external_lex_state = 3},
  [21536] = {.lex_state = 394, .external_lex_state = 3},
  [21537] = {.lex_state = 394, .external_lex_state = 3},
  [21538] = {.lex_state = 394, .external_lex_state = 3},
  [21539] = {.lex_state = 394, .external_lex_state = 3},
  [21540] = {.lex_state = 394, .external_lex_state = 3},
  [21541] = {.lex_state = 400, .external_lex_state = 3},
  [21542] = {.lex_state = 394, .external_lex_state = 3},
  [21543] = {.lex_state = 394, .external_lex_state = 3},
  [21544] = {.lex_state = 136, .external_lex_state = 3},
  [21545] = {.lex_state = 425, .external_lex_state = 3},
  [21546] = {.lex_state = 425, .external_lex_state = 3},
  [21547] = {.lex_state = 400, .external_lex_state = 3},
  [21548] = {.lex_state = 394, .external_lex_state = 3},
  [21549] = {.lex_state = 394, .external_lex_state = 3},
  [21550] = {.lex_state = 136, .external_lex_state = 3},
  [21551] = {.lex_state = 425, .external_lex_state = 3},
  [21552] = {.lex_state = 394, .external_lex_state = 3},
  [21553] = {.lex_state = 394, .external_lex_state = 3},
  [21554] = {.lex_state = 425, .external_lex_state = 3},
  [21555] = {.lex_state = 425, .external_lex_state = 3},
  [21556] = {.lex_state = 394, .external_lex_state = 3},
  [21557] = {.lex_state = 394, .external_lex_state = 3},
  [21558] = {.lex_state = 394, .external_lex_state = 3},
  [21559] = {.lex_state = 394, .external_lex_state = 3},
  [21560] = {.lex_state = 400, .external_lex_state = 3},
  [21561] = {.lex_state = 394, .external_lex_state = 3},
  [21562] = {.lex_state = 394, .external_lex_state = 3},
  [21563] = {.lex_state = 394, .external_lex_state = 3},
  [21564] = {.lex_state = 394, .external_lex_state = 3},
  [21565] = {.lex_state = 394, .external_lex_state = 3},
  [21566] = {.lex_state = 394, .external_lex_state = 3},
  [21567] = {.lex_state = 394, .external_lex_state = 3},
  [21568] = {.lex_state = 394, .external_lex_state = 3},
  [21569] = {.lex_state = 394, .external_lex_state = 3},
  [21570] = {.lex_state = 394, .external_lex_state = 3},
  [21571] = {.lex_state = 394, .external_lex_state = 3},
  [21572] = {.lex_state = 394, .external_lex_state = 3},
  [21573] = {.lex_state = 394, .external_lex_state = 3},
  [21574] = {.lex_state = 394, .external_lex_state = 3},
  [21575] = {.lex_state = 394, .external_lex_state = 3},
  [21576] = {.lex_state = 394, .external_lex_state = 3},
  [21577] = {.lex_state = 394, .external_lex_state = 3},
  [21578] = {.lex_state = 394, .external_lex_state = 3},
  [21579] = {.lex_state = 400, .external_lex_state = 3},
  [21580] = {.lex_state = 394, .external_lex_state = 3},
  [21581] = {.lex_state = 394, .external_lex_state = 3},
  [21582] = {.lex_state = 136, .external_lex_state = 3},
  [21583] = {.lex_state = 425, .external_lex_state = 3},
  [21584] = {.lex_state = 425, .external_lex_state = 3},
  [21585] = {.lex_state = 400, .external_lex_state = 3},
  [21586] = {.lex_state = 394, .external_lex_state = 3},
  [21587] = {.lex_state = 425, .external_lex_state = 3},
  [21588] = {.lex_state = 394, .external_lex_state = 3},
  [21589] = {.lex_state = 394, .external_lex_state = 3},
  [21590] = {.lex_state = 394, .external_lex_state = 3},
  [21591] = {.lex_state = 394, .external_lex_state = 3},
  [21592] = {.lex_state = 425, .external_lex_state = 3},
  [21593] = {.lex_state = 425, .external_lex_state = 3},
  [21594] = {.lex_state = 394, .external_lex_state = 3},
  [21595] = {.lex_state = 394, .external_lex_state = 3},
  [21596] = {.lex_state = 394, .external_lex_state = 3},
  [21597] = {.lex_state = 394, .external_lex_state = 3},
  [21598] = {.lex_state = 400, .external_lex_state = 3},
  [21599] = {.lex_state = 394, .external_lex_state = 3},
  [21600] = {.lex_state = 394, .external_lex_state = 3},
  [21601] = {.lex_state = 425, .external_lex_state = 3},
  [21602] = {.lex_state = 394, .external_lex_state = 3},
  [21603] = {.lex_state = 394, .external_lex_state = 3},
  [21604] = {.lex_state = 394, .external_lex_state = 3},
  [21605] = {.lex_state = 394, .external_lex_state = 3},
  [21606] = {.lex_state = 136, .external_lex_state = 3},
  [21607] = {.lex_state = 136, .external_lex_state = 3},
  [21608] = {.lex_state = 394, .external_lex_state = 3},
  [21609] = {.lex_state = 394, .external_lex_state = 3},
  [21610] = {.lex_state = 394, .external_lex_state = 3},
  [21611] = {.lex_state = 394, .external_lex_state = 3},
  [21612] = {.lex_state = 136, .external_lex_state = 3},
  [21613] = {.lex_state = 394, .external_lex_state = 3},
  [21614] = {.lex_state = 394, .external_lex_state = 3},
  [21615] = {.lex_state = 394, .external_lex_state = 3},
  [21616] = {.lex_state = 394, .external_lex_state = 3},
  [21617] = {.lex_state = 400, .external_lex_state = 3},
  [21618] = {.lex_state = 394, .external_lex_state = 3},
  [21619] = {.lex_state = 394, .external_lex_state = 3},
  [21620] = {.lex_state = 394, .external_lex_state = 3},
  [21621] = {.lex_state = 425, .external_lex_state = 3},
  [21622] = {.lex_state = 425, .external_lex_state = 3},
  [21623] = {.lex_state = 400, .external_lex_state = 3},
  [21624] = {.lex_state = 394, .external_lex_state = 3},
  [21625] = {.lex_state = 394, .external_lex_state = 3},
  [21626] = {.lex_state = 394, .external_lex_state = 3},
  [21627] = {.lex_state = 394, .external_lex_state = 3},
  [21628] = {.lex_state = 136, .external_lex_state = 3},
  [21629] = {.lex_state = 394, .external_lex_state = 3},
  [21630] = {.lex_state = 425, .external_lex_state = 3},
  [21631] = {.lex_state = 425, .external_lex_state = 3},
  [21632] = {.lex_state = 394, .external_lex_state = 3},
  [21633] = {.lex_state = 394, .external_lex_state = 3},
  [21634] = {.lex_state = 394, .external_lex_state = 3},
  [21635] = {.lex_state = 394, .external_lex_state = 3},
  [21636] = {.lex_state = 400, .external_lex_state = 3},
  [21637] = {.lex_state = 394, .external_lex_state = 3},
  [21638] = {.lex_state = 394, .external_lex_state = 3},
  [21639] = {.lex_state = 394, .external_lex_state = 3},
  [21640] = {.lex_state = 394, .external_lex_state = 3},
  [21641] = {.lex_state = 394, .external_lex_state = 3},
  [21642] = {.lex_state = 394, .external_lex_state = 3},
  [21643] = {.lex_state = 394, .external_lex_state = 3},
  [21644] = {.lex_state = 394, .external_lex_state = 3},
  [21645] = {.lex_state = 394, .external_lex_state = 3},
  [21646] = {.lex_state = 394, .external_lex_state = 3},
  [21647] = {.lex_state = 394, .external_lex_state = 3},
  [21648] = {.lex_state = 394, .external_lex_state = 3},
  [21649] = {.lex_state = 394, .external_lex_state = 3},
  [21650] = {.lex_state = 394, .external_lex_state = 3},
  [21651] = {.lex_state = 394, .external_lex_state = 3},
  [21652] = {.lex_state = 394, .external_lex_state = 3},
  [21653] = {.lex_state = 394, .external_lex_state = 3},
  [21654] = {.lex_state = 394, .external_lex_state = 3},
  [21655] = {.lex_state = 400, .external_lex_state = 3},
  [21656] = {.lex_state = 394, .external_lex_state = 3},
  [21657] = {.lex_state = 394, .external_lex_state = 3},
  [21658] = {.lex_state = 394, .external_lex_state = 3},
  [21659] = {.lex_state = 425, .external_lex_state = 3},
  [21660] = {.lex_state = 425, .external_lex_state = 3},
  [21661] = {.lex_state = 400, .external_lex_state = 3},
  [21662] = {.lex_state = 394, .external_lex_state = 3},
  [21663] = {.lex_state = 394, .external_lex_state = 3},
  [21664] = {.lex_state = 15, .external_lex_state = 3},
  [21665] = {.lex_state = 400, .external_lex_state = 3},
  [21666] = {.lex_state = 394, .external_lex_state = 3},
  [21667] = {.lex_state = 425, .external_lex_state = 3},
  [21668] = {.lex_state = 425, .external_lex_state = 3},
  [21669] = {.lex_state = 425, .external_lex_state = 3},
  [21670] = {.lex_state = 136, .external_lex_state = 3},
  [21671] = {.lex_state = 425, .external_lex_state = 3},
  [21672] = {.lex_state = 394, .external_lex_state = 2},
  [21673] = {.lex_state = 394, .external_lex_state = 3},
  [21674] = {.lex_state = 400, .external_lex_state = 3},
  [21675] = {.lex_state = 136, .external_lex_state = 3},
  [21676] = {.lex_state = 15, .external_lex_state = 3},
  [21677] = {.lex_state = 394, .external_lex_state = 3},
  [21678] = {.lex_state = 394, .external_lex_state = 3},
  [21679] = {.lex_state = 394, .external_lex_state = 3},
  [21680] = {.lex_state = 394, .external_lex_state = 3},
  [21681] = {.lex_state = 394, .external_lex_state = 3},
  [21682] = {.lex_state = 394, .external_lex_state = 3},
  [21683] = {.lex_state = 394, .external_lex_state = 3},
  [21684] = {.lex_state = 394, .external_lex_state = 3},
  [21685] = {.lex_state = 394, .external_lex_state = 3},
  [21686] = {.lex_state = 394, .external_lex_state = 3},
  [21687] = {.lex_state = 394, .external_lex_state = 3},
  [21688] = {.lex_state = 394, .external_lex_state = 3},
  [21689] = {.lex_state = 394, .external_lex_state = 3},
  [21690] = {.lex_state = 394, .external_lex_state = 3},
  [21691] = {.lex_state = 394, .external_lex_state = 3},
  [21692] = {.lex_state = 394, .external_lex_state = 3},
  [21693] = {.lex_state = 400, .external_lex_state = 3},
  [21694] = {.lex_state = 394, .external_lex_state = 3},
  [21695] = {.lex_state = 394, .external_lex_state = 3},
  [21696] = {.lex_state = 394, .external_lex_state = 3},
  [21697] = {.lex_state = 425, .external_lex_state = 3},
  [21698] = {.lex_state = 425, .external_lex_state = 3},
  [21699] = {.lex_state = 400, .external_lex_state = 3},
  [21700] = {.lex_state = 394, .external_lex_state = 3},
  [21701] = {.lex_state = 394, .external_lex_state = 3},
  [21702] = {.lex_state = 394, .external_lex_state = 3},
  [21703] = {.lex_state = 394, .external_lex_state = 3},
  [21704] = {.lex_state = 394, .external_lex_state = 3},
  [21705] = {.lex_state = 394, .external_lex_state = 3},
  [21706] = {.lex_state = 425, .external_lex_state = 3},
  [21707] = {.lex_state = 425, .external_lex_state = 3},
  [21708] = {.lex_state = 394, .external_lex_state = 3},
  [21709] = {.lex_state = 394, .external_lex_state = 3},
  [21710] = {.lex_state = 394, .external_lex_state = 3},
  [21711] = {.lex_state = 394, .external_lex_state = 3},
  [21712] = {.lex_state = 400, .external_lex_state = 3},
  [21713] = {.lex_state = 394, .external_lex_state = 3},
  [21714] = {.lex_state = 394, .external_lex_state = 3},
  [21715] = {.lex_state = 394, .external_lex_state = 3},
  [21716] = {.lex_state = 136, .external_lex_state = 3},
  [21717] = {.lex_state = 394, .external_lex_state = 3},
  [21718] = {.lex_state = 136, .external_lex_state = 3},
  [21719] = {.lex_state = 136, .external_lex_state = 3},
  [21720] = {.lex_state = 394, .external_lex_state = 3},
  [21721] = {.lex_state = 394, .external_lex_state = 3},
  [21722] = {.lex_state = 394, .external_lex_state = 3},
  [21723] = {.lex_state = 394, .external_lex_state = 3},
  [21724] = {.lex_state = 394, .external_lex_state = 3},
  [21725] = {.lex_state = 394, .external_lex_state = 3},
  [21726] = {.lex_state = 394, .external_lex_state = 3},
  [21727] = {.lex_state = 394, .external_lex_state = 3},
  [21728] = {.lex_state = 394, .external_lex_state = 3},
  [21729] = {.lex_state = 394, .external_lex_state = 3},
  [21730] = {.lex_state = 136, .external_lex_state = 3},
  [21731] = {.lex_state = 400, .external_lex_state = 3},
  [21732] = {.lex_state = 136, .external_lex_state = 3},
  [21733] = {.lex_state = 394, .external_lex_state = 3},
  [21734] = {.lex_state = 394, .external_lex_state = 3},
  [21735] = {.lex_state = 425, .external_lex_state = 3},
  [21736] = {.lex_state = 425, .external_lex_state = 3},
  [21737] = {.lex_state = 400, .external_lex_state = 3},
  [21738] = {.lex_state = 394, .external_lex_state = 3},
  [21739] = {.lex_state = 425, .external_lex_state = 3},
  [21740] = {.lex_state = 394, .external_lex_state = 3},
  [21741] = {.lex_state = 394, .external_lex_state = 3},
  [21742] = {.lex_state = 394, .external_lex_state = 3},
  [21743] = {.lex_state = 394, .external_lex_state = 3},
  [21744] = {.lex_state = 425, .external_lex_state = 3},
  [21745] = {.lex_state = 425, .external_lex_state = 3},
  [21746] = {.lex_state = 394, .external_lex_state = 3},
  [21747] = {.lex_state = 425, .external_lex_state = 3},
  [21748] = {.lex_state = 394, .external_lex_state = 3},
  [21749] = {.lex_state = 394, .external_lex_state = 3},
  [21750] = {.lex_state = 400, .external_lex_state = 3},
  [21751] = {.lex_state = 394, .external_lex_state = 3},
  [21752] = {.lex_state = 394, .external_lex_state = 3},
  [21753] = {.lex_state = 394, .external_lex_state = 3},
  [21754] = {.lex_state = 394, .external_lex_state = 3},
  [21755] = {.lex_state = 394, .external_lex_state = 3},
  [21756] = {.lex_state = 400, .external_lex_state = 3},
  [21757] = {.lex_state = 394, .external_lex_state = 3},
  [21758] = {.lex_state = 425, .external_lex_state = 3},
  [21759] = {.lex_state = 400, .external_lex_state = 3},
  [21760] = {.lex_state = 394, .external_lex_state = 3},
  [21761] = {.lex_state = 394, .external_lex_state = 3},
  [21762] = {.lex_state = 394, .external_lex_state = 3},
  [21763] = {.lex_state = 394, .external_lex_state = 3},
  [21764] = {.lex_state = 425, .external_lex_state = 3},
  [21765] = {.lex_state = 394, .external_lex_state = 2},
  [21766] = {.lex_state = 394, .external_lex_state = 3},
  [21767] = {.lex_state = 400, .external_lex_state = 3},
  [21768] = {.lex_state = 136, .external_lex_state = 3},
  [21769] = {.lex_state = 400, .external_lex_state = 3},
  [21770] = {.lex_state = 15, .external_lex_state = 3},
  [21771] = {.lex_state = 394, .external_lex_state = 3},
  [21772] = {.lex_state = 136, .external_lex_state = 3},
  [21773] = {.lex_state = 425, .external_lex_state = 3},
  [21774] = {.lex_state = 425, .external_lex_state = 3},
  [21775] = {.lex_state = 400, .external_lex_state = 3},
  [21776] = {.lex_state = 394, .external_lex_state = 3},
  [21777] = {.lex_state = 394, .external_lex_state = 3},
  [21778] = {.lex_state = 394, .external_lex_state = 3},
  [21779] = {.lex_state = 394, .external_lex_state = 3},
  [21780] = {.lex_state = 400, .external_lex_state = 3},
  [21781] = {.lex_state = 425, .external_lex_state = 3},
  [21782] = {.lex_state = 425, .external_lex_state = 3},
  [21783] = {.lex_state = 425, .external_lex_state = 3},
  [21784] = {.lex_state = 136, .external_lex_state = 3},
  [21785] = {.lex_state = 425, .external_lex_state = 3},
  [21786] = {.lex_state = 394, .external_lex_state = 3},
  [21787] = {.lex_state = 394, .external_lex_state = 3},
  [21788] = {.lex_state = 400, .external_lex_state = 3},
  [21789] = {.lex_state = 425, .external_lex_state = 3},
  [21790] = {.lex_state = 400, .external_lex_state = 3},
  [21791] = {.lex_state = 394, .external_lex_state = 3},
  [21792] = {.lex_state = 394, .external_lex_state = 3},
  [21793] = {.lex_state = 394, .external_lex_state = 3},
  [21794] = {.lex_state = 394, .external_lex_state = 3},
  [21795] = {.lex_state = 394, .external_lex_state = 3},
  [21796] = {.lex_state = 394, .external_lex_state = 3},
  [21797] = {.lex_state = 394, .external_lex_state = 3},
  [21798] = {.lex_state = 394, .external_lex_state = 3},
  [21799] = {.lex_state = 394, .external_lex_state = 3},
  [21800] = {.lex_state = 394, .external_lex_state = 3},
  [21801] = {.lex_state = 394, .external_lex_state = 3},
  [21802] = {.lex_state = 394, .external_lex_state = 3},
  [21803] = {.lex_state = 394, .external_lex_state = 3},
  [21804] = {.lex_state = 394, .external_lex_state = 3},
  [21805] = {.lex_state = 394, .external_lex_state = 3},
  [21806] = {.lex_state = 394, .external_lex_state = 3},
  [21807] = {.lex_state = 400, .external_lex_state = 3},
  [21808] = {.lex_state = 394, .external_lex_state = 3},
  [21809] = {.lex_state = 394, .external_lex_state = 3},
  [21810] = {.lex_state = 394, .external_lex_state = 3},
  [21811] = {.lex_state = 425, .external_lex_state = 3},
  [21812] = {.lex_state = 425, .external_lex_state = 3},
  [21813] = {.lex_state = 400, .external_lex_state = 3},
  [21814] = {.lex_state = 394, .external_lex_state = 3},
  [21815] = {.lex_state = 394, .external_lex_state = 3},
  [21816] = {.lex_state = 425, .external_lex_state = 3},
  [21817] = {.lex_state = 394, .external_lex_state = 3},
  [21818] = {.lex_state = 394, .external_lex_state = 3},
  [21819] = {.lex_state = 394, .external_lex_state = 3},
  [21820] = {.lex_state = 425, .external_lex_state = 3},
  [21821] = {.lex_state = 425, .external_lex_state = 3},
  [21822] = {.lex_state = 394, .external_lex_state = 3},
  [21823] = {.lex_state = 394, .external_lex_state = 3},
  [21824] = {.lex_state = 136, .external_lex_state = 3},
  [21825] = {.lex_state = 394, .external_lex_state = 3},
  [21826] = {.lex_state = 400, .external_lex_state = 3},
  [21827] = {.lex_state = 136, .external_lex_state = 3},
  [21828] = {.lex_state = 394, .external_lex_state = 3},
  [21829] = {.lex_state = 425, .external_lex_state = 3},
  [21830] = {.lex_state = 394, .external_lex_state = 3},
  [21831] = {.lex_state = 394, .external_lex_state = 3},
  [21832] = {.lex_state = 425, .external_lex_state = 3},
  [21833] = {.lex_state = 394, .external_lex_state = 3},
  [21834] = {.lex_state = 394, .external_lex_state = 3},
  [21835] = {.lex_state = 394, .external_lex_state = 3},
  [21836] = {.lex_state = 394, .external_lex_state = 3},
  [21837] = {.lex_state = 394, .external_lex_state = 3},
  [21838] = {.lex_state = 394, .external_lex_state = 3},
  [21839] = {.lex_state = 394, .external_lex_state = 3},
  [21840] = {.lex_state = 394, .external_lex_state = 3},
  [21841] = {.lex_state = 394, .external_lex_state = 3},
  [21842] = {.lex_state = 400, .external_lex_state = 3},
  [21843] = {.lex_state = 394, .external_lex_state = 3},
  [21844] = {.lex_state = 394, .external_lex_state = 3},
  [21845] = {.lex_state = 400, .external_lex_state = 3},
  [21846] = {.lex_state = 394, .external_lex_state = 3},
  [21847] = {.lex_state = 136, .external_lex_state = 3},
  [21848] = {.lex_state = 394, .external_lex_state = 3},
  [21849] = {.lex_state = 425, .external_lex_state = 3},
  [21850] = {.lex_state = 425, .external_lex_state = 3},
  [21851] = {.lex_state = 400, .external_lex_state = 3},
  [21852] = {.lex_state = 394, .external_lex_state = 3},
  [21853] = {.lex_state = 136, .external_lex_state = 3},
  [21854] = {.lex_state = 394, .external_lex_state = 3},
  [21855] = {.lex_state = 394, .external_lex_state = 3},
  [21856] = {.lex_state = 136, .external_lex_state = 3},
  [21857] = {.lex_state = 394, .external_lex_state = 3},
  [21858] = {.lex_state = 425, .external_lex_state = 3},
  [21859] = {.lex_state = 425, .external_lex_state = 3},
  [21860] = {.lex_state = 394, .external_lex_state = 3},
  [21861] = {.lex_state = 394, .external_lex_state = 3},
  [21862] = {.lex_state = 136, .external_lex_state = 3},
  [21863] = {.lex_state = 394, .external_lex_state = 3},
  [21864] = {.lex_state = 400, .external_lex_state = 3},
  [21865] = {.lex_state = 394, .external_lex_state = 3},
  [21866] = {.lex_state = 394, .external_lex_state = 3},
  [21867] = {.lex_state = 394, .external_lex_state = 3},
  [21868] = {.lex_state = 136, .external_lex_state = 3},
  [21869] = {.lex_state = 394, .external_lex_state = 3},
  [21870] = {.lex_state = 136, .external_lex_state = 3},
  [21871] = {.lex_state = 394, .external_lex_state = 3},
  [21872] = {.lex_state = 136, .external_lex_state = 3},
  [21873] = {.lex_state = 394, .external_lex_state = 3},
  [21874] = {.lex_state = 394, .external_lex_state = 3},
  [21875] = {.lex_state = 394, .external_lex_state = 3},
  [21876] = {.lex_state = 394, .external_lex_state = 3},
  [21877] = {.lex_state = 394, .external_lex_state = 3},
  [21878] = {.lex_state = 394, .external_lex_state = 3},
  [21879] = {.lex_state = 394, .external_lex_state = 3},
  [21880] = {.lex_state = 394, .external_lex_state = 3},
  [21881] = {.lex_state = 429, .external_lex_state = 3},
  [21882] = {.lex_state = 394, .external_lex_state = 3},
  [21883] = {.lex_state = 400, .external_lex_state = 3},
  [21884] = {.lex_state = 394, .external_lex_state = 3},
  [21885] = {.lex_state = 394, .external_lex_state = 3},
  [21886] = {.lex_state = 394, .external_lex_state = 3},
  [21887] = {.lex_state = 425, .external_lex_state = 3},
  [21888] = {.lex_state = 425, .external_lex_state = 3},
  [21889] = {.lex_state = 400, .external_lex_state = 3},
  [21890] = {.lex_state = 425, .external_lex_state = 3},
  [21891] = {.lex_state = 136, .external_lex_state = 3},
  [21892] = {.lex_state = 136, .external_lex_state = 3},
  [21893] = {.lex_state = 136, .external_lex_state = 3},
  [21894] = {.lex_state = 136, .external_lex_state = 3},
  [21895] = {.lex_state = 394, .external_lex_state = 3},
  [21896] = {.lex_state = 425, .external_lex_state = 3},
  [21897] = {.lex_state = 425, .external_lex_state = 3},
  [21898] = {.lex_state = 394, .external_lex_state = 3},
  [21899] = {.lex_state = 394, .external_lex_state = 3},
  [21900] = {.lex_state = 394, .external_lex_state = 3},
  [21901] = {.lex_state = 394, .external_lex_state = 3},
  [21902] = {.lex_state = 400, .external_lex_state = 3},
  [21903] = {.lex_state = 394, .external_lex_state = 3},
  [21904] = {.lex_state = 394, .external_lex_state = 3},
  [21905] = {.lex_state = 136, .external_lex_state = 3},
  [21906] = {.lex_state = 394, .external_lex_state = 3},
  [21907] = {.lex_state = 394, .external_lex_state = 3},
  [21908] = {.lex_state = 394, .external_lex_state = 3},
  [21909] = {.lex_state = 394, .external_lex_state = 3},
  [21910] = {.lex_state = 394, .external_lex_state = 3},
  [21911] = {.lex_state = 394, .external_lex_state = 3},
  [21912] = {.lex_state = 394, .external_lex_state = 3},
  [21913] = {.lex_state = 394, .external_lex_state = 3},
  [21914] = {.lex_state = 394, .external_lex_state = 3},
  [21915] = {.lex_state = 394, .external_lex_state = 3},
  [21916] = {.lex_state = 394, .external_lex_state = 3},
  [21917] = {.lex_state = 394, .external_lex_state = 3},
  [21918] = {.lex_state = 394, .external_lex_state = 3},
  [21919] = {.lex_state = 394, .external_lex_state = 3},
  [21920] = {.lex_state = 136, .external_lex_state = 3},
  [21921] = {.lex_state = 400, .external_lex_state = 3},
  [21922] = {.lex_state = 136, .external_lex_state = 3},
  [21923] = {.lex_state = 394, .external_lex_state = 3},
  [21924] = {.lex_state = 425, .external_lex_state = 3},
  [21925] = {.lex_state = 425, .external_lex_state = 3},
  [21926] = {.lex_state = 400, .external_lex_state = 3},
  [21927] = {.lex_state = 394, .external_lex_state = 3},
  [21928] = {.lex_state = 400, .external_lex_state = 3},
  [21929] = {.lex_state = 136, .external_lex_state = 3},
  [21930] = {.lex_state = 394, .external_lex_state = 3},
  [21931] = {.lex_state = 394, .external_lex_state = 3},
  [21932] = {.lex_state = 394, .external_lex_state = 3},
  [21933] = {.lex_state = 425, .external_lex_state = 3},
  [21934] = {.lex_state = 425, .external_lex_state = 3},
  [21935] = {.lex_state = 394, .external_lex_state = 3},
  [21936] = {.lex_state = 394, .external_lex_state = 3},
  [21937] = {.lex_state = 394, .external_lex_state = 3},
  [21938] = {.lex_state = 394, .external_lex_state = 3},
  [21939] = {.lex_state = 400, .external_lex_state = 3},
  [21940] = {.lex_state = 136, .external_lex_state = 3},
  [21941] = {.lex_state = 394, .external_lex_state = 3},
  [21942] = {.lex_state = 394, .external_lex_state = 3},
  [21943] = {.lex_state = 394, .external_lex_state = 3},
  [21944] = {.lex_state = 394, .external_lex_state = 3},
  [21945] = {.lex_state = 394, .external_lex_state = 3},
  [21946] = {.lex_state = 394, .external_lex_state = 3},
  [21947] = {.lex_state = 394, .external_lex_state = 3},
  [21948] = {.lex_state = 394, .external_lex_state = 3},
  [21949] = {.lex_state = 394, .external_lex_state = 3},
  [21950] = {.lex_state = 394, .external_lex_state = 3},
  [21951] = {.lex_state = 394, .external_lex_state = 3},
  [21952] = {.lex_state = 394, .external_lex_state = 3},
  [21953] = {.lex_state = 394, .external_lex_state = 3},
  [21954] = {.lex_state = 394, .external_lex_state = 3},
  [21955] = {.lex_state = 394, .external_lex_state = 3},
  [21956] = {.lex_state = 400, .external_lex_state = 3},
  [21957] = {.lex_state = 136, .external_lex_state = 3},
  [21958] = {.lex_state = 400, .external_lex_state = 3},
  [21959] = {.lex_state = 394, .external_lex_state = 3},
  [21960] = {.lex_state = 394, .external_lex_state = 3},
  [21961] = {.lex_state = 425, .external_lex_state = 3},
  [21962] = {.lex_state = 425, .external_lex_state = 3},
  [21963] = {.lex_state = 400, .external_lex_state = 3},
  [21964] = {.lex_state = 425, .external_lex_state = 3},
  [21965] = {.lex_state = 136, .external_lex_state = 3},
  [21966] = {.lex_state = 136, .external_lex_state = 3},
  [21967] = {.lex_state = 394, .external_lex_state = 3},
  [21968] = {.lex_state = 136, .external_lex_state = 3},
  [21969] = {.lex_state = 136, .external_lex_state = 3},
  [21970] = {.lex_state = 425, .external_lex_state = 3},
  [21971] = {.lex_state = 425, .external_lex_state = 3},
  [21972] = {.lex_state = 394, .external_lex_state = 3},
  [21973] = {.lex_state = 394, .external_lex_state = 3},
  [21974] = {.lex_state = 394, .external_lex_state = 3},
  [21975] = {.lex_state = 394, .external_lex_state = 3},
  [21976] = {.lex_state = 400, .external_lex_state = 3},
  [21977] = {.lex_state = 394, .external_lex_state = 3},
  [21978] = {.lex_state = 425, .external_lex_state = 3},
  [21979] = {.lex_state = 136, .external_lex_state = 3},
  [21980] = {.lex_state = 394, .external_lex_state = 3},
  [21981] = {.lex_state = 394, .external_lex_state = 3},
  [21982] = {.lex_state = 136, .external_lex_state = 3},
  [21983] = {.lex_state = 136, .external_lex_state = 3},
  [21984] = {.lex_state = 136, .external_lex_state = 3},
  [21985] = {.lex_state = 394, .external_lex_state = 3},
  [21986] = {.lex_state = 394, .external_lex_state = 3},
  [21987] = {.lex_state = 394, .external_lex_state = 3},
  [21988] = {.lex_state = 394, .external_lex_state = 3},
  [21989] = {.lex_state = 394, .external_lex_state = 3},
  [21990] = {.lex_state = 394, .external_lex_state = 2},
  [21991] = {.lex_state = 394, .external_lex_state = 3},
  [21992] = {.lex_state = 400, .external_lex_state = 3},
  [21993] = {.lex_state = 394, .external_lex_state = 3},
  [21994] = {.lex_state = 15, .external_lex_state = 3},
  [21995] = {.lex_state = 400, .external_lex_state = 3},
  [21996] = {.lex_state = 136, .external_lex_state = 3},
  [21997] = {.lex_state = 400, .external_lex_state = 3},
  [21998] = {.lex_state = 394, .external_lex_state = 3},
  [21999] = {.lex_state = 136, .external_lex_state = 3},
  [22000] = {.lex_state = 394, .external_lex_state = 3},
  [22001] = {.lex_state = 400, .external_lex_state = 3},
  [22002] = {.lex_state = 425, .external_lex_state = 3},
  [22003] = {.lex_state = 136, .external_lex_state = 3},
  [22004] = {.lex_state = 425, .external_lex_state = 3},
  [22005] = {.lex_state = 394, .external_lex_state = 3},
  [22006] = {.lex_state = 394, .external_lex_state = 2},
  [22007] = {.lex_state = 394, .external_lex_state = 3},
  [22008] = {.lex_state = 394, .external_lex_state = 3},
  [22009] = {.lex_state = 394, .external_lex_state = 3},
  [22010] = {.lex_state = 394, .external_lex_state = 3},
  [22011] = {.lex_state = 394, .external_lex_state = 3},
  [22012] = {.lex_state = 400, .external_lex_state = 3},
  [22013] = {.lex_state = 394, .external_lex_state = 3},
  [22014] = {.lex_state = 394, .external_lex_state = 3},
  [22015] = {.lex_state = 400, .external_lex_state = 3},
  [22016] = {.lex_state = 15, .external_lex_state = 3},
  [22017] = {.lex_state = 425, .external_lex_state = 3},
  [22018] = {.lex_state = 394, .external_lex_state = 3},
  [22019] = {.lex_state = 425, .external_lex_state = 3},
  [22020] = {.lex_state = 394, .external_lex_state = 2},
  [22021] = {.lex_state = 400, .external_lex_state = 3},
  [22022] = {.lex_state = 394, .external_lex_state = 3},
  [22023] = {.lex_state = 394, .external_lex_state = 3},
  [22024] = {.lex_state = 394, .external_lex_state = 3},
  [22025] = {.lex_state = 394, .external_lex_state = 3},
  [22026] = {.lex_state = 394, .external_lex_state = 3},
  [22027] = {.lex_state = 394, .external_lex_state = 3},
  [22028] = {.lex_state = 394, .external_lex_state = 3},
  [22029] = {.lex_state = 394, .external_lex_state = 3},
  [22030] = {.lex_state = 15, .external_lex_state = 3},
  [22031] = {.lex_state = 136, .external_lex_state = 3},
  [22032] = {.lex_state = 394, .external_lex_state = 3},
  [22033] = {.lex_state = 394, .external_lex_state = 3},
  [22034] = {.lex_state = 394, .external_lex_state = 3},
  [22035] = {.lex_state = 394, .external_lex_state = 3},
  [22036] = {.lex_state = 394, .external_lex_state = 3},
  [22037] = {.lex_state = 394, .external_lex_state = 3},
  [22038] = {.lex_state = 394, .external_lex_state = 3},
  [22039] = {.lex_state = 394, .external_lex_state = 3},
  [22040] = {.lex_state = 394, .external_lex_state = 3},
  [22041] = {.lex_state = 394, .external_lex_state = 3},
  [22042] = {.lex_state = 394, .external_lex_state = 3},
  [22043] = {.lex_state = 394, .external_lex_state = 3},
  [22044] = {.lex_state = 425, .external_lex_state = 3},
  [22045] = {.lex_state = 394, .external_lex_state = 3},
  [22046] = {.lex_state = 394, .external_lex_state = 3},
  [22047] = {.lex_state = 394, .external_lex_state = 3},
  [22048] = {.lex_state = 394, .external_lex_state = 3},
  [22049] = {.lex_state = 394, .external_lex_state = 3},
  [22050] = {.lex_state = 394, .external_lex_state = 3},
  [22051] = {.lex_state = 394, .external_lex_state = 3},
  [22052] = {.lex_state = 394, .external_lex_state = 3},
  [22053] = {.lex_state = 394, .external_lex_state = 3},
  [22054] = {.lex_state = 394, .external_lex_state = 3},
  [22055] = {.lex_state = 394, .external_lex_state = 3},
  [22056] = {.lex_state = 394, .external_lex_state = 3},
  [22057] = {.lex_state = 394, .external_lex_state = 3},
  [22058] = {.lex_state = 425, .external_lex_state = 3},
  [22059] = {.lex_state = 15, .external_lex_state = 3},
  [22060] = {.lex_state = 394, .external_lex_state = 3},
  [22061] = {.lex_state = 394, .external_lex_state = 3},
  [22062] = {.lex_state = 394, .external_lex_state = 3},
  [22063] = {.lex_state = 394, .external_lex_state = 3},
  [22064] = {.lex_state = 394, .external_lex_state = 3},
  [22065] = {.lex_state = 394, .external_lex_state = 3},
  [22066] = {.lex_state = 394, .external_lex_state = 3},
  [22067] = {.lex_state = 394, .external_lex_state = 3},
  [22068] = {.lex_state = 394, .external_lex_state = 3},
  [22069] = {.lex_state = 400, .external_lex_state = 3},
  [22070] = {.lex_state = 394, .external_lex_state = 3},
  [22071] = {.lex_state = 425, .external_lex_state = 3},
  [22072] = {.lex_state = 394, .external_lex_state = 3},
  [22073] = {.lex_state = 394, .external_lex_state = 3},
  [22074] = {.lex_state = 425, .external_lex_state = 3},
  [22075] = {.lex_state = 394, .external_lex_state = 3},
  [22076] = {.lex_state = 394, .external_lex_state = 3},
  [22077] = {.lex_state = 394, .external_lex_state = 3},
  [22078] = {.lex_state = 394, .external_lex_state = 3},
  [22079] = {.lex_state = 394, .external_lex_state = 3},
  [22080] = {.lex_state = 400, .external_lex_state = 3},
  [22081] = {.lex_state = 394, .external_lex_state = 3},
  [22082] = {.lex_state = 400, .external_lex_state = 3},
  [22083] = {.lex_state = 394, .external_lex_state = 3},
  [22084] = {.lex_state = 136, .external_lex_state = 3},
  [22085] = {.lex_state = 394, .external_lex_state = 3},
  [22086] = {.lex_state = 394, .external_lex_state = 3},
  [22087] = {.lex_state = 394, .external_lex_state = 3},
  [22088] = {.lex_state = 394, .external_lex_state = 3},
  [22089] = {.lex_state = 425, .external_lex_state = 3},
  [22090] = {.lex_state = 394, .external_lex_state = 3},
  [22091] = {.lex_state = 394, .external_lex_state = 2},
  [22092] = {.lex_state = 400, .external_lex_state = 3},
  [22093] = {.lex_state = 394, .external_lex_state = 3},
  [22094] = {.lex_state = 400, .external_lex_state = 3},
  [22095] = {.lex_state = 394, .external_lex_state = 3},
  [22096] = {.lex_state = 394, .external_lex_state = 3},
  [22097] = {.lex_state = 394, .external_lex_state = 3},
  [22098] = {.lex_state = 394, .external_lex_state = 3},
  [22099] = {.lex_state = 394, .external_lex_state = 3},
  [22100] = {.lex_state = 394, .external_lex_state = 3},
  [22101] = {.lex_state = 425, .external_lex_state = 3},
  [22102] = {.lex_state = 394, .external_lex_state = 3},
  [22103] = {.lex_state = 394, .external_lex_state = 3},
  [22104] = {.lex_state = 425, .external_lex_state = 3},
  [22105] = {.lex_state = 394, .external_lex_state = 3},
  [22106] = {.lex_state = 394, .external_lex_state = 3},
  [22107] = {.lex_state = 394, .external_lex_state = 3},
  [22108] = {.lex_state = 400, .external_lex_state = 3},
  [22109] = {.lex_state = 425, .external_lex_state = 3},
  [22110] = {.lex_state = 394, .external_lex_state = 3},
  [22111] = {.lex_state = 425, .external_lex_state = 3},
  [22112] = {.lex_state = 394, .external_lex_state = 3},
  [22113] = {.lex_state = 394, .external_lex_state = 3},
  [22114] = {.lex_state = 425, .external_lex_state = 3},
  [22115] = {.lex_state = 394, .external_lex_state = 3},
  [22116] = {.lex_state = 394, .external_lex_state = 3},
  [22117] = {.lex_state = 394, .external_lex_state = 3},
  [22118] = {.lex_state = 394, .external_lex_state = 3},
  [22119] = {.lex_state = 394, .external_lex_state = 2},
  [22120] = {.lex_state = 394, .external_lex_state = 3},
  [22121] = {.lex_state = 394, .external_lex_state = 3},
  [22122] = {.lex_state = 394, .external_lex_state = 3},
  [22123] = {.lex_state = 394, .external_lex_state = 3},
  [22124] = {.lex_state = 394, .external_lex_state = 3},
  [22125] = {.lex_state = 394, .external_lex_state = 3},
  [22126] = {.lex_state = 394, .external_lex_state = 3},
  [22127] = {.lex_state = 394, .external_lex_state = 3},
  [22128] = {.lex_state = 394, .external_lex_state = 3},
  [22129] = {.lex_state = 394, .external_lex_state = 3},
  [22130] = {.lex_state = 394, .external_lex_state = 3},
  [22131] = {.lex_state = 394, .external_lex_state = 3},
  [22132] = {.lex_state = 394, .external_lex_state = 3},
  [22133] = {.lex_state = 136, .external_lex_state = 3},
  [22134] = {.lex_state = 425, .external_lex_state = 3},
  [22135] = {.lex_state = 394, .external_lex_state = 3},
  [22136] = {.lex_state = 394, .external_lex_state = 3},
  [22137] = {.lex_state = 394, .external_lex_state = 3},
  [22138] = {.lex_state = 425, .external_lex_state = 3},
  [22139] = {.lex_state = 394, .external_lex_state = 3},
  [22140] = {.lex_state = 425, .external_lex_state = 3},
  [22141] = {.lex_state = 394, .external_lex_state = 3},
  [22142] = {.lex_state = 394, .external_lex_state = 3},
  [22143] = {.lex_state = 394, .external_lex_state = 3},
  [22144] = {.lex_state = 394, .external_lex_state = 3},
  [22145] = {.lex_state = 394, .external_lex_state = 3},
  [22146] = {.lex_state = 394, .external_lex_state = 3},
  [22147] = {.lex_state = 394, .external_lex_state = 3},
  [22148] = {.lex_state = 400, .external_lex_state = 3},
  [22149] = {.lex_state = 394, .external_lex_state = 3},
  [22150] = {.lex_state = 15, .external_lex_state = 3},
  [22151] = {.lex_state = 394, .external_lex_state = 3},
  [22152] = {.lex_state = 394, .external_lex_state = 3},
  [22153] = {.lex_state = 394, .external_lex_state = 3},
  [22154] = {.lex_state = 394, .external_lex_state = 2},
  [22155] = {.lex_state = 394, .external_lex_state = 3},
  [22156] = {.lex_state = 394, .external_lex_state = 3},
  [22157] = {.lex_state = 15, .external_lex_state = 3},
  [22158] = {.lex_state = 394, .external_lex_state = 3},
  [22159] = {.lex_state = 394, .external_lex_state = 3},
  [22160] = {.lex_state = 394, .external_lex_state = 3},
  [22161] = {.lex_state = 394, .external_lex_state = 3},
  [22162] = {.lex_state = 394, .external_lex_state = 3},
  [22163] = {.lex_state = 394, .external_lex_state = 3},
  [22164] = {.lex_state = 394, .external_lex_state = 3},
  [22165] = {.lex_state = 394, .external_lex_state = 3},
  [22166] = {.lex_state = 394, .external_lex_state = 3},
  [22167] = {.lex_state = 136, .external_lex_state = 3},
  [22168] = {.lex_state = 394, .external_lex_state = 3},
  [22169] = {.lex_state = 394, .external_lex_state = 3},
  [22170] = {.lex_state = 394, .external_lex_state = 3},
  [22171] = {.lex_state = 394, .external_lex_state = 3},
  [22172] = {.lex_state = 394, .external_lex_state = 3},
  [22173] = {.lex_state = 394, .external_lex_state = 3},
  [22174] = {.lex_state = 394, .external_lex_state = 3},
  [22175] = {.lex_state = 425, .external_lex_state = 3},
  [22176] = {.lex_state = 394, .external_lex_state = 2},
  [22177] = {.lex_state = 394, .external_lex_state = 3},
  [22178] = {.lex_state = 394, .external_lex_state = 3},
  [22179] = {.lex_state = 394, .external_lex_state = 3},
  [22180] = {.lex_state = 394, .external_lex_state = 3},
  [22181] = {.lex_state = 394, .external_lex_state = 3},
  [22182] = {.lex_state = 394, .external_lex_state = 3},
  [22183] = {.lex_state = 394, .external_lex_state = 3},
  [22184] = {.lex_state = 394, .external_lex_state = 3},
  [22185] = {.lex_state = 394, .external_lex_state = 3},
  [22186] = {.lex_state = 394, .external_lex_state = 3},
  [22187] = {.lex_state = 394, .external_lex_state = 3},
  [22188] = {.lex_state = 394, .external_lex_state = 3},
  [22189] = {.lex_state = 394, .external_lex_state = 3},
  [22190] = {.lex_state = 394, .external_lex_state = 3},
  [22191] = {.lex_state = 394, .external_lex_state = 3},
  [22192] = {.lex_state = 394, .external_lex_state = 3},
  [22193] = {.lex_state = 136, .external_lex_state = 3},
  [22194] = {.lex_state = 394, .external_lex_state = 3},
  [22195] = {.lex_state = 394, .external_lex_state = 3},
  [22196] = {.lex_state = 15, .external_lex_state = 3},
  [22197] = {.lex_state = 136, .external_lex_state = 3},
  [22198] = {.lex_state = 394, .external_lex_state = 3},
  [22199] = {.lex_state = 394, .external_lex_state = 3},
  [22200] = {.lex_state = 136, .external_lex_state = 3},
  [22201] = {.lex_state = 394, .external_lex_state = 3},
  [22202] = {.lex_state = 394, .external_lex_state = 3},
  [22203] = {.lex_state = 394, .external_lex_state = 3},
  [22204] = {.lex_state = 394, .external_lex_state = 3},
  [22205] = {.lex_state = 394, .external_lex_state = 3},
  [22206] = {.lex_state = 425, .external_lex_state = 3},
  [22207] = {.lex_state = 394, .external_lex_state = 3},
  [22208] = {.lex_state = 15, .external_lex_state = 3},
  [22209] = {.lex_state = 394, .external_lex_state = 3},
  [22210] = {.lex_state = 394, .external_lex_state = 3},
  [22211] = {.lex_state = 400, .external_lex_state = 3},
  [22212] = {.lex_state = 394, .external_lex_state = 3},
  [22213] = {.lex_state = 394, .external_lex_state = 3},
  [22214] = {.lex_state = 394, .external_lex_state = 3},
  [22215] = {.lex_state = 394, .external_lex_state = 3},
  [22216] = {.lex_state = 394, .external_lex_state = 3},
  [22217] = {.lex_state = 394, .external_lex_state = 3},
  [22218] = {.lex_state = 15, .external_lex_state = 3},
  [22219] = {.lex_state = 394, .external_lex_state = 3},
  [22220] = {.lex_state = 15, .external_lex_state = 3},
  [22221] = {.lex_state = 394, .external_lex_state = 3},
  [22222] = {.lex_state = 394, .external_lex_state = 3},
  [22223] = {.lex_state = 394, .external_lex_state = 3},
  [22224] = {.lex_state = 394, .external_lex_state = 3},
  [22225] = {.lex_state = 394, .external_lex_state = 3},
  [22226] = {.lex_state = 425, .external_lex_state = 3},
  [22227] = {.lex_state = 394, .external_lex_state = 2},
  [22228] = {.lex_state = 394, .external_lex_state = 3},
  [22229] = {.lex_state = 394, .external_lex_state = 3},
  [22230] = {.lex_state = 15, .external_lex_state = 3},
  [22231] = {.lex_state = 136, .external_lex_state = 3},
  [22232] = {.lex_state = 394, .external_lex_state = 3},
  [22233] = {.lex_state = 394, .external_lex_state = 3},
  [22234] = {.lex_state = 394, .external_lex_state = 3},
  [22235] = {.lex_state = 394, .external_lex_state = 3},
  [22236] = {.lex_state = 394, .external_lex_state = 3},
  [22237] = {.lex_state = 394, .external_lex_state = 3},
  [22238] = {.lex_state = 394, .external_lex_state = 3},
  [22239] = {.lex_state = 425, .external_lex_state = 3},
  [22240] = {.lex_state = 394, .external_lex_state = 3},
  [22241] = {.lex_state = 394, .external_lex_state = 3},
  [22242] = {.lex_state = 425, .external_lex_state = 3},
  [22243] = {.lex_state = 394, .external_lex_state = 3},
  [22244] = {.lex_state = 394, .external_lex_state = 3},
  [22245] = {.lex_state = 394, .external_lex_state = 3},
  [22246] = {.lex_state = 394, .external_lex_state = 3},
  [22247] = {.lex_state = 394, .external_lex_state = 3},
  [22248] = {.lex_state = 394, .external_lex_state = 3},
  [22249] = {.lex_state = 394, .external_lex_state = 3},
  [22250] = {.lex_state = 394, .external_lex_state = 3},
  [22251] = {.lex_state = 15, .external_lex_state = 3},
  [22252] = {.lex_state = 425, .external_lex_state = 3},
  [22253] = {.lex_state = 394, .external_lex_state = 3},
  [22254] = {.lex_state = 394, .external_lex_state = 3},
  [22255] = {.lex_state = 394, .external_lex_state = 3},
  [22256] = {.lex_state = 394, .external_lex_state = 3},
  [22257] = {.lex_state = 394, .external_lex_state = 3},
  [22258] = {.lex_state = 394, .external_lex_state = 3},
  [22259] = {.lex_state = 394, .external_lex_state = 3},
  [22260] = {.lex_state = 394, .external_lex_state = 2},
  [22261] = {.lex_state = 394, .external_lex_state = 3},
  [22262] = {.lex_state = 425, .external_lex_state = 3},
  [22263] = {.lex_state = 394, .external_lex_state = 3},
  [22264] = {.lex_state = 394, .external_lex_state = 3},
  [22265] = {.lex_state = 136, .external_lex_state = 3},
  [22266] = {.lex_state = 394, .external_lex_state = 3},
  [22267] = {.lex_state = 394, .external_lex_state = 3},
  [22268] = {.lex_state = 394, .external_lex_state = 3},
  [22269] = {.lex_state = 136, .external_lex_state = 3},
  [22270] = {.lex_state = 394, .external_lex_state = 3},
  [22271] = {.lex_state = 15, .external_lex_state = 3},
  [22272] = {.lex_state = 394, .external_lex_state = 3},
  [22273] = {.lex_state = 394, .external_lex_state = 3},
  [22274] = {.lex_state = 394, .external_lex_state = 3},
  [22275] = {.lex_state = 394, .external_lex_state = 3},
  [22276] = {.lex_state = 394, .external_lex_state = 3},
  [22277] = {.lex_state = 394, .external_lex_state = 3},
  [22278] = {.lex_state = 400, .external_lex_state = 3},
  [22279] = {.lex_state = 15, .external_lex_state = 3},
  [22280] = {.lex_state = 394, .external_lex_state = 3},
  [22281] = {.lex_state = 400, .external_lex_state = 3},
  [22282] = {.lex_state = 425, .external_lex_state = 3},
  [22283] = {.lex_state = 394, .external_lex_state = 3},
  [22284] = {.lex_state = 394, .external_lex_state = 2},
  [22285] = {.lex_state = 394, .external_lex_state = 3},
  [22286] = {.lex_state = 394, .external_lex_state = 3},
  [22287] = {.lex_state = 394, .external_lex_state = 3},
  [22288] = {.lex_state = 394, .external_lex_state = 3},
  [22289] = {.lex_state = 394, .external_lex_state = 3},
  [22290] = {.lex_state = 394, .external_lex_state = 3},
  [22291] = {.lex_state = 394, .external_lex_state = 3},
  [22292] = {.lex_state = 394, .external_lex_state = 3},
  [22293] = {.lex_state = 394, .external_lex_state = 3},
  [22294] = {.lex_state = 400, .external_lex_state = 3},
  [22295] = {.lex_state = 394, .external_lex_state = 3},
  [22296] = {.lex_state = 394, .external_lex_state = 3},
  [22297] = {.lex_state = 394, .external_lex_state = 3},
  [22298] = {.lex_state = 425, .external_lex_state = 3},
  [22299] = {.lex_state = 400, .external_lex_state = 3},
  [22300] = {.lex_state = 394, .external_lex_state = 3},
  [22301] = {.lex_state = 394, .external_lex_state = 3},
  [22302] = {.lex_state = 394, .external_lex_state = 3},
  [22303] = {.lex_state = 425, .external_lex_state = 3},
  [22304] = {.lex_state = 394, .external_lex_state = 3},
  [22305] = {.lex_state = 425, .external_lex_state = 3},
  [22306] = {.lex_state = 400, .external_lex_state = 3},
  [22307] = {.lex_state = 394, .external_lex_state = 3},
  [22308] = {.lex_state = 425, .external_lex_state = 3},
  [22309] = {.lex_state = 394, .external_lex_state = 3},
  [22310] = {.lex_state = 394, .external_lex_state = 2},
  [22311] = {.lex_state = 36, .external_lex_state = 3},
  [22312] = {.lex_state = 36, .external_lex_state = 3},
  [22313] = {.lex_state = 36, .external_lex_state = 3},
  [22314] = {.lex_state = 394, .external_lex_state = 3},
  [22315] = {.lex_state = 394, .external_lex_state = 3},
  [22316] = {.lex_state = 394, .external_lex_state = 3},
  [22317] = {.lex_state = 425, .external_lex_state = 3},
  [22318] = {.lex_state = 394, .external_lex_state = 2},
  [22319] = {.lex_state = 394, .external_lex_state = 3},
  [22320] = {.lex_state = 394, .external_lex_state = 3},
  [22321] = {.lex_state = 394, .external_lex_state = 3},
  [22322] = {.lex_state = 394, .external_lex_state = 3},
  [22323] = {.lex_state = 394, .external_lex_state = 3},
  [22324] = {.lex_state = 136, .external_lex_state = 3},
  [22325] = {.lex_state = 136, .external_lex_state = 3},
  [22326] = {.lex_state = 136, .external_lex_state = 3},
  [22327] = {.lex_state = 394, .external_lex_state = 3},
  [22328] = {.lex_state = 136, .external_lex_state = 3},
  [22329] = {.lex_state = 425, .external_lex_state = 3},
  [22330] = {.lex_state = 394, .external_lex_state = 3},
  [22331] = {.lex_state = 425, .external_lex_state = 3},
  [22332] = {.lex_state = 15, .external_lex_state = 3},
  [22333] = {.lex_state = 394, .external_lex_state = 3},
  [22334] = {.lex_state = 394, .external_lex_state = 3},
  [22335] = {.lex_state = 394, .external_lex_state = 3},
  [22336] = {.lex_state = 400, .external_lex_state = 3},
  [22337] = {.lex_state = 394, .external_lex_state = 3},
  [22338] = {.lex_state = 394, .external_lex_state = 3},
  [22339] = {.lex_state = 136, .external_lex_state = 3},
  [22340] = {.lex_state = 394, .external_lex_state = 3},
  [22341] = {.lex_state = 394, .external_lex_state = 3},
  [22342] = {.lex_state = 394, .external_lex_state = 3},
  [22343] = {.lex_state = 136, .external_lex_state = 3},
  [22344] = {.lex_state = 425, .external_lex_state = 3},
  [22345] = {.lex_state = 394, .external_lex_state = 3},
  [22346] = {.lex_state = 394, .external_lex_state = 3},
  [22347] = {.lex_state = 394, .external_lex_state = 3},
  [22348] = {.lex_state = 394, .external_lex_state = 2},
  [22349] = {.lex_state = 136, .external_lex_state = 3},
  [22350] = {.lex_state = 394, .external_lex_state = 3},
  [22351] = {.lex_state = 136, .external_lex_state = 3},
  [22352] = {.lex_state = 136, .external_lex_state = 3},
  [22353] = {.lex_state = 394, .external_lex_state = 3},
  [22354] = {.lex_state = 394, .external_lex_state = 3},
  [22355] = {.lex_state = 394, .external_lex_state = 3},
  [22356] = {.lex_state = 394, .external_lex_state = 3},
  [22357] = {.lex_state = 394, .external_lex_state = 3},
  [22358] = {.lex_state = 136, .external_lex_state = 3},
  [22359] = {.lex_state = 394, .external_lex_state = 3},
  [22360] = {.lex_state = 425, .external_lex_state = 3},
  [22361] = {.lex_state = 394, .external_lex_state = 3},
  [22362] = {.lex_state = 394, .external_lex_state = 3},
  [22363] = {.lex_state = 394, .external_lex_state = 3},
  [22364] = {.lex_state = 136, .external_lex_state = 3},
  [22365] = {.lex_state = 136, .external_lex_state = 3},
  [22366] = {.lex_state = 136, .external_lex_state = 3},
  [22367] = {.lex_state = 394, .external_lex_state = 3},
  [22368] = {.lex_state = 136, .external_lex_state = 3},
  [22369] = {.lex_state = 136, .external_lex_state = 3},
  [22370] = {.lex_state = 394, .external_lex_state = 3},
  [22371] = {.lex_state = 394, .external_lex_state = 3},
  [22372] = {.lex_state = 394, .external_lex_state = 3},
  [22373] = {.lex_state = 400, .external_lex_state = 3},
  [22374] = {.lex_state = 136, .external_lex_state = 3},
  [22375] = {.lex_state = 425, .external_lex_state = 3},
  [22376] = {.lex_state = 394, .external_lex_state = 3},
  [22377] = {.lex_state = 425, .external_lex_state = 3},
  [22378] = {.lex_state = 394, .external_lex_state = 2},
  [22379] = {.lex_state = 394, .external_lex_state = 3},
  [22380] = {.lex_state = 394, .external_lex_state = 3},
  [22381] = {.lex_state = 15, .external_lex_state = 3},
  [22382] = {.lex_state = 394, .external_lex_state = 3},
  [22383] = {.lex_state = 394, .external_lex_state = 3},
  [22384] = {.lex_state = 394, .external_lex_state = 3},
  [22385] = {.lex_state = 394, .external_lex_state = 3},
  [22386] = {.lex_state = 136, .external_lex_state = 3},
  [22387] = {.lex_state = 394, .external_lex_state = 3},
  [22388] = {.lex_state = 394, .external_lex_state = 3},
  [22389] = {.lex_state = 394, .external_lex_state = 3},
  [22390] = {.lex_state = 394, .external_lex_state = 3},
  [22391] = {.lex_state = 425, .external_lex_state = 3},
  [22392] = {.lex_state = 394, .external_lex_state = 3},
  [22393] = {.lex_state = 394, .external_lex_state = 3},
  [22394] = {.lex_state = 394, .external_lex_state = 2},
  [22395] = {.lex_state = 394, .external_lex_state = 3},
  [22396] = {.lex_state = 394, .external_lex_state = 3},
  [22397] = {.lex_state = 394, .external_lex_state = 3},
  [22398] = {.lex_state = 394, .external_lex_state = 3},
  [22399] = {.lex_state = 136, .external_lex_state = 3},
  [22400] = {.lex_state = 394, .external_lex_state = 3},
  [22401] = {.lex_state = 394, .external_lex_state = 3},
  [22402] = {.lex_state = 394, .external_lex_state = 3},
  [22403] = {.lex_state = 400, .external_lex_state = 3},
  [22404] = {.lex_state = 394, .external_lex_state = 3},
  [22405] = {.lex_state = 394, .external_lex_state = 3},
  [22406] = {.lex_state = 394, .external_lex_state = 3},
  [22407] = {.lex_state = 394, .external_lex_state = 3},
  [22408] = {.lex_state = 425, .external_lex_state = 3},
  [22409] = {.lex_state = 394, .external_lex_state = 3},
  [22410] = {.lex_state = 394, .external_lex_state = 3},
  [22411] = {.lex_state = 394, .external_lex_state = 3},
  [22412] = {.lex_state = 394, .external_lex_state = 3},
  [22413] = {.lex_state = 136, .external_lex_state = 3},
  [22414] = {.lex_state = 394, .external_lex_state = 3},
  [22415] = {.lex_state = 15, .external_lex_state = 3},
  [22416] = {.lex_state = 394, .external_lex_state = 3},
  [22417] = {.lex_state = 394, .external_lex_state = 3},
  [22418] = {.lex_state = 136, .external_lex_state = 3},
  [22419] = {.lex_state = 400, .external_lex_state = 3},
  [22420] = {.lex_state = 394, .external_lex_state = 3},
  [22421] = {.lex_state = 394, .external_lex_state = 3},
  [22422] = {.lex_state = 425, .external_lex_state = 3},
  [22423] = {.lex_state = 394, .external_lex_state = 3},
  [22424] = {.lex_state = 425, .external_lex_state = 3},
  [22425] = {.lex_state = 394, .external_lex_state = 2},
  [22426] = {.lex_state = 394, .external_lex_state = 3},
  [22427] = {.lex_state = 15, .external_lex_state = 3},
  [22428] = {.lex_state = 394, .external_lex_state = 3},
  [22429] = {.lex_state = 394, .external_lex_state = 3},
  [22430] = {.lex_state = 15, .external_lex_state = 3},
  [22431] = {.lex_state = 400, .external_lex_state = 3},
  [22432] = {.lex_state = 425, .external_lex_state = 3},
  [22433] = {.lex_state = 394, .external_lex_state = 2},
  [22434] = {.lex_state = 394, .external_lex_state = 3},
  [22435] = {.lex_state = 394, .external_lex_state = 3},
  [22436] = {.lex_state = 394, .external_lex_state = 3},
  [22437] = {.lex_state = 394, .external_lex_state = 3},
  [22438] = {.lex_state = 394, .external_lex_state = 3},
  [22439] = {.lex_state = 394, .external_lex_state = 3},
  [22440] = {.lex_state = 15, .external_lex_state = 3},
  [22441] = {.lex_state = 394, .external_lex_state = 3},
  [22442] = {.lex_state = 394, .external_lex_state = 3},
  [22443] = {.lex_state = 394, .external_lex_state = 3},
  [22444] = {.lex_state = 400, .external_lex_state = 3},
  [22445] = {.lex_state = 394, .external_lex_state = 3},
  [22446] = {.lex_state = 394, .external_lex_state = 3},
  [22447] = {.lex_state = 394, .external_lex_state = 3},
  [22448] = {.lex_state = 400, .external_lex_state = 3},
  [22449] = {.lex_state = 394, .external_lex_state = 3},
  [22450] = {.lex_state = 394, .external_lex_state = 3},
  [22451] = {.lex_state = 394, .external_lex_state = 3},
  [22452] = {.lex_state = 394, .external_lex_state = 3},
  [22453] = {.lex_state = 394, .external_lex_state = 3},
  [22454] = {.lex_state = 394, .external_lex_state = 3},
  [22455] = {.lex_state = 394, .external_lex_state = 3},
  [22456] = {.lex_state = 36, .external_lex_state = 3},
  [22457] = {.lex_state = 36, .external_lex_state = 3},
  [22458] = {.lex_state = 36, .external_lex_state = 3},
  [22459] = {.lex_state = 394, .external_lex_state = 3},
  [22460] = {.lex_state = 394, .external_lex_state = 3},
  [22461] = {.lex_state = 425, .external_lex_state = 3},
  [22462] = {.lex_state = 394, .external_lex_state = 3},
  [22463] = {.lex_state = 425, .external_lex_state = 3},
  [22464] = {.lex_state = 394, .external_lex_state = 3},
  [22465] = {.lex_state = 394, .external_lex_state = 2},
  [22466] = {.lex_state = 394, .external_lex_state = 3},
  [22467] = {.lex_state = 394, .external_lex_state = 3},
  [22468] = {.lex_state = 394, .external_lex_state = 3},
  [22469] = {.lex_state = 394, .external_lex_state = 3},
  [22470] = {.lex_state = 15, .external_lex_state = 3},
  [22471] = {.lex_state = 425, .external_lex_state = 3},
  [22472] = {.lex_state = 394, .external_lex_state = 2},
  [22473] = {.lex_state = 394, .external_lex_state = 3},
  [22474] = {.lex_state = 394, .external_lex_state = 3},
  [22475] = {.lex_state = 394, .external_lex_state = 3},
  [22476] = {.lex_state = 394, .external_lex_state = 3},
  [22477] = {.lex_state = 394, .external_lex_state = 3},
  [22478] = {.lex_state = 425, .external_lex_state = 3},
  [22479] = {.lex_state = 394, .external_lex_state = 3},
  [22480] = {.lex_state = 394, .external_lex_state = 3},
  [22481] = {.lex_state = 400, .external_lex_state = 3},
  [22482] = {.lex_state = 400, .external_lex_state = 3},
  [22483] = {.lex_state = 394, .external_lex_state = 3},
  [22484] = {.lex_state = 425, .external_lex_state = 3},
  [22485] = {.lex_state = 394, .external_lex_state = 3},
  [22486] = {.lex_state = 394, .external_lex_state = 3},
  [22487] = {.lex_state = 394, .external_lex_state = 3},
  [22488] = {.lex_state = 394, .external_lex_state = 3},
  [22489] = {.lex_state = 394, .external_lex_state = 3},
  [22490] = {.lex_state = 394, .external_lex_state = 3},
  [22491] = {.lex_state = 394, .external_lex_state = 3},
  [22492] = {.lex_state = 136, .external_lex_state = 3},
  [22493] = {.lex_state = 136, .external_lex_state = 3},
  [22494] = {.lex_state = 136, .external_lex_state = 3},
  [22495] = {.lex_state = 394, .external_lex_state = 3},
  [22496] = {.lex_state = 394, .external_lex_state = 3},
  [22497] = {.lex_state = 394, .external_lex_state = 3},
  [22498] = {.lex_state = 400, .external_lex_state = 3},
  [22499] = {.lex_state = 394, .external_lex_state = 3},
  [22500] = {.lex_state = 394, .external_lex_state = 3},
  [22501] = {.lex_state = 425, .external_lex_state = 3},
  [22502] = {.lex_state = 394, .external_lex_state = 3},
  [22503] = {.lex_state = 136, .external_lex_state = 3},
  [22504] = {.lex_state = 400, .external_lex_state = 3},
  [22505] = {.lex_state = 425, .external_lex_state = 3},
  [22506] = {.lex_state = 400, .external_lex_state = 3},
  [22507] = {.lex_state = 136, .external_lex_state = 3},
  [22508] = {.lex_state = 394, .external_lex_state = 3},
  [22509] = {.lex_state = 394, .external_lex_state = 3},
  [22510] = {.lex_state = 425, .external_lex_state = 3},
  [22511] = {.lex_state = 394, .external_lex_state = 2},
  [22512] = {.lex_state = 394, .external_lex_state = 3},
  [22513] = {.lex_state = 15, .external_lex_state = 3},
  [22514] = {.lex_state = 394, .external_lex_state = 3},
  [22515] = {.lex_state = 394, .external_lex_state = 3},
  [22516] = {.lex_state = 394, .external_lex_state = 3},
  [22517] = {.lex_state = 394, .external_lex_state = 3},
  [22518] = {.lex_state = 394, .external_lex_state = 3},
  [22519] = {.lex_state = 394, .external_lex_state = 3},
  [22520] = {.lex_state = 400, .external_lex_state = 3},
  [22521] = {.lex_state = 394, .external_lex_state = 3},
  [22522] = {.lex_state = 425, .external_lex_state = 3},
  [22523] = {.lex_state = 15, .external_lex_state = 3},
  [22524] = {.lex_state = 425, .external_lex_state = 3},
  [22525] = {.lex_state = 394, .external_lex_state = 3},
  [22526] = {.lex_state = 425, .external_lex_state = 3},
  [22527] = {.lex_state = 394, .external_lex_state = 2},
  [22528] = {.lex_state = 425, .external_lex_state = 3},
  [22529] = {.lex_state = 425, .external_lex_state = 3},
  [22530] = {.lex_state = 15, .external_lex_state = 3},
  [22531] = {.lex_state = 394, .external_lex_state = 3},
  [22532] = {.lex_state = 425, .external_lex_state = 3},
  [22533] = {.lex_state = 425, .external_lex_state = 3},
  [22534] = {.lex_state = 425, .external_lex_state = 3},
  [22535] = {.lex_state = 394, .external_lex_state = 3},
  [22536] = {.lex_state = 15, .external_lex_state = 3},
  [22537] = {.lex_state = 394, .external_lex_state = 3},
  [22538] = {.lex_state = 394, .external_lex_state = 3},
  [22539] = {.lex_state = 394, .external_lex_state = 3},
  [22540] = {.lex_state = 394, .external_lex_state = 3},
  [22541] = {.lex_state = 400, .external_lex_state = 3},
  [22542] = {.lex_state = 394, .external_lex_state = 3},
  [22543] = {.lex_state = 394, .external_lex_state = 3},
  [22544] = {.lex_state = 394, .external_lex_state = 3},
  [22545] = {.lex_state = 425, .external_lex_state = 3},
  [22546] = {.lex_state = 394, .external_lex_state = 2},
  [22547] = {.lex_state = 394, .external_lex_state = 3},
  [22548] = {.lex_state = 394, .external_lex_state = 3},
  [22549] = {.lex_state = 394, .external_lex_state = 3},
  [22550] = {.lex_state = 394, .external_lex_state = 3},
  [22551] = {.lex_state = 394, .external_lex_state = 3},
  [22552] = {.lex_state = 36, .external_lex_state = 3},
  [22553] = {.lex_state = 36, .external_lex_state = 3},
  [22554] = {.lex_state = 36, .external_lex_state = 3},
  [22555] = {.lex_state = 394, .external_lex_state = 3},
  [22556] = {.lex_state = 394, .external_lex_state = 3},
  [22557] = {.lex_state = 394, .external_lex_state = 3},
  [22558] = {.lex_state = 425, .external_lex_state = 3},
  [22559] = {.lex_state = 425, .external_lex_state = 3},
  [22560] = {.lex_state = 394, .external_lex_state = 3},
  [22561] = {.lex_state = 394, .external_lex_state = 3},
  [22562] = {.lex_state = 394, .external_lex_state = 3},
  [22563] = {.lex_state = 394, .external_lex_state = 3},
  [22564] = {.lex_state = 394, .external_lex_state = 3},
  [22565] = {.lex_state = 394, .external_lex_state = 3},
  [22566] = {.lex_state = 394, .external_lex_state = 2},
  [22567] = {.lex_state = 394, .external_lex_state = 3},
  [22568] = {.lex_state = 136, .external_lex_state = 3},
  [22569] = {.lex_state = 394, .external_lex_state = 3},
  [22570] = {.lex_state = 394, .external_lex_state = 3},
  [22571] = {.lex_state = 394, .external_lex_state = 3},
  [22572] = {.lex_state = 394, .external_lex_state = 3},
  [22573] = {.lex_state = 394, .external_lex_state = 3},
  [22574] = {.lex_state = 425, .external_lex_state = 3},
  [22575] = {.lex_state = 394, .external_lex_state = 3},
  [22576] = {.lex_state = 394, .external_lex_state = 3},
  [22577] = {.lex_state = 394, .external_lex_state = 3},
  [22578] = {.lex_state = 394, .external_lex_state = 3},
  [22579] = {.lex_state = 394, .external_lex_state = 3},
  [22580] = {.lex_state = 394, .external_lex_state = 3},
  [22581] = {.lex_state = 394, .external_lex_state = 3},
  [22582] = {.lex_state = 394, .external_lex_state = 3},
  [22583] = {.lex_state = 394, .external_lex_state = 3},
  [22584] = {.lex_state = 394, .external_lex_state = 3},
  [22585] = {.lex_state = 394, .external_lex_state = 3},
  [22586] = {.lex_state = 394, .external_lex_state = 3},
  [22587] = {.lex_state = 136, .external_lex_state = 3},
  [22588] = {.lex_state = 394, .external_lex_state = 3},
  [22589] = {.lex_state = 425, .external_lex_state = 3},
  [22590] = {.lex_state = 425, .external_lex_state = 3},
  [22591] = {.lex_state = 394, .external_lex_state = 3},
  [22592] = {.lex_state = 394, .external_lex_state = 3},
  [22593] = {.lex_state = 394, .external_lex_state = 3},
  [22594] = {.lex_state = 394, .external_lex_state = 3},
  [22595] = {.lex_state = 394, .external_lex_state = 3},
  [22596] = {.lex_state = 394, .external_lex_state = 3},
  [22597] = {.lex_state = 394, .external_lex_state = 3},
  [22598] = {.lex_state = 394, .external_lex_state = 3},
  [22599] = {.lex_state = 394, .external_lex_state = 3},
  [22600] = {.lex_state = 394, .external_lex_state = 3},
  [22601] = {.lex_state = 394, .external_lex_state = 3},
  [22602] = {.lex_state = 394, .external_lex_state = 3},
  [22603] = {.lex_state = 394, .external_lex_state = 3},
  [22604] = {.lex_state = 394, .external_lex_state = 3},
  [22605] = {.lex_state = 394, .external_lex_state = 3},
  [22606] = {.lex_state = 394, .external_lex_state = 3},
  [22607] = {.lex_state = 394, .external_lex_state = 2},
  [22608] = {.lex_state = 394, .external_lex_state = 3},
  [22609] = {.lex_state = 394, .external_lex_state = 3},
  [22610] = {.lex_state = 394, .external_lex_state = 3},
  [22611] = {.lex_state = 394, .external_lex_state = 3},
  [22612] = {.lex_state = 15, .external_lex_state = 3},
  [22613] = {.lex_state = 394, .external_lex_state = 3},
  [22614] = {.lex_state = 394, .external_lex_state = 3},
  [22615] = {.lex_state = 15, .external_lex_state = 3},
  [22616] = {.lex_state = 394, .external_lex_state = 3},
  [22617] = {.lex_state = 394, .external_lex_state = 2},
  [22618] = {.lex_state = 36, .external_lex_state = 3},
  [22619] = {.lex_state = 394, .external_lex_state = 3},
  [22620] = {.lex_state = 15, .external_lex_state = 3},
  [22621] = {.lex_state = 394, .external_lex_state = 3},
  [22622] = {.lex_state = 136, .external_lex_state = 3},
  [22623] = {.lex_state = 394, .external_lex_state = 3},
  [22624] = {.lex_state = 394, .external_lex_state = 3},
  [22625] = {.lex_state = 394, .external_lex_state = 3},
  [22626] = {.lex_state = 394, .external_lex_state = 3},
  [22627] = {.lex_state = 394, .external_lex_state = 3},
  [22628] = {.lex_state = 36, .external_lex_state = 3},
  [22629] = {.lex_state = 36, .external_lex_state = 3},
  [22630] = {.lex_state = 36, .external_lex_state = 3},
  [22631] = {.lex_state = 394, .external_lex_state = 3},
  [22632] = {.lex_state = 394, .external_lex_state = 3},
  [22633] = {.lex_state = 136, .external_lex_state = 3},
  [22634] = {.lex_state = 136, .external_lex_state = 3},
  [22635] = {.lex_state = 136, .external_lex_state = 3},
  [22636] = {.lex_state = 394, .external_lex_state = 3},
  [22637] = {.lex_state = 425, .external_lex_state = 3},
  [22638] = {.lex_state = 394, .external_lex_state = 3},
  [22639] = {.lex_state = 394, .external_lex_state = 2},
  [22640] = {.lex_state = 394, .external_lex_state = 3},
  [22641] = {.lex_state = 394, .external_lex_state = 3},
  [22642] = {.lex_state = 394, .external_lex_state = 3},
  [22643] = {.lex_state = 394, .external_lex_state = 3},
  [22644] = {.lex_state = 136, .external_lex_state = 3},
  [22645] = {.lex_state = 394, .external_lex_state = 3},
  [22646] = {.lex_state = 394, .external_lex_state = 3},
  [22647] = {.lex_state = 394, .external_lex_state = 3},
  [22648] = {.lex_state = 394, .external_lex_state = 3},
  [22649] = {.lex_state = 394, .external_lex_state = 3},
  [22650] = {.lex_state = 394, .external_lex_state = 3},
  [22651] = {.lex_state = 15, .external_lex_state = 3},
  [22652] = {.lex_state = 394, .external_lex_state = 3},
  [22653] = {.lex_state = 394, .external_lex_state = 3},
  [22654] = {.lex_state = 394, .external_lex_state = 3},
  [22655] = {.lex_state = 394, .external_lex_state = 3},
  [22656] = {.lex_state = 36, .external_lex_state = 3},
  [22657] = {.lex_state = 394, .external_lex_state = 3},
  [22658] = {.lex_state = 394, .external_lex_state = 3},
  [22659] = {.lex_state = 15, .external_lex_state = 3},
  [22660] = {.lex_state = 394, .external_lex_state = 3},
  [22661] = {.lex_state = 36, .external_lex_state = 3},
  [22662] = {.lex_state = 400, .external_lex_state = 3},
  [22663] = {.lex_state = 394, .external_lex_state = 3},
  [22664] = {.lex_state = 425, .external_lex_state = 3},
  [22665] = {.lex_state = 394, .external_lex_state = 3},
  [22666] = {.lex_state = 394, .external_lex_state = 3},
  [22667] = {.lex_state = 36, .external_lex_state = 3},
  [22668] = {.lex_state = 36, .external_lex_state = 3},
  [22669] = {.lex_state = 36, .external_lex_state = 3},
  [22670] = {.lex_state = 425, .external_lex_state = 3},
  [22671] = {.lex_state = 394, .external_lex_state = 2},
  [22672] = {.lex_state = 394, .external_lex_state = 3},
  [22673] = {.lex_state = 394, .external_lex_state = 3},
  [22674] = {.lex_state = 15, .external_lex_state = 3},
  [22675] = {.lex_state = 394, .external_lex_state = 3},
  [22676] = {.lex_state = 394, .external_lex_state = 3},
  [22677] = {.lex_state = 394, .external_lex_state = 3},
  [22678] = {.lex_state = 394, .external_lex_state = 3},
  [22679] = {.lex_state = 394, .external_lex_state = 3},
  [22680] = {.lex_state = 394, .external_lex_state = 3},
  [22681] = {.lex_state = 394, .external_lex_state = 3},
  [22682] = {.lex_state = 400, .external_lex_state = 3},
  [22683] = {.lex_state = 400, .external_lex_state = 3},
  [22684] = {.lex_state = 425, .external_lex_state = 3},
  [22685] = {.lex_state = 15, .external_lex_state = 3},
  [22686] = {.lex_state = 394, .external_lex_state = 2},
  [22687] = {.lex_state = 394, .external_lex_state = 3},
  [22688] = {.lex_state = 394, .external_lex_state = 3},
  [22689] = {.lex_state = 394, .external_lex_state = 3},
  [22690] = {.lex_state = 394, .external_lex_state = 3},
  [22691] = {.lex_state = 394, .external_lex_state = 3},
  [22692] = {.lex_state = 15, .external_lex_state = 3},
  [22693] = {.lex_state = 400, .external_lex_state = 3},
  [22694] = {.lex_state = 394, .external_lex_state = 3},
  [22695] = {.lex_state = 394, .external_lex_state = 3},
  [22696] = {.lex_state = 425, .external_lex_state = 3},
  [22697] = {.lex_state = 400, .external_lex_state = 3},
  [22698] = {.lex_state = 394, .external_lex_state = 3},
  [22699] = {.lex_state = 394, .external_lex_state = 3},
  [22700] = {.lex_state = 36, .external_lex_state = 3},
  [22701] = {.lex_state = 36, .external_lex_state = 3},
  [22702] = {.lex_state = 36, .external_lex_state = 3},
  [22703] = {.lex_state = 394, .external_lex_state = 3},
  [22704] = {.lex_state = 394, .external_lex_state = 3},
  [22705] = {.lex_state = 425, .external_lex_state = 3},
  [22706] = {.lex_state = 400, .external_lex_state = 3},
  [22707] = {.lex_state = 394, .external_lex_state = 3},
  [22708] = {.lex_state = 425, .external_lex_state = 3},
  [22709] = {.lex_state = 394, .external_lex_state = 3},
  [22710] = {.lex_state = 394, .external_lex_state = 3},
  [22711] = {.lex_state = 394, .external_lex_state = 3},
  [22712] = {.lex_state = 394, .external_lex_state = 3},
  [22713] = {.lex_state = 425, .external_lex_state = 3},
  [22714] = {.lex_state = 394, .external_lex_state = 3},
  [22715] = {.lex_state = 394, .external_lex_state = 3},
  [22716] = {.lex_state = 394, .external_lex_state = 3},
  [22717] = {.lex_state = 394, .external_lex_state = 3},
  [22718] = {.lex_state = 394, .external_lex_state = 3},
  [22719] = {.lex_state = 394, .external_lex_state = 3},
  [22720] = {.lex_state = 394, .external_lex_state = 3},
  [22721] = {.lex_state = 15, .external_lex_state = 3},
  [22722] = {.lex_state = 394, .external_lex_state = 3},
  [22723] = {.lex_state = 394, .external_lex_state = 3},
  [22724] = {.lex_state = 394, .external_lex_state = 3},
  [22725] = {.lex_state = 36, .external_lex_state = 3},
  [22726] = {.lex_state = 36, .external_lex_state = 3},
  [22727] = {.lex_state = 36, .external_lex_state = 3},
  [22728] = {.lex_state = 425, .external_lex_state = 3},
  [22729] = {.lex_state = 394, .external_lex_state = 2},
  [22730] = {.lex_state = 394, .external_lex_state = 3},
  [22731] = {.lex_state = 394, .external_lex_state = 3},
  [22732] = {.lex_state = 394, .external_lex_state = 3},
  [22733] = {.lex_state = 394, .external_lex_state = 3},
  [22734] = {.lex_state = 394, .external_lex_state = 3},
  [22735] = {.lex_state = 394, .external_lex_state = 3},
  [22736] = {.lex_state = 425, .external_lex_state = 3},
  [22737] = {.lex_state = 394, .external_lex_state = 3},
  [22738] = {.lex_state = 425, .external_lex_state = 3},
  [22739] = {.lex_state = 394, .external_lex_state = 3},
  [22740] = {.lex_state = 394, .external_lex_state = 3},
  [22741] = {.lex_state = 394, .external_lex_state = 3},
  [22742] = {.lex_state = 394, .external_lex_state = 3},
  [22743] = {.lex_state = 394, .external_lex_state = 3},
  [22744] = {.lex_state = 394, .external_lex_state = 3},
  [22745] = {.lex_state = 394, .external_lex_state = 3},
  [22746] = {.lex_state = 15, .external_lex_state = 3},
  [22747] = {.lex_state = 394, .external_lex_state = 3},
  [22748] = {.lex_state = 394, .external_lex_state = 3},
  [22749] = {.lex_state = 36, .external_lex_state = 3},
  [22750] = {.lex_state = 36, .external_lex_state = 3},
  [22751] = {.lex_state = 36, .external_lex_state = 3},
  [22752] = {.lex_state = 394, .external_lex_state = 3},
  [22753] = {.lex_state = 394, .external_lex_state = 3},
  [22754] = {.lex_state = 394, .external_lex_state = 3},
  [22755] = {.lex_state = 400, .external_lex_state = 3},
  [22756] = {.lex_state = 394, .external_lex_state = 3},
  [22757] = {.lex_state = 136, .external_lex_state = 3},
  [22758] = {.lex_state = 394, .external_lex_state = 3},
  [22759] = {.lex_state = 394, .external_lex_state = 3},
  [22760] = {.lex_state = 394, .external_lex_state = 3},
  [22761] = {.lex_state = 394, .external_lex_state = 3},
  [22762] = {.lex_state = 394, .external_lex_state = 2},
  [22763] = {.lex_state = 394, .external_lex_state = 3},
  [22764] = {.lex_state = 394, .external_lex_state = 3},
  [22765] = {.lex_state = 394, .external_lex_state = 3},
  [22766] = {.lex_state = 15, .external_lex_state = 3},
  [22767] = {.lex_state = 394, .external_lex_state = 3},
  [22768] = {.lex_state = 394, .external_lex_state = 3},
  [22769] = {.lex_state = 36, .external_lex_state = 3},
  [22770] = {.lex_state = 36, .external_lex_state = 3},
  [22771] = {.lex_state = 36, .external_lex_state = 3},
  [22772] = {.lex_state = 394, .external_lex_state = 3},
  [22773] = {.lex_state = 394, .external_lex_state = 3},
  [22774] = {.lex_state = 394, .external_lex_state = 3},
  [22775] = {.lex_state = 394, .external_lex_state = 3},
  [22776] = {.lex_state = 394, .external_lex_state = 3},
  [22777] = {.lex_state = 394, .external_lex_state = 3},
  [22778] = {.lex_state = 394, .external_lex_state = 3},
  [22779] = {.lex_state = 394, .external_lex_state = 3},
  [22780] = {.lex_state = 394, .external_lex_state = 3},
  [22781] = {.lex_state = 394, .external_lex_state = 3},
  [22782] = {.lex_state = 394, .external_lex_state = 3},
  [22783] = {.lex_state = 394, .external_lex_state = 3},
  [22784] = {.lex_state = 394, .external_lex_state = 3},
  [22785] = {.lex_state = 15, .external_lex_state = 3},
  [22786] = {.lex_state = 394, .external_lex_state = 3},
  [22787] = {.lex_state = 394, .external_lex_state = 3},
  [22788] = {.lex_state = 36, .external_lex_state = 3},
  [22789] = {.lex_state = 36, .external_lex_state = 3},
  [22790] = {.lex_state = 36, .external_lex_state = 3},
  [22791] = {.lex_state = 394, .external_lex_state = 3},
  [22792] = {.lex_state = 394, .external_lex_state = 3},
  [22793] = {.lex_state = 394, .external_lex_state = 3},
  [22794] = {.lex_state = 394, .external_lex_state = 3},
  [22795] = {.lex_state = 394, .external_lex_state = 3},
  [22796] = {.lex_state = 394, .external_lex_state = 3},
  [22797] = {.lex_state = 394, .external_lex_state = 3},
  [22798] = {.lex_state = 394, .external_lex_state = 3},
  [22799] = {.lex_state = 394, .external_lex_state = 3},
  [22800] = {.lex_state = 394, .external_lex_state = 3},
  [22801] = {.lex_state = 394, .external_lex_state = 3},
  [22802] = {.lex_state = 394, .external_lex_state = 3},
  [22803] = {.lex_state = 394, .external_lex_state = 3},
  [22804] = {.lex_state = 15, .external_lex_state = 3},
  [22805] = {.lex_state = 394, .external_lex_state = 3},
  [22806] = {.lex_state = 394, .external_lex_state = 3},
  [22807] = {.lex_state = 36, .external_lex_state = 3},
  [22808] = {.lex_state = 36, .external_lex_state = 3},
  [22809] = {.lex_state = 36, .external_lex_state = 3},
  [22810] = {.lex_state = 394, .external_lex_state = 3},
  [22811] = {.lex_state = 394, .external_lex_state = 3},
  [22812] = {.lex_state = 394, .external_lex_state = 3},
  [22813] = {.lex_state = 394, .external_lex_state = 3},
  [22814] = {.lex_state = 394, .external_lex_state = 3},
  [22815] = {.lex_state = 394, .external_lex_state = 3},
  [22816] = {.lex_state = 394, .external_lex_state = 3},
  [22817] = {.lex_state = 394, .external_lex_state = 3},
  [22818] = {.lex_state = 394, .external_lex_state = 3},
  [22819] = {.lex_state = 394, .external_lex_state = 3},
  [22820] = {.lex_state = 394, .external_lex_state = 3},
  [22821] = {.lex_state = 15, .external_lex_state = 3},
  [22822] = {.lex_state = 394, .external_lex_state = 3},
  [22823] = {.lex_state = 394, .external_lex_state = 3},
  [22824] = {.lex_state = 36, .external_lex_state = 3},
  [22825] = {.lex_state = 36, .external_lex_state = 3},
  [22826] = {.lex_state = 36, .external_lex_state = 3},
  [22827] = {.lex_state = 425, .external_lex_state = 3},
  [22828] = {.lex_state = 394, .external_lex_state = 3},
  [22829] = {.lex_state = 394, .external_lex_state = 3},
  [22830] = {.lex_state = 394, .external_lex_state = 3},
  [22831] = {.lex_state = 394, .external_lex_state = 3},
  [22832] = {.lex_state = 136, .external_lex_state = 3},
  [22833] = {.lex_state = 136, .external_lex_state = 3},
  [22834] = {.lex_state = 136, .external_lex_state = 3},
  [22835] = {.lex_state = 136, .external_lex_state = 3},
  [22836] = {.lex_state = 136, .external_lex_state = 3},
  [22837] = {.lex_state = 394, .external_lex_state = 3},
  [22838] = {.lex_state = 15, .external_lex_state = 3},
  [22839] = {.lex_state = 136, .external_lex_state = 3},
  [22840] = {.lex_state = 394, .external_lex_state = 3},
  [22841] = {.lex_state = 36, .external_lex_state = 3},
  [22842] = {.lex_state = 36, .external_lex_state = 3},
  [22843] = {.lex_state = 36, .external_lex_state = 3},
  [22844] = {.lex_state = 394, .external_lex_state = 3},
  [22845] = {.lex_state = 394, .external_lex_state = 3},
  [22846] = {.lex_state = 394, .external_lex_state = 3},
  [22847] = {.lex_state = 394, .external_lex_state = 3},
  [22848] = {.lex_state = 400, .external_lex_state = 3},
  [22849] = {.lex_state = 394, .external_lex_state = 3},
  [22850] = {.lex_state = 136, .external_lex_state = 3},
  [22851] = {.lex_state = 394, .external_lex_state = 3},
  [22852] = {.lex_state = 394, .external_lex_state = 3},
  [22853] = {.lex_state = 136, .external_lex_state = 3},
  [22854] = {.lex_state = 394, .external_lex_state = 3},
  [22855] = {.lex_state = 15, .external_lex_state = 3},
  [22856] = {.lex_state = 394, .external_lex_state = 3},
  [22857] = {.lex_state = 394, .external_lex_state = 3},
  [22858] = {.lex_state = 36, .external_lex_state = 3},
  [22859] = {.lex_state = 36, .external_lex_state = 3},
  [22860] = {.lex_state = 36, .external_lex_state = 3},
  [22861] = {.lex_state = 394, .external_lex_state = 3},
  [22862] = {.lex_state = 394, .external_lex_state = 3},
  [22863] = {.lex_state = 394, .external_lex_state = 3},
  [22864] = {.lex_state = 425, .external_lex_state = 3},
  [22865] = {.lex_state = 394, .external_lex_state = 3},
  [22866] = {.lex_state = 394, .external_lex_state = 3},
  [22867] = {.lex_state = 394, .external_lex_state = 3},
  [22868] = {.lex_state = 394, .external_lex_state = 3},
  [22869] = {.lex_state = 136, .external_lex_state = 3},
  [22870] = {.lex_state = 136, .external_lex_state = 3},
  [22871] = {.lex_state = 400, .external_lex_state = 3},
  [22872] = {.lex_state = 15, .external_lex_state = 3},
  [22873] = {.lex_state = 136, .external_lex_state = 3},
  [22874] = {.lex_state = 394, .external_lex_state = 3},
  [22875] = {.lex_state = 36, .external_lex_state = 3},
  [22876] = {.lex_state = 36, .external_lex_state = 3},
  [22877] = {.lex_state = 36, .external_lex_state = 3},
  [22878] = {.lex_state = 394, .external_lex_state = 3},
  [22879] = {.lex_state = 425, .external_lex_state = 3},
  [22880] = {.lex_state = 394, .external_lex_state = 3},
  [22881] = {.lex_state = 394, .external_lex_state = 3},
  [22882] = {.lex_state = 425, .external_lex_state = 3},
  [22883] = {.lex_state = 394, .external_lex_state = 3},
  [22884] = {.lex_state = 394, .external_lex_state = 2},
  [22885] = {.lex_state = 394, .external_lex_state = 3},
  [22886] = {.lex_state = 136, .external_lex_state = 3},
  [22887] = {.lex_state = 394, .external_lex_state = 3},
  [22888] = {.lex_state = 15, .external_lex_state = 3},
  [22889] = {.lex_state = 15, .external_lex_state = 3},
  [22890] = {.lex_state = 394, .external_lex_state = 3},
  [22891] = {.lex_state = 394, .external_lex_state = 3},
  [22892] = {.lex_state = 36, .external_lex_state = 3},
  [22893] = {.lex_state = 36, .external_lex_state = 3},
  [22894] = {.lex_state = 36, .external_lex_state = 3},
  [22895] = {.lex_state = 394, .external_lex_state = 3},
  [22896] = {.lex_state = 394, .external_lex_state = 3},
  [22897] = {.lex_state = 394, .external_lex_state = 3},
  [22898] = {.lex_state = 400, .external_lex_state = 3},
  [22899] = {.lex_state = 400, .external_lex_state = 3},
  [22900] = {.lex_state = 394, .external_lex_state = 3},
  [22901] = {.lex_state = 394, .external_lex_state = 3},
  [22902] = {.lex_state = 394, .external_lex_state = 3},
  [22903] = {.lex_state = 394, .external_lex_state = 3},
  [22904] = {.lex_state = 394, .external_lex_state = 3},
  [22905] = {.lex_state = 394, .external_lex_state = 3},
  [22906] = {.lex_state = 15, .external_lex_state = 3},
  [22907] = {.lex_state = 400, .external_lex_state = 3},
  [22908] = {.lex_state = 394, .external_lex_state = 3},
  [22909] = {.lex_state = 36, .external_lex_state = 3},
  [22910] = {.lex_state = 36, .external_lex_state = 3},
  [22911] = {.lex_state = 36, .external_lex_state = 3},
  [22912] = {.lex_state = 394, .external_lex_state = 3},
  [22913] = {.lex_state = 394, .external_lex_state = 3},
  [22914] = {.lex_state = 394, .external_lex_state = 3},
  [22915] = {.lex_state = 394, .external_lex_state = 3},
  [22916] = {.lex_state = 394, .external_lex_state = 3},
  [22917] = {.lex_state = 394, .external_lex_state = 3},
  [22918] = {.lex_state = 425, .external_lex_state = 3},
  [22919] = {.lex_state = 394, .external_lex_state = 3},
  [22920] = {.lex_state = 394, .external_lex_state = 3},
  [22921] = {.lex_state = 425, .external_lex_state = 3},
  [22922] = {.lex_state = 15, .external_lex_state = 3},
  [22923] = {.lex_state = 400, .external_lex_state = 3},
  [22924] = {.lex_state = 394, .external_lex_state = 3},
  [22925] = {.lex_state = 36, .external_lex_state = 3},
  [22926] = {.lex_state = 36, .external_lex_state = 3},
  [22927] = {.lex_state = 36, .external_lex_state = 3},
  [22928] = {.lex_state = 394, .external_lex_state = 3},
  [22929] = {.lex_state = 394, .external_lex_state = 3},
  [22930] = {.lex_state = 394, .external_lex_state = 3},
  [22931] = {.lex_state = 394, .external_lex_state = 3},
  [22932] = {.lex_state = 394, .external_lex_state = 3},
  [22933] = {.lex_state = 394, .external_lex_state = 3},
  [22934] = {.lex_state = 394, .external_lex_state = 3},
  [22935] = {.lex_state = 394, .external_lex_state = 3},
  [22936] = {.lex_state = 400, .external_lex_state = 3},
  [22937] = {.lex_state = 425, .external_lex_state = 3},
  [22938] = {.lex_state = 15, .external_lex_state = 3},
  [22939] = {.lex_state = 394, .external_lex_state = 3},
  [22940] = {.lex_state = 394, .external_lex_state = 3},
  [22941] = {.lex_state = 36, .external_lex_state = 3},
  [22942] = {.lex_state = 36, .external_lex_state = 3},
  [22943] = {.lex_state = 36, .external_lex_state = 3},
  [22944] = {.lex_state = 394, .external_lex_state = 3},
  [22945] = {.lex_state = 394, .external_lex_state = 3},
  [22946] = {.lex_state = 425, .external_lex_state = 3},
  [22947] = {.lex_state = 394, .external_lex_state = 3},
  [22948] = {.lex_state = 425, .external_lex_state = 3},
  [22949] = {.lex_state = 394, .external_lex_state = 3},
  [22950] = {.lex_state = 394, .external_lex_state = 3},
  [22951] = {.lex_state = 425, .external_lex_state = 3},
  [22952] = {.lex_state = 394, .external_lex_state = 2},
  [22953] = {.lex_state = 425, .external_lex_state = 3},
  [22954] = {.lex_state = 15, .external_lex_state = 3},
  [22955] = {.lex_state = 394, .external_lex_state = 3},
  [22956] = {.lex_state = 394, .external_lex_state = 3},
  [22957] = {.lex_state = 36, .external_lex_state = 3},
  [22958] = {.lex_state = 36, .external_lex_state = 3},
  [22959] = {.lex_state = 36, .external_lex_state = 3},
  [22960] = {.lex_state = 394, .external_lex_state = 3},
  [22961] = {.lex_state = 394, .external_lex_state = 3},
  [22962] = {.lex_state = 15, .external_lex_state = 3},
  [22963] = {.lex_state = 400, .external_lex_state = 3},
  [22964] = {.lex_state = 394, .external_lex_state = 3},
  [22965] = {.lex_state = 400, .external_lex_state = 3},
  [22966] = {.lex_state = 394, .external_lex_state = 3},
  [22967] = {.lex_state = 394, .external_lex_state = 3},
  [22968] = {.lex_state = 394, .external_lex_state = 3},
  [22969] = {.lex_state = 394, .external_lex_state = 3},
  [22970] = {.lex_state = 15, .external_lex_state = 3},
  [22971] = {.lex_state = 394, .external_lex_state = 3},
  [22972] = {.lex_state = 394, .external_lex_state = 3},
  [22973] = {.lex_state = 36, .external_lex_state = 3},
  [22974] = {.lex_state = 36, .external_lex_state = 3},
  [22975] = {.lex_state = 36, .external_lex_state = 3},
  [22976] = {.lex_state = 394, .external_lex_state = 3},
  [22977] = {.lex_state = 394, .external_lex_state = 3},
  [22978] = {.lex_state = 394, .external_lex_state = 3},
  [22979] = {.lex_state = 394, .external_lex_state = 3},
  [22980] = {.lex_state = 394, .external_lex_state = 3},
  [22981] = {.lex_state = 394, .external_lex_state = 3},
  [22982] = {.lex_state = 394, .external_lex_state = 3},
  [22983] = {.lex_state = 394, .external_lex_state = 3},
  [22984] = {.lex_state = 394, .external_lex_state = 3},
  [22985] = {.lex_state = 394, .external_lex_state = 3},
  [22986] = {.lex_state = 15, .external_lex_state = 3},
  [22987] = {.lex_state = 400, .external_lex_state = 3},
  [22988] = {.lex_state = 36, .external_lex_state = 3},
  [22989] = {.lex_state = 36, .external_lex_state = 3},
  [22990] = {.lex_state = 36, .external_lex_state = 3},
  [22991] = {.lex_state = 394, .external_lex_state = 3},
  [22992] = {.lex_state = 394, .external_lex_state = 3},
  [22993] = {.lex_state = 394, .external_lex_state = 3},
  [22994] = {.lex_state = 394, .external_lex_state = 3},
  [22995] = {.lex_state = 425, .external_lex_state = 3},
  [22996] = {.lex_state = 394, .external_lex_state = 3},
  [22997] = {.lex_state = 394, .external_lex_state = 3},
  [22998] = {.lex_state = 394, .external_lex_state = 3},
  [22999] = {.lex_state = 394, .external_lex_state = 3},
  [23000] = {.lex_state = 15, .external_lex_state = 3},
  [23001] = {.lex_state = 15, .external_lex_state = 3},
  [23002] = {.lex_state = 394, .external_lex_state = 3},
  [23003] = {.lex_state = 36, .external_lex_state = 3},
  [23004] = {.lex_state = 36, .external_lex_state = 3},
  [23005] = {.lex_state = 36, .external_lex_state = 3},
  [23006] = {.lex_state = 394, .external_lex_state = 3},
  [23007] = {.lex_state = 394, .external_lex_state = 3},
  [23008] = {.lex_state = 425, .external_lex_state = 3},
  [23009] = {.lex_state = 394, .external_lex_state = 3},
  [23010] = {.lex_state = 394, .external_lex_state = 3},
  [23011] = {.lex_state = 394, .external_lex_state = 3},
  [23012] = {.lex_state = 394, .external_lex_state = 3},
  [23013] = {.lex_state = 394, .external_lex_state = 3},
  [23014] = {.lex_state = 425, .external_lex_state = 3},
  [23015] = {.lex_state = 394, .external_lex_state = 3},
  [23016] = {.lex_state = 15, .external_lex_state = 3},
  [23017] = {.lex_state = 394, .external_lex_state = 3},
  [23018] = {.lex_state = 36, .external_lex_state = 3},
  [23019] = {.lex_state = 36, .external_lex_state = 3},
  [23020] = {.lex_state = 36, .external_lex_state = 3},
  [23021] = {.lex_state = 394, .external_lex_state = 3},
  [23022] = {.lex_state = 394, .external_lex_state = 3},
  [23023] = {.lex_state = 394, .external_lex_state = 3},
  [23024] = {.lex_state = 394, .external_lex_state = 3},
  [23025] = {.lex_state = 394, .external_lex_state = 3},
  [23026] = {.lex_state = 394, .external_lex_state = 3},
  [23027] = {.lex_state = 394, .external_lex_state = 3},
  [23028] = {.lex_state = 394, .external_lex_state = 3},
  [23029] = {.lex_state = 394, .external_lex_state = 3},
  [23030] = {.lex_state = 394, .external_lex_state = 3},
  [23031] = {.lex_state = 15, .external_lex_state = 3},
  [23032] = {.lex_state = 394, .external_lex_state = 3},
  [23033] = {.lex_state = 36, .external_lex_state = 3},
  [23034] = {.lex_state = 36, .external_lex_state = 3},
  [23035] = {.lex_state = 36, .external_lex_state = 3},
  [23036] = {.lex_state = 394, .external_lex_state = 3},
  [23037] = {.lex_state = 394, .external_lex_state = 2},
  [23038] = {.lex_state = 394, .external_lex_state = 3},
  [23039] = {.lex_state = 425, .external_lex_state = 3},
  [23040] = {.lex_state = 394, .external_lex_state = 2},
  [23041] = {.lex_state = 394, .external_lex_state = 3},
  [23042] = {.lex_state = 394, .external_lex_state = 3},
  [23043] = {.lex_state = 394, .external_lex_state = 3},
  [23044] = {.lex_state = 394, .external_lex_state = 3},
  [23045] = {.lex_state = 394, .external_lex_state = 3},
  [23046] = {.lex_state = 15, .external_lex_state = 3},
  [23047] = {.lex_state = 394, .external_lex_state = 3},
  [23048] = {.lex_state = 36, .external_lex_state = 3},
  [23049] = {.lex_state = 36, .external_lex_state = 3},
  [23050] = {.lex_state = 36, .external_lex_state = 3},
  [23051] = {.lex_state = 425, .external_lex_state = 3},
  [23052] = {.lex_state = 394, .external_lex_state = 3},
  [23053] = {.lex_state = 15, .external_lex_state = 3},
  [23054] = {.lex_state = 400, .external_lex_state = 3},
  [23055] = {.lex_state = 394, .external_lex_state = 3},
  [23056] = {.lex_state = 394, .external_lex_state = 3},
  [23057] = {.lex_state = 394, .external_lex_state = 3},
  [23058] = {.lex_state = 394, .external_lex_state = 3},
  [23059] = {.lex_state = 394, .external_lex_state = 3},
  [23060] = {.lex_state = 394, .external_lex_state = 3},
  [23061] = {.lex_state = 15, .external_lex_state = 3},
  [23062] = {.lex_state = 425, .external_lex_state = 3},
  [23063] = {.lex_state = 36, .external_lex_state = 3},
  [23064] = {.lex_state = 36, .external_lex_state = 3},
  [23065] = {.lex_state = 36, .external_lex_state = 3},
  [23066] = {.lex_state = 394, .external_lex_state = 3},
  [23067] = {.lex_state = 394, .external_lex_state = 3},
  [23068] = {.lex_state = 394, .external_lex_state = 3},
  [23069] = {.lex_state = 136, .external_lex_state = 3},
  [23070] = {.lex_state = 394, .external_lex_state = 3},
  [23071] = {.lex_state = 136, .external_lex_state = 3},
  [23072] = {.lex_state = 136, .external_lex_state = 3},
  [23073] = {.lex_state = 394, .external_lex_state = 3},
  [23074] = {.lex_state = 394, .external_lex_state = 3},
  [23075] = {.lex_state = 394, .external_lex_state = 3},
  [23076] = {.lex_state = 15, .external_lex_state = 3},
  [23077] = {.lex_state = 394, .external_lex_state = 3},
  [23078] = {.lex_state = 36, .external_lex_state = 3},
  [23079] = {.lex_state = 36, .external_lex_state = 3},
  [23080] = {.lex_state = 36, .external_lex_state = 3},
  [23081] = {.lex_state = 394, .external_lex_state = 3},
  [23082] = {.lex_state = 15, .external_lex_state = 3},
  [23083] = {.lex_state = 394, .external_lex_state = 3},
  [23084] = {.lex_state = 394, .external_lex_state = 3},
  [23085] = {.lex_state = 394, .external_lex_state = 3},
  [23086] = {.lex_state = 136, .external_lex_state = 3},
  [23087] = {.lex_state = 394, .external_lex_state = 3},
  [23088] = {.lex_state = 425, .external_lex_state = 3},
  [23089] = {.lex_state = 394, .external_lex_state = 3},
  [23090] = {.lex_state = 394, .external_lex_state = 3},
  [23091] = {.lex_state = 15, .external_lex_state = 3},
  [23092] = {.lex_state = 394, .external_lex_state = 3},
  [23093] = {.lex_state = 36, .external_lex_state = 3},
  [23094] = {.lex_state = 36, .external_lex_state = 3},
  [23095] = {.lex_state = 36, .external_lex_state = 3},
  [23096] = {.lex_state = 394, .external_lex_state = 3},
  [23097] = {.lex_state = 394, .external_lex_state = 3},
  [23098] = {.lex_state = 394, .external_lex_state = 3},
  [23099] = {.lex_state = 394, .external_lex_state = 3},
  [23100] = {.lex_state = 394, .external_lex_state = 3},
  [23101] = {.lex_state = 400, .external_lex_state = 3},
  [23102] = {.lex_state = 400, .external_lex_state = 3},
  [23103] = {.lex_state = 394, .external_lex_state = 3},
  [23104] = {.lex_state = 394, .external_lex_state = 3},
  [23105] = {.lex_state = 394, .external_lex_state = 3},
  [23106] = {.lex_state = 15, .external_lex_state = 3},
  [23107] = {.lex_state = 394, .external_lex_state = 3},
  [23108] = {.lex_state = 36, .external_lex_state = 3},
  [23109] = {.lex_state = 36, .external_lex_state = 3},
  [23110] = {.lex_state = 36, .external_lex_state = 3},
  [23111] = {.lex_state = 400, .external_lex_state = 3},
  [23112] = {.lex_state = 394, .external_lex_state = 3},
  [23113] = {.lex_state = 400, .external_lex_state = 3},
  [23114] = {.lex_state = 425, .external_lex_state = 3},
  [23115] = {.lex_state = 15, .external_lex_state = 3},
  [23116] = {.lex_state = 394, .external_lex_state = 3},
  [23117] = {.lex_state = 425, .external_lex_state = 3},
  [23118] = {.lex_state = 394, .external_lex_state = 2},
  [23119] = {.lex_state = 425, .external_lex_state = 3},
  [23120] = {.lex_state = 394, .external_lex_state = 3},
  [23121] = {.lex_state = 15, .external_lex_state = 3},
  [23122] = {.lex_state = 394, .external_lex_state = 3},
  [23123] = {.lex_state = 36, .external_lex_state = 3},
  [23124] = {.lex_state = 36, .external_lex_state = 3},
  [23125] = {.lex_state = 36, .external_lex_state = 3},
  [23126] = {.lex_state = 425, .external_lex_state = 3},
  [23127] = {.lex_state = 15, .external_lex_state = 3},
  [23128] = {.lex_state = 400, .external_lex_state = 3},
  [23129] = {.lex_state = 394, .external_lex_state = 3},
  [23130] = {.lex_state = 429, .external_lex_state = 3},
  [23131] = {.lex_state = 400, .external_lex_state = 3},
  [23132] = {.lex_state = 394, .external_lex_state = 3},
  [23133] = {.lex_state = 394, .external_lex_state = 3},
  [23134] = {.lex_state = 394, .external_lex_state = 3},
  [23135] = {.lex_state = 394, .external_lex_state = 3},
  [23136] = {.lex_state = 15, .external_lex_state = 3},
  [23137] = {.lex_state = 394, .external_lex_state = 3},
  [23138] = {.lex_state = 36, .external_lex_state = 3},
  [23139] = {.lex_state = 36, .external_lex_state = 3},
  [23140] = {.lex_state = 36, .external_lex_state = 3},
  [23141] = {.lex_state = 394, .external_lex_state = 3},
  [23142] = {.lex_state = 394, .external_lex_state = 3},
  [23143] = {.lex_state = 394, .external_lex_state = 3},
  [23144] = {.lex_state = 394, .external_lex_state = 3},
  [23145] = {.lex_state = 425, .external_lex_state = 3},
  [23146] = {.lex_state = 394, .external_lex_state = 3},
  [23147] = {.lex_state = 425, .external_lex_state = 3},
  [23148] = {.lex_state = 394, .external_lex_state = 3},
  [23149] = {.lex_state = 400, .external_lex_state = 3},
  [23150] = {.lex_state = 136, .external_lex_state = 3},
  [23151] = {.lex_state = 15, .external_lex_state = 3},
  [23152] = {.lex_state = 400, .external_lex_state = 3},
  [23153] = {.lex_state = 36, .external_lex_state = 3},
  [23154] = {.lex_state = 36, .external_lex_state = 3},
  [23155] = {.lex_state = 36, .external_lex_state = 3},
  [23156] = {.lex_state = 400, .external_lex_state = 3},
  [23157] = {.lex_state = 400, .external_lex_state = 3},
  [23158] = {.lex_state = 394, .external_lex_state = 3},
  [23159] = {.lex_state = 394, .external_lex_state = 3},
  [23160] = {.lex_state = 394, .external_lex_state = 3},
  [23161] = {.lex_state = 394, .external_lex_state = 3},
  [23162] = {.lex_state = 394, .external_lex_state = 3},
  [23163] = {.lex_state = 394, .external_lex_state = 3},
  [23164] = {.lex_state = 394, .external_lex_state = 3},
  [23165] = {.lex_state = 394, .external_lex_state = 3},
  [23166] = {.lex_state = 15, .external_lex_state = 3},
  [23167] = {.lex_state = 15, .external_lex_state = 3},
  [23168] = {.lex_state = 36, .external_lex_state = 3},
  [23169] = {.lex_state = 36, .external_lex_state = 3},
  [23170] = {.lex_state = 36, .external_lex_state = 3},
  [23171] = {.lex_state = 394, .external_lex_state = 3},
  [23172] = {.lex_state = 425, .external_lex_state = 3},
  [23173] = {.lex_state = 394, .external_lex_state = 3},
  [23174] = {.lex_state = 425, .external_lex_state = 3},
  [23175] = {.lex_state = 394, .external_lex_state = 3},
  [23176] = {.lex_state = 394, .external_lex_state = 3},
  [23177] = {.lex_state = 394, .external_lex_state = 3},
  [23178] = {.lex_state = 394, .external_lex_state = 3},
  [23179] = {.lex_state = 394, .external_lex_state = 3},
  [23180] = {.lex_state = 425, .external_lex_state = 3},
  [23181] = {.lex_state = 15, .external_lex_state = 3},
  [23182] = {.lex_state = 394, .external_lex_state = 3},
  [23183] = {.lex_state = 36, .external_lex_state = 3},
  [23184] = {.lex_state = 36, .external_lex_state = 3},
  [23185] = {.lex_state = 36, .external_lex_state = 3},
  [23186] = {.lex_state = 394, .external_lex_state = 3},
  [23187] = {.lex_state = 400, .external_lex_state = 3},
  [23188] = {.lex_state = 394, .external_lex_state = 3},
  [23189] = {.lex_state = 394, .external_lex_state = 3},
  [23190] = {.lex_state = 394, .external_lex_state = 3},
  [23191] = {.lex_state = 394, .external_lex_state = 3},
  [23192] = {.lex_state = 425, .external_lex_state = 3},
  [23193] = {.lex_state = 394, .external_lex_state = 3},
  [23194] = {.lex_state = 425, .external_lex_state = 3},
  [23195] = {.lex_state = 394, .external_lex_state = 3},
  [23196] = {.lex_state = 15, .external_lex_state = 3},
  [23197] = {.lex_state = 394, .external_lex_state = 3},
  [23198] = {.lex_state = 36, .external_lex_state = 3},
  [23199] = {.lex_state = 36, .external_lex_state = 3},
  [23200] = {.lex_state = 36, .external_lex_state = 3},
  [23201] = {.lex_state = 394, .external_lex_state = 3},
  [23202] = {.lex_state = 394, .external_lex_state = 3},
  [23203] = {.lex_state = 394, .external_lex_state = 3},
  [23204] = {.lex_state = 425, .external_lex_state = 3},
  [23205] = {.lex_state = 394, .external_lex_state = 3},
  [23206] = {.lex_state = 394, .external_lex_state = 3},
  [23207] = {.lex_state = 394, .external_lex_state = 3},
  [23208] = {.lex_state = 394, .external_lex_state = 3},
  [23209] = {.lex_state = 394, .external_lex_state = 3},
  [23210] = {.lex_state = 394, .external_lex_state = 3},
  [23211] = {.lex_state = 15, .external_lex_state = 3},
  [23212] = {.lex_state = 394, .external_lex_state = 3},
  [23213] = {.lex_state = 36, .external_lex_state = 3},
  [23214] = {.lex_state = 36, .external_lex_state = 3},
  [23215] = {.lex_state = 36, .external_lex_state = 3},
  [23216] = {.lex_state = 394, .external_lex_state = 3},
  [23217] = {.lex_state = 394, .external_lex_state = 3},
  [23218] = {.lex_state = 394, .external_lex_state = 3},
  [23219] = {.lex_state = 400, .external_lex_state = 3},
  [23220] = {.lex_state = 394, .external_lex_state = 3},
  [23221] = {.lex_state = 394, .external_lex_state = 3},
  [23222] = {.lex_state = 425, .external_lex_state = 3},
  [23223] = {.lex_state = 394, .external_lex_state = 3},
  [23224] = {.lex_state = 394, .external_lex_state = 3},
  [23225] = {.lex_state = 394, .external_lex_state = 3},
  [23226] = {.lex_state = 394, .external_lex_state = 3},
  [23227] = {.lex_state = 36, .external_lex_state = 3},
  [23228] = {.lex_state = 36, .external_lex_state = 3},
  [23229] = {.lex_state = 36, .external_lex_state = 3},
  [23230] = {.lex_state = 394, .external_lex_state = 3},
  [23231] = {.lex_state = 394, .external_lex_state = 3},
  [23232] = {.lex_state = 394, .external_lex_state = 3},
  [23233] = {.lex_state = 429, .external_lex_state = 3},
  [23234] = {.lex_state = 394, .external_lex_state = 3},
  [23235] = {.lex_state = 394, .external_lex_state = 3},
  [23236] = {.lex_state = 15, .external_lex_state = 3},
  [23237] = {.lex_state = 394, .external_lex_state = 3},
  [23238] = {.lex_state = 394, .external_lex_state = 3},
  [23239] = {.lex_state = 394, .external_lex_state = 3},
  [23240] = {.lex_state = 400, .external_lex_state = 3},
  [23241] = {.lex_state = 36, .external_lex_state = 3},
  [23242] = {.lex_state = 36, .external_lex_state = 3},
  [23243] = {.lex_state = 36, .external_lex_state = 3},
  [23244] = {.lex_state = 394, .external_lex_state = 3},
  [23245] = {.lex_state = 394, .external_lex_state = 3},
  [23246] = {.lex_state = 394, .external_lex_state = 3},
  [23247] = {.lex_state = 394, .external_lex_state = 3},
  [23248] = {.lex_state = 394, .external_lex_state = 3},
  [23249] = {.lex_state = 425, .external_lex_state = 3},
  [23250] = {.lex_state = 394, .external_lex_state = 3},
  [23251] = {.lex_state = 394, .external_lex_state = 3},
  [23252] = {.lex_state = 394, .external_lex_state = 3},
  [23253] = {.lex_state = 425, .external_lex_state = 3},
  [23254] = {.lex_state = 394, .external_lex_state = 3},
  [23255] = {.lex_state = 36, .external_lex_state = 3},
  [23256] = {.lex_state = 36, .external_lex_state = 3},
  [23257] = {.lex_state = 36, .external_lex_state = 3},
  [23258] = {.lex_state = 394, .external_lex_state = 3},
  [23259] = {.lex_state = 394, .external_lex_state = 3},
  [23260] = {.lex_state = 394, .external_lex_state = 3},
  [23261] = {.lex_state = 394, .external_lex_state = 3},
  [23262] = {.lex_state = 425, .external_lex_state = 3},
  [23263] = {.lex_state = 394, .external_lex_state = 3},
  [23264] = {.lex_state = 394, .external_lex_state = 3},
  [23265] = {.lex_state = 394, .external_lex_state = 3},
  [23266] = {.lex_state = 394, .external_lex_state = 3},
  [23267] = {.lex_state = 394, .external_lex_state = 3},
  [23268] = {.lex_state = 425, .external_lex_state = 3},
  [23269] = {.lex_state = 36, .external_lex_state = 3},
  [23270] = {.lex_state = 36, .external_lex_state = 3},
  [23271] = {.lex_state = 36, .external_lex_state = 3},
  [23272] = {.lex_state = 394, .external_lex_state = 3},
  [23273] = {.lex_state = 394, .external_lex_state = 3},
  [23274] = {.lex_state = 425, .external_lex_state = 3},
  [23275] = {.lex_state = 394, .external_lex_state = 3},
  [23276] = {.lex_state = 394, .external_lex_state = 3},
  [23277] = {.lex_state = 394, .external_lex_state = 3},
  [23278] = {.lex_state = 394, .external_lex_state = 3},
  [23279] = {.lex_state = 394, .external_lex_state = 3},
  [23280] = {.lex_state = 394, .external_lex_state = 3},
  [23281] = {.lex_state = 394, .external_lex_state = 2},
  [23282] = {.lex_state = 394, .external_lex_state = 3},
  [23283] = {.lex_state = 36, .external_lex_state = 3},
  [23284] = {.lex_state = 36, .external_lex_state = 3},
  [23285] = {.lex_state = 36, .external_lex_state = 3},
  [23286] = {.lex_state = 394, .external_lex_state = 3},
  [23287] = {.lex_state = 136, .external_lex_state = 3},
  [23288] = {.lex_state = 136, .external_lex_state = 3},
  [23289] = {.lex_state = 400, .external_lex_state = 3},
  [23290] = {.lex_state = 394, .external_lex_state = 3},
  [23291] = {.lex_state = 394, .external_lex_state = 3},
  [23292] = {.lex_state = 394, .external_lex_state = 3},
  [23293] = {.lex_state = 136, .external_lex_state = 3},
  [23294] = {.lex_state = 136, .external_lex_state = 3},
  [23295] = {.lex_state = 136, .external_lex_state = 3},
  [23296] = {.lex_state = 394, .external_lex_state = 3},
  [23297] = {.lex_state = 36, .external_lex_state = 3},
  [23298] = {.lex_state = 36, .external_lex_state = 3},
  [23299] = {.lex_state = 36, .external_lex_state = 3},
  [23300] = {.lex_state = 136, .external_lex_state = 3},
  [23301] = {.lex_state = 394, .external_lex_state = 3},
  [23302] = {.lex_state = 394, .external_lex_state = 3},
  [23303] = {.lex_state = 425, .external_lex_state = 3},
  [23304] = {.lex_state = 400, .external_lex_state = 3},
  [23305] = {.lex_state = 394, .external_lex_state = 3},
  [23306] = {.lex_state = 394, .external_lex_state = 3},
  [23307] = {.lex_state = 394, .external_lex_state = 3},
  [23308] = {.lex_state = 425, .external_lex_state = 3},
  [23309] = {.lex_state = 136, .external_lex_state = 3},
  [23310] = {.lex_state = 394, .external_lex_state = 3},
  [23311] = {.lex_state = 36, .external_lex_state = 3},
  [23312] = {.lex_state = 36, .external_lex_state = 3},
  [23313] = {.lex_state = 36, .external_lex_state = 3},
  [23314] = {.lex_state = 394, .external_lex_state = 3},
  [23315] = {.lex_state = 425, .external_lex_state = 3},
  [23316] = {.lex_state = 400, .external_lex_state = 3},
  [23317] = {.lex_state = 394, .external_lex_state = 3},
  [23318] = {.lex_state = 394, .external_lex_state = 3},
  [23319] = {.lex_state = 394, .external_lex_state = 3},
  [23320] = {.lex_state = 394, .external_lex_state = 3},
  [23321] = {.lex_state = 394, .external_lex_state = 3},
  [23322] = {.lex_state = 136, .external_lex_state = 3},
  [23323] = {.lex_state = 394, .external_lex_state = 3},
  [23324] = {.lex_state = 136, .external_lex_state = 3},
  [23325] = {.lex_state = 36, .external_lex_state = 3},
  [23326] = {.lex_state = 36, .external_lex_state = 3},
  [23327] = {.lex_state = 36, .external_lex_state = 3},
  [23328] = {.lex_state = 425, .external_lex_state = 3},
  [23329] = {.lex_state = 394, .external_lex_state = 3},
  [23330] = {.lex_state = 136, .external_lex_state = 3},
  [23331] = {.lex_state = 136, .external_lex_state = 3},
  [23332] = {.lex_state = 394, .external_lex_state = 3},
  [23333] = {.lex_state = 400, .external_lex_state = 3},
  [23334] = {.lex_state = 425, .external_lex_state = 3},
  [23335] = {.lex_state = 425, .external_lex_state = 3},
  [23336] = {.lex_state = 136, .external_lex_state = 3},
  [23337] = {.lex_state = 136, .external_lex_state = 3},
  [23338] = {.lex_state = 394, .external_lex_state = 3},
  [23339] = {.lex_state = 36, .external_lex_state = 3},
  [23340] = {.lex_state = 36, .external_lex_state = 3},
  [23341] = {.lex_state = 36, .external_lex_state = 3},
  [23342] = {.lex_state = 425, .external_lex_state = 3},
  [23343] = {.lex_state = 394, .external_lex_state = 2},
  [23344] = {.lex_state = 394, .external_lex_state = 3},
  [23345] = {.lex_state = 394, .external_lex_state = 3},
  [23346] = {.lex_state = 425, .external_lex_state = 3},
  [23347] = {.lex_state = 136, .external_lex_state = 3},
  [23348] = {.lex_state = 15, .external_lex_state = 3},
  [23349] = {.lex_state = 394, .external_lex_state = 3},
  [23350] = {.lex_state = 394, .external_lex_state = 3},
  [23351] = {.lex_state = 425, .external_lex_state = 3},
  [23352] = {.lex_state = 425, .external_lex_state = 3},
  [23353] = {.lex_state = 36, .external_lex_state = 3},
  [23354] = {.lex_state = 36, .external_lex_state = 3},
  [23355] = {.lex_state = 36, .external_lex_state = 3},
  [23356] = {.lex_state = 394, .external_lex_state = 3},
  [23357] = {.lex_state = 394, .external_lex_state = 3},
  [23358] = {.lex_state = 394, .external_lex_state = 3},
  [23359] = {.lex_state = 394, .external_lex_state = 3},
  [23360] = {.lex_state = 400, .external_lex_state = 3},
  [23361] = {.lex_state = 394, .external_lex_state = 3},
  [23362] = {.lex_state = 394, .external_lex_state = 3},
  [23363] = {.lex_state = 394, .external_lex_state = 3},
  [23364] = {.lex_state = 400, .external_lex_state = 3},
  [23365] = {.lex_state = 394, .external_lex_state = 3},
  [23366] = {.lex_state = 394, .external_lex_state = 3},
  [23367] = {.lex_state = 36, .external_lex_state = 3},
  [23368] = {.lex_state = 36, .external_lex_state = 3},
  [23369] = {.lex_state = 36, .external_lex_state = 3},
  [23370] = {.lex_state = 394, .external_lex_state = 3},
  [23371] = {.lex_state = 394, .external_lex_state = 3},
  [23372] = {.lex_state = 394, .external_lex_state = 3},
  [23373] = {.lex_state = 136, .external_lex_state = 3},
  [23374] = {.lex_state = 394, .external_lex_state = 3},
  [23375] = {.lex_state = 394, .external_lex_state = 3},
  [23376] = {.lex_state = 394, .external_lex_state = 3},
  [23377] = {.lex_state = 394, .external_lex_state = 3},
  [23378] = {.lex_state = 136, .external_lex_state = 3},
  [23379] = {.lex_state = 394, .external_lex_state = 3},
  [23380] = {.lex_state = 394, .external_lex_state = 3},
  [23381] = {.lex_state = 36, .external_lex_state = 3},
  [23382] = {.lex_state = 36, .external_lex_state = 3},
  [23383] = {.lex_state = 36, .external_lex_state = 3},
  [23384] = {.lex_state = 394, .external_lex_state = 3},
  [23385] = {.lex_state = 394, .external_lex_state = 3},
  [23386] = {.lex_state = 400, .external_lex_state = 3},
  [23387] = {.lex_state = 394, .external_lex_state = 3},
  [23388] = {.lex_state = 36, .external_lex_state = 3},
  [23389] = {.lex_state = 36, .external_lex_state = 3},
  [23390] = {.lex_state = 36, .external_lex_state = 3},
  [23391] = {.lex_state = 394, .external_lex_state = 3},
  [23392] = {.lex_state = 136, .external_lex_state = 3},
  [23393] = {.lex_state = 394, .external_lex_state = 3},
  [23394] = {.lex_state = 394, .external_lex_state = 3},
  [23395] = {.lex_state = 36, .external_lex_state = 3},
  [23396] = {.lex_state = 36, .external_lex_state = 3},
  [23397] = {.lex_state = 36, .external_lex_state = 3},
  [23398] = {.lex_state = 394, .external_lex_state = 3},
  [23399] = {.lex_state = 394, .external_lex_state = 3},
  [23400] = {.lex_state = 36, .external_lex_state = 3},
  [23401] = {.lex_state = 36, .external_lex_state = 3},
  [23402] = {.lex_state = 36, .external_lex_state = 3},
  [23403] = {.lex_state = 394, .external_lex_state = 3},
  [23404] = {.lex_state = 425, .external_lex_state = 3},
  [23405] = {.lex_state = 36, .external_lex_state = 3},
  [23406] = {.lex_state = 36, .external_lex_state = 3},
  [23407] = {.lex_state = 36, .external_lex_state = 3},
  [23408] = {.lex_state = 394, .external_lex_state = 3},
  [23409] = {.lex_state = 394, .external_lex_state = 3},
  [23410] = {.lex_state = 36, .external_lex_state = 3},
  [23411] = {.lex_state = 36, .external_lex_state = 3},
  [23412] = {.lex_state = 36, .external_lex_state = 3},
  [23413] = {.lex_state = 394, .external_lex_state = 3},
  [23414] = {.lex_state = 394, .external_lex_state = 3},
  [23415] = {.lex_state = 36, .external_lex_state = 3},
  [23416] = {.lex_state = 36, .external_lex_state = 3},
  [23417] = {.lex_state = 36, .external_lex_state = 3},
  [23418] = {.lex_state = 394, .external_lex_state = 3},
  [23419] = {.lex_state = 394, .external_lex_state = 3},
  [23420] = {.lex_state = 36, .external_lex_state = 3},
  [23421] = {.lex_state = 36, .external_lex_state = 3},
  [23422] = {.lex_state = 36, .external_lex_state = 3},
  [23423] = {.lex_state = 394, .external_lex_state = 3},
  [23424] = {.lex_state = 394, .external_lex_state = 3},
  [23425] = {.lex_state = 36, .external_lex_state = 3},
  [23426] = {.lex_state = 36, .external_lex_state = 3},
  [23427] = {.lex_state = 36, .external_lex_state = 3},
  [23428] = {.lex_state = 394, .external_lex_state = 3},
  [23429] = {.lex_state = 394, .external_lex_state = 3},
  [23430] = {.lex_state = 36, .external_lex_state = 3},
  [23431] = {.lex_state = 36, .external_lex_state = 3},
  [23432] = {.lex_state = 36, .external_lex_state = 3},
  [23433] = {.lex_state = 394, .external_lex_state = 3},
  [23434] = {.lex_state = 394, .external_lex_state = 3},
  [23435] = {.lex_state = 36, .external_lex_state = 3},
  [23436] = {.lex_state = 36, .external_lex_state = 3},
  [23437] = {.lex_state = 36, .external_lex_state = 3},
  [23438] = {.lex_state = 394, .external_lex_state = 3},
  [23439] = {.lex_state = 394, .external_lex_state = 3},
  [23440] = {.lex_state = 36, .external_lex_state = 3},
  [23441] = {.lex_state = 36, .external_lex_state = 3},
  [23442] = {.lex_state = 36, .external_lex_state = 3},
  [23443] = {.lex_state = 394, .external_lex_state = 3},
  [23444] = {.lex_state = 394, .external_lex_state = 3},
  [23445] = {.lex_state = 36, .external_lex_state = 3},
  [23446] = {.lex_state = 36, .external_lex_state = 3},
  [23447] = {.lex_state = 36, .external_lex_state = 3},
  [23448] = {.lex_state = 394, .external_lex_state = 3},
  [23449] = {.lex_state = 394, .external_lex_state = 3},
  [23450] = {.lex_state = 36, .external_lex_state = 3},
  [23451] = {.lex_state = 36, .external_lex_state = 3},
  [23452] = {.lex_state = 36, .external_lex_state = 3},
  [23453] = {.lex_state = 136, .external_lex_state = 3},
  [23454] = {.lex_state = 136, .external_lex_state = 3},
  [23455] = {.lex_state = 36, .external_lex_state = 3},
  [23456] = {.lex_state = 36, .external_lex_state = 3},
  [23457] = {.lex_state = 36, .external_lex_state = 3},
  [23458] = {.lex_state = 136, .external_lex_state = 3},
  [23459] = {.lex_state = 394, .external_lex_state = 3},
  [23460] = {.lex_state = 400, .external_lex_state = 3},
  [23461] = {.lex_state = 394, .external_lex_state = 3},
  [23462] = {.lex_state = 394, .external_lex_state = 3},
  [23463] = {.lex_state = 425, .external_lex_state = 3},
  [23464] = {.lex_state = 136, .external_lex_state = 3},
  [23465] = {.lex_state = 394, .external_lex_state = 3},
  [23466] = {.lex_state = 394, .external_lex_state = 3},
  [23467] = {.lex_state = 394, .external_lex_state = 3},
  [23468] = {.lex_state = 400, .external_lex_state = 3},
  [23469] = {.lex_state = 394, .external_lex_state = 3},
  [23470] = {.lex_state = 394, .external_lex_state = 3},
  [23471] = {.lex_state = 394, .external_lex_state = 3},
  [23472] = {.lex_state = 394, .external_lex_state = 3},
  [23473] = {.lex_state = 394, .external_lex_state = 3},
  [23474] = {.lex_state = 425, .external_lex_state = 3},
  [23475] = {.lex_state = 394, .external_lex_state = 2},
  [23476] = {.lex_state = 400, .external_lex_state = 3},
  [23477] = {.lex_state = 394, .external_lex_state = 3},
  [23478] = {.lex_state = 425, .external_lex_state = 3},
  [23479] = {.lex_state = 400, .external_lex_state = 3},
  [23480] = {.lex_state = 425, .external_lex_state = 3},
  [23481] = {.lex_state = 394, .external_lex_state = 3},
  [23482] = {.lex_state = 214, .external_lex_state = 3},
  [23483] = {.lex_state = 397, .external_lex_state = 3},
  [23484] = {.lex_state = 15, .external_lex_state = 3},
  [23485] = {.lex_state = 425, .external_lex_state = 3},
  [23486] = {.lex_state = 394, .external_lex_state = 3},
  [23487] = {.lex_state = 394, .external_lex_state = 3},
  [23488] = {.lex_state = 394, .external_lex_state = 3},
  [23489] = {.lex_state = 397, .external_lex_state = 3},
  [23490] = {.lex_state = 394, .external_lex_state = 3},
  [23491] = {.lex_state = 425, .external_lex_state = 3},
  [23492] = {.lex_state = 394, .external_lex_state = 3},
  [23493] = {.lex_state = 394, .external_lex_state = 3},
  [23494] = {.lex_state = 425, .external_lex_state = 3},
  [23495] = {.lex_state = 394, .external_lex_state = 2},
  [23496] = {.lex_state = 394, .external_lex_state = 3},
  [23497] = {.lex_state = 15, .external_lex_state = 3},
  [23498] = {.lex_state = 425, .external_lex_state = 3},
  [23499] = {.lex_state = 400, .external_lex_state = 3},
  [23500] = {.lex_state = 394, .external_lex_state = 3},
  [23501] = {.lex_state = 15, .external_lex_state = 3},
  [23502] = {.lex_state = 394, .external_lex_state = 3},
  [23503] = {.lex_state = 394, .external_lex_state = 3},
  [23504] = {.lex_state = 15, .external_lex_state = 3},
  [23505] = {.lex_state = 15, .external_lex_state = 3},
  [23506] = {.lex_state = 394, .external_lex_state = 3},
  [23507] = {.lex_state = 394, .external_lex_state = 3},
  [23508] = {.lex_state = 394, .external_lex_state = 3},
  [23509] = {.lex_state = 15, .external_lex_state = 3},
  [23510] = {.lex_state = 394, .external_lex_state = 3},
  [23511] = {.lex_state = 394, .external_lex_state = 3},
  [23512] = {.lex_state = 136, .external_lex_state = 3},
  [23513] = {.lex_state = 400, .external_lex_state = 3},
  [23514] = {.lex_state = 394, .external_lex_state = 3},
  [23515] = {.lex_state = 394, .external_lex_state = 3},
  [23516] = {.lex_state = 394, .external_lex_state = 3},
  [23517] = {.lex_state = 214, .external_lex_state = 3},
  [23518] = {.lex_state = 397, .external_lex_state = 3},
  [23519] = {.lex_state = 397, .external_lex_state = 3},
  [23520] = {.lex_state = 394, .external_lex_state = 3},
  [23521] = {.lex_state = 394, .external_lex_state = 3},
  [23522] = {.lex_state = 394, .external_lex_state = 3},
  [23523] = {.lex_state = 425, .external_lex_state = 3},
  [23524] = {.lex_state = 136, .external_lex_state = 3},
  [23525] = {.lex_state = 394, .external_lex_state = 3},
  [23526] = {.lex_state = 425, .external_lex_state = 3},
  [23527] = {.lex_state = 394, .external_lex_state = 3},
  [23528] = {.lex_state = 394, .external_lex_state = 3},
  [23529] = {.lex_state = 394, .external_lex_state = 3},
  [23530] = {.lex_state = 394, .external_lex_state = 3},
  [23531] = {.lex_state = 394, .external_lex_state = 3},
  [23532] = {.lex_state = 400, .external_lex_state = 3},
  [23533] = {.lex_state = 400, .external_lex_state = 3},
  [23534] = {.lex_state = 136, .external_lex_state = 3},
  [23535] = {.lex_state = 214, .external_lex_state = 3},
  [23536] = {.lex_state = 397, .external_lex_state = 3},
  [23537] = {.lex_state = 397, .external_lex_state = 3},
  [23538] = {.lex_state = 394, .external_lex_state = 3},
  [23539] = {.lex_state = 394, .external_lex_state = 3},
  [23540] = {.lex_state = 394, .external_lex_state = 3},
  [23541] = {.lex_state = 394, .external_lex_state = 3},
  [23542] = {.lex_state = 394, .external_lex_state = 3},
  [23543] = {.lex_state = 394, .external_lex_state = 3},
  [23544] = {.lex_state = 394, .external_lex_state = 3},
  [23545] = {.lex_state = 425, .external_lex_state = 3},
  [23546] = {.lex_state = 425, .external_lex_state = 3},
  [23547] = {.lex_state = 425, .external_lex_state = 3},
  [23548] = {.lex_state = 214, .external_lex_state = 3},
  [23549] = {.lex_state = 394, .external_lex_state = 3},
  [23550] = {.lex_state = 394, .external_lex_state = 2},
  [23551] = {.lex_state = 394, .external_lex_state = 3},
  [23552] = {.lex_state = 394, .external_lex_state = 3},
  [23553] = {.lex_state = 15, .external_lex_state = 3},
  [23554] = {.lex_state = 394, .external_lex_state = 3},
  [23555] = {.lex_state = 394, .external_lex_state = 3},
  [23556] = {.lex_state = 15, .external_lex_state = 3},
  [23557] = {.lex_state = 214, .external_lex_state = 3},
  [23558] = {.lex_state = 394, .external_lex_state = 3},
  [23559] = {.lex_state = 425, .external_lex_state = 3},
  [23560] = {.lex_state = 214, .external_lex_state = 3},
  [23561] = {.lex_state = 394, .external_lex_state = 3},
  [23562] = {.lex_state = 15, .external_lex_state = 3},
  [23563] = {.lex_state = 214, .external_lex_state = 3},
  [23564] = {.lex_state = 394, .external_lex_state = 2},
  [23565] = {.lex_state = 394, .external_lex_state = 3},
  [23566] = {.lex_state = 214, .external_lex_state = 3},
  [23567] = {.lex_state = 214, .external_lex_state = 3},
  [23568] = {.lex_state = 214, .external_lex_state = 3},
  [23569] = {.lex_state = 214, .external_lex_state = 3},
  [23570] = {.lex_state = 214, .external_lex_state = 3},
  [23571] = {.lex_state = 214, .external_lex_state = 3},
  [23572] = {.lex_state = 214, .external_lex_state = 3},
  [23573] = {.lex_state = 214, .external_lex_state = 3},
  [23574] = {.lex_state = 214, .external_lex_state = 3},
  [23575] = {.lex_state = 214, .external_lex_state = 3},
  [23576] = {.lex_state = 214, .external_lex_state = 3},
  [23577] = {.lex_state = 214, .external_lex_state = 3},
  [23578] = {.lex_state = 214, .external_lex_state = 3},
  [23579] = {.lex_state = 214, .external_lex_state = 3},
  [23580] = {.lex_state = 214, .external_lex_state = 3},
  [23581] = {.lex_state = 214, .external_lex_state = 3},
  [23582] = {.lex_state = 214, .external_lex_state = 3},
  [23583] = {.lex_state = 214, .external_lex_state = 3},
  [23584] = {.lex_state = 214, .external_lex_state = 3},
  [23585] = {.lex_state = 214, .external_lex_state = 3},
  [23586] = {.lex_state = 214, .external_lex_state = 3},
  [23587] = {.lex_state = 214, .external_lex_state = 3},
  [23588] = {.lex_state = 214, .external_lex_state = 3},
  [23589] = {.lex_state = 214, .external_lex_state = 3},
  [23590] = {.lex_state = 214, .external_lex_state = 3},
  [23591] = {.lex_state = 214, .external_lex_state = 3},
  [23592] = {.lex_state = 214, .external_lex_state = 3},
  [23593] = {.lex_state = 214, .external_lex_state = 3},
  [23594] = {.lex_state = 214, .external_lex_state = 3},
  [23595] = {.lex_state = 214, .external_lex_state = 3},
  [23596] = {.lex_state = 214, .external_lex_state = 3},
  [23597] = {.lex_state = 214, .external_lex_state = 3},
  [23598] = {.lex_state = 214, .external_lex_state = 3},
  [23599] = {.lex_state = 214, .external_lex_state = 3},
  [23600] = {.lex_state = 214, .external_lex_state = 3},
  [23601] = {.lex_state = 214, .external_lex_state = 3},
  [23602] = {.lex_state = 214, .external_lex_state = 3},
  [23603] = {.lex_state = 214, .external_lex_state = 3},
  [23604] = {.lex_state = 214, .external_lex_state = 3},
  [23605] = {.lex_state = 214, .external_lex_state = 3},
  [23606] = {.lex_state = 214, .external_lex_state = 3},
  [23607] = {.lex_state = 214, .external_lex_state = 3},
  [23608] = {.lex_state = 214, .external_lex_state = 3},
  [23609] = {.lex_state = 214, .external_lex_state = 3},
  [23610] = {.lex_state = 214, .external_lex_state = 3},
  [23611] = {.lex_state = 214, .external_lex_state = 3},
  [23612] = {.lex_state = 214, .external_lex_state = 3},
  [23613] = {.lex_state = 214, .external_lex_state = 3},
  [23614] = {.lex_state = 214, .external_lex_state = 3},
  [23615] = {.lex_state = 214, .external_lex_state = 3},
  [23616] = {.lex_state = 214, .external_lex_state = 3},
  [23617] = {.lex_state = 214, .external_lex_state = 3},
  [23618] = {.lex_state = 214, .external_lex_state = 3},
  [23619] = {.lex_state = 214, .external_lex_state = 3},
  [23620] = {.lex_state = 214, .external_lex_state = 3},
  [23621] = {.lex_state = 214, .external_lex_state = 3},
  [23622] = {.lex_state = 394, .external_lex_state = 3},
  [23623] = {.lex_state = 394, .external_lex_state = 3},
  [23624] = {.lex_state = 394, .external_lex_state = 3},
  [23625] = {.lex_state = 394, .external_lex_state = 3},
  [23626] = {.lex_state = 425, .external_lex_state = 3},
  [23627] = {.lex_state = 15, .external_lex_state = 3},
  [23628] = {.lex_state = 425, .external_lex_state = 3},
  [23629] = {.lex_state = 394, .external_lex_state = 3},
  [23630] = {.lex_state = 394, .external_lex_state = 3},
  [23631] = {.lex_state = 394, .external_lex_state = 3},
  [23632] = {.lex_state = 394, .external_lex_state = 3},
  [23633] = {.lex_state = 394, .external_lex_state = 3},
  [23634] = {.lex_state = 394, .external_lex_state = 3},
  [23635] = {.lex_state = 136, .external_lex_state = 3},
  [23636] = {.lex_state = 394, .external_lex_state = 2},
  [23637] = {.lex_state = 136, .external_lex_state = 3},
  [23638] = {.lex_state = 136, .external_lex_state = 3},
  [23639] = {.lex_state = 394, .external_lex_state = 3},
  [23640] = {.lex_state = 394, .external_lex_state = 3},
  [23641] = {.lex_state = 394, .external_lex_state = 3},
  [23642] = {.lex_state = 394, .external_lex_state = 3},
  [23643] = {.lex_state = 394, .external_lex_state = 3},
  [23644] = {.lex_state = 394, .external_lex_state = 3},
  [23645] = {.lex_state = 394, .external_lex_state = 3},
  [23646] = {.lex_state = 394, .external_lex_state = 3},
  [23647] = {.lex_state = 136, .external_lex_state = 3},
  [23648] = {.lex_state = 394, .external_lex_state = 3},
  [23649] = {.lex_state = 394, .external_lex_state = 3},
  [23650] = {.lex_state = 394, .external_lex_state = 3},
  [23651] = {.lex_state = 394, .external_lex_state = 3},
  [23652] = {.lex_state = 394, .external_lex_state = 3},
  [23653] = {.lex_state = 394, .external_lex_state = 3},
  [23654] = {.lex_state = 394, .external_lex_state = 3},
  [23655] = {.lex_state = 394, .external_lex_state = 3},
  [23656] = {.lex_state = 15, .external_lex_state = 3},
  [23657] = {.lex_state = 394, .external_lex_state = 3},
  [23658] = {.lex_state = 394, .external_lex_state = 3},
  [23659] = {.lex_state = 394, .external_lex_state = 3},
  [23660] = {.lex_state = 400, .external_lex_state = 3},
  [23661] = {.lex_state = 394, .external_lex_state = 3},
  [23662] = {.lex_state = 394, .external_lex_state = 3},
  [23663] = {.lex_state = 425, .external_lex_state = 3},
  [23664] = {.lex_state = 394, .external_lex_state = 3},
  [23665] = {.lex_state = 394, .external_lex_state = 3},
  [23666] = {.lex_state = 425, .external_lex_state = 3},
  [23667] = {.lex_state = 394, .external_lex_state = 2},
  [23668] = {.lex_state = 394, .external_lex_state = 3},
  [23669] = {.lex_state = 425, .external_lex_state = 3},
  [23670] = {.lex_state = 15, .external_lex_state = 3},
  [23671] = {.lex_state = 394, .external_lex_state = 3},
  [23672] = {.lex_state = 394, .external_lex_state = 3},
  [23673] = {.lex_state = 394, .external_lex_state = 3},
  [23674] = {.lex_state = 394, .external_lex_state = 3},
  [23675] = {.lex_state = 394, .external_lex_state = 3},
  [23676] = {.lex_state = 394, .external_lex_state = 3},
  [23677] = {.lex_state = 394, .external_lex_state = 3},
  [23678] = {.lex_state = 394, .external_lex_state = 3},
  [23679] = {.lex_state = 394, .external_lex_state = 3},
  [23680] = {.lex_state = 394, .external_lex_state = 3},
  [23681] = {.lex_state = 394, .external_lex_state = 3},
  [23682] = {.lex_state = 394, .external_lex_state = 3},
  [23683] = {.lex_state = 394, .external_lex_state = 3},
  [23684] = {.lex_state = 394, .external_lex_state = 3},
  [23685] = {.lex_state = 394, .external_lex_state = 3},
  [23686] = {.lex_state = 394, .external_lex_state = 3},
  [23687] = {.lex_state = 394, .external_lex_state = 3},
  [23688] = {.lex_state = 394, .external_lex_state = 3},
  [23689] = {.lex_state = 400, .external_lex_state = 3},
  [23690] = {.lex_state = 394, .external_lex_state = 3},
  [23691] = {.lex_state = 394, .external_lex_state = 3},
  [23692] = {.lex_state = 394, .external_lex_state = 3},
  [23693] = {.lex_state = 394, .external_lex_state = 3},
  [23694] = {.lex_state = 394, .external_lex_state = 3},
  [23695] = {.lex_state = 394, .external_lex_state = 3},
  [23696] = {.lex_state = 425, .external_lex_state = 3},
  [23697] = {.lex_state = 394, .external_lex_state = 3},
  [23698] = {.lex_state = 394, .external_lex_state = 3},
  [23699] = {.lex_state = 394, .external_lex_state = 3},
  [23700] = {.lex_state = 425, .external_lex_state = 3},
  [23701] = {.lex_state = 400, .external_lex_state = 3},
  [23702] = {.lex_state = 394, .external_lex_state = 3},
  [23703] = {.lex_state = 394, .external_lex_state = 3},
  [23704] = {.lex_state = 394, .external_lex_state = 3},
  [23705] = {.lex_state = 394, .external_lex_state = 3},
  [23706] = {.lex_state = 394, .external_lex_state = 3},
  [23707] = {.lex_state = 394, .external_lex_state = 3},
  [23708] = {.lex_state = 394, .external_lex_state = 3},
  [23709] = {.lex_state = 394, .external_lex_state = 3},
  [23710] = {.lex_state = 425, .external_lex_state = 3},
  [23711] = {.lex_state = 394, .external_lex_state = 3},
  [23712] = {.lex_state = 394, .external_lex_state = 3},
  [23713] = {.lex_state = 394, .external_lex_state = 3},
  [23714] = {.lex_state = 394, .external_lex_state = 3},
  [23715] = {.lex_state = 394, .external_lex_state = 3},
  [23716] = {.lex_state = 425, .external_lex_state = 3},
  [23717] = {.lex_state = 394, .external_lex_state = 3},
  [23718] = {.lex_state = 425, .external_lex_state = 3},
  [23719] = {.lex_state = 394, .external_lex_state = 3},
  [23720] = {.lex_state = 394, .external_lex_state = 3},
  [23721] = {.lex_state = 394, .external_lex_state = 3},
  [23722] = {.lex_state = 394, .external_lex_state = 3},
  [23723] = {.lex_state = 394, .external_lex_state = 3},
  [23724] = {.lex_state = 394, .external_lex_state = 3},
  [23725] = {.lex_state = 400, .external_lex_state = 3},
  [23726] = {.lex_state = 394, .external_lex_state = 3},
  [23727] = {.lex_state = 394, .external_lex_state = 3},
  [23728] = {.lex_state = 394, .external_lex_state = 3},
  [23729] = {.lex_state = 394, .external_lex_state = 3},
  [23730] = {.lex_state = 394, .external_lex_state = 3},
  [23731] = {.lex_state = 394, .external_lex_state = 3},
  [23732] = {.lex_state = 394, .external_lex_state = 3},
  [23733] = {.lex_state = 394, .external_lex_state = 3},
  [23734] = {.lex_state = 394, .external_lex_state = 3},
  [23735] = {.lex_state = 136, .external_lex_state = 3},
  [23736] = {.lex_state = 394, .external_lex_state = 3},
  [23737] = {.lex_state = 394, .external_lex_state = 3},
  [23738] = {.lex_state = 394, .external_lex_state = 3},
  [23739] = {.lex_state = 400, .external_lex_state = 3},
  [23740] = {.lex_state = 394, .external_lex_state = 3},
  [23741] = {.lex_state = 394, .external_lex_state = 3},
  [23742] = {.lex_state = 394, .external_lex_state = 3},
  [23743] = {.lex_state = 394, .external_lex_state = 3},
  [23744] = {.lex_state = 394, .external_lex_state = 3},
  [23745] = {.lex_state = 394, .external_lex_state = 3},
  [23746] = {.lex_state = 394, .external_lex_state = 3},
  [23747] = {.lex_state = 394, .external_lex_state = 3},
  [23748] = {.lex_state = 394, .external_lex_state = 3},
  [23749] = {.lex_state = 394, .external_lex_state = 3},
  [23750] = {.lex_state = 394, .external_lex_state = 3},
  [23751] = {.lex_state = 394, .external_lex_state = 3},
  [23752] = {.lex_state = 394, .external_lex_state = 3},
  [23753] = {.lex_state = 394, .external_lex_state = 3},
  [23754] = {.lex_state = 394, .external_lex_state = 3},
  [23755] = {.lex_state = 394, .external_lex_state = 3},
  [23756] = {.lex_state = 394, .external_lex_state = 3},
  [23757] = {.lex_state = 15, .external_lex_state = 3},
  [23758] = {(TSStateId)(-1)},
  [23759] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_attribute] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__lowercase_identifier] = ACTIONS(1),
    [sym_shebang] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_nonrec] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constraint] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_sig] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_functor] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACK_GT] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACE_LT] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [sym_ocamlyacc_value] = ACTIONS(1),
    [anon_sym_effect] = ACTIONS(1),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_number_token1] = ACTIONS(1),
    [aux_sym_signed_number_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_content_token2] = ACTIONS(1),
    [aux_sym_string_content_token4] = ACTIONS(1),
    [aux_sym_string_content_token5] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [aux_sym_escape_sequence_token3] = ACTIONS(1),
    [aux_sym_escape_sequence_token4] = ACTIONS(1),
    [sym_pretty_printing_indication] = ACTIONS(1),
    [aux_sym_sign_operator_token1] = ACTIONS(1),
    [sym_hash_operator] = ACTIONS(1),
    [sym_concat_operator] = ACTIONS(1),
    [sym_and_operator] = ACTIONS(1),
    [sym_or_operator] = ACTIONS(1),
    [sym_assign_operator] = ACTIONS(1),
    [sym_let_operator] = ACTIONS(1),
    [sym_let_and_operator] = ACTIONS(1),
    [sym_match_operator] = ACTIONS(1),
    [sym__uppercase_identifier] = ACTIONS(1),
    [aux_sym_directive_token1] = ACTIONS(1),
    [aux_sym_type_variable_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_attribute_id_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__left_quoted_string_delimiter] = ACTIONS(1),
    [sym__right_quoted_string_delimiter] = ACTIONS(1),
    [sym_line_number_directive] = ACTIONS(5),
    [sym__null] = ACTIONS(1),
    [sym__error_sentinel] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(22676),
    [sym__structure] = STATE(23202),
    [sym_expression_item] = STATE(10168),
    [sym_toplevel_directive] = STATE(10168),
    [sym__structure_item] = STATE(10168),
    [sym_value_definition] = STATE(14731),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10698),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(1),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5748),
    [aux_sym__structure_repeat1] = STATE(118),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym__lowercase_identifier] = ACTIONS(9),
    [sym_shebang] = ACTIONS(11),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(93),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_directive_token1] = ACTIONS(99),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22486),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(113),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(3),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20623),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [4] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(4),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20703),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [5] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(5),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21204),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [6] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(6),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21370),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [7] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(7),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20794),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [8] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(8),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20550),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [9] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(9),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23561),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(183),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [10] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(10),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22599),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [11] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(11),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23273),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [12] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(12),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20819),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [13] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(13),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22088),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(191),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [14] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(14),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21312),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [15] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(15),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23438),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [16] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(16),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21486),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [17] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(17),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22575),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [18] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(18),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23728),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [19] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(19),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22209),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(203),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [20] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(20),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22745),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [21] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(21),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21474),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(207),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [22] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(22),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23258),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [23] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(23),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20606),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(211),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [24] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(24),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21038),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [25] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(25),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21594),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [26] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(26),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22072),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [27] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(27),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23357),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [28] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(28),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23068),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [29] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(29),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23672),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [30] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(30),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20948),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [31] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(31),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21281),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [32] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(32),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21553),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [33] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(33),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21817),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [34] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(34),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22254),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(233),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [35] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(35),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22409),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [36] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(36),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22560),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [37] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(37),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22709),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [38] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(38),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22944),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [39] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(39),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23176),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [40] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(40),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23486),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [41] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(41),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23712),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [42] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(42),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23356),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [43] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(43),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20803),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(251),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [44] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(44),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23189),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [45] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(45),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21167),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [46] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(46),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22263),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [47] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(47),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20422),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [48] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(48),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20922),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(261),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [49] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(49),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21524),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [50] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(50),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22118),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [51] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(51),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22890),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [52] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(52),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23630),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(269),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [53] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(53),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20581),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [54] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(54),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20831),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [55] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(55),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21136),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [56] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(56),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21459),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [57] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(57),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(21741),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [58] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(58),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22048),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(281),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [59] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(59),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22182),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [60] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(60),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22233),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [61] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(61),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22285),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [62] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(62),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22319),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [63] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(63),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22356),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [64] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(64),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22395),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(293),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [65] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(65),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22438),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(295),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [66] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(66),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22473),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [67] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(67),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22512),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(299),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [68] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(68),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22547),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(301),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [69] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(69),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22610),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [70] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(70),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22648),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [71] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(71),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22687),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [72] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(72),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22732),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(309),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [73] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(73),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22764),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [74] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(74),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22791),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [75] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(75),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22797),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [76] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(76),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22805),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(317),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [77] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(77),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22847),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(319),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [78] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(78),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22856),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [79] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(79),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22880),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [80] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(80),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22897),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [81] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(81),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22905),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(327),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [82] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(82),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22920),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(329),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [83] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(83),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22933),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [84] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(84),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22955),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [85] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(85),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22967),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [86] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(86),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22984),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(337),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [87] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(87),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(22996),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(339),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [88] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(88),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23002),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(341),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [89] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(89),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23017),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [90] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(90),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23038),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(345),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [91] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(91),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23047),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(347),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [92] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(92),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23060),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(349),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [93] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(93),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23083),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(351),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [94] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(94),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23089),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(353),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [95] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(95),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(23098),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(355),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [96] = {
    [sym__structure] = STATE(20780),
    [sym_expression_item] = STATE(10062),
    [sym_toplevel_directive] = STATE(10062),
    [sym__structure_item] = STATE(10062),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(96),
    [sym_floating_attribute] = STATE(14174),
    [sym_attribute_payload] = STATE(20629),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(108),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_QMARK] = ACTIONS(107),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(357),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_COLON2] = ACTIONS(117),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [97] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9827),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8855),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(97),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__attribute] = STATE(1883),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [98] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9818),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8855),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(98),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__attribute] = STATE(1790),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [ts_builtin_sym_end] = ACTIONS(361),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [99] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9831),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8855),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(99),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__attribute] = STATE(1911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(507),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [100] = {
    [sym__structure] = STATE(21413),
    [sym_expression_item] = STATE(10118),
    [sym_toplevel_directive] = STATE(10118),
    [sym__structure_item] = STATE(10118),
    [sym_value_definition] = STATE(14592),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10725),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(100),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_directive] = STATE(9643),
    [sym_tag] = STATE(5618),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_SEMI_SEMI] = ACTIONS(525),
    [anon_sym_let] = ACTIONS(527),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_exception] = ACTIONS(539),
    [anon_sym_module] = ACTIONS(541),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_end] = ACTIONS(545),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(581),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(587),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [101] = {
    [sym__structure] = STATE(23088),
    [sym_expression_item] = STATE(10118),
    [sym_toplevel_directive] = STATE(10118),
    [sym__structure_item] = STATE(10118),
    [sym_value_definition] = STATE(14592),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10725),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(101),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_directive] = STATE(9643),
    [sym_tag] = STATE(5618),
    [aux_sym__structure_repeat1] = STATE(113),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_SEMI_SEMI] = ACTIONS(525),
    [anon_sym_let] = ACTIONS(527),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_exception] = ACTIONS(539),
    [anon_sym_module] = ACTIONS(541),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_end] = ACTIONS(591),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(581),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(587),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [102] = {
    [sym__structure] = STATE(20994),
    [sym_expression_item] = STATE(10168),
    [sym_toplevel_directive] = STATE(10168),
    [sym__structure_item] = STATE(10168),
    [sym_value_definition] = STATE(14731),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10698),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(102),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5748),
    [aux_sym__structure_repeat1] = STATE(118),
    [ts_builtin_sym_end] = ACTIONS(593),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(93),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [103] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14731),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10698),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(103),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5748),
    [aux_sym__structure_repeat1] = STATE(5987),
    [ts_builtin_sym_end] = ACTIONS(595),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(93),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [104] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14731),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10698),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(104),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5748),
    [aux_sym__structure_repeat1] = STATE(5987),
    [ts_builtin_sym_end] = ACTIONS(597),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(93),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [105] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10017),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(105),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__attribute] = STATE(1869),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [ts_builtin_sym_end] = ACTIONS(361),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(635),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [106] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(10021),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(106),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__attribute] = STATE(1940),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(685),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(687),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [107] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(10019),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(107),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__attribute] = STATE(1926),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(737),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(739),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [108] = {
    [sym_expression_item] = STATE(10164),
    [sym_toplevel_directive] = STATE(10164),
    [sym__structure_item] = STATE(10164),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(108),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(5987),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [109] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(109),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(5987),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(597),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [110] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(110),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(5987),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(757),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [111] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(111),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(5987),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(595),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [112] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14731),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10698),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(112),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5748),
    [aux_sym__structure_repeat1] = STATE(5987),
    [ts_builtin_sym_end] = ACTIONS(757),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(93),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [113] = {
    [sym_expression_item] = STATE(10073),
    [sym_toplevel_directive] = STATE(10073),
    [sym__structure_item] = STATE(10073),
    [sym_value_definition] = STATE(14592),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10725),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(113),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_directive] = STATE(9643),
    [sym_tag] = STATE(5618),
    [aux_sym__structure_repeat1] = STATE(6151),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_SEMI_SEMI] = ACTIONS(525),
    [anon_sym_let] = ACTIONS(527),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_exception] = ACTIONS(539),
    [anon_sym_module] = ACTIONS(541),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_end] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(581),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(587),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [114] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14592),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10725),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(114),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_directive] = STATE(9643),
    [sym_tag] = STATE(5618),
    [aux_sym__structure_repeat1] = STATE(6151),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_SEMI_SEMI] = ACTIONS(525),
    [anon_sym_let] = ACTIONS(527),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_exception] = ACTIONS(539),
    [anon_sym_module] = ACTIONS(541),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_end] = ACTIONS(761),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(581),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(587),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [115] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10012),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8855),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(115),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__attribute] = STATE(1936),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [ts_builtin_sym_end] = ACTIONS(361),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(799),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [116] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14592),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10725),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(116),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_directive] = STATE(9643),
    [sym_tag] = STATE(5618),
    [aux_sym__structure_repeat1] = STATE(6151),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_SEMI_SEMI] = ACTIONS(525),
    [anon_sym_let] = ACTIONS(527),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_exception] = ACTIONS(539),
    [anon_sym_module] = ACTIONS(541),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_end] = ACTIONS(815),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(581),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(587),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [117] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14592),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10725),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(117),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_directive] = STATE(9643),
    [sym_tag] = STATE(5618),
    [aux_sym__structure_repeat1] = STATE(6151),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_SEMI_SEMI] = ACTIONS(525),
    [anon_sym_let] = ACTIONS(527),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_exception] = ACTIONS(539),
    [anon_sym_module] = ACTIONS(541),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_end] = ACTIONS(817),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(581),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(587),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [118] = {
    [sym_expression_item] = STATE(10063),
    [sym_toplevel_directive] = STATE(10063),
    [sym__structure_item] = STATE(10063),
    [sym_value_definition] = STATE(14731),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10698),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(118),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5748),
    [aux_sym__structure_repeat1] = STATE(5987),
    [ts_builtin_sym_end] = ACTIONS(755),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(93),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [119] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9896),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8855),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(119),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__attribute] = STATE(2099),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(853),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(855),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [120] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9967),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8855),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(120),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__attribute] = STATE(1982),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(905),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(907),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [121] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10170),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(121),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__attribute] = STATE(1802),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [122] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14731),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10698),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(122),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5748),
    [aux_sym__structure_repeat1] = STATE(5987),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(39),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(93),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [123] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14592),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10725),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(123),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_directive] = STATE(9643),
    [sym_tag] = STATE(5618),
    [aux_sym__structure_repeat1] = STATE(5987),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(527),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(531),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_exception] = ACTIONS(539),
    [anon_sym_module] = ACTIONS(541),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(543),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(581),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(587),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [124] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10157),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(124),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__attribute] = STATE(1777),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1011),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [125] = {
    [sym_expression_item] = STATE(14209),
    [sym_toplevel_directive] = STATE(14209),
    [sym__structure_item] = STATE(14209),
    [sym_value_definition] = STATE(14815),
    [sym_external] = STATE(14174),
    [sym_type_definition] = STATE(14174),
    [sym_exception_definition] = STATE(14174),
    [sym_module_definition] = STATE(14174),
    [sym_module_type_definition] = STATE(14174),
    [sym_open_module] = STATE(14174),
    [sym_include_module] = STATE(14174),
    [sym_class_definition] = STATE(14174),
    [sym_class_type_definition] = STATE(14174),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10749),
    [sym__sequence_expression] = STATE(13275),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(125),
    [sym_floating_attribute] = STATE(14174),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym_item_extension] = STATE(14174),
    [sym_quoted_item_extension] = STATE(14174),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_directive] = STATE(9230),
    [sym_tag] = STATE(5528),
    [aux_sym__structure_repeat1] = STATE(5987),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(105),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(23),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(31),
    [anon_sym_module] = ACTIONS(33),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(37),
    [anon_sym_class] = ACTIONS(121),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(161),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(167),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [126] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10046),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(126),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__attribute] = STATE(2050),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [ts_builtin_sym_end] = ACTIONS(361),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1063),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [127] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10391),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(127),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__attribute] = STATE(1862),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [ts_builtin_sym_end] = ACTIONS(361),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1115),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [128] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10281),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(128),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__attribute] = STATE(1787),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1167),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [129] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10314),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(129),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__attribute] = STATE(2031),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1219),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [130] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10618),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(130),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__attribute] = STATE(1904),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [131] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10614),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(131),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__attribute] = STATE(1907),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [132] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10544),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(132),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__attribute] = STATE(1757),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [ts_builtin_sym_end] = ACTIONS(361),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(365),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [133] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11279),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(133),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__attribute] = STATE(1814),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_constraint] = ACTIONS(365),
    [anon_sym_val] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_inherit] = ACTIONS(365),
    [anon_sym_method] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_initializer] = ACTIONS(365),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1285),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [134] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11723),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(134),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__attribute] = STATE(2065),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_constraint] = ACTIONS(365),
    [anon_sym_val] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_inherit] = ACTIONS(365),
    [anon_sym_method] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_initializer] = ACTIONS(365),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1337),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [135] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11579),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(135),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__attribute] = STATE(2070),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_constraint] = ACTIONS(365),
    [anon_sym_val] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_inherit] = ACTIONS(365),
    [anon_sym_method] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_initializer] = ACTIONS(365),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1285),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [136] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11833),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(136),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__attribute] = STATE(1927),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_constraint] = ACTIONS(365),
    [anon_sym_val] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_inherit] = ACTIONS(365),
    [anon_sym_method] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_initializer] = ACTIONS(365),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1337),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [137] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12121),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(137),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__attribute] = STATE(1918),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_COLON_GT] = ACTIONS(361),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_RPAREN] = ACTIONS(361),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_COLON2] = ACTIONS(365),
    [anon_sym_DASH_GT] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_GT_RBRACE] = ACTIONS(361),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [138] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12534),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(138),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__attribute] = STATE(1977),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_COLON_GT] = ACTIONS(361),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_RPAREN] = ACTIONS(361),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_COLON2] = ACTIONS(365),
    [anon_sym_DASH_GT] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_GT_RBRACE] = ACTIONS(361),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [139] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12314),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(139),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__attribute] = STATE(1880),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_COLON_GT] = ACTIONS(361),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_RPAREN] = ACTIONS(361),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_COLON2] = ACTIONS(365),
    [anon_sym_DASH_GT] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_GT_RBRACE] = ACTIONS(361),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [140] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12931),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(140),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__attribute] = STATE(1794),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_COLON_GT] = ACTIONS(361),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(361),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_COLON2] = ACTIONS(365),
    [anon_sym_DASH_GT] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_GT_RBRACE] = ACTIONS(361),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [141] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10120),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8855),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(141),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__attribute] = STATE(1946),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(853),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(855),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [142] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10155),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8855),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(142),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__attribute] = STATE(2026),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(905),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(907),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [143] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13199),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12530),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(143),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__attribute] = STATE(1897),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [144] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10043),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8855),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(144),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__attribute] = STATE(1735),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [ts_builtin_sym_end] = ACTIONS(361),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(799),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [145] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10252),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(145),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__attribute] = STATE(1877),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [ts_builtin_sym_end] = ACTIONS(361),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1063),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [146] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13534),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12530),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(146),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__attribute] = STATE(1851),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [147] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13858),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(147),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__attribute] = STATE(1857),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [148] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10494),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(148),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__attribute] = STATE(2016),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1011),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [149] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10243),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(149),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__attribute] = STATE(2085),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [150] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(16980),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(150),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21977),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1719),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1723),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1729),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1731),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1739),
    [sym_let_and_operator] = ACTIONS(1731),
    [sym_match_operator] = ACTIONS(1741),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [151] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20485),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(151),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22380),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1743),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1751),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1753),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1755),
    [sym_let_and_operator] = ACTIONS(1753),
    [sym_match_operator] = ACTIONS(1757),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [152] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17266),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(152),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(23359),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1759),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1763),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1769),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1771),
    [sym_let_and_operator] = ACTIONS(1769),
    [sym_match_operator] = ACTIONS(1773),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [153] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17048),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(153),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22380),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1745),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1747),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1749),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1751),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1753),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1755),
    [sym_let_and_operator] = ACTIONS(1753),
    [sym_match_operator] = ACTIONS(1757),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [154] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17442),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(154),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20706),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1777),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1779),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1781),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1785),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1787),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1789),
    [sym_let_and_operator] = ACTIONS(1787),
    [sym_match_operator] = ACTIONS(1791),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [155] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22733),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(155),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20706),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1793),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1779),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1781),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1783),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1785),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1787),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1789),
    [sym_let_and_operator] = ACTIONS(1787),
    [sym_match_operator] = ACTIONS(1791),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [156] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17611),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(156),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21043),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1795),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1797),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1799),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1803),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1805),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1807),
    [sym_let_and_operator] = ACTIONS(1805),
    [sym_match_operator] = ACTIONS(1809),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [157] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14079),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(157),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__attribute] = STATE(2010),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [158] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23668),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(158),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21043),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1817),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1797),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1799),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1801),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1803),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1805),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1807),
    [sym_let_and_operator] = ACTIONS(1805),
    [sym_match_operator] = ACTIONS(1809),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [159] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17382),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(159),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20868),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1819),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1821),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1827),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1829),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1831),
    [sym_let_and_operator] = ACTIONS(1829),
    [sym_match_operator] = ACTIONS(1833),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [160] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23275),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(160),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20868),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1821),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1827),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1829),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1831),
    [sym_let_and_operator] = ACTIONS(1829),
    [sym_match_operator] = ACTIONS(1833),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [161] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17018),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(161),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21371),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1837),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1843),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1845),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1847),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1849),
    [sym_let_and_operator] = ACTIONS(1847),
    [sym_match_operator] = ACTIONS(1851),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [162] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23507),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(162),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21371),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1853),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1839),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1841),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1843),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1845),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1847),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1849),
    [sym_let_and_operator] = ACTIONS(1847),
    [sym_match_operator] = ACTIONS(1851),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [163] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17609),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(163),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22334),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1859),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1863),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1865),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1867),
    [sym_let_and_operator] = ACTIONS(1865),
    [sym_match_operator] = ACTIONS(1869),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [164] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23428),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(164),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22334),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1871),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1859),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1861),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1863),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1865),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1867),
    [sym_let_and_operator] = ACTIONS(1865),
    [sym_match_operator] = ACTIONS(1869),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [165] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17289),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(165),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(23461),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1873),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1875),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1877),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1881),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1883),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1885),
    [sym_let_and_operator] = ACTIONS(1883),
    [sym_match_operator] = ACTIONS(1887),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [166] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21715),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(166),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(23461),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1875),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1877),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1879),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1881),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1883),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1885),
    [sym_let_and_operator] = ACTIONS(1883),
    [sym_match_operator] = ACTIONS(1887),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [167] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17581),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(167),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20542),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1891),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1895),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1897),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1899),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1901),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1903),
    [sym_let_and_operator] = ACTIONS(1901),
    [sym_match_operator] = ACTIONS(1905),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [168] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23465),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(168),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20542),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1907),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1893),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1895),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1897),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1899),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1901),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1903),
    [sym_let_and_operator] = ACTIONS(1901),
    [sym_match_operator] = ACTIONS(1905),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [169] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(16961),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(169),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21182),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1911),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1913),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1917),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1919),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1921),
    [sym_let_and_operator] = ACTIONS(1919),
    [sym_match_operator] = ACTIONS(1923),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [170] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20655),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(170),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21182),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1911),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1913),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1917),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1919),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1921),
    [sym_let_and_operator] = ACTIONS(1919),
    [sym_match_operator] = ACTIONS(1923),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [171] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17173),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(171),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21726),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1927),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1929),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1935),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1937),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1939),
    [sym_let_and_operator] = ACTIONS(1937),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [172] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21162),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(172),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21726),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1943),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1929),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1931),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1933),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1935),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1937),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1939),
    [sym_let_and_operator] = ACTIONS(1937),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [173] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17317),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(173),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21991),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1945),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1953),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1955),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1957),
    [sym_let_and_operator] = ACTIONS(1955),
    [sym_match_operator] = ACTIONS(1959),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [174] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21653),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(174),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21991),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1947),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1949),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1951),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1953),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1955),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1957),
    [sym_let_and_operator] = ACTIONS(1955),
    [sym_match_operator] = ACTIONS(1959),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [175] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17583),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(175),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22355),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1963),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1967),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1971),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1973),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1975),
    [sym_let_and_operator] = ACTIONS(1973),
    [sym_match_operator] = ACTIONS(1977),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [176] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22163),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(176),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22355),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1979),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1965),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1967),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1969),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1971),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1973),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1975),
    [sym_let_and_operator] = ACTIONS(1973),
    [sym_match_operator] = ACTIONS(1977),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [177] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(16975),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(177),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22497),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1989),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1991),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1993),
    [sym_let_and_operator] = ACTIONS(1991),
    [sym_match_operator] = ACTIONS(1995),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [178] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22594),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(178),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22497),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1983),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1985),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1989),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1991),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1993),
    [sym_let_and_operator] = ACTIONS(1991),
    [sym_match_operator] = ACTIONS(1995),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [179] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17050),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(179),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22640),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1999),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2003),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2007),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2009),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2011),
    [sym_let_and_operator] = ACTIONS(2009),
    [sym_match_operator] = ACTIONS(2013),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [180] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23142),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(180),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22640),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2003),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2007),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2009),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2011),
    [sym_let_and_operator] = ACTIONS(2009),
    [sym_match_operator] = ACTIONS(2013),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [181] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17111),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(181),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22845),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2025),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2027),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2029),
    [sym_let_and_operator] = ACTIONS(2027),
    [sym_match_operator] = ACTIONS(2031),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [182] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23721),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(182),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22845),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2025),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2027),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2029),
    [sym_let_and_operator] = ACTIONS(2027),
    [sym_match_operator] = ACTIONS(2031),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [183] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17159),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(183),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(23642),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2035),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2039),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2043),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2045),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2047),
    [sym_let_and_operator] = ACTIONS(2045),
    [sym_match_operator] = ACTIONS(2049),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [184] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20684),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(184),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(23642),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2037),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2039),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2043),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2045),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2047),
    [sym_let_and_operator] = ACTIONS(2045),
    [sym_match_operator] = ACTIONS(2049),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [185] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17210),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(185),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22078),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2057),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2061),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2063),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2063),
    [sym_match_operator] = ACTIONS(2067),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [186] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21011),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(186),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22078),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2069),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2055),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2057),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2061),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2063),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2065),
    [sym_let_and_operator] = ACTIONS(2063),
    [sym_match_operator] = ACTIONS(2067),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [187] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17267),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(187),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22261),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2071),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2075),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2081),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2083),
    [sym_let_and_operator] = ACTIONS(2081),
    [sym_match_operator] = ACTIONS(2085),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [188] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21323),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(188),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22261),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2087),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2073),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2075),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2079),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2081),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2083),
    [sym_let_and_operator] = ACTIONS(2081),
    [sym_match_operator] = ACTIONS(2085),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [189] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17310),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(189),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22041),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2089),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2097),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2099),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2101),
    [sym_let_and_operator] = ACTIONS(2099),
    [sym_match_operator] = ACTIONS(2103),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [190] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21596),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(190),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22041),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2105),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2091),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2093),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2095),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2097),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2099),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2101),
    [sym_let_and_operator] = ACTIONS(2099),
    [sym_match_operator] = ACTIONS(2103),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [191] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17348),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(191),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20708),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2107),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2111),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2113),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2115),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2117),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2119),
    [sym_let_and_operator] = ACTIONS(2117),
    [sym_match_operator] = ACTIONS(2121),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [192] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21861),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(192),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20708),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2123),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2109),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2111),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2113),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2115),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2117),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2119),
    [sym_let_and_operator] = ACTIONS(2117),
    [sym_match_operator] = ACTIONS(2121),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [193] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17383),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(193),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21898),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2125),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2129),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2133),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2135),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2137),
    [sym_let_and_operator] = ACTIONS(2135),
    [sym_match_operator] = ACTIONS(2139),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [194] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14092),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12530),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(194),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__attribute] = STATE(1839),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_to] = ACTIONS(365),
    [anon_sym_downto] = ACTIONS(365),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [195] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22277),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(195),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21898),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2193),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2127),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2129),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2133),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2135),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2137),
    [sym_let_and_operator] = ACTIONS(2135),
    [sym_match_operator] = ACTIONS(2139),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [196] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17435),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(196),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(23372),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2203),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2205),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2207),
    [sym_let_and_operator] = ACTIONS(2205),
    [sym_match_operator] = ACTIONS(2209),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [197] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22439),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(197),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(23372),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2211),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2203),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2205),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2207),
    [sym_let_and_operator] = ACTIONS(2205),
    [sym_match_operator] = ACTIONS(2209),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [198] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17464),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(198),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20704),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2213),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2217),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2219),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2223),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2225),
    [sym_let_and_operator] = ACTIONS(2223),
    [sym_match_operator] = ACTIONS(2227),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [199] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22582),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(199),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20704),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2229),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2215),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2217),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2219),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2221),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2223),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2225),
    [sym_let_and_operator] = ACTIONS(2223),
    [sym_match_operator] = ACTIONS(2227),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [200] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17494),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(200),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21284),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2231),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2239),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2241),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2243),
    [sym_let_and_operator] = ACTIONS(2241),
    [sym_match_operator] = ACTIONS(2245),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [201] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22752),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(201),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21284),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2247),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2233),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2235),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2237),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2239),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2241),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2243),
    [sym_let_and_operator] = ACTIONS(2241),
    [sym_match_operator] = ACTIONS(2245),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [202] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17522),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(202),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22384),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2249),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2257),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2259),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2261),
    [sym_let_and_operator] = ACTIONS(2259),
    [sym_match_operator] = ACTIONS(2263),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [203] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22991),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(203),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22384),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2265),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2251),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2253),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2257),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2259),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2261),
    [sym_let_and_operator] = ACTIONS(2259),
    [sym_match_operator] = ACTIONS(2263),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [204] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17561),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(204),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(23363),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2267),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2271),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2273),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2275),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2277),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2279),
    [sym_let_and_operator] = ACTIONS(2277),
    [sym_match_operator] = ACTIONS(2281),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [205] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23221),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(205),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(23363),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2283),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2269),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2271),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2273),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2275),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2277),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2279),
    [sym_let_and_operator] = ACTIONS(2277),
    [sym_match_operator] = ACTIONS(2281),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [206] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17603),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(206),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20469),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2285),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2293),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2295),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2297),
    [sym_let_and_operator] = ACTIONS(2295),
    [sym_match_operator] = ACTIONS(2299),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [207] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23525),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(207),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20469),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2301),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2287),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2289),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2291),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2293),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2295),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2297),
    [sym_let_and_operator] = ACTIONS(2295),
    [sym_match_operator] = ACTIONS(2299),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [208] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17637),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(208),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20732),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2303),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2305),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2309),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2311),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2313),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2315),
    [sym_let_and_operator] = ACTIONS(2313),
    [sym_match_operator] = ACTIONS(2317),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [209] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17023),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(209),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21953),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2319),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2327),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2329),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2331),
    [sym_let_and_operator] = ACTIONS(2329),
    [sym_match_operator] = ACTIONS(2333),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [210] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23751),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(210),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(20732),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2335),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2305),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2307),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2309),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2311),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2313),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2315),
    [sym_let_and_operator] = ACTIONS(2313),
    [sym_match_operator] = ACTIONS(2317),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [211] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17496),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(211),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21030),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2337),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2341),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2345),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2347),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2349),
    [sym_let_and_operator] = ACTIONS(2347),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [212] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20895),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(212),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21030),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2353),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2339),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2341),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2343),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2345),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2347),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2349),
    [sym_let_and_operator] = ACTIONS(2347),
    [sym_match_operator] = ACTIONS(2351),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [213] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17082),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(213),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21325),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2355),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2357),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2359),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2363),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2365),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2367),
    [sym_let_and_operator] = ACTIONS(2365),
    [sym_match_operator] = ACTIONS(2369),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [214] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21221),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(214),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21325),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2371),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2357),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2359),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2363),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2365),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2367),
    [sym_let_and_operator] = ACTIONS(2365),
    [sym_match_operator] = ACTIONS(2369),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [215] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17325),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(215),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21624),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2377),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2379),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2383),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2385),
    [sym_let_and_operator] = ACTIONS(2383),
    [sym_match_operator] = ACTIONS(2387),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [216] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23682),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(216),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21624),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2389),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2375),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2377),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2379),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2381),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2383),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2385),
    [sym_let_and_operator] = ACTIONS(2383),
    [sym_match_operator] = ACTIONS(2387),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [217] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(16998),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(217),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21901),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2391),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2395),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2401),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2403),
    [sym_let_and_operator] = ACTIONS(2401),
    [sym_match_operator] = ACTIONS(2405),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [218] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21400),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(218),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21901),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2407),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2395),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2399),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2401),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2403),
    [sym_let_and_operator] = ACTIONS(2401),
    [sym_match_operator] = ACTIONS(2405),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [219] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17281),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(219),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22216),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2409),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2411),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2413),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2417),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2419),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2421),
    [sym_let_and_operator] = ACTIONS(2419),
    [sym_match_operator] = ACTIONS(2423),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [220] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22707),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(220),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22216),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2425),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2411),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2413),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2415),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2417),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2419),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2421),
    [sym_let_and_operator] = ACTIONS(2419),
    [sym_match_operator] = ACTIONS(2423),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [221] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17426),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(221),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22270),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2427),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2429),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2431),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2435),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2437),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2439),
    [sym_let_and_operator] = ACTIONS(2437),
    [sym_match_operator] = ACTIONS(2441),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [222] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20525),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(222),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22270),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2443),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2429),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2431),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2435),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2437),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2439),
    [sym_let_and_operator] = ACTIONS(2437),
    [sym_match_operator] = ACTIONS(2441),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [223] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17589),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(223),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22309),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2447),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2449),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2455),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2457),
    [sym_let_and_operator] = ACTIONS(2455),
    [sym_match_operator] = ACTIONS(2459),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [224] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23677),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(224),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21953),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2321),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2323),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2325),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2327),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2329),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2331),
    [sym_let_and_operator] = ACTIONS(2329),
    [sym_match_operator] = ACTIONS(2333),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [225] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21067),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(225),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22309),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2463),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2447),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2449),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2451),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2453),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2455),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2457),
    [sym_let_and_operator] = ACTIONS(2455),
    [sym_match_operator] = ACTIONS(2459),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [226] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17293),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(226),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22341),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2467),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2469),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2471),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2473),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2475),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2477),
    [sym_let_and_operator] = ACTIONS(2475),
    [sym_match_operator] = ACTIONS(2479),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [227] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21639),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(227),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22341),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2481),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2467),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2469),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2471),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2473),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2475),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2477),
    [sym_let_and_operator] = ACTIONS(2475),
    [sym_match_operator] = ACTIONS(2479),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [228] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17626),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(228),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22387),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2487),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2489),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2491),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2493),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2495),
    [sym_let_and_operator] = ACTIONS(2493),
    [sym_match_operator] = ACTIONS(2497),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [229] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22194),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(229),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22387),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2499),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2487),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2489),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2491),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2493),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2495),
    [sym_let_and_operator] = ACTIONS(2493),
    [sym_match_operator] = ACTIONS(2497),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [230] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17005),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(230),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22426),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2503),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2505),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2509),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2511),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2513),
    [sym_let_and_operator] = ACTIONS(2511),
    [sym_match_operator] = ACTIONS(2515),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [231] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23179),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(231),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22426),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2517),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2503),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2505),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2509),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2511),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2513),
    [sym_let_and_operator] = ACTIONS(2511),
    [sym_match_operator] = ACTIONS(2515),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [232] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17081),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(232),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22464),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2519),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2523),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2527),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2529),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2531),
    [sym_let_and_operator] = ACTIONS(2529),
    [sym_match_operator] = ACTIONS(2533),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [233] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23729),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(233),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22464),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2535),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2523),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2525),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2527),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2529),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2531),
    [sym_let_and_operator] = ACTIONS(2529),
    [sym_match_operator] = ACTIONS(2533),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [234] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17148),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(234),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22499),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2537),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2539),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2541),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2545),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2547),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2549),
    [sym_let_and_operator] = ACTIONS(2547),
    [sym_match_operator] = ACTIONS(2551),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [235] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20622),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(235),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22499),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2539),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2541),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2543),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2545),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2547),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2549),
    [sym_let_and_operator] = ACTIONS(2547),
    [sym_match_operator] = ACTIONS(2551),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [236] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17217),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(236),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22539),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2555),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2557),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2559),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2563),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2565),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2567),
    [sym_let_and_operator] = ACTIONS(2565),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [237] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20921),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(237),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22539),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2571),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2557),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2559),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2563),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2565),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2567),
    [sym_let_and_operator] = ACTIONS(2565),
    [sym_match_operator] = ACTIONS(2569),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [238] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17286),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(238),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22583),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2575),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2577),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2581),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2583),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2585),
    [sym_let_and_operator] = ACTIONS(2583),
    [sym_match_operator] = ACTIONS(2587),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [239] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21218),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(239),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22583),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2575),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2577),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2579),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2581),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2583),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2585),
    [sym_let_and_operator] = ACTIONS(2583),
    [sym_match_operator] = ACTIONS(2587),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [240] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17329),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(240),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22625),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2591),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2593),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2595),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2601),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2603),
    [sym_let_and_operator] = ACTIONS(2601),
    [sym_match_operator] = ACTIONS(2605),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [241] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21517),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(241),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22625),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2607),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2593),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2595),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2597),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2599),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2601),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2603),
    [sym_let_and_operator] = ACTIONS(2601),
    [sym_match_operator] = ACTIONS(2605),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [242] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17399),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(242),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22678),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2611),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2613),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2617),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2619),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2621),
    [sym_let_and_operator] = ACTIONS(2619),
    [sym_match_operator] = ACTIONS(2623),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [243] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21808),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(243),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22678),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2625),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2611),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2613),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2617),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2619),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2621),
    [sym_let_and_operator] = ACTIONS(2619),
    [sym_match_operator] = ACTIONS(2623),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [244] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17441),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(244),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22718),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2635),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2637),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2639),
    [sym_let_and_operator] = ACTIONS(2637),
    [sym_match_operator] = ACTIONS(2641),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [245] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21766),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(245),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21164),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2653),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2655),
    [sym_let_and_operator] = ACTIONS(2653),
    [sym_match_operator] = ACTIONS(2657),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [246] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22110),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(246),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22718),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2659),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2629),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2631),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2633),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2635),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2637),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2639),
    [sym_let_and_operator] = ACTIONS(2637),
    [sym_match_operator] = ACTIONS(2641),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [247] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17382),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(247),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21809),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2667),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2669),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2671),
    [sym_let_and_operator] = ACTIONS(2669),
    [sym_match_operator] = ACTIONS(2673),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [248] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23275),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(248),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21809),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1823),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2667),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2669),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2671),
    [sym_let_and_operator] = ACTIONS(2669),
    [sym_match_operator] = ACTIONS(2673),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [249] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(16931),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(249),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22849),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2675),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2679),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2683),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2685),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2687),
    [sym_let_and_operator] = ACTIONS(2685),
    [sym_match_operator] = ACTIONS(2689),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [250] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21387),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(250),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21977),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2691),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1721),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1723),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1725),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1729),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1731),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1739),
    [sym_let_and_operator] = ACTIONS(1731),
    [sym_match_operator] = ACTIONS(1741),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [251] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22123),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(251),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(22849),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2677),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2679),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2681),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2683),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2685),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2687),
    [sym_let_and_operator] = ACTIONS(2685),
    [sym_match_operator] = ACTIONS(2689),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [252] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(17145),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(252),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(21164),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2695),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(2645),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(2647),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(2649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(2651),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(2653),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2655),
    [sym_let_and_operator] = ACTIONS(2653),
    [sym_match_operator] = ACTIONS(2657),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [253] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21702),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(253),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__infix_operator] = STATE(23359),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(2697),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(1761),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1763),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_COLON_COLON] = ACTIONS(1765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(1727),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1767),
    [aux_sym_sign_operator_token1] = ACTIONS(1727),
    [sym_hash_operator] = ACTIONS(1769),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(1771),
    [sym_let_and_operator] = ACTIONS(1769),
    [sym_match_operator] = ACTIONS(1773),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [254] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14160),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(254),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__attribute] = STATE(1739),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [255] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14359),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(255),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__attribute] = STATE(1751),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_with] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [256] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14388),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(256),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__attribute] = STATE(1764),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [257] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14205),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12530),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(257),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__attribute] = STATE(2075),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_to] = ACTIONS(365),
    [anon_sym_downto] = ACTIONS(365),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [258] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10716),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(258),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__attribute] = STATE(2056),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [ts_builtin_sym_end] = ACTIONS(361),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [259] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14352),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12530),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(259),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__attribute] = STATE(1826),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_done] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [260] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10706),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(260),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__attribute] = STATE(1941),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [261] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10667),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(261),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__attribute] = STATE(2022),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_SEMI_SEMI] = ACTIONS(361),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_external] = ACTIONS(365),
    [anon_sym_type] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_exception] = ACTIONS(365),
    [anon_sym_module] = ACTIONS(365),
    [anon_sym_open] = ACTIONS(365),
    [anon_sym_include] = ACTIONS(365),
    [anon_sym_class] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(361),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [262] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14345),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(262),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__attribute] = STATE(2094),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_then] = ACTIONS(365),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [263] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14415),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(263),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__attribute] = STATE(1875),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_PIPE_RBRACK] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [264] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14897),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(264),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(2061),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_with] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [265] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14550),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(265),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__attribute] = STATE(2055),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(361),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [266] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14745),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(266),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__attribute] = STATE(1743),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [267] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14549),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12530),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(267),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__attribute] = STATE(2086),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_done] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [268] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14863),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(268),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__attribute] = STATE(1989),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [269] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14802),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(269),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__attribute] = STATE(1874),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_with] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [270] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14700),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(270),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__attribute] = STATE(2059),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [271] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14685),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(271),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__attribute] = STATE(2035),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_then] = ACTIONS(365),
    [anon_sym_else] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [272] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14660),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(272),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(2057),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_then] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [273] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14528),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9801),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(273),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(2064),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_PIPE] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [274] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15093),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(274),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1866),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_with] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [275] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15175),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(275),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1811),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_then] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [276] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14957),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(276),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1892),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [277] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15064),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(277),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__attribute] = STATE(1836),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_COMMA] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_COLON_COLON] = ACTIONS(361),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(401),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(83),
    [sym_pow_operator] = ACTIONS(365),
    [sym_mult_operator] = ACTIONS(365),
    [aux_sym_add_operator_token1] = ACTIONS(365),
    [sym_concat_operator] = ACTIONS(361),
    [sym_rel_operator] = ACTIONS(365),
    [sym_and_operator] = ACTIONS(365),
    [sym_or_operator] = ACTIONS(365),
    [sym_assign_operator] = ACTIONS(361),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [278] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11906),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(278),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__attribute] = STATE(1965),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_constraint] = ACTIONS(365),
    [anon_sym_val] = ACTIONS(365),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_inherit] = ACTIONS(365),
    [anon_sym_method] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_initializer] = ACTIONS(365),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(365),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1337),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(361),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [279] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13880),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(279),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__attribute] = STATE(1752),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_COLON_GT] = ACTIONS(361),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(361),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(361),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_COLON2] = ACTIONS(365),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_RBRACE] = ACTIONS(361),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [280] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13974),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10575),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(280),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__attribute] = STATE(2067),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_and] = ACTIONS(365),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(365),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(361),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_let_and_operator] = ACTIONS(361),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [281] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21383),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(281),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1463),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [282] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21402),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(282),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1407),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [283] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22522),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(283),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1297),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [284] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23480),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(284),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1227),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [285] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22002),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(285),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1415),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [286] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21088),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(286),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1140),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [287] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21264),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(287),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1113),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [288] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22524),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(288),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1423),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [289] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22664),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(289),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1306),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [290] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22089),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(290),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1279),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [291] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23463),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(291),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1431),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3431),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [292] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20569),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(292),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1235),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [293] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20553),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(293),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1174),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [294] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20517),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(294),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1439),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [295] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22879),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(295),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1315),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3439),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [296] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20822),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(296),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1375),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [297] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20765),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(297),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1447),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [298] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22461),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(298),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1723),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [299] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20876),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(299),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1244),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3447),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [300] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21074),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(300),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1455),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3449),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [301] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23114),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(301),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1324),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [302] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23546),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(302),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1391),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3453),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [303] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14860),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8855),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(303),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__attribute] = STATE(1942),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_to] = ACTIONS(365),
    [anon_sym_downto] = ACTIONS(365),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [304] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22422),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(304),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1210),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3455),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [305] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21758),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(305),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1270),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3457),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [306] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20915),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(306),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1183),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3459),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [307] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21667),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(307),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1470),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3461),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [308] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23545),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(308),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1131),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3463),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [309] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23335),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(309),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1333),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3465),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [310] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22946),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(310),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1219),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3467),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [311] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21964),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(311),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1477),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3469),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [312] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21219),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(312),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1253),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3471),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [313] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23663),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(313),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1342),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3473),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [314] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20764),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(314),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1399),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3475),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [315] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22375),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(315),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1288),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3477),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [316] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23008),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(316),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1100),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3479),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [317] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21426),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(317),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1192),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3481),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [318] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22305),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(318),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1058),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3483),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [319] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20961),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(319),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1351),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3485),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [320] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23249),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(320),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1024),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3487),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [321] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22305),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(321),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1058),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3489),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [322] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20585),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(322),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1025),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3491),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [323] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21492),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(323),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1262),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3493),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [324] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22995),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(324),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1165),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3495),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [325] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22478),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(325),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1074),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3497),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [326] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23222),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(326),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1359),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3499),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [327] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21158),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(327),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1157),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3501),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [328] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22017),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(328),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1201),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [329] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20917),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(329),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1088),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [330] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22111),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(330),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1383),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3507),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [331] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22239),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(331),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1367),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3509),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [332] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22058),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(332),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1149),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(3511),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [333] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21349),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(333),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1646),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [334] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9776),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(334),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [335] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13244),
    [sym__sequence_expression] = STATE(12473),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12473),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(335),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [336] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13501),
    [sym__sequence_expression] = STATE(12674),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12674),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(336),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [337] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15114),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(337),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__attribute] = STATE(2058),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_do] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [338] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14184),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(338),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [339] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(15105),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8855),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(339),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__attribute] = STATE(1923),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_done] = ACTIONS(365),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [340] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11278),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(340),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [341] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9879),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(341),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [342] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9879),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(342),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [343] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10413),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(343),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [344] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10413),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(344),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [345] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10597),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(345),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [346] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14137),
    [sym__sequence_expression] = STATE(12473),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12473),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(346),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [347] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14278),
    [sym__sequence_expression] = STATE(12674),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12674),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(347),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [348] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9880),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(348),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [349] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9880),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(349),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [350] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14566),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(350),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [351] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10597),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(351),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [352] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19995),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(352),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__attribute] = STATE(934),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [353] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14137),
    [sym__sequence_expression] = STATE(12674),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12674),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(353),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [354] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12238),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(354),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [355] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15044),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(355),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1937),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_with] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [356] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14210),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(356),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [357] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13244),
    [sym__sequence_expression] = STATE(12674),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12674),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(357),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [358] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10172),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(358),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [359] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10172),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(359),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [360] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14908),
    [sym__sequence_expression] = STATE(12473),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12473),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(360),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [361] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14566),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(361),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [362] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15118),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(362),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__attribute] = STATE(1871),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_end] = ACTIONS(365),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [363] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14763),
    [sym__sequence_expression] = STATE(14877),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_refutation_case] = STATE(14877),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(363),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(3547),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [364] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15113),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(21873),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(364),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__attribute] = STATE(1928),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DASH_GT] = ACTIONS(361),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [365] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14908),
    [sym__sequence_expression] = STATE(12674),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12674),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(365),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [366] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14324),
    [sym__sequence_expression] = STATE(14849),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_refutation_case] = STATE(14849),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(366),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_DOT] = ACTIONS(3547),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [367] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14785),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(367),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [368] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14324),
    [sym__sequence_expression] = STATE(14877),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_refutation_case] = STATE(14877),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(368),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_DOT] = ACTIONS(3547),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [369] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14510),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(369),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [370] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9786),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(370),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [371] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14785),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(371),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [372] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9786),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(372),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [373] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12238),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(373),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [374] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(374),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [375] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10389),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(375),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [376] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10389),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(376),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [377] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10565),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(377),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [378] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10154),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(378),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [379] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14340),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(379),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [380] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10565),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(380),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [381] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11278),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(381),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [382] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10178),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(382),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [383] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14161),
    [sym__sequence_expression] = STATE(12473),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12473),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(383),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [384] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10178),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(384),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [385] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10154),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(385),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [386] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14763),
    [sym__sequence_expression] = STATE(14849),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_refutation_case] = STATE(14849),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(386),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_DOT] = ACTIONS(3547),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [387] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(387),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [388] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14161),
    [sym__sequence_expression] = STATE(12674),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12674),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(388),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [389] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14184),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(389),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [390] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10023),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(390),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [391] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10023),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(391),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [392] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14340),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(392),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [393] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(393),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [394] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(394),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [395] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(395),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [396] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(396),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [397] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10598),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(397),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [398] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14210),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(398),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [399] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23051),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(399),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(992),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [400] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9768),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(400),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [401] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9768),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(401),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [402] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14790),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(402),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [403] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14790),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(403),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [404] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9966),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(404),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [405] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9966),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(405),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [406] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13501),
    [sym__sequence_expression] = STATE(12473),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12473),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(406),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [407] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10014),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(407),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [408] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10598),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(408),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [409] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14853),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(409),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [410] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14853),
    [sym__sequence_expression] = STATE(9814),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9814),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(410),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [411] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10307),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(411),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [412] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10307),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(412),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [413] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14278),
    [sym__sequence_expression] = STATE(12473),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_refutation_case] = STATE(12473),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(413),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_DOT] = ACTIONS(3519),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [414] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20867),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(414),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(963),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [415] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10014),
    [sym__sequence_expression] = STATE(9614),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9614),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(415),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [416] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19592),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(416),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1022),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [417] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19648),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(417),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__attribute] = STATE(1023),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [418] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15117),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6455),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(418),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(2021),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_then] = ACTIONS(365),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [419] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14510),
    [sym__sequence_expression] = STATE(9823),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_refutation_case] = STATE(9823),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(419),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(3521),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [420] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20112),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(420),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1056),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [421] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19614),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(421),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__attribute] = STATE(1057),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [422] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19613),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(422),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1072),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [423] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19343),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(423),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__attribute] = STATE(1073),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [424] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20219),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(424),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1087),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [425] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20295),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(425),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1099),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [426] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20371),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(426),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1112),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [427] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20397),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(427),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1139),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [428] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19723),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(428),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1164),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [429] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20289),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(429),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1173),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [430] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20274),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(430),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1182),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [431] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20094),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(431),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1191),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [432] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20361),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(432),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1200),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [433] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19229),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(433),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1209),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [434] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19895),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(434),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1218),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [435] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20317),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(435),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1226),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [436] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(436),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1234),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [437] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20242),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(437),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1243),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [438] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9776),
    [sym__sequence_expression] = STATE(9550),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_refutation_case] = STATE(9550),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(438),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [439] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20344),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(439),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1261),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [440] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19477),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(440),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1269),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [441] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19827),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(441),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1278),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [442] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20100),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(442),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1332),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [443] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20363),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(443),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1341),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [444] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19177),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(444),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1374),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [445] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19307),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(445),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1382),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [446] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19444),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(446),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1390),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [447] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20276),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(447),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1398),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [448] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20279),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(448),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1406),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [449] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19685),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(449),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1414),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [450] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19524),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(450),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1422),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [451] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19813),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(451),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1430),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [452] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19125),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(452),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1438),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [453] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19579),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(453),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1454),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [454] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20305),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(454),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1462),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [455] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19294),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(455),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1121),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [456] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(456),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1487),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [457] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23204),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(457),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1488),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [458] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20341),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(458),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1130),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [459] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20945),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(459),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1496),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [460] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20953),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(460),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1497),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [461] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19597),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(461),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1148),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [462] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21381),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(462),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1501),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [463] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21384),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(463),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1502),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [464] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19874),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(464),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1156),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [465] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21785),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(465),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1505),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [466] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21789),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(466),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1506),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [467] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19202),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(467),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1287),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [468] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22101),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(468),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1511),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [469] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22104),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(469),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1512),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [470] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19643),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(470),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1296),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [471] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22298),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(471),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1517),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [472] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22303),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(472),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1518),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [473] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19929),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(473),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1305),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [474] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22501),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(474),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1522),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [475] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22505),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(475),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1523),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [476] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20120),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(476),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1314),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [477] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22696),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(477),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1527),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [478] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22705),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(478),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1528),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [479] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20321),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(479),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1323),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [480] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22918),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(480),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1533),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [481] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22921),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(481),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1534),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [482] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19211),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(482),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1350),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [483] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23119),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(483),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1539),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [484] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23126),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(484),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1540),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [485] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19345),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(485),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1358),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [486] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23308),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(486),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1543),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [487] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23315),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(487),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1544),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [488] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19495),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(488),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1366),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [489] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23494),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(489),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1548),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [490] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23498),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(490),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1549),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [491] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19582),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(491),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1446),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [492] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23696),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(492),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1553),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [493] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23700),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(493),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1554),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [494] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19667),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(494),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1489),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [495] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20430),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(495),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1558),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [496] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20433),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(496),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1559),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [497] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19739),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(497),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1490),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [498] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20494),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(498),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1562),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [499] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20497),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(499),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1563),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [500] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19822),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(500),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1491),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [501] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20558),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(501),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1568),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [502] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20561),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(502),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1569),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [503] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19891),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(503),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1492),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [504] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20621),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(504),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1574),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [505] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20624),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(505),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1575),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [506] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20679),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(506),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1579),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [507] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20680),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(507),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1580),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [508] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20734),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(508),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1583),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [509] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20735),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(509),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1584),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [510] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20788),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(510),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1587),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [511] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20789),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(511),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1588),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [512] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20843),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(512),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1592),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [513] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20844),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(513),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1593),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [514] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20898),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(514),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1597),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [515] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20899),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(515),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1598),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [516] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20940),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(516),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1602),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [517] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20941),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(517),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1603),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [518] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20981),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(518),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1607),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [519] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20982),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(519),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1608),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [520] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21022),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(520),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1610),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [521] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21023),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(521),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1611),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [522] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21063),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(522),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1615),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [523] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21064),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(523),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1616),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [524] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21104),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(524),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1620),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [525] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21105),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(525),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1621),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [526] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21145),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(526),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1623),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [527] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21146),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(527),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1624),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [528] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21186),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(528),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1628),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [529] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21187),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(529),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1629),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [530] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21227),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(530),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1632),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [531] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21228),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(531),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1633),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [532] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21268),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(532),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1636),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [533] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21269),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(533),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1637),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [534] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21309),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(534),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1641),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [535] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21310),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(535),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1642),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [536] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19596),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(536),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(888),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [537] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21350),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(537),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1647),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [538] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21389),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(538),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1651),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [539] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21390),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(539),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1652),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [540] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21428),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(540),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1655),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [541] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21429),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(541),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1656),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [542] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21467),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(542),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1659),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [543] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21468),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(543),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1660),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [544] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21506),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(544),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1664),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [545] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21507),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(545),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1665),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [546] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21545),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(546),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1669),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [547] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21546),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(547),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1670),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [548] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21583),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(548),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1674),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [549] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21584),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(549),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1675),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [550] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21621),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(550),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1679),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [551] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21622),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(551),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1680),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [552] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21659),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(552),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1682),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [553] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21660),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(553),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1683),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [554] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21697),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(554),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1687),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [555] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21698),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(555),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1688),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [556] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21735),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(556),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1691),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [557] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21736),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(557),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1692),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [558] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21773),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(558),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1695),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [559] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21774),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(559),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1696),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [560] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21811),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(560),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1698),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [561] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21812),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(561),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1699),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [562] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21849),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(562),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1703),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [563] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21850),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(563),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1704),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [564] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21887),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(564),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1708),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [565] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21888),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(565),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1709),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [566] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21924),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(566),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1712),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [567] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21925),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(567),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1713),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [568] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21961),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(568),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1717),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [569] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21962),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(569),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__attribute] = STATE(1718),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [570] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19802),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(570),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__attribute] = STATE(1252),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [anon_sym_PERCENT] = ACTIONS(1599),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [571] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(571),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3601),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [572] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(572),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3603),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [573] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(573),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3605),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [574] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(574),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3607),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [575] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(575),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3609),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [576] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(576),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3611),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [577] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(577),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3613),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [578] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(578),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3615),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [579] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(579),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3617),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [580] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(580),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3619),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [581] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(581),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3621),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [582] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(582),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3623),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [583] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(583),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3625),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [584] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(584),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3627),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [585] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(585),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3629),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [586] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(586),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3631),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [587] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(587),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3633),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [588] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(588),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [589] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(589),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3637),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [590] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(590),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3639),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [591] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(591),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3641),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [592] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(592),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3643),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [593] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(593),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [594] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(594),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3647),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [595] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(595),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3649),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [596] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(596),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3651),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [597] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(597),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3653),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [598] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(598),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3655),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [599] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(599),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3657),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [600] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(600),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3659),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [601] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(15021),
    [sym__sequence_expression] = STATE(20548),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(601),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_done] = ACTIONS(3661),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [602] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(602),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3663),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [603] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(603),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3665),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [604] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(604),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [605] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(605),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [606] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(606),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3671),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [607] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(607),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3673),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [608] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(608),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3675),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [609] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(15021),
    [sym__sequence_expression] = STATE(23130),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(609),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_done] = ACTIONS(3677),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [610] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(610),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3679),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [611] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(611),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3681),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [612] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(15021),
    [sym__sequence_expression] = STATE(23233),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(612),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_done] = ACTIONS(3683),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [613] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(613),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [614] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(614),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [615] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(615),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3689),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [616] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(616),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3691),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [617] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(617),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3693),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [618] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(618),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3695),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [619] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(619),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3697),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [620] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(620),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3699),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [621] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(621),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3701),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [622] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(622),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [623] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(623),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [624] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(15021),
    [sym__sequence_expression] = STATE(21881),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(624),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_done] = ACTIONS(3707),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [625] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(625),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_RPAREN] = ACTIONS(3709),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [626] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15103),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(626),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [627] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(627),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [628] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(628),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [629] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(629),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [630] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(630),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [631] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11973),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(631),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [632] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11973),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(632),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [633] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11973),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(633),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [634] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14631),
    [sym__sequence_expression] = STATE(19800),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(634),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [635] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9966),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(635),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [636] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10598),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(636),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [637] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9966),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(637),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [638] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10413),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(638),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [639] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10413),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(639),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [640] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10413),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(640),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [641] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10413),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(641),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [642] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10413),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(642),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [643] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10413),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(643),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [644] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10413),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(644),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [645] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10413),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(645),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [646] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9966),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(646),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [647] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9966),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(647),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [648] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9966),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(648),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [649] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9966),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(649),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [650] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9966),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(650),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [651] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9966),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(651),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [652] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10307),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(652),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [653] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11480),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(653),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [654] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11480),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(654),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [655] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11480),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(655),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [656] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11480),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(656),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [657] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11480),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(657),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [658] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11480),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(658),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [659] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11480),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(659),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [660] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11480),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(660),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [661] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10307),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(661),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [662] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10307),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(662),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [663] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10307),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(663),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [664] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10307),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(664),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [665] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10307),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(665),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [666] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10307),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(666),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [667] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10307),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(667),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [668] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14908),
    [sym__sequence_expression] = STATE(12599),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(668),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [669] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10172),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(669),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [670] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10172),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(670),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [671] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10172),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(671),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [672] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10172),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(672),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [673] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10172),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(673),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [674] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10172),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(674),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [675] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10172),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(675),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [676] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10172),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(676),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [677] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14631),
    [sym__sequence_expression] = STATE(19984),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(677),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [678] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14908),
    [sym__sequence_expression] = STATE(12622),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(678),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [679] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14908),
    [sym__sequence_expression] = STATE(12625),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(679),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [680] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14908),
    [sym__sequence_expression] = STATE(12639),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(680),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [681] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14908),
    [sym__sequence_expression] = STATE(12532),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(681),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [682] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14908),
    [sym__sequence_expression] = STATE(12607),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(682),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [683] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14908),
    [sym__sequence_expression] = STATE(12623),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(683),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [684] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14908),
    [sym__sequence_expression] = STATE(12475),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(684),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [685] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9786),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(685),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [686] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9786),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(686),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [687] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9786),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(687),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [688] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9786),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(688),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [689] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9786),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(689),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [690] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9786),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(690),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [691] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9786),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(691),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [692] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9786),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(692),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [693] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14161),
    [sym__sequence_expression] = STATE(12599),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(693),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [694] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20867),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(694),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [695] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14161),
    [sym__sequence_expression] = STATE(12622),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(695),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [696] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14161),
    [sym__sequence_expression] = STATE(12625),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(696),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [697] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14161),
    [sym__sequence_expression] = STATE(12639),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(697),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [698] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14161),
    [sym__sequence_expression] = STATE(12532),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(698),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [699] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14161),
    [sym__sequence_expression] = STATE(12607),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(699),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [700] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14161),
    [sym__sequence_expression] = STATE(12623),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(700),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [701] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14161),
    [sym__sequence_expression] = STATE(12475),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(701),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [702] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10178),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(702),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [703] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10178),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(703),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [704] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10178),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(704),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [705] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10178),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(705),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [706] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10178),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(706),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [707] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10178),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(707),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [708] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10178),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(708),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [709] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10178),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(709),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [710] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(12599),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(710),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [711] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(12622),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(711),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [712] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(12625),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(712),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [713] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(12639),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(713),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [714] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(12532),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(714),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [715] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(12607),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(715),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [716] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(12623),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(716),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [717] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14278),
    [sym__sequence_expression] = STATE(12599),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(717),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [718] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14278),
    [sym__sequence_expression] = STATE(12622),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(718),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [719] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14278),
    [sym__sequence_expression] = STATE(12625),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(719),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [720] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14278),
    [sym__sequence_expression] = STATE(12639),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(720),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [721] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14278),
    [sym__sequence_expression] = STATE(12532),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(721),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [722] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14278),
    [sym__sequence_expression] = STATE(12607),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(722),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [723] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14278),
    [sym__sequence_expression] = STATE(12623),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(723),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [724] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14278),
    [sym__sequence_expression] = STATE(12475),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(724),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [725] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13994),
    [sym__sequence_expression] = STATE(12475),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(725),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [726] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12613),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(726),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [727] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22934),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(727),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [728] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12613),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(728),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [729] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12613),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(729),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [730] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12613),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(730),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [731] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12613),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(731),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [732] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12613),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(732),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [733] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14137),
    [sym__sequence_expression] = STATE(12599),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(733),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [734] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14137),
    [sym__sequence_expression] = STATE(12622),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(734),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [735] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14137),
    [sym__sequence_expression] = STATE(12625),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(735),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [736] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14137),
    [sym__sequence_expression] = STATE(12639),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(736),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [737] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14137),
    [sym__sequence_expression] = STATE(12532),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(737),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [738] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14137),
    [sym__sequence_expression] = STATE(12607),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(738),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [739] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14137),
    [sym__sequence_expression] = STATE(12623),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(739),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [740] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14137),
    [sym__sequence_expression] = STATE(12475),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(740),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [741] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12613),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(741),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [742] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12613),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(742),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [743] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(743),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [744] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22961),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(744),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [745] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(745),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [746] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(746),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [747] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(747),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [748] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(748),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [749] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13557),
    [sym__sequence_expression] = STATE(12599),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(749),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [750] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13557),
    [sym__sequence_expression] = STATE(12622),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(750),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [751] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13557),
    [sym__sequence_expression] = STATE(12625),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(751),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [752] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13557),
    [sym__sequence_expression] = STATE(12639),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(752),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [753] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13557),
    [sym__sequence_expression] = STATE(12532),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(753),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [754] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13557),
    [sym__sequence_expression] = STATE(12607),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(754),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [755] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13557),
    [sym__sequence_expression] = STATE(12623),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(755),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [756] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13557),
    [sym__sequence_expression] = STATE(12475),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(756),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [757] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(757),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [758] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(758),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [759] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12570),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(759),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [760] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14851),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(760),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [761] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22969),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(761),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [762] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14851),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(762),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [763] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14851),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(763),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [764] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14851),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(764),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [765] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12238),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(765),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [766] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12238),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(766),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [767] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12238),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(767),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [768] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12238),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(768),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [769] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12238),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(769),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [770] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12238),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(770),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [771] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12238),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(771),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [772] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12238),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(772),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [773] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14851),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(773),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [774] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14851),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(774),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [775] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14851),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(775),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [776] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14851),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(776),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [777] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15446),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(777),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [778] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10186),
    [sym__sequence_expression] = STATE(12205),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(778),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [779] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14184),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(779),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [780] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14184),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(780),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [781] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14184),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(781),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [782] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14184),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(782),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [783] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14184),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(783),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [784] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14184),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(784),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [785] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14184),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(785),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [786] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14184),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(786),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [787] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10186),
    [sym__sequence_expression] = STATE(12213),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(787),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [788] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15499),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(788),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [789] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15560),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(789),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [790] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15533),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(790),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [791] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14210),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(791),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [792] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14210),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(792),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [793] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14210),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(793),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [794] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14210),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(794),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [795] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14210),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(795),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [796] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14210),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(796),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [797] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14210),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(797),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [798] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14210),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(798),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [799] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15396),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(799),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [800] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15397),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(800),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [801] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23250),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(801),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [802] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10598),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(802),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [803] = {
    [sym__simple_expression] = STATE(4077),
    [sym_typed_expression] = STATE(4081),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_labeled_argument] = STATE(4723),
    [sym_prefix_expression] = STATE(4081),
    [sym_hash_expression] = STATE(4081),
    [sym_field_get_expression] = STATE(4081),
    [sym_array_get_expression] = STATE(4081),
    [sym_string_get_expression] = STATE(4081),
    [sym_bigarray_get_expression] = STATE(4081),
    [sym_coercion_expression] = STATE(4081),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(803),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [aux_sym_class_application_repeat1] = STATE(2815),
    [ts_builtin_sym_end] = ACTIONS(3711),
    [sym__lowercase_identifier] = ACTIONS(3713),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3717),
    [anon_sym_QMARK] = ACTIONS(3717),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_DOT] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_in] = ACTIONS(3715),
    [anon_sym_POUND] = ACTIONS(3721),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(3723),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [804] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14510),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(804),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [805] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14510),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(805),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [806] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14510),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(806),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [807] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14510),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(807),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [808] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14510),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(808),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [809] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14510),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(809),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [810] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14510),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(810),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [811] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14510),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(811),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [812] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(20333),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(812),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [813] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10186),
    [sym__sequence_expression] = STATE(12059),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(813),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [814] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10186),
    [sym__sequence_expression] = STATE(12062),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(814),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [815] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15383),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(815),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [816] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15384),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(816),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [817] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10023),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(817),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [818] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10023),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(818),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [819] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10023),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(819),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [820] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10023),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(820),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [821] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10023),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(821),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [822] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10023),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(822),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [823] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10023),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(823),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [824] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10023),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(824),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [825] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15387),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(825),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [826] = {
    [sym__simple_expression] = STATE(3836),
    [sym_typed_expression] = STATE(3844),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_labeled_argument] = STATE(4723),
    [sym_prefix_expression] = STATE(3844),
    [sym_hash_expression] = STATE(3844),
    [sym_field_get_expression] = STATE(3844),
    [sym_array_get_expression] = STATE(3844),
    [sym_string_get_expression] = STATE(3844),
    [sym_bigarray_get_expression] = STATE(3844),
    [sym_coercion_expression] = STATE(3844),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(826),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [aux_sym_class_application_repeat1] = STATE(2819),
    [sym__lowercase_identifier] = ACTIONS(3725),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3727),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_DOT] = ACTIONS(3729),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_in] = ACTIONS(3715),
    [anon_sym_POUND] = ACTIONS(3731),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(3733),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [827] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15457),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(827),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [828] = {
    [sym__simple_expression] = STATE(3854),
    [sym_typed_expression] = STATE(3911),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_labeled_argument] = STATE(5339),
    [sym_prefix_expression] = STATE(3911),
    [sym_hash_expression] = STATE(3911),
    [sym_field_get_expression] = STATE(3911),
    [sym_array_get_expression] = STATE(3911),
    [sym_string_get_expression] = STATE(3911),
    [sym_bigarray_get_expression] = STATE(3911),
    [sym_coercion_expression] = STATE(3911),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(828),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [aux_sym_class_application_repeat1] = STATE(2814),
    [sym__lowercase_identifier] = ACTIONS(3735),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3737),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_DOT] = ACTIONS(3739),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_end] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_in] = ACTIONS(3715),
    [anon_sym_POUND] = ACTIONS(3741),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(507),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(3743),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [829] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9768),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(829),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [830] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9768),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(830),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [831] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9768),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(831),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [832] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9768),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(832),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [833] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9768),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(833),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [834] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9768),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(834),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [835] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9768),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(835),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [836] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9768),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(836),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [837] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15478),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(837),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [838] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15487),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(838),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [839] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15506),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(839),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [840] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9776),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(840),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [841] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9776),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(841),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [842] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9776),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(842),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [843] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9776),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(843),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [844] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9776),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(844),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [845] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9776),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(845),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [846] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9776),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(846),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [847] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9776),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(847),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [848] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21220),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(848),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [849] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19393),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(849),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [850] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10186),
    [sym__sequence_expression] = STATE(12094),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(850),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [851] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15360),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(851),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [852] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15501),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(852),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [853] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11278),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(853),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [854] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11278),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(854),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [855] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11278),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(855),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [856] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11278),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(856),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [857] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11278),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(857),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [858] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11278),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(858),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [859] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11278),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(859),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [860] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11278),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(860),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [861] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15529),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(861),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [862] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15558),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(862),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [863] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15564),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(863),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [864] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15566),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(864),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [865] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22673),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(865),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [866] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9879),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(866),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [867] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9879),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(867),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [868] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9879),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(868),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [869] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9879),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(869),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [870] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9879),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(870),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [871] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9879),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(871),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [872] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9879),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(872),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [873] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9879),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(873),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [874] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15324),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(874),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [875] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15332),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(875),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [876] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15343),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(876),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [877] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23565),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(877),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [878] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15376),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(878),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [879] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9880),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(879),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [880] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9880),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(880),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [881] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9880),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(881),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [882] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9880),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(882),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [883] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9880),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(883),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [884] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9880),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(884),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [885] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9880),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(885),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [886] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9880),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(886),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [887] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10598),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(887),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [888] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19838),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(888),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [889] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12777),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(889),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [890] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10598),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(890),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [891] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12777),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(891),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [892] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13244),
    [sym__sequence_expression] = STATE(12599),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(892),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [893] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13244),
    [sym__sequence_expression] = STATE(12622),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(893),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [894] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13244),
    [sym__sequence_expression] = STATE(12625),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(894),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [895] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13244),
    [sym__sequence_expression] = STATE(12639),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(895),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [896] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13244),
    [sym__sequence_expression] = STATE(12532),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(896),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [897] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13244),
    [sym__sequence_expression] = STATE(12607),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(897),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [898] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13244),
    [sym__sequence_expression] = STATE(12623),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(898),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [899] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13244),
    [sym__sequence_expression] = STATE(12475),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(899),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [900] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12777),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(900),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [901] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12777),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(901),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [902] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12777),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(902),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [903] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10598),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(903),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [904] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10598),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(904),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [905] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14029),
    [sym__sequence_expression] = STATE(16339),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(905),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [906] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20099),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(906),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [907] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12777),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(907),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [908] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12777),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(908),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [909] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14029),
    [sym__sequence_expression] = STATE(16461),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(909),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [910] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14029),
    [sym__sequence_expression] = STATE(16462),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(910),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [911] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14029),
    [sym__sequence_expression] = STATE(16495),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(911),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [912] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14029),
    [sym__sequence_expression] = STATE(16498),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(912),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [913] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14029),
    [sym__sequence_expression] = STATE(16521),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(913),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [914] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14029),
    [sym__sequence_expression] = STATE(16522),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(914),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [915] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14029),
    [sym__sequence_expression] = STATE(16540),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(915),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [916] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10186),
    [sym__sequence_expression] = STATE(12230),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(916),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [917] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10598),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(917),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [918] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12777),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(918),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [919] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14785),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(919),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [920] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14785),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(920),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [921] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14785),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(921),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [922] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14785),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(922),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [923] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14785),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(923),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [924] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14785),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(924),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [925] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14785),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(925),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [926] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14785),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(926),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [927] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14790),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(927),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [928] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14790),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(928),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [929] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14790),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(929),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [930] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14790),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(930),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [931] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14790),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(931),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [932] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14790),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(932),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [933] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14790),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(933),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [934] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(20160),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(934),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [935] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14790),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(935),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [936] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14853),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(936),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [937] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14853),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(937),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [938] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14853),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(938),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [939] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14853),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(939),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [940] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14853),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(940),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [941] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14853),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(941),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [942] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14853),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(942),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [943] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14631),
    [sym__sequence_expression] = STATE(19851),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(943),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [944] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14853),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(944),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [945] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14566),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(945),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [946] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14566),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(946),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [947] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14566),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(947),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [948] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14566),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(948),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [949] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14566),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(949),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [950] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14566),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(950),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [951] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14566),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(951),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [952] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14566),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(952),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [953] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(953),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [954] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(954),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [955] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(955),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [956] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(956),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [957] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(957),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [958] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(958),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [959] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(959),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [960] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11520),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(960),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [961] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15091),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(961),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [962] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13501),
    [sym__sequence_expression] = STATE(12599),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(962),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [963] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21279),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(963),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [964] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13501),
    [sym__sequence_expression] = STATE(12622),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(964),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [965] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13501),
    [sym__sequence_expression] = STATE(12625),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(965),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [966] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13501),
    [sym__sequence_expression] = STATE(12639),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(966),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [967] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13501),
    [sym__sequence_expression] = STATE(12532),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(967),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [968] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13501),
    [sym__sequence_expression] = STATE(12607),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(968),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [969] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13501),
    [sym__sequence_expression] = STATE(12623),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(969),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [970] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13501),
    [sym__sequence_expression] = STATE(12475),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12456),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(970),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [971] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14532),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(971),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [972] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14532),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(972),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [973] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14532),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(973),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [974] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14532),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(974),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [975] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14532),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(975),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [976] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14532),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(976),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [977] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14532),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(977),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [978] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14532),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(978),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [979] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14340),
    [sym__sequence_expression] = STATE(9815),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(979),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [980] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15091),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(980),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [981] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14340),
    [sym__sequence_expression] = STATE(9765),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(981),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [982] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14340),
    [sym__sequence_expression] = STATE(9766),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(982),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [983] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14340),
    [sym__sequence_expression] = STATE(9771),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(983),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [984] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14340),
    [sym__sequence_expression] = STATE(9803),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(984),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [985] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14340),
    [sym__sequence_expression] = STATE(9838),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(985),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [986] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14340),
    [sym__sequence_expression] = STATE(9840),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(986),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [987] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14340),
    [sym__sequence_expression] = STATE(9868),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(987),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [988] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15091),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(988),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [989] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15091),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(989),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [990] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15091),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(990),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [991] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15090),
    [sym__sequence_expression] = STATE(20099),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(20938),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(991),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [992] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20432),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(992),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [993] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15091),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(993),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [994] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15091),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(994),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [995] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21117),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(995),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [996] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21123),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(996),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [997] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15091),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(997),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [998] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15108),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(998),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [999] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21168),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(999),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1000] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10311),
    [sym__sequence_expression] = STATE(12230),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1000),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1001] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15108),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1001),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1002] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15108),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1002),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1003] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15108),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1003),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1004] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10311),
    [sym__sequence_expression] = STATE(12228),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1004),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1005] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10311),
    [sym__sequence_expression] = STATE(12229),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1005),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1006] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10311),
    [sym__sequence_expression] = STATE(12205),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1006),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1007] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10311),
    [sym__sequence_expression] = STATE(12213),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1007),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1008] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10311),
    [sym__sequence_expression] = STATE(12059),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1008),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1009] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10311),
    [sym__sequence_expression] = STATE(12062),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1009),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1010] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10311),
    [sym__sequence_expression] = STATE(12094),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1010),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1011] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15108),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1011),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1012] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15108),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1012),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1013] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15108),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1013),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1014] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14735),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(1014),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1015] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14735),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(1015),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1016] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14735),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(1016),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1017] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14735),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(1017),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1018] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14735),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(1018),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1019] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14735),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(1019),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1020] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14735),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(1020),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1021] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14735),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(1021),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1022] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20183),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1022),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1023] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19405),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1023),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1024] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20543),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1024),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1025] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20564),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1025),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1026] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23528),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1026),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1027] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23529),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1027),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1028] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23544),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1028),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1029] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20643),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1029),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1030] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20644),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1030),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1031] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20645),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1031),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1032] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20962),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1032),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1033] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(20391),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1033),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1034] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21260),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1034),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1035] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19142),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1035),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1036] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21316),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1036),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1037] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21332),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1037),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1038] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14763),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1038),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1039] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14763),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1039),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1040] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14763),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1040),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1041] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14763),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1041),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1042] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14763),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1042),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1043] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14763),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1043),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1044] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14763),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1044),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1045] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14763),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1045),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1046] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14324),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(1046),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1047] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14324),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(1047),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1048] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14324),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(1048),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1049] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14324),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(1049),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1050] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14324),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(1050),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1051] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14324),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(1051),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1052] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14324),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(1052),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1053] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14324),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(1053),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1054] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15108),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1054),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1055] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15103),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1055),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1056] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19770),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1056),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1057] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19777),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1057),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1058] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22590),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1058),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1059] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23263),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1059),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1060] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23265),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1060),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1061] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23267),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1061),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1062] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21656),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1062),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1063] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20592),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1063),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1064] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21071),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1064),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1065] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21792),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1065),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1066] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(20006),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1066),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1067] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22712),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1067),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1068] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19372),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1068),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1069] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23502),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1069),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1070] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20468),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1070),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1071] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10139),
    [sym__sequence_expression] = STATE(12230),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1071),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1072] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19928),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1072),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1073] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19936),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1073),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1074] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20817),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1074),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1075] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22054),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1075),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1076] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22063),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1076),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1077] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22068),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1077),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1078] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22947),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1078),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1079] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22999),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1079),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1080] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23059),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1080),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1081] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23362),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1081),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1082] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19585),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1082),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1083] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23695),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1083),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1084] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15078),
    [sym__sequence_expression] = STATE(19690),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1084),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1085] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20429),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1085),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1086] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20437),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1086),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1087] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19376),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1087),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1088] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21308),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1088),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1089] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21746),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1089),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1090] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21748),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1090),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1091] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21749),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1091),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1092] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22042),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1092),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1093] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22043),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1093),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1094] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22049),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1094),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1095] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22219),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1095),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1096] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22247),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1096),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1097] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22256),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1097),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1098] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22257),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1098),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1099] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19399),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1099),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1100] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23404),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1100),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1101] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20481),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1101),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1102] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20482),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1102),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1103] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20483),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1103),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1104] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20640),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1104),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1105] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20648),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1105),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1106] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20652),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1106),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1107] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20782),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1107),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1108] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20804),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1108),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1109] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20814),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1109),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1110] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20816),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1110),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1111] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15103),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1111),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1112] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19159),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1112),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1113] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21480),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1113),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1114] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21690),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1114),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1115] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21692),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1115),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1116] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21694),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1116),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1117] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21909),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1117),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1118] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21910),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1118),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1119] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21911),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1119),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1120] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15103),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1120),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1121] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19791),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1121),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1122] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1122),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1123] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22719),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1123),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1124] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22723),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1124),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1125] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22730),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1125),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1126] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22896),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1126),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1127] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22901),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1127),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1128] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22912),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1128),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1129] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15103),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1129),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1130] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20384),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1130),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1131] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23172),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1131),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1132] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21818),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1132),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1133] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22113),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1133),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1134] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22241),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1134),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1135] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22382),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1135),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1136] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22480),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1136),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1137] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22699),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1137),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1138] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10139),
    [sym__sequence_expression] = STATE(12228),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1138),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1139] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19654),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1139),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1140] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22206),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1140),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1141] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23379),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1141),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1142] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23462),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1142),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1143] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23500),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1143),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1144] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20595),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1144),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1145] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20604),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1145),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1146] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20612),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1146),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1147] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10139),
    [sym__sequence_expression] = STATE(12229),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1147),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1148] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20236),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1148),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1149] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22713),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1149),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1150] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23399),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1150),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1151] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23403),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1151),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1152] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23408),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1152),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1153] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20441),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1153),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1154] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20442),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1154),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1155] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20446),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1155),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1156] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19373),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1156),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1157] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21471),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1157),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1158] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21678),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1158),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1159] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21696),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1159),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1160] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21705),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1160),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1161] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21904),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1161),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1162] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21919),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1162),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1163] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21935),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1163),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1164] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19298),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1164),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1165] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23253),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1165),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1166] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23434),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1166),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1167] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23443),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1167),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1168] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23444),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1168),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1169] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23680),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1169),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1170] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23681),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1170),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1171] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23683),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1171),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1172] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10139),
    [sym__sequence_expression] = STATE(12205),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1172),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1173] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19965),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1173),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1174] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20605),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1174),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1175] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20650),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1175),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1176] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20651),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1176),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1177] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20653),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1177),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1178] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20696),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1178),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1179] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20698),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1179),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1180] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20699),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1180),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1181] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10139),
    [sym__sequence_expression] = STATE(12213),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1181),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1182] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20387),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1182),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1183] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21036),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1183),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1184] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21152),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1184),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1185] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21157),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1185),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1186] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21159),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1186),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1187] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21208),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1187),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1188] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21210),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1188),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1189] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21211),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1189),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1190] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10139),
    [sym__sequence_expression] = STATE(12059),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1190),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1191] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19218),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1191),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1192] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21587),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1192),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1193] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21644),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1193),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1194] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21645),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1194),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1195] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21651),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1195),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1196] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21682),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1196),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1197] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21683),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1197),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1198] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21688),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1198),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1199] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10139),
    [sym__sequence_expression] = STATE(12062),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1199),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1200] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19101),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1200),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1201] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22071),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1201),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1202] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22142),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1202),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1203] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22143),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1203),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1204] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22144),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1204),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1205] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22202),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1205),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1206] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22203),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1206),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1207] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22204),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1207),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1208] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10139),
    [sym__sequence_expression] = STATE(12094),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1208),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1209] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19886),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1209),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1210] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22484),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1210),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1211] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22573),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1211),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1212] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22576),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1212),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1213] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22585),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1213),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1214] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22642),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1214),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1215] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22643),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1215),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1216] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22645),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1216),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1217] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14631),
    [sym__sequence_expression] = STATE(19792),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(1217),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1218] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19144),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1218),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1219] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23062),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1219),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1220] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23133),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1220),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1221] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23135),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1221),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1222] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23137),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1222),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1223] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23225),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1223),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1224] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23226),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1224),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1225] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23230),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1225),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1226] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19551),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1226),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1227] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23669),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1227),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1228] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23709),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1228),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1229] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23711),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1229),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1230] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23713),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1230),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1231] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20418),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1231),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1232] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20419),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1232),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1233] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20420),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1233),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1234] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19884),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1234),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1235] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20628),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1235),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1236] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20675),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1236),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1237] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20677),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1237),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1238] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20678),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1238),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1239] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20714),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1239),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1240] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20716),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1240),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1241] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20723),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1241),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1242] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15103),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1242),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1243] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20151),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1243),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1244] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20946),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1244),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1245] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21002),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1245),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1246] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21004),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1246),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1247] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21005),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1247),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1248] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21046),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1248),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1249] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21047),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1249),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1250] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21052),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1250),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1251] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15103),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1251),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1252] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19065),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1252),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1253] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21280),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1253),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1254] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21315),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1254),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1255] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21317),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1255),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1256] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21321),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1256),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1257] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21346),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1257),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1258] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21347),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1258),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1259] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21348),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1259),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1260] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10186),
    [sym__sequence_expression] = STATE(12228),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(1260),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1261] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19204),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1261),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1262] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21551),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1262),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1263] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21588),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1263),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1264] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21589),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1264),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1265] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21591),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1265),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1266] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21616),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1266),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1267] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21618),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1267),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1268] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21619),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1268),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1269] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19334),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1269),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1270] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21816),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1270),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1271] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21852),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1271),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1272] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21854),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1272),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1273] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21855),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1273),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1274] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21880),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1274),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1275] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21882),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1275),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1276] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21884),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1276),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1277] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14639),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(1277),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1278] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19603),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1278),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1279] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22252),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1279),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1280] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22273),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1280),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1281] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22274),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1281),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1282] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22275),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1282),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1283] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22291),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1283),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1284] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22292),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1284),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1285] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22293),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1285),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1286] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14639),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(1286),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1287] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19699),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1287),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1288] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22408),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1288),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1289] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22435),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1289),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1290] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22436),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1290),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1291] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22437),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1291),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1292] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22451),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1292),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1293] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22452),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1293),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1294] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22455),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1294),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1295] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14639),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(1295),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1296] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19789),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1296),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1297] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22559),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1297),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1298] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22578),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1298),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1299] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22579),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1299),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1300] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22580),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1300),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1301] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22592),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1301),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1302] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22593),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1302),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1303] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22596),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1303),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1304] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14639),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(1304),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1305] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19869),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1305),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1306] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22708),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1306),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1307] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22741),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1307),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1308] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22742),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1308),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1309] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22744),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1309),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1310] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22773),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1310),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1311] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22774),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1311),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1312] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22776),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1312),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1313] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14639),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(1313),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1314] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19974),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1314),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1315] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22937),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1315),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1316] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22981),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1316),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1317] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22982),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1317),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1318] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22983),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1318),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1319] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23011),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1319),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1320] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23012),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1320),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1321] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23013),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1321),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1322] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14639),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(1322),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1323] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20101),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1323),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1324] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23174),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1324),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1325] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23210),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1325),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1326] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23216),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1326),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1327] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23217),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1327),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1328] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23239),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1328),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1329] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23244),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1329),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1330] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23245),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1330),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1331] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14639),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(1331),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1332] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20213),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1332),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1333] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23485),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1333),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1334] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23520),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1334),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1335] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23521),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1335),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1336] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23522),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1336),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1337] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23539),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1337),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1338] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23540),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1338),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1339] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23541),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1339),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1340] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14639),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(1340),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1341] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20364),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1341),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1342] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23710),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1342),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1343] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23742),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1343),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1344] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23745),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1344),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1345] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23746),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1345),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1346] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20727),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1346),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1347] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20944),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1347),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1348] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21465),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1348),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1349] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15103),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1349),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1350] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19812),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1350),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1351] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23262),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1351),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1352] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20766),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1352),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1353] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20821),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1353),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1354] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20823),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1354),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1355] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21248),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1355),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1356] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21286),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1356),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1357] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21289),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1357),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1358] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20049),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1358),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1359] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20802),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1359),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1360] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21121),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1360),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1361] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21142),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1361),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1362] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21161),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1362),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1363] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21435),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1363),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1364] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21445),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1364),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1365] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21446),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1365),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1366] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19340),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1366),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1367] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23180),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1367),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1368] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23658),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1368),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1369] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23664),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1369),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1370] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23665),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1370),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1371] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20431),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1371),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1372] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20449),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1372),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1373] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20450),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1373),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1374] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19452),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1374),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1375] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21163),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1375),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1376] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21343),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1376),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1377] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21354),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1377),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1378] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21361),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1378),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1379] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21479),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1379),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1380] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21485),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1380),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1381] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21491),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1381),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1382] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19930),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1382),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1383] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22262),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1383),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1384] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22655),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1384),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1385] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22660),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1385),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1386] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22675),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1386),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1387] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23107),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1387),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1388] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23116),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1388),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1389] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23120),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1389),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1390] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19694),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1390),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1391] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20416),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1391),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1392] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20499),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1392),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1393] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20500),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1393),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1394] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20501),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1394),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1395] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20565),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1395),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1396] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20567),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1396),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1397] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20568),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1397),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1398] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20282),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1398),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1399] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20912),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1399),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1400] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21041),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1400),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1401] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21054),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1401),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1402] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21061),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1402),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1403] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21108),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1403),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1404] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21109),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1404),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1405] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21112),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1405),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1406] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19224),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1406),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1407] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21523),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1407),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1408] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21615),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1408),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1409] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21626),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1409),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1410] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21632),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1410),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1411] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21708),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1411),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1412] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21721),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1412),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1413] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21728),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1413),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1414] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19829),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1414),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1415] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22114),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1415),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1416] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22180),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1416),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1417] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22181),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1417),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1418] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22186),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1418),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1419] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22212),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1419),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1420] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22213),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1420),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1421] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22221),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1421),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1422] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20148),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1422),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1423] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22864),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1423),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1424] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23161),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1424),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1425] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23163),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1425),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1426] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1426),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1427] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23232),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1427),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1428] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23234),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1428),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1429] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23235),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1429),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1430] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19549),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1430),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1431] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(23628),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1431),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1432] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23722),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1432),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1433] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23726),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1433),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1434] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23727),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1434),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1435] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23750),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1435),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1436] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(23756),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1436),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1437] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22316),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1437),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1438] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20039),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1438),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1439] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20577),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1439),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1440] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20614),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1440),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1441] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20616),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1441),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1442] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20617),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1442),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1443] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20660),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1443),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1444] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20666),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1444),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1445] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20667),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1445),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1446] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20307),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1446),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1447] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(20830),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1447),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1448] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20904),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1448),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1449] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20906),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1449),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1450] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20910),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1450),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1451] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20951),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1451),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1452] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20956),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1452),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1453] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(20957),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1453),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1454] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19569),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1454),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1455] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21135),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1455),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1456] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21197),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1456),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1457] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21198),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1457),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1458] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21202),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1458),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1459] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21240),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1459),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1460] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21243),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1460),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1461] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21244),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1461),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1462] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(20313),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1462),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1463] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21453),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1463),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1464] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21505),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1464),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1465] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21510),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1465),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1466] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21512),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1466),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1467] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21538),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1467),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1468] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21539),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1468),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1469] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21540),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1469),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1470] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(21739),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1470),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1471] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21802),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1471),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1472] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21803),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1472),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1473] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21804),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1473),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1474] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21833),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1474),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1475] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21834),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1475),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1476] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(21835),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1476),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1477] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22044),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1477),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1478] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22098),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1478),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1479] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22100),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1479),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1480] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22102),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1480),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1481] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22128),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1481),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1482] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22129),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1482),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1483] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13666),
    [sym__sequence_expression] = STATE(22130),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1483),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1484] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15022),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1484),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1485] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10186),
    [sym__sequence_expression] = STATE(12229),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(1485),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1486] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23192),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1486),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1487] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23334),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1487),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1488] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23352),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1488),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1489] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19701),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1489),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1490] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19702),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1490),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1491] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19703),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1491),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1492] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15012),
    [sym__sequence_expression] = STATE(19704),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1492),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1493] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15022),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1493),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1494] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10094),
    [sym__sequence_expression] = STATE(12230),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1494),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1495] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20945),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1495),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1496] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21003),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1496),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1497] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21015),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1497),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1498] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15022),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1498),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1499] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10094),
    [sym__sequence_expression] = STATE(12228),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1499),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1500] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21381),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1500),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1501] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21432),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1501),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1502] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21434),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1502),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1503] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10094),
    [sym__sequence_expression] = STATE(12229),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1503),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1504] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21785),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1504),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1505] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21829),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1505),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1506] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21832),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1506),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1507] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10094),
    [sym__sequence_expression] = STATE(12205),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1507),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1508] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10094),
    [sym__sequence_expression] = STATE(12213),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1508),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1509] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10094),
    [sym__sequence_expression] = STATE(12059),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1509),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1510] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22101),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1510),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1511] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22138),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1511),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1512] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22140),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1512),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1513] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10094),
    [sym__sequence_expression] = STATE(12062),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1513),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1514] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10094),
    [sym__sequence_expression] = STATE(12094),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1514),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1515] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15022),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1515),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1516] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22298),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1516),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1517] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22329),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1517),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1518] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22331),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1518),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1519] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15022),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1519),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1520] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15022),
    [sym__sequence_expression] = STATE(9629),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1520),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1521] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22501),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1521),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1522] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22532),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1522),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1523] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22534),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1523),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1524] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15022),
    [sym__sequence_expression] = STATE(9632),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1524),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1525] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10154),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1525),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1526] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22696),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1526),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1527] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22736),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1527),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1528] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22738),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1528),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1529] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10154),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1529),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1530] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10154),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1530),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1531] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10154),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1531),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1532] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22918),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1532),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1533] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22951),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1533),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1534] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(22953),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1534),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1535] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10154),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1535),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1536] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10154),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1536),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1537] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10154),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1537),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1538] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23119),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1538),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1539] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23145),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1539),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1540] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23147),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1540),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1541] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10154),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1541),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1542] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23308),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1542),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1543] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23346),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1543),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1544] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23351),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1544),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1545] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15022),
    [sym__sequence_expression] = STATE(9403),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10537),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1545),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1546] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10597),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(1546),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1547] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23494),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1547),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1548] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23523),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1548),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1549] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23526),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1549),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1550] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15406),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(1550),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1551] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10325),
    [sym__sequence_expression] = STATE(12230),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(1551),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1552] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23696),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1552),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1553] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23716),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1553),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1554] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(23718),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1554),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1555] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10597),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(1555),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1556] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10325),
    [sym__sequence_expression] = STATE(12228),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(1556),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1557] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20430),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1557),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1558] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20445),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1558),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1559] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20447),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1559),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1560] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10325),
    [sym__sequence_expression] = STATE(12229),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(1560),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1561] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20494),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1561),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1562] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20509),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1562),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1563] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20511),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1563),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1564] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10325),
    [sym__sequence_expression] = STATE(12205),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(1564),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1565] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10325),
    [sym__sequence_expression] = STATE(12213),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(1565),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1566] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10325),
    [sym__sequence_expression] = STATE(12059),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(1566),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1567] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20558),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1567),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1568] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20572),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1568),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1569] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20574),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1569),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1570] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10325),
    [sym__sequence_expression] = STATE(12062),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(1570),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1571] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10325),
    [sym__sequence_expression] = STATE(12094),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(1571),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1572] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10597),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(1572),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1573] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20621),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1573),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1574] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20635),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1574),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1575] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20637),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1575),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1576] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10597),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(1576),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1577] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10597),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(1577),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1578] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20679),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1578),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1579] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20691),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1579),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1580] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20692),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1580),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1581] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10597),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(1581),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1582] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20734),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1582),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1583] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20746),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1583),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1584] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20747),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1584),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1585] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10014),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1585),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1586] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20788),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1586),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1587] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20800),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1587),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1588] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20801),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1588),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1589] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10014),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1589),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1590] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10014),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1590),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1591] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20843),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1591),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1592] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20855),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1592),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1593] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20856),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1593),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1594] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10014),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1594),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1595] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10014),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1595),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1596] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20898),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1596),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1597] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20907),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1597),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1598] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20413),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1598),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1599] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10014),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1599),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1600] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10014),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1600),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1601] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20940),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1601),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1602] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20949),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1602),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1603] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20950),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1603),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1604] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10014),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1604),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1605] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10597),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(1605),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1606] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20981),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1606),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1607] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20990),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1607),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1608] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(20991),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1608),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1609] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21022),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1609),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1610] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21031),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1610),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1611] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21032),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1611),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1612] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10597),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(1612),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1613] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10565),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(1613),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1614] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21063),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1614),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1615] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21072),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1615),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1616] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21073),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1616),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1617] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11789),
    [sym__sequence_expression] = STATE(15512),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(1617),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1618] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10336),
    [sym__sequence_expression] = STATE(12230),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(1618),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1619] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21104),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1619),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1620] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21113),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1620),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1621] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21114),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1621),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1622] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21145),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1622),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1623] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21154),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1623),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1624] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21155),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1624),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1625] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10565),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(1625),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1626] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10336),
    [sym__sequence_expression] = STATE(12228),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(1626),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1627] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21186),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1627),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1628] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21195),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1628),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1629] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21196),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1629),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1630] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10336),
    [sym__sequence_expression] = STATE(12229),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(1630),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1631] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21227),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1631),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1632] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21236),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1632),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1633] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21237),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1633),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1634] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10336),
    [sym__sequence_expression] = STATE(12205),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(1634),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1635] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21268),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1635),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1636] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21277),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1636),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1637] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21278),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1637),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1638] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10336),
    [sym__sequence_expression] = STATE(12213),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(1638),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1639] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10336),
    [sym__sequence_expression] = STATE(12059),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(1639),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1640] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21309),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1640),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1641] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21318),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1641),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1642] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21319),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1642),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1643] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10336),
    [sym__sequence_expression] = STATE(12062),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(1643),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1644] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10336),
    [sym__sequence_expression] = STATE(12094),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(1644),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1645] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21349),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1645),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1646] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21358),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1646),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1647] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21359),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1647),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1648] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10565),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(1648),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1649] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10565),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(1649),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1650] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21389),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1650),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1651] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21398),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1651),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1652] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21399),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1652),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1653] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10565),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(1653),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1654] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21428),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1654),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1655] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21437),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1655),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1656] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21438),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1656),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1657] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10389),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(1657),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1658] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21467),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1658),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1659] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21476),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1659),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1660] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21477),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1660),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1661] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10389),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(1661),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1662] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10389),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(1662),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1663] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21506),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1663),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1664] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21515),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1664),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1665] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21516),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1665),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1666] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10389),
    [sym__sequence_expression] = STATE(9653),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(1666),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1667] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10389),
    [sym__sequence_expression] = STATE(9744),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(1667),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1668] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21545),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1668),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1669] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21554),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1669),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1670] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21555),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1670),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1671] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10389),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(1671),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1672] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10389),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(1672),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1673] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21583),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1673),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1674] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21592),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1674),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1675] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21593),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1675),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1676] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10389),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(1676),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1677] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10565),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(1677),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1678] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21621),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1678),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1679] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21630),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1679),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1680] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21631),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1680),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1681] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21659),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1681),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1682] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21668),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1682),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1683] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21669),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1683),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1684] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10565),
    [sym__sequence_expression] = STATE(9544),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(1684),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1685] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10565),
    [sym__sequence_expression] = STATE(9565),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(1685),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1686] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21697),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1686),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1687] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21706),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1687),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1688] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21707),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1688),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1689] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11973),
    [sym__sequence_expression] = STATE(9452),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(1689),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1690] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21735),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1690),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1691] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21744),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1691),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1692] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21745),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1692),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1693] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10598),
    [sym__sequence_expression] = STATE(9542),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(1693),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1694] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21773),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1694),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1695] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21782),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1695),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1696] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21783),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1696),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1697] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21811),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1697),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1698] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21820),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1698),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1699] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21821),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1699),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1700] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11973),
    [sym__sequence_expression] = STATE(9497),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(1700),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1701] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11973),
    [sym__sequence_expression] = STATE(9507),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(1701),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1702] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21849),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1702),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1703] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21858),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1703),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1704] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21859),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1704),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1705] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11973),
    [sym__sequence_expression] = STATE(9508),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(1705),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1706] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11973),
    [sym__sequence_expression] = STATE(9562),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9764),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(1706),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1707] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21887),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1707),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1708] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21896),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1708),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1709] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21897),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1709),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1710] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(9619),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1710),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1711] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21924),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1711),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1712] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21933),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1712),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1713] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21934),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1713),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1714] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(9644),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1714),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1715] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10015),
    [sym__sequence_expression] = STATE(9645),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1715),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1716] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21961),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1716),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1717] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21970),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1717),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1718] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15032),
    [sym__sequence_expression] = STATE(21971),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1718),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1719] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14631),
    [sym__sequence_expression] = STATE(19642),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(1719),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1720] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14631),
    [sym__sequence_expression] = STATE(19662),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(1720),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1721] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14631),
    [sym__sequence_expression] = STATE(19734),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(1721),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1722] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14631),
    [sym__sequence_expression] = STATE(19740),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8821),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(1722),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1723] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14985),
    [sym__sequence_expression] = STATE(22574),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6398),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1723),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1724] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1724),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3745),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1725] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1725),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3747),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1726] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1726),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3749),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1727] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14729),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1727),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3751),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1728] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14578),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1728),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3753),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1729] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14580),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1729),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3755),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1730] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14628),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1730),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3757),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1731] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14704),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1731),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3759),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1732] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14662),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1732),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3761),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1733] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1733),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3763),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1734] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1734),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3765),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1735] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10049),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8880),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(1735),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1736] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14747),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1736),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3767),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1737] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1737),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3769),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1738] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1738),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3771),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1739] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14358),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(1739),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1740] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1740),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3773),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1741] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14593),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1741),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3775),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1742] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14594),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1742),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3777),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1743] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14754),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(1743),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1744] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14576),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1744),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3779),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1745] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1745),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3781),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1746] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1746),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3783),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1747] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1747),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3785),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1748] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1748),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3787),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1749] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1749),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3789),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1750] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1750),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3791),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1751] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14362),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(1751),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1752] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(13334),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1752),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1753] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14603),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1753),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3793),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1754] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14653),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1754),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3795),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1755] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14604),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1755),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3797),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1756] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14718),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1756),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3799),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1757] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10600),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(1757),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1758] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14722),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1758),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3801),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1759] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1759),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3803),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1760] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1760),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3805),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1761] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1761),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3807),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1762] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1762),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3809),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1763] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1763),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3811),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1764] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14393),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(1764),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1765] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1765),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3813),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1766] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14615),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1766),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3815),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1767] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14618),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1767),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3817),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1768] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14820),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1768),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3819),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1769] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1769),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3821),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1770] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1770),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3823),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1771] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1771),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3825),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1772] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1772),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3827),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1773] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1773),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3829),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1774] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1774),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3831),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1775] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1775),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3833),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1776] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1776),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3835),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1777] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10158),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(1777),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1778] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1778),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3837),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1779] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14638),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1779),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3839),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1780] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14641),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1780),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3841),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1781] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14824),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1781),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3843),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1782] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1782),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1783] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1783),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3847),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1784] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1784),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3849),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1785] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1785),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3851),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1786] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1786),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3853),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1787] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10304),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(1787),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1788] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1788),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3855),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1789] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1789),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3857),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1790] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9858),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8880),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(1790),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1791] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1791),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3859),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1792] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14663),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1792),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3861),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1793] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14664),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1793),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3863),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1794] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12838),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1794),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1795] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14634),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1795),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3865),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1796] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14579),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1796),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3867),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1797] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1797),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3869),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1798] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1798),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3871),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1799] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1799),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3873),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1800] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1800),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3875),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1801] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1801),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3877),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1802] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10171),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(1802),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1803] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1803),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3879),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1804] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14680),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1804),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3881),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1805] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14682),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1805),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3883),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1806] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14932),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1806),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3885),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1807] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14948),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1807),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3887),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1808] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1808),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3889),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1809] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1809),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3891),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1810] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1810),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3893),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1811] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15030),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(1811),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1812] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1812),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3895),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1813] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1813),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3897),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1814] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11270),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(1814),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1815] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1815),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3899),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1816] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14690),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1816),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3901),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1817] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14691),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1817),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3903),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1818] = {
    [sym__simple_expression] = STATE(4575),
    [sym_typed_expression] = STATE(4567),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_labeled_argument] = STATE(5335),
    [sym_prefix_expression] = STATE(4567),
    [sym_hash_expression] = STATE(4567),
    [sym_field_get_expression] = STATE(4567),
    [sym_array_get_expression] = STATE(4567),
    [sym_string_get_expression] = STATE(4567),
    [sym_bigarray_get_expression] = STATE(4567),
    [sym_coercion_expression] = STATE(4567),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(1818),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [aux_sym_class_application_repeat1] = STATE(2824),
    [ts_builtin_sym_end] = ACTIONS(3711),
    [sym__lowercase_identifier] = ACTIONS(3905),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(3907),
    [anon_sym_QMARK] = ACTIONS(3907),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_DOT] = ACTIONS(3909),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_POUND] = ACTIONS(3911),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(635),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(3913),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1819] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14766),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1819),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3915),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1820] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14771),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1820),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3917),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1821] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1821),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3919),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1822] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1822),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3921),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1823] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1823),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3923),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1824] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1824),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3925),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1825] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1825),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3927),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1826] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14199),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12339),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(1826),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1827] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1827),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3929),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1828] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14705),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1828),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3931),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1829] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14707),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1829),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3933),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1830] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14557),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1830),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3935),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1831] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1831),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3937),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1832] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1832),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3939),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1833] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1833),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3941),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1834] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1834),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3943),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1835] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1835),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3945),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1836] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15096),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(1836),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1837] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1837),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3947),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1838] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1838),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3949),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1839] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14102),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12339),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(1839),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1840] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1840),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3951),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1841] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14727),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1841),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3953),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1842] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1842),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3955),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1843] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14730),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1843),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3957),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1844] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1844),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3959),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1845] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1845),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3961),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1846] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1846),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3963),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1847] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1847),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3965),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1848] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1848),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3967),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1849] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1849),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3969),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1850] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1850),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3971),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1851] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13536),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12339),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(1851),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1852] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1852),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3973),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1853] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1853),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3975),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1854] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1854),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3977),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1855] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1855),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3979),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1856] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1856),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3981),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1857] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13863),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(1857),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1858] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1858),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3983),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1859] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14741),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1859),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3985),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1860] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14743),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1860),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3987),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1861] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1861),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3989),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1862] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10394),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(1862),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1863] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1863),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3991),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1864] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1864),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3993),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1865] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1865),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3995),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1866] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14978),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1866),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1867] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1867),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3997),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1868] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1868),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3999),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1869] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10018),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(1869),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1870] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1870),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4001),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1871] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15059),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1871),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1872] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14751),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1872),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4003),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1873] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14753),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1873),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4005),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1874] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14811),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(1874),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1875] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14417),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(1875),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1876] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1876),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4007),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1877] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10258),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(1877),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1878] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1878),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4009),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1879] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1879),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4011),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1880] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12326),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(1880),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1881] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1881),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4013),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1882] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1882),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4015),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1883] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9828),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8880),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(1883),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1884] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14818),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1884),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4017),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1885] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14767),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1885),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4019),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1886] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14769),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1886),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4021),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1887] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14827),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1887),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4023),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1888] = {
    [sym__simple_expression] = STATE(4115),
    [sym_typed_expression] = STATE(4132),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_labeled_argument] = STATE(5335),
    [sym_prefix_expression] = STATE(4132),
    [sym_hash_expression] = STATE(4132),
    [sym_field_get_expression] = STATE(4132),
    [sym_array_get_expression] = STATE(4132),
    [sym_string_get_expression] = STATE(4132),
    [sym_bigarray_get_expression] = STATE(4132),
    [sym_coercion_expression] = STATE(4132),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(1888),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [aux_sym_class_application_repeat1] = STATE(2832),
    [sym__lowercase_identifier] = ACTIONS(4025),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4027),
    [anon_sym_QMARK] = ACTIONS(4027),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_DOT] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_POUND] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(737),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(739),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4033),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1889] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1889),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4035),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1890] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1890),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4037),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1891] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1891),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4039),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1892] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15000),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(1892),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1893] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1893),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4041),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1894] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1894),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4043),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1895] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1895),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1896] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14744),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1896),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4047),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1897] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13200),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12339),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(1897),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1898] = {
    [sym__simple_expression] = STATE(4139),
    [sym_typed_expression] = STATE(4170),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_labeled_argument] = STATE(5801),
    [sym_prefix_expression] = STATE(4170),
    [sym_hash_expression] = STATE(4170),
    [sym_field_get_expression] = STATE(4170),
    [sym_array_get_expression] = STATE(4170),
    [sym_string_get_expression] = STATE(4170),
    [sym_bigarray_get_expression] = STATE(4170),
    [sym_coercion_expression] = STATE(4170),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(1898),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [aux_sym_class_application_repeat1] = STATE(2827),
    [sym__lowercase_identifier] = ACTIONS(4049),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4051),
    [anon_sym_QMARK] = ACTIONS(4051),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(4053),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_end] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_POUND] = ACTIONS(4055),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(685),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(687),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4057),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1899] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14782),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1899),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4059),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1900] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14749),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1900),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4061),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1901] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14783),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1901),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4063),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1902] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1902),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4065),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1903] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1903),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4067),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1904] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10644),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(1904),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1905] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1905),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4069),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1906] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1906),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4071),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1907] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10625),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(1907),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1908] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1908),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4073),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1909] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1909),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4075),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1910] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1910),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4077),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1911] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9832),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8880),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(1911),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1912] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1912),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4079),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1913] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1913),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4081),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1914] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14791),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1914),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4083),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1915] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14794),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1915),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4085),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1916] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1916),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4087),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1917] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1917),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4089),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1918] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12265),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(1918),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1919] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1919),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4091),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1920] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1920),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4093),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1921] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1921),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4095),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1922] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1922),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4097),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1923] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(15154),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8880),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(1923),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1924] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1924),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4099),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1925] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1925),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4101),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1926] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(10020),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(1926),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1927] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11839),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(1927),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1928] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15010),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(22784),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1928),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1929] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14808),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1929),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1930] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14809),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1930),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4105),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1931] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1931),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4107),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1932] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14659),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1932),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4109),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1933] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1933),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4111),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1934] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1934),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4113),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1935] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1935),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4115),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1936] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10013),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8880),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(1936),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1937] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14988),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(1937),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1938] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1938),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4117),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1939] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1939),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4119),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1940] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(10022),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(1940),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1941] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10672),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(1941),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1942] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14871),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(8880),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(1942),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1943] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14828),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1943),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4121),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1944] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14830),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1944),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4123),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1945] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14752),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1945),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4125),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1946] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(10123),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8880),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(1946),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1947] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14776),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1947),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4127),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1948] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1948),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4129),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1949] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1949),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4131),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1950] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1950),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4133),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1951] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14886),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1951),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1952] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1952),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4137),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1953] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1953),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4139),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1954] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14892),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1954),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4141),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1955] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14840),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1955),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4143),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1956] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14841),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1956),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4145),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1957] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14889),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1957),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4147),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1958] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14895),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1958),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4149),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1959] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1959),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1960] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1960),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4153),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1961] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1961),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4155),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1962] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1962),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4157),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1963] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1963),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4159),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1964] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1964),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4161),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1965] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11930),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(1965),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1966] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14854),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1966),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4163),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1967] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14856),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1967),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4165),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1968] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1968),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4167),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1969] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1969),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4169),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1970] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1970),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4171),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1971] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14624),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1971),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4173),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1972] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14681),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1972),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4175),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1973] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1973),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4177),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1974] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1974),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4179),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1975] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1975),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4181),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1976] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1976),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4183),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1977] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12658),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(1977),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1978] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1978),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4185),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1979] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1979),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4187),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1980] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14861),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1980),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4189),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1981] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14862),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1981),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4191),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1982] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9969),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8880),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(1982),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1983] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1983),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4193),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1984] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14768),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1984),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4195),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1985] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1985),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1986] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1986),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4199),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1987] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1987),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4201),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1988] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1988),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4203),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1989] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14872),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(1989),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1990] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1990),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4205),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1991] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1991),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4207),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1992] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14736),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1992),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4209),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1993] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14873),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1993),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4211),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1994] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14875),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1994),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4213),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1995] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1995),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4215),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1996] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1996),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4217),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1997] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1997),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4219),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1998] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14737),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1998),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4221),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1999] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(1999),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4223),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2000] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2000),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4225),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2001] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2001),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4227),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2002] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2002),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4229),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2003] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2003),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4231),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2004] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2004),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4233),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2005] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2005),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4235),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2006] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14887),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2006),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4237),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2007] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14890),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2007),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4239),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2008] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14519),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2008),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4241),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2009] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14521),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2009),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4243),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2010] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14093),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2010),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2011] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2011),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4245),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2012] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2012),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4247),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2013] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2013),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4249),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2014] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2014),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4251),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2015] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2015),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4253),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2016] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10496),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2016),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2017] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14903),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2017),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4255),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2018] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14904),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2018),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4257),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2019] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2019),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4259),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2020] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2020),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4261),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2021] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15068),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2021),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2022] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10742),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2022),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2023] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2023),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4263),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2024] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2024),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4265),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2025] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14551),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2025),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4267),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2026] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(10025),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8880),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2026),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2027] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2027),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4269),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2028] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2028),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4271),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2029] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2029),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4273),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2030] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2030),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4275),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2031] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10322),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2031),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2032] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14605),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2032),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4277),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2033] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14619),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2033),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4279),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2034] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14556),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2034),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4281),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2035] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14697),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2035),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2036] = {
    [sym__simple_expression] = STATE(4394),
    [sym_typed_expression] = STATE(4403),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_labeled_argument] = STATE(5229),
    [sym_prefix_expression] = STATE(4403),
    [sym_hash_expression] = STATE(4403),
    [sym_field_get_expression] = STATE(4403),
    [sym_array_get_expression] = STATE(4403),
    [sym_string_get_expression] = STATE(4403),
    [sym_bigarray_get_expression] = STATE(4403),
    [sym_coercion_expression] = STATE(4403),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2036),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [aux_sym_class_application_repeat1] = STATE(2830),
    [sym__lowercase_identifier] = ACTIONS(4283),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4285),
    [anon_sym_QMARK] = ACTIONS(4285),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_DOT] = ACTIONS(4287),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_in] = ACTIONS(3715),
    [anon_sym_POUND] = ACTIONS(4289),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(853),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(855),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4291),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2037] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2037),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4293),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2038] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2038),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4295),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2039] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2039),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4297),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2040] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2040),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4299),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2041] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2041),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4301),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2042] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2042),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2043] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2043),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4305),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2044] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2044),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4307),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2045] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2045),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4309),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2046] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2046),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4311),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2047] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14545),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2047),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4313),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2048] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14546),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2048),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4315),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2049] = {
    [sym__simple_expression] = STATE(4465),
    [sym_typed_expression] = STATE(4456),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_labeled_argument] = STATE(5451),
    [sym_prefix_expression] = STATE(4456),
    [sym_hash_expression] = STATE(4456),
    [sym_field_get_expression] = STATE(4456),
    [sym_array_get_expression] = STATE(4456),
    [sym_string_get_expression] = STATE(4456),
    [sym_bigarray_get_expression] = STATE(4456),
    [sym_coercion_expression] = STATE(4456),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2049),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [aux_sym_class_application_repeat1] = STATE(2836),
    [sym__lowercase_identifier] = ACTIONS(4317),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4319),
    [anon_sym_QMARK] = ACTIONS(4319),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_DOT] = ACTIONS(4321),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_end] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(3715),
    [anon_sym_POUND] = ACTIONS(4323),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(905),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(907),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4325),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2050] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10051),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2050),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2051] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14570),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2051),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4327),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2052] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14598),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2052),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4329),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2053] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14775),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2053),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4331),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2054] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2054),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4333),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2055] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14552),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2055),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2056] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10660),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2056),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2057] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14666),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2057),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2058] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15124),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2058),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2059] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14710),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2059),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2060] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2060),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4335),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2061] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14934),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2061),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2062] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2062),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4337),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2063] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2063),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2064] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14533),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2064),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2065] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11724),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2065),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2066] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2066),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4341),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2067] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14007),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(10583),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2067),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2068] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2068),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4343),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2069] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2069),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4345),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2070] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11585),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2070),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2071] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2071),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4347),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2072] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2072),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4349),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2073] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2073),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4351),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2074] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2074),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4353),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2075] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14389),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12339),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2075),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2076] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14940),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2076),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4355),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2077] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14946),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2077),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4357),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2078] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14581),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2078),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4359),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2079] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14553),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2079),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4361),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2080] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14589),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2080),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4363),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2081] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14637),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2081),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4365),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2082] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14640),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2082),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4367),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2083] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14563),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2083),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4369),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2084] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14564),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2084),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4371),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2085] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10261),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(6395),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2085),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2086] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14599),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym__sequence_expression_anonymous] = STATE(12339),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2086),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2087] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2087),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4373),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2088] = {
    [sym__simple_expression] = STATE(4314),
    [sym_typed_expression] = STATE(4316),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_labeled_argument] = STATE(5229),
    [sym_prefix_expression] = STATE(4316),
    [sym_hash_expression] = STATE(4316),
    [sym_field_get_expression] = STATE(4316),
    [sym_array_get_expression] = STATE(4316),
    [sym_string_get_expression] = STATE(4316),
    [sym_bigarray_get_expression] = STATE(4316),
    [sym_coercion_expression] = STATE(4316),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2088),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [aux_sym_class_application_repeat1] = STATE(2828),
    [ts_builtin_sym_end] = ACTIONS(3711),
    [sym__lowercase_identifier] = ACTIONS(4375),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4377),
    [anon_sym_QMARK] = ACTIONS(4377),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_DOT] = ACTIONS(4379),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(3715),
    [anon_sym_POUND] = ACTIONS(4381),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(799),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4383),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2089] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2089),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4385),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2090] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2090),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4387),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2091] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2091),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4389),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2092] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2092),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4391),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2093] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2093),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4393),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2094] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14347),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym__sequence_expression_anonymous] = STATE(9859),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2094),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2095] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2095),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4395),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2096] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2096),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4397),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2097] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2097),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4399),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2098] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2098),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4401),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2099] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9897),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym__sequence_expression_anonymous] = STATE(8880),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2099),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2100] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2100),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4403),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2101] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(10016),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2101),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2102] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15072),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2102),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2103] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14309),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2103),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2104] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15092),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2104),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2105] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14953),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2105),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2106] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12200),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2106),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2107] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12055),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(12289),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2107),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2108] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12056),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2108),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2109] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12060),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2109),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2110] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12061),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2110),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2111] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12063),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2111),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2112] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12064),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2112),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2113] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12069),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2113),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2114] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12070),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2114),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2115] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12079),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2115),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2116] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12080),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2116),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2117] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12083),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2117),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2118] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12084),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2118),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2119] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15024),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2119),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2120] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15056),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2120),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2121] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14281),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2121),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2122] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15066),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2122),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2123] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14229),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2123),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2124] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14479),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(14529),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2124),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2125] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14482),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2125),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2126] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14500),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2126),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2127] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14165),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2127),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2128] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14170),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2128),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2129] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14171),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2129),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2130] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14186),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2130),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2131] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14189),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2131),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2132] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14197),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2132),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2133] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14198),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2133),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2134] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14211),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2134),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2135] = {
    [sym_value_definition] = STATE(21292),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14214),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(20683),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7191),
    [sym_array_get_expression] = STATE(7191),
    [sym_string_get_expression] = STATE(7191),
    [sym_bigarray_get_expression] = STATE(7191),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2135),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2123),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(20685),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(2701),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(2713),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(2717),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2719),
    [anon_sym_function] = ACTIONS(2721),
    [anon_sym_try] = ACTIONS(2723),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2745),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2136] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14327),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2136),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2137] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14325),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2137),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2138] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14377),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(14614),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2138),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2139] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14378),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2139),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2140] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14379),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2140),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2141] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14380),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2141),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2142] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14381),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2142),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2143] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14383),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2143),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2144] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14384),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2144),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2145] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14385),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2145),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2146] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14387),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2146),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2147] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15039),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2147),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2148] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14396),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2148),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2149] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14397),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2149),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2150] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9928),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2150),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2151] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14410),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2151),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2152] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14446),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(14671),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2152),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2153] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14447),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2153),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2154] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14450),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2154),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2155] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14451),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2155),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2156] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14452),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2156),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2157] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14458),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2157),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2158] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14459),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2158),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2159] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14460),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2159),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2160] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14468),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2160),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2161] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14469),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2161),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2162] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14473),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2162),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2163] = {
    [sym_value_definition] = STATE(22418),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14474),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21844),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7194),
    [sym_array_get_expression] = STATE(7194),
    [sym_string_get_expression] = STATE(7194),
    [sym_bigarray_get_expression] = STATE(7194),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2163),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2151),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21846),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(2817),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2823),
    [anon_sym_function] = ACTIONS(2825),
    [anon_sym_try] = ACTIONS(2827),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2849),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2164] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9873),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2164),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2165] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9929),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2165),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2166] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9952),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(10044),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2166),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(4407),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2167] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9953),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2167),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2168] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9954),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2168),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2169] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9955),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2169),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2170] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9956),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2170),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2171] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9957),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2171),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2172] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(10024),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2172),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2173] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9959),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2173),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2174] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9960),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2174),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2175] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9961),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2175),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2176] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9962),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2176),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2177] = {
    [sym_value_definition] = STATE(23378),
    [sym__simple_expression] = STATE(1818),
    [sym__expression] = STATE(9964),
    [sym_typed_expression] = STATE(4567),
    [sym_labeled_tuple_element] = STATE(22335),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4567),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4567),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3916),
    [sym_array_get_expression] = STATE(3916),
    [sym_string_get_expression] = STATE(3916),
    [sym_bigarray_get_expression] = STATE(3916),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4567),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2177),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym_sign_operator] = STATE(2165),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__instance_variable_name] = STATE(22338),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [sym__lowercase_identifier] = ACTIONS(599),
    [anon_sym_let] = ACTIONS(601),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_fun] = ACTIONS(613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_if] = ACTIONS(617),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(619),
    [anon_sym_function] = ACTIONS(621),
    [anon_sym_try] = ACTIONS(623),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3575),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(645),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2178] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9793),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2178),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2179] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9875),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2179),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2180] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9846),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(9965),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2180),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2181] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9863),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2181),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2182] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9865),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2182),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2183] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9867),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2183),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2184] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9748),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2184),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2185] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9753),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2185),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2186] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9757),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2186),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2187] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9758),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2187),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2188] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9759),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2188),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2189] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9761),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2189),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2190] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9816),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2190),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2191] = {
    [sym_value_definition] = STATE(20478),
    [sym__simple_expression] = STATE(826),
    [sym__expression] = STATE(9841),
    [sym_typed_expression] = STATE(3844),
    [sym_labeled_tuple_element] = STATE(23310),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3844),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3844),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3670),
    [sym_array_get_expression] = STATE(3670),
    [sym_string_get_expression] = STATE(3670),
    [sym_bigarray_get_expression] = STATE(3670),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3844),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2191),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__instance_variable_name] = STATE(23314),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [sym__lowercase_identifier] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(363),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_fun] = ACTIONS(377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_if] = ACTIONS(381),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(383),
    [anon_sym_function] = ACTIONS(385),
    [anon_sym_try] = ACTIONS(387),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(413),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2192] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11238),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2192),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2193] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9794),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2193),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2194] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9762),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(9968),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2194),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2195] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9767),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2195),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2196] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9773),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2196),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2197] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9777),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2197),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2198] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9779),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2198),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2199] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9780),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2199),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2200] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9784),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2200),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2201] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9785),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2201),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2202] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9789),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2202),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2203] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9790),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2203),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2204] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9791),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2204),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2205] = {
    [sym_value_definition] = STATE(20743),
    [sym__simple_expression] = STATE(828),
    [sym__expression] = STATE(9796),
    [sym_typed_expression] = STATE(3911),
    [sym_labeled_tuple_element] = STATE(20459),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(3911),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(3911),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3723),
    [sym_array_get_expression] = STATE(3723),
    [sym_string_get_expression] = STATE(3723),
    [sym_bigarray_get_expression] = STATE(3723),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(3911),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2205),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym_sign_operator] = STATE(2193),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__instance_variable_name] = STATE(20461),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [sym__lowercase_identifier] = ACTIONS(471),
    [anon_sym_let] = ACTIONS(473),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_fun] = ACTIONS(485),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_if] = ACTIONS(489),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(491),
    [anon_sym_function] = ACTIONS(493),
    [anon_sym_try] = ACTIONS(495),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(517),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2206] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9938),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2206),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2207] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11212),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2207),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2208] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11284),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(11458),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2208),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2209] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11285),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2209),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2210] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11287),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2210),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2211] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11288),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2211),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2212] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11290),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2212),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2213] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11293),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2213),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2214] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11294),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2214),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2215] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11295),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2215),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2216] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11302),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2216),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2217] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11304),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2217),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2218] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11307),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2218),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2219] = {
    [sym_value_definition] = STATE(21035),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11310),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(20711),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(5970),
    [sym_array_get_expression] = STATE(5970),
    [sym_string_get_expression] = STATE(5970),
    [sym_bigarray_get_expression] = STATE(5970),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2219),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2207),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(20715),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1243),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1255),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1259),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1265),
    [anon_sym_function] = ACTIONS(1267),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1295),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2220] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9944),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2220),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2221] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9939),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2221),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2222] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9970),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(10078),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2222),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2223] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9971),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2223),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2224] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9972),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2224),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2225] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9973),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2225),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2226] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9974),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2226),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2227] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9975),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2227),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2228] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9976),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2228),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2229] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9977),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2229),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2230] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9978),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2230),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2231] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9979),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2231),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2232] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9980),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2232),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2233] = {
    [sym_value_definition] = STATE(21331),
    [sym__simple_expression] = STATE(1888),
    [sym__expression] = STATE(9982),
    [sym_typed_expression] = STATE(4132),
    [sym_labeled_tuple_element] = STATE(21018),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4132),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4132),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3947),
    [sym_array_get_expression] = STATE(3947),
    [sym_string_get_expression] = STATE(3947),
    [sym_bigarray_get_expression] = STATE(3947),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4132),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2233),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym_sign_operator] = STATE(2221),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__instance_variable_name] = STATE(21019),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [sym__lowercase_identifier] = ACTIONS(703),
    [anon_sym_let] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_fun] = ACTIONS(717),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(723),
    [anon_sym_function] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3529),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(749),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2234] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9947),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2234),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2235] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9983),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(10101),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2235),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2236] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9984),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2236),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2237] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9985),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2237),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2238] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9986),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2238),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2239] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9987),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2239),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2240] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9988),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2240),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2241] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9989),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2241),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2242] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9990),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2242),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2243] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9991),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2243),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2244] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9992),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2244),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2245] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9993),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2245),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2246] = {
    [sym_value_definition] = STATE(21628),
    [sym__simple_expression] = STATE(1898),
    [sym__expression] = STATE(9995),
    [sym_typed_expression] = STATE(4170),
    [sym_labeled_tuple_element] = STATE(21293),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4079),
    [sym_array_get_expression] = STATE(4079),
    [sym_string_get_expression] = STATE(4079),
    [sym_bigarray_get_expression] = STATE(4079),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2246),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym_sign_operator] = STATE(2234),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__instance_variable_name] = STATE(21300),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [sym__lowercase_identifier] = ACTIONS(651),
    [anon_sym_let] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_fun] = ACTIONS(665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(671),
    [anon_sym_function] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3541),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(697),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2247] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15184),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2247),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2248] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15035),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2248),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2249] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12348),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2249),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2250] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15185),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(15218),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2250),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2251] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15067),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2251),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2252] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15169),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2252),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2253] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14975),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2253),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2254] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14993),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2254),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2255] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15028),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2255),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2256] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15036),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2256),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2257] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15050),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2257),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2258] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15054),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2258),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2259] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15060),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2259),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2260] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(15061),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2260),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2261] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15086),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2261),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2262] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14423),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2262),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2263] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14668),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2263),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2264] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14698),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(15065),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2264),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2265] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14706),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2265),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2266] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14709),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2266),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2267] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14711),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2267),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2268] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14712),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2268),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2269] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14713),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2269),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2270] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14714),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2270),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2271] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14715),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2271),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2272] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14717),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2272),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2273] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14724),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2273),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2274] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14725),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2274),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2275] = {
    [sym_value_definition] = STATE(21940),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14968),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20758),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8650),
    [sym_array_get_expression] = STATE(8650),
    [sym_string_get_expression] = STATE(8650),
    [sym_bigarray_get_expression] = STATE(8650),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2275),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2248),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20762),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3355),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3361),
    [anon_sym_function] = ACTIONS(3363),
    [anon_sym_try] = ACTIONS(3365),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3367),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2276] = {
    [sym_value_definition] = STATE(22366),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(14734),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(22322),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8085),
    [sym_array_get_expression] = STATE(8085),
    [sym_string_get_expression] = STATE(8085),
    [sym_bigarray_get_expression] = STATE(8085),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2276),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2263),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(22323),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3253),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3265),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3271),
    [anon_sym_function] = ACTIONS(3273),
    [anon_sym_try] = ACTIONS(3275),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3297),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2277] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14910),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2277),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2278] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14990),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2278),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2279] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14792),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(15013),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2279),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2280] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14797),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2280),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2281] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14798),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2281),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2282] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14803),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2282),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2283] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14805),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2283),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2284] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14806),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2284),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2285] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14807),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2285),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2286] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14810),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2286),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2287] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14812),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2287),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2288] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14814),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2288),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2289] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14833),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2289),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2290] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15112),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(15196),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2290),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2291] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15129),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2291),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2292] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15132),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2292),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2293] = {
    [sym_value_definition] = STATE(23464),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14843),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(23448),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8087),
    [sym_array_get_expression] = STATE(8087),
    [sym_string_get_expression] = STATE(8087),
    [sym_bigarray_get_expression] = STATE(8087),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2293),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2277),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(23449),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3187),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3199),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3203),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3205),
    [anon_sym_function] = ACTIONS(3207),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3231),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2294] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15133),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2294),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2295] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15134),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2295),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2296] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14874),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2296),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2297] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15139),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2297),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2298] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14898),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(15135),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2298),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2299] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14925),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2299),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2300] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14931),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2300),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2301] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14572),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2301),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2302] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14883),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2302),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2303] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14676),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2303),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2304] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14600),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2304),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2305] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14616),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2305),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2306] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14621),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2306),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2307] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14623),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2307),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2308] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14684),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2308),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2309] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15149),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2309),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2310] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15155),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2310),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2311] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15156),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2311),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2312] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15159),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2312),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2313] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15161),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2313),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2314] = {
    [sym_value_definition] = STATE(20851),
    [sym__simple_expression] = STATE(2926),
    [sym__expression] = STATE(14531),
    [sym_typed_expression] = STATE(8155),
    [sym_labeled_tuple_element] = STATE(20833),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8155),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8155),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8088),
    [sym_array_get_expression] = STATE(8088),
    [sym_string_get_expression] = STATE(8088),
    [sym_bigarray_get_expression] = STATE(8088),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8155),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2314),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym_sign_operator] = STATE(2296),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__instance_variable_name] = STATE(20834),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [sym__lowercase_identifier] = ACTIONS(3025),
    [anon_sym_let] = ACTIONS(3027),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_fun] = ACTIONS(3039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_if] = ACTIONS(3043),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3045),
    [anon_sym_function] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3049),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3071),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2315] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14677),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2315),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2316] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14912),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(15146),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2316),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2317] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14548),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2317),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2318] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14607),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2318),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2319] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14642),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2319),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2320] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14654),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2320),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2321] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14655),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2321),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2322] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14656),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2322),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2323] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14658),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2323),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2324] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14701),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2324),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2325] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14723),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2325),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2326] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14728),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2326),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2327] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10495),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2327),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2328] = {
    [sym_value_definition] = STATE(20796),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(15143),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(22782),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8448),
    [sym_array_get_expression] = STATE(8448),
    [sym_string_get_expression] = STATE(8448),
    [sym_bigarray_get_expression] = STATE(8448),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2328),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2278),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(22786),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3383),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3385),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3387),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3389),
    [anon_sym_function] = ACTIONS(3391),
    [anon_sym_try] = ACTIONS(3393),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3395),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2329] = {
    [sym_value_definition] = STATE(21462),
    [sym__simple_expression] = STATE(2919),
    [sym__expression] = STATE(14750),
    [sym_typed_expression] = STATE(8609),
    [sym_labeled_tuple_element] = STATE(21441),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8609),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8609),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(8089),
    [sym_array_get_expression] = STATE(8089),
    [sym_string_get_expression] = STATE(8089),
    [sym_bigarray_get_expression] = STATE(8089),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8609),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2329),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym_sign_operator] = STATE(2315),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__instance_variable_name] = STATE(21442),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [sym__lowercase_identifier] = ACTIONS(3303),
    [anon_sym_let] = ACTIONS(3305),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_fun] = ACTIONS(3317),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_if] = ACTIONS(3321),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(3323),
    [anon_sym_function] = ACTIONS(3325),
    [anon_sym_try] = ACTIONS(3327),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3349),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2330] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11488),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2330),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2331] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10547),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2331),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2332] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11562),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(11870),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2332),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2333] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11564),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2333),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2334] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11565),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2334),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2335] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11566),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2335),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2336] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11570),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2336),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2337] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11571),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2337),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2338] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11572),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2338),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2339] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11576),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2339),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2340] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11577),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2340),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2341] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11578),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2341),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2342] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11581),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2342),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2343] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10581),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(10703),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2343),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2344] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10656),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2344),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2345] = {
    [sym_value_definition] = STATE(23086),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11604),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23066),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6124),
    [sym_array_get_expression] = STATE(6124),
    [sym_string_get_expression] = STATE(6124),
    [sym_bigarray_get_expression] = STATE(6124),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2345),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2330),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23067),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1303),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1315),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1319),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1321),
    [anon_sym_function] = ACTIONS(1323),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1347),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2346] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10584),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2346),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2347] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10585),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2347),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2348] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10586),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2348),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2349] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10587),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2349),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2350] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10589),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2350),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2351] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10590),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2351),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2352] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10591),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2352),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2353] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10592),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2353),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2354] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10593),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2354),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2355] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14879),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2355),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2356] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14755),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(14964),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2356),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2357] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14756),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2357),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2358] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14757),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2358),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2359] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14758),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2359),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2360] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14760),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2360),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2361] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14762),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2361),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2362] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14770),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2362),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2363] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14774),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2363),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2364] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14778),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2364),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2365] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14780),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2365),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2366] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14784),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2366),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2367] = {
    [sym_value_definition] = STATE(22386),
    [sym__simple_expression] = STATE(2831),
    [sym__expression] = STATE(10629),
    [sym_typed_expression] = STATE(5528),
    [sym_labeled_tuple_element] = STATE(21125),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5528),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5528),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5090),
    [sym_array_get_expression] = STATE(5090),
    [sym_string_get_expression] = STATE(5090),
    [sym_bigarray_get_expression] = STATE(5090),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5528),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2367),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym_sign_operator] = STATE(2331),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__instance_variable_name] = STATE(21127),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [sym__lowercase_identifier] = ACTIONS(103),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_fun] = ACTIONS(125),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_if] = ACTIONS(129),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(133),
    [anon_sym_try] = ACTIONS(135),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3535),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3537),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(163),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2368] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14796),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2368),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2369] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10512),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2369),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2370] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14319),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2370),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2371] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14187),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(14896),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2371),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2372] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14195),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2372),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2373] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14201),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2373),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2374] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14202),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2374),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2375] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14216),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2375),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2376] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14218),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2376),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2377] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14228),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2377),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2378] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14230),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2378),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2379] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14232),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2379),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2380] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14233),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2380),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2381] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14234),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2381),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2382] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10531),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(10697),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2382),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2383] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10503),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2383),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2384] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10568),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2384),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2385] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10570),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2385),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2386] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10517),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2386),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2387] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14245),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2387),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2388] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10521),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2388),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2389] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10543),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2389),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2390] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10616),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2390),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2391] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10643),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2391),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2392] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10645),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2392),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2393] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10524),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2393),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2394] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15111),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2394),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2395] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12893),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2395),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2396] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14508),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2396),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2397] = {
    [sym_value_definition] = STATE(20754),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(10615),
    [sym_typed_expression] = STATE(5618),
    [sym_labeled_tuple_element] = STATE(22345),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5618),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5618),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5147),
    [sym_array_get_expression] = STATE(5147),
    [sym_string_get_expression] = STATE(5147),
    [sym_bigarray_get_expression] = STATE(5147),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5618),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2397),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym_sign_operator] = STATE(2369),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__instance_variable_name] = STATE(22354),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [sym__lowercase_identifier] = ACTIONS(523),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_fun] = ACTIONS(549),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(555),
    [anon_sym_function] = ACTIONS(557),
    [anon_sym_try] = ACTIONS(559),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3559),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(583),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2398] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15164),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2398),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2399] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14902),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2399),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2400] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11790),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2400),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2401] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14916),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(15151),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2401),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2402] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14918),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2402),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2403] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14919),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2403),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2404] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14920),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2404),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2405] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14921),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2405),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2406] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14922),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2406),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2407] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14923),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2407),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2408] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14924),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2408),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2409] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14926),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2409),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2410] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14928),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2410),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2411] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14929),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2411),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2412] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14204),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2412),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2413] = {
    [sym_value_definition] = STATE(22231),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(14947),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(20728),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7944),
    [sym_array_get_expression] = STATE(7944),
    [sym_string_get_expression] = STATE(7944),
    [sym_bigarray_get_expression] = STATE(7944),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2413),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2399),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(20730),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(3077),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(3079),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(3081),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3083),
    [anon_sym_function] = ACTIONS(3085),
    [anon_sym_try] = ACTIONS(3087),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3089),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2414] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13502),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2414),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2415] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13323),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(13997),
    [sym__tuple_expression] = STATE(12287),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2415),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(4413),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2416] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13324),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2416),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2417] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13325),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2417),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2418] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13326),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2418),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2419] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13327),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2419),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2420] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13328),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2420),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2421] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13329),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2421),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2422] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13330),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2422),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2423] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13331),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2423),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2424] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13332),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2424),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2425] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13333),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2425),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2426] = {
    [sym_value_definition] = STATE(21999),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13335),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20836),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6989),
    [sym_array_get_expression] = STATE(6989),
    [sym_string_get_expression] = STATE(6989),
    [sym_bigarray_get_expression] = STATE(6989),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2426),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2414),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20840),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1663),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1675),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2427] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14495),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2427),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2428] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11905),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(12176),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2428),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2429] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14437),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(14610),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2429),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2430] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14440),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2430),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2431] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14221),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2431),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2432] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14222),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2432),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2433] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14224),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2433),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2434] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14225),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2434),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2435] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14263),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2435),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2436] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14275),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2436),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2437] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14286),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2437),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2438] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14288),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2438),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2439] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14297),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2439),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2440] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11907),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2440),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2441] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11908),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2441),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2442] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(12052),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2442),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2443] = {
    [sym_value_definition] = STATE(20857),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(14337),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20847),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7372),
    [sym_array_get_expression] = STATE(7372),
    [sym_string_get_expression] = STATE(7372),
    [sym_bigarray_get_expression] = STATE(7372),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2443),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20848),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(3011),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(3013),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(3015),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3017),
    [anon_sym_function] = ACTIONS(3019),
    [anon_sym_try] = ACTIONS(3021),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3023),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2444] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11910),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2444),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2445] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13155),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2445),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2446] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13229),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2446),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2447] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13163),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(13400),
    [sym__tuple_expression] = STATE(12287),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2447),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(4413),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2448] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13171),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2448),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2449] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13181),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2449),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2450] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13186),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2450),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2451] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13190),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2451),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2452] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13203),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2452),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2453] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13204),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2453),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2454] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13211),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2454),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2455] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13228),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2455),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2456] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13230),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2456),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2457] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13234),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2457),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2458] = {
    [sym_value_definition] = STATE(21905),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13240),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20896),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6850),
    [sym_array_get_expression] = STATE(6850),
    [sym_string_get_expression] = STATE(6850),
    [sym_bigarray_get_expression] = STATE(6850),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2458),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20897),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1603),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1615),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2459] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11911),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2459),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2460] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11912),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2460),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2461] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11913),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2461),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2462] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11914),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2462),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2463] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11915),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2463),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2464] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11916),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2464),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2465] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12848),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(13042),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2465),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2466] = {
    [sym_value_definition] = STATE(21184),
    [sym__simple_expression] = STATE(2856),
    [sym__expression] = STATE(11937),
    [sym_typed_expression] = STATE(6128),
    [sym_labeled_tuple_element] = STATE(23320),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6128),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6128),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6195),
    [sym_array_get_expression] = STATE(6195),
    [sym_string_get_expression] = STATE(6195),
    [sym_bigarray_get_expression] = STATE(6195),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6128),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2466),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym_sign_operator] = STATE(2400),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__instance_variable_name] = STATE(23321),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [sym__lowercase_identifier] = ACTIONS(1301),
    [anon_sym_let] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_fun] = ACTIONS(1377),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1381),
    [anon_sym_function] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3571),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1387),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2467] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12856),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2467),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2468] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14558),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2468),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2469] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12857),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2469),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2470] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14595),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(15041),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2470),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2471] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14617),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2471),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2472] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14620),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2472),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2473] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14630),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2473),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2474] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14672),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2474),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2475] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14674),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2475),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2476] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14675),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2476),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2477] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14678),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2477),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2478] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14739),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2478),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2479] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14742),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2479),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2480] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14764),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2480),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2481] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12858),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2481),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2482] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12860),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2482),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2483] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9884),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(10187),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2483),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(4407),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2484] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12861),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2484),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2485] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14864),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2485),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2486] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9878),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2486),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2487] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9885),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2487),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2488] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9886),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2488),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2489] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9887),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2489),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2490] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9888),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2490),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2491] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9889),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2491),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2492] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9890),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2492),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2493] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9891),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2493),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2494] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9892),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2494),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2495] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9893),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2495),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2496] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14602),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2496),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2497] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12863),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2497),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2498] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12868),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2498),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2499] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12874),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2499),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2500] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12880),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2500),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2501] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12882),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2501),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2502] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10542),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2502),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2503] = {
    [sym_value_definition] = STATE(23373),
    [sym__simple_expression] = STATE(2088),
    [sym__expression] = STATE(9894),
    [sym_typed_expression] = STATE(4316),
    [sym_labeled_tuple_element] = STATE(20503),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4316),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4316),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3869),
    [sym_array_get_expression] = STATE(3869),
    [sym_string_get_expression] = STATE(3869),
    [sym_bigarray_get_expression] = STATE(3869),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4316),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2503),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym_sign_operator] = STATE(2101),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__instance_variable_name] = STATE(20541),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [sym__lowercase_identifier] = ACTIONS(763),
    [anon_sym_let] = ACTIONS(765),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_fun] = ACTIONS(777),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(783),
    [anon_sym_function] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(809),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2504] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10189),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2504),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2505] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10216),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(10617),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2505),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(4407),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2506] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10222),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2506),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2507] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10223),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2507),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2508] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10224),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2508),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2509] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14611),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2509),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2510] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10225),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2510),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2511] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14937),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(15170),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2511),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2512] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14941),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2512),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2513] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14515),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2513),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2514] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14517),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2514),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2515] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14520),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2515),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2516] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14522),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2516),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2517] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14523),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2517),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2518] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14524),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2518),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2519] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14525),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2519),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2520] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14526),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2520),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2521] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14527),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2521),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2522] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10226),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2522),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2523] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10227),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2523),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2524] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10228),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2524),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2525] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10229),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2525),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2526] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10230),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2526),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2527] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10231),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2527),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2528] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14534),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2528),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2529] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(15008),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2529),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2530] = {
    [sym_value_definition] = STATE(21824),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(10238),
    [sym_typed_expression] = STATE(5013),
    [sym_labeled_tuple_element] = STATE(21701),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5013),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5013),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4847),
    [sym_array_get_expression] = STATE(4847),
    [sym_string_get_expression] = STATE(4847),
    [sym_bigarray_get_expression] = STATE(4847),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5013),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2530),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym_sign_operator] = STATE(2504),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__instance_variable_name] = STATE(21704),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [sym__lowercase_identifier] = ACTIONS(1079),
    [anon_sym_let] = ACTIONS(1081),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_fun] = ACTIONS(1093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1099),
    [anon_sym_function] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1125),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2531] = {
    [sym_value_definition] = STATE(22886),
    [sym__simple_expression] = STATE(2905),
    [sym__expression] = STATE(14888),
    [sym_typed_expression] = STATE(7603),
    [sym_labeled_tuple_element] = STATE(22866),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7603),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7603),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7797),
    [sym_array_get_expression] = STATE(7797),
    [sym_string_get_expression] = STATE(7797),
    [sym_bigarray_get_expression] = STATE(7797),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7603),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2531),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__instance_variable_name] = STATE(22868),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [sym__lowercase_identifier] = ACTIONS(2699),
    [anon_sym_let] = ACTIONS(3091),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_fun] = ACTIONS(3093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_if] = ACTIONS(3095),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3097),
    [anon_sym_function] = ACTIONS(3099),
    [anon_sym_try] = ACTIONS(3101),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3103),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2532] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14865),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2532),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2533] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14786),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(15003),
    [sym__tuple_expression] = STATE(12287),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2533),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(4413),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2534] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14788),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2534),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2535] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14793),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2535),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2536] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14795),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2536),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2537] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14799),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2537),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2538] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14800),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2538),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2539] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14819),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2539),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2540] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14821),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2540),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2541] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14823),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2541),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2542] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14831),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2542),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2543] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14837),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2543),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2544] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10035),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2544),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2545] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10599),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(10679),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2545),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(4407),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2546] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10143),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(10279),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2546),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(4407),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2547] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10163),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2547),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2548] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10033),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2548),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2549] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10041),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2549),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2550] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10082),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2550),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2551] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10089),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2551),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2552] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10130),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2552),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2553] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10131),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2553),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2554] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10132),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2554),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2555] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10136),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2555),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2556] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10138),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2556),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2557] = {
    [sym_value_definition] = STATE(22269),
    [sym__simple_expression] = STATE(2860),
    [sym__expression] = STATE(12762),
    [sym_typed_expression] = STATE(6526),
    [sym_labeled_tuple_element] = STATE(21695),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6526),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6526),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6740),
    [sym_array_get_expression] = STATE(6740),
    [sym_string_get_expression] = STATE(6740),
    [sym_bigarray_get_expression] = STATE(6740),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6526),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2557),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym_sign_operator] = STATE(2395),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__instance_variable_name] = STATE(22174),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [sym__lowercase_identifier] = ACTIONS(1547),
    [anon_sym_let] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_fun] = ACTIONS(1561),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1567),
    [anon_sym_function] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1593),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2558] = {
    [sym_value_definition] = STATE(21730),
    [sym__simple_expression] = STATE(2720),
    [sym__expression] = STATE(10059),
    [sym_typed_expression] = STATE(4971),
    [sym_labeled_tuple_element] = STATE(21710),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4971),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4971),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4388),
    [sym_array_get_expression] = STATE(4388),
    [sym_string_get_expression] = STATE(4388),
    [sym_bigarray_get_expression] = STATE(4388),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4971),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2558),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym_sign_operator] = STATE(2544),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__instance_variable_name] = STATE(21711),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [sym__lowercase_identifier] = ACTIONS(1027),
    [anon_sym_let] = ACTIONS(1029),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_fun] = ACTIONS(1041),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1047),
    [anon_sym_function] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3561),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3563),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1073),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2559] = {
    [sym_value_definition] = STATE(21062),
    [sym__simple_expression] = STATE(2911),
    [sym__expression] = STATE(14627),
    [sym_typed_expression] = STATE(8437),
    [sym_labeled_tuple_element] = STATE(20974),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(8437),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(8437),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7831),
    [sym_array_get_expression] = STATE(7831),
    [sym_string_get_expression] = STATE(7831),
    [sym_bigarray_get_expression] = STATE(7831),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(8437),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2559),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym_sign_operator] = STATE(2532),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__instance_variable_name] = STATE(20985),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [sym__lowercase_identifier] = ACTIONS(3105),
    [anon_sym_let] = ACTIONS(3107),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_fun] = ACTIONS(3119),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_if] = ACTIONS(3123),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(3125),
    [anon_sym_function] = ACTIONS(3127),
    [anon_sym_try] = ACTIONS(3129),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3151),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2560] = {
    [sym_value_definition] = STATE(20545),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14857),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(20526),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7929),
    [sym_array_get_expression] = STATE(7929),
    [sym_string_get_expression] = STATE(7929),
    [sym_bigarray_get_expression] = STATE(7929),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2560),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2468),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(20528),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(3173),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(3175),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3177),
    [anon_sym_function] = ACTIONS(3179),
    [anon_sym_try] = ACTIONS(3181),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3183),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2561] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14237),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2561),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2562] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14238),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(14943),
    [sym__tuple_expression] = STATE(12287),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2562),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(4413),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2563] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14253),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2563),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2564] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14259),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2564),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2565] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14260),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2565),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2566] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14261),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2566),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2567] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14262),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2567),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2568] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14266),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2568),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2569] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14267),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2569),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2570] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14268),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2570),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2571] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14276),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2571),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2572] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14277),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2572),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2573] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9895),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2573),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2574] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9898),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(10074),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2574),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2575] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9899),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2575),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2576] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9900),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2576),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2577] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9901),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2577),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2578] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9902),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2578),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2579] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9903),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2579),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2580] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9904),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2580),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2581] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9905),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2581),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2582] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9906),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2582),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2583] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9907),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2583),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2584] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9908),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2584),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2585] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15097),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2585),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2586] = {
    [sym_value_definition] = STATE(21996),
    [sym__simple_expression] = STATE(2036),
    [sym__expression] = STATE(9909),
    [sym_typed_expression] = STATE(4403),
    [sym_labeled_tuple_element] = STATE(21975),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4403),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4403),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3742),
    [sym_array_get_expression] = STATE(3742),
    [sym_string_get_expression] = STATE(3742),
    [sym_bigarray_get_expression] = STATE(3742),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4403),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2586),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym_sign_operator] = STATE(2573),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__instance_variable_name] = STATE(21980),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [sym__lowercase_identifier] = ACTIONS(819),
    [anon_sym_let] = ACTIONS(821),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_fun] = ACTIONS(833),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(839),
    [anon_sym_function] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(865),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2587] = {
    [sym_value_definition] = STATE(22757),
    [sym__simple_expression] = STATE(2904),
    [sym__expression] = STATE(14363),
    [sym_typed_expression] = STATE(7646),
    [sym_labeled_tuple_element] = STATE(22469),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7646),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7646),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7266),
    [sym_array_get_expression] = STATE(7266),
    [sym_string_get_expression] = STATE(7266),
    [sym_bigarray_get_expression] = STATE(7266),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7646),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2587),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym_sign_operator] = STATE(2561),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [sym__lowercase_identifier] = ACTIONS(2855),
    [anon_sym_let] = ACTIONS(2857),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_fun] = ACTIONS(2869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2873),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2875),
    [anon_sym_function] = ACTIONS(2877),
    [anon_sym_try] = ACTIONS(2879),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2901),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2588] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14140),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2588),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2589] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13977),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(14280),
    [sym__tuple_expression] = STATE(12287),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2589),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(4413),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2590] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14159),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2590),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2591] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13978),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2591),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2592] = {
    [sym_value_definition] = STATE(21189),
    [sym__simple_expression] = STATE(2909),
    [sym__expression] = STATE(14673),
    [sym_typed_expression] = STATE(8120),
    [sym_labeled_tuple_element] = STATE(21169),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8120),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8120),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8076),
    [sym_array_get_expression] = STATE(8076),
    [sym_string_get_expression] = STATE(8076),
    [sym_bigarray_get_expression] = STATE(8076),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8120),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2592),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym_sign_operator] = STATE(2509),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__instance_variable_name] = STATE(21170),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [sym__lowercase_identifier] = ACTIONS(2803),
    [anon_sym_let] = ACTIONS(3157),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_fun] = ACTIONS(3159),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_if] = ACTIONS(3161),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3163),
    [anon_sym_function] = ACTIONS(3165),
    [anon_sym_try] = ACTIONS(3167),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3169),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2593] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13979),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2593),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2594] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2594),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2595] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13981),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2595),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2596] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13982),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2596),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2597] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13983),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2597),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2598] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13984),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2598),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2599] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13985),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2599),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2600] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(13986),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2600),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2601] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10647),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2601),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2602] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15099),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(15232),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2602),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2603] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10324),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2603),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2604] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10288),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(10576),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2604),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2605] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10289),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2605),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2606] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10290),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2606),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2607] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10291),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2607),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2608] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10292),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2608),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2609] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10293),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2609),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2610] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10294),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2610),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2611] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10295),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2611),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2612] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10296),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2612),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2613] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10297),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2613),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2614] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10298),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2614),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2615] = {
    [sym_value_definition] = STATE(20522),
    [sym__simple_expression] = STATE(2892),
    [sym__expression] = STATE(14004),
    [sym_typed_expression] = STATE(7105),
    [sym_labeled_tuple_element] = STATE(20505),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7105),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7105),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7073),
    [sym_array_get_expression] = STATE(7073),
    [sym_string_get_expression] = STATE(7073),
    [sym_bigarray_get_expression] = STATE(7073),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7105),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2615),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym_sign_operator] = STATE(2588),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__instance_variable_name] = STATE(20507),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [sym__lowercase_identifier] = ACTIONS(1661),
    [anon_sym_let] = ACTIONS(1811),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_fun] = ACTIONS(1813),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_if] = ACTIONS(1815),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1681),
    [anon_sym_function] = ACTIONS(1683),
    [anon_sym_try] = ACTIONS(1685),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1707),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2616] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15121),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2616),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2617] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12580),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2617),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2618] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15123),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2618),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2619] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10300),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2619),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2620] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12459),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(12891),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2620),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2621] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15125),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2621),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2622] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12460),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2622),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2623] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12462),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2623),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2624] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12463),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2624),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2625] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12464),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2625),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2626] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12465),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2626),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2627] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12466),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2627),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2628] = {
    [sym_value_definition] = STATE(22358),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(10198),
    [sym_typed_expression] = STATE(5170),
    [sym_labeled_tuple_element] = STATE(22346),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5170),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5170),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4911),
    [sym_array_get_expression] = STATE(4911),
    [sym_string_get_expression] = STATE(4911),
    [sym_bigarray_get_expression] = STATE(4911),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5170),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2628),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym_sign_operator] = STATE(2603),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__instance_variable_name] = STATE(22347),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [sym__lowercase_identifier] = ACTIONS(1131),
    [anon_sym_let] = ACTIONS(1133),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_fun] = ACTIONS(1145),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1151),
    [anon_sym_function] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3553),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3555),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1177),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2629] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12467),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2629),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2630] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12468),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2630),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2631] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12469),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2631),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2632] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12470),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2632),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2633] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15126),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2633),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2634] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15140),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2634),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2635] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15141),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2635),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2636] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15144),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2636),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2637] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9941),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2637),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2638] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9916),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(10050),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2638),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2639] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9917),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2639),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2640] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9918),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2640),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2641] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9919),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2641),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2642] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9920),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2642),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2643] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9921),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2643),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2644] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9922),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2644),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2645] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9923),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2645),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2646] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9924),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2646),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2647] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9925),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2647),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2648] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9926),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2648),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2649] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15145),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2649),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2650] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15150),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2650),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2651] = {
    [sym_value_definition] = STATE(20871),
    [sym__simple_expression] = STATE(2857),
    [sym__expression] = STATE(12531),
    [sym_typed_expression] = STATE(6366),
    [sym_labeled_tuple_element] = STATE(20824),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(6366),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(6366),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6435),
    [sym_array_get_expression] = STATE(6435),
    [sym_string_get_expression] = STATE(6435),
    [sym_bigarray_get_expression] = STATE(6435),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(6366),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2651),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym_sign_operator] = STATE(2617),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__instance_variable_name] = STATE(20825),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [sym__lowercase_identifier] = ACTIONS(1495),
    [anon_sym_let] = ACTIONS(1497),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_fun] = ACTIONS(1509),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1515),
    [anon_sym_function] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1519),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1541),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2652] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15152),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2652),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2653] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12360),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2653),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2654] = {
    [sym_value_definition] = STATE(22503),
    [sym__simple_expression] = STATE(2049),
    [sym__expression] = STATE(9927),
    [sym_typed_expression] = STATE(4456),
    [sym_labeled_tuple_element] = STATE(22490),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4456),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4456),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3775),
    [sym_array_get_expression] = STATE(3775),
    [sym_string_get_expression] = STATE(3775),
    [sym_bigarray_get_expression] = STATE(3775),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4456),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2654),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym_sign_operator] = STATE(2637),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__instance_variable_name] = STATE(22491),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [sym__lowercase_identifier] = ACTIONS(871),
    [anon_sym_let] = ACTIONS(873),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_fun] = ACTIONS(885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(891),
    [anon_sym_function] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3577),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3579),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(917),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2655] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10651),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2655),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2656] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12624),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(12865),
    [sym__tuple_expression] = STATE(9872),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2656),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(4405),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2657] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10653),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2657),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2658] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12626),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2658),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2659] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12627),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2659),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2660] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12628),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2660),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2661] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12629),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2661),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2662] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12630),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2662),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2663] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10275),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2663),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2664] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12631),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2664),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2665] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12632),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2665),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2666] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12634),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2666),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2667] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12635),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2667),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2668] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12636),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2668),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2669] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10501),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2669),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2670] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10264),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2670),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2671] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10421),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(10602),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2671),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2672] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10446),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2672),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2673] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10467),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2673),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2674] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10478),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2674),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2675] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10479),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2675),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2676] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10480),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2676),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2677] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10481),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2677),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2678] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10486),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2678),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2679] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10487),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2679),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2680] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10488),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2680),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2681] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10490),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2681),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2682] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10655),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2682),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2683] = {
    [sym_value_definition] = STATE(21382),
    [sym__simple_expression] = STATE(2865),
    [sym__expression] = STATE(12662),
    [sym_typed_expression] = STATE(6640),
    [sym_labeled_tuple_element] = STATE(21356),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6640),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6640),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6495),
    [sym_array_get_expression] = STATE(6495),
    [sym_string_get_expression] = STATE(6495),
    [sym_bigarray_get_expression] = STATE(6495),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6640),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2683),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym_sign_operator] = STATE(2653),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__instance_variable_name] = STATE(21357),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [sym__lowercase_identifier] = ACTIONS(1443),
    [anon_sym_let] = ACTIONS(1445),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_fun] = ACTIONS(1457),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1463),
    [anon_sym_function] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1489),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2684] = {
    [sym_value_definition] = STATE(22644),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(10493),
    [sym_typed_expression] = STATE(5250),
    [sym_labeled_tuple_element] = STATE(22631),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5250),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5250),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4944),
    [sym_array_get_expression] = STATE(4944),
    [sym_string_get_expression] = STATE(4944),
    [sym_bigarray_get_expression] = STATE(4944),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5250),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2684),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym_sign_operator] = STATE(2670),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__instance_variable_name] = STATE(22632),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [sym__lowercase_identifier] = ACTIONS(1183),
    [anon_sym_let] = ACTIONS(1185),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_fun] = ACTIONS(1197),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1201),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(1203),
    [anon_sym_function] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3531),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3533),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1229),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2685] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14719),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2685),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2686] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10502),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2686),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2687] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14834),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(15104),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2687),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2688] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14891),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2688),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2689] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14571),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2689),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2690] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14514),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2690),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2691] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14816),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2691),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2692] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11487),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2692),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2693] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14822),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2693),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2694] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14933),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2694),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2695] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14540),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2695),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2696] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14543),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2696),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2697] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14565),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2697),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2698] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14574),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2698),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2699] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11353),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2699),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2700] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11413),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(11967),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2700),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2701] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11415),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2701),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2702] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11417),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2702),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2703] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11418),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2703),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2704] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11419),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2704),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2705] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11420),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2705),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2706] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11421),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2706),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2707] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11422),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2707),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2708] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11423),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2708),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2709] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11424),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2709),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2710] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11425),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2710),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2711] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10504),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2711),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2712] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10506),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2712),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2713] = {
    [sym_value_definition] = STATE(20813),
    [sym__simple_expression] = STATE(2914),
    [sym__expression] = STATE(15101),
    [sym_typed_expression] = STATE(8129),
    [sym_labeled_tuple_element] = STATE(21795),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8129),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8129),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8271),
    [sym_array_get_expression] = STATE(8271),
    [sym_string_get_expression] = STATE(8271),
    [sym_bigarray_get_expression] = STATE(8271),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8129),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2713),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym_sign_operator] = STATE(2585),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__instance_variable_name] = STATE(21797),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [sym__lowercase_identifier] = ACTIONS(3251),
    [anon_sym_let] = ACTIONS(3369),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_fun] = ACTIONS(3371),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_if] = ACTIONS(3373),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3375),
    [anon_sym_function] = ACTIONS(3377),
    [anon_sym_try] = ACTIONS(3379),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3381),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2714] = {
    [sym_value_definition] = STATE(21979),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14693),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(21954),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(7659),
    [sym_array_get_expression] = STATE(7659),
    [sym_string_get_expression] = STATE(7659),
    [sym_bigarray_get_expression] = STATE(7659),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2714),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2685),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(21960),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(3237),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(3239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3243),
    [anon_sym_function] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3247),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3249),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2715] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10525),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2715),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2716] = {
    [sym_value_definition] = STATE(22850),
    [sym__simple_expression] = STATE(2855),
    [sym__expression] = STATE(11430),
    [sym_typed_expression] = STATE(5996),
    [sym_labeled_tuple_element] = STATE(22829),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(5996),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(5996),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(6099),
    [sym_array_get_expression] = STATE(6099),
    [sym_string_get_expression] = STATE(6099),
    [sym_bigarray_get_expression] = STATE(6099),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(5996),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2716),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__instance_variable_name] = STATE(22831),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [sym__lowercase_identifier] = ACTIONS(1241),
    [anon_sym_let] = ACTIONS(1353),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_fun] = ACTIONS(1355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1357),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(1363),
    [anon_sym_function] = ACTIONS(1365),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3523),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3525),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1373),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2717] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10530),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2717),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2718] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9798),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2718),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2719] = {
    [sym_value_definition] = STATE(22853),
    [sym__simple_expression] = STATE(2823),
    [sym__expression] = STATE(10541),
    [sym_typed_expression] = STATE(5748),
    [sym_labeled_tuple_element] = STATE(20443),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(5748),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(5748),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(5012),
    [sym_array_get_expression] = STATE(5012),
    [sym_string_get_expression] = STATE(5012),
    [sym_bigarray_get_expression] = STATE(5012),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(5748),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2719),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym_sign_operator] = STATE(2502),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__instance_variable_name] = STATE(22931),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1239),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_fun] = ACTIONS(43),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_if] = ACTIONS(47),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(53),
    [anon_sym_function] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3583),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(95),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2720] = {
    [sym__simple_expression] = STATE(4947),
    [sym_typed_expression] = STATE(4971),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_labeled_argument] = STATE(5431),
    [sym_prefix_expression] = STATE(4971),
    [sym_hash_expression] = STATE(4971),
    [sym_field_get_expression] = STATE(4971),
    [sym_array_get_expression] = STATE(4971),
    [sym_string_get_expression] = STATE(4971),
    [sym_bigarray_get_expression] = STATE(4971),
    [sym_coercion_expression] = STATE(4971),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2720),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [aux_sym_class_application_repeat1] = STATE(2841),
    [ts_builtin_sym_end] = ACTIONS(3711),
    [sym__lowercase_identifier] = ACTIONS(4415),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4417),
    [anon_sym_QMARK] = ACTIONS(4417),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_DOT] = ACTIONS(4419),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_POUND] = ACTIONS(4421),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1063),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4423),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2721] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10097),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2721),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2722] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10102),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(10195),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2722),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2723] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10103),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2723),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2724] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10104),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2724),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2725] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10105),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2725),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2726] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10106),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2726),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2727] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10107),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2727),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2728] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10108),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2728),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2729] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10109),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2729),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2730] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10110),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2730),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2731] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10111),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2731),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2732] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10112),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2732),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2733] = {
    [sym_value_definition] = STATE(23309),
    [sym__simple_expression] = STATE(2749),
    [sym__expression] = STATE(10114),
    [sym_typed_expression] = STATE(4792),
    [sym_labeled_tuple_element] = STATE(23291),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4792),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4792),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4405),
    [sym_array_get_expression] = STATE(4405),
    [sym_string_get_expression] = STATE(4405),
    [sym_bigarray_get_expression] = STATE(4405),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4792),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2733),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym_sign_operator] = STATE(2721),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__instance_variable_name] = STATE(23292),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [sym__lowercase_identifier] = ACTIONS(975),
    [anon_sym_let] = ACTIONS(977),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_fun] = ACTIONS(989),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(995),
    [anon_sym_function] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3543),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3545),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1021),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2734] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14183),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2734),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2735] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15082),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2735),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2736] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9752),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2736),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2737] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9829),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(9937),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2737),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(4407),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2738] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9830),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2738),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2739] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9833),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2739),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2740] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9834),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2740),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2741] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9835),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2741),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2742] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9836),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2742),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2743] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9837),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2743),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2744] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9847),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2744),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2745] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9852),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2745),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2746] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9853),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2746),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2747] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9854),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2747),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2748] = {
    [sym_value_definition] = STATE(23647),
    [sym__simple_expression] = STATE(803),
    [sym__expression] = STATE(9856),
    [sym_typed_expression] = STATE(4081),
    [sym_labeled_tuple_element] = STATE(23633),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4081),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4081),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(3622),
    [sym_array_get_expression] = STATE(3622),
    [sym_string_get_expression] = STATE(3622),
    [sym_bigarray_get_expression] = STATE(3622),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4081),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2748),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym_sign_operator] = STATE(2736),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__instance_variable_name] = STATE(23634),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [sym__lowercase_identifier] = ACTIONS(419),
    [anon_sym_let] = ACTIONS(421),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_fun] = ACTIONS(433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_if] = ACTIONS(437),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(439),
    [anon_sym_function] = ACTIONS(441),
    [anon_sym_try] = ACTIONS(443),
    [anon_sym_assert] = ACTIONS(59),
    [anon_sym_lazy] = ACTIONS(61),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3549),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3551),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(465),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2749] = {
    [sym__simple_expression] = STATE(4838),
    [sym_typed_expression] = STATE(4792),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_labeled_argument] = STATE(5431),
    [sym_prefix_expression] = STATE(4792),
    [sym_hash_expression] = STATE(4792),
    [sym_field_get_expression] = STATE(4792),
    [sym_array_get_expression] = STATE(4792),
    [sym_string_get_expression] = STATE(4792),
    [sym_bigarray_get_expression] = STATE(4792),
    [sym_coercion_expression] = STATE(4792),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2749),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [aux_sym_class_application_repeat1] = STATE(2840),
    [sym__lowercase_identifier] = ACTIONS(4425),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_DOT] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_POUND] = ACTIONS(4431),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1011),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4433),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2750] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14150),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2750),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2751] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10037),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2751),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2752] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10177),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(10221),
    [sym__tuple_expression] = STATE(9432),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2752),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(4409),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2753] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10180),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2753),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2754] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10181),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2754),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2755] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10183),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2755),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2756] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10184),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2756),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2757] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10185),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2757),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2758] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10113),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2758),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2759] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10026),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2759),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2760] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10027),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2760),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2761] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10028),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2761),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2762] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10029),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2762),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2763] = {
    [sym__simple_expression] = STATE(4866),
    [sym_typed_expression] = STATE(4854),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_labeled_argument] = STATE(5844),
    [sym_prefix_expression] = STATE(4854),
    [sym_hash_expression] = STATE(4854),
    [sym_field_get_expression] = STATE(4854),
    [sym_array_get_expression] = STATE(4854),
    [sym_string_get_expression] = STATE(4854),
    [sym_bigarray_get_expression] = STATE(4854),
    [sym_coercion_expression] = STATE(4854),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2763),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [aux_sym_class_application_repeat1] = STATE(2839),
    [sym__lowercase_identifier] = ACTIONS(4435),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4437),
    [anon_sym_QMARK] = ACTIONS(4437),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_DOT] = ACTIONS(4439),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_end] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_POUND] = ACTIONS(4441),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4443),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2764] = {
    [sym_value_definition] = STATE(23150),
    [sym__simple_expression] = STATE(2763),
    [sym__expression] = STATE(10031),
    [sym_typed_expression] = STATE(4854),
    [sym_labeled_tuple_element] = STATE(21552),
    [sym__tuple_expression] = STATE(9603),
    [sym_cons_expression] = STATE(9597),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_application_expression] = STATE(9597),
    [sym_prefix_expression] = STATE(4854),
    [sym_sign_expression] = STATE(9597),
    [sym_hash_expression] = STATE(4854),
    [sym_infix_expression] = STATE(9597),
    [sym_field_get_expression] = STATE(4458),
    [sym_array_get_expression] = STATE(4458),
    [sym_string_get_expression] = STATE(4458),
    [sym_bigarray_get_expression] = STATE(4458),
    [sym_set_expression] = STATE(9597),
    [sym_if_expression] = STATE(9597),
    [sym_while_expression] = STATE(9597),
    [sym_for_expression] = STATE(9597),
    [sym_match_expression] = STATE(9597),
    [sym_function_expression] = STATE(9597),
    [sym_fun_expression] = STATE(9597),
    [sym_try_expression] = STATE(9597),
    [sym_let_expression] = STATE(9597),
    [sym_coercion_expression] = STATE(4854),
    [sym_assert_expression] = STATE(9597),
    [sym_lazy_expression] = STATE(9597),
    [sym_let_module_expression] = STATE(9597),
    [sym_let_open_expression] = STATE(9597),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_let_exception_expression] = STATE(9597),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2764),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym_sign_operator] = STATE(2751),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__instance_variable_name] = STATE(21633),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [sym__lowercase_identifier] = ACTIONS(923),
    [anon_sym_let] = ACTIONS(925),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_fun] = ACTIONS(937),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(49),
    [anon_sym_for] = ACTIONS(51),
    [anon_sym_match] = ACTIONS(943),
    [anon_sym_function] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(137),
    [anon_sym_lazy] = ACTIONS(139),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3565),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3567),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(969),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2765] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15106),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(15213),
    [sym__tuple_expression] = STATE(9467),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2765),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(4411),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2766] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13391),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2766),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2767] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14488),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2767),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2768] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15052),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2768),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2769] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14455),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(14748),
    [sym__tuple_expression] = STATE(12287),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2769),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(4413),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2770] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14464),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2770),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2771] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14182),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2771),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2772] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14185),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2772),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2773] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14223),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2773),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2774] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14248),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2774),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2775] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14249),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2775),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2776] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14290),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2776),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2777] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14291),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2777),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2778] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14296),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2778),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2779] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14299),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2779),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2780] = {
    [sym_value_definition] = STATE(22399),
    [sym__simple_expression] = STATE(2902),
    [sym__expression] = STATE(14412),
    [sym_typed_expression] = STATE(7935),
    [sym_labeled_tuple_element] = STATE(22155),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7935),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7935),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7235),
    [sym_array_get_expression] = STATE(7235),
    [sym_string_get_expression] = STATE(7235),
    [sym_bigarray_get_expression] = STATE(7235),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7935),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2780),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym_sign_operator] = STATE(2767),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__instance_variable_name] = STATE(22178),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [sym__lowercase_identifier] = ACTIONS(2907),
    [anon_sym_let] = ACTIONS(2909),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_fun] = ACTIONS(2921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2927),
    [anon_sym_function] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2931),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2953),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2781] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(14980),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2781),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2782] = {
    [sym_value_definition] = STATE(23392),
    [sym__simple_expression] = STATE(2859),
    [sym__expression] = STATE(12253),
    [sym_typed_expression] = STATE(6520),
    [sym_labeled_tuple_element] = STATE(21822),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(6520),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(6520),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(6358),
    [sym_array_get_expression] = STATE(6358),
    [sym_string_get_expression] = STATE(6358),
    [sym_bigarray_get_expression] = STATE(6358),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(6520),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2782),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym_sign_operator] = STATE(2106),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__instance_variable_name] = STATE(21843),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [sym__lowercase_identifier] = ACTIONS(1389),
    [anon_sym_let] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_fun] = ACTIONS(1403),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(1409),
    [anon_sym_function] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1437),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2783] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14138),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2783),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2784] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14111),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(14343),
    [sym__tuple_expression] = STATE(12287),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2784),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(4413),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2785] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14112),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2785),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2786] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14113),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2786),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2787] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14114),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2787),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2788] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14117),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2788),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2789] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14119),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2789),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2790] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14120),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2790),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2791] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14123),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2791),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2792] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14125),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2792),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2793] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14130),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2793),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2794] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14132),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2794),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2795] = {
    [sym_value_definition] = STATE(22084),
    [sym__simple_expression] = STATE(2901),
    [sym__expression] = STATE(14134),
    [sym_typed_expression] = STATE(7397),
    [sym_labeled_tuple_element] = STATE(21886),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7397),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7397),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(7058),
    [sym_array_get_expression] = STATE(7058),
    [sym_string_get_expression] = STATE(7058),
    [sym_bigarray_get_expression] = STATE(7058),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7397),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2795),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym_sign_operator] = STATE(2783),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__instance_variable_name] = STATE(21948),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [sym__lowercase_identifier] = ACTIONS(2141),
    [anon_sym_let] = ACTIONS(2143),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_fun] = ACTIONS(2155),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_if] = ACTIONS(2159),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(2161),
    [anon_sym_function] = ACTIONS(2163),
    [anon_sym_try] = ACTIONS(2165),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2187),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2796] = {
    [sym_value_definition] = STATE(20707),
    [sym__simple_expression] = STATE(2907),
    [sym__expression] = STATE(14472),
    [sym_typed_expression] = STATE(8101),
    [sym_labeled_tuple_element] = STATE(23282),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(8101),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(8101),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7190),
    [sym_array_get_expression] = STATE(7190),
    [sym_string_get_expression] = STATE(7190),
    [sym_bigarray_get_expression] = STATE(7190),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(8101),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2796),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym_sign_operator] = STATE(2370),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__instance_variable_name] = STATE(23286),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [sym__lowercase_identifier] = ACTIONS(2959),
    [anon_sym_let] = ACTIONS(2961),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_fun] = ACTIONS(2973),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2979),
    [anon_sym_function] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2983),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3005),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2797] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13403),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2797),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2798] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13367),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(14032),
    [sym__tuple_expression] = STATE(12287),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2798),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(4413),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2799] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13368),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2799),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2800] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13369),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2800),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2801] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13370),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2801),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2802] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13371),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2802),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2803] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13372),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2803),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2804] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13373),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2804),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2805] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13374),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2805),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2806] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13375),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2806),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2807] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13376),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2807),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2808] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13377),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2808),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2809] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15088),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2809),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2810] = {
    [sym_value_definition] = STATE(21969),
    [sym__simple_expression] = STATE(2923),
    [sym__expression] = STATE(15077),
    [sym_typed_expression] = STATE(8577),
    [sym_labeled_tuple_element] = STATE(21395),
    [sym__tuple_expression] = STATE(9592),
    [sym_cons_expression] = STATE(9407),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_application_expression] = STATE(9407),
    [sym_prefix_expression] = STATE(8577),
    [sym_sign_expression] = STATE(9407),
    [sym_hash_expression] = STATE(8577),
    [sym_infix_expression] = STATE(9407),
    [sym_field_get_expression] = STATE(8218),
    [sym_array_get_expression] = STATE(8218),
    [sym_string_get_expression] = STATE(8218),
    [sym_bigarray_get_expression] = STATE(8218),
    [sym_set_expression] = STATE(9407),
    [sym_if_expression] = STATE(9407),
    [sym_while_expression] = STATE(9407),
    [sym_for_expression] = STATE(9407),
    [sym_match_expression] = STATE(9407),
    [sym_function_expression] = STATE(9407),
    [sym_fun_expression] = STATE(9407),
    [sym_try_expression] = STATE(9407),
    [sym_let_expression] = STATE(9407),
    [sym_coercion_expression] = STATE(8577),
    [sym_assert_expression] = STATE(9407),
    [sym_lazy_expression] = STATE(9407),
    [sym_let_module_expression] = STATE(9407),
    [sym_let_open_expression] = STATE(9407),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_let_exception_expression] = STATE(9407),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2810),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym_sign_operator] = STATE(2735),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__instance_variable_name] = STATE(21403),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [sym__lowercase_identifier] = ACTIONS(3185),
    [anon_sym_let] = ACTIONS(3397),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_fun] = ACTIONS(3399),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3401),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1361),
    [anon_sym_match] = ACTIONS(3403),
    [anon_sym_function] = ACTIONS(3405),
    [anon_sym_try] = ACTIONS(3407),
    [anon_sym_assert] = ACTIONS(1369),
    [anon_sym_lazy] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(3409),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2811] = {
    [sym_value_definition] = STATE(20745),
    [sym__simple_expression] = STATE(2885),
    [sym__expression] = STATE(13379),
    [sym_typed_expression] = STATE(7007),
    [sym_labeled_tuple_element] = STATE(20646),
    [sym__tuple_expression] = STATE(12303),
    [sym_cons_expression] = STATE(12352),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_application_expression] = STATE(12352),
    [sym_prefix_expression] = STATE(7007),
    [sym_sign_expression] = STATE(12352),
    [sym_hash_expression] = STATE(7007),
    [sym_infix_expression] = STATE(12352),
    [sym_field_get_expression] = STATE(6956),
    [sym_array_get_expression] = STATE(6956),
    [sym_string_get_expression] = STATE(6956),
    [sym_bigarray_get_expression] = STATE(6956),
    [sym_set_expression] = STATE(12352),
    [sym_if_expression] = STATE(12352),
    [sym_while_expression] = STATE(12352),
    [sym_for_expression] = STATE(12352),
    [sym_match_expression] = STATE(12352),
    [sym_function_expression] = STATE(12352),
    [sym_fun_expression] = STATE(12352),
    [sym_try_expression] = STATE(12352),
    [sym_let_expression] = STATE(12352),
    [sym_coercion_expression] = STATE(7007),
    [sym_assert_expression] = STATE(12352),
    [sym_lazy_expression] = STATE(12352),
    [sym_let_module_expression] = STATE(12352),
    [sym_let_open_expression] = STATE(12352),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_let_exception_expression] = STATE(12352),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2811),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym_sign_operator] = STATE(2797),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__instance_variable_name] = STATE(20654),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [sym__lowercase_identifier] = ACTIONS(1601),
    [anon_sym_let] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_fun] = ACTIONS(1715),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_if] = ACTIONS(1717),
    [anon_sym_while] = ACTIONS(1621),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_match] = ACTIONS(1625),
    [anon_sym_function] = ACTIONS(1627),
    [anon_sym_try] = ACTIONS(1629),
    [anon_sym_assert] = ACTIONS(1631),
    [anon_sym_lazy] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(1655),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2812] = {
    [sym_value_definition] = STATE(21872),
    [sym__simple_expression] = STATE(2908),
    [sym__expression] = STATE(14395),
    [sym_typed_expression] = STATE(7919),
    [sym_labeled_tuple_element] = STATE(21259),
    [sym__tuple_expression] = STATE(9825),
    [sym_cons_expression] = STATE(9826),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_application_expression] = STATE(9826),
    [sym_prefix_expression] = STATE(7919),
    [sym_sign_expression] = STATE(9826),
    [sym_hash_expression] = STATE(7919),
    [sym_infix_expression] = STATE(9826),
    [sym_field_get_expression] = STATE(7193),
    [sym_array_get_expression] = STATE(7193),
    [sym_string_get_expression] = STATE(7193),
    [sym_bigarray_get_expression] = STATE(7193),
    [sym_set_expression] = STATE(9826),
    [sym_if_expression] = STATE(9826),
    [sym_while_expression] = STATE(9826),
    [sym_for_expression] = STATE(9826),
    [sym_match_expression] = STATE(9826),
    [sym_function_expression] = STATE(9826),
    [sym_fun_expression] = STATE(9826),
    [sym_try_expression] = STATE(9826),
    [sym_let_expression] = STATE(9826),
    [sym_coercion_expression] = STATE(7919),
    [sym_assert_expression] = STATE(9826),
    [sym_lazy_expression] = STATE(9826),
    [sym_let_module_expression] = STATE(9826),
    [sym_let_open_expression] = STATE(9826),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_let_exception_expression] = STATE(9826),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2812),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym_sign_operator] = STATE(2137),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__instance_variable_name] = STATE(21262),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [sym__lowercase_identifier] = ACTIONS(2751),
    [anon_sym_let] = ACTIONS(2753),
    [anon_sym_TILDE] = ACTIONS(17),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_fun] = ACTIONS(2765),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_if] = ACTIONS(2769),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1263),
    [anon_sym_match] = ACTIONS(2771),
    [anon_sym_function] = ACTIONS(2773),
    [anon_sym_try] = ACTIONS(2775),
    [anon_sym_assert] = ACTIONS(1271),
    [anon_sym_lazy] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(83),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(91),
    [sym_let_operator] = ACTIONS(411),
    [sym_match_operator] = ACTIONS(2797),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2813] = {
    [sym__simple_expression] = STATE(5296),
    [sym_typed_expression] = STATE(5250),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_labeled_argument] = STATE(5850),
    [sym_prefix_expression] = STATE(5250),
    [sym_hash_expression] = STATE(5250),
    [sym_field_get_expression] = STATE(5250),
    [sym_array_get_expression] = STATE(5250),
    [sym_string_get_expression] = STATE(5250),
    [sym_bigarray_get_expression] = STATE(5250),
    [sym_coercion_expression] = STATE(5250),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2813),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [aux_sym_class_application_repeat1] = STATE(2845),
    [sym__lowercase_identifier] = ACTIONS(4445),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4447),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_DOT] = ACTIONS(4449),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_end] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_POUND] = ACTIONS(4451),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1219),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4453),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2814] = {
    [sym__simple_expression] = STATE(3854),
    [sym_typed_expression] = STATE(3911),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_labeled_argument] = STATE(5339),
    [sym_prefix_expression] = STATE(3911),
    [sym_hash_expression] = STATE(3911),
    [sym_field_get_expression] = STATE(3911),
    [sym_array_get_expression] = STATE(3911),
    [sym_string_get_expression] = STATE(3911),
    [sym_bigarray_get_expression] = STATE(3911),
    [sym_coercion_expression] = STATE(3911),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2814),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [aux_sym_class_application_repeat1] = STATE(2818),
    [sym__lowercase_identifier] = ACTIONS(3735),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(3737),
    [anon_sym_QMARK] = ACTIONS(3737),
    [anon_sym_LPAREN] = ACTIONS(475),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(477),
    [anon_sym_true] = ACTIONS(479),
    [anon_sym_false] = ACTIONS(479),
    [anon_sym_LBRACE] = ACTIONS(481),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_end] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(483),
    [anon_sym_in] = ACTIONS(4457),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(487),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(497),
    [anon_sym_LBRACE_LT] = ACTIONS(499),
    [anon_sym_begin] = ACTIONS(501),
    [sym_ocamlyacc_value] = ACTIONS(503),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(507),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(509),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(511),
    [anon_sym_DQUOTE] = ACTIONS(513),
    [sym_prefix_operator] = ACTIONS(515),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(519),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2815] = {
    [sym__simple_expression] = STATE(4077),
    [sym_typed_expression] = STATE(4081),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_labeled_argument] = STATE(4723),
    [sym_prefix_expression] = STATE(4081),
    [sym_hash_expression] = STATE(4081),
    [sym_field_get_expression] = STATE(4081),
    [sym_array_get_expression] = STATE(4081),
    [sym_string_get_expression] = STATE(4081),
    [sym_bigarray_get_expression] = STATE(4081),
    [sym_coercion_expression] = STATE(4081),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2815),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [aux_sym_class_application_repeat1] = STATE(2817),
    [ts_builtin_sym_end] = ACTIONS(4455),
    [sym__lowercase_identifier] = ACTIONS(3713),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(3717),
    [anon_sym_QMARK] = ACTIONS(3717),
    [anon_sym_LPAREN] = ACTIONS(423),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(425),
    [anon_sym_true] = ACTIONS(427),
    [anon_sym_false] = ACTIONS(427),
    [anon_sym_LBRACE] = ACTIONS(429),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(431),
    [anon_sym_in] = ACTIONS(4457),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(445),
    [anon_sym_LBRACE_LT] = ACTIONS(447),
    [anon_sym_begin] = ACTIONS(449),
    [sym_ocamlyacc_value] = ACTIONS(451),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(455),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(457),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(459),
    [anon_sym_DQUOTE] = ACTIONS(461),
    [sym_prefix_operator] = ACTIONS(463),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(467),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2816] = {
    [sym__simple_expression] = STATE(5020),
    [sym_typed_expression] = STATE(5013),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_labeled_argument] = STATE(5843),
    [sym_prefix_expression] = STATE(5013),
    [sym_hash_expression] = STATE(5013),
    [sym_field_get_expression] = STATE(5013),
    [sym_array_get_expression] = STATE(5013),
    [sym_string_get_expression] = STATE(5013),
    [sym_bigarray_get_expression] = STATE(5013),
    [sym_coercion_expression] = STATE(5013),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2816),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [aux_sym_class_application_repeat1] = STATE(2843),
    [ts_builtin_sym_end] = ACTIONS(3711),
    [sym__lowercase_identifier] = ACTIONS(4459),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4461),
    [anon_sym_QMARK] = ACTIONS(4461),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_DOT] = ACTIONS(4463),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_POUND] = ACTIONS(4465),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1115),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4467),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2817] = {
    [sym__simple_expression] = STATE(4077),
    [sym_typed_expression] = STATE(4081),
    [sym_list_expression] = STATE(4081),
    [sym_array_expression] = STATE(4081),
    [sym_record_expression] = STATE(4081),
    [sym_labeled_argument] = STATE(4723),
    [sym_prefix_expression] = STATE(4081),
    [sym_hash_expression] = STATE(4081),
    [sym_field_get_expression] = STATE(4081),
    [sym_array_get_expression] = STATE(4081),
    [sym_string_get_expression] = STATE(4081),
    [sym_bigarray_get_expression] = STATE(4081),
    [sym_coercion_expression] = STATE(4081),
    [sym_local_open_expression] = STATE(4081),
    [sym_package_expression] = STATE(4081),
    [sym_new_expression] = STATE(4081),
    [sym_object_copy_expression] = STATE(4081),
    [sym_method_invocation] = STATE(4081),
    [sym_object_expression] = STATE(4081),
    [sym_parenthesized_expression] = STATE(4081),
    [sym_attribute] = STATE(2817),
    [sym_extension] = STATE(4081),
    [sym_quoted_extension] = STATE(4081),
    [sym__constant] = STATE(4081),
    [sym_number] = STATE(3918),
    [sym_character] = STATE(3918),
    [sym_string] = STATE(3918),
    [sym_quoted_string] = STATE(3918),
    [sym_boolean] = STATE(3918),
    [sym_unit] = STATE(3918),
    [sym__value_name] = STATE(4076),
    [sym_parenthesized_operator] = STATE(3924),
    [sym_value_path] = STATE(4081),
    [sym_module_path] = STATE(21502),
    [sym_constructor_path] = STATE(4081),
    [sym__constructor_name] = STATE(4054),
    [sym_tag] = STATE(4081),
    [aux_sym_class_application_repeat1] = STATE(2817),
    [ts_builtin_sym_end] = ACTIONS(4469),
    [sym__lowercase_identifier] = ACTIONS(4471),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(4476),
    [anon_sym_QMARK] = ACTIONS(4476),
    [anon_sym_LPAREN] = ACTIONS(4479),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(4482),
    [anon_sym_true] = ACTIONS(4485),
    [anon_sym_false] = ACTIONS(4485),
    [anon_sym_LBRACE] = ACTIONS(4488),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(4491),
    [anon_sym_in] = ACTIONS(4474),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4494),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(4497),
    [anon_sym_LBRACE_LT] = ACTIONS(4500),
    [anon_sym_begin] = ACTIONS(4503),
    [sym_ocamlyacc_value] = ACTIONS(4506),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4512),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(4515),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(4518),
    [anon_sym_DQUOTE] = ACTIONS(4521),
    [sym_prefix_operator] = ACTIONS(4524),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(4527),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(4530),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2818] = {
    [sym__simple_expression] = STATE(3854),
    [sym_typed_expression] = STATE(3911),
    [sym_list_expression] = STATE(3911),
    [sym_array_expression] = STATE(3911),
    [sym_record_expression] = STATE(3911),
    [sym_labeled_argument] = STATE(5339),
    [sym_prefix_expression] = STATE(3911),
    [sym_hash_expression] = STATE(3911),
    [sym_field_get_expression] = STATE(3911),
    [sym_array_get_expression] = STATE(3911),
    [sym_string_get_expression] = STATE(3911),
    [sym_bigarray_get_expression] = STATE(3911),
    [sym_coercion_expression] = STATE(3911),
    [sym_local_open_expression] = STATE(3911),
    [sym_package_expression] = STATE(3911),
    [sym_new_expression] = STATE(3911),
    [sym_object_copy_expression] = STATE(3911),
    [sym_method_invocation] = STATE(3911),
    [sym_object_expression] = STATE(3911),
    [sym_parenthesized_expression] = STATE(3911),
    [sym_attribute] = STATE(2818),
    [sym_extension] = STATE(3911),
    [sym_quoted_extension] = STATE(3911),
    [sym__constant] = STATE(3911),
    [sym_number] = STATE(3936),
    [sym_character] = STATE(3936),
    [sym_string] = STATE(3936),
    [sym_quoted_string] = STATE(3936),
    [sym_boolean] = STATE(3936),
    [sym_unit] = STATE(3936),
    [sym__value_name] = STATE(3955),
    [sym_parenthesized_operator] = STATE(4062),
    [sym_value_path] = STATE(3911),
    [sym_module_path] = STATE(21921),
    [sym_constructor_path] = STATE(3911),
    [sym__constructor_name] = STATE(4034),
    [sym_tag] = STATE(3911),
    [aux_sym_class_application_repeat1] = STATE(2818),
    [sym__lowercase_identifier] = ACTIONS(4533),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(4536),
    [anon_sym_QMARK] = ACTIONS(4536),
    [anon_sym_LPAREN] = ACTIONS(4539),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(4542),
    [anon_sym_true] = ACTIONS(4545),
    [anon_sym_false] = ACTIONS(4545),
    [anon_sym_LBRACE] = ACTIONS(4548),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(4551),
    [anon_sym_in] = ACTIONS(4474),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4554),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(4557),
    [anon_sym_LBRACE_LT] = ACTIONS(4560),
    [anon_sym_begin] = ACTIONS(4563),
    [sym_ocamlyacc_value] = ACTIONS(4566),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4572),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(4575),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(4578),
    [anon_sym_DQUOTE] = ACTIONS(4581),
    [sym_prefix_operator] = ACTIONS(4584),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(4587),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(4590),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2819] = {
    [sym__simple_expression] = STATE(3836),
    [sym_typed_expression] = STATE(3844),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_labeled_argument] = STATE(4723),
    [sym_prefix_expression] = STATE(3844),
    [sym_hash_expression] = STATE(3844),
    [sym_field_get_expression] = STATE(3844),
    [sym_array_get_expression] = STATE(3844),
    [sym_string_get_expression] = STATE(3844),
    [sym_bigarray_get_expression] = STATE(3844),
    [sym_coercion_expression] = STATE(3844),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2819),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [aux_sym_class_application_repeat1] = STATE(2820),
    [sym__lowercase_identifier] = ACTIONS(3725),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3727),
    [anon_sym_LPAREN] = ACTIONS(367),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(369),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(371),
    [anon_sym_false] = ACTIONS(371),
    [anon_sym_LBRACE] = ACTIONS(373),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(375),
    [anon_sym_in] = ACTIONS(4457),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(389),
    [anon_sym_LBRACE_LT] = ACTIONS(391),
    [anon_sym_begin] = ACTIONS(393),
    [sym_ocamlyacc_value] = ACTIONS(395),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(399),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(403),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(405),
    [anon_sym_DQUOTE] = ACTIONS(407),
    [sym_prefix_operator] = ACTIONS(409),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(415),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(417),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2820] = {
    [sym__simple_expression] = STATE(3836),
    [sym_typed_expression] = STATE(3844),
    [sym_list_expression] = STATE(3844),
    [sym_array_expression] = STATE(3844),
    [sym_record_expression] = STATE(3844),
    [sym_labeled_argument] = STATE(4723),
    [sym_prefix_expression] = STATE(3844),
    [sym_hash_expression] = STATE(3844),
    [sym_field_get_expression] = STATE(3844),
    [sym_array_get_expression] = STATE(3844),
    [sym_string_get_expression] = STATE(3844),
    [sym_bigarray_get_expression] = STATE(3844),
    [sym_coercion_expression] = STATE(3844),
    [sym_local_open_expression] = STATE(3844),
    [sym_package_expression] = STATE(3844),
    [sym_new_expression] = STATE(3844),
    [sym_object_copy_expression] = STATE(3844),
    [sym_method_invocation] = STATE(3844),
    [sym_object_expression] = STATE(3844),
    [sym_parenthesized_expression] = STATE(3844),
    [sym_attribute] = STATE(2820),
    [sym_extension] = STATE(3844),
    [sym_quoted_extension] = STATE(3844),
    [sym__constant] = STATE(3844),
    [sym_number] = STATE(3834),
    [sym_character] = STATE(3834),
    [sym_string] = STATE(3834),
    [sym_quoted_string] = STATE(3834),
    [sym_boolean] = STATE(3834),
    [sym_unit] = STATE(3834),
    [sym__value_name] = STATE(3944),
    [sym_parenthesized_operator] = STATE(3922),
    [sym_value_path] = STATE(3844),
    [sym_module_path] = STATE(21845),
    [sym_constructor_path] = STATE(3844),
    [sym__constructor_name] = STATE(3940),
    [sym_tag] = STATE(3844),
    [aux_sym_class_application_repeat1] = STATE(2820),
    [sym__lowercase_identifier] = ACTIONS(4593),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(4596),
    [anon_sym_QMARK] = ACTIONS(4596),
    [anon_sym_LPAREN] = ACTIONS(4599),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(4602),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(4605),
    [anon_sym_false] = ACTIONS(4605),
    [anon_sym_LBRACE] = ACTIONS(4608),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(4611),
    [anon_sym_in] = ACTIONS(4474),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4614),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(4617),
    [anon_sym_LBRACE_LT] = ACTIONS(4620),
    [anon_sym_begin] = ACTIONS(4623),
    [sym_ocamlyacc_value] = ACTIONS(4626),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4629),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4632),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(4635),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(4638),
    [anon_sym_DQUOTE] = ACTIONS(4641),
    [sym_prefix_operator] = ACTIONS(4644),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(4647),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(4650),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2821] = {
    [sym__simple_expression] = STATE(5177),
    [sym_typed_expression] = STATE(5170),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_labeled_argument] = STATE(5843),
    [sym_prefix_expression] = STATE(5170),
    [sym_hash_expression] = STATE(5170),
    [sym_field_get_expression] = STATE(5170),
    [sym_array_get_expression] = STATE(5170),
    [sym_string_get_expression] = STATE(5170),
    [sym_bigarray_get_expression] = STATE(5170),
    [sym_coercion_expression] = STATE(5170),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2821),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [aux_sym_class_application_repeat1] = STATE(2846),
    [sym__lowercase_identifier] = ACTIONS(4653),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4655),
    [anon_sym_QMARK] = ACTIONS(4655),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_DOT] = ACTIONS(4657),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_POUND] = ACTIONS(4659),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1167),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4661),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2822] = {
    [sym__simple_expression] = STATE(4465),
    [sym_typed_expression] = STATE(4456),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_labeled_argument] = STATE(5451),
    [sym_prefix_expression] = STATE(4456),
    [sym_hash_expression] = STATE(4456),
    [sym_field_get_expression] = STATE(4456),
    [sym_array_get_expression] = STATE(4456),
    [sym_string_get_expression] = STATE(4456),
    [sym_bigarray_get_expression] = STATE(4456),
    [sym_coercion_expression] = STATE(4456),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2822),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [aux_sym_class_application_repeat1] = STATE(2822),
    [sym__lowercase_identifier] = ACTIONS(4663),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(4666),
    [anon_sym_QMARK] = ACTIONS(4666),
    [anon_sym_LPAREN] = ACTIONS(4669),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(4672),
    [anon_sym_true] = ACTIONS(4675),
    [anon_sym_false] = ACTIONS(4675),
    [anon_sym_LBRACE] = ACTIONS(4678),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(4681),
    [anon_sym_in] = ACTIONS(4474),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4684),
    [anon_sym_new] = ACTIONS(4687),
    [anon_sym_LBRACE_LT] = ACTIONS(4690),
    [anon_sym_begin] = ACTIONS(4693),
    [sym_ocamlyacc_value] = ACTIONS(4696),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4702),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(4705),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(4708),
    [anon_sym_DQUOTE] = ACTIONS(4711),
    [sym_prefix_operator] = ACTIONS(4714),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(4717),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(4720),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2823] = {
    [sym__simple_expression] = STATE(5441),
    [sym_typed_expression] = STATE(5748),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_labeled_argument] = STATE(5853),
    [sym_prefix_expression] = STATE(5748),
    [sym_hash_expression] = STATE(5748),
    [sym_field_get_expression] = STATE(5748),
    [sym_array_get_expression] = STATE(5748),
    [sym_string_get_expression] = STATE(5748),
    [sym_bigarray_get_expression] = STATE(5748),
    [sym_coercion_expression] = STATE(5748),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2823),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [aux_sym_class_application_repeat1] = STATE(2851),
    [ts_builtin_sym_end] = ACTIONS(3711),
    [sym__lowercase_identifier] = ACTIONS(4723),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4725),
    [anon_sym_QMARK] = ACTIONS(4725),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_DOT] = ACTIONS(4727),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_POUND] = ACTIONS(4729),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4731),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2824] = {
    [sym__simple_expression] = STATE(4575),
    [sym_typed_expression] = STATE(4567),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_labeled_argument] = STATE(5335),
    [sym_prefix_expression] = STATE(4567),
    [sym_hash_expression] = STATE(4567),
    [sym_field_get_expression] = STATE(4567),
    [sym_array_get_expression] = STATE(4567),
    [sym_string_get_expression] = STATE(4567),
    [sym_bigarray_get_expression] = STATE(4567),
    [sym_coercion_expression] = STATE(4567),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2824),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [aux_sym_class_application_repeat1] = STATE(2826),
    [ts_builtin_sym_end] = ACTIONS(4455),
    [sym__lowercase_identifier] = ACTIONS(3905),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(3907),
    [anon_sym_QMARK] = ACTIONS(3907),
    [anon_sym_LPAREN] = ACTIONS(603),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(605),
    [anon_sym_true] = ACTIONS(607),
    [anon_sym_false] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(609),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(611),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(615),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(625),
    [anon_sym_LBRACE_LT] = ACTIONS(627),
    [anon_sym_begin] = ACTIONS(629),
    [sym_ocamlyacc_value] = ACTIONS(631),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(633),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(635),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(637),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(639),
    [anon_sym_DQUOTE] = ACTIONS(641),
    [sym_prefix_operator] = ACTIONS(643),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(647),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(649),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2825] = {
    [sym__simple_expression] = STATE(4115),
    [sym_typed_expression] = STATE(4132),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_labeled_argument] = STATE(5335),
    [sym_prefix_expression] = STATE(4132),
    [sym_hash_expression] = STATE(4132),
    [sym_field_get_expression] = STATE(4132),
    [sym_array_get_expression] = STATE(4132),
    [sym_string_get_expression] = STATE(4132),
    [sym_bigarray_get_expression] = STATE(4132),
    [sym_coercion_expression] = STATE(4132),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2825),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [aux_sym_class_application_repeat1] = STATE(2825),
    [sym__lowercase_identifier] = ACTIONS(4733),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(4736),
    [anon_sym_QMARK] = ACTIONS(4736),
    [anon_sym_LPAREN] = ACTIONS(4739),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(4742),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(4745),
    [anon_sym_false] = ACTIONS(4745),
    [anon_sym_LBRACE] = ACTIONS(4748),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(4751),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4754),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(4757),
    [anon_sym_LBRACE_LT] = ACTIONS(4760),
    [anon_sym_begin] = ACTIONS(4763),
    [sym_ocamlyacc_value] = ACTIONS(4766),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4769),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4772),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(4775),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(4778),
    [anon_sym_DQUOTE] = ACTIONS(4781),
    [sym_prefix_operator] = ACTIONS(4784),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(4787),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(4790),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2826] = {
    [sym__simple_expression] = STATE(4575),
    [sym_typed_expression] = STATE(4567),
    [sym_list_expression] = STATE(4567),
    [sym_array_expression] = STATE(4567),
    [sym_record_expression] = STATE(4567),
    [sym_labeled_argument] = STATE(5335),
    [sym_prefix_expression] = STATE(4567),
    [sym_hash_expression] = STATE(4567),
    [sym_field_get_expression] = STATE(4567),
    [sym_array_get_expression] = STATE(4567),
    [sym_string_get_expression] = STATE(4567),
    [sym_bigarray_get_expression] = STATE(4567),
    [sym_coercion_expression] = STATE(4567),
    [sym_local_open_expression] = STATE(4567),
    [sym_package_expression] = STATE(4567),
    [sym_new_expression] = STATE(4567),
    [sym_object_copy_expression] = STATE(4567),
    [sym_method_invocation] = STATE(4567),
    [sym_object_expression] = STATE(4567),
    [sym_parenthesized_expression] = STATE(4567),
    [sym_attribute] = STATE(2826),
    [sym_extension] = STATE(4567),
    [sym_quoted_extension] = STATE(4567),
    [sym__constant] = STATE(4567),
    [sym_number] = STATE(4252),
    [sym_character] = STATE(4252),
    [sym_string] = STATE(4252),
    [sym_quoted_string] = STATE(4252),
    [sym_boolean] = STATE(4252),
    [sym_unit] = STATE(4252),
    [sym__value_name] = STATE(4107),
    [sym_parenthesized_operator] = STATE(4133),
    [sym_value_path] = STATE(4567),
    [sym_module_path] = STATE(21807),
    [sym_constructor_path] = STATE(4567),
    [sym__constructor_name] = STATE(4260),
    [sym_tag] = STATE(4567),
    [aux_sym_class_application_repeat1] = STATE(2826),
    [ts_builtin_sym_end] = ACTIONS(4469),
    [sym__lowercase_identifier] = ACTIONS(4793),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(4796),
    [anon_sym_QMARK] = ACTIONS(4796),
    [anon_sym_LPAREN] = ACTIONS(4799),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(4802),
    [anon_sym_true] = ACTIONS(4805),
    [anon_sym_false] = ACTIONS(4805),
    [anon_sym_LBRACE] = ACTIONS(4808),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(4811),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4814),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(4817),
    [anon_sym_LBRACE_LT] = ACTIONS(4820),
    [anon_sym_begin] = ACTIONS(4823),
    [sym_ocamlyacc_value] = ACTIONS(4826),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4829),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4832),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(4835),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(4838),
    [anon_sym_DQUOTE] = ACTIONS(4841),
    [sym_prefix_operator] = ACTIONS(4844),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(4847),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(4850),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2827] = {
    [sym__simple_expression] = STATE(4139),
    [sym_typed_expression] = STATE(4170),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_labeled_argument] = STATE(5801),
    [sym_prefix_expression] = STATE(4170),
    [sym_hash_expression] = STATE(4170),
    [sym_field_get_expression] = STATE(4170),
    [sym_array_get_expression] = STATE(4170),
    [sym_string_get_expression] = STATE(4170),
    [sym_bigarray_get_expression] = STATE(4170),
    [sym_coercion_expression] = STATE(4170),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2827),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [aux_sym_class_application_repeat1] = STATE(2829),
    [sym__lowercase_identifier] = ACTIONS(4049),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4051),
    [anon_sym_QMARK] = ACTIONS(4051),
    [anon_sym_LPAREN] = ACTIONS(655),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(657),
    [anon_sym_true] = ACTIONS(659),
    [anon_sym_false] = ACTIONS(659),
    [anon_sym_LBRACE] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_end] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(663),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(667),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_LBRACE_LT] = ACTIONS(679),
    [anon_sym_begin] = ACTIONS(681),
    [sym_ocamlyacc_value] = ACTIONS(683),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(685),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(687),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(689),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [sym_prefix_operator] = ACTIONS(695),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(699),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2828] = {
    [sym__simple_expression] = STATE(4314),
    [sym_typed_expression] = STATE(4316),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_labeled_argument] = STATE(5229),
    [sym_prefix_expression] = STATE(4316),
    [sym_hash_expression] = STATE(4316),
    [sym_field_get_expression] = STATE(4316),
    [sym_array_get_expression] = STATE(4316),
    [sym_string_get_expression] = STATE(4316),
    [sym_bigarray_get_expression] = STATE(4316),
    [sym_coercion_expression] = STATE(4316),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2828),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [aux_sym_class_application_repeat1] = STATE(2833),
    [ts_builtin_sym_end] = ACTIONS(4455),
    [sym__lowercase_identifier] = ACTIONS(4375),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4377),
    [anon_sym_QMARK] = ACTIONS(4377),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_true] = ACTIONS(771),
    [anon_sym_false] = ACTIONS(771),
    [anon_sym_LBRACE] = ACTIONS(773),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(4457),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(779),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_LBRACE_LT] = ACTIONS(791),
    [anon_sym_begin] = ACTIONS(793),
    [sym_ocamlyacc_value] = ACTIONS(795),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(799),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(801),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [sym_prefix_operator] = ACTIONS(807),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(811),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(813),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2829] = {
    [sym__simple_expression] = STATE(4139),
    [sym_typed_expression] = STATE(4170),
    [sym_list_expression] = STATE(4170),
    [sym_array_expression] = STATE(4170),
    [sym_record_expression] = STATE(4170),
    [sym_labeled_argument] = STATE(5801),
    [sym_prefix_expression] = STATE(4170),
    [sym_hash_expression] = STATE(4170),
    [sym_field_get_expression] = STATE(4170),
    [sym_array_get_expression] = STATE(4170),
    [sym_string_get_expression] = STATE(4170),
    [sym_bigarray_get_expression] = STATE(4170),
    [sym_coercion_expression] = STATE(4170),
    [sym_local_open_expression] = STATE(4170),
    [sym_package_expression] = STATE(4170),
    [sym_new_expression] = STATE(4170),
    [sym_object_copy_expression] = STATE(4170),
    [sym_method_invocation] = STATE(4170),
    [sym_object_expression] = STATE(4170),
    [sym_parenthesized_expression] = STATE(4170),
    [sym_attribute] = STATE(2829),
    [sym_extension] = STATE(4170),
    [sym_quoted_extension] = STATE(4170),
    [sym__constant] = STATE(4170),
    [sym_number] = STATE(4282),
    [sym_character] = STATE(4282),
    [sym_string] = STATE(4282),
    [sym_quoted_string] = STATE(4282),
    [sym_boolean] = STATE(4282),
    [sym_unit] = STATE(4282),
    [sym__value_name] = STATE(4209),
    [sym_parenthesized_operator] = STATE(4243),
    [sym_value_path] = STATE(4170),
    [sym_module_path] = STATE(21995),
    [sym_constructor_path] = STATE(4170),
    [sym__constructor_name] = STATE(4298),
    [sym_tag] = STATE(4170),
    [aux_sym_class_application_repeat1] = STATE(2829),
    [sym__lowercase_identifier] = ACTIONS(4853),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(4856),
    [anon_sym_QMARK] = ACTIONS(4856),
    [anon_sym_LPAREN] = ACTIONS(4859),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(4862),
    [anon_sym_true] = ACTIONS(4865),
    [anon_sym_false] = ACTIONS(4865),
    [anon_sym_LBRACE] = ACTIONS(4868),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(4871),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4874),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(4877),
    [anon_sym_LBRACE_LT] = ACTIONS(4880),
    [anon_sym_begin] = ACTIONS(4883),
    [sym_ocamlyacc_value] = ACTIONS(4886),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4892),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(4895),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(4898),
    [anon_sym_DQUOTE] = ACTIONS(4901),
    [sym_prefix_operator] = ACTIONS(4904),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(4907),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(4910),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2830] = {
    [sym__simple_expression] = STATE(4394),
    [sym_typed_expression] = STATE(4403),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_labeled_argument] = STATE(5229),
    [sym_prefix_expression] = STATE(4403),
    [sym_hash_expression] = STATE(4403),
    [sym_field_get_expression] = STATE(4403),
    [sym_array_get_expression] = STATE(4403),
    [sym_string_get_expression] = STATE(4403),
    [sym_bigarray_get_expression] = STATE(4403),
    [sym_coercion_expression] = STATE(4403),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2830),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [aux_sym_class_application_repeat1] = STATE(2835),
    [sym__lowercase_identifier] = ACTIONS(4283),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4285),
    [anon_sym_QMARK] = ACTIONS(4285),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(825),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(827),
    [anon_sym_false] = ACTIONS(827),
    [anon_sym_LBRACE] = ACTIONS(829),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(831),
    [anon_sym_in] = ACTIONS(4457),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(835),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_LBRACE_LT] = ACTIONS(847),
    [anon_sym_begin] = ACTIONS(849),
    [sym_ocamlyacc_value] = ACTIONS(851),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(853),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(855),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(857),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [sym_prefix_operator] = ACTIONS(863),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(867),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(869),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2831] = {
    [sym__simple_expression] = STATE(5419),
    [sym_typed_expression] = STATE(5528),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_labeled_argument] = STATE(5853),
    [sym_prefix_expression] = STATE(5528),
    [sym_hash_expression] = STATE(5528),
    [sym_field_get_expression] = STATE(5528),
    [sym_array_get_expression] = STATE(5528),
    [sym_string_get_expression] = STATE(5528),
    [sym_bigarray_get_expression] = STATE(5528),
    [sym_coercion_expression] = STATE(5528),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2831),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [aux_sym_class_application_repeat1] = STATE(2849),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4915),
    [anon_sym_QMARK] = ACTIONS(4915),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_DOT] = ACTIONS(4917),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_POUND] = ACTIONS(4919),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4921),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2832] = {
    [sym__simple_expression] = STATE(4115),
    [sym_typed_expression] = STATE(4132),
    [sym_list_expression] = STATE(4132),
    [sym_array_expression] = STATE(4132),
    [sym_record_expression] = STATE(4132),
    [sym_labeled_argument] = STATE(5335),
    [sym_prefix_expression] = STATE(4132),
    [sym_hash_expression] = STATE(4132),
    [sym_field_get_expression] = STATE(4132),
    [sym_array_get_expression] = STATE(4132),
    [sym_string_get_expression] = STATE(4132),
    [sym_bigarray_get_expression] = STATE(4132),
    [sym_coercion_expression] = STATE(4132),
    [sym_local_open_expression] = STATE(4132),
    [sym_package_expression] = STATE(4132),
    [sym_new_expression] = STATE(4132),
    [sym_object_copy_expression] = STATE(4132),
    [sym_method_invocation] = STATE(4132),
    [sym_object_expression] = STATE(4132),
    [sym_parenthesized_expression] = STATE(4132),
    [sym_attribute] = STATE(2832),
    [sym_extension] = STATE(4132),
    [sym_quoted_extension] = STATE(4132),
    [sym__constant] = STATE(4132),
    [sym_number] = STATE(4276),
    [sym_character] = STATE(4276),
    [sym_string] = STATE(4276),
    [sym_quoted_string] = STATE(4276),
    [sym_boolean] = STATE(4276),
    [sym_unit] = STATE(4276),
    [sym__value_name] = STATE(4171),
    [sym_parenthesized_operator] = STATE(4241),
    [sym_value_path] = STATE(4132),
    [sym_module_path] = STATE(21958),
    [sym_constructor_path] = STATE(4132),
    [sym__constructor_name] = STATE(4290),
    [sym_tag] = STATE(4132),
    [aux_sym_class_application_repeat1] = STATE(2825),
    [sym__lowercase_identifier] = ACTIONS(4025),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4027),
    [anon_sym_QMARK] = ACTIONS(4027),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(709),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(711),
    [anon_sym_false] = ACTIONS(711),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(715),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(719),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_LBRACE_LT] = ACTIONS(731),
    [anon_sym_begin] = ACTIONS(733),
    [sym_ocamlyacc_value] = ACTIONS(735),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(737),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(739),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(741),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [sym_prefix_operator] = ACTIONS(747),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(751),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(753),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2833] = {
    [sym__simple_expression] = STATE(4314),
    [sym_typed_expression] = STATE(4316),
    [sym_list_expression] = STATE(4316),
    [sym_array_expression] = STATE(4316),
    [sym_record_expression] = STATE(4316),
    [sym_labeled_argument] = STATE(5229),
    [sym_prefix_expression] = STATE(4316),
    [sym_hash_expression] = STATE(4316),
    [sym_field_get_expression] = STATE(4316),
    [sym_array_get_expression] = STATE(4316),
    [sym_string_get_expression] = STATE(4316),
    [sym_bigarray_get_expression] = STATE(4316),
    [sym_coercion_expression] = STATE(4316),
    [sym_local_open_expression] = STATE(4316),
    [sym_package_expression] = STATE(4316),
    [sym_new_expression] = STATE(4316),
    [sym_object_copy_expression] = STATE(4316),
    [sym_method_invocation] = STATE(4316),
    [sym_object_expression] = STATE(4316),
    [sym_parenthesized_expression] = STATE(4316),
    [sym_attribute] = STATE(2833),
    [sym_extension] = STATE(4316),
    [sym_quoted_extension] = STATE(4316),
    [sym__constant] = STATE(4316),
    [sym_number] = STATE(4376),
    [sym_character] = STATE(4376),
    [sym_string] = STATE(4376),
    [sym_quoted_string] = STATE(4376),
    [sym_boolean] = STATE(4376),
    [sym_unit] = STATE(4376),
    [sym__value_name] = STATE(4352),
    [sym_parenthesized_operator] = STATE(4365),
    [sym_value_path] = STATE(4316),
    [sym_module_path] = STATE(23689),
    [sym_constructor_path] = STATE(4316),
    [sym__constructor_name] = STATE(4383),
    [sym_tag] = STATE(4316),
    [aux_sym_class_application_repeat1] = STATE(2833),
    [ts_builtin_sym_end] = ACTIONS(4469),
    [sym__lowercase_identifier] = ACTIONS(4923),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(4926),
    [anon_sym_QMARK] = ACTIONS(4926),
    [anon_sym_LPAREN] = ACTIONS(4929),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(4932),
    [anon_sym_true] = ACTIONS(4935),
    [anon_sym_false] = ACTIONS(4935),
    [anon_sym_LBRACE] = ACTIONS(4938),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(4941),
    [anon_sym_in] = ACTIONS(4474),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4944),
    [anon_sym_new] = ACTIONS(4947),
    [anon_sym_LBRACE_LT] = ACTIONS(4950),
    [anon_sym_begin] = ACTIONS(4953),
    [sym_ocamlyacc_value] = ACTIONS(4956),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4959),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4962),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(4965),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(4968),
    [anon_sym_DQUOTE] = ACTIONS(4971),
    [sym_prefix_operator] = ACTIONS(4974),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(4977),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(4980),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2834] = {
    [sym__simple_expression] = STATE(5516),
    [sym_typed_expression] = STATE(5618),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_labeled_argument] = STATE(5865),
    [sym_prefix_expression] = STATE(5618),
    [sym_hash_expression] = STATE(5618),
    [sym_field_get_expression] = STATE(5618),
    [sym_array_get_expression] = STATE(5618),
    [sym_string_get_expression] = STATE(5618),
    [sym_bigarray_get_expression] = STATE(5618),
    [sym_coercion_expression] = STATE(5618),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2834),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [aux_sym_class_application_repeat1] = STATE(2854),
    [sym__lowercase_identifier] = ACTIONS(4983),
    [anon_sym_SEMI_SEMI] = ACTIONS(3711),
    [anon_sym_let] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(4985),
    [anon_sym_QMARK] = ACTIONS(4985),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_external] = ACTIONS(3715),
    [anon_sym_type] = ACTIONS(3715),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_DOT] = ACTIONS(4987),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(3715),
    [anon_sym_exception] = ACTIONS(3715),
    [anon_sym_module] = ACTIONS(3715),
    [anon_sym_open] = ACTIONS(3715),
    [anon_sym_include] = ACTIONS(3715),
    [anon_sym_class] = ACTIONS(3715),
    [anon_sym_end] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_POUND] = ACTIONS(4989),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(4991),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(3715),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2835] = {
    [sym__simple_expression] = STATE(4394),
    [sym_typed_expression] = STATE(4403),
    [sym_list_expression] = STATE(4403),
    [sym_array_expression] = STATE(4403),
    [sym_record_expression] = STATE(4403),
    [sym_labeled_argument] = STATE(5229),
    [sym_prefix_expression] = STATE(4403),
    [sym_hash_expression] = STATE(4403),
    [sym_field_get_expression] = STATE(4403),
    [sym_array_get_expression] = STATE(4403),
    [sym_string_get_expression] = STATE(4403),
    [sym_bigarray_get_expression] = STATE(4403),
    [sym_coercion_expression] = STATE(4403),
    [sym_local_open_expression] = STATE(4403),
    [sym_package_expression] = STATE(4403),
    [sym_new_expression] = STATE(4403),
    [sym_object_copy_expression] = STATE(4403),
    [sym_method_invocation] = STATE(4403),
    [sym_object_expression] = STATE(4403),
    [sym_parenthesized_expression] = STATE(4403),
    [sym_attribute] = STATE(2835),
    [sym_extension] = STATE(4403),
    [sym_quoted_extension] = STATE(4403),
    [sym__constant] = STATE(4403),
    [sym_number] = STATE(4540),
    [sym_character] = STATE(4540),
    [sym_string] = STATE(4540),
    [sym_quoted_string] = STATE(4540),
    [sym_boolean] = STATE(4540),
    [sym_unit] = STATE(4540),
    [sym__value_name] = STATE(4441),
    [sym_parenthesized_operator] = STATE(4511),
    [sym_value_path] = STATE(4403),
    [sym_module_path] = STATE(21181),
    [sym_constructor_path] = STATE(4403),
    [sym__constructor_name] = STATE(4556),
    [sym_tag] = STATE(4403),
    [aux_sym_class_application_repeat1] = STATE(2835),
    [sym__lowercase_identifier] = ACTIONS(4993),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(4996),
    [anon_sym_QMARK] = ACTIONS(4996),
    [anon_sym_LPAREN] = ACTIONS(4999),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5002),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(5005),
    [anon_sym_false] = ACTIONS(5005),
    [anon_sym_LBRACE] = ACTIONS(5008),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5011),
    [anon_sym_in] = ACTIONS(4474),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5014),
    [anon_sym_new] = ACTIONS(5017),
    [anon_sym_LBRACE_LT] = ACTIONS(5020),
    [anon_sym_begin] = ACTIONS(5023),
    [sym_ocamlyacc_value] = ACTIONS(5026),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5029),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5032),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5035),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5038),
    [anon_sym_DQUOTE] = ACTIONS(5041),
    [sym_prefix_operator] = ACTIONS(5044),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5047),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(5050),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2836] = {
    [sym__simple_expression] = STATE(4465),
    [sym_typed_expression] = STATE(4456),
    [sym_list_expression] = STATE(4456),
    [sym_array_expression] = STATE(4456),
    [sym_record_expression] = STATE(4456),
    [sym_labeled_argument] = STATE(5451),
    [sym_prefix_expression] = STATE(4456),
    [sym_hash_expression] = STATE(4456),
    [sym_field_get_expression] = STATE(4456),
    [sym_array_get_expression] = STATE(4456),
    [sym_string_get_expression] = STATE(4456),
    [sym_bigarray_get_expression] = STATE(4456),
    [sym_coercion_expression] = STATE(4456),
    [sym_local_open_expression] = STATE(4456),
    [sym_package_expression] = STATE(4456),
    [sym_new_expression] = STATE(4456),
    [sym_object_copy_expression] = STATE(4456),
    [sym_method_invocation] = STATE(4456),
    [sym_object_expression] = STATE(4456),
    [sym_parenthesized_expression] = STATE(4456),
    [sym_attribute] = STATE(2836),
    [sym_extension] = STATE(4456),
    [sym_quoted_extension] = STATE(4456),
    [sym__constant] = STATE(4456),
    [sym_number] = STATE(4563),
    [sym_character] = STATE(4563),
    [sym_string] = STATE(4563),
    [sym_quoted_string] = STATE(4563),
    [sym_boolean] = STATE(4563),
    [sym_unit] = STATE(4563),
    [sym__value_name] = STATE(4498),
    [sym_parenthesized_operator] = STATE(4515),
    [sym_value_path] = STATE(4456),
    [sym_module_path] = STATE(21304),
    [sym_constructor_path] = STATE(4456),
    [sym__constructor_name] = STATE(4108),
    [sym_tag] = STATE(4456),
    [aux_sym_class_application_repeat1] = STATE(2822),
    [sym__lowercase_identifier] = ACTIONS(4317),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4319),
    [anon_sym_QMARK] = ACTIONS(4319),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(877),
    [anon_sym_true] = ACTIONS(879),
    [anon_sym_false] = ACTIONS(879),
    [anon_sym_LBRACE] = ACTIONS(881),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_end] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(883),
    [anon_sym_in] = ACTIONS(4457),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(887),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_LBRACE_LT] = ACTIONS(899),
    [anon_sym_begin] = ACTIONS(901),
    [sym_ocamlyacc_value] = ACTIONS(903),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(905),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(907),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(909),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [sym_prefix_operator] = ACTIONS(915),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(919),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(921),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2837] = {
    [sym__simple_expression] = STATE(4947),
    [sym_typed_expression] = STATE(4971),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_labeled_argument] = STATE(5431),
    [sym_prefix_expression] = STATE(4971),
    [sym_hash_expression] = STATE(4971),
    [sym_field_get_expression] = STATE(4971),
    [sym_array_get_expression] = STATE(4971),
    [sym_string_get_expression] = STATE(4971),
    [sym_bigarray_get_expression] = STATE(4971),
    [sym_coercion_expression] = STATE(4971),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2837),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [aux_sym_class_application_repeat1] = STATE(2837),
    [ts_builtin_sym_end] = ACTIONS(4469),
    [sym__lowercase_identifier] = ACTIONS(5053),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(5056),
    [anon_sym_QMARK] = ACTIONS(5056),
    [anon_sym_LPAREN] = ACTIONS(5059),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5062),
    [anon_sym_true] = ACTIONS(5065),
    [anon_sym_false] = ACTIONS(5065),
    [anon_sym_LBRACE] = ACTIONS(5068),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5071),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5074),
    [anon_sym_new] = ACTIONS(5077),
    [anon_sym_LBRACE_LT] = ACTIONS(5080),
    [anon_sym_begin] = ACTIONS(5083),
    [sym_ocamlyacc_value] = ACTIONS(5086),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5089),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5092),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5095),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5098),
    [anon_sym_DQUOTE] = ACTIONS(5101),
    [sym_prefix_operator] = ACTIONS(5104),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5107),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(5110),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2838] = {
    [sym__simple_expression] = STATE(4838),
    [sym_typed_expression] = STATE(4792),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_labeled_argument] = STATE(5431),
    [sym_prefix_expression] = STATE(4792),
    [sym_hash_expression] = STATE(4792),
    [sym_field_get_expression] = STATE(4792),
    [sym_array_get_expression] = STATE(4792),
    [sym_string_get_expression] = STATE(4792),
    [sym_bigarray_get_expression] = STATE(4792),
    [sym_coercion_expression] = STATE(4792),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2838),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [aux_sym_class_application_repeat1] = STATE(2838),
    [sym__lowercase_identifier] = ACTIONS(5113),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(5116),
    [anon_sym_QMARK] = ACTIONS(5116),
    [anon_sym_LPAREN] = ACTIONS(5119),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5122),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(5125),
    [anon_sym_false] = ACTIONS(5125),
    [anon_sym_LBRACE] = ACTIONS(5128),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5131),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5134),
    [anon_sym_new] = ACTIONS(5137),
    [anon_sym_LBRACE_LT] = ACTIONS(5140),
    [anon_sym_begin] = ACTIONS(5143),
    [sym_ocamlyacc_value] = ACTIONS(5146),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5152),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5155),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5158),
    [anon_sym_DQUOTE] = ACTIONS(5161),
    [sym_prefix_operator] = ACTIONS(5164),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5167),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(5170),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2839] = {
    [sym__simple_expression] = STATE(4866),
    [sym_typed_expression] = STATE(4854),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_labeled_argument] = STATE(5844),
    [sym_prefix_expression] = STATE(4854),
    [sym_hash_expression] = STATE(4854),
    [sym_field_get_expression] = STATE(4854),
    [sym_array_get_expression] = STATE(4854),
    [sym_string_get_expression] = STATE(4854),
    [sym_bigarray_get_expression] = STATE(4854),
    [sym_coercion_expression] = STATE(4854),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2839),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [aux_sym_class_application_repeat1] = STATE(2842),
    [sym__lowercase_identifier] = ACTIONS(4435),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4437),
    [anon_sym_QMARK] = ACTIONS(4437),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(929),
    [anon_sym_true] = ACTIONS(931),
    [anon_sym_false] = ACTIONS(931),
    [anon_sym_LBRACE] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_end] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(935),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(939),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_LBRACE_LT] = ACTIONS(951),
    [anon_sym_begin] = ACTIONS(953),
    [sym_ocamlyacc_value] = ACTIONS(955),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(959),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(961),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [sym_prefix_operator] = ACTIONS(967),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(971),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(973),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2840] = {
    [sym__simple_expression] = STATE(4838),
    [sym_typed_expression] = STATE(4792),
    [sym_list_expression] = STATE(4792),
    [sym_array_expression] = STATE(4792),
    [sym_record_expression] = STATE(4792),
    [sym_labeled_argument] = STATE(5431),
    [sym_prefix_expression] = STATE(4792),
    [sym_hash_expression] = STATE(4792),
    [sym_field_get_expression] = STATE(4792),
    [sym_array_get_expression] = STATE(4792),
    [sym_string_get_expression] = STATE(4792),
    [sym_bigarray_get_expression] = STATE(4792),
    [sym_coercion_expression] = STATE(4792),
    [sym_local_open_expression] = STATE(4792),
    [sym_package_expression] = STATE(4792),
    [sym_new_expression] = STATE(4792),
    [sym_object_copy_expression] = STATE(4792),
    [sym_method_invocation] = STATE(4792),
    [sym_object_expression] = STATE(4792),
    [sym_parenthesized_expression] = STATE(4792),
    [sym_attribute] = STATE(2840),
    [sym_extension] = STATE(4792),
    [sym_quoted_extension] = STATE(4792),
    [sym__constant] = STATE(4792),
    [sym_number] = STATE(4651),
    [sym_character] = STATE(4651),
    [sym_string] = STATE(4651),
    [sym_quoted_string] = STATE(4651),
    [sym_boolean] = STATE(4651),
    [sym_unit] = STATE(4651),
    [sym__value_name] = STATE(4836),
    [sym_parenthesized_operator] = STATE(4923),
    [sym_value_path] = STATE(4792),
    [sym_module_path] = STATE(21463),
    [sym_constructor_path] = STATE(4792),
    [sym__constructor_name] = STATE(4635),
    [sym_tag] = STATE(4792),
    [aux_sym_class_application_repeat1] = STATE(2838),
    [sym__lowercase_identifier] = ACTIONS(4425),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4427),
    [anon_sym_QMARK] = ACTIONS(4427),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(981),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(983),
    [anon_sym_false] = ACTIONS(983),
    [anon_sym_LBRACE] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(987),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_LBRACE_LT] = ACTIONS(1003),
    [anon_sym_begin] = ACTIONS(1005),
    [sym_ocamlyacc_value] = ACTIONS(1007),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1011),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(1013),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [sym_prefix_operator] = ACTIONS(1019),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1023),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(1025),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2841] = {
    [sym__simple_expression] = STATE(4947),
    [sym_typed_expression] = STATE(4971),
    [sym_list_expression] = STATE(4971),
    [sym_array_expression] = STATE(4971),
    [sym_record_expression] = STATE(4971),
    [sym_labeled_argument] = STATE(5431),
    [sym_prefix_expression] = STATE(4971),
    [sym_hash_expression] = STATE(4971),
    [sym_field_get_expression] = STATE(4971),
    [sym_array_get_expression] = STATE(4971),
    [sym_string_get_expression] = STATE(4971),
    [sym_bigarray_get_expression] = STATE(4971),
    [sym_coercion_expression] = STATE(4971),
    [sym_local_open_expression] = STATE(4971),
    [sym_package_expression] = STATE(4971),
    [sym_new_expression] = STATE(4971),
    [sym_object_copy_expression] = STATE(4971),
    [sym_method_invocation] = STATE(4971),
    [sym_object_expression] = STATE(4971),
    [sym_parenthesized_expression] = STATE(4971),
    [sym_attribute] = STATE(2841),
    [sym_extension] = STATE(4971),
    [sym_quoted_extension] = STATE(4971),
    [sym__constant] = STATE(4971),
    [sym_number] = STATE(4857),
    [sym_character] = STATE(4857),
    [sym_string] = STATE(4857),
    [sym_quoted_string] = STATE(4857),
    [sym_boolean] = STATE(4857),
    [sym_unit] = STATE(4857),
    [sym__value_name] = STATE(4626),
    [sym_parenthesized_operator] = STATE(4763),
    [sym_value_path] = STATE(4971),
    [sym_module_path] = STATE(21140),
    [sym_constructor_path] = STATE(4971),
    [sym__constructor_name] = STATE(4932),
    [sym_tag] = STATE(4971),
    [aux_sym_class_application_repeat1] = STATE(2837),
    [ts_builtin_sym_end] = ACTIONS(4455),
    [sym__lowercase_identifier] = ACTIONS(4415),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4417),
    [anon_sym_QMARK] = ACTIONS(4417),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1033),
    [anon_sym_true] = ACTIONS(1035),
    [anon_sym_false] = ACTIONS(1035),
    [anon_sym_LBRACE] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_LBRACE_LT] = ACTIONS(1055),
    [anon_sym_begin] = ACTIONS(1057),
    [sym_ocamlyacc_value] = ACTIONS(1059),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1063),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(1065),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [sym_prefix_operator] = ACTIONS(1071),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1075),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(1077),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2842] = {
    [sym__simple_expression] = STATE(4866),
    [sym_typed_expression] = STATE(4854),
    [sym_list_expression] = STATE(4854),
    [sym_array_expression] = STATE(4854),
    [sym_record_expression] = STATE(4854),
    [sym_labeled_argument] = STATE(5844),
    [sym_prefix_expression] = STATE(4854),
    [sym_hash_expression] = STATE(4854),
    [sym_field_get_expression] = STATE(4854),
    [sym_array_get_expression] = STATE(4854),
    [sym_string_get_expression] = STATE(4854),
    [sym_bigarray_get_expression] = STATE(4854),
    [sym_coercion_expression] = STATE(4854),
    [sym_local_open_expression] = STATE(4854),
    [sym_package_expression] = STATE(4854),
    [sym_new_expression] = STATE(4854),
    [sym_object_copy_expression] = STATE(4854),
    [sym_method_invocation] = STATE(4854),
    [sym_object_expression] = STATE(4854),
    [sym_parenthesized_expression] = STATE(4854),
    [sym_attribute] = STATE(2842),
    [sym_extension] = STATE(4854),
    [sym_quoted_extension] = STATE(4854),
    [sym__constant] = STATE(4854),
    [sym_number] = STATE(4673),
    [sym_character] = STATE(4673),
    [sym_string] = STATE(4673),
    [sym_quoted_string] = STATE(4673),
    [sym_boolean] = STATE(4673),
    [sym_unit] = STATE(4673),
    [sym__value_name] = STATE(4922),
    [sym_parenthesized_operator] = STATE(4967),
    [sym_value_path] = STATE(4854),
    [sym_module_path] = STATE(21579),
    [sym_constructor_path] = STATE(4854),
    [sym__constructor_name] = STATE(4640),
    [sym_tag] = STATE(4854),
    [aux_sym_class_application_repeat1] = STATE(2842),
    [sym__lowercase_identifier] = ACTIONS(5173),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(5176),
    [anon_sym_QMARK] = ACTIONS(5176),
    [anon_sym_LPAREN] = ACTIONS(5179),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5182),
    [anon_sym_true] = ACTIONS(5185),
    [anon_sym_false] = ACTIONS(5185),
    [anon_sym_LBRACE] = ACTIONS(5188),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5191),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5194),
    [anon_sym_new] = ACTIONS(5197),
    [anon_sym_LBRACE_LT] = ACTIONS(5200),
    [anon_sym_begin] = ACTIONS(5203),
    [sym_ocamlyacc_value] = ACTIONS(5206),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5209),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5212),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5215),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5218),
    [anon_sym_DQUOTE] = ACTIONS(5221),
    [sym_prefix_operator] = ACTIONS(5224),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5227),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(5230),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2843] = {
    [sym__simple_expression] = STATE(5020),
    [sym_typed_expression] = STATE(5013),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_labeled_argument] = STATE(5843),
    [sym_prefix_expression] = STATE(5013),
    [sym_hash_expression] = STATE(5013),
    [sym_field_get_expression] = STATE(5013),
    [sym_array_get_expression] = STATE(5013),
    [sym_string_get_expression] = STATE(5013),
    [sym_bigarray_get_expression] = STATE(5013),
    [sym_coercion_expression] = STATE(5013),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2843),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [aux_sym_class_application_repeat1] = STATE(2847),
    [ts_builtin_sym_end] = ACTIONS(4455),
    [sym__lowercase_identifier] = ACTIONS(4459),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4461),
    [anon_sym_QMARK] = ACTIONS(4461),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1085),
    [anon_sym_true] = ACTIONS(1087),
    [anon_sym_false] = ACTIONS(1087),
    [anon_sym_LBRACE] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1095),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_LBRACE_LT] = ACTIONS(1107),
    [anon_sym_begin] = ACTIONS(1109),
    [sym_ocamlyacc_value] = ACTIONS(1111),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1115),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(1117),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [sym_prefix_operator] = ACTIONS(1123),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1127),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(1129),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2844] = {
    [sym__simple_expression] = STATE(5177),
    [sym_typed_expression] = STATE(5170),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_labeled_argument] = STATE(5843),
    [sym_prefix_expression] = STATE(5170),
    [sym_hash_expression] = STATE(5170),
    [sym_field_get_expression] = STATE(5170),
    [sym_array_get_expression] = STATE(5170),
    [sym_string_get_expression] = STATE(5170),
    [sym_bigarray_get_expression] = STATE(5170),
    [sym_coercion_expression] = STATE(5170),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2844),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [aux_sym_class_application_repeat1] = STATE(2844),
    [sym__lowercase_identifier] = ACTIONS(5233),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(5236),
    [anon_sym_QMARK] = ACTIONS(5236),
    [anon_sym_LPAREN] = ACTIONS(5239),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5242),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(5245),
    [anon_sym_false] = ACTIONS(5245),
    [anon_sym_LBRACE] = ACTIONS(5248),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5251),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5254),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(5257),
    [anon_sym_LBRACE_LT] = ACTIONS(5260),
    [anon_sym_begin] = ACTIONS(5263),
    [sym_ocamlyacc_value] = ACTIONS(5266),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5269),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5272),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5275),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5278),
    [anon_sym_DQUOTE] = ACTIONS(5281),
    [sym_prefix_operator] = ACTIONS(5284),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5287),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(5290),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2845] = {
    [sym__simple_expression] = STATE(5296),
    [sym_typed_expression] = STATE(5250),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_labeled_argument] = STATE(5850),
    [sym_prefix_expression] = STATE(5250),
    [sym_hash_expression] = STATE(5250),
    [sym_field_get_expression] = STATE(5250),
    [sym_array_get_expression] = STATE(5250),
    [sym_string_get_expression] = STATE(5250),
    [sym_bigarray_get_expression] = STATE(5250),
    [sym_coercion_expression] = STATE(5250),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2845),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [aux_sym_class_application_repeat1] = STATE(2848),
    [sym__lowercase_identifier] = ACTIONS(4445),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4447),
    [anon_sym_QMARK] = ACTIONS(4447),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1189),
    [anon_sym_true] = ACTIONS(1191),
    [anon_sym_false] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_end] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(1195),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(1209),
    [anon_sym_LBRACE_LT] = ACTIONS(1211),
    [anon_sym_begin] = ACTIONS(1213),
    [sym_ocamlyacc_value] = ACTIONS(1215),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1219),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(1221),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [sym_prefix_operator] = ACTIONS(1227),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1231),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(1233),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2846] = {
    [sym__simple_expression] = STATE(5177),
    [sym_typed_expression] = STATE(5170),
    [sym_list_expression] = STATE(5170),
    [sym_array_expression] = STATE(5170),
    [sym_record_expression] = STATE(5170),
    [sym_labeled_argument] = STATE(5843),
    [sym_prefix_expression] = STATE(5170),
    [sym_hash_expression] = STATE(5170),
    [sym_field_get_expression] = STATE(5170),
    [sym_array_get_expression] = STATE(5170),
    [sym_string_get_expression] = STATE(5170),
    [sym_bigarray_get_expression] = STATE(5170),
    [sym_coercion_expression] = STATE(5170),
    [sym_local_open_expression] = STATE(5170),
    [sym_package_expression] = STATE(5170),
    [sym_new_expression] = STATE(5170),
    [sym_object_copy_expression] = STATE(5170),
    [sym_method_invocation] = STATE(5170),
    [sym_object_expression] = STATE(5170),
    [sym_parenthesized_expression] = STATE(5170),
    [sym_attribute] = STATE(2846),
    [sym_extension] = STATE(5170),
    [sym_quoted_extension] = STATE(5170),
    [sym__constant] = STATE(5170),
    [sym_number] = STATE(5365),
    [sym_character] = STATE(5365),
    [sym_string] = STATE(5365),
    [sym_quoted_string] = STATE(5365),
    [sym_boolean] = STATE(5365),
    [sym_unit] = STATE(5365),
    [sym__value_name] = STATE(5220),
    [sym_parenthesized_operator] = STATE(5300),
    [sym_value_path] = STATE(5170),
    [sym_module_path] = STATE(21222),
    [sym_constructor_path] = STATE(5170),
    [sym__constructor_name] = STATE(5384),
    [sym_tag] = STATE(5170),
    [aux_sym_class_application_repeat1] = STATE(2844),
    [sym__lowercase_identifier] = ACTIONS(4653),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4655),
    [anon_sym_QMARK] = ACTIONS(4655),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1137),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(1139),
    [anon_sym_false] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(1143),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_LBRACE_LT] = ACTIONS(1159),
    [anon_sym_begin] = ACTIONS(1161),
    [sym_ocamlyacc_value] = ACTIONS(1163),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1167),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(1169),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [sym_prefix_operator] = ACTIONS(1175),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1179),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(1181),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2847] = {
    [sym__simple_expression] = STATE(5020),
    [sym_typed_expression] = STATE(5013),
    [sym_list_expression] = STATE(5013),
    [sym_array_expression] = STATE(5013),
    [sym_record_expression] = STATE(5013),
    [sym_labeled_argument] = STATE(5843),
    [sym_prefix_expression] = STATE(5013),
    [sym_hash_expression] = STATE(5013),
    [sym_field_get_expression] = STATE(5013),
    [sym_array_get_expression] = STATE(5013),
    [sym_string_get_expression] = STATE(5013),
    [sym_bigarray_get_expression] = STATE(5013),
    [sym_coercion_expression] = STATE(5013),
    [sym_local_open_expression] = STATE(5013),
    [sym_package_expression] = STATE(5013),
    [sym_new_expression] = STATE(5013),
    [sym_object_copy_expression] = STATE(5013),
    [sym_method_invocation] = STATE(5013),
    [sym_object_expression] = STATE(5013),
    [sym_parenthesized_expression] = STATE(5013),
    [sym_attribute] = STATE(2847),
    [sym_extension] = STATE(5013),
    [sym_quoted_extension] = STATE(5013),
    [sym__constant] = STATE(5013),
    [sym_number] = STATE(5108),
    [sym_character] = STATE(5108),
    [sym_string] = STATE(5108),
    [sym_quoted_string] = STATE(5108),
    [sym_boolean] = STATE(5108),
    [sym_unit] = STATE(5108),
    [sym__value_name] = STATE(5056),
    [sym_parenthesized_operator] = STATE(5082),
    [sym_value_path] = STATE(5013),
    [sym_module_path] = STATE(20488),
    [sym_constructor_path] = STATE(5013),
    [sym__constructor_name] = STATE(5127),
    [sym_tag] = STATE(5013),
    [aux_sym_class_application_repeat1] = STATE(2847),
    [ts_builtin_sym_end] = ACTIONS(4469),
    [sym__lowercase_identifier] = ACTIONS(5293),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(5296),
    [anon_sym_QMARK] = ACTIONS(5296),
    [anon_sym_LPAREN] = ACTIONS(5299),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5302),
    [anon_sym_true] = ACTIONS(5305),
    [anon_sym_false] = ACTIONS(5305),
    [anon_sym_LBRACE] = ACTIONS(5308),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5311),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5314),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(5317),
    [anon_sym_LBRACE_LT] = ACTIONS(5320),
    [anon_sym_begin] = ACTIONS(5323),
    [sym_ocamlyacc_value] = ACTIONS(5326),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5329),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5332),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5335),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5338),
    [anon_sym_DQUOTE] = ACTIONS(5341),
    [sym_prefix_operator] = ACTIONS(5344),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5347),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(5350),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2848] = {
    [sym__simple_expression] = STATE(5296),
    [sym_typed_expression] = STATE(5250),
    [sym_list_expression] = STATE(5250),
    [sym_array_expression] = STATE(5250),
    [sym_record_expression] = STATE(5250),
    [sym_labeled_argument] = STATE(5850),
    [sym_prefix_expression] = STATE(5250),
    [sym_hash_expression] = STATE(5250),
    [sym_field_get_expression] = STATE(5250),
    [sym_array_get_expression] = STATE(5250),
    [sym_string_get_expression] = STATE(5250),
    [sym_bigarray_get_expression] = STATE(5250),
    [sym_coercion_expression] = STATE(5250),
    [sym_local_open_expression] = STATE(5250),
    [sym_package_expression] = STATE(5250),
    [sym_new_expression] = STATE(5250),
    [sym_object_copy_expression] = STATE(5250),
    [sym_method_invocation] = STATE(5250),
    [sym_object_expression] = STATE(5250),
    [sym_parenthesized_expression] = STATE(5250),
    [sym_attribute] = STATE(2848),
    [sym_extension] = STATE(5250),
    [sym_quoted_extension] = STATE(5250),
    [sym__constant] = STATE(5250),
    [sym_number] = STATE(5383),
    [sym_character] = STATE(5383),
    [sym_string] = STATE(5383),
    [sym_quoted_string] = STATE(5383),
    [sym_boolean] = STATE(5383),
    [sym_unit] = STATE(5383),
    [sym__value_name] = STATE(5294),
    [sym_parenthesized_operator] = STATE(5329),
    [sym_value_path] = STATE(5250),
    [sym_module_path] = STATE(21345),
    [sym_constructor_path] = STATE(5250),
    [sym__constructor_name] = STATE(5004),
    [sym_tag] = STATE(5250),
    [aux_sym_class_application_repeat1] = STATE(2848),
    [sym__lowercase_identifier] = ACTIONS(5353),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(5356),
    [anon_sym_QMARK] = ACTIONS(5356),
    [anon_sym_LPAREN] = ACTIONS(5359),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_true] = ACTIONS(5365),
    [anon_sym_false] = ACTIONS(5365),
    [anon_sym_LBRACE] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5371),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5374),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(5377),
    [anon_sym_LBRACE_LT] = ACTIONS(5380),
    [anon_sym_begin] = ACTIONS(5383),
    [sym_ocamlyacc_value] = ACTIONS(5386),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5389),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5392),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5395),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5398),
    [anon_sym_DQUOTE] = ACTIONS(5401),
    [sym_prefix_operator] = ACTIONS(5404),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5407),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(5410),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2849] = {
    [sym__simple_expression] = STATE(5419),
    [sym_typed_expression] = STATE(5528),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_labeled_argument] = STATE(5853),
    [sym_prefix_expression] = STATE(5528),
    [sym_hash_expression] = STATE(5528),
    [sym_field_get_expression] = STATE(5528),
    [sym_array_get_expression] = STATE(5528),
    [sym_string_get_expression] = STATE(5528),
    [sym_bigarray_get_expression] = STATE(5528),
    [sym_coercion_expression] = STATE(5528),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2849),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [aux_sym_class_application_repeat1] = STATE(2850),
    [sym__lowercase_identifier] = ACTIONS(4913),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4915),
    [anon_sym_QMARK] = ACTIONS(4915),
    [anon_sym_LPAREN] = ACTIONS(109),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(115),
    [anon_sym_false] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(119),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(123),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(127),
    [anon_sym_new] = ACTIONS(141),
    [anon_sym_LBRACE_LT] = ACTIONS(143),
    [anon_sym_begin] = ACTIONS(145),
    [sym_ocamlyacc_value] = ACTIONS(147),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(151),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(153),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(155),
    [anon_sym_DQUOTE] = ACTIONS(157),
    [sym_prefix_operator] = ACTIONS(159),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(165),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(169),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2850] = {
    [sym__simple_expression] = STATE(5419),
    [sym_typed_expression] = STATE(5528),
    [sym_list_expression] = STATE(5528),
    [sym_array_expression] = STATE(5528),
    [sym_record_expression] = STATE(5528),
    [sym_labeled_argument] = STATE(5853),
    [sym_prefix_expression] = STATE(5528),
    [sym_hash_expression] = STATE(5528),
    [sym_field_get_expression] = STATE(5528),
    [sym_array_get_expression] = STATE(5528),
    [sym_string_get_expression] = STATE(5528),
    [sym_bigarray_get_expression] = STATE(5528),
    [sym_coercion_expression] = STATE(5528),
    [sym_local_open_expression] = STATE(5528),
    [sym_package_expression] = STATE(5528),
    [sym_new_expression] = STATE(5528),
    [sym_object_copy_expression] = STATE(5528),
    [sym_method_invocation] = STATE(5528),
    [sym_object_expression] = STATE(5528),
    [sym_parenthesized_expression] = STATE(5528),
    [sym_attribute] = STATE(2850),
    [sym_extension] = STATE(5528),
    [sym_quoted_extension] = STATE(5528),
    [sym__constant] = STATE(5528),
    [sym_number] = STATE(5821),
    [sym_character] = STATE(5821),
    [sym_string] = STATE(5821),
    [sym_quoted_string] = STATE(5821),
    [sym_boolean] = STATE(5821),
    [sym_unit] = STATE(5821),
    [sym__value_name] = STATE(5621),
    [sym_parenthesized_operator] = STATE(5531),
    [sym_value_path] = STATE(5528),
    [sym_module_path] = STATE(22481),
    [sym_constructor_path] = STATE(5528),
    [sym__constructor_name] = STATE(5826),
    [sym_tag] = STATE(5528),
    [aux_sym_class_application_repeat1] = STATE(2850),
    [sym__lowercase_identifier] = ACTIONS(5413),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(5416),
    [anon_sym_QMARK] = ACTIONS(5416),
    [anon_sym_LPAREN] = ACTIONS(5419),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5422),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(5425),
    [anon_sym_false] = ACTIONS(5425),
    [anon_sym_LBRACE] = ACTIONS(5428),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5431),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5434),
    [anon_sym_new] = ACTIONS(5437),
    [anon_sym_LBRACE_LT] = ACTIONS(5440),
    [anon_sym_begin] = ACTIONS(5443),
    [sym_ocamlyacc_value] = ACTIONS(5446),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5452),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5455),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5458),
    [anon_sym_DQUOTE] = ACTIONS(5461),
    [sym_prefix_operator] = ACTIONS(5464),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5467),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(5470),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2851] = {
    [sym__simple_expression] = STATE(5441),
    [sym_typed_expression] = STATE(5748),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_labeled_argument] = STATE(5853),
    [sym_prefix_expression] = STATE(5748),
    [sym_hash_expression] = STATE(5748),
    [sym_field_get_expression] = STATE(5748),
    [sym_array_get_expression] = STATE(5748),
    [sym_string_get_expression] = STATE(5748),
    [sym_bigarray_get_expression] = STATE(5748),
    [sym_coercion_expression] = STATE(5748),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2851),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [aux_sym_class_application_repeat1] = STATE(2853),
    [ts_builtin_sym_end] = ACTIONS(4455),
    [sym__lowercase_identifier] = ACTIONS(4723),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4725),
    [anon_sym_QMARK] = ACTIONS(4725),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(25),
    [anon_sym_true] = ACTIONS(27),
    [anon_sym_false] = ACTIONS(27),
    [anon_sym_LBRACE] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(45),
    [anon_sym_new] = ACTIONS(63),
    [anon_sym_LBRACE_LT] = ACTIONS(65),
    [anon_sym_begin] = ACTIONS(67),
    [sym_ocamlyacc_value] = ACTIONS(69),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(81),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(85),
    [anon_sym_DQUOTE] = ACTIONS(87),
    [sym_prefix_operator] = ACTIONS(89),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(97),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2852] = {
    [sym__simple_expression] = STATE(5516),
    [sym_typed_expression] = STATE(5618),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_labeled_argument] = STATE(5865),
    [sym_prefix_expression] = STATE(5618),
    [sym_hash_expression] = STATE(5618),
    [sym_field_get_expression] = STATE(5618),
    [sym_array_get_expression] = STATE(5618),
    [sym_string_get_expression] = STATE(5618),
    [sym_bigarray_get_expression] = STATE(5618),
    [sym_coercion_expression] = STATE(5618),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2852),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [aux_sym_class_application_repeat1] = STATE(2852),
    [sym__lowercase_identifier] = ACTIONS(5473),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(5476),
    [anon_sym_QMARK] = ACTIONS(5476),
    [anon_sym_LPAREN] = ACTIONS(5479),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5482),
    [anon_sym_true] = ACTIONS(5485),
    [anon_sym_false] = ACTIONS(5485),
    [anon_sym_LBRACE] = ACTIONS(5488),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5491),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5494),
    [anon_sym_new] = ACTIONS(5497),
    [anon_sym_LBRACE_LT] = ACTIONS(5500),
    [anon_sym_begin] = ACTIONS(5503),
    [sym_ocamlyacc_value] = ACTIONS(5506),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5509),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5512),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5515),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5518),
    [anon_sym_DQUOTE] = ACTIONS(5521),
    [sym_prefix_operator] = ACTIONS(5524),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5527),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(5530),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2853] = {
    [sym__simple_expression] = STATE(5441),
    [sym_typed_expression] = STATE(5748),
    [sym_list_expression] = STATE(5748),
    [sym_array_expression] = STATE(5748),
    [sym_record_expression] = STATE(5748),
    [sym_labeled_argument] = STATE(5853),
    [sym_prefix_expression] = STATE(5748),
    [sym_hash_expression] = STATE(5748),
    [sym_field_get_expression] = STATE(5748),
    [sym_array_get_expression] = STATE(5748),
    [sym_string_get_expression] = STATE(5748),
    [sym_bigarray_get_expression] = STATE(5748),
    [sym_coercion_expression] = STATE(5748),
    [sym_local_open_expression] = STATE(5748),
    [sym_package_expression] = STATE(5748),
    [sym_new_expression] = STATE(5748),
    [sym_object_copy_expression] = STATE(5748),
    [sym_method_invocation] = STATE(5748),
    [sym_object_expression] = STATE(5748),
    [sym_parenthesized_expression] = STATE(5748),
    [sym_attribute] = STATE(2853),
    [sym_extension] = STATE(5748),
    [sym_quoted_extension] = STATE(5748),
    [sym__constant] = STATE(5748),
    [sym_number] = STATE(5593),
    [sym_character] = STATE(5593),
    [sym_string] = STATE(5593),
    [sym_quoted_string] = STATE(5593),
    [sym_boolean] = STATE(5593),
    [sym_unit] = STATE(5593),
    [sym__value_name] = STATE(5609),
    [sym_parenthesized_operator] = STATE(5575),
    [sym_value_path] = STATE(5748),
    [sym_module_path] = STATE(22848),
    [sym_constructor_path] = STATE(5748),
    [sym__constructor_name] = STATE(5699),
    [sym_tag] = STATE(5748),
    [aux_sym_class_application_repeat1] = STATE(2853),
    [ts_builtin_sym_end] = ACTIONS(4469),
    [sym__lowercase_identifier] = ACTIONS(5533),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(5536),
    [anon_sym_QMARK] = ACTIONS(5536),
    [anon_sym_LPAREN] = ACTIONS(5539),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5542),
    [anon_sym_true] = ACTIONS(5545),
    [anon_sym_false] = ACTIONS(5545),
    [anon_sym_LBRACE] = ACTIONS(5548),
    [anon_sym_SEMI] = ACTIONS(4474),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5551),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5554),
    [anon_sym_new] = ACTIONS(5557),
    [anon_sym_LBRACE_LT] = ACTIONS(5560),
    [anon_sym_begin] = ACTIONS(5563),
    [sym_ocamlyacc_value] = ACTIONS(5566),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5572),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5575),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5578),
    [anon_sym_DQUOTE] = ACTIONS(5581),
    [sym_prefix_operator] = ACTIONS(5584),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5587),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(5590),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2854] = {
    [sym__simple_expression] = STATE(5516),
    [sym_typed_expression] = STATE(5618),
    [sym_list_expression] = STATE(5618),
    [sym_array_expression] = STATE(5618),
    [sym_record_expression] = STATE(5618),
    [sym_labeled_argument] = STATE(5865),
    [sym_prefix_expression] = STATE(5618),
    [sym_hash_expression] = STATE(5618),
    [sym_field_get_expression] = STATE(5618),
    [sym_array_get_expression] = STATE(5618),
    [sym_string_get_expression] = STATE(5618),
    [sym_bigarray_get_expression] = STATE(5618),
    [sym_coercion_expression] = STATE(5618),
    [sym_local_open_expression] = STATE(5618),
    [sym_package_expression] = STATE(5618),
    [sym_new_expression] = STATE(5618),
    [sym_object_copy_expression] = STATE(5618),
    [sym_method_invocation] = STATE(5618),
    [sym_object_expression] = STATE(5618),
    [sym_parenthesized_expression] = STATE(5618),
    [sym_attribute] = STATE(2854),
    [sym_extension] = STATE(5618),
    [sym_quoted_extension] = STATE(5618),
    [sym__constant] = STATE(5618),
    [sym_number] = STATE(5501),
    [sym_character] = STATE(5501),
    [sym_string] = STATE(5501),
    [sym_quoted_string] = STATE(5501),
    [sym_boolean] = STATE(5501),
    [sym_unit] = STATE(5501),
    [sym__value_name] = STATE(5770),
    [sym_parenthesized_operator] = STATE(5771),
    [sym_value_path] = STATE(5618),
    [sym_module_path] = STATE(23101),
    [sym_constructor_path] = STATE(5618),
    [sym__constructor_name] = STATE(5509),
    [sym_tag] = STATE(5618),
    [aux_sym_class_application_repeat1] = STATE(2852),
    [sym__lowercase_identifier] = ACTIONS(4983),
    [anon_sym_SEMI_SEMI] = ACTIONS(4455),
    [anon_sym_let] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(4985),
    [anon_sym_QMARK] = ACTIONS(4985),
    [anon_sym_LPAREN] = ACTIONS(529),
    [anon_sym_external] = ACTIONS(4457),
    [anon_sym_type] = ACTIONS(4457),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(533),
    [anon_sym_true] = ACTIONS(535),
    [anon_sym_false] = ACTIONS(535),
    [anon_sym_LBRACE] = ACTIONS(537),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_exception] = ACTIONS(4457),
    [anon_sym_module] = ACTIONS(4457),
    [anon_sym_open] = ACTIONS(4457),
    [anon_sym_include] = ACTIONS(4457),
    [anon_sym_class] = ACTIONS(4457),
    [anon_sym_end] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(547),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(551),
    [anon_sym_new] = ACTIONS(561),
    [anon_sym_LBRACE_LT] = ACTIONS(563),
    [anon_sym_begin] = ACTIONS(565),
    [sym_ocamlyacc_value] = ACTIONS(567),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(569),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(571),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(573),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(575),
    [anon_sym_DQUOTE] = ACTIONS(577),
    [sym_prefix_operator] = ACTIONS(579),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(585),
    [aux_sym_directive_token1] = ACTIONS(4455),
    [aux_sym_tag_token1] = ACTIONS(589),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2855] = {
    [sym__simple_expression] = STATE(6039),
    [sym_typed_expression] = STATE(5996),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_labeled_argument] = STATE(6577),
    [sym_prefix_expression] = STATE(5996),
    [sym_hash_expression] = STATE(5996),
    [sym_field_get_expression] = STATE(5996),
    [sym_array_get_expression] = STATE(5996),
    [sym_string_get_expression] = STATE(5996),
    [sym_bigarray_get_expression] = STATE(5996),
    [sym_coercion_expression] = STATE(5996),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2855),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [aux_sym_class_application_repeat1] = STATE(2862),
    [sym__lowercase_identifier] = ACTIONS(5593),
    [anon_sym_TILDE] = ACTIONS(5595),
    [anon_sym_QMARK] = ACTIONS(5595),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_DOT] = ACTIONS(5597),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_constraint] = ACTIONS(3715),
    [anon_sym_val] = ACTIONS(3715),
    [anon_sym_end] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_inherit] = ACTIONS(3715),
    [anon_sym_method] = ACTIONS(3715),
    [anon_sym_initializer] = ACTIONS(3715),
    [anon_sym_POUND] = ACTIONS(5599),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1285),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(5601),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2856] = {
    [sym__simple_expression] = STATE(6222),
    [sym_typed_expression] = STATE(6128),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_labeled_argument] = STATE(6696),
    [sym_prefix_expression] = STATE(6128),
    [sym_hash_expression] = STATE(6128),
    [sym_field_get_expression] = STATE(6128),
    [sym_array_get_expression] = STATE(6128),
    [sym_string_get_expression] = STATE(6128),
    [sym_bigarray_get_expression] = STATE(6128),
    [sym_coercion_expression] = STATE(6128),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2856),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [aux_sym_class_application_repeat1] = STATE(2863),
    [sym__lowercase_identifier] = ACTIONS(5603),
    [anon_sym_TILDE] = ACTIONS(5605),
    [anon_sym_QMARK] = ACTIONS(5605),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_DOT] = ACTIONS(5607),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_constraint] = ACTIONS(3715),
    [anon_sym_val] = ACTIONS(3715),
    [anon_sym_end] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_inherit] = ACTIONS(3715),
    [anon_sym_method] = ACTIONS(3715),
    [anon_sym_initializer] = ACTIONS(3715),
    [anon_sym_POUND] = ACTIONS(5609),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3715),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1337),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3711),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3711),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(5611),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2857] = {
    [sym__simple_expression] = STATE(6305),
    [sym_typed_expression] = STATE(6366),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_labeled_argument] = STATE(6804),
    [sym_prefix_expression] = STATE(6366),
    [sym_hash_expression] = STATE(6366),
    [sym_field_get_expression] = STATE(6366),
    [sym_array_get_expression] = STATE(6366),
    [sym_string_get_expression] = STATE(6366),
    [sym_bigarray_get_expression] = STATE(6366),
    [sym_coercion_expression] = STATE(6366),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2857),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [aux_sym_class_application_repeat1] = STATE(2880),
    [sym__lowercase_identifier] = ACTIONS(5613),
    [anon_sym_COLON_GT] = ACTIONS(3711),
    [anon_sym_TILDE] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_RPAREN] = ACTIONS(3711),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_COLON2] = ACTIONS(3715),
    [anon_sym_DOT] = ACTIONS(5617),
    [anon_sym_DASH_GT] = ACTIONS(3715),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_RBRACE] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_POUND] = ACTIONS(5619),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3711),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_GT_RBRACE] = ACTIONS(3711),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(5621),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2858] = {
    [sym__parenthesized_abstract_type] = STATE(5754),
    [sym__simple_binding_pattern] = STATE(6587),
    [sym__binding_pattern] = STATE(6703),
    [sym_alias_binding_pattern] = STATE(6587),
    [sym_typed_binding_pattern] = STATE(6615),
    [sym__or_binding_pattern_anonymous] = STATE(6616),
    [sym_constructor_binding_pattern] = STATE(6587),
    [sym_tag_binding_pattern] = STATE(6587),
    [sym_polymorphic_variant_pattern] = STATE(6615),
    [sym_labeled_tuple_element_binding_pattern] = STATE(22867),
    [sym__tuple_binding_pattern] = STATE(6601),
    [sym_record_binding_pattern] = STATE(6605),
    [sym_list_binding_pattern] = STATE(6606),
    [sym_cons_binding_pattern] = STATE(6587),
    [sym_array_binding_pattern] = STATE(6641),
    [sym_range_pattern] = STATE(6587),
    [sym_lazy_binding_pattern] = STATE(6587),
    [sym_local_open_binding_pattern] = STATE(6615),
    [sym_package_pattern] = STATE(6615),
    [sym_parenthesized_binding_pattern] = STATE(6615),
    [sym_attribute] = STATE(2858),
    [sym_extension] = STATE(6615),
    [sym_quoted_extension] = STATE(6615),
    [sym__constant] = STATE(6546),
    [sym__signed_constant] = STATE(6555),
    [sym_number] = STATE(6582),
    [sym_signed_number] = STATE(6546),
    [sym_character] = STATE(6582),
    [sym_string] = STATE(6582),
    [sym_quoted_string] = STATE(6582),
    [sym_boolean] = STATE(6582),
    [sym_unit] = STATE(6582),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6596),
    [sym_module_path] = STATE(21230),
    [sym_constructor_path] = STATE(2858),
    [sym__constructor_name] = STATE(6525),
    [sym_tag] = STATE(2867),
    [ts_builtin_sym_end] = ACTIONS(5623),
    [sym__lowercase_identifier] = ACTIONS(5625),
    [anon_sym_SEMI_SEMI] = ACTIONS(5623),
    [anon_sym_let] = ACTIONS(5627),
    [anon_sym_and] = ACTIONS(5627),
    [anon_sym_COLON_GT] = ACTIONS(5623),
    [anon_sym_EQ] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(5631),
    [anon_sym_external] = ACTIONS(5627),
    [anon_sym_type] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5633),
    [anon_sym_RBRACK] = ACTIONS(5623),
    [anon_sym_true] = ACTIONS(5635),
    [anon_sym_false] = ACTIONS(5635),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(5637),
    [anon_sym_exception] = ACTIONS(5627),
    [anon_sym_module] = ACTIONS(5627),
    [anon_sym_open] = ACTIONS(5627),
    [anon_sym_include] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_in] = ACTIONS(5627),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(5639),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5641),
    [anon_sym_lazy] = ACTIONS(5643),
    [anon_sym_begin] = ACTIONS(5645),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5627),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5623),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5647),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5649),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5623),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5623),
    [aux_sym_number_token1] = ACTIONS(5651),
    [aux_sym_signed_number_token1] = ACTIONS(5653),
    [anon_sym_SQUOTE] = ACTIONS(5655),
    [anon_sym_DQUOTE] = ACTIONS(5657),
    [sym_let_operator] = ACTIONS(5623),
    [sym_let_and_operator] = ACTIONS(5623),
    [sym__uppercase_identifier] = ACTIONS(5659),
    [aux_sym_directive_token1] = ACTIONS(5627),
    [aux_sym_tag_token1] = ACTIONS(5661),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2859] = {
    [sym__simple_expression] = STATE(6531),
    [sym_typed_expression] = STATE(6520),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_labeled_argument] = STATE(7000),
    [sym_prefix_expression] = STATE(6520),
    [sym_hash_expression] = STATE(6520),
    [sym_field_get_expression] = STATE(6520),
    [sym_array_get_expression] = STATE(6520),
    [sym_string_get_expression] = STATE(6520),
    [sym_bigarray_get_expression] = STATE(6520),
    [sym_coercion_expression] = STATE(6520),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2859),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [aux_sym_class_application_repeat1] = STATE(2884),
    [sym__lowercase_identifier] = ACTIONS(5663),
    [anon_sym_COLON_GT] = ACTIONS(3711),
    [anon_sym_TILDE] = ACTIONS(5665),
    [anon_sym_QMARK] = ACTIONS(5665),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_RPAREN] = ACTIONS(3711),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_COLON2] = ACTIONS(3715),
    [anon_sym_DOT] = ACTIONS(5667),
    [anon_sym_DASH_GT] = ACTIONS(3715),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_RBRACE] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_POUND] = ACTIONS(5669),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_GT_RBRACE] = ACTIONS(3711),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(5671),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2860] = {
    [sym__simple_expression] = STATE(6482),
    [sym_typed_expression] = STATE(6526),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_labeled_argument] = STATE(7047),
    [sym_prefix_expression] = STATE(6526),
    [sym_hash_expression] = STATE(6526),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_coercion_expression] = STATE(6526),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2860),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [aux_sym_class_application_repeat1] = STATE(2886),
    [sym__lowercase_identifier] = ACTIONS(5673),
    [anon_sym_COLON_GT] = ACTIONS(3711),
    [anon_sym_TILDE] = ACTIONS(5675),
    [anon_sym_QMARK] = ACTIONS(5675),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(3711),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_COLON2] = ACTIONS(3715),
    [anon_sym_DOT] = ACTIONS(5677),
    [anon_sym_DASH_GT] = ACTIONS(3715),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_RBRACE] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_POUND] = ACTIONS(5679),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3711),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_GT_RBRACE] = ACTIONS(3711),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(5681),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2861] = {
    [sym__simple_expression] = STATE(6039),
    [sym_typed_expression] = STATE(5996),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_labeled_argument] = STATE(6577),
    [sym_prefix_expression] = STATE(5996),
    [sym_hash_expression] = STATE(5996),
    [sym_field_get_expression] = STATE(5996),
    [sym_array_get_expression] = STATE(5996),
    [sym_string_get_expression] = STATE(5996),
    [sym_bigarray_get_expression] = STATE(5996),
    [sym_coercion_expression] = STATE(5996),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2861),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [aux_sym_class_application_repeat1] = STATE(2861),
    [sym__lowercase_identifier] = ACTIONS(5683),
    [anon_sym_TILDE] = ACTIONS(5686),
    [anon_sym_QMARK] = ACTIONS(5686),
    [anon_sym_LPAREN] = ACTIONS(5689),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5692),
    [anon_sym_true] = ACTIONS(5695),
    [anon_sym_false] = ACTIONS(5695),
    [anon_sym_LBRACE] = ACTIONS(5698),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_constraint] = ACTIONS(4474),
    [anon_sym_val] = ACTIONS(4474),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5701),
    [anon_sym_inherit] = ACTIONS(4474),
    [anon_sym_method] = ACTIONS(4474),
    [anon_sym_initializer] = ACTIONS(4474),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5704),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(5707),
    [anon_sym_LBRACE_LT] = ACTIONS(5710),
    [anon_sym_begin] = ACTIONS(5713),
    [sym_ocamlyacc_value] = ACTIONS(5716),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5719),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5722),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5725),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5728),
    [anon_sym_DQUOTE] = ACTIONS(5731),
    [sym_prefix_operator] = ACTIONS(5734),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5737),
    [aux_sym_tag_token1] = ACTIONS(5740),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2862] = {
    [sym__simple_expression] = STATE(6039),
    [sym_typed_expression] = STATE(5996),
    [sym_list_expression] = STATE(5996),
    [sym_array_expression] = STATE(5996),
    [sym_record_expression] = STATE(5996),
    [sym_labeled_argument] = STATE(6577),
    [sym_prefix_expression] = STATE(5996),
    [sym_hash_expression] = STATE(5996),
    [sym_field_get_expression] = STATE(5996),
    [sym_array_get_expression] = STATE(5996),
    [sym_string_get_expression] = STATE(5996),
    [sym_bigarray_get_expression] = STATE(5996),
    [sym_coercion_expression] = STATE(5996),
    [sym_local_open_expression] = STATE(5996),
    [sym_package_expression] = STATE(5996),
    [sym_new_expression] = STATE(5996),
    [sym_object_copy_expression] = STATE(5996),
    [sym_method_invocation] = STATE(5996),
    [sym_object_expression] = STATE(5996),
    [sym_parenthesized_expression] = STATE(5996),
    [sym_attribute] = STATE(2862),
    [sym_extension] = STATE(5996),
    [sym_quoted_extension] = STATE(5996),
    [sym__constant] = STATE(5996),
    [sym_number] = STATE(6096),
    [sym_character] = STATE(6096),
    [sym_string] = STATE(6096),
    [sym_quoted_string] = STATE(6096),
    [sym_boolean] = STATE(6096),
    [sym_unit] = STATE(6096),
    [sym__value_name] = STATE(6037),
    [sym_parenthesized_operator] = STATE(6082),
    [sym_value_path] = STATE(5996),
    [sym_module_path] = STATE(21385),
    [sym_constructor_path] = STATE(5996),
    [sym__constructor_name] = STATE(6097),
    [sym_tag] = STATE(5996),
    [aux_sym_class_application_repeat1] = STATE(2861),
    [sym__lowercase_identifier] = ACTIONS(5593),
    [anon_sym_TILDE] = ACTIONS(5595),
    [anon_sym_QMARK] = ACTIONS(5595),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_true] = ACTIONS(1249),
    [anon_sym_false] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_constraint] = ACTIONS(4457),
    [anon_sym_val] = ACTIONS(4457),
    [anon_sym_end] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(1253),
    [anon_sym_inherit] = ACTIONS(4457),
    [anon_sym_method] = ACTIONS(4457),
    [anon_sym_initializer] = ACTIONS(4457),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1257),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(1275),
    [anon_sym_LBRACE_LT] = ACTIONS(1277),
    [anon_sym_begin] = ACTIONS(1279),
    [sym_ocamlyacc_value] = ACTIONS(1281),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1285),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(1287),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1291),
    [sym_prefix_operator] = ACTIONS(1293),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1297),
    [aux_sym_tag_token1] = ACTIONS(1299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2863] = {
    [sym__simple_expression] = STATE(6222),
    [sym_typed_expression] = STATE(6128),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_labeled_argument] = STATE(6696),
    [sym_prefix_expression] = STATE(6128),
    [sym_hash_expression] = STATE(6128),
    [sym_field_get_expression] = STATE(6128),
    [sym_array_get_expression] = STATE(6128),
    [sym_string_get_expression] = STATE(6128),
    [sym_bigarray_get_expression] = STATE(6128),
    [sym_coercion_expression] = STATE(6128),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2863),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [aux_sym_class_application_repeat1] = STATE(2868),
    [sym__lowercase_identifier] = ACTIONS(5603),
    [anon_sym_TILDE] = ACTIONS(5605),
    [anon_sym_QMARK] = ACTIONS(5605),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_true] = ACTIONS(1309),
    [anon_sym_false] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_constraint] = ACTIONS(4457),
    [anon_sym_val] = ACTIONS(4457),
    [anon_sym_end] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(1313),
    [anon_sym_inherit] = ACTIONS(4457),
    [anon_sym_method] = ACTIONS(4457),
    [anon_sym_initializer] = ACTIONS(4457),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1327),
    [anon_sym_LBRACE_LT] = ACTIONS(1329),
    [anon_sym_begin] = ACTIONS(1331),
    [sym_ocamlyacc_value] = ACTIONS(1333),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4457),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1335),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1337),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4455),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4455),
    [aux_sym_number_token1] = ACTIONS(1339),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [sym_prefix_operator] = ACTIONS(1345),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1349),
    [aux_sym_tag_token1] = ACTIONS(1351),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2864] = {
    [sym__parenthesized_abstract_type] = STATE(5794),
    [sym__simple_binding_pattern] = STATE(6821),
    [sym__binding_pattern] = STATE(6799),
    [sym_alias_binding_pattern] = STATE(6821),
    [sym_typed_binding_pattern] = STATE(6826),
    [sym__or_binding_pattern_anonymous] = STATE(6827),
    [sym_constructor_binding_pattern] = STATE(6821),
    [sym_tag_binding_pattern] = STATE(6821),
    [sym_polymorphic_variant_pattern] = STATE(6826),
    [sym_labeled_tuple_element_binding_pattern] = STATE(22844),
    [sym__tuple_binding_pattern] = STATE(6829),
    [sym_record_binding_pattern] = STATE(6841),
    [sym_list_binding_pattern] = STATE(6842),
    [sym_cons_binding_pattern] = STATE(6821),
    [sym_array_binding_pattern] = STATE(6845),
    [sym_range_pattern] = STATE(6821),
    [sym_lazy_binding_pattern] = STATE(6821),
    [sym_local_open_binding_pattern] = STATE(6826),
    [sym_package_pattern] = STATE(6826),
    [sym_parenthesized_binding_pattern] = STATE(6826),
    [sym_attribute] = STATE(2864),
    [sym_extension] = STATE(6826),
    [sym_quoted_extension] = STATE(6826),
    [sym__constant] = STATE(6599),
    [sym__signed_constant] = STATE(6686),
    [sym_number] = STATE(6711),
    [sym_signed_number] = STATE(6599),
    [sym_character] = STATE(6711),
    [sym_string] = STATE(6711),
    [sym_quoted_string] = STATE(6711),
    [sym_boolean] = STATE(6711),
    [sym_unit] = STATE(6711),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(6823),
    [sym_module_path] = STATE(21767),
    [sym_constructor_path] = STATE(2864),
    [sym__constructor_name] = STATE(6583),
    [sym_tag] = STATE(2875),
    [ts_builtin_sym_end] = ACTIONS(5623),
    [sym__lowercase_identifier] = ACTIONS(5743),
    [anon_sym_SEMI_SEMI] = ACTIONS(5623),
    [anon_sym_let] = ACTIONS(5627),
    [anon_sym_and] = ACTIONS(5627),
    [anon_sym_COLON_GT] = ACTIONS(5623),
    [anon_sym_EQ] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(5745),
    [anon_sym_external] = ACTIONS(5627),
    [anon_sym_type] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_RBRACK] = ACTIONS(5623),
    [anon_sym_true] = ACTIONS(5749),
    [anon_sym_false] = ACTIONS(5749),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(5751),
    [anon_sym_exception] = ACTIONS(5627),
    [anon_sym_module] = ACTIONS(5627),
    [anon_sym_open] = ACTIONS(5627),
    [anon_sym_include] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(5753),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5755),
    [anon_sym_lazy] = ACTIONS(5757),
    [anon_sym_begin] = ACTIONS(5759),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5627),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5623),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5761),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5763),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5623),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5623),
    [aux_sym_number_token1] = ACTIONS(5765),
    [aux_sym_signed_number_token1] = ACTIONS(5767),
    [anon_sym_SQUOTE] = ACTIONS(5769),
    [anon_sym_DQUOTE] = ACTIONS(5771),
    [sym_let_operator] = ACTIONS(5623),
    [sym_let_and_operator] = ACTIONS(5623),
    [sym__uppercase_identifier] = ACTIONS(5773),
    [aux_sym_directive_token1] = ACTIONS(5627),
    [aux_sym_tag_token1] = ACTIONS(5775),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2865] = {
    [sym__simple_expression] = STATE(6753),
    [sym_typed_expression] = STATE(6640),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_labeled_argument] = STATE(7089),
    [sym_prefix_expression] = STATE(6640),
    [sym_hash_expression] = STATE(6640),
    [sym_field_get_expression] = STATE(6640),
    [sym_array_get_expression] = STATE(6640),
    [sym_string_get_expression] = STATE(6640),
    [sym_bigarray_get_expression] = STATE(6640),
    [sym_coercion_expression] = STATE(6640),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2865),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [aux_sym_class_application_repeat1] = STATE(2894),
    [sym__lowercase_identifier] = ACTIONS(5777),
    [anon_sym_COLON_GT] = ACTIONS(3711),
    [anon_sym_TILDE] = ACTIONS(5779),
    [anon_sym_QMARK] = ACTIONS(5779),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_RPAREN] = ACTIONS(3711),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_RBRACK] = ACTIONS(3711),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_COLON2] = ACTIONS(3715),
    [anon_sym_DOT] = ACTIONS(5781),
    [anon_sym_DASH_GT] = ACTIONS(3715),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_RBRACE] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_POUND] = ACTIONS(5783),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_GT_RBRACE] = ACTIONS(3711),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(5785),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2866] = {
    [sym__parenthesized_abstract_type] = STATE(5835),
    [sym__simple_binding_pattern] = STATE(6856),
    [sym__binding_pattern] = STATE(6788),
    [sym_alias_binding_pattern] = STATE(6856),
    [sym_typed_binding_pattern] = STATE(6862),
    [sym__or_binding_pattern_anonymous] = STATE(6865),
    [sym_constructor_binding_pattern] = STATE(6856),
    [sym_tag_binding_pattern] = STATE(6856),
    [sym_polymorphic_variant_pattern] = STATE(6862),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21151),
    [sym__tuple_binding_pattern] = STATE(6893),
    [sym_record_binding_pattern] = STATE(6837),
    [sym_list_binding_pattern] = STATE(6858),
    [sym_cons_binding_pattern] = STATE(6856),
    [sym_array_binding_pattern] = STATE(6825),
    [sym_range_pattern] = STATE(6856),
    [sym_lazy_binding_pattern] = STATE(6856),
    [sym_local_open_binding_pattern] = STATE(6862),
    [sym_package_pattern] = STATE(6862),
    [sym_parenthesized_binding_pattern] = STATE(6862),
    [sym_attribute] = STATE(2866),
    [sym_extension] = STATE(6862),
    [sym_quoted_extension] = STATE(6862),
    [sym__constant] = STATE(6658),
    [sym__signed_constant] = STATE(6584),
    [sym_number] = STATE(6749),
    [sym_signed_number] = STATE(6658),
    [sym_character] = STATE(6749),
    [sym_string] = STATE(6749),
    [sym_quoted_string] = STATE(6749),
    [sym_boolean] = STATE(6749),
    [sym_unit] = STATE(6749),
    [sym__value_name] = STATE(6862),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_module_path] = STATE(22082),
    [sym_constructor_path] = STATE(2866),
    [sym__constructor_name] = STATE(6593),
    [sym_tag] = STATE(2881),
    [sym__lowercase_identifier] = ACTIONS(5787),
    [anon_sym_SEMI_SEMI] = ACTIONS(5623),
    [anon_sym_let] = ACTIONS(5627),
    [anon_sym_and] = ACTIONS(5627),
    [anon_sym_COLON_GT] = ACTIONS(5623),
    [anon_sym_EQ] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(5789),
    [anon_sym_external] = ACTIONS(5627),
    [anon_sym_type] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5791),
    [anon_sym_true] = ACTIONS(5793),
    [anon_sym_false] = ACTIONS(5793),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(5795),
    [anon_sym_exception] = ACTIONS(5627),
    [anon_sym_module] = ACTIONS(5627),
    [anon_sym_open] = ACTIONS(5627),
    [anon_sym_include] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_end] = ACTIONS(5627),
    [anon_sym_in] = ACTIONS(5627),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(5797),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5799),
    [anon_sym_lazy] = ACTIONS(5801),
    [anon_sym_begin] = ACTIONS(5803),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5627),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5623),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5805),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5807),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5623),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5623),
    [aux_sym_number_token1] = ACTIONS(5809),
    [aux_sym_signed_number_token1] = ACTIONS(5811),
    [anon_sym_SQUOTE] = ACTIONS(5813),
    [anon_sym_DQUOTE] = ACTIONS(5815),
    [sym_let_operator] = ACTIONS(5623),
    [sym_let_and_operator] = ACTIONS(5623),
    [sym__uppercase_identifier] = ACTIONS(5817),
    [aux_sym_directive_token1] = ACTIONS(5627),
    [aux_sym_tag_token1] = ACTIONS(5819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2867] = {
    [sym__simple_binding_pattern] = STATE(6587),
    [sym__binding_pattern] = STATE(6704),
    [sym_alias_binding_pattern] = STATE(6587),
    [sym_typed_binding_pattern] = STATE(6615),
    [sym__or_binding_pattern_anonymous] = STATE(6616),
    [sym_constructor_binding_pattern] = STATE(6587),
    [sym_tag_binding_pattern] = STATE(6587),
    [sym_polymorphic_variant_pattern] = STATE(6615),
    [sym_labeled_tuple_element_binding_pattern] = STATE(22867),
    [sym__tuple_binding_pattern] = STATE(6601),
    [sym_record_binding_pattern] = STATE(6605),
    [sym_list_binding_pattern] = STATE(6606),
    [sym_cons_binding_pattern] = STATE(6587),
    [sym_array_binding_pattern] = STATE(6641),
    [sym_range_pattern] = STATE(6587),
    [sym_lazy_binding_pattern] = STATE(6587),
    [sym_local_open_binding_pattern] = STATE(6615),
    [sym_package_pattern] = STATE(6615),
    [sym_parenthesized_binding_pattern] = STATE(6615),
    [sym_attribute] = STATE(2867),
    [sym_extension] = STATE(6615),
    [sym_quoted_extension] = STATE(6615),
    [sym__constant] = STATE(6546),
    [sym__signed_constant] = STATE(6555),
    [sym_number] = STATE(6582),
    [sym_signed_number] = STATE(6546),
    [sym_character] = STATE(6582),
    [sym_string] = STATE(6582),
    [sym_quoted_string] = STATE(6582),
    [sym_boolean] = STATE(6582),
    [sym_unit] = STATE(6582),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6596),
    [sym_module_path] = STATE(21230),
    [sym_constructor_path] = STATE(2858),
    [sym__constructor_name] = STATE(6525),
    [sym_tag] = STATE(2867),
    [ts_builtin_sym_end] = ACTIONS(5623),
    [sym__lowercase_identifier] = ACTIONS(5625),
    [anon_sym_SEMI_SEMI] = ACTIONS(5623),
    [anon_sym_let] = ACTIONS(5627),
    [anon_sym_and] = ACTIONS(5627),
    [anon_sym_COLON_GT] = ACTIONS(5623),
    [anon_sym_EQ] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(5821),
    [anon_sym_external] = ACTIONS(5627),
    [anon_sym_type] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5633),
    [anon_sym_RBRACK] = ACTIONS(5623),
    [anon_sym_true] = ACTIONS(5635),
    [anon_sym_false] = ACTIONS(5635),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(5637),
    [anon_sym_exception] = ACTIONS(5627),
    [anon_sym_module] = ACTIONS(5627),
    [anon_sym_open] = ACTIONS(5627),
    [anon_sym_include] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_in] = ACTIONS(5627),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(5639),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5641),
    [anon_sym_lazy] = ACTIONS(5643),
    [anon_sym_begin] = ACTIONS(5645),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5627),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5623),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5647),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5649),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5623),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5623),
    [aux_sym_number_token1] = ACTIONS(5651),
    [aux_sym_signed_number_token1] = ACTIONS(5653),
    [anon_sym_SQUOTE] = ACTIONS(5655),
    [anon_sym_DQUOTE] = ACTIONS(5657),
    [sym_let_operator] = ACTIONS(5623),
    [sym_let_and_operator] = ACTIONS(5623),
    [sym__uppercase_identifier] = ACTIONS(5659),
    [aux_sym_directive_token1] = ACTIONS(5627),
    [aux_sym_tag_token1] = ACTIONS(5661),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2868] = {
    [sym__simple_expression] = STATE(6222),
    [sym_typed_expression] = STATE(6128),
    [sym_list_expression] = STATE(6128),
    [sym_array_expression] = STATE(6128),
    [sym_record_expression] = STATE(6128),
    [sym_labeled_argument] = STATE(6696),
    [sym_prefix_expression] = STATE(6128),
    [sym_hash_expression] = STATE(6128),
    [sym_field_get_expression] = STATE(6128),
    [sym_array_get_expression] = STATE(6128),
    [sym_string_get_expression] = STATE(6128),
    [sym_bigarray_get_expression] = STATE(6128),
    [sym_coercion_expression] = STATE(6128),
    [sym_local_open_expression] = STATE(6128),
    [sym_package_expression] = STATE(6128),
    [sym_new_expression] = STATE(6128),
    [sym_object_copy_expression] = STATE(6128),
    [sym_method_invocation] = STATE(6128),
    [sym_object_expression] = STATE(6128),
    [sym_parenthesized_expression] = STATE(6128),
    [sym_attribute] = STATE(2868),
    [sym_extension] = STATE(6128),
    [sym_quoted_extension] = STATE(6128),
    [sym__constant] = STATE(6128),
    [sym_number] = STATE(6152),
    [sym_character] = STATE(6152),
    [sym_string] = STATE(6152),
    [sym_quoted_string] = STATE(6152),
    [sym_boolean] = STATE(6152),
    [sym_unit] = STATE(6152),
    [sym__value_name] = STATE(6209),
    [sym_parenthesized_operator] = STATE(6216),
    [sym_value_path] = STATE(6128),
    [sym_module_path] = STATE(23289),
    [sym_constructor_path] = STATE(6128),
    [sym__constructor_name] = STATE(6161),
    [sym_tag] = STATE(6128),
    [aux_sym_class_application_repeat1] = STATE(2868),
    [sym__lowercase_identifier] = ACTIONS(5823),
    [anon_sym_TILDE] = ACTIONS(5826),
    [anon_sym_QMARK] = ACTIONS(5826),
    [anon_sym_LPAREN] = ACTIONS(5829),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5832),
    [anon_sym_true] = ACTIONS(5835),
    [anon_sym_false] = ACTIONS(5835),
    [anon_sym_LBRACE] = ACTIONS(5838),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_constraint] = ACTIONS(4474),
    [anon_sym_val] = ACTIONS(4474),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(5841),
    [anon_sym_inherit] = ACTIONS(4474),
    [anon_sym_method] = ACTIONS(4474),
    [anon_sym_initializer] = ACTIONS(4474),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5844),
    [anon_sym_new] = ACTIONS(5847),
    [anon_sym_LBRACE_LT] = ACTIONS(5850),
    [anon_sym_begin] = ACTIONS(5853),
    [sym_ocamlyacc_value] = ACTIONS(5856),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5859),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5862),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(5865),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5868),
    [anon_sym_DQUOTE] = ACTIONS(5871),
    [sym_prefix_operator] = ACTIONS(5874),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5877),
    [aux_sym_tag_token1] = ACTIONS(5880),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2869] = {
    [sym__simple_expression] = STATE(6305),
    [sym_typed_expression] = STATE(6366),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_labeled_argument] = STATE(6804),
    [sym_prefix_expression] = STATE(6366),
    [sym_hash_expression] = STATE(6366),
    [sym_field_get_expression] = STATE(6366),
    [sym_array_get_expression] = STATE(6366),
    [sym_string_get_expression] = STATE(6366),
    [sym_bigarray_get_expression] = STATE(6366),
    [sym_coercion_expression] = STATE(6366),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2869),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [aux_sym_class_application_repeat1] = STATE(2869),
    [sym__lowercase_identifier] = ACTIONS(5883),
    [anon_sym_COLON_GT] = ACTIONS(4469),
    [anon_sym_TILDE] = ACTIONS(5886),
    [anon_sym_QMARK] = ACTIONS(5886),
    [anon_sym_LPAREN] = ACTIONS(5889),
    [anon_sym_RPAREN] = ACTIONS(4469),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(5892),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(5895),
    [anon_sym_false] = ACTIONS(5895),
    [anon_sym_COLON2] = ACTIONS(4474),
    [anon_sym_DASH_GT] = ACTIONS(4474),
    [anon_sym_LBRACE] = ACTIONS(5898),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_RBRACE] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(5901),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5904),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4469),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(5907),
    [anon_sym_LBRACE_LT] = ACTIONS(5910),
    [anon_sym_GT_RBRACE] = ACTIONS(4469),
    [anon_sym_begin] = ACTIONS(5913),
    [sym_ocamlyacc_value] = ACTIONS(5916),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5919),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5922),
    [aux_sym_number_token1] = ACTIONS(5925),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(5928),
    [anon_sym_DQUOTE] = ACTIONS(5931),
    [sym_prefix_operator] = ACTIONS(5934),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(5937),
    [aux_sym_tag_token1] = ACTIONS(5940),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2870] = {
    [sym__abstract_type] = STATE(23323),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16142),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2870),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21866),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(5949),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(5957),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(5963),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(5967),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(5989),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(5989),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(5989),
    [sym_let_and_operator] = ACTIONS(5989),
    [sym_match_operator] = ACTIONS(5989),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2871] = {
    [sym__parenthesized_abstract_type] = STATE(5672),
    [sym__simple_binding_pattern] = STATE(6935),
    [sym__binding_pattern] = STATE(6990),
    [sym_alias_binding_pattern] = STATE(6935),
    [sym_typed_binding_pattern] = STATE(6938),
    [sym__or_binding_pattern_anonymous] = STATE(6939),
    [sym_constructor_binding_pattern] = STATE(6935),
    [sym_tag_binding_pattern] = STATE(6935),
    [sym_polymorphic_variant_pattern] = STATE(6938),
    [sym_labeled_tuple_element_binding_pattern] = STATE(22371),
    [sym__tuple_binding_pattern] = STATE(6942),
    [sym_record_binding_pattern] = STATE(6947),
    [sym_list_binding_pattern] = STATE(6948),
    [sym_cons_binding_pattern] = STATE(6935),
    [sym_array_binding_pattern] = STATE(6950),
    [sym_range_pattern] = STATE(6935),
    [sym_lazy_binding_pattern] = STATE(6935),
    [sym_local_open_binding_pattern] = STATE(6938),
    [sym_package_pattern] = STATE(6938),
    [sym_parenthesized_binding_pattern] = STATE(6938),
    [sym_attribute] = STATE(2871),
    [sym_extension] = STATE(6938),
    [sym_quoted_extension] = STATE(6938),
    [sym__constant] = STATE(6871),
    [sym__signed_constant] = STATE(6794),
    [sym_number] = STATE(6898),
    [sym_signed_number] = STATE(6871),
    [sym_character] = STATE(6898),
    [sym_string] = STATE(6898),
    [sym_quoted_string] = STATE(6898),
    [sym_boolean] = STATE(6898),
    [sym_unit] = STATE(6898),
    [sym__value_name] = STATE(6938),
    [sym_parenthesized_operator] = STATE(6933),
    [sym_module_path] = STATE(22482),
    [sym_constructor_path] = STATE(2871),
    [sym__constructor_name] = STATE(6880),
    [sym_tag] = STATE(2882),
    [sym__lowercase_identifier] = ACTIONS(5995),
    [anon_sym_SEMI_SEMI] = ACTIONS(5623),
    [anon_sym_let] = ACTIONS(5627),
    [anon_sym_and] = ACTIONS(5627),
    [anon_sym_COLON_GT] = ACTIONS(5623),
    [anon_sym_EQ] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(5997),
    [anon_sym_external] = ACTIONS(5627),
    [anon_sym_type] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5999),
    [anon_sym_true] = ACTIONS(6001),
    [anon_sym_false] = ACTIONS(6001),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(5627),
    [anon_sym_module] = ACTIONS(5627),
    [anon_sym_open] = ACTIONS(5627),
    [anon_sym_include] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_end] = ACTIONS(5627),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(6005),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6007),
    [anon_sym_lazy] = ACTIONS(6009),
    [anon_sym_begin] = ACTIONS(6011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5627),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5623),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5623),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5623),
    [aux_sym_number_token1] = ACTIONS(6017),
    [aux_sym_signed_number_token1] = ACTIONS(6019),
    [anon_sym_SQUOTE] = ACTIONS(6021),
    [anon_sym_DQUOTE] = ACTIONS(6023),
    [sym_let_operator] = ACTIONS(5623),
    [sym_let_and_operator] = ACTIONS(5623),
    [sym__uppercase_identifier] = ACTIONS(6025),
    [aux_sym_directive_token1] = ACTIONS(5627),
    [aux_sym_tag_token1] = ACTIONS(6027),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2872] = {
    [sym__abstract_type] = STATE(23365),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16135),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2872),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(20792),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6029),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6031),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6033),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6035),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6037),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6037),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6037),
    [sym_let_and_operator] = ACTIONS(6037),
    [sym_match_operator] = ACTIONS(6037),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2873] = {
    [sym__abstract_type] = STATE(22475),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15992),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2873),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(22680),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6041),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6043),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6045),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6047),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6047),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6047),
    [sym_let_and_operator] = ACTIONS(6047),
    [sym_match_operator] = ACTIONS(6047),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2874] = {
    [sym__abstract_type] = STATE(20676),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16025),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2874),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21458),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6049),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6051),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6053),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6057),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6057),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6057),
    [sym_let_and_operator] = ACTIONS(6057),
    [sym_match_operator] = ACTIONS(6057),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2875] = {
    [sym__simple_binding_pattern] = STATE(6821),
    [sym__binding_pattern] = STATE(6800),
    [sym_alias_binding_pattern] = STATE(6821),
    [sym_typed_binding_pattern] = STATE(6826),
    [sym__or_binding_pattern_anonymous] = STATE(6827),
    [sym_constructor_binding_pattern] = STATE(6821),
    [sym_tag_binding_pattern] = STATE(6821),
    [sym_polymorphic_variant_pattern] = STATE(6826),
    [sym_labeled_tuple_element_binding_pattern] = STATE(22844),
    [sym__tuple_binding_pattern] = STATE(6829),
    [sym_record_binding_pattern] = STATE(6841),
    [sym_list_binding_pattern] = STATE(6842),
    [sym_cons_binding_pattern] = STATE(6821),
    [sym_array_binding_pattern] = STATE(6845),
    [sym_range_pattern] = STATE(6821),
    [sym_lazy_binding_pattern] = STATE(6821),
    [sym_local_open_binding_pattern] = STATE(6826),
    [sym_package_pattern] = STATE(6826),
    [sym_parenthesized_binding_pattern] = STATE(6826),
    [sym_attribute] = STATE(2875),
    [sym_extension] = STATE(6826),
    [sym_quoted_extension] = STATE(6826),
    [sym__constant] = STATE(6599),
    [sym__signed_constant] = STATE(6686),
    [sym_number] = STATE(6711),
    [sym_signed_number] = STATE(6599),
    [sym_character] = STATE(6711),
    [sym_string] = STATE(6711),
    [sym_quoted_string] = STATE(6711),
    [sym_boolean] = STATE(6711),
    [sym_unit] = STATE(6711),
    [sym__value_name] = STATE(6826),
    [sym_parenthesized_operator] = STATE(6823),
    [sym_module_path] = STATE(21767),
    [sym_constructor_path] = STATE(2864),
    [sym__constructor_name] = STATE(6583),
    [sym_tag] = STATE(2875),
    [ts_builtin_sym_end] = ACTIONS(5623),
    [sym__lowercase_identifier] = ACTIONS(5743),
    [anon_sym_SEMI_SEMI] = ACTIONS(5623),
    [anon_sym_let] = ACTIONS(5627),
    [anon_sym_and] = ACTIONS(5627),
    [anon_sym_COLON_GT] = ACTIONS(5623),
    [anon_sym_EQ] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(6059),
    [anon_sym_external] = ACTIONS(5627),
    [anon_sym_type] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5747),
    [anon_sym_RBRACK] = ACTIONS(5623),
    [anon_sym_true] = ACTIONS(5749),
    [anon_sym_false] = ACTIONS(5749),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(5751),
    [anon_sym_exception] = ACTIONS(5627),
    [anon_sym_module] = ACTIONS(5627),
    [anon_sym_open] = ACTIONS(5627),
    [anon_sym_include] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(5753),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5755),
    [anon_sym_lazy] = ACTIONS(5757),
    [anon_sym_begin] = ACTIONS(5759),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5627),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5623),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5761),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5763),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5623),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5623),
    [aux_sym_number_token1] = ACTIONS(5765),
    [aux_sym_signed_number_token1] = ACTIONS(5767),
    [anon_sym_SQUOTE] = ACTIONS(5769),
    [anon_sym_DQUOTE] = ACTIONS(5771),
    [sym_let_operator] = ACTIONS(5623),
    [sym_let_and_operator] = ACTIONS(5623),
    [sym__uppercase_identifier] = ACTIONS(5773),
    [aux_sym_directive_token1] = ACTIONS(5627),
    [aux_sym_tag_token1] = ACTIONS(5775),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2876] = {
    [sym__abstract_type] = STATE(22171),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16218),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2876),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21974),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6061),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6065),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6069),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6069),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6069),
    [sym_let_and_operator] = ACTIONS(6069),
    [sym_match_operator] = ACTIONS(6069),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2877] = {
    [sym__abstract_type] = STATE(21261),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16034),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2877),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(23081),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6071),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6073),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6075),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6079),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6079),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6079),
    [sym_let_and_operator] = ACTIONS(6079),
    [sym_match_operator] = ACTIONS(6079),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2878] = {
    [sym__abstract_type] = STATE(21410),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15951),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2878),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(22166),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6081),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6083),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6085),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6087),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6089),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6089),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6089),
    [sym_let_and_operator] = ACTIONS(6089),
    [sym_match_operator] = ACTIONS(6089),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2879] = {
    [sym__abstract_type] = STATE(22475),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16028),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2879),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21809),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(2661),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6091),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(2669),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(2669),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2669),
    [sym_let_and_operator] = ACTIONS(2669),
    [sym_match_operator] = ACTIONS(2669),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2880] = {
    [sym__simple_expression] = STATE(6305),
    [sym_typed_expression] = STATE(6366),
    [sym_list_expression] = STATE(6366),
    [sym_array_expression] = STATE(6366),
    [sym_record_expression] = STATE(6366),
    [sym_labeled_argument] = STATE(6804),
    [sym_prefix_expression] = STATE(6366),
    [sym_hash_expression] = STATE(6366),
    [sym_field_get_expression] = STATE(6366),
    [sym_array_get_expression] = STATE(6366),
    [sym_string_get_expression] = STATE(6366),
    [sym_bigarray_get_expression] = STATE(6366),
    [sym_coercion_expression] = STATE(6366),
    [sym_local_open_expression] = STATE(6366),
    [sym_package_expression] = STATE(6366),
    [sym_new_expression] = STATE(6366),
    [sym_object_copy_expression] = STATE(6366),
    [sym_method_invocation] = STATE(6366),
    [sym_object_expression] = STATE(6366),
    [sym_parenthesized_expression] = STATE(6366),
    [sym_attribute] = STATE(2880),
    [sym_extension] = STATE(6366),
    [sym_quoted_extension] = STATE(6366),
    [sym__constant] = STATE(6366),
    [sym_number] = STATE(6340),
    [sym_character] = STATE(6340),
    [sym_string] = STATE(6340),
    [sym_quoted_string] = STATE(6340),
    [sym_boolean] = STATE(6340),
    [sym_unit] = STATE(6340),
    [sym__value_name] = STATE(6260),
    [sym_parenthesized_operator] = STATE(6264),
    [sym_value_path] = STATE(6366),
    [sym_module_path] = STATE(20729),
    [sym_constructor_path] = STATE(6366),
    [sym__constructor_name] = STATE(6362),
    [sym_tag] = STATE(6366),
    [aux_sym_class_application_repeat1] = STATE(2869),
    [sym__lowercase_identifier] = ACTIONS(5613),
    [anon_sym_COLON_GT] = ACTIONS(4455),
    [anon_sym_TILDE] = ACTIONS(5615),
    [anon_sym_QMARK] = ACTIONS(5615),
    [anon_sym_LPAREN] = ACTIONS(1499),
    [anon_sym_RPAREN] = ACTIONS(4455),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(1503),
    [anon_sym_false] = ACTIONS(1503),
    [anon_sym_COLON2] = ACTIONS(4457),
    [anon_sym_DASH_GT] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_RBRACE] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(1507),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1511),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4455),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(1521),
    [anon_sym_LBRACE_LT] = ACTIONS(1523),
    [anon_sym_GT_RBRACE] = ACTIONS(4455),
    [anon_sym_begin] = ACTIONS(1525),
    [sym_ocamlyacc_value] = ACTIONS(1527),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1531),
    [aux_sym_number_token1] = ACTIONS(1533),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1537),
    [sym_prefix_operator] = ACTIONS(1539),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1543),
    [aux_sym_tag_token1] = ACTIONS(1545),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2881] = {
    [sym__simple_binding_pattern] = STATE(6856),
    [sym__binding_pattern] = STATE(6789),
    [sym_alias_binding_pattern] = STATE(6856),
    [sym_typed_binding_pattern] = STATE(6862),
    [sym__or_binding_pattern_anonymous] = STATE(6865),
    [sym_constructor_binding_pattern] = STATE(6856),
    [sym_tag_binding_pattern] = STATE(6856),
    [sym_polymorphic_variant_pattern] = STATE(6862),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21151),
    [sym__tuple_binding_pattern] = STATE(6893),
    [sym_record_binding_pattern] = STATE(6837),
    [sym_list_binding_pattern] = STATE(6858),
    [sym_cons_binding_pattern] = STATE(6856),
    [sym_array_binding_pattern] = STATE(6825),
    [sym_range_pattern] = STATE(6856),
    [sym_lazy_binding_pattern] = STATE(6856),
    [sym_local_open_binding_pattern] = STATE(6862),
    [sym_package_pattern] = STATE(6862),
    [sym_parenthesized_binding_pattern] = STATE(6862),
    [sym_attribute] = STATE(2881),
    [sym_extension] = STATE(6862),
    [sym_quoted_extension] = STATE(6862),
    [sym__constant] = STATE(6658),
    [sym__signed_constant] = STATE(6584),
    [sym_number] = STATE(6749),
    [sym_signed_number] = STATE(6658),
    [sym_character] = STATE(6749),
    [sym_string] = STATE(6749),
    [sym_quoted_string] = STATE(6749),
    [sym_boolean] = STATE(6749),
    [sym_unit] = STATE(6749),
    [sym__value_name] = STATE(6862),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_module_path] = STATE(22082),
    [sym_constructor_path] = STATE(2866),
    [sym__constructor_name] = STATE(6593),
    [sym_tag] = STATE(2881),
    [sym__lowercase_identifier] = ACTIONS(5787),
    [anon_sym_SEMI_SEMI] = ACTIONS(5623),
    [anon_sym_let] = ACTIONS(5627),
    [anon_sym_and] = ACTIONS(5627),
    [anon_sym_COLON_GT] = ACTIONS(5623),
    [anon_sym_EQ] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(6095),
    [anon_sym_external] = ACTIONS(5627),
    [anon_sym_type] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5791),
    [anon_sym_true] = ACTIONS(5793),
    [anon_sym_false] = ACTIONS(5793),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(5795),
    [anon_sym_exception] = ACTIONS(5627),
    [anon_sym_module] = ACTIONS(5627),
    [anon_sym_open] = ACTIONS(5627),
    [anon_sym_include] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_end] = ACTIONS(5627),
    [anon_sym_in] = ACTIONS(5627),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(5797),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5799),
    [anon_sym_lazy] = ACTIONS(5801),
    [anon_sym_begin] = ACTIONS(5803),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5627),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5623),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5805),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5807),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5623),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5623),
    [aux_sym_number_token1] = ACTIONS(5809),
    [aux_sym_signed_number_token1] = ACTIONS(5811),
    [anon_sym_SQUOTE] = ACTIONS(5813),
    [anon_sym_DQUOTE] = ACTIONS(5815),
    [sym_let_operator] = ACTIONS(5623),
    [sym_let_and_operator] = ACTIONS(5623),
    [sym__uppercase_identifier] = ACTIONS(5817),
    [aux_sym_directive_token1] = ACTIONS(5627),
    [aux_sym_tag_token1] = ACTIONS(5819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2882] = {
    [sym__simple_binding_pattern] = STATE(6935),
    [sym__binding_pattern] = STATE(6992),
    [sym_alias_binding_pattern] = STATE(6935),
    [sym_typed_binding_pattern] = STATE(6938),
    [sym__or_binding_pattern_anonymous] = STATE(6939),
    [sym_constructor_binding_pattern] = STATE(6935),
    [sym_tag_binding_pattern] = STATE(6935),
    [sym_polymorphic_variant_pattern] = STATE(6938),
    [sym_labeled_tuple_element_binding_pattern] = STATE(22371),
    [sym__tuple_binding_pattern] = STATE(6942),
    [sym_record_binding_pattern] = STATE(6947),
    [sym_list_binding_pattern] = STATE(6948),
    [sym_cons_binding_pattern] = STATE(6935),
    [sym_array_binding_pattern] = STATE(6950),
    [sym_range_pattern] = STATE(6935),
    [sym_lazy_binding_pattern] = STATE(6935),
    [sym_local_open_binding_pattern] = STATE(6938),
    [sym_package_pattern] = STATE(6938),
    [sym_parenthesized_binding_pattern] = STATE(6938),
    [sym_attribute] = STATE(2882),
    [sym_extension] = STATE(6938),
    [sym_quoted_extension] = STATE(6938),
    [sym__constant] = STATE(6871),
    [sym__signed_constant] = STATE(6794),
    [sym_number] = STATE(6898),
    [sym_signed_number] = STATE(6871),
    [sym_character] = STATE(6898),
    [sym_string] = STATE(6898),
    [sym_quoted_string] = STATE(6898),
    [sym_boolean] = STATE(6898),
    [sym_unit] = STATE(6898),
    [sym__value_name] = STATE(6938),
    [sym_parenthesized_operator] = STATE(6933),
    [sym_module_path] = STATE(22482),
    [sym_constructor_path] = STATE(2871),
    [sym__constructor_name] = STATE(6880),
    [sym_tag] = STATE(2882),
    [sym__lowercase_identifier] = ACTIONS(5995),
    [anon_sym_SEMI_SEMI] = ACTIONS(5623),
    [anon_sym_let] = ACTIONS(5627),
    [anon_sym_and] = ACTIONS(5627),
    [anon_sym_COLON_GT] = ACTIONS(5623),
    [anon_sym_EQ] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(6097),
    [anon_sym_external] = ACTIONS(5627),
    [anon_sym_type] = ACTIONS(5627),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(5999),
    [anon_sym_true] = ACTIONS(6001),
    [anon_sym_false] = ACTIONS(6001),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(5627),
    [anon_sym_module] = ACTIONS(5627),
    [anon_sym_open] = ACTIONS(5627),
    [anon_sym_include] = ACTIONS(5627),
    [anon_sym_class] = ACTIONS(5627),
    [anon_sym_end] = ACTIONS(5627),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(6005),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6007),
    [anon_sym_lazy] = ACTIONS(6009),
    [anon_sym_begin] = ACTIONS(6011),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5627),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5623),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6013),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6015),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5623),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5623),
    [aux_sym_number_token1] = ACTIONS(6017),
    [aux_sym_signed_number_token1] = ACTIONS(6019),
    [anon_sym_SQUOTE] = ACTIONS(6021),
    [anon_sym_DQUOTE] = ACTIONS(6023),
    [sym_let_operator] = ACTIONS(5623),
    [sym_let_and_operator] = ACTIONS(5623),
    [sym__uppercase_identifier] = ACTIONS(6025),
    [aux_sym_directive_token1] = ACTIONS(5627),
    [aux_sym_tag_token1] = ACTIONS(6027),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2883] = {
    [sym__simple_expression] = STATE(6482),
    [sym_typed_expression] = STATE(6526),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_labeled_argument] = STATE(7047),
    [sym_prefix_expression] = STATE(6526),
    [sym_hash_expression] = STATE(6526),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_coercion_expression] = STATE(6526),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2883),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [aux_sym_class_application_repeat1] = STATE(2883),
    [sym__lowercase_identifier] = ACTIONS(6099),
    [anon_sym_COLON_GT] = ACTIONS(4469),
    [anon_sym_TILDE] = ACTIONS(6102),
    [anon_sym_QMARK] = ACTIONS(6102),
    [anon_sym_LPAREN] = ACTIONS(6105),
    [anon_sym_RPAREN] = ACTIONS(4469),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(6108),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(6111),
    [anon_sym_false] = ACTIONS(6111),
    [anon_sym_COLON2] = ACTIONS(4474),
    [anon_sym_DASH_GT] = ACTIONS(4474),
    [anon_sym_LBRACE] = ACTIONS(6114),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_RBRACE] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(6117),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6120),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4469),
    [anon_sym_new] = ACTIONS(6123),
    [anon_sym_LBRACE_LT] = ACTIONS(6126),
    [anon_sym_GT_RBRACE] = ACTIONS(4469),
    [anon_sym_begin] = ACTIONS(6129),
    [sym_ocamlyacc_value] = ACTIONS(6132),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6135),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6138),
    [aux_sym_number_token1] = ACTIONS(6141),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(6144),
    [anon_sym_DQUOTE] = ACTIONS(6147),
    [sym_prefix_operator] = ACTIONS(6150),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(6153),
    [aux_sym_tag_token1] = ACTIONS(6156),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2884] = {
    [sym__simple_expression] = STATE(6531),
    [sym_typed_expression] = STATE(6520),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_labeled_argument] = STATE(7000),
    [sym_prefix_expression] = STATE(6520),
    [sym_hash_expression] = STATE(6520),
    [sym_field_get_expression] = STATE(6520),
    [sym_array_get_expression] = STATE(6520),
    [sym_string_get_expression] = STATE(6520),
    [sym_bigarray_get_expression] = STATE(6520),
    [sym_coercion_expression] = STATE(6520),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2884),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [aux_sym_class_application_repeat1] = STATE(2887),
    [sym__lowercase_identifier] = ACTIONS(5663),
    [anon_sym_COLON_GT] = ACTIONS(4455),
    [anon_sym_TILDE] = ACTIONS(5665),
    [anon_sym_QMARK] = ACTIONS(5665),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_RPAREN] = ACTIONS(4455),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(1397),
    [anon_sym_false] = ACTIONS(1397),
    [anon_sym_COLON2] = ACTIONS(4457),
    [anon_sym_DASH_GT] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_RBRACE] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(1401),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1405),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACE_LT] = ACTIONS(1417),
    [anon_sym_GT_RBRACE] = ACTIONS(4455),
    [anon_sym_begin] = ACTIONS(1419),
    [sym_ocamlyacc_value] = ACTIONS(1421),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1425),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1427),
    [aux_sym_number_token1] = ACTIONS(1429),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1433),
    [sym_prefix_operator] = ACTIONS(1435),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1439),
    [aux_sym_tag_token1] = ACTIONS(1441),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2885] = {
    [sym__simple_expression] = STATE(6999),
    [sym_typed_expression] = STATE(7007),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_labeled_argument] = STATE(7727),
    [sym_prefix_expression] = STATE(7007),
    [sym_hash_expression] = STATE(7007),
    [sym_field_get_expression] = STATE(7007),
    [sym_array_get_expression] = STATE(7007),
    [sym_string_get_expression] = STATE(7007),
    [sym_bigarray_get_expression] = STATE(7007),
    [sym_coercion_expression] = STATE(7007),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2885),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [aux_sym_class_application_repeat1] = STATE(2906),
    [sym__lowercase_identifier] = ACTIONS(6159),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(6161),
    [anon_sym_QMARK] = ACTIONS(6161),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_DOT] = ACTIONS(6163),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_in] = ACTIONS(3715),
    [anon_sym_POUND] = ACTIONS(6165),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6167),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2886] = {
    [sym__simple_expression] = STATE(6482),
    [sym_typed_expression] = STATE(6526),
    [sym_list_expression] = STATE(6526),
    [sym_array_expression] = STATE(6526),
    [sym_record_expression] = STATE(6526),
    [sym_labeled_argument] = STATE(7047),
    [sym_prefix_expression] = STATE(6526),
    [sym_hash_expression] = STATE(6526),
    [sym_field_get_expression] = STATE(6526),
    [sym_array_get_expression] = STATE(6526),
    [sym_string_get_expression] = STATE(6526),
    [sym_bigarray_get_expression] = STATE(6526),
    [sym_coercion_expression] = STATE(6526),
    [sym_local_open_expression] = STATE(6526),
    [sym_package_expression] = STATE(6526),
    [sym_new_expression] = STATE(6526),
    [sym_object_copy_expression] = STATE(6526),
    [sym_method_invocation] = STATE(6526),
    [sym_object_expression] = STATE(6526),
    [sym_parenthesized_expression] = STATE(6526),
    [sym_attribute] = STATE(2886),
    [sym_extension] = STATE(6526),
    [sym_quoted_extension] = STATE(6526),
    [sym__constant] = STATE(6526),
    [sym_number] = STATE(6542),
    [sym_character] = STATE(6542),
    [sym_string] = STATE(6542),
    [sym_quoted_string] = STATE(6542),
    [sym_boolean] = STATE(6542),
    [sym_unit] = STATE(6542),
    [sym__value_name] = STATE(6506),
    [sym_parenthesized_operator] = STATE(6396),
    [sym_value_path] = STATE(6526),
    [sym_module_path] = STATE(23131),
    [sym_constructor_path] = STATE(6526),
    [sym__constructor_name] = STATE(6421),
    [sym_tag] = STATE(6526),
    [aux_sym_class_application_repeat1] = STATE(2883),
    [sym__lowercase_identifier] = ACTIONS(5673),
    [anon_sym_COLON_GT] = ACTIONS(4455),
    [anon_sym_TILDE] = ACTIONS(5675),
    [anon_sym_QMARK] = ACTIONS(5675),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_RPAREN] = ACTIONS(4455),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(1555),
    [anon_sym_false] = ACTIONS(1555),
    [anon_sym_COLON2] = ACTIONS(4457),
    [anon_sym_DASH_GT] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_RBRACE] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1563),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4455),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACE_LT] = ACTIONS(1575),
    [anon_sym_GT_RBRACE] = ACTIONS(4455),
    [anon_sym_begin] = ACTIONS(1577),
    [sym_ocamlyacc_value] = ACTIONS(1579),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1581),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1583),
    [aux_sym_number_token1] = ACTIONS(1585),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [sym_prefix_operator] = ACTIONS(1591),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1595),
    [aux_sym_tag_token1] = ACTIONS(1597),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2887] = {
    [sym__simple_expression] = STATE(6531),
    [sym_typed_expression] = STATE(6520),
    [sym_list_expression] = STATE(6520),
    [sym_array_expression] = STATE(6520),
    [sym_record_expression] = STATE(6520),
    [sym_labeled_argument] = STATE(7000),
    [sym_prefix_expression] = STATE(6520),
    [sym_hash_expression] = STATE(6520),
    [sym_field_get_expression] = STATE(6520),
    [sym_array_get_expression] = STATE(6520),
    [sym_string_get_expression] = STATE(6520),
    [sym_bigarray_get_expression] = STATE(6520),
    [sym_coercion_expression] = STATE(6520),
    [sym_local_open_expression] = STATE(6520),
    [sym_package_expression] = STATE(6520),
    [sym_new_expression] = STATE(6520),
    [sym_object_copy_expression] = STATE(6520),
    [sym_method_invocation] = STATE(6520),
    [sym_object_expression] = STATE(6520),
    [sym_parenthesized_expression] = STATE(6520),
    [sym_attribute] = STATE(2887),
    [sym_extension] = STATE(6520),
    [sym_quoted_extension] = STATE(6520),
    [sym__constant] = STATE(6520),
    [sym_number] = STATE(6572),
    [sym_character] = STATE(6572),
    [sym_string] = STATE(6572),
    [sym_quoted_string] = STATE(6572),
    [sym_boolean] = STATE(6572),
    [sym_unit] = STATE(6572),
    [sym__value_name] = STATE(6535),
    [sym_parenthesized_operator] = STATE(6548),
    [sym_value_path] = STATE(6520),
    [sym_module_path] = STATE(21769),
    [sym_constructor_path] = STATE(6520),
    [sym__constructor_name] = STATE(6508),
    [sym_tag] = STATE(6520),
    [aux_sym_class_application_repeat1] = STATE(2887),
    [sym__lowercase_identifier] = ACTIONS(6169),
    [anon_sym_COLON_GT] = ACTIONS(4469),
    [anon_sym_TILDE] = ACTIONS(6172),
    [anon_sym_QMARK] = ACTIONS(6172),
    [anon_sym_LPAREN] = ACTIONS(6175),
    [anon_sym_RPAREN] = ACTIONS(4469),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(6178),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(6181),
    [anon_sym_false] = ACTIONS(6181),
    [anon_sym_COLON2] = ACTIONS(4474),
    [anon_sym_DASH_GT] = ACTIONS(4474),
    [anon_sym_LBRACE] = ACTIONS(6184),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_RBRACE] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(6187),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6190),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(6193),
    [anon_sym_LBRACE_LT] = ACTIONS(6196),
    [anon_sym_GT_RBRACE] = ACTIONS(4469),
    [anon_sym_begin] = ACTIONS(6199),
    [sym_ocamlyacc_value] = ACTIONS(6202),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6205),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6208),
    [aux_sym_number_token1] = ACTIONS(6211),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(6214),
    [anon_sym_DQUOTE] = ACTIONS(6217),
    [sym_prefix_operator] = ACTIONS(6220),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(6223),
    [aux_sym_tag_token1] = ACTIONS(6226),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2888] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15913),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2888),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21866),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(5949),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(5957),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(5963),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(5967),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(5989),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(5989),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(5989),
    [sym_let_and_operator] = ACTIONS(5989),
    [sym_match_operator] = ACTIONS(5989),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2889] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15880),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2889),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21974),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6061),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6063),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6065),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6069),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6069),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6069),
    [sym_let_and_operator] = ACTIONS(6069),
    [sym_match_operator] = ACTIONS(6069),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2890] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15929),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2890),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(22166),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6081),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6083),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6085),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6087),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6089),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6089),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6089),
    [sym_let_and_operator] = ACTIONS(6089),
    [sym_match_operator] = ACTIONS(6089),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2891] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16028),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2891),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21809),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6091),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(2669),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(2669),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2669),
    [sym_let_and_operator] = ACTIONS(2669),
    [sym_match_operator] = ACTIONS(2669),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2892] = {
    [sym__simple_expression] = STATE(7118),
    [sym_typed_expression] = STATE(7105),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_labeled_argument] = STATE(8134),
    [sym_prefix_expression] = STATE(7105),
    [sym_hash_expression] = STATE(7105),
    [sym_field_get_expression] = STATE(7105),
    [sym_array_get_expression] = STATE(7105),
    [sym_string_get_expression] = STATE(7105),
    [sym_bigarray_get_expression] = STATE(7105),
    [sym_coercion_expression] = STATE(7105),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2892),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [aux_sym_class_application_repeat1] = STATE(2915),
    [sym__lowercase_identifier] = ACTIONS(6229),
    [anon_sym_and] = ACTIONS(3715),
    [anon_sym_TILDE] = ACTIONS(6231),
    [anon_sym_QMARK] = ACTIONS(6231),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_DOT] = ACTIONS(6233),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(3715),
    [anon_sym_POUND] = ACTIONS(6235),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3711),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6237),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym_let_and_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2893] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15992),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2893),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(22680),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6041),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6043),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6047),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6047),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6047),
    [sym_let_and_operator] = ACTIONS(6047),
    [sym_match_operator] = ACTIONS(6047),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2894] = {
    [sym__simple_expression] = STATE(6753),
    [sym_typed_expression] = STATE(6640),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_labeled_argument] = STATE(7089),
    [sym_prefix_expression] = STATE(6640),
    [sym_hash_expression] = STATE(6640),
    [sym_field_get_expression] = STATE(6640),
    [sym_array_get_expression] = STATE(6640),
    [sym_string_get_expression] = STATE(6640),
    [sym_bigarray_get_expression] = STATE(6640),
    [sym_coercion_expression] = STATE(6640),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2894),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [aux_sym_class_application_repeat1] = STATE(2900),
    [sym__lowercase_identifier] = ACTIONS(5777),
    [anon_sym_COLON_GT] = ACTIONS(4455),
    [anon_sym_TILDE] = ACTIONS(5779),
    [anon_sym_QMARK] = ACTIONS(5779),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_RPAREN] = ACTIONS(4455),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_RBRACK] = ACTIONS(4455),
    [anon_sym_true] = ACTIONS(1451),
    [anon_sym_false] = ACTIONS(1451),
    [anon_sym_COLON2] = ACTIONS(4457),
    [anon_sym_DASH_GT] = ACTIONS(4457),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_RBRACE] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(1455),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1459),
    [anon_sym_new] = ACTIONS(1469),
    [anon_sym_LBRACE_LT] = ACTIONS(1471),
    [anon_sym_GT_RBRACE] = ACTIONS(4455),
    [anon_sym_begin] = ACTIONS(1473),
    [sym_ocamlyacc_value] = ACTIONS(1475),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1477),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1479),
    [aux_sym_number_token1] = ACTIONS(1481),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1485),
    [sym_prefix_operator] = ACTIONS(1487),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1491),
    [aux_sym_tag_token1] = ACTIONS(1493),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2895] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15934),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2895),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(23081),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6071),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6073),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6075),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6079),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6079),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6079),
    [sym_let_and_operator] = ACTIONS(6079),
    [sym_match_operator] = ACTIONS(6079),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2896] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15939),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2896),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(20792),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6029),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6031),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6033),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6035),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6037),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6037),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6037),
    [sym_let_and_operator] = ACTIONS(6037),
    [sym_match_operator] = ACTIONS(6037),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2897] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15897),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2897),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21458),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6049),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6051),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6053),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6057),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6057),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6057),
    [sym_let_and_operator] = ACTIONS(6057),
    [sym_match_operator] = ACTIONS(6057),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2898] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15992),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2898),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(22680),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6041),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6043),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6045),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6047),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6047),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6047),
    [sym_let_and_operator] = ACTIONS(6047),
    [sym_match_operator] = ACTIONS(6047),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2899] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16028),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2899),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21809),
    [sym_add_operator] = STATE(22090),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(5945),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_module] = ACTIONS(6091),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(2665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(2669),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(2669),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2669),
    [sym_let_and_operator] = ACTIONS(2669),
    [sym_match_operator] = ACTIONS(2669),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2900] = {
    [sym__simple_expression] = STATE(6753),
    [sym_typed_expression] = STATE(6640),
    [sym_list_expression] = STATE(6640),
    [sym_array_expression] = STATE(6640),
    [sym_record_expression] = STATE(6640),
    [sym_labeled_argument] = STATE(7089),
    [sym_prefix_expression] = STATE(6640),
    [sym_hash_expression] = STATE(6640),
    [sym_field_get_expression] = STATE(6640),
    [sym_array_get_expression] = STATE(6640),
    [sym_string_get_expression] = STATE(6640),
    [sym_bigarray_get_expression] = STATE(6640),
    [sym_coercion_expression] = STATE(6640),
    [sym_local_open_expression] = STATE(6640),
    [sym_package_expression] = STATE(6640),
    [sym_new_expression] = STATE(6640),
    [sym_object_copy_expression] = STATE(6640),
    [sym_method_invocation] = STATE(6640),
    [sym_object_expression] = STATE(6640),
    [sym_parenthesized_expression] = STATE(6640),
    [sym_attribute] = STATE(2900),
    [sym_extension] = STATE(6640),
    [sym_quoted_extension] = STATE(6640),
    [sym__constant] = STATE(6640),
    [sym_number] = STATE(6619),
    [sym_character] = STATE(6619),
    [sym_string] = STATE(6619),
    [sym_quoted_string] = STATE(6619),
    [sym_boolean] = STATE(6619),
    [sym_unit] = STATE(6619),
    [sym__value_name] = STATE(6702),
    [sym_parenthesized_operator] = STATE(6592),
    [sym_value_path] = STATE(6640),
    [sym_module_path] = STATE(20783),
    [sym_constructor_path] = STATE(6640),
    [sym__constructor_name] = STATE(6629),
    [sym_tag] = STATE(6640),
    [aux_sym_class_application_repeat1] = STATE(2900),
    [sym__lowercase_identifier] = ACTIONS(6241),
    [anon_sym_COLON_GT] = ACTIONS(4469),
    [anon_sym_TILDE] = ACTIONS(6244),
    [anon_sym_QMARK] = ACTIONS(6244),
    [anon_sym_LPAREN] = ACTIONS(6247),
    [anon_sym_RPAREN] = ACTIONS(4469),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(6250),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(6253),
    [anon_sym_false] = ACTIONS(6253),
    [anon_sym_COLON2] = ACTIONS(4474),
    [anon_sym_DASH_GT] = ACTIONS(4474),
    [anon_sym_LBRACE] = ACTIONS(6256),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_RBRACE] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(6259),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6262),
    [anon_sym_new] = ACTIONS(6265),
    [anon_sym_LBRACE_LT] = ACTIONS(6268),
    [anon_sym_GT_RBRACE] = ACTIONS(4469),
    [anon_sym_begin] = ACTIONS(6271),
    [sym_ocamlyacc_value] = ACTIONS(6274),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6277),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6280),
    [aux_sym_number_token1] = ACTIONS(6283),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(6286),
    [anon_sym_DQUOTE] = ACTIONS(6289),
    [sym_prefix_operator] = ACTIONS(6292),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(6295),
    [aux_sym_tag_token1] = ACTIONS(6298),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2901] = {
    [sym__simple_expression] = STATE(7407),
    [sym_typed_expression] = STATE(7397),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_labeled_argument] = STATE(8793),
    [sym_prefix_expression] = STATE(7397),
    [sym_hash_expression] = STATE(7397),
    [sym_field_get_expression] = STATE(7397),
    [sym_array_get_expression] = STATE(7397),
    [sym_string_get_expression] = STATE(7397),
    [sym_bigarray_get_expression] = STATE(7397),
    [sym_coercion_expression] = STATE(7397),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2901),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [aux_sym_class_application_repeat1] = STATE(2938),
    [sym__lowercase_identifier] = ACTIONS(6301),
    [anon_sym_TILDE] = ACTIONS(6303),
    [anon_sym_QMARK] = ACTIONS(6303),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_DOT] = ACTIONS(6305),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_POUND] = ACTIONS(6307),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_to] = ACTIONS(3715),
    [anon_sym_downto] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6309),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2902] = {
    [sym__simple_expression] = STATE(7952),
    [sym_typed_expression] = STATE(7935),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_labeled_argument] = STATE(8985),
    [sym_prefix_expression] = STATE(7935),
    [sym_hash_expression] = STATE(7935),
    [sym_field_get_expression] = STATE(7935),
    [sym_array_get_expression] = STATE(7935),
    [sym_string_get_expression] = STATE(7935),
    [sym_bigarray_get_expression] = STATE(7935),
    [sym_coercion_expression] = STATE(7935),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2902),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [aux_sym_class_application_repeat1] = STATE(2959),
    [sym__lowercase_identifier] = ACTIONS(6311),
    [anon_sym_TILDE] = ACTIONS(6313),
    [anon_sym_QMARK] = ACTIONS(6313),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_DOT] = ACTIONS(6315),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_POUND] = ACTIONS(6317),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_done] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6319),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2903] = {
    [sym__simple_expression] = STATE(6999),
    [sym_typed_expression] = STATE(7007),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_labeled_argument] = STATE(7727),
    [sym_prefix_expression] = STATE(7007),
    [sym_hash_expression] = STATE(7007),
    [sym_field_get_expression] = STATE(7007),
    [sym_array_get_expression] = STATE(7007),
    [sym_string_get_expression] = STATE(7007),
    [sym_bigarray_get_expression] = STATE(7007),
    [sym_coercion_expression] = STATE(7007),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2903),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [aux_sym_class_application_repeat1] = STATE(2903),
    [sym__lowercase_identifier] = ACTIONS(6321),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(6324),
    [anon_sym_QMARK] = ACTIONS(6324),
    [anon_sym_LPAREN] = ACTIONS(6327),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(6330),
    [anon_sym_true] = ACTIONS(6333),
    [anon_sym_false] = ACTIONS(6333),
    [anon_sym_LBRACE] = ACTIONS(6336),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(6339),
    [anon_sym_in] = ACTIONS(4474),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6342),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(6345),
    [anon_sym_LBRACE_LT] = ACTIONS(6348),
    [anon_sym_begin] = ACTIONS(6351),
    [sym_ocamlyacc_value] = ACTIONS(6354),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6357),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6360),
    [aux_sym_number_token1] = ACTIONS(6363),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(6366),
    [anon_sym_DQUOTE] = ACTIONS(6369),
    [sym_prefix_operator] = ACTIONS(6372),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(6375),
    [aux_sym_tag_token1] = ACTIONS(6378),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2904] = {
    [sym__simple_expression] = STATE(7692),
    [sym_typed_expression] = STATE(7646),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_labeled_argument] = STATE(9088),
    [sym_prefix_expression] = STATE(7646),
    [sym_hash_expression] = STATE(7646),
    [sym_field_get_expression] = STATE(7646),
    [sym_array_get_expression] = STATE(7646),
    [sym_string_get_expression] = STATE(7646),
    [sym_bigarray_get_expression] = STATE(7646),
    [sym_coercion_expression] = STATE(7646),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2904),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [aux_sym_class_application_repeat1] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(6381),
    [anon_sym_TILDE] = ACTIONS(6383),
    [anon_sym_QMARK] = ACTIONS(6383),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_DOT] = ACTIONS(6385),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_POUND] = ACTIONS(6387),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_to] = ACTIONS(3715),
    [anon_sym_downto] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6389),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2905] = {
    [sym__simple_expression] = STATE(7773),
    [sym_typed_expression] = STATE(7603),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_labeled_argument] = STATE(9104),
    [sym_prefix_expression] = STATE(7603),
    [sym_hash_expression] = STATE(7603),
    [sym_field_get_expression] = STATE(7603),
    [sym_array_get_expression] = STATE(7603),
    [sym_string_get_expression] = STATE(7603),
    [sym_bigarray_get_expression] = STATE(7603),
    [sym_coercion_expression] = STATE(7603),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2905),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [aux_sym_class_application_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(6391),
    [anon_sym_TILDE] = ACTIONS(6393),
    [anon_sym_QMARK] = ACTIONS(6393),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_DOT] = ACTIONS(6395),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_POUND] = ACTIONS(6397),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_do] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6399),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2906] = {
    [sym__simple_expression] = STATE(6999),
    [sym_typed_expression] = STATE(7007),
    [sym_list_expression] = STATE(7007),
    [sym_array_expression] = STATE(7007),
    [sym_record_expression] = STATE(7007),
    [sym_labeled_argument] = STATE(7727),
    [sym_prefix_expression] = STATE(7007),
    [sym_hash_expression] = STATE(7007),
    [sym_field_get_expression] = STATE(7007),
    [sym_array_get_expression] = STATE(7007),
    [sym_string_get_expression] = STATE(7007),
    [sym_bigarray_get_expression] = STATE(7007),
    [sym_coercion_expression] = STATE(7007),
    [sym_local_open_expression] = STATE(7007),
    [sym_package_expression] = STATE(7007),
    [sym_new_expression] = STATE(7007),
    [sym_object_copy_expression] = STATE(7007),
    [sym_method_invocation] = STATE(7007),
    [sym_object_expression] = STATE(7007),
    [sym_parenthesized_expression] = STATE(7007),
    [sym_attribute] = STATE(2906),
    [sym_extension] = STATE(7007),
    [sym_quoted_extension] = STATE(7007),
    [sym__constant] = STATE(7007),
    [sym_number] = STATE(7003),
    [sym_character] = STATE(7003),
    [sym_string] = STATE(7003),
    [sym_quoted_string] = STATE(7003),
    [sym_boolean] = STATE(7003),
    [sym_unit] = STATE(7003),
    [sym__value_name] = STATE(7050),
    [sym_parenthesized_operator] = STATE(6959),
    [sym_value_path] = STATE(7007),
    [sym_module_path] = STATE(21731),
    [sym_constructor_path] = STATE(7007),
    [sym__constructor_name] = STATE(6951),
    [sym_tag] = STATE(7007),
    [aux_sym_class_application_repeat1] = STATE(2903),
    [sym__lowercase_identifier] = ACTIONS(6159),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(6161),
    [anon_sym_QMARK] = ACTIONS(6161),
    [anon_sym_LPAREN] = ACTIONS(1605),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_true] = ACTIONS(1609),
    [anon_sym_false] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(1613),
    [anon_sym_in] = ACTIONS(4457),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(1635),
    [anon_sym_LBRACE_LT] = ACTIONS(1637),
    [anon_sym_begin] = ACTIONS(1639),
    [sym_ocamlyacc_value] = ACTIONS(1641),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1643),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1645),
    [aux_sym_number_token1] = ACTIONS(1647),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1651),
    [sym_prefix_operator] = ACTIONS(1653),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1657),
    [aux_sym_tag_token1] = ACTIONS(1659),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2907] = {
    [sym__simple_expression] = STATE(7631),
    [sym_typed_expression] = STATE(8101),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_labeled_argument] = STATE(9041),
    [sym_prefix_expression] = STATE(8101),
    [sym_hash_expression] = STATE(8101),
    [sym_field_get_expression] = STATE(8101),
    [sym_array_get_expression] = STATE(8101),
    [sym_string_get_expression] = STATE(8101),
    [sym_bigarray_get_expression] = STATE(8101),
    [sym_coercion_expression] = STATE(8101),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2907),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [aux_sym_class_application_repeat1] = STATE(2946),
    [sym__lowercase_identifier] = ACTIONS(6401),
    [anon_sym_TILDE] = ACTIONS(6403),
    [anon_sym_QMARK] = ACTIONS(6403),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_DOT] = ACTIONS(6405),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_POUND] = ACTIONS(6407),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_then] = ACTIONS(3715),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6409),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2908] = {
    [sym__simple_expression] = STATE(7708),
    [sym_typed_expression] = STATE(7919),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_labeled_argument] = STATE(9162),
    [sym_prefix_expression] = STATE(7919),
    [sym_hash_expression] = STATE(7919),
    [sym_field_get_expression] = STATE(7919),
    [sym_array_get_expression] = STATE(7919),
    [sym_string_get_expression] = STATE(7919),
    [sym_bigarray_get_expression] = STATE(7919),
    [sym_coercion_expression] = STATE(7919),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2908),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [aux_sym_class_application_repeat1] = STATE(2950),
    [sym__lowercase_identifier] = ACTIONS(6411),
    [anon_sym_TILDE] = ACTIONS(6413),
    [anon_sym_QMARK] = ACTIONS(6413),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_DOT] = ACTIONS(6415),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_with] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_POUND] = ACTIONS(6417),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6419),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2909] = {
    [sym__simple_expression] = STATE(7977),
    [sym_typed_expression] = STATE(8120),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_labeled_argument] = STATE(9188),
    [sym_prefix_expression] = STATE(8120),
    [sym_hash_expression] = STATE(8120),
    [sym_field_get_expression] = STATE(8120),
    [sym_array_get_expression] = STATE(8120),
    [sym_string_get_expression] = STATE(8120),
    [sym_bigarray_get_expression] = STATE(8120),
    [sym_coercion_expression] = STATE(8120),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2909),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [aux_sym_class_application_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(6421),
    [anon_sym_TILDE] = ACTIONS(6423),
    [anon_sym_QMARK] = ACTIONS(6423),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_DOT] = ACTIONS(6425),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_end] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_POUND] = ACTIONS(6427),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_else] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6429),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2910] = {
    [sym__abstract_type] = STATE(23365),
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16008),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2910),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(22881),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6437),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6441),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6445),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6453),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6453),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6453),
    [sym_let_and_operator] = ACTIONS(6453),
    [sym_match_operator] = ACTIONS(6453),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2911] = {
    [sym__simple_expression] = STATE(8534),
    [sym_typed_expression] = STATE(8437),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_labeled_argument] = STATE(9278),
    [sym_prefix_expression] = STATE(8437),
    [sym_hash_expression] = STATE(8437),
    [sym_field_get_expression] = STATE(8437),
    [sym_array_get_expression] = STATE(8437),
    [sym_string_get_expression] = STATE(8437),
    [sym_bigarray_get_expression] = STATE(8437),
    [sym_coercion_expression] = STATE(8437),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2911),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [aux_sym_class_application_repeat1] = STATE(2965),
    [sym__lowercase_identifier] = ACTIONS(6459),
    [anon_sym_TILDE] = ACTIONS(6461),
    [anon_sym_QMARK] = ACTIONS(6461),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_DOT] = ACTIONS(6463),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_POUND] = ACTIONS(6465),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_done] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6467),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2912] = {
    [sym__abstract_type] = STATE(23365),
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16251),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2912),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21809),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(2661),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6091),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6035),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(2669),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(2669),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2669),
    [sym_let_and_operator] = ACTIONS(2669),
    [sym_match_operator] = ACTIONS(2669),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2913] = {
    [sym__abstract_type] = STATE(23365),
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16273),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2913),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(20846),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6469),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6471),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6473),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6477),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6477),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6477),
    [sym_let_and_operator] = ACTIONS(6477),
    [sym_match_operator] = ACTIONS(6477),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2914] = {
    [sym__simple_expression] = STATE(8488),
    [sym_typed_expression] = STATE(8129),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_labeled_argument] = STATE(9284),
    [sym_prefix_expression] = STATE(8129),
    [sym_hash_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(8129),
    [sym_array_get_expression] = STATE(8129),
    [sym_string_get_expression] = STATE(8129),
    [sym_bigarray_get_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2914),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [aux_sym_class_application_repeat1] = STATE(2970),
    [sym__lowercase_identifier] = ACTIONS(6479),
    [anon_sym_TILDE] = ACTIONS(6481),
    [anon_sym_QMARK] = ACTIONS(6481),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_DOT] = ACTIONS(6483),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_POUND] = ACTIONS(6485),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_then] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6487),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2915] = {
    [sym__simple_expression] = STATE(7118),
    [sym_typed_expression] = STATE(7105),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_labeled_argument] = STATE(8134),
    [sym_prefix_expression] = STATE(7105),
    [sym_hash_expression] = STATE(7105),
    [sym_field_get_expression] = STATE(7105),
    [sym_array_get_expression] = STATE(7105),
    [sym_string_get_expression] = STATE(7105),
    [sym_bigarray_get_expression] = STATE(7105),
    [sym_coercion_expression] = STATE(7105),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2915),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [aux_sym_class_application_repeat1] = STATE(2920),
    [sym__lowercase_identifier] = ACTIONS(6229),
    [anon_sym_and] = ACTIONS(4457),
    [anon_sym_TILDE] = ACTIONS(6231),
    [anon_sym_QMARK] = ACTIONS(6231),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(1667),
    [anon_sym_true] = ACTIONS(1669),
    [anon_sym_false] = ACTIONS(1669),
    [anon_sym_LBRACE] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(4457),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1677),
    [anon_sym_new] = ACTIONS(1687),
    [anon_sym_LBRACE_LT] = ACTIONS(1689),
    [anon_sym_begin] = ACTIONS(1691),
    [sym_ocamlyacc_value] = ACTIONS(1693),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4455),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1695),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1697),
    [aux_sym_number_token1] = ACTIONS(1699),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1703),
    [sym_prefix_operator] = ACTIONS(1705),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym_let_and_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(1709),
    [aux_sym_tag_token1] = ACTIONS(1711),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2916] = {
    [sym__abstract_type] = STATE(23365),
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16098),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2916),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(23305),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6489),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6491),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6493),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6497),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6497),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6497),
    [sym_let_and_operator] = ACTIONS(6497),
    [sym_match_operator] = ACTIONS(6497),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2917] = {
    [sym_parameter] = STATE(12251),
    [sym__polymorphic_typed] = STATE(19804),
    [sym__parenthesized_abstract_type] = STATE(12251),
    [sym__simple_pattern] = STATE(12252),
    [sym_typed_pattern] = STATE(12255),
    [sym_polymorphic_variant_pattern] = STATE(12255),
    [sym_record_pattern] = STATE(12255),
    [sym_list_pattern] = STATE(12255),
    [sym_array_pattern] = STATE(12255),
    [sym_local_open_pattern] = STATE(12255),
    [sym_package_pattern] = STATE(12255),
    [sym_parenthesized_pattern] = STATE(12255),
    [sym_attribute] = STATE(2917),
    [sym_item_attribute] = STATE(12446),
    [sym_extension] = STATE(12255),
    [sym_quoted_extension] = STATE(12255),
    [sym__constant] = STATE(12183),
    [sym__signed_constant] = STATE(12255),
    [sym_number] = STATE(12122),
    [sym_signed_number] = STATE(12183),
    [sym_character] = STATE(12122),
    [sym_string] = STATE(12122),
    [sym_quoted_string] = STATE(12122),
    [sym_boolean] = STATE(12122),
    [sym_unit] = STATE(12122),
    [sym__simple_value_pattern] = STATE(12255),
    [sym_parenthesized_operator] = STATE(12255),
    [sym_module_path] = STATE(23054),
    [sym_constructor_path] = STATE(12255),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(12255),
    [aux_sym_expression_item_repeat1] = STATE(12190),
    [aux_sym_let_binding_repeat1] = STATE(5860),
    [sym__lowercase_identifier] = ACTIONS(6499),
    [anon_sym_SEMI_SEMI] = ACTIONS(6501),
    [anon_sym_let] = ACTIONS(6503),
    [anon_sym_and] = ACTIONS(6503),
    [anon_sym_COLON_GT] = ACTIONS(6505),
    [anon_sym_EQ] = ACTIONS(6507),
    [anon_sym_TILDE] = ACTIONS(6509),
    [anon_sym_QMARK] = ACTIONS(6509),
    [anon_sym_LPAREN] = ACTIONS(6511),
    [anon_sym_external] = ACTIONS(6503),
    [anon_sym_type] = ACTIONS(6503),
    [anon_sym_COMMA] = ACTIONS(6513),
    [anon_sym_PIPE] = ACTIONS(6515),
    [anon_sym_LBRACK] = ACTIONS(6517),
    [anon_sym_RBRACK] = ACTIONS(6501),
    [anon_sym_true] = ACTIONS(6519),
    [anon_sym_false] = ACTIONS(6519),
    [anon_sym_COLON2] = ACTIONS(6521),
    [anon_sym_LBRACE] = ACTIONS(6523),
    [anon_sym_exception] = ACTIONS(6503),
    [anon_sym_module] = ACTIONS(6503),
    [anon_sym_open] = ACTIONS(6503),
    [anon_sym_include] = ACTIONS(6503),
    [anon_sym_class] = ACTIONS(6503),
    [anon_sym_in] = ACTIONS(6503),
    [anon_sym_as] = ACTIONS(6525),
    [anon_sym_POUND] = ACTIONS(6527),
    [anon_sym_COLON_COLON] = ACTIONS(6529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6531),
    [anon_sym_begin] = ACTIONS(6533),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6535),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6501),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6539),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6501),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6501),
    [aux_sym_number_token1] = ACTIONS(6541),
    [aux_sym_signed_number_token1] = ACTIONS(6543),
    [anon_sym_SQUOTE] = ACTIONS(6545),
    [anon_sym_DQUOTE] = ACTIONS(6547),
    [sym_let_operator] = ACTIONS(6501),
    [sym_let_and_operator] = ACTIONS(6501),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_directive_token1] = ACTIONS(6503),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2918] = {
    [sym__abstract_type] = STATE(23365),
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16124),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2918),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(22680),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6041),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6043),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6047),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6047),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6047),
    [sym_let_and_operator] = ACTIONS(6047),
    [sym_match_operator] = ACTIONS(6047),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2919] = {
    [sym__simple_expression] = STATE(8161),
    [sym_typed_expression] = STATE(8609),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_labeled_argument] = STATE(9234),
    [sym_prefix_expression] = STATE(8609),
    [sym_hash_expression] = STATE(8609),
    [sym_field_get_expression] = STATE(8609),
    [sym_array_get_expression] = STATE(8609),
    [sym_string_get_expression] = STATE(8609),
    [sym_bigarray_get_expression] = STATE(8609),
    [sym_coercion_expression] = STATE(8609),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2919),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [aux_sym_class_application_repeat1] = STATE(2963),
    [sym__lowercase_identifier] = ACTIONS(6549),
    [anon_sym_TILDE] = ACTIONS(6551),
    [anon_sym_QMARK] = ACTIONS(6551),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_DOT] = ACTIONS(6553),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_end] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_POUND] = ACTIONS(6555),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6557),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2920] = {
    [sym__simple_expression] = STATE(7118),
    [sym_typed_expression] = STATE(7105),
    [sym_list_expression] = STATE(7105),
    [sym_array_expression] = STATE(7105),
    [sym_record_expression] = STATE(7105),
    [sym_labeled_argument] = STATE(8134),
    [sym_prefix_expression] = STATE(7105),
    [sym_hash_expression] = STATE(7105),
    [sym_field_get_expression] = STATE(7105),
    [sym_array_get_expression] = STATE(7105),
    [sym_string_get_expression] = STATE(7105),
    [sym_bigarray_get_expression] = STATE(7105),
    [sym_coercion_expression] = STATE(7105),
    [sym_local_open_expression] = STATE(7105),
    [sym_package_expression] = STATE(7105),
    [sym_new_expression] = STATE(7105),
    [sym_object_copy_expression] = STATE(7105),
    [sym_method_invocation] = STATE(7105),
    [sym_object_expression] = STATE(7105),
    [sym_parenthesized_expression] = STATE(7105),
    [sym_attribute] = STATE(2920),
    [sym_extension] = STATE(7105),
    [sym_quoted_extension] = STATE(7105),
    [sym__constant] = STATE(7105),
    [sym_number] = STATE(7119),
    [sym_character] = STATE(7119),
    [sym_string] = STATE(7119),
    [sym_quoted_string] = STATE(7119),
    [sym_boolean] = STATE(7119),
    [sym_unit] = STATE(7119),
    [sym__value_name] = STATE(7075),
    [sym_parenthesized_operator] = STATE(7134),
    [sym_value_path] = STATE(7105),
    [sym_module_path] = STATE(20674),
    [sym_constructor_path] = STATE(7105),
    [sym__constructor_name] = STATE(7128),
    [sym_tag] = STATE(7105),
    [aux_sym_class_application_repeat1] = STATE(2920),
    [sym__lowercase_identifier] = ACTIONS(6559),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(6562),
    [anon_sym_QMARK] = ACTIONS(6562),
    [anon_sym_LPAREN] = ACTIONS(6565),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(6568),
    [anon_sym_true] = ACTIONS(6571),
    [anon_sym_false] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(6574),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(6577),
    [anon_sym_in] = ACTIONS(4474),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6580),
    [anon_sym_new] = ACTIONS(6583),
    [anon_sym_LBRACE_LT] = ACTIONS(6586),
    [anon_sym_begin] = ACTIONS(6589),
    [sym_ocamlyacc_value] = ACTIONS(6592),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6595),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6598),
    [aux_sym_number_token1] = ACTIONS(6601),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(6604),
    [anon_sym_DQUOTE] = ACTIONS(6607),
    [sym_prefix_operator] = ACTIONS(6610),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym_let_and_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(6613),
    [aux_sym_tag_token1] = ACTIONS(6616),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2921] = {
    [sym__abstract_type] = STATE(23365),
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16113),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2921),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(20709),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6619),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6621),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6623),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6627),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6627),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6627),
    [sym_let_and_operator] = ACTIONS(6627),
    [sym_match_operator] = ACTIONS(6627),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2922] = {
    [sym_parameter] = STATE(12251),
    [sym__polymorphic_typed] = STATE(20144),
    [sym__parenthesized_abstract_type] = STATE(12251),
    [sym__simple_pattern] = STATE(12252),
    [sym_typed_pattern] = STATE(12255),
    [sym_polymorphic_variant_pattern] = STATE(12255),
    [sym_record_pattern] = STATE(12255),
    [sym_list_pattern] = STATE(12255),
    [sym_array_pattern] = STATE(12255),
    [sym_local_open_pattern] = STATE(12255),
    [sym_package_pattern] = STATE(12255),
    [sym_parenthesized_pattern] = STATE(12255),
    [sym_attribute] = STATE(2922),
    [sym_item_attribute] = STATE(12446),
    [sym_extension] = STATE(12255),
    [sym_quoted_extension] = STATE(12255),
    [sym__constant] = STATE(12183),
    [sym__signed_constant] = STATE(12255),
    [sym_number] = STATE(12122),
    [sym_signed_number] = STATE(12183),
    [sym_character] = STATE(12122),
    [sym_string] = STATE(12122),
    [sym_quoted_string] = STATE(12122),
    [sym_boolean] = STATE(12122),
    [sym_unit] = STATE(12122),
    [sym__simple_value_pattern] = STATE(12255),
    [sym_parenthesized_operator] = STATE(12255),
    [sym_module_path] = STATE(23054),
    [sym_constructor_path] = STATE(12255),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(12255),
    [aux_sym_expression_item_repeat1] = STATE(12190),
    [aux_sym_let_binding_repeat1] = STATE(5857),
    [ts_builtin_sym_end] = ACTIONS(6501),
    [sym__lowercase_identifier] = ACTIONS(6499),
    [anon_sym_SEMI_SEMI] = ACTIONS(6501),
    [anon_sym_let] = ACTIONS(6503),
    [anon_sym_and] = ACTIONS(6503),
    [anon_sym_COLON_GT] = ACTIONS(6629),
    [anon_sym_EQ] = ACTIONS(6631),
    [anon_sym_TILDE] = ACTIONS(6509),
    [anon_sym_QMARK] = ACTIONS(6509),
    [anon_sym_LPAREN] = ACTIONS(6511),
    [anon_sym_external] = ACTIONS(6503),
    [anon_sym_type] = ACTIONS(6503),
    [anon_sym_COMMA] = ACTIONS(6513),
    [anon_sym_PIPE] = ACTIONS(6515),
    [anon_sym_LBRACK] = ACTIONS(6517),
    [anon_sym_true] = ACTIONS(6519),
    [anon_sym_false] = ACTIONS(6519),
    [anon_sym_COLON2] = ACTIONS(6521),
    [anon_sym_LBRACE] = ACTIONS(6523),
    [anon_sym_exception] = ACTIONS(6503),
    [anon_sym_module] = ACTIONS(6503),
    [anon_sym_open] = ACTIONS(6503),
    [anon_sym_include] = ACTIONS(6503),
    [anon_sym_class] = ACTIONS(6503),
    [anon_sym_in] = ACTIONS(6503),
    [anon_sym_as] = ACTIONS(6525),
    [anon_sym_POUND] = ACTIONS(6527),
    [anon_sym_COLON_COLON] = ACTIONS(6529),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6531),
    [anon_sym_begin] = ACTIONS(6533),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6535),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6501),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6539),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6501),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6501),
    [aux_sym_number_token1] = ACTIONS(6541),
    [aux_sym_signed_number_token1] = ACTIONS(6543),
    [anon_sym_SQUOTE] = ACTIONS(6545),
    [anon_sym_DQUOTE] = ACTIONS(6547),
    [sym_let_operator] = ACTIONS(6501),
    [sym_let_and_operator] = ACTIONS(6501),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_directive_token1] = ACTIONS(6503),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2923] = {
    [sym__simple_expression] = STATE(8194),
    [sym_typed_expression] = STATE(8577),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_labeled_argument] = STATE(9281),
    [sym_prefix_expression] = STATE(8577),
    [sym_hash_expression] = STATE(8577),
    [sym_field_get_expression] = STATE(8577),
    [sym_array_get_expression] = STATE(8577),
    [sym_string_get_expression] = STATE(8577),
    [sym_bigarray_get_expression] = STATE(8577),
    [sym_coercion_expression] = STATE(8577),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2923),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [aux_sym_class_application_repeat1] = STATE(2972),
    [sym__lowercase_identifier] = ACTIONS(6633),
    [anon_sym_TILDE] = ACTIONS(6635),
    [anon_sym_QMARK] = ACTIONS(6635),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_DOT] = ACTIONS(6637),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_POUND] = ACTIONS(6639),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3715),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6641),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2924] = {
    [sym_parameter] = STATE(12251),
    [sym__polymorphic_typed] = STATE(19900),
    [sym__parenthesized_abstract_type] = STATE(12251),
    [sym__simple_pattern] = STATE(12252),
    [sym_typed_pattern] = STATE(12255),
    [sym_polymorphic_variant_pattern] = STATE(12255),
    [sym_record_pattern] = STATE(12255),
    [sym_list_pattern] = STATE(12255),
    [sym_array_pattern] = STATE(12255),
    [sym_local_open_pattern] = STATE(12255),
    [sym_package_pattern] = STATE(12255),
    [sym_parenthesized_pattern] = STATE(12255),
    [sym_attribute] = STATE(2924),
    [sym_item_attribute] = STATE(12446),
    [sym_extension] = STATE(12255),
    [sym_quoted_extension] = STATE(12255),
    [sym__constant] = STATE(12183),
    [sym__signed_constant] = STATE(12255),
    [sym_number] = STATE(12122),
    [sym_signed_number] = STATE(12183),
    [sym_character] = STATE(12122),
    [sym_string] = STATE(12122),
    [sym_quoted_string] = STATE(12122),
    [sym_boolean] = STATE(12122),
    [sym_unit] = STATE(12122),
    [sym__simple_value_pattern] = STATE(12255),
    [sym_parenthesized_operator] = STATE(12255),
    [sym_module_path] = STATE(23054),
    [sym_constructor_path] = STATE(12255),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(12255),
    [aux_sym_expression_item_repeat1] = STATE(12190),
    [aux_sym_let_binding_repeat1] = STATE(5862),
    [sym__lowercase_identifier] = ACTIONS(6499),
    [anon_sym_SEMI_SEMI] = ACTIONS(6501),
    [anon_sym_let] = ACTIONS(6503),
    [anon_sym_and] = ACTIONS(6503),
    [anon_sym_COLON_GT] = ACTIONS(6643),
    [anon_sym_EQ] = ACTIONS(6645),
    [anon_sym_TILDE] = ACTIONS(6509),
    [anon_sym_QMARK] = ACTIONS(6509),
    [anon_sym_LPAREN] = ACTIONS(6511),
    [anon_sym_external] = ACTIONS(6503),
    [anon_sym_type] = ACTIONS(6503),
    [anon_sym_COMMA] = ACTIONS(6647),
    [anon_sym_PIPE] = ACTIONS(6649),
    [anon_sym_LBRACK] = ACTIONS(6517),
    [anon_sym_true] = ACTIONS(6519),
    [anon_sym_false] = ACTIONS(6519),
    [anon_sym_COLON2] = ACTIONS(6521),
    [anon_sym_LBRACE] = ACTIONS(6523),
    [anon_sym_exception] = ACTIONS(6503),
    [anon_sym_module] = ACTIONS(6503),
    [anon_sym_open] = ACTIONS(6503),
    [anon_sym_include] = ACTIONS(6503),
    [anon_sym_class] = ACTIONS(6503),
    [anon_sym_end] = ACTIONS(6503),
    [anon_sym_in] = ACTIONS(6503),
    [anon_sym_as] = ACTIONS(6651),
    [anon_sym_POUND] = ACTIONS(6527),
    [anon_sym_COLON_COLON] = ACTIONS(6653),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6531),
    [anon_sym_begin] = ACTIONS(6533),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6535),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6501),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6539),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6501),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6501),
    [aux_sym_number_token1] = ACTIONS(6541),
    [aux_sym_signed_number_token1] = ACTIONS(6543),
    [anon_sym_SQUOTE] = ACTIONS(6545),
    [anon_sym_DQUOTE] = ACTIONS(6547),
    [sym_let_operator] = ACTIONS(6501),
    [sym_let_and_operator] = ACTIONS(6501),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_directive_token1] = ACTIONS(6503),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2925] = {
    [sym__abstract_type] = STATE(23365),
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(15972),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2925),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(20518),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6655),
    [anon_sym_type] = ACTIONS(5951),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6657),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6659),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6663),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6663),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6663),
    [sym_let_and_operator] = ACTIONS(6663),
    [sym_match_operator] = ACTIONS(6663),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2926] = {
    [sym__simple_expression] = STATE(8206),
    [sym_typed_expression] = STATE(8155),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_labeled_argument] = STATE(9385),
    [sym_prefix_expression] = STATE(8155),
    [sym_hash_expression] = STATE(8155),
    [sym_field_get_expression] = STATE(8155),
    [sym_array_get_expression] = STATE(8155),
    [sym_string_get_expression] = STATE(8155),
    [sym_bigarray_get_expression] = STATE(8155),
    [sym_coercion_expression] = STATE(8155),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2926),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [aux_sym_class_application_repeat1] = STATE(2967),
    [sym__lowercase_identifier] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6667),
    [anon_sym_QMARK] = ACTIONS(6667),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(3711),
    [anon_sym_PIPE] = ACTIONS(3715),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_DOT] = ACTIONS(6669),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_SEMI] = ACTIONS(3711),
    [anon_sym_with] = ACTIONS(3715),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_POUND] = ACTIONS(6671),
    [anon_sym_COLON_COLON] = ACTIONS(3711),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(3715),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(3715),
    [sym_hash_operator] = ACTIONS(6673),
    [sym_pow_operator] = ACTIONS(3715),
    [sym_mult_operator] = ACTIONS(3715),
    [aux_sym_add_operator_token1] = ACTIONS(3715),
    [sym_concat_operator] = ACTIONS(3711),
    [sym_rel_operator] = ACTIONS(3715),
    [sym_and_operator] = ACTIONS(3715),
    [sym_or_operator] = ACTIONS(3715),
    [sym_assign_operator] = ACTIONS(3711),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2927] = {
    [sym__simple_expression] = STATE(7407),
    [sym_typed_expression] = STATE(7397),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_labeled_argument] = STATE(8793),
    [sym_prefix_expression] = STATE(7397),
    [sym_hash_expression] = STATE(7397),
    [sym_field_get_expression] = STATE(7397),
    [sym_array_get_expression] = STATE(7397),
    [sym_string_get_expression] = STATE(7397),
    [sym_bigarray_get_expression] = STATE(7397),
    [sym_coercion_expression] = STATE(7397),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2927),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [aux_sym_class_application_repeat1] = STATE(2927),
    [sym__lowercase_identifier] = ACTIONS(6675),
    [anon_sym_TILDE] = ACTIONS(6678),
    [anon_sym_QMARK] = ACTIONS(6678),
    [anon_sym_LPAREN] = ACTIONS(6681),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(6684),
    [anon_sym_true] = ACTIONS(6687),
    [anon_sym_false] = ACTIONS(6687),
    [anon_sym_LBRACE] = ACTIONS(6690),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(6693),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6696),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_to] = ACTIONS(4474),
    [anon_sym_downto] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(6699),
    [anon_sym_LBRACE_LT] = ACTIONS(6702),
    [anon_sym_begin] = ACTIONS(6705),
    [sym_ocamlyacc_value] = ACTIONS(6708),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6711),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6714),
    [aux_sym_number_token1] = ACTIONS(6717),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(6720),
    [anon_sym_DQUOTE] = ACTIONS(6723),
    [sym_prefix_operator] = ACTIONS(6726),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(6729),
    [aux_sym_tag_token1] = ACTIONS(6732),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2928] = {
    [sym_parameter] = STATE(12251),
    [sym__polymorphic_typed] = STATE(19659),
    [sym__parenthesized_abstract_type] = STATE(12251),
    [sym__simple_pattern] = STATE(12252),
    [sym_typed_pattern] = STATE(12255),
    [sym_polymorphic_variant_pattern] = STATE(12255),
    [sym_record_pattern] = STATE(12255),
    [sym_list_pattern] = STATE(12255),
    [sym_array_pattern] = STATE(12255),
    [sym_local_open_pattern] = STATE(12255),
    [sym_package_pattern] = STATE(12255),
    [sym_parenthesized_pattern] = STATE(12255),
    [sym_attribute] = STATE(2928),
    [sym_item_attribute] = STATE(12446),
    [sym_extension] = STATE(12255),
    [sym_quoted_extension] = STATE(12255),
    [sym__constant] = STATE(12183),
    [sym__signed_constant] = STATE(12255),
    [sym_number] = STATE(12122),
    [sym_signed_number] = STATE(12183),
    [sym_character] = STATE(12122),
    [sym_string] = STATE(12122),
    [sym_quoted_string] = STATE(12122),
    [sym_boolean] = STATE(12122),
    [sym_unit] = STATE(12122),
    [sym__simple_value_pattern] = STATE(12255),
    [sym_parenthesized_operator] = STATE(12255),
    [sym_module_path] = STATE(23054),
    [sym_constructor_path] = STATE(12255),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(12255),
    [aux_sym_expression_item_repeat1] = STATE(12190),
    [aux_sym_let_binding_repeat1] = STATE(5866),
    [sym__lowercase_identifier] = ACTIONS(6499),
    [anon_sym_SEMI_SEMI] = ACTIONS(6501),
    [anon_sym_let] = ACTIONS(6503),
    [anon_sym_and] = ACTIONS(6503),
    [anon_sym_COLON_GT] = ACTIONS(6735),
    [anon_sym_EQ] = ACTIONS(6737),
    [anon_sym_TILDE] = ACTIONS(6509),
    [anon_sym_QMARK] = ACTIONS(6509),
    [anon_sym_LPAREN] = ACTIONS(6511),
    [anon_sym_external] = ACTIONS(6503),
    [anon_sym_type] = ACTIONS(6503),
    [anon_sym_COMMA] = ACTIONS(6739),
    [anon_sym_PIPE] = ACTIONS(6741),
    [anon_sym_LBRACK] = ACTIONS(6517),
    [anon_sym_true] = ACTIONS(6519),
    [anon_sym_false] = ACTIONS(6519),
    [anon_sym_COLON2] = ACTIONS(6521),
    [anon_sym_LBRACE] = ACTIONS(6523),
    [anon_sym_exception] = ACTIONS(6503),
    [anon_sym_module] = ACTIONS(6503),
    [anon_sym_open] = ACTIONS(6503),
    [anon_sym_include] = ACTIONS(6503),
    [anon_sym_class] = ACTIONS(6503),
    [anon_sym_end] = ACTIONS(6503),
    [anon_sym_as] = ACTIONS(6743),
    [anon_sym_POUND] = ACTIONS(6527),
    [anon_sym_COLON_COLON] = ACTIONS(6745),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6531),
    [anon_sym_begin] = ACTIONS(6533),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6535),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6501),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6539),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6501),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6501),
    [aux_sym_number_token1] = ACTIONS(6541),
    [aux_sym_signed_number_token1] = ACTIONS(6543),
    [anon_sym_SQUOTE] = ACTIONS(6545),
    [anon_sym_DQUOTE] = ACTIONS(6547),
    [sym_let_operator] = ACTIONS(6501),
    [sym_let_and_operator] = ACTIONS(6501),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_directive_token1] = ACTIONS(6503),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2929] = {
    [sym__simple_expression] = STATE(7373),
    [sym_typed_expression] = STATE(7492),
    [sym_list_expression] = STATE(7492),
    [sym_array_expression] = STATE(7492),
    [sym_record_expression] = STATE(7492),
    [sym_labeled_argument] = STATE(8468),
    [sym_prefix_expression] = STATE(7492),
    [sym_hash_expression] = STATE(7492),
    [sym_field_get_expression] = STATE(7492),
    [sym_array_get_expression] = STATE(7492),
    [sym_string_get_expression] = STATE(7492),
    [sym_bigarray_get_expression] = STATE(7492),
    [sym_coercion_expression] = STATE(7492),
    [sym_local_open_expression] = STATE(7492),
    [sym_package_expression] = STATE(7492),
    [sym_new_expression] = STATE(7492),
    [sym_object_copy_expression] = STATE(7492),
    [sym_method_invocation] = STATE(7492),
    [sym_object_expression] = STATE(7492),
    [sym_parenthesized_expression] = STATE(7492),
    [sym_attribute] = STATE(2929),
    [sym_extension] = STATE(7492),
    [sym_quoted_extension] = STATE(7492),
    [sym__constant] = STATE(7492),
    [sym_number] = STATE(7236),
    [sym_character] = STATE(7236),
    [sym_string] = STATE(7236),
    [sym_quoted_string] = STATE(7236),
    [sym_boolean] = STATE(7236),
    [sym_unit] = STATE(7236),
    [sym__value_name] = STATE(7225),
    [sym_parenthesized_operator] = STATE(7211),
    [sym_value_path] = STATE(7492),
    [sym_module_path] = STATE(20838),
    [sym_constructor_path] = STATE(7492),
    [sym__constructor_name] = STATE(7371),
    [sym_tag] = STATE(7492),
    [aux_sym_class_application_repeat1] = STATE(2932),
    [ts_builtin_sym_end] = ACTIONS(6747),
    [sym__lowercase_identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6747),
    [anon_sym_let] = ACTIONS(6751),
    [anon_sym_and] = ACTIONS(6751),
    [anon_sym_TILDE] = ACTIONS(6753),
    [anon_sym_QMARK] = ACTIONS(6753),
    [anon_sym_LPAREN] = ACTIONS(6755),
    [anon_sym_external] = ACTIONS(6751),
    [anon_sym_type] = ACTIONS(6751),
    [anon_sym_LBRACK] = ACTIONS(6757),
    [anon_sym_true] = ACTIONS(6759),
    [anon_sym_false] = ACTIONS(6759),
    [anon_sym_LBRACE] = ACTIONS(6761),
    [anon_sym_exception] = ACTIONS(6751),
    [anon_sym_module] = ACTIONS(6751),
    [anon_sym_open] = ACTIONS(6751),
    [anon_sym_include] = ACTIONS(6751),
    [anon_sym_class] = ACTIONS(6751),
    [anon_sym_object] = ACTIONS(6763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6765),
    [anon_sym_new] = ACTIONS(6767),
    [anon_sym_LBRACE_LT] = ACTIONS(6769),
    [anon_sym_begin] = ACTIONS(6771),
    [sym_ocamlyacc_value] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6747),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6747),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6747),
    [aux_sym_number_token1] = ACTIONS(6779),
    [anon_sym_SQUOTE] = ACTIONS(6781),
    [anon_sym_DQUOTE] = ACTIONS(6783),
    [sym_prefix_operator] = ACTIONS(6785),
    [sym_let_operator] = ACTIONS(6747),
    [sym__uppercase_identifier] = ACTIONS(6787),
    [aux_sym_directive_token1] = ACTIONS(6747),
    [aux_sym_tag_token1] = ACTIONS(6789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2930] = {
    [sym__simple_expression] = STATE(7484),
    [sym_typed_expression] = STATE(7353),
    [sym_list_expression] = STATE(7353),
    [sym_array_expression] = STATE(7353),
    [sym_record_expression] = STATE(7353),
    [sym_labeled_argument] = STATE(8468),
    [sym_prefix_expression] = STATE(7353),
    [sym_hash_expression] = STATE(7353),
    [sym_field_get_expression] = STATE(7353),
    [sym_array_get_expression] = STATE(7353),
    [sym_string_get_expression] = STATE(7353),
    [sym_bigarray_get_expression] = STATE(7353),
    [sym_coercion_expression] = STATE(7353),
    [sym_local_open_expression] = STATE(7353),
    [sym_package_expression] = STATE(7353),
    [sym_new_expression] = STATE(7353),
    [sym_object_copy_expression] = STATE(7353),
    [sym_method_invocation] = STATE(7353),
    [sym_object_expression] = STATE(7353),
    [sym_parenthesized_expression] = STATE(7353),
    [sym_attribute] = STATE(2930),
    [sym_extension] = STATE(7353),
    [sym_quoted_extension] = STATE(7353),
    [sym__constant] = STATE(7353),
    [sym_number] = STATE(7526),
    [sym_character] = STATE(7526),
    [sym_string] = STATE(7526),
    [sym_quoted_string] = STATE(7526),
    [sym_boolean] = STATE(7526),
    [sym_unit] = STATE(7526),
    [sym__value_name] = STATE(7528),
    [sym_parenthesized_operator] = STATE(7306),
    [sym_value_path] = STATE(7353),
    [sym_module_path] = STATE(21424),
    [sym_constructor_path] = STATE(7353),
    [sym__constructor_name] = STATE(7355),
    [sym_tag] = STATE(7353),
    [aux_sym_class_application_repeat1] = STATE(2931),
    [sym__lowercase_identifier] = ACTIONS(6791),
    [anon_sym_SEMI_SEMI] = ACTIONS(6793),
    [anon_sym_let] = ACTIONS(6795),
    [anon_sym_and] = ACTIONS(6795),
    [anon_sym_TILDE] = ACTIONS(6797),
    [anon_sym_QMARK] = ACTIONS(6797),
    [anon_sym_LPAREN] = ACTIONS(6799),
    [anon_sym_external] = ACTIONS(6795),
    [anon_sym_type] = ACTIONS(6795),
    [anon_sym_LBRACK] = ACTIONS(6801),
    [anon_sym_RBRACK] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(6803),
    [anon_sym_false] = ACTIONS(6803),
    [anon_sym_LBRACE] = ACTIONS(6805),
    [anon_sym_exception] = ACTIONS(6795),
    [anon_sym_module] = ACTIONS(6795),
    [anon_sym_open] = ACTIONS(6795),
    [anon_sym_include] = ACTIONS(6795),
    [anon_sym_class] = ACTIONS(6795),
    [anon_sym_object] = ACTIONS(6807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6809),
    [anon_sym_new] = ACTIONS(6811),
    [anon_sym_LBRACE_LT] = ACTIONS(6813),
    [anon_sym_begin] = ACTIONS(6815),
    [sym_ocamlyacc_value] = ACTIONS(6817),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6795),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6793),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6821),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6793),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6793),
    [aux_sym_number_token1] = ACTIONS(6823),
    [anon_sym_SQUOTE] = ACTIONS(6825),
    [anon_sym_DQUOTE] = ACTIONS(6827),
    [sym_prefix_operator] = ACTIONS(6829),
    [sym_let_operator] = ACTIONS(6793),
    [sym__uppercase_identifier] = ACTIONS(6831),
    [aux_sym_directive_token1] = ACTIONS(6793),
    [aux_sym_tag_token1] = ACTIONS(6833),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2931] = {
    [sym__simple_expression] = STATE(7484),
    [sym_typed_expression] = STATE(7353),
    [sym_list_expression] = STATE(7353),
    [sym_array_expression] = STATE(7353),
    [sym_record_expression] = STATE(7353),
    [sym_labeled_argument] = STATE(8468),
    [sym_prefix_expression] = STATE(7353),
    [sym_hash_expression] = STATE(7353),
    [sym_field_get_expression] = STATE(7353),
    [sym_array_get_expression] = STATE(7353),
    [sym_string_get_expression] = STATE(7353),
    [sym_bigarray_get_expression] = STATE(7353),
    [sym_coercion_expression] = STATE(7353),
    [sym_local_open_expression] = STATE(7353),
    [sym_package_expression] = STATE(7353),
    [sym_new_expression] = STATE(7353),
    [sym_object_copy_expression] = STATE(7353),
    [sym_method_invocation] = STATE(7353),
    [sym_object_expression] = STATE(7353),
    [sym_parenthesized_expression] = STATE(7353),
    [sym_attribute] = STATE(2931),
    [sym_extension] = STATE(7353),
    [sym_quoted_extension] = STATE(7353),
    [sym__constant] = STATE(7353),
    [sym_number] = STATE(7526),
    [sym_character] = STATE(7526),
    [sym_string] = STATE(7526),
    [sym_quoted_string] = STATE(7526),
    [sym_boolean] = STATE(7526),
    [sym_unit] = STATE(7526),
    [sym__value_name] = STATE(7528),
    [sym_parenthesized_operator] = STATE(7306),
    [sym_value_path] = STATE(7353),
    [sym_module_path] = STATE(21424),
    [sym_constructor_path] = STATE(7353),
    [sym__constructor_name] = STATE(7355),
    [sym_tag] = STATE(7353),
    [aux_sym_class_application_repeat1] = STATE(2936),
    [sym__lowercase_identifier] = ACTIONS(6791),
    [anon_sym_SEMI_SEMI] = ACTIONS(6747),
    [anon_sym_let] = ACTIONS(6751),
    [anon_sym_and] = ACTIONS(6751),
    [anon_sym_TILDE] = ACTIONS(6797),
    [anon_sym_QMARK] = ACTIONS(6797),
    [anon_sym_LPAREN] = ACTIONS(6799),
    [anon_sym_external] = ACTIONS(6751),
    [anon_sym_type] = ACTIONS(6751),
    [anon_sym_LBRACK] = ACTIONS(6801),
    [anon_sym_RBRACK] = ACTIONS(6747),
    [anon_sym_true] = ACTIONS(6803),
    [anon_sym_false] = ACTIONS(6803),
    [anon_sym_LBRACE] = ACTIONS(6805),
    [anon_sym_exception] = ACTIONS(6751),
    [anon_sym_module] = ACTIONS(6751),
    [anon_sym_open] = ACTIONS(6751),
    [anon_sym_include] = ACTIONS(6751),
    [anon_sym_class] = ACTIONS(6751),
    [anon_sym_object] = ACTIONS(6807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6809),
    [anon_sym_new] = ACTIONS(6811),
    [anon_sym_LBRACE_LT] = ACTIONS(6813),
    [anon_sym_begin] = ACTIONS(6815),
    [sym_ocamlyacc_value] = ACTIONS(6817),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6747),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6821),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6747),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6747),
    [aux_sym_number_token1] = ACTIONS(6823),
    [anon_sym_SQUOTE] = ACTIONS(6825),
    [anon_sym_DQUOTE] = ACTIONS(6827),
    [sym_prefix_operator] = ACTIONS(6829),
    [sym_let_operator] = ACTIONS(6747),
    [sym__uppercase_identifier] = ACTIONS(6831),
    [aux_sym_directive_token1] = ACTIONS(6747),
    [aux_sym_tag_token1] = ACTIONS(6833),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2932] = {
    [sym__simple_expression] = STATE(7373),
    [sym_typed_expression] = STATE(7492),
    [sym_list_expression] = STATE(7492),
    [sym_array_expression] = STATE(7492),
    [sym_record_expression] = STATE(7492),
    [sym_labeled_argument] = STATE(8468),
    [sym_prefix_expression] = STATE(7492),
    [sym_hash_expression] = STATE(7492),
    [sym_field_get_expression] = STATE(7492),
    [sym_array_get_expression] = STATE(7492),
    [sym_string_get_expression] = STATE(7492),
    [sym_bigarray_get_expression] = STATE(7492),
    [sym_coercion_expression] = STATE(7492),
    [sym_local_open_expression] = STATE(7492),
    [sym_package_expression] = STATE(7492),
    [sym_new_expression] = STATE(7492),
    [sym_object_copy_expression] = STATE(7492),
    [sym_method_invocation] = STATE(7492),
    [sym_object_expression] = STATE(7492),
    [sym_parenthesized_expression] = STATE(7492),
    [sym_attribute] = STATE(2932),
    [sym_extension] = STATE(7492),
    [sym_quoted_extension] = STATE(7492),
    [sym__constant] = STATE(7492),
    [sym_number] = STATE(7236),
    [sym_character] = STATE(7236),
    [sym_string] = STATE(7236),
    [sym_quoted_string] = STATE(7236),
    [sym_boolean] = STATE(7236),
    [sym_unit] = STATE(7236),
    [sym__value_name] = STATE(7225),
    [sym_parenthesized_operator] = STATE(7211),
    [sym_value_path] = STATE(7492),
    [sym_module_path] = STATE(20838),
    [sym_constructor_path] = STATE(7492),
    [sym__constructor_name] = STATE(7371),
    [sym_tag] = STATE(7492),
    [aux_sym_class_application_repeat1] = STATE(2932),
    [ts_builtin_sym_end] = ACTIONS(4469),
    [sym__lowercase_identifier] = ACTIONS(6835),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(6838),
    [anon_sym_QMARK] = ACTIONS(6838),
    [anon_sym_LPAREN] = ACTIONS(6841),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(6844),
    [anon_sym_true] = ACTIONS(6847),
    [anon_sym_false] = ACTIONS(6847),
    [anon_sym_LBRACE] = ACTIONS(6850),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(6853),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6856),
    [anon_sym_new] = ACTIONS(6859),
    [anon_sym_LBRACE_LT] = ACTIONS(6862),
    [anon_sym_begin] = ACTIONS(6865),
    [sym_ocamlyacc_value] = ACTIONS(6868),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6871),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6874),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(6877),
    [anon_sym_SQUOTE] = ACTIONS(6880),
    [anon_sym_DQUOTE] = ACTIONS(6883),
    [sym_prefix_operator] = ACTIONS(6886),
    [sym_let_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(6889),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(6892),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2933] = {
    [sym_parameter] = STATE(12251),
    [sym__polymorphic_typed] = STATE(19228),
    [sym__parenthesized_abstract_type] = STATE(12251),
    [sym__simple_pattern] = STATE(12252),
    [sym_typed_pattern] = STATE(12255),
    [sym_polymorphic_variant_pattern] = STATE(12255),
    [sym_record_pattern] = STATE(12255),
    [sym_list_pattern] = STATE(12255),
    [sym_array_pattern] = STATE(12255),
    [sym_local_open_pattern] = STATE(12255),
    [sym_package_pattern] = STATE(12255),
    [sym_parenthesized_pattern] = STATE(12255),
    [sym_attribute] = STATE(2933),
    [sym_item_attribute] = STATE(12446),
    [sym_extension] = STATE(12255),
    [sym_quoted_extension] = STATE(12255),
    [sym__constant] = STATE(12183),
    [sym__signed_constant] = STATE(12255),
    [sym_number] = STATE(12122),
    [sym_signed_number] = STATE(12183),
    [sym_character] = STATE(12122),
    [sym_string] = STATE(12122),
    [sym_quoted_string] = STATE(12122),
    [sym_boolean] = STATE(12122),
    [sym_unit] = STATE(12122),
    [sym__simple_value_pattern] = STATE(12255),
    [sym_parenthesized_operator] = STATE(12255),
    [sym_module_path] = STATE(23054),
    [sym_constructor_path] = STATE(12255),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(12255),
    [aux_sym_expression_item_repeat1] = STATE(12190),
    [aux_sym_let_binding_repeat1] = STATE(5864),
    [sym__lowercase_identifier] = ACTIONS(6499),
    [anon_sym_SEMI_SEMI] = ACTIONS(6501),
    [anon_sym_let] = ACTIONS(6503),
    [anon_sym_and] = ACTIONS(6503),
    [anon_sym_COLON_GT] = ACTIONS(6895),
    [anon_sym_EQ] = ACTIONS(6897),
    [anon_sym_TILDE] = ACTIONS(6509),
    [anon_sym_QMARK] = ACTIONS(6509),
    [anon_sym_LPAREN] = ACTIONS(6511),
    [anon_sym_external] = ACTIONS(6503),
    [anon_sym_type] = ACTIONS(6503),
    [anon_sym_COMMA] = ACTIONS(6899),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6517),
    [anon_sym_RBRACK] = ACTIONS(6501),
    [anon_sym_true] = ACTIONS(6519),
    [anon_sym_false] = ACTIONS(6519),
    [anon_sym_COLON2] = ACTIONS(6521),
    [anon_sym_LBRACE] = ACTIONS(6523),
    [anon_sym_exception] = ACTIONS(6503),
    [anon_sym_module] = ACTIONS(6503),
    [anon_sym_open] = ACTIONS(6503),
    [anon_sym_include] = ACTIONS(6503),
    [anon_sym_class] = ACTIONS(6503),
    [anon_sym_as] = ACTIONS(6903),
    [anon_sym_POUND] = ACTIONS(6527),
    [anon_sym_COLON_COLON] = ACTIONS(6905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6531),
    [anon_sym_begin] = ACTIONS(6533),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6535),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6501),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6539),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6501),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6501),
    [aux_sym_number_token1] = ACTIONS(6541),
    [aux_sym_signed_number_token1] = ACTIONS(6543),
    [anon_sym_SQUOTE] = ACTIONS(6545),
    [anon_sym_DQUOTE] = ACTIONS(6547),
    [sym_let_operator] = ACTIONS(6501),
    [sym_let_and_operator] = ACTIONS(6501),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_directive_token1] = ACTIONS(6503),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2934] = {
    [sym__simple_expression] = STATE(7276),
    [sym_typed_expression] = STATE(7222),
    [sym_list_expression] = STATE(7222),
    [sym_array_expression] = STATE(7222),
    [sym_record_expression] = STATE(7222),
    [sym_labeled_argument] = STATE(8769),
    [sym_prefix_expression] = STATE(7222),
    [sym_hash_expression] = STATE(7222),
    [sym_field_get_expression] = STATE(7222),
    [sym_array_get_expression] = STATE(7222),
    [sym_string_get_expression] = STATE(7222),
    [sym_bigarray_get_expression] = STATE(7222),
    [sym_coercion_expression] = STATE(7222),
    [sym_local_open_expression] = STATE(7222),
    [sym_package_expression] = STATE(7222),
    [sym_new_expression] = STATE(7222),
    [sym_object_copy_expression] = STATE(7222),
    [sym_method_invocation] = STATE(7222),
    [sym_object_expression] = STATE(7222),
    [sym_parenthesized_expression] = STATE(7222),
    [sym_attribute] = STATE(2934),
    [sym_extension] = STATE(7222),
    [sym_quoted_extension] = STATE(7222),
    [sym__constant] = STATE(7222),
    [sym_number] = STATE(7382),
    [sym_character] = STATE(7382),
    [sym_string] = STATE(7382),
    [sym_quoted_string] = STATE(7382),
    [sym_boolean] = STATE(7382),
    [sym_unit] = STATE(7382),
    [sym__value_name] = STATE(7305),
    [sym_parenthesized_operator] = STATE(7470),
    [sym_value_path] = STATE(7222),
    [sym_module_path] = STATE(21541),
    [sym_constructor_path] = STATE(7222),
    [sym__constructor_name] = STATE(7216),
    [sym_tag] = STATE(7222),
    [aux_sym_class_application_repeat1] = STATE(2935),
    [sym__lowercase_identifier] = ACTIONS(6907),
    [anon_sym_SEMI_SEMI] = ACTIONS(6793),
    [anon_sym_let] = ACTIONS(6795),
    [anon_sym_and] = ACTIONS(6795),
    [anon_sym_TILDE] = ACTIONS(6909),
    [anon_sym_QMARK] = ACTIONS(6909),
    [anon_sym_LPAREN] = ACTIONS(6911),
    [anon_sym_external] = ACTIONS(6795),
    [anon_sym_type] = ACTIONS(6795),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [anon_sym_true] = ACTIONS(6915),
    [anon_sym_false] = ACTIONS(6915),
    [anon_sym_LBRACE] = ACTIONS(6917),
    [anon_sym_exception] = ACTIONS(6795),
    [anon_sym_module] = ACTIONS(6795),
    [anon_sym_open] = ACTIONS(6795),
    [anon_sym_include] = ACTIONS(6795),
    [anon_sym_class] = ACTIONS(6795),
    [anon_sym_end] = ACTIONS(6795),
    [anon_sym_object] = ACTIONS(6919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6921),
    [anon_sym_new] = ACTIONS(6923),
    [anon_sym_LBRACE_LT] = ACTIONS(6925),
    [anon_sym_begin] = ACTIONS(6927),
    [sym_ocamlyacc_value] = ACTIONS(6929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6795),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6793),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6931),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6793),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6793),
    [aux_sym_number_token1] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6937),
    [anon_sym_DQUOTE] = ACTIONS(6939),
    [sym_prefix_operator] = ACTIONS(6941),
    [sym_let_operator] = ACTIONS(6793),
    [sym__uppercase_identifier] = ACTIONS(6943),
    [aux_sym_directive_token1] = ACTIONS(6793),
    [aux_sym_tag_token1] = ACTIONS(6945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2935] = {
    [sym__simple_expression] = STATE(7276),
    [sym_typed_expression] = STATE(7222),
    [sym_list_expression] = STATE(7222),
    [sym_array_expression] = STATE(7222),
    [sym_record_expression] = STATE(7222),
    [sym_labeled_argument] = STATE(8769),
    [sym_prefix_expression] = STATE(7222),
    [sym_hash_expression] = STATE(7222),
    [sym_field_get_expression] = STATE(7222),
    [sym_array_get_expression] = STATE(7222),
    [sym_string_get_expression] = STATE(7222),
    [sym_bigarray_get_expression] = STATE(7222),
    [sym_coercion_expression] = STATE(7222),
    [sym_local_open_expression] = STATE(7222),
    [sym_package_expression] = STATE(7222),
    [sym_new_expression] = STATE(7222),
    [sym_object_copy_expression] = STATE(7222),
    [sym_method_invocation] = STATE(7222),
    [sym_object_expression] = STATE(7222),
    [sym_parenthesized_expression] = STATE(7222),
    [sym_attribute] = STATE(2935),
    [sym_extension] = STATE(7222),
    [sym_quoted_extension] = STATE(7222),
    [sym__constant] = STATE(7222),
    [sym_number] = STATE(7382),
    [sym_character] = STATE(7382),
    [sym_string] = STATE(7382),
    [sym_quoted_string] = STATE(7382),
    [sym_boolean] = STATE(7382),
    [sym_unit] = STATE(7382),
    [sym__value_name] = STATE(7305),
    [sym_parenthesized_operator] = STATE(7470),
    [sym_value_path] = STATE(7222),
    [sym_module_path] = STATE(21541),
    [sym_constructor_path] = STATE(7222),
    [sym__constructor_name] = STATE(7216),
    [sym_tag] = STATE(7222),
    [aux_sym_class_application_repeat1] = STATE(2937),
    [sym__lowercase_identifier] = ACTIONS(6907),
    [anon_sym_SEMI_SEMI] = ACTIONS(6747),
    [anon_sym_let] = ACTIONS(6751),
    [anon_sym_and] = ACTIONS(6751),
    [anon_sym_TILDE] = ACTIONS(6909),
    [anon_sym_QMARK] = ACTIONS(6909),
    [anon_sym_LPAREN] = ACTIONS(6911),
    [anon_sym_external] = ACTIONS(6751),
    [anon_sym_type] = ACTIONS(6751),
    [anon_sym_LBRACK] = ACTIONS(6913),
    [anon_sym_true] = ACTIONS(6915),
    [anon_sym_false] = ACTIONS(6915),
    [anon_sym_LBRACE] = ACTIONS(6917),
    [anon_sym_exception] = ACTIONS(6751),
    [anon_sym_module] = ACTIONS(6751),
    [anon_sym_open] = ACTIONS(6751),
    [anon_sym_include] = ACTIONS(6751),
    [anon_sym_class] = ACTIONS(6751),
    [anon_sym_end] = ACTIONS(6751),
    [anon_sym_object] = ACTIONS(6919),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6921),
    [anon_sym_new] = ACTIONS(6923),
    [anon_sym_LBRACE_LT] = ACTIONS(6925),
    [anon_sym_begin] = ACTIONS(6927),
    [sym_ocamlyacc_value] = ACTIONS(6929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6747),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6931),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6933),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6747),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6747),
    [aux_sym_number_token1] = ACTIONS(6935),
    [anon_sym_SQUOTE] = ACTIONS(6937),
    [anon_sym_DQUOTE] = ACTIONS(6939),
    [sym_prefix_operator] = ACTIONS(6941),
    [sym_let_operator] = ACTIONS(6747),
    [sym__uppercase_identifier] = ACTIONS(6943),
    [aux_sym_directive_token1] = ACTIONS(6747),
    [aux_sym_tag_token1] = ACTIONS(6945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2936] = {
    [sym__simple_expression] = STATE(7484),
    [sym_typed_expression] = STATE(7353),
    [sym_list_expression] = STATE(7353),
    [sym_array_expression] = STATE(7353),
    [sym_record_expression] = STATE(7353),
    [sym_labeled_argument] = STATE(8468),
    [sym_prefix_expression] = STATE(7353),
    [sym_hash_expression] = STATE(7353),
    [sym_field_get_expression] = STATE(7353),
    [sym_array_get_expression] = STATE(7353),
    [sym_string_get_expression] = STATE(7353),
    [sym_bigarray_get_expression] = STATE(7353),
    [sym_coercion_expression] = STATE(7353),
    [sym_local_open_expression] = STATE(7353),
    [sym_package_expression] = STATE(7353),
    [sym_new_expression] = STATE(7353),
    [sym_object_copy_expression] = STATE(7353),
    [sym_method_invocation] = STATE(7353),
    [sym_object_expression] = STATE(7353),
    [sym_parenthesized_expression] = STATE(7353),
    [sym_attribute] = STATE(2936),
    [sym_extension] = STATE(7353),
    [sym_quoted_extension] = STATE(7353),
    [sym__constant] = STATE(7353),
    [sym_number] = STATE(7526),
    [sym_character] = STATE(7526),
    [sym_string] = STATE(7526),
    [sym_quoted_string] = STATE(7526),
    [sym_boolean] = STATE(7526),
    [sym_unit] = STATE(7526),
    [sym__value_name] = STATE(7528),
    [sym_parenthesized_operator] = STATE(7306),
    [sym_value_path] = STATE(7353),
    [sym_module_path] = STATE(21424),
    [sym_constructor_path] = STATE(7353),
    [sym__constructor_name] = STATE(7355),
    [sym_tag] = STATE(7353),
    [aux_sym_class_application_repeat1] = STATE(2936),
    [sym__lowercase_identifier] = ACTIONS(6947),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(6950),
    [anon_sym_QMARK] = ACTIONS(6950),
    [anon_sym_LPAREN] = ACTIONS(6953),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(6956),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(6959),
    [anon_sym_false] = ACTIONS(6959),
    [anon_sym_LBRACE] = ACTIONS(6962),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(6965),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6968),
    [anon_sym_new] = ACTIONS(6971),
    [anon_sym_LBRACE_LT] = ACTIONS(6974),
    [anon_sym_begin] = ACTIONS(6977),
    [sym_ocamlyacc_value] = ACTIONS(6980),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6983),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6986),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(6989),
    [anon_sym_SQUOTE] = ACTIONS(6992),
    [anon_sym_DQUOTE] = ACTIONS(6995),
    [sym_prefix_operator] = ACTIONS(6998),
    [sym_let_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7001),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(7004),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2937] = {
    [sym__simple_expression] = STATE(7276),
    [sym_typed_expression] = STATE(7222),
    [sym_list_expression] = STATE(7222),
    [sym_array_expression] = STATE(7222),
    [sym_record_expression] = STATE(7222),
    [sym_labeled_argument] = STATE(8769),
    [sym_prefix_expression] = STATE(7222),
    [sym_hash_expression] = STATE(7222),
    [sym_field_get_expression] = STATE(7222),
    [sym_array_get_expression] = STATE(7222),
    [sym_string_get_expression] = STATE(7222),
    [sym_bigarray_get_expression] = STATE(7222),
    [sym_coercion_expression] = STATE(7222),
    [sym_local_open_expression] = STATE(7222),
    [sym_package_expression] = STATE(7222),
    [sym_new_expression] = STATE(7222),
    [sym_object_copy_expression] = STATE(7222),
    [sym_method_invocation] = STATE(7222),
    [sym_object_expression] = STATE(7222),
    [sym_parenthesized_expression] = STATE(7222),
    [sym_attribute] = STATE(2937),
    [sym_extension] = STATE(7222),
    [sym_quoted_extension] = STATE(7222),
    [sym__constant] = STATE(7222),
    [sym_number] = STATE(7382),
    [sym_character] = STATE(7382),
    [sym_string] = STATE(7382),
    [sym_quoted_string] = STATE(7382),
    [sym_boolean] = STATE(7382),
    [sym_unit] = STATE(7382),
    [sym__value_name] = STATE(7305),
    [sym_parenthesized_operator] = STATE(7470),
    [sym_value_path] = STATE(7222),
    [sym_module_path] = STATE(21541),
    [sym_constructor_path] = STATE(7222),
    [sym__constructor_name] = STATE(7216),
    [sym_tag] = STATE(7222),
    [aux_sym_class_application_repeat1] = STATE(2937),
    [sym__lowercase_identifier] = ACTIONS(7007),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_let] = ACTIONS(4474),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(7010),
    [anon_sym_QMARK] = ACTIONS(7010),
    [anon_sym_LPAREN] = ACTIONS(7013),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7016),
    [anon_sym_true] = ACTIONS(7019),
    [anon_sym_false] = ACTIONS(7019),
    [anon_sym_LBRACE] = ACTIONS(7022),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(7025),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7028),
    [anon_sym_new] = ACTIONS(7031),
    [anon_sym_LBRACE_LT] = ACTIONS(7034),
    [anon_sym_begin] = ACTIONS(7037),
    [sym_ocamlyacc_value] = ACTIONS(7040),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7043),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7046),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(7049),
    [anon_sym_SQUOTE] = ACTIONS(7052),
    [anon_sym_DQUOTE] = ACTIONS(7055),
    [sym_prefix_operator] = ACTIONS(7058),
    [sym_let_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7061),
    [aux_sym_directive_token1] = ACTIONS(4469),
    [aux_sym_tag_token1] = ACTIONS(7064),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2938] = {
    [sym__simple_expression] = STATE(7407),
    [sym_typed_expression] = STATE(7397),
    [sym_list_expression] = STATE(7397),
    [sym_array_expression] = STATE(7397),
    [sym_record_expression] = STATE(7397),
    [sym_labeled_argument] = STATE(8793),
    [sym_prefix_expression] = STATE(7397),
    [sym_hash_expression] = STATE(7397),
    [sym_field_get_expression] = STATE(7397),
    [sym_array_get_expression] = STATE(7397),
    [sym_string_get_expression] = STATE(7397),
    [sym_bigarray_get_expression] = STATE(7397),
    [sym_coercion_expression] = STATE(7397),
    [sym_local_open_expression] = STATE(7397),
    [sym_package_expression] = STATE(7397),
    [sym_new_expression] = STATE(7397),
    [sym_object_copy_expression] = STATE(7397),
    [sym_method_invocation] = STATE(7397),
    [sym_object_expression] = STATE(7397),
    [sym_parenthesized_expression] = STATE(7397),
    [sym_attribute] = STATE(2938),
    [sym_extension] = STATE(7397),
    [sym_quoted_extension] = STATE(7397),
    [sym__constant] = STATE(7397),
    [sym_number] = STATE(7368),
    [sym_character] = STATE(7368),
    [sym_string] = STATE(7368),
    [sym_quoted_string] = STATE(7368),
    [sym_boolean] = STATE(7368),
    [sym_unit] = STATE(7368),
    [sym__value_name] = STATE(7469),
    [sym_parenthesized_operator] = STATE(7308),
    [sym_value_path] = STATE(7397),
    [sym_module_path] = STATE(21655),
    [sym_constructor_path] = STATE(7397),
    [sym__constructor_name] = STATE(7496),
    [sym_tag] = STATE(7397),
    [aux_sym_class_application_repeat1] = STATE(2927),
    [sym__lowercase_identifier] = ACTIONS(6301),
    [anon_sym_TILDE] = ACTIONS(6303),
    [anon_sym_QMARK] = ACTIONS(6303),
    [anon_sym_LPAREN] = ACTIONS(2145),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(2147),
    [anon_sym_true] = ACTIONS(2149),
    [anon_sym_false] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(2151),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(2153),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2157),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_to] = ACTIONS(4457),
    [anon_sym_downto] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(2167),
    [anon_sym_LBRACE_LT] = ACTIONS(2169),
    [anon_sym_begin] = ACTIONS(2171),
    [sym_ocamlyacc_value] = ACTIONS(2173),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2177),
    [aux_sym_number_token1] = ACTIONS(2179),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(2181),
    [anon_sym_DQUOTE] = ACTIONS(2183),
    [sym_prefix_operator] = ACTIONS(2185),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(2189),
    [aux_sym_tag_token1] = ACTIONS(2191),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2939] = {
    [sym_parameter] = STATE(12251),
    [sym__polymorphic_typed] = STATE(20359),
    [sym__parenthesized_abstract_type] = STATE(12251),
    [sym__simple_pattern] = STATE(12252),
    [sym_typed_pattern] = STATE(12255),
    [sym_polymorphic_variant_pattern] = STATE(12255),
    [sym_record_pattern] = STATE(12255),
    [sym_list_pattern] = STATE(12255),
    [sym_array_pattern] = STATE(12255),
    [sym_local_open_pattern] = STATE(12255),
    [sym_package_pattern] = STATE(12255),
    [sym_parenthesized_pattern] = STATE(12255),
    [sym_attribute] = STATE(2939),
    [sym_item_attribute] = STATE(12446),
    [sym_extension] = STATE(12255),
    [sym_quoted_extension] = STATE(12255),
    [sym__constant] = STATE(12183),
    [sym__signed_constant] = STATE(12255),
    [sym_number] = STATE(12122),
    [sym_signed_number] = STATE(12183),
    [sym_character] = STATE(12122),
    [sym_string] = STATE(12122),
    [sym_quoted_string] = STATE(12122),
    [sym_boolean] = STATE(12122),
    [sym_unit] = STATE(12122),
    [sym__simple_value_pattern] = STATE(12255),
    [sym_parenthesized_operator] = STATE(12255),
    [sym_module_path] = STATE(23054),
    [sym_constructor_path] = STATE(12255),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(12255),
    [aux_sym_expression_item_repeat1] = STATE(12190),
    [aux_sym_let_binding_repeat1] = STATE(5859),
    [ts_builtin_sym_end] = ACTIONS(6501),
    [sym__lowercase_identifier] = ACTIONS(6499),
    [anon_sym_SEMI_SEMI] = ACTIONS(6501),
    [anon_sym_let] = ACTIONS(6503),
    [anon_sym_and] = ACTIONS(6503),
    [anon_sym_COLON_GT] = ACTIONS(7067),
    [anon_sym_EQ] = ACTIONS(7069),
    [anon_sym_TILDE] = ACTIONS(6509),
    [anon_sym_QMARK] = ACTIONS(6509),
    [anon_sym_LPAREN] = ACTIONS(6511),
    [anon_sym_external] = ACTIONS(6503),
    [anon_sym_type] = ACTIONS(6503),
    [anon_sym_COMMA] = ACTIONS(6899),
    [anon_sym_PIPE] = ACTIONS(6901),
    [anon_sym_LBRACK] = ACTIONS(6517),
    [anon_sym_true] = ACTIONS(6519),
    [anon_sym_false] = ACTIONS(6519),
    [anon_sym_COLON2] = ACTIONS(6521),
    [anon_sym_LBRACE] = ACTIONS(6523),
    [anon_sym_exception] = ACTIONS(6503),
    [anon_sym_module] = ACTIONS(6503),
    [anon_sym_open] = ACTIONS(6503),
    [anon_sym_include] = ACTIONS(6503),
    [anon_sym_class] = ACTIONS(6503),
    [anon_sym_as] = ACTIONS(6903),
    [anon_sym_POUND] = ACTIONS(6527),
    [anon_sym_COLON_COLON] = ACTIONS(6905),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6531),
    [anon_sym_begin] = ACTIONS(6533),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6535),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6501),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6539),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6501),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6501),
    [aux_sym_number_token1] = ACTIONS(6541),
    [aux_sym_signed_number_token1] = ACTIONS(6543),
    [anon_sym_SQUOTE] = ACTIONS(6545),
    [anon_sym_DQUOTE] = ACTIONS(6547),
    [sym_let_operator] = ACTIONS(6501),
    [sym_let_and_operator] = ACTIONS(6501),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_directive_token1] = ACTIONS(6503),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2940] = {
    [sym__simple_expression] = STATE(7373),
    [sym_typed_expression] = STATE(7492),
    [sym_list_expression] = STATE(7492),
    [sym_array_expression] = STATE(7492),
    [sym_record_expression] = STATE(7492),
    [sym_labeled_argument] = STATE(8468),
    [sym_prefix_expression] = STATE(7492),
    [sym_hash_expression] = STATE(7492),
    [sym_field_get_expression] = STATE(7492),
    [sym_array_get_expression] = STATE(7492),
    [sym_string_get_expression] = STATE(7492),
    [sym_bigarray_get_expression] = STATE(7492),
    [sym_coercion_expression] = STATE(7492),
    [sym_local_open_expression] = STATE(7492),
    [sym_package_expression] = STATE(7492),
    [sym_new_expression] = STATE(7492),
    [sym_object_copy_expression] = STATE(7492),
    [sym_method_invocation] = STATE(7492),
    [sym_object_expression] = STATE(7492),
    [sym_parenthesized_expression] = STATE(7492),
    [sym_attribute] = STATE(2940),
    [sym_extension] = STATE(7492),
    [sym_quoted_extension] = STATE(7492),
    [sym__constant] = STATE(7492),
    [sym_number] = STATE(7236),
    [sym_character] = STATE(7236),
    [sym_string] = STATE(7236),
    [sym_quoted_string] = STATE(7236),
    [sym_boolean] = STATE(7236),
    [sym_unit] = STATE(7236),
    [sym__value_name] = STATE(7225),
    [sym_parenthesized_operator] = STATE(7211),
    [sym_value_path] = STATE(7492),
    [sym_module_path] = STATE(20838),
    [sym_constructor_path] = STATE(7492),
    [sym__constructor_name] = STATE(7371),
    [sym_tag] = STATE(7492),
    [aux_sym_class_application_repeat1] = STATE(2929),
    [ts_builtin_sym_end] = ACTIONS(6793),
    [sym__lowercase_identifier] = ACTIONS(6749),
    [anon_sym_SEMI_SEMI] = ACTIONS(6793),
    [anon_sym_let] = ACTIONS(6795),
    [anon_sym_and] = ACTIONS(6795),
    [anon_sym_TILDE] = ACTIONS(6753),
    [anon_sym_QMARK] = ACTIONS(6753),
    [anon_sym_LPAREN] = ACTIONS(6755),
    [anon_sym_external] = ACTIONS(6795),
    [anon_sym_type] = ACTIONS(6795),
    [anon_sym_LBRACK] = ACTIONS(6757),
    [anon_sym_true] = ACTIONS(6759),
    [anon_sym_false] = ACTIONS(6759),
    [anon_sym_LBRACE] = ACTIONS(6761),
    [anon_sym_exception] = ACTIONS(6795),
    [anon_sym_module] = ACTIONS(6795),
    [anon_sym_open] = ACTIONS(6795),
    [anon_sym_include] = ACTIONS(6795),
    [anon_sym_class] = ACTIONS(6795),
    [anon_sym_object] = ACTIONS(6763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6765),
    [anon_sym_new] = ACTIONS(6767),
    [anon_sym_LBRACE_LT] = ACTIONS(6769),
    [anon_sym_begin] = ACTIONS(6771),
    [sym_ocamlyacc_value] = ACTIONS(6773),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6795),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6793),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6775),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6777),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6793),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6793),
    [aux_sym_number_token1] = ACTIONS(6779),
    [anon_sym_SQUOTE] = ACTIONS(6781),
    [anon_sym_DQUOTE] = ACTIONS(6783),
    [sym_prefix_operator] = ACTIONS(6785),
    [sym_let_operator] = ACTIONS(6793),
    [sym__uppercase_identifier] = ACTIONS(6787),
    [aux_sym_directive_token1] = ACTIONS(6793),
    [aux_sym_tag_token1] = ACTIONS(6789),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2941] = {
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16273),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2941),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(20846),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6469),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6471),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6473),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6475),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6477),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6477),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6477),
    [sym_let_and_operator] = ACTIONS(6477),
    [sym_match_operator] = ACTIONS(6477),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2942] = {
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16008),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2942),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(22881),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6437),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6441),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6445),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6447),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6453),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6453),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6453),
    [sym_let_and_operator] = ACTIONS(6453),
    [sym_match_operator] = ACTIONS(6453),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2943] = {
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16251),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2943),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21809),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6091),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(2665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(2669),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(2669),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2669),
    [sym_let_and_operator] = ACTIONS(2669),
    [sym_match_operator] = ACTIONS(2669),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2944] = {
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16124),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2944),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(22680),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6041),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6043),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6047),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6047),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6047),
    [sym_let_and_operator] = ACTIONS(6047),
    [sym_match_operator] = ACTIONS(6047),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2945] = {
    [sym__simple_expression] = STATE(7692),
    [sym_typed_expression] = STATE(7646),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_labeled_argument] = STATE(9088),
    [sym_prefix_expression] = STATE(7646),
    [sym_hash_expression] = STATE(7646),
    [sym_field_get_expression] = STATE(7646),
    [sym_array_get_expression] = STATE(7646),
    [sym_string_get_expression] = STATE(7646),
    [sym_bigarray_get_expression] = STATE(7646),
    [sym_coercion_expression] = STATE(7646),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2945),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [aux_sym_class_application_repeat1] = STATE(2945),
    [sym__lowercase_identifier] = ACTIONS(7071),
    [anon_sym_TILDE] = ACTIONS(7074),
    [anon_sym_QMARK] = ACTIONS(7074),
    [anon_sym_LPAREN] = ACTIONS(7077),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7080),
    [anon_sym_true] = ACTIONS(7083),
    [anon_sym_false] = ACTIONS(7083),
    [anon_sym_LBRACE] = ACTIONS(7086),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(7089),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7092),
    [anon_sym_to] = ACTIONS(4474),
    [anon_sym_downto] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(7095),
    [anon_sym_LBRACE_LT] = ACTIONS(7098),
    [anon_sym_begin] = ACTIONS(7101),
    [sym_ocamlyacc_value] = ACTIONS(7104),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7107),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7110),
    [aux_sym_number_token1] = ACTIONS(7113),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(7116),
    [anon_sym_DQUOTE] = ACTIONS(7119),
    [sym_prefix_operator] = ACTIONS(7122),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7125),
    [aux_sym_tag_token1] = ACTIONS(7128),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2946] = {
    [sym__simple_expression] = STATE(7631),
    [sym_typed_expression] = STATE(8101),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_labeled_argument] = STATE(9041),
    [sym_prefix_expression] = STATE(8101),
    [sym_hash_expression] = STATE(8101),
    [sym_field_get_expression] = STATE(8101),
    [sym_array_get_expression] = STATE(8101),
    [sym_string_get_expression] = STATE(8101),
    [sym_bigarray_get_expression] = STATE(8101),
    [sym_coercion_expression] = STATE(8101),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2946),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [aux_sym_class_application_repeat1] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(6401),
    [anon_sym_TILDE] = ACTIONS(6403),
    [anon_sym_QMARK] = ACTIONS(6403),
    [anon_sym_LPAREN] = ACTIONS(2963),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_true] = ACTIONS(2967),
    [anon_sym_false] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(2971),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2975),
    [anon_sym_then] = ACTIONS(4457),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_LBRACE_LT] = ACTIONS(2987),
    [anon_sym_begin] = ACTIONS(2989),
    [sym_ocamlyacc_value] = ACTIONS(2991),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2993),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2995),
    [aux_sym_number_token1] = ACTIONS(2997),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(2999),
    [anon_sym_DQUOTE] = ACTIONS(3001),
    [sym_prefix_operator] = ACTIONS(3003),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(3007),
    [aux_sym_tag_token1] = ACTIONS(3009),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2947] = {
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16113),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2947),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(20709),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6619),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6621),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6623),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6625),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6627),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6627),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6627),
    [sym_let_and_operator] = ACTIONS(6627),
    [sym_match_operator] = ACTIONS(6627),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2948] = {
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16098),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2948),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(23305),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6489),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6491),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6493),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6495),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6497),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6497),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6497),
    [sym_let_and_operator] = ACTIONS(6497),
    [sym_match_operator] = ACTIONS(6497),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2949] = {
    [sym__simple_expression] = STATE(7773),
    [sym_typed_expression] = STATE(7603),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_labeled_argument] = STATE(9104),
    [sym_prefix_expression] = STATE(7603),
    [sym_hash_expression] = STATE(7603),
    [sym_field_get_expression] = STATE(7603),
    [sym_array_get_expression] = STATE(7603),
    [sym_string_get_expression] = STATE(7603),
    [sym_bigarray_get_expression] = STATE(7603),
    [sym_coercion_expression] = STATE(7603),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2949),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [aux_sym_class_application_repeat1] = STATE(2953),
    [sym__lowercase_identifier] = ACTIONS(6391),
    [anon_sym_TILDE] = ACTIONS(6393),
    [anon_sym_QMARK] = ACTIONS(6393),
    [anon_sym_LPAREN] = ACTIONS(2703),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(2705),
    [anon_sym_true] = ACTIONS(2707),
    [anon_sym_false] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(2711),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2715),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_do] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(2725),
    [anon_sym_LBRACE_LT] = ACTIONS(2727),
    [anon_sym_begin] = ACTIONS(2729),
    [sym_ocamlyacc_value] = ACTIONS(2731),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2733),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2735),
    [aux_sym_number_token1] = ACTIONS(2737),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(2739),
    [anon_sym_DQUOTE] = ACTIONS(2741),
    [sym_prefix_operator] = ACTIONS(2743),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(2747),
    [aux_sym_tag_token1] = ACTIONS(2749),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2950] = {
    [sym__simple_expression] = STATE(7708),
    [sym_typed_expression] = STATE(7919),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_labeled_argument] = STATE(9162),
    [sym_prefix_expression] = STATE(7919),
    [sym_hash_expression] = STATE(7919),
    [sym_field_get_expression] = STATE(7919),
    [sym_array_get_expression] = STATE(7919),
    [sym_string_get_expression] = STATE(7919),
    [sym_bigarray_get_expression] = STATE(7919),
    [sym_coercion_expression] = STATE(7919),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2950),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [aux_sym_class_application_repeat1] = STATE(2955),
    [sym__lowercase_identifier] = ACTIONS(6411),
    [anon_sym_TILDE] = ACTIONS(6413),
    [anon_sym_QMARK] = ACTIONS(6413),
    [anon_sym_LPAREN] = ACTIONS(2755),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_true] = ACTIONS(2759),
    [anon_sym_false] = ACTIONS(2759),
    [anon_sym_LBRACE] = ACTIONS(2761),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_with] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(2763),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2767),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(2777),
    [anon_sym_LBRACE_LT] = ACTIONS(2779),
    [anon_sym_begin] = ACTIONS(2781),
    [sym_ocamlyacc_value] = ACTIONS(2783),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2785),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2787),
    [aux_sym_number_token1] = ACTIONS(2789),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(2791),
    [anon_sym_DQUOTE] = ACTIONS(2793),
    [sym_prefix_operator] = ACTIONS(2795),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(2799),
    [aux_sym_tag_token1] = ACTIONS(2801),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2951] = {
    [sym__simple_expression] = STATE(7977),
    [sym_typed_expression] = STATE(8120),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_labeled_argument] = STATE(9188),
    [sym_prefix_expression] = STATE(8120),
    [sym_hash_expression] = STATE(8120),
    [sym_field_get_expression] = STATE(8120),
    [sym_array_get_expression] = STATE(8120),
    [sym_string_get_expression] = STATE(8120),
    [sym_bigarray_get_expression] = STATE(8120),
    [sym_coercion_expression] = STATE(8120),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2951),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [aux_sym_class_application_repeat1] = STATE(2956),
    [sym__lowercase_identifier] = ACTIONS(6421),
    [anon_sym_TILDE] = ACTIONS(6423),
    [anon_sym_QMARK] = ACTIONS(6423),
    [anon_sym_LPAREN] = ACTIONS(2807),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(2809),
    [anon_sym_true] = ACTIONS(2811),
    [anon_sym_false] = ACTIONS(2811),
    [anon_sym_LBRACE] = ACTIONS(2813),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_end] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(2815),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2819),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(2829),
    [anon_sym_LBRACE_LT] = ACTIONS(2831),
    [anon_sym_begin] = ACTIONS(2833),
    [sym_ocamlyacc_value] = ACTIONS(2835),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2837),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2839),
    [aux_sym_number_token1] = ACTIONS(2841),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(2843),
    [anon_sym_DQUOTE] = ACTIONS(2845),
    [sym_prefix_operator] = ACTIONS(2847),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(2851),
    [aux_sym_tag_token1] = ACTIONS(2853),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2952] = {
    [sym__simple_expression] = STATE(7631),
    [sym_typed_expression] = STATE(8101),
    [sym_list_expression] = STATE(8101),
    [sym_array_expression] = STATE(8101),
    [sym_record_expression] = STATE(8101),
    [sym_labeled_argument] = STATE(9041),
    [sym_prefix_expression] = STATE(8101),
    [sym_hash_expression] = STATE(8101),
    [sym_field_get_expression] = STATE(8101),
    [sym_array_get_expression] = STATE(8101),
    [sym_string_get_expression] = STATE(8101),
    [sym_bigarray_get_expression] = STATE(8101),
    [sym_coercion_expression] = STATE(8101),
    [sym_local_open_expression] = STATE(8101),
    [sym_package_expression] = STATE(8101),
    [sym_new_expression] = STATE(8101),
    [sym_object_copy_expression] = STATE(8101),
    [sym_method_invocation] = STATE(8101),
    [sym_object_expression] = STATE(8101),
    [sym_parenthesized_expression] = STATE(8101),
    [sym_attribute] = STATE(2952),
    [sym_extension] = STATE(8101),
    [sym_quoted_extension] = STATE(8101),
    [sym__constant] = STATE(8101),
    [sym_number] = STATE(7658),
    [sym_character] = STATE(7658),
    [sym_string] = STATE(7658),
    [sym_quoted_string] = STATE(7658),
    [sym_boolean] = STATE(7658),
    [sym_unit] = STATE(7658),
    [sym__value_name] = STATE(7647),
    [sym_parenthesized_operator] = STATE(7751),
    [sym_value_path] = STATE(8101),
    [sym_module_path] = STATE(20935),
    [sym_constructor_path] = STATE(8101),
    [sym__constructor_name] = STATE(7792),
    [sym_tag] = STATE(8101),
    [aux_sym_class_application_repeat1] = STATE(2952),
    [sym__lowercase_identifier] = ACTIONS(7131),
    [anon_sym_TILDE] = ACTIONS(7134),
    [anon_sym_QMARK] = ACTIONS(7134),
    [anon_sym_LPAREN] = ACTIONS(7137),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7140),
    [anon_sym_true] = ACTIONS(7143),
    [anon_sym_false] = ACTIONS(7143),
    [anon_sym_LBRACE] = ACTIONS(7146),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(7149),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7152),
    [anon_sym_then] = ACTIONS(4474),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(7155),
    [anon_sym_LBRACE_LT] = ACTIONS(7158),
    [anon_sym_begin] = ACTIONS(7161),
    [sym_ocamlyacc_value] = ACTIONS(7164),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7167),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7170),
    [aux_sym_number_token1] = ACTIONS(7173),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(7176),
    [anon_sym_DQUOTE] = ACTIONS(7179),
    [sym_prefix_operator] = ACTIONS(7182),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7185),
    [aux_sym_tag_token1] = ACTIONS(7188),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2953] = {
    [sym__simple_expression] = STATE(7773),
    [sym_typed_expression] = STATE(7603),
    [sym_list_expression] = STATE(7603),
    [sym_array_expression] = STATE(7603),
    [sym_record_expression] = STATE(7603),
    [sym_labeled_argument] = STATE(9104),
    [sym_prefix_expression] = STATE(7603),
    [sym_hash_expression] = STATE(7603),
    [sym_field_get_expression] = STATE(7603),
    [sym_array_get_expression] = STATE(7603),
    [sym_string_get_expression] = STATE(7603),
    [sym_bigarray_get_expression] = STATE(7603),
    [sym_coercion_expression] = STATE(7603),
    [sym_local_open_expression] = STATE(7603),
    [sym_package_expression] = STATE(7603),
    [sym_new_expression] = STATE(7603),
    [sym_object_copy_expression] = STATE(7603),
    [sym_method_invocation] = STATE(7603),
    [sym_object_expression] = STATE(7603),
    [sym_parenthesized_expression] = STATE(7603),
    [sym_attribute] = STATE(2953),
    [sym_extension] = STATE(7603),
    [sym_quoted_extension] = STATE(7603),
    [sym__constant] = STATE(7603),
    [sym_number] = STATE(7716),
    [sym_character] = STATE(7716),
    [sym_string] = STATE(7716),
    [sym_quoted_string] = STATE(7716),
    [sym_boolean] = STATE(7716),
    [sym_unit] = STATE(7716),
    [sym__value_name] = STATE(7925),
    [sym_parenthesized_operator] = STATE(7886),
    [sym_value_path] = STATE(7603),
    [sym_module_path] = STATE(20976),
    [sym_constructor_path] = STATE(7603),
    [sym__constructor_name] = STATE(7844),
    [sym_tag] = STATE(7603),
    [aux_sym_class_application_repeat1] = STATE(2953),
    [sym__lowercase_identifier] = ACTIONS(7191),
    [anon_sym_TILDE] = ACTIONS(7194),
    [anon_sym_QMARK] = ACTIONS(7194),
    [anon_sym_LPAREN] = ACTIONS(7197),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7200),
    [anon_sym_true] = ACTIONS(7203),
    [anon_sym_false] = ACTIONS(7203),
    [anon_sym_LBRACE] = ACTIONS(7206),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(7209),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7212),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_do] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(7215),
    [anon_sym_LBRACE_LT] = ACTIONS(7218),
    [anon_sym_begin] = ACTIONS(7221),
    [sym_ocamlyacc_value] = ACTIONS(7224),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7227),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7230),
    [aux_sym_number_token1] = ACTIONS(7233),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(7236),
    [anon_sym_DQUOTE] = ACTIONS(7239),
    [sym_prefix_operator] = ACTIONS(7242),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7245),
    [aux_sym_tag_token1] = ACTIONS(7248),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2954] = {
    [sym__simple_expression] = STATE(7692),
    [sym_typed_expression] = STATE(7646),
    [sym_list_expression] = STATE(7646),
    [sym_array_expression] = STATE(7646),
    [sym_record_expression] = STATE(7646),
    [sym_labeled_argument] = STATE(9088),
    [sym_prefix_expression] = STATE(7646),
    [sym_hash_expression] = STATE(7646),
    [sym_field_get_expression] = STATE(7646),
    [sym_array_get_expression] = STATE(7646),
    [sym_string_get_expression] = STATE(7646),
    [sym_bigarray_get_expression] = STATE(7646),
    [sym_coercion_expression] = STATE(7646),
    [sym_local_open_expression] = STATE(7646),
    [sym_package_expression] = STATE(7646),
    [sym_new_expression] = STATE(7646),
    [sym_object_copy_expression] = STATE(7646),
    [sym_method_invocation] = STATE(7646),
    [sym_object_expression] = STATE(7646),
    [sym_parenthesized_expression] = STATE(7646),
    [sym_attribute] = STATE(2954),
    [sym_extension] = STATE(7646),
    [sym_quoted_extension] = STATE(7646),
    [sym__constant] = STATE(7646),
    [sym_number] = STATE(7588),
    [sym_character] = STATE(7588),
    [sym_string] = STATE(7588),
    [sym_quoted_string] = STATE(7588),
    [sym_boolean] = STATE(7588),
    [sym_unit] = STATE(7588),
    [sym__value_name] = STATE(7802),
    [sym_parenthesized_operator] = STATE(8077),
    [sym_value_path] = STATE(7646),
    [sym_module_path] = STATE(20615),
    [sym_constructor_path] = STATE(7646),
    [sym__constructor_name] = STATE(7887),
    [sym_tag] = STATE(7646),
    [aux_sym_class_application_repeat1] = STATE(2945),
    [sym__lowercase_identifier] = ACTIONS(6381),
    [anon_sym_TILDE] = ACTIONS(6383),
    [anon_sym_QMARK] = ACTIONS(6383),
    [anon_sym_LPAREN] = ACTIONS(2859),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(2861),
    [anon_sym_true] = ACTIONS(2863),
    [anon_sym_false] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2871),
    [anon_sym_to] = ACTIONS(4457),
    [anon_sym_downto] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_LBRACE_LT] = ACTIONS(2883),
    [anon_sym_begin] = ACTIONS(2885),
    [sym_ocamlyacc_value] = ACTIONS(2887),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2889),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2891),
    [aux_sym_number_token1] = ACTIONS(2893),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2897),
    [sym_prefix_operator] = ACTIONS(2899),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(2903),
    [aux_sym_tag_token1] = ACTIONS(2905),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2955] = {
    [sym__simple_expression] = STATE(7708),
    [sym_typed_expression] = STATE(7919),
    [sym_list_expression] = STATE(7919),
    [sym_array_expression] = STATE(7919),
    [sym_record_expression] = STATE(7919),
    [sym_labeled_argument] = STATE(9162),
    [sym_prefix_expression] = STATE(7919),
    [sym_hash_expression] = STATE(7919),
    [sym_field_get_expression] = STATE(7919),
    [sym_array_get_expression] = STATE(7919),
    [sym_string_get_expression] = STATE(7919),
    [sym_bigarray_get_expression] = STATE(7919),
    [sym_coercion_expression] = STATE(7919),
    [sym_local_open_expression] = STATE(7919),
    [sym_package_expression] = STATE(7919),
    [sym_new_expression] = STATE(7919),
    [sym_object_copy_expression] = STATE(7919),
    [sym_method_invocation] = STATE(7919),
    [sym_object_expression] = STATE(7919),
    [sym_parenthesized_expression] = STATE(7919),
    [sym_attribute] = STATE(2955),
    [sym_extension] = STATE(7919),
    [sym_quoted_extension] = STATE(7919),
    [sym__constant] = STATE(7919),
    [sym_number] = STATE(7790),
    [sym_character] = STATE(7790),
    [sym_string] = STATE(7790),
    [sym_quoted_string] = STATE(7790),
    [sym_boolean] = STATE(7790),
    [sym_unit] = STATE(7790),
    [sym__value_name] = STATE(7589),
    [sym_parenthesized_operator] = STATE(7989),
    [sym_value_path] = STATE(7919),
    [sym_module_path] = STATE(21058),
    [sym_constructor_path] = STATE(7919),
    [sym__constructor_name] = STATE(7907),
    [sym_tag] = STATE(7919),
    [aux_sym_class_application_repeat1] = STATE(2955),
    [sym__lowercase_identifier] = ACTIONS(7251),
    [anon_sym_TILDE] = ACTIONS(7254),
    [anon_sym_QMARK] = ACTIONS(7254),
    [anon_sym_LPAREN] = ACTIONS(7257),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7260),
    [anon_sym_true] = ACTIONS(7263),
    [anon_sym_false] = ACTIONS(7263),
    [anon_sym_LBRACE] = ACTIONS(7266),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_with] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(7269),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7272),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(7275),
    [anon_sym_LBRACE_LT] = ACTIONS(7278),
    [anon_sym_begin] = ACTIONS(7281),
    [sym_ocamlyacc_value] = ACTIONS(7284),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7287),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7290),
    [aux_sym_number_token1] = ACTIONS(7293),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(7296),
    [anon_sym_DQUOTE] = ACTIONS(7299),
    [sym_prefix_operator] = ACTIONS(7302),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7305),
    [aux_sym_tag_token1] = ACTIONS(7308),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2956] = {
    [sym__simple_expression] = STATE(7977),
    [sym_typed_expression] = STATE(8120),
    [sym_list_expression] = STATE(8120),
    [sym_array_expression] = STATE(8120),
    [sym_record_expression] = STATE(8120),
    [sym_labeled_argument] = STATE(9188),
    [sym_prefix_expression] = STATE(8120),
    [sym_hash_expression] = STATE(8120),
    [sym_field_get_expression] = STATE(8120),
    [sym_array_get_expression] = STATE(8120),
    [sym_string_get_expression] = STATE(8120),
    [sym_bigarray_get_expression] = STATE(8120),
    [sym_coercion_expression] = STATE(8120),
    [sym_local_open_expression] = STATE(8120),
    [sym_package_expression] = STATE(8120),
    [sym_new_expression] = STATE(8120),
    [sym_object_copy_expression] = STATE(8120),
    [sym_method_invocation] = STATE(8120),
    [sym_object_expression] = STATE(8120),
    [sym_parenthesized_expression] = STATE(8120),
    [sym_attribute] = STATE(2956),
    [sym_extension] = STATE(8120),
    [sym_quoted_extension] = STATE(8120),
    [sym__constant] = STATE(8120),
    [sym_number] = STATE(7842),
    [sym_character] = STATE(7842),
    [sym_string] = STATE(7842),
    [sym_quoted_string] = STATE(7842),
    [sym_boolean] = STATE(7842),
    [sym_unit] = STATE(7842),
    [sym__value_name] = STATE(7748),
    [sym_parenthesized_operator] = STATE(8071),
    [sym_value_path] = STATE(8120),
    [sym_module_path] = STATE(21099),
    [sym_constructor_path] = STATE(8120),
    [sym__constructor_name] = STATE(7939),
    [sym_tag] = STATE(8120),
    [aux_sym_class_application_repeat1] = STATE(2956),
    [sym__lowercase_identifier] = ACTIONS(7311),
    [anon_sym_TILDE] = ACTIONS(7314),
    [anon_sym_QMARK] = ACTIONS(7314),
    [anon_sym_LPAREN] = ACTIONS(7317),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7320),
    [anon_sym_true] = ACTIONS(7323),
    [anon_sym_false] = ACTIONS(7323),
    [anon_sym_LBRACE] = ACTIONS(7326),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(7329),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7332),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(7335),
    [anon_sym_LBRACE_LT] = ACTIONS(7338),
    [anon_sym_begin] = ACTIONS(7341),
    [sym_ocamlyacc_value] = ACTIONS(7344),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7347),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7350),
    [aux_sym_number_token1] = ACTIONS(7353),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(7356),
    [anon_sym_DQUOTE] = ACTIONS(7359),
    [sym_prefix_operator] = ACTIONS(7362),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7365),
    [aux_sym_tag_token1] = ACTIONS(7368),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2957] = {
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(15972),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2957),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(20518),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6655),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6657),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6659),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6663),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6663),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6663),
    [sym_let_and_operator] = ACTIONS(6663),
    [sym_match_operator] = ACTIONS(6663),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2958] = {
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16124),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2958),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(22680),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(6041),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6043),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(2059),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(6047),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(6047),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(6047),
    [sym_let_and_operator] = ACTIONS(6047),
    [sym_match_operator] = ACTIONS(6047),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2959] = {
    [sym__simple_expression] = STATE(7952),
    [sym_typed_expression] = STATE(7935),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_labeled_argument] = STATE(8985),
    [sym_prefix_expression] = STATE(7935),
    [sym_hash_expression] = STATE(7935),
    [sym_field_get_expression] = STATE(7935),
    [sym_array_get_expression] = STATE(7935),
    [sym_string_get_expression] = STATE(7935),
    [sym_bigarray_get_expression] = STATE(7935),
    [sym_coercion_expression] = STATE(7935),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2959),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [aux_sym_class_application_repeat1] = STATE(2960),
    [sym__lowercase_identifier] = ACTIONS(6311),
    [anon_sym_TILDE] = ACTIONS(6313),
    [anon_sym_QMARK] = ACTIONS(6313),
    [anon_sym_LPAREN] = ACTIONS(2911),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_true] = ACTIONS(2915),
    [anon_sym_false] = ACTIONS(2915),
    [anon_sym_LBRACE] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(2919),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2923),
    [anon_sym_else] = ACTIONS(4457),
    [anon_sym_done] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_LBRACE_LT] = ACTIONS(2935),
    [anon_sym_begin] = ACTIONS(2937),
    [sym_ocamlyacc_value] = ACTIONS(2939),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2943),
    [aux_sym_number_token1] = ACTIONS(2945),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2949),
    [sym_prefix_operator] = ACTIONS(2951),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(2955),
    [aux_sym_tag_token1] = ACTIONS(2957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2960] = {
    [sym__simple_expression] = STATE(7952),
    [sym_typed_expression] = STATE(7935),
    [sym_list_expression] = STATE(7935),
    [sym_array_expression] = STATE(7935),
    [sym_record_expression] = STATE(7935),
    [sym_labeled_argument] = STATE(8985),
    [sym_prefix_expression] = STATE(7935),
    [sym_hash_expression] = STATE(7935),
    [sym_field_get_expression] = STATE(7935),
    [sym_array_get_expression] = STATE(7935),
    [sym_string_get_expression] = STATE(7935),
    [sym_bigarray_get_expression] = STATE(7935),
    [sym_coercion_expression] = STATE(7935),
    [sym_local_open_expression] = STATE(7935),
    [sym_package_expression] = STATE(7935),
    [sym_new_expression] = STATE(7935),
    [sym_object_copy_expression] = STATE(7935),
    [sym_method_invocation] = STATE(7935),
    [sym_object_expression] = STATE(7935),
    [sym_parenthesized_expression] = STATE(7935),
    [sym_attribute] = STATE(2960),
    [sym_extension] = STATE(7935),
    [sym_quoted_extension] = STATE(7935),
    [sym__constant] = STATE(7935),
    [sym_number] = STATE(7825),
    [sym_character] = STATE(7825),
    [sym_string] = STATE(7825),
    [sym_quoted_string] = STATE(7825),
    [sym_boolean] = STATE(7825),
    [sym_unit] = STATE(7825),
    [sym__value_name] = STATE(8003),
    [sym_parenthesized_operator] = STATE(8117),
    [sym_value_path] = STATE(7935),
    [sym_module_path] = STATE(21617),
    [sym_constructor_path] = STATE(7935),
    [sym__constructor_name] = STATE(7645),
    [sym_tag] = STATE(7935),
    [aux_sym_class_application_repeat1] = STATE(2960),
    [sym__lowercase_identifier] = ACTIONS(7371),
    [anon_sym_TILDE] = ACTIONS(7374),
    [anon_sym_QMARK] = ACTIONS(7374),
    [anon_sym_LPAREN] = ACTIONS(7377),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7380),
    [anon_sym_true] = ACTIONS(7383),
    [anon_sym_false] = ACTIONS(7383),
    [anon_sym_LBRACE] = ACTIONS(7386),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(7389),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7392),
    [anon_sym_else] = ACTIONS(4474),
    [anon_sym_done] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(7395),
    [anon_sym_LBRACE_LT] = ACTIONS(7398),
    [anon_sym_begin] = ACTIONS(7401),
    [sym_ocamlyacc_value] = ACTIONS(7404),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7407),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7410),
    [aux_sym_number_token1] = ACTIONS(7413),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(7416),
    [anon_sym_DQUOTE] = ACTIONS(7419),
    [sym_prefix_operator] = ACTIONS(7422),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7425),
    [aux_sym_tag_token1] = ACTIONS(7428),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2961] = {
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(16251),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(2961),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__infix_operator] = STATE(21809),
    [sym_add_operator] = STATE(22090),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(6433),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(2661),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_DOT] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_module] = ACTIONS(6091),
    [anon_sym_POUND] = ACTIONS(5965),
    [anon_sym_COLON_COLON] = ACTIONS(6035),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(5983),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym_prefix_operator] = ACTIONS(2669),
    [aux_sym_sign_operator_token1] = ACTIONS(1735),
    [sym_hash_operator] = ACTIONS(2669),
    [sym_pow_operator] = ACTIONS(1733),
    [sym_mult_operator] = ACTIONS(1733),
    [aux_sym_add_operator_token1] = ACTIONS(1735),
    [sym_concat_operator] = ACTIONS(1737),
    [sym_rel_operator] = ACTIONS(1733),
    [sym_and_operator] = ACTIONS(1733),
    [sym_or_operator] = ACTIONS(1733),
    [sym_assign_operator] = ACTIONS(1737),
    [sym_let_operator] = ACTIONS(2669),
    [sym_let_and_operator] = ACTIONS(2669),
    [sym_match_operator] = ACTIONS(2669),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2962] = {
    [sym__simple_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8521),
    [sym_list_expression] = STATE(8521),
    [sym_array_expression] = STATE(8521),
    [sym_record_expression] = STATE(8521),
    [sym_labeled_argument] = STATE(9207),
    [sym_prefix_expression] = STATE(8521),
    [sym_hash_expression] = STATE(8521),
    [sym_field_get_expression] = STATE(8521),
    [sym_array_get_expression] = STATE(8521),
    [sym_string_get_expression] = STATE(8521),
    [sym_bigarray_get_expression] = STATE(8521),
    [sym_coercion_expression] = STATE(8521),
    [sym_local_open_expression] = STATE(8521),
    [sym_package_expression] = STATE(8521),
    [sym_new_expression] = STATE(8521),
    [sym_object_copy_expression] = STATE(8521),
    [sym_method_invocation] = STATE(8521),
    [sym_object_expression] = STATE(8521),
    [sym_parenthesized_expression] = STATE(8521),
    [sym_attribute] = STATE(2962),
    [sym_extension] = STATE(8521),
    [sym_quoted_extension] = STATE(8521),
    [sym__constant] = STATE(8521),
    [sym_number] = STATE(8472),
    [sym_character] = STATE(8472),
    [sym_string] = STATE(8472),
    [sym_quoted_string] = STATE(8472),
    [sym_boolean] = STATE(8472),
    [sym_unit] = STATE(8472),
    [sym__value_name] = STATE(8616),
    [sym_parenthesized_operator] = STATE(8606),
    [sym_value_path] = STATE(8521),
    [sym_module_path] = STATE(21693),
    [sym_constructor_path] = STATE(8521),
    [sym__constructor_name] = STATE(8186),
    [sym_tag] = STATE(8521),
    [aux_sym_class_application_repeat1] = STATE(2971),
    [sym__lowercase_identifier] = ACTIONS(7431),
    [anon_sym_SEMI_SEMI] = ACTIONS(6793),
    [anon_sym_and] = ACTIONS(6795),
    [anon_sym_TILDE] = ACTIONS(7433),
    [anon_sym_QMARK] = ACTIONS(7433),
    [anon_sym_LPAREN] = ACTIONS(7435),
    [anon_sym_external] = ACTIONS(6795),
    [anon_sym_type] = ACTIONS(6795),
    [anon_sym_LBRACK] = ACTIONS(7437),
    [anon_sym_RBRACK] = ACTIONS(6793),
    [anon_sym_true] = ACTIONS(7439),
    [anon_sym_false] = ACTIONS(7439),
    [anon_sym_LBRACE] = ACTIONS(7441),
    [anon_sym_exception] = ACTIONS(6795),
    [anon_sym_module] = ACTIONS(6795),
    [anon_sym_open] = ACTIONS(6795),
    [anon_sym_include] = ACTIONS(6795),
    [anon_sym_class] = ACTIONS(6795),
    [anon_sym_val] = ACTIONS(6795),
    [anon_sym_object] = ACTIONS(7443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7445),
    [anon_sym_new] = ACTIONS(7447),
    [anon_sym_LBRACE_LT] = ACTIONS(7449),
    [anon_sym_begin] = ACTIONS(7451),
    [sym_ocamlyacc_value] = ACTIONS(7453),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6795),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6793),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7455),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7457),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6793),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6793),
    [aux_sym_number_token1] = ACTIONS(7459),
    [anon_sym_SQUOTE] = ACTIONS(7461),
    [anon_sym_DQUOTE] = ACTIONS(7463),
    [sym_prefix_operator] = ACTIONS(7465),
    [sym__uppercase_identifier] = ACTIONS(7467),
    [aux_sym_tag_token1] = ACTIONS(7469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2963] = {
    [sym__simple_expression] = STATE(8161),
    [sym_typed_expression] = STATE(8609),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_labeled_argument] = STATE(9234),
    [sym_prefix_expression] = STATE(8609),
    [sym_hash_expression] = STATE(8609),
    [sym_field_get_expression] = STATE(8609),
    [sym_array_get_expression] = STATE(8609),
    [sym_string_get_expression] = STATE(8609),
    [sym_bigarray_get_expression] = STATE(8609),
    [sym_coercion_expression] = STATE(8609),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2963),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [aux_sym_class_application_repeat1] = STATE(2966),
    [sym__lowercase_identifier] = ACTIONS(6549),
    [anon_sym_TILDE] = ACTIONS(6551),
    [anon_sym_QMARK] = ACTIONS(6551),
    [anon_sym_LPAREN] = ACTIONS(3307),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(3309),
    [anon_sym_true] = ACTIONS(3311),
    [anon_sym_false] = ACTIONS(3311),
    [anon_sym_LBRACE] = ACTIONS(3313),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_end] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(3315),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3319),
    [anon_sym_new] = ACTIONS(3329),
    [anon_sym_LBRACE_LT] = ACTIONS(3331),
    [anon_sym_begin] = ACTIONS(3333),
    [sym_ocamlyacc_value] = ACTIONS(3335),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3337),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3339),
    [aux_sym_number_token1] = ACTIONS(3341),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(3343),
    [anon_sym_DQUOTE] = ACTIONS(3345),
    [sym_prefix_operator] = ACTIONS(3347),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(3351),
    [aux_sym_tag_token1] = ACTIONS(3353),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2964] = {
    [sym__simple_expression] = STATE(8629),
    [sym_typed_expression] = STATE(8221),
    [sym_list_expression] = STATE(8221),
    [sym_array_expression] = STATE(8221),
    [sym_record_expression] = STATE(8221),
    [sym_labeled_argument] = STATE(9368),
    [sym_prefix_expression] = STATE(8221),
    [sym_hash_expression] = STATE(8221),
    [sym_field_get_expression] = STATE(8221),
    [sym_array_get_expression] = STATE(8221),
    [sym_string_get_expression] = STATE(8221),
    [sym_bigarray_get_expression] = STATE(8221),
    [sym_coercion_expression] = STATE(8221),
    [sym_local_open_expression] = STATE(8221),
    [sym_package_expression] = STATE(8221),
    [sym_new_expression] = STATE(8221),
    [sym_object_copy_expression] = STATE(8221),
    [sym_method_invocation] = STATE(8221),
    [sym_object_expression] = STATE(8221),
    [sym_parenthesized_expression] = STATE(8221),
    [sym_attribute] = STATE(2964),
    [sym_extension] = STATE(8221),
    [sym_quoted_extension] = STATE(8221),
    [sym__constant] = STATE(8221),
    [sym_number] = STATE(8398),
    [sym_character] = STATE(8398),
    [sym_string] = STATE(8398),
    [sym_quoted_string] = STATE(8398),
    [sym_boolean] = STATE(8398),
    [sym_unit] = STATE(8398),
    [sym__value_name] = STATE(8173),
    [sym_parenthesized_operator] = STATE(8491),
    [sym_value_path] = STATE(8221),
    [sym_module_path] = STATE(21883),
    [sym_constructor_path] = STATE(8221),
    [sym__constructor_name] = STATE(8355),
    [sym_tag] = STATE(8221),
    [aux_sym_class_application_repeat1] = STATE(2964),
    [sym__lowercase_identifier] = ACTIONS(7471),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(7474),
    [anon_sym_QMARK] = ACTIONS(7474),
    [anon_sym_LPAREN] = ACTIONS(7477),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7480),
    [anon_sym_true] = ACTIONS(7483),
    [anon_sym_false] = ACTIONS(7483),
    [anon_sym_LBRACE] = ACTIONS(7486),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_val] = ACTIONS(4474),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(7489),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7492),
    [anon_sym_new] = ACTIONS(7495),
    [anon_sym_LBRACE_LT] = ACTIONS(7498),
    [anon_sym_begin] = ACTIONS(7501),
    [sym_ocamlyacc_value] = ACTIONS(7504),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7507),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7510),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(7513),
    [anon_sym_SQUOTE] = ACTIONS(7516),
    [anon_sym_DQUOTE] = ACTIONS(7519),
    [sym_prefix_operator] = ACTIONS(7522),
    [sym__uppercase_identifier] = ACTIONS(7525),
    [aux_sym_tag_token1] = ACTIONS(7528),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2965] = {
    [sym__simple_expression] = STATE(8534),
    [sym_typed_expression] = STATE(8437),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_labeled_argument] = STATE(9278),
    [sym_prefix_expression] = STATE(8437),
    [sym_hash_expression] = STATE(8437),
    [sym_field_get_expression] = STATE(8437),
    [sym_array_get_expression] = STATE(8437),
    [sym_string_get_expression] = STATE(8437),
    [sym_bigarray_get_expression] = STATE(8437),
    [sym_coercion_expression] = STATE(8437),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2965),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [aux_sym_class_application_repeat1] = STATE(2976),
    [sym__lowercase_identifier] = ACTIONS(6459),
    [anon_sym_TILDE] = ACTIONS(6461),
    [anon_sym_QMARK] = ACTIONS(6461),
    [anon_sym_LPAREN] = ACTIONS(3109),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(3111),
    [anon_sym_true] = ACTIONS(3113),
    [anon_sym_false] = ACTIONS(3113),
    [anon_sym_LBRACE] = ACTIONS(3115),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(3117),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3121),
    [anon_sym_done] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(3131),
    [anon_sym_LBRACE_LT] = ACTIONS(3133),
    [anon_sym_begin] = ACTIONS(3135),
    [sym_ocamlyacc_value] = ACTIONS(3137),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3141),
    [aux_sym_number_token1] = ACTIONS(3143),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(3145),
    [anon_sym_DQUOTE] = ACTIONS(3147),
    [sym_prefix_operator] = ACTIONS(3149),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(3153),
    [aux_sym_tag_token1] = ACTIONS(3155),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2966] = {
    [sym__simple_expression] = STATE(8161),
    [sym_typed_expression] = STATE(8609),
    [sym_list_expression] = STATE(8609),
    [sym_array_expression] = STATE(8609),
    [sym_record_expression] = STATE(8609),
    [sym_labeled_argument] = STATE(9234),
    [sym_prefix_expression] = STATE(8609),
    [sym_hash_expression] = STATE(8609),
    [sym_field_get_expression] = STATE(8609),
    [sym_array_get_expression] = STATE(8609),
    [sym_string_get_expression] = STATE(8609),
    [sym_bigarray_get_expression] = STATE(8609),
    [sym_coercion_expression] = STATE(8609),
    [sym_local_open_expression] = STATE(8609),
    [sym_package_expression] = STATE(8609),
    [sym_new_expression] = STATE(8609),
    [sym_object_copy_expression] = STATE(8609),
    [sym_method_invocation] = STATE(8609),
    [sym_object_expression] = STATE(8609),
    [sym_parenthesized_expression] = STATE(8609),
    [sym_attribute] = STATE(2966),
    [sym_extension] = STATE(8609),
    [sym_quoted_extension] = STATE(8609),
    [sym__constant] = STATE(8609),
    [sym_number] = STATE(8327),
    [sym_character] = STATE(8327),
    [sym_string] = STATE(8327),
    [sym_quoted_string] = STATE(8327),
    [sym_boolean] = STATE(8327),
    [sym_unit] = STATE(8327),
    [sym__value_name] = STATE(8628),
    [sym_parenthesized_operator] = STATE(8636),
    [sym_value_path] = STATE(8609),
    [sym_module_path] = STATE(22278),
    [sym_constructor_path] = STATE(8609),
    [sym__constructor_name] = STATE(8296),
    [sym_tag] = STATE(8609),
    [aux_sym_class_application_repeat1] = STATE(2966),
    [sym__lowercase_identifier] = ACTIONS(7531),
    [anon_sym_TILDE] = ACTIONS(7534),
    [anon_sym_QMARK] = ACTIONS(7534),
    [anon_sym_LPAREN] = ACTIONS(7537),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7540),
    [anon_sym_true] = ACTIONS(7543),
    [anon_sym_false] = ACTIONS(7543),
    [anon_sym_LBRACE] = ACTIONS(7546),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(7549),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7552),
    [anon_sym_new] = ACTIONS(7555),
    [anon_sym_LBRACE_LT] = ACTIONS(7558),
    [anon_sym_begin] = ACTIONS(7561),
    [sym_ocamlyacc_value] = ACTIONS(7564),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7570),
    [aux_sym_number_token1] = ACTIONS(7573),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(7576),
    [anon_sym_DQUOTE] = ACTIONS(7579),
    [sym_prefix_operator] = ACTIONS(7582),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7585),
    [aux_sym_tag_token1] = ACTIONS(7588),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2967] = {
    [sym__simple_expression] = STATE(8206),
    [sym_typed_expression] = STATE(8155),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_labeled_argument] = STATE(9385),
    [sym_prefix_expression] = STATE(8155),
    [sym_hash_expression] = STATE(8155),
    [sym_field_get_expression] = STATE(8155),
    [sym_array_get_expression] = STATE(8155),
    [sym_string_get_expression] = STATE(8155),
    [sym_bigarray_get_expression] = STATE(8155),
    [sym_coercion_expression] = STATE(8155),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2967),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [aux_sym_class_application_repeat1] = STATE(2977),
    [sym__lowercase_identifier] = ACTIONS(6665),
    [anon_sym_TILDE] = ACTIONS(6667),
    [anon_sym_QMARK] = ACTIONS(6667),
    [anon_sym_LPAREN] = ACTIONS(3029),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(3031),
    [anon_sym_true] = ACTIONS(3033),
    [anon_sym_false] = ACTIONS(3033),
    [anon_sym_LBRACE] = ACTIONS(3035),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_with] = ACTIONS(4457),
    [anon_sym_object] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3041),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_LBRACE_LT] = ACTIONS(3053),
    [anon_sym_begin] = ACTIONS(3055),
    [sym_ocamlyacc_value] = ACTIONS(3057),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3061),
    [aux_sym_number_token1] = ACTIONS(3063),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(3065),
    [anon_sym_DQUOTE] = ACTIONS(3067),
    [sym_prefix_operator] = ACTIONS(3069),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(3073),
    [aux_sym_tag_token1] = ACTIONS(3075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2968] = {
    [sym__simple_expression] = STATE(8629),
    [sym_typed_expression] = STATE(8221),
    [sym_list_expression] = STATE(8221),
    [sym_array_expression] = STATE(8221),
    [sym_record_expression] = STATE(8221),
    [sym_labeled_argument] = STATE(9368),
    [sym_prefix_expression] = STATE(8221),
    [sym_hash_expression] = STATE(8221),
    [sym_field_get_expression] = STATE(8221),
    [sym_array_get_expression] = STATE(8221),
    [sym_string_get_expression] = STATE(8221),
    [sym_bigarray_get_expression] = STATE(8221),
    [sym_coercion_expression] = STATE(8221),
    [sym_local_open_expression] = STATE(8221),
    [sym_package_expression] = STATE(8221),
    [sym_new_expression] = STATE(8221),
    [sym_object_copy_expression] = STATE(8221),
    [sym_method_invocation] = STATE(8221),
    [sym_object_expression] = STATE(8221),
    [sym_parenthesized_expression] = STATE(8221),
    [sym_attribute] = STATE(2968),
    [sym_extension] = STATE(8221),
    [sym_quoted_extension] = STATE(8221),
    [sym__constant] = STATE(8221),
    [sym_number] = STATE(8398),
    [sym_character] = STATE(8398),
    [sym_string] = STATE(8398),
    [sym_quoted_string] = STATE(8398),
    [sym_boolean] = STATE(8398),
    [sym_unit] = STATE(8398),
    [sym__value_name] = STATE(8173),
    [sym_parenthesized_operator] = STATE(8491),
    [sym_value_path] = STATE(8221),
    [sym_module_path] = STATE(21883),
    [sym_constructor_path] = STATE(8221),
    [sym__constructor_name] = STATE(8355),
    [sym_tag] = STATE(8221),
    [aux_sym_class_application_repeat1] = STATE(2964),
    [sym__lowercase_identifier] = ACTIONS(7591),
    [anon_sym_SEMI_SEMI] = ACTIONS(6747),
    [anon_sym_and] = ACTIONS(6751),
    [anon_sym_TILDE] = ACTIONS(7593),
    [anon_sym_QMARK] = ACTIONS(7593),
    [anon_sym_LPAREN] = ACTIONS(7595),
    [anon_sym_external] = ACTIONS(6751),
    [anon_sym_type] = ACTIONS(6751),
    [anon_sym_LBRACK] = ACTIONS(7597),
    [anon_sym_true] = ACTIONS(7599),
    [anon_sym_false] = ACTIONS(7599),
    [anon_sym_LBRACE] = ACTIONS(7601),
    [anon_sym_exception] = ACTIONS(6751),
    [anon_sym_module] = ACTIONS(6751),
    [anon_sym_open] = ACTIONS(6751),
    [anon_sym_include] = ACTIONS(6751),
    [anon_sym_class] = ACTIONS(6751),
    [anon_sym_val] = ACTIONS(6751),
    [anon_sym_end] = ACTIONS(6751),
    [anon_sym_object] = ACTIONS(7603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7605),
    [anon_sym_new] = ACTIONS(7607),
    [anon_sym_LBRACE_LT] = ACTIONS(7609),
    [anon_sym_begin] = ACTIONS(7611),
    [sym_ocamlyacc_value] = ACTIONS(7613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6747),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6747),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6747),
    [aux_sym_number_token1] = ACTIONS(7619),
    [anon_sym_SQUOTE] = ACTIONS(7621),
    [anon_sym_DQUOTE] = ACTIONS(7623),
    [sym_prefix_operator] = ACTIONS(7625),
    [sym__uppercase_identifier] = ACTIONS(7627),
    [aux_sym_tag_token1] = ACTIONS(7629),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2969] = {
    [sym__simple_expression] = STATE(8194),
    [sym_typed_expression] = STATE(8577),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_labeled_argument] = STATE(9281),
    [sym_prefix_expression] = STATE(8577),
    [sym_hash_expression] = STATE(8577),
    [sym_field_get_expression] = STATE(8577),
    [sym_array_get_expression] = STATE(8577),
    [sym_string_get_expression] = STATE(8577),
    [sym_bigarray_get_expression] = STATE(8577),
    [sym_coercion_expression] = STATE(8577),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2969),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [aux_sym_class_application_repeat1] = STATE(2969),
    [sym__lowercase_identifier] = ACTIONS(7631),
    [anon_sym_TILDE] = ACTIONS(7634),
    [anon_sym_QMARK] = ACTIONS(7634),
    [anon_sym_LPAREN] = ACTIONS(7637),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7640),
    [anon_sym_true] = ACTIONS(7643),
    [anon_sym_false] = ACTIONS(7643),
    [anon_sym_LBRACE] = ACTIONS(7646),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(7649),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7652),
    [anon_sym_do] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(7655),
    [anon_sym_LBRACE_LT] = ACTIONS(7658),
    [anon_sym_begin] = ACTIONS(7661),
    [sym_ocamlyacc_value] = ACTIONS(7664),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7670),
    [aux_sym_number_token1] = ACTIONS(7673),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(7676),
    [anon_sym_DQUOTE] = ACTIONS(7679),
    [sym_prefix_operator] = ACTIONS(7682),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7685),
    [aux_sym_tag_token1] = ACTIONS(7688),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2970] = {
    [sym__simple_expression] = STATE(8488),
    [sym_typed_expression] = STATE(8129),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_labeled_argument] = STATE(9284),
    [sym_prefix_expression] = STATE(8129),
    [sym_hash_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(8129),
    [sym_array_get_expression] = STATE(8129),
    [sym_string_get_expression] = STATE(8129),
    [sym_bigarray_get_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2970),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [aux_sym_class_application_repeat1] = STATE(2975),
    [sym__lowercase_identifier] = ACTIONS(6479),
    [anon_sym_TILDE] = ACTIONS(6481),
    [anon_sym_QMARK] = ACTIONS(6481),
    [anon_sym_LPAREN] = ACTIONS(3255),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_true] = ACTIONS(3259),
    [anon_sym_false] = ACTIONS(3259),
    [anon_sym_LBRACE] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(3263),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3267),
    [anon_sym_then] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(3277),
    [anon_sym_LBRACE_LT] = ACTIONS(3279),
    [anon_sym_begin] = ACTIONS(3281),
    [sym_ocamlyacc_value] = ACTIONS(3283),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3287),
    [aux_sym_number_token1] = ACTIONS(3289),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(3291),
    [anon_sym_DQUOTE] = ACTIONS(3293),
    [sym_prefix_operator] = ACTIONS(3295),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(3299),
    [aux_sym_tag_token1] = ACTIONS(3301),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2971] = {
    [sym__simple_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8521),
    [sym_list_expression] = STATE(8521),
    [sym_array_expression] = STATE(8521),
    [sym_record_expression] = STATE(8521),
    [sym_labeled_argument] = STATE(9207),
    [sym_prefix_expression] = STATE(8521),
    [sym_hash_expression] = STATE(8521),
    [sym_field_get_expression] = STATE(8521),
    [sym_array_get_expression] = STATE(8521),
    [sym_string_get_expression] = STATE(8521),
    [sym_bigarray_get_expression] = STATE(8521),
    [sym_coercion_expression] = STATE(8521),
    [sym_local_open_expression] = STATE(8521),
    [sym_package_expression] = STATE(8521),
    [sym_new_expression] = STATE(8521),
    [sym_object_copy_expression] = STATE(8521),
    [sym_method_invocation] = STATE(8521),
    [sym_object_expression] = STATE(8521),
    [sym_parenthesized_expression] = STATE(8521),
    [sym_attribute] = STATE(2971),
    [sym_extension] = STATE(8521),
    [sym_quoted_extension] = STATE(8521),
    [sym__constant] = STATE(8521),
    [sym_number] = STATE(8472),
    [sym_character] = STATE(8472),
    [sym_string] = STATE(8472),
    [sym_quoted_string] = STATE(8472),
    [sym_boolean] = STATE(8472),
    [sym_unit] = STATE(8472),
    [sym__value_name] = STATE(8616),
    [sym_parenthesized_operator] = STATE(8606),
    [sym_value_path] = STATE(8521),
    [sym_module_path] = STATE(21693),
    [sym_constructor_path] = STATE(8521),
    [sym__constructor_name] = STATE(8186),
    [sym_tag] = STATE(8521),
    [aux_sym_class_application_repeat1] = STATE(2973),
    [sym__lowercase_identifier] = ACTIONS(7431),
    [anon_sym_SEMI_SEMI] = ACTIONS(6747),
    [anon_sym_and] = ACTIONS(6751),
    [anon_sym_TILDE] = ACTIONS(7433),
    [anon_sym_QMARK] = ACTIONS(7433),
    [anon_sym_LPAREN] = ACTIONS(7435),
    [anon_sym_external] = ACTIONS(6751),
    [anon_sym_type] = ACTIONS(6751),
    [anon_sym_LBRACK] = ACTIONS(7437),
    [anon_sym_RBRACK] = ACTIONS(6747),
    [anon_sym_true] = ACTIONS(7439),
    [anon_sym_false] = ACTIONS(7439),
    [anon_sym_LBRACE] = ACTIONS(7441),
    [anon_sym_exception] = ACTIONS(6751),
    [anon_sym_module] = ACTIONS(6751),
    [anon_sym_open] = ACTIONS(6751),
    [anon_sym_include] = ACTIONS(6751),
    [anon_sym_class] = ACTIONS(6751),
    [anon_sym_val] = ACTIONS(6751),
    [anon_sym_object] = ACTIONS(7443),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7445),
    [anon_sym_new] = ACTIONS(7447),
    [anon_sym_LBRACE_LT] = ACTIONS(7449),
    [anon_sym_begin] = ACTIONS(7451),
    [sym_ocamlyacc_value] = ACTIONS(7453),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6747),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7455),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7457),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6747),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6747),
    [aux_sym_number_token1] = ACTIONS(7459),
    [anon_sym_SQUOTE] = ACTIONS(7461),
    [anon_sym_DQUOTE] = ACTIONS(7463),
    [sym_prefix_operator] = ACTIONS(7465),
    [sym__uppercase_identifier] = ACTIONS(7467),
    [aux_sym_tag_token1] = ACTIONS(7469),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2972] = {
    [sym__simple_expression] = STATE(8194),
    [sym_typed_expression] = STATE(8577),
    [sym_list_expression] = STATE(8577),
    [sym_array_expression] = STATE(8577),
    [sym_record_expression] = STATE(8577),
    [sym_labeled_argument] = STATE(9281),
    [sym_prefix_expression] = STATE(8577),
    [sym_hash_expression] = STATE(8577),
    [sym_field_get_expression] = STATE(8577),
    [sym_array_get_expression] = STATE(8577),
    [sym_string_get_expression] = STATE(8577),
    [sym_bigarray_get_expression] = STATE(8577),
    [sym_coercion_expression] = STATE(8577),
    [sym_local_open_expression] = STATE(8577),
    [sym_package_expression] = STATE(8577),
    [sym_new_expression] = STATE(8577),
    [sym_object_copy_expression] = STATE(8577),
    [sym_method_invocation] = STATE(8577),
    [sym_object_expression] = STATE(8577),
    [sym_parenthesized_expression] = STATE(8577),
    [sym_attribute] = STATE(2972),
    [sym_extension] = STATE(8577),
    [sym_quoted_extension] = STATE(8577),
    [sym__constant] = STATE(8577),
    [sym_number] = STATE(8439),
    [sym_character] = STATE(8439),
    [sym_string] = STATE(8439),
    [sym_quoted_string] = STATE(8439),
    [sym_boolean] = STATE(8439),
    [sym_unit] = STATE(8439),
    [sym__value_name] = STATE(8676),
    [sym_parenthesized_operator] = STATE(8338),
    [sym_value_path] = STATE(8577),
    [sym_module_path] = STATE(21353),
    [sym_constructor_path] = STATE(8577),
    [sym__constructor_name] = STATE(8611),
    [sym_tag] = STATE(8577),
    [aux_sym_class_application_repeat1] = STATE(2969),
    [sym__lowercase_identifier] = ACTIONS(6633),
    [anon_sym_TILDE] = ACTIONS(6635),
    [anon_sym_QMARK] = ACTIONS(6635),
    [anon_sym_LPAREN] = ACTIONS(3189),
    [anon_sym_COMMA] = ACTIONS(4455),
    [anon_sym_PIPE] = ACTIONS(4457),
    [anon_sym_LBRACK] = ACTIONS(3191),
    [anon_sym_true] = ACTIONS(3193),
    [anon_sym_false] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_object] = ACTIONS(3197),
    [anon_sym_COLON_COLON] = ACTIONS(4455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(4457),
    [anon_sym_new] = ACTIONS(3211),
    [anon_sym_LBRACE_LT] = ACTIONS(3213),
    [anon_sym_begin] = ACTIONS(3215),
    [sym_ocamlyacc_value] = ACTIONS(3217),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3219),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3221),
    [aux_sym_number_token1] = ACTIONS(3223),
    [aux_sym_signed_number_token1] = ACTIONS(4457),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3227),
    [sym_prefix_operator] = ACTIONS(3229),
    [aux_sym_sign_operator_token1] = ACTIONS(4457),
    [sym_pow_operator] = ACTIONS(4457),
    [sym_mult_operator] = ACTIONS(4457),
    [aux_sym_add_operator_token1] = ACTIONS(4457),
    [sym_concat_operator] = ACTIONS(4455),
    [sym_rel_operator] = ACTIONS(4457),
    [sym_and_operator] = ACTIONS(4457),
    [sym_or_operator] = ACTIONS(4457),
    [sym_assign_operator] = ACTIONS(4455),
    [sym__uppercase_identifier] = ACTIONS(3233),
    [aux_sym_tag_token1] = ACTIONS(3235),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2973] = {
    [sym__simple_expression] = STATE(8242),
    [sym_typed_expression] = STATE(8521),
    [sym_list_expression] = STATE(8521),
    [sym_array_expression] = STATE(8521),
    [sym_record_expression] = STATE(8521),
    [sym_labeled_argument] = STATE(9207),
    [sym_prefix_expression] = STATE(8521),
    [sym_hash_expression] = STATE(8521),
    [sym_field_get_expression] = STATE(8521),
    [sym_array_get_expression] = STATE(8521),
    [sym_string_get_expression] = STATE(8521),
    [sym_bigarray_get_expression] = STATE(8521),
    [sym_coercion_expression] = STATE(8521),
    [sym_local_open_expression] = STATE(8521),
    [sym_package_expression] = STATE(8521),
    [sym_new_expression] = STATE(8521),
    [sym_object_copy_expression] = STATE(8521),
    [sym_method_invocation] = STATE(8521),
    [sym_object_expression] = STATE(8521),
    [sym_parenthesized_expression] = STATE(8521),
    [sym_attribute] = STATE(2973),
    [sym_extension] = STATE(8521),
    [sym_quoted_extension] = STATE(8521),
    [sym__constant] = STATE(8521),
    [sym_number] = STATE(8472),
    [sym_character] = STATE(8472),
    [sym_string] = STATE(8472),
    [sym_quoted_string] = STATE(8472),
    [sym_boolean] = STATE(8472),
    [sym_unit] = STATE(8472),
    [sym__value_name] = STATE(8616),
    [sym_parenthesized_operator] = STATE(8606),
    [sym_value_path] = STATE(8521),
    [sym_module_path] = STATE(21693),
    [sym_constructor_path] = STATE(8521),
    [sym__constructor_name] = STATE(8186),
    [sym_tag] = STATE(8521),
    [aux_sym_class_application_repeat1] = STATE(2973),
    [sym__lowercase_identifier] = ACTIONS(7691),
    [anon_sym_SEMI_SEMI] = ACTIONS(4469),
    [anon_sym_and] = ACTIONS(4474),
    [anon_sym_TILDE] = ACTIONS(7694),
    [anon_sym_QMARK] = ACTIONS(7694),
    [anon_sym_LPAREN] = ACTIONS(7697),
    [anon_sym_external] = ACTIONS(4474),
    [anon_sym_type] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7700),
    [anon_sym_RBRACK] = ACTIONS(4469),
    [anon_sym_true] = ACTIONS(7703),
    [anon_sym_false] = ACTIONS(7703),
    [anon_sym_LBRACE] = ACTIONS(7706),
    [anon_sym_exception] = ACTIONS(4474),
    [anon_sym_module] = ACTIONS(4474),
    [anon_sym_open] = ACTIONS(4474),
    [anon_sym_include] = ACTIONS(4474),
    [anon_sym_class] = ACTIONS(4474),
    [anon_sym_val] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(7709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7712),
    [anon_sym_new] = ACTIONS(7715),
    [anon_sym_LBRACE_LT] = ACTIONS(7718),
    [anon_sym_begin] = ACTIONS(7721),
    [sym_ocamlyacc_value] = ACTIONS(7724),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7730),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(7733),
    [anon_sym_SQUOTE] = ACTIONS(7736),
    [anon_sym_DQUOTE] = ACTIONS(7739),
    [sym_prefix_operator] = ACTIONS(7742),
    [sym__uppercase_identifier] = ACTIONS(7745),
    [aux_sym_tag_token1] = ACTIONS(7748),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2974] = {
    [sym__simple_expression] = STATE(8629),
    [sym_typed_expression] = STATE(8221),
    [sym_list_expression] = STATE(8221),
    [sym_array_expression] = STATE(8221),
    [sym_record_expression] = STATE(8221),
    [sym_labeled_argument] = STATE(9368),
    [sym_prefix_expression] = STATE(8221),
    [sym_hash_expression] = STATE(8221),
    [sym_field_get_expression] = STATE(8221),
    [sym_array_get_expression] = STATE(8221),
    [sym_string_get_expression] = STATE(8221),
    [sym_bigarray_get_expression] = STATE(8221),
    [sym_coercion_expression] = STATE(8221),
    [sym_local_open_expression] = STATE(8221),
    [sym_package_expression] = STATE(8221),
    [sym_new_expression] = STATE(8221),
    [sym_object_copy_expression] = STATE(8221),
    [sym_method_invocation] = STATE(8221),
    [sym_object_expression] = STATE(8221),
    [sym_parenthesized_expression] = STATE(8221),
    [sym_attribute] = STATE(2974),
    [sym_extension] = STATE(8221),
    [sym_quoted_extension] = STATE(8221),
    [sym__constant] = STATE(8221),
    [sym_number] = STATE(8398),
    [sym_character] = STATE(8398),
    [sym_string] = STATE(8398),
    [sym_quoted_string] = STATE(8398),
    [sym_boolean] = STATE(8398),
    [sym_unit] = STATE(8398),
    [sym__value_name] = STATE(8173),
    [sym_parenthesized_operator] = STATE(8491),
    [sym_value_path] = STATE(8221),
    [sym_module_path] = STATE(21883),
    [sym_constructor_path] = STATE(8221),
    [sym__constructor_name] = STATE(8355),
    [sym_tag] = STATE(8221),
    [aux_sym_class_application_repeat1] = STATE(2968),
    [sym__lowercase_identifier] = ACTIONS(7591),
    [anon_sym_SEMI_SEMI] = ACTIONS(6793),
    [anon_sym_and] = ACTIONS(6795),
    [anon_sym_TILDE] = ACTIONS(7593),
    [anon_sym_QMARK] = ACTIONS(7593),
    [anon_sym_LPAREN] = ACTIONS(7595),
    [anon_sym_external] = ACTIONS(6795),
    [anon_sym_type] = ACTIONS(6795),
    [anon_sym_LBRACK] = ACTIONS(7597),
    [anon_sym_true] = ACTIONS(7599),
    [anon_sym_false] = ACTIONS(7599),
    [anon_sym_LBRACE] = ACTIONS(7601),
    [anon_sym_exception] = ACTIONS(6795),
    [anon_sym_module] = ACTIONS(6795),
    [anon_sym_open] = ACTIONS(6795),
    [anon_sym_include] = ACTIONS(6795),
    [anon_sym_class] = ACTIONS(6795),
    [anon_sym_val] = ACTIONS(6795),
    [anon_sym_end] = ACTIONS(6795),
    [anon_sym_object] = ACTIONS(7603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7605),
    [anon_sym_new] = ACTIONS(7607),
    [anon_sym_LBRACE_LT] = ACTIONS(7609),
    [anon_sym_begin] = ACTIONS(7611),
    [sym_ocamlyacc_value] = ACTIONS(7613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6795),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6793),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6793),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6793),
    [aux_sym_number_token1] = ACTIONS(7619),
    [anon_sym_SQUOTE] = ACTIONS(7621),
    [anon_sym_DQUOTE] = ACTIONS(7623),
    [sym_prefix_operator] = ACTIONS(7625),
    [sym__uppercase_identifier] = ACTIONS(7627),
    [aux_sym_tag_token1] = ACTIONS(7629),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2975] = {
    [sym__simple_expression] = STATE(8488),
    [sym_typed_expression] = STATE(8129),
    [sym_list_expression] = STATE(8129),
    [sym_array_expression] = STATE(8129),
    [sym_record_expression] = STATE(8129),
    [sym_labeled_argument] = STATE(9284),
    [sym_prefix_expression] = STATE(8129),
    [sym_hash_expression] = STATE(8129),
    [sym_field_get_expression] = STATE(8129),
    [sym_array_get_expression] = STATE(8129),
    [sym_string_get_expression] = STATE(8129),
    [sym_bigarray_get_expression] = STATE(8129),
    [sym_coercion_expression] = STATE(8129),
    [sym_local_open_expression] = STATE(8129),
    [sym_package_expression] = STATE(8129),
    [sym_new_expression] = STATE(8129),
    [sym_object_copy_expression] = STATE(8129),
    [sym_method_invocation] = STATE(8129),
    [sym_object_expression] = STATE(8129),
    [sym_parenthesized_expression] = STATE(8129),
    [sym_attribute] = STATE(2975),
    [sym_extension] = STATE(8129),
    [sym_quoted_extension] = STATE(8129),
    [sym__constant] = STATE(8129),
    [sym_number] = STATE(8496),
    [sym_character] = STATE(8496),
    [sym_string] = STATE(8496),
    [sym_quoted_string] = STATE(8496),
    [sym_boolean] = STATE(8496),
    [sym_unit] = STATE(8496),
    [sym__value_name] = STATE(8261),
    [sym_parenthesized_operator] = STATE(8706),
    [sym_value_path] = STATE(8129),
    [sym_module_path] = STATE(20914),
    [sym_constructor_path] = STATE(8129),
    [sym__constructor_name] = STATE(8374),
    [sym_tag] = STATE(8129),
    [aux_sym_class_application_repeat1] = STATE(2975),
    [sym__lowercase_identifier] = ACTIONS(7751),
    [anon_sym_TILDE] = ACTIONS(7754),
    [anon_sym_QMARK] = ACTIONS(7754),
    [anon_sym_LPAREN] = ACTIONS(7757),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7760),
    [anon_sym_true] = ACTIONS(7763),
    [anon_sym_false] = ACTIONS(7763),
    [anon_sym_LBRACE] = ACTIONS(7766),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(7769),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7772),
    [anon_sym_then] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(7775),
    [anon_sym_LBRACE_LT] = ACTIONS(7778),
    [anon_sym_begin] = ACTIONS(7781),
    [sym_ocamlyacc_value] = ACTIONS(7784),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7787),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7790),
    [aux_sym_number_token1] = ACTIONS(7793),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(7796),
    [anon_sym_DQUOTE] = ACTIONS(7799),
    [sym_prefix_operator] = ACTIONS(7802),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7805),
    [aux_sym_tag_token1] = ACTIONS(7808),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2976] = {
    [sym__simple_expression] = STATE(8534),
    [sym_typed_expression] = STATE(8437),
    [sym_list_expression] = STATE(8437),
    [sym_array_expression] = STATE(8437),
    [sym_record_expression] = STATE(8437),
    [sym_labeled_argument] = STATE(9278),
    [sym_prefix_expression] = STATE(8437),
    [sym_hash_expression] = STATE(8437),
    [sym_field_get_expression] = STATE(8437),
    [sym_array_get_expression] = STATE(8437),
    [sym_string_get_expression] = STATE(8437),
    [sym_bigarray_get_expression] = STATE(8437),
    [sym_coercion_expression] = STATE(8437),
    [sym_local_open_expression] = STATE(8437),
    [sym_package_expression] = STATE(8437),
    [sym_new_expression] = STATE(8437),
    [sym_object_copy_expression] = STATE(8437),
    [sym_method_invocation] = STATE(8437),
    [sym_object_expression] = STATE(8437),
    [sym_parenthesized_expression] = STATE(8437),
    [sym_attribute] = STATE(2976),
    [sym_extension] = STATE(8437),
    [sym_quoted_extension] = STATE(8437),
    [sym__constant] = STATE(8437),
    [sym_number] = STATE(8266),
    [sym_character] = STATE(8266),
    [sym_string] = STATE(8266),
    [sym_quoted_string] = STATE(8266),
    [sym_boolean] = STATE(8266),
    [sym_unit] = STATE(8266),
    [sym__value_name] = STATE(8505),
    [sym_parenthesized_operator] = STATE(8305),
    [sym_value_path] = STATE(8437),
    [sym_module_path] = STATE(20552),
    [sym_constructor_path] = STATE(8437),
    [sym__constructor_name] = STATE(8369),
    [sym_tag] = STATE(8437),
    [aux_sym_class_application_repeat1] = STATE(2976),
    [sym__lowercase_identifier] = ACTIONS(7811),
    [anon_sym_TILDE] = ACTIONS(7814),
    [anon_sym_QMARK] = ACTIONS(7814),
    [anon_sym_LPAREN] = ACTIONS(7817),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7820),
    [anon_sym_true] = ACTIONS(7823),
    [anon_sym_false] = ACTIONS(7823),
    [anon_sym_LBRACE] = ACTIONS(7826),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_object] = ACTIONS(7829),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7832),
    [anon_sym_done] = ACTIONS(4474),
    [anon_sym_new] = ACTIONS(7835),
    [anon_sym_LBRACE_LT] = ACTIONS(7838),
    [anon_sym_begin] = ACTIONS(7841),
    [sym_ocamlyacc_value] = ACTIONS(7844),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7847),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7850),
    [aux_sym_number_token1] = ACTIONS(7853),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(7856),
    [anon_sym_DQUOTE] = ACTIONS(7859),
    [sym_prefix_operator] = ACTIONS(7862),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7865),
    [aux_sym_tag_token1] = ACTIONS(7868),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2977] = {
    [sym__simple_expression] = STATE(8206),
    [sym_typed_expression] = STATE(8155),
    [sym_list_expression] = STATE(8155),
    [sym_array_expression] = STATE(8155),
    [sym_record_expression] = STATE(8155),
    [sym_labeled_argument] = STATE(9385),
    [sym_prefix_expression] = STATE(8155),
    [sym_hash_expression] = STATE(8155),
    [sym_field_get_expression] = STATE(8155),
    [sym_array_get_expression] = STATE(8155),
    [sym_string_get_expression] = STATE(8155),
    [sym_bigarray_get_expression] = STATE(8155),
    [sym_coercion_expression] = STATE(8155),
    [sym_local_open_expression] = STATE(8155),
    [sym_package_expression] = STATE(8155),
    [sym_new_expression] = STATE(8155),
    [sym_object_copy_expression] = STATE(8155),
    [sym_method_invocation] = STATE(8155),
    [sym_object_expression] = STATE(8155),
    [sym_parenthesized_expression] = STATE(8155),
    [sym_attribute] = STATE(2977),
    [sym_extension] = STATE(8155),
    [sym_quoted_extension] = STATE(8155),
    [sym__constant] = STATE(8155),
    [sym_number] = STATE(8626),
    [sym_character] = STATE(8626),
    [sym_string] = STATE(8626),
    [sym_quoted_string] = STATE(8626),
    [sym_boolean] = STATE(8626),
    [sym_unit] = STATE(8626),
    [sym__value_name] = STATE(8329),
    [sym_parenthesized_operator] = STATE(8507),
    [sym_value_path] = STATE(8155),
    [sym_module_path] = STATE(21759),
    [sym_constructor_path] = STATE(8155),
    [sym__constructor_name] = STATE(8638),
    [sym_tag] = STATE(8155),
    [aux_sym_class_application_repeat1] = STATE(2977),
    [sym__lowercase_identifier] = ACTIONS(7871),
    [anon_sym_TILDE] = ACTIONS(7874),
    [anon_sym_QMARK] = ACTIONS(7874),
    [anon_sym_LPAREN] = ACTIONS(7877),
    [anon_sym_COMMA] = ACTIONS(4469),
    [anon_sym_PIPE] = ACTIONS(4474),
    [anon_sym_LBRACK] = ACTIONS(7880),
    [anon_sym_true] = ACTIONS(7883),
    [anon_sym_false] = ACTIONS(7883),
    [anon_sym_LBRACE] = ACTIONS(7886),
    [anon_sym_SEMI] = ACTIONS(4469),
    [anon_sym_with] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(7889),
    [anon_sym_COLON_COLON] = ACTIONS(4469),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7892),
    [anon_sym_new] = ACTIONS(7895),
    [anon_sym_LBRACE_LT] = ACTIONS(7898),
    [anon_sym_begin] = ACTIONS(7901),
    [sym_ocamlyacc_value] = ACTIONS(7904),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7907),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7910),
    [aux_sym_number_token1] = ACTIONS(7913),
    [aux_sym_signed_number_token1] = ACTIONS(4474),
    [anon_sym_SQUOTE] = ACTIONS(7916),
    [anon_sym_DQUOTE] = ACTIONS(7919),
    [sym_prefix_operator] = ACTIONS(7922),
    [aux_sym_sign_operator_token1] = ACTIONS(4474),
    [sym_pow_operator] = ACTIONS(4474),
    [sym_mult_operator] = ACTIONS(4474),
    [aux_sym_add_operator_token1] = ACTIONS(4474),
    [sym_concat_operator] = ACTIONS(4469),
    [sym_rel_operator] = ACTIONS(4474),
    [sym_and_operator] = ACTIONS(4474),
    [sym_or_operator] = ACTIONS(4474),
    [sym_assign_operator] = ACTIONS(4469),
    [sym__uppercase_identifier] = ACTIONS(7925),
    [aux_sym_tag_token1] = ACTIONS(7928),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2978] = {
    [sym__parenthesized_abstract_type] = STATE(3625),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15461),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(2978),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_EQ] = ACTIONS(7931),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(7935),
    [anon_sym_RPAREN] = ACTIONS(7931),
    [anon_sym_COMMA] = ACTIONS(7931),
    [anon_sym_PIPE] = ACTIONS(7931),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(7931),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_COLON2] = ACTIONS(7937),
    [anon_sym_DASH_GT] = ACTIONS(7931),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_as] = ACTIONS(7937),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(7931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_when] = ACTIONS(7937),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(7941),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2979] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13224),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2979),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12565),
    [aux_sym_let_binding_repeat1] = STATE(3035),
    [ts_builtin_sym_end] = ACTIONS(7943),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(7943),
    [anon_sym_let] = ACTIONS(7947),
    [anon_sym_and] = ACTIONS(7947),
    [anon_sym_EQ] = ACTIONS(7949),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(7947),
    [anon_sym_type] = ACTIONS(7947),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(7947),
    [anon_sym_module] = ACTIONS(7947),
    [anon_sym_open] = ACTIONS(7947),
    [anon_sym_include] = ACTIONS(7947),
    [anon_sym_class] = ACTIONS(7947),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7943),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7943),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7943),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(7943),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(7947),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2980] = {
    [sym__simple_expression] = STATE(9722),
    [sym_typed_expression] = STATE(9705),
    [sym_list_expression] = STATE(9705),
    [sym_array_expression] = STATE(9705),
    [sym_record_expression] = STATE(9705),
    [sym_labeled_argument] = STATE(10160),
    [sym_prefix_expression] = STATE(9705),
    [sym_hash_expression] = STATE(9705),
    [sym_field_get_expression] = STATE(9705),
    [sym_array_get_expression] = STATE(9705),
    [sym_string_get_expression] = STATE(9705),
    [sym_bigarray_get_expression] = STATE(9705),
    [sym_coercion_expression] = STATE(9705),
    [sym_local_open_expression] = STATE(9705),
    [sym_package_expression] = STATE(9705),
    [sym_new_expression] = STATE(9705),
    [sym_object_copy_expression] = STATE(9705),
    [sym_method_invocation] = STATE(9705),
    [sym_object_expression] = STATE(9705),
    [sym_parenthesized_expression] = STATE(9705),
    [sym_attribute] = STATE(2980),
    [sym_extension] = STATE(9705),
    [sym_quoted_extension] = STATE(9705),
    [sym__constant] = STATE(9705),
    [sym_number] = STATE(9675),
    [sym_character] = STATE(9675),
    [sym_string] = STATE(9675),
    [sym_quoted_string] = STATE(9675),
    [sym_boolean] = STATE(9675),
    [sym_unit] = STATE(9675),
    [sym__value_name] = STATE(9525),
    [sym_parenthesized_operator] = STATE(9701),
    [sym_value_path] = STATE(9705),
    [sym_module_path] = STATE(20424),
    [sym_constructor_path] = STATE(9705),
    [sym__constructor_name] = STATE(9724),
    [sym_tag] = STATE(9705),
    [aux_sym_class_application_repeat1] = STATE(2980),
    [sym__lowercase_identifier] = ACTIONS(7987),
    [anon_sym_TILDE] = ACTIONS(7990),
    [anon_sym_QMARK] = ACTIONS(7990),
    [anon_sym_LPAREN] = ACTIONS(7993),
    [anon_sym_LBRACK] = ACTIONS(7996),
    [anon_sym_true] = ACTIONS(7999),
    [anon_sym_false] = ACTIONS(7999),
    [anon_sym_LBRACE] = ACTIONS(8002),
    [anon_sym_constraint] = ACTIONS(4474),
    [anon_sym_val] = ACTIONS(4474),
    [anon_sym_end] = ACTIONS(4474),
    [anon_sym_object] = ACTIONS(8005),
    [anon_sym_inherit] = ACTIONS(4474),
    [anon_sym_method] = ACTIONS(4474),
    [anon_sym_as] = ACTIONS(4474),
    [anon_sym_initializer] = ACTIONS(4474),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8008),
    [anon_sym_new] = ACTIONS(8011),
    [anon_sym_LBRACE_LT] = ACTIONS(8014),
    [anon_sym_begin] = ACTIONS(8017),
    [sym_ocamlyacc_value] = ACTIONS(8020),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(4474),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(4469),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8023),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8026),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(4469),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(4469),
    [aux_sym_number_token1] = ACTIONS(8029),
    [anon_sym_SQUOTE] = ACTIONS(8032),
    [anon_sym_DQUOTE] = ACTIONS(8035),
    [sym_prefix_operator] = ACTIONS(8038),
    [sym__uppercase_identifier] = ACTIONS(8041),
    [aux_sym_tag_token1] = ACTIONS(8044),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2981] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13193),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2981),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12290),
    [aux_sym_let_binding_repeat1] = STATE(2983),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8047),
    [anon_sym_let] = ACTIONS(8049),
    [anon_sym_and] = ACTIONS(8049),
    [anon_sym_EQ] = ACTIONS(8051),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8049),
    [anon_sym_type] = ACTIONS(8049),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_RBRACK] = ACTIONS(8047),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8049),
    [anon_sym_module] = ACTIONS(8049),
    [anon_sym_open] = ACTIONS(8049),
    [anon_sym_include] = ACTIONS(8049),
    [anon_sym_class] = ACTIONS(8049),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8047),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8047),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8047),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8047),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8049),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2982] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13223),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2982),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12319),
    [aux_sym_let_binding_repeat1] = STATE(2984),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8053),
    [anon_sym_let] = ACTIONS(8055),
    [anon_sym_and] = ACTIONS(8055),
    [anon_sym_EQ] = ACTIONS(8057),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8055),
    [anon_sym_type] = ACTIONS(8055),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_RBRACK] = ACTIONS(8053),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8055),
    [anon_sym_module] = ACTIONS(8055),
    [anon_sym_open] = ACTIONS(8055),
    [anon_sym_include] = ACTIONS(8055),
    [anon_sym_class] = ACTIONS(8055),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8053),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8053),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8053),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8053),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8055),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2983] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13227),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2983),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12351),
    [aux_sym_let_binding_repeat1] = STATE(3035),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8059),
    [anon_sym_let] = ACTIONS(8061),
    [anon_sym_and] = ACTIONS(8061),
    [anon_sym_EQ] = ACTIONS(8063),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8061),
    [anon_sym_type] = ACTIONS(8061),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_RBRACK] = ACTIONS(8059),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8061),
    [anon_sym_module] = ACTIONS(8061),
    [anon_sym_open] = ACTIONS(8061),
    [anon_sym_include] = ACTIONS(8061),
    [anon_sym_class] = ACTIONS(8061),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8059),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8059),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8059),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8059),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8061),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2984] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13016),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2984),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12424),
    [aux_sym_let_binding_repeat1] = STATE(3035),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8065),
    [anon_sym_let] = ACTIONS(8067),
    [anon_sym_and] = ACTIONS(8067),
    [anon_sym_EQ] = ACTIONS(8069),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8067),
    [anon_sym_type] = ACTIONS(8067),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_RBRACK] = ACTIONS(8065),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8067),
    [anon_sym_module] = ACTIONS(8067),
    [anon_sym_open] = ACTIONS(8067),
    [anon_sym_include] = ACTIONS(8067),
    [anon_sym_class] = ACTIONS(8067),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8065),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8065),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8065),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8065),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8067),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2985] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13018),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2985),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12411),
    [aux_sym_let_binding_repeat1] = STATE(2986),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8071),
    [anon_sym_let] = ACTIONS(8073),
    [anon_sym_and] = ACTIONS(8073),
    [anon_sym_EQ] = ACTIONS(8075),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8073),
    [anon_sym_type] = ACTIONS(8073),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_RBRACK] = ACTIONS(8071),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8073),
    [anon_sym_module] = ACTIONS(8073),
    [anon_sym_open] = ACTIONS(8073),
    [anon_sym_include] = ACTIONS(8073),
    [anon_sym_class] = ACTIONS(8073),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8071),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8071),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8071),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8071),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8073),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2986] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13165),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2986),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12482),
    [aux_sym_let_binding_repeat1] = STATE(3035),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8077),
    [anon_sym_let] = ACTIONS(8079),
    [anon_sym_and] = ACTIONS(8079),
    [anon_sym_EQ] = ACTIONS(8081),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8079),
    [anon_sym_type] = ACTIONS(8079),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_RBRACK] = ACTIONS(8077),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8079),
    [anon_sym_module] = ACTIONS(8079),
    [anon_sym_open] = ACTIONS(8079),
    [anon_sym_include] = ACTIONS(8079),
    [anon_sym_class] = ACTIONS(8079),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8077),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8077),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8077),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8077),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8079),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2987] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13177),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2987),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12538),
    [aux_sym_let_binding_repeat1] = STATE(2988),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8083),
    [anon_sym_let] = ACTIONS(8085),
    [anon_sym_and] = ACTIONS(8085),
    [anon_sym_EQ] = ACTIONS(8087),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8085),
    [anon_sym_type] = ACTIONS(8085),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_RBRACK] = ACTIONS(8083),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8085),
    [anon_sym_module] = ACTIONS(8085),
    [anon_sym_open] = ACTIONS(8085),
    [anon_sym_include] = ACTIONS(8085),
    [anon_sym_class] = ACTIONS(8085),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8083),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8083),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8085),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2988] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13005),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2988),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12565),
    [aux_sym_let_binding_repeat1] = STATE(3035),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(7943),
    [anon_sym_let] = ACTIONS(7947),
    [anon_sym_and] = ACTIONS(7947),
    [anon_sym_EQ] = ACTIONS(8089),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(7947),
    [anon_sym_type] = ACTIONS(7947),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_RBRACK] = ACTIONS(7943),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(7947),
    [anon_sym_module] = ACTIONS(7947),
    [anon_sym_open] = ACTIONS(7947),
    [anon_sym_include] = ACTIONS(7947),
    [anon_sym_class] = ACTIONS(7947),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7943),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7943),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7943),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(7943),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(7947),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2989] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13014),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2989),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12589),
    [aux_sym_let_binding_repeat1] = STATE(2990),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8091),
    [anon_sym_let] = ACTIONS(8093),
    [anon_sym_and] = ACTIONS(8093),
    [anon_sym_EQ] = ACTIONS(8095),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8093),
    [anon_sym_type] = ACTIONS(8093),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_RBRACK] = ACTIONS(8091),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8093),
    [anon_sym_module] = ACTIONS(8093),
    [anon_sym_open] = ACTIONS(8093),
    [anon_sym_include] = ACTIONS(8093),
    [anon_sym_class] = ACTIONS(8093),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8091),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8091),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8091),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8091),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8093),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2990] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13035),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2990),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12354),
    [aux_sym_let_binding_repeat1] = STATE(3035),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8097),
    [anon_sym_let] = ACTIONS(8099),
    [anon_sym_and] = ACTIONS(8099),
    [anon_sym_EQ] = ACTIONS(8101),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8099),
    [anon_sym_type] = ACTIONS(8099),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_RBRACK] = ACTIONS(8097),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8099),
    [anon_sym_module] = ACTIONS(8099),
    [anon_sym_open] = ACTIONS(8099),
    [anon_sym_include] = ACTIONS(8099),
    [anon_sym_class] = ACTIONS(8099),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8097),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8097),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8097),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8097),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8099),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2991] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13145),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2991),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12319),
    [aux_sym_let_binding_repeat1] = STATE(2992),
    [ts_builtin_sym_end] = ACTIONS(8053),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8053),
    [anon_sym_let] = ACTIONS(8055),
    [anon_sym_and] = ACTIONS(8055),
    [anon_sym_EQ] = ACTIONS(8103),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8055),
    [anon_sym_type] = ACTIONS(8055),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8055),
    [anon_sym_module] = ACTIONS(8055),
    [anon_sym_open] = ACTIONS(8055),
    [anon_sym_include] = ACTIONS(8055),
    [anon_sym_class] = ACTIONS(8055),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8053),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8053),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8053),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8053),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8055),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2992] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13149),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2992),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12424),
    [aux_sym_let_binding_repeat1] = STATE(3035),
    [ts_builtin_sym_end] = ACTIONS(8065),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8065),
    [anon_sym_let] = ACTIONS(8067),
    [anon_sym_and] = ACTIONS(8067),
    [anon_sym_EQ] = ACTIONS(8105),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8067),
    [anon_sym_type] = ACTIONS(8067),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8067),
    [anon_sym_module] = ACTIONS(8067),
    [anon_sym_open] = ACTIONS(8067),
    [anon_sym_include] = ACTIONS(8067),
    [anon_sym_class] = ACTIONS(8067),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8065),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8065),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8065),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8065),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8067),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2993] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13023),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2993),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12351),
    [aux_sym_let_binding_repeat1] = STATE(3035),
    [ts_builtin_sym_end] = ACTIONS(8059),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8059),
    [anon_sym_let] = ACTIONS(8061),
    [anon_sym_and] = ACTIONS(8061),
    [anon_sym_EQ] = ACTIONS(8107),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8061),
    [anon_sym_type] = ACTIONS(8061),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8061),
    [anon_sym_module] = ACTIONS(8061),
    [anon_sym_open] = ACTIONS(8061),
    [anon_sym_include] = ACTIONS(8061),
    [anon_sym_class] = ACTIONS(8061),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8059),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8059),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8059),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8059),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8061),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2994] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13089),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2994),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12482),
    [aux_sym_let_binding_repeat1] = STATE(3035),
    [ts_builtin_sym_end] = ACTIONS(8077),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8077),
    [anon_sym_let] = ACTIONS(8079),
    [anon_sym_and] = ACTIONS(8079),
    [anon_sym_EQ] = ACTIONS(8109),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8079),
    [anon_sym_type] = ACTIONS(8079),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8079),
    [anon_sym_module] = ACTIONS(8079),
    [anon_sym_open] = ACTIONS(8079),
    [anon_sym_include] = ACTIONS(8079),
    [anon_sym_class] = ACTIONS(8079),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8077),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8077),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8077),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8077),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8079),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2995] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13219),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2995),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12538),
    [aux_sym_let_binding_repeat1] = STATE(2979),
    [ts_builtin_sym_end] = ACTIONS(8083),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8083),
    [anon_sym_let] = ACTIONS(8085),
    [anon_sym_and] = ACTIONS(8085),
    [anon_sym_EQ] = ACTIONS(8111),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8085),
    [anon_sym_type] = ACTIONS(8085),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8085),
    [anon_sym_module] = ACTIONS(8085),
    [anon_sym_open] = ACTIONS(8085),
    [anon_sym_include] = ACTIONS(8085),
    [anon_sym_class] = ACTIONS(8085),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8083),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8083),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8085),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2996] = {
    [sym__simple_expression] = STATE(9722),
    [sym_typed_expression] = STATE(9705),
    [sym_list_expression] = STATE(9705),
    [sym_array_expression] = STATE(9705),
    [sym_record_expression] = STATE(9705),
    [sym_labeled_argument] = STATE(10160),
    [sym_prefix_expression] = STATE(9705),
    [sym_hash_expression] = STATE(9705),
    [sym_field_get_expression] = STATE(9705),
    [sym_array_get_expression] = STATE(9705),
    [sym_string_get_expression] = STATE(9705),
    [sym_bigarray_get_expression] = STATE(9705),
    [sym_coercion_expression] = STATE(9705),
    [sym_local_open_expression] = STATE(9705),
    [sym_package_expression] = STATE(9705),
    [sym_new_expression] = STATE(9705),
    [sym_object_copy_expression] = STATE(9705),
    [sym_method_invocation] = STATE(9705),
    [sym_object_expression] = STATE(9705),
    [sym_parenthesized_expression] = STATE(9705),
    [sym_attribute] = STATE(2996),
    [sym_extension] = STATE(9705),
    [sym_quoted_extension] = STATE(9705),
    [sym__constant] = STATE(9705),
    [sym_number] = STATE(9675),
    [sym_character] = STATE(9675),
    [sym_string] = STATE(9675),
    [sym_quoted_string] = STATE(9675),
    [sym_boolean] = STATE(9675),
    [sym_unit] = STATE(9675),
    [sym__value_name] = STATE(9525),
    [sym_parenthesized_operator] = STATE(9701),
    [sym_value_path] = STATE(9705),
    [sym_module_path] = STATE(20424),
    [sym_constructor_path] = STATE(9705),
    [sym__constructor_name] = STATE(9724),
    [sym_tag] = STATE(9705),
    [aux_sym_class_application_repeat1] = STATE(2980),
    [sym__lowercase_identifier] = ACTIONS(8113),
    [anon_sym_TILDE] = ACTIONS(8115),
    [anon_sym_QMARK] = ACTIONS(8115),
    [anon_sym_LPAREN] = ACTIONS(8117),
    [anon_sym_LBRACK] = ACTIONS(8119),
    [anon_sym_true] = ACTIONS(8121),
    [anon_sym_false] = ACTIONS(8121),
    [anon_sym_LBRACE] = ACTIONS(8123),
    [anon_sym_constraint] = ACTIONS(6751),
    [anon_sym_val] = ACTIONS(6751),
    [anon_sym_end] = ACTIONS(6751),
    [anon_sym_object] = ACTIONS(8125),
    [anon_sym_inherit] = ACTIONS(6751),
    [anon_sym_method] = ACTIONS(6751),
    [anon_sym_as] = ACTIONS(6751),
    [anon_sym_initializer] = ACTIONS(6751),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8127),
    [anon_sym_new] = ACTIONS(8129),
    [anon_sym_LBRACE_LT] = ACTIONS(8131),
    [anon_sym_begin] = ACTIONS(8133),
    [sym_ocamlyacc_value] = ACTIONS(8135),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6751),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6747),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8137),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8139),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6747),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6747),
    [aux_sym_number_token1] = ACTIONS(8141),
    [anon_sym_SQUOTE] = ACTIONS(8143),
    [anon_sym_DQUOTE] = ACTIONS(8145),
    [sym_prefix_operator] = ACTIONS(8147),
    [sym__uppercase_identifier] = ACTIONS(8149),
    [aux_sym_tag_token1] = ACTIONS(8151),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2997] = {
    [sym_parameter] = STATE(9033),
    [sym__class_typed] = STATE(13129),
    [sym__parenthesized_abstract_type] = STATE(9033),
    [sym__simple_pattern] = STATE(9034),
    [sym_typed_pattern] = STATE(8929),
    [sym_polymorphic_variant_pattern] = STATE(8929),
    [sym_record_pattern] = STATE(8929),
    [sym_list_pattern] = STATE(8929),
    [sym_array_pattern] = STATE(8929),
    [sym_local_open_pattern] = STATE(8929),
    [sym_package_pattern] = STATE(8929),
    [sym_parenthesized_pattern] = STATE(8929),
    [sym_attribute] = STATE(2997),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8929),
    [sym_quoted_extension] = STATE(8929),
    [sym__constant] = STATE(9006),
    [sym__signed_constant] = STATE(8929),
    [sym_number] = STATE(8950),
    [sym_signed_number] = STATE(9006),
    [sym_character] = STATE(8950),
    [sym_string] = STATE(8950),
    [sym_quoted_string] = STATE(8950),
    [sym_boolean] = STATE(8950),
    [sym_unit] = STATE(8950),
    [sym__simple_value_pattern] = STATE(8929),
    [sym_parenthesized_operator] = STATE(8929),
    [sym_module_path] = STATE(22094),
    [sym_constructor_path] = STATE(8929),
    [sym__constructor_name] = STATE(8978),
    [sym_tag] = STATE(8929),
    [aux_sym_expression_item_repeat1] = STATE(12538),
    [aux_sym_let_binding_repeat1] = STATE(3000),
    [sym__lowercase_identifier] = ACTIONS(8153),
    [anon_sym_SEMI_SEMI] = ACTIONS(8083),
    [anon_sym_let] = ACTIONS(8085),
    [anon_sym_and] = ACTIONS(8085),
    [anon_sym_EQ] = ACTIONS(8155),
    [anon_sym_TILDE] = ACTIONS(8157),
    [anon_sym_QMARK] = ACTIONS(8157),
    [anon_sym_LPAREN] = ACTIONS(8159),
    [anon_sym_external] = ACTIONS(8085),
    [anon_sym_type] = ACTIONS(8085),
    [anon_sym_LBRACK] = ACTIONS(8161),
    [anon_sym_true] = ACTIONS(8163),
    [anon_sym_false] = ACTIONS(8163),
    [anon_sym_COLON2] = ACTIONS(8165),
    [anon_sym_LBRACE] = ACTIONS(8167),
    [anon_sym_exception] = ACTIONS(8085),
    [anon_sym_module] = ACTIONS(8085),
    [anon_sym_open] = ACTIONS(8085),
    [anon_sym_include] = ACTIONS(8085),
    [anon_sym_class] = ACTIONS(8085),
    [anon_sym_end] = ACTIONS(8085),
    [anon_sym_POUND] = ACTIONS(8169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8171),
    [anon_sym_begin] = ACTIONS(8173),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8177),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8083),
    [aux_sym_number_token1] = ACTIONS(8179),
    [aux_sym_signed_number_token1] = ACTIONS(8181),
    [anon_sym_SQUOTE] = ACTIONS(8183),
    [anon_sym_DQUOTE] = ACTIONS(8185),
    [sym_let_operator] = ACTIONS(8083),
    [sym__uppercase_identifier] = ACTIONS(8187),
    [aux_sym_directive_token1] = ACTIONS(8085),
    [aux_sym_tag_token1] = ACTIONS(8189),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2998] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13004),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(2998),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12411),
    [aux_sym_let_binding_repeat1] = STATE(2994),
    [ts_builtin_sym_end] = ACTIONS(8071),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8071),
    [anon_sym_let] = ACTIONS(8073),
    [anon_sym_and] = ACTIONS(8073),
    [anon_sym_EQ] = ACTIONS(8191),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8073),
    [anon_sym_type] = ACTIONS(8073),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8073),
    [anon_sym_module] = ACTIONS(8073),
    [anon_sym_open] = ACTIONS(8073),
    [anon_sym_include] = ACTIONS(8073),
    [anon_sym_class] = ACTIONS(8073),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8071),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8071),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8071),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8071),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8073),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2999] = {
    [sym__simple_expression] = STATE(9722),
    [sym_typed_expression] = STATE(9705),
    [sym_list_expression] = STATE(9705),
    [sym_array_expression] = STATE(9705),
    [sym_record_expression] = STATE(9705),
    [sym_labeled_argument] = STATE(10160),
    [sym_prefix_expression] = STATE(9705),
    [sym_hash_expression] = STATE(9705),
    [sym_field_get_expression] = STATE(9705),
    [sym_array_get_expression] = STATE(9705),
    [sym_string_get_expression] = STATE(9705),
    [sym_bigarray_get_expression] = STATE(9705),
    [sym_coercion_expression] = STATE(9705),
    [sym_local_open_expression] = STATE(9705),
    [sym_package_expression] = STATE(9705),
    [sym_new_expression] = STATE(9705),
    [sym_object_copy_expression] = STATE(9705),
    [sym_method_invocation] = STATE(9705),
    [sym_object_expression] = STATE(9705),
    [sym_parenthesized_expression] = STATE(9705),
    [sym_attribute] = STATE(2999),
    [sym_extension] = STATE(9705),
    [sym_quoted_extension] = STATE(9705),
    [sym__constant] = STATE(9705),
    [sym_number] = STATE(9675),
    [sym_character] = STATE(9675),
    [sym_string] = STATE(9675),
    [sym_quoted_string] = STATE(9675),
    [sym_boolean] = STATE(9675),
    [sym_unit] = STATE(9675),
    [sym__value_name] = STATE(9525),
    [sym_parenthesized_operator] = STATE(9701),
    [sym_value_path] = STATE(9705),
    [sym_module_path] = STATE(20424),
    [sym_constructor_path] = STATE(9705),
    [sym__constructor_name] = STATE(9724),
    [sym_tag] = STATE(9705),
    [aux_sym_class_application_repeat1] = STATE(2996),
    [sym__lowercase_identifier] = ACTIONS(8113),
    [anon_sym_TILDE] = ACTIONS(8115),
    [anon_sym_QMARK] = ACTIONS(8115),
    [anon_sym_LPAREN] = ACTIONS(8117),
    [anon_sym_LBRACK] = ACTIONS(8119),
    [anon_sym_true] = ACTIONS(8121),
    [anon_sym_false] = ACTIONS(8121),
    [anon_sym_LBRACE] = ACTIONS(8123),
    [anon_sym_constraint] = ACTIONS(6795),
    [anon_sym_val] = ACTIONS(6795),
    [anon_sym_end] = ACTIONS(6795),
    [anon_sym_object] = ACTIONS(8125),
    [anon_sym_inherit] = ACTIONS(6795),
    [anon_sym_method] = ACTIONS(6795),
    [anon_sym_as] = ACTIONS(6795),
    [anon_sym_initializer] = ACTIONS(6795),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8127),
    [anon_sym_new] = ACTIONS(8129),
    [anon_sym_LBRACE_LT] = ACTIONS(8131),
    [anon_sym_begin] = ACTIONS(8133),
    [sym_ocamlyacc_value] = ACTIONS(8135),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6795),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6793),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8137),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8139),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6793),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6793),
    [aux_sym_number_token1] = ACTIONS(8141),
    [anon_sym_SQUOTE] = ACTIONS(8143),
    [anon_sym_DQUOTE] = ACTIONS(8145),
    [sym_prefix_operator] = ACTIONS(8147),
    [sym__uppercase_identifier] = ACTIONS(8149),
    [aux_sym_tag_token1] = ACTIONS(8151),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3000] = {
    [sym_parameter] = STATE(9033),
    [sym__class_typed] = STATE(13249),
    [sym__parenthesized_abstract_type] = STATE(9033),
    [sym__simple_pattern] = STATE(9034),
    [sym_typed_pattern] = STATE(8929),
    [sym_polymorphic_variant_pattern] = STATE(8929),
    [sym_record_pattern] = STATE(8929),
    [sym_list_pattern] = STATE(8929),
    [sym_array_pattern] = STATE(8929),
    [sym_local_open_pattern] = STATE(8929),
    [sym_package_pattern] = STATE(8929),
    [sym_parenthesized_pattern] = STATE(8929),
    [sym_attribute] = STATE(3000),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8929),
    [sym_quoted_extension] = STATE(8929),
    [sym__constant] = STATE(9006),
    [sym__signed_constant] = STATE(8929),
    [sym_number] = STATE(8950),
    [sym_signed_number] = STATE(9006),
    [sym_character] = STATE(8950),
    [sym_string] = STATE(8950),
    [sym_quoted_string] = STATE(8950),
    [sym_boolean] = STATE(8950),
    [sym_unit] = STATE(8950),
    [sym__simple_value_pattern] = STATE(8929),
    [sym_parenthesized_operator] = STATE(8929),
    [sym_module_path] = STATE(22094),
    [sym_constructor_path] = STATE(8929),
    [sym__constructor_name] = STATE(8978),
    [sym_tag] = STATE(8929),
    [aux_sym_expression_item_repeat1] = STATE(12565),
    [aux_sym_let_binding_repeat1] = STATE(3039),
    [sym__lowercase_identifier] = ACTIONS(8153),
    [anon_sym_SEMI_SEMI] = ACTIONS(7943),
    [anon_sym_let] = ACTIONS(7947),
    [anon_sym_and] = ACTIONS(7947),
    [anon_sym_EQ] = ACTIONS(8193),
    [anon_sym_TILDE] = ACTIONS(8157),
    [anon_sym_QMARK] = ACTIONS(8157),
    [anon_sym_LPAREN] = ACTIONS(8159),
    [anon_sym_external] = ACTIONS(7947),
    [anon_sym_type] = ACTIONS(7947),
    [anon_sym_LBRACK] = ACTIONS(8161),
    [anon_sym_true] = ACTIONS(8163),
    [anon_sym_false] = ACTIONS(8163),
    [anon_sym_COLON2] = ACTIONS(8165),
    [anon_sym_LBRACE] = ACTIONS(8167),
    [anon_sym_exception] = ACTIONS(7947),
    [anon_sym_module] = ACTIONS(7947),
    [anon_sym_open] = ACTIONS(7947),
    [anon_sym_include] = ACTIONS(7947),
    [anon_sym_class] = ACTIONS(7947),
    [anon_sym_end] = ACTIONS(7947),
    [anon_sym_POUND] = ACTIONS(8169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8171),
    [anon_sym_begin] = ACTIONS(8173),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7943),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8177),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7943),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7943),
    [aux_sym_number_token1] = ACTIONS(8179),
    [aux_sym_signed_number_token1] = ACTIONS(8181),
    [anon_sym_SQUOTE] = ACTIONS(8183),
    [anon_sym_DQUOTE] = ACTIONS(8185),
    [sym_let_operator] = ACTIONS(7943),
    [sym__uppercase_identifier] = ACTIONS(8187),
    [aux_sym_directive_token1] = ACTIONS(7947),
    [aux_sym_tag_token1] = ACTIONS(8189),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3001] = {
    [sym_parameter] = STATE(9033),
    [sym__class_typed] = STATE(13000),
    [sym__parenthesized_abstract_type] = STATE(9033),
    [sym__simple_pattern] = STATE(9034),
    [sym_typed_pattern] = STATE(8929),
    [sym_polymorphic_variant_pattern] = STATE(8929),
    [sym_record_pattern] = STATE(8929),
    [sym_list_pattern] = STATE(8929),
    [sym_array_pattern] = STATE(8929),
    [sym_local_open_pattern] = STATE(8929),
    [sym_package_pattern] = STATE(8929),
    [sym_parenthesized_pattern] = STATE(8929),
    [sym_attribute] = STATE(3001),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8929),
    [sym_quoted_extension] = STATE(8929),
    [sym__constant] = STATE(9006),
    [sym__signed_constant] = STATE(8929),
    [sym_number] = STATE(8950),
    [sym_signed_number] = STATE(9006),
    [sym_character] = STATE(8950),
    [sym_string] = STATE(8950),
    [sym_quoted_string] = STATE(8950),
    [sym_boolean] = STATE(8950),
    [sym_unit] = STATE(8950),
    [sym__simple_value_pattern] = STATE(8929),
    [sym_parenthesized_operator] = STATE(8929),
    [sym_module_path] = STATE(22094),
    [sym_constructor_path] = STATE(8929),
    [sym__constructor_name] = STATE(8978),
    [sym_tag] = STATE(8929),
    [aux_sym_expression_item_repeat1] = STATE(12290),
    [aux_sym_let_binding_repeat1] = STATE(3008),
    [sym__lowercase_identifier] = ACTIONS(8153),
    [anon_sym_SEMI_SEMI] = ACTIONS(8047),
    [anon_sym_let] = ACTIONS(8049),
    [anon_sym_and] = ACTIONS(8049),
    [anon_sym_EQ] = ACTIONS(8195),
    [anon_sym_TILDE] = ACTIONS(8157),
    [anon_sym_QMARK] = ACTIONS(8157),
    [anon_sym_LPAREN] = ACTIONS(8159),
    [anon_sym_external] = ACTIONS(8049),
    [anon_sym_type] = ACTIONS(8049),
    [anon_sym_LBRACK] = ACTIONS(8161),
    [anon_sym_true] = ACTIONS(8163),
    [anon_sym_false] = ACTIONS(8163),
    [anon_sym_COLON2] = ACTIONS(8165),
    [anon_sym_LBRACE] = ACTIONS(8167),
    [anon_sym_exception] = ACTIONS(8049),
    [anon_sym_module] = ACTIONS(8049),
    [anon_sym_open] = ACTIONS(8049),
    [anon_sym_include] = ACTIONS(8049),
    [anon_sym_class] = ACTIONS(8049),
    [anon_sym_end] = ACTIONS(8049),
    [anon_sym_POUND] = ACTIONS(8169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8171),
    [anon_sym_begin] = ACTIONS(8173),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8047),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8177),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8047),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8047),
    [aux_sym_number_token1] = ACTIONS(8179),
    [aux_sym_signed_number_token1] = ACTIONS(8181),
    [anon_sym_SQUOTE] = ACTIONS(8183),
    [anon_sym_DQUOTE] = ACTIONS(8185),
    [sym_let_operator] = ACTIONS(8047),
    [sym__uppercase_identifier] = ACTIONS(8187),
    [aux_sym_directive_token1] = ACTIONS(8049),
    [aux_sym_tag_token1] = ACTIONS(8189),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3002] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13044),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(3002),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12354),
    [aux_sym_let_binding_repeat1] = STATE(3035),
    [ts_builtin_sym_end] = ACTIONS(8097),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8097),
    [anon_sym_let] = ACTIONS(8099),
    [anon_sym_and] = ACTIONS(8099),
    [anon_sym_EQ] = ACTIONS(8197),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8099),
    [anon_sym_type] = ACTIONS(8099),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8099),
    [anon_sym_module] = ACTIONS(8099),
    [anon_sym_open] = ACTIONS(8099),
    [anon_sym_include] = ACTIONS(8099),
    [anon_sym_class] = ACTIONS(8099),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8097),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8097),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8097),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8097),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8099),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3003] = {
    [sym_parameter] = STATE(9033),
    [sym__class_typed] = STATE(13256),
    [sym__parenthesized_abstract_type] = STATE(9033),
    [sym__simple_pattern] = STATE(9034),
    [sym_typed_pattern] = STATE(8929),
    [sym_polymorphic_variant_pattern] = STATE(8929),
    [sym_record_pattern] = STATE(8929),
    [sym_list_pattern] = STATE(8929),
    [sym_array_pattern] = STATE(8929),
    [sym_local_open_pattern] = STATE(8929),
    [sym_package_pattern] = STATE(8929),
    [sym_parenthesized_pattern] = STATE(8929),
    [sym_attribute] = STATE(3003),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8929),
    [sym_quoted_extension] = STATE(8929),
    [sym__constant] = STATE(9006),
    [sym__signed_constant] = STATE(8929),
    [sym_number] = STATE(8950),
    [sym_signed_number] = STATE(9006),
    [sym_character] = STATE(8950),
    [sym_string] = STATE(8950),
    [sym_quoted_string] = STATE(8950),
    [sym_boolean] = STATE(8950),
    [sym_unit] = STATE(8950),
    [sym__simple_value_pattern] = STATE(8929),
    [sym_parenthesized_operator] = STATE(8929),
    [sym_module_path] = STATE(22094),
    [sym_constructor_path] = STATE(8929),
    [sym__constructor_name] = STATE(8978),
    [sym_tag] = STATE(8929),
    [aux_sym_expression_item_repeat1] = STATE(12589),
    [aux_sym_let_binding_repeat1] = STATE(3009),
    [sym__lowercase_identifier] = ACTIONS(8153),
    [anon_sym_SEMI_SEMI] = ACTIONS(8091),
    [anon_sym_let] = ACTIONS(8093),
    [anon_sym_and] = ACTIONS(8093),
    [anon_sym_EQ] = ACTIONS(8199),
    [anon_sym_TILDE] = ACTIONS(8157),
    [anon_sym_QMARK] = ACTIONS(8157),
    [anon_sym_LPAREN] = ACTIONS(8159),
    [anon_sym_external] = ACTIONS(8093),
    [anon_sym_type] = ACTIONS(8093),
    [anon_sym_LBRACK] = ACTIONS(8161),
    [anon_sym_true] = ACTIONS(8163),
    [anon_sym_false] = ACTIONS(8163),
    [anon_sym_COLON2] = ACTIONS(8165),
    [anon_sym_LBRACE] = ACTIONS(8167),
    [anon_sym_exception] = ACTIONS(8093),
    [anon_sym_module] = ACTIONS(8093),
    [anon_sym_open] = ACTIONS(8093),
    [anon_sym_include] = ACTIONS(8093),
    [anon_sym_class] = ACTIONS(8093),
    [anon_sym_end] = ACTIONS(8093),
    [anon_sym_POUND] = ACTIONS(8169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8171),
    [anon_sym_begin] = ACTIONS(8173),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8091),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8177),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8091),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8091),
    [aux_sym_number_token1] = ACTIONS(8179),
    [aux_sym_signed_number_token1] = ACTIONS(8181),
    [anon_sym_SQUOTE] = ACTIONS(8183),
    [anon_sym_DQUOTE] = ACTIONS(8185),
    [sym_let_operator] = ACTIONS(8091),
    [sym__uppercase_identifier] = ACTIONS(8187),
    [aux_sym_directive_token1] = ACTIONS(8093),
    [aux_sym_tag_token1] = ACTIONS(8189),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3004] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(12973),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(3004),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12290),
    [aux_sym_let_binding_repeat1] = STATE(2993),
    [ts_builtin_sym_end] = ACTIONS(8047),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8047),
    [anon_sym_let] = ACTIONS(8049),
    [anon_sym_and] = ACTIONS(8049),
    [anon_sym_EQ] = ACTIONS(8201),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8049),
    [anon_sym_type] = ACTIONS(8049),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8049),
    [anon_sym_module] = ACTIONS(8049),
    [anon_sym_open] = ACTIONS(8049),
    [anon_sym_include] = ACTIONS(8049),
    [anon_sym_class] = ACTIONS(8049),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8047),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8047),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8047),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8047),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8049),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3005] = {
    [sym_parameter] = STATE(9033),
    [sym__class_typed] = STATE(13189),
    [sym__parenthesized_abstract_type] = STATE(9033),
    [sym__simple_pattern] = STATE(9034),
    [sym_typed_pattern] = STATE(8929),
    [sym_polymorphic_variant_pattern] = STATE(8929),
    [sym_record_pattern] = STATE(8929),
    [sym_list_pattern] = STATE(8929),
    [sym_array_pattern] = STATE(8929),
    [sym_local_open_pattern] = STATE(8929),
    [sym_package_pattern] = STATE(8929),
    [sym_parenthesized_pattern] = STATE(8929),
    [sym_attribute] = STATE(3005),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8929),
    [sym_quoted_extension] = STATE(8929),
    [sym__constant] = STATE(9006),
    [sym__signed_constant] = STATE(8929),
    [sym_number] = STATE(8950),
    [sym_signed_number] = STATE(9006),
    [sym_character] = STATE(8950),
    [sym_string] = STATE(8950),
    [sym_quoted_string] = STATE(8950),
    [sym_boolean] = STATE(8950),
    [sym_unit] = STATE(8950),
    [sym__simple_value_pattern] = STATE(8929),
    [sym_parenthesized_operator] = STATE(8929),
    [sym_module_path] = STATE(22094),
    [sym_constructor_path] = STATE(8929),
    [sym__constructor_name] = STATE(8978),
    [sym_tag] = STATE(8929),
    [aux_sym_expression_item_repeat1] = STATE(12411),
    [aux_sym_let_binding_repeat1] = STATE(3010),
    [sym__lowercase_identifier] = ACTIONS(8153),
    [anon_sym_SEMI_SEMI] = ACTIONS(8071),
    [anon_sym_let] = ACTIONS(8073),
    [anon_sym_and] = ACTIONS(8073),
    [anon_sym_EQ] = ACTIONS(8203),
    [anon_sym_TILDE] = ACTIONS(8157),
    [anon_sym_QMARK] = ACTIONS(8157),
    [anon_sym_LPAREN] = ACTIONS(8159),
    [anon_sym_external] = ACTIONS(8073),
    [anon_sym_type] = ACTIONS(8073),
    [anon_sym_LBRACK] = ACTIONS(8161),
    [anon_sym_true] = ACTIONS(8163),
    [anon_sym_false] = ACTIONS(8163),
    [anon_sym_COLON2] = ACTIONS(8165),
    [anon_sym_LBRACE] = ACTIONS(8167),
    [anon_sym_exception] = ACTIONS(8073),
    [anon_sym_module] = ACTIONS(8073),
    [anon_sym_open] = ACTIONS(8073),
    [anon_sym_include] = ACTIONS(8073),
    [anon_sym_class] = ACTIONS(8073),
    [anon_sym_end] = ACTIONS(8073),
    [anon_sym_POUND] = ACTIONS(8169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8171),
    [anon_sym_begin] = ACTIONS(8173),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8071),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8177),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8071),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8071),
    [aux_sym_number_token1] = ACTIONS(8179),
    [aux_sym_signed_number_token1] = ACTIONS(8181),
    [anon_sym_SQUOTE] = ACTIONS(8183),
    [anon_sym_DQUOTE] = ACTIONS(8185),
    [sym_let_operator] = ACTIONS(8071),
    [sym__uppercase_identifier] = ACTIONS(8187),
    [aux_sym_directive_token1] = ACTIONS(8073),
    [aux_sym_tag_token1] = ACTIONS(8189),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3006] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15311),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3006),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_EQ] = ACTIONS(7931),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(7931),
    [anon_sym_COMMA] = ACTIONS(7931),
    [anon_sym_PIPE] = ACTIONS(7931),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(7931),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_COLON2] = ACTIONS(7937),
    [anon_sym_DASH_GT] = ACTIONS(7931),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_as] = ACTIONS(7937),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(7931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_when] = ACTIONS(7937),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(7941),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3007] = {
    [sym_parameter] = STATE(9033),
    [sym__class_typed] = STATE(13037),
    [sym__parenthesized_abstract_type] = STATE(9033),
    [sym__simple_pattern] = STATE(9034),
    [sym_typed_pattern] = STATE(8929),
    [sym_polymorphic_variant_pattern] = STATE(8929),
    [sym_record_pattern] = STATE(8929),
    [sym_list_pattern] = STATE(8929),
    [sym_array_pattern] = STATE(8929),
    [sym_local_open_pattern] = STATE(8929),
    [sym_package_pattern] = STATE(8929),
    [sym_parenthesized_pattern] = STATE(8929),
    [sym_attribute] = STATE(3007),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8929),
    [sym_quoted_extension] = STATE(8929),
    [sym__constant] = STATE(9006),
    [sym__signed_constant] = STATE(8929),
    [sym_number] = STATE(8950),
    [sym_signed_number] = STATE(9006),
    [sym_character] = STATE(8950),
    [sym_string] = STATE(8950),
    [sym_quoted_string] = STATE(8950),
    [sym_boolean] = STATE(8950),
    [sym_unit] = STATE(8950),
    [sym__simple_value_pattern] = STATE(8929),
    [sym_parenthesized_operator] = STATE(8929),
    [sym_module_path] = STATE(22094),
    [sym_constructor_path] = STATE(8929),
    [sym__constructor_name] = STATE(8978),
    [sym_tag] = STATE(8929),
    [aux_sym_expression_item_repeat1] = STATE(12319),
    [aux_sym_let_binding_repeat1] = STATE(3012),
    [sym__lowercase_identifier] = ACTIONS(8153),
    [anon_sym_SEMI_SEMI] = ACTIONS(8053),
    [anon_sym_let] = ACTIONS(8055),
    [anon_sym_and] = ACTIONS(8055),
    [anon_sym_EQ] = ACTIONS(8205),
    [anon_sym_TILDE] = ACTIONS(8157),
    [anon_sym_QMARK] = ACTIONS(8157),
    [anon_sym_LPAREN] = ACTIONS(8159),
    [anon_sym_external] = ACTIONS(8055),
    [anon_sym_type] = ACTIONS(8055),
    [anon_sym_LBRACK] = ACTIONS(8161),
    [anon_sym_true] = ACTIONS(8163),
    [anon_sym_false] = ACTIONS(8163),
    [anon_sym_COLON2] = ACTIONS(8165),
    [anon_sym_LBRACE] = ACTIONS(8167),
    [anon_sym_exception] = ACTIONS(8055),
    [anon_sym_module] = ACTIONS(8055),
    [anon_sym_open] = ACTIONS(8055),
    [anon_sym_include] = ACTIONS(8055),
    [anon_sym_class] = ACTIONS(8055),
    [anon_sym_end] = ACTIONS(8055),
    [anon_sym_POUND] = ACTIONS(8169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8171),
    [anon_sym_begin] = ACTIONS(8173),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8053),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8177),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8053),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8053),
    [aux_sym_number_token1] = ACTIONS(8179),
    [aux_sym_signed_number_token1] = ACTIONS(8181),
    [anon_sym_SQUOTE] = ACTIONS(8183),
    [anon_sym_DQUOTE] = ACTIONS(8185),
    [sym_let_operator] = ACTIONS(8053),
    [sym__uppercase_identifier] = ACTIONS(8187),
    [aux_sym_directive_token1] = ACTIONS(8055),
    [aux_sym_tag_token1] = ACTIONS(8189),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3008] = {
    [sym_parameter] = STATE(9033),
    [sym__class_typed] = STATE(13225),
    [sym__parenthesized_abstract_type] = STATE(9033),
    [sym__simple_pattern] = STATE(9034),
    [sym_typed_pattern] = STATE(8929),
    [sym_polymorphic_variant_pattern] = STATE(8929),
    [sym_record_pattern] = STATE(8929),
    [sym_list_pattern] = STATE(8929),
    [sym_array_pattern] = STATE(8929),
    [sym_local_open_pattern] = STATE(8929),
    [sym_package_pattern] = STATE(8929),
    [sym_parenthesized_pattern] = STATE(8929),
    [sym_attribute] = STATE(3008),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8929),
    [sym_quoted_extension] = STATE(8929),
    [sym__constant] = STATE(9006),
    [sym__signed_constant] = STATE(8929),
    [sym_number] = STATE(8950),
    [sym_signed_number] = STATE(9006),
    [sym_character] = STATE(8950),
    [sym_string] = STATE(8950),
    [sym_quoted_string] = STATE(8950),
    [sym_boolean] = STATE(8950),
    [sym_unit] = STATE(8950),
    [sym__simple_value_pattern] = STATE(8929),
    [sym_parenthesized_operator] = STATE(8929),
    [sym_module_path] = STATE(22094),
    [sym_constructor_path] = STATE(8929),
    [sym__constructor_name] = STATE(8978),
    [sym_tag] = STATE(8929),
    [aux_sym_expression_item_repeat1] = STATE(12351),
    [aux_sym_let_binding_repeat1] = STATE(3039),
    [sym__lowercase_identifier] = ACTIONS(8153),
    [anon_sym_SEMI_SEMI] = ACTIONS(8059),
    [anon_sym_let] = ACTIONS(8061),
    [anon_sym_and] = ACTIONS(8061),
    [anon_sym_EQ] = ACTIONS(8207),
    [anon_sym_TILDE] = ACTIONS(8157),
    [anon_sym_QMARK] = ACTIONS(8157),
    [anon_sym_LPAREN] = ACTIONS(8159),
    [anon_sym_external] = ACTIONS(8061),
    [anon_sym_type] = ACTIONS(8061),
    [anon_sym_LBRACK] = ACTIONS(8161),
    [anon_sym_true] = ACTIONS(8163),
    [anon_sym_false] = ACTIONS(8163),
    [anon_sym_COLON2] = ACTIONS(8165),
    [anon_sym_LBRACE] = ACTIONS(8167),
    [anon_sym_exception] = ACTIONS(8061),
    [anon_sym_module] = ACTIONS(8061),
    [anon_sym_open] = ACTIONS(8061),
    [anon_sym_include] = ACTIONS(8061),
    [anon_sym_class] = ACTIONS(8061),
    [anon_sym_end] = ACTIONS(8061),
    [anon_sym_POUND] = ACTIONS(8169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8171),
    [anon_sym_begin] = ACTIONS(8173),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8059),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8177),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8059),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8059),
    [aux_sym_number_token1] = ACTIONS(8179),
    [aux_sym_signed_number_token1] = ACTIONS(8181),
    [anon_sym_SQUOTE] = ACTIONS(8183),
    [anon_sym_DQUOTE] = ACTIONS(8185),
    [sym_let_operator] = ACTIONS(8059),
    [sym__uppercase_identifier] = ACTIONS(8187),
    [aux_sym_directive_token1] = ACTIONS(8061),
    [aux_sym_tag_token1] = ACTIONS(8189),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3009] = {
    [sym_parameter] = STATE(9033),
    [sym__class_typed] = STATE(12976),
    [sym__parenthesized_abstract_type] = STATE(9033),
    [sym__simple_pattern] = STATE(9034),
    [sym_typed_pattern] = STATE(8929),
    [sym_polymorphic_variant_pattern] = STATE(8929),
    [sym_record_pattern] = STATE(8929),
    [sym_list_pattern] = STATE(8929),
    [sym_array_pattern] = STATE(8929),
    [sym_local_open_pattern] = STATE(8929),
    [sym_package_pattern] = STATE(8929),
    [sym_parenthesized_pattern] = STATE(8929),
    [sym_attribute] = STATE(3009),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8929),
    [sym_quoted_extension] = STATE(8929),
    [sym__constant] = STATE(9006),
    [sym__signed_constant] = STATE(8929),
    [sym_number] = STATE(8950),
    [sym_signed_number] = STATE(9006),
    [sym_character] = STATE(8950),
    [sym_string] = STATE(8950),
    [sym_quoted_string] = STATE(8950),
    [sym_boolean] = STATE(8950),
    [sym_unit] = STATE(8950),
    [sym__simple_value_pattern] = STATE(8929),
    [sym_parenthesized_operator] = STATE(8929),
    [sym_module_path] = STATE(22094),
    [sym_constructor_path] = STATE(8929),
    [sym__constructor_name] = STATE(8978),
    [sym_tag] = STATE(8929),
    [aux_sym_expression_item_repeat1] = STATE(12354),
    [aux_sym_let_binding_repeat1] = STATE(3039),
    [sym__lowercase_identifier] = ACTIONS(8153),
    [anon_sym_SEMI_SEMI] = ACTIONS(8097),
    [anon_sym_let] = ACTIONS(8099),
    [anon_sym_and] = ACTIONS(8099),
    [anon_sym_EQ] = ACTIONS(8209),
    [anon_sym_TILDE] = ACTIONS(8157),
    [anon_sym_QMARK] = ACTIONS(8157),
    [anon_sym_LPAREN] = ACTIONS(8159),
    [anon_sym_external] = ACTIONS(8099),
    [anon_sym_type] = ACTIONS(8099),
    [anon_sym_LBRACK] = ACTIONS(8161),
    [anon_sym_true] = ACTIONS(8163),
    [anon_sym_false] = ACTIONS(8163),
    [anon_sym_COLON2] = ACTIONS(8165),
    [anon_sym_LBRACE] = ACTIONS(8167),
    [anon_sym_exception] = ACTIONS(8099),
    [anon_sym_module] = ACTIONS(8099),
    [anon_sym_open] = ACTIONS(8099),
    [anon_sym_include] = ACTIONS(8099),
    [anon_sym_class] = ACTIONS(8099),
    [anon_sym_end] = ACTIONS(8099),
    [anon_sym_POUND] = ACTIONS(8169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8171),
    [anon_sym_begin] = ACTIONS(8173),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8097),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8177),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8097),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8097),
    [aux_sym_number_token1] = ACTIONS(8179),
    [aux_sym_signed_number_token1] = ACTIONS(8181),
    [anon_sym_SQUOTE] = ACTIONS(8183),
    [anon_sym_DQUOTE] = ACTIONS(8185),
    [sym_let_operator] = ACTIONS(8097),
    [sym__uppercase_identifier] = ACTIONS(8187),
    [aux_sym_directive_token1] = ACTIONS(8099),
    [aux_sym_tag_token1] = ACTIONS(8189),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3010] = {
    [sym_parameter] = STATE(9033),
    [sym__class_typed] = STATE(13111),
    [sym__parenthesized_abstract_type] = STATE(9033),
    [sym__simple_pattern] = STATE(9034),
    [sym_typed_pattern] = STATE(8929),
    [sym_polymorphic_variant_pattern] = STATE(8929),
    [sym_record_pattern] = STATE(8929),
    [sym_list_pattern] = STATE(8929),
    [sym_array_pattern] = STATE(8929),
    [sym_local_open_pattern] = STATE(8929),
    [sym_package_pattern] = STATE(8929),
    [sym_parenthesized_pattern] = STATE(8929),
    [sym_attribute] = STATE(3010),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8929),
    [sym_quoted_extension] = STATE(8929),
    [sym__constant] = STATE(9006),
    [sym__signed_constant] = STATE(8929),
    [sym_number] = STATE(8950),
    [sym_signed_number] = STATE(9006),
    [sym_character] = STATE(8950),
    [sym_string] = STATE(8950),
    [sym_quoted_string] = STATE(8950),
    [sym_boolean] = STATE(8950),
    [sym_unit] = STATE(8950),
    [sym__simple_value_pattern] = STATE(8929),
    [sym_parenthesized_operator] = STATE(8929),
    [sym_module_path] = STATE(22094),
    [sym_constructor_path] = STATE(8929),
    [sym__constructor_name] = STATE(8978),
    [sym_tag] = STATE(8929),
    [aux_sym_expression_item_repeat1] = STATE(12482),
    [aux_sym_let_binding_repeat1] = STATE(3039),
    [sym__lowercase_identifier] = ACTIONS(8153),
    [anon_sym_SEMI_SEMI] = ACTIONS(8077),
    [anon_sym_let] = ACTIONS(8079),
    [anon_sym_and] = ACTIONS(8079),
    [anon_sym_EQ] = ACTIONS(8211),
    [anon_sym_TILDE] = ACTIONS(8157),
    [anon_sym_QMARK] = ACTIONS(8157),
    [anon_sym_LPAREN] = ACTIONS(8159),
    [anon_sym_external] = ACTIONS(8079),
    [anon_sym_type] = ACTIONS(8079),
    [anon_sym_LBRACK] = ACTIONS(8161),
    [anon_sym_true] = ACTIONS(8163),
    [anon_sym_false] = ACTIONS(8163),
    [anon_sym_COLON2] = ACTIONS(8165),
    [anon_sym_LBRACE] = ACTIONS(8167),
    [anon_sym_exception] = ACTIONS(8079),
    [anon_sym_module] = ACTIONS(8079),
    [anon_sym_open] = ACTIONS(8079),
    [anon_sym_include] = ACTIONS(8079),
    [anon_sym_class] = ACTIONS(8079),
    [anon_sym_end] = ACTIONS(8079),
    [anon_sym_POUND] = ACTIONS(8169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8171),
    [anon_sym_begin] = ACTIONS(8173),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8077),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8177),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8077),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8077),
    [aux_sym_number_token1] = ACTIONS(8179),
    [aux_sym_signed_number_token1] = ACTIONS(8181),
    [anon_sym_SQUOTE] = ACTIONS(8183),
    [anon_sym_DQUOTE] = ACTIONS(8185),
    [sym_let_operator] = ACTIONS(8077),
    [sym__uppercase_identifier] = ACTIONS(8187),
    [aux_sym_directive_token1] = ACTIONS(8079),
    [aux_sym_tag_token1] = ACTIONS(8189),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3011] = {
    [sym_parameter] = STATE(8795),
    [sym__class_typed] = STATE(13269),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(3011),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_expression_item_repeat1] = STATE(12589),
    [aux_sym_let_binding_repeat1] = STATE(3002),
    [ts_builtin_sym_end] = ACTIONS(8091),
    [sym__lowercase_identifier] = ACTIONS(7945),
    [anon_sym_SEMI_SEMI] = ACTIONS(8091),
    [anon_sym_let] = ACTIONS(8093),
    [anon_sym_and] = ACTIONS(8093),
    [anon_sym_EQ] = ACTIONS(8213),
    [anon_sym_TILDE] = ACTIONS(7951),
    [anon_sym_QMARK] = ACTIONS(7951),
    [anon_sym_LPAREN] = ACTIONS(7953),
    [anon_sym_external] = ACTIONS(8093),
    [anon_sym_type] = ACTIONS(8093),
    [anon_sym_LBRACK] = ACTIONS(7955),
    [anon_sym_true] = ACTIONS(7957),
    [anon_sym_false] = ACTIONS(7957),
    [anon_sym_COLON2] = ACTIONS(7959),
    [anon_sym_LBRACE] = ACTIONS(7961),
    [anon_sym_exception] = ACTIONS(8093),
    [anon_sym_module] = ACTIONS(8093),
    [anon_sym_open] = ACTIONS(8093),
    [anon_sym_include] = ACTIONS(8093),
    [anon_sym_class] = ACTIONS(8093),
    [anon_sym_POUND] = ACTIONS(7963),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7965),
    [anon_sym_begin] = ACTIONS(7967),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8091),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7971),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7973),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8091),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8091),
    [aux_sym_number_token1] = ACTIONS(7975),
    [aux_sym_signed_number_token1] = ACTIONS(7977),
    [anon_sym_SQUOTE] = ACTIONS(7979),
    [anon_sym_DQUOTE] = ACTIONS(7981),
    [sym_let_operator] = ACTIONS(8091),
    [sym__uppercase_identifier] = ACTIONS(7983),
    [aux_sym_directive_token1] = ACTIONS(8093),
    [aux_sym_tag_token1] = ACTIONS(7985),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3012] = {
    [sym_parameter] = STATE(9033),
    [sym__class_typed] = STATE(13209),
    [sym__parenthesized_abstract_type] = STATE(9033),
    [sym__simple_pattern] = STATE(9034),
    [sym_typed_pattern] = STATE(8929),
    [sym_polymorphic_variant_pattern] = STATE(8929),
    [sym_record_pattern] = STATE(8929),
    [sym_list_pattern] = STATE(8929),
    [sym_array_pattern] = STATE(8929),
    [sym_local_open_pattern] = STATE(8929),
    [sym_package_pattern] = STATE(8929),
    [sym_parenthesized_pattern] = STATE(8929),
    [sym_attribute] = STATE(3012),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(8929),
    [sym_quoted_extension] = STATE(8929),
    [sym__constant] = STATE(9006),
    [sym__signed_constant] = STATE(8929),
    [sym_number] = STATE(8950),
    [sym_signed_number] = STATE(9006),
    [sym_character] = STATE(8950),
    [sym_string] = STATE(8950),
    [sym_quoted_string] = STATE(8950),
    [sym_boolean] = STATE(8950),
    [sym_unit] = STATE(8950),
    [sym__simple_value_pattern] = STATE(8929),
    [sym_parenthesized_operator] = STATE(8929),
    [sym_module_path] = STATE(22094),
    [sym_constructor_path] = STATE(8929),
    [sym__constructor_name] = STATE(8978),
    [sym_tag] = STATE(8929),
    [aux_sym_expression_item_repeat1] = STATE(12424),
    [aux_sym_let_binding_repeat1] = STATE(3039),
    [sym__lowercase_identifier] = ACTIONS(8153),
    [anon_sym_SEMI_SEMI] = ACTIONS(8065),
    [anon_sym_let] = ACTIONS(8067),
    [anon_sym_and] = ACTIONS(8067),
    [anon_sym_EQ] = ACTIONS(8215),
    [anon_sym_TILDE] = ACTIONS(8157),
    [anon_sym_QMARK] = ACTIONS(8157),
    [anon_sym_LPAREN] = ACTIONS(8159),
    [anon_sym_external] = ACTIONS(8067),
    [anon_sym_type] = ACTIONS(8067),
    [anon_sym_LBRACK] = ACTIONS(8161),
    [anon_sym_true] = ACTIONS(8163),
    [anon_sym_false] = ACTIONS(8163),
    [anon_sym_COLON2] = ACTIONS(8165),
    [anon_sym_LBRACE] = ACTIONS(8167),
    [anon_sym_exception] = ACTIONS(8067),
    [anon_sym_module] = ACTIONS(8067),
    [anon_sym_open] = ACTIONS(8067),
    [anon_sym_include] = ACTIONS(8067),
    [anon_sym_class] = ACTIONS(8067),
    [anon_sym_end] = ACTIONS(8067),
    [anon_sym_POUND] = ACTIONS(8169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8171),
    [anon_sym_begin] = ACTIONS(8173),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8065),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8175),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8177),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8065),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8065),
    [aux_sym_number_token1] = ACTIONS(8179),
    [aux_sym_signed_number_token1] = ACTIONS(8181),
    [anon_sym_SQUOTE] = ACTIONS(8183),
    [anon_sym_DQUOTE] = ACTIONS(8185),
    [sym_let_operator] = ACTIONS(8065),
    [sym__uppercase_identifier] = ACTIONS(8187),
    [aux_sym_directive_token1] = ACTIONS(8067),
    [aux_sym_tag_token1] = ACTIONS(8189),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3013] = {
    [sym_parameter] = STATE(9573),
    [sym__class_typed] = STATE(14097),
    [sym__parenthesized_abstract_type] = STATE(9573),
    [sym__simple_pattern] = STATE(9746),
    [sym_typed_pattern] = STATE(9680),
    [sym_polymorphic_variant_pattern] = STATE(9680),
    [sym_record_pattern] = STATE(9680),
    [sym_list_pattern] = STATE(9680),
    [sym_array_pattern] = STATE(9680),
    [sym_local_open_pattern] = STATE(9680),
    [sym_package_pattern] = STATE(9680),
    [sym_parenthesized_pattern] = STATE(9680),
    [sym_attribute] = STATE(3013),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9680),
    [sym_quoted_extension] = STATE(9680),
    [sym__constant] = STATE(9729),
    [sym__signed_constant] = STATE(9680),
    [sym_number] = STATE(9522),
    [sym_signed_number] = STATE(9729),
    [sym_character] = STATE(9522),
    [sym_string] = STATE(9522),
    [sym_quoted_string] = STATE(9522),
    [sym_boolean] = STATE(9522),
    [sym_unit] = STATE(9522),
    [sym__simple_value_pattern] = STATE(9680),
    [sym_parenthesized_operator] = STATE(9680),
    [sym_module_path] = STATE(23304),
    [sym_constructor_path] = STATE(9680),
    [sym__constructor_name] = STATE(9568),
    [sym_tag] = STATE(9680),
    [aux_sym_expression_item_repeat1] = STATE(12482),
    [aux_sym_let_binding_repeat1] = STATE(3111),
    [sym__lowercase_identifier] = ACTIONS(8217),
    [anon_sym_SEMI_SEMI] = ACTIONS(8077),
    [anon_sym_and] = ACTIONS(8079),
    [anon_sym_EQ] = ACTIONS(8219),
    [anon_sym_TILDE] = ACTIONS(8221),
    [anon_sym_QMARK] = ACTIONS(8221),
    [anon_sym_LPAREN] = ACTIONS(8223),
    [anon_sym_external] = ACTIONS(8079),
    [anon_sym_type] = ACTIONS(8079),
    [anon_sym_LBRACK] = ACTIONS(8225),
    [anon_sym_true] = ACTIONS(8227),
    [anon_sym_false] = ACTIONS(8227),
    [anon_sym_COLON2] = ACTIONS(8229),
    [anon_sym_LBRACE] = ACTIONS(8231),
    [anon_sym_exception] = ACTIONS(8079),
    [anon_sym_module] = ACTIONS(8079),
    [anon_sym_open] = ACTIONS(8079),
    [anon_sym_include] = ACTIONS(8079),
    [anon_sym_class] = ACTIONS(8079),
    [anon_sym_val] = ACTIONS(8079),
    [anon_sym_end] = ACTIONS(8079),
    [anon_sym_POUND] = ACTIONS(8233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8235),
    [anon_sym_begin] = ACTIONS(8237),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8077),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8241),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8077),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8077),
    [aux_sym_number_token1] = ACTIONS(8243),
    [aux_sym_signed_number_token1] = ACTIONS(8245),
    [anon_sym_SQUOTE] = ACTIONS(8247),
    [anon_sym_DQUOTE] = ACTIONS(8249),
    [sym__uppercase_identifier] = ACTIONS(8251),
    [aux_sym_tag_token1] = ACTIONS(8253),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3014] = {
    [sym__parenthesized_abstract_type] = STATE(3582),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15461),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3014),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(7935),
    [anon_sym_COMMA] = ACTIONS(7931),
    [anon_sym_PIPE] = ACTIONS(7931),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(7931),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_SEMI] = ACTIONS(7931),
    [anon_sym_RBRACE] = ACTIONS(7931),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_as] = ACTIONS(7937),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(7931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3015] = {
    [sym_parameter] = STATE(9725),
    [sym__class_typed] = STATE(14016),
    [sym__parenthesized_abstract_type] = STATE(9725),
    [sym__simple_pattern] = STATE(9726),
    [sym_typed_pattern] = STATE(9572),
    [sym_polymorphic_variant_pattern] = STATE(9572),
    [sym_record_pattern] = STATE(9572),
    [sym_list_pattern] = STATE(9572),
    [sym_array_pattern] = STATE(9572),
    [sym_local_open_pattern] = STATE(9572),
    [sym_package_pattern] = STATE(9572),
    [sym_parenthesized_pattern] = STATE(9572),
    [sym_attribute] = STATE(3015),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9572),
    [sym_quoted_extension] = STATE(9572),
    [sym__constant] = STATE(9600),
    [sym__signed_constant] = STATE(9572),
    [sym_number] = STATE(9702),
    [sym_signed_number] = STATE(9600),
    [sym_character] = STATE(9702),
    [sym_string] = STATE(9702),
    [sym_quoted_string] = STATE(9702),
    [sym_boolean] = STATE(9702),
    [sym_unit] = STATE(9702),
    [sym__simple_value_pattern] = STATE(9572),
    [sym_parenthesized_operator] = STATE(9572),
    [sym_module_path] = STATE(22693),
    [sym_constructor_path] = STATE(9572),
    [sym__constructor_name] = STATE(9532),
    [sym_tag] = STATE(9572),
    [aux_sym_expression_item_repeat1] = STATE(12482),
    [aux_sym_let_binding_repeat1] = STATE(3043),
    [sym__lowercase_identifier] = ACTIONS(8263),
    [anon_sym_SEMI_SEMI] = ACTIONS(8077),
    [anon_sym_and] = ACTIONS(8079),
    [anon_sym_EQ] = ACTIONS(8265),
    [anon_sym_TILDE] = ACTIONS(8267),
    [anon_sym_QMARK] = ACTIONS(8267),
    [anon_sym_LPAREN] = ACTIONS(8269),
    [anon_sym_external] = ACTIONS(8079),
    [anon_sym_type] = ACTIONS(8079),
    [anon_sym_LBRACK] = ACTIONS(8271),
    [anon_sym_RBRACK] = ACTIONS(8077),
    [anon_sym_true] = ACTIONS(8273),
    [anon_sym_false] = ACTIONS(8273),
    [anon_sym_COLON2] = ACTIONS(8275),
    [anon_sym_LBRACE] = ACTIONS(8277),
    [anon_sym_exception] = ACTIONS(8079),
    [anon_sym_module] = ACTIONS(8079),
    [anon_sym_open] = ACTIONS(8079),
    [anon_sym_include] = ACTIONS(8079),
    [anon_sym_class] = ACTIONS(8079),
    [anon_sym_val] = ACTIONS(8079),
    [anon_sym_POUND] = ACTIONS(8279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8281),
    [anon_sym_begin] = ACTIONS(8283),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8077),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8287),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8077),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8077),
    [aux_sym_number_token1] = ACTIONS(8289),
    [aux_sym_signed_number_token1] = ACTIONS(8291),
    [anon_sym_SQUOTE] = ACTIONS(8293),
    [anon_sym_DQUOTE] = ACTIONS(8295),
    [sym__uppercase_identifier] = ACTIONS(8297),
    [aux_sym_tag_token1] = ACTIONS(8299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3016] = {
    [sym_parameter] = STATE(9725),
    [sym__class_typed] = STATE(13999),
    [sym__parenthesized_abstract_type] = STATE(9725),
    [sym__simple_pattern] = STATE(9726),
    [sym_typed_pattern] = STATE(9572),
    [sym_polymorphic_variant_pattern] = STATE(9572),
    [sym_record_pattern] = STATE(9572),
    [sym_list_pattern] = STATE(9572),
    [sym_array_pattern] = STATE(9572),
    [sym_local_open_pattern] = STATE(9572),
    [sym_package_pattern] = STATE(9572),
    [sym_parenthesized_pattern] = STATE(9572),
    [sym_attribute] = STATE(3016),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9572),
    [sym_quoted_extension] = STATE(9572),
    [sym__constant] = STATE(9600),
    [sym__signed_constant] = STATE(9572),
    [sym_number] = STATE(9702),
    [sym_signed_number] = STATE(9600),
    [sym_character] = STATE(9702),
    [sym_string] = STATE(9702),
    [sym_quoted_string] = STATE(9702),
    [sym_boolean] = STATE(9702),
    [sym_unit] = STATE(9702),
    [sym__simple_value_pattern] = STATE(9572),
    [sym_parenthesized_operator] = STATE(9572),
    [sym_module_path] = STATE(22693),
    [sym_constructor_path] = STATE(9572),
    [sym__constructor_name] = STATE(9532),
    [sym_tag] = STATE(9572),
    [aux_sym_expression_item_repeat1] = STATE(12319),
    [aux_sym_let_binding_repeat1] = STATE(3034),
    [sym__lowercase_identifier] = ACTIONS(8263),
    [anon_sym_SEMI_SEMI] = ACTIONS(8053),
    [anon_sym_and] = ACTIONS(8055),
    [anon_sym_EQ] = ACTIONS(8301),
    [anon_sym_TILDE] = ACTIONS(8267),
    [anon_sym_QMARK] = ACTIONS(8267),
    [anon_sym_LPAREN] = ACTIONS(8269),
    [anon_sym_external] = ACTIONS(8055),
    [anon_sym_type] = ACTIONS(8055),
    [anon_sym_LBRACK] = ACTIONS(8271),
    [anon_sym_RBRACK] = ACTIONS(8053),
    [anon_sym_true] = ACTIONS(8273),
    [anon_sym_false] = ACTIONS(8273),
    [anon_sym_COLON2] = ACTIONS(8275),
    [anon_sym_LBRACE] = ACTIONS(8277),
    [anon_sym_exception] = ACTIONS(8055),
    [anon_sym_module] = ACTIONS(8055),
    [anon_sym_open] = ACTIONS(8055),
    [anon_sym_include] = ACTIONS(8055),
    [anon_sym_class] = ACTIONS(8055),
    [anon_sym_val] = ACTIONS(8055),
    [anon_sym_POUND] = ACTIONS(8279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8281),
    [anon_sym_begin] = ACTIONS(8283),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8053),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8287),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8053),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8053),
    [aux_sym_number_token1] = ACTIONS(8289),
    [aux_sym_signed_number_token1] = ACTIONS(8291),
    [anon_sym_SQUOTE] = ACTIONS(8293),
    [anon_sym_DQUOTE] = ACTIONS(8295),
    [sym__uppercase_identifier] = ACTIONS(8297),
    [aux_sym_tag_token1] = ACTIONS(8299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3017] = {
    [sym_parameter] = STATE(9725),
    [sym__class_typed] = STATE(14000),
    [sym__parenthesized_abstract_type] = STATE(9725),
    [sym__simple_pattern] = STATE(9726),
    [sym_typed_pattern] = STATE(9572),
    [sym_polymorphic_variant_pattern] = STATE(9572),
    [sym_record_pattern] = STATE(9572),
    [sym_list_pattern] = STATE(9572),
    [sym_array_pattern] = STATE(9572),
    [sym_local_open_pattern] = STATE(9572),
    [sym_package_pattern] = STATE(9572),
    [sym_parenthesized_pattern] = STATE(9572),
    [sym_attribute] = STATE(3017),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9572),
    [sym_quoted_extension] = STATE(9572),
    [sym__constant] = STATE(9600),
    [sym__signed_constant] = STATE(9572),
    [sym_number] = STATE(9702),
    [sym_signed_number] = STATE(9600),
    [sym_character] = STATE(9702),
    [sym_string] = STATE(9702),
    [sym_quoted_string] = STATE(9702),
    [sym_boolean] = STATE(9702),
    [sym_unit] = STATE(9702),
    [sym__simple_value_pattern] = STATE(9572),
    [sym_parenthesized_operator] = STATE(9572),
    [sym_module_path] = STATE(22693),
    [sym_constructor_path] = STATE(9572),
    [sym__constructor_name] = STATE(9532),
    [sym_tag] = STATE(9572),
    [aux_sym_expression_item_repeat1] = STATE(12351),
    [aux_sym_let_binding_repeat1] = STATE(3043),
    [sym__lowercase_identifier] = ACTIONS(8263),
    [anon_sym_SEMI_SEMI] = ACTIONS(8059),
    [anon_sym_and] = ACTIONS(8061),
    [anon_sym_EQ] = ACTIONS(8303),
    [anon_sym_TILDE] = ACTIONS(8267),
    [anon_sym_QMARK] = ACTIONS(8267),
    [anon_sym_LPAREN] = ACTIONS(8269),
    [anon_sym_external] = ACTIONS(8061),
    [anon_sym_type] = ACTIONS(8061),
    [anon_sym_LBRACK] = ACTIONS(8271),
    [anon_sym_RBRACK] = ACTIONS(8059),
    [anon_sym_true] = ACTIONS(8273),
    [anon_sym_false] = ACTIONS(8273),
    [anon_sym_COLON2] = ACTIONS(8275),
    [anon_sym_LBRACE] = ACTIONS(8277),
    [anon_sym_exception] = ACTIONS(8061),
    [anon_sym_module] = ACTIONS(8061),
    [anon_sym_open] = ACTIONS(8061),
    [anon_sym_include] = ACTIONS(8061),
    [anon_sym_class] = ACTIONS(8061),
    [anon_sym_val] = ACTIONS(8061),
    [anon_sym_POUND] = ACTIONS(8279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8281),
    [anon_sym_begin] = ACTIONS(8283),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8059),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8287),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8059),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8059),
    [aux_sym_number_token1] = ACTIONS(8289),
    [aux_sym_signed_number_token1] = ACTIONS(8291),
    [anon_sym_SQUOTE] = ACTIONS(8293),
    [anon_sym_DQUOTE] = ACTIONS(8295),
    [sym__uppercase_identifier] = ACTIONS(8297),
    [aux_sym_tag_token1] = ACTIONS(8299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3018] = {
    [sym_parameter] = STATE(9573),
    [sym__class_typed] = STATE(14073),
    [sym__parenthesized_abstract_type] = STATE(9573),
    [sym__simple_pattern] = STATE(9746),
    [sym_typed_pattern] = STATE(9680),
    [sym_polymorphic_variant_pattern] = STATE(9680),
    [sym_record_pattern] = STATE(9680),
    [sym_list_pattern] = STATE(9680),
    [sym_array_pattern] = STATE(9680),
    [sym_local_open_pattern] = STATE(9680),
    [sym_package_pattern] = STATE(9680),
    [sym_parenthesized_pattern] = STATE(9680),
    [sym_attribute] = STATE(3018),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9680),
    [sym_quoted_extension] = STATE(9680),
    [sym__constant] = STATE(9729),
    [sym__signed_constant] = STATE(9680),
    [sym_number] = STATE(9522),
    [sym_signed_number] = STATE(9729),
    [sym_character] = STATE(9522),
    [sym_string] = STATE(9522),
    [sym_quoted_string] = STATE(9522),
    [sym_boolean] = STATE(9522),
    [sym_unit] = STATE(9522),
    [sym__simple_value_pattern] = STATE(9680),
    [sym_parenthesized_operator] = STATE(9680),
    [sym_module_path] = STATE(23304),
    [sym_constructor_path] = STATE(9680),
    [sym__constructor_name] = STATE(9568),
    [sym_tag] = STATE(9680),
    [aux_sym_expression_item_repeat1] = STATE(12290),
    [aux_sym_let_binding_repeat1] = STATE(3033),
    [sym__lowercase_identifier] = ACTIONS(8217),
    [anon_sym_SEMI_SEMI] = ACTIONS(8047),
    [anon_sym_and] = ACTIONS(8049),
    [anon_sym_EQ] = ACTIONS(8305),
    [anon_sym_TILDE] = ACTIONS(8221),
    [anon_sym_QMARK] = ACTIONS(8221),
    [anon_sym_LPAREN] = ACTIONS(8223),
    [anon_sym_external] = ACTIONS(8049),
    [anon_sym_type] = ACTIONS(8049),
    [anon_sym_LBRACK] = ACTIONS(8225),
    [anon_sym_true] = ACTIONS(8227),
    [anon_sym_false] = ACTIONS(8227),
    [anon_sym_COLON2] = ACTIONS(8229),
    [anon_sym_LBRACE] = ACTIONS(8231),
    [anon_sym_exception] = ACTIONS(8049),
    [anon_sym_module] = ACTIONS(8049),
    [anon_sym_open] = ACTIONS(8049),
    [anon_sym_include] = ACTIONS(8049),
    [anon_sym_class] = ACTIONS(8049),
    [anon_sym_val] = ACTIONS(8049),
    [anon_sym_end] = ACTIONS(8049),
    [anon_sym_POUND] = ACTIONS(8233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8235),
    [anon_sym_begin] = ACTIONS(8237),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8047),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8241),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8047),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8047),
    [aux_sym_number_token1] = ACTIONS(8243),
    [aux_sym_signed_number_token1] = ACTIONS(8245),
    [anon_sym_SQUOTE] = ACTIONS(8247),
    [anon_sym_DQUOTE] = ACTIONS(8249),
    [sym__uppercase_identifier] = ACTIONS(8251),
    [aux_sym_tag_token1] = ACTIONS(8253),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3019] = {
    [sym_parameter] = STATE(9573),
    [sym__class_typed] = STATE(14083),
    [sym__parenthesized_abstract_type] = STATE(9573),
    [sym__simple_pattern] = STATE(9746),
    [sym_typed_pattern] = STATE(9680),
    [sym_polymorphic_variant_pattern] = STATE(9680),
    [sym_record_pattern] = STATE(9680),
    [sym_list_pattern] = STATE(9680),
    [sym_array_pattern] = STATE(9680),
    [sym_local_open_pattern] = STATE(9680),
    [sym_package_pattern] = STATE(9680),
    [sym_parenthesized_pattern] = STATE(9680),
    [sym_attribute] = STATE(3019),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9680),
    [sym_quoted_extension] = STATE(9680),
    [sym__constant] = STATE(9729),
    [sym__signed_constant] = STATE(9680),
    [sym_number] = STATE(9522),
    [sym_signed_number] = STATE(9729),
    [sym_character] = STATE(9522),
    [sym_string] = STATE(9522),
    [sym_quoted_string] = STATE(9522),
    [sym_boolean] = STATE(9522),
    [sym_unit] = STATE(9522),
    [sym__simple_value_pattern] = STATE(9680),
    [sym_parenthesized_operator] = STATE(9680),
    [sym_module_path] = STATE(23304),
    [sym_constructor_path] = STATE(9680),
    [sym__constructor_name] = STATE(9568),
    [sym_tag] = STATE(9680),
    [aux_sym_expression_item_repeat1] = STATE(12319),
    [aux_sym_let_binding_repeat1] = STATE(3031),
    [sym__lowercase_identifier] = ACTIONS(8217),
    [anon_sym_SEMI_SEMI] = ACTIONS(8053),
    [anon_sym_and] = ACTIONS(8055),
    [anon_sym_EQ] = ACTIONS(8307),
    [anon_sym_TILDE] = ACTIONS(8221),
    [anon_sym_QMARK] = ACTIONS(8221),
    [anon_sym_LPAREN] = ACTIONS(8223),
    [anon_sym_external] = ACTIONS(8055),
    [anon_sym_type] = ACTIONS(8055),
    [anon_sym_LBRACK] = ACTIONS(8225),
    [anon_sym_true] = ACTIONS(8227),
    [anon_sym_false] = ACTIONS(8227),
    [anon_sym_COLON2] = ACTIONS(8229),
    [anon_sym_LBRACE] = ACTIONS(8231),
    [anon_sym_exception] = ACTIONS(8055),
    [anon_sym_module] = ACTIONS(8055),
    [anon_sym_open] = ACTIONS(8055),
    [anon_sym_include] = ACTIONS(8055),
    [anon_sym_class] = ACTIONS(8055),
    [anon_sym_val] = ACTIONS(8055),
    [anon_sym_end] = ACTIONS(8055),
    [anon_sym_POUND] = ACTIONS(8233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8235),
    [anon_sym_begin] = ACTIONS(8237),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8053),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8241),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8053),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8053),
    [aux_sym_number_token1] = ACTIONS(8243),
    [aux_sym_signed_number_token1] = ACTIONS(8245),
    [anon_sym_SQUOTE] = ACTIONS(8247),
    [anon_sym_DQUOTE] = ACTIONS(8249),
    [sym__uppercase_identifier] = ACTIONS(8251),
    [aux_sym_tag_token1] = ACTIONS(8253),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3020] = {
    [sym__parenthesized_abstract_type] = STATE(5746),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(10726),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3020),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_and] = ACTIONS(5627),
    [anon_sym_COLON_GT] = ACTIONS(5623),
    [anon_sym_EQ] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(8311),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_in] = ACTIONS(5627),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5623),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym_let_and_operator] = ACTIONS(5623),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3021] = {
    [sym_parameter] = STATE(9725),
    [sym__class_typed] = STATE(13993),
    [sym__parenthesized_abstract_type] = STATE(9725),
    [sym__simple_pattern] = STATE(9726),
    [sym_typed_pattern] = STATE(9572),
    [sym_polymorphic_variant_pattern] = STATE(9572),
    [sym_record_pattern] = STATE(9572),
    [sym_list_pattern] = STATE(9572),
    [sym_array_pattern] = STATE(9572),
    [sym_local_open_pattern] = STATE(9572),
    [sym_package_pattern] = STATE(9572),
    [sym_parenthesized_pattern] = STATE(9572),
    [sym_attribute] = STATE(3021),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9572),
    [sym_quoted_extension] = STATE(9572),
    [sym__constant] = STATE(9600),
    [sym__signed_constant] = STATE(9572),
    [sym_number] = STATE(9702),
    [sym_signed_number] = STATE(9600),
    [sym_character] = STATE(9702),
    [sym_string] = STATE(9702),
    [sym_quoted_string] = STATE(9702),
    [sym_boolean] = STATE(9702),
    [sym_unit] = STATE(9702),
    [sym__simple_value_pattern] = STATE(9572),
    [sym_parenthesized_operator] = STATE(9572),
    [sym_module_path] = STATE(22693),
    [sym_constructor_path] = STATE(9572),
    [sym__constructor_name] = STATE(9532),
    [sym_tag] = STATE(9572),
    [aux_sym_expression_item_repeat1] = STATE(12290),
    [aux_sym_let_binding_repeat1] = STATE(3017),
    [sym__lowercase_identifier] = ACTIONS(8263),
    [anon_sym_SEMI_SEMI] = ACTIONS(8047),
    [anon_sym_and] = ACTIONS(8049),
    [anon_sym_EQ] = ACTIONS(8343),
    [anon_sym_TILDE] = ACTIONS(8267),
    [anon_sym_QMARK] = ACTIONS(8267),
    [anon_sym_LPAREN] = ACTIONS(8269),
    [anon_sym_external] = ACTIONS(8049),
    [anon_sym_type] = ACTIONS(8049),
    [anon_sym_LBRACK] = ACTIONS(8271),
    [anon_sym_RBRACK] = ACTIONS(8047),
    [anon_sym_true] = ACTIONS(8273),
    [anon_sym_false] = ACTIONS(8273),
    [anon_sym_COLON2] = ACTIONS(8275),
    [anon_sym_LBRACE] = ACTIONS(8277),
    [anon_sym_exception] = ACTIONS(8049),
    [anon_sym_module] = ACTIONS(8049),
    [anon_sym_open] = ACTIONS(8049),
    [anon_sym_include] = ACTIONS(8049),
    [anon_sym_class] = ACTIONS(8049),
    [anon_sym_val] = ACTIONS(8049),
    [anon_sym_POUND] = ACTIONS(8279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8281),
    [anon_sym_begin] = ACTIONS(8283),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8047),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8287),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8047),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8047),
    [aux_sym_number_token1] = ACTIONS(8289),
    [aux_sym_signed_number_token1] = ACTIONS(8291),
    [anon_sym_SQUOTE] = ACTIONS(8293),
    [anon_sym_DQUOTE] = ACTIONS(8295),
    [sym__uppercase_identifier] = ACTIONS(8297),
    [aux_sym_tag_token1] = ACTIONS(8299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3022] = {
    [sym_parameter] = STATE(9573),
    [sym__class_typed] = STATE(14094),
    [sym__parenthesized_abstract_type] = STATE(9573),
    [sym__simple_pattern] = STATE(9746),
    [sym_typed_pattern] = STATE(9680),
    [sym_polymorphic_variant_pattern] = STATE(9680),
    [sym_record_pattern] = STATE(9680),
    [sym_list_pattern] = STATE(9680),
    [sym_array_pattern] = STATE(9680),
    [sym_local_open_pattern] = STATE(9680),
    [sym_package_pattern] = STATE(9680),
    [sym_parenthesized_pattern] = STATE(9680),
    [sym_attribute] = STATE(3022),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9680),
    [sym_quoted_extension] = STATE(9680),
    [sym__constant] = STATE(9729),
    [sym__signed_constant] = STATE(9680),
    [sym_number] = STATE(9522),
    [sym_signed_number] = STATE(9729),
    [sym_character] = STATE(9522),
    [sym_string] = STATE(9522),
    [sym_quoted_string] = STATE(9522),
    [sym_boolean] = STATE(9522),
    [sym_unit] = STATE(9522),
    [sym__simple_value_pattern] = STATE(9680),
    [sym_parenthesized_operator] = STATE(9680),
    [sym_module_path] = STATE(23304),
    [sym_constructor_path] = STATE(9680),
    [sym__constructor_name] = STATE(9568),
    [sym_tag] = STATE(9680),
    [aux_sym_expression_item_repeat1] = STATE(12411),
    [aux_sym_let_binding_repeat1] = STATE(3013),
    [sym__lowercase_identifier] = ACTIONS(8217),
    [anon_sym_SEMI_SEMI] = ACTIONS(8071),
    [anon_sym_and] = ACTIONS(8073),
    [anon_sym_EQ] = ACTIONS(8345),
    [anon_sym_TILDE] = ACTIONS(8221),
    [anon_sym_QMARK] = ACTIONS(8221),
    [anon_sym_LPAREN] = ACTIONS(8223),
    [anon_sym_external] = ACTIONS(8073),
    [anon_sym_type] = ACTIONS(8073),
    [anon_sym_LBRACK] = ACTIONS(8225),
    [anon_sym_true] = ACTIONS(8227),
    [anon_sym_false] = ACTIONS(8227),
    [anon_sym_COLON2] = ACTIONS(8229),
    [anon_sym_LBRACE] = ACTIONS(8231),
    [anon_sym_exception] = ACTIONS(8073),
    [anon_sym_module] = ACTIONS(8073),
    [anon_sym_open] = ACTIONS(8073),
    [anon_sym_include] = ACTIONS(8073),
    [anon_sym_class] = ACTIONS(8073),
    [anon_sym_val] = ACTIONS(8073),
    [anon_sym_end] = ACTIONS(8073),
    [anon_sym_POUND] = ACTIONS(8233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8235),
    [anon_sym_begin] = ACTIONS(8237),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8071),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8241),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8071),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8071),
    [aux_sym_number_token1] = ACTIONS(8243),
    [aux_sym_signed_number_token1] = ACTIONS(8245),
    [anon_sym_SQUOTE] = ACTIONS(8247),
    [anon_sym_DQUOTE] = ACTIONS(8249),
    [sym__uppercase_identifier] = ACTIONS(8251),
    [aux_sym_tag_token1] = ACTIONS(8253),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3023] = {
    [sym_parameter] = STATE(9725),
    [sym__class_typed] = STATE(14014),
    [sym__parenthesized_abstract_type] = STATE(9725),
    [sym__simple_pattern] = STATE(9726),
    [sym_typed_pattern] = STATE(9572),
    [sym_polymorphic_variant_pattern] = STATE(9572),
    [sym_record_pattern] = STATE(9572),
    [sym_list_pattern] = STATE(9572),
    [sym_array_pattern] = STATE(9572),
    [sym_local_open_pattern] = STATE(9572),
    [sym_package_pattern] = STATE(9572),
    [sym_parenthesized_pattern] = STATE(9572),
    [sym_attribute] = STATE(3023),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9572),
    [sym_quoted_extension] = STATE(9572),
    [sym__constant] = STATE(9600),
    [sym__signed_constant] = STATE(9572),
    [sym_number] = STATE(9702),
    [sym_signed_number] = STATE(9600),
    [sym_character] = STATE(9702),
    [sym_string] = STATE(9702),
    [sym_quoted_string] = STATE(9702),
    [sym_boolean] = STATE(9702),
    [sym_unit] = STATE(9702),
    [sym__simple_value_pattern] = STATE(9572),
    [sym_parenthesized_operator] = STATE(9572),
    [sym_module_path] = STATE(22693),
    [sym_constructor_path] = STATE(9572),
    [sym__constructor_name] = STATE(9532),
    [sym_tag] = STATE(9572),
    [aux_sym_expression_item_repeat1] = STATE(12411),
    [aux_sym_let_binding_repeat1] = STATE(3015),
    [sym__lowercase_identifier] = ACTIONS(8263),
    [anon_sym_SEMI_SEMI] = ACTIONS(8071),
    [anon_sym_and] = ACTIONS(8073),
    [anon_sym_EQ] = ACTIONS(8347),
    [anon_sym_TILDE] = ACTIONS(8267),
    [anon_sym_QMARK] = ACTIONS(8267),
    [anon_sym_LPAREN] = ACTIONS(8269),
    [anon_sym_external] = ACTIONS(8073),
    [anon_sym_type] = ACTIONS(8073),
    [anon_sym_LBRACK] = ACTIONS(8271),
    [anon_sym_RBRACK] = ACTIONS(8071),
    [anon_sym_true] = ACTIONS(8273),
    [anon_sym_false] = ACTIONS(8273),
    [anon_sym_COLON2] = ACTIONS(8275),
    [anon_sym_LBRACE] = ACTIONS(8277),
    [anon_sym_exception] = ACTIONS(8073),
    [anon_sym_module] = ACTIONS(8073),
    [anon_sym_open] = ACTIONS(8073),
    [anon_sym_include] = ACTIONS(8073),
    [anon_sym_class] = ACTIONS(8073),
    [anon_sym_val] = ACTIONS(8073),
    [anon_sym_POUND] = ACTIONS(8279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8281),
    [anon_sym_begin] = ACTIONS(8283),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8071),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8287),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8071),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8071),
    [aux_sym_number_token1] = ACTIONS(8289),
    [aux_sym_signed_number_token1] = ACTIONS(8291),
    [anon_sym_SQUOTE] = ACTIONS(8293),
    [anon_sym_DQUOTE] = ACTIONS(8295),
    [sym__uppercase_identifier] = ACTIONS(8297),
    [aux_sym_tag_token1] = ACTIONS(8299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3024] = {
    [sym_parameter] = STATE(9725),
    [sym__class_typed] = STATE(14017),
    [sym__parenthesized_abstract_type] = STATE(9725),
    [sym__simple_pattern] = STATE(9726),
    [sym_typed_pattern] = STATE(9572),
    [sym_polymorphic_variant_pattern] = STATE(9572),
    [sym_record_pattern] = STATE(9572),
    [sym_list_pattern] = STATE(9572),
    [sym_array_pattern] = STATE(9572),
    [sym_local_open_pattern] = STATE(9572),
    [sym_package_pattern] = STATE(9572),
    [sym_parenthesized_pattern] = STATE(9572),
    [sym_attribute] = STATE(3024),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9572),
    [sym_quoted_extension] = STATE(9572),
    [sym__constant] = STATE(9600),
    [sym__signed_constant] = STATE(9572),
    [sym_number] = STATE(9702),
    [sym_signed_number] = STATE(9600),
    [sym_character] = STATE(9702),
    [sym_string] = STATE(9702),
    [sym_quoted_string] = STATE(9702),
    [sym_boolean] = STATE(9702),
    [sym_unit] = STATE(9702),
    [sym__simple_value_pattern] = STATE(9572),
    [sym_parenthesized_operator] = STATE(9572),
    [sym_module_path] = STATE(22693),
    [sym_constructor_path] = STATE(9572),
    [sym__constructor_name] = STATE(9532),
    [sym_tag] = STATE(9572),
    [aux_sym_expression_item_repeat1] = STATE(12538),
    [aux_sym_let_binding_repeat1] = STATE(3025),
    [sym__lowercase_identifier] = ACTIONS(8263),
    [anon_sym_SEMI_SEMI] = ACTIONS(8083),
    [anon_sym_and] = ACTIONS(8085),
    [anon_sym_EQ] = ACTIONS(8349),
    [anon_sym_TILDE] = ACTIONS(8267),
    [anon_sym_QMARK] = ACTIONS(8267),
    [anon_sym_LPAREN] = ACTIONS(8269),
    [anon_sym_external] = ACTIONS(8085),
    [anon_sym_type] = ACTIONS(8085),
    [anon_sym_LBRACK] = ACTIONS(8271),
    [anon_sym_RBRACK] = ACTIONS(8083),
    [anon_sym_true] = ACTIONS(8273),
    [anon_sym_false] = ACTIONS(8273),
    [anon_sym_COLON2] = ACTIONS(8275),
    [anon_sym_LBRACE] = ACTIONS(8277),
    [anon_sym_exception] = ACTIONS(8085),
    [anon_sym_module] = ACTIONS(8085),
    [anon_sym_open] = ACTIONS(8085),
    [anon_sym_include] = ACTIONS(8085),
    [anon_sym_class] = ACTIONS(8085),
    [anon_sym_val] = ACTIONS(8085),
    [anon_sym_POUND] = ACTIONS(8279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8281),
    [anon_sym_begin] = ACTIONS(8283),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8287),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8083),
    [aux_sym_number_token1] = ACTIONS(8289),
    [aux_sym_signed_number_token1] = ACTIONS(8291),
    [anon_sym_SQUOTE] = ACTIONS(8293),
    [anon_sym_DQUOTE] = ACTIONS(8295),
    [sym__uppercase_identifier] = ACTIONS(8297),
    [aux_sym_tag_token1] = ACTIONS(8299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3025] = {
    [sym_parameter] = STATE(9725),
    [sym__class_typed] = STATE(14018),
    [sym__parenthesized_abstract_type] = STATE(9725),
    [sym__simple_pattern] = STATE(9726),
    [sym_typed_pattern] = STATE(9572),
    [sym_polymorphic_variant_pattern] = STATE(9572),
    [sym_record_pattern] = STATE(9572),
    [sym_list_pattern] = STATE(9572),
    [sym_array_pattern] = STATE(9572),
    [sym_local_open_pattern] = STATE(9572),
    [sym_package_pattern] = STATE(9572),
    [sym_parenthesized_pattern] = STATE(9572),
    [sym_attribute] = STATE(3025),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9572),
    [sym_quoted_extension] = STATE(9572),
    [sym__constant] = STATE(9600),
    [sym__signed_constant] = STATE(9572),
    [sym_number] = STATE(9702),
    [sym_signed_number] = STATE(9600),
    [sym_character] = STATE(9702),
    [sym_string] = STATE(9702),
    [sym_quoted_string] = STATE(9702),
    [sym_boolean] = STATE(9702),
    [sym_unit] = STATE(9702),
    [sym__simple_value_pattern] = STATE(9572),
    [sym_parenthesized_operator] = STATE(9572),
    [sym_module_path] = STATE(22693),
    [sym_constructor_path] = STATE(9572),
    [sym__constructor_name] = STATE(9532),
    [sym_tag] = STATE(9572),
    [aux_sym_expression_item_repeat1] = STATE(12565),
    [aux_sym_let_binding_repeat1] = STATE(3043),
    [sym__lowercase_identifier] = ACTIONS(8263),
    [anon_sym_SEMI_SEMI] = ACTIONS(7943),
    [anon_sym_and] = ACTIONS(7947),
    [anon_sym_EQ] = ACTIONS(8351),
    [anon_sym_TILDE] = ACTIONS(8267),
    [anon_sym_QMARK] = ACTIONS(8267),
    [anon_sym_LPAREN] = ACTIONS(8269),
    [anon_sym_external] = ACTIONS(7947),
    [anon_sym_type] = ACTIONS(7947),
    [anon_sym_LBRACK] = ACTIONS(8271),
    [anon_sym_RBRACK] = ACTIONS(7943),
    [anon_sym_true] = ACTIONS(8273),
    [anon_sym_false] = ACTIONS(8273),
    [anon_sym_COLON2] = ACTIONS(8275),
    [anon_sym_LBRACE] = ACTIONS(8277),
    [anon_sym_exception] = ACTIONS(7947),
    [anon_sym_module] = ACTIONS(7947),
    [anon_sym_open] = ACTIONS(7947),
    [anon_sym_include] = ACTIONS(7947),
    [anon_sym_class] = ACTIONS(7947),
    [anon_sym_val] = ACTIONS(7947),
    [anon_sym_POUND] = ACTIONS(8279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8281),
    [anon_sym_begin] = ACTIONS(8283),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7943),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8287),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7943),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7943),
    [aux_sym_number_token1] = ACTIONS(8289),
    [aux_sym_signed_number_token1] = ACTIONS(8291),
    [anon_sym_SQUOTE] = ACTIONS(8293),
    [anon_sym_DQUOTE] = ACTIONS(8295),
    [sym__uppercase_identifier] = ACTIONS(8297),
    [aux_sym_tag_token1] = ACTIONS(8299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3026] = {
    [sym_parameter] = STATE(9725),
    [sym__class_typed] = STATE(14020),
    [sym__parenthesized_abstract_type] = STATE(9725),
    [sym__simple_pattern] = STATE(9726),
    [sym_typed_pattern] = STATE(9572),
    [sym_polymorphic_variant_pattern] = STATE(9572),
    [sym_record_pattern] = STATE(9572),
    [sym_list_pattern] = STATE(9572),
    [sym_array_pattern] = STATE(9572),
    [sym_local_open_pattern] = STATE(9572),
    [sym_package_pattern] = STATE(9572),
    [sym_parenthesized_pattern] = STATE(9572),
    [sym_attribute] = STATE(3026),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9572),
    [sym_quoted_extension] = STATE(9572),
    [sym__constant] = STATE(9600),
    [sym__signed_constant] = STATE(9572),
    [sym_number] = STATE(9702),
    [sym_signed_number] = STATE(9600),
    [sym_character] = STATE(9702),
    [sym_string] = STATE(9702),
    [sym_quoted_string] = STATE(9702),
    [sym_boolean] = STATE(9702),
    [sym_unit] = STATE(9702),
    [sym__simple_value_pattern] = STATE(9572),
    [sym_parenthesized_operator] = STATE(9572),
    [sym_module_path] = STATE(22693),
    [sym_constructor_path] = STATE(9572),
    [sym__constructor_name] = STATE(9532),
    [sym_tag] = STATE(9572),
    [aux_sym_expression_item_repeat1] = STATE(12354),
    [aux_sym_let_binding_repeat1] = STATE(3043),
    [sym__lowercase_identifier] = ACTIONS(8263),
    [anon_sym_SEMI_SEMI] = ACTIONS(8097),
    [anon_sym_and] = ACTIONS(8099),
    [anon_sym_EQ] = ACTIONS(8353),
    [anon_sym_TILDE] = ACTIONS(8267),
    [anon_sym_QMARK] = ACTIONS(8267),
    [anon_sym_LPAREN] = ACTIONS(8269),
    [anon_sym_external] = ACTIONS(8099),
    [anon_sym_type] = ACTIONS(8099),
    [anon_sym_LBRACK] = ACTIONS(8271),
    [anon_sym_RBRACK] = ACTIONS(8097),
    [anon_sym_true] = ACTIONS(8273),
    [anon_sym_false] = ACTIONS(8273),
    [anon_sym_COLON2] = ACTIONS(8275),
    [anon_sym_LBRACE] = ACTIONS(8277),
    [anon_sym_exception] = ACTIONS(8099),
    [anon_sym_module] = ACTIONS(8099),
    [anon_sym_open] = ACTIONS(8099),
    [anon_sym_include] = ACTIONS(8099),
    [anon_sym_class] = ACTIONS(8099),
    [anon_sym_val] = ACTIONS(8099),
    [anon_sym_POUND] = ACTIONS(8279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8281),
    [anon_sym_begin] = ACTIONS(8283),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8097),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8287),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8097),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8097),
    [aux_sym_number_token1] = ACTIONS(8289),
    [aux_sym_signed_number_token1] = ACTIONS(8291),
    [anon_sym_SQUOTE] = ACTIONS(8293),
    [anon_sym_DQUOTE] = ACTIONS(8295),
    [sym__uppercase_identifier] = ACTIONS(8297),
    [aux_sym_tag_token1] = ACTIONS(8299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3027] = {
    [sym_parameter] = STATE(9725),
    [sym__class_typed] = STATE(14019),
    [sym__parenthesized_abstract_type] = STATE(9725),
    [sym__simple_pattern] = STATE(9726),
    [sym_typed_pattern] = STATE(9572),
    [sym_polymorphic_variant_pattern] = STATE(9572),
    [sym_record_pattern] = STATE(9572),
    [sym_list_pattern] = STATE(9572),
    [sym_array_pattern] = STATE(9572),
    [sym_local_open_pattern] = STATE(9572),
    [sym_package_pattern] = STATE(9572),
    [sym_parenthesized_pattern] = STATE(9572),
    [sym_attribute] = STATE(3027),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9572),
    [sym_quoted_extension] = STATE(9572),
    [sym__constant] = STATE(9600),
    [sym__signed_constant] = STATE(9572),
    [sym_number] = STATE(9702),
    [sym_signed_number] = STATE(9600),
    [sym_character] = STATE(9702),
    [sym_string] = STATE(9702),
    [sym_quoted_string] = STATE(9702),
    [sym_boolean] = STATE(9702),
    [sym_unit] = STATE(9702),
    [sym__simple_value_pattern] = STATE(9572),
    [sym_parenthesized_operator] = STATE(9572),
    [sym_module_path] = STATE(22693),
    [sym_constructor_path] = STATE(9572),
    [sym__constructor_name] = STATE(9532),
    [sym_tag] = STATE(9572),
    [aux_sym_expression_item_repeat1] = STATE(12589),
    [aux_sym_let_binding_repeat1] = STATE(3026),
    [sym__lowercase_identifier] = ACTIONS(8263),
    [anon_sym_SEMI_SEMI] = ACTIONS(8091),
    [anon_sym_and] = ACTIONS(8093),
    [anon_sym_EQ] = ACTIONS(8355),
    [anon_sym_TILDE] = ACTIONS(8267),
    [anon_sym_QMARK] = ACTIONS(8267),
    [anon_sym_LPAREN] = ACTIONS(8269),
    [anon_sym_external] = ACTIONS(8093),
    [anon_sym_type] = ACTIONS(8093),
    [anon_sym_LBRACK] = ACTIONS(8271),
    [anon_sym_RBRACK] = ACTIONS(8091),
    [anon_sym_true] = ACTIONS(8273),
    [anon_sym_false] = ACTIONS(8273),
    [anon_sym_COLON2] = ACTIONS(8275),
    [anon_sym_LBRACE] = ACTIONS(8277),
    [anon_sym_exception] = ACTIONS(8093),
    [anon_sym_module] = ACTIONS(8093),
    [anon_sym_open] = ACTIONS(8093),
    [anon_sym_include] = ACTIONS(8093),
    [anon_sym_class] = ACTIONS(8093),
    [anon_sym_val] = ACTIONS(8093),
    [anon_sym_POUND] = ACTIONS(8279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8281),
    [anon_sym_begin] = ACTIONS(8283),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8091),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8287),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8091),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8091),
    [aux_sym_number_token1] = ACTIONS(8289),
    [aux_sym_signed_number_token1] = ACTIONS(8291),
    [anon_sym_SQUOTE] = ACTIONS(8293),
    [anon_sym_DQUOTE] = ACTIONS(8295),
    [sym__uppercase_identifier] = ACTIONS(8297),
    [aux_sym_tag_token1] = ACTIONS(8299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3028] = {
    [sym_parameter] = STATE(9573),
    [sym__class_typed] = STATE(14098),
    [sym__parenthesized_abstract_type] = STATE(9573),
    [sym__simple_pattern] = STATE(9746),
    [sym_typed_pattern] = STATE(9680),
    [sym_polymorphic_variant_pattern] = STATE(9680),
    [sym_record_pattern] = STATE(9680),
    [sym_list_pattern] = STATE(9680),
    [sym_array_pattern] = STATE(9680),
    [sym_local_open_pattern] = STATE(9680),
    [sym_package_pattern] = STATE(9680),
    [sym_parenthesized_pattern] = STATE(9680),
    [sym_attribute] = STATE(3028),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9680),
    [sym_quoted_extension] = STATE(9680),
    [sym__constant] = STATE(9729),
    [sym__signed_constant] = STATE(9680),
    [sym_number] = STATE(9522),
    [sym_signed_number] = STATE(9729),
    [sym_character] = STATE(9522),
    [sym_string] = STATE(9522),
    [sym_quoted_string] = STATE(9522),
    [sym_boolean] = STATE(9522),
    [sym_unit] = STATE(9522),
    [sym__simple_value_pattern] = STATE(9680),
    [sym_parenthesized_operator] = STATE(9680),
    [sym_module_path] = STATE(23304),
    [sym_constructor_path] = STATE(9680),
    [sym__constructor_name] = STATE(9568),
    [sym_tag] = STATE(9680),
    [aux_sym_expression_item_repeat1] = STATE(12538),
    [aux_sym_let_binding_repeat1] = STATE(3029),
    [sym__lowercase_identifier] = ACTIONS(8217),
    [anon_sym_SEMI_SEMI] = ACTIONS(8083),
    [anon_sym_and] = ACTIONS(8085),
    [anon_sym_EQ] = ACTIONS(8357),
    [anon_sym_TILDE] = ACTIONS(8221),
    [anon_sym_QMARK] = ACTIONS(8221),
    [anon_sym_LPAREN] = ACTIONS(8223),
    [anon_sym_external] = ACTIONS(8085),
    [anon_sym_type] = ACTIONS(8085),
    [anon_sym_LBRACK] = ACTIONS(8225),
    [anon_sym_true] = ACTIONS(8227),
    [anon_sym_false] = ACTIONS(8227),
    [anon_sym_COLON2] = ACTIONS(8229),
    [anon_sym_LBRACE] = ACTIONS(8231),
    [anon_sym_exception] = ACTIONS(8085),
    [anon_sym_module] = ACTIONS(8085),
    [anon_sym_open] = ACTIONS(8085),
    [anon_sym_include] = ACTIONS(8085),
    [anon_sym_class] = ACTIONS(8085),
    [anon_sym_val] = ACTIONS(8085),
    [anon_sym_end] = ACTIONS(8085),
    [anon_sym_POUND] = ACTIONS(8233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8235),
    [anon_sym_begin] = ACTIONS(8237),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8083),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8241),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8083),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8083),
    [aux_sym_number_token1] = ACTIONS(8243),
    [aux_sym_signed_number_token1] = ACTIONS(8245),
    [anon_sym_SQUOTE] = ACTIONS(8247),
    [anon_sym_DQUOTE] = ACTIONS(8249),
    [sym__uppercase_identifier] = ACTIONS(8251),
    [aux_sym_tag_token1] = ACTIONS(8253),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3029] = {
    [sym_parameter] = STATE(9573),
    [sym__class_typed] = STATE(14099),
    [sym__parenthesized_abstract_type] = STATE(9573),
    [sym__simple_pattern] = STATE(9746),
    [sym_typed_pattern] = STATE(9680),
    [sym_polymorphic_variant_pattern] = STATE(9680),
    [sym_record_pattern] = STATE(9680),
    [sym_list_pattern] = STATE(9680),
    [sym_array_pattern] = STATE(9680),
    [sym_local_open_pattern] = STATE(9680),
    [sym_package_pattern] = STATE(9680),
    [sym_parenthesized_pattern] = STATE(9680),
    [sym_attribute] = STATE(3029),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9680),
    [sym_quoted_extension] = STATE(9680),
    [sym__constant] = STATE(9729),
    [sym__signed_constant] = STATE(9680),
    [sym_number] = STATE(9522),
    [sym_signed_number] = STATE(9729),
    [sym_character] = STATE(9522),
    [sym_string] = STATE(9522),
    [sym_quoted_string] = STATE(9522),
    [sym_boolean] = STATE(9522),
    [sym_unit] = STATE(9522),
    [sym__simple_value_pattern] = STATE(9680),
    [sym_parenthesized_operator] = STATE(9680),
    [sym_module_path] = STATE(23304),
    [sym_constructor_path] = STATE(9680),
    [sym__constructor_name] = STATE(9568),
    [sym_tag] = STATE(9680),
    [aux_sym_expression_item_repeat1] = STATE(12565),
    [aux_sym_let_binding_repeat1] = STATE(3111),
    [sym__lowercase_identifier] = ACTIONS(8217),
    [anon_sym_SEMI_SEMI] = ACTIONS(7943),
    [anon_sym_and] = ACTIONS(7947),
    [anon_sym_EQ] = ACTIONS(8359),
    [anon_sym_TILDE] = ACTIONS(8221),
    [anon_sym_QMARK] = ACTIONS(8221),
    [anon_sym_LPAREN] = ACTIONS(8223),
    [anon_sym_external] = ACTIONS(7947),
    [anon_sym_type] = ACTIONS(7947),
    [anon_sym_LBRACK] = ACTIONS(8225),
    [anon_sym_true] = ACTIONS(8227),
    [anon_sym_false] = ACTIONS(8227),
    [anon_sym_COLON2] = ACTIONS(8229),
    [anon_sym_LBRACE] = ACTIONS(8231),
    [anon_sym_exception] = ACTIONS(7947),
    [anon_sym_module] = ACTIONS(7947),
    [anon_sym_open] = ACTIONS(7947),
    [anon_sym_include] = ACTIONS(7947),
    [anon_sym_class] = ACTIONS(7947),
    [anon_sym_val] = ACTIONS(7947),
    [anon_sym_end] = ACTIONS(7947),
    [anon_sym_POUND] = ACTIONS(8233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8235),
    [anon_sym_begin] = ACTIONS(8237),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7943),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8241),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7943),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7943),
    [aux_sym_number_token1] = ACTIONS(8243),
    [aux_sym_signed_number_token1] = ACTIONS(8245),
    [anon_sym_SQUOTE] = ACTIONS(8247),
    [anon_sym_DQUOTE] = ACTIONS(8249),
    [sym__uppercase_identifier] = ACTIONS(8251),
    [aux_sym_tag_token1] = ACTIONS(8253),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3030] = {
    [sym_parameter] = STATE(9573),
    [sym__class_typed] = STATE(14100),
    [sym__parenthesized_abstract_type] = STATE(9573),
    [sym__simple_pattern] = STATE(9746),
    [sym_typed_pattern] = STATE(9680),
    [sym_polymorphic_variant_pattern] = STATE(9680),
    [sym_record_pattern] = STATE(9680),
    [sym_list_pattern] = STATE(9680),
    [sym_array_pattern] = STATE(9680),
    [sym_local_open_pattern] = STATE(9680),
    [sym_package_pattern] = STATE(9680),
    [sym_parenthesized_pattern] = STATE(9680),
    [sym_attribute] = STATE(3030),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9680),
    [sym_quoted_extension] = STATE(9680),
    [sym__constant] = STATE(9729),
    [sym__signed_constant] = STATE(9680),
    [sym_number] = STATE(9522),
    [sym_signed_number] = STATE(9729),
    [sym_character] = STATE(9522),
    [sym_string] = STATE(9522),
    [sym_quoted_string] = STATE(9522),
    [sym_boolean] = STATE(9522),
    [sym_unit] = STATE(9522),
    [sym__simple_value_pattern] = STATE(9680),
    [sym_parenthesized_operator] = STATE(9680),
    [sym_module_path] = STATE(23304),
    [sym_constructor_path] = STATE(9680),
    [sym__constructor_name] = STATE(9568),
    [sym_tag] = STATE(9680),
    [aux_sym_expression_item_repeat1] = STATE(12589),
    [aux_sym_let_binding_repeat1] = STATE(3032),
    [sym__lowercase_identifier] = ACTIONS(8217),
    [anon_sym_SEMI_SEMI] = ACTIONS(8091),
    [anon_sym_and] = ACTIONS(8093),
    [anon_sym_EQ] = ACTIONS(8361),
    [anon_sym_TILDE] = ACTIONS(8221),
    [anon_sym_QMARK] = ACTIONS(8221),
    [anon_sym_LPAREN] = ACTIONS(8223),
    [anon_sym_external] = ACTIONS(8093),
    [anon_sym_type] = ACTIONS(8093),
    [anon_sym_LBRACK] = ACTIONS(8225),
    [anon_sym_true] = ACTIONS(8227),
    [anon_sym_false] = ACTIONS(8227),
    [anon_sym_COLON2] = ACTIONS(8229),
    [anon_sym_LBRACE] = ACTIONS(8231),
    [anon_sym_exception] = ACTIONS(8093),
    [anon_sym_module] = ACTIONS(8093),
    [anon_sym_open] = ACTIONS(8093),
    [anon_sym_include] = ACTIONS(8093),
    [anon_sym_class] = ACTIONS(8093),
    [anon_sym_val] = ACTIONS(8093),
    [anon_sym_end] = ACTIONS(8093),
    [anon_sym_POUND] = ACTIONS(8233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8235),
    [anon_sym_begin] = ACTIONS(8237),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8091),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8241),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8091),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8091),
    [aux_sym_number_token1] = ACTIONS(8243),
    [aux_sym_signed_number_token1] = ACTIONS(8245),
    [anon_sym_SQUOTE] = ACTIONS(8247),
    [anon_sym_DQUOTE] = ACTIONS(8249),
    [sym__uppercase_identifier] = ACTIONS(8251),
    [aux_sym_tag_token1] = ACTIONS(8253),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3031] = {
    [sym_parameter] = STATE(9573),
    [sym__class_typed] = STATE(14091),
    [sym__parenthesized_abstract_type] = STATE(9573),
    [sym__simple_pattern] = STATE(9746),
    [sym_typed_pattern] = STATE(9680),
    [sym_polymorphic_variant_pattern] = STATE(9680),
    [sym_record_pattern] = STATE(9680),
    [sym_list_pattern] = STATE(9680),
    [sym_array_pattern] = STATE(9680),
    [sym_local_open_pattern] = STATE(9680),
    [sym_package_pattern] = STATE(9680),
    [sym_parenthesized_pattern] = STATE(9680),
    [sym_attribute] = STATE(3031),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9680),
    [sym_quoted_extension] = STATE(9680),
    [sym__constant] = STATE(9729),
    [sym__signed_constant] = STATE(9680),
    [sym_number] = STATE(9522),
    [sym_signed_number] = STATE(9729),
    [sym_character] = STATE(9522),
    [sym_string] = STATE(9522),
    [sym_quoted_string] = STATE(9522),
    [sym_boolean] = STATE(9522),
    [sym_unit] = STATE(9522),
    [sym__simple_value_pattern] = STATE(9680),
    [sym_parenthesized_operator] = STATE(9680),
    [sym_module_path] = STATE(23304),
    [sym_constructor_path] = STATE(9680),
    [sym__constructor_name] = STATE(9568),
    [sym_tag] = STATE(9680),
    [aux_sym_expression_item_repeat1] = STATE(12424),
    [aux_sym_let_binding_repeat1] = STATE(3111),
    [sym__lowercase_identifier] = ACTIONS(8217),
    [anon_sym_SEMI_SEMI] = ACTIONS(8065),
    [anon_sym_and] = ACTIONS(8067),
    [anon_sym_EQ] = ACTIONS(8363),
    [anon_sym_TILDE] = ACTIONS(8221),
    [anon_sym_QMARK] = ACTIONS(8221),
    [anon_sym_LPAREN] = ACTIONS(8223),
    [anon_sym_external] = ACTIONS(8067),
    [anon_sym_type] = ACTIONS(8067),
    [anon_sym_LBRACK] = ACTIONS(8225),
    [anon_sym_true] = ACTIONS(8227),
    [anon_sym_false] = ACTIONS(8227),
    [anon_sym_COLON2] = ACTIONS(8229),
    [anon_sym_LBRACE] = ACTIONS(8231),
    [anon_sym_exception] = ACTIONS(8067),
    [anon_sym_module] = ACTIONS(8067),
    [anon_sym_open] = ACTIONS(8067),
    [anon_sym_include] = ACTIONS(8067),
    [anon_sym_class] = ACTIONS(8067),
    [anon_sym_val] = ACTIONS(8067),
    [anon_sym_end] = ACTIONS(8067),
    [anon_sym_POUND] = ACTIONS(8233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8235),
    [anon_sym_begin] = ACTIONS(8237),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8065),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8241),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8065),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8065),
    [aux_sym_number_token1] = ACTIONS(8243),
    [aux_sym_signed_number_token1] = ACTIONS(8245),
    [anon_sym_SQUOTE] = ACTIONS(8247),
    [anon_sym_DQUOTE] = ACTIONS(8249),
    [sym__uppercase_identifier] = ACTIONS(8251),
    [aux_sym_tag_token1] = ACTIONS(8253),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3032] = {
    [sym_parameter] = STATE(9573),
    [sym__class_typed] = STATE(14104),
    [sym__parenthesized_abstract_type] = STATE(9573),
    [sym__simple_pattern] = STATE(9746),
    [sym_typed_pattern] = STATE(9680),
    [sym_polymorphic_variant_pattern] = STATE(9680),
    [sym_record_pattern] = STATE(9680),
    [sym_list_pattern] = STATE(9680),
    [sym_array_pattern] = STATE(9680),
    [sym_local_open_pattern] = STATE(9680),
    [sym_package_pattern] = STATE(9680),
    [sym_parenthesized_pattern] = STATE(9680),
    [sym_attribute] = STATE(3032),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9680),
    [sym_quoted_extension] = STATE(9680),
    [sym__constant] = STATE(9729),
    [sym__signed_constant] = STATE(9680),
    [sym_number] = STATE(9522),
    [sym_signed_number] = STATE(9729),
    [sym_character] = STATE(9522),
    [sym_string] = STATE(9522),
    [sym_quoted_string] = STATE(9522),
    [sym_boolean] = STATE(9522),
    [sym_unit] = STATE(9522),
    [sym__simple_value_pattern] = STATE(9680),
    [sym_parenthesized_operator] = STATE(9680),
    [sym_module_path] = STATE(23304),
    [sym_constructor_path] = STATE(9680),
    [sym__constructor_name] = STATE(9568),
    [sym_tag] = STATE(9680),
    [aux_sym_expression_item_repeat1] = STATE(12354),
    [aux_sym_let_binding_repeat1] = STATE(3111),
    [sym__lowercase_identifier] = ACTIONS(8217),
    [anon_sym_SEMI_SEMI] = ACTIONS(8097),
    [anon_sym_and] = ACTIONS(8099),
    [anon_sym_EQ] = ACTIONS(8365),
    [anon_sym_TILDE] = ACTIONS(8221),
    [anon_sym_QMARK] = ACTIONS(8221),
    [anon_sym_LPAREN] = ACTIONS(8223),
    [anon_sym_external] = ACTIONS(8099),
    [anon_sym_type] = ACTIONS(8099),
    [anon_sym_LBRACK] = ACTIONS(8225),
    [anon_sym_true] = ACTIONS(8227),
    [anon_sym_false] = ACTIONS(8227),
    [anon_sym_COLON2] = ACTIONS(8229),
    [anon_sym_LBRACE] = ACTIONS(8231),
    [anon_sym_exception] = ACTIONS(8099),
    [anon_sym_module] = ACTIONS(8099),
    [anon_sym_open] = ACTIONS(8099),
    [anon_sym_include] = ACTIONS(8099),
    [anon_sym_class] = ACTIONS(8099),
    [anon_sym_val] = ACTIONS(8099),
    [anon_sym_end] = ACTIONS(8099),
    [anon_sym_POUND] = ACTIONS(8233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8235),
    [anon_sym_begin] = ACTIONS(8237),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8097),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8241),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8097),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8097),
    [aux_sym_number_token1] = ACTIONS(8243),
    [aux_sym_signed_number_token1] = ACTIONS(8245),
    [anon_sym_SQUOTE] = ACTIONS(8247),
    [anon_sym_DQUOTE] = ACTIONS(8249),
    [sym__uppercase_identifier] = ACTIONS(8251),
    [aux_sym_tag_token1] = ACTIONS(8253),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3033] = {
    [sym_parameter] = STATE(9573),
    [sym__class_typed] = STATE(14084),
    [sym__parenthesized_abstract_type] = STATE(9573),
    [sym__simple_pattern] = STATE(9746),
    [sym_typed_pattern] = STATE(9680),
    [sym_polymorphic_variant_pattern] = STATE(9680),
    [sym_record_pattern] = STATE(9680),
    [sym_list_pattern] = STATE(9680),
    [sym_array_pattern] = STATE(9680),
    [sym_local_open_pattern] = STATE(9680),
    [sym_package_pattern] = STATE(9680),
    [sym_parenthesized_pattern] = STATE(9680),
    [sym_attribute] = STATE(3033),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9680),
    [sym_quoted_extension] = STATE(9680),
    [sym__constant] = STATE(9729),
    [sym__signed_constant] = STATE(9680),
    [sym_number] = STATE(9522),
    [sym_signed_number] = STATE(9729),
    [sym_character] = STATE(9522),
    [sym_string] = STATE(9522),
    [sym_quoted_string] = STATE(9522),
    [sym_boolean] = STATE(9522),
    [sym_unit] = STATE(9522),
    [sym__simple_value_pattern] = STATE(9680),
    [sym_parenthesized_operator] = STATE(9680),
    [sym_module_path] = STATE(23304),
    [sym_constructor_path] = STATE(9680),
    [sym__constructor_name] = STATE(9568),
    [sym_tag] = STATE(9680),
    [aux_sym_expression_item_repeat1] = STATE(12351),
    [aux_sym_let_binding_repeat1] = STATE(3111),
    [sym__lowercase_identifier] = ACTIONS(8217),
    [anon_sym_SEMI_SEMI] = ACTIONS(8059),
    [anon_sym_and] = ACTIONS(8061),
    [anon_sym_EQ] = ACTIONS(8367),
    [anon_sym_TILDE] = ACTIONS(8221),
    [anon_sym_QMARK] = ACTIONS(8221),
    [anon_sym_LPAREN] = ACTIONS(8223),
    [anon_sym_external] = ACTIONS(8061),
    [anon_sym_type] = ACTIONS(8061),
    [anon_sym_LBRACK] = ACTIONS(8225),
    [anon_sym_true] = ACTIONS(8227),
    [anon_sym_false] = ACTIONS(8227),
    [anon_sym_COLON2] = ACTIONS(8229),
    [anon_sym_LBRACE] = ACTIONS(8231),
    [anon_sym_exception] = ACTIONS(8061),
    [anon_sym_module] = ACTIONS(8061),
    [anon_sym_open] = ACTIONS(8061),
    [anon_sym_include] = ACTIONS(8061),
    [anon_sym_class] = ACTIONS(8061),
    [anon_sym_val] = ACTIONS(8061),
    [anon_sym_end] = ACTIONS(8061),
    [anon_sym_POUND] = ACTIONS(8233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8235),
    [anon_sym_begin] = ACTIONS(8237),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8059),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8239),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8241),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8059),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8059),
    [aux_sym_number_token1] = ACTIONS(8243),
    [aux_sym_signed_number_token1] = ACTIONS(8245),
    [anon_sym_SQUOTE] = ACTIONS(8247),
    [anon_sym_DQUOTE] = ACTIONS(8249),
    [sym__uppercase_identifier] = ACTIONS(8251),
    [aux_sym_tag_token1] = ACTIONS(8253),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3034] = {
    [sym_parameter] = STATE(9725),
    [sym__class_typed] = STATE(14006),
    [sym__parenthesized_abstract_type] = STATE(9725),
    [sym__simple_pattern] = STATE(9726),
    [sym_typed_pattern] = STATE(9572),
    [sym_polymorphic_variant_pattern] = STATE(9572),
    [sym_record_pattern] = STATE(9572),
    [sym_list_pattern] = STATE(9572),
    [sym_array_pattern] = STATE(9572),
    [sym_local_open_pattern] = STATE(9572),
    [sym_package_pattern] = STATE(9572),
    [sym_parenthesized_pattern] = STATE(9572),
    [sym_attribute] = STATE(3034),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(9572),
    [sym_quoted_extension] = STATE(9572),
    [sym__constant] = STATE(9600),
    [sym__signed_constant] = STATE(9572),
    [sym_number] = STATE(9702),
    [sym_signed_number] = STATE(9600),
    [sym_character] = STATE(9702),
    [sym_string] = STATE(9702),
    [sym_quoted_string] = STATE(9702),
    [sym_boolean] = STATE(9702),
    [sym_unit] = STATE(9702),
    [sym__simple_value_pattern] = STATE(9572),
    [sym_parenthesized_operator] = STATE(9572),
    [sym_module_path] = STATE(22693),
    [sym_constructor_path] = STATE(9572),
    [sym__constructor_name] = STATE(9532),
    [sym_tag] = STATE(9572),
    [aux_sym_expression_item_repeat1] = STATE(12424),
    [aux_sym_let_binding_repeat1] = STATE(3043),
    [sym__lowercase_identifier] = ACTIONS(8263),
    [anon_sym_SEMI_SEMI] = ACTIONS(8065),
    [anon_sym_and] = ACTIONS(8067),
    [anon_sym_EQ] = ACTIONS(8369),
    [anon_sym_TILDE] = ACTIONS(8267),
    [anon_sym_QMARK] = ACTIONS(8267),
    [anon_sym_LPAREN] = ACTIONS(8269),
    [anon_sym_external] = ACTIONS(8067),
    [anon_sym_type] = ACTIONS(8067),
    [anon_sym_LBRACK] = ACTIONS(8271),
    [anon_sym_RBRACK] = ACTIONS(8065),
    [anon_sym_true] = ACTIONS(8273),
    [anon_sym_false] = ACTIONS(8273),
    [anon_sym_COLON2] = ACTIONS(8275),
    [anon_sym_LBRACE] = ACTIONS(8277),
    [anon_sym_exception] = ACTIONS(8067),
    [anon_sym_module] = ACTIONS(8067),
    [anon_sym_open] = ACTIONS(8067),
    [anon_sym_include] = ACTIONS(8067),
    [anon_sym_class] = ACTIONS(8067),
    [anon_sym_val] = ACTIONS(8067),
    [anon_sym_POUND] = ACTIONS(8279),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8281),
    [anon_sym_begin] = ACTIONS(8283),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8065),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8285),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8287),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8065),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8065),
    [aux_sym_number_token1] = ACTIONS(8289),
    [aux_sym_signed_number_token1] = ACTIONS(8291),
    [anon_sym_SQUOTE] = ACTIONS(8293),
    [anon_sym_DQUOTE] = ACTIONS(8295),
    [sym__uppercase_identifier] = ACTIONS(8297),
    [aux_sym_tag_token1] = ACTIONS(8299),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3035] = {
    [sym_parameter] = STATE(8795),
    [sym__parenthesized_abstract_type] = STATE(8795),
    [sym__simple_pattern] = STATE(8796),
    [sym_typed_pattern] = STATE(8826),
    [sym_polymorphic_variant_pattern] = STATE(8826),
    [sym_record_pattern] = STATE(8826),
    [sym_list_pattern] = STATE(8826),
    [sym_array_pattern] = STATE(8826),
    [sym_local_open_pattern] = STATE(8826),
    [sym_package_pattern] = STATE(8826),
    [sym_parenthesized_pattern] = STATE(8826),
    [sym_attribute] = STATE(3035),
    [sym_extension] = STATE(8826),
    [sym_quoted_extension] = STATE(8826),
    [sym__constant] = STATE(8771),
    [sym__signed_constant] = STATE(8826),
    [sym_number] = STATE(8837),
    [sym_signed_number] = STATE(8771),
    [sym_character] = STATE(8837),
    [sym_string] = STATE(8837),
    [sym_quoted_string] = STATE(8837),
    [sym_boolean] = STATE(8837),
    [sym_unit] = STATE(8837),
    [sym__simple_value_pattern] = STATE(8826),
    [sym_parenthesized_operator] = STATE(8826),
    [sym_module_path] = STATE(20937),
    [sym_constructor_path] = STATE(8826),
    [sym__constructor_name] = STATE(8838),
    [sym_tag] = STATE(8826),
    [aux_sym_let_binding_repeat1] = STATE(3035),
    [ts_builtin_sym_end] = ACTIONS(8371),
    [sym__lowercase_identifier] = ACTIONS(8373),
    [anon_sym_SEMI_SEMI] = ACTIONS(8371),
    [anon_sym_let] = ACTIONS(8376),
    [anon_sym_and] = ACTIONS(8376),
    [anon_sym_EQ] = ACTIONS(8371),
    [anon_sym_TILDE] = ACTIONS(8378),
    [anon_sym_QMARK] = ACTIONS(8378),
    [anon_sym_LPAREN] = ACTIONS(8381),
    [anon_sym_external] = ACTIONS(8376),
    [anon_sym_type] = ACTIONS(8376),
    [anon_sym_LBRACK] = ACTIONS(8384),
    [anon_sym_RBRACK] = ACTIONS(8371),
    [anon_sym_true] = ACTIONS(8387),
    [anon_sym_false] = ACTIONS(8387),
    [anon_sym_COLON2] = ACTIONS(8371),
    [anon_sym_LBRACE] = ACTIONS(8390),
    [anon_sym_exception] = ACTIONS(8376),
    [anon_sym_module] = ACTIONS(8376),
    [anon_sym_open] = ACTIONS(8376),
    [anon_sym_include] = ACTIONS(8376),
    [anon_sym_class] = ACTIONS(8376),
    [anon_sym_POUND] = ACTIONS(8393),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8396),
    [anon_sym_begin] = ACTIONS(8399),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8376),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8371),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8402),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8405),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8371),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8371),
    [aux_sym_number_token1] = ACTIONS(8408),
    [aux_sym_signed_number_token1] = ACTIONS(8411),
    [anon_sym_SQUOTE] = ACTIONS(8414),
    [anon_sym_DQUOTE] = ACTIONS(8417),
    [sym_let_operator] = ACTIONS(8371),
    [sym__uppercase_identifier] = ACTIONS(8420),
    [aux_sym_directive_token1] = ACTIONS(8376),
    [aux_sym_tag_token1] = ACTIONS(8423),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3036] = {
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(10678),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3036),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_and] = ACTIONS(5627),
    [anon_sym_COLON_GT] = ACTIONS(5623),
    [anon_sym_EQ] = ACTIONS(5623),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_in] = ACTIONS(5627),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5623),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym_let_and_operator] = ACTIONS(5623),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3037] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15311),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3037),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_COMMA] = ACTIONS(7931),
    [anon_sym_PIPE] = ACTIONS(7931),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(7931),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_SEMI] = ACTIONS(7931),
    [anon_sym_RBRACE] = ACTIONS(7931),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_as] = ACTIONS(7937),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(7931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3038] = {
    [sym__parenthesized_abstract_type] = STATE(3649),
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16680),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3038),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8430),
    [anon_sym_COMMA] = ACTIONS(7931),
    [anon_sym_PIPE] = ACTIONS(7937),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_SEMI] = ACTIONS(7931),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_as] = ACTIONS(7937),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_COLON_COLON] = ACTIONS(7931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7931),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3039] = {
    [sym_parameter] = STATE(9033),
    [sym__parenthesized_abstract_type] = STATE(9033),
    [sym__simple_pattern] = STATE(9034),
    [sym_typed_pattern] = STATE(8929),
    [sym_polymorphic_variant_pattern] = STATE(8929),
    [sym_record_pattern] = STATE(8929),
    [sym_list_pattern] = STATE(8929),
    [sym_array_pattern] = STATE(8929),
    [sym_local_open_pattern] = STATE(8929),
    [sym_package_pattern] = STATE(8929),
    [sym_parenthesized_pattern] = STATE(8929),
    [sym_attribute] = STATE(3039),
    [sym_extension] = STATE(8929),
    [sym_quoted_extension] = STATE(8929),
    [sym__constant] = STATE(9006),
    [sym__signed_constant] = STATE(8929),
    [sym_number] = STATE(8950),
    [sym_signed_number] = STATE(9006),
    [sym_character] = STATE(8950),
    [sym_string] = STATE(8950),
    [sym_quoted_string] = STATE(8950),
    [sym_boolean] = STATE(8950),
    [sym_unit] = STATE(8950),
    [sym__simple_value_pattern] = STATE(8929),
    [sym_parenthesized_operator] = STATE(8929),
    [sym_module_path] = STATE(22094),
    [sym_constructor_path] = STATE(8929),
    [sym__constructor_name] = STATE(8978),
    [sym_tag] = STATE(8929),
    [aux_sym_let_binding_repeat1] = STATE(3039),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_SEMI_SEMI] = ACTIONS(8371),
    [anon_sym_let] = ACTIONS(8376),
    [anon_sym_and] = ACTIONS(8376),
    [anon_sym_EQ] = ACTIONS(8371),
    [anon_sym_TILDE] = ACTIONS(8469),
    [anon_sym_QMARK] = ACTIONS(8469),
    [anon_sym_LPAREN] = ACTIONS(8472),
    [anon_sym_external] = ACTIONS(8376),
    [anon_sym_type] = ACTIONS(8376),
    [anon_sym_LBRACK] = ACTIONS(8475),
    [anon_sym_true] = ACTIONS(8478),
    [anon_sym_false] = ACTIONS(8478),
    [anon_sym_COLON2] = ACTIONS(8371),
    [anon_sym_LBRACE] = ACTIONS(8481),
    [anon_sym_exception] = ACTIONS(8376),
    [anon_sym_module] = ACTIONS(8376),
    [anon_sym_open] = ACTIONS(8376),
    [anon_sym_include] = ACTIONS(8376),
    [anon_sym_class] = ACTIONS(8376),
    [anon_sym_end] = ACTIONS(8376),
    [anon_sym_POUND] = ACTIONS(8484),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8487),
    [anon_sym_begin] = ACTIONS(8490),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8376),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8371),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8493),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8496),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8371),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8371),
    [aux_sym_number_token1] = ACTIONS(8499),
    [aux_sym_signed_number_token1] = ACTIONS(8502),
    [anon_sym_SQUOTE] = ACTIONS(8505),
    [anon_sym_DQUOTE] = ACTIONS(8508),
    [sym_let_operator] = ACTIONS(8371),
    [sym__uppercase_identifier] = ACTIONS(8511),
    [aux_sym_directive_token1] = ACTIONS(8376),
    [aux_sym_tag_token1] = ACTIONS(8514),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3040] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16681),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3040),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_COMMA] = ACTIONS(7931),
    [anon_sym_PIPE] = ACTIONS(7937),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_SEMI] = ACTIONS(7931),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_as] = ACTIONS(7937),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_COLON_COLON] = ACTIONS(7931),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(7931),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3041] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20512),
    [sym_module_definition] = STATE(20513),
    [sym_open_module] = STATE(20514),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3041),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3042] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(22633),
    [sym_module_definition] = STATE(22634),
    [sym_open_module] = STATE(22635),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3042),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3043] = {
    [sym_parameter] = STATE(9725),
    [sym__parenthesized_abstract_type] = STATE(9725),
    [sym__simple_pattern] = STATE(9726),
    [sym_typed_pattern] = STATE(9572),
    [sym_polymorphic_variant_pattern] = STATE(9572),
    [sym_record_pattern] = STATE(9572),
    [sym_list_pattern] = STATE(9572),
    [sym_array_pattern] = STATE(9572),
    [sym_local_open_pattern] = STATE(9572),
    [sym_package_pattern] = STATE(9572),
    [sym_parenthesized_pattern] = STATE(9572),
    [sym_attribute] = STATE(3043),
    [sym_extension] = STATE(9572),
    [sym_quoted_extension] = STATE(9572),
    [sym__constant] = STATE(9600),
    [sym__signed_constant] = STATE(9572),
    [sym_number] = STATE(9702),
    [sym_signed_number] = STATE(9600),
    [sym_character] = STATE(9702),
    [sym_string] = STATE(9702),
    [sym_quoted_string] = STATE(9702),
    [sym_boolean] = STATE(9702),
    [sym_unit] = STATE(9702),
    [sym__simple_value_pattern] = STATE(9572),
    [sym_parenthesized_operator] = STATE(9572),
    [sym_module_path] = STATE(22693),
    [sym_constructor_path] = STATE(9572),
    [sym__constructor_name] = STATE(9532),
    [sym_tag] = STATE(9572),
    [aux_sym_let_binding_repeat1] = STATE(3043),
    [sym__lowercase_identifier] = ACTIONS(8529),
    [anon_sym_SEMI_SEMI] = ACTIONS(8371),
    [anon_sym_and] = ACTIONS(8376),
    [anon_sym_EQ] = ACTIONS(8371),
    [anon_sym_TILDE] = ACTIONS(8532),
    [anon_sym_QMARK] = ACTIONS(8532),
    [anon_sym_LPAREN] = ACTIONS(8535),
    [anon_sym_external] = ACTIONS(8376),
    [anon_sym_type] = ACTIONS(8376),
    [anon_sym_LBRACK] = ACTIONS(8538),
    [anon_sym_RBRACK] = ACTIONS(8371),
    [anon_sym_true] = ACTIONS(8541),
    [anon_sym_false] = ACTIONS(8541),
    [anon_sym_COLON2] = ACTIONS(8371),
    [anon_sym_LBRACE] = ACTIONS(8544),
    [anon_sym_exception] = ACTIONS(8376),
    [anon_sym_module] = ACTIONS(8376),
    [anon_sym_open] = ACTIONS(8376),
    [anon_sym_include] = ACTIONS(8376),
    [anon_sym_class] = ACTIONS(8376),
    [anon_sym_val] = ACTIONS(8376),
    [anon_sym_POUND] = ACTIONS(8547),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8550),
    [anon_sym_begin] = ACTIONS(8553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8376),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8371),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8556),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8559),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8371),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8371),
    [aux_sym_number_token1] = ACTIONS(8562),
    [aux_sym_signed_number_token1] = ACTIONS(8565),
    [anon_sym_SQUOTE] = ACTIONS(8568),
    [anon_sym_DQUOTE] = ACTIONS(8571),
    [sym__uppercase_identifier] = ACTIONS(8574),
    [aux_sym_tag_token1] = ACTIONS(8577),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3044] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(22833),
    [sym_module_definition] = STATE(22834),
    [sym_open_module] = STATE(22835),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3044),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3045] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21965),
    [sym_module_definition] = STATE(21966),
    [sym_open_module] = STATE(21968),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3045),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3046] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(23069),
    [sym_module_definition] = STATE(23071),
    [sym_open_module] = STATE(23072),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3046),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3047] = {
    [sym_let_binding] = STATE(13741),
    [sym_exception_definition] = STATE(21144),
    [sym_module_definition] = STATE(21148),
    [sym_open_module] = STATE(21150),
    [sym__simple_binding_pattern] = STATE(6587),
    [sym__binding_pattern] = STATE(2917),
    [sym_alias_binding_pattern] = STATE(6587),
    [sym_typed_binding_pattern] = STATE(6615),
    [sym__or_binding_pattern_anonymous] = STATE(6616),
    [sym_constructor_binding_pattern] = STATE(6587),
    [sym_tag_binding_pattern] = STATE(6587),
    [sym_polymorphic_variant_pattern] = STATE(6615),
    [sym_labeled_tuple_element_binding_pattern] = STATE(22867),
    [sym__tuple_binding_pattern] = STATE(6601),
    [sym_record_binding_pattern] = STATE(6605),
    [sym_list_binding_pattern] = STATE(6606),
    [sym_cons_binding_pattern] = STATE(6587),
    [sym_array_binding_pattern] = STATE(6641),
    [sym_range_pattern] = STATE(6587),
    [sym_lazy_binding_pattern] = STATE(6587),
    [sym_local_open_binding_pattern] = STATE(6615),
    [sym_package_pattern] = STATE(6615),
    [sym_parenthesized_binding_pattern] = STATE(6615),
    [sym_attribute] = STATE(3047),
    [sym_extension] = STATE(6615),
    [sym_quoted_extension] = STATE(6615),
    [sym__attribute] = STATE(4705),
    [sym__constant] = STATE(6546),
    [sym__signed_constant] = STATE(6555),
    [sym_number] = STATE(6582),
    [sym_signed_number] = STATE(6546),
    [sym_character] = STATE(6582),
    [sym_string] = STATE(6582),
    [sym_quoted_string] = STATE(6582),
    [sym_boolean] = STATE(6582),
    [sym_unit] = STATE(6582),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6596),
    [sym_module_path] = STATE(21230),
    [sym_constructor_path] = STATE(2858),
    [sym__constructor_name] = STATE(6525),
    [sym_tag] = STATE(2867),
    [sym__lowercase_identifier] = ACTIONS(5625),
    [anon_sym_rec] = ACTIONS(8580),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(5633),
    [anon_sym_true] = ACTIONS(5635),
    [anon_sym_false] = ACTIONS(5635),
    [anon_sym_LBRACE] = ACTIONS(5637),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(5639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5641),
    [anon_sym_lazy] = ACTIONS(5643),
    [anon_sym_begin] = ACTIONS(5645),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8582),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8584),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(5651),
    [aux_sym_signed_number_token1] = ACTIONS(5653),
    [anon_sym_SQUOTE] = ACTIONS(5655),
    [anon_sym_DQUOTE] = ACTIONS(5657),
    [sym__uppercase_identifier] = ACTIONS(5659),
    [aux_sym_tag_token1] = ACTIONS(5661),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3048] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20535),
    [sym_module_definition] = STATE(21100),
    [sym_open_module] = STATE(21180),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3048),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3049] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10579),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16093),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3049),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3225),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8586),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3050] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10010),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16033),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3050),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3201),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8590),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3051] = {
    [sym_let_binding] = STATE(13702),
    [sym_exception_definition] = STATE(20535),
    [sym_module_definition] = STATE(21100),
    [sym_open_module] = STATE(21180),
    [sym__simple_binding_pattern] = STATE(6587),
    [sym__binding_pattern] = STATE(2922),
    [sym_alias_binding_pattern] = STATE(6587),
    [sym_typed_binding_pattern] = STATE(6615),
    [sym__or_binding_pattern_anonymous] = STATE(6616),
    [sym_constructor_binding_pattern] = STATE(6587),
    [sym_tag_binding_pattern] = STATE(6587),
    [sym_polymorphic_variant_pattern] = STATE(6615),
    [sym_labeled_tuple_element_binding_pattern] = STATE(22867),
    [sym__tuple_binding_pattern] = STATE(6601),
    [sym_record_binding_pattern] = STATE(6605),
    [sym_list_binding_pattern] = STATE(6606),
    [sym_cons_binding_pattern] = STATE(6587),
    [sym_array_binding_pattern] = STATE(6641),
    [sym_range_pattern] = STATE(6587),
    [sym_lazy_binding_pattern] = STATE(6587),
    [sym_local_open_binding_pattern] = STATE(6615),
    [sym_package_pattern] = STATE(6615),
    [sym_parenthesized_binding_pattern] = STATE(6615),
    [sym_attribute] = STATE(3051),
    [sym_extension] = STATE(6615),
    [sym_quoted_extension] = STATE(6615),
    [sym__attribute] = STATE(4745),
    [sym__constant] = STATE(6546),
    [sym__signed_constant] = STATE(6555),
    [sym_number] = STATE(6582),
    [sym_signed_number] = STATE(6546),
    [sym_character] = STATE(6582),
    [sym_string] = STATE(6582),
    [sym_quoted_string] = STATE(6582),
    [sym_boolean] = STATE(6582),
    [sym_unit] = STATE(6582),
    [sym__value_name] = STATE(6615),
    [sym_parenthesized_operator] = STATE(6596),
    [sym_module_path] = STATE(21230),
    [sym_constructor_path] = STATE(2858),
    [sym__constructor_name] = STATE(6525),
    [sym_tag] = STATE(2867),
    [sym__lowercase_identifier] = ACTIONS(5625),
    [anon_sym_rec] = ACTIONS(8592),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(5633),
    [anon_sym_true] = ACTIONS(5635),
    [anon_sym_false] = ACTIONS(5635),
    [anon_sym_LBRACE] = ACTIONS(5637),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(5639),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5641),
    [anon_sym_lazy] = ACTIONS(5643),
    [anon_sym_begin] = ACTIONS(5645),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8582),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8584),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(5651),
    [aux_sym_signed_number_token1] = ACTIONS(5653),
    [anon_sym_SQUOTE] = ACTIONS(5655),
    [anon_sym_DQUOTE] = ACTIONS(5657),
    [sym__uppercase_identifier] = ACTIONS(5659),
    [aux_sym_tag_token1] = ACTIONS(5661),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3052] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(23293),
    [sym_module_definition] = STATE(23295),
    [sym_open_module] = STATE(23300),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3052),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3053] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(14632),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15952),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3053),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3200),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3054] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(23635),
    [sym_module_definition] = STATE(23637),
    [sym_open_module] = STATE(23638),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3054),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3055] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3055),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3211),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3056] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21670),
    [sym_module_definition] = STATE(21675),
    [sym_open_module] = STATE(21732),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3056),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3057] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(22193),
    [sym_module_definition] = STATE(22197),
    [sym_open_module] = STATE(22200),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3057),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3058] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(9860),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16304),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3058),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3357),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8598),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3059] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21957),
    [sym_module_definition] = STATE(22003),
    [sym_open_module] = STATE(22031),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3059),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3060] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20672),
    [sym_module_definition] = STATE(20682),
    [sym_open_module] = STATE(20701),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3060),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3061] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(22324),
    [sym_module_definition] = STATE(22325),
    [sym_open_module] = STATE(22326),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3061),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3062] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21862),
    [sym_module_definition] = STATE(21868),
    [sym_open_module] = STATE(21870),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3062),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3063] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(23287),
    [sym_module_definition] = STATE(23288),
    [sym_open_module] = STATE(23294),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3063),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3064] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20686),
    [sym_module_definition] = STATE(20689),
    [sym_open_module] = STATE(20690),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3064),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3065] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3065),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3337),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3066] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21266),
    [sym_module_definition] = STATE(21273),
    [sym_open_module] = STATE(21274),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3066),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3067] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21847),
    [sym_module_definition] = STATE(21853),
    [sym_open_module] = STATE(21856),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3067),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3068] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10000),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16190),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3068),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3315),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8602),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3069] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(22339),
    [sym_module_definition] = STATE(22343),
    [sym_open_module] = STATE(22368),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3069),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3070] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21920),
    [sym_module_definition] = STATE(21922),
    [sym_open_module] = STATE(21929),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3070),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3071] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3071),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3299),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3072] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(22869),
    [sym_module_definition] = STATE(22870),
    [sym_open_module] = STATE(22873),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3072),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3073] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(14348),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16285),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3073),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3382),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8606),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3074] = {
    [sym__match_cases] = STATE(12362),
    [sym_match_case] = STATE(14428),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16119),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3074),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3340),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8608),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3075] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(23322),
    [sym_module_definition] = STATE(23330),
    [sym_open_module] = STATE(23336),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3075),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3076] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3076),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3339),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3077] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20462),
    [sym_module_definition] = STATE(20463),
    [sym_open_module] = STATE(20464),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3077),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3078] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3078),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3385),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3079] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3079),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3397),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3080] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20721),
    [sym_module_definition] = STATE(20722),
    [sym_open_module] = STATE(20725),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3080),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3081] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21021),
    [sym_module_definition] = STATE(21026),
    [sym_open_module] = STATE(21027),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3081),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3082] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10556),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15995),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3082),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3398),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8614),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3083] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21302),
    [sym_module_definition] = STATE(21305),
    [sym_open_module] = STATE(21306),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3083),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3084] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(23453),
    [sym_module_definition] = STATE(23454),
    [sym_open_module] = STATE(23458),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3084),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3085] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21606),
    [sym_module_definition] = STATE(21607),
    [sym_open_module] = STATE(21612),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3085),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3086] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21360),
    [sym_module_definition] = STATE(21362),
    [sym_open_module] = STATE(21365),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3086),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3087] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20529),
    [sym_module_definition] = STATE(20530),
    [sym_open_module] = STATE(20531),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3087),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3088] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21892),
    [sym_module_definition] = STATE(21893),
    [sym_open_module] = STATE(21894),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3088),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3089] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21544),
    [sym_module_definition] = STATE(21550),
    [sym_open_module] = STATE(21582),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3089),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3090] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3090),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3247),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3091] = {
    [sym__match_cases] = STATE(12362),
    [sym_match_case] = STATE(13408),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15949),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3091),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3366),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8618),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3092] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3092),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3401),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3093] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(9755),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16186),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3093),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3381),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8622),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3094] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20835),
    [sym_module_definition] = STATE(20837),
    [sym_open_module] = STATE(20839),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3094),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3095] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20733),
    [sym_module_definition] = STATE(20737),
    [sym_open_module] = STATE(20738),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3095),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3096] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(9914),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15964),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3096),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3242),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8624),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3097] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20832),
    [sym_module_definition] = STATE(20842),
    [sym_open_module] = STATE(20858),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3097),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3098] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20778),
    [sym_module_definition] = STATE(20779),
    [sym_open_module] = STATE(20781),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3098),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3099] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3099),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3204),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3100] = {
    [sym__match_cases] = STATE(12362),
    [sym_match_case] = STATE(14285),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16194),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3100),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3350),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8626),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3101] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3101),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3187),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3102] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10376),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16027),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3102),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3278),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8630),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3103] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21447),
    [sym_module_definition] = STATE(21449),
    [sym_open_module] = STATE(21451),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3103),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3104] = {
    [sym_let_binding] = STATE(13344),
    [sym_exception_definition] = STATE(22364),
    [sym_module_definition] = STATE(22365),
    [sym_open_module] = STATE(22369),
    [sym__simple_binding_pattern] = STATE(6856),
    [sym__binding_pattern] = STATE(2924),
    [sym_alias_binding_pattern] = STATE(6856),
    [sym_typed_binding_pattern] = STATE(6862),
    [sym__or_binding_pattern_anonymous] = STATE(6865),
    [sym_constructor_binding_pattern] = STATE(6856),
    [sym_tag_binding_pattern] = STATE(6856),
    [sym_polymorphic_variant_pattern] = STATE(6862),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21151),
    [sym__tuple_binding_pattern] = STATE(6893),
    [sym_record_binding_pattern] = STATE(6837),
    [sym_list_binding_pattern] = STATE(6858),
    [sym_cons_binding_pattern] = STATE(6856),
    [sym_array_binding_pattern] = STATE(6825),
    [sym_range_pattern] = STATE(6856),
    [sym_lazy_binding_pattern] = STATE(6856),
    [sym_local_open_binding_pattern] = STATE(6862),
    [sym_package_pattern] = STATE(6862),
    [sym_parenthesized_binding_pattern] = STATE(6862),
    [sym_attribute] = STATE(3104),
    [sym_extension] = STATE(6862),
    [sym_quoted_extension] = STATE(6862),
    [sym__attribute] = STATE(4783),
    [sym__constant] = STATE(6658),
    [sym__signed_constant] = STATE(6584),
    [sym_number] = STATE(6749),
    [sym_signed_number] = STATE(6658),
    [sym_character] = STATE(6749),
    [sym_string] = STATE(6749),
    [sym_quoted_string] = STATE(6749),
    [sym_boolean] = STATE(6749),
    [sym_unit] = STATE(6749),
    [sym__value_name] = STATE(6862),
    [sym_parenthesized_operator] = STATE(6857),
    [sym_module_path] = STATE(22082),
    [sym_constructor_path] = STATE(2866),
    [sym__constructor_name] = STATE(6593),
    [sym_tag] = STATE(2881),
    [sym__lowercase_identifier] = ACTIONS(5787),
    [anon_sym_rec] = ACTIONS(8632),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(6095),
    [anon_sym_LBRACK] = ACTIONS(5791),
    [anon_sym_true] = ACTIONS(5793),
    [anon_sym_false] = ACTIONS(5793),
    [anon_sym_LBRACE] = ACTIONS(5795),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(5797),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5799),
    [anon_sym_lazy] = ACTIONS(5801),
    [anon_sym_begin] = ACTIONS(5803),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8634),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8636),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(5809),
    [aux_sym_signed_number_token1] = ACTIONS(5811),
    [anon_sym_SQUOTE] = ACTIONS(5813),
    [anon_sym_DQUOTE] = ACTIONS(5815),
    [sym__uppercase_identifier] = ACTIONS(5817),
    [aux_sym_tag_token1] = ACTIONS(5819),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3105] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(22832),
    [sym_module_definition] = STATE(22836),
    [sym_open_module] = STATE(22839),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3105),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3106] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3106),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3377),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3107] = {
    [sym__match_cases] = STATE(12362),
    [sym_match_case] = STATE(14106),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16213),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3107),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3395),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8638),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3108] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3108),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3236),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3109] = {
    [sym__match_cases] = STATE(12362),
    [sym_match_case] = STATE(14518),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15971),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3109),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3312),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8642),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3110] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10087),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15969),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3110),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3178),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8644),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3111] = {
    [sym_parameter] = STATE(9573),
    [sym__parenthesized_abstract_type] = STATE(9573),
    [sym__simple_pattern] = STATE(9746),
    [sym_typed_pattern] = STATE(9680),
    [sym_polymorphic_variant_pattern] = STATE(9680),
    [sym_record_pattern] = STATE(9680),
    [sym_list_pattern] = STATE(9680),
    [sym_array_pattern] = STATE(9680),
    [sym_local_open_pattern] = STATE(9680),
    [sym_package_pattern] = STATE(9680),
    [sym_parenthesized_pattern] = STATE(9680),
    [sym_attribute] = STATE(3111),
    [sym_extension] = STATE(9680),
    [sym_quoted_extension] = STATE(9680),
    [sym__constant] = STATE(9729),
    [sym__signed_constant] = STATE(9680),
    [sym_number] = STATE(9522),
    [sym_signed_number] = STATE(9729),
    [sym_character] = STATE(9522),
    [sym_string] = STATE(9522),
    [sym_quoted_string] = STATE(9522),
    [sym_boolean] = STATE(9522),
    [sym_unit] = STATE(9522),
    [sym__simple_value_pattern] = STATE(9680),
    [sym_parenthesized_operator] = STATE(9680),
    [sym_module_path] = STATE(23304),
    [sym_constructor_path] = STATE(9680),
    [sym__constructor_name] = STATE(9568),
    [sym_tag] = STATE(9680),
    [aux_sym_let_binding_repeat1] = STATE(3111),
    [sym__lowercase_identifier] = ACTIONS(8646),
    [anon_sym_SEMI_SEMI] = ACTIONS(8371),
    [anon_sym_and] = ACTIONS(8376),
    [anon_sym_EQ] = ACTIONS(8371),
    [anon_sym_TILDE] = ACTIONS(8649),
    [anon_sym_QMARK] = ACTIONS(8649),
    [anon_sym_LPAREN] = ACTIONS(8652),
    [anon_sym_external] = ACTIONS(8376),
    [anon_sym_type] = ACTIONS(8376),
    [anon_sym_LBRACK] = ACTIONS(8655),
    [anon_sym_true] = ACTIONS(8658),
    [anon_sym_false] = ACTIONS(8658),
    [anon_sym_COLON2] = ACTIONS(8371),
    [anon_sym_LBRACE] = ACTIONS(8661),
    [anon_sym_exception] = ACTIONS(8376),
    [anon_sym_module] = ACTIONS(8376),
    [anon_sym_open] = ACTIONS(8376),
    [anon_sym_include] = ACTIONS(8376),
    [anon_sym_class] = ACTIONS(8376),
    [anon_sym_val] = ACTIONS(8376),
    [anon_sym_end] = ACTIONS(8376),
    [anon_sym_POUND] = ACTIONS(8664),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8667),
    [anon_sym_begin] = ACTIONS(8670),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8376),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8371),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8673),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8676),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8371),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8371),
    [aux_sym_number_token1] = ACTIONS(8679),
    [aux_sym_signed_number_token1] = ACTIONS(8682),
    [anon_sym_SQUOTE] = ACTIONS(8685),
    [anon_sym_DQUOTE] = ACTIONS(8688),
    [sym__uppercase_identifier] = ACTIONS(8691),
    [aux_sym_tag_token1] = ACTIONS(8694),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3112] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21716),
    [sym_module_definition] = STATE(21718),
    [sym_open_module] = STATE(21719),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3112),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3113] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(23331),
    [sym_module_definition] = STATE(23337),
    [sym_open_module] = STATE(23347),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3113),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3114] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3114),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3186),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3115] = {
    [sym__match_cases] = STATE(12362),
    [sym_match_case] = STATE(13274),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16045),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3115),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3237),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3116] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3116),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3268),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3117] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20850),
    [sym_module_definition] = STATE(20852),
    [sym_open_module] = STATE(20853),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3117),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3118] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21982),
    [sym_module_definition] = STATE(21983),
    [sym_open_module] = STATE(21984),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3118),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3119] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(9935),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16203),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3119),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3208),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3120] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21144),
    [sym_module_definition] = STATE(21148),
    [sym_open_module] = STATE(21150),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3120),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3121] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3121),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3384),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3122] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3122),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3266),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3123] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10217),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16152),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3123),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3239),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3124] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10005),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15996),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3124),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3306),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3125] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20554),
    [sym_module_definition] = STATE(20563),
    [sym_open_module] = STATE(20575),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3125),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3126] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3126),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3396),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3127] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(9950),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16272),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3127),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3269),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3128] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(23512),
    [sym_module_definition] = STATE(23524),
    [sym_open_module] = STATE(23735),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3128),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3129] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(22364),
    [sym_module_definition] = STATE(22365),
    [sym_open_module] = STATE(22369),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3129),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3130] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3130),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3184),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3131] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10254),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16161),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3131),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3297),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8711),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3132] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3132),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3265),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3133] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21768),
    [sym_module_definition] = STATE(21772),
    [sym_open_module] = STATE(21784),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3133),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3134] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3134),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3226),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3135] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10068),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15966),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3135),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3393),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8713),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3136] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(22349),
    [sym_module_definition] = STATE(22351),
    [sym_open_module] = STATE(22352),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3136),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3137] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3137),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3190),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3138] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(20997),
    [sym_module_definition] = STATE(20999),
    [sym_open_module] = STATE(21029),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3138),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3139] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3139),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3287),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3140] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(9812),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16277),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3140),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3160),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3141] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(22568),
    [sym_module_definition] = STATE(22587),
    [sym_open_module] = STATE(22622),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3141),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3142] = {
    [sym__match_cases] = STATE(9531),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3142),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3346),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3143] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(22492),
    [sym_module_definition] = STATE(22493),
    [sym_open_module] = STATE(22494),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3143),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3144] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10095),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15993),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3144),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3275),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3145] = {
    [sym__match_cases] = STATE(9728),
    [sym_match_case] = STATE(10577),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16160),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3145),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3233),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3146] = {
    [sym__match_cases] = STATE(9869),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3146),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3380),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3147] = {
    [sym_let_binding] = STATE(17215),
    [sym_exception_definition] = STATE(21175),
    [sym_module_definition] = STATE(21176),
    [sym_open_module] = STATE(21177),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3147),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_exception] = ACTIONS(8521),
    [anon_sym_module] = ACTIONS(8523),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3148] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(9914),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15964),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3148),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8624),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3149] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3149),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3150] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3150),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3151] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10556),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15995),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3151),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8614),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3152] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10556),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15995),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3152),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8614),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3153] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3153),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3154] = {
    [sym_parameter] = STATE(10520),
    [sym__polymorphic_typed] = STATE(15238),
    [sym__parenthesized_abstract_type] = STATE(10520),
    [sym__simple_pattern] = STATE(10522),
    [sym_typed_pattern] = STATE(10559),
    [sym_polymorphic_variant_pattern] = STATE(10559),
    [sym_record_pattern] = STATE(10559),
    [sym_list_pattern] = STATE(10559),
    [sym_array_pattern] = STATE(10559),
    [sym_local_open_pattern] = STATE(10559),
    [sym_package_pattern] = STATE(10559),
    [sym_parenthesized_pattern] = STATE(10559),
    [sym_attribute] = STATE(3154),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(10559),
    [sym_quoted_extension] = STATE(10559),
    [sym__constant] = STATE(10564),
    [sym__signed_constant] = STATE(10559),
    [sym_number] = STATE(10635),
    [sym_signed_number] = STATE(10564),
    [sym_character] = STATE(10635),
    [sym_string] = STATE(10635),
    [sym_quoted_string] = STATE(10635),
    [sym_boolean] = STATE(10635),
    [sym_unit] = STATE(10635),
    [sym__simple_value_pattern] = STATE(10559),
    [sym_parenthesized_operator] = STATE(10559),
    [sym_module_path] = STATE(21780),
    [sym_constructor_path] = STATE(10559),
    [sym__constructor_name] = STATE(10626),
    [sym_tag] = STATE(10559),
    [aux_sym_expression_item_repeat1] = STATE(15452),
    [aux_sym_let_binding_repeat1] = STATE(3172),
    [sym__lowercase_identifier] = ACTIONS(8723),
    [anon_sym_EQ] = ACTIONS(8725),
    [anon_sym_TILDE] = ACTIONS(8727),
    [anon_sym_QMARK] = ACTIONS(8727),
    [anon_sym_LPAREN] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(8731),
    [anon_sym_true] = ACTIONS(8733),
    [anon_sym_false] = ACTIONS(8733),
    [anon_sym_COLON2] = ACTIONS(8735),
    [anon_sym_LBRACE] = ACTIONS(8737),
    [anon_sym_constraint] = ACTIONS(8739),
    [anon_sym_val] = ACTIONS(8739),
    [anon_sym_end] = ACTIONS(8739),
    [anon_sym_inherit] = ACTIONS(8739),
    [anon_sym_method] = ACTIONS(8739),
    [anon_sym_initializer] = ACTIONS(8739),
    [anon_sym_POUND] = ACTIONS(8741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8743),
    [anon_sym_begin] = ACTIONS(8745),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8747),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8749),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8751),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8747),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8747),
    [aux_sym_number_token1] = ACTIONS(8753),
    [aux_sym_signed_number_token1] = ACTIONS(8755),
    [anon_sym_SQUOTE] = ACTIONS(8757),
    [anon_sym_DQUOTE] = ACTIONS(8759),
    [sym__uppercase_identifier] = ACTIONS(8761),
    [aux_sym_tag_token1] = ACTIONS(8763),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3155] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3155),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3156] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10556),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15995),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3156),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8614),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3157] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10556),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15995),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3157),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8614),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3158] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3158),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3159] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3159),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3160] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(9812),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16277),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3160),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3161] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3161),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3162] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3162),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3163] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3163),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3164] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3164),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3165] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3165),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3166] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3166),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3167] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3167),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3168] = {
    [sym__match_cases] = STATE(12654),
    [sym_match_case] = STATE(14106),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16213),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3168),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8638),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3169] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3169),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3170] = {
    [sym__match_cases] = STATE(12678),
    [sym_match_case] = STATE(14106),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16213),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3170),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8638),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3171] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3171),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3172] = {
    [sym_parameter] = STATE(10520),
    [sym__polymorphic_typed] = STATE(15287),
    [sym__parenthesized_abstract_type] = STATE(10520),
    [sym__simple_pattern] = STATE(10522),
    [sym_typed_pattern] = STATE(10559),
    [sym_polymorphic_variant_pattern] = STATE(10559),
    [sym_record_pattern] = STATE(10559),
    [sym_list_pattern] = STATE(10559),
    [sym_array_pattern] = STATE(10559),
    [sym_local_open_pattern] = STATE(10559),
    [sym_package_pattern] = STATE(10559),
    [sym_parenthesized_pattern] = STATE(10559),
    [sym_attribute] = STATE(3172),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(10559),
    [sym_quoted_extension] = STATE(10559),
    [sym__constant] = STATE(10564),
    [sym__signed_constant] = STATE(10559),
    [sym_number] = STATE(10635),
    [sym_signed_number] = STATE(10564),
    [sym_character] = STATE(10635),
    [sym_string] = STATE(10635),
    [sym_quoted_string] = STATE(10635),
    [sym_boolean] = STATE(10635),
    [sym_unit] = STATE(10635),
    [sym__simple_value_pattern] = STATE(10559),
    [sym_parenthesized_operator] = STATE(10559),
    [sym_module_path] = STATE(21780),
    [sym_constructor_path] = STATE(10559),
    [sym__constructor_name] = STATE(10626),
    [sym_tag] = STATE(10559),
    [aux_sym_expression_item_repeat1] = STATE(15321),
    [aux_sym_let_binding_repeat1] = STATE(3571),
    [sym__lowercase_identifier] = ACTIONS(8723),
    [anon_sym_EQ] = ACTIONS(8765),
    [anon_sym_TILDE] = ACTIONS(8727),
    [anon_sym_QMARK] = ACTIONS(8727),
    [anon_sym_LPAREN] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(8731),
    [anon_sym_true] = ACTIONS(8733),
    [anon_sym_false] = ACTIONS(8733),
    [anon_sym_COLON2] = ACTIONS(8735),
    [anon_sym_LBRACE] = ACTIONS(8737),
    [anon_sym_constraint] = ACTIONS(8767),
    [anon_sym_val] = ACTIONS(8767),
    [anon_sym_end] = ACTIONS(8767),
    [anon_sym_inherit] = ACTIONS(8767),
    [anon_sym_method] = ACTIONS(8767),
    [anon_sym_initializer] = ACTIONS(8767),
    [anon_sym_POUND] = ACTIONS(8741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8743),
    [anon_sym_begin] = ACTIONS(8745),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8769),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8749),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8751),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8769),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8769),
    [aux_sym_number_token1] = ACTIONS(8753),
    [aux_sym_signed_number_token1] = ACTIONS(8755),
    [anon_sym_SQUOTE] = ACTIONS(8757),
    [anon_sym_DQUOTE] = ACTIONS(8759),
    [sym__uppercase_identifier] = ACTIONS(8761),
    [aux_sym_tag_token1] = ACTIONS(8763),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3173] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3173),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3174] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3174),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3175] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10577),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16160),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3175),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3176] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10068),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15966),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3176),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8713),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3177] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3177),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3178] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10087),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15969),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3178),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8644),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3179] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3179),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3180] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10087),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15969),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3180),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8644),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3181] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10087),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15969),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3181),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8644),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3182] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3182),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3183] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(14348),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16285),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3183),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8606),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3184] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3184),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3185] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10087),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15969),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3185),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8644),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3186] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3186),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3187] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3187),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3188] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10087),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15969),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3188),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8644),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3189] = {
    [sym_parameter] = STATE(10520),
    [sym__polymorphic_typed] = STATE(15277),
    [sym__parenthesized_abstract_type] = STATE(10520),
    [sym__simple_pattern] = STATE(10522),
    [sym_typed_pattern] = STATE(10559),
    [sym_polymorphic_variant_pattern] = STATE(10559),
    [sym_record_pattern] = STATE(10559),
    [sym_list_pattern] = STATE(10559),
    [sym_array_pattern] = STATE(10559),
    [sym_local_open_pattern] = STATE(10559),
    [sym_package_pattern] = STATE(10559),
    [sym_parenthesized_pattern] = STATE(10559),
    [sym_attribute] = STATE(3189),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(10559),
    [sym_quoted_extension] = STATE(10559),
    [sym__constant] = STATE(10564),
    [sym__signed_constant] = STATE(10559),
    [sym_number] = STATE(10635),
    [sym_signed_number] = STATE(10564),
    [sym_character] = STATE(10635),
    [sym_string] = STATE(10635),
    [sym_quoted_string] = STATE(10635),
    [sym_boolean] = STATE(10635),
    [sym_unit] = STATE(10635),
    [sym__simple_value_pattern] = STATE(10559),
    [sym_parenthesized_operator] = STATE(10559),
    [sym_module_path] = STATE(21780),
    [sym_constructor_path] = STATE(10559),
    [sym__constructor_name] = STATE(10626),
    [sym_tag] = STATE(10559),
    [aux_sym_expression_item_repeat1] = STATE(15326),
    [aux_sym_let_binding_repeat1] = STATE(3571),
    [sym__lowercase_identifier] = ACTIONS(8723),
    [anon_sym_EQ] = ACTIONS(8771),
    [anon_sym_TILDE] = ACTIONS(8727),
    [anon_sym_QMARK] = ACTIONS(8727),
    [anon_sym_LPAREN] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(8731),
    [anon_sym_true] = ACTIONS(8733),
    [anon_sym_false] = ACTIONS(8733),
    [anon_sym_COLON2] = ACTIONS(8735),
    [anon_sym_LBRACE] = ACTIONS(8737),
    [anon_sym_constraint] = ACTIONS(8773),
    [anon_sym_val] = ACTIONS(8773),
    [anon_sym_end] = ACTIONS(8773),
    [anon_sym_inherit] = ACTIONS(8773),
    [anon_sym_method] = ACTIONS(8773),
    [anon_sym_initializer] = ACTIONS(8773),
    [anon_sym_POUND] = ACTIONS(8741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8743),
    [anon_sym_begin] = ACTIONS(8745),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8775),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8749),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8751),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8775),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8775),
    [aux_sym_number_token1] = ACTIONS(8753),
    [aux_sym_signed_number_token1] = ACTIONS(8755),
    [anon_sym_SQUOTE] = ACTIONS(8757),
    [anon_sym_DQUOTE] = ACTIONS(8759),
    [sym__uppercase_identifier] = ACTIONS(8761),
    [aux_sym_tag_token1] = ACTIONS(8763),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3190] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3190),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3191] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3191),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3192] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3192),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3193] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3193),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3194] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3194),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3195] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(14632),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15952),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3195),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3196] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(14632),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15952),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3196),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3197] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3197),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3198] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3198),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3199] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3199),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3200] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(14632),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15952),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3200),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3201] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10010),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16033),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3201),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8590),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3202] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10577),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16160),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3202),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3203] = {
    [sym_parameter] = STATE(10520),
    [sym__polymorphic_typed] = STATE(15280),
    [sym__parenthesized_abstract_type] = STATE(10520),
    [sym__simple_pattern] = STATE(10522),
    [sym_typed_pattern] = STATE(10559),
    [sym_polymorphic_variant_pattern] = STATE(10559),
    [sym_record_pattern] = STATE(10559),
    [sym_list_pattern] = STATE(10559),
    [sym_array_pattern] = STATE(10559),
    [sym_local_open_pattern] = STATE(10559),
    [sym_package_pattern] = STATE(10559),
    [sym_parenthesized_pattern] = STATE(10559),
    [sym_attribute] = STATE(3203),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(10559),
    [sym_quoted_extension] = STATE(10559),
    [sym__constant] = STATE(10564),
    [sym__signed_constant] = STATE(10559),
    [sym_number] = STATE(10635),
    [sym_signed_number] = STATE(10564),
    [sym_character] = STATE(10635),
    [sym_string] = STATE(10635),
    [sym_quoted_string] = STATE(10635),
    [sym_boolean] = STATE(10635),
    [sym_unit] = STATE(10635),
    [sym__simple_value_pattern] = STATE(10559),
    [sym_parenthesized_operator] = STATE(10559),
    [sym_module_path] = STATE(21780),
    [sym_constructor_path] = STATE(10559),
    [sym__constructor_name] = STATE(10626),
    [sym_tag] = STATE(10559),
    [aux_sym_expression_item_repeat1] = STATE(15563),
    [aux_sym_let_binding_repeat1] = STATE(3257),
    [sym__lowercase_identifier] = ACTIONS(8723),
    [anon_sym_EQ] = ACTIONS(8777),
    [anon_sym_TILDE] = ACTIONS(8727),
    [anon_sym_QMARK] = ACTIONS(8727),
    [anon_sym_LPAREN] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(8731),
    [anon_sym_true] = ACTIONS(8733),
    [anon_sym_false] = ACTIONS(8733),
    [anon_sym_COLON2] = ACTIONS(8735),
    [anon_sym_LBRACE] = ACTIONS(8737),
    [anon_sym_constraint] = ACTIONS(8779),
    [anon_sym_val] = ACTIONS(8779),
    [anon_sym_end] = ACTIONS(8779),
    [anon_sym_inherit] = ACTIONS(8779),
    [anon_sym_method] = ACTIONS(8779),
    [anon_sym_initializer] = ACTIONS(8779),
    [anon_sym_POUND] = ACTIONS(8741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8743),
    [anon_sym_begin] = ACTIONS(8745),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8781),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8749),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8751),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8781),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8781),
    [aux_sym_number_token1] = ACTIONS(8753),
    [aux_sym_signed_number_token1] = ACTIONS(8755),
    [anon_sym_SQUOTE] = ACTIONS(8757),
    [anon_sym_DQUOTE] = ACTIONS(8759),
    [sym__uppercase_identifier] = ACTIONS(8761),
    [aux_sym_tag_token1] = ACTIONS(8763),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3204] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3204),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3205] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3205),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3206] = {
    [sym__match_cases] = STATE(12435),
    [sym_match_case] = STATE(14106),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16213),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3206),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8638),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3207] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3207),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3208] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(9935),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16203),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3208),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3209] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10068),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15966),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3209),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8713),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3210] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(9812),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16277),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3210),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3211] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3211),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3212] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(9935),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16203),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3212),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3213] = {
    [sym__match_cases] = STATE(12697),
    [sym_match_case] = STATE(14106),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16213),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3213),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8638),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3214] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3214),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3215] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(9935),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16203),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3215),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3216] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(14348),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16285),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3216),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8606),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3217] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3217),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3218] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3218),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3219] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3219),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3220] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10577),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16160),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3220),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3221] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(9812),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16277),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3221),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3222] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3222),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3223] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3223),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3224] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3224),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3225] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10579),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16093),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3225),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8586),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3226] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3226),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3227] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10010),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16033),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3227),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8590),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3228] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3228),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3229] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3229),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3230] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3230),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3231] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10010),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16033),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3231),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8590),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3232] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10005),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15996),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3232),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3233] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10577),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16160),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3233),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3234] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(9935),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16203),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3234),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3235] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10005),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15996),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3235),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3236] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3236),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3237] = {
    [sym__match_cases] = STATE(12292),
    [sym_match_case] = STATE(13274),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16045),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3237),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3238] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(9935),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16203),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3238),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3239] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10217),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16152),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3239),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3240] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3240),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3241] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10010),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16033),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3241),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8590),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3242] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(9914),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15964),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3242),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8624),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3243] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10010),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16033),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3243),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8590),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3244] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3244),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3245] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10217),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16152),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3245),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3246] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3246),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3247] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3247),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3248] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(9914),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15964),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3248),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8624),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3249] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(9755),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16186),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3249),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8622),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3250] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3250),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3251] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(9812),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16277),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3251),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3252] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(9914),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15964),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3252),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8624),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3253] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(9914),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15964),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3253),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8624),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3254] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3254),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3255] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10217),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16152),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3255),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3256] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(9812),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16277),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3256),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3257] = {
    [sym_parameter] = STATE(10520),
    [sym__polymorphic_typed] = STATE(15242),
    [sym__parenthesized_abstract_type] = STATE(10520),
    [sym__simple_pattern] = STATE(10522),
    [sym_typed_pattern] = STATE(10559),
    [sym_polymorphic_variant_pattern] = STATE(10559),
    [sym_record_pattern] = STATE(10559),
    [sym_list_pattern] = STATE(10559),
    [sym_array_pattern] = STATE(10559),
    [sym_local_open_pattern] = STATE(10559),
    [sym_package_pattern] = STATE(10559),
    [sym_parenthesized_pattern] = STATE(10559),
    [sym_attribute] = STATE(3257),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(10559),
    [sym_quoted_extension] = STATE(10559),
    [sym__constant] = STATE(10564),
    [sym__signed_constant] = STATE(10559),
    [sym_number] = STATE(10635),
    [sym_signed_number] = STATE(10564),
    [sym_character] = STATE(10635),
    [sym_string] = STATE(10635),
    [sym_quoted_string] = STATE(10635),
    [sym_boolean] = STATE(10635),
    [sym_unit] = STATE(10635),
    [sym__simple_value_pattern] = STATE(10559),
    [sym_parenthesized_operator] = STATE(10559),
    [sym_module_path] = STATE(21780),
    [sym_constructor_path] = STATE(10559),
    [sym__constructor_name] = STATE(10626),
    [sym_tag] = STATE(10559),
    [aux_sym_expression_item_repeat1] = STATE(15500),
    [aux_sym_let_binding_repeat1] = STATE(3571),
    [sym__lowercase_identifier] = ACTIONS(8723),
    [anon_sym_EQ] = ACTIONS(8783),
    [anon_sym_TILDE] = ACTIONS(8727),
    [anon_sym_QMARK] = ACTIONS(8727),
    [anon_sym_LPAREN] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(8731),
    [anon_sym_true] = ACTIONS(8733),
    [anon_sym_false] = ACTIONS(8733),
    [anon_sym_COLON2] = ACTIONS(8735),
    [anon_sym_LBRACE] = ACTIONS(8737),
    [anon_sym_constraint] = ACTIONS(8785),
    [anon_sym_val] = ACTIONS(8785),
    [anon_sym_end] = ACTIONS(8785),
    [anon_sym_inherit] = ACTIONS(8785),
    [anon_sym_method] = ACTIONS(8785),
    [anon_sym_initializer] = ACTIONS(8785),
    [anon_sym_POUND] = ACTIONS(8741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8743),
    [anon_sym_begin] = ACTIONS(8745),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8787),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8749),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8751),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8787),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8787),
    [aux_sym_number_token1] = ACTIONS(8753),
    [aux_sym_signed_number_token1] = ACTIONS(8755),
    [anon_sym_SQUOTE] = ACTIONS(8757),
    [anon_sym_DQUOTE] = ACTIONS(8759),
    [sym__uppercase_identifier] = ACTIONS(8761),
    [aux_sym_tag_token1] = ACTIONS(8763),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3258] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3258),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3259] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3259),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3260] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10217),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16152),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3260),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3261] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10217),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16152),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3261),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3262] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10579),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16093),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3262),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8586),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3263] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3263),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3264] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10579),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16093),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3264),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8586),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3265] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3265),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3266] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3266),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3267] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3267),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3268] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3268),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3269] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(9950),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16272),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3269),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3270] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(9950),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16272),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3270),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3271] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3271),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3272] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(9950),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16272),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3272),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3273] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3273),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3274] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3274),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3275] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10095),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15993),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3275),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3276] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3276),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3277] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(9950),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16272),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3277),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3278] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10376),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16027),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3278),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8630),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3279] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3279),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3280] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3280),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3281] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(9950),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16272),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3281),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3282] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3282),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3283] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10376),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16027),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3283),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8630),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3284] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10376),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16027),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3284),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8630),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3285] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3285),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3286] = {
    [sym__match_cases] = STATE(12435),
    [sym_match_case] = STATE(14285),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16194),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3286),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8626),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3287] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3287),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3288] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10376),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16027),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3288),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8630),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3289] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10376),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16027),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3289),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8630),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3290] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10579),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16093),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3290),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8586),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3291] = {
    [sym__match_cases] = STATE(12654),
    [sym_match_case] = STATE(13274),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16045),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3291),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3292] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10095),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15993),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3292),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3293] = {
    [sym__match_cases] = STATE(12678),
    [sym_match_case] = STATE(13274),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16045),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3293),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3294] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10005),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15996),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3294),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3295] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3295),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3296] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10095),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15993),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3296),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3297] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10254),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16161),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3297),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8711),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3298] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3298),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3299] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3299),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3300] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(14240),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3300),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3301] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10254),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16161),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3301),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8711),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3302] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3302),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3303] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3303),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3304] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(14632),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15952),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3304),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3305] = {
    [sym__match_cases] = STATE(12435),
    [sym_match_case] = STATE(13274),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16045),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3305),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3306] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10005),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15996),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3306),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3307] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10005),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15996),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3307),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3308] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(14348),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16285),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3308),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8606),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3309] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10095),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15993),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3309),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3310] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(14905),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3310),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8616),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3311] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(14632),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15952),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3311),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8594),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3312] = {
    [sym__match_cases] = STATE(12292),
    [sym_match_case] = STATE(14518),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15971),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3312),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8642),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3313] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10095),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15993),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3313),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3314] = {
    [sym__match_cases] = STATE(12697),
    [sym_match_case] = STATE(13274),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16045),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3314),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3315] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10000),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16190),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3315),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8602),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3316] = {
    [sym__match_cases] = STATE(12654),
    [sym_match_case] = STATE(14518),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15971),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3316),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8642),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3317] = {
    [sym__match_cases] = STATE(12678),
    [sym_match_case] = STATE(14518),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15971),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3317),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8642),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3318] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10068),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15966),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3318),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8713),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3319] = {
    [sym__match_cases] = STATE(12435),
    [sym_match_case] = STATE(14518),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15971),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3319),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8642),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3320] = {
    [sym__match_cases] = STATE(12697),
    [sym_match_case] = STATE(14518),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15971),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3320),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8642),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3321] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10254),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16161),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3321),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8711),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3322] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3322),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3323] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3323),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3324] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10000),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16190),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3324),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8602),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3325] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(10000),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16190),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3325),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8602),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3326] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10254),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16161),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3326),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8711),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3327] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3327),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3328] = {
    [sym__match_cases] = STATE(12697),
    [sym_match_case] = STATE(14285),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16194),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3328),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8626),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3329] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3329),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3330] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(14172),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3330),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8640),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3331] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(10577),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16160),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3331),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3332] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10000),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16190),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3332),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8602),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3333] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3333),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3334] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3334),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3335] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(14348),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16285),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3335),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8606),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3336] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3336),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3337] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3337),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3338] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3338),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3339] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3339),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3340] = {
    [sym__match_cases] = STATE(12292),
    [sym_match_case] = STATE(14428),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16119),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3340),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8608),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3341] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10000),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16190),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3341),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8602),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3342] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3342),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3343] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10254),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16161),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3343),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8711),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3344] = {
    [sym__match_cases] = STATE(12654),
    [sym_match_case] = STATE(14428),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16119),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3344),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8608),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3345] = {
    [sym__match_cases] = STATE(12678),
    [sym_match_case] = STATE(14428),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16119),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3345),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8608),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3346] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3346),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3347] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3347),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3348] = {
    [sym__match_cases] = STATE(12435),
    [sym_match_case] = STATE(14428),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16119),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3348),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8608),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3349] = {
    [sym__match_cases] = STATE(12697),
    [sym_match_case] = STATE(14428),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16119),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3349),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8608),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3350] = {
    [sym__match_cases] = STATE(12292),
    [sym_match_case] = STATE(14285),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16194),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3350),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8626),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3351] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3351),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3352] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3352),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3353] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3353),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3354] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3354),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3355] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3355),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3356] = {
    [sym__parenthesized_abstract_type] = STATE(5510),
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(15715),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21930),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(3356),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3356),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3416),
    [sym__lowercase_identifier] = ACTIONS(8789),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8791),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_RBRACK] = ACTIONS(5623),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_SEMI] = ACTIONS(5623),
    [anon_sym_RBRACE] = ACTIONS(5623),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(8793),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3357] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(9860),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16304),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3357),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8598),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3358] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3358),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3359] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3359),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3360] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(9860),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16304),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3360),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8598),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3361] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(9860),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16304),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3361),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8598),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3362] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3362),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3363] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3363),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3364] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(14364),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3364),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8628),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3365] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(11298),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3365),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3366] = {
    [sym__match_cases] = STATE(12292),
    [sym_match_case] = STATE(13408),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15949),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3366),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8618),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3367] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(10068),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15966),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3367),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8713),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3368] = {
    [sym__match_cases] = STATE(12654),
    [sym_match_case] = STATE(13408),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15949),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3368),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8618),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3369] = {
    [sym__match_cases] = STATE(12678),
    [sym_match_case] = STATE(13408),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15949),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3369),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8618),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3370] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3370),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3371] = {
    [sym__match_cases] = STATE(12435),
    [sym_match_case] = STATE(13408),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15949),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3371),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8618),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3372] = {
    [sym__match_cases] = STATE(12697),
    [sym_match_case] = STATE(13408),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15949),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3372),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8618),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3373] = {
    [sym__match_cases] = STATE(9845),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3373),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3374] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(9860),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16304),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3374),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8598),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3375] = {
    [sym__match_cases] = STATE(9620),
    [sym_match_case] = STATE(9860),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16304),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3375),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8598),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3376] = {
    [sym__match_cases] = STATE(9844),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3376),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3377] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(14646),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3377),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8600),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3378] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3378),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3379] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3379),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3380] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(12438),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3380),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8715),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3381] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(9755),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16186),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3381),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8622),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3382] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(14348),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16285),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3382),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8606),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3383] = {
    [sym__match_cases] = STATE(12654),
    [sym_match_case] = STATE(14285),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16194),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3383),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8626),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3384] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3384),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3385] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3385),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3386] = {
    [sym__match_cases] = STATE(9581),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3386),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3387] = {
    [sym__match_cases] = STATE(9596),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3387),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3388] = {
    [sym__match_cases] = STATE(9640),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3388),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3389] = {
    [sym__match_cases] = STATE(9642),
    [sym_match_case] = STATE(12074),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3389),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8610),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3390] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(14584),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3390),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8596),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3391] = {
    [sym__match_cases] = STATE(9566),
    [sym_match_case] = STATE(9755),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16186),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3391),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8622),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3392] = {
    [sym__match_cases] = STATE(9557),
    [sym_match_case] = STATE(9755),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16186),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3392),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8622),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3393] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10068),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15966),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3393),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8713),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3394] = {
    [sym__match_cases] = STATE(12678),
    [sym_match_case] = STATE(14285),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16194),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3394),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8626),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3395] = {
    [sym__match_cases] = STATE(12292),
    [sym_match_case] = STATE(14106),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16213),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3395),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8638),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3396] = {
    [sym__match_cases] = STATE(9441),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3396),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3397] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(14867),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3397),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8604),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3398] = {
    [sym__match_cases] = STATE(9685),
    [sym_match_case] = STATE(10556),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15995),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3398),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8614),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3399] = {
    [sym_parameter] = STATE(10520),
    [sym__polymorphic_typed] = STATE(15289),
    [sym__parenthesized_abstract_type] = STATE(10520),
    [sym__simple_pattern] = STATE(10522),
    [sym_typed_pattern] = STATE(10559),
    [sym_polymorphic_variant_pattern] = STATE(10559),
    [sym_record_pattern] = STATE(10559),
    [sym_list_pattern] = STATE(10559),
    [sym_array_pattern] = STATE(10559),
    [sym_local_open_pattern] = STATE(10559),
    [sym_package_pattern] = STATE(10559),
    [sym_parenthesized_pattern] = STATE(10559),
    [sym_attribute] = STATE(3399),
    [sym_item_attribute] = STATE(11896),
    [sym_extension] = STATE(10559),
    [sym_quoted_extension] = STATE(10559),
    [sym__constant] = STATE(10564),
    [sym__signed_constant] = STATE(10559),
    [sym_number] = STATE(10635),
    [sym_signed_number] = STATE(10564),
    [sym_character] = STATE(10635),
    [sym_string] = STATE(10635),
    [sym_quoted_string] = STATE(10635),
    [sym_boolean] = STATE(10635),
    [sym_unit] = STATE(10635),
    [sym__simple_value_pattern] = STATE(10559),
    [sym_parenthesized_operator] = STATE(10559),
    [sym_module_path] = STATE(21780),
    [sym_constructor_path] = STATE(10559),
    [sym__constructor_name] = STATE(10626),
    [sym_tag] = STATE(10559),
    [aux_sym_expression_item_repeat1] = STATE(15428),
    [aux_sym_let_binding_repeat1] = STATE(3189),
    [sym__lowercase_identifier] = ACTIONS(8723),
    [anon_sym_EQ] = ACTIONS(8795),
    [anon_sym_TILDE] = ACTIONS(8727),
    [anon_sym_QMARK] = ACTIONS(8727),
    [anon_sym_LPAREN] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(8731),
    [anon_sym_true] = ACTIONS(8733),
    [anon_sym_false] = ACTIONS(8733),
    [anon_sym_COLON2] = ACTIONS(8735),
    [anon_sym_LBRACE] = ACTIONS(8737),
    [anon_sym_constraint] = ACTIONS(8797),
    [anon_sym_val] = ACTIONS(8797),
    [anon_sym_end] = ACTIONS(8797),
    [anon_sym_inherit] = ACTIONS(8797),
    [anon_sym_method] = ACTIONS(8797),
    [anon_sym_initializer] = ACTIONS(8797),
    [anon_sym_POUND] = ACTIONS(8741),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8743),
    [anon_sym_begin] = ACTIONS(8745),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7969),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8799),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8749),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8751),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8799),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8799),
    [aux_sym_number_token1] = ACTIONS(8753),
    [aux_sym_signed_number_token1] = ACTIONS(8755),
    [anon_sym_SQUOTE] = ACTIONS(8757),
    [anon_sym_DQUOTE] = ACTIONS(8759),
    [sym__uppercase_identifier] = ACTIONS(8761),
    [aux_sym_tag_token1] = ACTIONS(8763),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3400] = {
    [sym__match_cases] = STATE(9808),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3400),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3401] = {
    [sym__match_cases] = STATE(9774),
    [sym_match_case] = STATE(14302),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3401),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8620),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3402] = {
    [sym__match_cases] = STATE(9809),
    [sym_match_case] = STATE(11447),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3402),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8612),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3403] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(9755),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16186),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3403),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8622),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3404] = {
    [sym__match_cases] = STATE(9599),
    [sym_match_case] = STATE(10579),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16093),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3404),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_PIPE] = ACTIONS(8586),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3405] = {
    [sym__signature] = STATE(23252),
    [sym_external] = STATE(15227),
    [sym_type_definition] = STATE(15227),
    [sym_exception_definition] = STATE(15227),
    [sym_module_definition] = STATE(15227),
    [sym_module_type_definition] = STATE(15227),
    [sym_open_module] = STATE(15227),
    [sym_class_definition] = STATE(15227),
    [sym_class_type_definition] = STATE(15227),
    [sym__signature_item] = STATE(15228),
    [sym_value_specification] = STATE(15227),
    [sym_include_module_type] = STATE(15227),
    [sym__simple_type] = STATE(14567),
    [sym__type] = STATE(19363),
    [sym_function_type] = STATE(9857),
    [sym_labeled_argument_type] = STATE(21020),
    [sym__proper_tuple_type] = STATE(15637),
    [sym__labeled_tuple_type] = STATE(9857),
    [sym_labeled_tuple_element_type] = STATE(21116),
    [sym_constructed_type] = STATE(14568),
    [sym_aliased_type] = STATE(9857),
    [sym_local_open_type] = STATE(14568),
    [sym_polymorphic_variant_type] = STATE(14568),
    [sym_package_type] = STATE(14568),
    [sym_object_type] = STATE(14568),
    [sym_hash_type] = STATE(14568),
    [sym_parenthesized_type] = STATE(14568),
    [sym_attribute] = STATE(3405),
    [sym_floating_attribute] = STATE(15227),
    [sym_extension] = STATE(14568),
    [sym_quoted_extension] = STATE(14568),
    [sym_item_extension] = STATE(15227),
    [sym_quoted_item_extension] = STATE(15227),
    [sym_extended_module_path] = STATE(19083),
    [sym_type_constructor_path] = STATE(14568),
    [sym_type_variable] = STATE(14568),
    [aux_sym__structure_repeat1] = STATE(10783),
    [aux_sym__signature_repeat1] = STATE(10758),
    [sym__lowercase_identifier] = ACTIONS(8801),
    [anon_sym_SEMI_SEMI] = ACTIONS(8803),
    [anon_sym_QMARK] = ACTIONS(8805),
    [anon_sym_LPAREN] = ACTIONS(8807),
    [anon_sym_external] = ACTIONS(21),
    [anon_sym_type] = ACTIONS(8809),
    [anon_sym_LBRACK] = ACTIONS(8811),
    [anon_sym_RBRACK] = ACTIONS(8813),
    [anon_sym_exception] = ACTIONS(8815),
    [anon_sym_module] = ACTIONS(8817),
    [anon_sym_open] = ACTIONS(35),
    [anon_sym_include] = ACTIONS(8819),
    [anon_sym_class] = ACTIONS(8821),
    [anon_sym_val] = ACTIONS(8823),
    [anon_sym_LBRACK_GT] = ACTIONS(8825),
    [anon_sym_LBRACK_LT] = ACTIONS(8827),
    [anon_sym_LT] = ACTIONS(8829),
    [anon_sym_POUND] = ACTIONS(8831),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(71),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8833),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8835),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(77),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(79),
    [sym__uppercase_identifier] = ACTIONS(8837),
    [aux_sym_type_variable_token1] = ACTIONS(8839),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3406] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15628),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3406),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3586),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3407] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16866),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3407),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(8841),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(5967),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3408] = {
    [sym__parenthesized_abstract_type] = STATE(3716),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(17303),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3408),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(7935),
    [anon_sym_COMMA] = ACTIONS(7931),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3409] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16678),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3409),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__attribute] = STATE(3640),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3410] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(17301),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3410),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3714),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3411] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16707),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3411),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(8843),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(6067),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3412] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16715),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3412),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(8845),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(6093),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3413] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16715),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3413),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(8845),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(2665),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3414] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16800),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3414),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(8847),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(6077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3415] = {
    [sym__parenthesized_abstract_type] = STATE(5643),
    [sym__simple_binding_pattern] = STATE(16560),
    [sym__binding_pattern] = STATE(16583),
    [sym_alias_binding_pattern] = STATE(16560),
    [sym_typed_binding_pattern] = STATE(16561),
    [sym__or_binding_pattern_anonymous] = STATE(16562),
    [sym_constructor_binding_pattern] = STATE(16560),
    [sym_tag_binding_pattern] = STATE(16560),
    [sym_polymorphic_variant_pattern] = STATE(16561),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21590),
    [sym__tuple_binding_pattern] = STATE(16563),
    [sym_record_binding_pattern] = STATE(16565),
    [sym_list_binding_pattern] = STATE(16567),
    [sym_cons_binding_pattern] = STATE(16560),
    [sym_array_binding_pattern] = STATE(16569),
    [sym_range_pattern] = STATE(16560),
    [sym_lazy_binding_pattern] = STATE(16560),
    [sym_local_open_binding_pattern] = STATE(16561),
    [sym_package_pattern] = STATE(16561),
    [sym_parenthesized_binding_pattern] = STATE(16561),
    [sym_attribute] = STATE(3415),
    [sym_extension] = STATE(16561),
    [sym_quoted_extension] = STATE(16561),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16274),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__value_name] = STATE(16561),
    [sym_parenthesized_operator] = STATE(16514),
    [sym_module_path] = STATE(20916),
    [sym_constructor_path] = STATE(3415),
    [sym__constructor_name] = STATE(9772),
    [sym_tag] = STATE(3434),
    [sym__lowercase_identifier] = ACTIONS(8849),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8851),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5627),
    [anon_sym_LBRACK] = ACTIONS(8853),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8855),
    [anon_sym_SEMI] = ACTIONS(5623),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8857),
    [anon_sym_PIPE_RBRACK] = ACTIONS(5623),
    [anon_sym_lazy] = ACTIONS(8859),
    [anon_sym_begin] = ACTIONS(8446),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8861),
    [aux_sym_tag_token1] = ACTIONS(8863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3416] = {
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(15719),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21930),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(3416),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3356),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3416),
    [sym__lowercase_identifier] = ACTIONS(8789),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_RBRACK] = ACTIONS(5623),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_SEMI] = ACTIONS(5623),
    [anon_sym_RBRACE] = ACTIONS(5623),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(8793),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3417] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16744),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3417),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(8865),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(6055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3418] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15388),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3418),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3588),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3419] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16910),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3419),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(8867),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(6239),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3420] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16676),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3420),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__attribute] = STATE(3639),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3421] = {
    [sym__parenthesized_abstract_type] = STATE(5525),
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(15715),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(3421),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8791),
    [anon_sym_RPAREN] = ACTIONS(5623),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3422] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16762),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3422),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(8869),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(6035),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3423] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16910),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3423),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(8867),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(6045),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3424] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16181),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3424),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3577),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3425] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15388),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3425),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__attribute] = STATE(3578),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [anon_sym_PERCENT] = ACTIONS(8588),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3426] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16899),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3426),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_RPAREN] = ACTIONS(8871),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(6087),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3427] = {
    [sym_parameter] = STATE(12251),
    [sym__polymorphic_typed] = STATE(19352),
    [sym__parenthesized_abstract_type] = STATE(12251),
    [sym__simple_pattern] = STATE(12252),
    [sym_typed_pattern] = STATE(12255),
    [sym_polymorphic_variant_pattern] = STATE(12255),
    [sym_record_pattern] = STATE(12255),
    [sym_list_pattern] = STATE(12255),
    [sym_array_pattern] = STATE(12255),
    [sym_local_open_pattern] = STATE(12255),
    [sym_package_pattern] = STATE(12255),
    [sym_parenthesized_pattern] = STATE(12255),
    [sym_attribute] = STATE(3427),
    [sym_item_attribute] = STATE(16967),
    [sym_extension] = STATE(12255),
    [sym_quoted_extension] = STATE(12255),
    [sym__constant] = STATE(12183),
    [sym__signed_constant] = STATE(12255),
    [sym_number] = STATE(12122),
    [sym_signed_number] = STATE(12183),
    [sym_character] = STATE(12122),
    [sym_string] = STATE(12122),
    [sym_quoted_string] = STATE(12122),
    [sym_boolean] = STATE(12122),
    [sym_unit] = STATE(12122),
    [sym__simple_value_pattern] = STATE(12255),
    [sym_parenthesized_operator] = STATE(12255),
    [sym_module_path] = STATE(23054),
    [sym_constructor_path] = STATE(12255),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(12255),
    [aux_sym_expression_item_repeat1] = STATE(16629),
    [aux_sym_let_binding_repeat1] = STATE(5858),
    [sym__lowercase_identifier] = ACTIONS(6499),
    [anon_sym_and] = ACTIONS(6503),
    [anon_sym_COLON_GT] = ACTIONS(8873),
    [anon_sym_EQ] = ACTIONS(8875),
    [anon_sym_TILDE] = ACTIONS(6509),
    [anon_sym_QMARK] = ACTIONS(6509),
    [anon_sym_LPAREN] = ACTIONS(6511),
    [anon_sym_COMMA] = ACTIONS(8877),
    [anon_sym_PIPE] = ACTIONS(8879),
    [anon_sym_LBRACK] = ACTIONS(6517),
    [anon_sym_true] = ACTIONS(6519),
    [anon_sym_false] = ACTIONS(6519),
    [anon_sym_COLON2] = ACTIONS(6521),
    [anon_sym_LBRACE] = ACTIONS(6523),
    [anon_sym_in] = ACTIONS(6503),
    [anon_sym_as] = ACTIONS(8881),
    [anon_sym_POUND] = ACTIONS(6527),
    [anon_sym_COLON_COLON] = ACTIONS(8883),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6531),
    [anon_sym_begin] = ACTIONS(6533),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8885),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8889),
    [aux_sym_number_token1] = ACTIONS(6541),
    [aux_sym_signed_number_token1] = ACTIONS(6543),
    [anon_sym_SQUOTE] = ACTIONS(6545),
    [anon_sym_DQUOTE] = ACTIONS(6547),
    [sym_let_and_operator] = ACTIONS(6501),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3428] = {
    [sym_match_case] = STATE(14846),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16285),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3428),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3429] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16033),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3429),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3430] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3430),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3431] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16143),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3431),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(8891),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3432] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16147),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3432),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8893),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3433] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16272),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3433),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3434] = {
    [sym__simple_binding_pattern] = STATE(16560),
    [sym__binding_pattern] = STATE(16584),
    [sym_alias_binding_pattern] = STATE(16560),
    [sym_typed_binding_pattern] = STATE(16561),
    [sym__or_binding_pattern_anonymous] = STATE(16562),
    [sym_constructor_binding_pattern] = STATE(16560),
    [sym_tag_binding_pattern] = STATE(16560),
    [sym_polymorphic_variant_pattern] = STATE(16561),
    [sym_labeled_tuple_element_binding_pattern] = STATE(21590),
    [sym__tuple_binding_pattern] = STATE(16563),
    [sym_record_binding_pattern] = STATE(16565),
    [sym_list_binding_pattern] = STATE(16567),
    [sym_cons_binding_pattern] = STATE(16560),
    [sym_array_binding_pattern] = STATE(16569),
    [sym_range_pattern] = STATE(16560),
    [sym_lazy_binding_pattern] = STATE(16560),
    [sym_local_open_binding_pattern] = STATE(16561),
    [sym_package_pattern] = STATE(16561),
    [sym_parenthesized_binding_pattern] = STATE(16561),
    [sym_attribute] = STATE(3434),
    [sym_extension] = STATE(16561),
    [sym_quoted_extension] = STATE(16561),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16274),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__value_name] = STATE(16561),
    [sym_parenthesized_operator] = STATE(16514),
    [sym_module_path] = STATE(20916),
    [sym_constructor_path] = STATE(3415),
    [sym__constructor_name] = STATE(9772),
    [sym_tag] = STATE(3434),
    [sym__lowercase_identifier] = ACTIONS(8849),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8895),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5627),
    [anon_sym_LBRACK] = ACTIONS(8853),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8855),
    [anon_sym_SEMI] = ACTIONS(5623),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8857),
    [anon_sym_PIPE_RBRACK] = ACTIONS(5623),
    [anon_sym_lazy] = ACTIONS(8859),
    [anon_sym_begin] = ACTIONS(8446),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8861),
    [aux_sym_tag_token1] = ACTIONS(8863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3435] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3435),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3436] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3436),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3437] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3437),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(8897),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3438] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3438),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8899),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3439] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3439),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(8901),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3440] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3440),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8903),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3441] = {
    [sym_let_binding] = STATE(17215),
    [sym_open_module] = STATE(22507),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3441),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3442] = {
    [sym_match_case] = STATE(14914),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3442),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3443] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3443),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(8905),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3444] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3444),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8907),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3445] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3445),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8909),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3446] = {
    [sym_match_case] = STATE(14391),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16285),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3446),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3447] = {
    [sym_match_case] = STATE(14439),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16119),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3447),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3448] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16161),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3448),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3449] = {
    [sym_match_case] = STATE(10563),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15995),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3449),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3450] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3450),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(8911),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3451] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3451),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8913),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3452] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15953),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3452),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(8915),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3453] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16038),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3453),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8917),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3454] = {
    [sym_match_case] = STATE(14906),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3454),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3455] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16093),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3455),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3456] = {
    [sym_match_case] = STATE(13409),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15949),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3456),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3457] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3457),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(8919),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3458] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3458),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8921),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3459] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3459),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(8923),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3460] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3460),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8925),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3461] = {
    [sym_match_case] = STATE(9915),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15964),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3461),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3462] = {
    [sym_match_case] = STATE(14585),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3462),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3463] = {
    [sym_match_case] = STATE(14287),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16194),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3463),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3464] = {
    [sym_match_case] = STATE(10406),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16027),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3464),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3465] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3465),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3466] = {
    [sym_match_case] = STATE(10594),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16160),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3466),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3467] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15969),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3467),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3468] = {
    [sym_match_case] = STATE(14647),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16237),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3468),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3469] = {
    [sym_match_case] = STATE(14107),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16213),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3469),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3470] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15995),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3470),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3471] = {
    [sym_match_case] = STATE(10090),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15969),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3471),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3472] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16047),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3472),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(8927),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3473] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16308),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3473),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8929),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3474] = {
    [sym_match_case] = STATE(14772),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15971),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3474),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3475] = {
    [sym__simple_expression] = STATE(11167),
    [sym_typed_expression] = STATE(10933),
    [sym_list_expression] = STATE(10933),
    [sym_array_expression] = STATE(10933),
    [sym_record_expression] = STATE(10933),
    [sym_labeled_argument] = STATE(11795),
    [sym_prefix_expression] = STATE(10933),
    [sym_hash_expression] = STATE(10933),
    [sym_field_get_expression] = STATE(10933),
    [sym_array_get_expression] = STATE(10933),
    [sym_string_get_expression] = STATE(10933),
    [sym_bigarray_get_expression] = STATE(10933),
    [sym_coercion_expression] = STATE(10933),
    [sym_local_open_expression] = STATE(10933),
    [sym_package_expression] = STATE(10933),
    [sym_new_expression] = STATE(10933),
    [sym_object_copy_expression] = STATE(10933),
    [sym_method_invocation] = STATE(10933),
    [sym_object_expression] = STATE(10933),
    [sym_parenthesized_expression] = STATE(10933),
    [sym_attribute] = STATE(3475),
    [sym_extension] = STATE(10933),
    [sym_quoted_extension] = STATE(10933),
    [sym__constant] = STATE(10933),
    [sym_number] = STATE(11054),
    [sym_character] = STATE(11054),
    [sym_string] = STATE(11054),
    [sym_quoted_string] = STATE(11054),
    [sym_boolean] = STATE(11054),
    [sym_unit] = STATE(11054),
    [sym__value_name] = STATE(11140),
    [sym_parenthesized_operator] = STATE(11099),
    [sym_value_path] = STATE(10933),
    [sym_module_path] = STATE(20893),
    [sym_constructor_path] = STATE(10933),
    [sym__constructor_name] = STATE(9772),
    [sym_tag] = STATE(10933),
    [aux_sym_class_application_repeat1] = STATE(3491),
    [sym__lowercase_identifier] = ACTIONS(8931),
    [anon_sym_TILDE] = ACTIONS(8933),
    [anon_sym_QMARK] = ACTIONS(8933),
    [anon_sym_LPAREN] = ACTIONS(8935),
    [anon_sym_RPAREN] = ACTIONS(6793),
    [anon_sym_LBRACK] = ACTIONS(8937),
    [anon_sym_true] = ACTIONS(8939),
    [anon_sym_false] = ACTIONS(8939),
    [anon_sym_COLON2] = ACTIONS(6793),
    [anon_sym_LBRACE] = ACTIONS(8941),
    [anon_sym_object] = ACTIONS(8943),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8945),
    [anon_sym_new] = ACTIONS(8947),
    [anon_sym_LBRACE_LT] = ACTIONS(8949),
    [anon_sym_begin] = ACTIONS(8951),
    [sym_ocamlyacc_value] = ACTIONS(8953),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8957),
    [aux_sym_number_token1] = ACTIONS(8959),
    [anon_sym_SQUOTE] = ACTIONS(8961),
    [anon_sym_DQUOTE] = ACTIONS(8963),
    [sym_prefix_operator] = ACTIONS(8965),
    [sym__uppercase_identifier] = ACTIONS(8861),
    [aux_sym_tag_token1] = ACTIONS(8863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3476] = {
    [sym_match_case] = STATE(11448),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3476),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3477] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15966),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3477),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3478] = {
    [sym_match_case] = STATE(13151),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16045),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3478),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3479] = {
    [sym_match_case] = STATE(9936),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16203),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3479),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3480] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16214),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3480),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3481] = {
    [sym_match_case] = STATE(12076),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3481),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3482] = {
    [sym_match_case] = STATE(10219),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16152),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3482),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3483] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3483),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(8967),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3484] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3484),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8969),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3485] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16282),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3485),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3486] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16277),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3486),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3487] = {
    [sym_match_case] = STATE(14303),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3487),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3488] = {
    [sym_match_case] = STATE(9951),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16272),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3488),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3489] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3489),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(8971),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3490] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3490),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8973),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3491] = {
    [sym__simple_expression] = STATE(11167),
    [sym_typed_expression] = STATE(10933),
    [sym_list_expression] = STATE(10933),
    [sym_array_expression] = STATE(10933),
    [sym_record_expression] = STATE(10933),
    [sym_labeled_argument] = STATE(11795),
    [sym_prefix_expression] = STATE(10933),
    [sym_hash_expression] = STATE(10933),
    [sym_field_get_expression] = STATE(10933),
    [sym_array_get_expression] = STATE(10933),
    [sym_string_get_expression] = STATE(10933),
    [sym_bigarray_get_expression] = STATE(10933),
    [sym_coercion_expression] = STATE(10933),
    [sym_local_open_expression] = STATE(10933),
    [sym_package_expression] = STATE(10933),
    [sym_new_expression] = STATE(10933),
    [sym_object_copy_expression] = STATE(10933),
    [sym_method_invocation] = STATE(10933),
    [sym_object_expression] = STATE(10933),
    [sym_parenthesized_expression] = STATE(10933),
    [sym_attribute] = STATE(3491),
    [sym_extension] = STATE(10933),
    [sym_quoted_extension] = STATE(10933),
    [sym__constant] = STATE(10933),
    [sym_number] = STATE(11054),
    [sym_character] = STATE(11054),
    [sym_string] = STATE(11054),
    [sym_quoted_string] = STATE(11054),
    [sym_boolean] = STATE(11054),
    [sym_unit] = STATE(11054),
    [sym__value_name] = STATE(11140),
    [sym_parenthesized_operator] = STATE(11099),
    [sym_value_path] = STATE(10933),
    [sym_module_path] = STATE(20893),
    [sym_constructor_path] = STATE(10933),
    [sym__constructor_name] = STATE(9772),
    [sym_tag] = STATE(10933),
    [aux_sym_class_application_repeat1] = STATE(3504),
    [sym__lowercase_identifier] = ACTIONS(8931),
    [anon_sym_TILDE] = ACTIONS(8933),
    [anon_sym_QMARK] = ACTIONS(8933),
    [anon_sym_LPAREN] = ACTIONS(8935),
    [anon_sym_RPAREN] = ACTIONS(6747),
    [anon_sym_LBRACK] = ACTIONS(8937),
    [anon_sym_true] = ACTIONS(8939),
    [anon_sym_false] = ACTIONS(8939),
    [anon_sym_COLON2] = ACTIONS(6747),
    [anon_sym_LBRACE] = ACTIONS(8941),
    [anon_sym_object] = ACTIONS(8943),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8945),
    [anon_sym_new] = ACTIONS(8947),
    [anon_sym_LBRACE_LT] = ACTIONS(8949),
    [anon_sym_begin] = ACTIONS(8951),
    [sym_ocamlyacc_value] = ACTIONS(8953),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8955),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8957),
    [aux_sym_number_token1] = ACTIONS(8959),
    [anon_sym_SQUOTE] = ACTIONS(8961),
    [anon_sym_DQUOTE] = ACTIONS(8963),
    [sym_prefix_operator] = ACTIONS(8965),
    [sym__uppercase_identifier] = ACTIONS(8861),
    [aux_sym_tag_token1] = ACTIONS(8863),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3492] = {
    [sym_match_case] = STATE(14365),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16241),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3492),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3493] = {
    [sym_match_case] = STATE(10256),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16161),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3493),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3494] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15993),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3494),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3495] = {
    [sym_match_case] = STATE(14173),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3495),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3496] = {
    [sym_let_binding] = STATE(17215),
    [sym_open_module] = STATE(23534),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3496),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3497] = {
    [sym_match_case] = STATE(10070),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15966),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3497),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3498] = {
    [sym_match_case] = STATE(12668),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16194),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3498),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3499] = {
    [sym_match_case] = STATE(14241),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16128),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3499),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3500] = {
    [sym_let_binding] = STATE(17215),
    [sym_open_module] = STATE(21077),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3500),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3501] = {
    [sym_match_case] = STATE(9839),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16277),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3501),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3502] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15964),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3502),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3503] = {
    [sym_let_binding] = STATE(17215),
    [sym_open_module] = STATE(21511),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3503),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3504] = {
    [sym__simple_expression] = STATE(11167),
    [sym_typed_expression] = STATE(10933),
    [sym_list_expression] = STATE(10933),
    [sym_array_expression] = STATE(10933),
    [sym_record_expression] = STATE(10933),
    [sym_labeled_argument] = STATE(11795),
    [sym_prefix_expression] = STATE(10933),
    [sym_hash_expression] = STATE(10933),
    [sym_field_get_expression] = STATE(10933),
    [sym_array_get_expression] = STATE(10933),
    [sym_string_get_expression] = STATE(10933),
    [sym_bigarray_get_expression] = STATE(10933),
    [sym_coercion_expression] = STATE(10933),
    [sym_local_open_expression] = STATE(10933),
    [sym_package_expression] = STATE(10933),
    [sym_new_expression] = STATE(10933),
    [sym_object_copy_expression] = STATE(10933),
    [sym_method_invocation] = STATE(10933),
    [sym_object_expression] = STATE(10933),
    [sym_parenthesized_expression] = STATE(10933),
    [sym_attribute] = STATE(3504),
    [sym_extension] = STATE(10933),
    [sym_quoted_extension] = STATE(10933),
    [sym__constant] = STATE(10933),
    [sym_number] = STATE(11054),
    [sym_character] = STATE(11054),
    [sym_string] = STATE(11054),
    [sym_quoted_string] = STATE(11054),
    [sym_boolean] = STATE(11054),
    [sym_unit] = STATE(11054),
    [sym__value_name] = STATE(11140),
    [sym_parenthesized_operator] = STATE(11099),
    [sym_value_path] = STATE(10933),
    [sym_module_path] = STATE(20893),
    [sym_constructor_path] = STATE(10933),
    [sym__constructor_name] = STATE(9772),
    [sym_tag] = STATE(10933),
    [aux_sym_class_application_repeat1] = STATE(3504),
    [sym__lowercase_identifier] = ACTIONS(8975),
    [anon_sym_TILDE] = ACTIONS(8978),
    [anon_sym_QMARK] = ACTIONS(8978),
    [anon_sym_LPAREN] = ACTIONS(8981),
    [anon_sym_RPAREN] = ACTIONS(4469),
    [anon_sym_LBRACK] = ACTIONS(8984),
    [anon_sym_true] = ACTIONS(8987),
    [anon_sym_false] = ACTIONS(8987),
    [anon_sym_COLON2] = ACTIONS(4469),
    [anon_sym_LBRACE] = ACTIONS(8990),
    [anon_sym_object] = ACTIONS(8993),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8996),
    [anon_sym_new] = ACTIONS(8999),
    [anon_sym_LBRACE_LT] = ACTIONS(9002),
    [anon_sym_begin] = ACTIONS(9005),
    [sym_ocamlyacc_value] = ACTIONS(9008),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(9011),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(9014),
    [aux_sym_number_token1] = ACTIONS(9017),
    [anon_sym_SQUOTE] = ACTIONS(9020),
    [anon_sym_DQUOTE] = ACTIONS(9023),
    [sym_prefix_operator] = ACTIONS(9026),
    [sym__uppercase_identifier] = ACTIONS(9029),
    [aux_sym_tag_token1] = ACTIONS(9032),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3505] = {
    [sym_let_binding] = STATE(17215),
    [sym_open_module] = STATE(21891),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3505),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3506] = {
    [sym_match_case] = STATE(11305),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16107),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3506),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3507] = {
    [sym_let_binding] = STATE(17215),
    [sym_open_module] = STATE(22167),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3507),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3508] = {
    [sym_match_case] = STATE(10098),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15993),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3508),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3509] = {
    [sym_let_binding] = STATE(17215),
    [sym_open_module] = STATE(22374),
    [sym__simple_binding_pattern] = STATE(10696),
    [sym__binding_pattern] = STATE(3427),
    [sym_alias_binding_pattern] = STATE(10696),
    [sym_typed_binding_pattern] = STATE(10714),
    [sym__or_binding_pattern_anonymous] = STATE(10729),
    [sym_constructor_binding_pattern] = STATE(10696),
    [sym_tag_binding_pattern] = STATE(10696),
    [sym_polymorphic_variant_pattern] = STATE(10714),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20785),
    [sym__tuple_binding_pattern] = STATE(10670),
    [sym_record_binding_pattern] = STATE(10711),
    [sym_list_binding_pattern] = STATE(10721),
    [sym_cons_binding_pattern] = STATE(10696),
    [sym_array_binding_pattern] = STATE(10662),
    [sym_range_pattern] = STATE(10696),
    [sym_lazy_binding_pattern] = STATE(10696),
    [sym_local_open_binding_pattern] = STATE(10714),
    [sym_package_pattern] = STATE(10714),
    [sym_parenthesized_binding_pattern] = STATE(10714),
    [sym_attribute] = STATE(3509),
    [sym_extension] = STATE(10714),
    [sym_quoted_extension] = STATE(10714),
    [sym__attribute] = STATE(4646),
    [sym__constant] = STATE(10519),
    [sym__signed_constant] = STATE(10601),
    [sym_number] = STATE(10596),
    [sym_signed_number] = STATE(10519),
    [sym_character] = STATE(10596),
    [sym_string] = STATE(10596),
    [sym_quoted_string] = STATE(10596),
    [sym_boolean] = STATE(10596),
    [sym_unit] = STATE(10596),
    [sym__value_name] = STATE(10714),
    [sym_parenthesized_operator] = STATE(10666),
    [sym_module_path] = STATE(21355),
    [sym_constructor_path] = STATE(3020),
    [sym__constructor_name] = STATE(10606),
    [sym_tag] = STATE(3036),
    [sym__lowercase_identifier] = ACTIONS(8309),
    [anon_sym_rec] = ACTIONS(8519),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(8426),
    [anon_sym_LBRACK] = ACTIONS(8313),
    [anon_sym_true] = ACTIONS(8315),
    [anon_sym_false] = ACTIONS(8315),
    [anon_sym_LBRACE] = ACTIONS(8317),
    [anon_sym_open] = ACTIONS(8525),
    [anon_sym_POUND] = ACTIONS(8319),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8321),
    [anon_sym_lazy] = ACTIONS(8323),
    [anon_sym_begin] = ACTIONS(8325),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8327),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8329),
    [anon_sym_PERCENT] = ACTIONS(8527),
    [aux_sym_number_token1] = ACTIONS(8331),
    [aux_sym_signed_number_token1] = ACTIONS(8333),
    [anon_sym_SQUOTE] = ACTIONS(8335),
    [anon_sym_DQUOTE] = ACTIONS(8337),
    [sym__uppercase_identifier] = ACTIONS(8339),
    [aux_sym_tag_token1] = ACTIONS(8341),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3510] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16026),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3510),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9035),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3511] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16029),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3511),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9037),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3512] = {
    [sym_match_case] = STATE(12668),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16213),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3512),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3513] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15997),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3513),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9039),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3514] = {
    [sym_match_case] = STATE(10001),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16190),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3514),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3515] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16222),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3515),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3516] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16203),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3516),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3517] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16054),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3517),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3518] = {
    [sym_match_case] = STATE(9864),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16304),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3518),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3519] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16027),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3519),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3520] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3520),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9041),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3521] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3521),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9043),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3522] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16106),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3522),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9045),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3523] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16117),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3523),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9047),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3524] = {
    [sym_match_case] = STATE(12668),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16045),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3524),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3525] = {
    [sym_match_case] = STATE(9760),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16186),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3525),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3526] = {
    [sym_match_case] = STATE(12561),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3526),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3527] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3527),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9049),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3528] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3528),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9051),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3529] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(17306),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3529),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_COMMA] = ACTIONS(7931),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3530] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15998),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3530),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3531] = {
    [sym_match_case] = STATE(10006),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15996),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3531),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3532] = {
    [sym_match_case] = STATE(12668),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15971),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3532),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3533] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16190),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3533),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3534] = {
    [sym_match_case] = STATE(10011),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16033),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3534),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3535] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16198),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3535),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3536] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16304),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3536),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3537] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3537),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9053),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3538] = {
    [sym_match_case] = STATE(12668),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16119),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3538),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3539] = {
    [sym_match_case] = STATE(10582),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16093),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3539),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3540] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16065),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3540),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9055),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3541] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16066),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3541),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9057),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3542] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3542),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9059),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3543] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3543),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9061),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3544] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16152),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3544),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3545] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16309),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3545),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3546] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16220),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3546),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9063),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3547] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16230),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3547),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9065),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3548] = {
    [sym_match_case] = STATE(14686),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15952),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3548),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3549] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3549),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9067),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3550] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3550),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9069),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3551] = {
    [sym_match_case] = STATE(12668),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15949),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3551),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3552] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16186),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3552),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3553] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16192),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3553),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9071),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3554] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3554),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9073),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3555] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3555),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9075),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3556] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3556),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9077),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3557] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3557),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9079),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3558] = {
    [sym_match_case] = STATE(9877),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16151),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3558),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3559] = {
    [sym__simple_binding_pattern] = STATE(15796),
    [sym__binding_pattern] = STATE(15719),
    [sym_alias_binding_pattern] = STATE(15796),
    [sym_typed_binding_pattern] = STATE(15802),
    [sym__or_binding_pattern_anonymous] = STATE(15805),
    [sym_constructor_binding_pattern] = STATE(15796),
    [sym_tag_binding_pattern] = STATE(15796),
    [sym_polymorphic_variant_pattern] = STATE(15802),
    [sym_labeled_tuple_element_binding_pattern] = STATE(20470),
    [sym__tuple_binding_pattern] = STATE(15810),
    [sym_record_binding_pattern] = STATE(15813),
    [sym_list_binding_pattern] = STATE(15814),
    [sym_cons_binding_pattern] = STATE(15796),
    [sym_array_binding_pattern] = STATE(15826),
    [sym_range_pattern] = STATE(15796),
    [sym_lazy_binding_pattern] = STATE(15796),
    [sym_local_open_binding_pattern] = STATE(15802),
    [sym_package_pattern] = STATE(15802),
    [sym_parenthesized_binding_pattern] = STATE(15802),
    [sym_attribute] = STATE(3559),
    [sym_extension] = STATE(15802),
    [sym_quoted_extension] = STATE(15802),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15648),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__value_name] = STATE(15802),
    [sym_parenthesized_operator] = STATE(15300),
    [sym_module_path] = STATE(23149),
    [sym_constructor_path] = STATE(3421),
    [sym__constructor_name] = STATE(10245),
    [sym_tag] = STATE(3559),
    [sym__lowercase_identifier] = ACTIONS(6431),
    [anon_sym_TILDE] = ACTIONS(5629),
    [anon_sym_LPAREN] = ACTIONS(6435),
    [anon_sym_RPAREN] = ACTIONS(5623),
    [anon_sym_COMMA] = ACTIONS(5623),
    [anon_sym_PIPE] = ACTIONS(5623),
    [anon_sym_LBRACK] = ACTIONS(6439),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_COLON2] = ACTIONS(5627),
    [anon_sym_LBRACE] = ACTIONS(6443),
    [anon_sym_as] = ACTIONS(5627),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_COLON_COLON] = ACTIONS(5623),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6449),
    [anon_sym_lazy] = ACTIONS(6451),
    [anon_sym_begin] = ACTIONS(5973),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(6455),
    [aux_sym_tag_token1] = ACTIONS(6457),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3560] = {
    [sym__simple_pattern] = STATE(16586),
    [sym__effect_pattern] = STATE(16589),
    [sym__pattern] = STATE(16483),
    [sym_alias_pattern] = STATE(16589),
    [sym_typed_pattern] = STATE(16453),
    [sym__or_pattern_anonymous] = STATE(16590),
    [sym_constructor_pattern] = STATE(16586),
    [sym_tag_pattern] = STATE(16586),
    [sym_polymorphic_variant_pattern] = STATE(16453),
    [sym_labeled_tuple_element_pattern] = STATE(23203),
    [sym__tuple_pattern] = STATE(16592),
    [sym_record_pattern] = STATE(16453),
    [sym_list_pattern] = STATE(16453),
    [sym_cons_pattern] = STATE(16589),
    [sym_array_pattern] = STATE(16453),
    [sym_range_pattern] = STATE(16589),
    [sym_lazy_pattern] = STATE(16586),
    [sym_local_open_pattern] = STATE(16453),
    [sym_package_pattern] = STATE(16453),
    [sym_parenthesized_pattern] = STATE(16453),
    [sym_exception_pattern] = STATE(16589),
    [sym_effect_pattern] = STATE(16589),
    [sym_attribute] = STATE(3560),
    [sym_extension] = STATE(16453),
    [sym_quoted_extension] = STATE(16453),
    [sym__constant] = STATE(16073),
    [sym__signed_constant] = STATE(16254),
    [sym_number] = STATE(16169),
    [sym_signed_number] = STATE(16073),
    [sym_character] = STATE(16169),
    [sym_string] = STATE(16169),
    [sym_quoted_string] = STATE(16169),
    [sym_boolean] = STATE(16169),
    [sym_unit] = STATE(16169),
    [sym__simple_value_pattern] = STATE(16453),
    [sym_parenthesized_operator] = STATE(16453),
    [sym_module_path] = STATE(21372),
    [sym_constructor_path] = STATE(3038),
    [sym__constructor_name] = STATE(11195),
    [sym_tag] = STATE(3040),
    [sym__lowercase_identifier] = ACTIONS(8428),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(8517),
    [anon_sym_LBRACK] = ACTIONS(8432),
    [anon_sym_true] = ACTIONS(8434),
    [anon_sym_false] = ACTIONS(8434),
    [anon_sym_LBRACE] = ACTIONS(8436),
    [anon_sym_exception] = ACTIONS(8438),
    [anon_sym_POUND] = ACTIONS(8440),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8442),
    [anon_sym_PIPE_RBRACK] = ACTIONS(9081),
    [anon_sym_lazy] = ACTIONS(8444),
    [anon_sym_begin] = ACTIONS(8446),
    [anon_sym_effect] = ACTIONS(8448),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8450),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8452),
    [aux_sym_number_token1] = ACTIONS(8454),
    [aux_sym_signed_number_token1] = ACTIONS(8456),
    [anon_sym_SQUOTE] = ACTIONS(8458),
    [anon_sym_DQUOTE] = ACTIONS(8460),
    [sym__uppercase_identifier] = ACTIONS(8462),
    [aux_sym_tag_token1] = ACTIONS(8464),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3561] = {
    [sym_match_case] = STATE(14846),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15952),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3561),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3562] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(15996),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3562),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3563] = {
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16506),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(23488),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3563),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(3014),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3037),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_RBRACK] = ACTIONS(9083),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(8255),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(8257),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(8259),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3564] = {
    [sym_match_case] = STATE(9511),
    [sym__simple_pattern] = STATE(15371),
    [sym__effect_pattern] = STATE(15366),
    [sym__pattern] = STATE(16160),
    [sym_alias_pattern] = STATE(15366),
    [sym_typed_pattern] = STATE(15328),
    [sym__or_pattern_anonymous] = STATE(15322),
    [sym_constructor_pattern] = STATE(15371),
    [sym_tag_pattern] = STATE(15371),
    [sym_polymorphic_variant_pattern] = STATE(15328),
    [sym_labeled_tuple_element_pattern] = STATE(22514),
    [sym__tuple_pattern] = STATE(15339),
    [sym_record_pattern] = STATE(15328),
    [sym_list_pattern] = STATE(15328),
    [sym_cons_pattern] = STATE(15366),
    [sym_array_pattern] = STATE(15328),
    [sym_range_pattern] = STATE(15366),
    [sym_lazy_pattern] = STATE(15371),
    [sym_local_open_pattern] = STATE(15328),
    [sym_package_pattern] = STATE(15328),
    [sym_parenthesized_pattern] = STATE(15328),
    [sym_exception_pattern] = STATE(15366),
    [sym_effect_pattern] = STATE(15366),
    [sym_attribute] = STATE(3564),
    [sym_extension] = STATE(15328),
    [sym_quoted_extension] = STATE(15328),
    [sym__constant] = STATE(15234),
    [sym__signed_constant] = STATE(15248),
    [sym_number] = STATE(14200),
    [sym_signed_number] = STATE(15234),
    [sym_character] = STATE(14200),
    [sym_string] = STATE(14200),
    [sym_quoted_string] = STATE(14200),
    [sym_boolean] = STATE(14200),
    [sym_unit] = STATE(14200),
    [sym__simple_value_pattern] = STATE(15328),
    [sym_parenthesized_operator] = STATE(15328),
    [sym_module_path] = STATE(23187),
    [sym_constructor_path] = STATE(2978),
    [sym__constructor_name] = STATE(10115),
    [sym_tag] = STATE(3006),
    [sym__lowercase_identifier] = ACTIONS(5943),
    [anon_sym_TILDE] = ACTIONS(7933),
    [anon_sym_LPAREN] = ACTIONS(5947),
    [anon_sym_LBRACK] = ACTIONS(5953),
    [anon_sym_true] = ACTIONS(5955),
    [anon_sym_false] = ACTIONS(5955),
    [anon_sym_LBRACE] = ACTIONS(5959),
    [anon_sym_exception] = ACTIONS(5961),
    [anon_sym_POUND] = ACTIONS(7939),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5969),
    [anon_sym_lazy] = ACTIONS(5971),
    [anon_sym_begin] = ACTIONS(5973),
    [anon_sym_effect] = ACTIONS(5975),
    [aux_sym_attribute_token1] = ACTIONS(1423),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5977),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5979),
    [aux_sym_number_token1] = ACTIONS(5981),
    [aux_sym_signed_number_token1] = ACTIONS(8261),
    [anon_sym_SQUOTE] = ACTIONS(5985),
    [anon_sym_DQUOTE] = ACTIONS(5987),
    [sym__uppercase_identifier] = ACTIONS(5991),
    [aux_sym_tag_token1] = ACTIONS(5993),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3565), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16043), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [139] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3566), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15955), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8255), 1,
      anon_sym_exception,
    ACTIONS(8257), 1,
      anon_sym_lazy,
    ACTIONS(8259), 1,
      anon_sym_effect,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3014), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(3570), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16506), 1,
      sym__pattern,
    STATE(23187), 1,
      sym_module_path,
    STATE(23488), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [642] = 29,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9097), 1,
      sym__lowercase_identifier,
    ACTIONS(9103), 1,
      anon_sym_LPAREN,
    ACTIONS(9106), 1,
      anon_sym_LBRACK,
    ACTIONS(9112), 1,
      anon_sym_LBRACE,
    ACTIONS(9115), 1,
      anon_sym_POUND,
    ACTIONS(9118), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9121), 1,
      anon_sym_begin,
    ACTIONS(9124), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9127), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9130), 1,
      aux_sym_number_token1,
    ACTIONS(9133), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9136), 1,
      anon_sym_SQUOTE,
    ACTIONS(9139), 1,
      anon_sym_DQUOTE,
    ACTIONS(9142), 1,
      sym__uppercase_identifier,
    ACTIONS(9145), 1,
      aux_sym_tag_token1,
    STATE(10522), 1,
      sym__simple_pattern,
    STATE(10626), 1,
      sym__constructor_name,
    STATE(21780), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(9109), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3571), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(10520), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(10564), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(8371), 5,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(10635), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(8376), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
    STATE(10559), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [765] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8255), 1,
      anon_sym_exception,
    ACTIONS(8257), 1,
      anon_sym_lazy,
    ACTIONS(8259), 1,
      anon_sym_effect,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3014), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(3572), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16513), 1,
      sym__pattern,
    STATE(23187), 1,
      sym_module_path,
    STATE(23488), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [979] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3574), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16182), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1193] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3576), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16123), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1332] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8255), 1,
      anon_sym_exception,
    ACTIONS(8257), 1,
      anon_sym_lazy,
    ACTIONS(8259), 1,
      anon_sym_effect,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3014), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(3577), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16005), 1,
      sym__pattern,
    STATE(23187), 1,
      sym_module_path,
    STATE(23488), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1471] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8255), 1,
      anon_sym_exception,
    ACTIONS(8257), 1,
      anon_sym_lazy,
    ACTIONS(8259), 1,
      anon_sym_effect,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3014), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(3578), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15402), 1,
      sym__pattern,
    STATE(23187), 1,
      sym_module_path,
    STATE(23488), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1610] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8255), 1,
      anon_sym_exception,
    ACTIONS(8257), 1,
      anon_sym_lazy,
    ACTIONS(8259), 1,
      anon_sym_effect,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9148), 1,
      anon_sym_TILDE,
    STATE(3014), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(3579), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15358), 1,
      sym__tuple_pattern,
    STATE(16007), 1,
      sym__pattern,
    STATE(16009), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1749] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8255), 1,
      anon_sym_exception,
    ACTIONS(8257), 1,
      anon_sym_lazy,
    ACTIONS(8259), 1,
      anon_sym_effect,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3014), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(3580), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15363), 1,
      sym__or_pattern_anonymous,
    STATE(16012), 1,
      sym__pattern,
    STATE(23187), 1,
      sym_module_path,
    STATE(23488), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1888] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8255), 1,
      anon_sym_exception,
    ACTIONS(8257), 1,
      anon_sym_lazy,
    ACTIONS(8259), 1,
      anon_sym_effect,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3014), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(3581), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16013), 1,
      sym__pattern,
    STATE(23187), 1,
      sym_module_path,
    STATE(23488), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2027] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8255), 1,
      anon_sym_exception,
    ACTIONS(8257), 1,
      anon_sym_lazy,
    ACTIONS(8259), 1,
      anon_sym_effect,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3014), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(3582), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15561), 1,
      sym__pattern,
    STATE(23187), 1,
      sym_module_path,
    STATE(23488), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2166] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3583), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15970), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2305] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3584), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16061), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2444] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3585), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16295), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2583] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3586), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15659), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2722] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3587), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16153), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2861] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3588), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15402), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3000] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3589), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16210), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3139] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3590), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16094), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3278] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9150), 1,
      anon_sym_TILDE,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3591), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15358), 1,
      sym__tuple_pattern,
    STATE(15632), 1,
      sym__pattern,
    STATE(15664), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3417] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3592), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16249), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3631] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3594), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16051), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3770] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3595), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16104), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3909] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3596), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16200), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4048] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3597), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16276), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4187] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3598), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16101), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4326] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3599), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16168), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4540] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3601), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16150), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4679] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3602), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15954), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4818] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3603), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16062), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4957] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3604), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16109), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5171] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3606), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15363), 1,
      sym__or_pattern_anonymous,
    STATE(15635), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5310] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3607), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16223), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5449] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3608), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15630), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5588] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3609), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16239), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5727] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3610), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16199), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5866] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3611), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16000), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6005] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3612), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16283), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6144] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3613), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16088), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6283] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3614), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15987), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6422] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3615), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16154), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6561] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3616), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16016), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6700] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3617), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15979), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6839] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3618), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15981), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6978] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3619), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16018), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7117] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(3620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7194] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3621), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16307), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7333] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9166), 1,
      anon_sym_LT_DASH,
    STATE(3622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7410] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3623), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16072), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7549] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3624), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16014), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7688] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3625), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15561), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7827] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3626), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16075), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7966] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3627), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16175), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8105] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3628), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16264), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8244] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3629), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16271), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8458] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3631), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16126), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8672] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3633), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16064), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8811] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3634), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16184), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9100] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3637), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16048), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9239] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3638), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16207), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9378] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(8428), 1,
      sym__lowercase_identifier,
    ACTIONS(8432), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_LBRACE,
    ACTIONS(8438), 1,
      anon_sym_exception,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8444), 1,
      anon_sym_lazy,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8448), 1,
      anon_sym_effect,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8462), 1,
      sym__uppercase_identifier,
    ACTIONS(8464), 1,
      aux_sym_tag_token1,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3038), 1,
      sym_constructor_path,
    STATE(3040), 1,
      sym_tag,
    STATE(3639), 1,
      sym_attribute,
    STATE(11195), 1,
      sym__constructor_name,
    STATE(16254), 1,
      sym__signed_constant,
    STATE(16423), 1,
      sym__pattern,
    STATE(16590), 1,
      sym__or_pattern_anonymous,
    STATE(16592), 1,
      sym__tuple_pattern,
    STATE(21372), 1,
      sym_module_path,
    STATE(23203), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16586), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16589), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(16453), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9517] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(8428), 1,
      sym__lowercase_identifier,
    ACTIONS(8432), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_LBRACE,
    ACTIONS(8438), 1,
      anon_sym_exception,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8444), 1,
      anon_sym_lazy,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8448), 1,
      anon_sym_effect,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8462), 1,
      sym__uppercase_identifier,
    ACTIONS(8464), 1,
      aux_sym_tag_token1,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3038), 1,
      sym_constructor_path,
    STATE(3040), 1,
      sym_tag,
    STATE(3640), 1,
      sym_attribute,
    STATE(11195), 1,
      sym__constructor_name,
    STATE(16254), 1,
      sym__signed_constant,
    STATE(16425), 1,
      sym__pattern,
    STATE(16590), 1,
      sym__or_pattern_anonymous,
    STATE(16592), 1,
      sym__tuple_pattern,
    STATE(21372), 1,
      sym_module_path,
    STATE(23203), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16586), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16589), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(16453), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9656] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3641), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16205), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9795] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8428), 1,
      sym__lowercase_identifier,
    ACTIONS(8432), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_LBRACE,
    ACTIONS(8438), 1,
      anon_sym_exception,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8444), 1,
      anon_sym_lazy,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8448), 1,
      anon_sym_effect,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8462), 1,
      sym__uppercase_identifier,
    ACTIONS(8464), 1,
      aux_sym_tag_token1,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    ACTIONS(9180), 1,
      anon_sym_TILDE,
    STATE(3038), 1,
      sym_constructor_path,
    STATE(3040), 1,
      sym_tag,
    STATE(3642), 1,
      sym_attribute,
    STATE(11195), 1,
      sym__constructor_name,
    STATE(16254), 1,
      sym__signed_constant,
    STATE(16434), 1,
      sym__pattern,
    STATE(16437), 1,
      sym_labeled_tuple_element_pattern,
    STATE(16439), 1,
      sym__tuple_pattern,
    STATE(16590), 1,
      sym__or_pattern_anonymous,
    STATE(21372), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16586), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16589), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(16453), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9934] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3643), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16240), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10073] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(8428), 1,
      sym__lowercase_identifier,
    ACTIONS(8432), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_LBRACE,
    ACTIONS(8438), 1,
      anon_sym_exception,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8444), 1,
      anon_sym_lazy,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8448), 1,
      anon_sym_effect,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8462), 1,
      sym__uppercase_identifier,
    ACTIONS(8464), 1,
      aux_sym_tag_token1,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3038), 1,
      sym_constructor_path,
    STATE(3040), 1,
      sym_tag,
    STATE(3644), 1,
      sym_attribute,
    STATE(11195), 1,
      sym__constructor_name,
    STATE(16254), 1,
      sym__signed_constant,
    STATE(16441), 1,
      sym__pattern,
    STATE(16446), 1,
      sym__or_pattern_anonymous,
    STATE(16592), 1,
      sym__tuple_pattern,
    STATE(21372), 1,
      sym_module_path,
    STATE(23203), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16586), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16589), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(16453), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10212] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(8428), 1,
      sym__lowercase_identifier,
    ACTIONS(8432), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_LBRACE,
    ACTIONS(8438), 1,
      anon_sym_exception,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8444), 1,
      anon_sym_lazy,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8448), 1,
      anon_sym_effect,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8462), 1,
      sym__uppercase_identifier,
    ACTIONS(8464), 1,
      aux_sym_tag_token1,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3038), 1,
      sym_constructor_path,
    STATE(3040), 1,
      sym_tag,
    STATE(3645), 1,
      sym_attribute,
    STATE(11195), 1,
      sym__constructor_name,
    STATE(16254), 1,
      sym__signed_constant,
    STATE(16449), 1,
      sym__pattern,
    STATE(16590), 1,
      sym__or_pattern_anonymous,
    STATE(16592), 1,
      sym__tuple_pattern,
    STATE(21372), 1,
      sym_module_path,
    STATE(23203), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16586), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16589), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(16453), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10351] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3646), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16021), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10490] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3647), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16071), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10629] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3648), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16068), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10768] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(8428), 1,
      sym__lowercase_identifier,
    ACTIONS(8432), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_LBRACE,
    ACTIONS(8438), 1,
      anon_sym_exception,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8444), 1,
      anon_sym_lazy,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8448), 1,
      anon_sym_effect,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8462), 1,
      sym__uppercase_identifier,
    ACTIONS(8464), 1,
      aux_sym_tag_token1,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3038), 1,
      sym_constructor_path,
    STATE(3040), 1,
      sym_tag,
    STATE(3649), 1,
      sym_attribute,
    STATE(11195), 1,
      sym__constructor_name,
    STATE(16254), 1,
      sym__signed_constant,
    STATE(16450), 1,
      sym__pattern,
    STATE(16590), 1,
      sym__or_pattern_anonymous,
    STATE(16592), 1,
      sym__tuple_pattern,
    STATE(21372), 1,
      sym_module_path,
    STATE(23203), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16586), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16589), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(16453), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10907] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3650), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16158), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11196] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3653), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16092), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11335] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3654), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15965), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11474] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3655), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16069), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11688] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3657), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15967), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11827] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3658), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15990), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11966] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3659), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16037), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12105] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3660), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16057), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12244] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3661), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16122), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12383] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3662), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16132), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12522] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(3663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12599] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3664), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16209), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12738] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3665), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16227), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12877] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3666), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16289), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13016] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3667), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16059), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13155] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3668), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15980), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13294] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3669), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16011), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13433] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9190), 1,
      anon_sym_LT_DASH,
    STATE(3670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13510] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3671), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16250), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13649] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3672), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15960), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13788] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3673), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15991), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13927] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3674), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16004), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14066] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3675), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16031), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14205] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3676), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16042), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14419] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3678), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16074), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14558] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3679), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16079), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14697] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3680), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16102), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14836] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3681), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16114), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14975] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3682), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16140), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15114] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3683), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16156), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15253] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3684), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16187), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15392] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3685), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16196), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15531] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3686), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16224), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15745] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3688), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16231), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15959] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3690), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16255), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16173] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3692), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16266), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16312] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3693), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16284), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16451] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3694), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16291), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16590] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3695), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16269), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16729] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3696), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16049), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [16868] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(8428), 1,
      sym__lowercase_identifier,
    ACTIONS(8432), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_LBRACE,
    ACTIONS(8438), 1,
      anon_sym_exception,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8444), 1,
      anon_sym_lazy,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8448), 1,
      anon_sym_effect,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8462), 1,
      sym__uppercase_identifier,
    ACTIONS(8464), 1,
      aux_sym_tag_token1,
    ACTIONS(8517), 1,
      anon_sym_LPAREN,
    STATE(3038), 1,
      sym_constructor_path,
    STATE(3040), 1,
      sym_tag,
    STATE(3697), 1,
      sym_attribute,
    STATE(11195), 1,
      sym__constructor_name,
    STATE(16254), 1,
      sym__signed_constant,
    STATE(16483), 1,
      sym__pattern,
    STATE(16590), 1,
      sym__or_pattern_anonymous,
    STATE(16592), 1,
      sym__tuple_pattern,
    STATE(21372), 1,
      sym_module_path,
    STATE(23203), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16586), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16589), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(16453), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17007] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3698), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16105), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17296] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3701), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16063), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17510] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8255), 1,
      anon_sym_exception,
    ACTIONS(8257), 1,
      anon_sym_lazy,
    ACTIONS(8259), 1,
      anon_sym_effect,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3014), 1,
      sym_constructor_path,
    STATE(3037), 1,
      sym_tag,
    STATE(3703), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16699), 1,
      sym__pattern,
    STATE(23187), 1,
      sym_module_path,
    STATE(23488), 1,
      sym_labeled_tuple_element_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17649] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3704), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16262), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17788] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3705), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15973), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17927] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3706), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16125), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18066] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3707), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16201), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18355] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3710), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15988), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18569] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3712), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16052), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18708] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3713), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16127), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18847] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3714), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(17486), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18986] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3715), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16185), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19125] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3716), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(17514), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19339] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3718), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(15963), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19553] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3720), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16084), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19692] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(3721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19769] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3722), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16003), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19908] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9192), 1,
      anon_sym_LT_DASH,
    STATE(3723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19985] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3724), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16076), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20124] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3725), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16077), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20263] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3726), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16090), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20402] = 37,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5961), 1,
      anon_sym_exception,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5971), 1,
      anon_sym_lazy,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5975), 1,
      anon_sym_effect,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7933), 1,
      anon_sym_TILDE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(2978), 1,
      sym_constructor_path,
    STATE(3006), 1,
      sym_tag,
    STATE(3727), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(15248), 1,
      sym__signed_constant,
    STATE(15322), 1,
      sym__or_pattern_anonymous,
    STATE(15339), 1,
      sym__tuple_pattern,
    STATE(16197), 1,
      sym__pattern,
    STATE(22514), 1,
      sym_labeled_tuple_element_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15366), 6,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15328), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21059] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3735), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17591), 1,
      sym__simple_expression,
    STATE(18640), 1,
      sym_field_expression,
    STATE(22342), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21485] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(3740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21635] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9254), 1,
      anon_sym_LT_DASH,
    STATE(3742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21711] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3743), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17511), 1,
      sym__simple_expression,
    STATE(17987), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(23469), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21841] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3744), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17493), 1,
      sym__simple_expression,
    STATE(17989), 1,
      sym_field_expression,
    STATE(22401), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [21971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22341] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3750), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17570), 1,
      sym__simple_expression,
    STATE(19020), 1,
      sym_field_expression,
    STATE(20750), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [22471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23359] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3763), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17515), 1,
      sym__simple_expression,
    STATE(18389), 1,
      sym_field_expression,
    STATE(20551), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23859] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3769), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17594), 1,
      sym__simple_expression,
    STATE(18837), 1,
      sym_field_expression,
    STATE(22388), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24063] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(3771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24361] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9320), 1,
      anon_sym_LT_DASH,
    STATE(3775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24585] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3778), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17550), 1,
      sym__simple_expression,
    STATE(18604), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(23490), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [24715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25011] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3783), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17518), 1,
      sym__simple_expression,
    STATE(18705), 1,
      sym_field_expression,
    STATE(21199), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25363] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3787), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17560), 1,
      sym__simple_expression,
    STATE(18750), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22446), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25715] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3791), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17574), 1,
      sym__simple_expression,
    STATE(18272), 1,
      sym_field_expression,
    STATE(21057), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25993] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3794), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17596), 1,
      sym__simple_expression,
    STATE(17714), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22429), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26345] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3798), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17554), 1,
      sym__simple_expression,
    STATE(18646), 1,
      sym_field_expression,
    STATE(20744), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26623] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3801), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17521), 1,
      sym__simple_expression,
    STATE(19004), 1,
      sym_field_expression,
    STATE(21738), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27271] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3739), 1,
      anon_sym_DOT,
    ACTIONS(3741), 1,
      anon_sym_POUND,
    ACTIONS(3743), 1,
      sym_hash_operator,
    STATE(3809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28239] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3822), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17523), 1,
      sym__simple_expression,
    STATE(17738), 1,
      sym_field_expression,
    STATE(22013), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [28369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28591] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3729), 1,
      anon_sym_DOT,
    STATE(3826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28815] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3829), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17495), 1,
      sym__simple_expression,
    STATE(18331), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(23492), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [28945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29019] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3831), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17601), 1,
      sym__simple_expression,
    STATE(17795), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22468), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29223] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3833), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17577), 1,
      sym__simple_expression,
    STATE(18700), 1,
      sym_field_expression,
    STATE(21342), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29427] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3835), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17588), 1,
      sym__simple_expression,
    STATE(18064), 1,
      sym_field_expression,
    STATE(22276), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29557] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3729), 1,
      anon_sym_DOT,
    ACTIONS(3731), 1,
      anon_sym_POUND,
    ACTIONS(3733), 1,
      sym_hash_operator,
    STATE(3836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29711] = 42,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(9406), 1,
      anon_sym_rec,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(2928), 1,
      sym__binding_pattern,
    STATE(3838), 1,
      sym_attribute,
    STATE(4834), 1,
      sym__attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6939), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6942), 1,
      sym__tuple_binding_pattern,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(14034), 1,
      sym_let_binding,
    STATE(22371), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [29859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30747] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3851), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17525), 1,
      sym__simple_expression,
    STATE(17828), 1,
      sym_field_expression,
    STATE(22362), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30877] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3852), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17548), 1,
      sym__simple_expression,
    STATE(18483), 1,
      sym_field_expression,
    STATE(22032), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31081] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3739), 1,
      anon_sym_DOT,
    ACTIONS(3741), 1,
      anon_sym_POUND,
    ACTIONS(3743), 1,
      sym_hash_operator,
    STATE(3854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31383] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3858), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17602), 1,
      sym__simple_expression,
    STATE(17867), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22502), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32253] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9440), 1,
      anon_sym_LT_DASH,
    STATE(3869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32551] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3873), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17501), 1,
      sym__simple_expression,
    STATE(18614), 1,
      sym_field_expression,
    STATE(20809), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32829] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3876), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17604), 1,
      sym__simple_expression,
    STATE(17920), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22540), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33255] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3881), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17527), 1,
      sym__simple_expression,
    STATE(17901), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22508), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33903] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3889), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17563), 1,
      sym__simple_expression,
    STATE(18832), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(23393), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [34033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34107] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3891), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17606), 1,
      sym__simple_expression,
    STATE(17978), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22586), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [34237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34459] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3895), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17392), 1,
      sym__simple_expression,
    STATE(17684), 1,
      sym_field_expression,
    STATE(22099), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [34589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34885] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3900), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17529), 1,
      sym__simple_expression,
    STATE(17993), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22652), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [35015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35089] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3902), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17505), 1,
      sym__simple_expression,
    STATE(18998), 1,
      sym_field_expression,
    STATE(21082), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [35219] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3903), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17467), 1,
      sym__simple_expression,
    STATE(18861), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22883), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [35349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35571] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(3907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36165] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3915), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17607), 1,
      sym__simple_expression,
    STATE(18050), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22627), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [36295] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9494), 1,
      anon_sym_LT_DASH,
    STATE(3916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36593] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3920), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17532), 1,
      sym__simple_expression,
    STATE(18077), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22861), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [36723] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3921), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17580), 1,
      sym__simple_expression,
    STATE(18247), 1,
      sym_field_expression,
    STATE(21642), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [36853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37149] = 42,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(9504), 1,
      anon_sym_rec,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2939), 1,
      sym__binding_pattern,
    STATE(3926), 1,
      sym_attribute,
    STATE(4754), 1,
      sym__attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(14115), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [37297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37741] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(3933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38113] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3938), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17534), 1,
      sym__simple_expression,
    STATE(18166), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(23651), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [38243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38539] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3943), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17608), 1,
      sym__simple_expression,
    STATE(18140), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22679), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [38669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38891] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9536), 1,
      anon_sym_LT_DASH,
    STATE(3947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39337] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(3953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39635] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3957), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17446), 1,
      sym__simple_expression,
    STATE(18491), 1,
      sym_field_expression,
    STATE(20879), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [39765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40505] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3968), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17610), 1,
      sym__simple_expression,
    STATE(18228), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22720), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [40635] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3969), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17582), 1,
      sym__simple_expression,
    STATE(18758), 1,
      sym_field_expression,
    STATE(21931), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [40765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40839] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_POUND,
    ACTIONS(3723), 1,
      sym_hash_operator,
    STATE(3971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40993] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3973), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17537), 1,
      sym__simple_expression,
    STATE(18258), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(23738), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [41123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41271] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_DOT,
    STATE(3976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41717] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3982), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17557), 1,
      sym__simple_expression,
    STATE(18683), 1,
      sym_field_expression,
    STATE(21340), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [41847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41995] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(3985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42441] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3729), 1,
      anon_sym_DOT,
    ACTIONS(3731), 1,
      anon_sym_POUND,
    ACTIONS(3733), 1,
      sym_hash_operator,
    STATE(3991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42965] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(3998), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17541), 1,
      sym__simple_expression,
    STATE(18330), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    STATE(22517), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [43095] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3739), 1,
      anon_sym_DOT,
    STATE(3999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43171] = 42,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9548), 1,
      anon_sym_rec,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2933), 1,
      sym__binding_pattern,
    STATE(4000), 1,
      sym_attribute,
    STATE(4755), 1,
      sym__attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(14055), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [43319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43541] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(4004), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17417), 1,
      sym__simple_expression,
    STATE(18591), 1,
      sym_field_expression,
    STATE(22393), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [43671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43745] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(4006), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17482), 1,
      sym__simple_expression,
    STATE(18921), 1,
      sym_field_expression,
    STATE(21207), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [43875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44393] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(4014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44617] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(4017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45063] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(4023), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17590), 1,
      sym__simple_expression,
    STATE(18300), 1,
      sym_field_expression,
    STATE(22314), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [45193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45341] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(4026), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17506), 1,
      sym__simple_expression,
    STATE(18806), 1,
      sym_field_expression,
    STATE(21405), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [45471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45619] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45769] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(4031), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17567), 1,
      sym__simple_expression,
    STATE(18919), 1,
      sym_field_expression,
    STATE(20492), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [45899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46417] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46493] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(4040), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17542), 1,
      sym__simple_expression,
    STATE(18369), 1,
      sym_field_expression,
    STATE(22164), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [46623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46771] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(4043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47291] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(4050), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17585), 1,
      sym__simple_expression,
    STATE(17882), 1,
      sym_field_expression,
    STATE(22217), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [47421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47717] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(4055), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17508), 1,
      sym__simple_expression,
    STATE(18828), 1,
      sym_field_expression,
    STATE(22383), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [47847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48217] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(4061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48367] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(4063), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17545), 1,
      sym__simple_expression,
    STATE(18429), 1,
      sym_field_expression,
    STATE(20761), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [48497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49163] = 33,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(4073), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17446), 1,
      sym__simple_expression,
    STATE(18491), 1,
      sym_field_expression,
    STATE(22018), 1,
      sym__quoted_string,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [49293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49515] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_POUND,
    ACTIONS(3723), 1,
      sym_hash_operator,
    STATE(4077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49669] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9550), 1,
      anon_sym_LT_DASH,
    STATE(4079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51207] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3909), 1,
      anon_sym_DOT,
    ACTIONS(3911), 1,
      anon_sym_POUND,
    ACTIONS(3913), 1,
      sym_hash_operator,
    STATE(4100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51651] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51945] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(4110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52312] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4029), 1,
      anon_sym_DOT,
    ACTIONS(4031), 1,
      anon_sym_POUND,
    ACTIONS(4033), 1,
      sym_hash_operator,
    STATE(4115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52975] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4029), 1,
      anon_sym_DOT,
    ACTIONS(4031), 1,
      anon_sym_POUND,
    ACTIONS(4033), 1,
      sym_hash_operator,
    STATE(4124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54076] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_POUND,
    ACTIONS(4057), 1,
      sym_hash_operator,
    STATE(4139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54666] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4029), 1,
      anon_sym_DOT,
    STATE(4147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55909] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    ACTIONS(4055), 1,
      anon_sym_POUND,
    ACTIONS(4057), 1,
      sym_hash_operator,
    STATE(4164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57448] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4053), 1,
      anon_sym_DOT,
    STATE(4185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62852] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63146] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(4263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65046] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65486] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(4295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65634] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65855] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(4300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66879] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4379), 1,
      anon_sym_DOT,
    ACTIONS(4381), 1,
      anon_sym_POUND,
    ACTIONS(4383), 1,
      sym_hash_operator,
    STATE(4314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66958] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4379), 1,
      anon_sym_DOT,
    ACTIONS(4381), 1,
      anon_sym_POUND,
    ACTIONS(4383), 1,
      sym_hash_operator,
    STATE(4315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67986] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4379), 1,
      anon_sym_DOT,
    STATE(4329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70105] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3909), 1,
      anon_sym_DOT,
    STATE(4358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71859] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72080] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(4385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72228] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(4387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72303] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9552), 1,
      anon_sym_LT_DASH,
    STATE(4388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72743] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4287), 1,
      anon_sym_DOT,
    ACTIONS(4289), 1,
      anon_sym_POUND,
    ACTIONS(4291), 1,
      sym_hash_operator,
    STATE(4394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72895] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4287), 1,
      anon_sym_DOT,
    ACTIONS(4289), 1,
      anon_sym_POUND,
    ACTIONS(4291), 1,
      sym_hash_operator,
    STATE(4396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73485] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(4404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73560] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9554), 1,
      anon_sym_LT_DASH,
    STATE(4405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74511] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4287), 1,
      anon_sym_DOT,
    STATE(4418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77360] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(4457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77435] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9556), 1,
      anon_sym_LT_DASH,
    STATE(4458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77948] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4321), 1,
      anon_sym_DOT,
    ACTIONS(4323), 1,
      anon_sym_POUND,
    ACTIONS(4325), 1,
      sym_hash_operator,
    STATE(4465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78538] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4321), 1,
      anon_sym_DOT,
    STATE(4473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79927] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4321), 1,
      anon_sym_DOT,
    ACTIONS(4323), 1,
      anon_sym_POUND,
    ACTIONS(4325), 1,
      sym_hash_operator,
    STATE(4492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84753] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(4558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85996] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3909), 1,
      anon_sym_DOT,
    ACTIONS(3911), 1,
      anon_sym_POUND,
    ACTIONS(3913), 1,
      sym_hash_operator,
    STATE(4575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86658] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3617), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4584), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [86800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86872] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4419), 1,
      anon_sym_DOT,
    STATE(4586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86946] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3611), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4587), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [87088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87448] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4593), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17591), 1,
      sym__simple_expression,
    STATE(18640), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [87572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88004] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3637), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4600), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [88146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88578] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4607), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17482), 1,
      sym__simple_expression,
    STATE(18921), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88702] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4608), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17594), 1,
      sym__simple_expression,
    STATE(18837), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [88826] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9558), 1,
      anon_sym_RPAREN,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(4609), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16739), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [88968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89040] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(4611), 1,
      sym_attribute,
    STATE(5787), 1,
      sym__attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6797), 1,
      sym__binding_pattern,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [89182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89470] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3653), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4616), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [89612] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3609), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4617), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [89754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89826] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4619), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17493), 1,
      sym__simple_expression,
    STATE(17989), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [89950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90022] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4621), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17596), 1,
      sym__simple_expression,
    STATE(17714), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90146] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6475), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9560), 1,
      anon_sym_RPAREN,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(4622), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16796), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [90288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90360] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90434] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4625), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [90576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90792] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4629), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17601), 1,
      sym__simple_expression,
    STATE(17795), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [90916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91132] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91206] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4634), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [91348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91420] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5801), 1,
      anon_sym_lazy,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2866), 1,
      sym_constructor_path,
    STATE(2881), 1,
      sym_tag,
    STATE(4636), 1,
      sym_attribute,
    STATE(5830), 1,
      sym__attribute,
    STATE(6584), 1,
      sym__signed_constant,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6783), 1,
      sym__binding_pattern,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(6865), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6893), 1,
      sym__tuple_binding_pattern,
    STATE(21151), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6856), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6862), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [91562] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4637), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17602), 1,
      sym__simple_expression,
    STATE(17867), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [91686] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4638), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [91828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92116] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3697), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4643), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [92258] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(4644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92404] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    ACTIONS(9562), 1,
      anon_sym_rec,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4646), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17337), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [92546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92618] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4648), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17604), 1,
      sym__simple_expression,
    STATE(17920), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92742] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4649), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17495), 1,
      sym__simple_expression,
    STATE(18331), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [92866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93010] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9564), 1,
      anon_sym_RPAREN,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(4652), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16861), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [93152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93296] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3607), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4655), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [93438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93942] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4663), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17606), 1,
      sym__simple_expression,
    STATE(17978), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [94066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94426] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3619), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4669), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [94568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95000] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4676), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17607), 1,
      sym__simple_expression,
    STATE(18050), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95340] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3631), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4680), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [95482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95698] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4684), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17608), 1,
      sym__simple_expression,
    STATE(18140), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [95822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95966] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4687), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96180] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4689), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17610), 1,
      sym__simple_expression,
    STATE(18228), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [96304] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(4690), 1,
      sym_attribute,
    STATE(5656), 1,
      sym__attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6939), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6942), 1,
      sym__tuple_binding_pattern,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(6971), 1,
      sym__binding_pattern,
    STATE(22371), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96446] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3651), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4691), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96588] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3629), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4692), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96802] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3663), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4694), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [96944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97160] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4698), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17501), 1,
      sym__simple_expression,
    STATE(18614), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97500] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9566), 1,
      sym__lowercase_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN,
    ACTIONS(9570), 1,
      anon_sym_LBRACK,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    ACTIONS(9576), 1,
      anon_sym_object,
    ACTIONS(9578), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9580), 1,
      anon_sym_new,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9584), 1,
      anon_sym_begin,
    ACTIONS(9586), 1,
      sym_ocamlyacc_value,
    ACTIONS(9588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9592), 1,
      anon_sym_PERCENT,
    ACTIONS(9594), 1,
      aux_sym_number_token1,
    ACTIONS(9596), 1,
      anon_sym_SQUOTE,
    ACTIONS(9598), 1,
      anon_sym_DQUOTE,
    ACTIONS(9600), 1,
      sym_prefix_operator,
    ACTIONS(9602), 1,
      sym__uppercase_identifier,
    ACTIONS(9604), 1,
      aux_sym_tag_token1,
    STATE(4702), 1,
      sym_attribute,
    STATE(5777), 1,
      sym__attribute,
    STATE(8341), 1,
      sym__constructor_name,
    STATE(9216), 1,
      sym__simple_expression,
    STATE(9288), 1,
      sym__value_name,
    STATE(9369), 1,
      sym_parenthesized_operator,
    STATE(22080), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9379), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9283), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [97624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97768] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9606), 1,
      anon_sym_rec,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(2917), 1,
      sym__binding_pattern,
    STATE(4705), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(13742), 1,
      sym_let_binding,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [97910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(4715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98776] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3705), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4718), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [98918] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9592), 1,
      anon_sym_PERCENT,
    ACTIONS(9608), 1,
      sym__lowercase_identifier,
    ACTIONS(9610), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    ACTIONS(9616), 1,
      anon_sym_begin,
    ACTIONS(9618), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9620), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9622), 1,
      aux_sym_number_token1,
    ACTIONS(9624), 1,
      anon_sym_SQUOTE,
    ACTIONS(9626), 1,
      anon_sym_DQUOTE,
    ACTIONS(9628), 1,
      sym_prefix_operator,
    STATE(4719), 1,
      sym_attribute,
    STATE(5485), 1,
      sym__attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8797), 1,
      sym__simple_expression,
    STATE(8822), 1,
      sym__value_name,
    STATE(8891), 1,
      sym_parenthesized_operator,
    STATE(22682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8735), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99042] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4720), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17505), 1,
      sym__simple_expression,
    STATE(18998), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99166] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9566), 1,
      sym__lowercase_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN,
    ACTIONS(9570), 1,
      anon_sym_LBRACK,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    ACTIONS(9576), 1,
      anon_sym_object,
    ACTIONS(9578), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9580), 1,
      anon_sym_new,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9584), 1,
      anon_sym_begin,
    ACTIONS(9586), 1,
      sym_ocamlyacc_value,
    ACTIONS(9588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9592), 1,
      anon_sym_PERCENT,
    ACTIONS(9594), 1,
      aux_sym_number_token1,
    ACTIONS(9596), 1,
      anon_sym_SQUOTE,
    ACTIONS(9598), 1,
      anon_sym_DQUOTE,
    ACTIONS(9600), 1,
      sym_prefix_operator,
    ACTIONS(9602), 1,
      sym__uppercase_identifier,
    ACTIONS(9604), 1,
      aux_sym_tag_token1,
    STATE(4721), 1,
      sym_attribute,
    STATE(5803), 1,
      sym__attribute,
    STATE(8341), 1,
      sym__constructor_name,
    STATE(9288), 1,
      sym__value_name,
    STATE(9336), 1,
      sym__simple_expression,
    STATE(9369), 1,
      sym_parenthesized_operator,
    STATE(22080), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9379), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9283), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99290] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3691), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4722), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [99432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [99504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99576] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4725), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17506), 1,
      sym__simple_expression,
    STATE(18806), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [99700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99916] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3613), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4729), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [100058] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9634), 1,
      anon_sym_COLON,
    STATE(4730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [100132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100276] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4733), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17508), 1,
      sym__simple_expression,
    STATE(18828), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100472] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9592), 1,
      anon_sym_PERCENT,
    ACTIONS(9608), 1,
      sym__lowercase_identifier,
    ACTIONS(9610), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    ACTIONS(9616), 1,
      anon_sym_begin,
    ACTIONS(9618), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9620), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9622), 1,
      aux_sym_number_token1,
    ACTIONS(9624), 1,
      anon_sym_SQUOTE,
    ACTIONS(9626), 1,
      anon_sym_DQUOTE,
    ACTIONS(9628), 1,
      sym_prefix_operator,
    STATE(4735), 1,
      sym_attribute,
    STATE(5486), 1,
      sym__attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8798), 1,
      sym__simple_expression,
    STATE(8822), 1,
      sym__value_name,
    STATE(8891), 1,
      sym_parenthesized_operator,
    STATE(22682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8735), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100596] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4736), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [100738] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4737), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17511), 1,
      sym__simple_expression,
    STATE(17987), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [100862] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(4738), 1,
      sym_attribute,
    STATE(5520), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(15850), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [101004] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4739), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [101146] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4740), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17515), 1,
      sym__simple_expression,
    STATE(18389), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101270] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4741), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [101412] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4742), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [101554] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4743), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17518), 1,
      sym__simple_expression,
    STATE(18705), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101750] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9636), 1,
      anon_sym_rec,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(2922), 1,
      sym__binding_pattern,
    STATE(4745), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(13769), 1,
      sym_let_binding,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [101892] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3649), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4746), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [102034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102106] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4748), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17521), 1,
      sym__simple_expression,
    STATE(19004), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102230] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4749), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17392), 1,
      sym__simple_expression,
    STATE(17684), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102354] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9638), 1,
      anon_sym_COLON,
    STATE(4750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [102428] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9640), 1,
      anon_sym_RPAREN,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(4751), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16710), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [102570] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4752), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17417), 1,
      sym__simple_expression,
    STATE(18591), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102694] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2665), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9640), 1,
      anon_sym_RPAREN,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(4753), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16710), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [102836] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9642), 1,
      anon_sym_rec,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2939), 1,
      sym__binding_pattern,
    STATE(4754), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(14031), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [102978] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9644), 1,
      anon_sym_rec,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2933), 1,
      sym__binding_pattern,
    STATE(4755), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(14056), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [103120] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4756), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [103262] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4757), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17523), 1,
      sym__simple_expression,
    STATE(17738), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103386] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3667), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4758), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [103528] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6239), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9646), 1,
      anon_sym_RPAREN,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(4759), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16914), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [103670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [103742] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4761), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17525), 1,
      sym__simple_expression,
    STATE(17828), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103866] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3603), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4762), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [104008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104152] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4765), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17527), 1,
      sym__simple_expression,
    STATE(17901), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104348] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9592), 1,
      anon_sym_PERCENT,
    ACTIONS(9652), 1,
      sym__lowercase_identifier,
    ACTIONS(9654), 1,
      anon_sym_LPAREN,
    ACTIONS(9656), 1,
      anon_sym_LBRACK,
    ACTIONS(9660), 1,
      anon_sym_LBRACE,
    ACTIONS(9662), 1,
      anon_sym_object,
    ACTIONS(9664), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9666), 1,
      anon_sym_new,
    ACTIONS(9668), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9670), 1,
      anon_sym_begin,
    ACTIONS(9672), 1,
      sym_ocamlyacc_value,
    ACTIONS(9674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9678), 1,
      aux_sym_number_token1,
    ACTIONS(9680), 1,
      anon_sym_SQUOTE,
    ACTIONS(9682), 1,
      anon_sym_DQUOTE,
    ACTIONS(9684), 1,
      sym_prefix_operator,
    ACTIONS(9686), 1,
      sym__uppercase_identifier,
    ACTIONS(9688), 1,
      aux_sym_tag_token1,
    STATE(4767), 1,
      sym_attribute,
    STATE(5614), 1,
      sym__attribute,
    STATE(9039), 1,
      sym__simple_expression,
    STATE(9043), 1,
      sym__constructor_name,
    STATE(9095), 1,
      sym__value_name,
    STATE(9195), 1,
      sym_parenthesized_operator,
    STATE(23479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9658), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9024), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9042), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104544] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9592), 1,
      anon_sym_PERCENT,
    ACTIONS(9652), 1,
      sym__lowercase_identifier,
    ACTIONS(9654), 1,
      anon_sym_LPAREN,
    ACTIONS(9656), 1,
      anon_sym_LBRACK,
    ACTIONS(9660), 1,
      anon_sym_LBRACE,
    ACTIONS(9662), 1,
      anon_sym_object,
    ACTIONS(9664), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9666), 1,
      anon_sym_new,
    ACTIONS(9668), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9670), 1,
      anon_sym_begin,
    ACTIONS(9672), 1,
      sym_ocamlyacc_value,
    ACTIONS(9674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9678), 1,
      aux_sym_number_token1,
    ACTIONS(9680), 1,
      anon_sym_SQUOTE,
    ACTIONS(9682), 1,
      anon_sym_DQUOTE,
    ACTIONS(9684), 1,
      sym_prefix_operator,
    ACTIONS(9686), 1,
      sym__uppercase_identifier,
    ACTIONS(9688), 1,
      aux_sym_tag_token1,
    STATE(4769), 1,
      sym_attribute,
    STATE(5615), 1,
      sym__attribute,
    STATE(9040), 1,
      sym__simple_expression,
    STATE(9043), 1,
      sym__constructor_name,
    STATE(9095), 1,
      sym__value_name,
    STATE(9195), 1,
      sym_parenthesized_operator,
    STATE(23479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9658), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9024), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9042), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [104668] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(4770), 1,
      sym_attribute,
    STATE(5504), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(15850), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [104810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104882] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3679), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4772), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [105024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105240] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4776), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17446), 1,
      sym__simple_expression,
    STATE(18491), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105364] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3657), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4777), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [105506] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2059), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9646), 1,
      anon_sym_RPAREN,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(4778), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16914), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [105648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105864] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4782), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17529), 1,
      sym__simple_expression,
    STATE(17993), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105988] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5801), 1,
      anon_sym_lazy,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9690), 1,
      anon_sym_rec,
    STATE(2866), 1,
      sym_constructor_path,
    STATE(2881), 1,
      sym_tag,
    STATE(2924), 1,
      sym__binding_pattern,
    STATE(4783), 1,
      sym_attribute,
    STATE(6584), 1,
      sym__signed_constant,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(6865), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6893), 1,
      sym__tuple_binding_pattern,
    STATE(13345), 1,
      sym_let_binding,
    STATE(21151), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6856), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6862), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [106130] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6625), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9692), 1,
      anon_sym_RPAREN,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(4784), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16891), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [106272] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3699), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4785), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [106414] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4786), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17532), 1,
      sym__simple_expression,
    STATE(18077), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106538] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9592), 1,
      anon_sym_PERCENT,
    ACTIONS(9694), 1,
      sym__lowercase_identifier,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9702), 1,
      anon_sym_LBRACE,
    ACTIONS(9704), 1,
      anon_sym_object,
    ACTIONS(9706), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9708), 1,
      anon_sym_new,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9712), 1,
      anon_sym_begin,
    ACTIONS(9714), 1,
      sym_ocamlyacc_value,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9720), 1,
      aux_sym_number_token1,
    ACTIONS(9722), 1,
      anon_sym_SQUOTE,
    ACTIONS(9724), 1,
      anon_sym_DQUOTE,
    ACTIONS(9726), 1,
      sym_prefix_operator,
    ACTIONS(9728), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      aux_sym_tag_token1,
    STATE(4787), 1,
      sym_attribute,
    STATE(5703), 1,
      sym__attribute,
    STATE(11433), 1,
      sym__simple_expression,
    STATE(11476), 1,
      sym__constructor_name,
    STATE(11702), 1,
      sym__value_name,
    STATE(11733), 1,
      sym_parenthesized_operator,
    STATE(21017), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9700), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11529), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11651), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106662] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9592), 1,
      anon_sym_PERCENT,
    ACTIONS(9694), 1,
      sym__lowercase_identifier,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9702), 1,
      anon_sym_LBRACE,
    ACTIONS(9704), 1,
      anon_sym_object,
    ACTIONS(9706), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9708), 1,
      anon_sym_new,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9712), 1,
      anon_sym_begin,
    ACTIONS(9714), 1,
      sym_ocamlyacc_value,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9720), 1,
      aux_sym_number_token1,
    ACTIONS(9722), 1,
      anon_sym_SQUOTE,
    ACTIONS(9724), 1,
      anon_sym_DQUOTE,
    ACTIONS(9726), 1,
      sym_prefix_operator,
    ACTIONS(9728), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      aux_sym_tag_token1,
    STATE(4788), 1,
      sym_attribute,
    STATE(5704), 1,
      sym__attribute,
    STATE(11434), 1,
      sym__simple_expression,
    STATE(11476), 1,
      sym__constructor_name,
    STATE(11702), 1,
      sym__value_name,
    STATE(11733), 1,
      sym_parenthesized_operator,
    STATE(21017), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9700), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11529), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11651), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106858] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3621), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4790), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [107000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107144] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(4793), 1,
      sym_attribute,
    STATE(5635), 1,
      sym__attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(16581), 1,
      sym__binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [107286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108078] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4805), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17534), 1,
      sym__simple_expression,
    STATE(18166), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109570] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4825), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [109712] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4826), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17467), 1,
      sym__simple_expression,
    STATE(18861), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109836] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3709), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4827), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [109978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110266] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4832), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17537), 1,
      sym__simple_expression,
    STATE(18258), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110390] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9732), 1,
      anon_sym_RPAREN,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(4833), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16896), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [110532] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9734), 1,
      anon_sym_rec,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(2928), 1,
      sym__binding_pattern,
    STATE(4834), 1,
      sym_attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6939), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6942), 1,
      sym__tuple_binding_pattern,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(14037), 1,
      sym_let_binding,
    STATE(22371), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [110674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110818] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4837), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [110960] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4429), 1,
      anon_sym_DOT,
    ACTIONS(4431), 1,
      anon_sym_POUND,
    ACTIONS(4433), 1,
      sym_hash_operator,
    STATE(4838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111182] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4429), 1,
      anon_sym_DOT,
    ACTIONS(4431), 1,
      anon_sym_POUND,
    ACTIONS(4433), 1,
      sym_hash_operator,
    STATE(4841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111548] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(4846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111622] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9736), 1,
      anon_sym_LT_DASH,
    STATE(4847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111696] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4848), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17541), 1,
      sym__simple_expression,
    STATE(18330), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111892] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9592), 1,
      anon_sym_PERCENT,
    ACTIONS(9738), 1,
      sym__lowercase_identifier,
    ACTIONS(9740), 1,
      anon_sym_LPAREN,
    ACTIONS(9742), 1,
      anon_sym_LBRACK,
    ACTIONS(9746), 1,
      anon_sym_LBRACE,
    ACTIONS(9748), 1,
      anon_sym_object,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9752), 1,
      anon_sym_new,
    ACTIONS(9754), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9756), 1,
      anon_sym_begin,
    ACTIONS(9758), 1,
      sym_ocamlyacc_value,
    ACTIONS(9760), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9762), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9764), 1,
      aux_sym_number_token1,
    ACTIONS(9766), 1,
      anon_sym_SQUOTE,
    ACTIONS(9768), 1,
      anon_sym_DQUOTE,
    ACTIONS(9770), 1,
      sym_prefix_operator,
    ACTIONS(9772), 1,
      sym__uppercase_identifier,
    ACTIONS(9774), 1,
      aux_sym_tag_token1,
    STATE(4850), 1,
      sym_attribute,
    STATE(5779), 1,
      sym__attribute,
    STATE(8990), 1,
      sym__constructor_name,
    STATE(9036), 1,
      sym__simple_expression,
    STATE(9147), 1,
      sym__value_name,
    STATE(9202), 1,
      sym_parenthesized_operator,
    STATE(21263), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9744), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8931), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9094), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112016] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9592), 1,
      anon_sym_PERCENT,
    ACTIONS(9738), 1,
      sym__lowercase_identifier,
    ACTIONS(9740), 1,
      anon_sym_LPAREN,
    ACTIONS(9742), 1,
      anon_sym_LBRACK,
    ACTIONS(9746), 1,
      anon_sym_LBRACE,
    ACTIONS(9748), 1,
      anon_sym_object,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9752), 1,
      anon_sym_new,
    ACTIONS(9754), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9756), 1,
      anon_sym_begin,
    ACTIONS(9758), 1,
      sym_ocamlyacc_value,
    ACTIONS(9760), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9762), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9764), 1,
      aux_sym_number_token1,
    ACTIONS(9766), 1,
      anon_sym_SQUOTE,
    ACTIONS(9768), 1,
      anon_sym_DQUOTE,
    ACTIONS(9770), 1,
      sym_prefix_operator,
    ACTIONS(9772), 1,
      sym__uppercase_identifier,
    ACTIONS(9774), 1,
      aux_sym_tag_token1,
    STATE(4851), 1,
      sym_attribute,
    STATE(5780), 1,
      sym__attribute,
    STATE(8990), 1,
      sym__constructor_name,
    STATE(9037), 1,
      sym__simple_expression,
    STATE(9147), 1,
      sym__value_name,
    STATE(9202), 1,
      sym_parenthesized_operator,
    STATE(21263), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9744), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8931), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9094), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112140] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4852), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [112282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112498] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(4856), 1,
      sym_attribute,
    STATE(5505), 1,
      sym__attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(6646), 1,
      sym__binding_pattern,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [112640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113288] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4439), 1,
      anon_sym_DOT,
    ACTIONS(4441), 1,
      anon_sym_POUND,
    ACTIONS(4443), 1,
      sym_hash_operator,
    STATE(4866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114014] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9776), 1,
      anon_sym_COLON,
    STATE(4876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [114088] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4877), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17542), 1,
      sym__simple_expression,
    STATE(18369), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114284] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4439), 1,
      anon_sym_DOT,
    STATE(4879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115798] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4439), 1,
      anon_sym_DOT,
    ACTIONS(4441), 1,
      anon_sym_POUND,
    ACTIONS(4443), 1,
      sym_hash_operator,
    STATE(4900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115876] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4901), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [116018] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4902), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17545), 1,
      sym__simple_expression,
    STATE(18429), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116142] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(4903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116720] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9778), 1,
      anon_sym_LT_DASH,
    STATE(4911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116794] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4912), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [116936] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4913), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17548), 1,
      sym__simple_expression,
    STATE(18483), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117420] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3601), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4919), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [117562] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4920), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17550), 1,
      sym__simple_expression,
    STATE(18604), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117686] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3659), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4921), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [117828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117972] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4924), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17554), 1,
      sym__simple_expression,
    STATE(18646), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118240] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3675), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4927), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [118382] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4928), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17557), 1,
      sym__simple_expression,
    STATE(18683), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118650] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118796] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3701), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4933), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [118938] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4934), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17560), 1,
      sym__simple_expression,
    STATE(18750), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119062] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3625), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4935), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [119204] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4936), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17563), 1,
      sym__simple_expression,
    STATE(18832), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119328] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3689), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4937), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [119470] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4938), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17567), 1,
      sym__simple_expression,
    STATE(18919), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119594] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(4939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119740] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3655), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4941), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [119882] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4942), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17570), 1,
      sym__simple_expression,
    STATE(19020), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120006] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(4943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120080] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9780), 1,
      anon_sym_LT_DASH,
    STATE(4944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120154] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3627), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4945), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [120296] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4946), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17574), 1,
      sym__simple_expression,
    STATE(18272), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120420] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4419), 1,
      anon_sym_DOT,
    ACTIONS(4421), 1,
      anon_sym_POUND,
    ACTIONS(4423), 1,
      sym_hash_operator,
    STATE(4947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120642] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3623), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4950), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [120784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120856] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4952), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17577), 1,
      sym__simple_expression,
    STATE(18700), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120980] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3669), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4953), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [121122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121770] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4963), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17580), 1,
      sym__simple_expression,
    STATE(18247), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121894] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3605), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4964), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [122036] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4419), 1,
      anon_sym_DOT,
    ACTIONS(4421), 1,
      anon_sym_POUND,
    ACTIONS(4423), 1,
      sym_hash_operator,
    STATE(4965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122114] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4966), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17582), 1,
      sym__simple_expression,
    STATE(18758), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122310] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4968), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [122452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122524] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4970), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17585), 1,
      sym__simple_expression,
    STATE(17882), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122792] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3673), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4973), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [122934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123150] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4977), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17588), 1,
      sym__simple_expression,
    STATE(18064), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123490] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(4981), 1,
      sym_attribute,
    STATE(5740), 1,
      sym__attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(10730), 1,
      sym__binding_pattern,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [123632] = 40,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(4982), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [123774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124062] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(9206), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(4987), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16887), 1,
      sym_field_path,
    STATE(17590), 1,
      sym__simple_expression,
    STATE(18300), 1,
      sym_field_expression,
    STATE(22403), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124258] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4429), 1,
      anon_sym_DOT,
    STATE(4989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124403] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(4991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124476] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(2922), 1,
      sym__binding_pattern,
    STATE(4992), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(13702), 1,
      sym_let_binding,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [124615] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9782), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(4993), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16216), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [124754] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9784), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(4994), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16228), 1,
      sym__binding_pattern,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [124893] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(4995), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [125014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125298] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9786), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5000), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [125437] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9788), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5001), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [125576] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9790), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5002), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [125715] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9792), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5003), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [125854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125996] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(5006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126069] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3663), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5007), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126190] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(5008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126263] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3629), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5009), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126455] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(5011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126528] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9794), 1,
      anon_sym_LT_DASH,
    STATE(5012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126672] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3705), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5014), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127148] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4463), 1,
      anon_sym_DOT,
    ACTIONS(4465), 1,
      anon_sym_POUND,
    ACTIONS(4467), 1,
      sym_hash_operator,
    STATE(5020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127225] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(2922), 1,
      sym__binding_pattern,
    STATE(5021), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(13207), 1,
      sym_let_binding,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [127364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127577] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3691), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5025), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127982] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4463), 1,
      anon_sym_DOT,
    STATE(5030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129333] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4463), 1,
      anon_sym_DOT,
    ACTIONS(4465), 1,
      anon_sym_POUND,
    ACTIONS(4467), 1,
      sym_hash_operator,
    STATE(5049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129410] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3613), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5050), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129957] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9796), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5057), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [130096] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5058), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130217] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9798), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5059), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [130356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130427] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5061), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130832] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5066), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130953] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(5067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131026] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(2922), 1,
      sym__binding_pattern,
    STATE(5068), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(13854), 1,
      sym_let_binding,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [131165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131307] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3649), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5071), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132067] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5081), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132330] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3667), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5084), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132522] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3603), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5086), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132785] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3657), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5089), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [132906] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9800), 1,
      anon_sym_LT_DASH,
    STATE(5090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132979] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3699), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5091), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133171] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3621), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5093), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133363] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3709), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5095), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133626] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5098), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [133747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134102] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5104), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134223] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5105), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134628] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5110), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [134749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135033] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3601), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5115), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135154] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3659), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5116), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135275] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3675), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5117), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135538] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3701), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5120), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135659] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9802), 1,
      anon_sym_COLON,
    STATE(5121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [135732] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3625), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5122), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135853] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3689), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5123), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135974] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3655), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5124), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136095] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(5125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136168] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(5126), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17215), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [136307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136378] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3627), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5128), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136499] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(5129), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17337), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [136638] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9804), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5130), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16256), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [136777] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9806), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5131), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16261), 1,
      sym__binding_pattern,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [136916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136987] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3623), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5133), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137108] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5134), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137229] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(5135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137373] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3669), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5137), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137494] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3605), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5138), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137615] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5139), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137736] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3673), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5140), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137857] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9808), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5141), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [137996] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9810), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5142), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [138135] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5143), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138256] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9812), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5144), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [138395] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9814), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5145), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [138534] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(5146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138607] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9816), 1,
      anon_sym_LT_DASH,
    STATE(5147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138680] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2939), 1,
      sym__binding_pattern,
    STATE(5148), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(13207), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [138819] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3611), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5149), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138940] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2939), 1,
      sym__binding_pattern,
    STATE(5150), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(14062), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [139079] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3637), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5151), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139271] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(5153), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(18474), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [139410] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(3427), 1,
      sym__binding_pattern,
    STATE(5154), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(17378), 1,
      sym_let_binding,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [139549] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3653), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5155), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139670] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9818), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5156), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [139809] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5157), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139930] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5158), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140051] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9820), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5159), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [140190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140261] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3697), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5161), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140453] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3607), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5163), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140574] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3619), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5164), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140766] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3631), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5166), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141242] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5172), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141647] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4657), 1,
      anon_sym_DOT,
    ACTIONS(4659), 1,
      anon_sym_POUND,
    ACTIONS(4661), 1,
      sym_hash_operator,
    STATE(5177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141866] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3651), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5180), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142058] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2939), 1,
      sym__binding_pattern,
    STATE(5182), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(14115), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142410] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2939), 1,
      sym__binding_pattern,
    STATE(5186), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(14031), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [142549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142620] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4657), 1,
      anon_sym_DOT,
    STATE(5188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143119] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9822), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5195), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16155), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143329] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9824), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5197), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16159), 1,
      sym__binding_pattern,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [143468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144107] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3679), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5207), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144938] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(2917), 1,
      sym__binding_pattern,
    STATE(5218), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(13207), 1,
      sym_let_binding,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145077] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(2917), 1,
      sym__binding_pattern,
    STATE(5219), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(13294), 1,
      sym_let_binding,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145358] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9826), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5222), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145497] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9828), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5223), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145707] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9830), 1,
      anon_sym_COLON,
    STATE(5225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [145780] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9832), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5226), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [145919] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9834), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5227), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [146200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146271] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5801), 1,
      anon_sym_lazy,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2866), 1,
      sym_constructor_path,
    STATE(2881), 1,
      sym_tag,
    STATE(2924), 1,
      sym__binding_pattern,
    STATE(5231), 1,
      sym_attribute,
    STATE(6584), 1,
      sym__signed_constant,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(6865), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6893), 1,
      sym__tuple_binding_pattern,
    STATE(13207), 1,
      sym_let_binding,
    STATE(21151), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6856), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6862), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146481] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5801), 1,
      anon_sym_lazy,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2866), 1,
      sym_constructor_path,
    STATE(2881), 1,
      sym_tag,
    STATE(2924), 1,
      sym__binding_pattern,
    STATE(5233), 1,
      sym_attribute,
    STATE(6584), 1,
      sym__signed_constant,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(6865), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6893), 1,
      sym__tuple_binding_pattern,
    STATE(13319), 1,
      sym_let_binding,
    STATE(21151), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6856), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6862), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [146620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146833] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9836), 1,
      anon_sym_COLON,
    STATE(5237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [146906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146977] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2933), 1,
      sym__binding_pattern,
    STATE(5239), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(13207), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147116] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2933), 1,
      sym__binding_pattern,
    STATE(5240), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(14052), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147255] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2933), 1,
      sym__binding_pattern,
    STATE(5241), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(14055), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147394] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(2933), 1,
      sym__binding_pattern,
    STATE(5242), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(14056), 1,
      sym_let_binding,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [147533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148101] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9838), 1,
      anon_sym_COLON,
    STATE(5251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [148174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149097] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4449), 1,
      anon_sym_DOT,
    STATE(5265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150377] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5801), 1,
      anon_sym_lazy,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2866), 1,
      sym_constructor_path,
    STATE(2881), 1,
      sym_tag,
    STATE(2924), 1,
      sym__binding_pattern,
    STATE(5283), 1,
      sym_attribute,
    STATE(6584), 1,
      sym__signed_constant,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(6865), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6893), 1,
      sym__tuple_binding_pattern,
    STATE(13344), 1,
      sym_let_binding,
    STATE(21151), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6856), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6862), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150516] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5801), 1,
      anon_sym_lazy,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2866), 1,
      sym_constructor_path,
    STATE(2881), 1,
      sym_tag,
    STATE(2924), 1,
      sym__binding_pattern,
    STATE(5284), 1,
      sym_attribute,
    STATE(6584), 1,
      sym__signed_constant,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(6865), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6893), 1,
      sym__tuple_binding_pattern,
    STATE(13345), 1,
      sym_let_binding,
    STATE(21151), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6856), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6862), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150939] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9840), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5289), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(15974), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151078] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9842), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5290), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(15978), 1,
      sym__binding_pattern,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [151217] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5291), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [151338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151622] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4449), 1,
      anon_sym_DOT,
    ACTIONS(4451), 1,
      anon_sym_POUND,
    ACTIONS(4453), 1,
      sym_hash_operator,
    STATE(5296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151841] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4449), 1,
      anon_sym_DOT,
    ACTIONS(4451), 1,
      anon_sym_POUND,
    ACTIONS(4453), 1,
      sym_hash_operator,
    STATE(5299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152912] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9844), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5314), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153051] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9846), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5315), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153474] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9848), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5320), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153613] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9850), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5321), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [153752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [153823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153965] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(2928), 1,
      sym__binding_pattern,
    STATE(5325), 1,
      sym_attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6939), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6942), 1,
      sym__tuple_binding_pattern,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(13207), 1,
      sym_let_binding,
    STATE(22371), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154104] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(2928), 1,
      sym__binding_pattern,
    STATE(5326), 1,
      sym_attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6939), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6942), 1,
      sym__tuple_binding_pattern,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(14025), 1,
      sym_let_binding,
    STATE(22371), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154314] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(2922), 1,
      sym__binding_pattern,
    STATE(5328), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(13769), 1,
      sym_let_binding,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154524] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9852), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5330), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16039), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [154663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154876] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9854), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5334), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16172), 1,
      sym__binding_pattern,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [155086] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9856), 1,
      anon_sym_COLON,
    STATE(5336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [155159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [155230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [155372] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(2928), 1,
      sym__binding_pattern,
    STATE(5340), 1,
      sym_attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6939), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6942), 1,
      sym__tuple_binding_pattern,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(14034), 1,
      sym_let_binding,
    STATE(22371), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155511] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(2928), 1,
      sym__binding_pattern,
    STATE(5341), 1,
      sym_attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6939), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6942), 1,
      sym__tuple_binding_pattern,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(14037), 1,
      sym_let_binding,
    STATE(22371), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155650] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5342), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16103), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155789] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9860), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5343), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16111), 1,
      sym__binding_pattern,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [155928] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3617), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5344), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156120] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9862), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5346), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156259] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9864), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5347), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156398] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9866), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5348), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156537] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9868), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5349), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156676] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(2917), 1,
      sym__binding_pattern,
    STATE(5350), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(13741), 1,
      sym_let_binding,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [156815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [156886] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(2917), 1,
      sym__binding_pattern,
    STATE(5352), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(13742), 1,
      sym_let_binding,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157096] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9870), 1,
      anon_sym_COLON,
    STATE(5354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [157169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157524] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9872), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5360), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16292), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157663] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9874), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5361), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16299), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [157802] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(3609), 1,
      anon_sym_RPAREN,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5362), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158633] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9876), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5373), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158772] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9878), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5374), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [158911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159053] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9880), 1,
      anon_sym_RBRACK,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5377), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159263] = 39,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9882), 1,
      anon_sym_PIPE_RBRACK,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5379), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [159402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159544] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(5382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160043] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4657), 1,
      anon_sym_DOT,
    ACTIONS(4659), 1,
      anon_sym_POUND,
    ACTIONS(4661), 1,
      sym_hash_operator,
    STATE(5389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160260] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2963), 1,
      anon_sym_LPAREN,
    ACTIONS(2965), 1,
      anon_sym_LBRACK,
    ACTIONS(2969), 1,
      anon_sym_LBRACE,
    ACTIONS(2971), 1,
      anon_sym_object,
    ACTIONS(2975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2985), 1,
      anon_sym_new,
    ACTIONS(2987), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2989), 1,
      anon_sym_begin,
    ACTIONS(2991), 1,
      sym_ocamlyacc_value,
    ACTIONS(2993), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2995), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2997), 1,
      aux_sym_number_token1,
    ACTIONS(2999), 1,
      anon_sym_SQUOTE,
    ACTIONS(3001), 1,
      anon_sym_DQUOTE,
    ACTIONS(3003), 1,
      sym_prefix_operator,
    ACTIONS(3007), 1,
      sym__uppercase_identifier,
    ACTIONS(3009), 1,
      aux_sym_tag_token1,
    ACTIONS(6401), 1,
      sym__lowercase_identifier,
    STATE(5392), 1,
      sym_attribute,
    STATE(7647), 1,
      sym__value_name,
    STATE(7751), 1,
      sym_parenthesized_operator,
    STATE(7792), 1,
      sym__constructor_name,
    STATE(7928), 1,
      sym__simple_expression,
    STATE(20935), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2967), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7658), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8101), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160378] = 29,
    ACTIONS(1135), 1,
      anon_sym_LPAREN,
    ACTIONS(1137), 1,
      anon_sym_LBRACK,
    ACTIONS(1141), 1,
      anon_sym_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_object,
    ACTIONS(1147), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1157), 1,
      anon_sym_new,
    ACTIONS(1159), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1161), 1,
      anon_sym_begin,
    ACTIONS(1163), 1,
      sym_ocamlyacc_value,
    ACTIONS(1169), 1,
      aux_sym_number_token1,
    ACTIONS(1171), 1,
      anon_sym_SQUOTE,
    ACTIONS(1173), 1,
      anon_sym_DQUOTE,
    ACTIONS(1175), 1,
      sym_prefix_operator,
    ACTIONS(1179), 1,
      sym__uppercase_identifier,
    ACTIONS(1181), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3553), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3555), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4653), 1,
      sym__lowercase_identifier,
    STATE(5176), 1,
      sym__simple_expression,
    STATE(5220), 1,
      sym__value_name,
    STATE(5300), 1,
      sym_parenthesized_operator,
    STATE(5384), 1,
      sym__constructor_name,
    STATE(5393), 1,
      sym_attribute,
    STATE(21222), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1139), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5365), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5170), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160496] = 29,
    ACTIONS(1135), 1,
      anon_sym_LPAREN,
    ACTIONS(1137), 1,
      anon_sym_LBRACK,
    ACTIONS(1141), 1,
      anon_sym_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_object,
    ACTIONS(1147), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1157), 1,
      anon_sym_new,
    ACTIONS(1159), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1161), 1,
      anon_sym_begin,
    ACTIONS(1163), 1,
      sym_ocamlyacc_value,
    ACTIONS(1169), 1,
      aux_sym_number_token1,
    ACTIONS(1171), 1,
      anon_sym_SQUOTE,
    ACTIONS(1173), 1,
      anon_sym_DQUOTE,
    ACTIONS(1175), 1,
      sym_prefix_operator,
    ACTIONS(1179), 1,
      sym__uppercase_identifier,
    ACTIONS(1181), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3553), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3555), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4653), 1,
      sym__lowercase_identifier,
    STATE(5188), 1,
      sym__simple_expression,
    STATE(5220), 1,
      sym__value_name,
    STATE(5300), 1,
      sym_parenthesized_operator,
    STATE(5384), 1,
      sym__constructor_name,
    STATE(5394), 1,
      sym_attribute,
    STATE(21222), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1139), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5365), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5170), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160754] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2703), 1,
      anon_sym_LPAREN,
    ACTIONS(2705), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2711), 1,
      anon_sym_object,
    ACTIONS(2715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2725), 1,
      anon_sym_new,
    ACTIONS(2727), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2729), 1,
      anon_sym_begin,
    ACTIONS(2731), 1,
      sym_ocamlyacc_value,
    ACTIONS(2733), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2735), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2737), 1,
      aux_sym_number_token1,
    ACTIONS(2739), 1,
      anon_sym_SQUOTE,
    ACTIONS(2741), 1,
      anon_sym_DQUOTE,
    ACTIONS(2743), 1,
      sym_prefix_operator,
    ACTIONS(2747), 1,
      sym__uppercase_identifier,
    ACTIONS(2749), 1,
      aux_sym_tag_token1,
    ACTIONS(6391), 1,
      sym__lowercase_identifier,
    STATE(5397), 1,
      sym_attribute,
    STATE(7844), 1,
      sym__constructor_name,
    STATE(7886), 1,
      sym_parenthesized_operator,
    STATE(7925), 1,
      sym__value_name,
    STATE(8046), 1,
      sym__simple_expression,
    STATE(20976), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2707), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7716), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7603), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160872] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9738), 1,
      sym__lowercase_identifier,
    ACTIONS(9740), 1,
      anon_sym_LPAREN,
    ACTIONS(9742), 1,
      anon_sym_LBRACK,
    ACTIONS(9746), 1,
      anon_sym_LBRACE,
    ACTIONS(9748), 1,
      anon_sym_object,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9752), 1,
      anon_sym_new,
    ACTIONS(9754), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9756), 1,
      anon_sym_begin,
    ACTIONS(9758), 1,
      sym_ocamlyacc_value,
    ACTIONS(9760), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9762), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9764), 1,
      aux_sym_number_token1,
    ACTIONS(9766), 1,
      anon_sym_SQUOTE,
    ACTIONS(9768), 1,
      anon_sym_DQUOTE,
    ACTIONS(9770), 1,
      sym_prefix_operator,
    ACTIONS(9772), 1,
      sym__uppercase_identifier,
    ACTIONS(9774), 1,
      aux_sym_tag_token1,
    STATE(5398), 1,
      sym_attribute,
    STATE(8990), 1,
      sym__constructor_name,
    STATE(9103), 1,
      sym__simple_expression,
    STATE(9147), 1,
      sym__value_name,
    STATE(9202), 1,
      sym_parenthesized_operator,
    STATE(21263), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9744), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8931), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9094), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160990] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9738), 1,
      sym__lowercase_identifier,
    ACTIONS(9740), 1,
      anon_sym_LPAREN,
    ACTIONS(9742), 1,
      anon_sym_LBRACK,
    ACTIONS(9746), 1,
      anon_sym_LBRACE,
    ACTIONS(9748), 1,
      anon_sym_object,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9752), 1,
      anon_sym_new,
    ACTIONS(9754), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9756), 1,
      anon_sym_begin,
    ACTIONS(9758), 1,
      sym_ocamlyacc_value,
    ACTIONS(9760), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9762), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9764), 1,
      aux_sym_number_token1,
    ACTIONS(9766), 1,
      anon_sym_SQUOTE,
    ACTIONS(9768), 1,
      anon_sym_DQUOTE,
    ACTIONS(9770), 1,
      sym_prefix_operator,
    ACTIONS(9772), 1,
      sym__uppercase_identifier,
    ACTIONS(9774), 1,
      aux_sym_tag_token1,
    STATE(5399), 1,
      sym_attribute,
    STATE(8990), 1,
      sym__constructor_name,
    STATE(9114), 1,
      sym__simple_expression,
    STATE(9147), 1,
      sym__value_name,
    STATE(9202), 1,
      sym_parenthesized_operator,
    STATE(21263), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9744), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8931), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9094), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161108] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2755), 1,
      anon_sym_LPAREN,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    ACTIONS(2761), 1,
      anon_sym_LBRACE,
    ACTIONS(2763), 1,
      anon_sym_object,
    ACTIONS(2767), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2777), 1,
      anon_sym_new,
    ACTIONS(2779), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2781), 1,
      anon_sym_begin,
    ACTIONS(2783), 1,
      sym_ocamlyacc_value,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2789), 1,
      aux_sym_number_token1,
    ACTIONS(2791), 1,
      anon_sym_SQUOTE,
    ACTIONS(2793), 1,
      anon_sym_DQUOTE,
    ACTIONS(2795), 1,
      sym_prefix_operator,
    ACTIONS(2799), 1,
      sym__uppercase_identifier,
    ACTIONS(2801), 1,
      aux_sym_tag_token1,
    ACTIONS(6411), 1,
      sym__lowercase_identifier,
    STATE(5400), 1,
      sym_attribute,
    STATE(7589), 1,
      sym__value_name,
    STATE(7860), 1,
      sym__simple_expression,
    STATE(7907), 1,
      sym__constructor_name,
    STATE(7989), 1,
      sym_parenthesized_operator,
    STATE(21058), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2759), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7790), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7919), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161226] = 29,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(881), 1,
      anon_sym_LBRACE,
    ACTIONS(883), 1,
      anon_sym_object,
    ACTIONS(887), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(897), 1,
      anon_sym_new,
    ACTIONS(899), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(901), 1,
      anon_sym_begin,
    ACTIONS(903), 1,
      sym_ocamlyacc_value,
    ACTIONS(909), 1,
      aux_sym_number_token1,
    ACTIONS(911), 1,
      anon_sym_SQUOTE,
    ACTIONS(913), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym_prefix_operator,
    ACTIONS(919), 1,
      sym__uppercase_identifier,
    ACTIONS(921), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3577), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3579), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4317), 1,
      sym__lowercase_identifier,
    STATE(4108), 1,
      sym__constructor_name,
    STATE(4464), 1,
      sym__simple_expression,
    STATE(4498), 1,
      sym__value_name,
    STATE(4515), 1,
      sym_parenthesized_operator,
    STATE(5401), 1,
      sym_attribute,
    STATE(21304), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(879), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4563), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4456), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161344] = 29,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(881), 1,
      anon_sym_LBRACE,
    ACTIONS(883), 1,
      anon_sym_object,
    ACTIONS(887), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(897), 1,
      anon_sym_new,
    ACTIONS(899), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(901), 1,
      anon_sym_begin,
    ACTIONS(903), 1,
      sym_ocamlyacc_value,
    ACTIONS(909), 1,
      aux_sym_number_token1,
    ACTIONS(911), 1,
      anon_sym_SQUOTE,
    ACTIONS(913), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym_prefix_operator,
    ACTIONS(919), 1,
      sym__uppercase_identifier,
    ACTIONS(921), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3577), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3579), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4317), 1,
      sym__lowercase_identifier,
    STATE(4108), 1,
      sym__constructor_name,
    STATE(4473), 1,
      sym__simple_expression,
    STATE(4498), 1,
      sym__value_name,
    STATE(4515), 1,
      sym_parenthesized_operator,
    STATE(5402), 1,
      sym_attribute,
    STATE(21304), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(879), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4563), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4456), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161602] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3029), 1,
      anon_sym_LPAREN,
    ACTIONS(3031), 1,
      anon_sym_LBRACK,
    ACTIONS(3035), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_object,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3051), 1,
      anon_sym_new,
    ACTIONS(3053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3055), 1,
      anon_sym_begin,
    ACTIONS(3057), 1,
      sym_ocamlyacc_value,
    ACTIONS(3059), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3061), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3063), 1,
      aux_sym_number_token1,
    ACTIONS(3065), 1,
      anon_sym_SQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DQUOTE,
    ACTIONS(3069), 1,
      sym_prefix_operator,
    ACTIONS(3073), 1,
      sym__uppercase_identifier,
    ACTIONS(3075), 1,
      aux_sym_tag_token1,
    ACTIONS(6665), 1,
      sym__lowercase_identifier,
    STATE(5405), 1,
      sym_attribute,
    STATE(8329), 1,
      sym__value_name,
    STATE(8466), 1,
      sym__simple_expression,
    STATE(8507), 1,
      sym_parenthesized_operator,
    STATE(8638), 1,
      sym__constructor_name,
    STATE(21759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8155), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161720] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2807), 1,
      anon_sym_LPAREN,
    ACTIONS(2809), 1,
      anon_sym_LBRACK,
    ACTIONS(2813), 1,
      anon_sym_LBRACE,
    ACTIONS(2815), 1,
      anon_sym_object,
    ACTIONS(2819), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2829), 1,
      anon_sym_new,
    ACTIONS(2831), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2833), 1,
      anon_sym_begin,
    ACTIONS(2835), 1,
      sym_ocamlyacc_value,
    ACTIONS(2837), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2839), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2841), 1,
      aux_sym_number_token1,
    ACTIONS(2843), 1,
      anon_sym_SQUOTE,
    ACTIONS(2845), 1,
      anon_sym_DQUOTE,
    ACTIONS(2847), 1,
      sym_prefix_operator,
    ACTIONS(2851), 1,
      sym__uppercase_identifier,
    ACTIONS(2853), 1,
      aux_sym_tag_token1,
    ACTIONS(6421), 1,
      sym__lowercase_identifier,
    STATE(5406), 1,
      sym_attribute,
    STATE(7748), 1,
      sym__value_name,
    STATE(7939), 1,
      sym__constructor_name,
    STATE(8071), 1,
      sym_parenthesized_operator,
    STATE(8073), 1,
      sym__simple_expression,
    STATE(21099), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2811), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7842), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8120), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161838] = 29,
    ACTIONS(1187), 1,
      anon_sym_LPAREN,
    ACTIONS(1189), 1,
      anon_sym_LBRACK,
    ACTIONS(1193), 1,
      anon_sym_LBRACE,
    ACTIONS(1195), 1,
      anon_sym_object,
    ACTIONS(1199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1209), 1,
      anon_sym_new,
    ACTIONS(1211), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1213), 1,
      anon_sym_begin,
    ACTIONS(1215), 1,
      sym_ocamlyacc_value,
    ACTIONS(1221), 1,
      aux_sym_number_token1,
    ACTIONS(1223), 1,
      anon_sym_SQUOTE,
    ACTIONS(1225), 1,
      anon_sym_DQUOTE,
    ACTIONS(1227), 1,
      sym_prefix_operator,
    ACTIONS(1231), 1,
      sym__uppercase_identifier,
    ACTIONS(1233), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3531), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3533), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4445), 1,
      sym__lowercase_identifier,
    STATE(5004), 1,
      sym__constructor_name,
    STATE(5257), 1,
      sym__simple_expression,
    STATE(5294), 1,
      sym__value_name,
    STATE(5329), 1,
      sym_parenthesized_operator,
    STATE(5407), 1,
      sym_attribute,
    STATE(21345), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5383), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5250), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161956] = 29,
    ACTIONS(1187), 1,
      anon_sym_LPAREN,
    ACTIONS(1189), 1,
      anon_sym_LBRACK,
    ACTIONS(1193), 1,
      anon_sym_LBRACE,
    ACTIONS(1195), 1,
      anon_sym_object,
    ACTIONS(1199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1209), 1,
      anon_sym_new,
    ACTIONS(1211), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1213), 1,
      anon_sym_begin,
    ACTIONS(1215), 1,
      sym_ocamlyacc_value,
    ACTIONS(1221), 1,
      aux_sym_number_token1,
    ACTIONS(1223), 1,
      anon_sym_SQUOTE,
    ACTIONS(1225), 1,
      anon_sym_DQUOTE,
    ACTIONS(1227), 1,
      sym_prefix_operator,
    ACTIONS(1231), 1,
      sym__uppercase_identifier,
    ACTIONS(1233), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3531), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3533), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4445), 1,
      sym__lowercase_identifier,
    STATE(5004), 1,
      sym__constructor_name,
    STATE(5265), 1,
      sym__simple_expression,
    STATE(5294), 1,
      sym__value_name,
    STATE(5329), 1,
      sym_parenthesized_operator,
    STATE(5408), 1,
      sym_attribute,
    STATE(21345), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5383), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5250), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162214] = 29,
    ACTIONS(767), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      anon_sym_object,
    ACTIONS(779), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(789), 1,
      anon_sym_new,
    ACTIONS(791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(793), 1,
      anon_sym_begin,
    ACTIONS(795), 1,
      sym_ocamlyacc_value,
    ACTIONS(801), 1,
      aux_sym_number_token1,
    ACTIONS(803), 1,
      anon_sym_SQUOTE,
    ACTIONS(805), 1,
      anon_sym_DQUOTE,
    ACTIONS(807), 1,
      sym_prefix_operator,
    ACTIONS(811), 1,
      sym__uppercase_identifier,
    ACTIONS(813), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4375), 1,
      sym__lowercase_identifier,
    STATE(4321), 1,
      sym__simple_expression,
    STATE(4352), 1,
      sym__value_name,
    STATE(4365), 1,
      sym_parenthesized_operator,
    STATE(4383), 1,
      sym__constructor_name,
    STATE(5411), 1,
      sym_attribute,
    STATE(23689), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(771), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4376), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4316), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162332] = 29,
    ACTIONS(1031), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_LBRACK,
    ACTIONS(1037), 1,
      anon_sym_LBRACE,
    ACTIONS(1039), 1,
      anon_sym_object,
    ACTIONS(1043), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1053), 1,
      anon_sym_new,
    ACTIONS(1055), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1057), 1,
      anon_sym_begin,
    ACTIONS(1059), 1,
      sym_ocamlyacc_value,
    ACTIONS(1065), 1,
      aux_sym_number_token1,
    ACTIONS(1067), 1,
      anon_sym_SQUOTE,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      sym_prefix_operator,
    ACTIONS(1075), 1,
      sym__uppercase_identifier,
    ACTIONS(1077), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3561), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3563), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4415), 1,
      sym__lowercase_identifier,
    STATE(4626), 1,
      sym__value_name,
    STATE(4763), 1,
      sym_parenthesized_operator,
    STATE(4932), 1,
      sym__constructor_name,
    STATE(4965), 1,
      sym__simple_expression,
    STATE(5412), 1,
      sym_attribute,
    STATE(21140), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1035), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4857), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4971), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162450] = 29,
    ACTIONS(1245), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_LBRACK,
    ACTIONS(1251), 1,
      anon_sym_LBRACE,
    ACTIONS(1253), 1,
      anon_sym_object,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1277), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1279), 1,
      anon_sym_begin,
    ACTIONS(1281), 1,
      sym_ocamlyacc_value,
    ACTIONS(1287), 1,
      aux_sym_number_token1,
    ACTIONS(1289), 1,
      anon_sym_SQUOTE,
    ACTIONS(1291), 1,
      anon_sym_DQUOTE,
    ACTIONS(1293), 1,
      sym_prefix_operator,
    ACTIONS(1297), 1,
      sym__uppercase_identifier,
    ACTIONS(1299), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3523), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3525), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5593), 1,
      sym__lowercase_identifier,
    STATE(5413), 1,
      sym_attribute,
    STATE(6002), 1,
      sym__simple_expression,
    STATE(6037), 1,
      sym__value_name,
    STATE(6082), 1,
      sym_parenthesized_operator,
    STATE(6097), 1,
      sym__constructor_name,
    STATE(21385), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1249), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6096), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5996), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162568] = 29,
    ACTIONS(1245), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_LBRACK,
    ACTIONS(1251), 1,
      anon_sym_LBRACE,
    ACTIONS(1253), 1,
      anon_sym_object,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1277), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1279), 1,
      anon_sym_begin,
    ACTIONS(1281), 1,
      sym_ocamlyacc_value,
    ACTIONS(1287), 1,
      aux_sym_number_token1,
    ACTIONS(1289), 1,
      anon_sym_SQUOTE,
    ACTIONS(1291), 1,
      anon_sym_DQUOTE,
    ACTIONS(1293), 1,
      sym_prefix_operator,
    ACTIONS(1297), 1,
      sym__uppercase_identifier,
    ACTIONS(1299), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3523), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3525), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5593), 1,
      sym__lowercase_identifier,
    STATE(5414), 1,
      sym_attribute,
    STATE(6011), 1,
      sym__simple_expression,
    STATE(6037), 1,
      sym__value_name,
    STATE(6082), 1,
      sym_parenthesized_operator,
    STATE(6097), 1,
      sym__constructor_name,
    STATE(21385), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1249), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6096), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5996), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162686] = 29,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_LBRACK,
    ACTIONS(829), 1,
      anon_sym_LBRACE,
    ACTIONS(831), 1,
      anon_sym_object,
    ACTIONS(835), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(845), 1,
      anon_sym_new,
    ACTIONS(847), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(849), 1,
      anon_sym_begin,
    ACTIONS(851), 1,
      sym_ocamlyacc_value,
    ACTIONS(857), 1,
      aux_sym_number_token1,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      sym_prefix_operator,
    ACTIONS(867), 1,
      sym__uppercase_identifier,
    ACTIONS(869), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4283), 1,
      sym__lowercase_identifier,
    STATE(4396), 1,
      sym__simple_expression,
    STATE(4441), 1,
      sym__value_name,
    STATE(4511), 1,
      sym_parenthesized_operator,
    STATE(4556), 1,
      sym__constructor_name,
    STATE(5415), 1,
      sym_attribute,
    STATE(21181), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(827), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4540), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4403), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162804] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6791), 1,
      sym__lowercase_identifier,
    ACTIONS(6799), 1,
      anon_sym_LPAREN,
    ACTIONS(6801), 1,
      anon_sym_LBRACK,
    ACTIONS(6805), 1,
      anon_sym_LBRACE,
    ACTIONS(6807), 1,
      anon_sym_object,
    ACTIONS(6809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6811), 1,
      anon_sym_new,
    ACTIONS(6813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6815), 1,
      anon_sym_begin,
    ACTIONS(6817), 1,
      sym_ocamlyacc_value,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      anon_sym_SQUOTE,
    ACTIONS(6827), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      sym_prefix_operator,
    ACTIONS(6831), 1,
      sym__uppercase_identifier,
    ACTIONS(6833), 1,
      aux_sym_tag_token1,
    ACTIONS(9884), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9886), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5416), 1,
      sym_attribute,
    STATE(7306), 1,
      sym_parenthesized_operator,
    STATE(7355), 1,
      sym__constructor_name,
    STATE(7406), 1,
      sym__simple_expression,
    STATE(7528), 1,
      sym__value_name,
    STATE(21424), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6803), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7526), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7353), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162922] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6791), 1,
      sym__lowercase_identifier,
    ACTIONS(6799), 1,
      anon_sym_LPAREN,
    ACTIONS(6801), 1,
      anon_sym_LBRACK,
    ACTIONS(6805), 1,
      anon_sym_LBRACE,
    ACTIONS(6807), 1,
      anon_sym_object,
    ACTIONS(6809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6811), 1,
      anon_sym_new,
    ACTIONS(6813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6815), 1,
      anon_sym_begin,
    ACTIONS(6817), 1,
      sym_ocamlyacc_value,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      anon_sym_SQUOTE,
    ACTIONS(6827), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      sym_prefix_operator,
    ACTIONS(6831), 1,
      sym__uppercase_identifier,
    ACTIONS(6833), 1,
      aux_sym_tag_token1,
    ACTIONS(9884), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9886), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5417), 1,
      sym_attribute,
    STATE(7306), 1,
      sym_parenthesized_operator,
    STATE(7355), 1,
      sym__constructor_name,
    STATE(7458), 1,
      sym__simple_expression,
    STATE(7528), 1,
      sym__value_name,
    STATE(21424), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6803), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7526), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7353), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163040] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9566), 1,
      sym__lowercase_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN,
    ACTIONS(9570), 1,
      anon_sym_LBRACK,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    ACTIONS(9576), 1,
      anon_sym_object,
    ACTIONS(9578), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9580), 1,
      anon_sym_new,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9584), 1,
      anon_sym_begin,
    ACTIONS(9586), 1,
      sym_ocamlyacc_value,
    ACTIONS(9588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9594), 1,
      aux_sym_number_token1,
    ACTIONS(9596), 1,
      anon_sym_SQUOTE,
    ACTIONS(9598), 1,
      anon_sym_DQUOTE,
    ACTIONS(9600), 1,
      sym_prefix_operator,
    ACTIONS(9602), 1,
      sym__uppercase_identifier,
    ACTIONS(9604), 1,
      aux_sym_tag_token1,
    STATE(5418), 1,
      sym_attribute,
    STATE(8341), 1,
      sym__constructor_name,
    STATE(9288), 1,
      sym__value_name,
    STATE(9311), 1,
      sym__simple_expression,
    STATE(9369), 1,
      sym_parenthesized_operator,
    STATE(22080), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9379), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9283), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163158] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4919), 1,
      anon_sym_POUND,
    ACTIONS(4921), 1,
      sym_hash_operator,
    STATE(5419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [163234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [163304] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6791), 1,
      sym__lowercase_identifier,
    ACTIONS(6799), 1,
      anon_sym_LPAREN,
    ACTIONS(6801), 1,
      anon_sym_LBRACK,
    ACTIONS(6805), 1,
      anon_sym_LBRACE,
    ACTIONS(6807), 1,
      anon_sym_object,
    ACTIONS(6809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6811), 1,
      anon_sym_new,
    ACTIONS(6813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6815), 1,
      anon_sym_begin,
    ACTIONS(6817), 1,
      sym_ocamlyacc_value,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      anon_sym_SQUOTE,
    ACTIONS(6827), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      sym_prefix_operator,
    ACTIONS(6831), 1,
      sym__uppercase_identifier,
    ACTIONS(6833), 1,
      aux_sym_tag_token1,
    ACTIONS(9884), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9886), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5421), 1,
      sym_attribute,
    STATE(7306), 1,
      sym_parenthesized_operator,
    STATE(7355), 1,
      sym__constructor_name,
    STATE(7528), 1,
      sym__value_name,
    STATE(7554), 1,
      sym__simple_expression,
    STATE(21424), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6803), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7526), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7353), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163422] = 29,
    ACTIONS(979), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_object,
    ACTIONS(991), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1001), 1,
      anon_sym_new,
    ACTIONS(1003), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1005), 1,
      anon_sym_begin,
    ACTIONS(1007), 1,
      sym_ocamlyacc_value,
    ACTIONS(1013), 1,
      aux_sym_number_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1019), 1,
      sym_prefix_operator,
    ACTIONS(1023), 1,
      sym__uppercase_identifier,
    ACTIONS(1025), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3543), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3545), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4425), 1,
      sym__lowercase_identifier,
    STATE(4635), 1,
      sym__constructor_name,
    STATE(4798), 1,
      sym__simple_expression,
    STATE(4836), 1,
      sym__value_name,
    STATE(4923), 1,
      sym_parenthesized_operator,
    STATE(5422), 1,
      sym_attribute,
    STATE(21463), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4651), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4792), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163540] = 29,
    ACTIONS(979), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_object,
    ACTIONS(991), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1001), 1,
      anon_sym_new,
    ACTIONS(1003), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1005), 1,
      anon_sym_begin,
    ACTIONS(1007), 1,
      sym_ocamlyacc_value,
    ACTIONS(1013), 1,
      aux_sym_number_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1019), 1,
      sym_prefix_operator,
    ACTIONS(1023), 1,
      sym__uppercase_identifier,
    ACTIONS(1025), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3543), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3545), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4425), 1,
      sym__lowercase_identifier,
    STATE(4635), 1,
      sym__constructor_name,
    STATE(4836), 1,
      sym__value_name,
    STATE(4923), 1,
      sym_parenthesized_operator,
    STATE(4989), 1,
      sym__simple_expression,
    STATE(5423), 1,
      sym_attribute,
    STATE(21463), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4651), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4792), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163658] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9652), 1,
      sym__lowercase_identifier,
    ACTIONS(9654), 1,
      anon_sym_LPAREN,
    ACTIONS(9656), 1,
      anon_sym_LBRACK,
    ACTIONS(9660), 1,
      anon_sym_LBRACE,
    ACTIONS(9662), 1,
      anon_sym_object,
    ACTIONS(9664), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9666), 1,
      anon_sym_new,
    ACTIONS(9668), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9670), 1,
      anon_sym_begin,
    ACTIONS(9672), 1,
      sym_ocamlyacc_value,
    ACTIONS(9674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9678), 1,
      aux_sym_number_token1,
    ACTIONS(9680), 1,
      anon_sym_SQUOTE,
    ACTIONS(9682), 1,
      anon_sym_DQUOTE,
    ACTIONS(9684), 1,
      sym_prefix_operator,
    ACTIONS(9686), 1,
      sym__uppercase_identifier,
    ACTIONS(9688), 1,
      aux_sym_tag_token1,
    STATE(5424), 1,
      sym_attribute,
    STATE(9043), 1,
      sym__constructor_name,
    STATE(9062), 1,
      sym__simple_expression,
    STATE(9095), 1,
      sym__value_name,
    STATE(9195), 1,
      sym_parenthesized_operator,
    STATE(23479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9658), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9024), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9042), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163776] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5425), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6485), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163894] = 29,
    ACTIONS(1135), 1,
      anon_sym_LPAREN,
    ACTIONS(1137), 1,
      anon_sym_LBRACK,
    ACTIONS(1141), 1,
      anon_sym_LBRACE,
    ACTIONS(1143), 1,
      anon_sym_object,
    ACTIONS(1147), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1157), 1,
      anon_sym_new,
    ACTIONS(1159), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1161), 1,
      anon_sym_begin,
    ACTIONS(1163), 1,
      sym_ocamlyacc_value,
    ACTIONS(1169), 1,
      aux_sym_number_token1,
    ACTIONS(1171), 1,
      anon_sym_SQUOTE,
    ACTIONS(1173), 1,
      anon_sym_DQUOTE,
    ACTIONS(1175), 1,
      sym_prefix_operator,
    ACTIONS(1179), 1,
      sym__uppercase_identifier,
    ACTIONS(1181), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3553), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3555), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4653), 1,
      sym__lowercase_identifier,
    STATE(5220), 1,
      sym__value_name,
    STATE(5300), 1,
      sym_parenthesized_operator,
    STATE(5384), 1,
      sym__constructor_name,
    STATE(5389), 1,
      sym__simple_expression,
    STATE(5426), 1,
      sym_attribute,
    STATE(21222), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1139), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5365), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5170), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164012] = 29,
    ACTIONS(423), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_LBRACK,
    ACTIONS(429), 1,
      anon_sym_LBRACE,
    ACTIONS(431), 1,
      anon_sym_object,
    ACTIONS(435), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(445), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(449), 1,
      anon_sym_begin,
    ACTIONS(451), 1,
      sym_ocamlyacc_value,
    ACTIONS(457), 1,
      aux_sym_number_token1,
    ACTIONS(459), 1,
      anon_sym_SQUOTE,
    ACTIONS(461), 1,
      anon_sym_DQUOTE,
    ACTIONS(463), 1,
      sym_prefix_operator,
    ACTIONS(467), 1,
      sym__uppercase_identifier,
    ACTIONS(469), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3551), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3713), 1,
      sym__lowercase_identifier,
    STATE(3924), 1,
      sym_parenthesized_operator,
    STATE(3952), 1,
      sym__simple_expression,
    STATE(4054), 1,
      sym__constructor_name,
    STATE(4076), 1,
      sym__value_name,
    STATE(5427), 1,
      sym_attribute,
    STATE(21502), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3918), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4081), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164130] = 29,
    ACTIONS(423), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_LBRACK,
    ACTIONS(429), 1,
      anon_sym_LBRACE,
    ACTIONS(431), 1,
      anon_sym_object,
    ACTIONS(435), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(445), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(449), 1,
      anon_sym_begin,
    ACTIONS(451), 1,
      sym_ocamlyacc_value,
    ACTIONS(457), 1,
      aux_sym_number_token1,
    ACTIONS(459), 1,
      anon_sym_SQUOTE,
    ACTIONS(461), 1,
      anon_sym_DQUOTE,
    ACTIONS(463), 1,
      sym_prefix_operator,
    ACTIONS(467), 1,
      sym__uppercase_identifier,
    ACTIONS(469), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3551), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3713), 1,
      sym__lowercase_identifier,
    STATE(3924), 1,
      sym_parenthesized_operator,
    STATE(3976), 1,
      sym__simple_expression,
    STATE(4054), 1,
      sym__constructor_name,
    STATE(4076), 1,
      sym__value_name,
    STATE(5428), 1,
      sym_attribute,
    STATE(21502), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3918), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4081), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164248] = 29,
    ACTIONS(767), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      anon_sym_object,
    ACTIONS(779), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(789), 1,
      anon_sym_new,
    ACTIONS(791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(793), 1,
      anon_sym_begin,
    ACTIONS(795), 1,
      sym_ocamlyacc_value,
    ACTIONS(801), 1,
      aux_sym_number_token1,
    ACTIONS(803), 1,
      anon_sym_SQUOTE,
    ACTIONS(805), 1,
      anon_sym_DQUOTE,
    ACTIONS(807), 1,
      sym_prefix_operator,
    ACTIONS(811), 1,
      sym__uppercase_identifier,
    ACTIONS(813), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4375), 1,
      sym__lowercase_identifier,
    STATE(4329), 1,
      sym__simple_expression,
    STATE(4352), 1,
      sym__value_name,
    STATE(4365), 1,
      sym_parenthesized_operator,
    STATE(4383), 1,
      sym__constructor_name,
    STATE(5429), 1,
      sym_attribute,
    STATE(23689), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(771), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4376), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4316), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [164506] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4727), 1,
      anon_sym_DOT,
    STATE(5432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164578] = 29,
    ACTIONS(875), 1,
      anon_sym_LPAREN,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(881), 1,
      anon_sym_LBRACE,
    ACTIONS(883), 1,
      anon_sym_object,
    ACTIONS(887), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(897), 1,
      anon_sym_new,
    ACTIONS(899), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(901), 1,
      anon_sym_begin,
    ACTIONS(903), 1,
      sym_ocamlyacc_value,
    ACTIONS(909), 1,
      aux_sym_number_token1,
    ACTIONS(911), 1,
      anon_sym_SQUOTE,
    ACTIONS(913), 1,
      anon_sym_DQUOTE,
    ACTIONS(915), 1,
      sym_prefix_operator,
    ACTIONS(919), 1,
      sym__uppercase_identifier,
    ACTIONS(921), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3577), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3579), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4317), 1,
      sym__lowercase_identifier,
    STATE(4108), 1,
      sym__constructor_name,
    STATE(4492), 1,
      sym__simple_expression,
    STATE(4498), 1,
      sym__value_name,
    STATE(4515), 1,
      sym_parenthesized_operator,
    STATE(5433), 1,
      sym_attribute,
    STATE(21304), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(879), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4563), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4456), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164696] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(5434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164768] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6907), 1,
      sym__lowercase_identifier,
    ACTIONS(6911), 1,
      anon_sym_LPAREN,
    ACTIONS(6913), 1,
      anon_sym_LBRACK,
    ACTIONS(6917), 1,
      anon_sym_LBRACE,
    ACTIONS(6919), 1,
      anon_sym_object,
    ACTIONS(6921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6923), 1,
      anon_sym_new,
    ACTIONS(6925), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6927), 1,
      anon_sym_begin,
    ACTIONS(6929), 1,
      sym_ocamlyacc_value,
    ACTIONS(6935), 1,
      aux_sym_number_token1,
    ACTIONS(6937), 1,
      anon_sym_SQUOTE,
    ACTIONS(6939), 1,
      anon_sym_DQUOTE,
    ACTIONS(6941), 1,
      sym_prefix_operator,
    ACTIONS(6943), 1,
      sym__uppercase_identifier,
    ACTIONS(6945), 1,
      aux_sym_tag_token1,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9890), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5435), 1,
      sym_attribute,
    STATE(7216), 1,
      sym__constructor_name,
    STATE(7234), 1,
      sym__simple_expression,
    STATE(7305), 1,
      sym__value_name,
    STATE(7470), 1,
      sym_parenthesized_operator,
    STATE(21541), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7382), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7222), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164886] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6907), 1,
      sym__lowercase_identifier,
    ACTIONS(6911), 1,
      anon_sym_LPAREN,
    ACTIONS(6913), 1,
      anon_sym_LBRACK,
    ACTIONS(6917), 1,
      anon_sym_LBRACE,
    ACTIONS(6919), 1,
      anon_sym_object,
    ACTIONS(6921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6923), 1,
      anon_sym_new,
    ACTIONS(6925), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6927), 1,
      anon_sym_begin,
    ACTIONS(6929), 1,
      sym_ocamlyacc_value,
    ACTIONS(6935), 1,
      aux_sym_number_token1,
    ACTIONS(6937), 1,
      anon_sym_SQUOTE,
    ACTIONS(6939), 1,
      anon_sym_DQUOTE,
    ACTIONS(6941), 1,
      sym_prefix_operator,
    ACTIONS(6943), 1,
      sym__uppercase_identifier,
    ACTIONS(6945), 1,
      aux_sym_tag_token1,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9890), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5436), 1,
      sym_attribute,
    STATE(7216), 1,
      sym__constructor_name,
    STATE(7250), 1,
      sym__simple_expression,
    STATE(7305), 1,
      sym__value_name,
    STATE(7470), 1,
      sym_parenthesized_operator,
    STATE(21541), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7382), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7222), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165004] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(5437), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16849), 1,
      sym__simple_expression,
    STATE(22898), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165192] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9892), 1,
      anon_sym_COLON,
    STATE(5439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [165264] = 29,
    ACTIONS(1305), 1,
      anon_sym_LPAREN,
    ACTIONS(1307), 1,
      anon_sym_LBRACK,
    ACTIONS(1311), 1,
      anon_sym_LBRACE,
    ACTIONS(1313), 1,
      anon_sym_object,
    ACTIONS(1317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1327), 1,
      anon_sym_new,
    ACTIONS(1329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1331), 1,
      anon_sym_begin,
    ACTIONS(1333), 1,
      sym_ocamlyacc_value,
    ACTIONS(1339), 1,
      aux_sym_number_token1,
    ACTIONS(1341), 1,
      anon_sym_SQUOTE,
    ACTIONS(1343), 1,
      anon_sym_DQUOTE,
    ACTIONS(1345), 1,
      sym_prefix_operator,
    ACTIONS(1349), 1,
      sym__uppercase_identifier,
    ACTIONS(1351), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5603), 1,
      sym__lowercase_identifier,
    STATE(5440), 1,
      sym_attribute,
    STATE(6135), 1,
      sym__simple_expression,
    STATE(6161), 1,
      sym__constructor_name,
    STATE(6209), 1,
      sym__value_name,
    STATE(6216), 1,
      sym_parenthesized_operator,
    STATE(23289), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1309), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6152), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6128), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165382] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4727), 1,
      anon_sym_DOT,
    ACTIONS(4729), 1,
      anon_sym_POUND,
    ACTIONS(4731), 1,
      sym_hash_operator,
    STATE(5441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165458] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6907), 1,
      sym__lowercase_identifier,
    ACTIONS(6911), 1,
      anon_sym_LPAREN,
    ACTIONS(6913), 1,
      anon_sym_LBRACK,
    ACTIONS(6917), 1,
      anon_sym_LBRACE,
    ACTIONS(6919), 1,
      anon_sym_object,
    ACTIONS(6921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6923), 1,
      anon_sym_new,
    ACTIONS(6925), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6927), 1,
      anon_sym_begin,
    ACTIONS(6929), 1,
      sym_ocamlyacc_value,
    ACTIONS(6935), 1,
      aux_sym_number_token1,
    ACTIONS(6937), 1,
      anon_sym_SQUOTE,
    ACTIONS(6939), 1,
      anon_sym_DQUOTE,
    ACTIONS(6941), 1,
      sym_prefix_operator,
    ACTIONS(6943), 1,
      sym__uppercase_identifier,
    ACTIONS(6945), 1,
      aux_sym_tag_token1,
    ACTIONS(9888), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9890), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5442), 1,
      sym_attribute,
    STATE(7216), 1,
      sym__constructor_name,
    STATE(7305), 1,
      sym__value_name,
    STATE(7310), 1,
      sym__simple_expression,
    STATE(7470), 1,
      sym_parenthesized_operator,
    STATE(21541), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7382), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7222), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165576] = 29,
    ACTIONS(927), 1,
      anon_sym_LPAREN,
    ACTIONS(929), 1,
      anon_sym_LBRACK,
    ACTIONS(933), 1,
      anon_sym_LBRACE,
    ACTIONS(935), 1,
      anon_sym_object,
    ACTIONS(939), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(949), 1,
      anon_sym_new,
    ACTIONS(951), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(953), 1,
      anon_sym_begin,
    ACTIONS(955), 1,
      sym_ocamlyacc_value,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      anon_sym_SQUOTE,
    ACTIONS(965), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym_prefix_operator,
    ACTIONS(971), 1,
      sym__uppercase_identifier,
    ACTIONS(973), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3565), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3567), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4435), 1,
      sym__lowercase_identifier,
    STATE(4640), 1,
      sym__constructor_name,
    STATE(4865), 1,
      sym__simple_expression,
    STATE(4922), 1,
      sym__value_name,
    STATE(4967), 1,
      sym_parenthesized_operator,
    STATE(5443), 1,
      sym_attribute,
    STATE(21579), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(931), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4673), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4854), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165694] = 29,
    ACTIONS(927), 1,
      anon_sym_LPAREN,
    ACTIONS(929), 1,
      anon_sym_LBRACK,
    ACTIONS(933), 1,
      anon_sym_LBRACE,
    ACTIONS(935), 1,
      anon_sym_object,
    ACTIONS(939), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(949), 1,
      anon_sym_new,
    ACTIONS(951), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(953), 1,
      anon_sym_begin,
    ACTIONS(955), 1,
      sym_ocamlyacc_value,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      anon_sym_SQUOTE,
    ACTIONS(965), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym_prefix_operator,
    ACTIONS(971), 1,
      sym__uppercase_identifier,
    ACTIONS(973), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3565), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3567), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4435), 1,
      sym__lowercase_identifier,
    STATE(4640), 1,
      sym__constructor_name,
    STATE(4879), 1,
      sym__simple_expression,
    STATE(4922), 1,
      sym__value_name,
    STATE(4967), 1,
      sym_parenthesized_operator,
    STATE(5444), 1,
      sym_attribute,
    STATE(21579), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(931), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4673), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4854), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [165882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165952] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5447), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16611), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [166088] = 29,
    ACTIONS(1187), 1,
      anon_sym_LPAREN,
    ACTIONS(1189), 1,
      anon_sym_LBRACK,
    ACTIONS(1193), 1,
      anon_sym_LBRACE,
    ACTIONS(1195), 1,
      anon_sym_object,
    ACTIONS(1199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1209), 1,
      anon_sym_new,
    ACTIONS(1211), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1213), 1,
      anon_sym_begin,
    ACTIONS(1215), 1,
      sym_ocamlyacc_value,
    ACTIONS(1221), 1,
      aux_sym_number_token1,
    ACTIONS(1223), 1,
      anon_sym_SQUOTE,
    ACTIONS(1225), 1,
      anon_sym_DQUOTE,
    ACTIONS(1227), 1,
      sym_prefix_operator,
    ACTIONS(1231), 1,
      sym__uppercase_identifier,
    ACTIONS(1233), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3531), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3533), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4445), 1,
      sym__lowercase_identifier,
    STATE(5004), 1,
      sym__constructor_name,
    STATE(5294), 1,
      sym__value_name,
    STATE(5299), 1,
      sym__simple_expression,
    STATE(5329), 1,
      sym_parenthesized_operator,
    STATE(5448), 1,
      sym_attribute,
    STATE(21345), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5383), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5250), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166206] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2911), 1,
      anon_sym_LPAREN,
    ACTIONS(2913), 1,
      anon_sym_LBRACK,
    ACTIONS(2917), 1,
      anon_sym_LBRACE,
    ACTIONS(2919), 1,
      anon_sym_object,
    ACTIONS(2923), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2933), 1,
      anon_sym_new,
    ACTIONS(2935), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2937), 1,
      anon_sym_begin,
    ACTIONS(2939), 1,
      sym_ocamlyacc_value,
    ACTIONS(2941), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2943), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2945), 1,
      aux_sym_number_token1,
    ACTIONS(2947), 1,
      anon_sym_SQUOTE,
    ACTIONS(2949), 1,
      anon_sym_DQUOTE,
    ACTIONS(2951), 1,
      sym_prefix_operator,
    ACTIONS(2955), 1,
      sym__uppercase_identifier,
    ACTIONS(2957), 1,
      aux_sym_tag_token1,
    ACTIONS(6311), 1,
      sym__lowercase_identifier,
    STATE(5449), 1,
      sym_attribute,
    STATE(7645), 1,
      sym__constructor_name,
    STATE(7950), 1,
      sym__simple_expression,
    STATE(8003), 1,
      sym__value_name,
    STATE(8117), 1,
      sym_parenthesized_operator,
    STATE(21617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7935), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166324] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2911), 1,
      anon_sym_LPAREN,
    ACTIONS(2913), 1,
      anon_sym_LBRACK,
    ACTIONS(2917), 1,
      anon_sym_LBRACE,
    ACTIONS(2919), 1,
      anon_sym_object,
    ACTIONS(2923), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2933), 1,
      anon_sym_new,
    ACTIONS(2935), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2937), 1,
      anon_sym_begin,
    ACTIONS(2939), 1,
      sym_ocamlyacc_value,
    ACTIONS(2941), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2943), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2945), 1,
      aux_sym_number_token1,
    ACTIONS(2947), 1,
      anon_sym_SQUOTE,
    ACTIONS(2949), 1,
      anon_sym_DQUOTE,
    ACTIONS(2951), 1,
      sym_prefix_operator,
    ACTIONS(2955), 1,
      sym__uppercase_identifier,
    ACTIONS(2957), 1,
      aux_sym_tag_token1,
    ACTIONS(6311), 1,
      sym__lowercase_identifier,
    STATE(5450), 1,
      sym_attribute,
    STATE(7645), 1,
      sym__constructor_name,
    STATE(7964), 1,
      sym__simple_expression,
    STATE(8003), 1,
      sym__value_name,
    STATE(8117), 1,
      sym_parenthesized_operator,
    STATE(21617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7935), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [166512] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1447), 1,
      anon_sym_LPAREN,
    ACTIONS(1449), 1,
      anon_sym_LBRACK,
    ACTIONS(1453), 1,
      anon_sym_LBRACE,
    ACTIONS(1455), 1,
      anon_sym_object,
    ACTIONS(1459), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1469), 1,
      anon_sym_new,
    ACTIONS(1471), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1473), 1,
      anon_sym_begin,
    ACTIONS(1475), 1,
      sym_ocamlyacc_value,
    ACTIONS(1477), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1479), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1481), 1,
      aux_sym_number_token1,
    ACTIONS(1483), 1,
      anon_sym_SQUOTE,
    ACTIONS(1485), 1,
      anon_sym_DQUOTE,
    ACTIONS(1487), 1,
      sym_prefix_operator,
    ACTIONS(1491), 1,
      sym__uppercase_identifier,
    ACTIONS(1493), 1,
      aux_sym_tag_token1,
    ACTIONS(5777), 1,
      sym__lowercase_identifier,
    STATE(5452), 1,
      sym_attribute,
    STATE(6592), 1,
      sym_parenthesized_operator,
    STATE(6629), 1,
      sym__constructor_name,
    STATE(6651), 1,
      sym__simple_expression,
    STATE(6702), 1,
      sym__value_name,
    STATE(20783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1451), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6619), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6640), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166630] = 29,
    ACTIONS(1245), 1,
      anon_sym_LPAREN,
    ACTIONS(1247), 1,
      anon_sym_LBRACK,
    ACTIONS(1251), 1,
      anon_sym_LBRACE,
    ACTIONS(1253), 1,
      anon_sym_object,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1275), 1,
      anon_sym_new,
    ACTIONS(1277), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1279), 1,
      anon_sym_begin,
    ACTIONS(1281), 1,
      sym_ocamlyacc_value,
    ACTIONS(1287), 1,
      aux_sym_number_token1,
    ACTIONS(1289), 1,
      anon_sym_SQUOTE,
    ACTIONS(1291), 1,
      anon_sym_DQUOTE,
    ACTIONS(1293), 1,
      sym_prefix_operator,
    ACTIONS(1297), 1,
      sym__uppercase_identifier,
    ACTIONS(1299), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3523), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3525), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5593), 1,
      sym__lowercase_identifier,
    STATE(5453), 1,
      sym_attribute,
    STATE(6037), 1,
      sym__value_name,
    STATE(6044), 1,
      sym__simple_expression,
    STATE(6082), 1,
      sym_parenthesized_operator,
    STATE(6097), 1,
      sym__constructor_name,
    STATE(21385), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1249), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6096), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5996), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166748] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    ACTIONS(2147), 1,
      anon_sym_LBRACK,
    ACTIONS(2151), 1,
      anon_sym_LBRACE,
    ACTIONS(2153), 1,
      anon_sym_object,
    ACTIONS(2157), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2167), 1,
      anon_sym_new,
    ACTIONS(2169), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2171), 1,
      anon_sym_begin,
    ACTIONS(2173), 1,
      sym_ocamlyacc_value,
    ACTIONS(2175), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2177), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2179), 1,
      aux_sym_number_token1,
    ACTIONS(2181), 1,
      anon_sym_SQUOTE,
    ACTIONS(2183), 1,
      anon_sym_DQUOTE,
    ACTIONS(2185), 1,
      sym_prefix_operator,
    ACTIONS(2189), 1,
      sym__uppercase_identifier,
    ACTIONS(2191), 1,
      aux_sym_tag_token1,
    ACTIONS(6301), 1,
      sym__lowercase_identifier,
    STATE(5454), 1,
      sym_attribute,
    STATE(7308), 1,
      sym_parenthesized_operator,
    STATE(7405), 1,
      sym__simple_expression,
    STATE(7469), 1,
      sym__value_name,
    STATE(7496), 1,
      sym__constructor_name,
    STATE(21655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2149), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7368), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7397), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166866] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    ACTIONS(2147), 1,
      anon_sym_LBRACK,
    ACTIONS(2151), 1,
      anon_sym_LBRACE,
    ACTIONS(2153), 1,
      anon_sym_object,
    ACTIONS(2157), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2167), 1,
      anon_sym_new,
    ACTIONS(2169), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2171), 1,
      anon_sym_begin,
    ACTIONS(2173), 1,
      sym_ocamlyacc_value,
    ACTIONS(2175), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2177), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2179), 1,
      aux_sym_number_token1,
    ACTIONS(2181), 1,
      anon_sym_SQUOTE,
    ACTIONS(2183), 1,
      anon_sym_DQUOTE,
    ACTIONS(2185), 1,
      sym_prefix_operator,
    ACTIONS(2189), 1,
      sym__uppercase_identifier,
    ACTIONS(2191), 1,
      aux_sym_tag_token1,
    ACTIONS(6301), 1,
      sym__lowercase_identifier,
    STATE(5455), 1,
      sym_attribute,
    STATE(7308), 1,
      sym_parenthesized_operator,
    STATE(7421), 1,
      sym__simple_expression,
    STATE(7469), 1,
      sym__value_name,
    STATE(7496), 1,
      sym__constructor_name,
    STATE(21655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2149), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7368), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7397), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166984] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1447), 1,
      anon_sym_LPAREN,
    ACTIONS(1449), 1,
      anon_sym_LBRACK,
    ACTIONS(1453), 1,
      anon_sym_LBRACE,
    ACTIONS(1455), 1,
      anon_sym_object,
    ACTIONS(1459), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1469), 1,
      anon_sym_new,
    ACTIONS(1471), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1473), 1,
      anon_sym_begin,
    ACTIONS(1475), 1,
      sym_ocamlyacc_value,
    ACTIONS(1477), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1479), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1481), 1,
      aux_sym_number_token1,
    ACTIONS(1483), 1,
      anon_sym_SQUOTE,
    ACTIONS(1485), 1,
      anon_sym_DQUOTE,
    ACTIONS(1487), 1,
      sym_prefix_operator,
    ACTIONS(1491), 1,
      sym__uppercase_identifier,
    ACTIONS(1493), 1,
      aux_sym_tag_token1,
    ACTIONS(5777), 1,
      sym__lowercase_identifier,
    STATE(5456), 1,
      sym_attribute,
    STATE(6592), 1,
      sym_parenthesized_operator,
    STATE(6629), 1,
      sym__constructor_name,
    STATE(6660), 1,
      sym__simple_expression,
    STATE(6702), 1,
      sym__value_name,
    STATE(20783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1451), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6619), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6640), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167102] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7431), 1,
      sym__lowercase_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN,
    ACTIONS(7437), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_LBRACE,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(7445), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7447), 1,
      anon_sym_new,
    ACTIONS(7449), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7451), 1,
      anon_sym_begin,
    ACTIONS(7453), 1,
      sym_ocamlyacc_value,
    ACTIONS(7459), 1,
      aux_sym_number_token1,
    ACTIONS(7461), 1,
      anon_sym_SQUOTE,
    ACTIONS(7463), 1,
      anon_sym_DQUOTE,
    ACTIONS(7465), 1,
      sym_prefix_operator,
    ACTIONS(7467), 1,
      sym__uppercase_identifier,
    ACTIONS(7469), 1,
      aux_sym_tag_token1,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5457), 1,
      sym_attribute,
    STATE(8186), 1,
      sym__constructor_name,
    STATE(8386), 1,
      sym__simple_expression,
    STATE(8606), 1,
      sym_parenthesized_operator,
    STATE(8616), 1,
      sym__value_name,
    STATE(21693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7439), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8472), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8521), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167220] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7431), 1,
      sym__lowercase_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN,
    ACTIONS(7437), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_LBRACE,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(7445), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7447), 1,
      anon_sym_new,
    ACTIONS(7449), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7451), 1,
      anon_sym_begin,
    ACTIONS(7453), 1,
      sym_ocamlyacc_value,
    ACTIONS(7459), 1,
      aux_sym_number_token1,
    ACTIONS(7461), 1,
      anon_sym_SQUOTE,
    ACTIONS(7463), 1,
      anon_sym_DQUOTE,
    ACTIONS(7465), 1,
      sym_prefix_operator,
    ACTIONS(7467), 1,
      sym__uppercase_identifier,
    ACTIONS(7469), 1,
      aux_sym_tag_token1,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5458), 1,
      sym_attribute,
    STATE(8186), 1,
      sym__constructor_name,
    STATE(8539), 1,
      sym__simple_expression,
    STATE(8606), 1,
      sym_parenthesized_operator,
    STATE(8616), 1,
      sym__value_name,
    STATE(21693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7439), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8472), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8521), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167338] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7431), 1,
      sym__lowercase_identifier,
    ACTIONS(7435), 1,
      anon_sym_LPAREN,
    ACTIONS(7437), 1,
      anon_sym_LBRACK,
    ACTIONS(7441), 1,
      anon_sym_LBRACE,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(7445), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7447), 1,
      anon_sym_new,
    ACTIONS(7449), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7451), 1,
      anon_sym_begin,
    ACTIONS(7453), 1,
      sym_ocamlyacc_value,
    ACTIONS(7459), 1,
      aux_sym_number_token1,
    ACTIONS(7461), 1,
      anon_sym_SQUOTE,
    ACTIONS(7463), 1,
      anon_sym_DQUOTE,
    ACTIONS(7465), 1,
      sym_prefix_operator,
    ACTIONS(7467), 1,
      sym__uppercase_identifier,
    ACTIONS(7469), 1,
      aux_sym_tag_token1,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5459), 1,
      sym_attribute,
    STATE(8186), 1,
      sym__constructor_name,
    STATE(8559), 1,
      sym__simple_expression,
    STATE(8606), 1,
      sym_parenthesized_operator,
    STATE(8616), 1,
      sym__value_name,
    STATE(21693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7439), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8472), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8521), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167526] = 29,
    ACTIONS(979), 1,
      anon_sym_LPAREN,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(985), 1,
      anon_sym_LBRACE,
    ACTIONS(987), 1,
      anon_sym_object,
    ACTIONS(991), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1001), 1,
      anon_sym_new,
    ACTIONS(1003), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1005), 1,
      anon_sym_begin,
    ACTIONS(1007), 1,
      sym_ocamlyacc_value,
    ACTIONS(1013), 1,
      aux_sym_number_token1,
    ACTIONS(1015), 1,
      anon_sym_SQUOTE,
    ACTIONS(1017), 1,
      anon_sym_DQUOTE,
    ACTIONS(1019), 1,
      sym_prefix_operator,
    ACTIONS(1023), 1,
      sym__uppercase_identifier,
    ACTIONS(1025), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3543), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3545), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4425), 1,
      sym__lowercase_identifier,
    STATE(4635), 1,
      sym__constructor_name,
    STATE(4836), 1,
      sym__value_name,
    STATE(4841), 1,
      sym__simple_expression,
    STATE(4923), 1,
      sym_parenthesized_operator,
    STATE(5461), 1,
      sym_attribute,
    STATE(21463), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(983), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4651), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4792), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167644] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1605), 1,
      anon_sym_LPAREN,
    ACTIONS(1607), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LBRACE,
    ACTIONS(1613), 1,
      anon_sym_object,
    ACTIONS(1617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1635), 1,
      anon_sym_new,
    ACTIONS(1637), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1639), 1,
      anon_sym_begin,
    ACTIONS(1641), 1,
      sym_ocamlyacc_value,
    ACTIONS(1643), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1645), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1647), 1,
      aux_sym_number_token1,
    ACTIONS(1649), 1,
      anon_sym_SQUOTE,
    ACTIONS(1651), 1,
      anon_sym_DQUOTE,
    ACTIONS(1653), 1,
      sym_prefix_operator,
    ACTIONS(1657), 1,
      sym__uppercase_identifier,
    ACTIONS(1659), 1,
      aux_sym_tag_token1,
    ACTIONS(6159), 1,
      sym__lowercase_identifier,
    STATE(5462), 1,
      sym_attribute,
    STATE(6951), 1,
      sym__constructor_name,
    STATE(6959), 1,
      sym_parenthesized_operator,
    STATE(7013), 1,
      sym__simple_expression,
    STATE(7050), 1,
      sym__value_name,
    STATE(21731), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1609), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7007), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167762] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1605), 1,
      anon_sym_LPAREN,
    ACTIONS(1607), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LBRACE,
    ACTIONS(1613), 1,
      anon_sym_object,
    ACTIONS(1617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1635), 1,
      anon_sym_new,
    ACTIONS(1637), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1639), 1,
      anon_sym_begin,
    ACTIONS(1641), 1,
      sym_ocamlyacc_value,
    ACTIONS(1643), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1645), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1647), 1,
      aux_sym_number_token1,
    ACTIONS(1649), 1,
      anon_sym_SQUOTE,
    ACTIONS(1651), 1,
      anon_sym_DQUOTE,
    ACTIONS(1653), 1,
      sym_prefix_operator,
    ACTIONS(1657), 1,
      sym__uppercase_identifier,
    ACTIONS(1659), 1,
      aux_sym_tag_token1,
    ACTIONS(6159), 1,
      sym__lowercase_identifier,
    STATE(5463), 1,
      sym_attribute,
    STATE(6951), 1,
      sym__constructor_name,
    STATE(6959), 1,
      sym_parenthesized_operator,
    STATE(7021), 1,
      sym__simple_expression,
    STATE(7050), 1,
      sym__value_name,
    STATE(21731), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1609), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7007), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [168020] = 29,
    ACTIONS(423), 1,
      anon_sym_LPAREN,
    ACTIONS(425), 1,
      anon_sym_LBRACK,
    ACTIONS(429), 1,
      anon_sym_LBRACE,
    ACTIONS(431), 1,
      anon_sym_object,
    ACTIONS(435), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(445), 1,
      anon_sym_new,
    ACTIONS(447), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(449), 1,
      anon_sym_begin,
    ACTIONS(451), 1,
      sym_ocamlyacc_value,
    ACTIONS(457), 1,
      aux_sym_number_token1,
    ACTIONS(459), 1,
      anon_sym_SQUOTE,
    ACTIONS(461), 1,
      anon_sym_DQUOTE,
    ACTIONS(463), 1,
      sym_prefix_operator,
    ACTIONS(467), 1,
      sym__uppercase_identifier,
    ACTIONS(469), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3549), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3551), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3713), 1,
      sym__lowercase_identifier,
    STATE(3924), 1,
      sym_parenthesized_operator,
    STATE(3971), 1,
      sym__simple_expression,
    STATE(4054), 1,
      sym__constructor_name,
    STATE(4076), 1,
      sym__value_name,
    STATE(5466), 1,
      sym_attribute,
    STATE(21502), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(427), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3918), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4081), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168138] = 29,
    ACTIONS(1393), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      anon_sym_LBRACK,
    ACTIONS(1399), 1,
      anon_sym_LBRACE,
    ACTIONS(1401), 1,
      anon_sym_object,
    ACTIONS(1405), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1415), 1,
      anon_sym_new,
    ACTIONS(1417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1419), 1,
      anon_sym_begin,
    ACTIONS(1421), 1,
      sym_ocamlyacc_value,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1425), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1427), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1429), 1,
      aux_sym_number_token1,
    ACTIONS(1431), 1,
      anon_sym_SQUOTE,
    ACTIONS(1433), 1,
      anon_sym_DQUOTE,
    ACTIONS(1435), 1,
      sym_prefix_operator,
    ACTIONS(1439), 1,
      sym__uppercase_identifier,
    ACTIONS(1441), 1,
      aux_sym_tag_token1,
    ACTIONS(5663), 1,
      sym__lowercase_identifier,
    STATE(5467), 1,
      sym_attribute,
    STATE(6436), 1,
      sym__simple_expression,
    STATE(6508), 1,
      sym__constructor_name,
    STATE(6535), 1,
      sym__value_name,
    STATE(6548), 1,
      sym_parenthesized_operator,
    STATE(21769), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1397), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6572), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6520), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168256] = 29,
    ACTIONS(1393), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      anon_sym_LBRACK,
    ACTIONS(1399), 1,
      anon_sym_LBRACE,
    ACTIONS(1401), 1,
      anon_sym_object,
    ACTIONS(1405), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1415), 1,
      anon_sym_new,
    ACTIONS(1417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1419), 1,
      anon_sym_begin,
    ACTIONS(1421), 1,
      sym_ocamlyacc_value,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1425), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1427), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1429), 1,
      aux_sym_number_token1,
    ACTIONS(1431), 1,
      anon_sym_SQUOTE,
    ACTIONS(1433), 1,
      anon_sym_DQUOTE,
    ACTIONS(1435), 1,
      sym_prefix_operator,
    ACTIONS(1439), 1,
      sym__uppercase_identifier,
    ACTIONS(1441), 1,
      aux_sym_tag_token1,
    ACTIONS(5663), 1,
      sym__lowercase_identifier,
    STATE(5468), 1,
      sym_attribute,
    STATE(6454), 1,
      sym__simple_expression,
    STATE(6508), 1,
      sym__constructor_name,
    STATE(6535), 1,
      sym__value_name,
    STATE(6548), 1,
      sym_parenthesized_operator,
    STATE(21769), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1397), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6572), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6520), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168444] = 29,
    ACTIONS(927), 1,
      anon_sym_LPAREN,
    ACTIONS(929), 1,
      anon_sym_LBRACK,
    ACTIONS(933), 1,
      anon_sym_LBRACE,
    ACTIONS(935), 1,
      anon_sym_object,
    ACTIONS(939), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(949), 1,
      anon_sym_new,
    ACTIONS(951), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(953), 1,
      anon_sym_begin,
    ACTIONS(955), 1,
      sym_ocamlyacc_value,
    ACTIONS(961), 1,
      aux_sym_number_token1,
    ACTIONS(963), 1,
      anon_sym_SQUOTE,
    ACTIONS(965), 1,
      anon_sym_DQUOTE,
    ACTIONS(967), 1,
      sym_prefix_operator,
    ACTIONS(971), 1,
      sym__uppercase_identifier,
    ACTIONS(973), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3565), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3567), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4435), 1,
      sym__lowercase_identifier,
    STATE(4640), 1,
      sym__constructor_name,
    STATE(4900), 1,
      sym__simple_expression,
    STATE(4922), 1,
      sym__value_name,
    STATE(4967), 1,
      sym_parenthesized_operator,
    STATE(5470), 1,
      sym_attribute,
    STATE(21579), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(931), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4673), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4854), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168562] = 29,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACK,
    ACTIONS(609), 1,
      anon_sym_LBRACE,
    ACTIONS(611), 1,
      anon_sym_object,
    ACTIONS(615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(625), 1,
      anon_sym_new,
    ACTIONS(627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(629), 1,
      anon_sym_begin,
    ACTIONS(631), 1,
      sym_ocamlyacc_value,
    ACTIONS(637), 1,
      aux_sym_number_token1,
    ACTIONS(639), 1,
      anon_sym_SQUOTE,
    ACTIONS(641), 1,
      anon_sym_DQUOTE,
    ACTIONS(643), 1,
      sym_prefix_operator,
    ACTIONS(647), 1,
      sym__uppercase_identifier,
    ACTIONS(649), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3905), 1,
      sym__lowercase_identifier,
    STATE(4107), 1,
      sym__value_name,
    STATE(4133), 1,
      sym_parenthesized_operator,
    STATE(4260), 1,
      sym__constructor_name,
    STATE(4573), 1,
      sym__simple_expression,
    STATE(5471), 1,
      sym_attribute,
    STATE(21807), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4252), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4567), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168680] = 29,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACK,
    ACTIONS(609), 1,
      anon_sym_LBRACE,
    ACTIONS(611), 1,
      anon_sym_object,
    ACTIONS(615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(625), 1,
      anon_sym_new,
    ACTIONS(627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(629), 1,
      anon_sym_begin,
    ACTIONS(631), 1,
      sym_ocamlyacc_value,
    ACTIONS(637), 1,
      aux_sym_number_token1,
    ACTIONS(639), 1,
      anon_sym_SQUOTE,
    ACTIONS(641), 1,
      anon_sym_DQUOTE,
    ACTIONS(643), 1,
      sym_prefix_operator,
    ACTIONS(647), 1,
      sym__uppercase_identifier,
    ACTIONS(649), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3905), 1,
      sym__lowercase_identifier,
    STATE(4107), 1,
      sym__value_name,
    STATE(4133), 1,
      sym_parenthesized_operator,
    STATE(4260), 1,
      sym__constructor_name,
    STATE(4358), 1,
      sym__simple_expression,
    STATE(5472), 1,
      sym_attribute,
    STATE(21807), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4252), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4567), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168798] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3029), 1,
      anon_sym_LPAREN,
    ACTIONS(3031), 1,
      anon_sym_LBRACK,
    ACTIONS(3035), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_object,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3051), 1,
      anon_sym_new,
    ACTIONS(3053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3055), 1,
      anon_sym_begin,
    ACTIONS(3057), 1,
      sym_ocamlyacc_value,
    ACTIONS(3059), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3061), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3063), 1,
      aux_sym_number_token1,
    ACTIONS(3065), 1,
      anon_sym_SQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DQUOTE,
    ACTIONS(3069), 1,
      sym_prefix_operator,
    ACTIONS(3073), 1,
      sym__uppercase_identifier,
    ACTIONS(3075), 1,
      aux_sym_tag_token1,
    ACTIONS(6665), 1,
      sym__lowercase_identifier,
    STATE(5473), 1,
      sym_attribute,
    STATE(8176), 1,
      sym__simple_expression,
    STATE(8329), 1,
      sym__value_name,
    STATE(8507), 1,
      sym_parenthesized_operator,
    STATE(8638), 1,
      sym__constructor_name,
    STATE(21759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8155), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168916] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2911), 1,
      anon_sym_LPAREN,
    ACTIONS(2913), 1,
      anon_sym_LBRACK,
    ACTIONS(2917), 1,
      anon_sym_LBRACE,
    ACTIONS(2919), 1,
      anon_sym_object,
    ACTIONS(2923), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2933), 1,
      anon_sym_new,
    ACTIONS(2935), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2937), 1,
      anon_sym_begin,
    ACTIONS(2939), 1,
      sym_ocamlyacc_value,
    ACTIONS(2941), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2943), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2945), 1,
      aux_sym_number_token1,
    ACTIONS(2947), 1,
      anon_sym_SQUOTE,
    ACTIONS(2949), 1,
      anon_sym_DQUOTE,
    ACTIONS(2951), 1,
      sym_prefix_operator,
    ACTIONS(2955), 1,
      sym__uppercase_identifier,
    ACTIONS(2957), 1,
      aux_sym_tag_token1,
    ACTIONS(6311), 1,
      sym__lowercase_identifier,
    STATE(5474), 1,
      sym_attribute,
    STATE(7645), 1,
      sym__constructor_name,
    STATE(7987), 1,
      sym__simple_expression,
    STATE(8003), 1,
      sym__value_name,
    STATE(8117), 1,
      sym_parenthesized_operator,
    STATE(21617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7825), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7935), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169034] = 29,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_object,
    ACTIONS(379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(389), 1,
      anon_sym_new,
    ACTIONS(391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(393), 1,
      anon_sym_begin,
    ACTIONS(395), 1,
      sym_ocamlyacc_value,
    ACTIONS(403), 1,
      aux_sym_number_token1,
    ACTIONS(405), 1,
      anon_sym_SQUOTE,
    ACTIONS(407), 1,
      anon_sym_DQUOTE,
    ACTIONS(409), 1,
      sym_prefix_operator,
    ACTIONS(415), 1,
      sym__uppercase_identifier,
    ACTIONS(417), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3725), 1,
      sym__lowercase_identifier,
    STATE(3922), 1,
      sym_parenthesized_operator,
    STATE(3940), 1,
      sym__constructor_name,
    STATE(3942), 1,
      sym__simple_expression,
    STATE(3944), 1,
      sym__value_name,
    STATE(5475), 1,
      sym_attribute,
    STATE(21845), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(371), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3834), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3844), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169152] = 29,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_object,
    ACTIONS(379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(389), 1,
      anon_sym_new,
    ACTIONS(391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(393), 1,
      anon_sym_begin,
    ACTIONS(395), 1,
      sym_ocamlyacc_value,
    ACTIONS(403), 1,
      aux_sym_number_token1,
    ACTIONS(405), 1,
      anon_sym_SQUOTE,
    ACTIONS(407), 1,
      anon_sym_DQUOTE,
    ACTIONS(409), 1,
      sym_prefix_operator,
    ACTIONS(415), 1,
      sym__uppercase_identifier,
    ACTIONS(417), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3725), 1,
      sym__lowercase_identifier,
    STATE(3826), 1,
      sym__simple_expression,
    STATE(3922), 1,
      sym_parenthesized_operator,
    STATE(3940), 1,
      sym__constructor_name,
    STATE(3944), 1,
      sym__value_name,
    STATE(5476), 1,
      sym_attribute,
    STATE(21845), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(371), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3834), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3844), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [169340] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2145), 1,
      anon_sym_LPAREN,
    ACTIONS(2147), 1,
      anon_sym_LBRACK,
    ACTIONS(2151), 1,
      anon_sym_LBRACE,
    ACTIONS(2153), 1,
      anon_sym_object,
    ACTIONS(2157), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2167), 1,
      anon_sym_new,
    ACTIONS(2169), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2171), 1,
      anon_sym_begin,
    ACTIONS(2173), 1,
      sym_ocamlyacc_value,
    ACTIONS(2175), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2177), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2179), 1,
      aux_sym_number_token1,
    ACTIONS(2181), 1,
      anon_sym_SQUOTE,
    ACTIONS(2183), 1,
      anon_sym_DQUOTE,
    ACTIONS(2185), 1,
      sym_prefix_operator,
    ACTIONS(2189), 1,
      sym__uppercase_identifier,
    ACTIONS(2191), 1,
      aux_sym_tag_token1,
    ACTIONS(6301), 1,
      sym__lowercase_identifier,
    STATE(5478), 1,
      sym_attribute,
    STATE(7308), 1,
      sym_parenthesized_operator,
    STATE(7444), 1,
      sym__simple_expression,
    STATE(7469), 1,
      sym__value_name,
    STATE(7496), 1,
      sym__constructor_name,
    STATE(21655), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2149), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7368), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7397), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169458] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      sym__lowercase_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN,
    ACTIONS(7597), 1,
      anon_sym_LBRACK,
    ACTIONS(7601), 1,
      anon_sym_LBRACE,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7607), 1,
      anon_sym_new,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7611), 1,
      anon_sym_begin,
    ACTIONS(7613), 1,
      sym_ocamlyacc_value,
    ACTIONS(7619), 1,
      aux_sym_number_token1,
    ACTIONS(7621), 1,
      anon_sym_SQUOTE,
    ACTIONS(7623), 1,
      anon_sym_DQUOTE,
    ACTIONS(7625), 1,
      sym_prefix_operator,
    ACTIONS(7627), 1,
      sym__uppercase_identifier,
    ACTIONS(7629), 1,
      aux_sym_tag_token1,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5479), 1,
      sym_attribute,
    STATE(8173), 1,
      sym__value_name,
    STATE(8355), 1,
      sym__constructor_name,
    STATE(8428), 1,
      sym__simple_expression,
    STATE(8491), 1,
      sym_parenthesized_operator,
    STATE(21883), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8398), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8221), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169576] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      sym__lowercase_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN,
    ACTIONS(7597), 1,
      anon_sym_LBRACK,
    ACTIONS(7601), 1,
      anon_sym_LBRACE,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7607), 1,
      anon_sym_new,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7611), 1,
      anon_sym_begin,
    ACTIONS(7613), 1,
      sym_ocamlyacc_value,
    ACTIONS(7619), 1,
      aux_sym_number_token1,
    ACTIONS(7621), 1,
      anon_sym_SQUOTE,
    ACTIONS(7623), 1,
      anon_sym_DQUOTE,
    ACTIONS(7625), 1,
      sym_prefix_operator,
    ACTIONS(7627), 1,
      sym__uppercase_identifier,
    ACTIONS(7629), 1,
      aux_sym_tag_token1,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5480), 1,
      sym_attribute,
    STATE(8173), 1,
      sym__value_name,
    STATE(8179), 1,
      sym__simple_expression,
    STATE(8355), 1,
      sym__constructor_name,
    STATE(8491), 1,
      sym_parenthesized_operator,
    STATE(21883), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8398), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8221), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169694] = 29,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(25), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(41), 1,
      anon_sym_object,
    ACTIONS(45), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(63), 1,
      anon_sym_new,
    ACTIONS(65), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(67), 1,
      anon_sym_begin,
    ACTIONS(69), 1,
      sym_ocamlyacc_value,
    ACTIONS(81), 1,
      aux_sym_number_token1,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_DQUOTE,
    ACTIONS(89), 1,
      sym_prefix_operator,
    ACTIONS(97), 1,
      sym__uppercase_identifier,
    ACTIONS(101), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4723), 1,
      sym__lowercase_identifier,
    STATE(5432), 1,
      sym__simple_expression,
    STATE(5481), 1,
      sym_attribute,
    STATE(5575), 1,
      sym_parenthesized_operator,
    STATE(5609), 1,
      sym__value_name,
    STATE(5699), 1,
      sym__constructor_name,
    STATE(22848), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5593), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169812] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1605), 1,
      anon_sym_LPAREN,
    ACTIONS(1607), 1,
      anon_sym_LBRACK,
    ACTIONS(1611), 1,
      anon_sym_LBRACE,
    ACTIONS(1613), 1,
      anon_sym_object,
    ACTIONS(1617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1635), 1,
      anon_sym_new,
    ACTIONS(1637), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1639), 1,
      anon_sym_begin,
    ACTIONS(1641), 1,
      sym_ocamlyacc_value,
    ACTIONS(1643), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1645), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1647), 1,
      aux_sym_number_token1,
    ACTIONS(1649), 1,
      anon_sym_SQUOTE,
    ACTIONS(1651), 1,
      anon_sym_DQUOTE,
    ACTIONS(1653), 1,
      sym_prefix_operator,
    ACTIONS(1657), 1,
      sym__uppercase_identifier,
    ACTIONS(1659), 1,
      aux_sym_tag_token1,
    ACTIONS(6159), 1,
      sym__lowercase_identifier,
    STATE(5482), 1,
      sym_attribute,
    STATE(6951), 1,
      sym__constructor_name,
    STATE(6959), 1,
      sym_parenthesized_operator,
    STATE(7002), 1,
      sym__simple_expression,
    STATE(7050), 1,
      sym__value_name,
    STATE(21731), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1609), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7007), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169930] = 29,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_LBRACK,
    ACTIONS(481), 1,
      anon_sym_LBRACE,
    ACTIONS(483), 1,
      anon_sym_object,
    ACTIONS(487), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(497), 1,
      anon_sym_new,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(501), 1,
      anon_sym_begin,
    ACTIONS(503), 1,
      sym_ocamlyacc_value,
    ACTIONS(509), 1,
      aux_sym_number_token1,
    ACTIONS(511), 1,
      anon_sym_SQUOTE,
    ACTIONS(513), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      sym_prefix_operator,
    ACTIONS(519), 1,
      sym__uppercase_identifier,
    ACTIONS(521), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3515), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3517), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3735), 1,
      sym__lowercase_identifier,
    STATE(3955), 1,
      sym__value_name,
    STATE(3995), 1,
      sym__simple_expression,
    STATE(4034), 1,
      sym__constructor_name,
    STATE(4062), 1,
      sym_parenthesized_operator,
    STATE(5483), 1,
      sym_attribute,
    STATE(21921), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(479), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3936), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3911), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170048] = 29,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_LBRACK,
    ACTIONS(481), 1,
      anon_sym_LBRACE,
    ACTIONS(483), 1,
      anon_sym_object,
    ACTIONS(487), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(497), 1,
      anon_sym_new,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(501), 1,
      anon_sym_begin,
    ACTIONS(503), 1,
      sym_ocamlyacc_value,
    ACTIONS(509), 1,
      aux_sym_number_token1,
    ACTIONS(511), 1,
      anon_sym_SQUOTE,
    ACTIONS(513), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      sym_prefix_operator,
    ACTIONS(519), 1,
      sym__uppercase_identifier,
    ACTIONS(521), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3515), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3517), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3735), 1,
      sym__lowercase_identifier,
    STATE(3955), 1,
      sym__value_name,
    STATE(3999), 1,
      sym__simple_expression,
    STATE(4034), 1,
      sym__constructor_name,
    STATE(4062), 1,
      sym_parenthesized_operator,
    STATE(5484), 1,
      sym_attribute,
    STATE(21921), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(479), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3936), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3911), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170166] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9608), 1,
      sym__lowercase_identifier,
    ACTIONS(9610), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    ACTIONS(9616), 1,
      anon_sym_begin,
    ACTIONS(9618), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9620), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9622), 1,
      aux_sym_number_token1,
    ACTIONS(9624), 1,
      anon_sym_SQUOTE,
    ACTIONS(9626), 1,
      anon_sym_DQUOTE,
    ACTIONS(9628), 1,
      sym_prefix_operator,
    STATE(5485), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8803), 1,
      sym__simple_expression,
    STATE(8822), 1,
      sym__value_name,
    STATE(8891), 1,
      sym_parenthesized_operator,
    STATE(22682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8735), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170284] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9608), 1,
      sym__lowercase_identifier,
    ACTIONS(9610), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    ACTIONS(9616), 1,
      anon_sym_begin,
    ACTIONS(9618), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9620), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9622), 1,
      aux_sym_number_token1,
    ACTIONS(9624), 1,
      anon_sym_SQUOTE,
    ACTIONS(9626), 1,
      anon_sym_DQUOTE,
    ACTIONS(9628), 1,
      sym_prefix_operator,
    STATE(5486), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8804), 1,
      sym__simple_expression,
    STATE(8822), 1,
      sym__value_name,
    STATE(8891), 1,
      sym_parenthesized_operator,
    STATE(22682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8735), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170402] = 29,
    ACTIONS(1393), 1,
      anon_sym_LPAREN,
    ACTIONS(1395), 1,
      anon_sym_LBRACK,
    ACTIONS(1399), 1,
      anon_sym_LBRACE,
    ACTIONS(1401), 1,
      anon_sym_object,
    ACTIONS(1405), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1415), 1,
      anon_sym_new,
    ACTIONS(1417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1419), 1,
      anon_sym_begin,
    ACTIONS(1421), 1,
      sym_ocamlyacc_value,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1425), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1427), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1429), 1,
      aux_sym_number_token1,
    ACTIONS(1431), 1,
      anon_sym_SQUOTE,
    ACTIONS(1433), 1,
      anon_sym_DQUOTE,
    ACTIONS(1435), 1,
      sym_prefix_operator,
    ACTIONS(1439), 1,
      sym__uppercase_identifier,
    ACTIONS(1441), 1,
      aux_sym_tag_token1,
    ACTIONS(5663), 1,
      sym__lowercase_identifier,
    STATE(5487), 1,
      sym_attribute,
    STATE(6464), 1,
      sym__simple_expression,
    STATE(6508), 1,
      sym__constructor_name,
    STATE(6535), 1,
      sym__value_name,
    STATE(6548), 1,
      sym_parenthesized_operator,
    STATE(21769), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1397), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6572), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6520), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170520] = 29,
    ACTIONS(707), 1,
      anon_sym_LPAREN,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(713), 1,
      anon_sym_LBRACE,
    ACTIONS(715), 1,
      anon_sym_object,
    ACTIONS(719), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(729), 1,
      anon_sym_new,
    ACTIONS(731), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(733), 1,
      anon_sym_begin,
    ACTIONS(735), 1,
      sym_ocamlyacc_value,
    ACTIONS(741), 1,
      aux_sym_number_token1,
    ACTIONS(743), 1,
      anon_sym_SQUOTE,
    ACTIONS(745), 1,
      anon_sym_DQUOTE,
    ACTIONS(747), 1,
      sym_prefix_operator,
    ACTIONS(751), 1,
      sym__uppercase_identifier,
    ACTIONS(753), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4025), 1,
      sym__lowercase_identifier,
    STATE(4138), 1,
      sym__simple_expression,
    STATE(4171), 1,
      sym__value_name,
    STATE(4241), 1,
      sym_parenthesized_operator,
    STATE(4290), 1,
      sym__constructor_name,
    STATE(5488), 1,
      sym_attribute,
    STATE(21958), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(711), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4276), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4132), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170638] = 29,
    ACTIONS(707), 1,
      anon_sym_LPAREN,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(713), 1,
      anon_sym_LBRACE,
    ACTIONS(715), 1,
      anon_sym_object,
    ACTIONS(719), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(729), 1,
      anon_sym_new,
    ACTIONS(731), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(733), 1,
      anon_sym_begin,
    ACTIONS(735), 1,
      sym_ocamlyacc_value,
    ACTIONS(741), 1,
      aux_sym_number_token1,
    ACTIONS(743), 1,
      anon_sym_SQUOTE,
    ACTIONS(745), 1,
      anon_sym_DQUOTE,
    ACTIONS(747), 1,
      sym_prefix_operator,
    ACTIONS(751), 1,
      sym__uppercase_identifier,
    ACTIONS(753), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4025), 1,
      sym__lowercase_identifier,
    STATE(4147), 1,
      sym__simple_expression,
    STATE(4171), 1,
      sym__value_name,
    STATE(4241), 1,
      sym_parenthesized_operator,
    STATE(4290), 1,
      sym__constructor_name,
    STATE(5489), 1,
      sym_attribute,
    STATE(21958), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(711), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4276), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4132), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [170826] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9566), 1,
      sym__lowercase_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN,
    ACTIONS(9570), 1,
      anon_sym_LBRACK,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    ACTIONS(9576), 1,
      anon_sym_object,
    ACTIONS(9578), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9580), 1,
      anon_sym_new,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9584), 1,
      anon_sym_begin,
    ACTIONS(9586), 1,
      sym_ocamlyacc_value,
    ACTIONS(9588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9594), 1,
      aux_sym_number_token1,
    ACTIONS(9596), 1,
      anon_sym_SQUOTE,
    ACTIONS(9598), 1,
      anon_sym_DQUOTE,
    ACTIONS(9600), 1,
      sym_prefix_operator,
    ACTIONS(9602), 1,
      sym__uppercase_identifier,
    ACTIONS(9604), 1,
      aux_sym_tag_token1,
    STATE(5491), 1,
      sym_attribute,
    STATE(8341), 1,
      sym__constructor_name,
    STATE(9220), 1,
      sym__simple_expression,
    STATE(9288), 1,
      sym__value_name,
    STATE(9369), 1,
      sym_parenthesized_operator,
    STATE(22080), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9379), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9283), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170944] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7591), 1,
      sym__lowercase_identifier,
    ACTIONS(7595), 1,
      anon_sym_LPAREN,
    ACTIONS(7597), 1,
      anon_sym_LBRACK,
    ACTIONS(7601), 1,
      anon_sym_LBRACE,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7607), 1,
      anon_sym_new,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7611), 1,
      anon_sym_begin,
    ACTIONS(7613), 1,
      sym_ocamlyacc_value,
    ACTIONS(7619), 1,
      aux_sym_number_token1,
    ACTIONS(7621), 1,
      anon_sym_SQUOTE,
    ACTIONS(7623), 1,
      anon_sym_DQUOTE,
    ACTIONS(7625), 1,
      sym_prefix_operator,
    ACTIONS(7627), 1,
      sym__uppercase_identifier,
    ACTIONS(7629), 1,
      aux_sym_tag_token1,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5492), 1,
      sym_attribute,
    STATE(8173), 1,
      sym__value_name,
    STATE(8355), 1,
      sym__constructor_name,
    STATE(8491), 1,
      sym_parenthesized_operator,
    STATE(8673), 1,
      sym__simple_expression,
    STATE(21883), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8398), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8221), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171062] = 29,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_object,
    ACTIONS(667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(677), 1,
      anon_sym_new,
    ACTIONS(679), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(681), 1,
      anon_sym_begin,
    ACTIONS(683), 1,
      sym_ocamlyacc_value,
    ACTIONS(689), 1,
      aux_sym_number_token1,
    ACTIONS(691), 1,
      anon_sym_SQUOTE,
    ACTIONS(693), 1,
      anon_sym_DQUOTE,
    ACTIONS(695), 1,
      sym_prefix_operator,
    ACTIONS(699), 1,
      sym__uppercase_identifier,
    ACTIONS(701), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4049), 1,
      sym__lowercase_identifier,
    STATE(4177), 1,
      sym__simple_expression,
    STATE(4209), 1,
      sym__value_name,
    STATE(4243), 1,
      sym_parenthesized_operator,
    STATE(4298), 1,
      sym__constructor_name,
    STATE(5493), 1,
      sym_attribute,
    STATE(21995), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4282), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4170), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171180] = 29,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_object,
    ACTIONS(667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(677), 1,
      anon_sym_new,
    ACTIONS(679), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(681), 1,
      anon_sym_begin,
    ACTIONS(683), 1,
      sym_ocamlyacc_value,
    ACTIONS(689), 1,
      aux_sym_number_token1,
    ACTIONS(691), 1,
      anon_sym_SQUOTE,
    ACTIONS(693), 1,
      anon_sym_DQUOTE,
    ACTIONS(695), 1,
      sym_prefix_operator,
    ACTIONS(699), 1,
      sym__uppercase_identifier,
    ACTIONS(701), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4049), 1,
      sym__lowercase_identifier,
    STATE(4185), 1,
      sym__simple_expression,
    STATE(4209), 1,
      sym__value_name,
    STATE(4243), 1,
      sym_parenthesized_operator,
    STATE(4298), 1,
      sym__constructor_name,
    STATE(5494), 1,
      sym_attribute,
    STATE(21995), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4282), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4170), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171298] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    ACTIONS(4919), 1,
      anon_sym_POUND,
    ACTIONS(4921), 1,
      sym_hash_operator,
    STATE(5495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171374] = 29,
    ACTIONS(603), 1,
      anon_sym_LPAREN,
    ACTIONS(605), 1,
      anon_sym_LBRACK,
    ACTIONS(609), 1,
      anon_sym_LBRACE,
    ACTIONS(611), 1,
      anon_sym_object,
    ACTIONS(615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(625), 1,
      anon_sym_new,
    ACTIONS(627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(629), 1,
      anon_sym_begin,
    ACTIONS(631), 1,
      sym_ocamlyacc_value,
    ACTIONS(637), 1,
      aux_sym_number_token1,
    ACTIONS(639), 1,
      anon_sym_SQUOTE,
    ACTIONS(641), 1,
      anon_sym_DQUOTE,
    ACTIONS(643), 1,
      sym_prefix_operator,
    ACTIONS(647), 1,
      sym__uppercase_identifier,
    ACTIONS(649), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3905), 1,
      sym__lowercase_identifier,
    STATE(4100), 1,
      sym__simple_expression,
    STATE(4107), 1,
      sym__value_name,
    STATE(4133), 1,
      sym_parenthesized_operator,
    STATE(4260), 1,
      sym__constructor_name,
    STATE(5496), 1,
      sym_attribute,
    STATE(21807), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4252), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4567), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171562] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(5498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171634] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3307), 1,
      anon_sym_LPAREN,
    ACTIONS(3309), 1,
      anon_sym_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    ACTIONS(3315), 1,
      anon_sym_object,
    ACTIONS(3319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3329), 1,
      anon_sym_new,
    ACTIONS(3331), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3333), 1,
      anon_sym_begin,
    ACTIONS(3335), 1,
      sym_ocamlyacc_value,
    ACTIONS(3337), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3339), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3341), 1,
      aux_sym_number_token1,
    ACTIONS(3343), 1,
      anon_sym_SQUOTE,
    ACTIONS(3345), 1,
      anon_sym_DQUOTE,
    ACTIONS(3347), 1,
      sym_prefix_operator,
    ACTIONS(3351), 1,
      sym__uppercase_identifier,
    ACTIONS(3353), 1,
      aux_sym_tag_token1,
    ACTIONS(6549), 1,
      sym__lowercase_identifier,
    STATE(5499), 1,
      sym_attribute,
    STATE(8296), 1,
      sym__constructor_name,
    STATE(8628), 1,
      sym__value_name,
    STATE(8636), 1,
      sym_parenthesized_operator,
    STATE(8667), 1,
      sym__simple_expression,
    STATE(22278), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3311), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8327), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8609), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171752] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5500), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16458), 1,
      sym__binding_pattern,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [171888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171958] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(5502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [172030] = 29,
    ACTIONS(367), 1,
      anon_sym_LPAREN,
    ACTIONS(369), 1,
      anon_sym_LBRACK,
    ACTIONS(373), 1,
      anon_sym_LBRACE,
    ACTIONS(375), 1,
      anon_sym_object,
    ACTIONS(379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(389), 1,
      anon_sym_new,
    ACTIONS(391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(393), 1,
      anon_sym_begin,
    ACTIONS(395), 1,
      sym_ocamlyacc_value,
    ACTIONS(403), 1,
      aux_sym_number_token1,
    ACTIONS(405), 1,
      anon_sym_SQUOTE,
    ACTIONS(407), 1,
      anon_sym_DQUOTE,
    ACTIONS(409), 1,
      sym_prefix_operator,
    ACTIONS(415), 1,
      sym__uppercase_identifier,
    ACTIONS(417), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3725), 1,
      sym__lowercase_identifier,
    STATE(3922), 1,
      sym_parenthesized_operator,
    STATE(3940), 1,
      sym__constructor_name,
    STATE(3944), 1,
      sym__value_name,
    STATE(3991), 1,
      sym__simple_expression,
    STATE(5503), 1,
      sym_attribute,
    STATE(21845), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(371), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3834), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3844), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172148] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5504), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15743), 1,
      sym__binding_pattern,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172284] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(5505), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(6698), 1,
      sym__binding_pattern,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172420] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    ACTIONS(9902), 1,
      anon_sym_TILDE,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5506), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15750), 1,
      sym__tuple_binding_pattern,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16234), 1,
      sym__binding_pattern,
    STATE(16275), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172556] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5507), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15752), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16281), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172692] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5508), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16078), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [172828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [172898] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5510), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15766), 1,
      sym__binding_pattern,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [173034] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9608), 1,
      sym__lowercase_identifier,
    ACTIONS(9610), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    ACTIONS(9616), 1,
      anon_sym_begin,
    ACTIONS(9618), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9620), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9622), 1,
      aux_sym_number_token1,
    ACTIONS(9624), 1,
      anon_sym_SQUOTE,
    ACTIONS(9626), 1,
      anon_sym_DQUOTE,
    ACTIONS(9628), 1,
      sym_prefix_operator,
    STATE(5511), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(8831), 1,
      sym__simple_expression,
    STATE(8891), 1,
      sym_parenthesized_operator,
    STATE(22682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8735), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173152] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9608), 1,
      sym__lowercase_identifier,
    ACTIONS(9610), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    ACTIONS(9616), 1,
      anon_sym_begin,
    ACTIONS(9618), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9620), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9622), 1,
      aux_sym_number_token1,
    ACTIONS(9624), 1,
      anon_sym_SQUOTE,
    ACTIONS(9626), 1,
      anon_sym_DQUOTE,
    ACTIONS(9628), 1,
      sym_prefix_operator,
    STATE(5512), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8807), 1,
      sym__simple_expression,
    STATE(8822), 1,
      sym__value_name,
    STATE(8891), 1,
      sym_parenthesized_operator,
    STATE(22682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8735), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173340] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3307), 1,
      anon_sym_LPAREN,
    ACTIONS(3309), 1,
      anon_sym_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    ACTIONS(3315), 1,
      anon_sym_object,
    ACTIONS(3319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3329), 1,
      anon_sym_new,
    ACTIONS(3331), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3333), 1,
      anon_sym_begin,
    ACTIONS(3335), 1,
      sym_ocamlyacc_value,
    ACTIONS(3337), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3339), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3341), 1,
      aux_sym_number_token1,
    ACTIONS(3343), 1,
      anon_sym_SQUOTE,
    ACTIONS(3345), 1,
      anon_sym_DQUOTE,
    ACTIONS(3347), 1,
      sym_prefix_operator,
    ACTIONS(3351), 1,
      sym__uppercase_identifier,
    ACTIONS(3353), 1,
      aux_sym_tag_token1,
    ACTIONS(6549), 1,
      sym__lowercase_identifier,
    STATE(5514), 1,
      sym_attribute,
    STATE(8158), 1,
      sym__simple_expression,
    STATE(8296), 1,
      sym__constructor_name,
    STATE(8628), 1,
      sym__value_name,
    STATE(8636), 1,
      sym_parenthesized_operator,
    STATE(22278), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3311), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8327), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8609), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173458] = 29,
    ACTIONS(475), 1,
      anon_sym_LPAREN,
    ACTIONS(477), 1,
      anon_sym_LBRACK,
    ACTIONS(481), 1,
      anon_sym_LBRACE,
    ACTIONS(483), 1,
      anon_sym_object,
    ACTIONS(487), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(497), 1,
      anon_sym_new,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(501), 1,
      anon_sym_begin,
    ACTIONS(503), 1,
      sym_ocamlyacc_value,
    ACTIONS(509), 1,
      aux_sym_number_token1,
    ACTIONS(511), 1,
      anon_sym_SQUOTE,
    ACTIONS(513), 1,
      anon_sym_DQUOTE,
    ACTIONS(515), 1,
      sym_prefix_operator,
    ACTIONS(519), 1,
      sym__uppercase_identifier,
    ACTIONS(521), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3515), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3517), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3735), 1,
      sym__lowercase_identifier,
    STATE(3809), 1,
      sym__simple_expression,
    STATE(3955), 1,
      sym__value_name,
    STATE(4034), 1,
      sym__constructor_name,
    STATE(4062), 1,
      sym_parenthesized_operator,
    STATE(5515), 1,
      sym_attribute,
    STATE(21921), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(479), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3936), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3911), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173576] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_POUND,
    ACTIONS(4991), 1,
      sym_hash_operator,
    STATE(5516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173862] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(5520), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15743), 1,
      sym__binding_pattern,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [173998] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9904), 1,
      anon_sym_TILDE,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(5521), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15750), 1,
      sym__tuple_binding_pattern,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16349), 1,
      sym__binding_pattern,
    STATE(16350), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174134] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_LPAREN,
    ACTIONS(3191), 1,
      anon_sym_LBRACK,
    ACTIONS(3195), 1,
      anon_sym_LBRACE,
    ACTIONS(3197), 1,
      anon_sym_object,
    ACTIONS(3201), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3211), 1,
      anon_sym_new,
    ACTIONS(3213), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3215), 1,
      anon_sym_begin,
    ACTIONS(3217), 1,
      sym_ocamlyacc_value,
    ACTIONS(3219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3223), 1,
      aux_sym_number_token1,
    ACTIONS(3225), 1,
      anon_sym_SQUOTE,
    ACTIONS(3227), 1,
      anon_sym_DQUOTE,
    ACTIONS(3229), 1,
      sym_prefix_operator,
    ACTIONS(3233), 1,
      sym__uppercase_identifier,
    ACTIONS(3235), 1,
      aux_sym_tag_token1,
    ACTIONS(6633), 1,
      sym__lowercase_identifier,
    STATE(5522), 1,
      sym_attribute,
    STATE(8338), 1,
      sym_parenthesized_operator,
    STATE(8611), 1,
      sym__constructor_name,
    STATE(8676), 1,
      sym__value_name,
    STATE(8724), 1,
      sym__simple_expression,
    STATE(21353), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8577), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174252] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(5523), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15752), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16352), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174388] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(5524), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16355), 1,
      sym__binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174524] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6451), 1,
      anon_sym_lazy,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    STATE(3421), 1,
      sym_constructor_path,
    STATE(3559), 1,
      sym_tag,
    STATE(5525), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15766), 1,
      sym__binding_pattern,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(20470), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [174660] = 29,
    ACTIONS(707), 1,
      anon_sym_LPAREN,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(713), 1,
      anon_sym_LBRACE,
    ACTIONS(715), 1,
      anon_sym_object,
    ACTIONS(719), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(729), 1,
      anon_sym_new,
    ACTIONS(731), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(733), 1,
      anon_sym_begin,
    ACTIONS(735), 1,
      sym_ocamlyacc_value,
    ACTIONS(741), 1,
      aux_sym_number_token1,
    ACTIONS(743), 1,
      anon_sym_SQUOTE,
    ACTIONS(745), 1,
      anon_sym_DQUOTE,
    ACTIONS(747), 1,
      sym_prefix_operator,
    ACTIONS(751), 1,
      sym__uppercase_identifier,
    ACTIONS(753), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4025), 1,
      sym__lowercase_identifier,
    STATE(4124), 1,
      sym__simple_expression,
    STATE(4171), 1,
      sym__value_name,
    STATE(4241), 1,
      sym_parenthesized_operator,
    STATE(4290), 1,
      sym__constructor_name,
    STATE(5526), 1,
      sym_attribute,
    STATE(21958), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(711), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4276), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4132), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174778] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    ACTIONS(4989), 1,
      anon_sym_POUND,
    ACTIONS(4991), 1,
      sym_hash_operator,
    STATE(5527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174924] = 29,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_LBRACK,
    ACTIONS(119), 1,
      anon_sym_LBRACE,
    ACTIONS(123), 1,
      anon_sym_object,
    ACTIONS(127), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(141), 1,
      anon_sym_new,
    ACTIONS(143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(145), 1,
      anon_sym_begin,
    ACTIONS(147), 1,
      sym_ocamlyacc_value,
    ACTIONS(153), 1,
      aux_sym_number_token1,
    ACTIONS(155), 1,
      anon_sym_SQUOTE,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      sym_prefix_operator,
    ACTIONS(165), 1,
      sym__uppercase_identifier,
    ACTIONS(169), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3535), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3537), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    STATE(5529), 1,
      sym_attribute,
    STATE(5531), 1,
      sym_parenthesized_operator,
    STATE(5537), 1,
      sym__simple_expression,
    STATE(5621), 1,
      sym__value_name,
    STATE(5826), 1,
      sym__constructor_name,
    STATE(22481), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(115), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5821), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5528), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175042] = 29,
    ACTIONS(655), 1,
      anon_sym_LPAREN,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(661), 1,
      anon_sym_LBRACE,
    ACTIONS(663), 1,
      anon_sym_object,
    ACTIONS(667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(677), 1,
      anon_sym_new,
    ACTIONS(679), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(681), 1,
      anon_sym_begin,
    ACTIONS(683), 1,
      sym_ocamlyacc_value,
    ACTIONS(689), 1,
      aux_sym_number_token1,
    ACTIONS(691), 1,
      anon_sym_SQUOTE,
    ACTIONS(693), 1,
      anon_sym_DQUOTE,
    ACTIONS(695), 1,
      sym_prefix_operator,
    ACTIONS(699), 1,
      sym__uppercase_identifier,
    ACTIONS(701), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3539), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3541), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4049), 1,
      sym__lowercase_identifier,
    STATE(4164), 1,
      sym__simple_expression,
    STATE(4209), 1,
      sym__value_name,
    STATE(4243), 1,
      sym_parenthesized_operator,
    STATE(4298), 1,
      sym__constructor_name,
    STATE(5530), 1,
      sym_attribute,
    STATE(21995), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(659), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4282), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4170), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175650] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5538), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16644), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [175786] = 29,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_LBRACK,
    ACTIONS(119), 1,
      anon_sym_LBRACE,
    ACTIONS(123), 1,
      anon_sym_object,
    ACTIONS(127), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(141), 1,
      anon_sym_new,
    ACTIONS(143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(145), 1,
      anon_sym_begin,
    ACTIONS(147), 1,
      sym_ocamlyacc_value,
    ACTIONS(153), 1,
      aux_sym_number_token1,
    ACTIONS(155), 1,
      anon_sym_SQUOTE,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      sym_prefix_operator,
    ACTIONS(165), 1,
      sym__uppercase_identifier,
    ACTIONS(169), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3535), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3537), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    STATE(5531), 1,
      sym_parenthesized_operator,
    STATE(5539), 1,
      sym_attribute,
    STATE(5557), 1,
      sym__simple_expression,
    STATE(5621), 1,
      sym__value_name,
    STATE(5826), 1,
      sym__constructor_name,
    STATE(22481), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(115), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5821), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5528), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175904] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8113), 1,
      sym__lowercase_identifier,
    ACTIONS(8117), 1,
      anon_sym_LPAREN,
    ACTIONS(8119), 1,
      anon_sym_LBRACK,
    ACTIONS(8123), 1,
      anon_sym_LBRACE,
    ACTIONS(8125), 1,
      anon_sym_object,
    ACTIONS(8127), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8129), 1,
      anon_sym_new,
    ACTIONS(8131), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8133), 1,
      anon_sym_begin,
    ACTIONS(8135), 1,
      sym_ocamlyacc_value,
    ACTIONS(8141), 1,
      aux_sym_number_token1,
    ACTIONS(8143), 1,
      anon_sym_SQUOTE,
    ACTIONS(8145), 1,
      anon_sym_DQUOTE,
    ACTIONS(8147), 1,
      sym_prefix_operator,
    ACTIONS(8149), 1,
      sym__uppercase_identifier,
    ACTIONS(8151), 1,
      aux_sym_tag_token1,
    ACTIONS(9906), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9908), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5540), 1,
      sym_attribute,
    STATE(9525), 1,
      sym__value_name,
    STATE(9701), 1,
      sym_parenthesized_operator,
    STATE(9724), 1,
      sym__constructor_name,
    STATE(9742), 1,
      sym__simple_expression,
    STATE(20424), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8121), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9675), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9705), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176022] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8113), 1,
      sym__lowercase_identifier,
    ACTIONS(8117), 1,
      anon_sym_LPAREN,
    ACTIONS(8119), 1,
      anon_sym_LBRACK,
    ACTIONS(8123), 1,
      anon_sym_LBRACE,
    ACTIONS(8125), 1,
      anon_sym_object,
    ACTIONS(8127), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8129), 1,
      anon_sym_new,
    ACTIONS(8131), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8133), 1,
      anon_sym_begin,
    ACTIONS(8135), 1,
      sym_ocamlyacc_value,
    ACTIONS(8141), 1,
      aux_sym_number_token1,
    ACTIONS(8143), 1,
      anon_sym_SQUOTE,
    ACTIONS(8145), 1,
      anon_sym_DQUOTE,
    ACTIONS(8147), 1,
      sym_prefix_operator,
    ACTIONS(8149), 1,
      sym__uppercase_identifier,
    ACTIONS(8151), 1,
      aux_sym_tag_token1,
    ACTIONS(9906), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9908), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5541), 1,
      sym_attribute,
    STATE(9429), 1,
      sym__simple_expression,
    STATE(9525), 1,
      sym__value_name,
    STATE(9701), 1,
      sym_parenthesized_operator,
    STATE(9724), 1,
      sym__constructor_name,
    STATE(20424), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8121), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9675), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9705), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176140] = 29,
    ACTIONS(767), 1,
      anon_sym_LPAREN,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(773), 1,
      anon_sym_LBRACE,
    ACTIONS(775), 1,
      anon_sym_object,
    ACTIONS(779), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(789), 1,
      anon_sym_new,
    ACTIONS(791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(793), 1,
      anon_sym_begin,
    ACTIONS(795), 1,
      sym_ocamlyacc_value,
    ACTIONS(801), 1,
      aux_sym_number_token1,
    ACTIONS(803), 1,
      anon_sym_SQUOTE,
    ACTIONS(805), 1,
      anon_sym_DQUOTE,
    ACTIONS(807), 1,
      sym_prefix_operator,
    ACTIONS(811), 1,
      sym__uppercase_identifier,
    ACTIONS(813), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4375), 1,
      sym__lowercase_identifier,
    STATE(4315), 1,
      sym__simple_expression,
    STATE(4352), 1,
      sym__value_name,
    STATE(4365), 1,
      sym_parenthesized_operator,
    STATE(4383), 1,
      sym__constructor_name,
    STATE(5542), 1,
      sym_attribute,
    STATE(23689), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(771), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4376), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4316), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177028] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6749), 1,
      sym__lowercase_identifier,
    ACTIONS(6755), 1,
      anon_sym_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_object,
    ACTIONS(6765), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6767), 1,
      anon_sym_new,
    ACTIONS(6769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6771), 1,
      anon_sym_begin,
    ACTIONS(6773), 1,
      sym_ocamlyacc_value,
    ACTIONS(6779), 1,
      aux_sym_number_token1,
    ACTIONS(6781), 1,
      anon_sym_SQUOTE,
    ACTIONS(6783), 1,
      anon_sym_DQUOTE,
    ACTIONS(6785), 1,
      sym_prefix_operator,
    ACTIONS(6787), 1,
      sym__uppercase_identifier,
    ACTIONS(6789), 1,
      aux_sym_tag_token1,
    ACTIONS(9910), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9912), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5554), 1,
      sym_attribute,
    STATE(7211), 1,
      sym_parenthesized_operator,
    STATE(7225), 1,
      sym__value_name,
    STATE(7371), 1,
      sym__constructor_name,
    STATE(7558), 1,
      sym__simple_expression,
    STATE(20838), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6759), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7492), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177216] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6749), 1,
      sym__lowercase_identifier,
    ACTIONS(6755), 1,
      anon_sym_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_object,
    ACTIONS(6765), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6767), 1,
      anon_sym_new,
    ACTIONS(6769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6771), 1,
      anon_sym_begin,
    ACTIONS(6773), 1,
      sym_ocamlyacc_value,
    ACTIONS(6779), 1,
      aux_sym_number_token1,
    ACTIONS(6781), 1,
      anon_sym_SQUOTE,
    ACTIONS(6783), 1,
      anon_sym_DQUOTE,
    ACTIONS(6785), 1,
      sym_prefix_operator,
    ACTIONS(6787), 1,
      sym__uppercase_identifier,
    ACTIONS(6789), 1,
      aux_sym_tag_token1,
    ACTIONS(9910), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9912), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5556), 1,
      sym_attribute,
    STATE(7211), 1,
      sym_parenthesized_operator,
    STATE(7225), 1,
      sym__value_name,
    STATE(7371), 1,
      sym__constructor_name,
    STATE(7584), 1,
      sym__simple_expression,
    STATE(20838), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6759), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7492), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177334] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4917), 1,
      anon_sym_DOT,
    STATE(5557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179786] = 29,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(25), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(41), 1,
      anon_sym_object,
    ACTIONS(45), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(63), 1,
      anon_sym_new,
    ACTIONS(65), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(67), 1,
      anon_sym_begin,
    ACTIONS(69), 1,
      sym_ocamlyacc_value,
    ACTIONS(81), 1,
      aux_sym_number_token1,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_DQUOTE,
    ACTIONS(89), 1,
      sym_prefix_operator,
    ACTIONS(97), 1,
      sym__uppercase_identifier,
    ACTIONS(101), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4723), 1,
      sym__lowercase_identifier,
    STATE(5575), 1,
      sym_parenthesized_operator,
    STATE(5592), 1,
      sym_attribute,
    STATE(5609), 1,
      sym__value_name,
    STATE(5699), 1,
      sym__constructor_name,
    STATE(5836), 1,
      sym__simple_expression,
    STATE(22848), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5593), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180114] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(5596), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(8831), 1,
      sym__simple_expression,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(22898), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180232] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(5597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180584] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(5602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180796] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6749), 1,
      sym__lowercase_identifier,
    ACTIONS(6755), 1,
      anon_sym_LPAREN,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6761), 1,
      anon_sym_LBRACE,
    ACTIONS(6763), 1,
      anon_sym_object,
    ACTIONS(6765), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6767), 1,
      anon_sym_new,
    ACTIONS(6769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6771), 1,
      anon_sym_begin,
    ACTIONS(6773), 1,
      sym_ocamlyacc_value,
    ACTIONS(6779), 1,
      aux_sym_number_token1,
    ACTIONS(6781), 1,
      anon_sym_SQUOTE,
    ACTIONS(6783), 1,
      anon_sym_DQUOTE,
    ACTIONS(6785), 1,
      sym_prefix_operator,
    ACTIONS(6787), 1,
      sym__uppercase_identifier,
    ACTIONS(6789), 1,
      aux_sym_tag_token1,
    ACTIONS(9910), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9912), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5605), 1,
      sym_attribute,
    STATE(7211), 1,
      sym_parenthesized_operator,
    STATE(7225), 1,
      sym__value_name,
    STATE(7371), 1,
      sym__constructor_name,
    STATE(7564), 1,
      sym__simple_expression,
    STATE(20838), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6759), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7236), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7492), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180984] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8931), 1,
      sym__lowercase_identifier,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    ACTIONS(8937), 1,
      anon_sym_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACE,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8945), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8947), 1,
      anon_sym_new,
    ACTIONS(8949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8951), 1,
      anon_sym_begin,
    ACTIONS(8953), 1,
      sym_ocamlyacc_value,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8959), 1,
      aux_sym_number_token1,
    ACTIONS(8961), 1,
      anon_sym_SQUOTE,
    ACTIONS(8963), 1,
      anon_sym_DQUOTE,
    ACTIONS(8965), 1,
      sym_prefix_operator,
    STATE(5607), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(10965), 1,
      sym__simple_expression,
    STATE(11099), 1,
      sym_parenthesized_operator,
    STATE(11140), 1,
      sym__value_name,
    STATE(20893), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11054), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10933), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181102] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8931), 1,
      sym__lowercase_identifier,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    ACTIONS(8937), 1,
      anon_sym_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACE,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8945), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8947), 1,
      anon_sym_new,
    ACTIONS(8949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8951), 1,
      anon_sym_begin,
    ACTIONS(8953), 1,
      sym_ocamlyacc_value,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8959), 1,
      aux_sym_number_token1,
    ACTIONS(8961), 1,
      anon_sym_SQUOTE,
    ACTIONS(8963), 1,
      anon_sym_DQUOTE,
    ACTIONS(8965), 1,
      sym_prefix_operator,
    STATE(5608), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(11009), 1,
      sym__simple_expression,
    STATE(11099), 1,
      sym_parenthesized_operator,
    STATE(11140), 1,
      sym__value_name,
    STATE(20893), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11054), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10933), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181570] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9652), 1,
      sym__lowercase_identifier,
    ACTIONS(9654), 1,
      anon_sym_LPAREN,
    ACTIONS(9656), 1,
      anon_sym_LBRACK,
    ACTIONS(9660), 1,
      anon_sym_LBRACE,
    ACTIONS(9662), 1,
      anon_sym_object,
    ACTIONS(9664), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9666), 1,
      anon_sym_new,
    ACTIONS(9668), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9670), 1,
      anon_sym_begin,
    ACTIONS(9672), 1,
      sym_ocamlyacc_value,
    ACTIONS(9674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9678), 1,
      aux_sym_number_token1,
    ACTIONS(9680), 1,
      anon_sym_SQUOTE,
    ACTIONS(9682), 1,
      anon_sym_DQUOTE,
    ACTIONS(9684), 1,
      sym_prefix_operator,
    ACTIONS(9686), 1,
      sym__uppercase_identifier,
    ACTIONS(9688), 1,
      aux_sym_tag_token1,
    STATE(5614), 1,
      sym_attribute,
    STATE(9043), 1,
      sym__constructor_name,
    STATE(9095), 1,
      sym__value_name,
    STATE(9097), 1,
      sym__simple_expression,
    STATE(9195), 1,
      sym_parenthesized_operator,
    STATE(23479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9658), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9024), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9042), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181688] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9652), 1,
      sym__lowercase_identifier,
    ACTIONS(9654), 1,
      anon_sym_LPAREN,
    ACTIONS(9656), 1,
      anon_sym_LBRACK,
    ACTIONS(9660), 1,
      anon_sym_LBRACE,
    ACTIONS(9662), 1,
      anon_sym_object,
    ACTIONS(9664), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9666), 1,
      anon_sym_new,
    ACTIONS(9668), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9670), 1,
      anon_sym_begin,
    ACTIONS(9672), 1,
      sym_ocamlyacc_value,
    ACTIONS(9674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9678), 1,
      aux_sym_number_token1,
    ACTIONS(9680), 1,
      anon_sym_SQUOTE,
    ACTIONS(9682), 1,
      anon_sym_DQUOTE,
    ACTIONS(9684), 1,
      sym_prefix_operator,
    ACTIONS(9686), 1,
      sym__uppercase_identifier,
    ACTIONS(9688), 1,
      aux_sym_tag_token1,
    STATE(5615), 1,
      sym_attribute,
    STATE(9043), 1,
      sym__constructor_name,
    STATE(9095), 1,
      sym__value_name,
    STATE(9099), 1,
      sym__simple_expression,
    STATE(9195), 1,
      sym_parenthesized_operator,
    STATE(23479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9658), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9024), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9042), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181876] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9608), 1,
      sym__lowercase_identifier,
    ACTIONS(9610), 1,
      anon_sym_LPAREN,
    ACTIONS(9614), 1,
      anon_sym_LBRACE,
    ACTIONS(9616), 1,
      anon_sym_begin,
    ACTIONS(9618), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9620), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9622), 1,
      aux_sym_number_token1,
    ACTIONS(9624), 1,
      anon_sym_SQUOTE,
    ACTIONS(9626), 1,
      anon_sym_DQUOTE,
    ACTIONS(9628), 1,
      sym_prefix_operator,
    STATE(5617), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8806), 1,
      sym__simple_expression,
    STATE(8822), 1,
      sym__value_name,
    STATE(8891), 1,
      sym_parenthesized_operator,
    STATE(22682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9612), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8735), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182064] = 29,
    ACTIONS(529), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_LBRACK,
    ACTIONS(537), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_object,
    ACTIONS(551), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(561), 1,
      anon_sym_new,
    ACTIONS(563), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(565), 1,
      anon_sym_begin,
    ACTIONS(567), 1,
      sym_ocamlyacc_value,
    ACTIONS(573), 1,
      aux_sym_number_token1,
    ACTIONS(575), 1,
      anon_sym_SQUOTE,
    ACTIONS(577), 1,
      anon_sym_DQUOTE,
    ACTIONS(579), 1,
      sym_prefix_operator,
    ACTIONS(585), 1,
      sym__uppercase_identifier,
    ACTIONS(589), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3557), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3559), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4983), 1,
      sym__lowercase_identifier,
    STATE(5509), 1,
      sym__constructor_name,
    STATE(5619), 1,
      sym_attribute,
    STATE(5770), 1,
      sym__value_name,
    STATE(5771), 1,
      sym_parenthesized_operator,
    STATE(5839), 1,
      sym__simple_expression,
    STATE(23101), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(535), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5501), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5618), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182602] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_LPAREN,
    ACTIONS(3191), 1,
      anon_sym_LBRACK,
    ACTIONS(3195), 1,
      anon_sym_LBRACE,
    ACTIONS(3197), 1,
      anon_sym_object,
    ACTIONS(3201), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3211), 1,
      anon_sym_new,
    ACTIONS(3213), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3215), 1,
      anon_sym_begin,
    ACTIONS(3217), 1,
      sym_ocamlyacc_value,
    ACTIONS(3219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3223), 1,
      aux_sym_number_token1,
    ACTIONS(3225), 1,
      anon_sym_SQUOTE,
    ACTIONS(3227), 1,
      anon_sym_DQUOTE,
    ACTIONS(3229), 1,
      sym_prefix_operator,
    ACTIONS(3233), 1,
      sym__uppercase_identifier,
    ACTIONS(3235), 1,
      aux_sym_tag_token1,
    ACTIONS(6633), 1,
      sym__lowercase_identifier,
    STATE(5626), 1,
      sym_attribute,
    STATE(8338), 1,
      sym_parenthesized_operator,
    STATE(8611), 1,
      sym__constructor_name,
    STATE(8676), 1,
      sym__value_name,
    STATE(8684), 1,
      sym__simple_expression,
    STATE(21353), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8577), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183140] = 29,
    ACTIONS(529), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_LBRACK,
    ACTIONS(537), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_object,
    ACTIONS(551), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(561), 1,
      anon_sym_new,
    ACTIONS(563), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(565), 1,
      anon_sym_begin,
    ACTIONS(567), 1,
      sym_ocamlyacc_value,
    ACTIONS(573), 1,
      aux_sym_number_token1,
    ACTIONS(575), 1,
      anon_sym_SQUOTE,
    ACTIONS(577), 1,
      anon_sym_DQUOTE,
    ACTIONS(579), 1,
      sym_prefix_operator,
    ACTIONS(585), 1,
      sym__uppercase_identifier,
    ACTIONS(589), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3557), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3559), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4983), 1,
      sym__lowercase_identifier,
    STATE(5509), 1,
      sym__constructor_name,
    STATE(5633), 1,
      sym_attribute,
    STATE(5668), 1,
      sym__simple_expression,
    STATE(5770), 1,
      sym__value_name,
    STATE(5771), 1,
      sym_parenthesized_operator,
    STATE(23101), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(535), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5501), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5618), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183328] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5635), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(16627), 1,
      sym__binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183464] = 29,
    ACTIONS(19), 1,
      anon_sym_LPAREN,
    ACTIONS(25), 1,
      anon_sym_LBRACK,
    ACTIONS(29), 1,
      anon_sym_LBRACE,
    ACTIONS(41), 1,
      anon_sym_object,
    ACTIONS(45), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(63), 1,
      anon_sym_new,
    ACTIONS(65), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(67), 1,
      anon_sym_begin,
    ACTIONS(69), 1,
      sym_ocamlyacc_value,
    ACTIONS(81), 1,
      aux_sym_number_token1,
    ACTIONS(85), 1,
      anon_sym_SQUOTE,
    ACTIONS(87), 1,
      anon_sym_DQUOTE,
    ACTIONS(89), 1,
      sym_prefix_operator,
    ACTIONS(97), 1,
      sym__uppercase_identifier,
    ACTIONS(101), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4723), 1,
      sym__lowercase_identifier,
    STATE(5477), 1,
      sym__simple_expression,
    STATE(5575), 1,
      sym_parenthesized_operator,
    STATE(5609), 1,
      sym__value_name,
    STATE(5636), 1,
      sym_attribute,
    STATE(5699), 1,
      sym__constructor_name,
    STATE(22848), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5593), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5748), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183652] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    ACTIONS(9914), 1,
      anon_sym_TILDE,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5638), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(16630), 1,
      sym__binding_pattern,
    STATE(16631), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(16633), 1,
      sym__tuple_binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183788] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5639), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(16634), 1,
      sym__binding_pattern,
    STATE(16637), 1,
      sym__or_binding_pattern_anonymous,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [183924] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5640), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(16640), 1,
      sym__binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184200] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8859), 1,
      anon_sym_lazy,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8895), 1,
      anon_sym_LPAREN,
    STATE(3415), 1,
      sym_constructor_path,
    STATE(3434), 1,
      sym_tag,
    STATE(5643), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(16274), 1,
      sym__signed_constant,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16562), 1,
      sym__or_binding_pattern_anonymous,
    STATE(16563), 1,
      sym__tuple_binding_pattern,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(16643), 1,
      sym__binding_pattern,
    STATE(20916), 1,
      sym_module_path,
    STATE(21590), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16560), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(16561), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [184336] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3029), 1,
      anon_sym_LPAREN,
    ACTIONS(3031), 1,
      anon_sym_LBRACK,
    ACTIONS(3035), 1,
      anon_sym_LBRACE,
    ACTIONS(3037), 1,
      anon_sym_object,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3051), 1,
      anon_sym_new,
    ACTIONS(3053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3055), 1,
      anon_sym_begin,
    ACTIONS(3057), 1,
      sym_ocamlyacc_value,
    ACTIONS(3059), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3061), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3063), 1,
      aux_sym_number_token1,
    ACTIONS(3065), 1,
      anon_sym_SQUOTE,
    ACTIONS(3067), 1,
      anon_sym_DQUOTE,
    ACTIONS(3069), 1,
      sym_prefix_operator,
    ACTIONS(3073), 1,
      sym__uppercase_identifier,
    ACTIONS(3075), 1,
      aux_sym_tag_token1,
    ACTIONS(6665), 1,
      sym__lowercase_identifier,
    STATE(5644), 1,
      sym_attribute,
    STATE(8329), 1,
      sym__value_name,
    STATE(8441), 1,
      sym__simple_expression,
    STATE(8507), 1,
      sym_parenthesized_operator,
    STATE(8638), 1,
      sym__constructor_name,
    STATE(21759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8626), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8155), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184454] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9916), 1,
      anon_sym_COLON,
    STATE(5645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [184526] = 29,
    ACTIONS(1083), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_LBRACE,
    ACTIONS(1091), 1,
      anon_sym_object,
    ACTIONS(1095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1105), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1109), 1,
      anon_sym_begin,
    ACTIONS(1111), 1,
      sym_ocamlyacc_value,
    ACTIONS(1117), 1,
      aux_sym_number_token1,
    ACTIONS(1119), 1,
      anon_sym_SQUOTE,
    ACTIONS(1121), 1,
      anon_sym_DQUOTE,
    ACTIONS(1123), 1,
      sym_prefix_operator,
    ACTIONS(1127), 1,
      sym__uppercase_identifier,
    ACTIONS(1129), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3599), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4459), 1,
      sym__lowercase_identifier,
    STATE(5019), 1,
      sym__simple_expression,
    STATE(5056), 1,
      sym__value_name,
    STATE(5082), 1,
      sym_parenthesized_operator,
    STATE(5127), 1,
      sym__constructor_name,
    STATE(5646), 1,
      sym_attribute,
    STATE(20488), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1087), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5108), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5013), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184714] = 29,
    ACTIONS(1083), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_LBRACE,
    ACTIONS(1091), 1,
      anon_sym_object,
    ACTIONS(1095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1105), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1109), 1,
      anon_sym_begin,
    ACTIONS(1111), 1,
      sym_ocamlyacc_value,
    ACTIONS(1117), 1,
      aux_sym_number_token1,
    ACTIONS(1119), 1,
      anon_sym_SQUOTE,
    ACTIONS(1121), 1,
      anon_sym_DQUOTE,
    ACTIONS(1123), 1,
      sym_prefix_operator,
    ACTIONS(1127), 1,
      sym__uppercase_identifier,
    ACTIONS(1129), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3599), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4459), 1,
      sym__lowercase_identifier,
    STATE(5030), 1,
      sym__simple_expression,
    STATE(5056), 1,
      sym__value_name,
    STATE(5082), 1,
      sym_parenthesized_operator,
    STATE(5127), 1,
      sym__constructor_name,
    STATE(5648), 1,
      sym_attribute,
    STATE(20488), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1087), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5108), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5013), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185182] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5654), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6412), 1,
      sym__simple_expression,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185370] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(5656), 1,
      sym_attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6908), 1,
      sym__binding_pattern,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6939), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6942), 1,
      sym__tuple_binding_pattern,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(22371), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185506] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9918), 1,
      anon_sym_TILDE,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(5657), 1,
      sym_attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6909), 1,
      sym__binding_pattern,
    STATE(6910), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(6911), 1,
      sym__tuple_binding_pattern,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6939), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185852] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(5661), 1,
      sym_attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6912), 1,
      sym__binding_pattern,
    STATE(6913), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6942), 1,
      sym__tuple_binding_pattern,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(22371), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [185988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186198] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(5665), 1,
      sym_attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6915), 1,
      sym__binding_pattern,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6939), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6942), 1,
      sym__tuple_binding_pattern,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(22371), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [186334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186404] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8861), 1,
      sym__uppercase_identifier,
    ACTIONS(8863), 1,
      aux_sym_tag_token1,
    ACTIONS(8931), 1,
      sym__lowercase_identifier,
    ACTIONS(8935), 1,
      anon_sym_LPAREN,
    ACTIONS(8937), 1,
      anon_sym_LBRACK,
    ACTIONS(8941), 1,
      anon_sym_LBRACE,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8945), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8947), 1,
      anon_sym_new,
    ACTIONS(8949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8951), 1,
      anon_sym_begin,
    ACTIONS(8953), 1,
      sym_ocamlyacc_value,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8959), 1,
      aux_sym_number_token1,
    ACTIONS(8961), 1,
      anon_sym_SQUOTE,
    ACTIONS(8963), 1,
      anon_sym_DQUOTE,
    ACTIONS(8965), 1,
      sym_prefix_operator,
    STATE(5667), 1,
      sym_attribute,
    STATE(9772), 1,
      sym__constructor_name,
    STATE(11099), 1,
      sym_parenthesized_operator,
    STATE(11140), 1,
      sym__value_name,
    STATE(11173), 1,
      sym__simple_expression,
    STATE(20893), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8939), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11054), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10933), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186522] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4987), 1,
      anon_sym_DOT,
    STATE(5668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186594] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2963), 1,
      anon_sym_LPAREN,
    ACTIONS(2965), 1,
      anon_sym_LBRACK,
    ACTIONS(2969), 1,
      anon_sym_LBRACE,
    ACTIONS(2971), 1,
      anon_sym_object,
    ACTIONS(2975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2985), 1,
      anon_sym_new,
    ACTIONS(2987), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2989), 1,
      anon_sym_begin,
    ACTIONS(2991), 1,
      sym_ocamlyacc_value,
    ACTIONS(2993), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2995), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2997), 1,
      aux_sym_number_token1,
    ACTIONS(2999), 1,
      anon_sym_SQUOTE,
    ACTIONS(3001), 1,
      anon_sym_DQUOTE,
    ACTIONS(3003), 1,
      sym_prefix_operator,
    ACTIONS(3007), 1,
      sym__uppercase_identifier,
    ACTIONS(3009), 1,
      aux_sym_tag_token1,
    ACTIONS(6401), 1,
      sym__lowercase_identifier,
    STATE(5669), 1,
      sym_attribute,
    STATE(7647), 1,
      sym__value_name,
    STATE(7751), 1,
      sym_parenthesized_operator,
    STATE(7769), 1,
      sym__simple_expression,
    STATE(7792), 1,
      sym__constructor_name,
    STATE(20935), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2967), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7658), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8101), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186712] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2963), 1,
      anon_sym_LPAREN,
    ACTIONS(2965), 1,
      anon_sym_LBRACK,
    ACTIONS(2969), 1,
      anon_sym_LBRACE,
    ACTIONS(2971), 1,
      anon_sym_object,
    ACTIONS(2975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2985), 1,
      anon_sym_new,
    ACTIONS(2987), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2989), 1,
      anon_sym_begin,
    ACTIONS(2991), 1,
      sym_ocamlyacc_value,
    ACTIONS(2993), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2995), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2997), 1,
      aux_sym_number_token1,
    ACTIONS(2999), 1,
      anon_sym_SQUOTE,
    ACTIONS(3001), 1,
      anon_sym_DQUOTE,
    ACTIONS(3003), 1,
      sym_prefix_operator,
    ACTIONS(3007), 1,
      sym__uppercase_identifier,
    ACTIONS(3009), 1,
      aux_sym_tag_token1,
    ACTIONS(6401), 1,
      sym__lowercase_identifier,
    STATE(5670), 1,
      sym_attribute,
    STATE(7647), 1,
      sym__value_name,
    STATE(7751), 1,
      sym_parenthesized_operator,
    STATE(7792), 1,
      sym__constructor_name,
    STATE(7905), 1,
      sym__simple_expression,
    STATE(20935), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2967), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7658), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8101), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186830] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_LPAREN,
    ACTIONS(3257), 1,
      anon_sym_LBRACK,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      anon_sym_object,
    ACTIONS(3267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3277), 1,
      anon_sym_new,
    ACTIONS(3279), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3281), 1,
      anon_sym_begin,
    ACTIONS(3283), 1,
      sym_ocamlyacc_value,
    ACTIONS(3285), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3287), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3289), 1,
      aux_sym_number_token1,
    ACTIONS(3291), 1,
      anon_sym_SQUOTE,
    ACTIONS(3293), 1,
      anon_sym_DQUOTE,
    ACTIONS(3295), 1,
      sym_prefix_operator,
    ACTIONS(3299), 1,
      sym__uppercase_identifier,
    ACTIONS(3301), 1,
      aux_sym_tag_token1,
    ACTIONS(6479), 1,
      sym__lowercase_identifier,
    STATE(5671), 1,
      sym_attribute,
    STATE(8261), 1,
      sym__value_name,
    STATE(8374), 1,
      sym__constructor_name,
    STATE(8617), 1,
      sym__simple_expression,
    STATE(8706), 1,
      sym_parenthesized_operator,
    STATE(20914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3259), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8496), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8129), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186948] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6009), 1,
      anon_sym_lazy,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2871), 1,
      sym_constructor_path,
    STATE(2882), 1,
      sym_tag,
    STATE(5672), 1,
      sym_attribute,
    STATE(6794), 1,
      sym__signed_constant,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6939), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6942), 1,
      sym__tuple_binding_pattern,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(7056), 1,
      sym__binding_pattern,
    STATE(22371), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6935), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6938), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187084] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9920), 1,
      anon_sym_COLON,
    STATE(5673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [187156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [187226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [187296] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(8793), 1,
      anon_sym_lazy,
    STATE(3356), 1,
      sym_constructor_path,
    STATE(3416), 1,
      sym_tag,
    STATE(5676), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15648), 1,
      sym__signed_constant,
    STATE(15805), 1,
      sym__or_binding_pattern_anonymous,
    STATE(15810), 1,
      sym__tuple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(16541), 1,
      sym__binding_pattern,
    STATE(21930), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(23149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15796), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(15802), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [187502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [187572] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8113), 1,
      sym__lowercase_identifier,
    ACTIONS(8117), 1,
      anon_sym_LPAREN,
    ACTIONS(8119), 1,
      anon_sym_LBRACK,
    ACTIONS(8123), 1,
      anon_sym_LBRACE,
    ACTIONS(8125), 1,
      anon_sym_object,
    ACTIONS(8127), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8129), 1,
      anon_sym_new,
    ACTIONS(8131), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8133), 1,
      anon_sym_begin,
    ACTIONS(8135), 1,
      sym_ocamlyacc_value,
    ACTIONS(8141), 1,
      aux_sym_number_token1,
    ACTIONS(8143), 1,
      anon_sym_SQUOTE,
    ACTIONS(8145), 1,
      anon_sym_DQUOTE,
    ACTIONS(8147), 1,
      sym_prefix_operator,
    ACTIONS(8149), 1,
      sym__uppercase_identifier,
    ACTIONS(8151), 1,
      aux_sym_tag_token1,
    ACTIONS(9906), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9908), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5679), 1,
      sym_attribute,
    STATE(9414), 1,
      sym__simple_expression,
    STATE(9525), 1,
      sym__value_name,
    STATE(9701), 1,
      sym_parenthesized_operator,
    STATE(9724), 1,
      sym__constructor_name,
    STATE(20424), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8121), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9675), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9705), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [187690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [187760] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9922), 1,
      anon_sym_TILDE,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(5681), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(6701), 1,
      sym__binding_pattern,
    STATE(6705), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(6706), 1,
      sym__tuple_binding_pattern,
    STATE(21230), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187896] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_LPAREN,
    ACTIONS(3257), 1,
      anon_sym_LBRACK,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      anon_sym_object,
    ACTIONS(3267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3277), 1,
      anon_sym_new,
    ACTIONS(3279), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3281), 1,
      anon_sym_begin,
    ACTIONS(3283), 1,
      sym_ocamlyacc_value,
    ACTIONS(3285), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3287), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3289), 1,
      aux_sym_number_token1,
    ACTIONS(3291), 1,
      anon_sym_SQUOTE,
    ACTIONS(3293), 1,
      anon_sym_DQUOTE,
    ACTIONS(3295), 1,
      sym_prefix_operator,
    ACTIONS(3299), 1,
      sym__uppercase_identifier,
    ACTIONS(3301), 1,
      aux_sym_tag_token1,
    ACTIONS(6479), 1,
      sym__lowercase_identifier,
    STATE(5682), 1,
      sym_attribute,
    STATE(8180), 1,
      sym__simple_expression,
    STATE(8261), 1,
      sym__value_name,
    STATE(8374), 1,
      sym__constructor_name,
    STATE(8706), 1,
      sym_parenthesized_operator,
    STATE(20914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3259), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8496), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8129), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [188014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [188084] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(5684), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(6739), 1,
      sym__binding_pattern,
    STATE(6741), 1,
      sym__or_binding_pattern_anonymous,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188220] = 29,
    ACTIONS(1083), 1,
      anon_sym_LPAREN,
    ACTIONS(1085), 1,
      anon_sym_LBRACK,
    ACTIONS(1089), 1,
      anon_sym_LBRACE,
    ACTIONS(1091), 1,
      anon_sym_object,
    ACTIONS(1095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1105), 1,
      anon_sym_new,
    ACTIONS(1107), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1109), 1,
      anon_sym_begin,
    ACTIONS(1111), 1,
      sym_ocamlyacc_value,
    ACTIONS(1117), 1,
      aux_sym_number_token1,
    ACTIONS(1119), 1,
      anon_sym_SQUOTE,
    ACTIONS(1121), 1,
      anon_sym_DQUOTE,
    ACTIONS(1123), 1,
      sym_prefix_operator,
    ACTIONS(1127), 1,
      sym__uppercase_identifier,
    ACTIONS(1129), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3599), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4459), 1,
      sym__lowercase_identifier,
    STATE(5049), 1,
      sym__simple_expression,
    STATE(5056), 1,
      sym__value_name,
    STATE(5082), 1,
      sym_parenthesized_operator,
    STATE(5127), 1,
      sym__constructor_name,
    STATE(5685), 1,
      sym_attribute,
    STATE(20488), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1087), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5108), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5013), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [188338] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2703), 1,
      anon_sym_LPAREN,
    ACTIONS(2705), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2711), 1,
      anon_sym_object,
    ACTIONS(2715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2725), 1,
      anon_sym_new,
    ACTIONS(2727), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2729), 1,
      anon_sym_begin,
    ACTIONS(2731), 1,
      sym_ocamlyacc_value,
    ACTIONS(2733), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2735), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2737), 1,
      aux_sym_number_token1,
    ACTIONS(2739), 1,
      anon_sym_SQUOTE,
    ACTIONS(2741), 1,
      anon_sym_DQUOTE,
    ACTIONS(2743), 1,
      sym_prefix_operator,
    ACTIONS(2747), 1,
      sym__uppercase_identifier,
    ACTIONS(2749), 1,
      aux_sym_tag_token1,
    ACTIONS(6391), 1,
      sym__lowercase_identifier,
    STATE(5686), 1,
      sym_attribute,
    STATE(7706), 1,
      sym__simple_expression,
    STATE(7844), 1,
      sym__constructor_name,
    STATE(7886), 1,
      sym_parenthesized_operator,
    STATE(7925), 1,
      sym__value_name,
    STATE(20976), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2707), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7716), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7603), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [188456] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2703), 1,
      anon_sym_LPAREN,
    ACTIONS(2705), 1,
      anon_sym_LBRACK,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(2711), 1,
      anon_sym_object,
    ACTIONS(2715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2725), 1,
      anon_sym_new,
    ACTIONS(2727), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2729), 1,
      anon_sym_begin,
    ACTIONS(2731), 1,
      sym_ocamlyacc_value,
    ACTIONS(2733), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2735), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2737), 1,
      aux_sym_number_token1,
    ACTIONS(2739), 1,
      anon_sym_SQUOTE,
    ACTIONS(2741), 1,
      anon_sym_DQUOTE,
    ACTIONS(2743), 1,
      sym_prefix_operator,
    ACTIONS(2747), 1,
      sym__uppercase_identifier,
    ACTIONS(2749), 1,
      aux_sym_tag_token1,
    ACTIONS(6391), 1,
      sym__lowercase_identifier,
    STATE(5687), 1,
      sym_attribute,
    STATE(7803), 1,
      sym__simple_expression,
    STATE(7844), 1,
      sym__constructor_name,
    STATE(7886), 1,
      sym_parenthesized_operator,
    STATE(7925), 1,
      sym__value_name,
    STATE(20976), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2707), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7716), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7603), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [188574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [188644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [188714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [188784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [188854] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    ACTIONS(1667), 1,
      anon_sym_LBRACK,
    ACTIONS(1671), 1,
      anon_sym_LBRACE,
    ACTIONS(1673), 1,
      anon_sym_object,
    ACTIONS(1677), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1687), 1,
      anon_sym_new,
    ACTIONS(1689), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1691), 1,
      anon_sym_begin,
    ACTIONS(1693), 1,
      sym_ocamlyacc_value,
    ACTIONS(1695), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1697), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1699), 1,
      aux_sym_number_token1,
    ACTIONS(1701), 1,
      anon_sym_SQUOTE,
    ACTIONS(1703), 1,
      anon_sym_DQUOTE,
    ACTIONS(1705), 1,
      sym_prefix_operator,
    ACTIONS(1709), 1,
      sym__uppercase_identifier,
    ACTIONS(1711), 1,
      aux_sym_tag_token1,
    ACTIONS(6229), 1,
      sym__lowercase_identifier,
    STATE(5692), 1,
      sym_attribute,
    STATE(7075), 1,
      sym__value_name,
    STATE(7128), 1,
      sym__constructor_name,
    STATE(7134), 1,
      sym_parenthesized_operator,
    STATE(7149), 1,
      sym__simple_expression,
    STATE(20674), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1669), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7119), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [188972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [189042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [189112] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9566), 1,
      sym__lowercase_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN,
    ACTIONS(9570), 1,
      anon_sym_LBRACK,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    ACTIONS(9576), 1,
      anon_sym_object,
    ACTIONS(9578), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9580), 1,
      anon_sym_new,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9584), 1,
      anon_sym_begin,
    ACTIONS(9586), 1,
      sym_ocamlyacc_value,
    ACTIONS(9588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9594), 1,
      aux_sym_number_token1,
    ACTIONS(9596), 1,
      anon_sym_SQUOTE,
    ACTIONS(9598), 1,
      anon_sym_DQUOTE,
    ACTIONS(9600), 1,
      sym_prefix_operator,
    ACTIONS(9602), 1,
      sym__uppercase_identifier,
    ACTIONS(9604), 1,
      aux_sym_tag_token1,
    STATE(5695), 1,
      sym_attribute,
    STATE(8341), 1,
      sym__constructor_name,
    STATE(9288), 1,
      sym__value_name,
    STATE(9295), 1,
      sym__simple_expression,
    STATE(9369), 1,
      sym_parenthesized_operator,
    STATE(22080), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9379), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9283), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [189230] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3109), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_LBRACE,
    ACTIONS(3117), 1,
      anon_sym_object,
    ACTIONS(3121), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3131), 1,
      anon_sym_new,
    ACTIONS(3133), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3135), 1,
      anon_sym_begin,
    ACTIONS(3137), 1,
      sym_ocamlyacc_value,
    ACTIONS(3139), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3141), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3143), 1,
      aux_sym_number_token1,
    ACTIONS(3145), 1,
      anon_sym_SQUOTE,
    ACTIONS(3147), 1,
      anon_sym_DQUOTE,
    ACTIONS(3149), 1,
      sym_prefix_operator,
    ACTIONS(3153), 1,
      sym__uppercase_identifier,
    ACTIONS(3155), 1,
      aux_sym_tag_token1,
    ACTIONS(6459), 1,
      sym__lowercase_identifier,
    STATE(5696), 1,
      sym_attribute,
    STATE(8305), 1,
      sym_parenthesized_operator,
    STATE(8369), 1,
      sym__constructor_name,
    STATE(8371), 1,
      sym__simple_expression,
    STATE(8505), 1,
      sym__value_name,
    STATE(20552), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8266), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8437), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [189348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [189418] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      sym__lowercase_identifier,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9702), 1,
      anon_sym_LBRACE,
    ACTIONS(9704), 1,
      anon_sym_object,
    ACTIONS(9706), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9708), 1,
      anon_sym_new,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9712), 1,
      anon_sym_begin,
    ACTIONS(9714), 1,
      sym_ocamlyacc_value,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9720), 1,
      aux_sym_number_token1,
    ACTIONS(9722), 1,
      anon_sym_SQUOTE,
    ACTIONS(9724), 1,
      anon_sym_DQUOTE,
    ACTIONS(9726), 1,
      sym_prefix_operator,
    ACTIONS(9728), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      aux_sym_tag_token1,
    STATE(5698), 1,
      sym_attribute,
    STATE(11476), 1,
      sym__constructor_name,
    STATE(11660), 1,
      sym__simple_expression,
    STATE(11702), 1,
      sym__value_name,
    STATE(11733), 1,
      sym_parenthesized_operator,
    STATE(21017), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9700), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11529), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11651), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [189536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [189606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [189676] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      sym__lowercase_identifier,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9702), 1,
      anon_sym_LBRACE,
    ACTIONS(9704), 1,
      anon_sym_object,
    ACTIONS(9706), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9708), 1,
      anon_sym_new,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9712), 1,
      anon_sym_begin,
    ACTIONS(9714), 1,
      sym_ocamlyacc_value,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9720), 1,
      aux_sym_number_token1,
    ACTIONS(9722), 1,
      anon_sym_SQUOTE,
    ACTIONS(9724), 1,
      anon_sym_DQUOTE,
    ACTIONS(9726), 1,
      sym_prefix_operator,
    ACTIONS(9728), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      aux_sym_tag_token1,
    STATE(5701), 1,
      sym_attribute,
    STATE(11476), 1,
      sym__constructor_name,
    STATE(11671), 1,
      sym__simple_expression,
    STATE(11702), 1,
      sym__value_name,
    STATE(11733), 1,
      sym_parenthesized_operator,
    STATE(21017), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9700), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11529), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11651), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [189794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [189864] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      sym__lowercase_identifier,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9702), 1,
      anon_sym_LBRACE,
    ACTIONS(9704), 1,
      anon_sym_object,
    ACTIONS(9706), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9708), 1,
      anon_sym_new,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9712), 1,
      anon_sym_begin,
    ACTIONS(9714), 1,
      sym_ocamlyacc_value,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9720), 1,
      aux_sym_number_token1,
    ACTIONS(9722), 1,
      anon_sym_SQUOTE,
    ACTIONS(9724), 1,
      anon_sym_DQUOTE,
    ACTIONS(9726), 1,
      sym_prefix_operator,
    ACTIONS(9728), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      aux_sym_tag_token1,
    STATE(5703), 1,
      sym_attribute,
    STATE(11476), 1,
      sym__constructor_name,
    STATE(11514), 1,
      sym__simple_expression,
    STATE(11702), 1,
      sym__value_name,
    STATE(11733), 1,
      sym_parenthesized_operator,
    STATE(21017), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9700), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11529), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11651), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [189982] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      sym__lowercase_identifier,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9702), 1,
      anon_sym_LBRACE,
    ACTIONS(9704), 1,
      anon_sym_object,
    ACTIONS(9706), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9708), 1,
      anon_sym_new,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9712), 1,
      anon_sym_begin,
    ACTIONS(9714), 1,
      sym_ocamlyacc_value,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9720), 1,
      aux_sym_number_token1,
    ACTIONS(9722), 1,
      anon_sym_SQUOTE,
    ACTIONS(9724), 1,
      anon_sym_DQUOTE,
    ACTIONS(9726), 1,
      sym_prefix_operator,
    ACTIONS(9728), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      aux_sym_tag_token1,
    STATE(5704), 1,
      sym_attribute,
    STATE(11476), 1,
      sym__constructor_name,
    STATE(11515), 1,
      sym__simple_expression,
    STATE(11702), 1,
      sym__value_name,
    STATE(11733), 1,
      sym_parenthesized_operator,
    STATE(21017), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9700), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11529), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11651), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [190100] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1499), 1,
      anon_sym_LPAREN,
    ACTIONS(1501), 1,
      anon_sym_LBRACK,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_object,
    ACTIONS(1511), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1521), 1,
      anon_sym_new,
    ACTIONS(1523), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1525), 1,
      anon_sym_begin,
    ACTIONS(1527), 1,
      sym_ocamlyacc_value,
    ACTIONS(1529), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1531), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1533), 1,
      aux_sym_number_token1,
    ACTIONS(1535), 1,
      anon_sym_SQUOTE,
    ACTIONS(1537), 1,
      anon_sym_DQUOTE,
    ACTIONS(1539), 1,
      sym_prefix_operator,
    ACTIONS(1543), 1,
      sym__uppercase_identifier,
    ACTIONS(1545), 1,
      aux_sym_tag_token1,
    ACTIONS(5613), 1,
      sym__lowercase_identifier,
    STATE(5705), 1,
      sym_attribute,
    STATE(6260), 1,
      sym__value_name,
    STATE(6264), 1,
      sym_parenthesized_operator,
    STATE(6273), 1,
      sym__simple_expression,
    STATE(6362), 1,
      sym__constructor_name,
    STATE(20729), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1503), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6366), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [190218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [190288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [190358] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1499), 1,
      anon_sym_LPAREN,
    ACTIONS(1501), 1,
      anon_sym_LBRACK,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_object,
    ACTIONS(1511), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1521), 1,
      anon_sym_new,
    ACTIONS(1523), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1525), 1,
      anon_sym_begin,
    ACTIONS(1527), 1,
      sym_ocamlyacc_value,
    ACTIONS(1529), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1531), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1533), 1,
      aux_sym_number_token1,
    ACTIONS(1535), 1,
      anon_sym_SQUOTE,
    ACTIONS(1537), 1,
      anon_sym_DQUOTE,
    ACTIONS(1539), 1,
      sym_prefix_operator,
    ACTIONS(1543), 1,
      sym__uppercase_identifier,
    ACTIONS(1545), 1,
      aux_sym_tag_token1,
    ACTIONS(5613), 1,
      sym__lowercase_identifier,
    STATE(5708), 1,
      sym_attribute,
    STATE(6237), 1,
      sym__simple_expression,
    STATE(6260), 1,
      sym__value_name,
    STATE(6264), 1,
      sym_parenthesized_operator,
    STATE(6362), 1,
      sym__constructor_name,
    STATE(20729), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1503), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6366), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [190476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [190546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [190616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [190686] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3189), 1,
      anon_sym_LPAREN,
    ACTIONS(3191), 1,
      anon_sym_LBRACK,
    ACTIONS(3195), 1,
      anon_sym_LBRACE,
    ACTIONS(3197), 1,
      anon_sym_object,
    ACTIONS(3201), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3211), 1,
      anon_sym_new,
    ACTIONS(3213), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3215), 1,
      anon_sym_begin,
    ACTIONS(3217), 1,
      sym_ocamlyacc_value,
    ACTIONS(3219), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3221), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3223), 1,
      aux_sym_number_token1,
    ACTIONS(3225), 1,
      anon_sym_SQUOTE,
    ACTIONS(3227), 1,
      anon_sym_DQUOTE,
    ACTIONS(3229), 1,
      sym_prefix_operator,
    ACTIONS(3233), 1,
      sym__uppercase_identifier,
    ACTIONS(3235), 1,
      aux_sym_tag_token1,
    ACTIONS(6633), 1,
      sym__lowercase_identifier,
    STATE(5712), 1,
      sym_attribute,
    STATE(8338), 1,
      sym_parenthesized_operator,
    STATE(8600), 1,
      sym__simple_expression,
    STATE(8611), 1,
      sym__constructor_name,
    STATE(8676), 1,
      sym__value_name,
    STATE(21353), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8439), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8577), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [190804] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9652), 1,
      sym__lowercase_identifier,
    ACTIONS(9654), 1,
      anon_sym_LPAREN,
    ACTIONS(9656), 1,
      anon_sym_LBRACK,
    ACTIONS(9660), 1,
      anon_sym_LBRACE,
    ACTIONS(9662), 1,
      anon_sym_object,
    ACTIONS(9664), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9666), 1,
      anon_sym_new,
    ACTIONS(9668), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9670), 1,
      anon_sym_begin,
    ACTIONS(9672), 1,
      sym_ocamlyacc_value,
    ACTIONS(9674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9678), 1,
      aux_sym_number_token1,
    ACTIONS(9680), 1,
      anon_sym_SQUOTE,
    ACTIONS(9682), 1,
      anon_sym_DQUOTE,
    ACTIONS(9684), 1,
      sym_prefix_operator,
    ACTIONS(9686), 1,
      sym__uppercase_identifier,
    ACTIONS(9688), 1,
      aux_sym_tag_token1,
    STATE(5713), 1,
      sym_attribute,
    STATE(9043), 1,
      sym__constructor_name,
    STATE(9095), 1,
      sym__value_name,
    STATE(9163), 1,
      sym__simple_expression,
    STATE(9195), 1,
      sym_parenthesized_operator,
    STATE(23479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9658), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9024), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9042), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [190922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [190992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [191062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [191132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [191202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [191272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [191342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [191412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [191482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [191552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [191622] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3255), 1,
      anon_sym_LPAREN,
    ACTIONS(3257), 1,
      anon_sym_LBRACK,
    ACTIONS(3261), 1,
      anon_sym_LBRACE,
    ACTIONS(3263), 1,
      anon_sym_object,
    ACTIONS(3267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3277), 1,
      anon_sym_new,
    ACTIONS(3279), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3281), 1,
      anon_sym_begin,
    ACTIONS(3283), 1,
      sym_ocamlyacc_value,
    ACTIONS(3285), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3287), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3289), 1,
      aux_sym_number_token1,
    ACTIONS(3291), 1,
      anon_sym_SQUOTE,
    ACTIONS(3293), 1,
      anon_sym_DQUOTE,
    ACTIONS(3295), 1,
      sym_prefix_operator,
    ACTIONS(3299), 1,
      sym__uppercase_identifier,
    ACTIONS(3301), 1,
      aux_sym_tag_token1,
    ACTIONS(6479), 1,
      sym__lowercase_identifier,
    STATE(5724), 1,
      sym_attribute,
    STATE(8215), 1,
      sym__simple_expression,
    STATE(8261), 1,
      sym__value_name,
    STATE(8374), 1,
      sym__constructor_name,
    STATE(8706), 1,
      sym_parenthesized_operator,
    STATE(20914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3259), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8496), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8129), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [191740] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(5725), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(6743), 1,
      sym__binding_pattern,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [191946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [192786] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2859), 1,
      anon_sym_LPAREN,
    ACTIONS(2861), 1,
      anon_sym_LBRACK,
    ACTIONS(2865), 1,
      anon_sym_LBRACE,
    ACTIONS(2867), 1,
      anon_sym_object,
    ACTIONS(2871), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2881), 1,
      anon_sym_new,
    ACTIONS(2883), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2885), 1,
      anon_sym_begin,
    ACTIONS(2887), 1,
      sym_ocamlyacc_value,
    ACTIONS(2889), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2891), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2893), 1,
      aux_sym_number_token1,
    ACTIONS(2895), 1,
      anon_sym_SQUOTE,
    ACTIONS(2897), 1,
      anon_sym_DQUOTE,
    ACTIONS(2899), 1,
      sym_prefix_operator,
    ACTIONS(2903), 1,
      sym__uppercase_identifier,
    ACTIONS(2905), 1,
      aux_sym_tag_token1,
    ACTIONS(6381), 1,
      sym__lowercase_identifier,
    STATE(5739), 1,
      sym_attribute,
    STATE(7767), 1,
      sym__simple_expression,
    STATE(7802), 1,
      sym__value_name,
    STATE(7887), 1,
      sym__constructor_name,
    STATE(8077), 1,
      sym_parenthesized_operator,
    STATE(20615), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2863), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7588), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7646), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [192904] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(5740), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10727), 1,
      sym__binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [193110] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    ACTIONS(9924), 1,
      anon_sym_TILDE,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(5742), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10724), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(10736), 1,
      sym__tuple_binding_pattern,
    STATE(10740), 1,
      sym__binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193246] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(5743), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10657), 1,
      sym__or_binding_pattern_anonymous,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10671), 1,
      sym__binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193382] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(5744), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(10745), 1,
      sym__binding_pattern,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193518] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2755), 1,
      anon_sym_LPAREN,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    ACTIONS(2761), 1,
      anon_sym_LBRACE,
    ACTIONS(2763), 1,
      anon_sym_object,
    ACTIONS(2767), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2777), 1,
      anon_sym_new,
    ACTIONS(2779), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2781), 1,
      anon_sym_begin,
    ACTIONS(2783), 1,
      sym_ocamlyacc_value,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2789), 1,
      aux_sym_number_token1,
    ACTIONS(2791), 1,
      anon_sym_SQUOTE,
    ACTIONS(2793), 1,
      anon_sym_DQUOTE,
    ACTIONS(2795), 1,
      sym_prefix_operator,
    ACTIONS(2799), 1,
      sym__uppercase_identifier,
    ACTIONS(2801), 1,
      aux_sym_tag_token1,
    ACTIONS(6411), 1,
      sym__lowercase_identifier,
    STATE(5745), 1,
      sym_attribute,
    STATE(7589), 1,
      sym__value_name,
    STATE(7907), 1,
      sym__constructor_name,
    STATE(7975), 1,
      sym__simple_expression,
    STATE(7989), 1,
      sym_parenthesized_operator,
    STATE(21058), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2759), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7790), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7919), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [193636] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8323), 1,
      anon_sym_lazy,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(3020), 1,
      sym_constructor_path,
    STATE(3036), 1,
      sym_tag,
    STATE(5746), 1,
      sym_attribute,
    STATE(10601), 1,
      sym__signed_constant,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10661), 1,
      sym__binding_pattern,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10670), 1,
      sym__tuple_binding_pattern,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(10729), 1,
      sym__or_binding_pattern_anonymous,
    STATE(20785), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10696), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(10714), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193772] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2755), 1,
      anon_sym_LPAREN,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    ACTIONS(2761), 1,
      anon_sym_LBRACE,
    ACTIONS(2763), 1,
      anon_sym_object,
    ACTIONS(2767), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2777), 1,
      anon_sym_new,
    ACTIONS(2779), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2781), 1,
      anon_sym_begin,
    ACTIONS(2783), 1,
      sym_ocamlyacc_value,
    ACTIONS(2785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2789), 1,
      aux_sym_number_token1,
    ACTIONS(2791), 1,
      anon_sym_SQUOTE,
    ACTIONS(2793), 1,
      anon_sym_DQUOTE,
    ACTIONS(2795), 1,
      sym_prefix_operator,
    ACTIONS(2799), 1,
      sym__uppercase_identifier,
    ACTIONS(2801), 1,
      aux_sym_tag_token1,
    ACTIONS(6411), 1,
      sym__lowercase_identifier,
    STATE(5747), 1,
      sym_attribute,
    STATE(7589), 1,
      sym__value_name,
    STATE(7907), 1,
      sym__constructor_name,
    STATE(7989), 1,
      sym_parenthesized_operator,
    STATE(8025), 1,
      sym__simple_expression,
    STATE(21058), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2759), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7790), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7919), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [193890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [193960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [194030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [194100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [194170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [194240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [194310] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5643), 1,
      anon_sym_lazy,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2858), 1,
      sym_constructor_path,
    STATE(2867), 1,
      sym_tag,
    STATE(5754), 1,
      sym_attribute,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6600), 1,
      sym__binding_pattern,
    STATE(6601), 1,
      sym__tuple_binding_pattern,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6616), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(21230), 1,
      sym_module_path,
    STATE(22867), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6587), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6615), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194446] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3307), 1,
      anon_sym_LPAREN,
    ACTIONS(3309), 1,
      anon_sym_LBRACK,
    ACTIONS(3313), 1,
      anon_sym_LBRACE,
    ACTIONS(3315), 1,
      anon_sym_object,
    ACTIONS(3319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3329), 1,
      anon_sym_new,
    ACTIONS(3331), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3333), 1,
      anon_sym_begin,
    ACTIONS(3335), 1,
      sym_ocamlyacc_value,
    ACTIONS(3337), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3339), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3341), 1,
      aux_sym_number_token1,
    ACTIONS(3343), 1,
      anon_sym_SQUOTE,
    ACTIONS(3345), 1,
      anon_sym_DQUOTE,
    ACTIONS(3347), 1,
      sym_prefix_operator,
    ACTIONS(3351), 1,
      sym__uppercase_identifier,
    ACTIONS(3353), 1,
      aux_sym_tag_token1,
    ACTIONS(6549), 1,
      sym__lowercase_identifier,
    STATE(5755), 1,
      sym_attribute,
    STATE(8127), 1,
      sym__simple_expression,
    STATE(8296), 1,
      sym__constructor_name,
    STATE(8628), 1,
      sym__value_name,
    STATE(8636), 1,
      sym_parenthesized_operator,
    STATE(22278), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3311), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8327), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8609), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [194564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [194634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [194704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [194774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [194844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [194914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [194984] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3109), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_LBRACE,
    ACTIONS(3117), 1,
      anon_sym_object,
    ACTIONS(3121), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3131), 1,
      anon_sym_new,
    ACTIONS(3133), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3135), 1,
      anon_sym_begin,
    ACTIONS(3137), 1,
      sym_ocamlyacc_value,
    ACTIONS(3139), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3141), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3143), 1,
      aux_sym_number_token1,
    ACTIONS(3145), 1,
      anon_sym_SQUOTE,
    ACTIONS(3147), 1,
      anon_sym_DQUOTE,
    ACTIONS(3149), 1,
      sym_prefix_operator,
    ACTIONS(3153), 1,
      sym__uppercase_identifier,
    ACTIONS(3155), 1,
      aux_sym_tag_token1,
    ACTIONS(6459), 1,
      sym__lowercase_identifier,
    STATE(5762), 1,
      sym_attribute,
    STATE(8305), 1,
      sym_parenthesized_operator,
    STATE(8369), 1,
      sym__constructor_name,
    STATE(8505), 1,
      sym__value_name,
    STATE(8518), 1,
      sym__simple_expression,
    STATE(20552), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8266), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8437), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [195102] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3109), 1,
      anon_sym_LPAREN,
    ACTIONS(3111), 1,
      anon_sym_LBRACK,
    ACTIONS(3115), 1,
      anon_sym_LBRACE,
    ACTIONS(3117), 1,
      anon_sym_object,
    ACTIONS(3121), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3131), 1,
      anon_sym_new,
    ACTIONS(3133), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3135), 1,
      anon_sym_begin,
    ACTIONS(3137), 1,
      sym_ocamlyacc_value,
    ACTIONS(3139), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3141), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3143), 1,
      aux_sym_number_token1,
    ACTIONS(3145), 1,
      anon_sym_SQUOTE,
    ACTIONS(3147), 1,
      anon_sym_DQUOTE,
    ACTIONS(3149), 1,
      sym_prefix_operator,
    ACTIONS(3153), 1,
      sym__uppercase_identifier,
    ACTIONS(3155), 1,
      aux_sym_tag_token1,
    ACTIONS(6459), 1,
      sym__lowercase_identifier,
    STATE(5763), 1,
      sym_attribute,
    STATE(8217), 1,
      sym__simple_expression,
    STATE(8305), 1,
      sym_parenthesized_operator,
    STATE(8369), 1,
      sym__constructor_name,
    STATE(8505), 1,
      sym__value_name,
    STATE(20552), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8266), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8437), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [195220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [195290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [195360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [195430] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(9208), 1,
      anon_sym_LPAREN,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9212), 1,
      anon_sym_LBRACE,
    ACTIONS(9214), 1,
      anon_sym_object,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9218), 1,
      anon_sym_new,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9222), 1,
      anon_sym_begin,
    ACTIONS(9224), 1,
      sym_ocamlyacc_value,
    ACTIONS(9226), 1,
      sym_prefix_operator,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(5767), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(8822), 1,
      sym__value_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(17287), 1,
      sym__simple_expression,
    STATE(22898), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8731), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [195548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [195618] = 29,
    ACTIONS(1305), 1,
      anon_sym_LPAREN,
    ACTIONS(1307), 1,
      anon_sym_LBRACK,
    ACTIONS(1311), 1,
      anon_sym_LBRACE,
    ACTIONS(1313), 1,
      anon_sym_object,
    ACTIONS(1317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1327), 1,
      anon_sym_new,
    ACTIONS(1329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1331), 1,
      anon_sym_begin,
    ACTIONS(1333), 1,
      sym_ocamlyacc_value,
    ACTIONS(1339), 1,
      aux_sym_number_token1,
    ACTIONS(1341), 1,
      anon_sym_SQUOTE,
    ACTIONS(1343), 1,
      anon_sym_DQUOTE,
    ACTIONS(1345), 1,
      sym_prefix_operator,
    ACTIONS(1349), 1,
      sym__uppercase_identifier,
    ACTIONS(1351), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5603), 1,
      sym__lowercase_identifier,
    STATE(5769), 1,
      sym_attribute,
    STATE(6142), 1,
      sym__simple_expression,
    STATE(6161), 1,
      sym__constructor_name,
    STATE(6209), 1,
      sym__value_name,
    STATE(6216), 1,
      sym_parenthesized_operator,
    STATE(23289), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1309), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6152), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6128), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [195736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [195806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [195876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [195946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [196016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [196086] = 29,
    ACTIONS(1305), 1,
      anon_sym_LPAREN,
    ACTIONS(1307), 1,
      anon_sym_LBRACK,
    ACTIONS(1311), 1,
      anon_sym_LBRACE,
    ACTIONS(1313), 1,
      anon_sym_object,
    ACTIONS(1317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1327), 1,
      anon_sym_new,
    ACTIONS(1329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1331), 1,
      anon_sym_begin,
    ACTIONS(1333), 1,
      sym_ocamlyacc_value,
    ACTIONS(1339), 1,
      aux_sym_number_token1,
    ACTIONS(1341), 1,
      anon_sym_SQUOTE,
    ACTIONS(1343), 1,
      anon_sym_DQUOTE,
    ACTIONS(1345), 1,
      sym_prefix_operator,
    ACTIONS(1349), 1,
      sym__uppercase_identifier,
    ACTIONS(1351), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3569), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3571), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5603), 1,
      sym__lowercase_identifier,
    STATE(5775), 1,
      sym_attribute,
    STATE(6161), 1,
      sym__constructor_name,
    STATE(6163), 1,
      sym__simple_expression,
    STATE(6209), 1,
      sym__value_name,
    STATE(6216), 1,
      sym_parenthesized_operator,
    STATE(23289), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1309), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6152), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6128), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [196204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [196274] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9566), 1,
      sym__lowercase_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN,
    ACTIONS(9570), 1,
      anon_sym_LBRACK,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    ACTIONS(9576), 1,
      anon_sym_object,
    ACTIONS(9578), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9580), 1,
      anon_sym_new,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9584), 1,
      anon_sym_begin,
    ACTIONS(9586), 1,
      sym_ocamlyacc_value,
    ACTIONS(9588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9594), 1,
      aux_sym_number_token1,
    ACTIONS(9596), 1,
      anon_sym_SQUOTE,
    ACTIONS(9598), 1,
      anon_sym_DQUOTE,
    ACTIONS(9600), 1,
      sym_prefix_operator,
    ACTIONS(9602), 1,
      sym__uppercase_identifier,
    ACTIONS(9604), 1,
      aux_sym_tag_token1,
    STATE(5777), 1,
      sym_attribute,
    STATE(8341), 1,
      sym__constructor_name,
    STATE(9288), 1,
      sym__value_name,
    STATE(9367), 1,
      sym__simple_expression,
    STATE(9369), 1,
      sym_parenthesized_operator,
    STATE(22080), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9379), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9283), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [196392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [196462] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9738), 1,
      sym__lowercase_identifier,
    ACTIONS(9740), 1,
      anon_sym_LPAREN,
    ACTIONS(9742), 1,
      anon_sym_LBRACK,
    ACTIONS(9746), 1,
      anon_sym_LBRACE,
    ACTIONS(9748), 1,
      anon_sym_object,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9752), 1,
      anon_sym_new,
    ACTIONS(9754), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9756), 1,
      anon_sym_begin,
    ACTIONS(9758), 1,
      sym_ocamlyacc_value,
    ACTIONS(9760), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9762), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9764), 1,
      aux_sym_number_token1,
    ACTIONS(9766), 1,
      anon_sym_SQUOTE,
    ACTIONS(9768), 1,
      anon_sym_DQUOTE,
    ACTIONS(9770), 1,
      sym_prefix_operator,
    ACTIONS(9772), 1,
      sym__uppercase_identifier,
    ACTIONS(9774), 1,
      aux_sym_tag_token1,
    STATE(5779), 1,
      sym_attribute,
    STATE(8990), 1,
      sym__constructor_name,
    STATE(9047), 1,
      sym__simple_expression,
    STATE(9147), 1,
      sym__value_name,
    STATE(9202), 1,
      sym_parenthesized_operator,
    STATE(21263), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9744), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8931), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9094), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [196580] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9738), 1,
      sym__lowercase_identifier,
    ACTIONS(9740), 1,
      anon_sym_LPAREN,
    ACTIONS(9742), 1,
      anon_sym_LBRACK,
    ACTIONS(9746), 1,
      anon_sym_LBRACE,
    ACTIONS(9748), 1,
      anon_sym_object,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9752), 1,
      anon_sym_new,
    ACTIONS(9754), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9756), 1,
      anon_sym_begin,
    ACTIONS(9758), 1,
      sym_ocamlyacc_value,
    ACTIONS(9760), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9762), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9764), 1,
      aux_sym_number_token1,
    ACTIONS(9766), 1,
      anon_sym_SQUOTE,
    ACTIONS(9768), 1,
      anon_sym_DQUOTE,
    ACTIONS(9770), 1,
      sym_prefix_operator,
    ACTIONS(9772), 1,
      sym__uppercase_identifier,
    ACTIONS(9774), 1,
      aux_sym_tag_token1,
    STATE(5780), 1,
      sym_attribute,
    STATE(8990), 1,
      sym__constructor_name,
    STATE(9049), 1,
      sym__simple_expression,
    STATE(9147), 1,
      sym__value_name,
    STATE(9202), 1,
      sym_parenthesized_operator,
    STATE(21263), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9744), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8931), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9094), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [196698] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      sym__lowercase_identifier,
    ACTIONS(9696), 1,
      anon_sym_LPAREN,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9702), 1,
      anon_sym_LBRACE,
    ACTIONS(9704), 1,
      anon_sym_object,
    ACTIONS(9706), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9708), 1,
      anon_sym_new,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9712), 1,
      anon_sym_begin,
    ACTIONS(9714), 1,
      sym_ocamlyacc_value,
    ACTIONS(9716), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9718), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9720), 1,
      aux_sym_number_token1,
    ACTIONS(9722), 1,
      anon_sym_SQUOTE,
    ACTIONS(9724), 1,
      anon_sym_DQUOTE,
    ACTIONS(9726), 1,
      sym_prefix_operator,
    ACTIONS(9728), 1,
      sym__uppercase_identifier,
    ACTIONS(9730), 1,
      aux_sym_tag_token1,
    STATE(5781), 1,
      sym_attribute,
    STATE(11476), 1,
      sym__constructor_name,
    STATE(11530), 1,
      sym__simple_expression,
    STATE(11702), 1,
      sym__value_name,
    STATE(11733), 1,
      sym_parenthesized_operator,
    STATE(21017), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9700), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11529), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11651), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [196816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [196886] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    ACTIONS(1667), 1,
      anon_sym_LBRACK,
    ACTIONS(1671), 1,
      anon_sym_LBRACE,
    ACTIONS(1673), 1,
      anon_sym_object,
    ACTIONS(1677), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1687), 1,
      anon_sym_new,
    ACTIONS(1689), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1691), 1,
      anon_sym_begin,
    ACTIONS(1693), 1,
      sym_ocamlyacc_value,
    ACTIONS(1695), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1697), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1699), 1,
      aux_sym_number_token1,
    ACTIONS(1701), 1,
      anon_sym_SQUOTE,
    ACTIONS(1703), 1,
      anon_sym_DQUOTE,
    ACTIONS(1705), 1,
      sym_prefix_operator,
    ACTIONS(1709), 1,
      sym__uppercase_identifier,
    ACTIONS(1711), 1,
      aux_sym_tag_token1,
    ACTIONS(6229), 1,
      sym__lowercase_identifier,
    STATE(5783), 1,
      sym_attribute,
    STATE(7075), 1,
      sym__value_name,
    STATE(7128), 1,
      sym__constructor_name,
    STATE(7134), 1,
      sym_parenthesized_operator,
    STATE(7169), 1,
      sym__simple_expression,
    STATE(20674), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1669), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7119), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [197004] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2807), 1,
      anon_sym_LPAREN,
    ACTIONS(2809), 1,
      anon_sym_LBRACK,
    ACTIONS(2813), 1,
      anon_sym_LBRACE,
    ACTIONS(2815), 1,
      anon_sym_object,
    ACTIONS(2819), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2829), 1,
      anon_sym_new,
    ACTIONS(2831), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2833), 1,
      anon_sym_begin,
    ACTIONS(2835), 1,
      sym_ocamlyacc_value,
    ACTIONS(2837), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2839), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2841), 1,
      aux_sym_number_token1,
    ACTIONS(2843), 1,
      anon_sym_SQUOTE,
    ACTIONS(2845), 1,
      anon_sym_DQUOTE,
    ACTIONS(2847), 1,
      sym_prefix_operator,
    ACTIONS(2851), 1,
      sym__uppercase_identifier,
    ACTIONS(2853), 1,
      aux_sym_tag_token1,
    ACTIONS(6421), 1,
      sym__lowercase_identifier,
    STATE(5784), 1,
      sym_attribute,
    STATE(7600), 1,
      sym__simple_expression,
    STATE(7748), 1,
      sym__value_name,
    STATE(7939), 1,
      sym__constructor_name,
    STATE(8071), 1,
      sym_parenthesized_operator,
    STATE(21099), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2811), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7842), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8120), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [197122] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2807), 1,
      anon_sym_LPAREN,
    ACTIONS(2809), 1,
      anon_sym_LBRACK,
    ACTIONS(2813), 1,
      anon_sym_LBRACE,
    ACTIONS(2815), 1,
      anon_sym_object,
    ACTIONS(2819), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2829), 1,
      anon_sym_new,
    ACTIONS(2831), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2833), 1,
      anon_sym_begin,
    ACTIONS(2835), 1,
      sym_ocamlyacc_value,
    ACTIONS(2837), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2839), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2841), 1,
      aux_sym_number_token1,
    ACTIONS(2843), 1,
      anon_sym_SQUOTE,
    ACTIONS(2845), 1,
      anon_sym_DQUOTE,
    ACTIONS(2847), 1,
      sym_prefix_operator,
    ACTIONS(2851), 1,
      sym__uppercase_identifier,
    ACTIONS(2853), 1,
      aux_sym_tag_token1,
    ACTIONS(6421), 1,
      sym__lowercase_identifier,
    STATE(5785), 1,
      sym_attribute,
    STATE(7638), 1,
      sym__simple_expression,
    STATE(7748), 1,
      sym__value_name,
    STATE(7939), 1,
      sym__constructor_name,
    STATE(8071), 1,
      sym_parenthesized_operator,
    STATE(21099), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2811), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7842), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8120), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [197240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [197310] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(5787), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6809), 1,
      sym__binding_pattern,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197446] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9926), 1,
      anon_sym_TILDE,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(5788), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6810), 1,
      sym__binding_pattern,
    STATE(6811), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(6812), 1,
      sym__tuple_binding_pattern,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(21767), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197582] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(5789), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6813), 1,
      sym__binding_pattern,
    STATE(6814), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197718] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LPAREN,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1557), 1,
      anon_sym_LBRACE,
    ACTIONS(1559), 1,
      anon_sym_object,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_new,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1577), 1,
      anon_sym_begin,
    ACTIONS(1579), 1,
      sym_ocamlyacc_value,
    ACTIONS(1581), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1583), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1585), 1,
      aux_sym_number_token1,
    ACTIONS(1587), 1,
      anon_sym_SQUOTE,
    ACTIONS(1589), 1,
      anon_sym_DQUOTE,
    ACTIONS(1591), 1,
      sym_prefix_operator,
    ACTIONS(1595), 1,
      sym__uppercase_identifier,
    ACTIONS(1597), 1,
      aux_sym_tag_token1,
    ACTIONS(5673), 1,
      sym__lowercase_identifier,
    STATE(5790), 1,
      sym_attribute,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6421), 1,
      sym__constructor_name,
    STATE(6445), 1,
      sym__simple_expression,
    STATE(6506), 1,
      sym__value_name,
    STATE(23131), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1555), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6542), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6526), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [197836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [197906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [197976] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(5793), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6816), 1,
      sym__binding_pattern,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198112] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5757), 1,
      anon_sym_lazy,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2864), 1,
      sym_constructor_path,
    STATE(2875), 1,
      sym_tag,
    STATE(5794), 1,
      sym_attribute,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6686), 1,
      sym__signed_constant,
    STATE(6819), 1,
      sym__binding_pattern,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6827), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6829), 1,
      sym__tuple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(21767), 1,
      sym_module_path,
    STATE(22844), 1,
      sym_labeled_tuple_element_binding_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6821), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6826), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198248] = 29,
    ACTIONS(109), 1,
      anon_sym_LPAREN,
    ACTIONS(111), 1,
      anon_sym_LBRACK,
    ACTIONS(119), 1,
      anon_sym_LBRACE,
    ACTIONS(123), 1,
      anon_sym_object,
    ACTIONS(127), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(141), 1,
      anon_sym_new,
    ACTIONS(143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(145), 1,
      anon_sym_begin,
    ACTIONS(147), 1,
      sym_ocamlyacc_value,
    ACTIONS(153), 1,
      aux_sym_number_token1,
    ACTIONS(155), 1,
      anon_sym_SQUOTE,
    ACTIONS(157), 1,
      anon_sym_DQUOTE,
    ACTIONS(159), 1,
      sym_prefix_operator,
    ACTIONS(165), 1,
      sym__uppercase_identifier,
    ACTIONS(169), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3535), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3537), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4913), 1,
      sym__lowercase_identifier,
    STATE(5495), 1,
      sym__simple_expression,
    STATE(5531), 1,
      sym_parenthesized_operator,
    STATE(5621), 1,
      sym__value_name,
    STATE(5795), 1,
      sym_attribute,
    STATE(5826), 1,
      sym__constructor_name,
    STATE(22481), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(115), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5821), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5528), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [198366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [198436] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2859), 1,
      anon_sym_LPAREN,
    ACTIONS(2861), 1,
      anon_sym_LBRACK,
    ACTIONS(2865), 1,
      anon_sym_LBRACE,
    ACTIONS(2867), 1,
      anon_sym_object,
    ACTIONS(2871), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2881), 1,
      anon_sym_new,
    ACTIONS(2883), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2885), 1,
      anon_sym_begin,
    ACTIONS(2887), 1,
      sym_ocamlyacc_value,
    ACTIONS(2889), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2891), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2893), 1,
      aux_sym_number_token1,
    ACTIONS(2895), 1,
      anon_sym_SQUOTE,
    ACTIONS(2897), 1,
      anon_sym_DQUOTE,
    ACTIONS(2899), 1,
      sym_prefix_operator,
    ACTIONS(2903), 1,
      sym__uppercase_identifier,
    ACTIONS(2905), 1,
      aux_sym_tag_token1,
    ACTIONS(6381), 1,
      sym__lowercase_identifier,
    STATE(5797), 1,
      sym_attribute,
    STATE(7689), 1,
      sym__simple_expression,
    STATE(7802), 1,
      sym__value_name,
    STATE(7887), 1,
      sym__constructor_name,
    STATE(8077), 1,
      sym_parenthesized_operator,
    STATE(20615), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2863), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7588), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7646), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [198554] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2859), 1,
      anon_sym_LPAREN,
    ACTIONS(2861), 1,
      anon_sym_LBRACK,
    ACTIONS(2865), 1,
      anon_sym_LBRACE,
    ACTIONS(2867), 1,
      anon_sym_object,
    ACTIONS(2871), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2881), 1,
      anon_sym_new,
    ACTIONS(2883), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2885), 1,
      anon_sym_begin,
    ACTIONS(2887), 1,
      sym_ocamlyacc_value,
    ACTIONS(2889), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2891), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2893), 1,
      aux_sym_number_token1,
    ACTIONS(2895), 1,
      anon_sym_SQUOTE,
    ACTIONS(2897), 1,
      anon_sym_DQUOTE,
    ACTIONS(2899), 1,
      sym_prefix_operator,
    ACTIONS(2903), 1,
      sym__uppercase_identifier,
    ACTIONS(2905), 1,
      aux_sym_tag_token1,
    ACTIONS(6381), 1,
      sym__lowercase_identifier,
    STATE(5798), 1,
      sym_attribute,
    STATE(7737), 1,
      sym__simple_expression,
    STATE(7802), 1,
      sym__value_name,
    STATE(7887), 1,
      sym__constructor_name,
    STATE(8077), 1,
      sym_parenthesized_operator,
    STATE(20615), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2863), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7588), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7646), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [198672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [198742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [198812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [198882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [198952] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9566), 1,
      sym__lowercase_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN,
    ACTIONS(9570), 1,
      anon_sym_LBRACK,
    ACTIONS(9574), 1,
      anon_sym_LBRACE,
    ACTIONS(9576), 1,
      anon_sym_object,
    ACTIONS(9578), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9580), 1,
      anon_sym_new,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9584), 1,
      anon_sym_begin,
    ACTIONS(9586), 1,
      sym_ocamlyacc_value,
    ACTIONS(9588), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9590), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9594), 1,
      aux_sym_number_token1,
    ACTIONS(9596), 1,
      anon_sym_SQUOTE,
    ACTIONS(9598), 1,
      anon_sym_DQUOTE,
    ACTIONS(9600), 1,
      sym_prefix_operator,
    ACTIONS(9602), 1,
      sym__uppercase_identifier,
    ACTIONS(9604), 1,
      aux_sym_tag_token1,
    STATE(5803), 1,
      sym_attribute,
    STATE(8341), 1,
      sym__constructor_name,
    STATE(9288), 1,
      sym__value_name,
    STATE(9369), 1,
      sym_parenthesized_operator,
    STATE(9371), 1,
      sym__simple_expression,
    STATE(22080), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9572), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9379), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9283), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [199070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [199140] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1665), 1,
      anon_sym_LPAREN,
    ACTIONS(1667), 1,
      anon_sym_LBRACK,
    ACTIONS(1671), 1,
      anon_sym_LBRACE,
    ACTIONS(1673), 1,
      anon_sym_object,
    ACTIONS(1677), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1687), 1,
      anon_sym_new,
    ACTIONS(1689), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1691), 1,
      anon_sym_begin,
    ACTIONS(1693), 1,
      sym_ocamlyacc_value,
    ACTIONS(1695), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1697), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1699), 1,
      aux_sym_number_token1,
    ACTIONS(1701), 1,
      anon_sym_SQUOTE,
    ACTIONS(1703), 1,
      anon_sym_DQUOTE,
    ACTIONS(1705), 1,
      sym_prefix_operator,
    ACTIONS(1709), 1,
      sym__uppercase_identifier,
    ACTIONS(1711), 1,
      aux_sym_tag_token1,
    ACTIONS(6229), 1,
      sym__lowercase_identifier,
    STATE(5805), 1,
      sym_attribute,
    STATE(7075), 1,
      sym__value_name,
    STATE(7128), 1,
      sym__constructor_name,
    STATE(7134), 1,
      sym_parenthesized_operator,
    STATE(7170), 1,
      sym__simple_expression,
    STATE(20674), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1669), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7119), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7105), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [199258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [199328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [199398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [199468] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1499), 1,
      anon_sym_LPAREN,
    ACTIONS(1501), 1,
      anon_sym_LBRACK,
    ACTIONS(1505), 1,
      anon_sym_LBRACE,
    ACTIONS(1507), 1,
      anon_sym_object,
    ACTIONS(1511), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1521), 1,
      anon_sym_new,
    ACTIONS(1523), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1525), 1,
      anon_sym_begin,
    ACTIONS(1527), 1,
      sym_ocamlyacc_value,
    ACTIONS(1529), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1531), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1533), 1,
      aux_sym_number_token1,
    ACTIONS(1535), 1,
      anon_sym_SQUOTE,
    ACTIONS(1537), 1,
      anon_sym_DQUOTE,
    ACTIONS(1539), 1,
      sym_prefix_operator,
    ACTIONS(1543), 1,
      sym__uppercase_identifier,
    ACTIONS(1545), 1,
      aux_sym_tag_token1,
    ACTIONS(5613), 1,
      sym__lowercase_identifier,
    STATE(5809), 1,
      sym_attribute,
    STATE(6260), 1,
      sym__value_name,
    STATE(6264), 1,
      sym_parenthesized_operator,
    STATE(6362), 1,
      sym__constructor_name,
    STATE(6383), 1,
      sym__simple_expression,
    STATE(20729), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1503), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6340), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6366), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [199586] = 29,
    ACTIONS(1031), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_LBRACK,
    ACTIONS(1037), 1,
      anon_sym_LBRACE,
    ACTIONS(1039), 1,
      anon_sym_object,
    ACTIONS(1043), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1053), 1,
      anon_sym_new,
    ACTIONS(1055), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1057), 1,
      anon_sym_begin,
    ACTIONS(1059), 1,
      sym_ocamlyacc_value,
    ACTIONS(1065), 1,
      aux_sym_number_token1,
    ACTIONS(1067), 1,
      anon_sym_SQUOTE,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      sym_prefix_operator,
    ACTIONS(1075), 1,
      sym__uppercase_identifier,
    ACTIONS(1077), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3561), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3563), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4415), 1,
      sym__lowercase_identifier,
    STATE(4626), 1,
      sym__value_name,
    STATE(4763), 1,
      sym_parenthesized_operator,
    STATE(4932), 1,
      sym__constructor_name,
    STATE(4980), 1,
      sym__simple_expression,
    STATE(5810), 1,
      sym_attribute,
    STATE(21140), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1035), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4857), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4971), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [199704] = 29,
    ACTIONS(1031), 1,
      anon_sym_LPAREN,
    ACTIONS(1033), 1,
      anon_sym_LBRACK,
    ACTIONS(1037), 1,
      anon_sym_LBRACE,
    ACTIONS(1039), 1,
      anon_sym_object,
    ACTIONS(1043), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1053), 1,
      anon_sym_new,
    ACTIONS(1055), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1057), 1,
      anon_sym_begin,
    ACTIONS(1059), 1,
      sym_ocamlyacc_value,
    ACTIONS(1065), 1,
      aux_sym_number_token1,
    ACTIONS(1067), 1,
      anon_sym_SQUOTE,
    ACTIONS(1069), 1,
      anon_sym_DQUOTE,
    ACTIONS(1071), 1,
      sym_prefix_operator,
    ACTIONS(1075), 1,
      sym__uppercase_identifier,
    ACTIONS(1077), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3561), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3563), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4415), 1,
      sym__lowercase_identifier,
    STATE(4586), 1,
      sym__simple_expression,
    STATE(4626), 1,
      sym__value_name,
    STATE(4763), 1,
      sym_parenthesized_operator,
    STATE(4932), 1,
      sym__constructor_name,
    STATE(5811), 1,
      sym_attribute,
    STATE(21140), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1035), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4857), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4971), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [199822] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9738), 1,
      sym__lowercase_identifier,
    ACTIONS(9740), 1,
      anon_sym_LPAREN,
    ACTIONS(9742), 1,
      anon_sym_LBRACK,
    ACTIONS(9746), 1,
      anon_sym_LBRACE,
    ACTIONS(9748), 1,
      anon_sym_object,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9752), 1,
      anon_sym_new,
    ACTIONS(9754), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9756), 1,
      anon_sym_begin,
    ACTIONS(9758), 1,
      sym_ocamlyacc_value,
    ACTIONS(9760), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9762), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9764), 1,
      aux_sym_number_token1,
    ACTIONS(9766), 1,
      anon_sym_SQUOTE,
    ACTIONS(9768), 1,
      anon_sym_DQUOTE,
    ACTIONS(9770), 1,
      sym_prefix_operator,
    ACTIONS(9772), 1,
      sym__uppercase_identifier,
    ACTIONS(9774), 1,
      aux_sym_tag_token1,
    STATE(5812), 1,
      sym_attribute,
    STATE(8990), 1,
      sym__constructor_name,
    STATE(9108), 1,
      sym__simple_expression,
    STATE(9147), 1,
      sym__value_name,
    STATE(9202), 1,
      sym_parenthesized_operator,
    STATE(21263), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9744), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8931), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9094), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [199940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200360] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9652), 1,
      sym__lowercase_identifier,
    ACTIONS(9654), 1,
      anon_sym_LPAREN,
    ACTIONS(9656), 1,
      anon_sym_LBRACK,
    ACTIONS(9660), 1,
      anon_sym_LBRACE,
    ACTIONS(9662), 1,
      anon_sym_object,
    ACTIONS(9664), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9666), 1,
      anon_sym_new,
    ACTIONS(9668), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9670), 1,
      anon_sym_begin,
    ACTIONS(9672), 1,
      sym_ocamlyacc_value,
    ACTIONS(9674), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9676), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9678), 1,
      aux_sym_number_token1,
    ACTIONS(9680), 1,
      anon_sym_SQUOTE,
    ACTIONS(9682), 1,
      anon_sym_DQUOTE,
    ACTIONS(9684), 1,
      sym_prefix_operator,
    ACTIONS(9686), 1,
      sym__uppercase_identifier,
    ACTIONS(9688), 1,
      aux_sym_tag_token1,
    STATE(5819), 1,
      sym_attribute,
    STATE(9043), 1,
      sym__constructor_name,
    STATE(9052), 1,
      sym__simple_expression,
    STATE(9095), 1,
      sym__value_name,
    STATE(9195), 1,
      sym_parenthesized_operator,
    STATE(23479), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9658), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9024), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9042), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [200478] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(5820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [200830] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1447), 1,
      anon_sym_LPAREN,
    ACTIONS(1449), 1,
      anon_sym_LBRACK,
    ACTIONS(1453), 1,
      anon_sym_LBRACE,
    ACTIONS(1455), 1,
      anon_sym_object,
    ACTIONS(1459), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1469), 1,
      anon_sym_new,
    ACTIONS(1471), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1473), 1,
      anon_sym_begin,
    ACTIONS(1475), 1,
      sym_ocamlyacc_value,
    ACTIONS(1477), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1479), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1481), 1,
      aux_sym_number_token1,
    ACTIONS(1483), 1,
      anon_sym_SQUOTE,
    ACTIONS(1485), 1,
      anon_sym_DQUOTE,
    ACTIONS(1487), 1,
      sym_prefix_operator,
    ACTIONS(1491), 1,
      sym__uppercase_identifier,
    ACTIONS(1493), 1,
      aux_sym_tag_token1,
    ACTIONS(5777), 1,
      sym__lowercase_identifier,
    STATE(5825), 1,
      sym_attribute,
    STATE(6585), 1,
      sym__simple_expression,
    STATE(6592), 1,
      sym_parenthesized_operator,
    STATE(6629), 1,
      sym__constructor_name,
    STATE(6702), 1,
      sym__value_name,
    STATE(20783), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1451), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6619), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6640), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [200948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [201018] = 29,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_LBRACK,
    ACTIONS(829), 1,
      anon_sym_LBRACE,
    ACTIONS(831), 1,
      anon_sym_object,
    ACTIONS(835), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(845), 1,
      anon_sym_new,
    ACTIONS(847), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(849), 1,
      anon_sym_begin,
    ACTIONS(851), 1,
      sym_ocamlyacc_value,
    ACTIONS(857), 1,
      aux_sym_number_token1,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      sym_prefix_operator,
    ACTIONS(867), 1,
      sym__uppercase_identifier,
    ACTIONS(869), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4283), 1,
      sym__lowercase_identifier,
    STATE(4410), 1,
      sym__simple_expression,
    STATE(4441), 1,
      sym__value_name,
    STATE(4511), 1,
      sym_parenthesized_operator,
    STATE(4556), 1,
      sym__constructor_name,
    STATE(5827), 1,
      sym_attribute,
    STATE(21181), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(827), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4540), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4403), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [201136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [201206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [201276] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5801), 1,
      anon_sym_lazy,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2866), 1,
      sym_constructor_path,
    STATE(2881), 1,
      sym_tag,
    STATE(5830), 1,
      sym_attribute,
    STATE(6584), 1,
      sym__signed_constant,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(6865), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6875), 1,
      sym__binding_pattern,
    STATE(6893), 1,
      sym__tuple_binding_pattern,
    STATE(21151), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6856), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6862), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201412] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5801), 1,
      anon_sym_lazy,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9928), 1,
      anon_sym_TILDE,
    STATE(2866), 1,
      sym_constructor_path,
    STATE(2881), 1,
      sym_tag,
    STATE(5831), 1,
      sym_attribute,
    STATE(6584), 1,
      sym__signed_constant,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(6865), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6877), 1,
      sym__binding_pattern,
    STATE(6879), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(6882), 1,
      sym__tuple_binding_pattern,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6856), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6862), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201548] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5801), 1,
      anon_sym_lazy,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2866), 1,
      sym_constructor_path,
    STATE(2881), 1,
      sym_tag,
    STATE(5832), 1,
      sym_attribute,
    STATE(6584), 1,
      sym__signed_constant,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(6885), 1,
      sym__binding_pattern,
    STATE(6893), 1,
      sym__tuple_binding_pattern,
    STATE(6896), 1,
      sym__or_binding_pattern_anonymous,
    STATE(21151), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6856), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6862), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201684] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5801), 1,
      anon_sym_lazy,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2866), 1,
      sym_constructor_path,
    STATE(2881), 1,
      sym_tag,
    STATE(5833), 1,
      sym_attribute,
    STATE(6584), 1,
      sym__signed_constant,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6776), 1,
      sym__binding_pattern,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(6865), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6893), 1,
      sym__tuple_binding_pattern,
    STATE(21151), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6856), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6862), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201820] = 29,
    ACTIONS(823), 1,
      anon_sym_LPAREN,
    ACTIONS(825), 1,
      anon_sym_LBRACK,
    ACTIONS(829), 1,
      anon_sym_LBRACE,
    ACTIONS(831), 1,
      anon_sym_object,
    ACTIONS(835), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(845), 1,
      anon_sym_new,
    ACTIONS(847), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(849), 1,
      anon_sym_begin,
    ACTIONS(851), 1,
      sym_ocamlyacc_value,
    ACTIONS(857), 1,
      aux_sym_number_token1,
    ACTIONS(859), 1,
      anon_sym_SQUOTE,
    ACTIONS(861), 1,
      anon_sym_DQUOTE,
    ACTIONS(863), 1,
      sym_prefix_operator,
    ACTIONS(867), 1,
      sym__uppercase_identifier,
    ACTIONS(869), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4283), 1,
      sym__lowercase_identifier,
    STATE(4418), 1,
      sym__simple_expression,
    STATE(4441), 1,
      sym__value_name,
    STATE(4511), 1,
      sym_parenthesized_operator,
    STATE(4556), 1,
      sym__constructor_name,
    STATE(5834), 1,
      sym_attribute,
    STATE(21181), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(827), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4540), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4403), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [201938] = 38,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5629), 1,
      anon_sym_TILDE,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5801), 1,
      anon_sym_lazy,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2866), 1,
      sym_constructor_path,
    STATE(2881), 1,
      sym_tag,
    STATE(5835), 1,
      sym_attribute,
    STATE(6584), 1,
      sym__signed_constant,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6784), 1,
      sym__binding_pattern,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(6865), 1,
      sym__or_binding_pattern_anonymous,
    STATE(6893), 1,
      sym__tuple_binding_pattern,
    STATE(21151), 1,
      sym_labeled_tuple_element_binding_pattern,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6856), 7,
      sym__simple_binding_pattern,
      sym_alias_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
    STATE(6862), 8,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202074] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4727), 1,
      anon_sym_DOT,
    ACTIONS(4729), 1,
      anon_sym_POUND,
    ACTIONS(4731), 1,
      sym_hash_operator,
    STATE(5836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [202150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [202220] = 29,
    ACTIONS(529), 1,
      anon_sym_LPAREN,
    ACTIONS(533), 1,
      anon_sym_LBRACK,
    ACTIONS(537), 1,
      anon_sym_LBRACE,
    ACTIONS(547), 1,
      anon_sym_object,
    ACTIONS(551), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(561), 1,
      anon_sym_new,
    ACTIONS(563), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(565), 1,
      anon_sym_begin,
    ACTIONS(567), 1,
      sym_ocamlyacc_value,
    ACTIONS(573), 1,
      aux_sym_number_token1,
    ACTIONS(575), 1,
      anon_sym_SQUOTE,
    ACTIONS(577), 1,
      anon_sym_DQUOTE,
    ACTIONS(579), 1,
      sym_prefix_operator,
    ACTIONS(585), 1,
      sym__uppercase_identifier,
    ACTIONS(589), 1,
      aux_sym_tag_token1,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3557), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3559), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4983), 1,
      sym__lowercase_identifier,
    STATE(5509), 1,
      sym__constructor_name,
    STATE(5527), 1,
      sym__simple_expression,
    STATE(5770), 1,
      sym__value_name,
    STATE(5771), 1,
      sym_parenthesized_operator,
    STATE(5838), 1,
      sym_attribute,
    STATE(23101), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(535), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5501), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5618), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [202338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [202408] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9930), 1,
      anon_sym_COLON,
    STATE(5840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [202479] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9932), 1,
      anon_sym_COLON,
    STATE(5841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [202550] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9934), 1,
      anon_sym_COLON,
    STATE(5842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [202621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [202690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [202759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [202828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [202897] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9936), 1,
      anon_sym_COLON,
    STATE(5847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [202967] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9938), 1,
      anon_sym_COLON,
    STATE(5848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [203037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [203105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [203173] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9940), 1,
      anon_sym_COLON,
    STATE(5851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [203243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [203311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [203379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [203446] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8376), 1,
      anon_sym_COLON2,
    ACTIONS(9942), 1,
      sym__lowercase_identifier,
    ACTIONS(9948), 1,
      anon_sym_LPAREN,
    ACTIONS(9951), 1,
      anon_sym_LBRACK,
    ACTIONS(9957), 1,
      anon_sym_LBRACE,
    ACTIONS(9960), 1,
      anon_sym_POUND,
    ACTIONS(9963), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9966), 1,
      anon_sym_begin,
    ACTIONS(9969), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9972), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9975), 1,
      aux_sym_number_token1,
    ACTIONS(9978), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9981), 1,
      anon_sym_SQUOTE,
    ACTIONS(9984), 1,
      anon_sym_DQUOTE,
    ACTIONS(9987), 1,
      sym__uppercase_identifier,
    ACTIONS(9990), 1,
      aux_sym_tag_token1,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9945), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(9954), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5855), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    ACTIONS(8371), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203561] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9997), 1,
      aux_sym_attribute_id_token1,
    STATE(5856), 1,
      sym_attribute,
    STATE(5861), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9995), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9993), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [203632] = 32,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      anon_sym_COLON2,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9999), 1,
      anon_sym_COLON_GT,
    ACTIONS(10001), 1,
      anon_sym_EQ,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5857), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20248), 1,
      sym__polymorphic_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203753] = 32,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      anon_sym_COLON2,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10003), 1,
      anon_sym_COLON_GT,
    ACTIONS(10005), 1,
      anon_sym_EQ,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5858), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(19593), 1,
      sym__polymorphic_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203874] = 32,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      anon_sym_COLON2,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10007), 1,
      anon_sym_COLON_GT,
    ACTIONS(10009), 1,
      anon_sym_EQ,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5859), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(19552), 1,
      sym__polymorphic_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [203995] = 32,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      anon_sym_COLON2,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10011), 1,
      anon_sym_COLON_GT,
    ACTIONS(10013), 1,
      anon_sym_EQ,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5860), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20034), 1,
      sym__polymorphic_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204116] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9997), 1,
      aux_sym_attribute_id_token1,
    STATE(5861), 1,
      sym_attribute,
    STATE(5863), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10017), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10015), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [204187] = 32,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      anon_sym_COLON2,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10019), 1,
      anon_sym_COLON_GT,
    ACTIONS(10021), 1,
      anon_sym_EQ,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5862), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20020), 1,
      sym__polymorphic_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204308] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10027), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5863), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10025), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10023), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [204377] = 32,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      anon_sym_COLON2,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10030), 1,
      anon_sym_COLON_GT,
    ACTIONS(10032), 1,
      anon_sym_EQ,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5864), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(19286), 1,
      sym__polymorphic_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [204565] = 32,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6521), 1,
      anon_sym_COLON2,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10034), 1,
      anon_sym_COLON_GT,
    ACTIONS(10036), 1,
      anon_sym_EQ,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5866), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(19700), 1,
      sym__polymorphic_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204686] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10040), 1,
      anon_sym_DASH_GT,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5867), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21680), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204804] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10044), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5868), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20891), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [204922] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10046), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5869), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22689), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205040] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10048), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5870), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21423), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205158] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10050), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5871), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20748), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205276] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10052), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5872), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20751), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205394] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10054), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5873), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21422), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205512] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10056), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5874), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23692), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205630] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10058), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5875), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23732), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205748] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10060), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5876), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21484), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205866] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10062), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5877), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22414), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [205984] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10064), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5878), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21473), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206102] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10066), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5879), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23694), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206220] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10068), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5880), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23549), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206338] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10070), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5881), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21581), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206456] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10072), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5882), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21257), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206574] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10074), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5883), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23624), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206692] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10076), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5884), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22543), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206810] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10078), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5885), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23296), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206928] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10080), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5886), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22572), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [207112] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10082), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5888), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23697), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207230] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10084), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5889), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20862), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207348] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10086), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5890), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20864), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207466] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10088), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5891), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21815), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207584] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10090), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5892), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21713), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207702] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10092), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5893), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20544), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207820] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10094), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5894), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20476), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [207938] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10096), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5895), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21779), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208056] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10098), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5896), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22392), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208174] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10100), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5897), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22237), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208292] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10102), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5898), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22691), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208410] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10104), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5899), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20490), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208528] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10106), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5900), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23699), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10025), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(10023), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [208712] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10108), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5902), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20965), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208830] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10110), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5903), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20870), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208948] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10112), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5904), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22535), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209066] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10114), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5905), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22070), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209184] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10116), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5906), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20984), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209302] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10118), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5907), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22028), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209420] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10120), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5908), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23371), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209538] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10122), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5909), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21103), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209656] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10124), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5910), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21118), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209774] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10126), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5911), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21285), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209892] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10128), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5912), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22083), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210010] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10130), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5913), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22168), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210128] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10132), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5914), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22731), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210246] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10134), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5915), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22467), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210364] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10136), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5916), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23510), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210482] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10138), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5917), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21388), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210600] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10140), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5918), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20608), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210718] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10142), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5919), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22266), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210836] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10144), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5920), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22758), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [210954] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10146), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5921), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21662), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211072] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10148), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5922), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23481), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211190] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10150), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5923), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21673), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [211374] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10152), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5925), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22011), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211492] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10154), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5926), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22722), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211610] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10156), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5927), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23041), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211728] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10158), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5928), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22315), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211846] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10160), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5929), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23248), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211964] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10162), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5930), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20661), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212082] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10164), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5931), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23129), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212200] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10166), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5932), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20923), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212318] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10168), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5933), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20987), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212436] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10170), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5934), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21185), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212554] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10172), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5935), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23178), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212672] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10174), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5936), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21513), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212790] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10176), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5937), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23375), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212908] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10178), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5938), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21016), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213026] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10180), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5939), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22428), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213144] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10182), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5940), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21252), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213262] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10184), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5941), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21794), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213380] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10186), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5942), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21527), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213498] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10188), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5943), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21637), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213616] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10190), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5944), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20741), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213734] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10192), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5945), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23530), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213852] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10194), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5946), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23350), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213970] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10196), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5947), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22915), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214088] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10198), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5948), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21841), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214206] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10200), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5949), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23684), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214324] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10202), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5950), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22966), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214442] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10204), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5951), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20465), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214560] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10206), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5952), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21529), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [214744] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10208), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5954), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22496), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214862] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10210), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5955), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21604), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [215376] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10212), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5962), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21576), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215494] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10214), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5963), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23112), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215612] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10216), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5964), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21303), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215730] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10218), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5965), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22051), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215848] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10220), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5966), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22124), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215966] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10222), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5967), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22207), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216084] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10224), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5968), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22449), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216202] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10226), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5969), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22548), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216320] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10228), 1,
      anon_sym_LT_DASH,
    STATE(5970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [216388] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10230), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5971), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20557), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216506] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10232), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5972), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20588), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216624] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10234), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5973), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23195), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216742] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10236), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5974), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(22666), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216860] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10238), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5975), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20603), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216978] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(5976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [217046] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10240), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5977), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20641), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217164] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10242), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5978), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23148), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217282] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10244), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5979), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(21828), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217400] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10246), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5980), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    STATE(23201), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217518] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10248), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5981), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20815), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217636] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10038), 1,
      anon_sym_COLON2,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10250), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(5982), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(20979), 1,
      sym__simple_typed,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [217819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [217884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [217949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218014] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10256), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5987), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10252), 19,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10254), 29,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [218081] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5871), 1,
      aux_sym_let_binding_repeat1,
    STATE(5988), 1,
      sym_attribute,
    STATE(6306), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218196] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(5989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218263] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5954), 1,
      aux_sym_let_binding_repeat1,
    STATE(5990), 1,
      sym_attribute,
    STATE(6330), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218508] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5944), 1,
      aux_sym_let_binding_repeat1,
    STATE(5993), 1,
      sym_attribute,
    STATE(6375), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218688] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5911), 1,
      aux_sym_let_binding_repeat1,
    STATE(5995), 1,
      sym_attribute,
    STATE(6252), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [218998] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5946), 1,
      aux_sym_let_binding_repeat1,
    STATE(5999), 1,
      sym_attribute,
    STATE(6275), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219633] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5870), 1,
      aux_sym_let_binding_repeat1,
    STATE(6008), 1,
      sym_attribute,
    STATE(6293), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219878] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    STATE(6011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220270] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5904), 1,
      aux_sym_let_binding_repeat1,
    STATE(6017), 1,
      sym_attribute,
    STATE(6309), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221100] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5900), 1,
      aux_sym_let_binding_repeat1,
    STATE(6029), 1,
      sym_attribute,
    STATE(6324), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221540] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5925), 1,
      aux_sym_let_binding_repeat1,
    STATE(6035), 1,
      sym_attribute,
    STATE(6341), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221785] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5877), 1,
      aux_sym_let_binding_repeat1,
    STATE(6038), 1,
      sym_attribute,
    STATE(6345), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221900] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(5599), 1,
      anon_sym_POUND,
    ACTIONS(5601), 1,
      sym_hash_operator,
    STATE(6039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221971] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5917), 1,
      aux_sym_let_binding_repeat1,
    STATE(6040), 1,
      sym_attribute,
    STATE(6351), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222086] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5935), 1,
      aux_sym_let_binding_repeat1,
    STATE(6041), 1,
      sym_attribute,
    STATE(6352), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222266] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5972), 1,
      aux_sym_let_binding_repeat1,
    STATE(6043), 1,
      sym_attribute,
    STATE(6359), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222381] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5597), 1,
      anon_sym_DOT,
    ACTIONS(5599), 1,
      anon_sym_POUND,
    ACTIONS(5601), 1,
      sym_hash_operator,
    STATE(6044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222452] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5906), 1,
      aux_sym_let_binding_repeat1,
    STATE(6045), 1,
      sym_attribute,
    STATE(6363), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222632] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5942), 1,
      aux_sym_let_binding_repeat1,
    STATE(6047), 1,
      sym_attribute,
    STATE(6367), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222812] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5889), 1,
      aux_sym_let_binding_repeat1,
    STATE(6049), 1,
      sym_attribute,
    STATE(6380), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222992] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5965), 1,
      aux_sym_let_binding_repeat1,
    STATE(6051), 1,
      sym_attribute,
    STATE(6312), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223107] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5915), 1,
      aux_sym_let_binding_repeat1,
    STATE(6052), 1,
      sym_attribute,
    STATE(6228), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [223287] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5927), 1,
      aux_sym_let_binding_repeat1,
    STATE(6054), 1,
      sym_attribute,
    STATE(6231), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [223467] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(6056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [223534] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5883), 1,
      aux_sym_let_binding_repeat1,
    STATE(6057), 1,
      sym_attribute,
    STATE(6236), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223649] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5918), 1,
      aux_sym_let_binding_repeat1,
    STATE(6058), 1,
      sym_attribute,
    STATE(6241), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [223829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [223894] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5932), 1,
      aux_sym_let_binding_repeat1,
    STATE(6061), 1,
      sym_attribute,
    STATE(6246), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224204] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5882), 1,
      aux_sym_let_binding_repeat1,
    STATE(6065), 1,
      sym_attribute,
    STATE(6251), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224579] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5952), 1,
      aux_sym_let_binding_repeat1,
    STATE(6070), 1,
      sym_attribute,
    STATE(6255), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224759] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5941), 1,
      aux_sym_let_binding_repeat1,
    STATE(6072), 1,
      sym_attribute,
    STATE(6262), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224939] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5897), 1,
      aux_sym_let_binding_repeat1,
    STATE(6074), 1,
      sym_attribute,
    STATE(6265), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225054] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5896), 1,
      aux_sym_let_binding_repeat1,
    STATE(6075), 1,
      sym_attribute,
    STATE(6267), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225169] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5884), 1,
      aux_sym_let_binding_repeat1,
    STATE(6076), 1,
      sym_attribute,
    STATE(6269), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225349] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5898), 1,
      aux_sym_let_binding_repeat1,
    STATE(6078), 1,
      sym_attribute,
    STATE(6272), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225464] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5947), 1,
      aux_sym_let_binding_repeat1,
    STATE(6079), 1,
      sym_attribute,
    STATE(6277), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225579] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5978), 1,
      aux_sym_let_binding_repeat1,
    STATE(6080), 1,
      sym_attribute,
    STATE(6278), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225694] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5908), 1,
      aux_sym_let_binding_repeat1,
    STATE(6081), 1,
      sym_attribute,
    STATE(6281), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225874] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5874), 1,
      aux_sym_let_binding_repeat1,
    STATE(6083), 1,
      sym_attribute,
    STATE(6282), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225989] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5891), 1,
      aux_sym_let_binding_repeat1,
    STATE(6084), 1,
      sym_attribute,
    STATE(6283), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226104] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5899), 1,
      aux_sym_let_binding_repeat1,
    STATE(6085), 1,
      sym_attribute,
    STATE(6284), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226219] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5920), 1,
      aux_sym_let_binding_repeat1,
    STATE(6086), 1,
      sym_attribute,
    STATE(6286), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226334] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5938), 1,
      aux_sym_let_binding_repeat1,
    STATE(6087), 1,
      sym_attribute,
    STATE(6287), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226449] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5967), 1,
      aux_sym_let_binding_repeat1,
    STATE(6088), 1,
      sym_attribute,
    STATE(6289), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226564] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5879), 1,
      aux_sym_let_binding_repeat1,
    STATE(6089), 1,
      sym_attribute,
    STATE(6290), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226679] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5955), 1,
      aux_sym_let_binding_repeat1,
    STATE(6090), 1,
      sym_attribute,
    STATE(6243), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226794] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5903), 1,
      aux_sym_let_binding_repeat1,
    STATE(6091), 1,
      sym_attribute,
    STATE(6291), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226909] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5878), 1,
      aux_sym_let_binding_repeat1,
    STATE(6092), 1,
      sym_attribute,
    STATE(6294), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227024] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5905), 1,
      aux_sym_let_binding_repeat1,
    STATE(6093), 1,
      sym_attribute,
    STATE(6299), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227139] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5926), 1,
      aux_sym_let_binding_repeat1,
    STATE(6094), 1,
      sym_attribute,
    STATE(6303), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227254] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5945), 1,
      aux_sym_let_binding_repeat1,
    STATE(6095), 1,
      sym_attribute,
    STATE(6307), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227499] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5971), 1,
      aux_sym_let_binding_repeat1,
    STATE(6098), 1,
      sym_attribute,
    STATE(6310), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227614] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10259), 1,
      anon_sym_LT_DASH,
    STATE(6099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227681] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5981), 1,
      aux_sym_let_binding_repeat1,
    STATE(6100), 1,
      sym_attribute,
    STATE(6313), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227861] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5909), 1,
      aux_sym_let_binding_repeat1,
    STATE(6102), 1,
      sym_attribute,
    STATE(6318), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227976] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5873), 1,
      aux_sym_let_binding_repeat1,
    STATE(6103), 1,
      sym_attribute,
    STATE(6322), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228156] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5892), 1,
      aux_sym_let_binding_repeat1,
    STATE(6105), 1,
      sym_attribute,
    STATE(6326), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228271] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5907), 1,
      aux_sym_let_binding_repeat1,
    STATE(6106), 1,
      sym_attribute,
    STATE(6327), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228386] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(6107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228453] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8527), 1,
      anon_sym_PERCENT,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5928), 1,
      aux_sym_let_binding_repeat1,
    STATE(6108), 1,
      sym_attribute,
    STATE(6334), 1,
      sym__attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229543] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10261), 1,
      anon_sym_LT_DASH,
    STATE(6124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10265), 29,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [229931] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10267), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(6130), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230043] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9089), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9091), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230107] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9093), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9095), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230171] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(6133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230237] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9154), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [230301] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5607), 1,
      anon_sym_DOT,
    ACTIONS(5609), 1,
      anon_sym_POUND,
    ACTIONS(5611), 1,
      sym_hash_operator,
    STATE(6135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230371] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10269), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(6136), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230995] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10271), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(6145), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231363] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10273), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(6150), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231475] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10275), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6151), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10252), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10254), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [231541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231989] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9184), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232245] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5607), 1,
      anon_sym_DOT,
    STATE(6163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232567] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9085), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9087), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [232631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233207] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [233271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234231] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10278), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(6194), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234343] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10280), 1,
      anon_sym_LT_DASH,
    STATE(6195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234985] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10282), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(6205), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [235097] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(6206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235419] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10042), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10284), 1,
      anon_sym_DASH_GT,
    STATE(5855), 1,
      aux_sym_let_binding_repeat1,
    STATE(6211), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [235531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235851] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(6217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235917] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9170), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [235981] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9174), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236109] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236173] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5607), 1,
      anon_sym_DOT,
    ACTIONS(5609), 1,
      anon_sym_POUND,
    ACTIONS(5611), 1,
      sym_hash_operator,
    STATE(6222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236307] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9204), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236370] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9244), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236433] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236496] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236559] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5969), 1,
      aux_sym_let_binding_repeat1,
    STATE(6228), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [236668] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9516), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236731] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9360), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236794] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5963), 1,
      aux_sym_let_binding_repeat1,
    STATE(6231), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [236903] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6136), 1,
      aux_sym_let_binding_repeat1,
    STATE(6232), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [237012] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237075] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237138] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237201] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5888), 1,
      aux_sym_let_binding_repeat1,
    STATE(6236), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [237310] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5617), 1,
      anon_sym_DOT,
    STATE(6237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9392), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237375] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9093), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9095), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237438] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9376), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237501] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237564] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5930), 1,
      aux_sym_let_binding_repeat1,
    STATE(6241), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [237673] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9328), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237736] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5880), 1,
      aux_sym_let_binding_repeat1,
    STATE(6243), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [237845] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9264), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237908] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237971] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5933), 1,
      aux_sym_let_binding_repeat1,
    STATE(6246), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [238080] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9322), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238143] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9426), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238206] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9346), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238269] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9434), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238332] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5964), 1,
      aux_sym_let_binding_repeat1,
    STATE(6251), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [238441] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5867), 1,
      aux_sym_let_binding_repeat1,
    STATE(6252), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [238550] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9468), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238613] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9093), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9095), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238676] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5962), 1,
      aux_sym_let_binding_repeat1,
    STATE(6255), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [238785] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9456), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238848] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9464), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238911] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9438), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238974] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9306), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239037] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9534), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239100] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10286), 1,
      anon_sym_lazy,
    STATE(3408), 1,
      sym_constructor_path,
    STATE(3529), 1,
      sym_tag,
    STATE(6261), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(20598), 1,
      sym__effect_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15328), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [239211] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5948), 1,
      aux_sym_let_binding_repeat1,
    STATE(6262), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [239320] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9488), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239383] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9498), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239446] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5919), 1,
      aux_sym_let_binding_repeat1,
    STATE(6265), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [239555] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9442), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9444), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239618] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5939), 1,
      aux_sym_let_binding_repeat1,
    STATE(6267), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [239727] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9472), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239790] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5886), 1,
      aux_sym_let_binding_repeat1,
    STATE(6269), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [239899] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9240), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239962] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240025] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5914), 1,
      aux_sym_let_binding_repeat1,
    STATE(6272), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240134] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9530), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240197] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9262), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240260] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5951), 1,
      aux_sym_let_binding_repeat1,
    STATE(6275), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240369] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9476), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240432] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5950), 1,
      aux_sym_let_binding_repeat1,
    STATE(6277), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240541] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5980), 1,
      aux_sym_let_binding_repeat1,
    STATE(6278), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240650] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9480), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [240713] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10288), 1,
      anon_sym_COLON,
    STATE(6280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240778] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5916), 1,
      aux_sym_let_binding_repeat1,
    STATE(6281), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240887] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5875), 1,
      aux_sym_let_binding_repeat1,
    STATE(6282), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240996] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5893), 1,
      aux_sym_let_binding_repeat1,
    STATE(6283), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241105] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5902), 1,
      aux_sym_let_binding_repeat1,
    STATE(6284), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241214] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [241277] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5922), 1,
      aux_sym_let_binding_repeat1,
    STATE(6286), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241386] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5940), 1,
      aux_sym_let_binding_repeat1,
    STATE(6287), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241495] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9336), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [241558] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5968), 1,
      aux_sym_let_binding_repeat1,
    STATE(6289), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241667] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5894), 1,
      aux_sym_let_binding_repeat1,
    STATE(6290), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241776] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5982), 1,
      aux_sym_let_binding_repeat1,
    STATE(6291), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241885] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9170), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [241948] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5923), 1,
      aux_sym_let_binding_repeat1,
    STATE(6293), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242057] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5881), 1,
      aux_sym_let_binding_repeat1,
    STATE(6294), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242166] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9344), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242229] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9484), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242292] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9274), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242355] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9502), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242418] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5913), 1,
      aux_sym_let_binding_repeat1,
    STATE(6299), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242527] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9290), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242590] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9428), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242653] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9174), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242716] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5931), 1,
      aux_sym_let_binding_repeat1,
    STATE(6303), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242825] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242888] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5617), 1,
      anon_sym_DOT,
    ACTIONS(5619), 1,
      anon_sym_POUND,
    ACTIONS(5621), 1,
      sym_hash_operator,
    STATE(6305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242957] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5872), 1,
      aux_sym_let_binding_repeat1,
    STATE(6306), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243066] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5949), 1,
      aux_sym_let_binding_repeat1,
    STATE(6307), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243175] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9298), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243238] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5869), 1,
      aux_sym_let_binding_repeat1,
    STATE(6309), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243347] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5975), 1,
      aux_sym_let_binding_repeat1,
    STATE(6310), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243456] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9364), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243519] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5966), 1,
      aux_sym_let_binding_repeat1,
    STATE(6312), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243628] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5868), 1,
      aux_sym_let_binding_repeat1,
    STATE(6313), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243737] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9174), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243800] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9452), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243863] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243926] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9448), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243989] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5934), 1,
      aux_sym_let_binding_repeat1,
    STATE(6318), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244098] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9184), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244161] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9372), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244224] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9282), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244287] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5876), 1,
      aux_sym_let_binding_repeat1,
    STATE(6322), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244396] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9538), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244459] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5936), 1,
      aux_sym_let_binding_repeat1,
    STATE(6324), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9512), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244631] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5895), 1,
      aux_sym_let_binding_repeat1,
    STATE(6326), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244740] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5912), 1,
      aux_sym_let_binding_repeat1,
    STATE(6327), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244849] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9302), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244912] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244975] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5973), 1,
      aux_sym_let_binding_repeat1,
    STATE(6330), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245084] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9089), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9091), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245147] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10286), 1,
      anon_sym_lazy,
    STATE(3408), 1,
      sym_constructor_path,
    STATE(3529), 1,
      sym_tag,
    STATE(6332), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(23187), 1,
      sym_module_path,
    STATE(23344), 1,
      sym__effect_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15328), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [245258] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9318), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245321] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5974), 1,
      aux_sym_let_binding_repeat1,
    STATE(6334), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245430] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9270), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245493] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9340), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245556] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6194), 1,
      aux_sym_let_binding_repeat1,
    STATE(6337), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245665] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9352), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245728] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9154), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245791] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9396), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245854] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5929), 1,
      aux_sym_let_binding_repeat1,
    STATE(6341), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245963] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5947), 1,
      anon_sym_LPAREN,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(5991), 1,
      sym__uppercase_identifier,
    ACTIONS(5993), 1,
      aux_sym_tag_token1,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10286), 1,
      anon_sym_lazy,
    STATE(3408), 1,
      sym_constructor_path,
    STATE(3529), 1,
      sym_tag,
    STATE(6342), 1,
      sym_attribute,
    STATE(10115), 1,
      sym__constructor_name,
    STATE(21014), 1,
      sym__effect_pattern,
    STATE(23187), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(15371), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15328), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [246074] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6205), 1,
      aux_sym_let_binding_repeat1,
    STATE(6343), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246183] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6130), 1,
      aux_sym_let_binding_repeat1,
    STATE(6344), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246292] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5885), 1,
      aux_sym_let_binding_repeat1,
    STATE(6345), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246401] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6145), 1,
      aux_sym_let_binding_repeat1,
    STATE(6346), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246510] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6150), 1,
      aux_sym_let_binding_repeat1,
    STATE(6347), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246619] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6211), 1,
      aux_sym_let_binding_repeat1,
    STATE(6348), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246728] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(6349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246793] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246856] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5921), 1,
      aux_sym_let_binding_repeat1,
    STATE(6351), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246965] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5937), 1,
      aux_sym_let_binding_repeat1,
    STATE(6352), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247074] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247137] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9184), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247200] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9404), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247263] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9089), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9091), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247326] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(6357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247391] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10290), 1,
      anon_sym_LT_DASH,
    STATE(6358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247456] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5977), 1,
      aux_sym_let_binding_repeat1,
    STATE(6359), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247565] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9332), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247628] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(6361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9520), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247693] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9526), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247756] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5910), 1,
      aux_sym_let_binding_repeat1,
    STATE(6363), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247865] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9356), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247928] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247991] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9162), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248054] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5943), 1,
      aux_sym_let_binding_repeat1,
    STATE(6367), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248163] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(6368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9520), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248228] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9368), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248291] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9388), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248354] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9418), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248417] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9085), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9087), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248480] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9412), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248543] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9422), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248606] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5979), 1,
      aux_sym_let_binding_repeat1,
    STATE(6375), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248715] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248778] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9490), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248841] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9085), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9087), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248904] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9460), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248967] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6511), 1,
      anon_sym_LPAREN,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5890), 1,
      aux_sym_let_binding_repeat1,
    STATE(6380), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12252), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6509), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12251), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249076] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(6381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9520), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10265), 30,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [249204] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5617), 1,
      anon_sym_DOT,
    ACTIONS(5619), 1,
      anon_sym_POUND,
    ACTIONS(5621), 1,
      sym_hash_operator,
    STATE(6383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9380), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249273] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9200), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249336] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(6385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9520), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249401] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9154), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249464] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9546), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249527] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9170), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249590] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9442), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9444), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249652] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9442), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9444), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249714] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249776] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9480), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249838] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9456), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249900] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9368), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10292), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [250024] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9498), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250086] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9404), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [250210] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(6399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9520), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250274] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9184), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250336] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9448), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250398] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9200), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250460] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9468), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250522] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250584] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9388), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250646] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9290), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250708] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250770] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250832] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9422), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250894] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9322), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250956] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9476), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251018] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5677), 1,
      anon_sym_DOT,
    ACTIONS(5679), 1,
      anon_sym_POUND,
    ACTIONS(5681), 1,
      sym_hash_operator,
    STATE(6412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9380), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251086] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9546), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251148] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9428), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251210] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9512), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251272] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251334] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251396] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9360), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251458] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9490), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251520] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251582] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9526), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251644] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9472), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251706] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9376), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251768] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9298), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251830] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(6425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9520), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251894] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9360), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9546), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252018] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9448), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9372), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252142] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9200), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252204] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9302), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252266] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9468), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252328] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(6433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9520), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252392] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9538), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252454] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10300), 1,
      anon_sym_LT_DASH,
    STATE(6435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252518] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9530), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252580] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9484), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252642] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252704] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9302), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252766] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9388), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252828] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9368), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252890] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252952] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9472), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253014] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9282), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253076] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5677), 1,
      anon_sym_DOT,
    STATE(6445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9392), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253140] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253202] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9262), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253264] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9306), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9412), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253388] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [253512] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9428), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253574] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9328), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253636] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5667), 1,
      anon_sym_DOT,
    STATE(6454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9392), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10302), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [253762] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9512), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253824] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9244), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253886] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253948] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9372), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254010] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9434), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254072] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9340), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254134] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9344), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254196] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9264), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254258] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5667), 1,
      anon_sym_DOT,
    ACTIONS(5669), 1,
      anon_sym_POUND,
    ACTIONS(5671), 1,
      sym_hash_operator,
    STATE(6464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9380), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254326] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9089), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9091), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254388] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(6466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9520), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254452] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10306), 1,
      anon_sym_COLON,
    STATE(6467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [254516] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9502), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254578] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9376), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9460), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254702] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9490), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254764] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254826] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254888] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9516), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254950] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9336), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255012] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9093), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9095), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255074] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(6477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9520), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255138] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255200] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9262), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255262] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9085), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9087), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255324] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9318), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255386] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5677), 1,
      anon_sym_DOT,
    ACTIONS(5679), 1,
      anon_sym_POUND,
    ACTIONS(5681), 1,
      sym_hash_operator,
    STATE(6482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255454] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9264), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255516] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255578] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9530), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255640] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9538), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255702] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10312), 1,
      anon_sym_COLON,
    STATE(6487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10308), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255766] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9270), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255828] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255890] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255952] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9418), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256014] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9204), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256076] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(6493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256140] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9418), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256202] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10314), 1,
      anon_sym_LT_DASH,
    STATE(6495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256266] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9306), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256328] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9412), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256390] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9270), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256452] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256514] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256576] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256638] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9364), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256700] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9352), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256762] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9154), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256824] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9546), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256886] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9534), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256948] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9452), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257010] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9526), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257072] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9460), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257134] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9460), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257196] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9464), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9438), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257320] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9282), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9434), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257444] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9456), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9488), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9274), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257630] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9438), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257692] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9476), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257754] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257816] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9372), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257878] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9422), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257940] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9336), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258002] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9426), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9526), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258126] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9162), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258188] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9356), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258250] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9274), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258312] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258374] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9340), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258436] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5667), 1,
      anon_sym_DOT,
    ACTIONS(5669), 1,
      anon_sym_POUND,
    ACTIONS(5671), 1,
      sym_hash_operator,
    STATE(6531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258504] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9234), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258566] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9240), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258628] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9290), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258690] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9534), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258752] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9352), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258814] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9344), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258876] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9434), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10316), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259000] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9488), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259062] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9404), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259124] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9396), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259186] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9452), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259248] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9204), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259310] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9328), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10320), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259434] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9516), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259496] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9498), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(6549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259622] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(6550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9520), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259686] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259748] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9502), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259810] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9488), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259872] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(6554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259936] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10324), 1,
      anon_sym_DOT_DOT,
    STATE(6555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5627), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5623), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260000] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9318), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260062] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9426), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260124] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9464), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260186] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9244), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260248] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9356), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9364), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260372] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9322), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260434] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9332), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260496] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9346), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260558] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9170), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260620] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9364), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260682] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9174), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260744] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9332), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260806] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9480), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9464), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260930] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260992] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9396), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261054] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9240), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261116] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9346), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261178] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9438), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261240] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [261364] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9484), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261426] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9298), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261488] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9412), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9404), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9396), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9526), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261735] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10326), 1,
      anon_sym_DOT_DOT,
    STATE(6584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5623), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5627), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [261798] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5781), 1,
      anon_sym_DOT,
    ACTIONS(5783), 1,
      anon_sym_POUND,
    ACTIONS(5785), 1,
      sym_hash_operator,
    STATE(6585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9380), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10328), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10332), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10336), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10340), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10344), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262231] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9498), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [262475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9498), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10348), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10352), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10320), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10356), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10360), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9262), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10364), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9306), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10368), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10372), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263146] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263207] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9234), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263268] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9306), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263329] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263390] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9336), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263451] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9344), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10376), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10316), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5627), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5623), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10382), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10380), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263756] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9364), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263817] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9372), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263878] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9396), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263939] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9404), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264000] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9434), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264061] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9438), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264122] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9460), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264183] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9464), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264244] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9488), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9314), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9336), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264427] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(6628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9520), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264490] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9526), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9344), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264612] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9412), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264673] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(6632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9520), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264736] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9546), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10386), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10384), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264858] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9204), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264919] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9240), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264980] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265041] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9262), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10388), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265163] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10394), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10392), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10398), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10396), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10400), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10406), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10404), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10410), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10408), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10414), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10412), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265590] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9418), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265651] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9452), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265712] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9512), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265773] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9516), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265834] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9530), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265895] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9538), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265956] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9270), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266017] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266078] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266139] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266200] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10322), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [266322] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9360), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266383] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5781), 1,
      anon_sym_DOT,
    STATE(6660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9392), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266446] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9426), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266507] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9456), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9476), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266629] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9480), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266690] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9484), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266751] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9274), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10418), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10416), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10422), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10420), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266934] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9290), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266995] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9298), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10318), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [267117] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9302), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10426), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10424), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267239] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9438), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267361] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9318), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267422] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9340), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267483] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9352), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267544] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9356), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10430), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10428), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267666] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9368), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10434), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10432), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10438), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10436), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10442), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10440), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267910] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(6685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [267973] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10444), 1,
      anon_sym_DOT_DOT,
    STATE(6686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5627), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5623), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10448), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10446), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268097] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(6688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [268160] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9388), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268221] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9422), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10452), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10450), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268343] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9442), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9444), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268404] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9448), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268465] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9468), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268526] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9472), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [268648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10456), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10454), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10460), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10458), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268770] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9282), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9204), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268892] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_COMMA,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    STATE(6701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10464), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [268957] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9534), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10468), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10466), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10472), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10470), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269140] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_COMMA,
    STATE(6705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10464), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10462), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10464), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10462), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269264] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9332), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9364), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9372), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269447] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10474), 1,
      anon_sym_COLON,
    STATE(6710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10308), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9396), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269571] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10476), 1,
      anon_sym_COLON,
    STATE(6712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10310), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [269634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9404), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10480), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10478), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10484), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10482), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9460), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269878] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9502), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269939] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9428), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9434), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9438), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9488), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270183] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10486), 1,
      anon_sym_COLON,
    STATE(6722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9632), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9630), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [270307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9156), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270368] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9490), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270429] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9200), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270490] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9244), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270551] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270612] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9376), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270673] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270734] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9328), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270795] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9264), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270856] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270917] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9322), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270978] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9346), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9464), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10490), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10488), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9546), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271222] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_COMMA,
    ACTIONS(6515), 1,
      anon_sym_PIPE,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    STATE(6739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10492), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10494), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [271289] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10496), 1,
      anon_sym_LT_DASH,
    STATE(6740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9162), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10494), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10492), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10500), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10498), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271474] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    STATE(6743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10504), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10502), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9240), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9258), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9364), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9372), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10508), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10506), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9404), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9488), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9460), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272086] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5781), 1,
      anon_sym_DOT,
    ACTIONS(5783), 1,
      anon_sym_POUND,
    ACTIONS(5785), 1,
      sym_hash_operator,
    STATE(6753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9412), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9434), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9234), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9306), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10432), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10434), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [272516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9314), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9336), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9344), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10436), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10438), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [272816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10378), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [272876] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(6766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10440), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10442), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [272998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10446), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10448), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [273058] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_COLON,
    STATE(6769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10310), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [273120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9434), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10400), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10406), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10404), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [273360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9438), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10364), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273480] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6653), 1,
      anon_sym_COLON_COLON,
    STATE(6776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10502), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10504), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [273542] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10512), 1,
      anon_sym_COLON,
    STATE(6777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9632), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9630), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10398), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [273664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10508), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [273724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10354), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [273784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10484), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10482), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10408), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10410), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [273904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10412), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10414), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [273964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10358), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10346), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10350), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10386), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10466), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10468), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10470), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10472), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10390), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10376), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274564] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10514), 1,
      anon_sym_DOT_DOT,
    STATE(6794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5623), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5627), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10398), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10396), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10410), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10408), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10414), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10412), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10490), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10488), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10468), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10466), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10472), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10470), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [275046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10482), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10484), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [275106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10402), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [275166] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10418), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10416), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10422), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10420), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10452), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10450), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10456), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10454), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10460), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10458), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275526] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6899), 1,
      anon_sym_COMMA,
    ACTIONS(6905), 1,
      anon_sym_COLON_COLON,
    STATE(6810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10464), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10462), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275590] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6899), 1,
      anon_sym_COMMA,
    STATE(6811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10464), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10462), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10464), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10462), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275712] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6899), 1,
      anon_sym_COMMA,
    ACTIONS(6901), 1,
      anon_sym_PIPE,
    ACTIONS(6905), 1,
      anon_sym_COLON_COLON,
    STATE(6813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10492), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10494), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [275778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10494), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10492), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10500), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10498), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275898] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6905), 1,
      anon_sym_COLON_COLON,
    STATE(6816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10504), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10502), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10508), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10506), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10352), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10356), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10404), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10406), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10332), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9498), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10490), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10392), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10394), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5627), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5623), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10382), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10380), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10340), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10360), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10426), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10424), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276860] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9650), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9648), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10316), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10328), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10370), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9460), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9258), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10368), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10372), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10424), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10426), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9488), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10394), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10392), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10336), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10342), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9156), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10430), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10428), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277940] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10516), 1,
      anon_sym_LT_DASH,
    STATE(6850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10434), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10432), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10438), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10436), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10442), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10440), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10448), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10446), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10334), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10374), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9262), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10330), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10428), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10430), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5623), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5627), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10416), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10418), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10420), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10422), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10382), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278902] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10518), 1,
      anon_sym_COLON,
    STATE(6866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10366), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10450), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10452), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10454), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10456), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10320), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10478), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10480), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9234), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10480), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10478), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10458), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10460), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9240), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279564] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6647), 1,
      anon_sym_COMMA,
    ACTIONS(6653), 1,
      anon_sym_COLON_COLON,
    STATE(6877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10464), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10344), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279688] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6647), 1,
      anon_sym_COMMA,
    STATE(6879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10464), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10348), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10464), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10386), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10384), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280050] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6647), 1,
      anon_sym_COMMA,
    ACTIONS(6649), 1,
      anon_sym_PIPE,
    ACTIONS(6653), 1,
      anon_sym_COLON_COLON,
    STATE(6885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10492), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10494), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9364), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10362), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9372), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10492), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10494), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10498), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10500), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10388), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9204), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9404), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9344), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10450), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10452), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10454), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10456), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10458), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10460), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281491] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6739), 1,
      anon_sym_COMMA,
    ACTIONS(6745), 1,
      anon_sym_COLON_COLON,
    STATE(6909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10464), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281554] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6739), 1,
      anon_sym_COMMA,
    STATE(6910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10464), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10464), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281674] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6739), 1,
      anon_sym_COMMA,
    ACTIONS(6741), 1,
      anon_sym_PIPE,
    ACTIONS(6745), 1,
      anon_sym_COLON_COLON,
    STATE(6912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10492), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10494), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10492), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10494), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10498), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10500), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281857] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6745), 1,
      anon_sym_COLON_COLON,
    STATE(6915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10502), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10504), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10508), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10354), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10420), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10422), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10428), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10430), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10432), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10434), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10436), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10438), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10440), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10442), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10446), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10448), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10346), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10350), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10386), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10390), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10482), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10484), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10378), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282803] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(6931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9498), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10334), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5623), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5627), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10382), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10362), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10370), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10374), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283867] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(6949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [283928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10392), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10394), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284164] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(6954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284284] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10520), 1,
      anon_sym_LT_DASH,
    STATE(6956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10402), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10404), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10406), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10342), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10424), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10426), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10398), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10408), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10410), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10330), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10490), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10412), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10414), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10478), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10480), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9204), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [285643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [285938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [285997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9262), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [286115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286174] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9650), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9648), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [286233] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10522), 1,
      anon_sym_LT_DASH,
    STATE(6989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10466), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10468), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10470), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10472), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286589] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10524), 1,
      anon_sym_COLON,
    STATE(6995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9632), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9630), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [286650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286827] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6163), 1,
      anon_sym_DOT,
    ACTIONS(6165), 1,
      anon_sym_POUND,
    ACTIONS(6167), 1,
      sym_hash_operator,
    STATE(6999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286892] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [286951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287010] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6163), 1,
      anon_sym_DOT,
    ACTIONS(6165), 1,
      anon_sym_POUND,
    ACTIONS(6167), 1,
      sym_hash_operator,
    STATE(7002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287134] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10366), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288137] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6163), 1,
      anon_sym_DOT,
    STATE(7021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289673] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [289732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [289850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [290027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [290145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10416), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10418), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [290204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10358), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [290263] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5787), 1,
      sym__lowercase_identifier,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5795), 1,
      anon_sym_LBRACE,
    ACTIONS(5797), 1,
      anon_sym_POUND,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5803), 1,
      anon_sym_begin,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(5817), 1,
      sym__uppercase_identifier,
    ACTIONS(5819), 1,
      aux_sym_tag_token1,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(8634), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8636), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6593), 1,
      sym__constructor_name,
    STATE(6825), 1,
      sym_array_binding_pattern,
    STATE(6837), 1,
      sym_record_binding_pattern,
    STATE(6847), 1,
      sym__simple_binding_pattern,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6858), 1,
      sym_list_binding_pattern,
    STATE(7057), 1,
      sym_attribute,
    STATE(22082), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5793), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6862), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [290369] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10526), 1,
      anon_sym_LT_DASH,
    STATE(7058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(7060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290605] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(9566), 1,
      sym__lowercase_identifier,
    ACTIONS(10528), 1,
      anon_sym_LPAREN,
    STATE(7062), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15690), 1,
      sym__simple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(22281), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15802), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [290711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290827] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5743), 1,
      sym__lowercase_identifier,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5751), 1,
      anon_sym_LBRACE,
    ACTIONS(5753), 1,
      anon_sym_POUND,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5759), 1,
      anon_sym_begin,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(5773), 1,
      sym__uppercase_identifier,
    ACTIONS(5775), 1,
      aux_sym_tag_token1,
    ACTIONS(6059), 1,
      anon_sym_LPAREN,
    ACTIONS(9506), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9508), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(6828), 1,
      sym__simple_binding_pattern,
    STATE(6841), 1,
      sym_record_binding_pattern,
    STATE(6842), 1,
      sym_list_binding_pattern,
    STATE(6845), 1,
      sym_array_binding_pattern,
    STATE(7065), 1,
      sym_attribute,
    STATE(21767), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5749), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6826), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [290933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291281] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10530), 1,
      anon_sym_LPAREN,
    ACTIONS(10532), 1,
      sym__uppercase_identifier,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    STATE(7072), 1,
      sym_attribute,
    STATE(10715), 1,
      sym__constructor_name,
    STATE(15455), 1,
      sym__simple_pattern,
    STATE(22498), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15328), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [291379] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10536), 1,
      anon_sym_LT_DASH,
    STATE(7073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291439] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8309), 1,
      sym__lowercase_identifier,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8317), 1,
      anon_sym_LBRACE,
    ACTIONS(8319), 1,
      anon_sym_POUND,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8325), 1,
      anon_sym_begin,
    ACTIONS(8327), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8329), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(8339), 1,
      sym__uppercase_identifier,
    ACTIONS(8341), 1,
      aux_sym_tag_token1,
    ACTIONS(8426), 1,
      anon_sym_LPAREN,
    STATE(7074), 1,
      sym_attribute,
    STATE(10606), 1,
      sym__constructor_name,
    STATE(10662), 1,
      sym_array_binding_pattern,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10711), 1,
      sym_record_binding_pattern,
    STATE(10718), 1,
      sym__simple_binding_pattern,
    STATE(10721), 1,
      sym_list_binding_pattern,
    STATE(21355), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8315), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10714), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [291545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291661] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      sym__lowercase_identifier,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5637), 1,
      anon_sym_LBRACE,
    ACTIONS(5639), 1,
      anon_sym_POUND,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5645), 1,
      anon_sym_begin,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(5659), 1,
      sym__uppercase_identifier,
    ACTIONS(5661), 1,
      aux_sym_tag_token1,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(8582), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8584), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6525), 1,
      sym__constructor_name,
    STATE(6590), 1,
      sym__simple_binding_pattern,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6605), 1,
      sym_record_binding_pattern,
    STATE(6606), 1,
      sym_list_binding_pattern,
    STATE(6641), 1,
      sym_array_binding_pattern,
    STATE(7077), 1,
      sym_attribute,
    STATE(21230), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5635), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6615), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [291767] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6455), 1,
      sym__uppercase_identifier,
    ACTIONS(6457), 1,
      aux_sym_tag_token1,
    ACTIONS(6499), 1,
      sym__lowercase_identifier,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6523), 1,
      anon_sym_LBRACE,
    ACTIONS(6527), 1,
      anon_sym_POUND,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6533), 1,
      anon_sym_begin,
    ACTIONS(6541), 1,
      aux_sym_number_token1,
    ACTIONS(6543), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6545), 1,
      anon_sym_SQUOTE,
    ACTIONS(6547), 1,
      anon_sym_DQUOTE,
    ACTIONS(8887), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8889), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10538), 1,
      anon_sym_LPAREN,
    STATE(7078), 1,
      sym_attribute,
    STATE(10245), 1,
      sym__constructor_name,
    STATE(12112), 1,
      sym__simple_pattern,
    STATE(23054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6519), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12183), 2,
      sym__constant,
      sym_signed_number,
    STATE(12122), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(12255), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [291865] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8789), 1,
      sym__lowercase_identifier,
    ACTIONS(10528), 1,
      anon_sym_LPAREN,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10540), 1,
      sym__uppercase_identifier,
    STATE(7079), 1,
      sym_attribute,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15690), 1,
      sym__simple_binding_pattern,
    STATE(15755), 1,
      sym__constructor_name,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(22899), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15802), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [291971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292145] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10530), 1,
      anon_sym_LPAREN,
    ACTIONS(10532), 1,
      sym__uppercase_identifier,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    STATE(7083), 1,
      sym_attribute,
    STATE(10715), 1,
      sym__constructor_name,
    STATE(15449), 1,
      sym__simple_pattern,
    STATE(22498), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15328), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [292243] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10530), 1,
      anon_sym_LPAREN,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10540), 1,
      sym__uppercase_identifier,
    STATE(7084), 1,
      sym_attribute,
    STATE(15449), 1,
      sym__simple_pattern,
    STATE(15755), 1,
      sym__constructor_name,
    STATE(22907), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15328), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [292341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292399] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8428), 1,
      sym__lowercase_identifier,
    ACTIONS(8432), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_LBRACE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    ACTIONS(10544), 1,
      sym__uppercase_identifier,
    ACTIONS(10546), 1,
      aux_sym_tag_token1,
    STATE(7086), 1,
      sym_attribute,
    STATE(16491), 1,
      sym__simple_pattern,
    STATE(16604), 1,
      sym__constructor_name,
    STATE(23113), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16453), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [292497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292555] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8217), 1,
      sym__lowercase_identifier,
    ACTIONS(8225), 1,
      anon_sym_LBRACK,
    ACTIONS(8231), 1,
      anon_sym_LBRACE,
    ACTIONS(8233), 1,
      anon_sym_POUND,
    ACTIONS(8235), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8237), 1,
      anon_sym_begin,
    ACTIONS(8243), 1,
      aux_sym_number_token1,
    ACTIONS(8245), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8247), 1,
      anon_sym_SQUOTE,
    ACTIONS(8249), 1,
      anon_sym_DQUOTE,
    ACTIONS(8251), 1,
      sym__uppercase_identifier,
    ACTIONS(8253), 1,
      aux_sym_tag_token1,
    ACTIONS(10548), 1,
      anon_sym_LPAREN,
    ACTIONS(10550), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10552), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7088), 1,
      sym_attribute,
    STATE(9568), 1,
      sym__constructor_name,
    STATE(9625), 1,
      sym__simple_pattern,
    STATE(23304), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8227), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9729), 2,
      sym__constant,
      sym_signed_number,
    STATE(9522), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9680), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [292653] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [292711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292769] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292827] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(8849), 1,
      sym__lowercase_identifier,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8855), 1,
      anon_sym_LBRACE,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(10544), 1,
      sym__uppercase_identifier,
    ACTIONS(10546), 1,
      aux_sym_tag_token1,
    ACTIONS(10554), 1,
      anon_sym_LPAREN,
    STATE(7092), 1,
      sym_attribute,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16565), 1,
      sym_record_binding_pattern,
    STATE(16567), 1,
      sym_list_binding_pattern,
    STATE(16569), 1,
      sym_array_binding_pattern,
    STATE(16591), 1,
      sym__simple_binding_pattern,
    STATE(16604), 1,
      sym__constructor_name,
    STATE(23102), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16561), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [292933] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292991] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293049] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293107] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9650), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9648), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [293165] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293223] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293281] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293397] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8153), 1,
      sym__lowercase_identifier,
    ACTIONS(8161), 1,
      anon_sym_LBRACK,
    ACTIONS(8167), 1,
      anon_sym_LBRACE,
    ACTIONS(8169), 1,
      anon_sym_POUND,
    ACTIONS(8171), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8173), 1,
      anon_sym_begin,
    ACTIONS(8179), 1,
      aux_sym_number_token1,
    ACTIONS(8181), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8183), 1,
      anon_sym_SQUOTE,
    ACTIONS(8185), 1,
      anon_sym_DQUOTE,
    ACTIONS(8187), 1,
      sym__uppercase_identifier,
    ACTIONS(8189), 1,
      aux_sym_tag_token1,
    ACTIONS(10556), 1,
      anon_sym_LPAREN,
    ACTIONS(10558), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10560), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7101), 1,
      sym_attribute,
    STATE(8978), 1,
      sym__constructor_name,
    STATE(9169), 1,
      sym__simple_pattern,
    STATE(22094), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8163), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9006), 2,
      sym__constant,
      sym_signed_number,
    STATE(8950), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8929), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [293495] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7945), 1,
      sym__lowercase_identifier,
    ACTIONS(7955), 1,
      anon_sym_LBRACK,
    ACTIONS(7961), 1,
      anon_sym_LBRACE,
    ACTIONS(7963), 1,
      anon_sym_POUND,
    ACTIONS(7965), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7967), 1,
      anon_sym_begin,
    ACTIONS(7975), 1,
      aux_sym_number_token1,
    ACTIONS(7977), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7979), 1,
      anon_sym_SQUOTE,
    ACTIONS(7981), 1,
      anon_sym_DQUOTE,
    ACTIONS(7983), 1,
      sym__uppercase_identifier,
    ACTIONS(7985), 1,
      aux_sym_tag_token1,
    ACTIONS(10562), 1,
      anon_sym_LPAREN,
    ACTIONS(10564), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10566), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7102), 1,
      sym_attribute,
    STATE(8809), 1,
      sym__simple_pattern,
    STATE(8838), 1,
      sym__constructor_name,
    STATE(20937), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7957), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8771), 2,
      sym__constant,
      sym_signed_number,
    STATE(8837), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8826), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [293593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293651] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10530), 1,
      anon_sym_LPAREN,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10540), 1,
      sym__uppercase_identifier,
    STATE(7104), 1,
      sym_attribute,
    STATE(15455), 1,
      sym__simple_pattern,
    STATE(15755), 1,
      sym__constructor_name,
    STATE(22907), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15328), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [293749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294387] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(7116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294447] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(7117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294507] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6233), 1,
      anon_sym_DOT,
    ACTIONS(6235), 1,
      anon_sym_POUND,
    ACTIONS(6237), 1,
      sym_hash_operator,
    STATE(7118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294803] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295151] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5943), 1,
      sym__lowercase_identifier,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5959), 1,
      anon_sym_LBRACE,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9228), 1,
      sym__uppercase_identifier,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(10530), 1,
      anon_sym_LPAREN,
    STATE(7129), 1,
      sym_attribute,
    STATE(8753), 1,
      sym__constructor_name,
    STATE(15449), 1,
      sym__simple_pattern,
    STATE(22294), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15328), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [295249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295307] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8428), 1,
      sym__lowercase_identifier,
    ACTIONS(8432), 1,
      anon_sym_LBRACK,
    ACTIONS(8436), 1,
      anon_sym_LBRACE,
    ACTIONS(8440), 1,
      anon_sym_POUND,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8446), 1,
      anon_sym_begin,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    ACTIONS(10544), 1,
      sym__uppercase_identifier,
    ACTIONS(10546), 1,
      aux_sym_tag_token1,
    STATE(7131), 1,
      sym_attribute,
    STATE(16490), 1,
      sym__simple_pattern,
    STATE(16604), 1,
      sym__constructor_name,
    STATE(23113), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8434), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(16453), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [295405] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8263), 1,
      sym__lowercase_identifier,
    ACTIONS(8271), 1,
      anon_sym_LBRACK,
    ACTIONS(8277), 1,
      anon_sym_LBRACE,
    ACTIONS(8279), 1,
      anon_sym_POUND,
    ACTIONS(8281), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8283), 1,
      anon_sym_begin,
    ACTIONS(8289), 1,
      aux_sym_number_token1,
    ACTIONS(8291), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8293), 1,
      anon_sym_SQUOTE,
    ACTIONS(8295), 1,
      anon_sym_DQUOTE,
    ACTIONS(8297), 1,
      sym__uppercase_identifier,
    ACTIONS(8299), 1,
      aux_sym_tag_token1,
    ACTIONS(10568), 1,
      anon_sym_LPAREN,
    ACTIONS(10570), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10572), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7132), 1,
      sym_attribute,
    STATE(9460), 1,
      sym__simple_pattern,
    STATE(9532), 1,
      sym__constructor_name,
    STATE(22693), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9600), 2,
      sym__constant,
      sym_signed_number,
    STATE(9702), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9572), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [295503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295619] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5973), 1,
      anon_sym_begin,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6443), 1,
      anon_sym_LBRACE,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7939), 1,
      anon_sym_POUND,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10528), 1,
      anon_sym_LPAREN,
    ACTIONS(10532), 1,
      sym__uppercase_identifier,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    STATE(7135), 1,
      sym_attribute,
    STATE(10715), 1,
      sym__constructor_name,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15690), 1,
      sym__simple_binding_pattern,
    STATE(15813), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym_list_binding_pattern,
    STATE(15826), 1,
      sym_array_binding_pattern,
    STATE(22683), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15802), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [295725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296189] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296305] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8723), 1,
      sym__lowercase_identifier,
    ACTIONS(8731), 1,
      anon_sym_LBRACK,
    ACTIONS(8737), 1,
      anon_sym_LBRACE,
    ACTIONS(8741), 1,
      anon_sym_POUND,
    ACTIONS(8743), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8745), 1,
      anon_sym_begin,
    ACTIONS(8753), 1,
      aux_sym_number_token1,
    ACTIONS(8755), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8757), 1,
      anon_sym_SQUOTE,
    ACTIONS(8759), 1,
      anon_sym_DQUOTE,
    ACTIONS(8761), 1,
      sym__uppercase_identifier,
    ACTIONS(8763), 1,
      aux_sym_tag_token1,
    ACTIONS(10574), 1,
      anon_sym_LPAREN,
    ACTIONS(10576), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10578), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(7146), 1,
      sym_attribute,
    STATE(10626), 1,
      sym__constructor_name,
    STATE(10641), 1,
      sym__simple_pattern,
    STATE(21780), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8733), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10564), 2,
      sym__constant,
      sym_signed_number,
    STATE(10635), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10559), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [296403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296519] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6233), 1,
      anon_sym_DOT,
    STATE(7149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296811] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      sym__lowercase_identifier,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_POUND,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6011), 1,
      anon_sym_begin,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(6025), 1,
      sym__uppercase_identifier,
    ACTIONS(6027), 1,
      aux_sym_tag_token1,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9410), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6880), 1,
      sym__constructor_name,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(6947), 1,
      sym_record_binding_pattern,
    STATE(6948), 1,
      sym_list_binding_pattern,
    STATE(6950), 1,
      sym_array_binding_pattern,
    STATE(6961), 1,
      sym__simple_binding_pattern,
    STATE(7154), 1,
      sym_attribute,
    STATE(22482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6001), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6938), 11,
      sym_typed_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__value_name,
      sym_constructor_path,
      sym_tag,
  [296917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297729] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6233), 1,
      anon_sym_DOT,
    ACTIONS(6235), 1,
      anon_sym_POUND,
    ACTIONS(6237), 1,
      sym_hash_operator,
    STATE(7169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [297908] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297965] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298022] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298079] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298136] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298193] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298250] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298307] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298364] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298421] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(7181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298480] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298537] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298765] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298822] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298879] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298936] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10580), 1,
      anon_sym_LT_DASH,
    STATE(7190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298995] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10582), 1,
      anon_sym_LT_DASH,
    STATE(7191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299054] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299111] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10584), 1,
      anon_sym_LT_DASH,
    STATE(7193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299170] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10586), 1,
      anon_sym_LT_DASH,
    STATE(7194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299343] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10588), 1,
      sym__lowercase_identifier,
    ACTIONS(10590), 1,
      anon_sym_LPAREN,
    ACTIONS(10592), 1,
      anon_sym_private,
    ACTIONS(10594), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10596), 1,
      anon_sym_PIPE,
    ACTIONS(10598), 1,
      anon_sym_LBRACK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    STATE(7197), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(11074), 1,
      sym__simple_type,
    STATE(12609), 1,
      sym__constructor_name,
    STATE(12845), 1,
      sym__proper_tuple_type,
    STATE(13220), 1,
      sym_constructor_declaration,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(20610), 1,
      sym_labeled_argument_type,
    STATE(21823), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10600), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12486), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [299452] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(7198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299511] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299682] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299796] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(7204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299912] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299969] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300026] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      sym__lowercase_identifier,
    ACTIONS(10622), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_private,
    ACTIONS(10626), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10628), 1,
      anon_sym_PIPE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    STATE(7208), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(10825), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__constructor_name,
    STATE(12421), 1,
      sym__proper_tuple_type,
    STATE(12918), 1,
      sym_constructor_declaration,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21973), 1,
      sym_labeled_argument_type,
    STATE(23318), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10632), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12272), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [300135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300192] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300363] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300591] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(7217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300650] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300992] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(7224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301621] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10648), 1,
      anon_sym_LT_DASH,
    STATE(7235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302421] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10588), 1,
      sym__lowercase_identifier,
    ACTIONS(10590), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_PIPE,
    ACTIONS(10598), 1,
      anon_sym_LBRACK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10650), 1,
      anon_sym_private,
    ACTIONS(10652), 1,
      anon_sym_DOT_DOT,
    STATE(7249), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(11074), 1,
      sym__simple_type,
    STATE(12609), 1,
      sym__constructor_name,
    STATE(12845), 1,
      sym__proper_tuple_type,
    STATE(13220), 1,
      sym_constructor_declaration,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(20610), 1,
      sym_labeled_argument_type,
    STATE(21823), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10600), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12496), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [302530] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10654), 1,
      anon_sym_DOT,
    STATE(7250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303216] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303444] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10656), 1,
      anon_sym_LT_DASH,
    STATE(7266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304016] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10654), 1,
      anon_sym_DOT,
    ACTIONS(10658), 1,
      anon_sym_POUND,
    ACTIONS(10660), 1,
      sym_hash_operator,
    STATE(7276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304934] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305333] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(7299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305848] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305962] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10654), 1,
      anon_sym_DOT,
    ACTIONS(10658), 1,
      anon_sym_POUND,
    ACTIONS(10660), 1,
      sym_hash_operator,
    STATE(7310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306139] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306196] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306310] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306538] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(7320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306768] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306825] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306882] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306939] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(7327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307112] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307169] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307226] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307625] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307682] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307796] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308024] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308138] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(7348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308254] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(7350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308370] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308655] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10662), 1,
      sym__lowercase_identifier,
    ACTIONS(10664), 1,
      anon_sym_LPAREN,
    ACTIONS(10666), 1,
      anon_sym_private,
    ACTIONS(10668), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10670), 1,
      anon_sym_PIPE,
    ACTIONS(10672), 1,
      anon_sym_LBRACK,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    STATE(7357), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(11496), 1,
      sym__simple_type,
    STATE(13142), 1,
      sym__constructor_name,
    STATE(13574), 1,
      sym__proper_tuple_type,
    STATE(14142), 1,
      sym_constructor_declaration,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(21251), 1,
      sym_labeled_argument_type,
    STATE(22131), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13216), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [308764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308935] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(7361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308994] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309051] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309165] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309336] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309393] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309450] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309564] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10690), 1,
      anon_sym_LT_DASH,
    STATE(7372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309623] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10692), 1,
      anon_sym_DOT,
    ACTIONS(10694), 1,
      anon_sym_POUND,
    ACTIONS(10696), 1,
      sym_hash_operator,
    STATE(7373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309743] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10662), 1,
      sym__lowercase_identifier,
    ACTIONS(10664), 1,
      anon_sym_LPAREN,
    ACTIONS(10670), 1,
      anon_sym_PIPE,
    ACTIONS(10672), 1,
      anon_sym_LBRACK,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10698), 1,
      anon_sym_private,
    ACTIONS(10700), 1,
      anon_sym_DOT_DOT,
    STATE(7375), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(11496), 1,
      sym__simple_type,
    STATE(13142), 1,
      sym__constructor_name,
    STATE(13574), 1,
      sym__proper_tuple_type,
    STATE(14142), 1,
      sym_constructor_declaration,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(21251), 1,
      sym_labeled_argument_type,
    STATE(22131), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13252), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [309852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309966] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310137] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310251] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      sym__lowercase_identifier,
    ACTIONS(10622), 1,
      anon_sym_LPAREN,
    ACTIONS(10628), 1,
      anon_sym_PIPE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10702), 1,
      anon_sym_private,
    ACTIONS(10704), 1,
      anon_sym_DOT_DOT,
    STATE(7383), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(10825), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__constructor_name,
    STATE(12421), 1,
      sym__proper_tuple_type,
    STATE(12918), 1,
      sym_constructor_declaration,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21973), 1,
      sym_labeled_argument_type,
    STATE(23318), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10632), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12140), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [310360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310759] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310816] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310873] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310930] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310987] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311044] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311101] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311158] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311329] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311386] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311443] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311557] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311671] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6307), 1,
      anon_sym_POUND,
    ACTIONS(6309), 1,
      sym_hash_operator,
    STATE(7407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311791] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10706), 1,
      sym__lowercase_identifier,
    ACTIONS(10708), 1,
      anon_sym_LPAREN,
    ACTIONS(10710), 1,
      anon_sym_private,
    ACTIONS(10712), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10714), 1,
      anon_sym_PIPE,
    ACTIONS(10716), 1,
      anon_sym_LBRACK,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    STATE(7409), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(11483), 1,
      sym__simple_type,
    STATE(13056), 1,
      sym__constructor_name,
    STATE(13311), 1,
      sym__proper_tuple_type,
    STATE(14144), 1,
      sym_constructor_declaration,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(21401), 1,
      sym_labeled_argument_type,
    STATE(22531), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13017), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [311900] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311957] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312014] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312071] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312185] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312242] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312299] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312470] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312527] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    STATE(7421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312586] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312643] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312700] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312757] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312814] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312871] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312928] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313042] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313099] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313156] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313213] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313327] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313384] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313441] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313498] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313555] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313612] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313726] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313783] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313840] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6305), 1,
      anon_sym_DOT,
    ACTIONS(6307), 1,
      anon_sym_POUND,
    ACTIONS(6309), 1,
      sym_hash_operator,
    STATE(7444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314074] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314131] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314188] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314245] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314644] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10734), 1,
      anon_sym_DOT,
    STATE(7458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314703] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314931] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315045] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(7465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315275] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315731] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315959] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(7481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316018] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316132] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10734), 1,
      anon_sym_DOT,
    ACTIONS(10736), 1,
      anon_sym_POUND,
    ACTIONS(10738), 1,
      sym_hash_operator,
    STATE(7484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316252] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316537] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316708] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(7494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316824] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316995] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317280] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317622] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [317964] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318249] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318705] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318762] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318819] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318933] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319047] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319104] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319161] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10740), 1,
      anon_sym_COLON,
    STATE(7537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319220] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319277] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319676] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319904] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319961] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320075] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320132] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10734), 1,
      anon_sym_DOT,
    ACTIONS(10736), 1,
      anon_sym_POUND,
    ACTIONS(10738), 1,
      sym_hash_operator,
    STATE(7554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320423] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320480] = 31,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10706), 1,
      sym__lowercase_identifier,
    ACTIONS(10708), 1,
      anon_sym_LPAREN,
    ACTIONS(10714), 1,
      anon_sym_PIPE,
    ACTIONS(10716), 1,
      anon_sym_LBRACK,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10742), 1,
      anon_sym_private,
    ACTIONS(10744), 1,
      anon_sym_DOT_DOT,
    STATE(7560), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(11483), 1,
      sym__simple_type,
    STATE(13056), 1,
      sym__constructor_name,
    STATE(13311), 1,
      sym__proper_tuple_type,
    STATE(14144), 1,
      sym_constructor_declaration,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(21401), 1,
      sym_labeled_argument_type,
    STATE(22531), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13065), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [320589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320703] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320760] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10692), 1,
      anon_sym_DOT,
    ACTIONS(10694), 1,
      anon_sym_POUND,
    ACTIONS(10696), 1,
      sym_hash_operator,
    STATE(7564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320823] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320937] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [321051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [321108] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321165] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321222] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321279] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [321393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [321450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [321507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [321564] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321621] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321678] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [321792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [321849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [321906] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10692), 1,
      anon_sym_DOT,
    STATE(7584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [321965] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322022] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322078] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322134] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322190] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322246] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322302] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322358] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322414] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322470] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322526] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322582] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322638] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322694] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322750] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322806] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322862] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322918] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10706), 1,
      sym__lowercase_identifier,
    ACTIONS(10708), 1,
      anon_sym_LPAREN,
    ACTIONS(10714), 1,
      anon_sym_PIPE,
    ACTIONS(10716), 1,
      anon_sym_LBRACK,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10746), 1,
      anon_sym_DOT_DOT,
    STATE(7602), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(11483), 1,
      sym__simple_type,
    STATE(13056), 1,
      sym__constructor_name,
    STATE(13311), 1,
      sym__proper_tuple_type,
    STATE(14144), 1,
      sym_constructor_declaration,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(21401), 1,
      sym_labeled_argument_type,
    STATE(22531), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13077), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [323024] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323080] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323136] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323192] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323248] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323304] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323360] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323416] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323472] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323528] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323584] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323640] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323696] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323752] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323808] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(7617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323866] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323922] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323978] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324034] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324090] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324146] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324202] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324258] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324314] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324370] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324426] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324482] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324538] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324594] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6405), 1,
      anon_sym_DOT,
    ACTIONS(6407), 1,
      anon_sym_POUND,
    ACTIONS(6409), 1,
      sym_hash_operator,
    STATE(7631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324656] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324712] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324768] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324824] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324880] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324936] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324992] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6425), 1,
      anon_sym_DOT,
    STATE(7638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325050] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325106] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325162] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325218] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325274] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325330] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325386] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325442] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325498] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325554] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325610] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325666] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325722] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325778] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325834] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325890] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325946] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326002] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326058] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326114] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326170] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10748), 1,
      anon_sym_LT_DASH,
    STATE(7659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326228] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326284] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326340] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326396] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326452] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326508] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326564] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326620] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326676] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326732] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326788] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326844] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326900] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326956] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327012] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327068] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327124] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327180] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327236] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327292] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327348] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327404] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327460] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327516] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327572] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327628] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327684] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327740] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327796] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327852] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327908] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327964] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      sym__lowercase_identifier,
    ACTIONS(10622), 1,
      anon_sym_LPAREN,
    ACTIONS(10628), 1,
      anon_sym_PIPE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10750), 1,
      anon_sym_DOT_DOT,
    STATE(7691), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(10825), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__constructor_name,
    STATE(12421), 1,
      sym__proper_tuple_type,
    STATE(12918), 1,
      sym_constructor_declaration,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21973), 1,
      sym_labeled_argument_type,
    STATE(23318), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10632), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12263), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [328070] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6385), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6389), 1,
      sym_hash_operator,
    STATE(7692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328132] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328188] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328244] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328300] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328356] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328412] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328468] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328524] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328580] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328636] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328692] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328748] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328804] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328860] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328916] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328972] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6415), 1,
      anon_sym_DOT,
    ACTIONS(6417), 1,
      anon_sym_POUND,
    ACTIONS(6419), 1,
      sym_hash_operator,
    STATE(7708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329034] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329090] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329146] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329202] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329258] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329314] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329370] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329426] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329482] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329538] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329594] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329650] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329706] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329762] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329818] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329874] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329930] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329986] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330098] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330154] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330210] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330266] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330322] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330378] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330434] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330490] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10752), 1,
      anon_sym_COLON,
    STATE(7735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330548] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330604] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6385), 1,
      anon_sym_DOT,
    STATE(7737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330662] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330718] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330774] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330830] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330886] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330942] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330998] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331054] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331110] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331166] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331222] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331278] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331334] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(7750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331392] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331448] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331504] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331560] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331616] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331672] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331728] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331784] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331840] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331896] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331952] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332008] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332064] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332120] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332176] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332232] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332288] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6385), 1,
      anon_sym_DOT,
    ACTIONS(6387), 1,
      anon_sym_POUND,
    ACTIONS(6389), 1,
      sym_hash_operator,
    STATE(7767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332350] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332406] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332462] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332518] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10706), 1,
      sym__lowercase_identifier,
    ACTIONS(10708), 1,
      anon_sym_LPAREN,
    ACTIONS(10714), 1,
      anon_sym_PIPE,
    ACTIONS(10716), 1,
      anon_sym_LBRACK,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10754), 1,
      anon_sym_DOT_DOT,
    STATE(7771), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(11483), 1,
      sym__simple_type,
    STATE(13056), 1,
      sym__constructor_name,
    STATE(13311), 1,
      sym__proper_tuple_type,
    STATE(14144), 1,
      sym_constructor_declaration,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(21401), 1,
      sym_labeled_argument_type,
    STATE(22531), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13053), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [332624] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332680] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_DOT,
    ACTIONS(6397), 1,
      anon_sym_POUND,
    ACTIONS(6399), 1,
      sym_hash_operator,
    STATE(7773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332798] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332854] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332910] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332966] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333022] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333078] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333134] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333190] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333246] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333302] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333358] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333414] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333470] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333526] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(7788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333584] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333640] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333696] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333752] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333808] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333864] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333920] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333976] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334032] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10756), 1,
      anon_sym_LT_DASH,
    STATE(7797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334090] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334146] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334202] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334258] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334314] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334370] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_DOT,
    STATE(7803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334428] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334484] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334540] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334596] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334652] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334708] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334764] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334820] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334876] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334932] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334988] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(7814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335046] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335102] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335158] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335214] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335270] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335326] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335382] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335438] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335494] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335550] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335606] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335662] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335718] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335774] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(7828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335832] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335888] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335944] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10758), 1,
      anon_sym_LT_DASH,
    STATE(7831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336002] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336058] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336114] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336170] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336226] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336282] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336338] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336394] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(7839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336452] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336508] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336564] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336620] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336676] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336732] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336788] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336844] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336900] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336956] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337012] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337068] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337124] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337180] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337236] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337292] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337348] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337404] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337460] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337516] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337572] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6415), 1,
      anon_sym_DOT,
    ACTIONS(6417), 1,
      anon_sym_POUND,
    ACTIONS(6419), 1,
      sym_hash_operator,
    STATE(7860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337634] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337690] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337746] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337802] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337858] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337914] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337970] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338026] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(7868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338084] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338140] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(7870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338198] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338254] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338310] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338366] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338422] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338478] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338534] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338590] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      sym__lowercase_identifier,
    ACTIONS(10622), 1,
      anon_sym_LPAREN,
    ACTIONS(10628), 1,
      anon_sym_PIPE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10760), 1,
      anon_sym_DOT_DOT,
    STATE(7878), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(10825), 1,
      sym__simple_type,
    STATE(12243), 1,
      sym__constructor_name,
    STATE(12421), 1,
      sym__proper_tuple_type,
    STATE(12918), 1,
      sym_constructor_declaration,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21973), 1,
      sym_labeled_argument_type,
    STATE(23318), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10632), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12157), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [338696] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338752] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338808] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338864] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(7882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338922] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338978] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339034] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339090] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339146] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339202] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339258] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339314] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339370] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339426] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339482] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339538] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339594] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339650] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339706] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339762] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339818] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339874] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339930] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339986] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340042] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(7903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340100] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340156] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6405), 1,
      anon_sym_DOT,
    STATE(7905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340214] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340270] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340326] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340382] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340438] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340494] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340550] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(7912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340608] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340664] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340720] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340776] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340832] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340888] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340944] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341000] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(7920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341058] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341114] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341170] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341226] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(7924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341284] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341340] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341396] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341452] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6405), 1,
      anon_sym_DOT,
    ACTIONS(6407), 1,
      anon_sym_POUND,
    ACTIONS(6409), 1,
      sym_hash_operator,
    STATE(7928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341514] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10762), 1,
      anon_sym_LT_DASH,
    STATE(7929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341572] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341628] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341684] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341740] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341796] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341852] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341908] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341964] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(7937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342022] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342078] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342134] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342190] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342246] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342302] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342358] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10764), 1,
      anon_sym_LT_DASH,
    STATE(7944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342416] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342472] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342528] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342584] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342640] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342696] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342752] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10662), 1,
      sym__lowercase_identifier,
    ACTIONS(10664), 1,
      anon_sym_LPAREN,
    ACTIONS(10670), 1,
      anon_sym_PIPE,
    ACTIONS(10672), 1,
      anon_sym_LBRACK,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10766), 1,
      anon_sym_DOT_DOT,
    STATE(7951), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(11496), 1,
      sym__simple_type,
    STATE(13142), 1,
      sym__constructor_name,
    STATE(13574), 1,
      sym__proper_tuple_type,
    STATE(14142), 1,
      sym_constructor_declaration,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(21251), 1,
      sym_labeled_argument_type,
    STATE(22131), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13241), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [342858] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6315), 1,
      anon_sym_DOT,
    ACTIONS(6317), 1,
      anon_sym_POUND,
    ACTIONS(6319), 1,
      sym_hash_operator,
    STATE(7952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342920] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342976] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343032] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343088] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343144] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343200] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343256] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343312] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343368] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343424] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343480] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343536] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6315), 1,
      anon_sym_DOT,
    STATE(7964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343594] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(7965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343652] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343708] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343764] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343820] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343876] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343932] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343988] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344044] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344100] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344156] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344212] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344268] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6425), 1,
      anon_sym_DOT,
    ACTIONS(6427), 1,
      anon_sym_POUND,
    ACTIONS(6429), 1,
      sym_hash_operator,
    STATE(7977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344330] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344386] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344442] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344498] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344554] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344610] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344666] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344722] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344778] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344834] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6315), 1,
      anon_sym_DOT,
    ACTIONS(6317), 1,
      anon_sym_POUND,
    ACTIONS(6319), 1,
      sym_hash_operator,
    STATE(7987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344896] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344952] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345008] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345064] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345120] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345176] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345232] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345288] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345344] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345400] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345456] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345512] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345624] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10662), 1,
      sym__lowercase_identifier,
    ACTIONS(10664), 1,
      anon_sym_LPAREN,
    ACTIONS(10670), 1,
      anon_sym_PIPE,
    ACTIONS(10672), 1,
      anon_sym_LBRACK,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10768), 1,
      anon_sym_DOT_DOT,
    STATE(8001), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(11496), 1,
      sym__simple_type,
    STATE(13142), 1,
      sym__constructor_name,
    STATE(13574), 1,
      sym__proper_tuple_type,
    STATE(14142), 1,
      sym_constructor_declaration,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(21251), 1,
      sym_labeled_argument_type,
    STATE(22131), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13137), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [345730] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345786] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345842] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345898] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345954] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346010] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346066] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346122] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346178] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346234] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346290] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346346] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346402] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346458] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346514] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346570] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346626] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346682] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346738] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346794] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346850] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346906] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346962] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347018] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6415), 1,
      anon_sym_DOT,
    STATE(8025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347076] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347132] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347188] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347244] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347300] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347356] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347412] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347468] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347524] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347580] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347636] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347692] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347748] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347806] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347862] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347918] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347974] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348030] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348086] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348142] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348198] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6395), 1,
      anon_sym_DOT,
    ACTIONS(6397), 1,
      anon_sym_POUND,
    ACTIONS(6399), 1,
      sym_hash_operator,
    STATE(8046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348260] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348316] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348372] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348428] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348484] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348540] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10588), 1,
      sym__lowercase_identifier,
    ACTIONS(10590), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_PIPE,
    ACTIONS(10598), 1,
      anon_sym_LBRACK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10770), 1,
      anon_sym_DOT_DOT,
    STATE(8052), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(11074), 1,
      sym__simple_type,
    STATE(12609), 1,
      sym__constructor_name,
    STATE(12845), 1,
      sym__proper_tuple_type,
    STATE(13220), 1,
      sym_constructor_declaration,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(20610), 1,
      sym_labeled_argument_type,
    STATE(21823), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10600), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12491), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [348646] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348702] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348758] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348814] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348870] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348926] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348982] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349038] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349094] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349150] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349206] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349262] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349318] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349374] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349430] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349486] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349542] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349598] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349654] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349710] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349766] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6425), 1,
      anon_sym_DOT,
    ACTIONS(6427), 1,
      anon_sym_POUND,
    ACTIONS(6429), 1,
      sym_hash_operator,
    STATE(8073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349828] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349884] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349940] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10772), 1,
      anon_sym_LT_DASH,
    STATE(8076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349998] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350054] = 30,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(10588), 1,
      sym__lowercase_identifier,
    ACTIONS(10590), 1,
      anon_sym_LPAREN,
    ACTIONS(10596), 1,
      anon_sym_PIPE,
    ACTIONS(10598), 1,
      anon_sym_LBRACK,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10616), 1,
      sym__uppercase_identifier,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10774), 1,
      anon_sym_DOT_DOT,
    STATE(8078), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(11074), 1,
      sym__simple_type,
    STATE(12609), 1,
      sym__constructor_name,
    STATE(12845), 1,
      sym__proper_tuple_type,
    STATE(13220), 1,
      sym_constructor_declaration,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(20610), 1,
      sym_labeled_argument_type,
    STATE(21823), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10600), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12506), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [350160] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350216] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350272] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9160), 1,
      anon_sym_LT_DASH,
    STATE(8081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350330] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350386] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350442] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350498] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10776), 1,
      anon_sym_LT_DASH,
    STATE(8085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350556] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350612] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10778), 1,
      anon_sym_LT_DASH,
    STATE(8087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350670] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10780), 1,
      anon_sym_LT_DASH,
    STATE(8088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350728] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10782), 1,
      anon_sym_LT_DASH,
    STATE(8089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350786] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350842] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350898] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350954] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351010] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351066] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351122] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351178] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351234] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351290] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351346] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351402] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351458] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351514] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351570] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351626] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351682] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351738] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351794] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351850] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351906] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351962] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352018] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352074] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352130] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352186] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352242] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352298] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352354] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352410] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352466] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352522] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352578] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352634] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352690] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352801] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352856] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6553), 1,
      anon_sym_DOT,
    ACTIONS(6555), 1,
      anon_sym_POUND,
    ACTIONS(6557), 1,
      sym_hash_operator,
    STATE(8127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352917] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352972] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9430), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353137] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353192] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353302] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353412] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353467] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353522] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353632] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353852] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353962] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354017] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354127] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354182] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354237] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354292] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354347] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354402] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354457] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354567] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6553), 1,
      anon_sym_DOT,
    STATE(8158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354624] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354679] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10788), 1,
      anon_sym_COLON,
    STATE(8160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10786), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [354736] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6553), 1,
      anon_sym_DOT,
    ACTIONS(6555), 1,
      anon_sym_POUND,
    ACTIONS(6557), 1,
      sym_hash_operator,
    STATE(8161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354797] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354852] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354962] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355072] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355127] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355182] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355237] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355292] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355349] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355459] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355514] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355569] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355624] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      anon_sym_COLON,
    STATE(8177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355736] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_DOT,
    STATE(8179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355793] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10796), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355903] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356013] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356068] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356178] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356233] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9464), 28,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      aux_sym_tag_token1,
  [356343] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356398] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356453] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356563] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(6639), 1,
      anon_sym_POUND,
    ACTIONS(6641), 1,
      sym_hash_operator,
    STATE(8194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356624] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356679] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356734] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356789] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356844] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356899] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356954] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357009] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357064] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357119] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357229] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6669), 1,
      anon_sym_DOT,
    ACTIONS(6671), 1,
      anon_sym_POUND,
    ACTIONS(6673), 1,
      sym_hash_operator,
    STATE(8206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357345] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357400] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357565] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357675] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357732] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6483), 1,
      anon_sym_DOT,
    STATE(8215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357844] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6463), 1,
      anon_sym_DOT,
    STATE(8217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357901] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10798), 1,
      anon_sym_LT_DASH,
    STATE(8218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357958] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358123] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9520), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [358180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358235] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358345] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358400] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358455] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358565] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358620] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [358730] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358785] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358840] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358895] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358950] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359005] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359060] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359115] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359170] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359225] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10800), 1,
      anon_sym_DOT,
    ACTIONS(10802), 1,
      anon_sym_POUND,
    ACTIONS(10804), 1,
      sym_hash_operator,
    STATE(8242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359286] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359341] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359396] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359451] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359506] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359561] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359671] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359726] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359781] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359836] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359891] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359946] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360001] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9202), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360221] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360276] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360386] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360551] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360606] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360661] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360716] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360771] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360826] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10806), 1,
      anon_sym_LT_DASH,
    STATE(8271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360883] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360938] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360993] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361048] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361103] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9242), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361488] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361653] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361708] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361763] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361928] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362038] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362093] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362203] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362258] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362313] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362368] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362423] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362478] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9374), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362643] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362698] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362753] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362808] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362918] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362973] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363083] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363138] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363193] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363248] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363358] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363413] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363468] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363523] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363578] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9520), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [363635] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363690] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363855] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363910] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363965] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364020] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364075] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364132] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364242] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364297] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364352] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364462] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364517] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364572] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364629] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9526), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [364739] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364794] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364904] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364959] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365014] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365069] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365124] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365179] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10808), 1,
      anon_sym_COLON,
    STATE(8350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365236] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365291] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365346] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10812), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365566] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365621] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365676] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365731] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365786] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365841] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365951] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366006] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9326), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366118] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366173] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366228] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366338] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6463), 1,
      anon_sym_DOT,
    ACTIONS(6465), 1,
      anon_sym_POUND,
    ACTIONS(6467), 1,
      sym_hash_operator,
    STATE(8371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366399] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366454] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366509] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366564] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366619] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366676] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366731] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366841] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366896] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366951] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367006] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367063] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367120] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367175] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10800), 1,
      anon_sym_DOT,
    ACTIONS(10802), 1,
      anon_sym_POUND,
    ACTIONS(10804), 1,
      sym_hash_operator,
    STATE(8386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367236] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367291] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367346] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367401] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367456] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367511] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367566] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367621] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367676] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367786] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367896] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367951] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368006] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368171] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368281] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368336] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368391] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368501] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368556] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368666] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368721] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368831] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368886] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368941] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369051] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369106] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369161] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369271] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369436] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369546] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369601] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369656] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369711] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369766] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369821] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369931] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369986] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370041] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370096] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370151] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370206] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6669), 1,
      anon_sym_DOT,
    ACTIONS(6671), 1,
      anon_sym_POUND,
    ACTIONS(6673), 1,
      sym_hash_operator,
    STATE(8441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370267] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370377] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370434] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9520), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [370491] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370601] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10814), 1,
      anon_sym_LT_DASH,
    STATE(8448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370658] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370823] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370878] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370933] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370988] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371043] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371100] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371155] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371320] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371375] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371430] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371540] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371595] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6669), 1,
      anon_sym_DOT,
    STATE(8466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371762] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371817] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372037] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372092] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372147] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372202] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372312] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372367] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372422] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372587] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372642] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372807] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6483), 1,
      anon_sym_DOT,
    ACTIONS(6485), 1,
      anon_sym_POUND,
    ACTIONS(6487), 1,
      sym_hash_operator,
    STATE(8488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372868] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372923] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373033] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373088] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373143] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373253] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373308] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373363] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373418] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373473] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373528] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373583] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373638] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373748] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373858] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373913] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374023] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374080] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374135] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374192] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374247] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374302] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374357] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374412] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374467] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374687] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374797] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374852] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374962] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375017] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375072] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375127] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375182] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375237] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375347] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6463), 1,
      anon_sym_DOT,
    ACTIONS(6465), 1,
      anon_sym_POUND,
    ACTIONS(6467), 1,
      sym_hash_operator,
    STATE(8534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375683] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375738] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375793] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375848] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10818), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375958] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376178] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9256), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376508] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376563] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376728] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10800), 1,
      anon_sym_DOT,
    STATE(8559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376785] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376840] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376950] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377005] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377280] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377390] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377555] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377610] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377720] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378105] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378270] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378325] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378600] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378655] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378820] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378877] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378932] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378987] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    STATE(8600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379209] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379374] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379429] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379484] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379594] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379649] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379704] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9500), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379814] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379924] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6483), 1,
      anon_sym_DOT,
    ACTIONS(6485), 1,
      anon_sym_POUND,
    ACTIONS(6487), 1,
      sym_hash_operator,
    STATE(8617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379985] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380040] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380095] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380152] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380207] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380262] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380372] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380427] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380537] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380592] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_DOT,
    ACTIONS(10820), 1,
      anon_sym_POUND,
    ACTIONS(10822), 1,
      sym_hash_operator,
    STATE(8629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380763] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380818] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380873] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380928] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380983] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [381038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381093] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [381148] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10824), 1,
      anon_sym_COLON,
    STATE(8639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9632), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381205] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [381260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381315] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [381370] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [381425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381590] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10826), 1,
      anon_sym_COLON,
    STATE(8647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [381647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10830), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381757] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10832), 1,
      anon_sym_LT_DASH,
    STATE(8650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [381814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381924] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [381979] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382034] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382089] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382144] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382199] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9520), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [382256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382366] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382421] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382476] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382531] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382586] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382696] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382751] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9492), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382916] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [382971] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383026] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_DOT,
    ACTIONS(10820), 1,
      anon_sym_POUND,
    ACTIONS(10822), 1,
      sym_hash_operator,
    STATE(8673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383087] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383142] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383197] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383307] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383362] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383417] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383472] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383582] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383637] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383692] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383802] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383857] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383912] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383967] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384022] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384077] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [384187] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384242] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384297] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384352] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9546), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [384462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [384517] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384572] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384627] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384682] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [384792] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384847] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384902] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [384957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [385012] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385067] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385122] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10836), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [385232] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [385342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [385397] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [385507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9198), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [385562] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385617] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385672] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385727] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385782] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385837] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6637), 1,
      anon_sym_DOT,
    ACTIONS(6639), 1,
      anon_sym_POUND,
    ACTIONS(6641), 1,
      sym_hash_operator,
    STATE(8724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385898] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [385953] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [386008] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [386063] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [386118] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [386173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [386228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9162), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9344), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9364), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9372), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9396), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9404), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9434), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9438), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9264), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9460), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9412), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9488), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9292), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9322), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10838), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9346), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10844), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10842), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387146] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9520), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9204), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9240), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9262), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9526), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387472] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10846), 1,
      anon_sym_COLON,
    STATE(8754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [387528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10836), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [387582] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10848), 1,
      anon_sym_COLON,
    STATE(8756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10786), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [387638] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9520), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9546), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387748] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10850), 1,
      anon_sym_COLON,
    STATE(8759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [387804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10818), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [387858] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10852), 1,
      anon_sym_COLON,
    STATE(8761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [387914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9430), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [387968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10812), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [388022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10830), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [388076] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10854), 1,
      anon_sym_COLON,
    STATE(8765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [388132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9242), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [388186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10796), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [388240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10490), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10488), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9398), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [388348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9650), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [388402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10320), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10400), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10406), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10404), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10316), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10426), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10424), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10328), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10336), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10480), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10478), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388834] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [388890] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [388946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9500), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9492), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389054] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10856), 1,
      anon_sym_COLON,
    STATE(8783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [389110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9198), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9374), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9250), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9326), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9266), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9294), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9348), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389596] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [389650] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [389704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10858), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10862), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389812] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10868), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10866), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389872] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10876), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9085), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9087), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9314), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9154), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10882), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10880), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390148] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10886), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10884), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390208] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10890), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10888), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10894), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10892), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390322] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10874), 1,
      sym_hash_operator,
    STATE(8806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10898), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10896), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390382] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_DOT,
    STATE(8807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9392), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10900), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10906), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10904), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9306), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10910), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10908), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9234), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9306), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9314), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9336), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9344), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10914), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10912), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10918), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10916), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [391032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10922), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10920), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [391086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10926), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10924), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [391140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [391194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9534), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9418), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9502), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10786), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10784), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [391410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(7931), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [391464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9452), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9428), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9512), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9516), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9530), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9364), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [391788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9372), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [391842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9538), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9270), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9396), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9526), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9404), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9460), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9464), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9490), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10930), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10928), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10934), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10932), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9384), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9248), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9434), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9093), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9095), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9360), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [392760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9204), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9438), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9488), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [392922] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10936), 1,
      anon_sym_COLON,
    STATE(8854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [392978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10302), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [393032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9546), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [393086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9202), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [393140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9240), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [393194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9258), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [393248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9426), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9238), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [393356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9256), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [393410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9332), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [393518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9262), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [393572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9456), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9476), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9480), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9484), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9200), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [393842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10940), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10938), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [393896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10944), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10942), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [393950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10948), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10946), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [394004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10952), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10950), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [394058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10956), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10954), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [394112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9274), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9244), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9290), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9298), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10292), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [394382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9302), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9412), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [394490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9310), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9318), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9340), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9156), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9352), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9356), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9368), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9498), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10960), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10958), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [395030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10964), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10962), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [395084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10968), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10966), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [395138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10972), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10970), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [395192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10976), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10974), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [395246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9388), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9422), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9170), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9174), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9178), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9442), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9444), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9448), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9468), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9472), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9376), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9252), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9328), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10980), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10978), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [395948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10982), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [396002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10988), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10986), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [396056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10990), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [396110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9184), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9234), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9188), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9089), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9091), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9282), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9336), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9340), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396487] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(10996), 1,
      anon_sym_PIPE,
    ACTIONS(10998), 1,
      anon_sym_RBRACK,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8920), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18680), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9488), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396641] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      anon_sym_PIPE,
    ACTIONS(11006), 1,
      anon_sym_RBRACK,
    STATE(8922), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18329), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396742] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11008), 1,
      anon_sym_PIPE,
    ACTIONS(11010), 1,
      anon_sym_RBRACK,
    STATE(8923), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17829), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9364), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396896] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      anon_sym_PIPE,
    ACTIONS(11014), 1,
      anon_sym_RBRACK,
    STATE(8925), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18024), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [396997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9372), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397103] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_PIPE,
    ACTIONS(11018), 1,
      anon_sym_RBRACK,
    STATE(8928), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17776), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7937), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9396), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9404), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9464), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397522] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11020), 1,
      anon_sym_PIPE,
    ACTIONS(11022), 1,
      anon_sym_RBRACK,
    STATE(8935), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18129), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10928), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10930), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10932), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10934), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397835] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11024), 1,
      anon_sym_COLON,
    STATE(8940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [397890] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11026), 1,
      anon_sym_PIPE,
    ACTIONS(11028), 1,
      anon_sym_RBRACK,
    STATE(8941), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18478), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [397991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10938), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10940), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10942), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10944), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10946), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10948), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10950), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10952), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10954), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10956), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398256] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11030), 1,
      anon_sym_PIPE,
    ACTIONS(11032), 1,
      anon_sym_RBRACK,
    STATE(8947), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18798), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9234), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398728] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11034), 1,
      anon_sym_COLON,
    STATE(8955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [398783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10958), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10960), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10962), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10964), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398889] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11036), 1,
      anon_sym_PIPE,
    ACTIONS(11038), 1,
      anon_sym_RBRACK,
    STATE(8958), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17685), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [398990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10966), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10968), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10970), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10972), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10974), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10976), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9434), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9438), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10978), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10980), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10982), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10984), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10986), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10988), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10992), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399467] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11040), 1,
      anon_sym_PIPE,
    ACTIONS(11042), 1,
      anon_sym_RBRACK,
    STATE(8968), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17771), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9306), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [399621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10840), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10844), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399886] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11044), 1,
      anon_sym_PIPE,
    ACTIONS(11046), 1,
      anon_sym_RBRACK,
    STATE(8975), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(17846), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [399987] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11048), 1,
      anon_sym_PIPE,
    ACTIONS(11050), 1,
      anon_sym_RBRACK,
    STATE(8976), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(17934), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9314), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [400141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9306), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400353] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11052), 1,
      anon_sym_PIPE,
    ACTIONS(11054), 1,
      anon_sym_RBRACK,
    STATE(8982), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18016), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400454] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      anon_sym_PIPE,
    ACTIONS(11058), 1,
      anon_sym_RBRACK,
    STATE(8983), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18103), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9314), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400608] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [400661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9336), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9344), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400767] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11060), 1,
      anon_sym_PIPE,
    ACTIONS(11062), 1,
      anon_sym_RBRACK,
    STATE(8988), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18196), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [400868] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(8989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9520), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9526), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9460), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9488), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401082] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [401135] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(8994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9520), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9546), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401243] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11064), 1,
      anon_sym_PIPE,
    ACTIONS(11066), 1,
      anon_sym_RBRACK,
    STATE(8996), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18285), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [401344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9412), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401397] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11068), 1,
      anon_sym_COLON,
    STATE(8998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [401452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10490), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [401770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9336), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [401823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10322), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9344), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [401929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10402), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10404), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10406), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [402035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10318), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [402088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9364), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10424), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10426), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [402194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9372), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402247] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(9014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9520), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10330), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [402355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [402408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9204), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9240), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10478), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10480), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [402567] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      anon_sym_PIPE,
    ACTIONS(11072), 1,
      anon_sym_RBRACK,
    STATE(9020), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20179), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22302), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9258), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9262), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402774] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      anon_sym_PIPE,
    ACTIONS(11076), 1,
      anon_sym_RBRACK,
    STATE(9023), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19254), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22698), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [402875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9396), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9204), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9240), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403087] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_PIPE,
    ACTIONS(11080), 1,
      anon_sym_RBRACK,
    STATE(9028), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19575), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22748), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403188] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11082), 1,
      anon_sym_PIPE,
    ACTIONS(11084), 1,
      anon_sym_RBRACK,
    STATE(9029), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19465), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22787), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9262), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9085), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9087), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9154), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10858), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10860), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [403501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10864), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [403554] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11086), 1,
      anon_sym_PIPE,
    ACTIONS(11088), 1,
      anon_sym_RBRACK,
    STATE(9035), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18289), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403655] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11090), 1,
      anon_sym_DOT,
    ACTIONS(11092), 1,
      anon_sym_POUND,
    ACTIONS(11094), 1,
      sym_hash_operator,
    STATE(9036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10868), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10866), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403714] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11090), 1,
      anon_sym_DOT,
    ACTIONS(11092), 1,
      anon_sym_POUND,
    ACTIONS(11094), 1,
      sym_hash_operator,
    STATE(9037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10876), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403773] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11096), 1,
      anon_sym_COLON,
    STATE(9038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [403828] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11098), 1,
      anon_sym_DOT,
    ACTIONS(11100), 1,
      anon_sym_POUND,
    ACTIONS(11102), 1,
      sym_hash_operator,
    STATE(9039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10868), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10866), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403887] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11098), 1,
      anon_sym_DOT,
    ACTIONS(11100), 1,
      anon_sym_POUND,
    ACTIONS(11102), 1,
      sym_hash_operator,
    STATE(9040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10876), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403946] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [403999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9162), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9526), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9404), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10880), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10882), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [404211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9418), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404264] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11090), 1,
      anon_sym_DOT,
    ACTIONS(11092), 1,
      anon_sym_POUND,
    ACTIONS(11094), 1,
      sym_hash_operator,
    STATE(9047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10886), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10884), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [404323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9452), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404376] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11090), 1,
      anon_sym_DOT,
    ACTIONS(11092), 1,
      anon_sym_POUND,
    ACTIONS(11094), 1,
      sym_hash_operator,
    STATE(9049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10890), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10888), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [404435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9512), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9516), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9530), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404594] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11104), 1,
      anon_sym_COLON,
    STATE(9053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [404649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9538), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9270), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9278), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9286), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9384), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9248), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9093), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9095), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9360), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405073] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11098), 1,
      anon_sym_DOT,
    STATE(9062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9392), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9426), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9456), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9476), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9480), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9484), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9274), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9290), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9298), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9302), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9310), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9318), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405711] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11106), 1,
      anon_sym_COLON,
    STATE(9074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [405766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10892), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10894), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [405819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9356), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9368), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9388), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9422), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9170), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9174), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9178), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9442), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9444), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406243] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [406296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9448), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9468), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9472), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406455] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [406508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9184), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9188), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9089), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9091), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9282), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9234), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9162), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [406826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9534), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9418), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [406932] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11098), 1,
      anon_sym_DOT,
    ACTIONS(11100), 1,
      anon_sym_POUND,
    ACTIONS(11102), 1,
      sym_hash_operator,
    STATE(9097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10886), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10884), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9452), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407044] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11098), 1,
      anon_sym_DOT,
    ACTIONS(11100), 1,
      anon_sym_POUND,
    ACTIONS(11102), 1,
      sym_hash_operator,
    STATE(9099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10890), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10888), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9512), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9516), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9434), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9530), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407315] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [407368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9538), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9270), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407527] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11090), 1,
      anon_sym_DOT,
    ACTIONS(11092), 1,
      anon_sym_POUND,
    ACTIONS(11094), 1,
      sym_hash_operator,
    STATE(9108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10898), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10896), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9384), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9248), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9093), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9095), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9360), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407851] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11090), 1,
      anon_sym_DOT,
    STATE(9114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9392), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9426), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [407959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9332), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9456), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9476), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9480), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9484), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9274), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408277] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11108), 1,
      anon_sym_COLON,
    STATE(9122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [408332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9290), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9298), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9302), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9438), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9310), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9318), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9340), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9352), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9356), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9368), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9388), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9422), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [408968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9170), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9174), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9178), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9442), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9444), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9448), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9468), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9472), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409339] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [409392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9184), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9188), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9089), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9091), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9282), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9534), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9502), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9428), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409763] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11110), 1,
      anon_sym_PIPE,
    ACTIONS(11112), 1,
      anon_sym_RBRACK,
    STATE(9150), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18830), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9085), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9087), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [409917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9490), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9332), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [410023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9200), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9244), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9154), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [410182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9194), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9464), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9376), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9252), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9328), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410447] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [410500] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11098), 1,
      anon_sym_DOT,
    ACTIONS(11100), 1,
      anon_sym_POUND,
    ACTIONS(11102), 1,
      sym_hash_operator,
    STATE(9163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10898), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10896), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9264), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9292), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9322), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10900), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10902), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [410771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9346), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10906), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [410877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9502), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [410930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9428), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [410983] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [411036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9490), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9200), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9244), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9376), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9252), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9328), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9264), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9292), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9322), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9346), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [411619] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(9184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9520), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411674] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11114), 1,
      anon_sym_PIPE,
    ACTIONS(11116), 1,
      anon_sym_RBRACK,
    STATE(9185), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18089), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411775] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [411828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9546), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411881] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [411934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9460), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10908), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10910), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [412040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9412), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [412093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10912), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10914), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [412146] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11118), 1,
      anon_sym_PIPE,
    ACTIONS(11120), 1,
      anon_sym_RBRACK,
    STATE(9193), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17759), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9156), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [412300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9498), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [412353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10916), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10918), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [412406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10920), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10922), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [412459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10924), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10926), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [412512] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [412565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10786), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [412618] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11122), 1,
      anon_sym_PIPE,
    ACTIONS(11124), 1,
      anon_sym_RBRACK,
    STATE(9201), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18102), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9498), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [412772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9156), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [412825] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_PIPE,
    ACTIONS(11128), 1,
      anon_sym_RBRACK,
    STATE(9204), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18404), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9352), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [412979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413083] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11130), 1,
      anon_sym_RBRACK,
    STATE(9208), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18197), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413181] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11134), 1,
      anon_sym_COLON,
    STATE(9209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11136), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11132), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [413235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9464), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [413287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9204), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [413391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9240), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [413443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [413495] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11138), 1,
      aux_sym_attribute_id_token1,
    STATE(9215), 1,
      sym_attribute,
    STATE(9238), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9995), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9993), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [413551] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11140), 1,
      anon_sym_DOT,
    ACTIONS(11142), 1,
      anon_sym_POUND,
    ACTIONS(11144), 1,
      sym_hash_operator,
    STATE(9216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10868), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10866), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [413609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9262), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [413661] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11146), 1,
      anon_sym_RBRACK,
    STATE(9218), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17705), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413811] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11140), 1,
      anon_sym_DOT,
    ACTIONS(11142), 1,
      anon_sym_POUND,
    ACTIONS(11144), 1,
      sym_hash_operator,
    STATE(9220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10898), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10896), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [413869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9412), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [413921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10812), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413973] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(9223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9520), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [414027] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(9224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9520), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [414081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10830), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414133] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11070), 1,
      anon_sym_PIPE,
    STATE(9226), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20179), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22302), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414231] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11148), 1,
      anon_sym_PIPE,
    STATE(9227), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17503), 1,
      sym__tag_spec,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414329] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11150), 1,
      anon_sym_PIPE,
    STATE(9228), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(16714), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19940), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(21786), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414427] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5951), 1,
      anon_sym_type,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9229), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15020), 1,
      sym__polymorphic_type,
    STATE(15033), 1,
      sym_polymorphic_type,
    STATE(15291), 1,
      sym_type_variable,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17223), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18273), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20901), 1,
      sym__abstract_type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [414527] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(11156), 1,
      anon_sym_LPAREN,
    ACTIONS(11160), 1,
      anon_sym_LBRACE,
    ACTIONS(11162), 1,
      anon_sym_begin,
    ACTIONS(11164), 1,
      aux_sym_number_token1,
    ACTIONS(11166), 1,
      anon_sym_SQUOTE,
    ACTIONS(11168), 1,
      anon_sym_DQUOTE,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    STATE(9230), 1,
      sym_attribute,
    STATE(14041), 1,
      sym_module_path,
    STATE(14354), 1,
      sym_parenthesized_operator,
    STATE(14427), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11158), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14181), 2,
      sym__constant,
      sym_value_path,
    STATE(14373), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(11152), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    ACTIONS(11154), 8,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
  [414607] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11172), 1,
      anon_sym_RBRACK,
    STATE(9231), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17831), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414705] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11174), 1,
      anon_sym_PIPE,
    STATE(9232), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20055), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22453), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414803] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11176), 1,
      anon_sym_PIPE,
    STATE(9233), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17562), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414901] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [414953] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [415005] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11178), 1,
      anon_sym_PIPE,
    STATE(9236), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19400), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22549), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415103] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11180), 1,
      anon_sym_PIPE,
    STATE(9237), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17368), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415201] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11138), 1,
      aux_sym_attribute_id_token1,
    STATE(9238), 1,
      sym_attribute,
    STATE(9328), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10017), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10015), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [415257] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11182), 1,
      anon_sym_PIPE,
    STATE(9239), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19191), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22626), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415355] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11184), 1,
      anon_sym_PIPE,
    STATE(9240), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17354), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415453] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11186), 1,
      anon_sym_PIPE,
    STATE(9241), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19564), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22665), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415551] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11188), 1,
      anon_sym_PIPE,
    STATE(9242), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17126), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415649] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      anon_sym_PIPE,
    STATE(9243), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19254), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22698), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415747] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11190), 1,
      anon_sym_PIPE,
    STATE(9244), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17334), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415845] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11192), 1,
      anon_sym_PIPE,
    STATE(9245), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19834), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22724), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415943] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11194), 1,
      anon_sym_PIPE,
    STATE(9246), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17492), 1,
      sym__tag_spec,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416041] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11196), 1,
      anon_sym_RBRACK,
    STATE(9247), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17781), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416139] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_PIPE,
    STATE(9248), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19575), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22748), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416237] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11198), 1,
      anon_sym_PIPE,
    STATE(9249), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(16983), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10796), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416387] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11200), 1,
      anon_sym_PIPE,
    STATE(9251), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19153), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22768), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416485] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11202), 1,
      anon_sym_PIPE,
    STATE(9252), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17404), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416583] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11082), 1,
      anon_sym_PIPE,
    STATE(9253), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19465), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22787), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416681] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11204), 1,
      anon_sym_PIPE,
    STATE(9254), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17067), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416779] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11206), 1,
      anon_sym_PIPE,
    STATE(9255), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19649), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22806), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416877] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11208), 1,
      anon_sym_PIPE,
    STATE(9256), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17398), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416975] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11210), 1,
      anon_sym_PIPE,
    STATE(9257), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19401), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22823), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417073] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11212), 1,
      anon_sym_PIPE,
    STATE(9258), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17320), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417171] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11214), 1,
      anon_sym_PIPE,
    STATE(9259), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20012), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22840), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417269] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11216), 1,
      anon_sym_PIPE,
    STATE(9260), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17036), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417367] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11218), 1,
      anon_sym_PIPE,
    STATE(9261), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20234), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22857), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417465] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11220), 1,
      anon_sym_PIPE,
    STATE(9262), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17237), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417563] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11222), 1,
      anon_sym_PIPE,
    STATE(9263), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19451), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22874), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417661] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11224), 1,
      anon_sym_PIPE,
    STATE(9264), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17374), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417759] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11226), 1,
      anon_sym_PIPE,
    STATE(9265), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19208), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22891), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417857] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_PIPE,
    STATE(9266), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17632), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417955] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      anon_sym_PIPE,
    STATE(9267), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19952), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22908), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418053] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      anon_sym_PIPE,
    STATE(9268), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17001), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418151] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11234), 1,
      anon_sym_PIPE,
    STATE(9269), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19193), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22924), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418249] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11236), 1,
      anon_sym_PIPE,
    STATE(9270), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17066), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418347] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_PIPE,
    STATE(9271), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19573), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22940), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418445] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      anon_sym_PIPE,
    STATE(9272), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17127), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418543] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11242), 1,
      anon_sym_PIPE,
    STATE(9273), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19921), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22956), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418641] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11244), 1,
      anon_sym_PIPE,
    STATE(9274), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17176), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418739] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5951), 1,
      anon_sym_type,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11246), 1,
      sym__lowercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    STATE(9275), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(13401), 1,
      sym_type_variable,
    STATE(15020), 1,
      sym__polymorphic_type,
    STATE(15033), 1,
      sym_polymorphic_type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(15341), 1,
      sym__type,
    STATE(17254), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(20869), 1,
      sym__abstract_type,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [418839] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11266), 1,
      anon_sym_PIPE,
    STATE(9276), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20180), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(22972), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418937] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11268), 1,
      anon_sym_PIPE,
    STATE(9277), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17230), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419035] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [419087] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11270), 1,
      anon_sym_RBRACK,
    STATE(9279), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18450), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419185] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11150), 1,
      anon_sym_PIPE,
    STATE(9280), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(16904), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19940), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(21786), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419283] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [419335] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11272), 1,
      anon_sym_RBRACK,
    STATE(9282), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18723), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9162), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [419485] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [419537] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_RBRACK,
    STATE(9285), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18835), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419635] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [419687] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(9287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9534), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [419793] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      anon_sym_RBRACK,
    STATE(9289), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(17858), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9418), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [419943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9502), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [419995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9452), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9512), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9516), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9530), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9085), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9087), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420255] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    STATE(9297), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18204), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420353] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_RBRACK,
    STATE(9298), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(17949), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9538), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9270), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10836), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420607] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(9302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9490), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9093), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9095), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [420973] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11282), 1,
      anon_sym_COLON,
    STATE(9309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10786), 20,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9360), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421079] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11140), 1,
      anon_sym_DOT,
    STATE(9311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9392), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421133] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11284), 1,
      anon_sym_RBRACK,
    STATE(9312), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18028), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9426), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9488), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9456), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9476), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9480), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9484), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421543] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11286), 1,
      anon_sym_RBRACK,
    STATE(9319), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18562), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9200), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421693] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11288), 1,
      anon_sym_RBRACK,
    STATE(9321), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18117), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9298), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9302), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [421999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9154), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422103] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11290), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9328), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10025), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10023), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [422157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9318), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9340), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9352), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9356), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9368), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422417] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11293), 1,
      anon_sym_RBRACK,
    STATE(9334), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18590), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422567] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11140), 1,
      anon_sym_DOT,
    ACTIONS(11142), 1,
      anon_sym_POUND,
    ACTIONS(11144), 1,
      sym_hash_operator,
    STATE(9336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10876), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422625] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11295), 1,
      anon_sym_RBRACK,
    STATE(9337), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18212), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9388), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9422), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9170), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9174), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [422983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9442), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9444), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [423035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9448), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [423087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9468), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [423139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10812), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10830), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9472), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [423295] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [423347] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11150), 1,
      anon_sym_PIPE,
    STATE(9350), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19940), 1,
      sym_tag_specification,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    STATE(21786), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9376), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [423497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [423549] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11297), 1,
      anon_sym_RBRACK,
    STATE(9353), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18297), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9328), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [423699] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5951), 1,
      anon_sym_type,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9355), 1,
      sym_attribute,
    STATE(15020), 1,
      sym__polymorphic_type,
    STATE(15033), 1,
      sym_polymorphic_type,
    STATE(15291), 1,
      sym_type_variable,
    STATE(15514), 1,
      sym__simple_type,
    STATE(16659), 1,
      sym__proper_tuple_type,
    STATE(17218), 1,
      sym__type,
    STATE(17431), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20995), 1,
      sym_labeled_tuple_element_type,
    STATE(23317), 1,
      sym_labeled_argument_type,
    STATE(23386), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15430), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [423799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9184), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [423851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [423903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9089), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9091), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [423955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9282), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [424007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9264), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [424059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [424111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9322), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [424163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9346), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [424215] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11299), 1,
      anon_sym_RBRACK,
    STATE(9364), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19035), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9428), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [424365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9244), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [424417] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11140), 1,
      anon_sym_DOT,
    ACTIONS(11142), 1,
      anon_sym_POUND,
    ACTIONS(11144), 1,
      sym_hash_operator,
    STATE(9367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10886), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10884), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [424475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9498), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [424579] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5951), 1,
      anon_sym_type,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11301), 1,
      sym__lowercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    STATE(9370), 1,
      sym_attribute,
    STATE(12665), 1,
      sym_type_variable,
    STATE(12696), 1,
      sym__simple_type,
    STATE(14779), 1,
      sym__proper_tuple_type,
    STATE(14876), 1,
      sym__type,
    STATE(15098), 1,
      sym__polymorphic_type,
    STATE(15102), 1,
      sym_polymorphic_type,
    STATE(17498), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19410), 1,
      sym_extended_module_path,
    STATE(22327), 1,
      sym_labeled_tuple_element_type,
    STATE(22697), 1,
      sym__abstract_type,
    STATE(23307), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13201), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [424679] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11140), 1,
      anon_sym_DOT,
    ACTIONS(11142), 1,
      anon_sym_POUND,
    ACTIONS(11144), 1,
      sym_hash_operator,
    STATE(9371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10890), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10888), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [424737] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11321), 1,
      anon_sym_RBRACK,
    STATE(9372), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18737), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424835] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11323), 1,
      anon_sym_RBRACK,
    STATE(9373), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18324), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424933] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [424985] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5951), 1,
      anon_sym_type,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11325), 1,
      sym__lowercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    STATE(9375), 1,
      sym_attribute,
    STATE(12395), 1,
      sym_type_variable,
    STATE(12528), 1,
      sym__simple_type,
    STATE(14606), 1,
      sym__proper_tuple_type,
    STATE(14876), 1,
      sym__type,
    STATE(15098), 1,
      sym__polymorphic_type,
    STATE(15102), 1,
      sym_polymorphic_type,
    STATE(17288), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19327), 1,
      sym_extended_module_path,
    STATE(21060), 1,
      sym__abstract_type,
    STATE(22509), 1,
      sym_labeled_argument_type,
    STATE(22735), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13255), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [425085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9364), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [425189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9372), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [425241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9396), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [425293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9404), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [425345] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11345), 1,
      anon_sym_RBRACK,
    STATE(9381), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17814), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9460), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [425495] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11347), 1,
      anon_sym_RBRACK,
    STATE(9383), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18820), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425593] = 29,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5951), 1,
      anon_sym_type,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11349), 1,
      sym__lowercase_identifier,
    ACTIONS(11351), 1,
      anon_sym_LPAREN,
    ACTIONS(11353), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11357), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11359), 1,
      anon_sym_LT,
    ACTIONS(11361), 1,
      anon_sym_POUND,
    ACTIONS(11363), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11365), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11367), 1,
      aux_sym_type_variable_token1,
    STATE(9384), 1,
      sym_attribute,
    STATE(14247), 1,
      sym__simple_type,
    STATE(14251), 1,
      sym_type_variable,
    STATE(15020), 1,
      sym__polymorphic_type,
    STATE(15033), 1,
      sym_polymorphic_type,
    STATE(15341), 1,
      sym__type,
    STATE(15572), 1,
      sym__proper_tuple_type,
    STATE(17313), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19949), 1,
      sym_extended_module_path,
    STATE(21367), 1,
      sym__abstract_type,
    STATE(22949), 1,
      sym_labeled_tuple_element_type,
    STATE(23671), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15040), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [425693] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [425745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9434), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [425797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10796), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425849] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11369), 1,
      anon_sym_PIPE,
    STATE(9388), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17618), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9234), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [425999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9306), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [426051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [426103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9336), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [426155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9344), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [426207] = 28,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11371), 1,
      anon_sym_RBRACK,
    STATE(9394), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18170), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10836), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426357] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11373), 1,
      anon_sym_COLON,
    STATE(9396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10786), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426411] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [426463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9438), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [426515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9332), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [426567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9438), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [426720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [426771] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9404), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18562), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426866] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9405), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17535), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426961] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9406), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17745), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3715), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3711), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [427107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10402), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10404), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10406), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10318), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9538), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9540), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427362] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11379), 1,
      sym__lowercase_identifier,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11383), 1,
      anon_sym_LBRACK,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9413), 1,
      sym_attribute,
    STATE(12328), 1,
      sym__class_type,
    STATE(15994), 1,
      sym__simple_type,
    STATE(19062), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11887), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(12327), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(21341), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(11587), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(14568), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [427453] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_DOT,
    ACTIONS(11393), 1,
      anon_sym_POUND,
    ACTIONS(11395), 1,
      sym_hash_operator,
    STATE(9414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9378), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9270), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9268), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427612] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9417), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18197), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427707] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9418), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17472), 1,
      sym__tag_spec,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427853] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9420), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18299), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9382), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11399), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11397), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [428152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9095), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9093), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9360), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9358), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428254] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9427), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17831), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428349] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9428), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17105), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428444] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_DOT,
    STATE(9429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9390), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428497] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9430), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(17872), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428592] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11383), 1,
      anon_sym_LBRACK,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(11401), 1,
      sym__lowercase_identifier,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9431), 1,
      sym_attribute,
    STATE(12297), 1,
      sym__class_type,
    STATE(16121), 1,
      sym__simple_type,
    STATE(20046), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12327), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12813), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(21520), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(11587), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(14568), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [428683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428734] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9433), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18204), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428829] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9434), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17420), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9426), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9424), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428975] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9436), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18249), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9456), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9454), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9476), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9474), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9480), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9478), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9484), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9482), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11413), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11411), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [429325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10916), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10918), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429427] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9444), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18590), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429522] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9445), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17058), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429617] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9446), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18619), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10786), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11415), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430120] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9455), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18820), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430215] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9456), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17046), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9300), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430361] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9458), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18847), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10424), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10426), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10906), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9308), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9318), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9338), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9350), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9354), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9368), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9366), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430915] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9468), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17705), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431010] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9469), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17256), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431105] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9470), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17712), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9388), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9422), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9420), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9168), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9460), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9464), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9172), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9176), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9444), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9442), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431608] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9479), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17781), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431703] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9480), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17415), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10330), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9204), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [431951] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9484), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17791), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9448), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9446), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9468), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9466), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9472), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9470), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9488), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9502), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9500), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432352] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9491), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(17858), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432447] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9492), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(16933), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432542] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9493), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(17870), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9240), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9258), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9182), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11421), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11419), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [432841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9091), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9089), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10478), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10480), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432994] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9501), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(17949), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433089] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9502), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17010), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9282), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9280), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433286] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9505), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(17958), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9262), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11425), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11423), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [433483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11429), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11427), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [433534] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9509), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18028), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433629] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9510), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17078), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11433), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [433775] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9512), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18042), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11437), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11435), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [433921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9306), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433972] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9515), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18117), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434067] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9516), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17133), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10912), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10914), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [434213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11441), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11439), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [434264] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9519), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18131), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [434410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [434461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [434512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [434563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9490), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9492), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [434614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9532), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [434665] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9526), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18212), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434760] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9527), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17182), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [434906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [434957] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9530), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18225), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11443), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9526), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [435205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11449), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11447), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435256] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9535), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18297), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435351] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9536), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17238), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10490), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [435497] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9538), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18307), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9198), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [435643] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11383), 1,
      anon_sym_LBRACK,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(11451), 1,
      sym__lowercase_identifier,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9540), 1,
      sym_attribute,
    STATE(12328), 1,
      sym__class_type,
    STATE(16070), 1,
      sym__simple_type,
    STATE(19631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12282), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(12327), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(21830), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(11587), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(14568), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [435734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [435785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10916), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10918), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [435887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9336), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [435989] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_COLON,
    STATE(9546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11136), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11132), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9330), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [436093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9428), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9430), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [436144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11467), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11473), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11471), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9546), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9344), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [436348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10920), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10922), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [436399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [436450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10924), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10926), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [436501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [436552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11477), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11475), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [436654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9236), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [436705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [436756] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9561), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18835), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11481), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11479), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [436902] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9563), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17135), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11485), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11483), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [437201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [437252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11493), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11491), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10908), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10910), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [437354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10786), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [437405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7937), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [437456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10858), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10860), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [437507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10920), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10922), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [437558] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9575), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18723), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437653] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9576), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(16969), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [437799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11497), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11495), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11501), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11499), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11437), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11435), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438003] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9582), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18929), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11399), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11397), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9374), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9326), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10928), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10930), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10932), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10934), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9322), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9304), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11477), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11475), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [438812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3715), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3711), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10880), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10882), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [438914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11509), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11507), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10322), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11513), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11511), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [439067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10912), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10914), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10402), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10404), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10406), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10318), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439322] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11383), 1,
      anon_sym_LBRACK,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(11451), 1,
      sym__lowercase_identifier,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9607), 1,
      sym_attribute,
    STATE(12297), 1,
      sym__class_type,
    STATE(16070), 1,
      sym__simple_type,
    STATE(19631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12282), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(12327), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(21830), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(11587), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(14568), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [439413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10892), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10894), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10938), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10940), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10942), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10944), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10946), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10948), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10950), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10952), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11517), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11515), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10954), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10956), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10900), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10902), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9342), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [439974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11415), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11521), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11519), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9085), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [440127] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11523), 1,
      anon_sym_COLON,
    STATE(9622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11136), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11132), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10900), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10902), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [440231] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10025), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(10023), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [440282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10904), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10906), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [440333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10924), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10926), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [440384] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9627), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19035), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440479] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9628), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17662), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [440625] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9630), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(17985), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10490), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [440771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [440822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11497), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11495), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [440873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10958), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10960), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [440924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10962), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10964), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [440975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10966), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10968), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [441026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10970), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10972), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [441077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10974), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10976), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [441128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11501), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11499), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [441179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11509), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11507), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [441230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10892), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10894), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [441281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11521), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11519), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [441332] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6431), 1,
      sym__lowercase_identifier,
    ACTIONS(11156), 1,
      anon_sym_LPAREN,
    ACTIONS(11160), 1,
      anon_sym_LBRACE,
    ACTIONS(11162), 1,
      anon_sym_begin,
    ACTIONS(11164), 1,
      aux_sym_number_token1,
    ACTIONS(11166), 1,
      anon_sym_SQUOTE,
    ACTIONS(11168), 1,
      anon_sym_DQUOTE,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    STATE(9643), 1,
      sym_attribute,
    STATE(14041), 1,
      sym_module_path,
    STATE(14354), 1,
      sym_parenthesized_operator,
    STATE(14427), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11158), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14181), 2,
      sym__constant,
      sym_value_path,
    ACTIONS(11152), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    STATE(14373), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(11154), 9,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
  [441411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11421), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11419), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11425), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11423), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441513] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9646), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18324), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441608] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9647), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17553), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10908), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10910), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [441754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10424), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10426), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [441805] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9650), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18434), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9242), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [441951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9202), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [442002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11429), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11427), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10330), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [442104] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9655), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17814), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10978), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10980), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [442250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11513), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11511), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10982), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10984), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [442352] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9659), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17531), 1,
      sym__tag_spec,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10986), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10988), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [442498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10992), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [442549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [442600] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9663), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(17850), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442695] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(11525), 1,
      sym__lowercase_identifier,
    ACTIONS(11527), 1,
      anon_sym_let,
    ACTIONS(11529), 1,
      anon_sym_LBRACK,
    STATE(9664), 1,
      sym_attribute,
    STATE(12328), 1,
      sym__class_type,
    STATE(16163), 1,
      sym__simple_type,
    STATE(19644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12327), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(16645), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(23024), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(11587), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(14568), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [442786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11485), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11483), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9362), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [442939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9372), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [442990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9370), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [443041] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11383), 1,
      anon_sym_LBRACK,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(11531), 1,
      sym__lowercase_identifier,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9670), 1,
      sym_attribute,
    STATE(12297), 1,
      sym__class_type,
    STATE(16247), 1,
      sym__simple_type,
    STATE(20226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12327), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12905), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(21363), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(11587), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(14568), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [443132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10840), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [443183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10478), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10480), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [443234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9152), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [443285] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9674), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18170), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [443431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9402), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [443482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9458), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [443533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10844), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [443584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11441), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11439), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [443635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(7937), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [443686] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9681), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17160), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11493), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11491), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [443832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10928), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10930), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [443883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10932), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10934), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [443934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11413), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11411), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [443985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9432), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9436), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10938), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10940), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10942), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10944), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10946), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10948), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10950), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10952), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10954), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10956), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444342] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9693), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18232), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10958), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10960), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10962), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10964), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10966), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10968), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10970), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10972), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10974), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10976), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9486), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11449), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11447), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9496), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [444845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9396), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [444896] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11383), 1,
      anon_sym_LBRACK,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(11531), 1,
      sym__lowercase_identifier,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9703), 1,
      sym_attribute,
    STATE(12328), 1,
      sym__class_type,
    STATE(16247), 1,
      sym__simple_type,
    STATE(20226), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12327), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12905), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(21363), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(11587), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(14568), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [444987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9404), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9164), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [445089] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9706), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18450), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10978), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10980), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [445235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9462), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [445286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10982), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10984), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [445337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [445388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10986), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10988), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [445439] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11541), 1,
      anon_sym_RPAREN,
    STATE(9712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11537), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [445492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10992), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [445543] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9714), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17360), 1,
      sym__tag_spec,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10840), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [445689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9256), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [445740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [445791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10844), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [445842] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9719), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18473), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445937] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(11525), 1,
      sym__lowercase_identifier,
    ACTIONS(11527), 1,
      anon_sym_let,
    ACTIONS(11529), 1,
      anon_sym_LBRACK,
    STATE(9720), 1,
      sym_attribute,
    STATE(12297), 1,
      sym__class_type,
    STATE(16163), 1,
      sym__simple_type,
    STATE(19644), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12327), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(16645), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(23024), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(11587), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(14568), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [446028] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11383), 1,
      anon_sym_LBRACK,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(11401), 1,
      sym__lowercase_identifier,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9721), 1,
      sym_attribute,
    STATE(12328), 1,
      sym__class_type,
    STATE(16121), 1,
      sym__simple_type,
    STATE(20046), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12327), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12813), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(21520), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(11587), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(14568), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [446119] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_DOT,
    ACTIONS(11393), 1,
      anon_sym_POUND,
    ACTIONS(11395), 1,
      sym_hash_operator,
    STATE(9722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446176] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(9723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9524), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10858), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10860), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10864), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9414), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11443), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10322), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446535] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(9730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9518), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9544), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9418), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9416), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9434), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9452), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9450), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9512), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9510), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [446843] = 25,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11379), 1,
      sym__lowercase_identifier,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11383), 1,
      anon_sym_LBRACK,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9736), 1,
      sym_attribute,
    STATE(12297), 1,
      sym__class_type,
    STATE(15994), 1,
      sym__simple_type,
    STATE(19062), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11887), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(12327), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(21341), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(11587), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(14568), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [446934] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9737), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18737), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447029] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9738), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17519), 1,
      sym__tag_spec,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10880), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10882), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [447175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9516), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9514), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [447226] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9741), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18437), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9530), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9528), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [447372] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9743), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18788), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11481), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11479), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447518] = 27,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10534), 1,
      aux_sym_tag_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9745), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17458), 1,
      sym__type,
    STATE(17526), 1,
      sym_tag,
    STATE(17834), 1,
      sym_tag_specification,
    STATE(18454), 1,
      sym__tag_spec,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10864), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [447664] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11547), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447718] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447780] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11567), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11571), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11569), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [447884] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11575), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11573), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [447934] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447986] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448048] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11581), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448102] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11587), 1,
      anon_sym_PIPE,
    STATE(9755), 1,
      sym_attribute,
    STATE(9870), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448156] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11589), 1,
      anon_sym_COLON,
    STATE(9756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11136), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11132), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448208] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    ACTIONS(11591), 1,
      sym_rel_operator,
    ACTIONS(11593), 1,
      sym_and_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448274] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    ACTIONS(11591), 1,
      sym_rel_operator,
    ACTIONS(11593), 1,
      sym_and_operator,
    ACTIONS(11595), 1,
      sym_or_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448342] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    ACTIONS(11591), 1,
      sym_rel_operator,
    ACTIONS(11593), 1,
      sym_and_operator,
    ACTIONS(11595), 1,
      sym_or_operator,
    ACTIONS(11597), 1,
      anon_sym_COMMA,
    ACTIONS(11599), 1,
      sym_assign_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448414] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11587), 1,
      anon_sym_PIPE,
    STATE(9760), 1,
      sym_attribute,
    STATE(9871), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448468] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11605), 1,
      anon_sym_COMMA,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    ACTIONS(11615), 1,
      sym_rel_operator,
    ACTIONS(11617), 1,
      sym_and_operator,
    ACTIONS(11619), 1,
      sym_or_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448594] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11621), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [448698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11421), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11419), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [448748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11425), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11423), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [448798] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448858] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    ACTIONS(11591), 1,
      sym_rel_operator,
    ACTIONS(11593), 1,
      sym_and_operator,
    ACTIONS(11595), 1,
      sym_or_operator,
    ACTIONS(11597), 1,
      anon_sym_COMMA,
    ACTIONS(11599), 1,
      sym_assign_operator,
    ACTIONS(11631), 1,
      anon_sym_SEMI,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11399), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11397), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [448982] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(9770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9520), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11429), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11427), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [449084] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9526), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449134] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11609), 1,
      sym_pow_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11413), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11411), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [449238] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9412), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449288] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11605), 1,
      anon_sym_COMMA,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    ACTIONS(11615), 1,
      sym_rel_operator,
    ACTIONS(11617), 1,
      sym_and_operator,
    ACTIONS(11619), 1,
      sym_or_operator,
    ACTIONS(11633), 1,
      anon_sym_SEMI,
    ACTIONS(11635), 1,
      sym_assign_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449362] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11609), 1,
      sym_pow_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449416] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(9778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9520), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449468] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449530] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449592] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9546), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [449642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11639), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11637), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [449692] = 26,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11076), 1,
      anon_sym_RPAREN,
    ACTIONS(11641), 1,
      anon_sym_module,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    STATE(9783), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17331), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [449784] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    ACTIONS(11615), 1,
      sym_rel_operator,
    ACTIONS(11617), 1,
      sym_and_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449850] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    ACTIONS(11615), 1,
      sym_rel_operator,
    ACTIONS(11617), 1,
      sym_and_operator,
    ACTIONS(11619), 1,
      sym_or_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449918] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
    ACTIONS(11647), 1,
      anon_sym_SEMI,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    ACTIONS(11657), 1,
      sym_rel_operator,
    ACTIONS(11659), 1,
      sym_and_operator,
    ACTIONS(11661), 1,
      sym_or_operator,
    ACTIONS(11663), 1,
      sym_assign_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449992] = 26,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11080), 1,
      anon_sym_RPAREN,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11665), 1,
      anon_sym_module,
    STATE(9787), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17327), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [450084] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11539), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11537), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [450134] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11605), 1,
      anon_sym_COMMA,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    ACTIONS(11615), 1,
      sym_rel_operator,
    ACTIONS(11617), 1,
      sym_and_operator,
    ACTIONS(11619), 1,
      sym_or_operator,
    ACTIONS(11635), 1,
      sym_assign_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450206] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450262] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11605), 1,
      anon_sym_COMMA,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    ACTIONS(11615), 1,
      sym_rel_operator,
    ACTIONS(11617), 1,
      sym_and_operator,
    ACTIONS(11619), 1,
      sym_or_operator,
    ACTIONS(11635), 1,
      sym_assign_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450334] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11671), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450388] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11605), 1,
      anon_sym_COMMA,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    ACTIONS(11615), 1,
      sym_rel_operator,
    ACTIONS(11617), 1,
      sym_and_operator,
    ACTIONS(11619), 1,
      sym_or_operator,
    ACTIONS(11635), 1,
      sym_assign_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11675), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11673), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450460] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450512] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11671), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450566] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11605), 1,
      anon_sym_COMMA,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    ACTIONS(11615), 1,
      sym_rel_operator,
    ACTIONS(11617), 1,
      sym_and_operator,
    ACTIONS(11619), 1,
      sym_or_operator,
    ACTIONS(11635), 1,
      sym_assign_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450638] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11681), 1,
      anon_sym_PIPE,
    STATE(9797), 1,
      sym_attribute,
    STATE(9811), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450692] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    ACTIONS(11657), 1,
      sym_rel_operator,
    ACTIONS(11659), 1,
      sym_and_operator,
    ACTIONS(11661), 1,
      sym_or_operator,
    ACTIONS(11663), 1,
      sym_assign_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11675), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11673), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450764] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11681), 1,
      anon_sym_PIPE,
    STATE(9799), 1,
      sym_attribute,
    STATE(9811), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450818] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_PIPE,
    STATE(9800), 1,
      sym_attribute,
    STATE(9810), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10302), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [450922] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11689), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11481), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11479), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [451026] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_PIPE,
    STATE(9804), 1,
      sym_attribute,
    STATE(9810), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11485), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11483), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [451130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11493), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11491), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [451180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11437), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11435), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [451230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [451280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11477), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11475), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [451330] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11691), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9810), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451382] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11694), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9811), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451434] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11681), 1,
      anon_sym_PIPE,
    STATE(9797), 1,
      aux_sym__match_cases_repeat1,
    STATE(9812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451488] = 26,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11072), 1,
      anon_sym_RPAREN,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11697), 1,
      anon_sym_module,
    STATE(9813), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17453), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [451580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11517), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11515), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [451630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11415), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [451680] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    ACTIONS(11591), 1,
      sym_rel_operator,
    ACTIONS(11593), 1,
      sym_and_operator,
    ACTIONS(11595), 1,
      sym_or_operator,
    ACTIONS(11597), 1,
      anon_sym_COMMA,
    ACTIONS(11599), 1,
      sym_assign_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11513), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11511), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [451802] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
    ACTIONS(11647), 1,
      anon_sym_SEMI,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    ACTIONS(11657), 1,
      sym_rel_operator,
    ACTIONS(11659), 1,
      sym_and_operator,
    ACTIONS(11661), 1,
      sym_or_operator,
    ACTIONS(11663), 1,
      sym_assign_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451876] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11699), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9819), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11467), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [451978] = 26,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11084), 1,
      anon_sym_RPAREN,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11702), 1,
      anon_sym_module,
    STATE(9821), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17064), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452070] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11567), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11473), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11471), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [452174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11449), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11447), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [452224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [452274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3715), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3711), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [452324] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    ACTIONS(11591), 1,
      sym_rel_operator,
    ACTIONS(11593), 1,
      sym_and_operator,
    ACTIONS(11595), 1,
      sym_or_operator,
    ACTIONS(11597), 1,
      anon_sym_COMMA,
    ACTIONS(11599), 1,
      sym_assign_operator,
    ACTIONS(11631), 1,
      anon_sym_SEMI,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452398] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    ACTIONS(11591), 1,
      sym_rel_operator,
    ACTIONS(11593), 1,
      sym_and_operator,
    ACTIONS(11595), 1,
      sym_or_operator,
    ACTIONS(11597), 1,
      anon_sym_COMMA,
    ACTIONS(11599), 1,
      sym_assign_operator,
    ACTIONS(11631), 1,
      anon_sym_SEMI,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452472] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    ACTIONS(11657), 1,
      sym_rel_operator,
    ACTIONS(11659), 1,
      sym_and_operator,
    ACTIONS(11661), 1,
      sym_or_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452542] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452602] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11605), 1,
      anon_sym_COMMA,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    ACTIONS(11615), 1,
      sym_rel_operator,
    ACTIONS(11617), 1,
      sym_and_operator,
    ACTIONS(11619), 1,
      sym_or_operator,
    ACTIONS(11633), 1,
      anon_sym_SEMI,
    ACTIONS(11635), 1,
      sym_assign_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452676] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11605), 1,
      anon_sym_COMMA,
    ACTIONS(11607), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11609), 1,
      sym_pow_operator,
    ACTIONS(11611), 1,
      sym_mult_operator,
    ACTIONS(11613), 1,
      sym_concat_operator,
    ACTIONS(11615), 1,
      sym_rel_operator,
    ACTIONS(11617), 1,
      sym_and_operator,
    ACTIONS(11619), 1,
      sym_or_operator,
    ACTIONS(11633), 1,
      anon_sym_SEMI,
    ACTIONS(11635), 1,
      sym_assign_operator,
    STATE(2203), 1,
      sym_add_operator,
    STATE(9832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452750] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11651), 1,
      sym_pow_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452804] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11651), 1,
      sym_pow_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452858] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452920] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452982] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    ACTIONS(11657), 1,
      sym_rel_operator,
    ACTIONS(11659), 1,
      sym_and_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [453098] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11681), 1,
      anon_sym_PIPE,
    STATE(9799), 1,
      aux_sym__match_cases_repeat1,
    STATE(9839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [453202] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    ACTIONS(11591), 1,
      sym_rel_operator,
    ACTIONS(11593), 1,
      sym_and_operator,
    ACTIONS(11595), 1,
      sym_or_operator,
    ACTIONS(11597), 1,
      anon_sym_COMMA,
    ACTIONS(11599), 1,
      sym_assign_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11497), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11495), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [453324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11501), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11499), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [453374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11509), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11507), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [453424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11521), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11519), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [453474] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    ACTIONS(11591), 1,
      sym_rel_operator,
    ACTIONS(11593), 1,
      sym_and_operator,
    ACTIONS(11595), 1,
      sym_or_operator,
    ACTIONS(11597), 1,
      anon_sym_COMMA,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453544] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    ACTIONS(11657), 1,
      sym_rel_operator,
    ACTIONS(11659), 1,
      sym_and_operator,
    ACTIONS(11661), 1,
      sym_or_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453612] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11621), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11706), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11704), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11441), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11439), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [453766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11710), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11708), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [453816] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    ACTIONS(11657), 1,
      sym_rel_operator,
    ACTIONS(11659), 1,
      sym_and_operator,
    ACTIONS(11661), 1,
      sym_or_operator,
    ACTIONS(11663), 1,
      sym_assign_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453888] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453944] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    ACTIONS(11657), 1,
      sym_rel_operator,
    ACTIONS(11659), 1,
      sym_and_operator,
    ACTIONS(11661), 1,
      sym_or_operator,
    ACTIONS(11663), 1,
      sym_assign_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454016] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11581), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454070] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    ACTIONS(11657), 1,
      sym_rel_operator,
    ACTIONS(11659), 1,
      sym_and_operator,
    ACTIONS(11661), 1,
      sym_or_operator,
    ACTIONS(11663), 1,
      sym_assign_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11714), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11712), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [454192] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
    ACTIONS(11647), 1,
      anon_sym_SEMI,
    ACTIONS(11649), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11651), 1,
      sym_pow_operator,
    ACTIONS(11653), 1,
      sym_mult_operator,
    ACTIONS(11655), 1,
      sym_concat_operator,
    ACTIONS(11657), 1,
      sym_rel_operator,
    ACTIONS(11659), 1,
      sym_and_operator,
    ACTIONS(11661), 1,
      sym_or_operator,
    ACTIONS(11663), 1,
      sym_assign_operator,
    STATE(2746), 1,
      sym_add_operator,
    STATE(9858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10292), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [454316] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_PIPE,
    STATE(9800), 1,
      aux_sym__match_cases_repeat1,
    STATE(9860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454370] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11689), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11718), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11716), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [454474] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454534] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11687), 1,
      anon_sym_PIPE,
    STATE(9804), 1,
      aux_sym__match_cases_repeat1,
    STATE(9864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454588] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11557), 1,
      sym_pow_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454642] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11541), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11720), 20,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [454692] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11557), 1,
      sym_pow_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [454796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11443), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [454846] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11587), 1,
      anon_sym_PIPE,
    STATE(9819), 1,
      aux_sym__match_cases_repeat1,
    STATE(9870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454900] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11587), 1,
      anon_sym_PIPE,
    STATE(9819), 1,
      aux_sym__match_cases_repeat1,
    STATE(9871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [455004] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11557), 1,
      sym_pow_operator,
    ACTIONS(11559), 1,
      sym_mult_operator,
    ACTIONS(11561), 1,
      sym_concat_operator,
    ACTIONS(11591), 1,
      sym_rel_operator,
    ACTIONS(11593), 1,
      sym_and_operator,
    ACTIONS(11595), 1,
      sym_or_operator,
    ACTIONS(11597), 1,
      anon_sym_COMMA,
    ACTIONS(11599), 1,
      sym_assign_operator,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11675), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11673), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455076] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11547), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455130] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2189), 1,
      sym_add_operator,
    STATE(9875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455182] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9464), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [455232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11433), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [455282] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455341] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11728), 1,
      anon_sym_COMMA,
    ACTIONS(11730), 1,
      anon_sym_SEMI,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11744), 1,
      sym_or_operator,
    ACTIONS(11746), 1,
      sym_assign_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455414] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11750), 1,
      anon_sym_SEMI,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    ACTIONS(11760), 1,
      sym_rel_operator,
    ACTIONS(11762), 1,
      sym_and_operator,
    ACTIONS(11764), 1,
      sym_or_operator,
    ACTIONS(11766), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455487] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(9881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9520), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [455538] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(9882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9520), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [455589] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11768), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455642] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    ACTIONS(11778), 1,
      sym_or_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455711] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11724), 1,
      sym_pow_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455764] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11724), 1,
      sym_pow_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455817] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11772), 1,
      sym_concat_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455878] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11772), 1,
      sym_concat_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455939] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456004] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    ACTIONS(11778), 1,
      sym_or_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456071] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    ACTIONS(11778), 1,
      sym_or_operator,
    ACTIONS(11780), 1,
      sym_assign_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456142] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456197] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    ACTIONS(11778), 1,
      sym_or_operator,
    ACTIONS(11780), 1,
      sym_assign_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456268] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    ACTIONS(11778), 1,
      sym_or_operator,
    ACTIONS(11780), 1,
      sym_assign_operator,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456339] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456390] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    ACTIONS(11784), 1,
      anon_sym_SEMI,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    ACTIONS(11798), 1,
      sym_or_operator,
    ACTIONS(11800), 1,
      sym_assign_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456463] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    ACTIONS(11784), 1,
      anon_sym_SEMI,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    ACTIONS(11798), 1,
      sym_or_operator,
    ACTIONS(11800), 1,
      sym_assign_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456536] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    ACTIONS(11798), 1,
      sym_or_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456605] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456664] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11788), 1,
      sym_pow_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456717] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11788), 1,
      sym_pow_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456770] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456831] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456892] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456957] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    ACTIONS(11798), 1,
      sym_or_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457024] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    ACTIONS(11798), 1,
      sym_or_operator,
    ACTIONS(11800), 1,
      sym_assign_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457095] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457150] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    ACTIONS(11798), 1,
      sym_or_operator,
    ACTIONS(11800), 1,
      sym_assign_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457221] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    ACTIONS(11798), 1,
      sym_or_operator,
    ACTIONS(11800), 1,
      sym_assign_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(9909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457292] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11802), 1,
      anon_sym_PIPE,
    STATE(9910), 1,
      sym_attribute,
    STATE(9912), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457345] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11802), 1,
      anon_sym_PIPE,
    STATE(9911), 1,
      sym_attribute,
    STATE(9912), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457398] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11804), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9912), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457449] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11807), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457502] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11802), 1,
      anon_sym_PIPE,
    STATE(9910), 1,
      aux_sym__match_cases_repeat1,
    STATE(9914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457555] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11802), 1,
      anon_sym_PIPE,
    STATE(9911), 1,
      aux_sym__match_cases_repeat1,
    STATE(9915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457608] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    ACTIONS(11823), 1,
      sym_or_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457677] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457736] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11813), 1,
      sym_pow_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457789] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11813), 1,
      sym_pow_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457842] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457903] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457964] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458029] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    ACTIONS(11823), 1,
      sym_or_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458096] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    ACTIONS(11823), 1,
      sym_or_operator,
    ACTIONS(11825), 1,
      sym_assign_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458167] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458222] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    ACTIONS(11823), 1,
      sym_or_operator,
    ACTIONS(11825), 1,
      sym_assign_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458293] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    ACTIONS(11823), 1,
      sym_or_operator,
    ACTIONS(11825), 1,
      sym_assign_operator,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458364] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    ACTIONS(11837), 1,
      sym_rel_operator,
    ACTIONS(11839), 1,
      sym_and_operator,
    ACTIONS(11841), 1,
      sym_or_operator,
    ACTIONS(11843), 1,
      sym_assign_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11675), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11673), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458435] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458486] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11845), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458539] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11847), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458592] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11849), 1,
      anon_sym_PIPE,
    STATE(9932), 1,
      sym_attribute,
    STATE(9934), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458645] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11849), 1,
      anon_sym_PIPE,
    STATE(9933), 1,
      sym_attribute,
    STATE(9934), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458698] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11851), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9934), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458749] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11849), 1,
      anon_sym_PIPE,
    STATE(9932), 1,
      aux_sym__match_cases_repeat1,
    STATE(9935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458802] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11849), 1,
      anon_sym_PIPE,
    STATE(9933), 1,
      aux_sym__match_cases_repeat1,
    STATE(9936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458855] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
    STATE(9937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458906] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11728), 1,
      anon_sym_COMMA,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11744), 1,
      sym_or_operator,
    ACTIONS(11746), 1,
      sym_assign_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11675), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11673), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458977] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459028] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11854), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459081] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459132] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11807), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459185] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_PIPE,
    STATE(9943), 1,
      sym_attribute,
    STATE(9946), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459238] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    ACTIONS(11760), 1,
      sym_rel_operator,
    ACTIONS(11762), 1,
      sym_and_operator,
    ACTIONS(11764), 1,
      sym_or_operator,
    ACTIONS(11766), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11675), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11673), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459309] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_PIPE,
    STATE(9945), 1,
      sym_attribute,
    STATE(9946), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459362] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11858), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9946), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459413] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459464] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11861), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459517] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11768), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459570] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_PIPE,
    STATE(9943), 1,
      aux_sym__match_cases_repeat1,
    STATE(9950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459623] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_PIPE,
    STATE(9945), 1,
      aux_sym__match_cases_repeat1,
    STATE(9951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459676] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    ACTIONS(11837), 1,
      sym_rel_operator,
    ACTIONS(11839), 1,
      sym_and_operator,
    ACTIONS(11841), 1,
      sym_or_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459745] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459804] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11831), 1,
      sym_pow_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459857] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11831), 1,
      sym_pow_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459910] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459971] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460032] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11863), 1,
      anon_sym_COLON,
    STATE(9958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9630), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9632), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [460083] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    ACTIONS(11837), 1,
      sym_rel_operator,
    ACTIONS(11839), 1,
      sym_and_operator,
    ACTIONS(11841), 1,
      sym_or_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460150] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    ACTIONS(11837), 1,
      sym_rel_operator,
    ACTIONS(11839), 1,
      sym_and_operator,
    ACTIONS(11841), 1,
      sym_or_operator,
    ACTIONS(11843), 1,
      sym_assign_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460221] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460276] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    ACTIONS(11837), 1,
      sym_rel_operator,
    ACTIONS(11839), 1,
      sym_and_operator,
    ACTIONS(11841), 1,
      sym_or_operator,
    ACTIONS(11843), 1,
      sym_assign_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460347] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11845), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460400] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    ACTIONS(11837), 1,
      sym_rel_operator,
    ACTIONS(11839), 1,
      sym_and_operator,
    ACTIONS(11841), 1,
      sym_or_operator,
    ACTIONS(11843), 1,
      sym_assign_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(9964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460471] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11597), 1,
      anon_sym_COMMA,
    STATE(9965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460522] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    ACTIONS(11778), 1,
      sym_or_operator,
    ACTIONS(11780), 1,
      sym_assign_operator,
    ACTIONS(11865), 1,
      anon_sym_SEMI,
    STATE(2494), 1,
      sym_add_operator,
    STATE(9966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460595] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    ACTIONS(11823), 1,
      sym_or_operator,
    ACTIONS(11825), 1,
      sym_assign_operator,
    ACTIONS(11867), 1,
      anon_sym_SEMI,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460668] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11605), 1,
      anon_sym_COMMA,
    STATE(9968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460719] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    ACTIONS(11823), 1,
      sym_or_operator,
    ACTIONS(11825), 1,
      sym_assign_operator,
    ACTIONS(11867), 1,
      anon_sym_SEMI,
    STATE(2647), 1,
      sym_add_operator,
    STATE(9969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460792] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11728), 1,
      anon_sym_COMMA,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11744), 1,
      sym_or_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460861] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460920] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      sym_pow_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460973] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      sym_pow_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461026] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461087] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461148] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461213] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11744), 1,
      sym_or_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461280] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11728), 1,
      anon_sym_COMMA,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11744), 1,
      sym_or_operator,
    ACTIONS(11746), 1,
      sym_assign_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461351] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461406] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11728), 1,
      anon_sym_COMMA,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11744), 1,
      sym_or_operator,
    ACTIONS(11746), 1,
      sym_assign_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461477] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11854), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461530] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11728), 1,
      anon_sym_COMMA,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11744), 1,
      sym_or_operator,
    ACTIONS(11746), 1,
      sym_assign_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(9982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461601] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    ACTIONS(11760), 1,
      sym_rel_operator,
    ACTIONS(11762), 1,
      sym_and_operator,
    ACTIONS(11764), 1,
      sym_or_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461670] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461729] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11754), 1,
      sym_pow_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461782] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11754), 1,
      sym_pow_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461835] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461896] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [461957] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    ACTIONS(11760), 1,
      sym_rel_operator,
    ACTIONS(11762), 1,
      sym_and_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462022] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    ACTIONS(11760), 1,
      sym_rel_operator,
    ACTIONS(11762), 1,
      sym_and_operator,
    ACTIONS(11764), 1,
      sym_or_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462089] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    ACTIONS(11760), 1,
      sym_rel_operator,
    ACTIONS(11762), 1,
      sym_and_operator,
    ACTIONS(11764), 1,
      sym_or_operator,
    ACTIONS(11766), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462160] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462215] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    ACTIONS(11760), 1,
      sym_rel_operator,
    ACTIONS(11762), 1,
      sym_and_operator,
    ACTIONS(11764), 1,
      sym_or_operator,
    ACTIONS(11766), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462286] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11861), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(9994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462339] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    ACTIONS(11760), 1,
      sym_rel_operator,
    ACTIONS(11762), 1,
      sym_and_operator,
    ACTIONS(11764), 1,
      sym_or_operator,
    ACTIONS(11766), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(9995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462410] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11869), 1,
      anon_sym_PIPE,
    STATE(9996), 1,
      sym_attribute,
    STATE(9998), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462463] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11869), 1,
      anon_sym_PIPE,
    STATE(9997), 1,
      sym_attribute,
    STATE(9998), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462516] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11871), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9998), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462567] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11847), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(9999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462620] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11869), 1,
      anon_sym_PIPE,
    STATE(9996), 1,
      aux_sym__match_cases_repeat1,
    STATE(10000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462673] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11869), 1,
      anon_sym_PIPE,
    STATE(9997), 1,
      aux_sym__match_cases_repeat1,
    STATE(10001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462726] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_PIPE,
    STATE(10002), 1,
      sym_attribute,
    STATE(10004), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462779] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_PIPE,
    STATE(10003), 1,
      sym_attribute,
    STATE(10004), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462832] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11876), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10004), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462883] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_PIPE,
    STATE(10002), 1,
      aux_sym__match_cases_repeat1,
    STATE(10005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462936] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11874), 1,
      anon_sym_PIPE,
    STATE(10003), 1,
      aux_sym__match_cases_repeat1,
    STATE(10006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [462989] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11879), 1,
      anon_sym_PIPE,
    STATE(10007), 1,
      sym_attribute,
    STATE(10009), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463042] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11879), 1,
      anon_sym_PIPE,
    STATE(10008), 1,
      sym_attribute,
    STATE(10009), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463095] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11881), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10009), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463146] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11879), 1,
      anon_sym_PIPE,
    STATE(10007), 1,
      aux_sym__match_cases_repeat1,
    STATE(10010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463199] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11879), 1,
      anon_sym_PIPE,
    STATE(10008), 1,
      aux_sym__match_cases_repeat1,
    STATE(10011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463252] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    ACTIONS(11778), 1,
      sym_or_operator,
    ACTIONS(11780), 1,
      sym_assign_operator,
    ACTIONS(11865), 1,
      anon_sym_SEMI,
    STATE(2494), 1,
      sym_add_operator,
    STATE(10012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463325] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    ACTIONS(11778), 1,
      sym_or_operator,
    ACTIONS(11780), 1,
      sym_assign_operator,
    ACTIONS(11865), 1,
      anon_sym_SEMI,
    STATE(2494), 1,
      sym_add_operator,
    STATE(10013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463398] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    ACTIONS(11784), 1,
      anon_sym_SEMI,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    ACTIONS(11798), 1,
      sym_or_operator,
    ACTIONS(11800), 1,
      sym_assign_operator,
    STATE(2583), 1,
      sym_add_operator,
    STATE(10014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463471] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    ACTIONS(11823), 1,
      sym_or_operator,
    ACTIONS(11825), 1,
      sym_assign_operator,
    ACTIONS(11867), 1,
      anon_sym_SEMI,
    STATE(2647), 1,
      sym_add_operator,
    STATE(10015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463544] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2494), 1,
      sym_add_operator,
    STATE(10016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463595] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    ACTIONS(11837), 1,
      sym_rel_operator,
    ACTIONS(11839), 1,
      sym_and_operator,
    ACTIONS(11841), 1,
      sym_or_operator,
    ACTIONS(11843), 1,
      sym_assign_operator,
    ACTIONS(11884), 1,
      anon_sym_SEMI,
    STATE(2175), 1,
      sym_add_operator,
    STATE(10017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463668] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    ACTIONS(11837), 1,
      sym_rel_operator,
    ACTIONS(11839), 1,
      sym_and_operator,
    ACTIONS(11841), 1,
      sym_or_operator,
    ACTIONS(11843), 1,
      sym_assign_operator,
    ACTIONS(11884), 1,
      anon_sym_SEMI,
    STATE(2175), 1,
      sym_add_operator,
    STATE(10018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463741] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11728), 1,
      anon_sym_COMMA,
    ACTIONS(11730), 1,
      anon_sym_SEMI,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11744), 1,
      sym_or_operator,
    ACTIONS(11746), 1,
      sym_assign_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(10019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463814] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11728), 1,
      anon_sym_COMMA,
    ACTIONS(11730), 1,
      anon_sym_SEMI,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11744), 1,
      sym_or_operator,
    ACTIONS(11746), 1,
      sym_assign_operator,
    STATE(2231), 1,
      sym_add_operator,
    STATE(10020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463887] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11750), 1,
      anon_sym_SEMI,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    ACTIONS(11760), 1,
      sym_rel_operator,
    ACTIONS(11762), 1,
      sym_and_operator,
    ACTIONS(11764), 1,
      sym_or_operator,
    ACTIONS(11766), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(10021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [463960] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    ACTIONS(11750), 1,
      anon_sym_SEMI,
    ACTIONS(11752), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11754), 1,
      sym_pow_operator,
    ACTIONS(11756), 1,
      sym_mult_operator,
    ACTIONS(11758), 1,
      sym_concat_operator,
    ACTIONS(11760), 1,
      sym_rel_operator,
    ACTIONS(11762), 1,
      sym_and_operator,
    ACTIONS(11764), 1,
      sym_or_operator,
    ACTIONS(11766), 1,
      sym_assign_operator,
    STATE(2244), 1,
      sym_add_operator,
    STATE(10022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464033] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    ACTIONS(11837), 1,
      sym_rel_operator,
    ACTIONS(11839), 1,
      sym_and_operator,
    ACTIONS(11841), 1,
      sym_or_operator,
    ACTIONS(11843), 1,
      sym_assign_operator,
    ACTIONS(11884), 1,
      anon_sym_SEMI,
    STATE(2175), 1,
      sym_add_operator,
    STATE(10023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464106] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11831), 1,
      sym_pow_operator,
    ACTIONS(11833), 1,
      sym_mult_operator,
    ACTIONS(11835), 1,
      sym_concat_operator,
    ACTIONS(11837), 1,
      sym_rel_operator,
    ACTIONS(11839), 1,
      sym_and_operator,
    STATE(2175), 1,
      sym_add_operator,
    STATE(10024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464171] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    ACTIONS(11823), 1,
      sym_or_operator,
    ACTIONS(11825), 1,
      sym_assign_operator,
    ACTIONS(11886), 1,
      anon_sym_SEMI,
    STATE(2647), 1,
      sym_add_operator,
    STATE(10025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464243] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    ACTIONS(11900), 1,
      sym_or_operator,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464309] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    ACTIONS(11900), 1,
      sym_or_operator,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      sym_assign_operator,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464379] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464433] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    ACTIONS(11900), 1,
      sym_or_operator,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      sym_assign_operator,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464503] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11906), 1,
      anon_sym_module,
    STATE(10030), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19660), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464589] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    ACTIONS(11900), 1,
      sym_or_operator,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      sym_assign_operator,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464659] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11908), 1,
      anon_sym_module,
    STATE(10032), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19317), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464745] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464797] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10034), 1,
      sym_attribute,
    STATE(10676), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11914), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11912), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464855] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [464905] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11922), 1,
      sym__lowercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_LPAREN,
    ACTIONS(11926), 1,
      anon_sym_private,
    ACTIONS(11928), 1,
      anon_sym_LBRACK,
    ACTIONS(11930), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11932), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11934), 1,
      anon_sym_LT,
    ACTIONS(11936), 1,
      anon_sym_POUND,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11942), 1,
      aux_sym_type_variable_token1,
    STATE(10036), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(10871), 1,
      sym__simple_type,
    STATE(12741), 1,
      sym__proper_tuple_type,
    STATE(19084), 1,
      sym_extended_module_path,
    STATE(22280), 1,
      sym_labeled_argument_type,
    STATE(23345), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11731), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464991] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [465041] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(525), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(587), 1,
      aux_sym_directive_token1,
    ACTIONS(757), 1,
      anon_sym_end,
    ACTIONS(11944), 1,
      anon_sym_let,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11948), 1,
      anon_sym_type,
    ACTIONS(11950), 1,
      anon_sym_exception,
    ACTIONS(11952), 1,
      anon_sym_module,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(11958), 1,
      anon_sym_class,
    ACTIONS(11960), 1,
      sym_let_operator,
    STATE(116), 1,
      aux_sym__structure_repeat1,
    STATE(9643), 1,
      sym_directive,
    STATE(10038), 1,
      sym_attribute,
    STATE(10162), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [465125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [465173] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11665), 1,
      anon_sym_module,
    STATE(10040), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17327), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465259] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [465311] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11665), 1,
      anon_sym_module,
    STATE(10042), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20237), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465397] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    ACTIONS(11778), 1,
      sym_or_operator,
    ACTIONS(11780), 1,
      sym_assign_operator,
    ACTIONS(11962), 1,
      anon_sym_SEMI,
    STATE(2494), 1,
      sym_add_operator,
    STATE(10043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [465469] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    STATE(10044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [465519] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11964), 1,
      anon_sym_module,
    STATE(10045), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17353), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465605] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    ACTIONS(11968), 1,
      anon_sym_SEMI,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    ACTIONS(11980), 1,
      sym_or_operator,
    ACTIONS(11982), 1,
      sym_assign_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [465677] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11984), 1,
      sym__lowercase_identifier,
    ACTIONS(11986), 1,
      anon_sym_LPAREN,
    ACTIONS(11988), 1,
      anon_sym_private,
    ACTIONS(11990), 1,
      anon_sym_LBRACK,
    ACTIONS(11992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11996), 1,
      anon_sym_LT,
    ACTIONS(11998), 1,
      anon_sym_POUND,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12004), 1,
      aux_sym_type_variable_token1,
    STATE(10047), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(15292), 1,
      sym__simple_type,
    STATE(16095), 1,
      sym__proper_tuple_type,
    STATE(19126), 1,
      sym_extended_module_path,
    STATE(23158), 1,
      sym_labeled_argument_type,
    STATE(23715), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15586), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465763] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11964), 1,
      anon_sym_module,
    STATE(10048), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19389), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465849] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    ACTIONS(11778), 1,
      sym_or_operator,
    ACTIONS(11780), 1,
      sym_assign_operator,
    ACTIONS(11962), 1,
      anon_sym_SEMI,
    STATE(2494), 1,
      sym_add_operator,
    STATE(10049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [465921] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    STATE(10050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [465971] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    ACTIONS(11968), 1,
      anon_sym_SEMI,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    ACTIONS(11980), 1,
      sym_or_operator,
    ACTIONS(11982), 1,
      sym_assign_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [466043] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11697), 1,
      anon_sym_module,
    STATE(10052), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17453), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466129] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12006), 1,
      anon_sym_AMP,
    STATE(10053), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(16617), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466215] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(525), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(587), 1,
      aux_sym_directive_token1,
    ACTIONS(597), 1,
      anon_sym_end,
    ACTIONS(11944), 1,
      anon_sym_let,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11948), 1,
      anon_sym_type,
    ACTIONS(11950), 1,
      anon_sym_exception,
    ACTIONS(11952), 1,
      anon_sym_module,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(11958), 1,
      anon_sym_class,
    ACTIONS(11960), 1,
      sym_let_operator,
    STATE(117), 1,
      aux_sym__structure_repeat1,
    STATE(9643), 1,
      sym_directive,
    STATE(10054), 1,
      sym_attribute,
    STATE(10162), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [466299] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12008), 1,
      sym__lowercase_identifier,
    ACTIONS(12010), 1,
      anon_sym_LPAREN,
    ACTIONS(12012), 1,
      anon_sym_private,
    ACTIONS(12014), 1,
      anon_sym_LBRACK,
    ACTIONS(12016), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12018), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12020), 1,
      anon_sym_LT,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12026), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12028), 1,
      aux_sym_type_variable_token1,
    STATE(10055), 1,
      sym_attribute,
    STATE(15158), 1,
      sym__simple_type,
    STATE(15769), 1,
      sym__type,
    STATE(15795), 1,
      sym__proper_tuple_type,
    STATE(19870), 1,
      sym_extended_module_path,
    STATE(21334), 1,
      sym_labeled_argument_type,
    STATE(23515), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15430), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466385] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11697), 1,
      anon_sym_module,
    STATE(10056), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20301), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466471] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12030), 1,
      anon_sym_module,
    STATE(10057), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17390), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466557] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12030), 1,
      anon_sym_module,
    STATE(10058), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20268), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466643] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    ACTIONS(11980), 1,
      sym_or_operator,
    ACTIONS(11982), 1,
      sym_assign_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [466713] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(167), 1,
      aux_sym_directive_token1,
    ACTIONS(757), 1,
      ts_builtin_sym_end,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(12032), 1,
      anon_sym_let,
    ACTIONS(12034), 1,
      anon_sym_type,
    ACTIONS(12036), 1,
      anon_sym_exception,
    ACTIONS(12038), 1,
      anon_sym_module,
    ACTIONS(12040), 1,
      anon_sym_class,
    ACTIONS(12042), 1,
      sym_let_operator,
    STATE(103), 1,
      aux_sym__structure_repeat1,
    STATE(9230), 1,
      sym_directive,
    STATE(10060), 1,
      sym_attribute,
    STATE(10141), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [466797] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11906), 1,
      anon_sym_module,
    STATE(10061), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17433), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466883] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(167), 1,
      aux_sym_directive_token1,
    ACTIONS(755), 1,
      anon_sym_RBRACK,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(12034), 1,
      anon_sym_type,
    ACTIONS(12036), 1,
      anon_sym_exception,
    ACTIONS(12038), 1,
      anon_sym_module,
    ACTIONS(12044), 1,
      anon_sym_let,
    ACTIONS(12046), 1,
      anon_sym_class,
    ACTIONS(12048), 1,
      sym_let_operator,
    STATE(109), 1,
      aux_sym__structure_repeat1,
    STATE(9230), 1,
      sym_directive,
    STATE(10062), 1,
      sym_attribute,
    STATE(10156), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [466967] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(167), 1,
      aux_sym_directive_token1,
    ACTIONS(597), 1,
      ts_builtin_sym_end,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(12032), 1,
      anon_sym_let,
    ACTIONS(12034), 1,
      anon_sym_type,
    ACTIONS(12036), 1,
      anon_sym_exception,
    ACTIONS(12038), 1,
      anon_sym_module,
    ACTIONS(12040), 1,
      anon_sym_class,
    ACTIONS(12042), 1,
      sym_let_operator,
    STATE(112), 1,
      aux_sym__structure_repeat1,
    STATE(9230), 1,
      sym_directive,
    STATE(10060), 1,
      aux_sym__structure_repeat2,
    STATE(10063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [467051] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12050), 1,
      anon_sym_PIPE,
    STATE(10064), 1,
      sym_attribute,
    STATE(10066), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467103] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12050), 1,
      anon_sym_PIPE,
    STATE(10065), 1,
      sym_attribute,
    STATE(10066), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467155] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12052), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10066), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467205] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12055), 1,
      sym__lowercase_identifier,
    ACTIONS(12057), 1,
      anon_sym_LPAREN,
    ACTIONS(12059), 1,
      anon_sym_private,
    ACTIONS(12061), 1,
      anon_sym_LBRACK,
    ACTIONS(12063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12067), 1,
      anon_sym_LT,
    ACTIONS(12069), 1,
      anon_sym_POUND,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12075), 1,
      aux_sym_type_variable_token1,
    STATE(10067), 1,
      sym_attribute,
    STATE(10762), 1,
      sym__simple_type,
    STATE(10784), 1,
      sym__type,
    STATE(12152), 1,
      sym__proper_tuple_type,
    STATE(20139), 1,
      sym_extended_module_path,
    STATE(20508), 1,
      sym_labeled_tuple_element_type,
    STATE(20973), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11082), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467291] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12050), 1,
      anon_sym_PIPE,
    STATE(10064), 1,
      aux_sym__match_cases_repeat1,
    STATE(10068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467343] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11702), 1,
      anon_sym_module,
    STATE(10069), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17064), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467429] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12050), 1,
      anon_sym_PIPE,
    STATE(10065), 1,
      aux_sym__match_cases_repeat1,
    STATE(10070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467481] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(10071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9520), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [467531] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11702), 1,
      anon_sym_module,
    STATE(10072), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19545), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467617] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(525), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(587), 1,
      aux_sym_directive_token1,
    ACTIONS(597), 1,
      anon_sym_end,
    ACTIONS(11944), 1,
      anon_sym_let,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11948), 1,
      anon_sym_type,
    ACTIONS(11950), 1,
      anon_sym_exception,
    ACTIONS(11952), 1,
      anon_sym_module,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(11958), 1,
      anon_sym_class,
    ACTIONS(11960), 1,
      sym_let_operator,
    STATE(117), 1,
      aux_sym__structure_repeat1,
    STATE(9643), 1,
      sym_directive,
    STATE(10038), 1,
      aux_sym__structure_repeat2,
    STATE(10073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [467701] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    STATE(10074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467751] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12077), 1,
      anon_sym_module,
    STATE(10075), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17389), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467837] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12077), 1,
      anon_sym_module,
    STATE(10076), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20092), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9648), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9650), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [467971] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11728), 1,
      anon_sym_COMMA,
    STATE(10078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468021] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9412), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [468069] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12079), 1,
      sym__lowercase_identifier,
    ACTIONS(12081), 1,
      anon_sym_LPAREN,
    ACTIONS(12083), 1,
      anon_sym_private,
    ACTIONS(12085), 1,
      anon_sym_LBRACK,
    ACTIONS(12087), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12089), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12091), 1,
      anon_sym_LT,
    ACTIONS(12093), 1,
      anon_sym_POUND,
    ACTIONS(12095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12099), 1,
      aux_sym_type_variable_token1,
    STATE(10080), 1,
      sym_attribute,
    STATE(10732), 1,
      sym__simple_type,
    STATE(10784), 1,
      sym__type,
    STATE(11931), 1,
      sym__proper_tuple_type,
    STATE(20353), 1,
      sym_extended_module_path,
    STATE(21733), 1,
      sym_labeled_argument_type,
    STATE(23144), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10828), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468155] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12101), 1,
      anon_sym_module,
    STATE(10081), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17351), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468241] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468301] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12101), 1,
      anon_sym_module,
    STATE(10083), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19450), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468387] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12103), 1,
      anon_sym_PIPE,
    STATE(10084), 1,
      sym_attribute,
    STATE(10086), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468439] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12103), 1,
      anon_sym_PIPE,
    STATE(10085), 1,
      sym_attribute,
    STATE(10086), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468491] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12105), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10086), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468541] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12103), 1,
      anon_sym_PIPE,
    STATE(10084), 1,
      aux_sym__match_cases_repeat1,
    STATE(10087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468593] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12108), 1,
      anon_sym_module,
    STATE(10088), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17123), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468679] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468739] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12103), 1,
      anon_sym_PIPE,
    STATE(10085), 1,
      aux_sym__match_cases_repeat1,
    STATE(10090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468791] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_PIPE,
    STATE(10091), 1,
      sym_attribute,
    STATE(10093), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468843] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_PIPE,
    STATE(10092), 1,
      sym_attribute,
    STATE(10093), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468895] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12112), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10093), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468945] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    ACTIONS(11823), 1,
      sym_or_operator,
    ACTIONS(11825), 1,
      sym_assign_operator,
    ACTIONS(11886), 1,
      anon_sym_SEMI,
    STATE(2647), 1,
      sym_add_operator,
    STATE(10094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469017] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_PIPE,
    STATE(10091), 1,
      aux_sym__match_cases_repeat1,
    STATE(10095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469069] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12115), 1,
      anon_sym_module,
    STATE(10096), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17191), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469155] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469205] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12110), 1,
      anon_sym_PIPE,
    STATE(10092), 1,
      aux_sym__match_cases_repeat1,
    STATE(10098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469257] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12115), 1,
      anon_sym_module,
    STATE(10099), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19732), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469343] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12108), 1,
      anon_sym_module,
    STATE(10100), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20033), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469429] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    STATE(10101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469479] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    ACTIONS(12131), 1,
      sym_or_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469547] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469605] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12121), 1,
      sym_pow_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469657] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12121), 1,
      sym_pow_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469709] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469769] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469829] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469893] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    ACTIONS(12131), 1,
      sym_or_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469959] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    ACTIONS(12131), 1,
      sym_or_operator,
    ACTIONS(12133), 1,
      sym_assign_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470029] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470083] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    ACTIONS(12131), 1,
      sym_or_operator,
    ACTIONS(12133), 1,
      sym_assign_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470153] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470217] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    ACTIONS(12131), 1,
      sym_or_operator,
    ACTIONS(12133), 1,
      sym_assign_operator,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470287] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9526), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [470335] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(10116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9520), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [470385] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9464), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [470433] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(525), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(587), 1,
      aux_sym_directive_token1,
    ACTIONS(755), 1,
      anon_sym_end,
    ACTIONS(11944), 1,
      anon_sym_let,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11948), 1,
      anon_sym_type,
    ACTIONS(11950), 1,
      anon_sym_exception,
    ACTIONS(11952), 1,
      anon_sym_module,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(11958), 1,
      anon_sym_class,
    ACTIONS(11960), 1,
      sym_let_operator,
    STATE(114), 1,
      aux_sym__structure_repeat1,
    STATE(9643), 1,
      sym_directive,
    STATE(10054), 1,
      aux_sym__structure_repeat2,
    STATE(10118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [470517] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12135), 1,
      anon_sym_module,
    STATE(10119), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17034), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470603] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    ACTIONS(11798), 1,
      sym_or_operator,
    ACTIONS(11800), 1,
      sym_assign_operator,
    ACTIONS(12137), 1,
      anon_sym_SEMI,
    STATE(2583), 1,
      sym_add_operator,
    STATE(10120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470675] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11641), 1,
      anon_sym_module,
    STATE(10121), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17331), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470761] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12135), 1,
      anon_sym_module,
    STATE(10122), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20091), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470847] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    ACTIONS(11798), 1,
      sym_or_operator,
    ACTIONS(11800), 1,
      sym_assign_operator,
    ACTIONS(12137), 1,
      anon_sym_SEMI,
    STATE(2583), 1,
      sym_add_operator,
    STATE(10123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [470919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10836), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [470967] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12139), 1,
      anon_sym_module,
    STATE(10125), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17235), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471053] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12139), 1,
      anon_sym_module,
    STATE(10126), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20106), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471139] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12141), 1,
      anon_sym_module,
    STATE(10127), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17373), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471225] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12141), 1,
      anon_sym_module,
    STATE(10128), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19731), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471311] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(167), 1,
      aux_sym_directive_token1,
    ACTIONS(597), 1,
      ts_builtin_sym_end,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(12032), 1,
      anon_sym_let,
    ACTIONS(12034), 1,
      anon_sym_type,
    ACTIONS(12036), 1,
      anon_sym_exception,
    ACTIONS(12038), 1,
      anon_sym_module,
    ACTIONS(12040), 1,
      anon_sym_class,
    ACTIONS(12042), 1,
      sym_let_operator,
    STATE(112), 1,
      aux_sym__structure_repeat1,
    STATE(9230), 1,
      sym_directive,
    STATE(10129), 1,
      sym_attribute,
    STATE(10141), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [471395] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471459] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    ACTIONS(11980), 1,
      sym_or_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471525] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    ACTIONS(11980), 1,
      sym_or_operator,
    ACTIONS(11982), 1,
      sym_assign_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471595] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12143), 1,
      anon_sym_module,
    STATE(10133), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17628), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471681] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11641), 1,
      anon_sym_module,
    STATE(10134), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19403), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471767] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12143), 1,
      anon_sym_module,
    STATE(10135), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19483), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471853] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11972), 1,
      sym_mult_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [471907] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9546), 20,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471955] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    ACTIONS(11980), 1,
      sym_or_operator,
    ACTIONS(11982), 1,
      sym_assign_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [472025] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    ACTIONS(11786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11788), 1,
      sym_pow_operator,
    ACTIONS(11790), 1,
      sym_mult_operator,
    ACTIONS(11792), 1,
      sym_concat_operator,
    ACTIONS(11794), 1,
      sym_rel_operator,
    ACTIONS(11796), 1,
      sym_and_operator,
    ACTIONS(11798), 1,
      sym_or_operator,
    ACTIONS(11800), 1,
      sym_assign_operator,
    ACTIONS(12137), 1,
      anon_sym_SEMI,
    STATE(2583), 1,
      sym_add_operator,
    STATE(10139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [472097] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12145), 1,
      anon_sym_module,
    STATE(10140), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17000), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472183] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12147), 1,
      ts_builtin_sym_end,
    ACTIONS(12149), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12152), 1,
      anon_sym_let,
    ACTIONS(12155), 1,
      anon_sym_external,
    ACTIONS(12158), 1,
      anon_sym_type,
    ACTIONS(12161), 1,
      anon_sym_exception,
    ACTIONS(12164), 1,
      anon_sym_module,
    ACTIONS(12167), 1,
      anon_sym_open,
    ACTIONS(12170), 1,
      anon_sym_include,
    ACTIONS(12173), 1,
      anon_sym_class,
    ACTIONS(12176), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12179), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12182), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12185), 1,
      sym_let_operator,
    ACTIONS(12188), 1,
      aux_sym_directive_token1,
    STATE(122), 1,
      aux_sym__structure_repeat1,
    STATE(9230), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10141), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [472265] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12145), 1,
      anon_sym_module,
    STATE(10142), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20084), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472351] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    ACTIONS(11980), 1,
      sym_or_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [472419] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12191), 1,
      anon_sym_module,
    STATE(10144), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17065), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472505] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12191), 1,
      anon_sym_module,
    STATE(10145), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19300), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472591] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12193), 1,
      anon_sym_module,
    STATE(10146), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17125), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472677] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12193), 1,
      anon_sym_module,
    STATE(10147), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19681), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472763] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11908), 1,
      anon_sym_module,
    STATE(10148), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17556), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472849] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12195), 1,
      anon_sym_module,
    STATE(10149), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17175), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472935] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12195), 1,
      anon_sym_module,
    STATE(10150), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19996), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473021] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12197), 1,
      anon_sym_module,
    STATE(10151), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17229), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473107] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12197), 1,
      anon_sym_module,
    STATE(10152), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20247), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473193] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10662), 1,
      sym__lowercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12201), 1,
      anon_sym_private,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    STATE(10153), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(11496), 1,
      sym__simple_type,
    STATE(13574), 1,
      sym__proper_tuple_type,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(21251), 1,
      sym_labeled_argument_type,
    STATE(22131), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473279] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    ACTIONS(11968), 1,
      anon_sym_SEMI,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    ACTIONS(11980), 1,
      sym_or_operator,
    ACTIONS(11982), 1,
      sym_assign_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473351] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    ACTIONS(11811), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11813), 1,
      sym_pow_operator,
    ACTIONS(11815), 1,
      sym_mult_operator,
    ACTIONS(11817), 1,
      sym_concat_operator,
    ACTIONS(11819), 1,
      sym_rel_operator,
    ACTIONS(11821), 1,
      sym_and_operator,
    ACTIONS(11823), 1,
      sym_or_operator,
    ACTIONS(11825), 1,
      sym_assign_operator,
    ACTIONS(11886), 1,
      anon_sym_SEMI,
    STATE(2647), 1,
      sym_add_operator,
    STATE(10155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473423] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(167), 1,
      aux_sym_directive_token1,
    ACTIONS(597), 1,
      anon_sym_RBRACK,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(12034), 1,
      anon_sym_type,
    ACTIONS(12036), 1,
      anon_sym_exception,
    ACTIONS(12038), 1,
      anon_sym_module,
    ACTIONS(12044), 1,
      anon_sym_let,
    ACTIONS(12046), 1,
      anon_sym_class,
    ACTIONS(12048), 1,
      sym_let_operator,
    STATE(110), 1,
      aux_sym__structure_repeat1,
    STATE(9230), 1,
      sym_directive,
    STATE(10156), 1,
      sym_attribute,
    STATE(10175), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [473507] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    ACTIONS(12131), 1,
      sym_or_operator,
    ACTIONS(12133), 1,
      sym_assign_operator,
    ACTIONS(12205), 1,
      anon_sym_SEMI,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473579] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    ACTIONS(12131), 1,
      sym_or_operator,
    ACTIONS(12133), 1,
      sym_assign_operator,
    ACTIONS(12205), 1,
      anon_sym_SEMI,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10812), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [473699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [473747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10828), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10830), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [473795] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12147), 1,
      anon_sym_end,
    ACTIONS(12149), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12155), 1,
      anon_sym_external,
    ACTIONS(12167), 1,
      anon_sym_open,
    ACTIONS(12170), 1,
      anon_sym_include,
    ACTIONS(12176), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12179), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12182), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12207), 1,
      anon_sym_let,
    ACTIONS(12210), 1,
      anon_sym_type,
    ACTIONS(12213), 1,
      anon_sym_exception,
    ACTIONS(12216), 1,
      anon_sym_module,
    ACTIONS(12219), 1,
      anon_sym_class,
    ACTIONS(12222), 1,
      sym_let_operator,
    ACTIONS(12225), 1,
      aux_sym_directive_token1,
    STATE(123), 1,
      aux_sym__structure_repeat1,
    STATE(9643), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10162), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [473877] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [473935] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(167), 1,
      aux_sym_directive_token1,
    ACTIONS(597), 1,
      anon_sym_RBRACK,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(12034), 1,
      anon_sym_type,
    ACTIONS(12036), 1,
      anon_sym_exception,
    ACTIONS(12038), 1,
      anon_sym_module,
    ACTIONS(12044), 1,
      anon_sym_let,
    ACTIONS(12046), 1,
      anon_sym_class,
    ACTIONS(12048), 1,
      sym_let_operator,
    STATE(110), 1,
      aux_sym__structure_repeat1,
    STATE(9230), 1,
      sym_directive,
    STATE(10164), 1,
      sym_attribute,
    STATE(10179), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [474019] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10588), 1,
      sym__lowercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12230), 1,
      anon_sym_private,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    STATE(10165), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(11074), 1,
      sym__simple_type,
    STATE(12845), 1,
      sym__proper_tuple_type,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(20610), 1,
      sym_labeled_argument_type,
    STATE(21823), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474105] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12234), 1,
      sym__lowercase_identifier,
    ACTIONS(12236), 1,
      anon_sym_LPAREN,
    ACTIONS(12238), 1,
      anon_sym_private,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(12242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12246), 1,
      anon_sym_LT,
    ACTIONS(12248), 1,
      anon_sym_POUND,
    ACTIONS(12250), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12252), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12254), 1,
      aux_sym_type_variable_token1,
    STATE(10166), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(10878), 1,
      sym__simple_type,
    STATE(12930), 1,
      sym__proper_tuple_type,
    STATE(19875), 1,
      sym_extended_module_path,
    STATE(20444), 1,
      sym_labeled_tuple_element_type,
    STATE(20582), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11642), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474191] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10167), 1,
      sym_attribute,
    STATE(10676), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12258), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12256), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [474249] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(167), 1,
      aux_sym_directive_token1,
    ACTIONS(755), 1,
      ts_builtin_sym_end,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(12032), 1,
      anon_sym_let,
    ACTIONS(12034), 1,
      anon_sym_type,
    ACTIONS(12036), 1,
      anon_sym_exception,
    ACTIONS(12038), 1,
      anon_sym_module,
    ACTIONS(12040), 1,
      anon_sym_class,
    ACTIONS(12042), 1,
      sym_let_operator,
    STATE(104), 1,
      aux_sym__structure_repeat1,
    STATE(9230), 1,
      sym_directive,
    STATE(10129), 1,
      aux_sym__structure_repeat2,
    STATE(10168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [474333] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10620), 1,
      sym__lowercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12262), 1,
      anon_sym_private,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    STATE(10169), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(10825), 1,
      sym__simple_type,
    STATE(12421), 1,
      sym__proper_tuple_type,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21973), 1,
      sym_labeled_argument_type,
    STATE(23318), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474419] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    ACTIONS(11900), 1,
      sym_or_operator,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      sym_assign_operator,
    ACTIONS(12266), 1,
      anon_sym_SEMI,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10304), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10302), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474491] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    ACTIONS(11900), 1,
      sym_or_operator,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      sym_assign_operator,
    ACTIONS(12266), 1,
      anon_sym_SEMI,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10294), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474563] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    ACTIONS(12131), 1,
      sym_or_operator,
    ACTIONS(12133), 1,
      sym_assign_operator,
    ACTIONS(12205), 1,
      anon_sym_SEMI,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [474635] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12268), 1,
      anon_sym_module,
    STATE(10173), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17489), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474721] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10706), 1,
      sym__lowercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12272), 1,
      anon_sym_private,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    STATE(10174), 1,
      sym_attribute,
    STATE(10784), 1,
      sym__type,
    STATE(11483), 1,
      sym__simple_type,
    STATE(13311), 1,
      sym__proper_tuple_type,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(21401), 1,
      sym_labeled_argument_type,
    STATE(22531), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474807] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12147), 1,
      anon_sym_RBRACK,
    ACTIONS(12149), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12155), 1,
      anon_sym_external,
    ACTIONS(12158), 1,
      anon_sym_type,
    ACTIONS(12161), 1,
      anon_sym_exception,
    ACTIONS(12164), 1,
      anon_sym_module,
    ACTIONS(12167), 1,
      anon_sym_open,
    ACTIONS(12170), 1,
      anon_sym_include,
    ACTIONS(12176), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12179), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12182), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12188), 1,
      aux_sym_directive_token1,
    ACTIONS(12276), 1,
      anon_sym_let,
    ACTIONS(12279), 1,
      anon_sym_class,
    ACTIONS(12282), 1,
      sym_let_operator,
    STATE(125), 1,
      aux_sym__structure_repeat1,
    STATE(9230), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10175), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [474889] = 24,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8801), 1,
      sym__lowercase_identifier,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12268), 1,
      anon_sym_module,
    STATE(10176), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20019), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474975] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    ACTIONS(11900), 1,
      sym_or_operator,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475043] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    ACTIONS(11900), 1,
      sym_or_operator,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      sym_assign_operator,
    ACTIONS(12266), 1,
      anon_sym_SEMI,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475115] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(167), 1,
      aux_sym_directive_token1,
    ACTIONS(757), 1,
      anon_sym_RBRACK,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(11956), 1,
      anon_sym_include,
    ACTIONS(12034), 1,
      anon_sym_type,
    ACTIONS(12036), 1,
      anon_sym_exception,
    ACTIONS(12038), 1,
      anon_sym_module,
    ACTIONS(12044), 1,
      anon_sym_let,
    ACTIONS(12046), 1,
      anon_sym_class,
    ACTIONS(12048), 1,
      sym_let_operator,
    STATE(111), 1,
      aux_sym__structure_repeat1,
    STATE(9230), 1,
      sym_directive,
    STATE(10175), 1,
      aux_sym__structure_repeat2,
    STATE(10179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14166), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(14174), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [475199] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475257] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11890), 1,
      sym_pow_operator,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10794), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10796), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [475357] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11890), 1,
      sym_pow_operator,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475409] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475469] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475529] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      sym_pow_operator,
    ACTIONS(11726), 1,
      sym_mult_operator,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    ACTIONS(11772), 1,
      sym_concat_operator,
    ACTIONS(11774), 1,
      sym_rel_operator,
    ACTIONS(11776), 1,
      sym_and_operator,
    ACTIONS(11778), 1,
      sym_or_operator,
    ACTIONS(11780), 1,
      sym_assign_operator,
    ACTIONS(11962), 1,
      anon_sym_SEMI,
    STATE(2494), 1,
      sym_add_operator,
    STATE(10186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475601] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    STATE(10187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [475651] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10188), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19536), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475734] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [475783] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12285), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(10190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [475834] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10191), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19539), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475917] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10192), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19762), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476000] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11986), 1,
      anon_sym_LPAREN,
    ACTIONS(11990), 1,
      anon_sym_LBRACK,
    ACTIONS(11992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11996), 1,
      anon_sym_LT,
    ACTIONS(11998), 1,
      anon_sym_POUND,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12287), 1,
      sym__lowercase_identifier,
    STATE(10193), 1,
      sym_attribute,
    STATE(10827), 1,
      sym__type,
    STATE(15292), 1,
      sym__simple_type,
    STATE(16095), 1,
      sym__proper_tuple_type,
    STATE(19126), 1,
      sym_extended_module_path,
    STATE(23158), 1,
      sym_labeled_argument_type,
    STATE(23715), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15586), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476083] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12289), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(10194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [476134] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    STATE(10195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [476183] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10196), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19145), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476266] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_LPAREN,
    ACTIONS(11928), 1,
      anon_sym_LBRACK,
    ACTIONS(11930), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11932), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11934), 1,
      anon_sym_LT,
    ACTIONS(11936), 1,
      anon_sym_POUND,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11942), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12291), 1,
      sym__lowercase_identifier,
    STATE(10197), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(10871), 1,
      sym__simple_type,
    STATE(12741), 1,
      sym__proper_tuple_type,
    STATE(19084), 1,
      sym_extended_module_path,
    STATE(22280), 1,
      sym_labeled_argument_type,
    STATE(23345), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11731), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476349] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    ACTIONS(12303), 1,
      sym_rel_operator,
    ACTIONS(12305), 1,
      sym_and_operator,
    ACTIONS(12307), 1,
      sym_or_operator,
    ACTIONS(12309), 1,
      sym_assign_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11675), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11673), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [476418] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      anon_sym_LPAREN,
    ACTIONS(12085), 1,
      anon_sym_LBRACK,
    ACTIONS(12087), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12089), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12091), 1,
      anon_sym_LT,
    ACTIONS(12093), 1,
      anon_sym_POUND,
    ACTIONS(12095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12099), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    STATE(10199), 1,
      sym_attribute,
    STATE(10732), 1,
      sym__simple_type,
    STATE(10775), 1,
      sym__type,
    STATE(11931), 1,
      sym__proper_tuple_type,
    STATE(20353), 1,
      sym_extended_module_path,
    STATE(21733), 1,
      sym_labeled_argument_type,
    STATE(23144), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10828), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476501] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10200), 1,
      sym_attribute,
    STATE(15514), 1,
      sym__simple_type,
    STATE(16659), 1,
      sym__proper_tuple_type,
    STATE(17055), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20995), 1,
      sym_labeled_tuple_element_type,
    STATE(23317), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15430), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476584] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      anon_sym_LPAREN,
    ACTIONS(12085), 1,
      anon_sym_LBRACK,
    ACTIONS(12087), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12089), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12091), 1,
      anon_sym_LT,
    ACTIONS(12093), 1,
      anon_sym_POUND,
    ACTIONS(12095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12099), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    STATE(10201), 1,
      sym_attribute,
    STATE(10732), 1,
      sym__simple_type,
    STATE(10827), 1,
      sym__type,
    STATE(11931), 1,
      sym__proper_tuple_type,
    STATE(20353), 1,
      sym_extended_module_path,
    STATE(21733), 1,
      sym_labeled_argument_type,
    STATE(23144), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10828), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476667] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      anon_sym_LPAREN,
    ACTIONS(12085), 1,
      anon_sym_LBRACK,
    ACTIONS(12087), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12089), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12091), 1,
      anon_sym_LT,
    ACTIONS(12093), 1,
      anon_sym_POUND,
    ACTIONS(12095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12099), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12311), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10202), 1,
      sym_attribute,
    STATE(10732), 1,
      sym__simple_type,
    STATE(11931), 1,
      sym__proper_tuple_type,
    STATE(20353), 1,
      sym_extended_module_path,
    STATE(21733), 1,
      sym_labeled_argument_type,
    STATE(23144), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(10828), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476750] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_LPAREN,
    ACTIONS(11928), 1,
      anon_sym_LBRACK,
    ACTIONS(11930), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11932), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11934), 1,
      anon_sym_LT,
    ACTIONS(11936), 1,
      anon_sym_POUND,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11942), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12291), 1,
      sym__lowercase_identifier,
    STATE(10203), 1,
      sym_attribute,
    STATE(10827), 1,
      sym__type,
    STATE(10871), 1,
      sym__simple_type,
    STATE(12741), 1,
      sym__proper_tuple_type,
    STATE(19084), 1,
      sym_extended_module_path,
    STATE(22280), 1,
      sym_labeled_argument_type,
    STATE(23345), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11731), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476833] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10204), 1,
      sym_attribute,
    STATE(15514), 1,
      sym__simple_type,
    STATE(16659), 1,
      sym__proper_tuple_type,
    STATE(17340), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20995), 1,
      sym_labeled_tuple_element_type,
    STATE(23317), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15430), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476916] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10205), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19225), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476999] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10206), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19313), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477082] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10207), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19746), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477165] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(10208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9520), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [477214] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10209), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19756), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477297] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10210), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20065), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477380] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10211), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19823), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477463] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12313), 1,
      anon_sym_PIPE,
    STATE(10212), 1,
      sym_attribute,
    STATE(10215), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [477514] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10213), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19946), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477597] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12313), 1,
      anon_sym_PIPE,
    STATE(10214), 1,
      sym_attribute,
    STATE(10215), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [477648] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12315), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10215), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [477697] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    ACTIONS(12328), 1,
      sym_rel_operator,
    ACTIONS(12330), 1,
      sym_and_operator,
    ACTIONS(12332), 1,
      sym_or_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [477764] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12313), 1,
      anon_sym_PIPE,
    STATE(10212), 1,
      aux_sym__match_cases_repeat1,
    STATE(10217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [477815] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10218), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19821), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477898] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12313), 1,
      anon_sym_PIPE,
    STATE(10214), 1,
      aux_sym__match_cases_repeat1,
    STATE(10219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [477949] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10220), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19907), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478032] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    STATE(10221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [478081] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [478138] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12322), 1,
      sym_pow_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [478189] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12322), 1,
      sym_pow_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [478240] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [478299] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [478358] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    ACTIONS(12328), 1,
      sym_rel_operator,
    ACTIONS(12330), 1,
      sym_and_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [478421] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    ACTIONS(12328), 1,
      sym_rel_operator,
    ACTIONS(12330), 1,
      sym_and_operator,
    ACTIONS(12332), 1,
      sym_or_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [478486] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    ACTIONS(12328), 1,
      sym_rel_operator,
    ACTIONS(12330), 1,
      sym_and_operator,
    ACTIONS(12332), 1,
      sym_or_operator,
    ACTIONS(12334), 1,
      sym_assign_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [478555] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [478608] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    ACTIONS(12328), 1,
      sym_rel_operator,
    ACTIONS(12330), 1,
      sym_and_operator,
    ACTIONS(12332), 1,
      sym_or_operator,
    ACTIONS(12334), 1,
      sym_assign_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [478677] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10232), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17341), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478760] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_LPAREN,
    ACTIONS(11928), 1,
      anon_sym_LBRACK,
    ACTIONS(11930), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11932), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11934), 1,
      anon_sym_LT,
    ACTIONS(11936), 1,
      anon_sym_POUND,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11942), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12291), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10233), 1,
      sym_attribute,
    STATE(10871), 1,
      sym__simple_type,
    STATE(12741), 1,
      sym__proper_tuple_type,
    STATE(19084), 1,
      sym_extended_module_path,
    STATE(22280), 1,
      sym_labeled_argument_type,
    STATE(23345), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11731), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478843] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12289), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(10234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [478894] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12336), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10235), 1,
      sym_attribute,
    STATE(10825), 1,
      sym__simple_type,
    STATE(12421), 1,
      sym__proper_tuple_type,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21973), 1,
      sym_labeled_argument_type,
    STATE(23318), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478977] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12336), 1,
      sym__lowercase_identifier,
    STATE(10236), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(10825), 1,
      sym__simple_type,
    STATE(12421), 1,
      sym__proper_tuple_type,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21973), 1,
      sym_labeled_argument_type,
    STATE(23318), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479060] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10237), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19221), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479143] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    ACTIONS(12328), 1,
      sym_rel_operator,
    ACTIONS(12330), 1,
      sym_and_operator,
    ACTIONS(12332), 1,
      sym_or_operator,
    ACTIONS(12334), 1,
      sym_assign_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [479212] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10239), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20336), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479295] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12236), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(12242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12246), 1,
      anon_sym_LT,
    ACTIONS(12248), 1,
      anon_sym_POUND,
    ACTIONS(12250), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12252), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12254), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12338), 1,
      sym__lowercase_identifier,
    STATE(10240), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(10878), 1,
      sym__simple_type,
    STATE(12930), 1,
      sym__proper_tuple_type,
    STATE(19875), 1,
      sym_extended_module_path,
    STATE(20444), 1,
      sym_labeled_tuple_element_type,
    STATE(20582), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11642), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479378] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10241), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19123), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479461] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10242), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19790), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479544] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    ACTIONS(11900), 1,
      sym_or_operator,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      sym_assign_operator,
    ACTIONS(12340), 1,
      anon_sym_SEMI,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [479615] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10244), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17130), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479698] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9526), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479745] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12342), 1,
      sym__lowercase_identifier,
    STATE(10246), 1,
      sym_attribute,
    STATE(12696), 1,
      sym__simple_type,
    STATE(14625), 1,
      sym__type,
    STATE(14779), 1,
      sym__proper_tuple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    STATE(22327), 1,
      sym_labeled_tuple_element_type,
    STATE(23307), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479828] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(10247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9520), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479877] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12342), 1,
      sym__lowercase_identifier,
    STATE(10248), 1,
      sym_attribute,
    STATE(12696), 1,
      sym__simple_type,
    STATE(14626), 1,
      sym__type,
    STATE(14779), 1,
      sym__proper_tuple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    STATE(22327), 1,
      sym_labeled_tuple_element_type,
    STATE(23307), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479960] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12344), 1,
      anon_sym_PIPE,
    STATE(10249), 1,
      sym_attribute,
    STATE(10251), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [480011] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12344), 1,
      anon_sym_PIPE,
    STATE(10250), 1,
      sym_attribute,
    STATE(10251), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [480062] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12346), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10251), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [480111] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    ACTIONS(11980), 1,
      sym_or_operator,
    ACTIONS(11982), 1,
      sym_assign_operator,
    ACTIONS(12349), 1,
      anon_sym_SEMI,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [480182] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12236), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(12242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12246), 1,
      anon_sym_LT,
    ACTIONS(12248), 1,
      anon_sym_POUND,
    ACTIONS(12250), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12252), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12254), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12338), 1,
      sym__lowercase_identifier,
    STATE(10253), 1,
      sym_attribute,
    STATE(10827), 1,
      sym__type,
    STATE(10878), 1,
      sym__simple_type,
    STATE(12930), 1,
      sym__proper_tuple_type,
    STATE(19875), 1,
      sym_extended_module_path,
    STATE(20444), 1,
      sym_labeled_tuple_element_type,
    STATE(20582), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11642), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12344), 1,
      anon_sym_PIPE,
    STATE(10249), 1,
      aux_sym__match_cases_repeat1,
    STATE(10254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [480316] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10255), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20117), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480399] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12344), 1,
      anon_sym_PIPE,
    STATE(10250), 1,
      aux_sym__match_cases_repeat1,
    STATE(10256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [480450] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10257), 1,
      sym_attribute,
    STATE(15404), 1,
      sym__type,
    STATE(15514), 1,
      sym__simple_type,
    STATE(16659), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20995), 1,
      sym_labeled_tuple_element_type,
    STATE(23317), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15430), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480533] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    ACTIONS(11980), 1,
      sym_or_operator,
    ACTIONS(11982), 1,
      sym_assign_operator,
    ACTIONS(12349), 1,
      anon_sym_SEMI,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [480604] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12010), 1,
      anon_sym_LPAREN,
    ACTIONS(12014), 1,
      anon_sym_LBRACK,
    ACTIONS(12016), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12018), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12020), 1,
      anon_sym_LT,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12026), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12028), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12351), 1,
      sym__lowercase_identifier,
    STATE(10259), 1,
      sym_attribute,
    STATE(15158), 1,
      sym__simple_type,
    STATE(15725), 1,
      sym__type,
    STATE(15795), 1,
      sym__proper_tuple_type,
    STATE(19870), 1,
      sym_extended_module_path,
    STATE(21334), 1,
      sym_labeled_argument_type,
    STATE(23515), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15430), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480687] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12353), 1,
      sym__lowercase_identifier,
    STATE(10260), 1,
      sym_attribute,
    STATE(10827), 1,
      sym__type,
    STATE(11074), 1,
      sym__simple_type,
    STATE(12845), 1,
      sym__proper_tuple_type,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(20610), 1,
      sym_labeled_argument_type,
    STATE(21823), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480770] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    ACTIONS(11900), 1,
      sym_or_operator,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      sym_assign_operator,
    ACTIONS(12340), 1,
      anon_sym_SEMI,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [480841] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 1,
      sym__lowercase_identifier,
    STATE(10262), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(15419), 1,
      sym__type,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480924] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 1,
      sym__lowercase_identifier,
    STATE(10263), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(15427), 1,
      sym__type,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481007] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [481056] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10265), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20155), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481139] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10266), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19899), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481222] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12357), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(10267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [481273] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12057), 1,
      anon_sym_LPAREN,
    ACTIONS(12061), 1,
      anon_sym_LBRACK,
    ACTIONS(12063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12067), 1,
      anon_sym_LT,
    ACTIONS(12069), 1,
      anon_sym_POUND,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12075), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    STATE(10268), 1,
      sym_attribute,
    STATE(10762), 1,
      sym__simple_type,
    STATE(10775), 1,
      sym__type,
    STATE(12152), 1,
      sym__proper_tuple_type,
    STATE(20139), 1,
      sym_extended_module_path,
    STATE(20508), 1,
      sym_labeled_tuple_element_type,
    STATE(20973), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11082), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481356] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12057), 1,
      anon_sym_LPAREN,
    ACTIONS(12061), 1,
      anon_sym_LBRACK,
    ACTIONS(12063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12067), 1,
      anon_sym_LT,
    ACTIONS(12069), 1,
      anon_sym_POUND,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12075), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    STATE(10269), 1,
      sym_attribute,
    STATE(10762), 1,
      sym__simple_type,
    STATE(10827), 1,
      sym__type,
    STATE(12152), 1,
      sym__proper_tuple_type,
    STATE(20139), 1,
      sym_extended_module_path,
    STATE(20508), 1,
      sym_labeled_tuple_element_type,
    STATE(20973), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11082), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481439] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10270), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19572), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481522] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(10271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9520), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [481571] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10272), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19830), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481654] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11351), 1,
      anon_sym_LPAREN,
    ACTIONS(11353), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11357), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11359), 1,
      anon_sym_LT,
    ACTIONS(11361), 1,
      anon_sym_POUND,
    ACTIONS(11363), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11365), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11367), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12361), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10273), 1,
      sym_attribute,
    STATE(14247), 1,
      sym__simple_type,
    STATE(15572), 1,
      sym__proper_tuple_type,
    STATE(19949), 1,
      sym_extended_module_path,
    STATE(22949), 1,
      sym_labeled_tuple_element_type,
    STATE(23671), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15040), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481737] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12010), 1,
      anon_sym_LPAREN,
    ACTIONS(12014), 1,
      anon_sym_LBRACK,
    ACTIONS(12016), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12018), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12020), 1,
      anon_sym_LT,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12026), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12028), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12351), 1,
      sym__lowercase_identifier,
    STATE(10274), 1,
      sym_attribute,
    STATE(15158), 1,
      sym__simple_type,
    STATE(15736), 1,
      sym__type,
    STATE(15795), 1,
      sym__proper_tuple_type,
    STATE(19870), 1,
      sym_extended_module_path,
    STATE(21334), 1,
      sym_labeled_argument_type,
    STATE(23515), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15430), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481820] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12363), 1,
      anon_sym_COMMA,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    ACTIONS(12373), 1,
      sym_rel_operator,
    ACTIONS(12375), 1,
      sym_and_operator,
    ACTIONS(12377), 1,
      sym_or_operator,
    ACTIONS(12379), 1,
      sym_assign_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11675), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11673), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [481889] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9546), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [481936] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10277), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19922), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482019] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10278), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17002), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482102] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    STATE(10279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [482151] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10280), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19375), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482234] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    ACTIONS(12303), 1,
      sym_rel_operator,
    ACTIONS(12305), 1,
      sym_and_operator,
    ACTIONS(12307), 1,
      sym_or_operator,
    ACTIONS(12309), 1,
      sym_assign_operator,
    ACTIONS(12381), 1,
      anon_sym_SEMI,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [482305] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10282), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20287), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482388] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 1,
      sym__lowercase_identifier,
    STATE(10283), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(15208), 1,
      sym__type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482471] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10284), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19633), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482554] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11986), 1,
      anon_sym_LPAREN,
    ACTIONS(11990), 1,
      anon_sym_LBRACK,
    ACTIONS(11992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11996), 1,
      anon_sym_LT,
    ACTIONS(11998), 1,
      anon_sym_POUND,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12287), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10285), 1,
      sym_attribute,
    STATE(15292), 1,
      sym__simple_type,
    STATE(16095), 1,
      sym__proper_tuple_type,
    STATE(19126), 1,
      sym_extended_module_path,
    STATE(23158), 1,
      sym_labeled_argument_type,
    STATE(23715), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15586), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482637] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(10286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9520), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [482686] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 1,
      sym__lowercase_identifier,
    STATE(10287), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(15209), 1,
      sym__type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482769] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    ACTIONS(12303), 1,
      sym_rel_operator,
    ACTIONS(12305), 1,
      sym_and_operator,
    ACTIONS(12307), 1,
      sym_or_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [482836] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [482893] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12297), 1,
      sym_pow_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [482944] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12297), 1,
      sym_pow_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [482995] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [483054] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [483113] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    ACTIONS(12303), 1,
      sym_rel_operator,
    ACTIONS(12305), 1,
      sym_and_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [483176] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    ACTIONS(12303), 1,
      sym_rel_operator,
    ACTIONS(12305), 1,
      sym_and_operator,
    ACTIONS(12307), 1,
      sym_or_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [483241] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    ACTIONS(12303), 1,
      sym_rel_operator,
    ACTIONS(12305), 1,
      sym_and_operator,
    ACTIONS(12307), 1,
      sym_or_operator,
    ACTIONS(12309), 1,
      sym_assign_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483310] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [483363] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    ACTIONS(12303), 1,
      sym_rel_operator,
    ACTIONS(12305), 1,
      sym_and_operator,
    ACTIONS(12307), 1,
      sym_or_operator,
    ACTIONS(12309), 1,
      sym_assign_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483432] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12383), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(10299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [483483] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    ACTIONS(12303), 1,
      sym_rel_operator,
    ACTIONS(12305), 1,
      sym_and_operator,
    ACTIONS(12307), 1,
      sym_or_operator,
    ACTIONS(12309), 1,
      sym_assign_operator,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483552] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10301), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19998), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483635] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12385), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10302), 1,
      sym_attribute,
    STATE(11496), 1,
      sym__simple_type,
    STATE(13574), 1,
      sym__proper_tuple_type,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(21251), 1,
      sym_labeled_argument_type,
    STATE(22131), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483718] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10303), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20037), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483801] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    ACTIONS(12303), 1,
      sym_rel_operator,
    ACTIONS(12305), 1,
      sym_and_operator,
    ACTIONS(12307), 1,
      sym_or_operator,
    ACTIONS(12309), 1,
      sym_assign_operator,
    ACTIONS(12381), 1,
      anon_sym_SEMI,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483872] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12010), 1,
      anon_sym_LPAREN,
    ACTIONS(12014), 1,
      anon_sym_LBRACK,
    ACTIONS(12016), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12018), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12020), 1,
      anon_sym_LT,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12026), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12028), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12351), 1,
      sym__lowercase_identifier,
    STATE(10305), 1,
      sym_attribute,
    STATE(15158), 1,
      sym__simple_type,
    STATE(15404), 1,
      sym__type,
    STATE(15795), 1,
      sym__proper_tuple_type,
    STATE(19870), 1,
      sym_extended_module_path,
    STATE(21334), 1,
      sym_labeled_argument_type,
    STATE(23515), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15430), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483955] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10306), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19555), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484038] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    ACTIONS(12328), 1,
      sym_rel_operator,
    ACTIONS(12330), 1,
      sym_and_operator,
    ACTIONS(12332), 1,
      sym_or_operator,
    ACTIONS(12334), 1,
      sym_assign_operator,
    ACTIONS(12387), 1,
      anon_sym_SEMI,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484109] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10308), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19429), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484192] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9412), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [484239] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10310), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19394), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484322] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11910), 1,
      sym_pow_operator,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    ACTIONS(11970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11972), 1,
      sym_mult_operator,
    ACTIONS(11974), 1,
      sym_concat_operator,
    ACTIONS(11976), 1,
      sym_rel_operator,
    ACTIONS(11978), 1,
      sym_and_operator,
    ACTIONS(11980), 1,
      sym_or_operator,
    ACTIONS(11982), 1,
      sym_assign_operator,
    ACTIONS(12349), 1,
      anon_sym_SEMI,
    STATE(2555), 1,
      sym_add_operator,
    STATE(10311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [484393] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10312), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19519), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484476] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12353), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10313), 1,
      sym_attribute,
    STATE(11074), 1,
      sym__simple_type,
    STATE(12845), 1,
      sym__proper_tuple_type,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(20610), 1,
      sym_labeled_argument_type,
    STATE(21823), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484559] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12363), 1,
      anon_sym_COMMA,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    ACTIONS(12373), 1,
      sym_rel_operator,
    ACTIONS(12375), 1,
      sym_and_operator,
    ACTIONS(12377), 1,
      sym_or_operator,
    ACTIONS(12379), 1,
      sym_assign_operator,
    ACTIONS(12389), 1,
      anon_sym_SEMI,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484630] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10315), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19166), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484713] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10316), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19188), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484796] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10317), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(18072), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484879] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10318), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19318), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484962] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9464), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [485009] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10320), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20233), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485092] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10321), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(18073), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485175] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12363), 1,
      anon_sym_COMMA,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    ACTIONS(12373), 1,
      sym_rel_operator,
    ACTIONS(12375), 1,
      sym_and_operator,
    ACTIONS(12377), 1,
      sym_or_operator,
    ACTIONS(12379), 1,
      sym_assign_operator,
    ACTIONS(12389), 1,
      anon_sym_SEMI,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [485246] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10323), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19932), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485329] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [485378] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    ACTIONS(12131), 1,
      sym_or_operator,
    ACTIONS(12133), 1,
      sym_assign_operator,
    ACTIONS(12391), 1,
      anon_sym_SEMI,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [485449] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10326), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20024), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485532] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10327), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19501), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485615] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10328), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17270), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485698] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10329), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19182), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485781] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10330), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19238), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485864] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10331), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19566), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485947] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10332), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19617), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486030] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10333), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19908), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486113] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12342), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10334), 1,
      sym_attribute,
    STATE(12696), 1,
      sym__simple_type,
    STATE(14779), 1,
      sym__proper_tuple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    STATE(22327), 1,
      sym_labeled_tuple_element_type,
    STATE(23307), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486196] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10335), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19944), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486279] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11888), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11890), 1,
      sym_pow_operator,
    ACTIONS(11892), 1,
      sym_mult_operator,
    ACTIONS(11894), 1,
      sym_concat_operator,
    ACTIONS(11896), 1,
      sym_rel_operator,
    ACTIONS(11898), 1,
      sym_and_operator,
    ACTIONS(11900), 1,
      sym_or_operator,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    ACTIONS(11904), 1,
      sym_assign_operator,
    ACTIONS(12340), 1,
      anon_sym_SEMI,
    STATE(2761), 1,
      sym_add_operator,
    STATE(10336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [486350] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10337), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20174), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486433] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10338), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20207), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486516] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10339), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(16452), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486599] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10340), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19080), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486682] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10341), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19099), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486765] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10342), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19219), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486848] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10343), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19236), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486931] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10344), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19351), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487014] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10345), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19369), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487097] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 1,
      sym__lowercase_identifier,
    STATE(10346), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(15217), 1,
      sym__type,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487180] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10347), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19615), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487263] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10348), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19630), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487346] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10349), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19715), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487429] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 1,
      sym__lowercase_identifier,
    STATE(10350), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(15201), 1,
      sym__type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487512] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10351), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19729), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487595] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 1,
      sym__lowercase_identifier,
    STATE(10352), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(15299), 1,
      sym__type,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487678] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10353), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19799), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487761] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12236), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(12242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12246), 1,
      anon_sym_LT,
    ACTIONS(12248), 1,
      anon_sym_POUND,
    ACTIONS(12250), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12252), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12254), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12338), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10354), 1,
      sym_attribute,
    STATE(10878), 1,
      sym__simple_type,
    STATE(12930), 1,
      sym__proper_tuple_type,
    STATE(19875), 1,
      sym_extended_module_path,
    STATE(20444), 1,
      sym_labeled_tuple_element_type,
    STATE(20582), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11642), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487844] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10355), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19809), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487927] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11986), 1,
      anon_sym_LPAREN,
    ACTIONS(11990), 1,
      anon_sym_LBRACK,
    ACTIONS(11992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11996), 1,
      anon_sym_LT,
    ACTIONS(11998), 1,
      anon_sym_POUND,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12287), 1,
      sym__lowercase_identifier,
    STATE(10356), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(15292), 1,
      sym__simple_type,
    STATE(16095), 1,
      sym__proper_tuple_type,
    STATE(19126), 1,
      sym_extended_module_path,
    STATE(23158), 1,
      sym_labeled_argument_type,
    STATE(23715), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15586), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488010] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10357), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19894), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488093] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12393), 1,
      anon_sym_PIPE,
    STATE(10358), 1,
      sym_attribute,
    STATE(10373), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [488144] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10359), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19992), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488227] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10360), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20013), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488310] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10361), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20119), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488393] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12285), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(10362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [488444] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10363), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20138), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488527] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12393), 1,
      anon_sym_PIPE,
    STATE(10364), 1,
      sym_attribute,
    STATE(10373), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [488578] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10365), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20280), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488661] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10366), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20296), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488744] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10367), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20385), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488827] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10368), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19710), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488910] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9862), 1,
      sym__type,
    STATE(10369), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488993] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10370), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19987), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489076] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10371), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19395), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489159] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 1,
      sym__lowercase_identifier,
    STATE(10372), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(15240), 1,
      sym__type,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489242] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12395), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10373), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489291] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10374), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19459), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489374] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10375), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20149), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489457] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12393), 1,
      anon_sym_PIPE,
    STATE(10358), 1,
      aux_sym__match_cases_repeat1,
    STATE(10376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489508] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10377), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19634), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489591] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10378), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19720), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489674] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10379), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19881), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489757] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12385), 1,
      sym__lowercase_identifier,
    STATE(10380), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(11496), 1,
      sym__simple_type,
    STATE(13574), 1,
      sym__proper_tuple_type,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(21251), 1,
      sym_labeled_argument_type,
    STATE(22131), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489840] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10381), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19362), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489923] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10382), 1,
      sym_attribute,
    STATE(15514), 1,
      sym__simple_type,
    STATE(16659), 1,
      sym__proper_tuple_type,
    STATE(16938), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20995), 1,
      sym_labeled_tuple_element_type,
    STATE(23317), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15430), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490006] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10383), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19576), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490089] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10384), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20090), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490172] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10385), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20205), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490255] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10386), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19882), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490338] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12385), 1,
      sym__lowercase_identifier,
    STATE(10387), 1,
      sym_attribute,
    STATE(10827), 1,
      sym__type,
    STATE(11496), 1,
      sym__simple_type,
    STATE(13574), 1,
      sym__proper_tuple_type,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(21251), 1,
      sym_labeled_argument_type,
    STATE(22131), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490421] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10388), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19994), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490504] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    ACTIONS(12295), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12297), 1,
      sym_pow_operator,
    ACTIONS(12299), 1,
      sym_mult_operator,
    ACTIONS(12301), 1,
      sym_concat_operator,
    ACTIONS(12303), 1,
      sym_rel_operator,
    ACTIONS(12305), 1,
      sym_and_operator,
    ACTIONS(12307), 1,
      sym_or_operator,
    ACTIONS(12309), 1,
      sym_assign_operator,
    ACTIONS(12381), 1,
      anon_sym_SEMI,
    STATE(2613), 1,
      sym_add_operator,
    STATE(10389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [490575] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 1,
      sym__lowercase_identifier,
    STATE(10390), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(15220), 1,
      sym__type,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490658] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    ACTIONS(12328), 1,
      sym_rel_operator,
    ACTIONS(12330), 1,
      sym_and_operator,
    ACTIONS(12332), 1,
      sym_or_operator,
    ACTIONS(12334), 1,
      sym_assign_operator,
    ACTIONS(12387), 1,
      anon_sym_SEMI,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [490729] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10392), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19268), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490812] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10393), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19360), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490895] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    ACTIONS(12328), 1,
      sym_rel_operator,
    ACTIONS(12330), 1,
      sym_and_operator,
    ACTIONS(12332), 1,
      sym_or_operator,
    ACTIONS(12334), 1,
      sym_assign_operator,
    ACTIONS(12387), 1,
      anon_sym_SEMI,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [490966] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12398), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(10395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [491017] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12400), 1,
      anon_sym_COLON,
    STATE(10396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 15,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10786), 16,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [491066] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10397), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19842), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491149] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10398), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19916), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491232] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12402), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10399), 1,
      sym_attribute,
    STATE(12528), 1,
      sym__simple_type,
    STATE(14606), 1,
      sym__proper_tuple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    STATE(22509), 1,
      sym_labeled_argument_type,
    STATE(22735), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491315] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10400), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20203), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491398] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10401), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20348), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491481] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12402), 1,
      sym__lowercase_identifier,
    STATE(10402), 1,
      sym_attribute,
    STATE(12528), 1,
      sym__simple_type,
    STATE(14606), 1,
      sym__proper_tuple_type,
    STATE(14625), 1,
      sym__type,
    STATE(19327), 1,
      sym_extended_module_path,
    STATE(22509), 1,
      sym_labeled_argument_type,
    STATE(22735), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491564] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12402), 1,
      sym__lowercase_identifier,
    STATE(10403), 1,
      sym_attribute,
    STATE(12528), 1,
      sym__simple_type,
    STATE(14606), 1,
      sym__proper_tuple_type,
    STATE(14626), 1,
      sym__type,
    STATE(19327), 1,
      sym_extended_module_path,
    STATE(22509), 1,
      sym_labeled_argument_type,
    STATE(22735), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491647] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10404), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19933), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491730] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10405), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19135), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491813] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12393), 1,
      anon_sym_PIPE,
    STATE(10364), 1,
      aux_sym__match_cases_repeat1,
    STATE(10406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [491864] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10407), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19938), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491947] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12383), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(10408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [491998] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10409), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20130), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492081] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10410), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19110), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492164] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10411), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19621), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492247] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10412), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19674), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492330] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12363), 1,
      anon_sym_COMMA,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    ACTIONS(12373), 1,
      sym_rel_operator,
    ACTIONS(12375), 1,
      sym_and_operator,
    ACTIONS(12377), 1,
      sym_or_operator,
    ACTIONS(12379), 1,
      sym_assign_operator,
    ACTIONS(12389), 1,
      anon_sym_SEMI,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492401] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10414), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20192), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492484] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10415), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20071), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492567] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10416), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20126), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492650] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12336), 1,
      sym__lowercase_identifier,
    STATE(10417), 1,
      sym_attribute,
    STATE(10825), 1,
      sym__simple_type,
    STATE(10827), 1,
      sym__type,
    STATE(12421), 1,
      sym__proper_tuple_type,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21973), 1,
      sym_labeled_argument_type,
    STATE(23318), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492733] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10418), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19102), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492816] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10419), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19212), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492899] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10420), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19508), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492982] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12363), 1,
      anon_sym_COMMA,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    ACTIONS(12373), 1,
      sym_rel_operator,
    ACTIONS(12375), 1,
      sym_and_operator,
    ACTIONS(12377), 1,
      sym_or_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [493049] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10422), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19560), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493132] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10423), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19837), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493215] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10424), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19902), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493298] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10425), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20097), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493381] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10426), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20142), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493464] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12404), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10427), 1,
      sym_attribute,
    STATE(11483), 1,
      sym__simple_type,
    STATE(13311), 1,
      sym__proper_tuple_type,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(21401), 1,
      sym_labeled_argument_type,
    STATE(22531), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493547] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12057), 1,
      anon_sym_LPAREN,
    ACTIONS(12061), 1,
      anon_sym_LBRACK,
    ACTIONS(12063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12067), 1,
      anon_sym_LT,
    ACTIONS(12069), 1,
      anon_sym_POUND,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12075), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12359), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10428), 1,
      sym_attribute,
    STATE(10762), 1,
      sym__simple_type,
    STATE(12152), 1,
      sym__proper_tuple_type,
    STATE(20139), 1,
      sym_extended_module_path,
    STATE(20508), 1,
      sym_labeled_tuple_element_type,
    STATE(20973), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11082), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493630] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10429), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19402), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493713] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10430), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19586), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493796] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10431), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19609), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493879] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10432), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17043), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493962] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10433), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19663), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494045] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10434), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19665), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494128] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10435), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19687), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494211] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10436), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19825), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494294] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10437), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19658), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494377] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12406), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(10438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [494428] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10439), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17233), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494511] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12406), 1,
      anon_sym_else,
    STATE(9665), 1,
      sym_else_clause,
    STATE(10440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [494562] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10441), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19457), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494645] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10442), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19503), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494728] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10443), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20073), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494811] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11351), 1,
      anon_sym_LPAREN,
    ACTIONS(11353), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11357), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11359), 1,
      anon_sym_LT,
    ACTIONS(11361), 1,
      anon_sym_POUND,
    ACTIONS(11363), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11365), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11367), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12361), 1,
      sym__lowercase_identifier,
    STATE(10444), 1,
      sym_attribute,
    STATE(14247), 1,
      sym__simple_type,
    STATE(15299), 1,
      sym__type,
    STATE(15572), 1,
      sym__proper_tuple_type,
    STATE(19949), 1,
      sym_extended_module_path,
    STATE(22949), 1,
      sym_labeled_tuple_element_type,
    STATE(23671), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15040), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494894] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10445), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(16756), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494977] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [495034] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10447), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19999), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495117] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10448), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20132), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495200] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10449), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17342), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495283] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10450), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20369), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495366] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10451), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19068), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495449] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10452), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19262), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495532] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10453), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20016), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495615] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10454), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20031), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495698] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10455), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17528), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495781] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10456), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20110), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495864] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10457), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20114), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [495947] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10458), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20177), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496030] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10459), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19283), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496113] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10460), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19299), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496196] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10461), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(16930), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496279] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10462), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19346), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496362] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10463), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19353), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496445] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10464), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19423), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496528] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10465), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19693), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496611] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10466), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19725), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496694] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12367), 1,
      sym_pow_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [496745] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10468), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19765), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496828] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10469), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19768), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496911] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10470), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19803), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [496994] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10471), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19977), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497077] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10472), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(20196), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497160] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10473), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19063), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497243] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 1,
      sym__lowercase_identifier,
    STATE(9862), 1,
      sym__type,
    STATE(10474), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497326] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12404), 1,
      sym__lowercase_identifier,
    STATE(10475), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(11483), 1,
      sym__simple_type,
    STATE(13311), 1,
      sym__proper_tuple_type,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(21401), 1,
      sym_labeled_argument_type,
    STATE(22531), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497409] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12355), 1,
      sym__lowercase_identifier,
    STATE(10476), 1,
      sym_attribute,
    STATE(13202), 1,
      sym__simple_type,
    STATE(15210), 1,
      sym__proper_tuple_type,
    STATE(15230), 1,
      sym__type,
    STATE(20254), 1,
      sym_extended_module_path,
    STATE(21425), 1,
      sym_labeled_tuple_element_type,
    STATE(22462), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497492] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12404), 1,
      sym__lowercase_identifier,
    STATE(10477), 1,
      sym_attribute,
    STATE(10827), 1,
      sym__type,
    STATE(11483), 1,
      sym__simple_type,
    STATE(13311), 1,
      sym__proper_tuple_type,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(21401), 1,
      sym_labeled_argument_type,
    STATE(22531), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497575] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12367), 1,
      sym_pow_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [497626] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [497685] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [497744] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    ACTIONS(12373), 1,
      sym_rel_operator,
    ACTIONS(12375), 1,
      sym_and_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [497807] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12398), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(10482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [497858] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11351), 1,
      anon_sym_LPAREN,
    ACTIONS(11353), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11357), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11359), 1,
      anon_sym_LT,
    ACTIONS(11361), 1,
      anon_sym_POUND,
    ACTIONS(11363), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11365), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11367), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12361), 1,
      sym__lowercase_identifier,
    STATE(10483), 1,
      sym_attribute,
    STATE(14247), 1,
      sym__simple_type,
    STATE(15419), 1,
      sym__type,
    STATE(15572), 1,
      sym__proper_tuple_type,
    STATE(19949), 1,
      sym_extended_module_path,
    STATE(22949), 1,
      sym_labeled_tuple_element_type,
    STATE(23671), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15040), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [497941] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11351), 1,
      anon_sym_LPAREN,
    ACTIONS(11353), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11357), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11359), 1,
      anon_sym_LT,
    ACTIONS(11361), 1,
      anon_sym_POUND,
    ACTIONS(11363), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11365), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11367), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12361), 1,
      sym__lowercase_identifier,
    STATE(10484), 1,
      sym_attribute,
    STATE(14247), 1,
      sym__simple_type,
    STATE(15427), 1,
      sym__type,
    STATE(15572), 1,
      sym__proper_tuple_type,
    STATE(19949), 1,
      sym_extended_module_path,
    STATE(22949), 1,
      sym_labeled_tuple_element_type,
    STATE(23671), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15040), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498024] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12353), 1,
      sym__lowercase_identifier,
    STATE(10485), 1,
      sym_attribute,
    STATE(10775), 1,
      sym__type,
    STATE(11074), 1,
      sym__simple_type,
    STATE(12845), 1,
      sym__proper_tuple_type,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(20610), 1,
      sym_labeled_argument_type,
    STATE(21823), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498107] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    ACTIONS(12373), 1,
      sym_rel_operator,
    ACTIONS(12375), 1,
      sym_and_operator,
    ACTIONS(12377), 1,
      sym_or_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [498172] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12363), 1,
      anon_sym_COMMA,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    ACTIONS(12373), 1,
      sym_rel_operator,
    ACTIONS(12375), 1,
      sym_and_operator,
    ACTIONS(12377), 1,
      sym_or_operator,
    ACTIONS(12379), 1,
      sym_assign_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498241] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [498294] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10489), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19186), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498377] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12363), 1,
      anon_sym_COMMA,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    ACTIONS(12373), 1,
      sym_rel_operator,
    ACTIONS(12375), 1,
      sym_and_operator,
    ACTIONS(12377), 1,
      sym_or_operator,
    ACTIONS(12379), 1,
      sym_assign_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498446] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12357), 1,
      anon_sym_else,
    STATE(9578), 1,
      sym_else_clause,
    STATE(10491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [498497] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10492), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(17315), 1,
      sym__type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498580] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12363), 1,
      anon_sym_COMMA,
    ACTIONS(12365), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12367), 1,
      sym_pow_operator,
    ACTIONS(12369), 1,
      sym_mult_operator,
    ACTIONS(12371), 1,
      sym_concat_operator,
    ACTIONS(12373), 1,
      sym_rel_operator,
    ACTIONS(12375), 1,
      sym_and_operator,
    ACTIONS(12377), 1,
      sym_or_operator,
    ACTIONS(12379), 1,
      sym_assign_operator,
    STATE(2680), 1,
      sym_add_operator,
    STATE(10493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498649] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    ACTIONS(12131), 1,
      sym_or_operator,
    ACTIONS(12133), 1,
      sym_assign_operator,
    ACTIONS(12391), 1,
      anon_sym_SEMI,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [498720] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    ACTIONS(12320), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12322), 1,
      sym_pow_operator,
    ACTIONS(12324), 1,
      sym_mult_operator,
    ACTIONS(12326), 1,
      sym_concat_operator,
    ACTIONS(12328), 1,
      sym_rel_operator,
    ACTIONS(12330), 1,
      sym_and_operator,
    ACTIONS(12332), 1,
      sym_or_operator,
    ACTIONS(12334), 1,
      sym_assign_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(10495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11675), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11673), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498789] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    ACTIONS(12119), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12121), 1,
      sym_pow_operator,
    ACTIONS(12123), 1,
      sym_mult_operator,
    ACTIONS(12125), 1,
      sym_concat_operator,
    ACTIONS(12127), 1,
      sym_rel_operator,
    ACTIONS(12129), 1,
      sym_and_operator,
    ACTIONS(12131), 1,
      sym_or_operator,
    ACTIONS(12133), 1,
      sym_assign_operator,
    ACTIONS(12391), 1,
      anon_sym_SEMI,
    STATE(2731), 1,
      sym_add_operator,
    STATE(10496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [498860] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11351), 1,
      anon_sym_LPAREN,
    ACTIONS(11353), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11357), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11359), 1,
      anon_sym_LT,
    ACTIONS(11361), 1,
      anon_sym_POUND,
    ACTIONS(11363), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11365), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11367), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12361), 1,
      sym__lowercase_identifier,
    STATE(10497), 1,
      sym_attribute,
    STATE(14247), 1,
      sym__simple_type,
    STATE(15240), 1,
      sym__type,
    STATE(15572), 1,
      sym__proper_tuple_type,
    STATE(19949), 1,
      sym_extended_module_path,
    STATE(22949), 1,
      sym_labeled_tuple_element_type,
    STATE(23671), 1,
      sym_labeled_argument_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(15040), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [498943] = 23,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10994), 1,
      sym__lowercase_identifier,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10498), 1,
      sym_attribute,
    STATE(14567), 1,
      sym__simple_type,
    STATE(15637), 1,
      sym__proper_tuple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19880), 1,
      sym__type,
    STATE(21020), 1,
      sym_labeled_argument_type,
    STATE(21116), 1,
      sym_labeled_tuple_element_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9857), 3,
      sym_function_type,
      sym__labeled_tuple_type,
      sym_aliased_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [499026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9306), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10786), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10784), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499118] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    ACTIONS(12422), 1,
      sym_or_operator,
    ACTIONS(12424), 1,
      sym_assign_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499186] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [499244] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [499300] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [499362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10930), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10928), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499408] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    ACTIONS(12422), 1,
      sym_or_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [499472] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12434), 1,
      anon_sym_let,
    STATE(10507), 1,
      sym_attribute,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12311), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12432), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12436), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9542), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9438), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9412), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9488), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499718] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [499766] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12434), 1,
      anon_sym_let,
    STATE(10513), 1,
      sym_attribute,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12325), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12432), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9364), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [499874] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12440), 1,
      anon_sym_let,
    STATE(10515), 1,
      sym_attribute,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12406), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12438), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12442), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9522), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499982] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9314), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [500086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10320), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [500132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10858), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [500178] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10862), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [500282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9204), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [500328] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    ACTIONS(12452), 1,
      sym_or_operator,
    ACTIONS(12454), 1,
      sym_assign_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500396] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    ACTIONS(12422), 1,
      sym_or_operator,
    ACTIONS(12424), 1,
      sym_assign_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10838), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [500510] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12456), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10527), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500558] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_PIPE,
    STATE(10528), 1,
      sym_attribute,
    STATE(10535), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9372), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [500654] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500706] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    ACTIONS(12452), 1,
      sym_or_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10844), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10842), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [500818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9336), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [500864] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_COLON,
    STATE(10534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10308), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [500912] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12463), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10535), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [500960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9546), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [501006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [501052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10316), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [501098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9240), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [501144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9258), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [501190] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    ACTIONS(12422), 1,
      sym_or_operator,
    ACTIONS(12424), 1,
      sym_assign_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501258] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501306] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501368] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    ACTIONS(12422), 1,
      sym_or_operator,
    ACTIONS(12424), 1,
      sym_assign_operator,
    ACTIONS(12466), 1,
      anon_sym_SEMI,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9344), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [501484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9262), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [501530] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501578] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12470), 1,
      anon_sym_let,
    STATE(10548), 1,
      sym_attribute,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12333), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12468), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501640] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12472), 1,
      anon_sym_PIPE,
    STATE(10549), 1,
      sym_attribute,
    STATE(10552), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501690] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(10550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9520), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501738] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12472), 1,
      anon_sym_PIPE,
    STATE(10551), 1,
      sym_attribute,
    STATE(10552), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501788] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12474), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10552), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [501836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9412), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [501882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10934), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10932), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [501928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10490), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10488), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [501974] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12472), 1,
      anon_sym_PIPE,
    STATE(10549), 1,
      aux_sym__match_cases_repeat1,
    STATE(10556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [502024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10960), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10958), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9464), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(7931), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10964), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10962), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9464), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502254] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12481), 1,
      anon_sym_DOT,
    STATE(10562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12477), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502302] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12472), 1,
      anon_sym_PIPE,
    STATE(10551), 1,
      aux_sym__match_cases_repeat1,
    STATE(10563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [502352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10320), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502398] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    ACTIONS(12452), 1,
      sym_or_operator,
    ACTIONS(12454), 1,
      sym_assign_operator,
    ACTIONS(12483), 1,
      anon_sym_SEMI,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10968), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10966), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10882), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10880), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502560] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12428), 1,
      sym_pow_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [502610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10972), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10970), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502656] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12428), 1,
      sym_pow_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [502706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10914), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10912), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10976), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10974), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9546), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10426), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10424), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [502890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10302), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [502936] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    STATE(10576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [502984] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_PIPE,
    STATE(10577), 1,
      sym_attribute,
    STATE(10654), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503034] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(10578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9520), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503082] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_PIPE,
    STATE(10579), 1,
      sym_attribute,
    STATE(10620), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10400), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [503178] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    ACTIONS(12501), 1,
      sym_or_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503244] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_PIPE,
    STATE(10528), 1,
      aux_sym__match_cases_repeat1,
    STATE(10582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10292), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [503340] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12491), 1,
      sym_pow_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503390] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12491), 1,
      sym_pow_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503440] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503498] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10406), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10404), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [503602] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11549), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503664] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    ACTIONS(12501), 1,
      sym_or_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503728] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    ACTIONS(12501), 1,
      sym_or_operator,
    ACTIONS(12503), 1,
      sym_assign_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503796] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503848] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    ACTIONS(12501), 1,
      sym_or_operator,
    ACTIONS(12503), 1,
      sym_assign_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11667), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503916] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_PIPE,
    STATE(10594), 1,
      sym_attribute,
    STATE(10613), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [503966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10316), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9396), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504058] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    ACTIONS(12501), 1,
      sym_or_operator,
    ACTIONS(12503), 1,
      sym_assign_operator,
    ACTIONS(12505), 1,
      anon_sym_SEMI,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504128] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    ACTIONS(12422), 1,
      sym_or_operator,
    ACTIONS(12424), 1,
      sym_assign_operator,
    ACTIONS(12466), 1,
      anon_sym_SEMI,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11627), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504198] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    ACTIONS(12422), 1,
      sym_or_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11407), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504264] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    ACTIONS(12422), 1,
      sym_or_operator,
    ACTIONS(12424), 1,
      sym_assign_operator,
    ACTIONS(12466), 1,
      anon_sym_SEMI,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504334] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12507), 1,
      anon_sym_DOT_DOT,
    STATE(10601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5627), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(5623), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504382] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12363), 1,
      anon_sym_COMMA,
    STATE(10602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10328), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10336), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9234), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9526), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9404), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12509), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10922), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10920), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10926), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10924), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10940), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10938), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10944), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10942), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504890] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_PIPE,
    STATE(10527), 1,
      aux_sym__match_cases_repeat1,
    STATE(10613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [504940] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    ACTIONS(12452), 1,
      sym_or_operator,
    ACTIONS(12454), 1,
      sym_assign_operator,
    ACTIONS(12483), 1,
      anon_sym_SEMI,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505010] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    ACTIONS(12452), 1,
      sym_or_operator,
    ACTIONS(12454), 1,
      sym_assign_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505078] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    ACTIONS(12452), 1,
      sym_or_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [505142] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    STATE(10617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [505190] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    ACTIONS(12501), 1,
      sym_or_operator,
    ACTIONS(12503), 1,
      sym_assign_operator,
    ACTIONS(12505), 1,
      anon_sym_SEMI,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10480), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10478), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505306] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12459), 1,
      anon_sym_PIPE,
    STATE(10535), 1,
      aux_sym__match_cases_repeat1,
    STATE(10620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [505356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10894), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10892), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10948), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10946), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10952), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10950), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9434), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505540] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    ACTIONS(12452), 1,
      sym_or_operator,
    ACTIONS(12454), 1,
      sym_assign_operator,
    ACTIONS(12483), 1,
      anon_sym_SEMI,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9526), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505656] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12515), 1,
      anon_sym_let,
    STATE(10627), 1,
      sym_attribute,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12390), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12513), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10956), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10954), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505764] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    ACTIONS(12501), 1,
      sym_or_operator,
    ACTIONS(12503), 1,
      sym_assign_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11677), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [505832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10918), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10916), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9364), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9372), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505970] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12515), 1,
      anon_sym_let,
    STATE(10633), 1,
      sym_attribute,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12392), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12513), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10980), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10978), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9396), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9404), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9460), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10982), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10988), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10986), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10900), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10906), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10904), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10990), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506446] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    ACTIONS(12452), 1,
      sym_or_operator,
    ACTIONS(12454), 1,
      sym_assign_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11549), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506514] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    ACTIONS(12501), 1,
      sym_or_operator,
    ACTIONS(12503), 1,
      sym_assign_operator,
    ACTIONS(12505), 1,
      anon_sym_SEMI,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506584] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [506636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9434), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506682] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [506738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9438), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9488), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9460), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506876] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12412), 1,
      sym_pow_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [506926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10910), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10908), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506972] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12412), 1,
      sym_pow_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [507022] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12485), 1,
      anon_sym_PIPE,
    STATE(10527), 1,
      aux_sym__match_cases_repeat1,
    STATE(10654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [507072] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [507130] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [507186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10494), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10492), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10438), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10436), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10352), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507321] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    ACTIONS(12422), 1,
      sym_or_operator,
    ACTIONS(12424), 1,
      sym_assign_operator,
    ACTIONS(12517), 1,
      anon_sym_SEMI,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10356), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10394), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10392), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12479), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12477), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10426), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10424), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12521), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12519), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9498), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507660] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    ACTIONS(12452), 1,
      sym_or_operator,
    ACTIONS(12454), 1,
      sym_assign_operator,
    ACTIONS(12523), 1,
      anon_sym_SEMI,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9234), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10490), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10488), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10360), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507864] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8877), 1,
      anon_sym_COMMA,
    ACTIONS(8879), 1,
      anon_sym_PIPE,
    ACTIONS(8883), 1,
      anon_sym_COLON_COLON,
    STATE(10671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10494), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10492), 17,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507915] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    ACTIONS(12501), 1,
      sym_or_operator,
    ACTIONS(12503), 1,
      sym_assign_operator,
    ACTIONS(12525), 1,
      anon_sym_SEMI,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9262), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10442), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10440), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508074] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12529), 1,
      sym__lowercase_identifier,
    ACTIONS(12533), 1,
      anon_sym_STAR,
    ACTIONS(12535), 1,
      anon_sym_POUND,
    STATE(10675), 1,
      sym_attribute,
    STATE(10836), 1,
      sym_type_constructor_path,
    STATE(20238), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12531), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [508131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12539), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12537), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508176] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12543), 1,
      anon_sym_let,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(10677), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12822), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12541), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10472), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10470), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508282] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    STATE(10679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [508329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10448), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10446), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9262), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10410), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10408), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12547), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12545), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12551), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12549), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10418), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10416), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508599] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12555), 1,
      anon_sym_let,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(10686), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12862), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12553), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10430), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10428), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10344), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9240), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9314), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10422), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10420), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12557), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10400), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508975] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12529), 1,
      sym__lowercase_identifier,
    ACTIONS(12535), 1,
      anon_sym_POUND,
    STATE(10694), 1,
      sym_attribute,
    STATE(10836), 1,
      sym_type_constructor_path,
    STATE(20238), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12563), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [509030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9546), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10332), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509120] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    STATE(10697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [509167] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    ACTIONS(12422), 1,
      sym_or_operator,
    ACTIONS(12424), 1,
      sym_assign_operator,
    ACTIONS(12517), 1,
      anon_sym_SEMI,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9156), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10406), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10404), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10376), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9204), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509416] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    STATE(10703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [509463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10328), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10348), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509553] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    ACTIONS(12501), 1,
      sym_or_operator,
    ACTIONS(12503), 1,
      sym_assign_operator,
    ACTIONS(12525), 1,
      anon_sym_SEMI,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [509622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10386), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10384), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10388), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10336), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10398), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10396), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10368), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10452), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10450), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9306), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5627), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(5623), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9526), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510027] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12412), 1,
      sym_pow_operator,
    ACTIONS(12414), 1,
      sym_mult_operator,
    ACTIONS(12416), 1,
      sym_concat_operator,
    ACTIONS(12418), 1,
      sym_rel_operator,
    ACTIONS(12420), 1,
      sym_and_operator,
    ACTIONS(12422), 1,
      sym_or_operator,
    ACTIONS(12424), 1,
      sym_assign_operator,
    ACTIONS(12517), 1,
      anon_sym_SEMI,
    STATE(2717), 1,
      sym_add_operator,
    STATE(10716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12565), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10340), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12571), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12569), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10456), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10454), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10372), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510321] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8803), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(12573), 1,
      anon_sym_type,
    ACTIONS(12575), 1,
      anon_sym_exception,
    ACTIONS(12577), 1,
      anon_sym_module,
    ACTIONS(12579), 1,
      anon_sym_include,
    ACTIONS(12581), 1,
      anon_sym_class,
    ACTIONS(12583), 1,
      anon_sym_val,
    ACTIONS(12585), 1,
      anon_sym_end,
    STATE(10722), 1,
      sym_attribute,
    STATE(10760), 1,
      aux_sym__signature_repeat1,
    STATE(10795), 1,
      aux_sym__structure_repeat1,
    STATE(15228), 1,
      sym__signature_item,
    STATE(21101), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [510398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12589), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12587), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510443] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8877), 1,
      anon_sym_COMMA,
    STATE(10724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10464), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10462), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510490] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    ACTIONS(12452), 1,
      sym_or_operator,
    ACTIONS(12454), 1,
      sym_assign_operator,
    ACTIONS(12523), 1,
      anon_sym_SEMI,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10468), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10466), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10460), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10458), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12593), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12591), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [510694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10382), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10380), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10414), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10412), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510784] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8803), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(12573), 1,
      anon_sym_type,
    ACTIONS(12575), 1,
      anon_sym_exception,
    ACTIONS(12577), 1,
      anon_sym_module,
    ACTIONS(12579), 1,
      anon_sym_include,
    ACTIONS(12581), 1,
      anon_sym_class,
    ACTIONS(12583), 1,
      anon_sym_val,
    ACTIONS(12595), 1,
      anon_sym_end,
    STATE(10731), 1,
      sym_attribute,
    STATE(10760), 1,
      aux_sym__signature_repeat1,
    STATE(10795), 1,
      aux_sym__structure_repeat1,
    STATE(15228), 1,
      sym__signature_item,
    STATE(20486), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [510861] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12529), 1,
      sym__lowercase_identifier,
    ACTIONS(12535), 1,
      anon_sym_POUND,
    ACTIONS(12597), 1,
      anon_sym_DASH_GT,
    ACTIONS(12599), 1,
      anon_sym_STAR,
    STATE(10732), 1,
      sym_attribute,
    STATE(10836), 1,
      sym_type_constructor_path,
    STATE(20238), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11714), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [510920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9344), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510965] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12529), 1,
      sym__lowercase_identifier,
    ACTIONS(12605), 1,
      anon_sym_POUND,
    STATE(10734), 1,
      sym_attribute,
    STATE(10849), 1,
      sym_type_constructor_path,
    STATE(20238), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12603), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [511020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9204), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10464), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10462), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10484), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10482), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10364), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10480), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10478), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511245] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8877), 1,
      anon_sym_COMMA,
    ACTIONS(8883), 1,
      anon_sym_COLON_COLON,
    STATE(10740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10464), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10462), 18,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12607), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511339] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12428), 1,
      sym_pow_operator,
    ACTIONS(12430), 1,
      sym_mult_operator,
    ACTIONS(12444), 1,
      sym_concat_operator,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    ACTIONS(12448), 1,
      sym_rel_operator,
    ACTIONS(12450), 1,
      sym_and_operator,
    ACTIONS(12452), 1,
      sym_or_operator,
    ACTIONS(12454), 1,
      sym_assign_operator,
    ACTIONS(12523), 1,
      anon_sym_SEMI,
    STATE(2392), 1,
      sym_add_operator,
    STATE(10742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10500), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10498), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12613), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12611), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511498] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8883), 1,
      anon_sym_COLON_COLON,
    STATE(10745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10504), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10502), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9240), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9258), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10508), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10506), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511680] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    ACTIONS(12489), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12491), 1,
      sym_pow_operator,
    ACTIONS(12493), 1,
      sym_mult_operator,
    ACTIONS(12495), 1,
      sym_concat_operator,
    ACTIONS(12497), 1,
      sym_rel_operator,
    ACTIONS(12499), 1,
      sym_and_operator,
    ACTIONS(12501), 1,
      sym_or_operator,
    ACTIONS(12503), 1,
      sym_assign_operator,
    ACTIONS(12525), 1,
      anon_sym_SEMI,
    STATE(2353), 1,
      sym_add_operator,
    STATE(10749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511749] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12617), 1,
      anon_sym_let,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(10750), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12740), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12615), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [511810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10434), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10432), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9258), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9336), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(12509), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [511989] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12621), 1,
      anon_sym_POUND,
    STATE(10755), 1,
      sym_attribute,
    STATE(11061), 1,
      sym_type_constructor_path,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12603), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512043] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12623), 1,
      sym__lowercase_identifier,
    ACTIONS(12625), 1,
      anon_sym_POUND,
    STATE(10756), 1,
      sym_attribute,
    STATE(11177), 1,
      sym_type_constructor_path,
    STATE(19086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12603), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512097] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12627), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12630), 1,
      anon_sym_external,
    ACTIONS(12633), 1,
      anon_sym_type,
    ACTIONS(12636), 1,
      anon_sym_RBRACK,
    ACTIONS(12638), 1,
      anon_sym_exception,
    ACTIONS(12641), 1,
      anon_sym_module,
    ACTIONS(12644), 1,
      anon_sym_open,
    ACTIONS(12647), 1,
      anon_sym_include,
    ACTIONS(12650), 1,
      anon_sym_class,
    ACTIONS(12653), 1,
      anon_sym_val,
    ACTIONS(12656), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12662), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(11023), 1,
      aux_sym__structure_repeat1,
    STATE(15228), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10757), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [512169] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8803), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(12665), 1,
      anon_sym_type,
    ACTIONS(12667), 1,
      anon_sym_RBRACK,
    ACTIONS(12669), 1,
      anon_sym_exception,
    ACTIONS(12671), 1,
      anon_sym_module,
    ACTIONS(12673), 1,
      anon_sym_include,
    ACTIONS(12675), 1,
      anon_sym_class,
    ACTIONS(12677), 1,
      anon_sym_val,
    STATE(10757), 1,
      aux_sym__signature_repeat1,
    STATE(10758), 1,
      sym_attribute,
    STATE(10769), 1,
      aux_sym__structure_repeat1,
    STATE(15228), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [512243] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12681), 1,
      anon_sym_let,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(10759), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(13156), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12679), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512303] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8803), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(12573), 1,
      anon_sym_type,
    ACTIONS(12575), 1,
      anon_sym_exception,
    ACTIONS(12577), 1,
      anon_sym_module,
    ACTIONS(12579), 1,
      anon_sym_include,
    ACTIONS(12581), 1,
      anon_sym_class,
    ACTIONS(12583), 1,
      anon_sym_val,
    ACTIONS(12667), 1,
      anon_sym_end,
    STATE(10760), 1,
      sym_attribute,
    STATE(10763), 1,
      aux_sym__signature_repeat1,
    STATE(10803), 1,
      aux_sym__structure_repeat1,
    STATE(15228), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [512377] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12683), 1,
      anon_sym_COLON2,
    STATE(10761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512423] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12623), 1,
      sym__lowercase_identifier,
    ACTIONS(12685), 1,
      anon_sym_DASH_GT,
    ACTIONS(12687), 1,
      anon_sym_STAR,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    STATE(10762), 1,
      sym_attribute,
    STATE(11138), 1,
      sym_type_constructor_path,
    STATE(19086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11714), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512481] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12627), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12630), 1,
      anon_sym_external,
    ACTIONS(12636), 1,
      anon_sym_end,
    ACTIONS(12644), 1,
      anon_sym_open,
    ACTIONS(12656), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12659), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12662), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12691), 1,
      anon_sym_type,
    ACTIONS(12694), 1,
      anon_sym_exception,
    ACTIONS(12697), 1,
      anon_sym_module,
    ACTIONS(12700), 1,
      anon_sym_include,
    ACTIONS(12703), 1,
      anon_sym_class,
    ACTIONS(12706), 1,
      anon_sym_val,
    STATE(11028), 1,
      aux_sym__structure_repeat1,
    STATE(15228), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10763), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [512553] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(11918), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11920), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12711), 1,
      anon_sym_let,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(10764), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(13233), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12709), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [512613] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12623), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12713), 1,
      anon_sym_STAR,
    STATE(10765), 1,
      sym_attribute,
    STATE(11138), 1,
      sym_type_constructor_path,
    STATE(19086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12531), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512669] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12623), 1,
      sym__lowercase_identifier,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    STATE(10766), 1,
      sym_attribute,
    STATE(11138), 1,
      sym_type_constructor_path,
    STATE(19086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12563), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512723] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12715), 1,
      anon_sym_COLON2,
    STATE(10767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512769] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(10768), 1,
      sym_attribute,
    STATE(12026), 1,
      sym__simple_type,
    STATE(12161), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17077), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(20366), 1,
      sym_extended_module_path,
    STATE(23171), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [512846] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8803), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(12665), 1,
      anon_sym_type,
    ACTIONS(12669), 1,
      anon_sym_exception,
    ACTIONS(12671), 1,
      anon_sym_module,
    ACTIONS(12673), 1,
      anon_sym_include,
    ACTIONS(12675), 1,
      anon_sym_class,
    ACTIONS(12677), 1,
      anon_sym_val,
    ACTIONS(12733), 1,
      anon_sym_RBRACK,
    STATE(10769), 1,
      sym_attribute,
    STATE(15168), 1,
      aux_sym__structure_repeat1,
    STATE(15203), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [512917] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(10770), 1,
      sym_attribute,
    STATE(11271), 1,
      sym__simple_type,
    STATE(11729), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17040), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19280), 1,
      sym_extended_module_path,
    STATE(22796), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [512994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9238), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513037] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(10772), 1,
      sym_attribute,
    STATE(11319), 1,
      sym__simple_type,
    STATE(11729), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17037), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19280), 1,
      sym_extended_module_path,
    STATE(22763), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [513114] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(10773), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12488), 1,
      sym__simple_type,
    STATE(12665), 1,
      sym_type_variable,
    STATE(16928), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19410), 1,
      sym_extended_module_path,
    STATE(22158), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [513191] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(12759), 1,
      anon_sym_DOT,
    STATE(10774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12753), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513238] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12765), 1,
      anon_sym_as,
    STATE(10775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12763), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12761), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513283] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(10776), 1,
      sym_attribute,
    STATE(10866), 1,
      sym__simple_type,
    STATE(11032), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17225), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21056), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [513360] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(10777), 1,
      sym_attribute,
    STATE(10821), 1,
      sym__simple_type,
    STATE(11032), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17227), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21059), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [513437] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(10778), 1,
      sym_attribute,
    STATE(10882), 1,
      sym__simple_type,
    STATE(11342), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17003), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(22555), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [513514] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(10779), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12584), 1,
      sym__simple_type,
    STATE(12665), 1,
      sym_type_variable,
    STATE(16929), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19410), 1,
      sym_extended_module_path,
    STATE(22160), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [513591] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(10780), 1,
      sym_attribute,
    STATE(11861), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12233), 1,
      sym_type_variable,
    STATE(17564), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19769), 1,
      sym_extended_module_path,
    STATE(21906), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [513668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10490), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513711] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(10782), 1,
      sym_attribute,
    STATE(11411), 1,
      sym__simple_type,
    STATE(12018), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17451), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19741), 1,
      sym_extended_module_path,
    STATE(23736), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [513788] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8803), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(12665), 1,
      anon_sym_type,
    ACTIONS(12667), 1,
      anon_sym_RBRACK,
    ACTIONS(12669), 1,
      anon_sym_exception,
    ACTIONS(12671), 1,
      anon_sym_module,
    ACTIONS(12673), 1,
      anon_sym_include,
    ACTIONS(12675), 1,
      anon_sym_class,
    ACTIONS(12677), 1,
      anon_sym_val,
    STATE(10783), 1,
      sym_attribute,
    STATE(15168), 1,
      aux_sym__structure_repeat1,
    STATE(15203), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [513859] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12765), 1,
      anon_sym_as,
    STATE(10784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12811), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513904] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(10785), 1,
      sym_attribute,
    STATE(11252), 1,
      sym__simple_type,
    STATE(11729), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17038), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19280), 1,
      sym_extended_module_path,
    STATE(22767), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [513981] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(10786), 1,
      sym_attribute,
    STATE(10884), 1,
      sym__simple_type,
    STATE(11342), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17004), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(22557), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [514058] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(10787), 1,
      sym_attribute,
    STATE(10830), 1,
      sym__simple_type,
    STATE(11032), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17240), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21096), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [514135] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    STATE(10788), 1,
      sym_attribute,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12563), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [514188] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(10789), 1,
      sym_attribute,
    STATE(11648), 1,
      sym__simple_type,
    STATE(11832), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17056), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(22977), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [514265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12821), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12819), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514308] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(10791), 1,
      sym_attribute,
    STATE(11649), 1,
      sym__simple_type,
    STATE(11832), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17057), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(22980), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [514385] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(10792), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(15638), 1,
      sym__simple_type,
    STATE(15804), 1,
      sym_type_variable,
    STATE(16945), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19726), 1,
      sym_extended_module_path,
    STATE(23471), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [514462] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(10793), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(15639), 1,
      sym__simple_type,
    STATE(15804), 1,
      sym_type_variable,
    STATE(16962), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19726), 1,
      sym_extended_module_path,
    STATE(23473), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [514539] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    STATE(10794), 1,
      sym_attribute,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [514598] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8803), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(12573), 1,
      anon_sym_type,
    ACTIONS(12575), 1,
      anon_sym_exception,
    ACTIONS(12577), 1,
      anon_sym_module,
    ACTIONS(12579), 1,
      anon_sym_include,
    ACTIONS(12581), 1,
      anon_sym_class,
    ACTIONS(12583), 1,
      anon_sym_val,
    ACTIONS(12667), 1,
      anon_sym_end,
    STATE(10795), 1,
      sym_attribute,
    STATE(15168), 1,
      aux_sym__structure_repeat1,
    STATE(15203), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [514669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12511), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514712] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(10797), 1,
      sym_attribute,
    STATE(11657), 1,
      sym__simple_type,
    STATE(11832), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17059), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(23006), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [514789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12849), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514875] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12683), 1,
      anon_sym_COLON2,
    STATE(10800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514920] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(10801), 1,
      sym_attribute,
    STATE(11834), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12266), 1,
      sym_type_variable,
    STATE(17117), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19537), 1,
      sym_extended_module_path,
    STATE(23551), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [514997] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(10802), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12395), 1,
      sym_type_variable,
    STATE(12576), 1,
      sym__simple_type,
    STATE(16973), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19327), 1,
      sym_extended_module_path,
    STATE(22350), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [515074] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8803), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(12573), 1,
      anon_sym_type,
    ACTIONS(12575), 1,
      anon_sym_exception,
    ACTIONS(12577), 1,
      anon_sym_module,
    ACTIONS(12579), 1,
      anon_sym_include,
    ACTIONS(12581), 1,
      anon_sym_class,
    ACTIONS(12583), 1,
      anon_sym_val,
    ACTIONS(12733), 1,
      anon_sym_end,
    STATE(10803), 1,
      sym_attribute,
    STATE(15168), 1,
      aux_sym__structure_repeat1,
    STATE(15203), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [515145] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(10804), 1,
      sym_attribute,
    STATE(11835), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12266), 1,
      sym_type_variable,
    STATE(17118), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19537), 1,
      sym_extended_module_path,
    STATE(23554), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [515222] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(10805), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12395), 1,
      sym_type_variable,
    STATE(12577), 1,
      sym__simple_type,
    STATE(16974), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19327), 1,
      sym_extended_module_path,
    STATE(22357), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [515299] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(10806), 1,
      sym_attribute,
    STATE(11048), 1,
      sym__simple_type,
    STATE(11342), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17007), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(22581), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [515376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9256), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515419] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(10808), 1,
      sym_attribute,
    STATE(11837), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12233), 1,
      sym_type_variable,
    STATE(17513), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19769), 1,
      sym_extended_module_path,
    STATE(21865), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [515496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12871), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515539] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(10810), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12395), 1,
      sym_type_variable,
    STATE(12533), 1,
      sym__simple_type,
    STATE(16979), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19327), 1,
      sym_extended_module_path,
    STATE(22389), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [515616] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12873), 1,
      anon_sym_COLON2,
    STATE(10811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515661] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(10812), 1,
      sym_attribute,
    STATE(11726), 1,
      sym__simple_type,
    STATE(12018), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17379), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19741), 1,
      sym_extended_module_path,
    STATE(22301), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [515738] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(10813), 1,
      sym_attribute,
    STATE(12025), 1,
      sym__simple_type,
    STATE(12161), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17076), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(20366), 1,
      sym_extended_module_path,
    STATE(23165), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [515815] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(10814), 1,
      sym_attribute,
    STATE(11416), 1,
      sym__simple_type,
    STATE(11969), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17108), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(23394), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [515892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12879), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12877), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [515935] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(10816), 1,
      sym_attribute,
    STATE(11187), 1,
      sym__simple_type,
    STATE(11260), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17335), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19350), 1,
      sym_extended_module_path,
    STATE(21478), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [516012] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(10817), 1,
      sym_attribute,
    STATE(11196), 1,
      sym__simple_type,
    STATE(11260), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17338), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19350), 1,
      sym_extended_module_path,
    STATE(21481), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [516089] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(10818), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12407), 1,
      sym__simple_type,
    STATE(12665), 1,
      sym_type_variable,
    STATE(16932), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19410), 1,
      sym_extended_module_path,
    STATE(22177), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [516166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9202), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516209] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    ACTIONS(12897), 1,
      anon_sym_STAR,
    STATE(10820), 1,
      sym_attribute,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12531), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [516264] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    STATE(10821), 1,
      sym_attribute,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12901), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [516323] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(10822), 1,
      sym_attribute,
    STATE(12039), 1,
      sym__simple_type,
    STATE(12161), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17080), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(20366), 1,
      sym_extended_module_path,
    STATE(23191), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [516400] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(12905), 1,
      anon_sym_POUND,
    STATE(10823), 1,
      sym_attribute,
    STATE(11262), 1,
      sym_type_constructor_path,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12603), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [516453] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(10824), 1,
      sym_attribute,
    STATE(11849), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12266), 1,
      sym_type_variable,
    STATE(17120), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19537), 1,
      sym_extended_module_path,
    STATE(23629), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [516530] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    ACTIONS(12907), 1,
      anon_sym_DASH_GT,
    ACTIONS(12909), 1,
      anon_sym_STAR,
    STATE(10825), 1,
      sym_attribute,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11714), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [516587] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(10826), 1,
      sym_attribute,
    STATE(10907), 1,
      sym__simple_type,
    STATE(11260), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17350), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19350), 1,
      sym_extended_module_path,
    STATE(21528), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [516664] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12765), 1,
      anon_sym_as,
    STATE(10827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12913), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12911), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516752] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(10829), 1,
      sym_attribute,
    STATE(11838), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12233), 1,
      sym_type_variable,
    STATE(17517), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19769), 1,
      sym_extended_module_path,
    STATE(21867), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [516829] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    STATE(10830), 1,
      sym_attribute,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12921), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [516888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12511), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516931] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(10832), 1,
      sym_attribute,
    STATE(11414), 1,
      sym__simple_type,
    STATE(12018), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17021), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19741), 1,
      sym_extended_module_path,
    STATE(20633), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [517008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12925), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12929), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12933), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12937), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9260), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517223] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(10838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9520), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517268] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(10839), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(15645), 1,
      sym__simple_type,
    STATE(15804), 1,
      sym_type_variable,
    STATE(17149), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19726), 1,
      sym_extended_module_path,
    STATE(23655), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [517345] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(10840), 1,
      sym_attribute,
    STATE(11400), 1,
      sym__simple_type,
    STATE(11969), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17102), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(23370), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [517422] = 22,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(10841), 1,
      sym_attribute,
    STATE(11401), 1,
      sym__simple_type,
    STATE(11969), 1,
      sym_type_variable,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(17103), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(23374), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [517499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12941), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12945), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12949), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12953), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12957), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12955), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517714] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12877), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12961), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12959), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [517759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12965), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12969), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12973), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12977), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517931] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    STATE(10852), 1,
      sym_attribute,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [517990] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    STATE(10853), 1,
      sym_attribute,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12989), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12993), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12997), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13001), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13005), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13009), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518307] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(13013), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13011), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13017), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13021), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13025), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13029), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518524] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(10865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9520), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [518569] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    STATE(10866), 1,
      sym_attribute,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13033), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [518628] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13037), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13039), 1,
      anon_sym_GT,
    STATE(10867), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518700] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13041), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13043), 1,
      anon_sym_GT,
    STATE(10868), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518772] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(10869), 1,
      sym_attribute,
    STATE(11607), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(19280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518844] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13045), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13047), 1,
      anon_sym_GT,
    STATE(10870), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518916] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13049), 1,
      sym__lowercase_identifier,
    ACTIONS(13051), 1,
      anon_sym_DASH_GT,
    ACTIONS(13053), 1,
      anon_sym_STAR,
    ACTIONS(13055), 1,
      anon_sym_POUND,
    STATE(10871), 1,
      sym_attribute,
    STATE(11637), 1,
      sym_type_constructor_path,
    STATE(20262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11714), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [518972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12511), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13059), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13057), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519056] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13061), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13063), 1,
      anon_sym_GT,
    STATE(10874), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519128] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13065), 1,
      sym__lowercase_identifier,
    ACTIONS(13067), 1,
      anon_sym_POUND,
    STATE(10875), 1,
      sym_attribute,
    STATE(11382), 1,
      sym_type_constructor_path,
    STATE(19066), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12603), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [519180] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13069), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13071), 1,
      anon_sym_GT,
    STATE(10876), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519252] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(10877), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(12904), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519324] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13065), 1,
      sym__lowercase_identifier,
    ACTIONS(13073), 1,
      anon_sym_DASH_GT,
    ACTIONS(13075), 1,
      anon_sym_STAR,
    ACTIONS(13077), 1,
      anon_sym_POUND,
    STATE(10878), 1,
      sym_attribute,
    STATE(11662), 1,
      sym_type_constructor_path,
    STATE(19066), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11714), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [519380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9256), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9260), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519464] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13081), 1,
      anon_sym_let,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(13087), 1,
      anon_sym_COLON2,
    STATE(10881), 1,
      sym_attribute,
    STATE(11193), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(11760), 1,
      sym__module_typed,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12448), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13083), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13079), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519524] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(10882), 1,
      sym_attribute,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13033), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [519582] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10400), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13093), 1,
      anon_sym_let,
    ACTIONS(13095), 1,
      anon_sym_EQ,
    ACTIONS(13097), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(10883), 1,
      sym_attribute,
    STATE(11852), 1,
      sym__type_equation,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12284), 1,
      aux_sym_type_binding_repeat1,
    STATE(12398), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13091), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519644] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(10884), 1,
      sym_attribute,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12901), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [519702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9256), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12997), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13001), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519828] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(10888), 1,
      sym_attribute,
    STATE(12072), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(19769), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12977), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519942] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(10890), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(12904), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13103), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13101), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [520056] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(10892), 1,
      sym_attribute,
    STATE(11098), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520128] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(10893), 1,
      sym_attribute,
    STATE(11098), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520200] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(10894), 1,
      sym_attribute,
    STATE(11249), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520272] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(10895), 1,
      sym_attribute,
    STATE(11203), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19280), 1,
      sym_extended_module_path,
    STATE(22817), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520344] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(10896), 1,
      sym_attribute,
    STATE(11446), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(23429), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520416] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(10897), 1,
      sym_attribute,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [520474] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(10898), 1,
      sym_attribute,
    STATE(11274), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19280), 1,
      sym_extended_module_path,
    STATE(22818), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520546] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13105), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13107), 1,
      anon_sym_GT,
    STATE(10899), 1,
      sym_attribute,
    STATE(15875), 1,
      sym__simple_type,
    STATE(17689), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520618] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13109), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13111), 1,
      anon_sym_GT,
    STATE(10900), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520690] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13113), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13115), 1,
      anon_sym_GT,
    STATE(10901), 1,
      sym_attribute,
    STATE(15887), 1,
      sym__simple_type,
    STATE(18836), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12989), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520804] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(10903), 1,
      sym_attribute,
    STATE(11336), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19280), 1,
      sym_extended_module_path,
    STATE(22820), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520876] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13065), 1,
      sym__lowercase_identifier,
    ACTIONS(13077), 1,
      anon_sym_POUND,
    ACTIONS(13117), 1,
      anon_sym_STAR,
    STATE(10904), 1,
      sym_attribute,
    STATE(11662), 1,
      sym_type_constructor_path,
    STATE(19066), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12531), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [520930] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13119), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13121), 1,
      anon_sym_GT,
    STATE(10905), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521002] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(10906), 1,
      sym_attribute,
    STATE(11607), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(19280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521074] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(10907), 1,
      sym_attribute,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12921), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [521132] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(10908), 1,
      sym_attribute,
    STATE(11725), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19741), 1,
      sym_extended_module_path,
    STATE(20911), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521204] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(10909), 1,
      sym_attribute,
    STATE(11939), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(19741), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12993), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521318] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(10911), 1,
      sym_attribute,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [521376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12925), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12929), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12871), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521502] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13065), 1,
      sym__lowercase_identifier,
    ACTIONS(13077), 1,
      anon_sym_POUND,
    STATE(10915), 1,
      sym_attribute,
    STATE(11662), 1,
      sym_type_constructor_path,
    STATE(19066), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12563), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [521554] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13127), 1,
      sym__lowercase_identifier,
    STATE(10916), 1,
      sym_attribute,
    STATE(16278), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21235), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12933), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521666] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(10918), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(15629), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    STATE(23717), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13131), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13129), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521780] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(10920), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(15652), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    STATE(23719), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12937), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521894] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13133), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13135), 1,
      anon_sym_GT,
    STATE(10922), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521966] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13137), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13139), 1,
      anon_sym_GT,
    STATE(10923), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522038] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(10924), 1,
      sym_attribute,
    STATE(11249), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13005), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522152] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(10926), 1,
      sym_attribute,
    STATE(11607), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(19280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522224] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9428), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12997), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13001), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13143), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13141), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522392] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13049), 1,
      sym__lowercase_identifier,
    ACTIONS(13055), 1,
      anon_sym_POUND,
    ACTIONS(13145), 1,
      anon_sym_STAR,
    STATE(10931), 1,
      sym_attribute,
    STATE(11637), 1,
      sym_type_constructor_path,
    STATE(20262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12531), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [522446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13005), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522488] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9162), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522530] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(10934), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(15642), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    STATE(23737), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522602] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13147), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13149), 1,
      anon_sym_GT,
    STATE(10935), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522674] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13151), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13153), 1,
      anon_sym_GT,
    STATE(10936), 1,
      sym_attribute,
    STATE(15944), 1,
      sym__simple_type,
    STATE(18108), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9260), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13009), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522830] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13155), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13157), 1,
      anon_sym_GT,
    STATE(10939), 1,
      sym_attribute,
    STATE(15907), 1,
      sym__simple_type,
    STATE(18685), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522902] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(10940), 1,
      sym_attribute,
    STATE(11098), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522974] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9502), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [523016] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(10942), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12293), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    STATE(22412), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523088] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13159), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13161), 1,
      anon_sym_GT,
    STATE(10943), 1,
      sym_attribute,
    STATE(15927), 1,
      sym__simple_type,
    STATE(17773), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523160] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(10944), 1,
      sym_attribute,
    STATE(11976), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523232] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13163), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13165), 1,
      anon_sym_GT,
    STATE(10945), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523304] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13167), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13169), 1,
      anon_sym_GT,
    STATE(10946), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523376] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13171), 1,
      anon_sym_COLON2,
    STATE(10947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12849), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523462] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9418), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [523504] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    ACTIONS(13173), 1,
      anon_sym_STAR,
    STATE(10950), 1,
      sym_attribute,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12531), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [523558] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9234), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [523600] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9452), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [523642] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9512), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [523684] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(10954), 1,
      sym_attribute,
    STATE(11976), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523756] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9516), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [523798] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13175), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13177), 1,
      anon_sym_GT,
    STATE(10956), 1,
      sym_attribute,
    STATE(15915), 1,
      sym__simple_type,
    STATE(18605), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523870] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13179), 1,
      anon_sym_LBRACE,
    STATE(10957), 1,
      sym_attribute,
    STATE(15780), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    STATE(20257), 1,
      sym__constructor_argument,
    STATE(20259), 1,
      sym_record_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [523942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13017), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523984] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(10959), 1,
      sym_attribute,
    STATE(11939), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(19741), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524056] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13181), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13183), 1,
      anon_sym_GT,
    STATE(10960), 1,
      sym_attribute,
    STATE(15931), 1,
      sym__simple_type,
    STATE(18044), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524128] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(10852), 1,
      sym__simple_type,
    STATE(10961), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21129), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524200] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(10853), 1,
      sym__simple_type,
    STATE(10962), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21134), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524272] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13185), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13187), 1,
      anon_sym_GT,
    STATE(10963), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524344] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13189), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13191), 1,
      anon_sym_GT,
    STATE(10964), 1,
      sym_attribute,
    STATE(15947), 1,
      sym__simple_type,
    STATE(17849), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524416] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9530), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [524458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13021), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524500] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(10967), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12708), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    STATE(22195), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524572] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13193), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13195), 1,
      anon_sym_GT,
    STATE(10968), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524644] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13197), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13199), 1,
      anon_sym_GT,
    STATE(10969), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13025), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524758] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13179), 1,
      anon_sym_LBRACE,
    STATE(10971), 1,
      sym_attribute,
    STATE(15780), 1,
      sym__simple_type,
    STATE(19100), 1,
      sym__constructor_argument,
    STATE(19726), 1,
      sym_extended_module_path,
    STATE(20259), 1,
      sym_record_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524830] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9204), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [524872] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(10794), 1,
      sym__simple_type,
    STATE(10973), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(20185), 1,
      sym_extended_module_path,
    STATE(21141), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524944] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13201), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13203), 1,
      anon_sym_GT,
    STATE(10974), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525016] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13205), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13207), 1,
      anon_sym_GT,
    STATE(10975), 1,
      sym_attribute,
    STATE(15876), 1,
      sym__simple_type,
    STATE(17878), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525088] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13209), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13211), 1,
      anon_sym_GT,
    STATE(10976), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525160] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9154), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [525202] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13127), 1,
      sym__lowercase_identifier,
    STATE(10978), 1,
      sym_attribute,
    STATE(16118), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21235), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525272] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9538), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [525314] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9270), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [525356] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9306), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [525398] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9278), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [525440] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9314), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [525482] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(10984), 1,
      sym_attribute,
    STATE(11976), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525554] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(10985), 1,
      sym_attribute,
    STATE(12065), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(19537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525626] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9336), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [525668] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9344), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [525710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525752] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13213), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13215), 1,
      anon_sym_GT,
    STATE(10989), 1,
      sym_attribute,
    STATE(15903), 1,
      sym__simple_type,
    STATE(17936), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525824] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9286), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [525866] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10400), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13097), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(13219), 1,
      anon_sym_let,
    ACTIONS(13221), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(10991), 1,
      sym_attribute,
    STATE(11780), 1,
      sym__type_equation,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12169), 1,
      aux_sym_type_binding_repeat1,
    STATE(12353), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13217), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [525928] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9384), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [525970] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9248), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [526012] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13223), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13225), 1,
      anon_sym_GT,
    STATE(10994), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526084] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(10995), 1,
      sym_attribute,
    STATE(11687), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(23028), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526156] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13227), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13229), 1,
      anon_sym_GT,
    STATE(10996), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526228] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(10997), 1,
      sym_attribute,
    STATE(11697), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(23029), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526300] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13231), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13233), 1,
      anon_sym_GT,
    STATE(10998), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526372] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13235), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13237), 1,
      anon_sym_GT,
    STATE(10999), 1,
      sym_attribute,
    STATE(15905), 1,
      sym__simple_type,
    STATE(18309), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526444] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(11000), 1,
      sym_attribute,
    STATE(11708), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(20351), 1,
      sym_extended_module_path,
    STATE(23036), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526516] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13239), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13241), 1,
      anon_sym_GT,
    STATE(11001), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526630] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13243), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13245), 1,
      anon_sym_GT,
    STATE(11003), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13029), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526744] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9093), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9095), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [526786] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11006), 1,
      sym_attribute,
    STATE(12065), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(19537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [526858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10490), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526900] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9360), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [526942] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13247), 1,
      anon_sym_DOT,
    STATE(11009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9392), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [526986] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13249), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13251), 1,
      anon_sym_GT,
    STATE(11010), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527058] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11011), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(12802), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527130] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9490), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [527172] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11013), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(12802), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527244] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9426), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [527286] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13253), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13255), 1,
      anon_sym_GT,
    STATE(11015), 1,
      sym_attribute,
    STATE(15883), 1,
      sym__simple_type,
    STATE(18482), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527358] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9456), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [527400] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9464), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [527442] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9476), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [527484] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9480), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [527526] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9484), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [527568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9274), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [527610] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9290), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [527652] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8803), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(12665), 1,
      anon_sym_type,
    ACTIONS(12669), 1,
      anon_sym_exception,
    ACTIONS(12671), 1,
      anon_sym_module,
    ACTIONS(12673), 1,
      anon_sym_include,
    ACTIONS(12675), 1,
      anon_sym_class,
    ACTIONS(12677), 1,
      anon_sym_val,
    STATE(11023), 1,
      sym_attribute,
    STATE(15168), 1,
      aux_sym__structure_repeat1,
    STATE(15203), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [527720] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9298), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [527762] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13257), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13259), 1,
      anon_sym_GT,
    STATE(11025), 1,
      sym_attribute,
    STATE(15945), 1,
      sym__simple_type,
    STATE(18019), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527834] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9156), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [527876] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(11027), 1,
      sym_attribute,
    STATE(11249), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527948] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(77), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(79), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8803), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11946), 1,
      anon_sym_external,
    ACTIONS(11954), 1,
      anon_sym_open,
    ACTIONS(12573), 1,
      anon_sym_type,
    ACTIONS(12575), 1,
      anon_sym_exception,
    ACTIONS(12577), 1,
      anon_sym_module,
    ACTIONS(12579), 1,
      anon_sym_include,
    ACTIONS(12581), 1,
      anon_sym_class,
    ACTIONS(12583), 1,
      anon_sym_val,
    STATE(11028), 1,
      sym_attribute,
    STATE(15168), 1,
      aux_sym__structure_repeat1,
    STATE(15203), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15227), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [528016] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11029), 1,
      sym_attribute,
    STATE(12072), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(19769), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528088] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13261), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13263), 1,
      anon_sym_GT,
    STATE(11030), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528160] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13265), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13267), 1,
      anon_sym_GT,
    STATE(11031), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528232] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [528276] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13271), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13273), 1,
      anon_sym_GT,
    STATE(11033), 1,
      sym_attribute,
    STATE(15899), 1,
      sym__simple_type,
    STATE(18407), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528348] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13275), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13277), 1,
      anon_sym_GT,
    STATE(11034), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528420] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9302), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [528462] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9310), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [528504] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9318), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [528546] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9340), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [528588] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9352), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [528630] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(11040), 1,
      sym_attribute,
    STATE(11440), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(23424), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528702] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9356), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [528744] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9368), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [528786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9238), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [528828] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13279), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13281), 1,
      anon_sym_GT,
    STATE(11044), 1,
      sym_attribute,
    STATE(15918), 1,
      sym__simple_type,
    STATE(18106), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [528900] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9364), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [528942] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9372), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [528984] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13049), 1,
      sym__lowercase_identifier,
    ACTIONS(13055), 1,
      anon_sym_POUND,
    STATE(11047), 1,
      sym_attribute,
    STATE(11637), 1,
      sym_type_constructor_path,
    STATE(20262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12563), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [529036] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(11048), 1,
      sym_attribute,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12921), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [529094] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9200), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [529136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10490), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [529178] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(11051), 1,
      sym_attribute,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [529236] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11052), 1,
      sym_attribute,
    STATE(12072), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(19769), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [529308] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11053), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(12802), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [529380] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9396), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [529422] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9388), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [529464] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9422), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [529506] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9170), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [529548] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11058), 1,
      sym_attribute,
    STATE(11895), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19769), 1,
      sym_extended_module_path,
    STATE(21945), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [529620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12965), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [529662] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9174), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [529704] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12969), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [529746] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9178), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [529788] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13283), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13285), 1,
      anon_sym_GT,
    STATE(11063), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [529860] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13287), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13289), 1,
      anon_sym_GT,
    STATE(11064), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [529932] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9404), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [529974] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9442), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9444), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [530016] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9194), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [530058] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9448), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [530100] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9468), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [530142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6795), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6793), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530184] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11071), 1,
      sym_attribute,
    STATE(12065), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(19537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [530256] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9472), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [530298] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11073), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12278), 1,
      sym__simple_type,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(20366), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [530370] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    ACTIONS(13291), 1,
      anon_sym_DASH_GT,
    ACTIONS(13293), 1,
      anon_sym_STAR,
    STATE(11074), 1,
      sym_attribute,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11714), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13009), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [530468] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11076), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12278), 1,
      sym__simple_type,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(20366), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [530540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12949), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [530582] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(10897), 1,
      sym__simple_type,
    STATE(11078), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(22604), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [530654] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11079), 1,
      sym_attribute,
    STATE(11897), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19769), 1,
      sym_extended_module_path,
    STATE(21946), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [530726] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11080), 1,
      sym_attribute,
    STATE(11313), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(19350), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [530798] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9434), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [530840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [530882] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11083), 1,
      sym_attribute,
    STATE(11313), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(19350), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [530954] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9438), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [530996] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9376), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [531038] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9252), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [531080] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13299), 1,
      anon_sym_LPAREN,
    STATE(11736), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11087), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(13297), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13295), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [531126] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(10911), 1,
      sym__simple_type,
    STATE(11088), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(22606), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [531198] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13302), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13304), 1,
      anon_sym_GT,
    STATE(11089), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [531270] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13306), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13308), 1,
      anon_sym_GT,
    STATE(11090), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [531342] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13310), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13312), 1,
      anon_sym_GT,
    STATE(11091), 1,
      sym_attribute,
    STATE(15948), 1,
      sym__simple_type,
    STATE(18112), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [531414] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13314), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13316), 1,
      anon_sym_GT,
    STATE(11092), 1,
      sym_attribute,
    STATE(15908), 1,
      sym__simple_type,
    STATE(17787), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [531486] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9244), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [531528] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(11094), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(12904), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [531600] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(11051), 1,
      sym__simple_type,
    STATE(11095), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19136), 1,
      sym_extended_module_path,
    STATE(22609), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [531672] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13320), 1,
      anon_sym_GT,
    STATE(11096), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [531744] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9328), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [531786] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    ACTIONS(13324), 1,
      anon_sym_STAR,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(11098), 1,
      sym_attribute,
    STATE(12363), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13322), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [531842] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9498), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [531884] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11100), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12278), 1,
      sym__simple_type,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(20366), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [531956] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11101), 1,
      sym_attribute,
    STATE(11858), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19537), 1,
      sym_extended_module_path,
    STATE(23650), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [532028] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9085), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9087), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [532070] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9264), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [532112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12871), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [532154] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9184), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [532196] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9188), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [532238] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13326), 1,
      anon_sym_COLON2,
    STATE(11107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [532282] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13328), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13330), 1,
      anon_sym_GT,
    STATE(11108), 1,
      sym_attribute,
    STATE(15885), 1,
      sym__simple_type,
    STATE(18199), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [532354] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9089), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9091), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [532396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12973), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [532438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12925), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [532480] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9282), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [532522] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11113), 1,
      sym_attribute,
    STATE(11860), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19537), 1,
      sym_extended_module_path,
    STATE(23652), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [532594] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9292), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [532636] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9322), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [532678] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9346), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [532720] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13332), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13334), 1,
      anon_sym_GT,
    STATE(11117), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [532792] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13336), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13338), 1,
      anon_sym_GT,
    STATE(11118), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [532864] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13340), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13342), 1,
      anon_sym_GT,
    STATE(11119), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [532936] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11120), 1,
      sym_attribute,
    STATE(11875), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(20366), 1,
      sym_extended_module_path,
    STATE(23212), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [533008] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11121), 1,
      sym_attribute,
    STATE(11313), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(19350), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [533080] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11122), 1,
      sym_attribute,
    STATE(11869), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19537), 1,
      sym_extended_module_path,
    STATE(23657), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [533152] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11123), 1,
      sym_attribute,
    STATE(11946), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(20366), 1,
      sym_extended_module_path,
    STATE(23218), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [533224] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13344), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13346), 1,
      anon_sym_GT,
    STATE(11124), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [533296] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11125), 1,
      sym_attribute,
    STATE(11746), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(20366), 1,
      sym_extended_module_path,
    STATE(23220), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [533368] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13348), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13350), 1,
      anon_sym_GT,
    STATE(11126), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [533440] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13352), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13354), 1,
      anon_sym_GT,
    STATE(11127), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [533512] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11128), 1,
      sym_attribute,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [533570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [533612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12929), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [533654] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11128), 1,
      sym__simple_type,
    STATE(11131), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19350), 1,
      sym_extended_module_path,
    STATE(21563), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [533726] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11132), 1,
      sym_attribute,
    STATE(11137), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19350), 1,
      sym_extended_module_path,
    STATE(21566), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [533798] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13356), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13358), 1,
      anon_sym_GT,
    STATE(11133), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [533870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12933), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [533912] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13049), 1,
      sym__lowercase_identifier,
    ACTIONS(13360), 1,
      anon_sym_POUND,
    STATE(11135), 1,
      sym_attribute,
    STATE(11534), 1,
      sym_type_constructor_path,
    STATE(20262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12603), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [533964] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9240), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [534006] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11137), 1,
      sym_attribute,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [534064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12937), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [534106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12941), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [534148] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9534), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [534190] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11141), 1,
      sym_attribute,
    STATE(11194), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19350), 1,
      sym_extended_module_path,
    STATE(21577), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [534262] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13362), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13364), 1,
      anon_sym_GT,
    STATE(11142), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [534334] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13366), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13368), 1,
      anon_sym_GT,
    STATE(11143), 1,
      sym_attribute,
    STATE(15911), 1,
      sym__simple_type,
    STATE(18288), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [534406] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11144), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12419), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    STATE(22406), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [534478] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9258), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [534520] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11146), 1,
      sym_attribute,
    STATE(11917), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19769), 1,
      sym_extended_module_path,
    STATE(21955), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [534592] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11147), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12471), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    STATE(22407), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [534664] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(11148), 1,
      sym_attribute,
    STATE(11481), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19741), 1,
      sym_extended_module_path,
    STATE(21231), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [534736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12945), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [534778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12849), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [534820] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9262), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [534862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12989), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [534904] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13370), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13372), 1,
      anon_sym_GT,
    STATE(11153), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [534976] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13374), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13376), 1,
      anon_sym_GT,
    STATE(11154), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [535048] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13378), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13380), 1,
      anon_sym_GT,
    STATE(11155), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [535120] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(11156), 1,
      sym_attribute,
    STATE(11874), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12309), 1,
      sym__constructor_argument,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [535192] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13179), 1,
      anon_sym_LBRACE,
    STATE(11157), 1,
      sym_attribute,
    STATE(15780), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    STATE(19997), 1,
      sym__constructor_argument,
    STATE(20259), 1,
      sym_record_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [535264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9202), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [535306] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(11159), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12586), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    STATE(22191), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [535378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12949), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [535420] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(11161), 1,
      sym_attribute,
    STATE(11874), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12429), 1,
      sym__constructor_argument,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [535492] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9460), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [535534] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13382), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13384), 1,
      anon_sym_GT,
    STATE(11163), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [535606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12953), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [535648] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8805), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13127), 1,
      sym__lowercase_identifier,
    STATE(11165), 1,
      sym_attribute,
    STATE(16131), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21654), 2,
      sym_labeled_argument_type,
      sym__proper_tuple_type,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [535718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12965), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [535760] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13247), 1,
      anon_sym_DOT,
    ACTIONS(13386), 1,
      anon_sym_POUND,
    ACTIONS(13388), 1,
      sym_hash_operator,
    STATE(11167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9400), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [535808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13017), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [535850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12993), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [535892] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(11170), 1,
      sym_attribute,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12600), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    STATE(22192), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [535964] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13392), 1,
      anon_sym_GT,
    STATE(11171), 1,
      sym_attribute,
    STATE(15940), 1,
      sym__simple_type,
    STATE(18139), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [536036] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13394), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13396), 1,
      anon_sym_GT,
    STATE(11172), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [536108] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13247), 1,
      anon_sym_DOT,
    ACTIONS(13386), 1,
      anon_sym_POUND,
    ACTIONS(13388), 1,
      sym_hash_operator,
    STATE(11173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9380), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [536156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13021), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [536198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13025), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [536240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12953), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [536282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12969), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [536324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9202), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [536366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12973), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [536408] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13398), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13400), 1,
      anon_sym_GT,
    STATE(11180), 1,
      sym_attribute,
    STATE(15888), 1,
      sym__simple_type,
    STATE(18805), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [536480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12977), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [536522] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    ACTIONS(13402), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13404), 1,
      anon_sym_GT,
    STATE(11182), 1,
      sym_attribute,
    STATE(15892), 1,
      sym__simple_type,
    STATE(17767), 1,
      sym_method_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [536594] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9546), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [536636] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9412), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [536678] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(11185), 1,
      sym_attribute,
    STATE(11939), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(19741), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [536750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9238), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [536792] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11187), 1,
      sym_attribute,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13033), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [536850] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9488), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [536892] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12819), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(9520), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [536936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13029), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [536978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12941), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [537020] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(11192), 1,
      sym_attribute,
    STATE(11874), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(12659), 1,
      sym__constructor_argument,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [537092] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(13087), 1,
      anon_sym_COLON2,
    ACTIONS(13408), 1,
      anon_sym_let,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11193), 1,
      sym_attribute,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(11802), 1,
      sym__module_typed,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12453), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13410), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13406), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537152] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11194), 1,
      sym_attribute,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [537210] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9526), 16,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [537252] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11196), 1,
      sym_attribute,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12901), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [537310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12945), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [537352] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9332), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [537394] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(11199), 1,
      sym_attribute,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12563), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [537446] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(11200), 1,
      sym_attribute,
    STATE(11438), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19567), 1,
      sym_extended_module_path,
    STATE(23423), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [537518] = 20,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10602), 1,
      anon_sym_LBRACE,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(11201), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__simple_type,
    STATE(12184), 1,
      sym_record_declaration,
    STATE(19741), 1,
      sym_extended_module_path,
    STATE(20932), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [537590] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(11202), 1,
      sym_attribute,
    STATE(11556), 1,
      sym__simple_type,
    STATE(13024), 1,
      sym_labeled_tuple_element_type,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [537659] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(11203), 1,
      sym_attribute,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [537716] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11351), 1,
      anon_sym_LPAREN,
    ACTIONS(11353), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11357), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11359), 1,
      anon_sym_LT,
    ACTIONS(11361), 1,
      anon_sym_POUND,
    ACTIONS(11363), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11365), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11367), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13418), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(11204), 1,
      sym_attribute,
    STATE(14298), 1,
      sym__simple_type,
    STATE(15479), 1,
      sym_labeled_tuple_element_type,
    STATE(19949), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15040), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [537785] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(11205), 1,
      sym_attribute,
    STATE(11525), 1,
      sym__simple_type,
    STATE(13176), 1,
      sym_labeled_tuple_element_type,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [537854] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(13422), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(10950), 1,
      sym__simple_type,
    STATE(11206), 1,
      sym_attribute,
    STATE(12384), 1,
      sym_labeled_tuple_element_type,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [537923] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(13422), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(10950), 1,
      sym__simple_type,
    STATE(11207), 1,
      sym_attribute,
    STATE(12384), 1,
      sym_labeled_tuple_element_type,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [537992] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13426), 1,
      anon_sym_POUND,
    STATE(11208), 1,
      sym_attribute,
    STATE(11996), 1,
      sym_type_constructor_path,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12603), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [538043] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13428), 1,
      anon_sym_COLON2,
    STATE(11209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10490), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [538127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12925), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [538168] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [538211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12941), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [538252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12945), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [538293] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13430), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(11215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [538338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12929), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [538379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12949), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [538420] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13432), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(11218), 1,
      sym_attribute,
    STATE(14720), 1,
      sym__simple_type,
    STATE(15620), 1,
      sym_labeled_tuple_element_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [538489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12871), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [538530] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(10820), 1,
      sym__simple_type,
    STATE(11220), 1,
      sym_attribute,
    STATE(12241), 1,
      sym_labeled_tuple_element_type,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [538599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12953), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [538640] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(11222), 1,
      sym_attribute,
    STATE(12426), 1,
      sym__simple_type,
    STATE(14361), 1,
      sym_labeled_tuple_element_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [538709] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      anon_sym_LPAREN,
    ACTIONS(12085), 1,
      anon_sym_LBRACK,
    ACTIONS(12087), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12089), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12091), 1,
      anon_sym_LT,
    ACTIONS(12093), 1,
      anon_sym_POUND,
    ACTIONS(12095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12099), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13438), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(10675), 1,
      sym__simple_type,
    STATE(11223), 1,
      sym_attribute,
    STATE(11631), 1,
      sym_labeled_tuple_element_type,
    STATE(20353), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10828), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [538778] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      anon_sym_LPAREN,
    ACTIONS(12085), 1,
      anon_sym_LBRACK,
    ACTIONS(12087), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12089), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12091), 1,
      anon_sym_LT,
    ACTIONS(12093), 1,
      anon_sym_POUND,
    ACTIONS(12095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12099), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13438), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(10675), 1,
      sym__simple_type,
    STATE(11224), 1,
      sym_attribute,
    STATE(11631), 1,
      sym_labeled_tuple_element_type,
    STATE(20353), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10828), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [538847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13442), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13440), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538888] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10400), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13093), 1,
      anon_sym_let,
    ACTIONS(13444), 1,
      anon_sym_EQ,
    ACTIONS(13446), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11226), 1,
      sym_attribute,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12217), 1,
      sym__type_equation,
    STATE(12398), 1,
      aux_sym_expression_item_repeat1,
    STATE(12480), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13091), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [538949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12933), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [538990] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13450), 1,
      anon_sym_COLON2,
    STATE(11228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9306), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [539074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(12509), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [539115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12937), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [539156] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13326), 1,
      anon_sym_COLON2,
    STATE(11232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [539199] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11986), 1,
      anon_sym_LPAREN,
    ACTIONS(11990), 1,
      anon_sym_LBRACK,
    ACTIONS(11992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11996), 1,
      anon_sym_LT,
    ACTIONS(11998), 1,
      anon_sym_POUND,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13452), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(11233), 1,
      sym_attribute,
    STATE(15249), 1,
      sym__simple_type,
    STATE(15893), 1,
      sym_labeled_tuple_element_type,
    STATE(19126), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15586), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539268] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13454), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(11234), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(15005), 1,
      sym_labeled_tuple_element_type,
    STATE(20254), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539337] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13454), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(11235), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(15005), 1,
      sym_labeled_tuple_element_type,
    STATE(20254), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539406] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13456), 1,
      anon_sym_POUND,
    STATE(11236), 1,
      sym_attribute,
    STATE(12004), 1,
      sym_type_constructor_path,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12603), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [539457] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(11237), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13460), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [539508] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_COMMA,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    ACTIONS(13472), 1,
      sym_rel_operator,
    ACTIONS(13474), 1,
      sym_and_operator,
    ACTIONS(13476), 1,
      sym_or_operator,
    ACTIONS(13478), 1,
      sym_assign_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11675), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [539571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9260), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [539612] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13432), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(11240), 1,
      sym_attribute,
    STATE(14720), 1,
      sym__simple_type,
    STATE(15620), 1,
      sym_labeled_tuple_element_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539681] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13482), 1,
      anon_sym_let,
    ACTIONS(13484), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11241), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(13480), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12961), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12959), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539767] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12236), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(12242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12246), 1,
      anon_sym_LT,
    ACTIONS(12248), 1,
      anon_sym_POUND,
    ACTIONS(12250), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12252), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12254), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13487), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(10904), 1,
      sym__simple_type,
    STATE(11243), 1,
      sym_attribute,
    STATE(12560), 1,
      sym_labeled_tuple_element_type,
    STATE(19875), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11642), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539836] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12236), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(12242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12246), 1,
      anon_sym_LT,
    ACTIONS(12248), 1,
      anon_sym_POUND,
    ACTIONS(12250), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12252), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12254), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13487), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(10904), 1,
      sym__simple_type,
    STATE(11244), 1,
      sym_attribute,
    STATE(12560), 1,
      sym_labeled_tuple_element_type,
    STATE(19875), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11642), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [539905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13491), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13489), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [539987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13495), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13493), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9202), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540069] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    ACTIONS(13497), 1,
      anon_sym_STAR,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(11249), 1,
      sym_attribute,
    STATE(12750), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13322), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [540124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12849), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540165] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      anon_sym_LPAREN,
    ACTIONS(12085), 1,
      anon_sym_LBRACK,
    ACTIONS(12087), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12089), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12091), 1,
      anon_sym_LT,
    ACTIONS(12093), 1,
      anon_sym_POUND,
    ACTIONS(12095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12099), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13438), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(10675), 1,
      sym__simple_type,
    STATE(11251), 1,
      sym_attribute,
    STATE(11631), 1,
      sym_labeled_tuple_element_type,
    STATE(20353), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10828), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540234] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(11252), 1,
      sym_attribute,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12901), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [540291] = 20,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8125), 1,
      anon_sym_object,
    ACTIONS(9906), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9908), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13499), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_let,
    ACTIONS(13503), 1,
      anon_sym_LPAREN,
    ACTIONS(13505), 1,
      anon_sym_BANG,
    ACTIONS(13507), 1,
      anon_sym_LBRACK,
    ACTIONS(13509), 1,
      anon_sym_fun,
    STATE(2999), 1,
      sym__simple_class_expression,
    STATE(11253), 1,
      sym_attribute,
    STATE(15303), 1,
      sym__class_expression,
    STATE(21386), 1,
      sym_module_path,
    STATE(22413), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10124), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [540362] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13511), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(11254), 1,
      sym_attribute,
    STATE(12296), 1,
      sym__simple_type,
    STATE(14497), 1,
      sym_labeled_tuple_element_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9234), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [540472] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13432), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(11256), 1,
      sym_attribute,
    STATE(14720), 1,
      sym__simple_type,
    STATE(15620), 1,
      sym_labeled_tuple_element_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13013), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13011), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540582] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(10820), 1,
      sym__simple_type,
    STATE(11258), 1,
      sym_attribute,
    STATE(12241), 1,
      sym_labeled_tuple_element_type,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540651] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13432), 1,
      sym__lowercase_identifier,
    STATE(11259), 1,
      sym_attribute,
    STATE(15314), 1,
      sym__simple_type,
    STATE(15417), 1,
      sym__tuple_type_rhs,
    STATE(16035), 1,
      sym_labeled_tuple_element_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540720] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12965), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12969), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12973), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12977), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [540927] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13432), 1,
      sym__lowercase_identifier,
    STATE(11265), 1,
      sym_attribute,
    STATE(15314), 1,
      sym__simple_type,
    STATE(15422), 1,
      sym__tuple_type_rhs,
    STATE(16035), 1,
      sym_labeled_tuple_element_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [540996] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11351), 1,
      anon_sym_LPAREN,
    ACTIONS(11353), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11357), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11359), 1,
      anon_sym_LT,
    ACTIONS(11361), 1,
      anon_sym_POUND,
    ACTIONS(11363), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11365), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11367), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13418), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(11266), 1,
      sym_attribute,
    STATE(14298), 1,
      sym__simple_type,
    STATE(15479), 1,
      sym_labeled_tuple_element_type,
    STATE(19949), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15040), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541065] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12057), 1,
      anon_sym_LPAREN,
    ACTIONS(12061), 1,
      anon_sym_LBRACK,
    ACTIONS(12063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12067), 1,
      anon_sym_LT,
    ACTIONS(12069), 1,
      anon_sym_POUND,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12075), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13513), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(10765), 1,
      sym__simple_type,
    STATE(11267), 1,
      sym_attribute,
    STATE(11889), 1,
      sym_labeled_tuple_element_type,
    STATE(20139), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11082), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541134] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12057), 1,
      anon_sym_LPAREN,
    ACTIONS(12061), 1,
      anon_sym_LBRACK,
    ACTIONS(12063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12067), 1,
      anon_sym_LT,
    ACTIONS(12069), 1,
      anon_sym_POUND,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12075), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13513), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(10765), 1,
      sym__simple_type,
    STATE(11268), 1,
      sym_attribute,
    STATE(11889), 1,
      sym_labeled_tuple_element_type,
    STATE(20139), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11082), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541203] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(13434), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(10820), 1,
      sym__simple_type,
    STATE(11269), 1,
      sym_attribute,
    STATE(12241), 1,
      sym_labeled_tuple_element_type,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541272] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_COMMA,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    ACTIONS(13472), 1,
      sym_rel_operator,
    ACTIONS(13474), 1,
      sym_and_operator,
    ACTIONS(13476), 1,
      sym_or_operator,
    ACTIONS(13478), 1,
      sym_assign_operator,
    ACTIONS(13515), 1,
      anon_sym_SEMI,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [541337] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(11271), 1,
      sym_attribute,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12921), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [541394] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(11272), 1,
      sym_attribute,
    STATE(11525), 1,
      sym__simple_type,
    STATE(13176), 1,
      sym_labeled_tuple_element_type,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13519), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13517), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541504] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(11274), 1,
      sym_attribute,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [541561] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13430), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(11275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [541606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [541647] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(13422), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(10950), 1,
      sym__simple_type,
    STATE(11277), 1,
      sym_attribute,
    STATE(12384), 1,
      sym_labeled_tuple_element_type,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541716] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_COMMA,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    ACTIONS(13472), 1,
      sym_rel_operator,
    ACTIONS(13474), 1,
      sym_and_operator,
    ACTIONS(13476), 1,
      sym_or_operator,
    ACTIONS(13478), 1,
      sym_assign_operator,
    ACTIONS(13515), 1,
      anon_sym_SEMI,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [541781] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_COMMA,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    ACTIONS(13472), 1,
      sym_rel_operator,
    ACTIONS(13474), 1,
      sym_and_operator,
    ACTIONS(13476), 1,
      sym_or_operator,
    ACTIONS(13478), 1,
      sym_assign_operator,
    ACTIONS(13515), 1,
      anon_sym_SEMI,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [541846] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13523), 1,
      anon_sym_POUND,
    STATE(11280), 1,
      sym_attribute,
    STATE(11943), 1,
      sym_type_constructor_path,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12603), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [541897] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11351), 1,
      anon_sym_LPAREN,
    ACTIONS(11353), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11357), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11359), 1,
      anon_sym_LT,
    ACTIONS(11361), 1,
      anon_sym_POUND,
    ACTIONS(11363), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11365), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11367), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13418), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(11281), 1,
      sym_attribute,
    STATE(14298), 1,
      sym__simple_type,
    STATE(15479), 1,
      sym_labeled_tuple_element_type,
    STATE(19949), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15040), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [541966] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13511), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(11282), 1,
      sym_attribute,
    STATE(12296), 1,
      sym__simple_type,
    STATE(14497), 1,
      sym_labeled_tuple_element_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12511), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [542076] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_COMMA,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    ACTIONS(13472), 1,
      sym_rel_operator,
    ACTIONS(13474), 1,
      sym_and_operator,
    ACTIONS(13476), 1,
      sym_or_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 12,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [542137] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [542188] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12683), 1,
      anon_sym_COLON2,
    STATE(11286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [542231] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13466), 1,
      sym_pow_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [542276] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13466), 1,
      sym_pow_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [542321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9336), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [542362] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [542415] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12236), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(12242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12246), 1,
      anon_sym_LT,
    ACTIONS(12248), 1,
      anon_sym_POUND,
    ACTIONS(12250), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12252), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12254), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13487), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(10904), 1,
      sym__simple_type,
    STATE(11291), 1,
      sym_attribute,
    STATE(12560), 1,
      sym_labeled_tuple_element_type,
    STATE(19875), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11642), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542484] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12010), 1,
      anon_sym_LPAREN,
    ACTIONS(12014), 1,
      anon_sym_LBRACK,
    ACTIONS(12016), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12018), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12020), 1,
      anon_sym_LT,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12026), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12028), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13525), 1,
      sym__lowercase_identifier,
    STATE(11292), 1,
      sym_attribute,
    STATE(15017), 1,
      sym__simple_type,
    STATE(15534), 1,
      sym__tuple_type_rhs,
    STATE(15627), 1,
      sym_labeled_tuple_element_type,
    STATE(19870), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542553] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [542606] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    ACTIONS(13472), 1,
      sym_rel_operator,
    ACTIONS(13474), 1,
      sym_and_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [542663] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    ACTIONS(13472), 1,
      sym_rel_operator,
    ACTIONS(13474), 1,
      sym_and_operator,
    ACTIONS(13476), 1,
      sym_or_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [542722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9314), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [542763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12989), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [542804] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13527), 1,
      anon_sym_PIPE,
    STATE(11298), 1,
      sym_attribute,
    STATE(11311), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [542849] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12010), 1,
      anon_sym_LPAREN,
    ACTIONS(12014), 1,
      anon_sym_LBRACK,
    ACTIONS(12016), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12018), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12020), 1,
      anon_sym_LT,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12026), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12028), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13525), 1,
      sym__lowercase_identifier,
    STATE(11299), 1,
      sym_attribute,
    STATE(15017), 1,
      sym__simple_type,
    STATE(15417), 1,
      sym__tuple_type_rhs,
    STATE(15627), 1,
      sym_labeled_tuple_element_type,
    STATE(19870), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [542918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12993), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [542959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12997), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543000] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_COMMA,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    ACTIONS(13472), 1,
      sym_rel_operator,
    ACTIONS(13474), 1,
      sym_and_operator,
    ACTIONS(13476), 1,
      sym_or_operator,
    ACTIONS(13478), 1,
      sym_assign_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [543063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13001), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543104] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [543151] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13527), 1,
      anon_sym_PIPE,
    STATE(11305), 1,
      sym_attribute,
    STATE(11315), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [543196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13531), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13529), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543237] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_COMMA,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    ACTIONS(13472), 1,
      sym_rel_operator,
    ACTIONS(13474), 1,
      sym_and_operator,
    ACTIONS(13476), 1,
      sym_or_operator,
    ACTIONS(13478), 1,
      sym_assign_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11669), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [543300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13005), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13009), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543382] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_COMMA,
    ACTIONS(13464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13466), 1,
      sym_pow_operator,
    ACTIONS(13468), 1,
      sym_mult_operator,
    ACTIONS(13470), 1,
      sym_concat_operator,
    ACTIONS(13472), 1,
      sym_rel_operator,
    ACTIONS(13474), 1,
      sym_and_operator,
    ACTIONS(13476), 1,
      sym_or_operator,
    ACTIONS(13478), 1,
      sym_assign_operator,
    STATE(2217), 1,
      sym_add_operator,
    STATE(11310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11679), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [543445] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13527), 1,
      anon_sym_PIPE,
    STATE(11311), 1,
      sym_attribute,
    STATE(11316), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [543490] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13537), 1,
      anon_sym_LPAREN,
    ACTIONS(13539), 1,
      anon_sym_LBRACK,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    STATE(11312), 1,
      sym_attribute,
    STATE(12243), 1,
      sym__constructor_name,
    STATE(12925), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13535), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13541), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13533), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543543] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    ACTIONS(13545), 1,
      anon_sym_STAR,
    STATE(11313), 1,
      sym_attribute,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(12939), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13322), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [543598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12511), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [543639] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13527), 1,
      anon_sym_PIPE,
    STATE(11315), 1,
      sym_attribute,
    STATE(11316), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [543684] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13547), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11316), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [543727] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13432), 1,
      sym__lowercase_identifier,
    STATE(11317), 1,
      sym_attribute,
    STATE(15314), 1,
      sym__simple_type,
    STATE(15534), 1,
      sym__tuple_type_rhs,
    STATE(16035), 1,
      sym_labeled_tuple_element_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [543796] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13550), 1,
      anon_sym_COLON2,
    STATE(11318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [543839] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(11319), 1,
      sym_attribute,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13033), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [543896] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10400), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13219), 1,
      anon_sym_let,
    ACTIONS(13446), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(13552), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11320), 1,
      sym_attribute,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12220), 1,
      sym__type_equation,
    STATE(12353), 1,
      aux_sym_expression_item_repeat1,
    STATE(12489), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13217), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [543957] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(11321), 1,
      sym_attribute,
    STATE(12426), 1,
      sym__simple_type,
    STATE(14361), 1,
      sym_labeled_tuple_element_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9344), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [544067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9238), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [544108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13017), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [544149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13021), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [544190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13025), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [544231] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13511), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(11327), 1,
      sym_attribute,
    STATE(12296), 1,
      sym__simple_type,
    STATE(14497), 1,
      sym_labeled_tuple_element_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544300] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11986), 1,
      anon_sym_LPAREN,
    ACTIONS(11990), 1,
      anon_sym_LBRACK,
    ACTIONS(11992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11996), 1,
      anon_sym_LT,
    ACTIONS(11998), 1,
      anon_sym_POUND,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13452), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(11328), 1,
      sym_attribute,
    STATE(15249), 1,
      sym__simple_type,
    STATE(15893), 1,
      sym_labeled_tuple_element_type,
    STATE(19126), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15586), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544369] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(11329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [544414] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11986), 1,
      anon_sym_LPAREN,
    ACTIONS(11990), 1,
      anon_sym_LBRACK,
    ACTIONS(11992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11996), 1,
      anon_sym_LT,
    ACTIONS(11998), 1,
      anon_sym_POUND,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13452), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(11330), 1,
      sym_attribute,
    STATE(15249), 1,
      sym__simple_type,
    STATE(15893), 1,
      sym_labeled_tuple_element_type,
    STATE(19126), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15586), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544483] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13454), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(11331), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(15005), 1,
      sym_labeled_tuple_element_type,
    STATE(20254), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544552] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12683), 1,
      anon_sym_COLON2,
    STATE(11332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [544595] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_LPAREN,
    ACTIONS(11928), 1,
      anon_sym_LBRACK,
    ACTIONS(11930), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11932), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11934), 1,
      anon_sym_LT,
    ACTIONS(11936), 1,
      anon_sym_POUND,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11942), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13556), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(10931), 1,
      sym__simple_type,
    STATE(11333), 1,
      sym_attribute,
    STATE(12548), 1,
      sym_labeled_tuple_element_type,
    STATE(19084), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11731), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544664] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12057), 1,
      anon_sym_LPAREN,
    ACTIONS(12061), 1,
      anon_sym_LBRACK,
    ACTIONS(12063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12067), 1,
      anon_sym_LT,
    ACTIONS(12069), 1,
      anon_sym_POUND,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12075), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13513), 1,
      sym__lowercase_identifier,
    STATE(9782), 1,
      sym__tuple_type_rhs,
    STATE(10765), 1,
      sym__simple_type,
    STATE(11334), 1,
      sym_attribute,
    STATE(11889), 1,
      sym_labeled_tuple_element_type,
    STATE(20139), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11082), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544733] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(11335), 1,
      sym_attribute,
    STATE(11525), 1,
      sym__simple_type,
    STATE(13176), 1,
      sym_labeled_tuple_element_type,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [544802] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(11336), 1,
      sym_attribute,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [544859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13029), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [544900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9256), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [544941] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(11339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [544986] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_LPAREN,
    ACTIONS(11928), 1,
      anon_sym_LBRACK,
    ACTIONS(11930), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11932), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11934), 1,
      anon_sym_LT,
    ACTIONS(11936), 1,
      anon_sym_POUND,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11942), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13556), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(10931), 1,
      sym__simple_type,
    STATE(11340), 1,
      sym_attribute,
    STATE(12548), 1,
      sym_labeled_tuple_element_type,
    STATE(19084), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11731), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13558), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(13560), 13,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      sym__lowercase_identifier,
  [545096] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [545139] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12010), 1,
      anon_sym_LPAREN,
    ACTIONS(12014), 1,
      anon_sym_LBRACK,
    ACTIONS(12016), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12018), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12020), 1,
      anon_sym_LT,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12026), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12028), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13525), 1,
      sym__lowercase_identifier,
    STATE(11343), 1,
      sym_attribute,
    STATE(15017), 1,
      sym__simple_type,
    STATE(15422), 1,
      sym__tuple_type_rhs,
    STATE(15627), 1,
      sym_labeled_tuple_element_type,
    STATE(19870), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545208] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_LPAREN,
    ACTIONS(11928), 1,
      anon_sym_LBRACK,
    ACTIONS(11930), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11932), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11934), 1,
      anon_sym_LT,
    ACTIONS(11936), 1,
      anon_sym_POUND,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11942), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13556), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(10931), 1,
      sym__simple_type,
    STATE(11344), 1,
      sym_attribute,
    STATE(12548), 1,
      sym_labeled_tuple_element_type,
    STATE(19084), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11731), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545277] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(11345), 1,
      sym_attribute,
    STATE(11556), 1,
      sym__simple_type,
    STATE(13024), 1,
      sym_labeled_tuple_element_type,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13564), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13562), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545387] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    STATE(9750), 1,
      sym__tuple_type_rhs,
    STATE(11347), 1,
      sym_attribute,
    STATE(11556), 1,
      sym__simple_type,
    STATE(13024), 1,
      sym_labeled_tuple_element_type,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545456] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(13408), 1,
      anon_sym_let,
    ACTIONS(13566), 1,
      anon_sym_COLON2,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11348), 1,
      sym_attribute,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(11802), 1,
      sym__module_typed,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12453), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13410), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13406), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545515] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13081), 1,
      anon_sym_let,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(13566), 1,
      anon_sym_COLON2,
    STATE(11348), 1,
      aux_sym_module_binding_repeat1,
    STATE(11349), 1,
      sym_attribute,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(11760), 1,
      sym__module_typed,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12448), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13083), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13079), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [545574] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    STATE(9849), 1,
      sym__tuple_type_rhs,
    STATE(11350), 1,
      sym_attribute,
    STATE(12426), 1,
      sym__simple_type,
    STATE(14361), 1,
      sym_labeled_tuple_element_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545643] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13568), 1,
      sym__lowercase_identifier,
    ACTIONS(13570), 1,
      anon_sym_let,
    ACTIONS(13572), 1,
      anon_sym_LPAREN,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_fun,
    STATE(3475), 1,
      sym__simple_class_expression,
    STATE(11351), 1,
      sym_attribute,
    STATE(18854), 1,
      sym__class_expression,
    STATE(20998), 1,
      sym_value_definition,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11926), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545711] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11352), 1,
      sym_attribute,
    STATE(12322), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545779] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [545821] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13594), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(11354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [545865] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13568), 1,
      sym__lowercase_identifier,
    ACTIONS(13570), 1,
      anon_sym_let,
    ACTIONS(13572), 1,
      anon_sym_LPAREN,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_fun,
    STATE(3475), 1,
      sym__simple_class_expression,
    STATE(11355), 1,
      sym_attribute,
    STATE(18317), 1,
      sym__class_expression,
    STATE(20998), 1,
      sym_value_definition,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11926), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545933] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(10891), 1,
      sym__class_expression,
    STATE(11356), 1,
      sym_attribute,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9314), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [546041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9336), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [546081] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11359), 1,
      sym_attribute,
    STATE(12430), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546149] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11360), 1,
      sym_attribute,
    STATE(12401), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546217] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11361), 1,
      sym_attribute,
    STATE(12404), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9344), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [546325] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11363), 1,
      sym_attribute,
    STATE(12443), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546393] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11364), 1,
      sym_attribute,
    STATE(12673), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546461] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11365), 1,
      sym_attribute,
    STATE(12389), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9460), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [546569] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11367), 1,
      sym_attribute,
    STATE(12410), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546637] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11368), 1,
      sym_attribute,
    STATE(12545), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546705] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(10891), 1,
      sym__class_expression,
    STATE(11369), 1,
      sym_attribute,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546773] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11370), 1,
      sym_attribute,
    STATE(12479), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546841] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11371), 1,
      sym_attribute,
    STATE(12483), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546909] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11372), 1,
      sym_attribute,
    STATE(12526), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [546977] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11373), 1,
      sym_attribute,
    STATE(12323), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547045] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11374), 1,
      sym_attribute,
    STATE(12329), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547113] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11375), 1,
      sym_attribute,
    STATE(12330), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547181] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11376), 1,
      sym_attribute,
    STATE(12337), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547249] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11377), 1,
      sym_attribute,
    STATE(12369), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547317] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11378), 1,
      sym_attribute,
    STATE(12371), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547385] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11379), 1,
      sym_attribute,
    STATE(12372), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547453] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(11380), 1,
      sym_attribute,
    STATE(12382), 1,
      sym__class_expression,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12965), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12969), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12973), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12977), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547681] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11385), 1,
      sym_attribute,
    STATE(12410), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9462), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9464), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [547789] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(10919), 1,
      sym__class_expression,
    STATE(11387), 1,
      sym_attribute,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547857] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(10930), 1,
      sym__class_expression,
    STATE(11388), 1,
      sym_attribute,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547925] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11389), 1,
      sym_attribute,
    STATE(12545), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [547993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9488), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [548033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13618), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13616), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548073] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13620), 1,
      anon_sym_COLON,
    STATE(11392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9632), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9630), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [548115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12953), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12989), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12993), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12997), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13001), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13005), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13009), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548395] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(11400), 1,
      sym_attribute,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13033), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [548451] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(11401), 1,
      sym_attribute,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12901), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [548507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13017), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548547] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13021), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13025), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13029), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9204), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [548707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9240), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [548747] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11408), 1,
      sym_attribute,
    STATE(12443), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [548815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548855] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11410), 1,
      sym_attribute,
    STATE(12673), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [548923] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(11411), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13033), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [548979] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13568), 1,
      sym__lowercase_identifier,
    ACTIONS(13570), 1,
      anon_sym_let,
    ACTIONS(13572), 1,
      anon_sym_LPAREN,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_fun,
    STATE(3475), 1,
      sym__simple_class_expression,
    STATE(11412), 1,
      sym_attribute,
    STATE(18134), 1,
      sym__class_expression,
    STATE(20998), 1,
      sym_value_definition,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11926), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [549047] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13628), 1,
      anon_sym_COMMA,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    ACTIONS(13638), 1,
      sym_rel_operator,
    ACTIONS(13640), 1,
      sym_and_operator,
    ACTIONS(13642), 1,
      sym_or_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 12,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [549107] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(11414), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12901), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [549163] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [549213] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(11416), 1,
      sym_attribute,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12921), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [549269] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13632), 1,
      sym_pow_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [549313] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13632), 1,
      sym_pow_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [549357] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [549409] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [549461] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    ACTIONS(13638), 1,
      sym_rel_operator,
    ACTIONS(13640), 1,
      sym_and_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [549517] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    ACTIONS(13638), 1,
      sym_rel_operator,
    ACTIONS(13640), 1,
      sym_and_operator,
    ACTIONS(13642), 1,
      sym_or_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [549575] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13628), 1,
      anon_sym_COMMA,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    ACTIONS(13638), 1,
      sym_rel_operator,
    ACTIONS(13640), 1,
      sym_and_operator,
    ACTIONS(13642), 1,
      sym_or_operator,
    ACTIONS(13644), 1,
      sym_assign_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549637] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [549683] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13628), 1,
      anon_sym_COMMA,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    ACTIONS(13638), 1,
      sym_rel_operator,
    ACTIONS(13640), 1,
      sym_and_operator,
    ACTIONS(13642), 1,
      sym_or_operator,
    ACTIONS(13644), 1,
      sym_assign_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549745] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11426), 1,
      sym_attribute,
    STATE(12389), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [549813] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11427), 1,
      sym_attribute,
    STATE(12322), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [549881] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13594), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(11428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [549925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [549965] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13628), 1,
      anon_sym_COMMA,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    ACTIONS(13638), 1,
      sym_rel_operator,
    ACTIONS(13640), 1,
      sym_and_operator,
    ACTIONS(13642), 1,
      sym_or_operator,
    ACTIONS(13644), 1,
      sym_assign_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550027] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(10919), 1,
      sym__class_expression,
    STATE(11431), 1,
      sym_attribute,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [550095] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(10930), 1,
      sym__class_expression,
    STATE(11432), 1,
      sym_attribute,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [550163] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13656), 1,
      anon_sym_DOT,
    ACTIONS(13658), 1,
      anon_sym_POUND,
    ACTIONS(13660), 1,
      sym_hash_operator,
    STATE(11433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10868), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10866), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [550209] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13656), 1,
      anon_sym_DOT,
    ACTIONS(13658), 1,
      anon_sym_POUND,
    ACTIONS(13660), 1,
      sym_hash_operator,
    STATE(11434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10878), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10876), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [550255] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13568), 1,
      sym__lowercase_identifier,
    ACTIONS(13570), 1,
      anon_sym_let,
    ACTIONS(13572), 1,
      anon_sym_LPAREN,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_fun,
    STATE(3475), 1,
      sym__simple_class_expression,
    STATE(11435), 1,
      sym_attribute,
    STATE(17770), 1,
      sym__class_expression,
    STATE(20998), 1,
      sym_value_definition,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11926), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [550323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9262), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [550363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13664), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13662), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550403] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(11438), 1,
      sym_attribute,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [550459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12511), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [550499] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(11440), 1,
      sym_attribute,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [550555] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11441), 1,
      sym_attribute,
    STATE(12410), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [550623] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11442), 1,
      sym_attribute,
    STATE(12545), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [550691] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13568), 1,
      sym__lowercase_identifier,
    ACTIONS(13570), 1,
      anon_sym_let,
    ACTIONS(13572), 1,
      anon_sym_LPAREN,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_fun,
    STATE(3475), 1,
      sym__simple_class_expression,
    STATE(11443), 1,
      sym_attribute,
    STATE(18115), 1,
      sym__class_expression,
    STATE(20998), 1,
      sym_value_definition,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11926), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [550759] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11444), 1,
      sym_attribute,
    STATE(12430), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [550827] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11445), 1,
      sym_attribute,
    STATE(12401), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [550895] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(11446), 1,
      sym_attribute,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [550951] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13666), 1,
      anon_sym_PIPE,
    STATE(11447), 1,
      sym_attribute,
    STATE(11449), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [550995] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13666), 1,
      anon_sym_PIPE,
    STATE(11448), 1,
      sym_attribute,
    STATE(11450), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [551039] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13666), 1,
      anon_sym_PIPE,
    STATE(11449), 1,
      sym_attribute,
    STATE(11451), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [551083] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13666), 1,
      anon_sym_PIPE,
    STATE(11450), 1,
      sym_attribute,
    STATE(11451), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [551127] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13668), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11451), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [551169] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11452), 1,
      sym_attribute,
    STATE(12404), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [551237] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(11453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9520), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [551279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551319] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11455), 1,
      sym_attribute,
    STATE(12443), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [551387] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11456), 1,
      sym_attribute,
    STATE(12673), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [551455] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13568), 1,
      sym__lowercase_identifier,
    ACTIONS(13570), 1,
      anon_sym_let,
    ACTIONS(13572), 1,
      anon_sym_LPAREN,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_fun,
    STATE(3475), 1,
      sym__simple_class_expression,
    STATE(10891), 1,
      sym__class_expression,
    STATE(11457), 1,
      sym_attribute,
    STATE(20998), 1,
      sym_value_definition,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11926), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [551523] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_COMMA,
    STATE(11458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 16,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [551565] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11459), 1,
      sym_attribute,
    STATE(12479), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [551633] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11460), 1,
      sym_attribute,
    STATE(12483), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [551701] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11461), 1,
      sym_attribute,
    STATE(12526), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [551769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13673), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13671), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10490), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551849] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11464), 1,
      sym_attribute,
    STATE(12323), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [551917] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11465), 1,
      sym_attribute,
    STATE(12329), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [551985] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11466), 1,
      sym_attribute,
    STATE(12330), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552053] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11467), 1,
      sym_attribute,
    STATE(12337), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552121] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(10891), 1,
      sym__class_expression,
    STATE(11468), 1,
      sym_attribute,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552189] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11469), 1,
      sym_attribute,
    STATE(12369), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552257] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11470), 1,
      sym_attribute,
    STATE(12371), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12871), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552365] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11472), 1,
      sym_attribute,
    STATE(12372), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552433] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11473), 1,
      sym_attribute,
    STATE(12382), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552501] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(10919), 1,
      sym__class_expression,
    STATE(11474), 1,
      sym_attribute,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552569] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(10930), 1,
      sym__class_expression,
    STATE(11475), 1,
      sym_attribute,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9524), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9526), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [552677] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11477), 1,
      sym_attribute,
    STATE(12443), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552745] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11478), 1,
      sym_attribute,
    STATE(12673), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552813] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11479), 1,
      sym_attribute,
    STATE(12389), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [552881] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13628), 1,
      anon_sym_COMMA,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    ACTIONS(13638), 1,
      sym_rel_operator,
    ACTIONS(13640), 1,
      sym_and_operator,
    ACTIONS(13642), 1,
      sym_or_operator,
    ACTIONS(13644), 1,
      sym_assign_operator,
    ACTIONS(13675), 1,
      anon_sym_SEMI,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [552945] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(11481), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [553001] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13568), 1,
      sym__lowercase_identifier,
    ACTIONS(13570), 1,
      anon_sym_let,
    ACTIONS(13572), 1,
      anon_sym_LPAREN,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_fun,
    STATE(3475), 1,
      sym__simple_class_expression,
    STATE(10919), 1,
      sym__class_expression,
    STATE(11482), 1,
      sym_attribute,
    STATE(20998), 1,
      sym_value_definition,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11926), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [553069] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    ACTIONS(13677), 1,
      anon_sym_DASH_GT,
    ACTIONS(13679), 1,
      anon_sym_STAR,
    STATE(11483), 1,
      sym_attribute,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11714), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [553123] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13568), 1,
      sym__lowercase_identifier,
    ACTIONS(13570), 1,
      anon_sym_let,
    ACTIONS(13572), 1,
      anon_sym_LPAREN,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_fun,
    STATE(3475), 1,
      sym__simple_class_expression,
    STATE(10930), 1,
      sym__class_expression,
    STATE(11484), 1,
      sym_attribute,
    STATE(20998), 1,
      sym_value_definition,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11926), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [553191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9412), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [553231] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13681), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(11486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [553275] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13628), 1,
      anon_sym_COMMA,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    ACTIONS(13638), 1,
      sym_rel_operator,
    ACTIONS(13640), 1,
      sym_and_operator,
    ACTIONS(13642), 1,
      sym_or_operator,
    ACTIONS(13644), 1,
      sym_assign_operator,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [553337] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [553379] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11489), 1,
      sym_attribute,
    STATE(12479), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [553447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12511), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553487] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(11491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9520), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [553529] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11492), 1,
      sym_attribute,
    STATE(12410), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [553597] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11493), 1,
      sym_attribute,
    STATE(12389), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [553665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9412), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553705] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11495), 1,
      sym_attribute,
    STATE(12483), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [553773] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13683), 1,
      anon_sym_DASH_GT,
    ACTIONS(13685), 1,
      anon_sym_STAR,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11496), 1,
      sym_attribute,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11714), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [553827] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11497), 1,
      sym_attribute,
    STATE(12545), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [553895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9544), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9546), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [553935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12849), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [553975] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11500), 1,
      sym_attribute,
    STATE(12479), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554043] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11501), 1,
      sym_attribute,
    STATE(12526), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13691), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13689), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13695), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13693), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554191] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11504), 1,
      sym_attribute,
    STATE(12483), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554259] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11505), 1,
      sym_attribute,
    STATE(12526), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554327] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11506), 1,
      sym_attribute,
    STATE(12323), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554395] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11507), 1,
      sym_attribute,
    STATE(12329), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554463] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11508), 1,
      sym_attribute,
    STATE(12330), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554531] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11509), 1,
      sym_attribute,
    STATE(12337), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554599] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11510), 1,
      sym_attribute,
    STATE(12369), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554667] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11511), 1,
      sym_attribute,
    STATE(12371), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554735] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11512), 1,
      sym_attribute,
    STATE(12372), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554803] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7443), 1,
      anon_sym_object,
    ACTIONS(9894), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9896), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_let,
    ACTIONS(13650), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      anon_sym_LBRACK,
    ACTIONS(13654), 1,
      anon_sym_fun,
    STATE(2962), 1,
      sym__simple_class_expression,
    STATE(11513), 1,
      sym_attribute,
    STATE(12382), 1,
      sym__class_expression,
    STATE(21270), 1,
      sym_module_path,
    STATE(22133), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9395), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [554871] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13656), 1,
      anon_sym_DOT,
    ACTIONS(13658), 1,
      anon_sym_POUND,
    ACTIONS(13660), 1,
      sym_hash_operator,
    STATE(11514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10886), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10884), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [554917] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13656), 1,
      anon_sym_DOT,
    ACTIONS(13658), 1,
      anon_sym_POUND,
    ACTIONS(13660), 1,
      sym_hash_operator,
    STATE(11515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10890), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10888), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [554963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12941), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12945), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12949), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12953), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555123] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    ACTIONS(13699), 1,
      anon_sym_SEMI,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    ACTIONS(13707), 1,
      sym_concat_operator,
    ACTIONS(13709), 1,
      sym_rel_operator,
    ACTIONS(13711), 1,
      sym_and_operator,
    ACTIONS(13713), 1,
      sym_or_operator,
    ACTIONS(13715), 1,
      sym_assign_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [555187] = 18,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13035), 1,
      sym__lowercase_identifier,
    STATE(11521), 1,
      sym_attribute,
    STATE(16085), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    STATE(19652), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9364), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [555293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9372), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [555333] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(10891), 1,
      sym__class_expression,
    STATE(11524), 1,
      sym_attribute,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [555401] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    ACTIONS(13727), 1,
      anon_sym_STAR,
    STATE(11525), 1,
      sym_attribute,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12531), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [555453] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(10919), 1,
      sym__class_expression,
    STATE(11526), 1,
      sym_attribute,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [555521] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(10930), 1,
      sym__class_expression,
    STATE(11527), 1,
      sym_attribute,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [555589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12871), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9396), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [555669] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13656), 1,
      anon_sym_DOT,
    ACTIONS(13658), 1,
      anon_sym_POUND,
    ACTIONS(13660), 1,
      sym_hash_operator,
    STATE(11530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10898), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10896), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [555715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9404), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [555755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12965), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555795] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8125), 1,
      anon_sym_object,
    ACTIONS(9906), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9908), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13499), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_let,
    ACTIONS(13503), 1,
      anon_sym_LPAREN,
    ACTIONS(13507), 1,
      anon_sym_LBRACK,
    ACTIONS(13509), 1,
      anon_sym_fun,
    STATE(2999), 1,
      sym__simple_class_expression,
    STATE(10919), 1,
      sym__class_expression,
    STATE(11533), 1,
      sym_attribute,
    STATE(21386), 1,
      sym_module_path,
    STATE(22413), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10124), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [555863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12969), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555903] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8125), 1,
      anon_sym_object,
    ACTIONS(9906), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9908), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13499), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_let,
    ACTIONS(13503), 1,
      anon_sym_LPAREN,
    ACTIONS(13507), 1,
      anon_sym_LBRACK,
    ACTIONS(13509), 1,
      anon_sym_fun,
    STATE(2999), 1,
      sym__simple_class_expression,
    STATE(10930), 1,
      sym__class_expression,
    STATE(11535), 1,
      sym_attribute,
    STATE(21386), 1,
      sym_module_path,
    STATE(22413), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10124), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [555971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9202), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12973), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9238), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12849), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556131] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(11540), 1,
      sym_attribute,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12563), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [556181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9256), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9260), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556261] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11543), 1,
      sym_attribute,
    STATE(12322), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [556329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9518), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9520), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556369] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11545), 1,
      sym_attribute,
    STATE(12322), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [556437] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13729), 1,
      anon_sym_POUND,
    STATE(11546), 1,
      sym_attribute,
    STATE(12117), 1,
      sym_type_constructor_path,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12603), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [556487] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13735), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11547), 1,
      sym_attribute,
    STATE(11575), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13733), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13731), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556533] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11548), 1,
      sym_attribute,
    STATE(12322), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [556601] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11549), 1,
      sym_attribute,
    STATE(12323), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [556669] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11550), 1,
      sym_attribute,
    STATE(12329), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [556737] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11551), 1,
      sym_attribute,
    STATE(12330), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [556805] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11552), 1,
      sym_attribute,
    STATE(12337), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [556873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12977), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13739), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13737), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13743), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13741), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556993] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    ACTIONS(13745), 1,
      anon_sym_STAR,
    STATE(11556), 1,
      sym_attribute,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12531), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [557045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12925), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12929), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12933), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10490), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9202), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557245] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    ACTIONS(13707), 1,
      sym_concat_operator,
    ACTIONS(13709), 1,
      sym_rel_operator,
    ACTIONS(13711), 1,
      sym_and_operator,
    ACTIONS(13713), 1,
      sym_or_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [557305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9238), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557345] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [557395] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      sym_pow_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [557439] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      sym_pow_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [557483] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(11567), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [557533] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11568), 1,
      sym_attribute,
    STATE(12401), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [557601] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11569), 1,
      sym_attribute,
    STATE(12404), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [557669] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    ACTIONS(13707), 1,
      sym_concat_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [557721] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    ACTIONS(13707), 1,
      sym_concat_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [557773] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    ACTIONS(13707), 1,
      sym_concat_operator,
    ACTIONS(13709), 1,
      sym_rel_operator,
    ACTIONS(13711), 1,
      sym_and_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [557829] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(10891), 1,
      sym__class_expression,
    STATE(11573), 1,
      sym_attribute,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [557897] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13735), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11574), 1,
      sym_attribute,
    STATE(11594), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13749), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13747), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557943] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13735), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11575), 1,
      sym_attribute,
    STATE(11654), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13753), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13751), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [557989] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    ACTIONS(13707), 1,
      sym_concat_operator,
    ACTIONS(13709), 1,
      sym_rel_operator,
    ACTIONS(13711), 1,
      sym_and_operator,
    ACTIONS(13713), 1,
      sym_or_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [558047] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    ACTIONS(13707), 1,
      sym_concat_operator,
    ACTIONS(13709), 1,
      sym_rel_operator,
    ACTIONS(13711), 1,
      sym_and_operator,
    ACTIONS(13713), 1,
      sym_or_operator,
    ACTIONS(13715), 1,
      sym_assign_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [558109] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [558155] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13628), 1,
      anon_sym_COMMA,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    ACTIONS(13638), 1,
      sym_rel_operator,
    ACTIONS(13640), 1,
      sym_and_operator,
    ACTIONS(13642), 1,
      sym_or_operator,
    ACTIONS(13644), 1,
      sym_assign_operator,
    ACTIONS(13675), 1,
      anon_sym_SEMI,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [558219] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11580), 1,
      sym_attribute,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13460), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558269] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    ACTIONS(13707), 1,
      sym_concat_operator,
    ACTIONS(13709), 1,
      sym_rel_operator,
    ACTIONS(13711), 1,
      sym_and_operator,
    ACTIONS(13713), 1,
      sym_or_operator,
    ACTIONS(13715), 1,
      sym_assign_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11669), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [558331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12511), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [558371] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11583), 1,
      sym_attribute,
    STATE(12430), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [558439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12989), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558479] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13628), 1,
      anon_sym_COMMA,
    ACTIONS(13630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13632), 1,
      sym_pow_operator,
    ACTIONS(13634), 1,
      sym_mult_operator,
    ACTIONS(13636), 1,
      sym_concat_operator,
    ACTIONS(13638), 1,
      sym_rel_operator,
    ACTIONS(13640), 1,
      sym_and_operator,
    ACTIONS(13642), 1,
      sym_or_operator,
    ACTIONS(13644), 1,
      sym_assign_operator,
    ACTIONS(13675), 1,
      anon_sym_SEMI,
    STATE(2709), 1,
      sym_add_operator,
    STATE(11585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [558543] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10402), 1,
      sym__lowercase_identifier,
    ACTIONS(13755), 1,
      anon_sym_COLON2,
    STATE(11586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12869), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12871), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13759), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13757), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558629] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11588), 1,
      sym_attribute,
    STATE(12369), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [558697] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11589), 1,
      sym_attribute,
    STATE(12371), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [558765] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11590), 1,
      sym_attribute,
    STATE(12372), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [558833] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11591), 1,
      sym_attribute,
    STATE(12401), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [558901] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11592), 1,
      sym_attribute,
    STATE(12404), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [558969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13763), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13761), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559009] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13735), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11594), 1,
      sym_attribute,
    STATE(11654), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13767), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13765), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12993), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559095] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13596), 1,
      anon_sym_let,
    ACTIONS(13598), 1,
      anon_sym_fun,
    STATE(2940), 1,
      sym__simple_class_expression,
    STATE(11596), 1,
      sym_attribute,
    STATE(12382), 1,
      sym__class_expression,
    STATE(23316), 1,
      sym_module_path,
    STATE(23324), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [559163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12997), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559203] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11598), 1,
      sym_attribute,
    STATE(12443), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [559271] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11599), 1,
      sym_attribute,
    STATE(12673), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [559339] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11600), 1,
      sym_attribute,
    STATE(12389), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [559407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13001), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559447] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(10919), 1,
      sym__class_expression,
    STATE(11602), 1,
      sym_attribute,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [559515] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13578), 1,
      sym__lowercase_identifier,
    ACTIONS(13580), 1,
      anon_sym_let,
    ACTIONS(13582), 1,
      anon_sym_LPAREN,
    ACTIONS(13584), 1,
      anon_sym_LBRACK,
    ACTIONS(13586), 1,
      anon_sym_object,
    ACTIONS(13588), 1,
      anon_sym_fun,
    ACTIONS(13590), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13592), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2930), 1,
      sym__simple_class_expression,
    STATE(10930), 1,
      sym__class_expression,
    STATE(11603), 1,
      sym_attribute,
    STATE(21427), 1,
      sym_value_definition,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8712), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [559583] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    ACTIONS(13707), 1,
      sym_concat_operator,
    ACTIONS(13709), 1,
      sym_rel_operator,
    ACTIONS(13711), 1,
      sym_and_operator,
    ACTIONS(13713), 1,
      sym_or_operator,
    ACTIONS(13715), 1,
      sym_assign_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11679), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9256), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13005), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559725] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    ACTIONS(13769), 1,
      anon_sym_STAR,
    STATE(11607), 1,
      sym_attribute,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(13061), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13322), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [559779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13009), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559819] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11609), 1,
      sym_attribute,
    STATE(12410), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [559887] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11610), 1,
      sym_attribute,
    STATE(12545), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [559955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9260), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559995] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11612), 1,
      sym_attribute,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12563), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [560045] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13681), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(11613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [560089] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11614), 1,
      sym_attribute,
    STATE(12479), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560157] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11615), 1,
      sym_attribute,
    STATE(12483), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560225] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11616), 1,
      sym_attribute,
    STATE(12526), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560293] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11617), 1,
      sym_attribute,
    STATE(12323), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560361] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11618), 1,
      sym_attribute,
    STATE(12329), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560429] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11619), 1,
      sym_attribute,
    STATE(12330), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560497] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11620), 1,
      sym_attribute,
    STATE(12337), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560565] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(11621), 1,
      sym_attribute,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13460), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [560615] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11622), 1,
      sym_attribute,
    STATE(12369), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560683] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8125), 1,
      anon_sym_object,
    ACTIONS(9906), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9908), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13499), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_let,
    ACTIONS(13503), 1,
      anon_sym_LPAREN,
    ACTIONS(13507), 1,
      anon_sym_LBRACK,
    ACTIONS(13509), 1,
      anon_sym_fun,
    STATE(2999), 1,
      sym__simple_class_expression,
    STATE(10891), 1,
      sym__class_expression,
    STATE(11623), 1,
      sym_attribute,
    STATE(21386), 1,
      sym_module_path,
    STATE(22413), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10124), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560751] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11624), 1,
      sym_attribute,
    STATE(12371), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560819] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11625), 1,
      sym_attribute,
    STATE(12372), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560887] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11626), 1,
      sym_attribute,
    STATE(12382), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [560955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9234), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [560995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9434), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [561035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13017), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [561075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13021), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [561115] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12533), 1,
      anon_sym_STAR,
    STATE(11631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12531), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12527), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13025), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [561197] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(11633), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13773), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [561247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13558), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(13560), 14,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      sym__lowercase_identifier,
  [561287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13029), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [561327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9438), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [561367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12937), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [561407] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8943), 1,
      anon_sym_object,
    ACTIONS(8955), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8957), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13568), 1,
      sym__lowercase_identifier,
    ACTIONS(13570), 1,
      anon_sym_let,
    ACTIONS(13572), 1,
      anon_sym_LPAREN,
    ACTIONS(13574), 1,
      anon_sym_LBRACK,
    ACTIONS(13576), 1,
      anon_sym_fun,
    STATE(3475), 1,
      sym__simple_class_expression,
    STATE(11638), 1,
      sym_attribute,
    STATE(17932), 1,
      sym__class_expression,
    STATE(20998), 1,
      sym_value_definition,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11926), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [561475] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8125), 1,
      anon_sym_object,
    ACTIONS(9906), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9908), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13499), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_let,
    ACTIONS(13503), 1,
      anon_sym_LPAREN,
    ACTIONS(13507), 1,
      anon_sym_LBRACK,
    ACTIONS(13509), 1,
      anon_sym_fun,
    STATE(2999), 1,
      sym__simple_class_expression,
    STATE(11639), 1,
      sym_attribute,
    STATE(15290), 1,
      sym__class_expression,
    STATE(21386), 1,
      sym_module_path,
    STATE(22413), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(10124), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [561543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9204), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [561583] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13775), 1,
      anon_sym_LPAREN,
    ACTIONS(13777), 1,
      anon_sym_LBRACK,
    STATE(11641), 1,
      sym_attribute,
    STATE(12572), 1,
      sym__constructor_name,
    STATE(13212), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13535), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13779), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13533), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [561675] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(11643), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13783), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [561725] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11644), 1,
      sym_attribute,
    STATE(12430), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [561793] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11645), 1,
      sym_attribute,
    STATE(12401), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [561861] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13600), 1,
      sym__lowercase_identifier,
    ACTIONS(13602), 1,
      anon_sym_let,
    ACTIONS(13604), 1,
      anon_sym_LPAREN,
    ACTIONS(13606), 1,
      anon_sym_LBRACK,
    ACTIONS(13608), 1,
      anon_sym_object,
    ACTIONS(13610), 1,
      anon_sym_fun,
    ACTIONS(13612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13614), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2934), 1,
      sym__simple_class_expression,
    STATE(11646), 1,
      sym_attribute,
    STATE(12404), 1,
      sym__class_expression,
    STATE(20900), 1,
      sym_module_path,
    STATE(21827), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8755), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [561929] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13785), 1,
      anon_sym_LPAREN,
    ACTIONS(13787), 1,
      anon_sym_LBRACK,
    STATE(11647), 1,
      sym_attribute,
    STATE(12609), 1,
      sym__constructor_name,
    STATE(13222), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13535), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13789), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13533), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [561981] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11648), 1,
      sym_attribute,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13033), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [562037] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11649), 1,
      sym_attribute,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12901), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [562093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12925), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [562133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9162), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12929), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [562213] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(11653), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13793), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [562263] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13799), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13797), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11654), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13795), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9416), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9418), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9450), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9452), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562387] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11657), 1,
      sym_attribute,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12921), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [562443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9510), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9512), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9514), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9516), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9528), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9530), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12933), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [562603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12937), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [562643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9540), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9538), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9270), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9382), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9384), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9248), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9093), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9095), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9360), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [562963] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13656), 1,
      anon_sym_DOT,
    STATE(11671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9392), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9424), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9426), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9454), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9456), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9474), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9476), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9478), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9480), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9482), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9484), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9274), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9290), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9298), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9302), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9308), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9310), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9318), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9338), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9340), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9352), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9356), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9366), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9368), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563605] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11687), 1,
      sym_attribute,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [563661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9388), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9420), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9422), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9170), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9174), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9178), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9442), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9444), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9446), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9448), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9466), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9468), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [563981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9470), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9472), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564021] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11697), 1,
      sym_attribute,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [564077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9184), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9188), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9089), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9091), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9280), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9282), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564237] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9534), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9085), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9087), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9240), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [564357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9332), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9258), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [564437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9154), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564477] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11708), 1,
      sym_attribute,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [564533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9500), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9502), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9430), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9428), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9492), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9490), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9200), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564693] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9244), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9376), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9252), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9328), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9264), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9292), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [564973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9322), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9346), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9262), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [565093] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    ACTIONS(13699), 1,
      anon_sym_SEMI,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    ACTIONS(13707), 1,
      sym_concat_operator,
    ACTIONS(13709), 1,
      sym_rel_operator,
    ACTIONS(13711), 1,
      sym_and_operator,
    ACTIONS(13713), 1,
      sym_or_operator,
    ACTIONS(13715), 1,
      sym_assign_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565157] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    ACTIONS(13699), 1,
      anon_sym_SEMI,
    ACTIONS(13701), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13703), 1,
      sym_pow_operator,
    ACTIONS(13705), 1,
      sym_mult_operator,
    ACTIONS(13707), 1,
      sym_concat_operator,
    ACTIONS(13709), 1,
      sym_rel_operator,
    ACTIONS(13711), 1,
      sym_and_operator,
    ACTIONS(13713), 1,
      sym_or_operator,
    ACTIONS(13715), 1,
      sym_assign_operator,
    STATE(2341), 1,
      sym_add_operator,
    STATE(11724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [565221] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(11725), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [565277] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(11726), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12921), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [565333] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(11727), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [565383] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12619), 1,
      sym__lowercase_identifier,
    ACTIONS(12815), 1,
      anon_sym_POUND,
    STATE(10921), 1,
      sym_type_constructor_path,
    STATE(11728), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [565433] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [565475] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(11730), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [565531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [565571] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9306), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9498), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9156), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [565691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13804), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13802), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13808), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13806), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12941), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [565811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12945), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [565851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12949), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [565891] = 19,
    ACTIONS(411), 1,
      sym_let_operator,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7603), 1,
      anon_sym_object,
    ACTIONS(9898), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9900), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(13717), 1,
      sym__lowercase_identifier,
    ACTIONS(13719), 1,
      anon_sym_let,
    ACTIONS(13721), 1,
      anon_sym_LPAREN,
    ACTIONS(13723), 1,
      anon_sym_LBRACK,
    ACTIONS(13725), 1,
      anon_sym_fun,
    STATE(2974), 1,
      sym__simple_class_expression,
    STATE(11740), 1,
      sym_attribute,
    STATE(12430), 1,
      sym__class_expression,
    STATE(21623), 1,
      sym_module_path,
    STATE(22328), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11070), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9301), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [565959] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11741), 1,
      sym_attribute,
    STATE(12815), 1,
      sym__simple_type,
    STATE(19769), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [566022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12993), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12997), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13001), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13005), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566178] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(11746), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [566233] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12010), 1,
      anon_sym_LPAREN,
    ACTIONS(12014), 1,
      anon_sym_LBRACK,
    ACTIONS(12016), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12018), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12020), 1,
      anon_sym_LT,
    ACTIONS(12022), 1,
      anon_sym_POUND,
    ACTIONS(12024), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12026), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12028), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13814), 1,
      sym__lowercase_identifier,
    STATE(11747), 1,
      sym_attribute,
    STATE(15128), 1,
      sym__simple_type,
    STATE(19870), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15304), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [566296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13009), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12989), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [566374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12993), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [566413] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(11751), 1,
      sym_attribute,
    STATE(15982), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [566476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12997), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [566515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13001), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [566554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13017), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13021), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13025), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13005), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [566710] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(11758), 1,
      sym_attribute,
    STATE(16017), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [566773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13029), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566812] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13818), 1,
      anon_sym_let,
    ACTIONS(13820), 1,
      anon_sym_EQ,
    ACTIONS(13822), 1,
      anon_sym_COLON_EQ,
    STATE(11760), 1,
      sym_attribute,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12420), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13816), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13009), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [566900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10490), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [566939] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    STATE(11763), 1,
      sym_attribute,
    STATE(16550), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567002] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(11764), 1,
      sym_attribute,
    STATE(16208), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567065] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13826), 1,
      aux_sym_attribute_id_token1,
    STATE(11765), 1,
      sym_attribute,
    STATE(11779), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9993), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9995), 13,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567108] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(11766), 1,
      sym_attribute,
    STATE(12667), 1,
      sym__simple_type,
    STATE(19741), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13017), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [567210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13021), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [567249] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(11769), 1,
      sym_attribute,
    STATE(12345), 1,
      sym__simple_type,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13025), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [567351] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(11771), 1,
      sym_attribute,
    STATE(15926), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567414] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11772), 1,
      sym_attribute,
    STATE(12585), 1,
      sym__simple_type,
    STATE(19769), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567477] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(11773), 1,
      sym_attribute,
    STATE(13287), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567540] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(11727), 1,
      sym__simple_type,
    STATE(11774), 1,
      sym_attribute,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567603] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(11775), 1,
      sym_attribute,
    STATE(13288), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567666] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(11728), 1,
      sym__simple_type,
    STATE(11776), 1,
      sym_attribute,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13029), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [567768] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11580), 1,
      sym__simple_type,
    STATE(11778), 1,
      sym_attribute,
    STATE(19350), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567831] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13826), 1,
      aux_sym_attribute_id_token1,
    STATE(11779), 1,
      sym_attribute,
    STATE(11804), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10015), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10017), 13,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567874] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(13830), 1,
      anon_sym_let,
    ACTIONS(13832), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11780), 1,
      sym_attribute,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12177), 1,
      aux_sym_type_binding_repeat1,
    STATE(12310), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13828), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567927] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(11781), 1,
      sym_attribute,
    STATE(13297), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [567990] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11782), 1,
      sym_attribute,
    STATE(12864), 1,
      sym__simple_type,
    STATE(19769), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [568053] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(11783), 1,
      sym_attribute,
    STATE(12457), 1,
      sym__simple_type,
    STATE(19741), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [568116] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(11784), 1,
      sym_attribute,
    STATE(12458), 1,
      sym__simple_type,
    STATE(19741), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [568179] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(11785), 1,
      sym_attribute,
    STATE(12682), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [568242] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(11786), 1,
      sym_attribute,
    STATE(13309), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [568305] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(11787), 1,
      sym_attribute,
    STATE(13310), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [568368] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(11788), 1,
      sym_attribute,
    STATE(13313), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [568431] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    ACTIONS(13836), 1,
      anon_sym_SEMI,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    ACTIONS(13850), 1,
      sym_or_operator,
    ACTIONS(13852), 1,
      sym_assign_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [568494] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [568535] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13326), 1,
      anon_sym_COLON2,
    STATE(11791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [568576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9202), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [568615] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11793), 1,
      sym_attribute,
    STATE(12881), 1,
      sym__simple_type,
    STATE(19769), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [568678] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(11567), 1,
      sym__simple_type,
    STATE(11794), 1,
      sym_attribute,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [568741] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9400), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568780] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13326), 1,
      anon_sym_COLON2,
    STATE(11796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [568821] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11248), 1,
      anon_sym_LPAREN,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11256), 1,
      anon_sym_LT,
    ACTIONS(11258), 1,
      anon_sym_POUND,
    ACTIONS(11260), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11262), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11264), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13854), 1,
      sym__lowercase_identifier,
    STATE(11797), 1,
      sym_attribute,
    STATE(13009), 1,
      sym__simple_type,
    STATE(20254), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14136), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [568884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9238), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [568923] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(11643), 1,
      sym__simple_type,
    STATE(11799), 1,
      sym_attribute,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [568986] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(11800), 1,
      sym_attribute,
    STATE(12110), 1,
      sym__simple_type,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569049] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(11653), 1,
      sym__simple_type,
    STATE(11801), 1,
      sym_attribute,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569112] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13858), 1,
      anon_sym_let,
    ACTIONS(13860), 1,
      anon_sym_EQ,
    ACTIONS(13862), 1,
      anon_sym_COLON_EQ,
    STATE(11802), 1,
      sym_attribute,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12418), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13856), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569161] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11803), 1,
      sym_attribute,
    STATE(12756), 1,
      sym__simple_type,
    STATE(19537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569224] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13864), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11804), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10023), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10025), 13,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569265] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11805), 1,
      sym_attribute,
    STATE(12760), 1,
      sym__simple_type,
    STATE(19537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569328] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(11633), 1,
      sym__simple_type,
    STATE(11806), 1,
      sym_attribute,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569391] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11807), 1,
      sym_attribute,
    STATE(12906), 1,
      sym__simple_type,
    STATE(19537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569454] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(11808), 1,
      sym_attribute,
    STATE(12675), 1,
      sym__simple_type,
    STATE(19741), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569517] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11986), 1,
      anon_sym_LPAREN,
    ACTIONS(11990), 1,
      anon_sym_LBRACK,
    ACTIONS(11992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11996), 1,
      anon_sym_LT,
    ACTIONS(11998), 1,
      anon_sym_POUND,
    ACTIONS(12000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12004), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13867), 1,
      sym__lowercase_identifier,
    STATE(11809), 1,
      sym_attribute,
    STATE(15273), 1,
      sym__simple_type,
    STATE(19126), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15586), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569580] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11810), 1,
      sym_attribute,
    STATE(12801), 1,
      sym__simple_type,
    STATE(19537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12871), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [569682] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11812), 1,
      sym_attribute,
    STATE(12807), 1,
      sym__simple_type,
    STATE(19537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569745] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11813), 1,
      sym_attribute,
    STATE(12890), 1,
      sym__simple_type,
    STATE(19537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [569847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9256), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [569886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9260), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [569925] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(11817), 1,
      sym_attribute,
    STATE(12582), 1,
      sym__simple_type,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [569988] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13871), 1,
      anon_sym_let,
    ACTIONS(13873), 1,
      anon_sym_DQUOTE,
    STATE(11818), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12485), 1,
      aux_sym_external_repeat1,
    STATE(12927), 1,
      aux_sym_expression_item_repeat1,
    STATE(13161), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13869), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570039] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11819), 1,
      sym_attribute,
    STATE(12749), 1,
      sym__simple_type,
    STATE(19769), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [570102] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(11820), 1,
      sym_attribute,
    STATE(12587), 1,
      sym__simple_type,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [570165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10490), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [570204] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11303), 1,
      anon_sym_LPAREN,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11311), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_POUND,
    ACTIONS(11315), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11317), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11319), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    STATE(11822), 1,
      sym_attribute,
    STATE(13218), 1,
      sym__simple_type,
    STATE(19410), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [570267] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11823), 1,
      sym_attribute,
    STATE(13452), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [570330] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11824), 1,
      sym_attribute,
    STATE(13454), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [570393] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13875), 1,
      anon_sym_COLON2,
    STATE(11825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [570434] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11826), 1,
      sym_attribute,
    STATE(13470), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [570497] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(11540), 1,
      sym__simple_type,
    STATE(11827), 1,
      sym_attribute,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [570560] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11828), 1,
      sym_attribute,
    STATE(13476), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [570623] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11829), 1,
      sym_attribute,
    STATE(13478), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [570686] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11830), 1,
      sym_attribute,
    STATE(13482), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [570749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9262), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [570788] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [570829] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    ACTIONS(13850), 1,
      sym_or_operator,
    ACTIONS(13852), 1,
      sym_assign_operator,
    ACTIONS(13877), 1,
      anon_sym_SEMI,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [570892] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(11834), 1,
      sym_attribute,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13033), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [570947] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(11835), 1,
      sym_attribute,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12901), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [571002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9204), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [571041] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(11837), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13033), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [571096] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(11838), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12901), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [571151] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    ACTIONS(13850), 1,
      sym_or_operator,
    ACTIONS(13852), 1,
      sym_assign_operator,
    ACTIONS(13877), 1,
      anon_sym_SEMI,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [571214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12849), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [571253] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10796), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10794), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [571292] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    STATE(11842), 1,
      sym_attribute,
    STATE(16170), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [571355] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      sym__lowercase_identifier,
    STATE(11843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12847), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12849), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [571398] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10400), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13887), 1,
      anon_sym_EQ,
    ACTIONS(13889), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11844), 1,
      sym_attribute,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12353), 1,
      aux_sym_expression_item_repeat1,
    STATE(12763), 1,
      sym__type_equation,
    STATE(13036), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13217), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [571455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10490), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [571494] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11846), 1,
      sym_attribute,
    STATE(13059), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [571557] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(11847), 1,
      sym_attribute,
    STATE(11872), 1,
      sym__simple_type,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [571620] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(11848), 1,
      sym_attribute,
    STATE(11873), 1,
      sym__simple_type,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [571683] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(11849), 1,
      sym_attribute,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12921), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [571738] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(11612), 1,
      sym__simple_type,
    STATE(11850), 1,
      sym_attribute,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [571801] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(11851), 1,
      sym_attribute,
    STATE(11880), 1,
      sym__simple_type,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [571864] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(13895), 1,
      anon_sym_let,
    ACTIONS(13897), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11852), 1,
      sym_attribute,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12145), 1,
      aux_sym_type_binding_repeat1,
    STATE(12412), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13893), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571917] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11327), 1,
      anon_sym_LPAREN,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11335), 1,
      anon_sym_LT,
    ACTIONS(11337), 1,
      anon_sym_POUND,
    ACTIONS(11339), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11341), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11343), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    STATE(11853), 1,
      sym_attribute,
    STATE(12335), 1,
      sym__simple_type,
    STATE(19327), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13255), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [571980] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(11854), 1,
      sym_attribute,
    STATE(12308), 1,
      sym__simple_type,
    STATE(19741), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [572043] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(11855), 1,
      sym_attribute,
    STATE(11883), 1,
      sym__simple_type,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [572106] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(11856), 1,
      sym_attribute,
    STATE(11884), 1,
      sym__simple_type,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [572169] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(11857), 1,
      sym_attribute,
    STATE(11890), 1,
      sym__simple_type,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [572232] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(11858), 1,
      sym_attribute,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [572287] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10400), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13899), 1,
      anon_sym_EQ,
    ACTIONS(13901), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11859), 1,
      sym_attribute,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12398), 1,
      aux_sym_expression_item_repeat1,
    STATE(12751), 1,
      sym__type_equation,
    STATE(13162), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13091), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [572344] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(11860), 1,
      sym_attribute,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [572399] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(11861), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12921), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [572454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12925), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [572493] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13905), 1,
      anon_sym_COLON2,
    STATE(11863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [572534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12929), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [572573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12933), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [572612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12937), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [572651] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11867), 1,
      sym_attribute,
    STATE(12839), 1,
      sym__simple_type,
    STATE(19769), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [572714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [572753] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(11869), 1,
      sym_attribute,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [572808] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    STATE(11870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 15,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [572849] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(12773), 1,
      anon_sym_LPAREN,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12781), 1,
      anon_sym_LT,
    ACTIONS(12783), 1,
      anon_sym_POUND,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12787), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12789), 1,
      aux_sym_type_variable_token1,
    STATE(11871), 1,
      sym_attribute,
    STATE(12878), 1,
      sym__simple_type,
    STATE(19769), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12744), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [572912] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(11872), 1,
      sym_attribute,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [572961] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(11873), 1,
      sym_attribute,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [573010] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    ACTIONS(13907), 1,
      anon_sym_STAR,
    STATE(11874), 1,
      sym_attribute,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(13505), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13322), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [573063] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(11875), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [573118] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(11876), 1,
      sym_attribute,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [573167] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(11621), 1,
      sym__simple_type,
    STATE(11877), 1,
      sym_attribute,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [573230] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(11878), 1,
      sym_attribute,
    STATE(12188), 1,
      sym__simple_type,
    STATE(19280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [573293] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(11879), 1,
      sym_attribute,
    STATE(12189), 1,
      sym__simple_type,
    STATE(19280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [573356] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(11880), 1,
      sym_attribute,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [573405] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(11881), 1,
      sym_attribute,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [573454] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(11882), 1,
      sym_attribute,
    STATE(12191), 1,
      sym__simple_type,
    STATE(19280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [573517] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(11883), 1,
      sym_attribute,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13783), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [573566] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(11884), 1,
      sym_attribute,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13793), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [573615] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(11237), 1,
      sym__simple_type,
    STATE(11885), 1,
      sym_attribute,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [573678] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11405), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12861), 1,
      anon_sym_LT,
    ACTIONS(12863), 1,
      anon_sym_POUND,
    ACTIONS(12865), 1,
      aux_sym_type_variable_token1,
    STATE(11886), 1,
      sym_attribute,
    STATE(12359), 1,
      sym__simple_type,
    STATE(19537), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12895), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [573741] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12917), 1,
      sym__lowercase_identifier,
    STATE(11887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13757), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13759), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [573784] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11876), 1,
      sym__simple_type,
    STATE(11888), 1,
      sym_attribute,
    STATE(19350), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [573847] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12713), 1,
      anon_sym_STAR,
    STATE(11889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12531), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12527), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573888] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12903), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_POUND,
    STATE(11231), 1,
      sym_type_constructor_path,
    STATE(11890), 1,
      sym_attribute,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13773), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [573937] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11351), 1,
      anon_sym_LPAREN,
    ACTIONS(11353), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11357), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11359), 1,
      anon_sym_LT,
    ACTIONS(11361), 1,
      anon_sym_POUND,
    ACTIONS(11363), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11365), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11367), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13909), 1,
      sym__lowercase_identifier,
    STATE(11891), 1,
      sym_attribute,
    STATE(14421), 1,
      sym__simple_type,
    STATE(19949), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15040), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [574000] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(11892), 1,
      sym_attribute,
    STATE(12196), 1,
      sym__simple_type,
    STATE(19280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [574063] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(11893), 1,
      sym_attribute,
    STATE(12197), 1,
      sym__simple_type,
    STATE(19280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [574126] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(11894), 1,
      sym_attribute,
    STATE(12198), 1,
      sym__simple_type,
    STATE(19280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [574189] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(11895), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [574244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13913), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13911), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574283] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(11897), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [574338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12871), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [574377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(12509), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [574416] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11881), 1,
      sym__simple_type,
    STATE(11900), 1,
      sym_attribute,
    STATE(19350), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [574479] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12236), 1,
      anon_sym_LPAREN,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(12242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12246), 1,
      anon_sym_LT,
    ACTIONS(12248), 1,
      anon_sym_POUND,
    ACTIONS(12250), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12252), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12254), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13915), 1,
      sym__lowercase_identifier,
    STATE(10915), 1,
      sym__simple_type,
    STATE(11901), 1,
      sym_attribute,
    STATE(19875), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11642), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [574542] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(11902), 1,
      sym_attribute,
    STATE(16252), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [574605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [574644] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8807), 1,
      anon_sym_LPAREN,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8829), 1,
      anon_sym_LT,
    ACTIONS(8831), 1,
      anon_sym_POUND,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11000), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11002), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    STATE(11904), 1,
      sym_attribute,
    STATE(13987), 1,
      sym__simple_type,
    STATE(19083), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14568), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [574707] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    ACTIONS(13850), 1,
      sym_or_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [574766] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    ACTIONS(13836), 1,
      anon_sym_SEMI,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    ACTIONS(13850), 1,
      sym_or_operator,
    ACTIONS(13852), 1,
      sym_assign_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [574829] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574878] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13840), 1,
      sym_pow_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [574921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12989), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [574960] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [575011] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [575062] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [575117] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    ACTIONS(13850), 1,
      sym_or_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [575174] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    ACTIONS(13850), 1,
      sym_or_operator,
    ACTIONS(13852), 1,
      sym_assign_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [575235] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [575280] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    ACTIONS(13850), 1,
      sym_or_operator,
    ACTIONS(13852), 1,
      sym_assign_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [575341] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(11917), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [575396] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(11918), 1,
      sym_attribute,
    STATE(16270), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [575459] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11919), 1,
      sym_attribute,
    STATE(11974), 1,
      sym__simple_type,
    STATE(19350), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [575522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12925), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [575561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12929), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [575600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12933), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [575639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12937), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [575678] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10400), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13901), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    ACTIONS(13917), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(11924), 1,
      sym_attribute,
    STATE(12353), 1,
      aux_sym_expression_item_repeat1,
    STATE(12757), 1,
      sym__type_equation,
    STATE(13235), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13217), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [575735] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10608), 1,
      anon_sym_LT,
    ACTIONS(10610), 1,
      anon_sym_POUND,
    ACTIONS(10612), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10614), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10618), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      anon_sym_LPAREN,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    STATE(11199), 1,
      sym__simple_type,
    STATE(11925), 1,
      sym_attribute,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11246), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [575798] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10834), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [575837] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10400), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13889), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    ACTIONS(13919), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(11927), 1,
      sym_attribute,
    STATE(12398), 1,
      aux_sym_expression_item_repeat1,
    STATE(12759), 1,
      sym__type_equation,
    STATE(13006), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13091), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [575894] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11928), 1,
      sym_attribute,
    STATE(12022), 1,
      sym__simple_type,
    STATE(19350), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [575957] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11929), 1,
      sym_attribute,
    STATE(12023), 1,
      sym__simple_type,
    STATE(19350), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [576020] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    ACTIONS(13836), 1,
      anon_sym_SEMI,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    ACTIONS(13850), 1,
      sym_or_operator,
    ACTIONS(13852), 1,
      sym_assign_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [576083] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12597), 1,
      anon_sym_DASH_GT,
    STATE(11931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11714), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11712), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576124] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11387), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11389), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(12883), 1,
      anon_sym_LPAREN,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12891), 1,
      anon_sym_LT,
    ACTIONS(12893), 1,
      anon_sym_POUND,
    ACTIONS(12895), 1,
      aux_sym_type_variable_token1,
    STATE(11932), 1,
      sym_attribute,
    STATE(11999), 1,
      sym__simple_type,
    STATE(19350), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11986), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [576187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12941), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [576226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12945), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [576265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12949), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [576304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12953), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [576343] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    ACTIONS(13850), 1,
      sym_or_operator,
    ACTIONS(13852), 1,
      sym_assign_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [576404] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(11938), 1,
      sym_attribute,
    STATE(12679), 1,
      sym__simple_type,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [576467] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    ACTIONS(13921), 1,
      anon_sym_STAR,
    STATE(11939), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(13611), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13322), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [576520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12941), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [576559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12945), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [576598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12965), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [576637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12969), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [576676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12973), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [576715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12977), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [576754] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(11946), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [576809] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11453), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11455), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12745), 1,
      anon_sym_LT,
    ACTIONS(12747), 1,
      anon_sym_POUND,
    ACTIONS(12749), 1,
      aux_sym_type_variable_token1,
    STATE(11947), 1,
      sym_attribute,
    STATE(11993), 1,
      sym__simple_type,
    STATE(19280), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12250), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [576872] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(11948), 1,
      sym_attribute,
    STATE(12574), 1,
      sym__simple_type,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [576935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12989), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [576974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12993), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [577013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12997), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [577052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13001), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [577091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13005), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [577130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12949), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [577169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13009), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [577208] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(11956), 1,
      sym_attribute,
    STATE(12583), 1,
      sym__simple_type,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [577271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12849), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12847), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13017), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [577349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13021), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [577388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13025), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [577427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13029), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [577466] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(11962), 1,
      sym_attribute,
    STATE(12602), 1,
      sym__simple_type,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [577529] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12081), 1,
      anon_sym_LPAREN,
    ACTIONS(12085), 1,
      anon_sym_LBRACK,
    ACTIONS(12087), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12089), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12091), 1,
      anon_sym_LT,
    ACTIONS(12093), 1,
      anon_sym_POUND,
    ACTIONS(12095), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12097), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12099), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13923), 1,
      sym__lowercase_identifier,
    STATE(10694), 1,
      sym__simple_type,
    STATE(11963), 1,
      sym_attribute,
    STATE(20353), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10828), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [577592] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(11964), 1,
      sym_attribute,
    STATE(12612), 1,
      sym__simple_type,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [577655] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(11965), 1,
      sym_attribute,
    STATE(12614), 1,
      sym__simple_type,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [577718] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(11966), 1,
      sym_attribute,
    STATE(12620), 1,
      sym__simple_type,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [577781] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13628), 1,
      anon_sym_COMMA,
    STATE(11967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 16,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [577822] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13925), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11968), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(13482), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13480), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [577865] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [577906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12871), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12869), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577945] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13873), 1,
      anon_sym_DQUOTE,
    ACTIONS(13930), 1,
      anon_sym_let,
    STATE(11971), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12485), 1,
      aux_sym_external_repeat1,
    STATE(12877), 1,
      aux_sym_expression_item_repeat1,
    STATE(13161), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13928), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12953), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [578035] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    ACTIONS(13838), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13840), 1,
      sym_pow_operator,
    ACTIONS(13842), 1,
      sym_mult_operator,
    ACTIONS(13844), 1,
      sym_concat_operator,
    ACTIONS(13846), 1,
      sym_rel_operator,
    ACTIONS(13848), 1,
      sym_and_operator,
    ACTIONS(13850), 1,
      sym_or_operator,
    ACTIONS(13852), 1,
      sym_assign_operator,
    ACTIONS(13877), 1,
      anon_sym_SEMI,
    STATE(2463), 1,
      sym_add_operator,
    STATE(11973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [578098] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(11974), 1,
      sym_attribute,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [578147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12949), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [578186] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    ACTIONS(13932), 1,
      anon_sym_STAR,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(11976), 1,
      sym_attribute,
    STATE(13473), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13322), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [578239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12953), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [578278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12871), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [578317] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13934), 1,
      anon_sym_LPAREN,
    ACTIONS(13936), 1,
      anon_sym_LBRACK,
    STATE(11979), 1,
      sym_attribute,
    STATE(12876), 1,
      sym__constructor_name,
    STATE(13940), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13535), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13938), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13533), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9258), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [578407] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10680), 1,
      anon_sym_LT,
    ACTIONS(10682), 1,
      anon_sym_POUND,
    ACTIONS(10684), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10686), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10688), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12199), 1,
      anon_sym_LPAREN,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    STATE(11981), 1,
      sym_attribute,
    STATE(12146), 1,
      sym__simple_type,
    STATE(20351), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11903), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [578470] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11982), 1,
      sym_attribute,
    STATE(12795), 1,
      sym__simple_type,
    STATE(20366), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [578533] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11983), 1,
      sym_attribute,
    STATE(12799), 1,
      sym__simple_type,
    STATE(20366), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [578596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12965), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [578635] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11985), 1,
      sym_attribute,
    STATE(12800), 1,
      sym__simple_type,
    STATE(20366), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [578698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [578737] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(11987), 1,
      sym_attribute,
    STATE(12275), 1,
      sym__simple_type,
    STATE(19741), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [578800] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11924), 1,
      anon_sym_LPAREN,
    ACTIONS(11928), 1,
      anon_sym_LBRACK,
    ACTIONS(11930), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11932), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11934), 1,
      anon_sym_LT,
    ACTIONS(11936), 1,
      anon_sym_POUND,
    ACTIONS(11938), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11940), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11942), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13940), 1,
      sym__lowercase_identifier,
    STATE(11047), 1,
      sym__simple_type,
    STATE(11988), 1,
      sym_attribute,
    STATE(19084), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11731), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [578863] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11989), 1,
      sym_attribute,
    STATE(12764), 1,
      sym__simple_type,
    STATE(20366), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [578926] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11990), 1,
      sym_attribute,
    STATE(12786), 1,
      sym__simple_type,
    STATE(20366), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [578989] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(11991), 1,
      sym_attribute,
    STATE(12784), 1,
      sym__simple_type,
    STATE(20366), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [579052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9202), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [579091] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(11993), 1,
      sym_attribute,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13460), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [579140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9238), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [579179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9256), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [579218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12969), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [579257] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12057), 1,
      anon_sym_LPAREN,
    ACTIONS(12061), 1,
      anon_sym_LBRACK,
    ACTIONS(12063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12067), 1,
      anon_sym_LT,
    ACTIONS(12069), 1,
      anon_sym_POUND,
    ACTIONS(12071), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12073), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12075), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13942), 1,
      sym__lowercase_identifier,
    STATE(10766), 1,
      sym__simple_type,
    STATE(11997), 1,
      sym_attribute,
    STATE(20139), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11082), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [579320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9260), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [579359] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(11999), 1,
      sym_attribute,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13773), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [579408] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13944), 1,
      anon_sym_COLON,
    STATE(12000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10786), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10784), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [579449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12849), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [579488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12973), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [579527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12965), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [579566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12969), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [579605] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12973), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [579644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12977), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [579683] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10894), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10892), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [579722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [579761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13948), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13946), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12977), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [579839] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8450), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8452), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(12825), 1,
      anon_sym_LPAREN,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12833), 1,
      anon_sym_LT,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(12837), 1,
      aux_sym_type_variable_token1,
    STATE(12011), 1,
      sym_attribute,
    STATE(16177), 1,
      sym__simple_type,
    STATE(19726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16067), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [579902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9202), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [579941] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13950), 1,
      anon_sym_POUND,
    STATE(12013), 1,
      sym_attribute,
    STATE(12687), 1,
      sym_type_constructor_path,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12603), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [579990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9238), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [580029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9256), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [580068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9260), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [580107] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10816), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [580146] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [580187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [580226] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(12793), 1,
      anon_sym_LPAREN,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12801), 1,
      anon_sym_LT,
    ACTIONS(12803), 1,
      anon_sym_POUND,
    ACTIONS(12805), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12807), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12809), 1,
      aux_sym_type_variable_token1,
    STATE(12020), 1,
      sym_attribute,
    STATE(12375), 1,
      sym__simple_type,
    STATE(19741), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12391), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [580289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13954), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13952), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580328] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(12022), 1,
      sym_attribute,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13783), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [580377] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13123), 1,
      sym__lowercase_identifier,
    ACTIONS(13125), 1,
      anon_sym_POUND,
    STATE(11866), 1,
      sym_type_constructor_path,
    STATE(12023), 1,
      sym_attribute,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13793), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [580426] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10638), 1,
      anon_sym_LT,
    ACTIONS(10640), 1,
      anon_sym_POUND,
    ACTIONS(10642), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10644), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10646), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12260), 1,
      anon_sym_LPAREN,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    STATE(10788), 1,
      sym__simple_type,
    STATE(12024), 1,
      sym_attribute,
    STATE(20185), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11129), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [580489] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(12025), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13033), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [580544] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(12026), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12901), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [580599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12925), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [580638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12929), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [580677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12933), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [580716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12937), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [580755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12849), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [580794] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10402), 1,
      sym__lowercase_identifier,
    ACTIONS(13755), 1,
      anon_sym_COLON2,
    STATE(12032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12869), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12871), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [580839] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10810), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [580878] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10828), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [580917] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9650), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9648), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [580956] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(12719), 1,
      anon_sym_LPAREN,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12727), 1,
      anon_sym_LT,
    ACTIONS(12729), 1,
      anon_sym_POUND,
    ACTIONS(12731), 1,
      aux_sym_type_variable_token1,
    STATE(12036), 1,
      sym_attribute,
    STATE(12590), 1,
      sym__simple_type,
    STATE(20366), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12843), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581019] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(12037), 1,
      sym_attribute,
    STATE(12594), 1,
      sym__simple_type,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9240), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [581121] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(12039), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12921), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [581176] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10724), 1,
      anon_sym_LT,
    ACTIONS(10726), 1,
      anon_sym_POUND,
    ACTIONS(10728), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10730), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10732), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12270), 1,
      anon_sym_LPAREN,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    STATE(12040), 1,
      sym_attribute,
    STATE(12618), 1,
      sym__simple_type,
    STATE(19567), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12019), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [581239] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13956), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13797), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12041), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13795), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581282] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13959), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12042), 1,
      sym_attribute,
    STATE(12044), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13733), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13731), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581327] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13959), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12043), 1,
      sym_attribute,
    STATE(12045), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13749), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13747), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581372] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13959), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12041), 1,
      aux_sym_type_binding_repeat1,
    STATE(12044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13753), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13751), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581417] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13959), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12041), 1,
      aux_sym_type_binding_repeat1,
    STATE(12045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13767), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13765), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12941), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [581501] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(13961), 1,
      anon_sym_COLON2,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(11802), 1,
      sym__module_typed,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12047), 1,
      sym_attribute,
    STATE(12453), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13410), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13406), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581556] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(13963), 1,
      anon_sym_COLON2,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(11802), 1,
      sym__module_typed,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12048), 1,
      sym_attribute,
    STATE(12453), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13410), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13406), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12945), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [581650] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(13961), 1,
      anon_sym_COLON2,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(11760), 1,
      sym__module_typed,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12047), 1,
      aux_sym_module_binding_repeat1,
    STATE(12050), 1,
      sym_attribute,
    STATE(12448), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13083), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13079), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581705] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(13963), 1,
      anon_sym_COLON2,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(11760), 1,
      sym__module_typed,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12048), 1,
      aux_sym_module_binding_repeat1,
    STATE(12051), 1,
      sym_attribute,
    STATE(12448), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13083), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13079), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [581760] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13840), 1,
      sym_pow_operator,
    STATE(2463), 1,
      sym_add_operator,
    STATE(12052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [581803] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13965), 1,
      anon_sym_PIPE,
    STATE(12053), 1,
      sym_attribute,
    STATE(12086), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [581845] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12054), 1,
      sym_attribute,
    STATE(12929), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18203), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [581911] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13983), 1,
      anon_sym_COMMA,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    ACTIONS(13993), 1,
      sym_rel_operator,
    ACTIONS(13995), 1,
      sym_and_operator,
    ACTIONS(13997), 1,
      sym_or_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [581969] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [582017] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12057), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14001), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13999), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [582061] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12058), 1,
      sym_attribute,
    STATE(12754), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18446), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [582127] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12059), 1,
      sym_attribute,
    STATE(12092), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14005), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14003), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [582171] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13987), 1,
      sym_pow_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [582213] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13987), 1,
      sym_pow_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [582255] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12062), 1,
      sym_attribute,
    STATE(12093), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14009), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14007), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [582299] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [582349] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [582399] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    ACTIONS(14011), 1,
      anon_sym_STAR,
    STATE(12065), 1,
      sym_attribute,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(14068), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13322), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [582451] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12066), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14015), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14013), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [582495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12925), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [582533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12929), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [582571] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    ACTIONS(13993), 1,
      sym_rel_operator,
    ACTIONS(13995), 1,
      sym_and_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [582625] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    ACTIONS(13993), 1,
      sym_rel_operator,
    ACTIONS(13995), 1,
      sym_and_operator,
    ACTIONS(13997), 1,
      sym_or_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [582681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12933), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [582719] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    ACTIONS(14017), 1,
      anon_sym_STAR,
    STATE(12072), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(14039), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13322), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [582771] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12073), 1,
      sym_attribute,
    STATE(12797), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18585), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [582837] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13965), 1,
      anon_sym_PIPE,
    STATE(12053), 1,
      aux_sym__match_cases_repeat1,
    STATE(12074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [582879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12937), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [582917] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13965), 1,
      anon_sym_PIPE,
    STATE(12076), 1,
      sym_attribute,
    STATE(12077), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [582959] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13965), 1,
      anon_sym_PIPE,
    STATE(12077), 1,
      sym_attribute,
    STATE(12086), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [583001] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(14019), 1,
      anon_sym_POUND,
    STATE(12078), 1,
      sym_attribute,
    STATE(12853), 1,
      sym_type_constructor_path,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12603), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [583049] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13983), 1,
      anon_sym_COMMA,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    ACTIONS(13993), 1,
      sym_rel_operator,
    ACTIONS(13995), 1,
      sym_and_operator,
    ACTIONS(13997), 1,
      sym_or_operator,
    ACTIONS(14021), 1,
      sym_assign_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [583109] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [583153] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14025), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12081), 1,
      sym_attribute,
    STATE(12248), 1,
      aux_sym_type_binding_repeat1,
    STATE(12588), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583203] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14025), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12082), 1,
      sym_attribute,
    STATE(12261), 1,
      aux_sym_type_binding_repeat1,
    STATE(12605), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583253] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13983), 1,
      anon_sym_COMMA,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    ACTIONS(13993), 1,
      sym_rel_operator,
    ACTIONS(13995), 1,
      sym_and_operator,
    ACTIONS(13997), 1,
      sym_or_operator,
    ACTIONS(14021), 1,
      sym_assign_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11667), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [583313] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13983), 1,
      anon_sym_COMMA,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    ACTIONS(13993), 1,
      sym_rel_operator,
    ACTIONS(13995), 1,
      sym_and_operator,
    ACTIONS(13997), 1,
      sym_or_operator,
    ACTIONS(14021), 1,
      sym_assign_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11677), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [583373] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14025), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12085), 1,
      sym_attribute,
    STATE(12262), 1,
      aux_sym_type_binding_repeat1,
    STATE(12619), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583423] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14027), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12086), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [583463] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12087), 1,
      sym_attribute,
    STATE(12933), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18819), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [583529] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12088), 1,
      sym_attribute,
    STATE(12767), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18717), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [583595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14032), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14030), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583633] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10914), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10912), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [583671] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10838), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [583709] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12092), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14036), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14034), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [583753] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12093), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14040), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14038), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [583797] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12094), 1,
      sym_attribute,
    STATE(12151), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14044), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14042), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [583841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12941), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [583879] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12096), 1,
      sym_attribute,
    STATE(12788), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17704), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [583945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14048), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14046), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12945), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [584021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12949), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [584059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12953), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [584097] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14052), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12101), 1,
      sym_attribute,
    STATE(12305), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584147] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14052), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12102), 1,
      sym_attribute,
    STATE(12306), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584197] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14052), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12103), 1,
      sym_attribute,
    STATE(12307), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584247] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14056), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12104), 1,
      sym_attribute,
    STATE(12413), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584297] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12105), 1,
      sym_attribute,
    STATE(12915), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17780), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [584363] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14056), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12106), 1,
      sym_attribute,
    STATE(12417), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584413] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14058), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13442), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12107), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13440), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584453] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      sym__lowercase_identifier,
    STATE(12108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12847), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12849), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [584495] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10902), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10900), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [584533] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(12110), 1,
      sym_attribute,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13460), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [584581] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14056), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12111), 1,
      sym_attribute,
    STATE(12436), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584631] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10906), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10904), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [584669] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10960), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10958), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [584707] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10964), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10962), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [584745] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12115), 1,
      sym_attribute,
    STATE(12820), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17856), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [584811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12965), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [584849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12969), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [584887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12973), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [584925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12977), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [584963] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10968), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10966), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [585001] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13983), 1,
      anon_sym_COMMA,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    ACTIONS(13993), 1,
      sym_rel_operator,
    ACTIONS(13995), 1,
      sym_and_operator,
    ACTIONS(13997), 1,
      sym_or_operator,
    ACTIONS(14021), 1,
      sym_assign_operator,
    ACTIONS(14061), 1,
      anon_sym_SEMI,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [585063] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9396), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [585101] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14067), 1,
      anon_sym_and,
    STATE(12123), 1,
      sym_attribute,
    STATE(12178), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14065), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14063), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585143] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12124), 1,
      sym_attribute,
    STATE(12912), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17948), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [585209] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14071), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12125), 1,
      sym_attribute,
    STATE(12437), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14069), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585259] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10972), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10970), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [585297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12989), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [585335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12993), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [585373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12997), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [585411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13001), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [585449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13005), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [585487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13009), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [585525] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12133), 1,
      sym_attribute,
    STATE(12776), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18027), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [585591] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10976), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10974), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [585629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13017), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [585667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13021), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [585705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13025), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [585743] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14075), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12101), 1,
      aux_sym_type_binding_repeat1,
    STATE(12138), 1,
      sym_attribute,
    STATE(12439), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13029), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [585831] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14079), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12140), 1,
      sym_attribute,
    STATE(12267), 1,
      aux_sym_type_binding_repeat1,
    STATE(12642), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14077), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585881] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12141), 1,
      sym_attribute,
    STATE(12730), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18116), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [585947] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12142), 1,
      sym_attribute,
    STATE(12775), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(19034), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [586013] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(14081), 1,
      anon_sym_POUND,
    STATE(12143), 1,
      sym_attribute,
    STATE(12900), 1,
      sym_type_constructor_path,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12603), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [586061] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9204), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [586099] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14085), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12145), 1,
      sym_attribute,
    STATE(12299), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14083), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586149] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(12146), 1,
      sym_attribute,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13460), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [586197] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10918), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10916), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [586235] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12148), 1,
      sym_attribute,
    STATE(12808), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18211), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [586301] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9306), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [586339] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10844), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10842), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [586377] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12151), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14089), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14087), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [586421] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12685), 1,
      anon_sym_DASH_GT,
    STATE(12152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11714), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11712), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586461] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12153), 1,
      sym_attribute,
    STATE(12866), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18295), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [586527] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10910), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10908), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [586565] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14075), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12102), 1,
      aux_sym_type_binding_repeat1,
    STATE(12155), 1,
      sym_attribute,
    STATE(12442), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586615] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14075), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12103), 1,
      aux_sym_type_binding_repeat1,
    STATE(12156), 1,
      sym_attribute,
    STATE(12447), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586665] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14093), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12157), 1,
      sym_attribute,
    STATE(12226), 1,
      aux_sym_type_binding_repeat1,
    STATE(12490), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14091), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586715] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9240), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [586753] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9258), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [586791] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14095), 1,
      aux_sym_attribute_id_token1,
    STATE(12160), 1,
      sym_attribute,
    STATE(12170), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9993), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9995), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [586833] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [586873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12871), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [586911] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14099), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12163), 1,
      sym_attribute,
    STATE(12449), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586961] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14099), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12164), 1,
      sym_attribute,
    STATE(12451), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587011] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12165), 1,
      sym_attribute,
    STATE(12870), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18733), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587077] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12166), 1,
      sym_attribute,
    STATE(12871), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18761), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587143] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14099), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12167), 1,
      sym_attribute,
    STATE(12452), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12849), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [587231] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14103), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12169), 1,
      sym_attribute,
    STATE(12396), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14101), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587281] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14095), 1,
      aux_sym_attribute_id_token1,
    STATE(12170), 1,
      sym_attribute,
    STATE(12223), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10015), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10017), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [587323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10490), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [587361] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10922), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10920), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [587399] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10980), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10978), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [587437] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10926), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10924), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [587475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12511), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [587513] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    STATE(12176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 15,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [587553] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14107), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12177), 1,
      sym_attribute,
    STATE(12648), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14105), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587603] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14067), 1,
      anon_sym_and,
    STATE(12107), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(12178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14111), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14109), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587645] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9372), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [587683] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9314), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [587721] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9364), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [587759] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10426), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10424), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [587797] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10320), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [587835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13322), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12843), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587873] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14113), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(12185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [587915] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12186), 1,
      sym_attribute,
    STATE(12817), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18402), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587981] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9336), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [588019] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(12188), 1,
      sym_attribute,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [588067] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(12189), 1,
      sym_attribute,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [588115] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12190), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14117), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14115), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [588159] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(12191), 1,
      sym_attribute,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [588207] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9234), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [588245] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9434), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [588283] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10984), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10982), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [588321] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9404), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [588359] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(12196), 1,
      sym_attribute,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13783), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [588407] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(12197), 1,
      sym_attribute,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13793), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [588455] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13414), 1,
      sym__lowercase_identifier,
    ACTIONS(13416), 1,
      anon_sym_POUND,
    STATE(12075), 1,
      sym_type_constructor_path,
    STATE(12198), 1,
      sym_attribute,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13773), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [588503] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10988), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10986), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [588541] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [588581] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12201), 1,
      sym_attribute,
    STATE(12889), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18320), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588647] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10480), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10478), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [588685] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12203), 1,
      sym_attribute,
    STATE(12932), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18169), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588751] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9344), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [588789] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12057), 1,
      aux_sym_expression_item_repeat1,
    STATE(12205), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14121), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14119), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [588833] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12206), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14125), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14123), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [588877] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14131), 1,
      anon_sym_functor,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12207), 1,
      sym_attribute,
    STATE(12869), 1,
      sym__attribute,
    STATE(14042), 1,
      sym__module_type,
    STATE(17646), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588943] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14141), 1,
      anon_sym_EQ,
    ACTIONS(14143), 1,
      anon_sym_of,
    ACTIONS(14145), 1,
      anon_sym_COLON2,
    STATE(12208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14139), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14137), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588987] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10400), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [589025] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10406), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10404), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [589063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12211), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14149), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14147), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [589107] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10992), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10990), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [589145] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12066), 1,
      aux_sym_expression_item_repeat1,
    STATE(12213), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14153), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14151), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [589189] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10318), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10316), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [589227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12511), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589265] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14155), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(12216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [589307] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(13895), 1,
      anon_sym_let,
    ACTIONS(14157), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12217), 1,
      sym_attribute,
    STATE(12412), 1,
      aux_sym_expression_item_repeat1,
    STATE(12487), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13893), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589359] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10023), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10025), 14,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [589397] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10328), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [589435] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(13830), 1,
      anon_sym_let,
    ACTIONS(14159), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12220), 1,
      sym_attribute,
    STATE(12310), 1,
      aux_sym_expression_item_repeat1,
    STATE(12497), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13828), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589487] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10336), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [589525] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12222), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14163), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14161), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [589569] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14165), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12223), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10023), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10025), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [589609] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14155), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(12224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [589651] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(14168), 1,
      anon_sym_POUND,
    STATE(12225), 1,
      sym_attribute,
    STATE(12771), 1,
      sym_type_constructor_path,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12603), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [589699] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14172), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12226), 1,
      sym_attribute,
    STATE(12537), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14170), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14176), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14174), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589787] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12206), 1,
      aux_sym_expression_item_repeat1,
    STATE(12228), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14180), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14178), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [589831] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12211), 1,
      aux_sym_expression_item_repeat1,
    STATE(12229), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14184), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14182), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [589875] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12222), 1,
      aux_sym_expression_item_repeat1,
    STATE(12230), 1,
      sym_attribute,
    STATE(12446), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14188), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14186), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [589919] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10490), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10488), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [589957] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12232), 1,
      sym_attribute,
    STATE(12779), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18188), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [590023] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [590063] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14190), 1,
      anon_sym_LPAREN,
    ACTIONS(14192), 1,
      anon_sym_LBRACK,
    STATE(12234), 1,
      sym_attribute,
    STATE(13142), 1,
      sym__constructor_name,
    STATE(14143), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14194), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13533), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(9156), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590151] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9262), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [590189] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14196), 1,
      anon_sym_LPAREN,
    ACTIONS(14198), 1,
      anon_sym_LBRACK,
    STATE(12237), 1,
      sym_attribute,
    STATE(13056), 1,
      sym__constructor_name,
    STATE(14145), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14200), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13533), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [590239] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13983), 1,
      anon_sym_COMMA,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    ACTIONS(13993), 1,
      sym_rel_operator,
    ACTIONS(13995), 1,
      sym_and_operator,
    ACTIONS(13997), 1,
      sym_or_operator,
    ACTIONS(14021), 1,
      sym_assign_operator,
    ACTIONS(14061), 1,
      anon_sym_SEMI,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11627), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [590301] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14204), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12104), 1,
      aux_sym_type_binding_repeat1,
    STATE(12239), 1,
      sym_attribute,
    STATE(12408), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590351] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14204), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12106), 1,
      aux_sym_type_binding_repeat1,
    STATE(12240), 1,
      sym_attribute,
    STATE(12461), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590401] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12897), 1,
      anon_sym_STAR,
    STATE(12241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12531), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12527), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590441] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14210), 1,
      anon_sym_EQ,
    ACTIONS(14212), 1,
      anon_sym_of,
    ACTIONS(14214), 1,
      anon_sym_COLON2,
    STATE(12242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14208), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14206), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590485] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14220), 1,
      anon_sym_EQ,
    ACTIONS(14222), 1,
      anon_sym_of,
    ACTIONS(14224), 1,
      anon_sym_COLON2,
    STATE(12243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14218), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14216), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [590567] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12245), 1,
      sym_attribute,
    STATE(12823), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17813), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [590633] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10882), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10880), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [590671] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14204), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12111), 1,
      aux_sym_type_binding_repeat1,
    STATE(12247), 1,
      sym_attribute,
    STATE(12536), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590721] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14228), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12248), 1,
      sym_attribute,
    STATE(12554), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590771] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10786), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10784), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [590809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [590847] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10858), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [590885] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10864), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10862), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [590923] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13983), 1,
      anon_sym_COMMA,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    ACTIONS(13993), 1,
      sym_rel_operator,
    ACTIONS(13995), 1,
      sym_and_operator,
    ACTIONS(13997), 1,
      sym_or_operator,
    ACTIONS(14021), 1,
      sym_assign_operator,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11675), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11673), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [590983] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14232), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12254), 1,
      sym_attribute,
    STATE(12529), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14230), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591033] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7937), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(7931), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [591071] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10940), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10938), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [591109] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10944), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10942), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [591147] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9460), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [591185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(12509), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [591223] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10930), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10928), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [591261] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14228), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12261), 1,
      sym_attribute,
    STATE(12601), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591311] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14228), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12262), 1,
      sym_attribute,
    STATE(12608), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591361] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14236), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12125), 1,
      aux_sym_type_binding_repeat1,
    STATE(12263), 1,
      sym_attribute,
    STATE(12646), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14234), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591411] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10948), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10946), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [591449] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13983), 1,
      anon_sym_COMMA,
    ACTIONS(13985), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13987), 1,
      sym_pow_operator,
    ACTIONS(13989), 1,
      sym_mult_operator,
    ACTIONS(13991), 1,
      sym_concat_operator,
    ACTIONS(13993), 1,
      sym_rel_operator,
    ACTIONS(13995), 1,
      sym_and_operator,
    ACTIONS(13997), 1,
      sym_or_operator,
    ACTIONS(14021), 1,
      sym_assign_operator,
    ACTIONS(14061), 1,
      anon_sym_SEMI,
    STATE(2116), 1,
      sym_add_operator,
    STATE(12265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [591511] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591551] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14240), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12267), 1,
      sym_attribute,
    STATE(12294), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14238), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591601] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14244), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12163), 1,
      aux_sym_type_binding_repeat1,
    STATE(12268), 1,
      sym_attribute,
    STATE(12316), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591651] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14244), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12164), 1,
      aux_sym_type_binding_repeat1,
    STATE(12269), 1,
      sym_attribute,
    STATE(12341), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591701] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14244), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12167), 1,
      aux_sym_type_binding_repeat1,
    STATE(12270), 1,
      sym_attribute,
    STATE(12347), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591751] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14113), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(12271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [591793] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14248), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12254), 1,
      aux_sym_type_binding_repeat1,
    STATE(12272), 1,
      sym_attribute,
    STATE(12579), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14246), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591843] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10952), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10950), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [591881] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9438), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [591919] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(12275), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13460), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [591967] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(14250), 1,
      anon_sym_RPAREN,
    ACTIONS(14252), 1,
      anon_sym__,
    ACTIONS(14254), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12276), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18392), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592033] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10956), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10954), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [592071] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    ACTIONS(14256), 1,
      anon_sym_STAR,
    STATE(12278), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(14035), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13322), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [592123] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12279), 1,
      sym_attribute,
    STATE(12916), 1,
      sym__attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17830), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592189] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9488), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [592227] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10934), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10932), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [592265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12917), 1,
      sym__lowercase_identifier,
    STATE(12282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13757), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13759), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [592307] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14258), 1,
      anon_sym_COLON,
    STATE(12283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11136), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11132), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [592347] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13099), 1,
      anon_sym_constraint,
    ACTIONS(14262), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12284), 1,
      sym_attribute,
    STATE(12332), 1,
      aux_sym_expression_item_repeat1,
    STATE(12765), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14260), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592397] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13979), 1,
      anon_sym_PERCENT,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_DASH_GT,
    ACTIONS(14266), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12285), 1,
      sym_attribute,
    STATE(12962), 1,
      sym__attribute,
    STATE(14146), 1,
      sym__module_type,
    STATE(17652), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592463] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(14250), 1,
      anon_sym_RPAREN,
    ACTIONS(14252), 1,
      anon_sym__,
    ACTIONS(14254), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12286), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18675), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [592566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9260), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [592603] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13983), 1,
      anon_sym_COMMA,
    STATE(12289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [592642] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8061), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8059), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592685] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14268), 1,
      anon_sym_LPAREN,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14274), 1,
      anon_sym_end,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    STATE(12291), 1,
      sym_attribute,
    STATE(13031), 1,
      sym__attribute,
    STATE(13535), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [592748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11413), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11411), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [592785] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(12293), 1,
      sym_attribute,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [592838] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14294), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14292), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13009), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [592918] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    ACTIONS(14296), 1,
      anon_sym_STAR,
    STATE(12296), 1,
      sym_attribute,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12531), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [592967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14300), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14298), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13017), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593041] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14304), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14302), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593084] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14306), 1,
      anon_sym_LPAREN,
    ACTIONS(14308), 1,
      anon_sym_end,
    STATE(12300), 1,
      sym_attribute,
    STATE(13021), 1,
      sym__attribute,
    STATE(13475), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593147] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14312), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14310), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14316), 1,
      anon_sym_let,
    STATE(12302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14314), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [593264] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14318), 1,
      anon_sym_LPAREN,
    ACTIONS(14320), 1,
      anon_sym_end,
    STATE(12304), 1,
      sym_attribute,
    STATE(13013), 1,
      sym__attribute,
    STATE(13559), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593327] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14324), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14322), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593370] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14324), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14322), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593413] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14324), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14322), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593456] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(12308), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13773), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [593503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13033), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13031), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593540] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14107), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14105), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593583] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14328), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14326), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593626] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14332), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14330), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593669] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14336), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12313), 1,
      sym_attribute,
    STATE(12364), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14334), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593712] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14338), 1,
      anon_sym_COMMA,
    ACTIONS(14340), 1,
      anon_sym_SEMI,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    ACTIONS(14350), 1,
      sym_rel_operator,
    ACTIONS(14352), 1,
      sym_and_operator,
    ACTIONS(14354), 1,
      sym_or_operator,
    ACTIONS(14356), 1,
      sym_assign_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [593773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593810] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14099), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593853] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14358), 1,
      anon_sym_LPAREN,
    ACTIONS(14360), 1,
      anon_sym_end,
    STATE(12317), 1,
      sym_attribute,
    STATE(13158), 1,
      sym__attribute,
    STATE(13453), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [593916] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14364), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14362), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593959] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8067), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8065), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594002] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14366), 1,
      anon_sym_LPAREN,
    ACTIONS(14368), 1,
      anon_sym_end,
    STATE(12320), 1,
      sym_attribute,
    STATE(13112), 1,
      sym__attribute,
    STATE(13573), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [594065] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14372), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14370), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594108] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14376), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12322), 1,
      sym_attribute,
    STATE(12445), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14374), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594151] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14380), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12323), 1,
      sym_attribute,
    STATE(12366), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14378), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594194] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14384), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14382), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594237] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14328), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14326), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594280] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14338), 1,
      anon_sym_COMMA,
    ACTIONS(14340), 1,
      anon_sym_SEMI,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    ACTIONS(14350), 1,
      sym_rel_operator,
    ACTIONS(14352), 1,
      sym_and_operator,
    ACTIONS(14354), 1,
      sym_or_operator,
    ACTIONS(14356), 1,
      sym_assign_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [594341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14388), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14386), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14392), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14390), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594415] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14396), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12329), 1,
      sym_attribute,
    STATE(12367), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14394), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594458] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14400), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12330), 1,
      sym_attribute,
    STATE(12368), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14398), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594501] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14404), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14402), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594544] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14408), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14406), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594587] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14412), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14410), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10490), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [594667] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(12335), 1,
      sym_attribute,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12563), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [594714] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14416), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14414), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594757] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14420), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12337), 1,
      sym_attribute,
    STATE(12370), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14418), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594800] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14422), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12338), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [594839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10292), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [594876] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14427), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14425), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594919] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14099), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594962] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14431), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14429), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595005] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14433), 1,
      anon_sym_LPAREN,
    ACTIONS(14435), 1,
      anon_sym_end,
    STATE(12343), 1,
      sym_attribute,
    STATE(13038), 1,
      sym__attribute,
    STATE(13588), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [595068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9240), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [595105] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(12345), 1,
      sym_attribute,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [595152] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14437), 1,
      anon_sym_PIPE,
    STATE(12338), 1,
      aux_sym__match_cases_repeat1,
    STATE(12346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [595193] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14099), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595236] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14338), 1,
      anon_sym_COMMA,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    ACTIONS(14350), 1,
      sym_rel_operator,
    ACTIONS(14352), 1,
      sym_and_operator,
    ACTIONS(14354), 1,
      sym_or_operator,
    ACTIONS(14356), 1,
      sym_assign_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11675), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [595295] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14441), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14439), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9258), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [595375] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14445), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14443), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3715), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3711), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [595455] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14103), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14101), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595498] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14449), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14447), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595541] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14451), 1,
      anon_sym_LPAREN,
    ACTIONS(14453), 1,
      anon_sym_end,
    STATE(12355), 1,
      sym_attribute,
    STATE(13215), 1,
      sym__attribute,
    STATE(13346), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [595604] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14459), 1,
      anon_sym_DASH_GT,
    ACTIONS(14461), 1,
      anon_sym_with,
    STATE(12356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14457), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14455), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595645] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14465), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14463), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595688] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14467), 1,
      aux_sym_attribute_id_token1,
    STATE(12358), 1,
      sym_attribute,
    STATE(12374), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9993), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9995), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [595729] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(12359), 1,
      sym_attribute,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13460), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [595776] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [595815] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14469), 1,
      anon_sym_LPAREN,
    ACTIONS(14471), 1,
      anon_sym_end,
    STATE(12361), 1,
      sym_attribute,
    STATE(13126), 1,
      sym__attribute,
    STATE(13602), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [595878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11445), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11443), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [595915] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13324), 1,
      anon_sym_STAR,
    STATE(12363), 1,
      sym_attribute,
    STATE(12423), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14475), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14473), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595956] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14479), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14477), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595999] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14483), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12365), 1,
      sym_attribute,
    STATE(12377), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14481), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596042] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14487), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14485), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596085] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14491), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14489), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596128] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14495), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14493), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596171] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14499), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12369), 1,
      sym_attribute,
    STATE(12378), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14497), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596214] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14503), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14501), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596257] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14507), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12371), 1,
      sym_attribute,
    STATE(12379), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14505), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596300] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14511), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12372), 1,
      sym_attribute,
    STATE(12380), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14509), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596343] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14515), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14513), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596386] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14467), 1,
      aux_sym_attribute_id_token1,
    STATE(12374), 1,
      sym_attribute,
    STATE(12394), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10015), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10017), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [596427] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(12375), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [596474] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14517), 1,
      anon_sym_LPAREN,
    ACTIONS(14519), 1,
      anon_sym_end,
    STATE(12376), 1,
      sym_attribute,
    STATE(13198), 1,
      sym__attribute,
    STATE(13625), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596537] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14523), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14521), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596580] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14527), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14525), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596623] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14531), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14529), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596666] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14535), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14533), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596709] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14539), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14537), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596752] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14543), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12382), 1,
      sym_attribute,
    STATE(12383), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14541), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596795] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14547), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14545), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596838] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13173), 1,
      anon_sym_STAR,
    STATE(12384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12531), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12527), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14551), 1,
      anon_sym_let,
    STATE(12385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14549), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596914] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14553), 1,
      anon_sym_LPAREN,
    ACTIONS(14555), 1,
      anon_sym_end,
    STATE(12386), 1,
      sym_attribute,
    STATE(13136), 1,
      sym__attribute,
    STATE(13645), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [596977] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14557), 1,
      anon_sym_LPAREN,
    ACTIONS(14559), 1,
      anon_sym_end,
    STATE(12387), 1,
      sym_attribute,
    STATE(12988), 1,
      sym__attribute,
    STATE(13503), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597040] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14459), 1,
      anon_sym_DASH_GT,
    ACTIONS(14461), 1,
      anon_sym_with,
    STATE(12388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14563), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14561), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597081] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14567), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12389), 1,
      sym_attribute,
    STATE(12550), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14565), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597124] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14571), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14569), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [597204] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14571), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14569), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597247] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14573), 1,
      anon_sym_LPAREN,
    ACTIONS(14575), 1,
      anon_sym_end,
    STATE(12393), 1,
      sym_attribute,
    STATE(13150), 1,
      sym__attribute,
    STATE(13671), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597310] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14577), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12394), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10023), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10025), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [597349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597388] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14582), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14580), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597431] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14584), 1,
      anon_sym_LPAREN,
    ACTIONS(14586), 1,
      anon_sym_end,
    STATE(12397), 1,
      sym_attribute,
    STATE(13010), 1,
      sym__attribute,
    STATE(13516), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597494] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14262), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14260), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597537] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11573), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(11575), 13,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [597574] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14459), 1,
      anon_sym_DASH_GT,
    ACTIONS(14461), 1,
      anon_sym_with,
    STATE(12400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14590), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14588), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597615] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14594), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12301), 1,
      aux_sym_expression_item_repeat1,
    STATE(12401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14592), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597658] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14598), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12402), 1,
      sym_attribute,
    STATE(12512), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14596), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597701] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14600), 1,
      anon_sym_LPAREN,
    ACTIONS(14602), 1,
      anon_sym_end,
    STATE(12403), 1,
      sym_attribute,
    STATE(13188), 1,
      sym__attribute,
    STATE(13687), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597764] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14606), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12340), 1,
      aux_sym_expression_item_repeat1,
    STATE(12404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14604), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597807] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14608), 1,
      anon_sym_LPAREN,
    ACTIONS(14610), 1,
      anon_sym_end,
    STATE(12405), 1,
      sym_attribute,
    STATE(13239), 1,
      sym__attribute,
    STATE(13384), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [597870] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14614), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14612), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597913] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(12407), 1,
      sym_attribute,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12921), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [597966] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14056), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598009] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14622), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14620), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598052] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14626), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12410), 1,
      sym_attribute,
    STATE(12478), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14624), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598095] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8079), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8077), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598138] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14085), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14083), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598181] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14630), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14628), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598224] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14632), 1,
      anon_sym_LPAREN,
    ACTIONS(14634), 1,
      anon_sym_end,
    STATE(12414), 1,
      sym_attribute,
    STATE(13253), 1,
      sym__attribute,
    STATE(13704), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598287] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14636), 1,
      anon_sym_LPAREN,
    ACTIONS(14638), 1,
      anon_sym_end,
    STATE(12415), 1,
      sym_attribute,
    STATE(13086), 1,
      sym__attribute,
    STATE(13315), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13954), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13952), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [598387] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14630), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14628), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598430] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14642), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14640), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598473] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(12419), 1,
      sym_attribute,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [598526] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14646), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14644), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598569] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12907), 1,
      anon_sym_DASH_GT,
    STATE(12421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11714), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11712), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11513), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11511), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [598645] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14648), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13460), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12423), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598684] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14653), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14651), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598727] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14655), 1,
      anon_sym_LPAREN,
    ACTIONS(14657), 1,
      anon_sym_end,
    STATE(12425), 1,
      sym_attribute,
    STATE(13008), 1,
      sym__attribute,
    STATE(13724), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598790] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    ACTIONS(14659), 1,
      anon_sym_STAR,
    STATE(12426), 1,
      sym_attribute,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12531), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [598839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10786), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10784), 20,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598876] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14663), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12428), 1,
      sym_attribute,
    STATE(12652), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14661), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12901), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12899), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598956] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14667), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12430), 1,
      sym_attribute,
    STATE(12440), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14665), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598999] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14671), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14669), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599042] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14675), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14673), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9262), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [599122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13021), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [599159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11509), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11507), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [599196] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14630), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14628), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599239] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14679), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14677), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599282] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14437), 1,
      anon_sym_PIPE,
    STATE(12438), 1,
      sym_attribute,
    STATE(12562), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [599323] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14052), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599366] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14683), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14681), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599409] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14685), 1,
      anon_sym_LPAREN,
    ACTIONS(14687), 1,
      anon_sym_end,
    STATE(12441), 1,
      sym_attribute,
    STATE(13067), 1,
      sym__attribute,
    STATE(13738), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [599472] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14052), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599515] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14691), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12443), 1,
      sym_attribute,
    STATE(12540), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14689), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599558] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14459), 1,
      anon_sym_DASH_GT,
    ACTIONS(14461), 1,
      anon_sym_with,
    STATE(12444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14695), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14693), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599599] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14699), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14697), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13913), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13911), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [599679] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14052), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599722] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13408), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13406), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599765] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14703), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14701), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599808] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14705), 1,
      anon_sym_LPAREN,
    ACTIONS(14707), 1,
      anon_sym_end,
    STATE(12450), 1,
      sym_attribute,
    STATE(13147), 1,
      sym__attribute,
    STATE(13919), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [599871] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14703), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14701), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599914] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14703), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14701), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599957] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14711), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14709), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600000] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14713), 1,
      anon_sym_LPAREN,
    ACTIONS(14715), 1,
      anon_sym_end,
    STATE(12454), 1,
      sym_attribute,
    STATE(13116), 1,
      sym__attribute,
    STATE(13753), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [600063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10402), 1,
      sym__lowercase_identifier,
    ACTIONS(13755), 1,
      anon_sym_COLON2,
    STATE(12455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12869), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12871), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [600106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10296), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [600143] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(12457), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13783), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [600190] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(12458), 1,
      sym_attribute,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13793), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [600237] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14338), 1,
      anon_sym_COMMA,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    ACTIONS(14350), 1,
      sym_rel_operator,
    ACTIONS(14352), 1,
      sym_and_operator,
    ACTIONS(14354), 1,
      sym_or_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [600294] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [600341] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14056), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600384] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14344), 1,
      sym_pow_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [600425] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14344), 1,
      sym_pow_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [600466] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [600515] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [600564] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    ACTIONS(14350), 1,
      sym_rel_operator,
    ACTIONS(14352), 1,
      sym_and_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [600617] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    ACTIONS(14350), 1,
      sym_rel_operator,
    ACTIONS(14352), 1,
      sym_and_operator,
    ACTIONS(14354), 1,
      sym_or_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [600672] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14338), 1,
      anon_sym_COMMA,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    ACTIONS(14350), 1,
      sym_rel_operator,
    ACTIONS(14352), 1,
      sym_and_operator,
    ACTIONS(14354), 1,
      sym_or_operator,
    ACTIONS(14356), 1,
      sym_assign_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [600731] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [600774] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14338), 1,
      anon_sym_COMMA,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    ACTIONS(14350), 1,
      sym_rel_operator,
    ACTIONS(14352), 1,
      sym_and_operator,
    ACTIONS(14354), 1,
      sym_or_operator,
    ACTIONS(14356), 1,
      sym_assign_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11669), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [600833] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(12471), 1,
      sym_attribute,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [600886] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14717), 1,
      anon_sym_LPAREN,
    ACTIONS(14719), 1,
      anon_sym_end,
    STATE(12472), 1,
      sym_attribute,
    STATE(13173), 1,
      sym__attribute,
    STATE(13766), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [600949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11517), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11515), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [600986] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14723), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12312), 1,
      aux_sym_expression_item_repeat1,
    STATE(12474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14721), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11377), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11375), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [601066] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14725), 1,
      anon_sym_LPAREN,
    ACTIONS(14727), 1,
      anon_sym_end,
    STATE(12476), 1,
      sym_attribute,
    STATE(13197), 1,
      sym__attribute,
    STATE(13572), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13025), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [601166] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14731), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14729), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601209] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14735), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12318), 1,
      aux_sym_expression_item_repeat1,
    STATE(12479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14733), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601252] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14262), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12332), 1,
      aux_sym_expression_item_repeat1,
    STATE(12480), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14260), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601301] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14737), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(12481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [601342] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14741), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14739), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601385] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14745), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12321), 1,
      aux_sym_expression_item_repeat1,
    STATE(12483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14743), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601428] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14747), 1,
      anon_sym_LPAREN,
    ACTIONS(14749), 1,
      anon_sym_end,
    STATE(12484), 1,
      sym_attribute,
    STATE(13208), 1,
      sym__attribute,
    STATE(13781), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601491] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14755), 1,
      anon_sym_DQUOTE,
    STATE(13161), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14753), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12485), 2,
      sym_attribute,
      aux_sym_external_repeat1,
    ACTIONS(14751), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601532] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14248), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12486), 1,
      sym_attribute,
    STATE(12492), 1,
      aux_sym_type_binding_repeat1,
    STATE(12579), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14246), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601581] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14085), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12299), 1,
      aux_sym_expression_item_repeat1,
    STATE(12487), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14083), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601630] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(12488), 1,
      sym_attribute,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13033), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [601683] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14103), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12396), 1,
      aux_sym_expression_item_repeat1,
    STATE(12489), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14101), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601732] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14172), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14170), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601775] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14093), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12490), 1,
      aux_sym_expression_item_repeat1,
    STATE(12491), 1,
      sym_attribute,
    STATE(12499), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14091), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601824] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14232), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12492), 1,
      sym_attribute,
    STATE(12529), 1,
      aux_sym_expression_item_repeat1,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14230), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601873] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14025), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12493), 1,
      sym_attribute,
    STATE(12503), 1,
      aux_sym_type_binding_repeat1,
    STATE(12588), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601922] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14025), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12494), 1,
      sym_attribute,
    STATE(12504), 1,
      aux_sym_type_binding_repeat1,
    STATE(12605), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601971] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14025), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12495), 1,
      sym_attribute,
    STATE(12505), 1,
      aux_sym_type_binding_repeat1,
    STATE(12619), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602020] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14079), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12496), 1,
      sym_attribute,
    STATE(12507), 1,
      aux_sym_type_binding_repeat1,
    STATE(12642), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14077), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602069] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14107), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12497), 1,
      sym_attribute,
    STATE(12648), 1,
      aux_sym_expression_item_repeat1,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14105), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602118] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14760), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14758), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602161] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14172), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12499), 1,
      sym_attribute,
    STATE(12537), 1,
      aux_sym_expression_item_repeat1,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14170), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602210] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14204), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12408), 1,
      aux_sym_expression_item_repeat1,
    STATE(12500), 1,
      sym_attribute,
    STATE(12513), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602259] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14204), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12461), 1,
      aux_sym_expression_item_repeat1,
    STATE(12501), 1,
      sym_attribute,
    STATE(12514), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602308] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14204), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12502), 1,
      sym_attribute,
    STATE(12515), 1,
      aux_sym_type_binding_repeat1,
    STATE(12536), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602357] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14228), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12503), 1,
      sym_attribute,
    STATE(12554), 1,
      aux_sym_expression_item_repeat1,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602406] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14228), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12504), 1,
      sym_attribute,
    STATE(12601), 1,
      aux_sym_expression_item_repeat1,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602455] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14228), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12505), 1,
      sym_attribute,
    STATE(12608), 1,
      aux_sym_expression_item_repeat1,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602504] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14236), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12506), 1,
      sym_attribute,
    STATE(12516), 1,
      aux_sym_type_binding_repeat1,
    STATE(12646), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14234), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602553] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14240), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12294), 1,
      aux_sym_expression_item_repeat1,
    STATE(12507), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14238), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602602] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14244), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12316), 1,
      aux_sym_expression_item_repeat1,
    STATE(12508), 1,
      sym_attribute,
    STATE(12520), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602651] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14244), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12341), 1,
      aux_sym_expression_item_repeat1,
    STATE(12509), 1,
      sym_attribute,
    STATE(12521), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602700] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14244), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12347), 1,
      aux_sym_expression_item_repeat1,
    STATE(12510), 1,
      sym_attribute,
    STATE(12522), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602749] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14764), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12511), 1,
      sym_attribute,
    STATE(12653), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14762), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602792] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14768), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14766), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602835] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14056), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12413), 1,
      aux_sym_expression_item_repeat1,
    STATE(12513), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602884] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14056), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12417), 1,
      aux_sym_expression_item_repeat1,
    STATE(12514), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602933] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14056), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12436), 1,
      aux_sym_expression_item_repeat1,
    STATE(12515), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602982] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14071), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12437), 1,
      aux_sym_expression_item_repeat1,
    STATE(12516), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14069), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603031] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14075), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12439), 1,
      aux_sym_expression_item_repeat1,
    STATE(12517), 1,
      sym_attribute,
    STATE(12523), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603080] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14075), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12442), 1,
      aux_sym_expression_item_repeat1,
    STATE(12518), 1,
      sym_attribute,
    STATE(12524), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603129] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14075), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12447), 1,
      aux_sym_expression_item_repeat1,
    STATE(12519), 1,
      sym_attribute,
    STATE(12525), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603178] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14099), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12449), 1,
      aux_sym_expression_item_repeat1,
    STATE(12520), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603227] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14099), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12451), 1,
      aux_sym_expression_item_repeat1,
    STATE(12521), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603276] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14099), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12452), 1,
      aux_sym_expression_item_repeat1,
    STATE(12522), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603325] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14052), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12305), 1,
      aux_sym_expression_item_repeat1,
    STATE(12523), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603374] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14052), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12306), 1,
      aux_sym_expression_item_repeat1,
    STATE(12524), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603423] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13448), 1,
      anon_sym_constraint,
    ACTIONS(14052), 1,
      anon_sym_let,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12307), 1,
      aux_sym_expression_item_repeat1,
    STATE(12525), 1,
      sym_attribute,
    STATE(13217), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603472] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14772), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12324), 1,
      aux_sym_expression_item_repeat1,
    STATE(12526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14770), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603515] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10023), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10025), 14,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [603552] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    ACTIONS(14774), 1,
      anon_sym_DASH_GT,
    ACTIONS(14776), 1,
      anon_sym_STAR,
    STATE(12528), 1,
      sym_attribute,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11714), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [603603] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14780), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14778), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10302), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [603683] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14338), 1,
      anon_sym_COMMA,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    ACTIONS(14350), 1,
      sym_rel_operator,
    ACTIONS(14352), 1,
      sym_and_operator,
    ACTIONS(14354), 1,
      sym_or_operator,
    ACTIONS(14356), 1,
      sym_assign_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11679), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [603742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11481), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11479), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [603779] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(12533), 1,
      sym_attribute,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12921), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [603832] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14782), 1,
      anon_sym_COMMA,
    ACTIONS(14784), 1,
      anon_sym_SEMI,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    ACTIONS(14792), 1,
      sym_concat_operator,
    ACTIONS(14794), 1,
      sym_rel_operator,
    ACTIONS(14796), 1,
      sym_and_operator,
    ACTIONS(14798), 1,
      sym_or_operator,
    ACTIONS(14800), 1,
      sym_assign_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [603893] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14802), 1,
      anon_sym_LPAREN,
    ACTIONS(14804), 1,
      anon_sym_end,
    STATE(12535), 1,
      sym_attribute,
    STATE(13206), 1,
      sym__attribute,
    STATE(13799), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603956] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14056), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603999] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14808), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14806), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604042] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7947), 1,
      anon_sym_let,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7943), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12511), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604122] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14812), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14810), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604165] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14814), 1,
      anon_sym_LPAREN,
    ACTIONS(14816), 1,
      anon_sym_end,
    STATE(12541), 1,
      sym_attribute,
    STATE(13124), 1,
      sym__attribute,
    STATE(13552), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604228] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14818), 1,
      anon_sym_LPAREN,
    ACTIONS(14820), 1,
      anon_sym_end,
    STATE(12542), 1,
      sym_attribute,
    STATE(13115), 1,
      sym__attribute,
    STATE(13815), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604291] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14824), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14822), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14828), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14826), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604371] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14832), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12545), 1,
      sym_attribute,
    STATE(12606), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14830), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604414] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10402), 1,
      sym__lowercase_identifier,
    ACTIONS(13755), 1,
      anon_sym_COLON2,
    STATE(12546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12869), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12871), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [604457] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14836), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14834), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604500] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12531), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13145), 1,
      anon_sym_STAR,
    STATE(12548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604539] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14210), 1,
      anon_sym_EQ,
    ACTIONS(14838), 1,
      anon_sym_of,
    ACTIONS(14840), 1,
      anon_sym_COLON2,
    STATE(12549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14208), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14206), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604582] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14844), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14842), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604625] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14846), 1,
      anon_sym_and,
    STATE(12551), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14111), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14109), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604666] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14848), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13442), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12552), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13440), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604705] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14851), 1,
      anon_sym_LPAREN,
    ACTIONS(14853), 1,
      anon_sym_end,
    STATE(12553), 1,
      sym_attribute,
    STATE(13182), 1,
      sym__attribute,
    STATE(13827), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604768] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14857), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14855), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604811] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14859), 1,
      anon_sym_POUND,
    STATE(12555), 1,
      sym_attribute,
    STATE(12992), 1,
      sym_type_constructor_path,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12603), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [604858] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14861), 1,
      anon_sym_LPAREN,
    ACTIONS(14863), 1,
      anon_sym_LBRACK,
    STATE(12556), 1,
      sym_attribute,
    STATE(13495), 1,
      sym__constructor_name,
    STATE(14462), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14865), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13533), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604907] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13797), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14867), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12557), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13795), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604948] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14870), 1,
      anon_sym_LPAREN,
    ACTIONS(14872), 1,
      anon_sym_end,
    STATE(12558), 1,
      sym_attribute,
    STATE(13260), 1,
      sym__attribute,
    STATE(13406), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605011] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14874), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(12559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [605052] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12531), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13117), 1,
      anon_sym_STAR,
    STATE(12560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605091] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14437), 1,
      anon_sym_PIPE,
    STATE(12346), 1,
      aux_sym__match_cases_repeat1,
    STATE(12561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [605132] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14437), 1,
      anon_sym_PIPE,
    STATE(12338), 1,
      aux_sym__match_cases_repeat1,
    STATE(12562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [605173] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14876), 1,
      anon_sym_LPAREN,
    ACTIONS(14878), 1,
      anon_sym_end,
    STATE(12563), 1,
      sym_attribute,
    STATE(13041), 1,
      sym__attribute,
    STATE(13296), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605236] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14880), 1,
      anon_sym_LPAREN,
    ACTIONS(14882), 1,
      anon_sym_end,
    STATE(12564), 1,
      sym_attribute,
    STATE(13251), 1,
      sym__attribute,
    STATE(13843), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605299] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14886), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14884), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11485), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11483), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [605379] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14888), 1,
      anon_sym_LPAREN,
    ACTIONS(14890), 1,
      anon_sym_end,
    STATE(12567), 1,
      sym_attribute,
    STATE(13020), 1,
      sym__attribute,
    STATE(13521), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605442] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14892), 1,
      anon_sym_LPAREN,
    ACTIONS(14894), 1,
      anon_sym_LBRACK,
    STATE(12568), 1,
      sym_attribute,
    STATE(13519), 1,
      sym__constructor_name,
    STATE(14466), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14896), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13533), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605491] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14898), 1,
      anon_sym_POUND,
    STATE(12569), 1,
      sym_attribute,
    STATE(13166), 1,
      sym_type_constructor_path,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12603), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [605538] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14782), 1,
      anon_sym_COMMA,
    ACTIONS(14784), 1,
      anon_sym_SEMI,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    ACTIONS(14792), 1,
      sym_concat_operator,
    ACTIONS(14794), 1,
      sym_rel_operator,
    ACTIONS(14796), 1,
      sym_and_operator,
    ACTIONS(14798), 1,
      sym_or_operator,
    ACTIONS(14800), 1,
      sym_assign_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11629), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11627), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [605599] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14874), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(12571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [605640] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14220), 1,
      anon_sym_EQ,
    ACTIONS(14900), 1,
      anon_sym_of,
    ACTIONS(14902), 1,
      anon_sym_COLON2,
    STATE(12572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14218), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14216), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12997), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [605720] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(12574), 1,
      sym_attribute,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [605767] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14904), 1,
      anon_sym_LPAREN,
    ACTIONS(14906), 1,
      anon_sym_end,
    STATE(12575), 1,
      sym_attribute,
    STATE(13047), 1,
      sym__attribute,
    STATE(13756), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605830] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(12576), 1,
      sym_attribute,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13033), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [605883] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(12577), 1,
      sym_attribute,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12901), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [605936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11449), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11447), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [605973] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14232), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14230), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606016] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [606055] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14908), 1,
      anon_sym_LPAREN,
    ACTIONS(14910), 1,
      anon_sym_end,
    STATE(12581), 1,
      sym_attribute,
    STATE(13119), 1,
      sym__attribute,
    STATE(13389), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [606118] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(12582), 1,
      sym_attribute,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13783), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [606165] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(12583), 1,
      sym_attribute,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [606212] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(12584), 1,
      sym_attribute,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12901), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [606265] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(12585), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13460), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [606312] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(12586), 1,
      sym_attribute,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [606365] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(12587), 1,
      sym_attribute,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13793), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [606412] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14228), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606455] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8099), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8097), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606498] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(12590), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13460), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [606545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11493), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11491), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [606582] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14912), 1,
      anon_sym_LPAREN,
    ACTIONS(14914), 1,
      anon_sym_end,
    STATE(12592), 1,
      sym_attribute,
    STATE(13019), 1,
      sym__attribute,
    STATE(13856), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [606645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12925), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [606682] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(12594), 1,
      sym_attribute,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [606729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12929), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [606766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12871), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [606803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12933), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [606840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12937), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [606877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11415), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [606914] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(12600), 1,
      sym_attribute,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [606967] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14857), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14855), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607010] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(12602), 1,
      sym_attribute,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [607057] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14210), 1,
      anon_sym_EQ,
    ACTIONS(14916), 1,
      anon_sym_of,
    ACTIONS(14918), 1,
      anon_sym_COLON2,
    STATE(12603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14208), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14206), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11437), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11435), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607137] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14228), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607180] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14922), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14920), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607260] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14857), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14855), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607303] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14220), 1,
      anon_sym_EQ,
    ACTIONS(14924), 1,
      anon_sym_of,
    ACTIONS(14926), 1,
      anon_sym_COLON2,
    STATE(12609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14218), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607346] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14141), 1,
      anon_sym_EQ,
    ACTIONS(14928), 1,
      anon_sym_of,
    ACTIONS(14930), 1,
      anon_sym_COLON2,
    STATE(12610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14139), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14137), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607389] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(14934), 1,
      anon_sym_end,
    STATE(12611), 1,
      sym_attribute,
    STATE(13057), 1,
      sym__attribute,
    STATE(13291), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [607452] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(12612), 1,
      sym_attribute,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13783), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [607499] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14338), 1,
      anon_sym_COMMA,
    ACTIONS(14340), 1,
      anon_sym_SEMI,
    ACTIONS(14342), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14344), 1,
      sym_pow_operator,
    ACTIONS(14346), 1,
      sym_mult_operator,
    ACTIONS(14348), 1,
      sym_concat_operator,
    ACTIONS(14350), 1,
      sym_rel_operator,
    ACTIONS(14352), 1,
      sym_and_operator,
    ACTIONS(14354), 1,
      sym_or_operator,
    ACTIONS(14356), 1,
      sym_assign_operator,
    STATE(2631), 1,
      sym_add_operator,
    STATE(12613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [607560] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(12614), 1,
      sym_attribute,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13793), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [607607] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14936), 1,
      anon_sym_LPAREN,
    ACTIONS(14938), 1,
      anon_sym_end,
    STATE(12615), 1,
      sym_attribute,
    STATE(13063), 1,
      sym__attribute,
    STATE(13879), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [607670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13001), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [607707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13005), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [607744] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(12618), 1,
      sym_attribute,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [607791] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14228), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607834] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13521), 1,
      sym__lowercase_identifier,
    ACTIONS(13687), 1,
      anon_sym_POUND,
    STATE(11923), 1,
      sym_type_constructor_path,
    STATE(12620), 1,
      sym_attribute,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13773), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [607881] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14737), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(12621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [607922] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11421), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11419), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11463), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11461), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607996] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14782), 1,
      anon_sym_COMMA,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    ACTIONS(14792), 1,
      sym_concat_operator,
    ACTIONS(14794), 1,
      sym_rel_operator,
    ACTIONS(14796), 1,
      sym_and_operator,
    ACTIONS(14798), 1,
      sym_or_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [608053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11425), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11423), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608090] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [608137] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14788), 1,
      sym_pow_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(11551), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [608178] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14788), 1,
      sym_pow_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(11551), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [608219] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    ACTIONS(14792), 1,
      sym_concat_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [608268] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    ACTIONS(14792), 1,
      sym_concat_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [608317] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    ACTIONS(14792), 1,
      sym_concat_operator,
    ACTIONS(14794), 1,
      sym_rel_operator,
    ACTIONS(14796), 1,
      sym_and_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [608370] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    ACTIONS(14792), 1,
      sym_concat_operator,
    ACTIONS(14794), 1,
      sym_rel_operator,
    ACTIONS(14796), 1,
      sym_and_operator,
    ACTIONS(14798), 1,
      sym_or_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [608425] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14940), 1,
      anon_sym_LPAREN,
    ACTIONS(14942), 1,
      anon_sym_end,
    STATE(12633), 1,
      sym_attribute,
    STATE(13109), 1,
      sym__attribute,
    STATE(13892), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608488] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14782), 1,
      anon_sym_COMMA,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    ACTIONS(14792), 1,
      sym_concat_operator,
    ACTIONS(14794), 1,
      sym_rel_operator,
    ACTIONS(14796), 1,
      sym_and_operator,
    ACTIONS(14798), 1,
      sym_or_operator,
    ACTIONS(14800), 1,
      sym_assign_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [608547] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [608590] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14782), 1,
      anon_sym_COMMA,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    ACTIONS(14792), 1,
      sym_concat_operator,
    ACTIONS(14794), 1,
      sym_rel_operator,
    ACTIONS(14796), 1,
      sym_and_operator,
    ACTIONS(14798), 1,
      sym_or_operator,
    ACTIONS(14800), 1,
      sym_assign_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11669), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11667), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [608649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12941), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [608686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12945), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [608723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11429), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11427), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12949), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [608797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12953), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [608834] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14240), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14238), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [608877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12989), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [608914] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14944), 1,
      anon_sym_LPAREN,
    ACTIONS(14946), 1,
      anon_sym_end,
    STATE(12644), 1,
      sym_attribute,
    STATE(13152), 1,
      sym__attribute,
    STATE(13351), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608977] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14948), 1,
      anon_sym_LPAREN,
    ACTIONS(14950), 1,
      anon_sym_end,
    STATE(12645), 1,
      sym_attribute,
    STATE(13015), 1,
      sym__attribute,
    STATE(13818), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609040] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14071), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14069), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609083] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14954), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12331), 1,
      aux_sym_expression_item_repeat1,
    STATE(12647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14952), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609126] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14958), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14956), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609169] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14960), 1,
      anon_sym_LPAREN,
    ACTIONS(14962), 1,
      anon_sym_end,
    STATE(12649), 1,
      sym_attribute,
    STATE(13121), 1,
      sym__attribute,
    STATE(13908), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609232] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14966), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12357), 1,
      aux_sym_expression_item_repeat1,
    STATE(12650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14964), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609275] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14968), 1,
      anon_sym_LPAREN,
    ACTIONS(14970), 1,
      anon_sym_end,
    STATE(12651), 1,
      sym_attribute,
    STATE(13135), 1,
      sym__attribute,
    STATE(13841), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609338] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14974), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14972), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609381] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14978), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14976), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [609461] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14980), 1,
      anon_sym_LPAREN,
    ACTIONS(14982), 1,
      anon_sym_end,
    STATE(12655), 1,
      sym_attribute,
    STATE(13133), 1,
      sym__attribute,
    STATE(13918), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609524] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14984), 1,
      anon_sym_LPAREN,
    ACTIONS(14986), 1,
      anon_sym_end,
    STATE(12656), 1,
      sym_attribute,
    STATE(13192), 1,
      sym__attribute,
    STATE(13751), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12511), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [609624] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14782), 1,
      anon_sym_COMMA,
    ACTIONS(14784), 1,
      anon_sym_SEMI,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    ACTIONS(14792), 1,
      sym_concat_operator,
    ACTIONS(14794), 1,
      sym_rel_operator,
    ACTIONS(14796), 1,
      sym_and_operator,
    ACTIONS(14798), 1,
      sym_or_operator,
    ACTIONS(14800), 1,
      sym_assign_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [609685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12921), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12919), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609722] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14988), 1,
      anon_sym_LPAREN,
    ACTIONS(14990), 1,
      anon_sym_end,
    STATE(12660), 1,
      sym_attribute,
    STATE(13148), 1,
      sym__attribute,
    STATE(13668), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609785] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(14992), 1,
      anon_sym_LPAREN,
    ACTIONS(14994), 1,
      anon_sym_end,
    STATE(12661), 1,
      sym_attribute,
    STATE(13146), 1,
      sym__attribute,
    STATE(13929), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609848] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14782), 1,
      anon_sym_COMMA,
    ACTIONS(14786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14788), 1,
      sym_pow_operator,
    ACTIONS(14790), 1,
      sym_mult_operator,
    ACTIONS(14792), 1,
      sym_concat_operator,
    ACTIONS(14794), 1,
      sym_rel_operator,
    ACTIONS(14796), 1,
      sym_and_operator,
    ACTIONS(14798), 1,
      sym_or_operator,
    ACTIONS(14800), 1,
      sym_assign_operator,
    STATE(2667), 1,
      sym_add_operator,
    STATE(12662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11679), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11677), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [609907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11441), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11439), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [609944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13029), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [609981] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [610020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [610057] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(12667), 1,
      sym_attribute,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [610104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11433), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [610141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9240), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [610178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9258), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [610215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9262), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [610252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11467), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [610289] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14998), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12543), 1,
      aux_sym_expression_item_repeat1,
    STATE(12673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14996), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11473), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11471), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [610369] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13624), 1,
      sym__lowercase_identifier,
    ACTIONS(13626), 1,
      anon_sym_POUND,
    STATE(12598), 1,
      sym_type_constructor_path,
    STATE(12675), 1,
      sym_attribute,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [610416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9204), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [610453] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(15000), 1,
      anon_sym_LPAREN,
    ACTIONS(15002), 1,
      anon_sym_end,
    STATE(12677), 1,
      sym_attribute,
    STATE(13168), 1,
      sym__attribute,
    STATE(13950), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11477), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11475), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [610553] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13424), 1,
      sym__lowercase_identifier,
    ACTIONS(13622), 1,
      anon_sym_POUND,
    STATE(12030), 1,
      sym_type_constructor_path,
    STATE(12679), 1,
      sym_attribute,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13773), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [610600] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(15004), 1,
      anon_sym_LPAREN,
    ACTIONS(15006), 1,
      anon_sym_end,
    STATE(12680), 1,
      sym_attribute,
    STATE(13172), 1,
      sym__attribute,
    STATE(13963), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610663] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(15008), 1,
      anon_sym_LPAREN,
    ACTIONS(15010), 1,
      anon_sym_end,
    STATE(12681), 1,
      sym_attribute,
    STATE(12999), 1,
      sym__attribute,
    STATE(13455), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610726] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(12682), 1,
      sym_attribute,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12563), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [610773] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14141), 1,
      anon_sym_EQ,
    ACTIONS(15012), 1,
      anon_sym_of,
    ACTIONS(15014), 1,
      anon_sym_COLON2,
    STATE(12683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14139), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14137), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610816] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15018), 1,
      anon_sym_let,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12409), 1,
      aux_sym_expression_item_repeat1,
    STATE(12684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15016), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [610859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12993), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [610896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12965), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [610933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12969), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [610970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12973), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [611007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12977), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [611044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12849), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [611081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9202), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [611118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11399), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11397), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [611155] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15022), 1,
      anon_sym_let,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15020), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611198] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(15024), 1,
      anon_sym_LPAREN,
    ACTIONS(15026), 1,
      anon_sym_end,
    STATE(12694), 1,
      sym_attribute,
    STATE(13113), 1,
      sym__attribute,
    STATE(13622), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611261] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(15028), 1,
      anon_sym_LPAREN,
    ACTIONS(15030), 1,
      anon_sym_end,
    STATE(12695), 1,
      sym_attribute,
    STATE(13174), 1,
      sym__attribute,
    STATE(13667), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611324] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    ACTIONS(15032), 1,
      anon_sym_DASH_GT,
    ACTIONS(15034), 1,
      anon_sym_STAR,
    STATE(12696), 1,
      sym_attribute,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11714), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [611375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11521), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11519), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [611412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9238), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [611449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11497), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11495), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [611486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9256), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [611523] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13733), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15036), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12701), 1,
      sym_attribute,
    STATE(12703), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13731), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611566] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13749), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15036), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12702), 1,
      sym_attribute,
    STATE(12704), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13747), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611609] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13753), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15036), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12557), 1,
      aux_sym_type_binding_repeat1,
    STATE(12703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13751), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611652] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13767), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15036), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12557), 1,
      aux_sym_type_binding_repeat1,
    STATE(12704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13765), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611695] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13797), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15038), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12705), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13795), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611736] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14286), 1,
      anon_sym_PERCENT,
    ACTIONS(15041), 1,
      anon_sym_LPAREN,
    ACTIONS(15043), 1,
      anon_sym_end,
    STATE(12706), 1,
      sym_attribute,
    STATE(13263), 1,
      sym__attribute,
    STATE(13436), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611799] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13948), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13946), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [611836] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(12708), 1,
      sym_attribute,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [611889] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13733), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15045), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12709), 1,
      sym_attribute,
    STATE(12711), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13731), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611932] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13749), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15045), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12710), 1,
      sym_attribute,
    STATE(12712), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13747), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611975] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13753), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15045), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12705), 1,
      aux_sym_type_binding_repeat1,
    STATE(12711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13751), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612018] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13767), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15045), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(12705), 1,
      aux_sym_type_binding_repeat1,
    STATE(12712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13765), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612061] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14846), 1,
      anon_sym_and,
    STATE(12551), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(12713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14065), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14063), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11501), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11499), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [612139] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14459), 1,
      anon_sym_DASH_GT,
    ACTIONS(14461), 1,
      anon_sym_with,
    STATE(12715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15049), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15047), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13021), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [612216] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15051), 1,
      anon_sym_DASH_GT,
    ACTIONS(15053), 1,
      anon_sym_functor,
    STATE(11273), 1,
      sym__module_type,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12717), 1,
      sym_attribute,
    STATE(17657), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [612276] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12718), 1,
      sym_attribute,
    STATE(16880), 1,
      sym__module_type,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [612336] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12719), 1,
      sym_attribute,
    STATE(16881), 1,
      sym__module_type,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [612396] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15057), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12720), 1,
      sym_attribute,
    STATE(12831), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15055), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612438] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12721), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18894), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [612498] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15059), 1,
      anon_sym_DASH_GT,
    ACTIONS(15061), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12715), 1,
      sym__module_type,
    STATE(12722), 1,
      sym_attribute,
    STATE(17212), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [612558] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15065), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12723), 1,
      sym_attribute,
    STATE(12769), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15063), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612600] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15069), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15067), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612642] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15073), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12725), 1,
      sym_attribute,
    STATE(12787), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15071), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612684] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15077), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15075), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [612726] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12727), 1,
      sym_attribute,
    STATE(16882), 1,
      sym__module_type,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [612786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12941), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [612822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12945), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [612858] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12730), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18128), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [612918] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10490), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(10488), 17,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [612954] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15079), 1,
      anon_sym_COLON2,
    STATE(12732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [612992] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12733), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17792), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [613052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12993), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [613088] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15073), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15071), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613130] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10023), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10025), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [613166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12949), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [613202] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11273), 1,
      sym__module_type,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12738), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [613262] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13326), 1,
      anon_sym_COLON2,
    STATE(12739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [613300] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15083), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15081), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613342] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11714), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13051), 1,
      anon_sym_DASH_GT,
    STATE(12741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12941), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [613416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12945), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [613452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12917), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [613488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12953), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [613524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12997), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [613560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12949), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [613596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12953), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [613632] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(12749), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12841), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [613678] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13497), 1,
      anon_sym_STAR,
    STATE(12750), 1,
      sym_attribute,
    STATE(12793), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14475), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14473), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613718] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    ACTIONS(15085), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12412), 1,
      aux_sym_expression_item_repeat1,
    STATE(12751), 1,
      sym_attribute,
    STATE(13221), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13893), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10490), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [613802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12937), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [613838] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12754), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18470), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [613898] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15091), 1,
      anon_sym_PIPE,
    STATE(12755), 1,
      sym_attribute,
    STATE(12766), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15089), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15087), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613938] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(12756), 1,
      sym_attribute,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [613984] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    ACTIONS(15093), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12310), 1,
      aux_sym_expression_item_repeat1,
    STATE(12757), 1,
      sym_attribute,
    STATE(13257), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13828), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12871), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [614068] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    ACTIONS(15095), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12412), 1,
      aux_sym_expression_item_repeat1,
    STATE(12759), 1,
      sym_attribute,
    STATE(13033), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13893), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614116] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(12760), 1,
      sym_attribute,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [614162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10490), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [614198] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11679), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [614256] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    ACTIONS(15115), 1,
      anon_sym_EQ,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12310), 1,
      aux_sym_expression_item_repeat1,
    STATE(12763), 1,
      sym_attribute,
    STATE(13068), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13828), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [614304] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(12764), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13783), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [614350] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15117), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13797), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12765), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13795), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614390] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15120), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14828), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12766), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14826), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614428] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12767), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18909), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [614488] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15059), 1,
      anon_sym_DASH_GT,
    ACTIONS(15061), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12388), 1,
      sym__module_type,
    STATE(12768), 1,
      sym_attribute,
    STATE(17212), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [614548] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15125), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15123), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [614590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12965), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [614626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12969), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [614662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12871), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [614698] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12773), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18326), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [614758] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      sym__lowercase_identifier,
    STATE(12774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12847), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12849), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [614798] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12775), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17874), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [614858] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12776), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18039), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [614918] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15127), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [614978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12973), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [615014] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12779), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18286), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [615074] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14141), 1,
      anon_sym_EQ,
    ACTIONS(15129), 1,
      anon_sym_of,
    ACTIONS(15131), 1,
      anon_sym_COLON2,
    STATE(12780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14139), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14137), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [615116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13001), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [615152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12989), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [615188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12977), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [615224] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(12784), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13773), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [615270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12993), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [615306] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(12786), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13793), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [615352] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15135), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15133), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [615394] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12788), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17709), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [615454] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11573), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(11575), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [615490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12997), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [615526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13001), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [615562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10490), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [615598] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15137), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13460), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12793), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [615636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13005), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [615672] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(12795), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [615718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12989), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [615754] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12797), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18612), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [615814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13009), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [615850] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(12799), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [615896] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13810), 1,
      sym__lowercase_identifier,
    ACTIONS(13812), 1,
      anon_sym_POUND,
    STATE(12800), 1,
      sym_attribute,
    STATE(12913), 1,
      sym_type_constructor_path,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [615942] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(12801), 1,
      sym_attribute,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13783), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [615988] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    ACTIONS(15140), 1,
      anon_sym_STAR,
    STATE(12802), 1,
      sym_attribute,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(14669), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13322), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [616038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12965), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [616074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12993), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [616110] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15144), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15142), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616152] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15148), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12806), 1,
      sym_attribute,
    STATE(12937), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15150), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(15146), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616196] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(12807), 1,
      sym_attribute,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13793), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [616242] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12808), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18223), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [616302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13017), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [616338] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15057), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15055), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616380] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15125), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12724), 1,
      aux_sym_expression_item_repeat1,
    STATE(12811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15123), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616422] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15152), 1,
      sym__lowercase_identifier,
    ACTIONS(15154), 1,
      anon_sym_LPAREN,
    ACTIONS(15156), 1,
      anon_sym_DASH_GT,
    ACTIONS(15158), 1,
      anon_sym_module,
    ACTIONS(15160), 1,
      anon_sym_sig,
    ACTIONS(15162), 1,
      anon_sym_functor,
    ACTIONS(15164), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12812), 1,
      sym_attribute,
    STATE(16294), 1,
      sym__module_type,
    STATE(17388), 1,
      aux_sym_module_binding_repeat1,
    STATE(19620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16146), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [616482] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12917), 1,
      sym__lowercase_identifier,
    STATE(12813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13757), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13759), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [616522] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15152), 1,
      sym__lowercase_identifier,
    ACTIONS(15154), 1,
      anon_sym_LPAREN,
    ACTIONS(15156), 1,
      anon_sym_DASH_GT,
    ACTIONS(15158), 1,
      anon_sym_module,
    ACTIONS(15160), 1,
      anon_sym_sig,
    ACTIONS(15162), 1,
      anon_sym_functor,
    ACTIONS(15164), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12814), 1,
      sym_attribute,
    STATE(15968), 1,
      sym__module_type,
    STATE(17388), 1,
      aux_sym_module_binding_repeat1,
    STATE(19620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16146), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [616582] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(12815), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13783), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [616628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12997), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [616664] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12817), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18875), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [616724] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15166), 1,
      anon_sym_COLON2,
    STATE(12818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [616762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13017), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [616798] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12820), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17868), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [616858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13021), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [616894] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15170), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15168), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [616936] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12823), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17844), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [616996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13001), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12849), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [617068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13005), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13025), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [617140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13009), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617176] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15059), 1,
      anon_sym_DASH_GT,
    ACTIONS(15061), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12356), 1,
      sym__module_type,
    STATE(12829), 1,
      sym_attribute,
    STATE(17212), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [617236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12929), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [617272] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15174), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15172), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [617314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13025), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13017), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13021), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13025), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9202), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [617494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13029), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617530] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15127), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [617590] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(12839), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13793), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [617636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12933), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [617672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13005), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617708] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10894), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10892), 12,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [617744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13009), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617816] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13291), 1,
      anon_sym_DASH_GT,
    STATE(12845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11714), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11712), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [617854] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15059), 1,
      anon_sym_DASH_GT,
    ACTIONS(15061), 1,
      anon_sym_functor,
    STATE(11273), 1,
      sym__module_type,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12846), 1,
      sym_attribute,
    STATE(17212), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [617914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(13029), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [617950] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [618006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9238), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [618042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12977), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [618078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9256), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [618114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12925), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [618150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12969), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [618186] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15152), 1,
      sym__lowercase_identifier,
    ACTIONS(15154), 1,
      anon_sym_LPAREN,
    ACTIONS(15156), 1,
      anon_sym_DASH_GT,
    ACTIONS(15158), 1,
      anon_sym_module,
    ACTIONS(15160), 1,
      anon_sym_sig,
    ACTIONS(15162), 1,
      anon_sym_functor,
    ACTIONS(15164), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12854), 1,
      sym_attribute,
    STATE(16145), 1,
      sym__module_type,
    STATE(17388), 1,
      aux_sym_module_binding_repeat1,
    STATE(19620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16146), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [618246] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15178), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12810), 1,
      aux_sym_expression_item_repeat1,
    STATE(12855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15176), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618288] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [618334] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15101), 1,
      sym_pow_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [618374] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15101), 1,
      sym_pow_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [618414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13029), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [618450] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [618498] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [618546] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15182), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15180), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618588] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [618640] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(12864), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12981), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [618686] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14782), 1,
      anon_sym_COMMA,
    STATE(12865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(11409), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [618724] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12866), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18304), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [618784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12849), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [618820] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [618874] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14131), 1,
      anon_sym_functor,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12869), 1,
      sym_attribute,
    STATE(14121), 1,
      sym__module_type,
    STATE(17646), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [618934] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12870), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18781), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [618994] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12871), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18415), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [619054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9260), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [619090] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14210), 1,
      anon_sym_EQ,
    ACTIONS(15184), 1,
      anon_sym_of,
    ACTIONS(15186), 1,
      anon_sym_COLON2,
    STATE(12873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14208), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14206), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619132] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [619190] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15190), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12805), 1,
      aux_sym_expression_item_repeat1,
    STATE(12875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15192), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(15188), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619234] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14220), 1,
      anon_sym_EQ,
    ACTIONS(15194), 1,
      anon_sym_of,
    ACTIONS(15196), 1,
      anon_sym_COLON2,
    STATE(12876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14218), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14216), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619276] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15200), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15198), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619318] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(12878), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13773), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [619364] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12879), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17707), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [619424] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [619466] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13883), 1,
      sym__lowercase_identifier,
    ACTIONS(13885), 1,
      anon_sym_POUND,
    STATE(12881), 1,
      sym_attribute,
    STATE(12894), 1,
      sym_type_constructor_path,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12985), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [619512] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11669), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [619570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12871), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [619606] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15152), 1,
      sym__lowercase_identifier,
    ACTIONS(15154), 1,
      anon_sym_LPAREN,
    ACTIONS(15156), 1,
      anon_sym_DASH_GT,
    ACTIONS(15158), 1,
      anon_sym_module,
    ACTIONS(15160), 1,
      anon_sym_sig,
    ACTIONS(15162), 1,
      anon_sym_functor,
    ACTIONS(15164), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12884), 1,
      sym_attribute,
    STATE(16225), 1,
      sym__module_type,
    STATE(17388), 1,
      aux_sym_module_binding_repeat1,
    STATE(19620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16146), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [619666] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15059), 1,
      anon_sym_DASH_GT,
    ACTIONS(15061), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12885), 1,
      sym_attribute,
    STATE(12899), 1,
      sym__module_type,
    STATE(17212), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [619726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12929), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [619762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12941), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [619798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [619834] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12889), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18428), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [619894] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(12890), 1,
      sym_attribute,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13773), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [619940] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14338), 1,
      anon_sym_COMMA,
    STATE(12891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [619978] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      sym__lowercase_identifier,
    STATE(12892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12847), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12849), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [620018] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [620056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12937), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [620092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [620128] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15091), 1,
      anon_sym_PIPE,
    STATE(12766), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15204), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15202), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [620168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [620204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12965), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [620240] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14459), 1,
      anon_sym_DASH_GT,
    ACTIONS(14461), 1,
      anon_sym_with,
    ACTIONS(15208), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12899), 1,
      sym_attribute,
    STATE(12917), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15206), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [620286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12969), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [620322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12973), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [620358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12945), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [620394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12977), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [620430] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    ACTIONS(15210), 1,
      anon_sym_STAR,
    STATE(12904), 1,
      sym_attribute,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(14608), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13322), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [620480] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12917), 1,
      sym__lowercase_identifier,
    STATE(12905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13757), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13759), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [620520] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13879), 1,
      sym__lowercase_identifier,
    ACTIONS(13881), 1,
      anon_sym_POUND,
    STATE(12753), 1,
      sym_type_constructor_path,
    STATE(12906), 1,
      sym_attribute,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [620566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12849), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [620602] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15059), 1,
      anon_sym_DASH_GT,
    ACTIONS(15061), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12400), 1,
      sym__module_type,
    STATE(12908), 1,
      sym_attribute,
    STATE(17212), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [620662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12925), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [620698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12929), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [620734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12933), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [620770] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12912), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17956), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [620830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12937), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [620866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12949), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [620902] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12915), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17788), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [620962] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12916), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(17866), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [621022] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15214), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15212), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621064] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15091), 1,
      anon_sym_PIPE,
    STATE(12896), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13535), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13533), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621104] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15059), 1,
      anon_sym_DASH_GT,
    ACTIONS(15061), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12919), 1,
      sym_attribute,
    STATE(12922), 1,
      sym__module_type,
    STATE(17212), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [621164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12953), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [621200] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12921), 1,
      sym_attribute,
    STATE(17615), 1,
      sym__module_type,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [621260] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14459), 1,
      anon_sym_DASH_GT,
    ACTIONS(14461), 1,
      anon_sym_with,
    ACTIONS(15218), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12726), 1,
      aux_sym_expression_item_repeat1,
    STATE(12922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15216), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621306] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15059), 1,
      anon_sym_DASH_GT,
    ACTIONS(15061), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12444), 1,
      sym__module_type,
    STATE(12923), 1,
      sym_attribute,
    STATE(17212), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [621366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12989), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [621402] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15091), 1,
      anon_sym_PIPE,
    STATE(12755), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15204), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15202), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621442] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15152), 1,
      sym__lowercase_identifier,
    ACTIONS(15154), 1,
      anon_sym_LPAREN,
    ACTIONS(15156), 1,
      anon_sym_DASH_GT,
    ACTIONS(15158), 1,
      anon_sym_module,
    ACTIONS(15160), 1,
      anon_sym_sig,
    ACTIONS(15162), 1,
      anon_sym_functor,
    ACTIONS(15164), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12926), 1,
      sym_attribute,
    STATE(16243), 1,
      sym__module_type,
    STATE(17388), 1,
      aux_sym_module_binding_repeat1,
    STATE(19620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16146), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [621502] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15222), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15220), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621544] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13326), 1,
      anon_sym_COLON2,
    STATE(12928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [621582] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12929), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18241), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [621642] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11714), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13073), 1,
      anon_sym_DASH_GT,
    STATE(12930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [621680] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15127), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(12931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [621740] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12932), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18227), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [621800] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12933), 1,
      sym_attribute,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(18839), 1,
      sym__module_type,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [621860] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13971), 1,
      anon_sym_DASH_GT,
    ACTIONS(13973), 1,
      anon_sym_module,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13977), 1,
      anon_sym_functor,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12934), 1,
      sym_attribute,
    STATE(16915), 1,
      sym__module_type,
    STATE(17616), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [621920] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15226), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12735), 1,
      aux_sym_expression_item_repeat1,
    STATE(12935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15224), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621962] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15152), 1,
      sym__lowercase_identifier,
    ACTIONS(15154), 1,
      anon_sym_LPAREN,
    ACTIONS(15156), 1,
      anon_sym_DASH_GT,
    ACTIONS(15158), 1,
      anon_sym_module,
    ACTIONS(15160), 1,
      anon_sym_sig,
    ACTIONS(15162), 1,
      anon_sym_functor,
    ACTIONS(15164), 1,
      sym__uppercase_identifier,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12936), 1,
      sym_attribute,
    STATE(16219), 1,
      sym__module_type,
    STATE(17388), 1,
      aux_sym_module_binding_repeat1,
    STATE(19620), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16146), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [622022] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15230), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15228), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12973), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [622100] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13545), 1,
      anon_sym_STAR,
    STATE(12939), 1,
      sym_attribute,
    STATE(12940), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14475), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14473), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622140] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15232), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13460), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12940), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622178] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15235), 1,
      anon_sym_DASH_GT,
    ACTIONS(15237), 1,
      anon_sym_with,
    STATE(12941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14590), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14588), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622218] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15051), 1,
      anon_sym_DASH_GT,
    ACTIONS(15053), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12942), 1,
      sym_attribute,
    STATE(13213), 1,
      sym__module_type,
    STATE(17657), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [622278] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14131), 1,
      anon_sym_functor,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12943), 1,
      sym_attribute,
    STATE(13931), 1,
      sym__module_type,
    STATE(17646), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [622338] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14131), 1,
      anon_sym_functor,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12944), 1,
      sym_attribute,
    STATE(13932), 1,
      sym__module_type,
    STATE(17646), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [622398] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14131), 1,
      anon_sym_functor,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12945), 1,
      sym_attribute,
    STATE(13933), 1,
      sym__module_type,
    STATE(17646), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [622458] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15235), 1,
      anon_sym_DASH_GT,
    ACTIONS(15237), 1,
      anon_sym_with,
    STATE(12946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14695), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14693), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622498] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15235), 1,
      anon_sym_DASH_GT,
    ACTIONS(15237), 1,
      anon_sym_with,
    STATE(12947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15049), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15047), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622538] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15235), 1,
      anon_sym_DASH_GT,
    ACTIONS(15237), 1,
      anon_sym_with,
    STATE(12948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14563), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14561), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622578] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14131), 1,
      anon_sym_functor,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12949), 1,
      sym_attribute,
    STATE(14141), 1,
      sym__module_type,
    STATE(17646), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [622638] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_DASH_GT,
    ACTIONS(14266), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12950), 1,
      sym_attribute,
    STATE(13935), 1,
      sym__module_type,
    STATE(17652), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [622698] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_DASH_GT,
    ACTIONS(14266), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12951), 1,
      sym_attribute,
    STATE(13936), 1,
      sym__module_type,
    STATE(17652), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [622758] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_DASH_GT,
    ACTIONS(14266), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12952), 1,
      sym_attribute,
    STATE(13937), 1,
      sym__module_type,
    STATE(17652), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [622818] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_DASH_GT,
    ACTIONS(14266), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12953), 1,
      sym_attribute,
    STATE(14148), 1,
      sym__module_type,
    STATE(17652), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [622878] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15235), 1,
      anon_sym_DASH_GT,
    ACTIONS(15237), 1,
      anon_sym_with,
    STATE(12954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14457), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14455), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622918] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15051), 1,
      anon_sym_DASH_GT,
    ACTIONS(15053), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12946), 1,
      sym__module_type,
    STATE(12955), 1,
      sym_attribute,
    STATE(17657), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [622978] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15051), 1,
      anon_sym_DASH_GT,
    ACTIONS(15053), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12947), 1,
      sym__module_type,
    STATE(12956), 1,
      sym_attribute,
    STATE(17657), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623038] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15051), 1,
      anon_sym_DASH_GT,
    ACTIONS(15053), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12948), 1,
      sym__module_type,
    STATE(12957), 1,
      sym_attribute,
    STATE(17657), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623098] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15051), 1,
      anon_sym_DASH_GT,
    ACTIONS(15053), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12941), 1,
      sym__module_type,
    STATE(12958), 1,
      sym_attribute,
    STATE(17657), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10402), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [623194] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15051), 1,
      anon_sym_DASH_GT,
    ACTIONS(15053), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12960), 1,
      sym_attribute,
    STATE(13237), 1,
      sym__module_type,
    STATE(17657), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623254] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14131), 1,
      anon_sym_functor,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12961), 1,
      sym_attribute,
    STATE(13948), 1,
      sym__module_type,
    STATE(17646), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623314] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_DASH_GT,
    ACTIONS(14266), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12962), 1,
      sym_attribute,
    STATE(14147), 1,
      sym__module_type,
    STATE(17652), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623374] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14131), 1,
      anon_sym_functor,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(11273), 1,
      sym__module_type,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12963), 1,
      sym_attribute,
    STATE(17646), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623434] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14131), 1,
      anon_sym_functor,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12964), 1,
      sym_attribute,
    STATE(13951), 1,
      sym__module_type,
    STATE(17646), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623494] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14127), 1,
      anon_sym_DASH_GT,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14131), 1,
      anon_sym_functor,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12965), 1,
      sym_attribute,
    STATE(14149), 1,
      sym__module_type,
    STATE(17646), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623554] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_DASH_GT,
    ACTIONS(14266), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12966), 1,
      sym_attribute,
    STATE(13952), 1,
      sym__module_type,
    STATE(17652), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623614] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_DASH_GT,
    ACTIONS(14266), 1,
      anon_sym_functor,
    STATE(11273), 1,
      sym__module_type,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12967), 1,
      sym_attribute,
    STATE(17652), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623674] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_DASH_GT,
    ACTIONS(14266), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12968), 1,
      sym_attribute,
    STATE(13954), 1,
      sym__module_type,
    STATE(17652), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12925), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [623770] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14264), 1,
      anon_sym_DASH_GT,
    ACTIONS(14266), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12970), 1,
      sym_attribute,
    STATE(14151), 1,
      sym__module_type,
    STATE(17652), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623830] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13967), 1,
      sym__lowercase_identifier,
    ACTIONS(13969), 1,
      anon_sym_LPAREN,
    ACTIONS(13975), 1,
      anon_sym_sig,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(14129), 1,
      anon_sym_module,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15051), 1,
      anon_sym_DASH_GT,
    ACTIONS(15053), 1,
      anon_sym_functor,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(12954), 1,
      sym__module_type,
    STATE(12971), 1,
      sym_attribute,
    STATE(17657), 1,
      aux_sym_module_binding_repeat1,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11306), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [623890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12933), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [623926] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15241), 1,
      anon_sym_let,
    ACTIONS(15243), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12349), 1,
      aux_sym_expression_item_repeat1,
    STATE(12973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15239), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623969] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12294), 1,
      aux_sym_expression_item_repeat1,
    STATE(12974), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14238), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624014] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12316), 1,
      aux_sym_expression_item_repeat1,
    STATE(12975), 1,
      sym_attribute,
    STATE(12987), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624059] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15247), 1,
      anon_sym_let,
    ACTIONS(15249), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12373), 1,
      aux_sym_expression_item_repeat1,
    STATE(12976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15245), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [624102] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12341), 1,
      aux_sym_expression_item_repeat1,
    STATE(12977), 1,
      sym_attribute,
    STATE(12989), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624147] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12347), 1,
      aux_sym_expression_item_repeat1,
    STATE(12978), 1,
      sym_attribute,
    STATE(12990), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624192] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12413), 1,
      aux_sym_expression_item_repeat1,
    STATE(12979), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624237] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15251), 1,
      aux_sym_attribute_id_token1,
    STATE(12980), 1,
      sym_attribute,
    STATE(13141), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9995), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(9993), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [624276] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12417), 1,
      aux_sym_expression_item_repeat1,
    STATE(12981), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624321] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12436), 1,
      aux_sym_expression_item_repeat1,
    STATE(12982), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624366] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12437), 1,
      aux_sym_expression_item_repeat1,
    STATE(12983), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14069), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624411] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12439), 1,
      aux_sym_expression_item_repeat1,
    STATE(12984), 1,
      sym_attribute,
    STATE(12994), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624456] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12442), 1,
      aux_sym_expression_item_repeat1,
    STATE(12985), 1,
      sym_attribute,
    STATE(12996), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624501] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12447), 1,
      aux_sym_expression_item_repeat1,
    STATE(12986), 1,
      sym_attribute,
    STATE(12997), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624546] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12449), 1,
      aux_sym_expression_item_repeat1,
    STATE(12987), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624591] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15253), 1,
      anon_sym_LPAREN,
    ACTIONS(15255), 1,
      anon_sym_end,
    STATE(12988), 1,
      sym_attribute,
    STATE(13504), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624648] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12451), 1,
      aux_sym_expression_item_repeat1,
    STATE(12989), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624693] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12452), 1,
      aux_sym_expression_item_repeat1,
    STATE(12990), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12965), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [624773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12969), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [624808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12973), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [624843] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12305), 1,
      aux_sym_expression_item_repeat1,
    STATE(12994), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12977), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [624923] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12306), 1,
      aux_sym_expression_item_repeat1,
    STATE(12996), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [624968] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12307), 1,
      aux_sym_expression_item_repeat1,
    STATE(12997), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625013] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15257), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12998), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [625050] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15260), 1,
      anon_sym_LPAREN,
    ACTIONS(15262), 1,
      anon_sym_end,
    STATE(12999), 1,
      sym_attribute,
    STATE(13469), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625107] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15241), 1,
      anon_sym_let,
    ACTIONS(15264), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12349), 1,
      aux_sym_expression_item_repeat1,
    STATE(13000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15239), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625150] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13442), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15266), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13001), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13440), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12925), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [625222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12929), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [625257] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15271), 1,
      anon_sym_let,
    ACTIONS(15273), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12431), 1,
      aux_sym_expression_item_repeat1,
    STATE(13004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15269), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625300] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15277), 1,
      anon_sym_let,
    ACTIONS(15279), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12336), 1,
      aux_sym_expression_item_repeat1,
    STATE(13005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15275), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625343] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12332), 1,
      aux_sym_expression_item_repeat1,
    STATE(13006), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14260), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12933), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [625423] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15281), 1,
      anon_sym_LPAREN,
    ACTIONS(15283), 1,
      anon_sym_end,
    STATE(13008), 1,
      sym_attribute,
    STATE(13726), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625480] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(15285), 1,
      sym__lowercase_identifier,
    ACTIONS(15287), 1,
      anon_sym_POUND,
    STATE(13009), 1,
      sym_attribute,
    STATE(14081), 1,
      sym_type_constructor_path,
    STATE(19581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12563), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [625525] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15289), 1,
      anon_sym_LPAREN,
    ACTIONS(15291), 1,
      anon_sym_end,
    STATE(13010), 1,
      sym_attribute,
    STATE(13523), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12937), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [625617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13017), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [625652] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15293), 1,
      anon_sym_LPAREN,
    ACTIONS(15295), 1,
      anon_sym_end,
    STATE(13013), 1,
      sym_attribute,
    STATE(13560), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625709] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15299), 1,
      anon_sym_let,
    ACTIONS(15301), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12342), 1,
      aux_sym_expression_item_repeat1,
    STATE(13014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15297), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625752] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15303), 1,
      anon_sym_LPAREN,
    ACTIONS(15305), 1,
      anon_sym_end,
    STATE(13015), 1,
      sym_attribute,
    STATE(13891), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625809] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15309), 1,
      anon_sym_let,
    ACTIONS(15311), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12693), 1,
      aux_sym_expression_item_repeat1,
    STATE(13016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15307), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625852] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12579), 1,
      aux_sym_expression_item_repeat1,
    STATE(13017), 1,
      sym_attribute,
    STATE(13054), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14246), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625897] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15271), 1,
      anon_sym_let,
    ACTIONS(15313), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12431), 1,
      aux_sym_expression_item_repeat1,
    STATE(13018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15269), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625940] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15315), 1,
      anon_sym_LPAREN,
    ACTIONS(15317), 1,
      anon_sym_end,
    STATE(13019), 1,
      sym_attribute,
    STATE(13860), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625997] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15319), 1,
      anon_sym_LPAREN,
    ACTIONS(15321), 1,
      anon_sym_end,
    STATE(13020), 1,
      sym_attribute,
    STATE(13522), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626054] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15323), 1,
      anon_sym_LPAREN,
    ACTIONS(15325), 1,
      anon_sym_end,
    STATE(13021), 1,
      sym_attribute,
    STATE(13479), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13021), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [626146] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15329), 1,
      anon_sym_let,
    ACTIONS(15331), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12432), 1,
      aux_sym_expression_item_repeat1,
    STATE(13023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15327), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626189] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12531), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13745), 1,
      anon_sym_STAR,
    STATE(13024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12989), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [626261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12849), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [626296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12993), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [626331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12997), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [626366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13001), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [626401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13005), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [626436] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15333), 1,
      anon_sym_LPAREN,
    ACTIONS(15335), 1,
      anon_sym_end,
    STATE(13031), 1,
      sym_attribute,
    STATE(13539), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(12509), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [626528] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12299), 1,
      aux_sym_expression_item_repeat1,
    STATE(13033), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14083), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13009), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [626608] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15247), 1,
      anon_sym_let,
    ACTIONS(15337), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12373), 1,
      aux_sym_expression_item_repeat1,
    STATE(13035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15245), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626651] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12396), 1,
      aux_sym_expression_item_repeat1,
    STATE(13036), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14101), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626696] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15341), 1,
      anon_sym_let,
    ACTIONS(15343), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12381), 1,
      aux_sym_expression_item_repeat1,
    STATE(13037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15339), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626739] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15345), 1,
      anon_sym_LPAREN,
    ACTIONS(15347), 1,
      anon_sym_end,
    STATE(13038), 1,
      sym_attribute,
    STATE(13591), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626796] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15349), 1,
      anon_sym_PIPE,
    STATE(12998), 1,
      aux_sym__match_cases_repeat1,
    STATE(13039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [626835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12989), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [626870] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15351), 1,
      anon_sym_LPAREN,
    ACTIONS(15353), 1,
      anon_sym_end,
    STATE(13041), 1,
      sym_attribute,
    STATE(13312), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626927] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    STATE(13042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [626964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10490), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [626999] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15247), 1,
      anon_sym_let,
    ACTIONS(15355), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12373), 1,
      aux_sym_expression_item_repeat1,
    STATE(13044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15245), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627042] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14210), 1,
      anon_sym_EQ,
    ACTIONS(15357), 1,
      anon_sym_of,
    ACTIONS(15359), 1,
      anon_sym_COLON2,
    STATE(13045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14208), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14206), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627083] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14208), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14210), 1,
      anon_sym_EQ,
    ACTIONS(15361), 1,
      anon_sym_of,
    ACTIONS(15363), 1,
      anon_sym_COLON2,
    STATE(13046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14206), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627124] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15365), 1,
      anon_sym_LPAREN,
    ACTIONS(15367), 1,
      anon_sym_end,
    STATE(13047), 1,
      sym_attribute,
    STATE(13798), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10490), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [627216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13017), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [627251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13021), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [627286] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(15285), 1,
      sym__lowercase_identifier,
    ACTIONS(15369), 1,
      anon_sym_POUND,
    STATE(13051), 1,
      sym_attribute,
    STATE(14044), 1,
      sym_type_constructor_path,
    STATE(19581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12603), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [627331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13025), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [627366] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12490), 1,
      aux_sym_expression_item_repeat1,
    STATE(13053), 1,
      sym_attribute,
    STATE(13069), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14091), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627411] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12529), 1,
      aux_sym_expression_item_repeat1,
    STATE(13054), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14230), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627456] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12588), 1,
      aux_sym_expression_item_repeat1,
    STATE(13055), 1,
      sym_attribute,
    STATE(13074), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627501] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14218), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14220), 1,
      anon_sym_EQ,
    ACTIONS(15371), 1,
      anon_sym_of,
    ACTIONS(15373), 1,
      anon_sym_COLON2,
    STATE(13056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14216), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627542] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15375), 1,
      anon_sym_LPAREN,
    ACTIONS(15377), 1,
      anon_sym_end,
    STATE(13057), 1,
      sym_attribute,
    STATE(13295), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627599] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12605), 1,
      aux_sym_expression_item_repeat1,
    STATE(13058), 1,
      sym_attribute,
    STATE(13075), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627644] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(13059), 1,
      sym_attribute,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13460), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [627689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12849), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [627724] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13769), 1,
      anon_sym_STAR,
    STATE(13061), 1,
      sym_attribute,
    STATE(13064), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14475), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14473), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627763] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12619), 1,
      aux_sym_expression_item_repeat1,
    STATE(13062), 1,
      sym_attribute,
    STATE(13076), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627808] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15379), 1,
      anon_sym_LPAREN,
    ACTIONS(15381), 1,
      anon_sym_end,
    STATE(13063), 1,
      sym_attribute,
    STATE(13882), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627865] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15383), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13460), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(13064), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [627902] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12642), 1,
      aux_sym_expression_item_repeat1,
    STATE(13065), 1,
      sym_attribute,
    STATE(13078), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14077), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13029), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [627982] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15386), 1,
      anon_sym_LPAREN,
    ACTIONS(15388), 1,
      anon_sym_end,
    STATE(13067), 1,
      sym_attribute,
    STATE(13740), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628039] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12648), 1,
      aux_sym_expression_item_repeat1,
    STATE(13068), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14105), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628084] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12537), 1,
      aux_sym_expression_item_repeat1,
    STATE(13069), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14170), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628129] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12408), 1,
      aux_sym_expression_item_repeat1,
    STATE(13070), 1,
      sym_attribute,
    STATE(13083), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628174] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12461), 1,
      aux_sym_expression_item_repeat1,
    STATE(13071), 1,
      sym_attribute,
    STATE(13085), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628219] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12536), 1,
      aux_sym_expression_item_repeat1,
    STATE(13072), 1,
      sym_attribute,
    STATE(13087), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13025), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [628299] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12554), 1,
      aux_sym_expression_item_repeat1,
    STATE(13074), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628344] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12601), 1,
      aux_sym_expression_item_repeat1,
    STATE(13075), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628389] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12608), 1,
      aux_sym_expression_item_repeat1,
    STATE(13076), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628434] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12646), 1,
      aux_sym_expression_item_repeat1,
    STATE(13077), 1,
      sym_attribute,
    STATE(13088), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14234), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628479] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12294), 1,
      aux_sym_expression_item_repeat1,
    STATE(13078), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14238), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628524] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12316), 1,
      aux_sym_expression_item_repeat1,
    STATE(13079), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628569] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12341), 1,
      aux_sym_expression_item_repeat1,
    STATE(13080), 1,
      sym_attribute,
    STATE(13095), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628614] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12347), 1,
      aux_sym_expression_item_repeat1,
    STATE(13081), 1,
      sym_attribute,
    STATE(13096), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14242), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9202), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [628694] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12413), 1,
      aux_sym_expression_item_repeat1,
    STATE(13083), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12993), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [628774] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12417), 1,
      aux_sym_expression_item_repeat1,
    STATE(13085), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628819] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15390), 1,
      anon_sym_LPAREN,
    ACTIONS(15392), 1,
      anon_sym_end,
    STATE(13086), 1,
      sym_attribute,
    STATE(13321), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628876] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12436), 1,
      aux_sym_expression_item_repeat1,
    STATE(13087), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14054), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628921] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12437), 1,
      aux_sym_expression_item_repeat1,
    STATE(13088), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14069), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [628966] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15396), 1,
      anon_sym_let,
    ACTIONS(15398), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12498), 1,
      aux_sym_expression_item_repeat1,
    STATE(13089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15394), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9488), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [629044] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12439), 1,
      aux_sym_expression_item_repeat1,
    STATE(13091), 1,
      sym_attribute,
    STATE(13101), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629089] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12442), 1,
      aux_sym_expression_item_repeat1,
    STATE(13092), 1,
      sym_attribute,
    STATE(13105), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629134] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12447), 1,
      aux_sym_expression_item_repeat1,
    STATE(13093), 1,
      sym_attribute,
    STATE(13108), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14073), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629179] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12449), 1,
      aux_sym_expression_item_repeat1,
    STATE(13094), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629224] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12451), 1,
      aux_sym_expression_item_repeat1,
    STATE(13095), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629269] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12452), 1,
      aux_sym_expression_item_repeat1,
    STATE(13096), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14097), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629314] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(15285), 1,
      sym__lowercase_identifier,
    ACTIONS(15287), 1,
      anon_sym_POUND,
    ACTIONS(15400), 1,
      anon_sym_STAR,
    STATE(13097), 1,
      sym_attribute,
    STATE(14081), 1,
      sym_type_constructor_path,
    STATE(19581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12531), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [629361] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14111), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15402), 1,
      anon_sym_and,
    STATE(13098), 1,
      sym_attribute,
    STATE(13110), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14109), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9202), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [629435] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15404), 1,
      anon_sym_else,
    STATE(12566), 1,
      sym_else_clause,
    STATE(13100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [629474] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12305), 1,
      aux_sym_expression_item_repeat1,
    STATE(13101), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629519] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15408), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(13102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15406), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9238), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [629595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9256), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [629630] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12306), 1,
      aux_sym_expression_item_repeat1,
    STATE(13105), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9260), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [629710] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14139), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_EQ,
    ACTIONS(15410), 1,
      anon_sym_of,
    ACTIONS(15412), 1,
      anon_sym_COLON2,
    STATE(13107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14137), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629751] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13891), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12307), 1,
      aux_sym_expression_item_repeat1,
    STATE(13108), 1,
      sym_attribute,
    STATE(14067), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14050), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629796] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15414), 1,
      anon_sym_LPAREN,
    ACTIONS(15416), 1,
      anon_sym_end,
    STATE(13109), 1,
      sym_attribute,
    STATE(13895), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629853] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13442), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15418), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13110), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13440), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629890] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15396), 1,
      anon_sym_let,
    ACTIONS(15421), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12498), 1,
      aux_sym_expression_item_repeat1,
    STATE(13111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15394), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629933] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15423), 1,
      anon_sym_LPAREN,
    ACTIONS(15425), 1,
      anon_sym_end,
    STATE(13112), 1,
      sym_attribute,
    STATE(13576), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629990] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15427), 1,
      anon_sym_LPAREN,
    ACTIONS(15429), 1,
      anon_sym_end,
    STATE(13113), 1,
      sym_attribute,
    STATE(13688), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13005), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [630082] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15431), 1,
      anon_sym_LPAREN,
    ACTIONS(15433), 1,
      anon_sym_end,
    STATE(13115), 1,
      sym_attribute,
    STATE(13817), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630139] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15435), 1,
      anon_sym_LPAREN,
    ACTIONS(15437), 1,
      anon_sym_end,
    STATE(13116), 1,
      sym_attribute,
    STATE(13754), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630196] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15439), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13117), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10025), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10023), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [630233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12933), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [630268] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15442), 1,
      anon_sym_LPAREN,
    ACTIONS(15444), 1,
      anon_sym_end,
    STATE(13119), 1,
      sym_attribute,
    STATE(13402), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [630360] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15446), 1,
      anon_sym_LPAREN,
    ACTIONS(15448), 1,
      anon_sym_end,
    STATE(13121), 1,
      sym_attribute,
    STATE(13909), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630417] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15452), 1,
      anon_sym_BANG,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(10562), 1,
      sym_module_path,
    STATE(10686), 1,
      sym__module_expression,
    STATE(13122), 1,
      sym_attribute,
    STATE(14271), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [630474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9238), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [630509] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15460), 1,
      anon_sym_LPAREN,
    ACTIONS(15462), 1,
      anon_sym_end,
    STATE(13124), 1,
      sym_attribute,
    STATE(13577), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13029), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [630601] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15464), 1,
      anon_sym_LPAREN,
    ACTIONS(15466), 1,
      anon_sym_end,
    STATE(13126), 1,
      sym_attribute,
    STATE(13605), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9460), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [630693] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(13128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(10400), 16,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [630728] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15470), 1,
      anon_sym_let,
    ACTIONS(15472), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12547), 1,
      aux_sym_expression_item_repeat1,
    STATE(13129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15468), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [630771] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15476), 1,
      anon_sym_let,
    ACTIONS(15478), 1,
      anon_sym_and,
    STATE(13130), 1,
      sym_attribute,
    STATE(13169), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15474), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [630810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12925), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [630845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12929), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [630880] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15480), 1,
      anon_sym_LPAREN,
    ACTIONS(15482), 1,
      anon_sym_end,
    STATE(13133), 1,
      sym_attribute,
    STATE(13920), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630937] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15484), 1,
      anon_sym_PIPE,
    STATE(13134), 1,
      sym_attribute,
    STATE(13138), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15089), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15087), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [630976] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15486), 1,
      anon_sym_LPAREN,
    ACTIONS(15488), 1,
      anon_sym_end,
    STATE(13135), 1,
      sym_attribute,
    STATE(13845), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631033] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15490), 1,
      anon_sym_LPAREN,
    ACTIONS(15492), 1,
      anon_sym_end,
    STATE(13136), 1,
      sym_attribute,
    STATE(13650), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631090] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12646), 1,
      aux_sym_expression_item_repeat1,
    STATE(12983), 1,
      aux_sym_type_binding_repeat1,
    STATE(13137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14234), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631135] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15494), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14828), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(13138), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14826), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631172] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14208), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14210), 1,
      anon_sym_EQ,
    ACTIONS(15497), 1,
      anon_sym_of,
    ACTIONS(15499), 1,
      anon_sym_COLON2,
    STATE(13139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14206), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631213] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15501), 1,
      anon_sym_else,
    STATE(12566), 1,
      sym_else_clause,
    STATE(13140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [631252] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15251), 1,
      aux_sym_attribute_id_token1,
    STATE(13117), 1,
      aux_sym_attribute_id_repeat1,
    STATE(13141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10017), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10015), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [631291] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14218), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14220), 1,
      anon_sym_EQ,
    ACTIONS(15503), 1,
      anon_sym_of,
    ACTIONS(15505), 1,
      anon_sym_COLON2,
    STATE(13142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14216), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13001), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12997), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631402] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15341), 1,
      anon_sym_let,
    ACTIONS(15507), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12381), 1,
      aux_sym_expression_item_repeat1,
    STATE(13145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15339), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631445] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15509), 1,
      anon_sym_LPAREN,
    ACTIONS(15511), 1,
      anon_sym_end,
    STATE(13146), 1,
      sym_attribute,
    STATE(13934), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631502] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15513), 1,
      anon_sym_LPAREN,
    ACTIONS(15515), 1,
      anon_sym_end,
    STATE(13147), 1,
      sym_attribute,
    STATE(13930), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631559] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15517), 1,
      anon_sym_LPAREN,
    ACTIONS(15519), 1,
      anon_sym_end,
    STATE(13148), 1,
      sym_attribute,
    STATE(13677), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631616] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15309), 1,
      anon_sym_let,
    ACTIONS(15521), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12693), 1,
      aux_sym_expression_item_repeat1,
    STATE(13149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15307), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631659] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15523), 1,
      anon_sym_LPAREN,
    ACTIONS(15525), 1,
      anon_sym_end,
    STATE(13150), 1,
      sym_attribute,
    STATE(13673), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631716] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15349), 1,
      anon_sym_PIPE,
    STATE(13039), 1,
      aux_sym__match_cases_repeat1,
    STATE(13151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [631755] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15527), 1,
      anon_sym_LPAREN,
    ACTIONS(15529), 1,
      anon_sym_end,
    STATE(13152), 1,
      sym_attribute,
    STATE(13353), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631812] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15533), 1,
      anon_sym_BANG,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(13153), 1,
      sym_attribute,
    STATE(14344), 1,
      sym__attribute,
    STATE(15295), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [631869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12871), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [631904] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15541), 1,
      anon_sym_COMMA,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    ACTIONS(15551), 1,
      sym_rel_operator,
    ACTIONS(15553), 1,
      sym_and_operator,
    ACTIONS(15555), 1,
      sym_or_operator,
    ACTIONS(15557), 1,
      sym_assign_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11675), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [631961] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15561), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(13156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15559), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [632037] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15563), 1,
      anon_sym_LPAREN,
    ACTIONS(15565), 1,
      anon_sym_end,
    STATE(13158), 1,
      sym_attribute,
    STATE(13456), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12965), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [632129] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14111), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15567), 1,
      anon_sym_and,
    STATE(13001), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(13160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14109), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [632168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15571), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15569), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [632203] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12332), 1,
      aux_sym_expression_item_repeat1,
    STATE(13162), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14260), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [632248] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15541), 1,
      anon_sym_COMMA,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    ACTIONS(15551), 1,
      sym_rel_operator,
    ACTIONS(15553), 1,
      sym_and_operator,
    ACTIONS(15555), 1,
      sym_or_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 6,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [632303] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15349), 1,
      anon_sym_PIPE,
    STATE(12998), 1,
      aux_sym__match_cases_repeat1,
    STATE(13164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [632342] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15396), 1,
      anon_sym_let,
    ACTIONS(15573), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12498), 1,
      aux_sym_expression_item_repeat1,
    STATE(13165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15394), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12969), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [632420] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15404), 1,
      anon_sym_else,
    STATE(12699), 1,
      sym_else_clause,
    STATE(13167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [632459] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15575), 1,
      anon_sym_LPAREN,
    ACTIONS(15577), 1,
      anon_sym_end,
    STATE(13168), 1,
      sym_attribute,
    STATE(13953), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632516] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15581), 1,
      anon_sym_let,
    ACTIONS(15583), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13169), 2,
      sym_attribute,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(15579), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12941), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [632588] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [632633] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15586), 1,
      anon_sym_LPAREN,
    ACTIONS(15588), 1,
      anon_sym_end,
    STATE(13172), 1,
      sym_attribute,
    STATE(13964), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632690] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15590), 1,
      anon_sym_LPAREN,
    ACTIONS(15592), 1,
      anon_sym_end,
    STATE(13173), 1,
      sym_attribute,
    STATE(13768), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632747] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15594), 1,
      anon_sym_LPAREN,
    ACTIONS(15596), 1,
      anon_sym_end,
    STATE(13174), 1,
      sym_attribute,
    STATE(13429), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12945), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [632839] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12531), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13727), 1,
      anon_sym_STAR,
    STATE(13176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [632876] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15470), 1,
      anon_sym_let,
    ACTIONS(15598), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12547), 1,
      aux_sym_expression_item_repeat1,
    STATE(13177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15468), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12871), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [632954] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15478), 1,
      anon_sym_and,
    ACTIONS(15602), 1,
      anon_sym_let,
    STATE(13169), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(13179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15600), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632993] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15478), 1,
      anon_sym_and,
    ACTIONS(15602), 1,
      anon_sym_let,
    STATE(13130), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(13180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15600), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [633032] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15545), 1,
      sym_pow_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633071] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15604), 1,
      anon_sym_LPAREN,
    ACTIONS(15606), 1,
      anon_sym_end,
    STATE(13182), 1,
      sym_attribute,
    STATE(13830), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633128] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(13183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11573), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(11575), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [633163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12973), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [633198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12977), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [633233] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15545), 1,
      sym_pow_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9256), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [633307] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15608), 1,
      anon_sym_LPAREN,
    ACTIONS(15610), 1,
      anon_sym_end,
    STATE(13188), 1,
      sym_attribute,
    STATE(13689), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633364] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15271), 1,
      anon_sym_let,
    ACTIONS(15612), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12431), 1,
      aux_sym_expression_item_repeat1,
    STATE(13189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15269), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [633407] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [633454] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9260), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [633489] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15614), 1,
      anon_sym_LPAREN,
    ACTIONS(15616), 1,
      anon_sym_end,
    STATE(13192), 1,
      sym_attribute,
    STATE(13764), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633546] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15241), 1,
      anon_sym_let,
    ACTIONS(15618), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12349), 1,
      aux_sym_expression_item_repeat1,
    STATE(13193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15239), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [633589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12949), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [633624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12953), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [633659] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14139), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_EQ,
    ACTIONS(15620), 1,
      anon_sym_of,
    ACTIONS(15622), 1,
      anon_sym_COLON2,
    STATE(13196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14137), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [633700] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15624), 1,
      anon_sym_LPAREN,
    ACTIONS(15626), 1,
      anon_sym_end,
    STATE(13197), 1,
      sym_attribute,
    STATE(13586), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633757] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15628), 1,
      anon_sym_LPAREN,
    ACTIONS(15630), 1,
      anon_sym_end,
    STATE(13198), 1,
      sym_attribute,
    STATE(13627), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633814] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15541), 1,
      anon_sym_COMMA,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    ACTIONS(15551), 1,
      sym_rel_operator,
    ACTIONS(15553), 1,
      sym_and_operator,
    ACTIONS(15555), 1,
      sym_or_operator,
    ACTIONS(15557), 1,
      sym_assign_operator,
    ACTIONS(15632), 1,
      anon_sym_SEMI,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [633873] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15541), 1,
      anon_sym_COMMA,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    ACTIONS(15551), 1,
      sym_rel_operator,
    ACTIONS(15553), 1,
      sym_and_operator,
    ACTIONS(15555), 1,
      sym_or_operator,
    ACTIONS(15557), 1,
      sym_assign_operator,
    ACTIONS(15632), 1,
      anon_sym_SEMI,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [633932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [633967] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(15285), 1,
      sym__lowercase_identifier,
    ACTIONS(15287), 1,
      anon_sym_POUND,
    ACTIONS(15634), 1,
      anon_sym_DASH_GT,
    ACTIONS(15636), 1,
      anon_sym_STAR,
    STATE(13202), 1,
      sym_attribute,
    STATE(14081), 1,
      sym_type_constructor_path,
    STATE(19581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 5,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11714), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [634016] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [634063] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    ACTIONS(15551), 1,
      sym_rel_operator,
    ACTIONS(15553), 1,
      sym_and_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [634114] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14220), 1,
      anon_sym_EQ,
    ACTIONS(15638), 1,
      anon_sym_of,
    ACTIONS(15640), 1,
      anon_sym_COLON2,
    STATE(13205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14218), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14216), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634155] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15642), 1,
      anon_sym_LPAREN,
    ACTIONS(15644), 1,
      anon_sym_end,
    STATE(13206), 1,
      sym_attribute,
    STATE(13801), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15648), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(15646), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [634247] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15650), 1,
      anon_sym_LPAREN,
    ACTIONS(15652), 1,
      anon_sym_end,
    STATE(13208), 1,
      sym_attribute,
    STATE(13782), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634304] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15309), 1,
      anon_sym_let,
    ACTIONS(15654), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12693), 1,
      aux_sym_expression_item_repeat1,
    STATE(13209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15307), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634347] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15484), 1,
      anon_sym_PIPE,
    STATE(13210), 1,
      sym_attribute,
    STATE(13231), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13535), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13533), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634386] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    ACTIONS(15551), 1,
      sym_rel_operator,
    ACTIONS(15553), 1,
      sym_and_operator,
    ACTIONS(15555), 1,
      sym_or_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [634439] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15484), 1,
      anon_sym_PIPE,
    STATE(13134), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15204), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15202), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634478] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15218), 1,
      anon_sym_let,
    ACTIONS(15235), 1,
      anon_sym_DASH_GT,
    ACTIONS(15237), 1,
      anon_sym_with,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12726), 1,
      aux_sym_expression_item_repeat1,
    STATE(13213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15216), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634523] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14065), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15567), 1,
      anon_sym_and,
    STATE(13160), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(13214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14063), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634562] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15656), 1,
      anon_sym_LPAREN,
    ACTIONS(15658), 1,
      anon_sym_end,
    STATE(13215), 1,
      sym_attribute,
    STATE(13380), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634619] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12579), 1,
      aux_sym_expression_item_repeat1,
    STATE(13216), 1,
      sym_attribute,
    STATE(13242), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14246), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634664] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15660), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13797), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(13217), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13795), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634703] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(13218), 1,
      sym_attribute,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13460), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [634748] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15470), 1,
      anon_sym_let,
    ACTIONS(15663), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12547), 1,
      aux_sym_expression_item_repeat1,
    STATE(13219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15468), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634791] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15665), 1,
      anon_sym_PIPE,
    STATE(13220), 1,
      sym_attribute,
    STATE(13245), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13535), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13533), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634830] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12299), 1,
      aux_sym_expression_item_repeat1,
    STATE(13221), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14083), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634875] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15665), 1,
      anon_sym_PIPE,
    STATE(13222), 1,
      sym_attribute,
    STATE(13261), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15204), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15202), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634914] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15341), 1,
      anon_sym_let,
    ACTIONS(15667), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12381), 1,
      aux_sym_expression_item_repeat1,
    STATE(13223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15339), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [634957] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15277), 1,
      anon_sym_let,
    ACTIONS(15669), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12336), 1,
      aux_sym_expression_item_repeat1,
    STATE(13224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15275), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635000] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15329), 1,
      anon_sym_let,
    ACTIONS(15671), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12432), 1,
      aux_sym_expression_item_repeat1,
    STATE(13225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15327), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635043] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14065), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15402), 1,
      anon_sym_and,
    STATE(13098), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(13226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14063), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635082] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15329), 1,
      anon_sym_let,
    ACTIONS(15673), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12432), 1,
      aux_sym_expression_item_repeat1,
    STATE(13227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15327), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635125] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15541), 1,
      anon_sym_COMMA,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    ACTIONS(15551), 1,
      sym_rel_operator,
    ACTIONS(15553), 1,
      sym_and_operator,
    ACTIONS(15555), 1,
      sym_or_operator,
    ACTIONS(15557), 1,
      sym_assign_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [635182] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [635219] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [635260] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15484), 1,
      anon_sym_PIPE,
    STATE(13138), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15204), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15202), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635299] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15478), 1,
      anon_sym_and,
    ACTIONS(15677), 1,
      anon_sym_let,
    STATE(13179), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(13232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15675), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635338] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15681), 1,
      anon_sym_let,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(13233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15679), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635379] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15541), 1,
      anon_sym_COMMA,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    ACTIONS(15551), 1,
      sym_rel_operator,
    ACTIONS(15553), 1,
      sym_and_operator,
    ACTIONS(15555), 1,
      sym_or_operator,
    ACTIONS(15557), 1,
      sym_assign_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11669), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [635436] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12396), 1,
      aux_sym_expression_item_repeat1,
    STATE(13235), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14101), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12937), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [635516] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15208), 1,
      anon_sym_let,
    ACTIONS(15235), 1,
      anon_sym_DASH_GT,
    ACTIONS(15237), 1,
      anon_sym_with,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12917), 1,
      aux_sym_expression_item_repeat1,
    STATE(13237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15206), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635561] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15501), 1,
      anon_sym_else,
    STATE(12699), 1,
      sym_else_clause,
    STATE(13238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [635600] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15683), 1,
      anon_sym_LPAREN,
    ACTIONS(15685), 1,
      anon_sym_end,
    STATE(13239), 1,
      sym_attribute,
    STATE(13387), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635657] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15541), 1,
      anon_sym_COMMA,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    ACTIONS(15551), 1,
      sym_rel_operator,
    ACTIONS(15553), 1,
      sym_and_operator,
    ACTIONS(15555), 1,
      sym_or_operator,
    ACTIONS(15557), 1,
      sym_assign_operator,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11679), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [635714] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12490), 1,
      aux_sym_expression_item_repeat1,
    STATE(13241), 1,
      sym_attribute,
    STATE(13259), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14091), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635759] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12529), 1,
      aux_sym_expression_item_repeat1,
    STATE(13242), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14230), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [635804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12941), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [635839] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15541), 1,
      anon_sym_COMMA,
    ACTIONS(15543), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15545), 1,
      sym_pow_operator,
    ACTIONS(15547), 1,
      sym_mult_operator,
    ACTIONS(15549), 1,
      sym_concat_operator,
    ACTIONS(15551), 1,
      sym_rel_operator,
    ACTIONS(15553), 1,
      sym_and_operator,
    ACTIONS(15555), 1,
      sym_or_operator,
    ACTIONS(15557), 1,
      sym_assign_operator,
    ACTIONS(15632), 1,
      anon_sym_SEMI,
    STATE(2456), 1,
      sym_add_operator,
    STATE(13244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [635898] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15665), 1,
      anon_sym_PIPE,
    STATE(13245), 1,
      sym_attribute,
    STATE(13262), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15204), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15202), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [635937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12945), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [635972] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12588), 1,
      aux_sym_expression_item_repeat1,
    STATE(13247), 1,
      sym_attribute,
    STATE(13268), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636017] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12605), 1,
      aux_sym_expression_item_repeat1,
    STATE(13248), 1,
      sym_attribute,
    STATE(13270), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636062] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15277), 1,
      anon_sym_let,
    ACTIONS(15687), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12336), 1,
      aux_sym_expression_item_repeat1,
    STATE(13249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15275), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636105] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12619), 1,
      aux_sym_expression_item_repeat1,
    STATE(13250), 1,
      sym_attribute,
    STATE(13271), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14023), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636150] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15689), 1,
      anon_sym_LPAREN,
    ACTIONS(15691), 1,
      anon_sym_end,
    STATE(13251), 1,
      sym_attribute,
    STATE(13844), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636207] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12642), 1,
      aux_sym_expression_item_repeat1,
    STATE(12974), 1,
      aux_sym_type_binding_repeat1,
    STATE(13252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14077), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636252] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15693), 1,
      anon_sym_LPAREN,
    ACTIONS(15695), 1,
      anon_sym_end,
    STATE(13253), 1,
      sym_attribute,
    STATE(13707), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12949), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [636344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [636379] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15299), 1,
      anon_sym_let,
    ACTIONS(15697), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12342), 1,
      aux_sym_expression_item_repeat1,
    STATE(13256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15297), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636422] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12648), 1,
      aux_sym_expression_item_repeat1,
    STATE(13257), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14105), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636467] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15148), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12937), 1,
      aux_sym_expression_item_repeat1,
    STATE(13258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15699), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(15146), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636510] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12537), 1,
      aux_sym_expression_item_repeat1,
    STATE(13259), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14170), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636555] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15701), 1,
      anon_sym_LPAREN,
    ACTIONS(15703), 1,
      anon_sym_end,
    STATE(13260), 1,
      sym_attribute,
    STATE(13413), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636612] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15665), 1,
      anon_sym_PIPE,
    STATE(13261), 1,
      sym_attribute,
    STATE(13262), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15089), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15087), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636651] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15705), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14828), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(13262), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14826), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636688] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15708), 1,
      anon_sym_LPAREN,
    ACTIONS(15710), 1,
      anon_sym_end,
    STATE(13263), 1,
      sym_attribute,
    STATE(13438), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12953), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [636780] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12408), 1,
      aux_sym_expression_item_repeat1,
    STATE(12979), 1,
      aux_sym_type_binding_repeat1,
    STATE(13265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636825] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12461), 1,
      aux_sym_expression_item_repeat1,
    STATE(12981), 1,
      aux_sym_type_binding_repeat1,
    STATE(13266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636870] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12536), 1,
      aux_sym_expression_item_repeat1,
    STATE(12982), 1,
      aux_sym_type_binding_repeat1,
    STATE(13267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636915] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12554), 1,
      aux_sym_expression_item_repeat1,
    STATE(13268), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [636960] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15299), 1,
      anon_sym_let,
    ACTIONS(15712), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12342), 1,
      aux_sym_expression_item_repeat1,
    STATE(13269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15297), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637003] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12601), 1,
      aux_sym_expression_item_repeat1,
    STATE(13270), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637048] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13903), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12608), 1,
      aux_sym_expression_item_repeat1,
    STATE(13271), 1,
      sym_attribute,
    STATE(14059), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14226), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [637093] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14141), 1,
      anon_sym_EQ,
    ACTIONS(15714), 1,
      anon_sym_of,
    ACTIONS(15716), 1,
      anon_sym_COLON2,
    STATE(13272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14139), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14137), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637134] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15190), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12805), 1,
      aux_sym_expression_item_repeat1,
    STATE(13273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15718), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(15188), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637177] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15349), 1,
      anon_sym_PIPE,
    STATE(13164), 1,
      aux_sym__match_cases_repeat1,
    STATE(13274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [637216] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15722), 1,
      anon_sym_let,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(13102), 1,
      aux_sym_expression_item_repeat1,
    STATE(13275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15720), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [637257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13009), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [637292] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15724), 1,
      anon_sym_end,
    STATE(13277), 1,
      sym_attribute,
    STATE(13852), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637346] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15726), 1,
      anon_sym_end,
    STATE(13278), 1,
      sym_attribute,
    STATE(13280), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637400] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15728), 1,
      anon_sym_end,
    STATE(13279), 1,
      sym_attribute,
    STATE(13282), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637454] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15730), 1,
      anon_sym_end,
    STATE(13280), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637508] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15732), 1,
      anon_sym_RPAREN,
    ACTIONS(15734), 1,
      anon_sym_val,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13281), 1,
      sym_attribute,
    STATE(15557), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [637562] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15738), 1,
      anon_sym_end,
    STATE(13282), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637616] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15740), 1,
      anon_sym_end,
    STATE(13283), 1,
      sym_attribute,
    STATE(13284), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637670] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15742), 1,
      anon_sym_end,
    STATE(13284), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637724] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15744), 1,
      anon_sym_end,
    STATE(13285), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637778] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15746), 1,
      anon_sym_end,
    STATE(13286), 1,
      sym_attribute,
    STATE(13839), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637832] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(13287), 1,
      sym_attribute,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [637876] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(13288), 1,
      sym_attribute,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [637920] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13289), 1,
      sym_attribute,
    STATE(14329), 1,
      sym__attribute,
    STATE(15381), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [637974] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      anon_sym_and,
    ACTIONS(15754), 1,
      sym_let_and_operator,
    STATE(13290), 1,
      sym_attribute,
    STATE(13293), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15750), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15748), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [638014] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15377), 1,
      anon_sym_end,
    STATE(13291), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638068] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      anon_sym_and,
    ACTIONS(15754), 1,
      sym_let_and_operator,
    STATE(13292), 1,
      sym_attribute,
    STATE(13293), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15758), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [638108] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15760), 1,
      anon_sym_and,
    ACTIONS(15763), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15648), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(13293), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [638146] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      anon_sym_and,
    ACTIONS(15754), 1,
      sym_let_and_operator,
    STATE(13294), 1,
      sym_attribute,
    STATE(13299), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15758), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [638186] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15766), 1,
      anon_sym_end,
    STATE(13295), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638240] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15353), 1,
      anon_sym_end,
    STATE(13296), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638294] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(13297), 1,
      sym_attribute,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [638338] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15768), 1,
      anon_sym_end,
    STATE(13298), 1,
      sym_attribute,
    STATE(13301), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638392] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      anon_sym_and,
    ACTIONS(15754), 1,
      sym_let_and_operator,
    STATE(13293), 1,
      aux_sym_value_definition_repeat1,
    STATE(13299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15772), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15770), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [638432] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15774), 1,
      anon_sym_end,
    STATE(13300), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638486] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15776), 1,
      anon_sym_end,
    STATE(13301), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638540] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15778), 1,
      anon_sym_end,
    STATE(13302), 1,
      sym_attribute,
    STATE(13304), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638594] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15780), 1,
      anon_sym_end,
    STATE(13303), 1,
      sym_attribute,
    STATE(13305), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638648] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15782), 1,
      anon_sym_end,
    STATE(13304), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638702] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15784), 1,
      anon_sym_end,
    STATE(13305), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638756] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15786), 1,
      anon_sym_end,
    STATE(13306), 1,
      sym_attribute,
    STATE(13307), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638810] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15788), 1,
      anon_sym_end,
    STATE(13307), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638864] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15790), 1,
      anon_sym_end,
    STATE(13308), 1,
      sym_attribute,
    STATE(13496), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638918] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(13309), 1,
      sym_attribute,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13783), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [638962] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(13310), 1,
      sym_attribute,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13793), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [639006] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11714), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13677), 1,
      anon_sym_DASH_GT,
    STATE(13311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [639042] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15792), 1,
      anon_sym_end,
    STATE(13312), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639096] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14616), 1,
      sym__lowercase_identifier,
    ACTIONS(14618), 1,
      anon_sym_POUND,
    STATE(13011), 1,
      sym_type_constructor_path,
    STATE(13313), 1,
      sym_attribute,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13773), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [639140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15796), 1,
      anon_sym_let,
    STATE(13314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15794), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639174] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15392), 1,
      anon_sym_end,
    STATE(13315), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639228] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15798), 1,
      anon_sym_and,
    ACTIONS(15800), 1,
      sym_let_and_operator,
    STATE(13316), 1,
      sym_attribute,
    STATE(13318), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15750), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15748), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639268] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15798), 1,
      anon_sym_and,
    ACTIONS(15800), 1,
      sym_let_and_operator,
    STATE(13317), 1,
      sym_attribute,
    STATE(13318), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15758), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639308] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15802), 1,
      anon_sym_and,
    ACTIONS(15805), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15648), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(13318), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639346] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15798), 1,
      anon_sym_and,
    ACTIONS(15800), 1,
      sym_let_and_operator,
    STATE(13319), 1,
      sym_attribute,
    STATE(13320), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15758), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639386] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15798), 1,
      anon_sym_and,
    ACTIONS(15800), 1,
      sym_let_and_operator,
    STATE(13318), 1,
      aux_sym_value_definition_repeat1,
    STATE(13320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15772), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15770), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639426] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15808), 1,
      anon_sym_end,
    STATE(13321), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639480] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15810), 1,
      anon_sym_end,
    STATE(13322), 1,
      sym_attribute,
    STATE(13336), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639534] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_COMMA,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    ACTIONS(15820), 1,
      sym_concat_operator,
    ACTIONS(15822), 1,
      sym_rel_operator,
    ACTIONS(15824), 1,
      sym_and_operator,
    ACTIONS(15826), 1,
      sym_or_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [639588] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [639632] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15816), 1,
      sym_pow_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [639670] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15816), 1,
      sym_pow_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [639708] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    ACTIONS(15820), 1,
      sym_concat_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [639754] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    ACTIONS(15820), 1,
      sym_concat_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11551), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [639800] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    ACTIONS(15820), 1,
      sym_concat_operator,
    ACTIONS(15822), 1,
      sym_rel_operator,
    ACTIONS(15824), 1,
      sym_and_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [639850] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    ACTIONS(15820), 1,
      sym_concat_operator,
    ACTIONS(15822), 1,
      sym_rel_operator,
    ACTIONS(15824), 1,
      sym_and_operator,
    ACTIONS(15826), 1,
      sym_or_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [639902] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_COMMA,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    ACTIONS(15820), 1,
      sym_concat_operator,
    ACTIONS(15822), 1,
      sym_rel_operator,
    ACTIONS(15824), 1,
      sym_and_operator,
    ACTIONS(15826), 1,
      sym_or_operator,
    ACTIONS(15828), 1,
      sym_assign_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [639958] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [639998] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_COMMA,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    ACTIONS(15820), 1,
      sym_concat_operator,
    ACTIONS(15822), 1,
      sym_rel_operator,
    ACTIONS(15824), 1,
      sym_and_operator,
    ACTIONS(15826), 1,
      sym_or_operator,
    ACTIONS(15828), 1,
      sym_assign_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11669), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [640054] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_COLON2,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15830), 1,
      anon_sym_SEMI,
    ACTIONS(15832), 1,
      sym_rel_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [640112] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_COMMA,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    ACTIONS(15820), 1,
      sym_concat_operator,
    ACTIONS(15822), 1,
      sym_rel_operator,
    ACTIONS(15824), 1,
      sym_and_operator,
    ACTIONS(15826), 1,
      sym_or_operator,
    ACTIONS(15828), 1,
      sym_assign_operator,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11679), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [640168] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15834), 1,
      anon_sym_end,
    STATE(13336), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640222] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15836), 1,
      anon_sym_end,
    STATE(13337), 1,
      sym_attribute,
    STATE(13339), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640276] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15838), 1,
      anon_sym_end,
    STATE(13338), 1,
      sym_attribute,
    STATE(13340), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640330] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15840), 1,
      anon_sym_end,
    STATE(13339), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640384] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15842), 1,
      anon_sym_end,
    STATE(13340), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640438] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15844), 1,
      anon_sym_end,
    STATE(13341), 1,
      sym_attribute,
    STATE(13342), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15846), 1,
      anon_sym_end,
    STATE(13342), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640546] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15848), 1,
      anon_sym_end,
    STATE(13343), 1,
      sym_attribute,
    STATE(13347), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640600] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15798), 1,
      anon_sym_and,
    ACTIONS(15800), 1,
      sym_let_and_operator,
    STATE(13316), 1,
      aux_sym_value_definition_repeat1,
    STATE(13344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15852), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15850), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640640] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15798), 1,
      anon_sym_and,
    ACTIONS(15800), 1,
      sym_let_and_operator,
    STATE(13317), 1,
      aux_sym_value_definition_repeat1,
    STATE(13345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15750), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15748), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640680] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15658), 1,
      anon_sym_end,
    STATE(13346), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640734] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15854), 1,
      anon_sym_end,
    STATE(13347), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640788] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15856), 1,
      anon_sym_else,
    STATE(12566), 1,
      sym_else_clause,
    STATE(13348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [640826] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15858), 1,
      anon_sym_end,
    STATE(13349), 1,
      sym_attribute,
    STATE(13352), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640880] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15860), 1,
      anon_sym_end,
    STATE(13350), 1,
      sym_attribute,
    STATE(13355), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640934] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15529), 1,
      anon_sym_end,
    STATE(13351), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640988] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15862), 1,
      anon_sym_end,
    STATE(13352), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641042] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15864), 1,
      anon_sym_end,
    STATE(13353), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641096] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13354), 1,
      sym_attribute,
    STATE(14335), 1,
      sym__attribute,
    STATE(15460), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [641150] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15866), 1,
      anon_sym_end,
    STATE(13355), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641204] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15868), 1,
      anon_sym_end,
    STATE(13356), 1,
      sym_attribute,
    STATE(13357), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641258] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15870), 1,
      anon_sym_end,
    STATE(13357), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641312] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15872), 1,
      anon_sym_end,
    STATE(13358), 1,
      sym_attribute,
    STATE(13359), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641366] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15874), 1,
      anon_sym_end,
    STATE(13359), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641420] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15876), 1,
      anon_sym_end,
    STATE(13360), 1,
      sym_attribute,
    STATE(13362), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641474] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15878), 1,
      anon_sym_end,
    STATE(13361), 1,
      sym_attribute,
    STATE(13363), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641528] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15880), 1,
      anon_sym_end,
    STATE(13362), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641582] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15882), 1,
      anon_sym_end,
    STATE(13363), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641636] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15884), 1,
      anon_sym_end,
    STATE(13364), 1,
      sym_attribute,
    STATE(13365), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641690] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15886), 1,
      anon_sym_end,
    STATE(13365), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [641744] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(13366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10025), 9,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(10023), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [641778] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_and,
    ACTIONS(15888), 1,
      anon_sym_COMMA,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    ACTIONS(15898), 1,
      sym_rel_operator,
    ACTIONS(15900), 1,
      sym_and_operator,
    ACTIONS(15902), 1,
      sym_or_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 6,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [641832] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [641876] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15892), 1,
      sym_pow_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [641914] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15892), 1,
      sym_pow_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [641952] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [641998] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [642044] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    ACTIONS(15898), 1,
      sym_rel_operator,
    ACTIONS(15900), 1,
      sym_and_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [642094] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_and,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    ACTIONS(15898), 1,
      sym_rel_operator,
    ACTIONS(15900), 1,
      sym_and_operator,
    ACTIONS(15902), 1,
      sym_or_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [642146] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_and,
    ACTIONS(15888), 1,
      anon_sym_COMMA,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    ACTIONS(15898), 1,
      sym_rel_operator,
    ACTIONS(15900), 1,
      sym_and_operator,
    ACTIONS(15902), 1,
      sym_or_operator,
    ACTIONS(15904), 1,
      sym_assign_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [642202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [642242] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_and,
    ACTIONS(15888), 1,
      anon_sym_COMMA,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    ACTIONS(15898), 1,
      sym_rel_operator,
    ACTIONS(15900), 1,
      sym_and_operator,
    ACTIONS(15902), 1,
      sym_or_operator,
    ACTIONS(15904), 1,
      sym_assign_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [642298] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15906), 1,
      anon_sym_else,
    STATE(12699), 1,
      sym_else_clause,
    STATE(13378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [642336] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_and,
    ACTIONS(15888), 1,
      anon_sym_COMMA,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    ACTIONS(15898), 1,
      sym_rel_operator,
    ACTIONS(15900), 1,
      sym_and_operator,
    ACTIONS(15902), 1,
      sym_or_operator,
    ACTIONS(15904), 1,
      sym_assign_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [642392] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15908), 1,
      anon_sym_end,
    STATE(13380), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642446] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13381), 1,
      sym_attribute,
    STATE(14265), 1,
      sym__attribute,
    STATE(15554), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [642500] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14210), 1,
      anon_sym_EQ,
    ACTIONS(15910), 1,
      anon_sym_of,
    ACTIONS(15912), 1,
      anon_sym_COLON2,
    STATE(13382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14208), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14206), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642540] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14220), 1,
      anon_sym_EQ,
    ACTIONS(15914), 1,
      anon_sym_of,
    ACTIONS(15916), 1,
      anon_sym_COLON2,
    STATE(13383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14218), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14216), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642580] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15685), 1,
      anon_sym_end,
    STATE(13384), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642634] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14141), 1,
      anon_sym_EQ,
    ACTIONS(15918), 1,
      anon_sym_of,
    ACTIONS(15920), 1,
      anon_sym_COLON2,
    STATE(13385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14139), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14137), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642674] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15922), 1,
      anon_sym_end,
    STATE(13386), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642728] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15924), 1,
      anon_sym_end,
    STATE(13387), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642782] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15926), 1,
      anon_sym_end,
    STATE(13388), 1,
      sym_attribute,
    STATE(13419), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642836] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15444), 1,
      anon_sym_end,
    STATE(13389), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642890] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15928), 1,
      anon_sym_end,
    STATE(13390), 1,
      sym_attribute,
    STATE(13393), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [642944] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_and,
    ACTIONS(15888), 1,
      anon_sym_COMMA,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    ACTIONS(15898), 1,
      sym_rel_operator,
    ACTIONS(15900), 1,
      sym_and_operator,
    ACTIONS(15902), 1,
      sym_or_operator,
    ACTIONS(15904), 1,
      sym_assign_operator,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [643000] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15930), 1,
      anon_sym_end,
    STATE(13392), 1,
      sym_attribute,
    STATE(13431), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643054] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15932), 1,
      anon_sym_end,
    STATE(13393), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643108] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15934), 1,
      anon_sym_end,
    STATE(13394), 1,
      sym_attribute,
    STATE(13396), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643162] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15936), 1,
      anon_sym_end,
    STATE(13395), 1,
      sym_attribute,
    STATE(13397), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643216] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15938), 1,
      anon_sym_end,
    STATE(13396), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643270] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15940), 1,
      anon_sym_end,
    STATE(13397), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643324] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15942), 1,
      anon_sym_end,
    STATE(13398), 1,
      sym_attribute,
    STATE(13399), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643378] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15944), 1,
      anon_sym_end,
    STATE(13399), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643432] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15541), 1,
      anon_sym_COMMA,
    STATE(13400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 10,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643468] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [643504] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15946), 1,
      anon_sym_end,
    STATE(13402), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643558] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643594] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15906), 1,
      anon_sym_else,
    STATE(12566), 1,
      sym_else_clause,
    STATE(13404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643632] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13405), 1,
      sym_attribute,
    STATE(14406), 1,
      sym__attribute,
    STATE(15458), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643686] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15703), 1,
      anon_sym_end,
    STATE(13406), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [643740] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    ACTIONS(15948), 1,
      anon_sym_RPAREN,
    ACTIONS(15950), 1,
      anon_sym_val,
    STATE(10562), 1,
      sym_module_path,
    STATE(13407), 1,
      sym_attribute,
    STATE(15433), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643794] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15952), 1,
      anon_sym_PIPE,
    STATE(13408), 1,
      sym_attribute,
    STATE(13410), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643832] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15952), 1,
      anon_sym_PIPE,
    STATE(13409), 1,
      sym_attribute,
    STATE(13411), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643870] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15952), 1,
      anon_sym_PIPE,
    STATE(13410), 1,
      sym_attribute,
    STATE(13412), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643908] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15952), 1,
      anon_sym_PIPE,
    STATE(13411), 1,
      sym_attribute,
    STATE(13412), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643946] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15954), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13412), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [643982] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15957), 1,
      anon_sym_end,
    STATE(13413), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644036] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15959), 1,
      anon_sym_end,
    STATE(13414), 1,
      sym_attribute,
    STATE(13426), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644090] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15961), 1,
      anon_sym_end,
    STATE(13415), 1,
      sym_attribute,
    STATE(13447), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644144] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15963), 1,
      anon_sym_end,
    STATE(13416), 1,
      sym_attribute,
    STATE(13417), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644198] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15965), 1,
      anon_sym_end,
    STATE(13417), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644252] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15967), 1,
      anon_sym_end,
    STATE(13418), 1,
      sym_attribute,
    STATE(13421), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644306] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15969), 1,
      anon_sym_end,
    STATE(13419), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644360] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15971), 1,
      anon_sym_end,
    STATE(13420), 1,
      sym_attribute,
    STATE(13422), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644414] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15973), 1,
      anon_sym_end,
    STATE(13421), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644468] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15975), 1,
      anon_sym_end,
    STATE(13422), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644522] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15977), 1,
      anon_sym_end,
    STATE(13423), 1,
      sym_attribute,
    STATE(13424), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644576] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15979), 1,
      anon_sym_end,
    STATE(13424), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644630] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13425), 1,
      sym_attribute,
    STATE(14490), 1,
      sym__attribute,
    STATE(15401), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [644684] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15981), 1,
      anon_sym_end,
    STATE(13426), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644738] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15983), 1,
      anon_sym_end,
    STATE(13427), 1,
      sym_attribute,
    STATE(13430), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644792] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15985), 1,
      anon_sym_end,
    STATE(13428), 1,
      sym_attribute,
    STATE(13432), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644846] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15987), 1,
      anon_sym_end,
    STATE(13429), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644900] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15989), 1,
      anon_sym_end,
    STATE(13430), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [644954] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15991), 1,
      anon_sym_end,
    STATE(13431), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645008] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15993), 1,
      anon_sym_end,
    STATE(13432), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645062] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15995), 1,
      anon_sym_end,
    STATE(13433), 1,
      sym_attribute,
    STATE(13434), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645116] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15997), 1,
      anon_sym_end,
    STATE(13434), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645170] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15999), 1,
      anon_sym_end,
    STATE(13435), 1,
      sym_attribute,
    STATE(13471), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645224] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15710), 1,
      anon_sym_end,
    STATE(13436), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645278] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16001), 1,
      anon_sym_end,
    STATE(13300), 1,
      aux_sym_object_expression_repeat1,
    STATE(13437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645332] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16003), 1,
      anon_sym_end,
    STATE(13438), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645386] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16005), 1,
      anon_sym_end,
    STATE(13439), 1,
      sym_attribute,
    STATE(13440), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645440] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16007), 1,
      anon_sym_end,
    STATE(13440), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645494] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16009), 1,
      anon_sym_end,
    STATE(13441), 1,
      sym_attribute,
    STATE(13443), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645548] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16011), 1,
      anon_sym_end,
    STATE(13442), 1,
      sym_attribute,
    STATE(13444), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645602] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16013), 1,
      anon_sym_end,
    STATE(13443), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645656] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16015), 1,
      anon_sym_end,
    STATE(13444), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645710] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16017), 1,
      anon_sym_end,
    STATE(13445), 1,
      sym_attribute,
    STATE(13446), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645764] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16019), 1,
      anon_sym_end,
    STATE(13446), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645818] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16021), 1,
      anon_sym_end,
    STATE(13447), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645872] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13448), 1,
      sym_attribute,
    STATE(14463), 1,
      sym__attribute,
    STATE(15444), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [645926] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16023), 1,
      anon_sym_end,
    STATE(13449), 1,
      sym_attribute,
    STATE(13451), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [645980] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16025), 1,
      anon_sym_end,
    STATE(13450), 1,
      sym_attribute,
    STATE(13457), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646034] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16027), 1,
      anon_sym_end,
    STATE(13451), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646088] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(13452), 1,
      sym_attribute,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12979), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12981), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [646132] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15565), 1,
      anon_sym_end,
    STATE(13453), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646186] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(13454), 1,
      sym_attribute,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12983), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12985), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [646230] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15262), 1,
      anon_sym_end,
    STATE(13455), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646284] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16029), 1,
      anon_sym_end,
    STATE(13456), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646338] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16031), 1,
      anon_sym_end,
    STATE(13457), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646392] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16033), 1,
      anon_sym_end,
    STATE(13458), 1,
      sym_attribute,
    STATE(13463), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646446] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16035), 1,
      anon_sym_end,
    STATE(13459), 1,
      sym_attribute,
    STATE(13461), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646500] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13460), 1,
      sym_attribute,
    STATE(14258), 1,
      sym__attribute,
    STATE(15347), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [646554] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16037), 1,
      anon_sym_end,
    STATE(13461), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646608] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16039), 1,
      anon_sym_end,
    STATE(13462), 1,
      sym_attribute,
    STATE(13465), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646662] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16041), 1,
      anon_sym_end,
    STATE(13463), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646716] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16043), 1,
      anon_sym_end,
    STATE(13464), 1,
      sym_attribute,
    STATE(13466), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646770] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16045), 1,
      anon_sym_end,
    STATE(13465), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646824] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16047), 1,
      anon_sym_end,
    STATE(13466), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646878] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16049), 1,
      anon_sym_end,
    STATE(13467), 1,
      sym_attribute,
    STATE(13468), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646932] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16051), 1,
      anon_sym_end,
    STATE(13468), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [646986] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16053), 1,
      anon_sym_end,
    STATE(13469), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647040] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(13470), 1,
      sym_attribute,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12839), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12841), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [647084] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16055), 1,
      anon_sym_end,
    STATE(13471), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647138] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16057), 1,
      anon_sym_end,
    STATE(13472), 1,
      sym_attribute,
    STATE(13480), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647192] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13932), 1,
      anon_sym_STAR,
    ACTIONS(14475), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13473), 1,
      sym_attribute,
    STATE(13474), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14473), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647230] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13460), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16059), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13474), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647266] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15325), 1,
      anon_sym_end,
    STATE(13475), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647320] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(13476), 1,
      sym_attribute,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13781), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13783), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [647364] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13477), 1,
      sym_attribute,
    STATE(14330), 1,
      sym__attribute,
    STATE(15411), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647418] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(13478), 1,
      sym_attribute,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13791), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13793), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [647462] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16062), 1,
      anon_sym_end,
    STATE(13479), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647516] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16064), 1,
      anon_sym_end,
    STATE(13480), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647570] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16066), 1,
      anon_sym_end,
    STATE(13481), 1,
      sym_attribute,
    STATE(13492), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647624] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(14288), 1,
      sym__lowercase_identifier,
    ACTIONS(14290), 1,
      anon_sym_POUND,
    STATE(13236), 1,
      sym_type_constructor_path,
    STATE(13482), 1,
      sym_attribute,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13771), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13773), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [647668] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16068), 1,
      anon_sym_end,
    STATE(13483), 1,
      sym_attribute,
    STATE(13485), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647722] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16070), 1,
      anon_sym_end,
    STATE(13484), 1,
      sym_attribute,
    STATE(13497), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647776] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16072), 1,
      anon_sym_end,
    STATE(13485), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647830] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16074), 1,
      anon_sym_end,
    STATE(13486), 1,
      sym_attribute,
    STATE(13488), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647884] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16076), 1,
      anon_sym_end,
    STATE(13487), 1,
      sym_attribute,
    STATE(13489), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647938] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16078), 1,
      anon_sym_end,
    STATE(13488), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [647992] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16080), 1,
      anon_sym_end,
    STATE(13489), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648046] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16082), 1,
      anon_sym_end,
    STATE(13490), 1,
      sym_attribute,
    STATE(13491), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648100] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16084), 1,
      anon_sym_end,
    STATE(13491), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648154] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16086), 1,
      anon_sym_end,
    STATE(13492), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648208] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13493), 1,
      sym_attribute,
    STATE(14499), 1,
      sym__attribute,
    STATE(15329), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648262] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14208), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14210), 1,
      anon_sym_EQ,
    ACTIONS(16088), 1,
      anon_sym_of,
    ACTIONS(16090), 1,
      anon_sym_COLON2,
    STATE(13494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14206), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648302] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14218), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14220), 1,
      anon_sym_EQ,
    ACTIONS(16092), 1,
      anon_sym_of,
    ACTIONS(16094), 1,
      anon_sym_COLON2,
    STATE(13495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14216), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648342] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16096), 1,
      anon_sym_end,
    STATE(13496), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648396] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16098), 1,
      anon_sym_end,
    STATE(13497), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648450] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16100), 1,
      anon_sym_end,
    STATE(13498), 1,
      sym_attribute,
    STATE(13500), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648504] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14139), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_EQ,
    ACTIONS(16102), 1,
      anon_sym_of,
    ACTIONS(16104), 1,
      anon_sym_COLON2,
    STATE(13499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14137), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648544] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16106), 1,
      anon_sym_end,
    STATE(13500), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648598] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_COMMA,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    ACTIONS(15820), 1,
      sym_concat_operator,
    ACTIONS(15822), 1,
      sym_rel_operator,
    ACTIONS(15824), 1,
      sym_and_operator,
    ACTIONS(15826), 1,
      sym_or_operator,
    ACTIONS(15828), 1,
      sym_assign_operator,
    ACTIONS(16108), 1,
      anon_sym_SEMI,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11629), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [648656] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [648692] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15255), 1,
      anon_sym_end,
    STATE(13503), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648746] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16110), 1,
      anon_sym_end,
    STATE(13504), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648800] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13907), 1,
      anon_sym_STAR,
    ACTIONS(14475), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13505), 1,
      sym_attribute,
    STATE(13506), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14473), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648838] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13460), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16112), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13506), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [648874] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13507), 1,
      sym_attribute,
    STATE(14220), 1,
      sym__attribute,
    STATE(15507), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648928] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16115), 1,
      anon_sym_end,
    STATE(13508), 1,
      sym_attribute,
    STATE(13509), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [648982] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16117), 1,
      anon_sym_end,
    STATE(13509), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649036] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16119), 1,
      anon_sym_end,
    STATE(13510), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649090] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16121), 1,
      anon_sym_end,
    STATE(13511), 1,
      sym_attribute,
    STATE(13513), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649144] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16123), 1,
      anon_sym_end,
    STATE(13512), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649198] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16125), 1,
      anon_sym_end,
    STATE(13513), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649252] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16127), 1,
      anon_sym_end,
    STATE(13514), 1,
      sym_attribute,
    STATE(13515), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649306] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16129), 1,
      anon_sym_end,
    STATE(13515), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649360] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15291), 1,
      anon_sym_end,
    STATE(13516), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649414] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13517), 1,
      sym_attribute,
    STATE(14270), 1,
      sym__attribute,
    STATE(15519), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649468] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14208), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14210), 1,
      anon_sym_EQ,
    ACTIONS(16131), 1,
      anon_sym_of,
    ACTIONS(16133), 1,
      anon_sym_COLON2,
    STATE(13518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14206), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649508] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14218), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14220), 1,
      anon_sym_EQ,
    ACTIONS(16135), 1,
      anon_sym_of,
    ACTIONS(16137), 1,
      anon_sym_COLON2,
    STATE(13519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14216), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649548] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14139), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14141), 1,
      anon_sym_EQ,
    ACTIONS(16139), 1,
      anon_sym_of,
    ACTIONS(16141), 1,
      anon_sym_COLON2,
    STATE(13520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14137), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [649588] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15321), 1,
      anon_sym_end,
    STATE(13521), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649642] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16143), 1,
      anon_sym_end,
    STATE(13522), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649696] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16145), 1,
      anon_sym_end,
    STATE(13523), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649750] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16147), 1,
      anon_sym_end,
    STATE(13524), 1,
      sym_attribute,
    STATE(13525), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649804] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16149), 1,
      anon_sym_end,
    STATE(13525), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649858] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16151), 1,
      anon_sym_end,
    STATE(13526), 1,
      sym_attribute,
    STATE(13528), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649912] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16153), 1,
      anon_sym_end,
    STATE(13527), 1,
      sym_attribute,
    STATE(13529), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [649966] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16155), 1,
      anon_sym_end,
    STATE(13528), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650020] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16157), 1,
      anon_sym_end,
    STATE(13529), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650074] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16159), 1,
      anon_sym_end,
    STATE(13530), 1,
      sym_attribute,
    STATE(13531), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650128] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16161), 1,
      anon_sym_end,
    STATE(13531), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650182] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13532), 1,
      sym_attribute,
    STATE(14311), 1,
      sym__attribute,
    STATE(15369), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650236] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16163), 1,
      anon_sym_end,
    STATE(13533), 1,
      sym_attribute,
    STATE(13540), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650290] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_COMMA,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    ACTIONS(15820), 1,
      sym_concat_operator,
    ACTIONS(15822), 1,
      sym_rel_operator,
    ACTIONS(15824), 1,
      sym_and_operator,
    ACTIONS(15826), 1,
      sym_or_operator,
    ACTIONS(15828), 1,
      sym_assign_operator,
    ACTIONS(16108), 1,
      anon_sym_SEMI,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10304), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10302), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [650348] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15335), 1,
      anon_sym_end,
    STATE(13535), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650402] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_COMMA,
    ACTIONS(15814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15816), 1,
      sym_pow_operator,
    ACTIONS(15818), 1,
      sym_mult_operator,
    ACTIONS(15820), 1,
      sym_concat_operator,
    ACTIONS(15822), 1,
      sym_rel_operator,
    ACTIONS(15824), 1,
      sym_and_operator,
    ACTIONS(15826), 1,
      sym_or_operator,
    ACTIONS(15828), 1,
      sym_assign_operator,
    ACTIONS(16108), 1,
      anon_sym_SEMI,
    STATE(2424), 1,
      sym_add_operator,
    STATE(13536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10292), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [650460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16167), 1,
      anon_sym_let,
    STATE(13537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16165), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [650494] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13538), 1,
      sym_attribute,
    STATE(14328), 1,
      sym__attribute,
    STATE(15463), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650548] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16169), 1,
      anon_sym_end,
    STATE(13539), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650602] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16171), 1,
      anon_sym_end,
    STATE(13540), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650656] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16173), 1,
      anon_sym_end,
    STATE(13541), 1,
      sym_attribute,
    STATE(13553), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650710] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16175), 1,
      anon_sym_end,
    STATE(13542), 1,
      sym_attribute,
    STATE(13543), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650764] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16177), 1,
      anon_sym_end,
    STATE(13543), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650818] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16179), 1,
      anon_sym_end,
    STATE(13544), 1,
      sym_attribute,
    STATE(13546), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650872] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16181), 1,
      anon_sym_end,
    STATE(13545), 1,
      sym_attribute,
    STATE(13547), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650926] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16183), 1,
      anon_sym_end,
    STATE(13546), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [650980] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16185), 1,
      anon_sym_end,
    STATE(13547), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651034] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16187), 1,
      anon_sym_end,
    STATE(13548), 1,
      sym_attribute,
    STATE(13549), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651088] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16189), 1,
      anon_sym_end,
    STATE(13549), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651142] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13550), 1,
      sym_attribute,
    STATE(14346), 1,
      sym__attribute,
    STATE(15540), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651196] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16191), 1,
      anon_sym_end,
    STATE(13551), 1,
      sym_attribute,
    STATE(13554), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651250] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15462), 1,
      anon_sym_end,
    STATE(13552), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651304] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16193), 1,
      anon_sym_end,
    STATE(13553), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651358] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16195), 1,
      anon_sym_end,
    STATE(13554), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651412] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16197), 1,
      anon_sym_end,
    STATE(13555), 1,
      sym_attribute,
    STATE(13556), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651466] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16199), 1,
      anon_sym_end,
    STATE(13556), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651520] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_and,
    ACTIONS(15888), 1,
      anon_sym_COMMA,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    ACTIONS(15898), 1,
      sym_rel_operator,
    ACTIONS(15900), 1,
      sym_and_operator,
    ACTIONS(15902), 1,
      sym_or_operator,
    ACTIONS(15904), 1,
      sym_assign_operator,
    ACTIONS(16201), 1,
      anon_sym_SEMI,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [651578] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13558), 1,
      sym_attribute,
    STATE(14367), 1,
      sym__attribute,
    STATE(15362), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651632] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15295), 1,
      anon_sym_end,
    STATE(13559), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651686] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16203), 1,
      anon_sym_end,
    STATE(13560), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651740] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16205), 1,
      anon_sym_end,
    STATE(13561), 1,
      sym_attribute,
    STATE(13563), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651794] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16207), 1,
      anon_sym_and,
    ACTIONS(16209), 1,
      sym_let_and_operator,
    STATE(13562), 1,
      sym_attribute,
    STATE(13780), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15772), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15770), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [651834] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16211), 1,
      anon_sym_end,
    STATE(13563), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651888] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16213), 1,
      anon_sym_end,
    STATE(13564), 1,
      sym_attribute,
    STATE(13566), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651942] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16215), 1,
      anon_sym_end,
    STATE(13565), 1,
      sym_attribute,
    STATE(13567), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [651996] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16217), 1,
      anon_sym_end,
    STATE(13566), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652050] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16219), 1,
      anon_sym_end,
    STATE(13567), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652104] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16221), 1,
      anon_sym_end,
    STATE(13568), 1,
      sym_attribute,
    STATE(13570), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652158] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13569), 1,
      sym_attribute,
    STATE(14394), 1,
      sym__attribute,
    STATE(15380), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652212] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16223), 1,
      anon_sym_end,
    STATE(13570), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9414), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9412), 17,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
  [652300] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15626), 1,
      anon_sym_end,
    STATE(13572), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652354] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15425), 1,
      anon_sym_end,
    STATE(13573), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652408] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11714), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13683), 1,
      anon_sym_DASH_GT,
    STATE(13574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652444] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13575), 1,
      sym_attribute,
    STATE(14402), 1,
      sym__attribute,
    STATE(15424), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652498] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16225), 1,
      anon_sym_end,
    STATE(13576), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652552] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16227), 1,
      anon_sym_end,
    STATE(13577), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652606] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16229), 1,
      anon_sym_end,
    STATE(13578), 1,
      sym_attribute,
    STATE(13579), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652660] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16231), 1,
      anon_sym_end,
    STATE(13579), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652714] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16233), 1,
      anon_sym_end,
    STATE(13580), 1,
      sym_attribute,
    STATE(13582), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652768] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16235), 1,
      anon_sym_end,
    STATE(13581), 1,
      sym_attribute,
    STATE(13583), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652822] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16237), 1,
      anon_sym_end,
    STATE(13582), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652876] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16239), 1,
      anon_sym_end,
    STATE(13583), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652930] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16241), 1,
      anon_sym_end,
    STATE(13584), 1,
      sym_attribute,
    STATE(13585), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [652984] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16243), 1,
      anon_sym_end,
    STATE(13585), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653038] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16245), 1,
      anon_sym_end,
    STATE(13586), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653092] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13587), 1,
      sym_attribute,
    STATE(14416), 1,
      sym__attribute,
    STATE(15372), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653146] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15347), 1,
      anon_sym_end,
    STATE(13588), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653200] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13589), 1,
      sym_attribute,
    STATE(14425), 1,
      sym__attribute,
    STATE(15459), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653254] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16247), 1,
      anon_sym_end,
    STATE(13590), 1,
      sym_attribute,
    STATE(13604), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653308] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16249), 1,
      anon_sym_end,
    STATE(13591), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653362] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16251), 1,
      anon_sym_end,
    STATE(13592), 1,
      sym_attribute,
    STATE(13593), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653416] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16253), 1,
      anon_sym_end,
    STATE(13593), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653470] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16255), 1,
      anon_sym_end,
    STATE(13594), 1,
      sym_attribute,
    STATE(13596), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16257), 1,
      anon_sym_end,
    STATE(13595), 1,
      sym_attribute,
    STATE(13597), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653578] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16259), 1,
      anon_sym_end,
    STATE(13596), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653632] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16261), 1,
      anon_sym_end,
    STATE(13597), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653686] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16263), 1,
      anon_sym_end,
    STATE(13598), 1,
      sym_attribute,
    STATE(13600), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653740] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13599), 1,
      sym_attribute,
    STATE(14448), 1,
      sym__attribute,
    STATE(15340), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653794] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16265), 1,
      anon_sym_end,
    STATE(13600), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653848] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16267), 1,
      anon_sym_end,
    STATE(13601), 1,
      sym_attribute,
    STATE(13639), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653902] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15466), 1,
      anon_sym_end,
    STATE(13602), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [653956] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13603), 1,
      sym_attribute,
    STATE(14456), 1,
      sym__attribute,
    STATE(15407), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654010] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16269), 1,
      anon_sym_end,
    STATE(13604), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654064] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16271), 1,
      anon_sym_end,
    STATE(13605), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654118] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16273), 1,
      anon_sym_end,
    STATE(13606), 1,
      sym_attribute,
    STATE(13608), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654172] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16275), 1,
      anon_sym_end,
    STATE(13607), 1,
      sym_attribute,
    STATE(13612), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654226] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16277), 1,
      anon_sym_end,
    STATE(13608), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654280] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13609), 1,
      sym_attribute,
    STATE(14477), 1,
      sym__attribute,
    STATE(15468), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654334] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16279), 1,
      anon_sym_end,
    STATE(13610), 1,
      sym_attribute,
    STATE(13614), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654388] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13921), 1,
      anon_sym_STAR,
    STATE(13611), 1,
      sym_attribute,
    STATE(13973), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14475), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14473), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [654426] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16281), 1,
      anon_sym_end,
    STATE(13612), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654480] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16283), 1,
      anon_sym_end,
    STATE(13613), 1,
      sym_attribute,
    STATE(13623), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654534] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16285), 1,
      anon_sym_end,
    STATE(13614), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654588] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16287), 1,
      anon_sym_end,
    STATE(13615), 1,
      sym_attribute,
    STATE(13617), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654642] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16289), 1,
      anon_sym_end,
    STATE(13616), 1,
      sym_attribute,
    STATE(13618), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654696] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16291), 1,
      anon_sym_end,
    STATE(13617), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654750] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16293), 1,
      anon_sym_end,
    STATE(13618), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654804] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16295), 1,
      anon_sym_end,
    STATE(13619), 1,
      sym_attribute,
    STATE(13621), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654858] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13620), 1,
      sym_attribute,
    STATE(14492), 1,
      sym__attribute,
    STATE(15538), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654912] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16297), 1,
      anon_sym_end,
    STATE(13621), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [654966] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15429), 1,
      anon_sym_end,
    STATE(13622), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655020] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16299), 1,
      anon_sym_end,
    STATE(13623), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655074] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13624), 1,
      sym_attribute,
    STATE(14496), 1,
      sym__attribute,
    STATE(15445), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655128] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15630), 1,
      anon_sym_end,
    STATE(13625), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655182] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13626), 1,
      sym_attribute,
    STATE(14351), 1,
      sym__attribute,
    STATE(15567), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655236] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16301), 1,
      anon_sym_end,
    STATE(13627), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655290] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13628), 1,
      sym_attribute,
    STATE(14467), 1,
      sym__attribute,
    STATE(15399), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655344] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16303), 1,
      anon_sym_end,
    STATE(13629), 1,
      sym_attribute,
    STATE(13631), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655398] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13630), 1,
      sym_attribute,
    STATE(14217), 1,
      sym__attribute,
    STATE(15491), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655452] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16305), 1,
      anon_sym_end,
    STATE(13631), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655506] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16307), 1,
      anon_sym_end,
    STATE(13632), 1,
      sym_attribute,
    STATE(13634), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655560] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16309), 1,
      anon_sym_end,
    STATE(13633), 1,
      sym_attribute,
    STATE(13635), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655614] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16311), 1,
      anon_sym_end,
    STATE(13634), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655668] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16313), 1,
      anon_sym_end,
    STATE(13635), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655722] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16315), 1,
      anon_sym_end,
    STATE(13636), 1,
      sym_attribute,
    STATE(13637), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655776] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16317), 1,
      anon_sym_end,
    STATE(13637), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655830] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15856), 1,
      anon_sym_else,
    STATE(12699), 1,
      sym_else_clause,
    STATE(13638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [655868] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16319), 1,
      anon_sym_end,
    STATE(13639), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655922] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16321), 1,
      anon_sym_end,
    STATE(13640), 1,
      sym_attribute,
    STATE(13651), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [655976] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13641), 1,
      sym_attribute,
    STATE(14282), 1,
      sym__attribute,
    STATE(15565), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656030] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(13642), 1,
      sym_attribute,
    STATE(14256), 1,
      sym__attribute,
    STATE(15307), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656084] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(10562), 1,
      sym_module_path,
    STATE(10750), 1,
      sym__module_expression,
    STATE(13643), 1,
      sym_attribute,
    STATE(14289), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656138] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16323), 1,
      anon_sym_end,
    STATE(13644), 1,
      sym_attribute,
    STATE(13653), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656192] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15492), 1,
      anon_sym_end,
    STATE(13645), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656246] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13646), 1,
      sym_attribute,
    STATE(14194), 1,
      sym__attribute,
    STATE(15346), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16327), 1,
      anon_sym_let,
    STATE(13647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16325), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [656334] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13648), 1,
      sym_attribute,
    STATE(14254), 1,
      sym__attribute,
    STATE(15393), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656388] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16329), 1,
      anon_sym_end,
    STATE(13285), 1,
      aux_sym_object_expression_repeat1,
    STATE(13649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656442] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16331), 1,
      anon_sym_end,
    STATE(13650), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656496] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16333), 1,
      anon_sym_end,
    STATE(13651), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656550] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13652), 1,
      sym_attribute,
    STATE(14321), 1,
      sym__attribute,
    STATE(15453), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656604] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16335), 1,
      anon_sym_end,
    STATE(13653), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656658] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16337), 1,
      anon_sym_end,
    STATE(13654), 1,
      sym_attribute,
    STATE(13665), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656712] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16339), 1,
      anon_sym_end,
    STATE(13655), 1,
      sym_attribute,
    STATE(13656), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656766] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16341), 1,
      anon_sym_end,
    STATE(13656), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656820] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13657), 1,
      sym_attribute,
    STATE(14454), 1,
      sym__attribute,
    STATE(15518), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656874] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16343), 1,
      anon_sym_end,
    STATE(13658), 1,
      sym_attribute,
    STATE(13660), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656928] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16345), 1,
      anon_sym_end,
    STATE(13659), 1,
      sym_attribute,
    STATE(13661), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [656982] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16347), 1,
      anon_sym_end,
    STATE(13660), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657036] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16349), 1,
      anon_sym_end,
    STATE(13661), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657090] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16351), 1,
      anon_sym_end,
    STATE(13662), 1,
      sym_attribute,
    STATE(13664), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657144] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13663), 1,
      sym_attribute,
    STATE(14188), 1,
      sym__attribute,
    STATE(15547), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657198] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16353), 1,
      anon_sym_end,
    STATE(13664), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657252] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16355), 1,
      anon_sym_end,
    STATE(13665), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657306] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_COLON2,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15830), 1,
      anon_sym_SEMI,
    ACTIONS(15832), 1,
      sym_rel_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [657364] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15596), 1,
      anon_sym_end,
    STATE(13667), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657418] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15519), 1,
      anon_sym_end,
    STATE(13668), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657472] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16357), 1,
      anon_sym_end,
    STATE(13669), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657526] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13670), 1,
      sym_attribute,
    STATE(14207), 1,
      sym__attribute,
    STATE(15312), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657580] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15525), 1,
      anon_sym_end,
    STATE(13671), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657634] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13672), 1,
      sym_attribute,
    STATE(14212), 1,
      sym__attribute,
    STATE(15327), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657688] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16359), 1,
      anon_sym_end,
    STATE(13673), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657742] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13674), 1,
      sym_attribute,
    STATE(14227), 1,
      sym__attribute,
    STATE(15344), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [657796] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12683), 1,
      anon_sym_COLON2,
    STATE(13675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [657832] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16361), 1,
      anon_sym_end,
    STATE(13676), 1,
      sym_attribute,
    STATE(13678), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657886] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16363), 1,
      anon_sym_end,
    STATE(13677), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657940] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16365), 1,
      anon_sym_end,
    STATE(13678), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [657994] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16367), 1,
      anon_sym_end,
    STATE(13679), 1,
      sym_attribute,
    STATE(13681), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658048] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16369), 1,
      anon_sym_end,
    STATE(13680), 1,
      sym_attribute,
    STATE(13682), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658102] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16371), 1,
      anon_sym_end,
    STATE(13681), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658156] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16373), 1,
      anon_sym_end,
    STATE(13682), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658210] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16375), 1,
      anon_sym_end,
    STATE(13683), 1,
      sym_attribute,
    STATE(13684), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658264] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16377), 1,
      anon_sym_end,
    STATE(13684), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658318] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13685), 1,
      sym_attribute,
    STATE(14269), 1,
      sym__attribute,
    STATE(15368), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658372] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13686), 1,
      sym_attribute,
    STATE(14283), 1,
      sym__attribute,
    STATE(15385), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658426] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15610), 1,
      anon_sym_end,
    STATE(13687), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658480] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16379), 1,
      anon_sym_end,
    STATE(13688), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658534] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16381), 1,
      anon_sym_end,
    STATE(13689), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658588] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13690), 1,
      sym_attribute,
    STATE(14295), 1,
      sym__attribute,
    STATE(15400), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658642] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16383), 1,
      anon_sym_end,
    STATE(13691), 1,
      sym_attribute,
    STATE(13703), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658696] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16385), 1,
      anon_sym_end,
    STATE(13692), 1,
      sym_attribute,
    STATE(13693), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658750] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16387), 1,
      anon_sym_end,
    STATE(13693), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658804] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16389), 1,
      anon_sym_end,
    STATE(13694), 1,
      sym_attribute,
    STATE(13697), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658858] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13695), 1,
      sym_attribute,
    STATE(14308), 1,
      sym__attribute,
    STATE(15416), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658912] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16391), 1,
      anon_sym_end,
    STATE(13696), 1,
      sym_attribute,
    STATE(13698), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [658966] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16393), 1,
      anon_sym_end,
    STATE(13697), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659020] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16395), 1,
      anon_sym_end,
    STATE(13698), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659074] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16397), 1,
      anon_sym_end,
    STATE(13699), 1,
      sym_attribute,
    STATE(13700), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659128] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16399), 1,
      anon_sym_end,
    STATE(13700), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659182] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13701), 1,
      sym_attribute,
    STATE(14317), 1,
      sym__attribute,
    STATE(15434), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659236] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16207), 1,
      anon_sym_and,
    ACTIONS(16209), 1,
      sym_let_and_operator,
    STATE(13702), 1,
      sym_attribute,
    STATE(13853), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15852), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15850), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [659276] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16401), 1,
      anon_sym_end,
    STATE(13703), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659330] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15695), 1,
      anon_sym_end,
    STATE(13704), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659384] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13705), 1,
      sym_attribute,
    STATE(14322), 1,
      sym__attribute,
    STATE(15448), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659438] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16403), 1,
      anon_sym_end,
    STATE(13706), 1,
      sym_attribute,
    STATE(13711), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659492] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16405), 1,
      anon_sym_end,
    STATE(13707), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659546] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13708), 1,
      sym_attribute,
    STATE(14333), 1,
      sym__attribute,
    STATE(15462), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659600] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16407), 1,
      anon_sym_end,
    STATE(13709), 1,
      sym_attribute,
    STATE(13720), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659654] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16409), 1,
      anon_sym_end,
    STATE(13710), 1,
      sym_attribute,
    STATE(13712), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659708] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16411), 1,
      anon_sym_end,
    STATE(13711), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659762] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16413), 1,
      anon_sym_end,
    STATE(13712), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659816] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16415), 1,
      anon_sym_end,
    STATE(13713), 1,
      sym_attribute,
    STATE(13715), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659870] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16417), 1,
      anon_sym_end,
    STATE(13714), 1,
      sym_attribute,
    STATE(13717), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659924] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16419), 1,
      anon_sym_end,
    STATE(13715), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [659978] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13716), 1,
      sym_attribute,
    STATE(14368), 1,
      sym__attribute,
    STATE(15474), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660032] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16421), 1,
      anon_sym_end,
    STATE(13717), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660086] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16423), 1,
      anon_sym_end,
    STATE(13718), 1,
      sym_attribute,
    STATE(13719), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660140] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16425), 1,
      anon_sym_end,
    STATE(13719), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660194] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16427), 1,
      anon_sym_end,
    STATE(13720), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660248] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16429), 1,
      anon_sym_end,
    STATE(13721), 1,
      sym_attribute,
    STATE(13722), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660302] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16431), 1,
      anon_sym_end,
    STATE(13722), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660356] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13723), 1,
      sym_attribute,
    STATE(14392), 1,
      sym__attribute,
    STATE(15492), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660410] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15283), 1,
      anon_sym_end,
    STATE(13724), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660464] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13725), 1,
      sym_attribute,
    STATE(14413), 1,
      sym__attribute,
    STATE(15513), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660518] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16433), 1,
      anon_sym_end,
    STATE(13726), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660572] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16435), 1,
      anon_sym_end,
    STATE(13727), 1,
      sym_attribute,
    STATE(13729), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660626] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13728), 1,
      sym_attribute,
    STATE(14445), 1,
      sym__attribute,
    STATE(15522), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660680] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16437), 1,
      anon_sym_end,
    STATE(13729), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660734] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16439), 1,
      anon_sym_end,
    STATE(13730), 1,
      sym_attribute,
    STATE(13732), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660788] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16441), 1,
      anon_sym_end,
    STATE(13731), 1,
      sym_attribute,
    STATE(13733), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660842] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16443), 1,
      anon_sym_end,
    STATE(13732), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660896] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16445), 1,
      anon_sym_end,
    STATE(13733), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [660950] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16447), 1,
      anon_sym_end,
    STATE(13734), 1,
      sym_attribute,
    STATE(13735), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661004] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16449), 1,
      anon_sym_end,
    STATE(13735), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661058] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13736), 1,
      sym_attribute,
    STATE(14470), 1,
      sym__attribute,
    STATE(15535), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661112] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16451), 1,
      anon_sym_end,
    STATE(13737), 1,
      sym_attribute,
    STATE(13806), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661166] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15388), 1,
      anon_sym_end,
    STATE(13738), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661220] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13739), 1,
      sym_attribute,
    STATE(14484), 1,
      sym__attribute,
    STATE(15543), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661274] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16453), 1,
      anon_sym_end,
    STATE(13740), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661328] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      anon_sym_and,
    ACTIONS(15754), 1,
      sym_let_and_operator,
    STATE(13290), 1,
      aux_sym_value_definition_repeat1,
    STATE(13741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15852), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15850), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [661368] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15752), 1,
      anon_sym_and,
    ACTIONS(15754), 1,
      sym_let_and_operator,
    STATE(13292), 1,
      aux_sym_value_definition_repeat1,
    STATE(13742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15750), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15748), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [661408] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16455), 1,
      anon_sym_end,
    STATE(13743), 1,
      sym_attribute,
    STATE(13744), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661462] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16457), 1,
      anon_sym_end,
    STATE(13744), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661516] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16459), 1,
      anon_sym_end,
    STATE(13745), 1,
      sym_attribute,
    STATE(13747), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661570] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16461), 1,
      anon_sym_end,
    STATE(13746), 1,
      sym_attribute,
    STATE(13748), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661624] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16463), 1,
      anon_sym_end,
    STATE(13747), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661678] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16465), 1,
      anon_sym_end,
    STATE(13748), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661732] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16467), 1,
      anon_sym_end,
    STATE(13749), 1,
      sym_attribute,
    STATE(13750), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661786] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16469), 1,
      anon_sym_end,
    STATE(13750), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661840] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15616), 1,
      anon_sym_end,
    STATE(13751), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661894] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(16471), 1,
      anon_sym_RPAREN,
    ACTIONS(16473), 1,
      anon_sym_DOT,
    STATE(13752), 1,
      sym_attribute,
    STATE(21805), 1,
      sym__infix_operator,
    STATE(22090), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1735), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1737), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1733), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(16475), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [661940] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15437), 1,
      anon_sym_end,
    STATE(13753), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [661994] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16477), 1,
      anon_sym_end,
    STATE(13754), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662048] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16479), 1,
      anon_sym_end,
    STATE(13755), 1,
      sym_attribute,
    STATE(13757), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662102] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15367), 1,
      anon_sym_end,
    STATE(13756), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662156] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16481), 1,
      anon_sym_end,
    STATE(13757), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662210] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16483), 1,
      anon_sym_end,
    STATE(13758), 1,
      sym_attribute,
    STATE(13760), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662264] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16485), 1,
      anon_sym_end,
    STATE(13759), 1,
      sym_attribute,
    STATE(13761), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662318] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16487), 1,
      anon_sym_end,
    STATE(13760), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662372] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16489), 1,
      anon_sym_end,
    STATE(13761), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662426] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16491), 1,
      anon_sym_end,
    STATE(13762), 1,
      sym_attribute,
    STATE(13763), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662480] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16493), 1,
      anon_sym_end,
    STATE(13763), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662534] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16495), 1,
      anon_sym_end,
    STATE(13764), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662588] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16207), 1,
      anon_sym_and,
    ACTIONS(16209), 1,
      sym_let_and_operator,
    STATE(13765), 1,
      sym_attribute,
    STATE(13780), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15758), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15756), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [662628] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15592), 1,
      anon_sym_end,
    STATE(13766), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662682] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(10562), 1,
      sym_module_path,
    STATE(10764), 1,
      sym__module_expression,
    STATE(13767), 1,
      sym_attribute,
    STATE(14314), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [662736] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16497), 1,
      anon_sym_end,
    STATE(13768), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662790] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16207), 1,
      anon_sym_and,
    ACTIONS(16209), 1,
      sym_let_and_operator,
    STATE(13765), 1,
      aux_sym_value_definition_repeat1,
    STATE(13769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15750), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15748), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [662830] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16499), 1,
      anon_sym_end,
    STATE(13770), 1,
      sym_attribute,
    STATE(13772), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662884] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16501), 1,
      anon_sym_end,
    STATE(13771), 1,
      sym_attribute,
    STATE(13784), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662938] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16503), 1,
      anon_sym_end,
    STATE(13772), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [662992] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16505), 1,
      anon_sym_end,
    STATE(13773), 1,
      sym_attribute,
    STATE(13775), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663046] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16507), 1,
      anon_sym_end,
    STATE(13774), 1,
      sym_attribute,
    STATE(13776), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663100] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16509), 1,
      anon_sym_end,
    STATE(13775), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663154] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16511), 1,
      anon_sym_end,
    STATE(13776), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663208] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16513), 1,
      anon_sym_end,
    STATE(13777), 1,
      sym_attribute,
    STATE(13778), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663262] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16515), 1,
      anon_sym_end,
    STATE(13778), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15581), 1,
      anon_sym_let,
    STATE(13779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15579), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [663350] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16517), 1,
      anon_sym_and,
    ACTIONS(16520), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15648), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(13780), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15646), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [663388] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15652), 1,
      anon_sym_end,
    STATE(13781), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663442] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16523), 1,
      anon_sym_end,
    STATE(13782), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663496] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16525), 1,
      anon_sym_end,
    STATE(13386), 1,
      aux_sym_object_expression_repeat1,
    STATE(13783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663550] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16527), 1,
      anon_sym_end,
    STATE(13784), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663604] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16529), 1,
      anon_sym_end,
    STATE(13785), 1,
      sym_attribute,
    STATE(13795), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663658] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16531), 1,
      anon_sym_end,
    STATE(13786), 1,
      sym_attribute,
    STATE(13788), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663712] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16533), 1,
      anon_sym_end,
    STATE(13787), 1,
      sym_attribute,
    STATE(13796), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663766] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16535), 1,
      anon_sym_end,
    STATE(13788), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663820] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16537), 1,
      anon_sym_end,
    STATE(13789), 1,
      sym_attribute,
    STATE(13791), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663874] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16539), 1,
      anon_sym_end,
    STATE(13790), 1,
      sym_attribute,
    STATE(13792), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663928] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16541), 1,
      anon_sym_end,
    STATE(13791), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [663982] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16543), 1,
      anon_sym_end,
    STATE(13792), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664036] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16545), 1,
      anon_sym_end,
    STATE(13793), 1,
      sym_attribute,
    STATE(13794), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664090] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16547), 1,
      anon_sym_end,
    STATE(13794), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664144] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16549), 1,
      anon_sym_end,
    STATE(13795), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664198] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16551), 1,
      anon_sym_end,
    STATE(13796), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664252] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16553), 1,
      anon_sym_end,
    STATE(13797), 1,
      sym_attribute,
    STATE(13800), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664306] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16555), 1,
      anon_sym_end,
    STATE(13798), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664360] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15644), 1,
      anon_sym_end,
    STATE(13799), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664414] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16557), 1,
      anon_sym_end,
    STATE(13800), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664468] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16559), 1,
      anon_sym_end,
    STATE(13801), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664522] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16561), 1,
      anon_sym_PIPE,
    STATE(13802), 1,
      sym_attribute,
    STATE(13804), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15204), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15202), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [664560] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16561), 1,
      anon_sym_PIPE,
    STATE(13803), 1,
      sym_attribute,
    STATE(13804), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15089), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15087), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [664598] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16563), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14828), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(13804), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14826), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [664634] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16566), 1,
      anon_sym_end,
    STATE(13805), 1,
      sym_attribute,
    STATE(13807), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664688] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16568), 1,
      anon_sym_end,
    STATE(13806), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664742] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16570), 1,
      anon_sym_end,
    STATE(13807), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664796] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16572), 1,
      anon_sym_end,
    STATE(13808), 1,
      sym_attribute,
    STATE(13810), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664850] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16574), 1,
      anon_sym_end,
    STATE(13809), 1,
      sym_attribute,
    STATE(13811), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664904] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16576), 1,
      anon_sym_end,
    STATE(13810), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [664958] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16578), 1,
      anon_sym_end,
    STATE(13811), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665012] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16580), 1,
      anon_sym_end,
    STATE(13812), 1,
      sym_attribute,
    STATE(13813), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665066] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16582), 1,
      anon_sym_end,
    STATE(13813), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665120] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16584), 1,
      anon_sym_end,
    STATE(13814), 1,
      sym_attribute,
    STATE(13829), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665174] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15433), 1,
      anon_sym_end,
    STATE(13815), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665228] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16586), 1,
      anon_sym_end,
    STATE(13816), 1,
      sym_attribute,
    STATE(13840), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665282] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16588), 1,
      anon_sym_end,
    STATE(13817), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665336] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15305), 1,
      anon_sym_end,
    STATE(13818), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665390] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16590), 1,
      anon_sym_end,
    STATE(13819), 1,
      sym_attribute,
    STATE(13820), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665444] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16592), 1,
      anon_sym_end,
    STATE(13820), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665498] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16594), 1,
      anon_sym_end,
    STATE(13821), 1,
      sym_attribute,
    STATE(13823), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665552] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16596), 1,
      anon_sym_end,
    STATE(13822), 1,
      sym_attribute,
    STATE(13824), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665606] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16598), 1,
      anon_sym_end,
    STATE(13823), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665660] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16600), 1,
      anon_sym_end,
    STATE(13824), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665714] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16602), 1,
      anon_sym_end,
    STATE(13825), 1,
      sym_attribute,
    STATE(13826), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665768] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16604), 1,
      anon_sym_end,
    STATE(13826), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665822] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15606), 1,
      anon_sym_end,
    STATE(13827), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665876] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16606), 1,
      anon_sym_end,
    STATE(13828), 1,
      sym_attribute,
    STATE(13864), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665930] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16608), 1,
      anon_sym_end,
    STATE(13829), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [665984] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16610), 1,
      anon_sym_end,
    STATE(13830), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666038] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16612), 1,
      anon_sym_end,
    STATE(13831), 1,
      sym_attribute,
    STATE(13832), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666092] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16614), 1,
      anon_sym_end,
    STATE(13832), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666146] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16616), 1,
      anon_sym_end,
    STATE(13833), 1,
      sym_attribute,
    STATE(13835), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666200] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16618), 1,
      anon_sym_end,
    STATE(13834), 1,
      sym_attribute,
    STATE(13836), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666254] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16620), 1,
      anon_sym_end,
    STATE(13835), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666308] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16622), 1,
      anon_sym_end,
    STATE(13836), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666362] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16624), 1,
      anon_sym_end,
    STATE(13837), 1,
      sym_attribute,
    STATE(13838), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666416] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16626), 1,
      anon_sym_end,
    STATE(13838), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666470] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16628), 1,
      anon_sym_end,
    STATE(13839), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666524] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16630), 1,
      anon_sym_end,
    STATE(13840), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666578] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15488), 1,
      anon_sym_end,
    STATE(13841), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666632] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16632), 1,
      anon_sym_end,
    STATE(13842), 1,
      sym_attribute,
    STATE(13859), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666686] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15691), 1,
      anon_sym_end,
    STATE(13843), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666740] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16634), 1,
      anon_sym_end,
    STATE(13844), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666794] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16636), 1,
      anon_sym_end,
    STATE(13845), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666848] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16638), 1,
      anon_sym_end,
    STATE(13846), 1,
      sym_attribute,
    STATE(13847), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666902] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16640), 1,
      anon_sym_end,
    STATE(13847), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [666956] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16642), 1,
      anon_sym_end,
    STATE(13848), 1,
      sym_attribute,
    STATE(13850), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667010] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16644), 1,
      anon_sym_end,
    STATE(13849), 1,
      sym_attribute,
    STATE(13851), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667064] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16646), 1,
      anon_sym_end,
    STATE(13850), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667118] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16648), 1,
      anon_sym_end,
    STATE(13851), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667172] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16650), 1,
      anon_sym_end,
    STATE(13852), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667226] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16207), 1,
      anon_sym_and,
    ACTIONS(16209), 1,
      sym_let_and_operator,
    STATE(13780), 1,
      aux_sym_value_definition_repeat1,
    STATE(13853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15750), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15748), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [667266] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16207), 1,
      anon_sym_and,
    ACTIONS(16209), 1,
      sym_let_and_operator,
    STATE(13562), 1,
      aux_sym_value_definition_repeat1,
    STATE(13854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15758), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15756), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [667306] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16652), 1,
      anon_sym_end,
    STATE(13855), 1,
      sym_attribute,
    STATE(13861), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667360] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15317), 1,
      anon_sym_end,
    STATE(13856), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667414] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13857), 1,
      sym_attribute,
    STATE(14355), 1,
      sym__attribute,
    STATE(15483), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [667468] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_and,
    ACTIONS(15888), 1,
      anon_sym_COMMA,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    ACTIONS(15898), 1,
      sym_rel_operator,
    ACTIONS(15900), 1,
      sym_and_operator,
    ACTIONS(15902), 1,
      sym_or_operator,
    ACTIONS(15904), 1,
      sym_assign_operator,
    ACTIONS(16201), 1,
      anon_sym_SEMI,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [667526] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16654), 1,
      anon_sym_end,
    STATE(13859), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667580] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16656), 1,
      anon_sym_end,
    STATE(13860), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667634] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16658), 1,
      anon_sym_end,
    STATE(13861), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667688] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16660), 1,
      anon_sym_end,
    STATE(13862), 1,
      sym_attribute,
    STATE(13868), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667742] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_and,
    ACTIONS(15888), 1,
      anon_sym_COMMA,
    ACTIONS(15890), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15892), 1,
      sym_pow_operator,
    ACTIONS(15894), 1,
      sym_mult_operator,
    ACTIONS(15896), 1,
      sym_concat_operator,
    ACTIONS(15898), 1,
      sym_rel_operator,
    ACTIONS(15900), 1,
      sym_and_operator,
    ACTIONS(15902), 1,
      sym_or_operator,
    ACTIONS(15904), 1,
      sym_assign_operator,
    ACTIONS(16201), 1,
      anon_sym_SEMI,
    STATE(2807), 1,
      sym_add_operator,
    STATE(13863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10292), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [667800] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16662), 1,
      anon_sym_end,
    STATE(13864), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667854] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16664), 1,
      anon_sym_end,
    STATE(13865), 1,
      sym_attribute,
    STATE(13893), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667908] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16666), 1,
      anon_sym_end,
    STATE(13866), 1,
      sym_attribute,
    STATE(13869), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [667962] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16668), 1,
      anon_sym_end,
    STATE(13867), 1,
      sym_attribute,
    STATE(13876), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668016] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16670), 1,
      anon_sym_end,
    STATE(13868), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668070] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16672), 1,
      anon_sym_end,
    STATE(13869), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668124] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16674), 1,
      anon_sym_end,
    STATE(13870), 1,
      sym_attribute,
    STATE(13872), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668178] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16676), 1,
      anon_sym_end,
    STATE(13871), 1,
      sym_attribute,
    STATE(13873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668232] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16678), 1,
      anon_sym_end,
    STATE(13872), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668286] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16680), 1,
      anon_sym_end,
    STATE(13873), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668340] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16682), 1,
      anon_sym_end,
    STATE(13874), 1,
      sym_attribute,
    STATE(13875), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668394] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16684), 1,
      anon_sym_end,
    STATE(13875), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668448] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16686), 1,
      anon_sym_end,
    STATE(13876), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668502] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16688), 1,
      anon_sym_end,
    STATE(13877), 1,
      sym_attribute,
    STATE(13878), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668556] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16690), 1,
      anon_sym_end,
    STATE(13878), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668610] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15381), 1,
      anon_sym_end,
    STATE(13879), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668664] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_COLON2,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15830), 1,
      anon_sym_SEMI,
    ACTIONS(15832), 1,
      sym_rel_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10302), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [668722] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16692), 1,
      anon_sym_end,
    STATE(13881), 1,
      sym_attribute,
    STATE(13897), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668776] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16694), 1,
      anon_sym_end,
    STATE(13882), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668830] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16696), 1,
      anon_sym_end,
    STATE(13883), 1,
      sym_attribute,
    STATE(13884), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668884] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16698), 1,
      anon_sym_end,
    STATE(13884), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668938] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16700), 1,
      anon_sym_end,
    STATE(13885), 1,
      sym_attribute,
    STATE(13887), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [668992] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16702), 1,
      anon_sym_end,
    STATE(13886), 1,
      sym_attribute,
    STATE(13888), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669046] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16704), 1,
      anon_sym_end,
    STATE(13887), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669100] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16706), 1,
      anon_sym_end,
    STATE(13888), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669154] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16708), 1,
      anon_sym_end,
    STATE(13889), 1,
      sym_attribute,
    STATE(13890), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669208] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16710), 1,
      anon_sym_end,
    STATE(13890), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669262] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16712), 1,
      anon_sym_end,
    STATE(13891), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669316] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15416), 1,
      anon_sym_end,
    STATE(13892), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669370] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16714), 1,
      anon_sym_end,
    STATE(13893), 1,
      sym_attribute,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669424] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16716), 1,
      anon_sym_constraint,
    ACTIONS(16719), 1,
      anon_sym_val,
    ACTIONS(16722), 1,
      anon_sym_end,
    ACTIONS(16724), 1,
      anon_sym_inherit,
    ACTIONS(16727), 1,
      anon_sym_method,
    ACTIONS(16730), 1,
      anon_sym_initializer,
    ACTIONS(16733), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(16736), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(16739), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13894), 2,
      sym_attribute,
      aux_sym_object_expression_repeat1,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669476] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16742), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669530] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16744), 1,
      anon_sym_COLON2,
    STATE(13896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [669566] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16746), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669620] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16748), 1,
      anon_sym_end,
    STATE(13898), 1,
      sym_attribute,
    STATE(13899), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669674] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16750), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669728] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16752), 1,
      anon_sym_end,
    STATE(13900), 1,
      sym_attribute,
    STATE(13902), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669782] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16754), 1,
      anon_sym_end,
    STATE(13901), 1,
      sym_attribute,
    STATE(13903), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669836] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16756), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669890] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16758), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669944] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16760), 1,
      anon_sym_end,
    STATE(13904), 1,
      sym_attribute,
    STATE(13905), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [669998] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16762), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670052] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16764), 1,
      anon_sym_end,
    STATE(13906), 1,
      sym_attribute,
    STATE(13907), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670106] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16766), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670160] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15448), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670214] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16768), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670268] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16770), 1,
      anon_sym_end,
    STATE(13910), 1,
      sym_attribute,
    STATE(13911), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670322] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16772), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670376] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16774), 1,
      anon_sym_end,
    STATE(13912), 1,
      sym_attribute,
    STATE(13914), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670430] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16776), 1,
      anon_sym_end,
    STATE(13913), 1,
      sym_attribute,
    STATE(13915), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670484] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16778), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670538] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16780), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670592] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16782), 1,
      anon_sym_end,
    STATE(13916), 1,
      sym_attribute,
    STATE(13917), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670646] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16784), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670700] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15482), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670754] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15515), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670808] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16786), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670862] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16788), 1,
      anon_sym_end,
    STATE(13921), 1,
      sym_attribute,
    STATE(13922), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670916] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16790), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [670970] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16792), 1,
      anon_sym_end,
    STATE(13923), 1,
      sym_attribute,
    STATE(13925), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671024] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16794), 1,
      anon_sym_end,
    STATE(13924), 1,
      sym_attribute,
    STATE(13926), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671078] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16796), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671132] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16798), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671186] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16800), 1,
      anon_sym_end,
    STATE(13927), 1,
      sym_attribute,
    STATE(13928), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671240] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16802), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671294] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15511), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671348] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16804), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671402] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14695), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16806), 1,
      anon_sym_DASH_GT,
    ACTIONS(16808), 1,
      anon_sym_with,
    STATE(13931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14693), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671440] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15049), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16806), 1,
      anon_sym_DASH_GT,
    ACTIONS(16808), 1,
      anon_sym_with,
    STATE(13932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671478] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14563), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16806), 1,
      anon_sym_DASH_GT,
    ACTIONS(16808), 1,
      anon_sym_with,
    STATE(13933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14561), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671516] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16810), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671570] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14695), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16812), 1,
      anon_sym_DASH_GT,
    ACTIONS(16814), 1,
      anon_sym_with,
    STATE(13935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14693), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671608] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15049), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16812), 1,
      anon_sym_DASH_GT,
    ACTIONS(16814), 1,
      anon_sym_with,
    STATE(13936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671646] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14563), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16812), 1,
      anon_sym_DASH_GT,
    ACTIONS(16814), 1,
      anon_sym_with,
    STATE(13937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14561), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [671684] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16561), 1,
      anon_sym_PIPE,
    STATE(13802), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13535), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13533), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [671722] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16816), 1,
      anon_sym_end,
    STATE(13939), 1,
      sym_attribute,
    STATE(13941), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671776] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16561), 1,
      anon_sym_PIPE,
    STATE(13803), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15204), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15202), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [671814] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16818), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671868] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16820), 1,
      anon_sym_end,
    STATE(13942), 1,
      sym_attribute,
    STATE(13944), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671922] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16822), 1,
      anon_sym_end,
    STATE(13943), 1,
      sym_attribute,
    STATE(13945), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [671976] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16824), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672030] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16826), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672084] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16828), 1,
      anon_sym_end,
    STATE(13946), 1,
      sym_attribute,
    STATE(13947), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672138] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16830), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672192] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14457), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16806), 1,
      anon_sym_DASH_GT,
    ACTIONS(16808), 1,
      anon_sym_with,
    STATE(13948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14455), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [672230] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16832), 1,
      anon_sym_end,
    STATE(13669), 1,
      aux_sym_object_expression_repeat1,
    STATE(13949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672284] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15577), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672338] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14590), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16806), 1,
      anon_sym_DASH_GT,
    ACTIONS(16808), 1,
      anon_sym_with,
    STATE(13951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14588), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [672376] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14457), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16812), 1,
      anon_sym_DASH_GT,
    ACTIONS(16814), 1,
      anon_sym_with,
    STATE(13952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14455), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [672414] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16834), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672468] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14590), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16812), 1,
      anon_sym_DASH_GT,
    ACTIONS(16814), 1,
      anon_sym_with,
    STATE(13954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14588), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [672506] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16836), 1,
      anon_sym_end,
    STATE(13955), 1,
      sym_attribute,
    STATE(13956), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672560] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16838), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672614] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16840), 1,
      anon_sym_end,
    STATE(13957), 1,
      sym_attribute,
    STATE(13959), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672668] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16842), 1,
      anon_sym_end,
    STATE(13958), 1,
      sym_attribute,
    STATE(13960), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672722] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16844), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672776] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16846), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672830] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16848), 1,
      anon_sym_end,
    STATE(13961), 1,
      sym_attribute,
    STATE(13962), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672884] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16850), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672938] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15588), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [672992] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16852), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [673046] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16854), 1,
      anon_sym_end,
    STATE(13965), 1,
      sym_attribute,
    STATE(13966), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [673100] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16856), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [673154] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16858), 1,
      anon_sym_end,
    STATE(13967), 1,
      sym_attribute,
    STATE(13969), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [673208] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16860), 1,
      anon_sym_end,
    STATE(13968), 1,
      sym_attribute,
    STATE(13970), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [673262] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16862), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [673316] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16864), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [673370] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16866), 1,
      anon_sym_end,
    STATE(13971), 1,
      sym_attribute,
    STATE(13972), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [673424] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14270), 1,
      anon_sym_constraint,
    ACTIONS(14272), 1,
      anon_sym_val,
    ACTIONS(14276), 1,
      anon_sym_inherit,
    ACTIONS(14278), 1,
      anon_sym_method,
    ACTIONS(14280), 1,
      anon_sym_initializer,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16868), 1,
      anon_sym_end,
    STATE(13894), 1,
      aux_sym_object_expression_repeat1,
    STATE(13972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15720), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(15705), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [673478] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16870), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13460), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(13973), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [673514] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_and,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    ACTIONS(16875), 1,
      anon_sym_SEMI,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    ACTIONS(16889), 1,
      sym_or_operator,
    ACTIONS(16891), 1,
      sym_assign_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673571] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12805), 1,
      aux_sym_expression_item_repeat1,
    STATE(13975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16893), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(15188), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [673610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [673643] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_and,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    ACTIONS(16889), 1,
      sym_or_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [673696] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16879), 1,
      sym_pow_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [673733] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16879), 1,
      sym_pow_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [673770] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [673815] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [673860] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [673909] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_and,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    ACTIONS(16889), 1,
      sym_or_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [673960] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_and,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    ACTIONS(16889), 1,
      sym_or_operator,
    ACTIONS(16891), 1,
      sym_assign_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [674015] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [674054] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_and,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    ACTIONS(16889), 1,
      sym_or_operator,
    ACTIONS(16891), 1,
      sym_assign_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [674109] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12563), 1,
      anon_sym_as,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    STATE(13987), 1,
      sym_attribute,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [674152] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16901), 1,
      anon_sym_let,
    ACTIONS(16903), 1,
      anon_sym_and,
    STATE(13988), 1,
      sym_attribute,
    STATE(14126), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16899), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [674189] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16907), 1,
      anon_sym_let,
    ACTIONS(16909), 1,
      anon_sym_and,
    STATE(13989), 1,
      sym_attribute,
    STATE(14030), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16905), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [674226] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15796), 1,
      anon_sym_let,
    ACTIONS(16911), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13990), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15794), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [674261] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(16473), 1,
      anon_sym_DOT,
    STATE(13991), 1,
      sym_attribute,
    STATE(21805), 1,
      sym__infix_operator,
    STATE(22090), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1735), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1737), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1733), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(16475), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [674304] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16903), 1,
      anon_sym_and,
    ACTIONS(16916), 1,
      anon_sym_let,
    STATE(13992), 1,
      sym_attribute,
    STATE(14047), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16914), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [674341] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16918), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12349), 1,
      aux_sym_expression_item_repeat1,
    STATE(13993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15239), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674380] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_and,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    ACTIONS(16889), 1,
      sym_or_operator,
    ACTIONS(16891), 1,
      sym_assign_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    STATE(2599), 1,
      sym_add_operator,
    STATE(13994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [674437] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      aux_sym_number_token1,
    ACTIONS(6019), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6021), 1,
      anon_sym_SQUOTE,
    ACTIONS(6023), 1,
      anon_sym_DQUOTE,
    ACTIONS(16922), 1,
      anon_sym_LPAREN,
    ACTIONS(16926), 1,
      anon_sym_LBRACE,
    ACTIONS(16928), 1,
      anon_sym_begin,
    STATE(6916), 1,
      sym__signed_constant,
    STATE(13995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16924), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6871), 2,
      sym__constant,
      sym_signed_number,
    STATE(6898), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [674488] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15734), 1,
      anon_sym_val,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(13996), 1,
      sym_attribute,
    STATE(15557), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [674539] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_COMMA,
    STATE(13997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 9,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [674574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12941), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [674607] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16930), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12381), 1,
      aux_sym_expression_item_repeat1,
    STATE(13999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15339), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674646] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16932), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12432), 1,
      aux_sym_expression_item_repeat1,
    STATE(14000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15327), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12945), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [674718] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8454), 1,
      aux_sym_number_token1,
    ACTIONS(8456), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8458), 1,
      anon_sym_SQUOTE,
    ACTIONS(8460), 1,
      anon_sym_DQUOTE,
    ACTIONS(16934), 1,
      anon_sym_LPAREN,
    ACTIONS(16938), 1,
      anon_sym_LBRACE,
    ACTIONS(16940), 1,
      anon_sym_begin,
    STATE(14002), 1,
      sym_attribute,
    STATE(16641), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16936), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(16073), 2,
      sym__constant,
      sym_signed_number,
    STATE(16169), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [674769] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6621), 1,
      anon_sym_DOT,
    STATE(14003), 1,
      sym_attribute,
    STATE(20709), 1,
      sym__infix_operator,
    STATE(22090), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1735), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1737), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1733), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6627), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [674812] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_and,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    ACTIONS(16889), 1,
      sym_or_operator,
    ACTIONS(16891), 1,
      sym_assign_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(14004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [674867] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    ACTIONS(15950), 1,
      anon_sym_val,
    STATE(10562), 1,
      sym_module_path,
    STATE(14005), 1,
      sym_attribute,
    STATE(15433), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [674918] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16942), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12693), 1,
      aux_sym_expression_item_repeat1,
    STATE(14006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15307), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [674957] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_and,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    ACTIONS(16875), 1,
      anon_sym_SEMI,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    ACTIONS(16889), 1,
      sym_or_operator,
    ACTIONS(16891), 1,
      sym_assign_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(14007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12949), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [675047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12953), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [675080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12849), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [675113] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6471), 1,
      anon_sym_DOT,
    STATE(14011), 1,
      sym_attribute,
    STATE(20846), 1,
      sym__infix_operator,
    STATE(22090), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1735), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1737), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1733), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6477), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [675156] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_let,
    ACTIONS(16944), 1,
      anon_sym_and,
    ACTIONS(16946), 1,
      sym_let_and_operator,
    STATE(14012), 1,
      sym_attribute,
    STATE(14057), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15748), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675195] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12603), 1,
      anon_sym_as,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(16948), 1,
      anon_sym_POUND,
    STATE(14013), 1,
      sym_attribute,
    STATE(14832), 1,
      sym_type_constructor_path,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [675238] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16950), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12431), 1,
      aux_sym_expression_item_repeat1,
    STATE(14014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15269), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [675277] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8331), 1,
      aux_sym_number_token1,
    ACTIONS(8333), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8335), 1,
      anon_sym_SQUOTE,
    ACTIONS(8337), 1,
      anon_sym_DQUOTE,
    ACTIONS(16952), 1,
      anon_sym_LPAREN,
    ACTIONS(16956), 1,
      anon_sym_LBRACE,
    ACTIONS(16958), 1,
      anon_sym_begin,
    STATE(10748), 1,
      sym__signed_constant,
    STATE(14015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16954), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10519), 2,
      sym__constant,
      sym_signed_number,
    STATE(10596), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [675328] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16960), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12498), 1,
      aux_sym_expression_item_repeat1,
    STATE(14016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15394), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [675367] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16962), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12547), 1,
      aux_sym_expression_item_repeat1,
    STATE(14017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15468), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [675406] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16964), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12336), 1,
      aux_sym_expression_item_repeat1,
    STATE(14018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15275), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [675445] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16966), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12342), 1,
      aux_sym_expression_item_repeat1,
    STATE(14019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15297), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [675484] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16968), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12373), 1,
      aux_sym_expression_item_repeat1,
    STATE(14020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15245), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [675523] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6491), 1,
      anon_sym_DOT,
    STATE(14021), 1,
      sym_attribute,
    STATE(22090), 1,
      sym_add_operator,
    STATE(23305), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1735), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1737), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1733), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6497), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [675566] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_let,
    ACTIONS(16970), 1,
      anon_sym_and,
    ACTIONS(16972), 1,
      sym_let_and_operator,
    STATE(14022), 1,
      sym_attribute,
    STATE(14024), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15748), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675605] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15758), 1,
      anon_sym_let,
    ACTIONS(16970), 1,
      anon_sym_and,
    ACTIONS(16972), 1,
      sym_let_and_operator,
    STATE(14023), 1,
      sym_attribute,
    STATE(14024), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675644] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15648), 1,
      anon_sym_let,
    ACTIONS(16974), 1,
      anon_sym_and,
    ACTIONS(16977), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14024), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675681] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15758), 1,
      anon_sym_let,
    ACTIONS(16970), 1,
      anon_sym_and,
    ACTIONS(16972), 1,
      sym_let_and_operator,
    STATE(14025), 1,
      sym_attribute,
    STATE(14028), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675720] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16903), 1,
      anon_sym_and,
    ACTIONS(16982), 1,
      anon_sym_let,
    STATE(14026), 1,
      sym_attribute,
    STATE(14127), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16980), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675757] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12509), 16,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [675790] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15772), 1,
      anon_sym_let,
    ACTIONS(16970), 1,
      anon_sym_and,
    ACTIONS(16972), 1,
      sym_let_and_operator,
    STATE(14024), 1,
      aux_sym_value_definition_repeat1,
    STATE(14028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15770), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675829] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_and,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    ACTIONS(16875), 1,
      anon_sym_SEMI,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    ACTIONS(16889), 1,
      sym_or_operator,
    ACTIONS(16891), 1,
      sym_assign_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(14029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [675886] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16909), 1,
      anon_sym_and,
    ACTIONS(16986), 1,
      anon_sym_let,
    STATE(14030), 1,
      sym_attribute,
    STATE(14103), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16984), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675923] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_let,
    ACTIONS(16944), 1,
      anon_sym_and,
    ACTIONS(16946), 1,
      sym_let_and_operator,
    STATE(14031), 1,
      sym_attribute,
    STATE(14054), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15748), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [675962] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15888), 1,
      anon_sym_COMMA,
    STATE(14032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 10,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [675997] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16909), 1,
      anon_sym_and,
    ACTIONS(16990), 1,
      anon_sym_let,
    STATE(14033), 1,
      sym_attribute,
    STATE(14103), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16988), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676034] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15852), 1,
      anon_sym_let,
    ACTIONS(16970), 1,
      anon_sym_and,
    ACTIONS(16972), 1,
      sym_let_and_operator,
    STATE(14022), 1,
      aux_sym_value_definition_repeat1,
    STATE(14034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15850), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676073] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14256), 1,
      anon_sym_STAR,
    ACTIONS(14475), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14035), 1,
      sym_attribute,
    STATE(14036), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14473), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [676110] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13460), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16992), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14036), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [676145] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_let,
    ACTIONS(16970), 1,
      anon_sym_and,
    ACTIONS(16972), 1,
      sym_let_and_operator,
    STATE(14023), 1,
      aux_sym_value_definition_repeat1,
    STATE(14037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15748), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676184] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5981), 1,
      aux_sym_number_token1,
    ACTIONS(5985), 1,
      anon_sym_SQUOTE,
    ACTIONS(5987), 1,
      anon_sym_DQUOTE,
    ACTIONS(8261), 1,
      aux_sym_signed_number_token1,
    ACTIONS(16995), 1,
      anon_sym_LPAREN,
    ACTIONS(16999), 1,
      anon_sym_LBRACE,
    ACTIONS(17001), 1,
      anon_sym_begin,
    STATE(14038), 1,
      sym_attribute,
    STATE(15524), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16997), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(15234), 2,
      sym__constant,
      sym_signed_number,
    STATE(14200), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [676235] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14017), 1,
      anon_sym_STAR,
    STATE(14039), 1,
      sym_attribute,
    STATE(14040), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14475), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14473), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676272] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17003), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13460), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(14040), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676307] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17008), 1,
      anon_sym_let,
    ACTIONS(17010), 1,
      anon_sym_DOT,
    STATE(14041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17006), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676342] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16806), 1,
      anon_sym_DASH_GT,
    ACTIONS(16808), 1,
      anon_sym_with,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(14042), 1,
      sym_attribute,
    STATE(14366), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17012), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [676383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12965), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [676416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12969), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [676449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12973), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [676482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12977), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [676515] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16903), 1,
      anon_sym_and,
    ACTIONS(17016), 1,
      anon_sym_let,
    STATE(13990), 1,
      aux_sym_type_definition_repeat1,
    STATE(14047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17014), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676552] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11575), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11573), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [676585] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_let,
    ACTIONS(17018), 1,
      anon_sym_and,
    ACTIONS(17020), 1,
      sym_let_and_operator,
    STATE(14049), 1,
      sym_attribute,
    STATE(14051), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15748), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676624] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15758), 1,
      anon_sym_let,
    ACTIONS(17018), 1,
      anon_sym_and,
    ACTIONS(17020), 1,
      sym_let_and_operator,
    STATE(14050), 1,
      sym_attribute,
    STATE(14051), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676663] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15648), 1,
      anon_sym_let,
    ACTIONS(17022), 1,
      anon_sym_and,
    ACTIONS(17025), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14051), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15646), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676700] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15758), 1,
      anon_sym_let,
    ACTIONS(17018), 1,
      anon_sym_and,
    ACTIONS(17020), 1,
      sym_let_and_operator,
    STATE(14052), 1,
      sym_attribute,
    STATE(14053), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676739] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15772), 1,
      anon_sym_let,
    ACTIONS(17018), 1,
      anon_sym_and,
    ACTIONS(17020), 1,
      sym_let_and_operator,
    STATE(14051), 1,
      aux_sym_value_definition_repeat1,
    STATE(14053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15770), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676778] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15758), 1,
      anon_sym_let,
    ACTIONS(16944), 1,
      anon_sym_and,
    ACTIONS(16946), 1,
      sym_let_and_operator,
    STATE(14054), 1,
      sym_attribute,
    STATE(14057), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15756), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676817] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15852), 1,
      anon_sym_let,
    ACTIONS(17018), 1,
      anon_sym_and,
    ACTIONS(17020), 1,
      sym_let_and_operator,
    STATE(14049), 1,
      aux_sym_value_definition_repeat1,
    STATE(14055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15850), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676856] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15750), 1,
      anon_sym_let,
    ACTIONS(17018), 1,
      anon_sym_and,
    ACTIONS(17020), 1,
      sym_let_and_operator,
    STATE(14050), 1,
      aux_sym_value_definition_repeat1,
    STATE(14056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15748), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676895] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15648), 1,
      anon_sym_let,
    ACTIONS(17028), 1,
      anon_sym_and,
    ACTIONS(17031), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14057), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(15646), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [676932] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6041), 1,
      anon_sym_DOT,
    STATE(14058), 1,
      sym_attribute,
    STATE(22090), 1,
      sym_add_operator,
    STATE(22680), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1735), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1737), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1733), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6047), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [676975] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13797), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17034), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14059), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13795), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677012] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5809), 1,
      aux_sym_number_token1,
    ACTIONS(5811), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5813), 1,
      anon_sym_SQUOTE,
    ACTIONS(5815), 1,
      anon_sym_DQUOTE,
    ACTIONS(17037), 1,
      anon_sym_LPAREN,
    ACTIONS(17041), 1,
      anon_sym_LBRACE,
    ACTIONS(17043), 1,
      anon_sym_begin,
    STATE(6779), 1,
      sym__signed_constant,
    STATE(14060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17039), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6658), 2,
      sym__constant,
      sym_signed_number,
    STATE(6749), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [677063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12989), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [677096] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15758), 1,
      anon_sym_let,
    ACTIONS(16944), 1,
      anon_sym_and,
    ACTIONS(16946), 1,
      sym_let_and_operator,
    STATE(14062), 1,
      sym_attribute,
    STATE(14122), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15756), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [677135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12993), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [677168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12997), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [677201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12925), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [677234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13001), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [677267] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13797), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17045), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14067), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13795), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677304] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14011), 1,
      anon_sym_STAR,
    ACTIONS(14475), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14068), 1,
      sym_attribute,
    STATE(14069), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14473), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677341] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13460), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17048), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14069), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12929), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [677409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13005), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [677442] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17051), 1,
      anon_sym_else,
    STATE(12566), 1,
      sym_else_clause,
    STATE(14072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677479] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17053), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12349), 1,
      aux_sym_expression_item_repeat1,
    STATE(14073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15239), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9204), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [677551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12933), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [677584] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17055), 1,
      anon_sym_PIPE,
    STATE(14076), 1,
      sym_attribute,
    STATE(14078), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15202), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677621] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15089), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17055), 1,
      anon_sym_PIPE,
    STATE(14077), 1,
      sym_attribute,
    STATE(14078), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15087), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677658] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14828), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17057), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14078), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14826), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677693] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_and,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    ACTIONS(16889), 1,
      sym_or_operator,
    ACTIONS(16891), 1,
      sym_assign_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    STATE(2599), 1,
      sym_add_operator,
    STATE(14079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13009), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [677783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12937), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [677816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12871), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [677849] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17060), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12381), 1,
      aux_sym_expression_item_repeat1,
    STATE(14083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15339), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677888] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17062), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12432), 1,
      aux_sym_expression_item_repeat1,
    STATE(14084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15327), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [677927] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16909), 1,
      anon_sym_and,
    ACTIONS(17066), 1,
      anon_sym_let,
    STATE(14085), 1,
      sym_attribute,
    STATE(14103), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [677964] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17068), 1,
      anon_sym_PIPE,
    STATE(14086), 1,
      sym_attribute,
    STATE(14088), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15202), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [678001] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15089), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17068), 1,
      anon_sym_PIPE,
    STATE(14087), 1,
      sym_attribute,
    STATE(14088), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15087), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [678038] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14828), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17070), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14088), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14826), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [678073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9240), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [678106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9258), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [678139] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17073), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12693), 1,
      aux_sym_expression_item_repeat1,
    STATE(14091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15307), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [678178] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17075), 1,
      anon_sym_COMMA,
    ACTIONS(17077), 1,
      anon_sym_SEMI,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    ACTIONS(17087), 1,
      sym_rel_operator,
    ACTIONS(17089), 1,
      sym_and_operator,
    ACTIONS(17091), 1,
      sym_or_operator,
    ACTIONS(17093), 1,
      sym_assign_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678235] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_and,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    ACTIONS(16883), 1,
      sym_concat_operator,
    ACTIONS(16885), 1,
      sym_rel_operator,
    ACTIONS(16887), 1,
      sym_and_operator,
    ACTIONS(16889), 1,
      sym_or_operator,
    ACTIONS(16891), 1,
      sym_assign_operator,
    ACTIONS(16920), 1,
      anon_sym_SEMI,
    STATE(2599), 1,
      sym_add_operator,
    STATE(14093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678292] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17095), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12431), 1,
      aux_sym_expression_item_repeat1,
    STATE(14094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15269), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [678331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13017), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [678364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13021), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [678397] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17097), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12498), 1,
      aux_sym_expression_item_repeat1,
    STATE(14097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15394), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [678436] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17099), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12547), 1,
      aux_sym_expression_item_repeat1,
    STATE(14098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15468), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [678475] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17101), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12336), 1,
      aux_sym_expression_item_repeat1,
    STATE(14099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15275), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [678514] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17103), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12342), 1,
      aux_sym_expression_item_repeat1,
    STATE(14100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15297), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [678553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9262), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [678586] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17075), 1,
      anon_sym_COMMA,
    ACTIONS(17077), 1,
      anon_sym_SEMI,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    ACTIONS(17087), 1,
      sym_rel_operator,
    ACTIONS(17089), 1,
      sym_and_operator,
    ACTIONS(17091), 1,
      sym_or_operator,
    ACTIONS(17093), 1,
      sym_assign_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678643] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16167), 1,
      anon_sym_let,
    ACTIONS(17105), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14103), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(16165), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [678678] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17108), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(12373), 1,
      aux_sym_expression_item_repeat1,
    STATE(14104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15245), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [678717] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17051), 1,
      anon_sym_else,
    STATE(12699), 1,
      sym_else_clause,
    STATE(14105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678754] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17110), 1,
      anon_sym_PIPE,
    STATE(14106), 1,
      sym_attribute,
    STATE(14108), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678791] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17110), 1,
      anon_sym_PIPE,
    STATE(14107), 1,
      sym_attribute,
    STATE(14109), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678828] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17110), 1,
      anon_sym_PIPE,
    STATE(14108), 1,
      sym_attribute,
    STATE(14110), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678865] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17110), 1,
      anon_sym_PIPE,
    STATE(14109), 1,
      sym_attribute,
    STATE(14110), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678902] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17112), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14110), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678937] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17075), 1,
      anon_sym_COMMA,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    ACTIONS(17087), 1,
      sym_rel_operator,
    ACTIONS(17089), 1,
      sym_and_operator,
    ACTIONS(17091), 1,
      sym_or_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 5,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [678990] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [679033] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17081), 1,
      sym_pow_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [679070] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17081), 1,
      sym_pow_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [679107] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15852), 1,
      anon_sym_let,
    ACTIONS(16944), 1,
      anon_sym_and,
    ACTIONS(16946), 1,
      sym_let_and_operator,
    STATE(14012), 1,
      aux_sym_value_definition_repeat1,
    STATE(14115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15850), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [679146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13025), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [679179] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [679224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13029), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [679257] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [679302] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    ACTIONS(17087), 1,
      sym_rel_operator,
    ACTIONS(17089), 1,
      sym_and_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [679351] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16806), 1,
      anon_sym_DASH_GT,
    ACTIONS(16808), 1,
      anon_sym_with,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(14121), 1,
      sym_attribute,
    STATE(14264), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17115), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679392] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15772), 1,
      anon_sym_let,
    ACTIONS(16944), 1,
      anon_sym_and,
    ACTIONS(16946), 1,
      sym_let_and_operator,
    STATE(14057), 1,
      aux_sym_value_definition_repeat1,
    STATE(14122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15770), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [679431] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    ACTIONS(17087), 1,
      sym_rel_operator,
    ACTIONS(17089), 1,
      sym_and_operator,
    ACTIONS(17091), 1,
      sym_or_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [679482] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2663), 1,
      anon_sym_DOT,
    STATE(14124), 1,
      sym_attribute,
    STATE(21809), 1,
      sym__infix_operator,
    STATE(22090), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1735), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1737), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1733), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(2669), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [679525] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17075), 1,
      anon_sym_COMMA,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    ACTIONS(17087), 1,
      sym_rel_operator,
    ACTIONS(17089), 1,
      sym_and_operator,
    ACTIONS(17091), 1,
      sym_or_operator,
    ACTIONS(17093), 1,
      sym_assign_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [679580] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16903), 1,
      anon_sym_and,
    ACTIONS(16982), 1,
      anon_sym_let,
    STATE(13990), 1,
      aux_sym_type_definition_repeat1,
    STATE(14126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16980), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [679617] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16903), 1,
      anon_sym_and,
    ACTIONS(16916), 1,
      anon_sym_let,
    STATE(13990), 1,
      aux_sym_type_definition_repeat1,
    STATE(14127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16914), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [679654] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5765), 1,
      aux_sym_number_token1,
    ACTIONS(5767), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5769), 1,
      anon_sym_SQUOTE,
    ACTIONS(5771), 1,
      anon_sym_DQUOTE,
    ACTIONS(17117), 1,
      anon_sym_LPAREN,
    ACTIONS(17121), 1,
      anon_sym_LBRACE,
    ACTIONS(17123), 1,
      anon_sym_begin,
    STATE(6817), 1,
      sym__signed_constant,
    STATE(14128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17119), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6599), 2,
      sym__constant,
      sym_signed_number,
    STATE(6711), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [679705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10490), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [679738] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [679777] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6657), 1,
      anon_sym_DOT,
    STATE(14131), 1,
      sym_attribute,
    STATE(20518), 1,
      sym__infix_operator,
    STATE(22090), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1735), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1737), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1733), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6663), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [679820] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17075), 1,
      anon_sym_COMMA,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    ACTIONS(17087), 1,
      sym_rel_operator,
    ACTIONS(17089), 1,
      sym_and_operator,
    ACTIONS(17091), 1,
      sym_or_operator,
    ACTIONS(17093), 1,
      sym_assign_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [679875] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17125), 1,
      anon_sym_else,
    STATE(12699), 1,
      sym_else_clause,
    STATE(14133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [679912] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17075), 1,
      anon_sym_COMMA,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    ACTIONS(17087), 1,
      sym_rel_operator,
    ACTIONS(17089), 1,
      sym_and_operator,
    ACTIONS(17091), 1,
      sym_or_operator,
    ACTIONS(17093), 1,
      sym_assign_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [679967] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16909), 1,
      anon_sym_and,
    ACTIONS(17066), 1,
      anon_sym_let,
    STATE(14033), 1,
      aux_sym_module_definition_repeat1,
    STATE(14135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [680004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [680037] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17075), 1,
      anon_sym_COMMA,
    ACTIONS(17077), 1,
      anon_sym_SEMI,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    ACTIONS(17087), 1,
      sym_rel_operator,
    ACTIONS(17089), 1,
      sym_and_operator,
    ACTIONS(17091), 1,
      sym_or_operator,
    ACTIONS(17093), 1,
      sym_assign_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11627), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [680094] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [680129] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17125), 1,
      anon_sym_else,
    STATE(12566), 1,
      sym_else_clause,
    STATE(14139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [680166] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2599), 1,
      sym_add_operator,
    STATE(14140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [680201] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16806), 1,
      anon_sym_DASH_GT,
    ACTIONS(16808), 1,
      anon_sym_with,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12726), 1,
      aux_sym_expression_item_repeat1,
    STATE(14141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15216), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680242] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17055), 1,
      anon_sym_PIPE,
    STATE(14076), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(14142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13533), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680279] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17055), 1,
      anon_sym_PIPE,
    STATE(14077), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(14143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15202), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680316] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17068), 1,
      anon_sym_PIPE,
    STATE(14086), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(14144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13533), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680353] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17068), 1,
      anon_sym_PIPE,
    STATE(14087), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(14145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15202), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680390] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16812), 1,
      anon_sym_DASH_GT,
    ACTIONS(16814), 1,
      anon_sym_with,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(14146), 1,
      sym_attribute,
    STATE(14366), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17012), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680431] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16812), 1,
      anon_sym_DASH_GT,
    ACTIONS(16814), 1,
      anon_sym_with,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(14147), 1,
      sym_attribute,
    STATE(14264), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17115), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680472] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16812), 1,
      anon_sym_DASH_GT,
    ACTIONS(16814), 1,
      anon_sym_with,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12726), 1,
      aux_sym_expression_item_repeat1,
    STATE(14148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15216), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680513] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16806), 1,
      anon_sym_DASH_GT,
    ACTIONS(16808), 1,
      anon_sym_with,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12917), 1,
      aux_sym_expression_item_repeat1,
    STATE(14149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15206), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680554] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_PIPE,
    ACTIONS(17075), 1,
      anon_sym_COMMA,
    ACTIONS(17079), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17081), 1,
      sym_pow_operator,
    ACTIONS(17083), 1,
      sym_mult_operator,
    ACTIONS(17085), 1,
      sym_concat_operator,
    ACTIONS(17087), 1,
      sym_rel_operator,
    ACTIONS(17089), 1,
      sym_and_operator,
    ACTIONS(17091), 1,
      sym_or_operator,
    ACTIONS(17093), 1,
      sym_assign_operator,
    STATE(2793), 1,
      sym_add_operator,
    STATE(14150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [680609] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16812), 1,
      anon_sym_DASH_GT,
    ACTIONS(16814), 1,
      anon_sym_with,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12917), 1,
      aux_sym_expression_item_repeat1,
    STATE(14151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15206), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680650] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16909), 1,
      anon_sym_and,
    ACTIONS(16986), 1,
      anon_sym_let,
    STATE(14085), 1,
      aux_sym_module_definition_repeat1,
    STATE(14152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16984), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [680687] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6441), 1,
      anon_sym_DOT,
    STATE(14153), 1,
      sym_attribute,
    STATE(22090), 1,
      sym_add_operator,
    STATE(22881), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1735), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1737), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1733), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6453), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [680730] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12937), 1,
      aux_sym_expression_item_repeat1,
    STATE(14154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17127), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(15146), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680769] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5651), 1,
      aux_sym_number_token1,
    ACTIONS(5653), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5655), 1,
      anon_sym_SQUOTE,
    ACTIONS(5657), 1,
      anon_sym_DQUOTE,
    ACTIONS(17129), 1,
      anon_sym_LPAREN,
    ACTIONS(17133), 1,
      anon_sym_LBRACE,
    ACTIONS(17135), 1,
      anon_sym_begin,
    STATE(6748), 1,
      sym__signed_constant,
    STATE(14155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17131), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6546), 2,
      sym__constant,
      sym_signed_number,
    STATE(6582), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [680820] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12937), 1,
      aux_sym_expression_item_repeat1,
    STATE(14156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17137), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(15146), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680859] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(17139), 1,
      anon_sym_LPAREN,
    ACTIONS(17141), 1,
      anon_sym_constraint,
    ACTIONS(17143), 1,
      anon_sym_val,
    ACTIONS(17145), 1,
      anon_sym_end,
    ACTIONS(17147), 1,
      anon_sym_inherit,
    ACTIONS(17149), 1,
      anon_sym_method,
    STATE(14157), 1,
      sym_attribute,
    STATE(14334), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15881), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(15884), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [680912] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(12805), 1,
      aux_sym_expression_item_repeat1,
    STATE(14158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17151), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(15188), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680951] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16877), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16879), 1,
      sym_pow_operator,
    ACTIONS(16881), 1,
      sym_mult_operator,
    STATE(2599), 1,
      sym_add_operator,
    STATE(14159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [680994] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17153), 1,
      anon_sym_COMMA,
    ACTIONS(17155), 1,
      anon_sym_SEMI,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    ACTIONS(17165), 1,
      sym_rel_operator,
    ACTIONS(17167), 1,
      sym_and_operator,
    ACTIONS(17169), 1,
      sym_or_operator,
    ACTIONS(17171), 1,
      sym_assign_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [681050] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    ACTIONS(17175), 1,
      anon_sym_SEMI,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    ACTIONS(17189), 1,
      sym_or_operator,
    ACTIONS(17191), 1,
      sym_assign_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [681106] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9370), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9372), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [681138] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16982), 1,
      anon_sym_let,
    ACTIONS(17193), 1,
      anon_sym_and,
    STATE(14163), 1,
      sym_attribute,
    STATE(14483), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16980), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [681174] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(14164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17195), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681210] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17159), 1,
      sym_pow_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17199), 1,
      anon_sym_let,
    STATE(14166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17197), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [681278] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17203), 1,
      anon_sym_let,
    ACTIONS(17205), 1,
      anon_sym_and,
    STATE(14167), 1,
      sym_attribute,
    STATE(14178), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17201), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [681314] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17203), 1,
      anon_sym_let,
    ACTIONS(17205), 1,
      anon_sym_and,
    STATE(14168), 1,
      sym_attribute,
    STATE(14179), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17201), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [681350] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17207), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(14169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681386] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [681430] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [681474] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17209), 1,
      anon_sym_PIPE,
    STATE(14172), 1,
      sym_attribute,
    STATE(14175), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681510] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17209), 1,
      anon_sym_PIPE,
    STATE(14173), 1,
      sym_attribute,
    STATE(14177), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17213), 1,
      anon_sym_let,
    STATE(14174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17211), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [681578] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17209), 1,
      anon_sym_PIPE,
    STATE(14175), 1,
      sym_attribute,
    STATE(14180), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681614] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14176), 1,
      sym_attribute,
    STATE(15174), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [681662] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17209), 1,
      anon_sym_PIPE,
    STATE(14177), 1,
      sym_attribute,
    STATE(14180), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681698] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16327), 1,
      anon_sym_let,
    ACTIONS(17215), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14178), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(16325), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [681732] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17205), 1,
      anon_sym_and,
    ACTIONS(17220), 1,
      anon_sym_let,
    STATE(14178), 1,
      aux_sym_class_definition_repeat1,
    STATE(14179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17218), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [681768] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17222), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14180), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17008), 1,
      anon_sym_let,
    STATE(14181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17006), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [681834] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17225), 1,
      sym_pow_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681870] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_PIPE,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    ACTIONS(17235), 1,
      sym_rel_operator,
    ACTIONS(17237), 1,
      sym_and_operator,
    ACTIONS(17239), 1,
      sym_or_operator,
    ACTIONS(17241), 1,
      sym_assign_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [681924] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17153), 1,
      anon_sym_COMMA,
    ACTIONS(17155), 1,
      anon_sym_SEMI,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    ACTIONS(17165), 1,
      sym_rel_operator,
    ACTIONS(17167), 1,
      sym_and_operator,
    ACTIONS(17169), 1,
      sym_or_operator,
    ACTIONS(17171), 1,
      sym_assign_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [681980] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17225), 1,
      sym_pow_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682016] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    ACTIONS(17165), 1,
      sym_rel_operator,
    ACTIONS(17167), 1,
      sym_and_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [682064] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    ACTIONS(17253), 1,
      sym_rel_operator,
    ACTIONS(17255), 1,
      sym_and_operator,
    ACTIONS(17257), 1,
      sym_or_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 4,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [682116] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14188), 1,
      sym_attribute,
    STATE(15552), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [682164] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    ACTIONS(17165), 1,
      sym_rel_operator,
    ACTIONS(17167), 1,
      sym_and_operator,
    ACTIONS(17169), 1,
      sym_or_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [682214] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14190), 1,
      sym_attribute,
    STATE(15205), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [682262] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(17259), 1,
      sym__lowercase_identifier,
    ACTIONS(17261), 1,
      anon_sym_POUND,
    STATE(14191), 1,
      sym_attribute,
    STATE(15178), 1,
      sym_type_constructor_path,
    STATE(20186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12603), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [682304] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17016), 1,
      anon_sym_let,
    ACTIONS(17193), 1,
      anon_sym_and,
    STATE(14192), 1,
      sym_attribute,
    STATE(14318), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17014), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [682340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9330), 1,
      anon_sym_let,
    STATE(14193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [682372] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14194), 1,
      sym_attribute,
    STATE(15353), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [682420] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682462] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9402), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9404), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [682494] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17153), 1,
      anon_sym_COMMA,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    ACTIONS(17165), 1,
      sym_rel_operator,
    ACTIONS(17167), 1,
      sym_and_operator,
    ACTIONS(17169), 1,
      sym_or_operator,
    ACTIONS(17171), 1,
      sym_assign_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [682548] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682586] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    ACTIONS(17235), 1,
      sym_rel_operator,
    ACTIONS(17237), 1,
      sym_and_operator,
    ACTIONS(17239), 1,
      sym_or_operator,
    ACTIONS(17241), 1,
      sym_assign_operator,
    ACTIONS(17263), 1,
      anon_sym_SEMI,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [682642] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9396), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [682674] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17247), 1,
      sym_pow_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682710] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17247), 1,
      sym_pow_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682746] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17265), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(14203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682782] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_PIPE,
    ACTIONS(17267), 1,
      anon_sym_COMMA,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    ACTIONS(17277), 1,
      sym_rel_operator,
    ACTIONS(17279), 1,
      sym_and_operator,
    ACTIONS(17281), 1,
      sym_or_operator,
    ACTIONS(17283), 1,
      sym_assign_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [682836] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    ACTIONS(17175), 1,
      anon_sym_SEMI,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    ACTIONS(17189), 1,
      sym_or_operator,
    ACTIONS(17191), 1,
      sym_assign_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [682892] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16327), 1,
      anon_sym_let,
    ACTIONS(17285), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14206), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(16325), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [682926] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14207), 1,
      sym_attribute,
    STATE(15316), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [682974] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17220), 1,
      anon_sym_let,
    ACTIONS(17288), 1,
      anon_sym_and,
    STATE(14206), 1,
      aux_sym_class_definition_repeat1,
    STATE(14208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17218), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [683010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17290), 1,
      anon_sym_let,
    STATE(14209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12147), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [683042] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17294), 1,
      anon_sym_SEMI,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    ACTIONS(17304), 1,
      sym_rel_operator,
    ACTIONS(17306), 1,
      sym_and_operator,
    ACTIONS(17308), 1,
      sym_or_operator,
    ACTIONS(17310), 1,
      sym_assign_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [683098] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17153), 1,
      anon_sym_COMMA,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    ACTIONS(17165), 1,
      sym_rel_operator,
    ACTIONS(17167), 1,
      sym_and_operator,
    ACTIONS(17169), 1,
      sym_or_operator,
    ACTIONS(17171), 1,
      sym_assign_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [683152] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14212), 1,
      sym_attribute,
    STATE(15331), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [683200] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17203), 1,
      anon_sym_let,
    ACTIONS(17288), 1,
      anon_sym_and,
    STATE(14206), 1,
      aux_sym_class_definition_repeat1,
    STATE(14213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17201), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [683236] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17153), 1,
      anon_sym_COMMA,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    ACTIONS(17165), 1,
      sym_rel_operator,
    ACTIONS(17167), 1,
      sym_and_operator,
    ACTIONS(17169), 1,
      sym_or_operator,
    ACTIONS(17171), 1,
      sym_assign_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [683290] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(17312), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17316), 1,
      anon_sym_nonrec,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    STATE(14215), 1,
      sym_attribute,
    STATE(14965), 1,
      sym_type_binding,
    STATE(15025), 1,
      sym__attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17187), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23518), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [683350] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [683394] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14217), 1,
      sym_attribute,
    STATE(15511), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [683442] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [683486] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(14219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683522] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14220), 1,
      sym_attribute,
    STATE(15555), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [683570] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17271), 1,
      sym_pow_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683606] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17271), 1,
      sym_pow_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683642] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [683686] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [683730] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [683774] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17326), 1,
      anon_sym_else,
    STATE(12699), 1,
      sym_else_clause,
    STATE(14226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683810] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14227), 1,
      sym_attribute,
    STATE(15352), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [683858] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    ACTIONS(17253), 1,
      sym_rel_operator,
    ACTIONS(17255), 1,
      sym_and_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [683906] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683940] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    ACTIONS(17253), 1,
      sym_rel_operator,
    ACTIONS(17255), 1,
      sym_and_operator,
    ACTIONS(17257), 1,
      sym_or_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [683990] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17326), 1,
      anon_sym_else,
    STATE(12566), 1,
      sym_else_clause,
    STATE(14231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684026] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    ACTIONS(17253), 1,
      sym_rel_operator,
    ACTIONS(17255), 1,
      sym_and_operator,
    ACTIONS(17257), 1,
      sym_or_operator,
    ACTIONS(17328), 1,
      sym_assign_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [684080] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684118] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    ACTIONS(17253), 1,
      sym_rel_operator,
    ACTIONS(17255), 1,
      sym_and_operator,
    ACTIONS(17257), 1,
      sym_or_operator,
    ACTIONS(17328), 1,
      sym_assign_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [684172] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9458), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9460), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [684204] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17330), 1,
      anon_sym_else,
    STATE(12699), 1,
      sym_else_clause,
    STATE(14236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684240] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684274] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    ACTIONS(17189), 1,
      sym_or_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 4,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [684326] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17332), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(14239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684362] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17334), 1,
      anon_sym_PIPE,
    STATE(14240), 1,
      sym_attribute,
    STATE(14242), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684398] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17334), 1,
      anon_sym_PIPE,
    STATE(14241), 1,
      sym_attribute,
    STATE(14243), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684434] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17334), 1,
      anon_sym_PIPE,
    STATE(14242), 1,
      sym_attribute,
    STATE(14244), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684470] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17334), 1,
      anon_sym_PIPE,
    STATE(14243), 1,
      sym_attribute,
    STATE(14244), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684506] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17336), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14244), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684540] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    ACTIONS(17253), 1,
      sym_rel_operator,
    ACTIONS(17255), 1,
      sym_and_operator,
    ACTIONS(17257), 1,
      sym_or_operator,
    ACTIONS(17328), 1,
      sym_assign_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [684594] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17339), 1,
      sym__lowercase_identifier,
    ACTIONS(17341), 1,
      anon_sym_nonrec,
    STATE(14246), 1,
      sym_attribute,
    STATE(14992), 1,
      sym_type_binding,
    STATE(15015), 1,
      sym__attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17311), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23536), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [684654] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(17259), 1,
      sym__lowercase_identifier,
    ACTIONS(17343), 1,
      anon_sym_DASH_GT,
    ACTIONS(17345), 1,
      anon_sym_STAR,
    ACTIONS(17347), 1,
      anon_sym_POUND,
    STATE(14247), 1,
      sym_attribute,
    STATE(15083), 1,
      sym_type_constructor_path,
    STATE(20186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 3,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11714), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [684700] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [684744] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    ACTIONS(17235), 1,
      sym_rel_operator,
    ACTIONS(17237), 1,
      sym_and_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [684792] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(14250), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [684840] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [684874] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17349), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(14252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684910] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684952] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14254), 1,
      sym_attribute,
    STATE(15408), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [685000] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    STATE(10548), 1,
      sym__module_expression,
    STATE(10562), 1,
      sym_module_path,
    STATE(14255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [685048] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(14256), 1,
      sym_attribute,
    STATE(15258), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [685096] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17353), 1,
      anon_sym_let,
    ACTIONS(17355), 1,
      anon_sym_and,
    STATE(14257), 1,
      sym_attribute,
    STATE(14272), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17351), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [685132] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14258), 1,
      sym_attribute,
    STATE(15450), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [685180] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17179), 1,
      sym_pow_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685216] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17179), 1,
      sym_pow_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685252] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [685296] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [685340] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    ACTIONS(17277), 1,
      sym_rel_operator,
    ACTIONS(17279), 1,
      sym_and_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [685388] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(14264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17357), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685424] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14265), 1,
      sym_attribute,
    STATE(15359), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [685472] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [685520] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    ACTIONS(17189), 1,
      sym_or_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [685570] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    ACTIONS(17189), 1,
      sym_or_operator,
    ACTIONS(17191), 1,
      sym_assign_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [685624] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14269), 1,
      sym_attribute,
    STATE(15373), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [685672] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14270), 1,
      sym_attribute,
    STATE(15539), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [685720] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    STATE(10562), 1,
      sym_module_path,
    STATE(10750), 1,
      sym__module_expression,
    STATE(14271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [685768] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17203), 1,
      anon_sym_let,
    ACTIONS(17355), 1,
      anon_sym_and,
    STATE(14272), 1,
      sym_attribute,
    STATE(14409), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17201), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [685804] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17203), 1,
      anon_sym_let,
    ACTIONS(17355), 1,
      anon_sym_and,
    STATE(14273), 1,
      sym_attribute,
    STATE(14408), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17201), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [685840] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17359), 1,
      anon_sym_constraint,
    ACTIONS(17362), 1,
      anon_sym_val,
    ACTIONS(17365), 1,
      anon_sym_end,
    ACTIONS(17367), 1,
      anon_sym_inherit,
    ACTIONS(17370), 1,
      anon_sym_method,
    ACTIONS(17373), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(17376), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(17379), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14274), 2,
      sym_attribute,
      aux_sym_class_body_type_repeat1,
    STATE(15881), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(15884), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [685888] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    ACTIONS(17277), 1,
      sym_rel_operator,
    ACTIONS(17279), 1,
      sym_and_operator,
    ACTIONS(17281), 1,
      sym_or_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [685938] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685976] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    ACTIONS(17189), 1,
      sym_or_operator,
    ACTIONS(17191), 1,
      sym_assign_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [686030] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    ACTIONS(17235), 1,
      sym_rel_operator,
    ACTIONS(17237), 1,
      sym_and_operator,
    ACTIONS(17239), 1,
      sym_or_operator,
    ACTIONS(17241), 1,
      sym_assign_operator,
    ACTIONS(17263), 1,
      anon_sym_SEMI,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [686086] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17382), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(14279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686122] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    STATE(14280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 9,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [686156] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_PIPE,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    ACTIONS(17304), 1,
      sym_rel_operator,
    ACTIONS(17306), 1,
      sym_and_operator,
    ACTIONS(17308), 1,
      sym_or_operator,
    ACTIONS(17310), 1,
      sym_assign_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [686210] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14282), 1,
      sym_attribute,
    STATE(15318), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [686258] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14283), 1,
      sym_attribute,
    STATE(15391), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [686306] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(17141), 1,
      anon_sym_constraint,
    ACTIONS(17143), 1,
      anon_sym_val,
    ACTIONS(17147), 1,
      anon_sym_inherit,
    ACTIONS(17149), 1,
      anon_sym_method,
    ACTIONS(17384), 1,
      anon_sym_end,
    STATE(14274), 1,
      aux_sym_class_body_type_repeat1,
    STATE(14284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15881), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(15884), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [686356] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17386), 1,
      anon_sym_PIPE,
    STATE(14285), 1,
      sym_attribute,
    STATE(14301), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686392] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17267), 1,
      anon_sym_COMMA,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    ACTIONS(17277), 1,
      sym_rel_operator,
    ACTIONS(17279), 1,
      sym_and_operator,
    ACTIONS(17281), 1,
      sym_or_operator,
    ACTIONS(17283), 1,
      sym_assign_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [686446] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17386), 1,
      anon_sym_PIPE,
    STATE(14287), 1,
      sym_attribute,
    STATE(14315), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686482] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686520] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    STATE(10562), 1,
      sym_module_path,
    STATE(10677), 1,
      sym__module_expression,
    STATE(14289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [686568] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    ACTIONS(17235), 1,
      sym_rel_operator,
    ACTIONS(17237), 1,
      sym_and_operator,
    ACTIONS(17239), 1,
      sym_or_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [686618] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    ACTIONS(17235), 1,
      sym_rel_operator,
    ACTIONS(17237), 1,
      sym_and_operator,
    ACTIONS(17239), 1,
      sym_or_operator,
    ACTIONS(17241), 1,
      sym_assign_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [686672] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17388), 1,
      anon_sym_PIPE,
    STATE(14292), 1,
      sym_attribute,
    STATE(14294), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15202), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686708] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15089), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17388), 1,
      anon_sym_PIPE,
    STATE(14293), 1,
      sym_attribute,
    STATE(14294), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15087), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686744] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14828), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17390), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14294), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14826), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686778] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14295), 1,
      sym_attribute,
    STATE(15405), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [686826] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17231), 1,
      sym_mult_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686864] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17267), 1,
      anon_sym_COMMA,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    ACTIONS(17277), 1,
      sym_rel_operator,
    ACTIONS(17279), 1,
      sym_and_operator,
    ACTIONS(17281), 1,
      sym_or_operator,
    ACTIONS(17283), 1,
      sym_assign_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [686918] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(17259), 1,
      sym__lowercase_identifier,
    ACTIONS(17347), 1,
      anon_sym_POUND,
    ACTIONS(17393), 1,
      anon_sym_STAR,
    STATE(14298), 1,
      sym_attribute,
    STATE(15083), 1,
      sym_type_constructor_path,
    STATE(20186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 4,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12531), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [686962] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    ACTIONS(17235), 1,
      sym_rel_operator,
    ACTIONS(17237), 1,
      sym_and_operator,
    ACTIONS(17239), 1,
      sym_or_operator,
    ACTIONS(17241), 1,
      sym_assign_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [687016] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17203), 1,
      anon_sym_let,
    ACTIONS(17288), 1,
      anon_sym_and,
    STATE(14208), 1,
      aux_sym_class_definition_repeat1,
    STATE(14300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17201), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [687052] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17386), 1,
      anon_sym_PIPE,
    STATE(14301), 1,
      sym_attribute,
    STATE(14316), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687088] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17395), 1,
      anon_sym_PIPE,
    STATE(14302), 1,
      sym_attribute,
    STATE(14304), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687124] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17395), 1,
      anon_sym_PIPE,
    STATE(14303), 1,
      sym_attribute,
    STATE(14312), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687160] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17395), 1,
      anon_sym_PIPE,
    STATE(14304), 1,
      sym_attribute,
    STATE(14313), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687196] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17397), 1,
      anon_sym_PIPE,
    STATE(14305), 1,
      sym_attribute,
    STATE(14307), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15202), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687232] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15089), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17397), 1,
      anon_sym_PIPE,
    STATE(14306), 1,
      sym_attribute,
    STATE(14307), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15087), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687268] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14828), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17399), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14307), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14826), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687302] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14308), 1,
      sym_attribute,
    STATE(15420), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [687350] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_PIPE,
    ACTIONS(17153), 1,
      anon_sym_COMMA,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    ACTIONS(17165), 1,
      sym_rel_operator,
    ACTIONS(17167), 1,
      sym_and_operator,
    ACTIONS(17169), 1,
      sym_or_operator,
    ACTIONS(17171), 1,
      sym_assign_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [687404] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17402), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(14310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687440] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14311), 1,
      sym_attribute,
    STATE(15389), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [687488] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17395), 1,
      anon_sym_PIPE,
    STATE(14312), 1,
      sym_attribute,
    STATE(14313), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687524] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17404), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14313), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687558] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    STATE(10562), 1,
      sym_module_path,
    STATE(10759), 1,
      sym__module_expression,
    STATE(14314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [687606] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17386), 1,
      anon_sym_PIPE,
    STATE(14315), 1,
      sym_attribute,
    STATE(14316), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687642] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17407), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14316), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687676] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14317), 1,
      sym_attribute,
    STATE(15436), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [687724] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15796), 1,
      anon_sym_let,
    ACTIONS(17410), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14318), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15794), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [687758] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687792] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17332), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(14320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687828] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14321), 1,
      sym_attribute,
    STATE(15464), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [687876] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14322), 1,
      sym_attribute,
    STATE(15451), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [687924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(12509), 9,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [687956] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17267), 1,
      anon_sym_COMMA,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    ACTIONS(17277), 1,
      sym_rel_operator,
    ACTIONS(17279), 1,
      sym_and_operator,
    ACTIONS(17281), 1,
      sym_or_operator,
    ACTIONS(17283), 1,
      sym_assign_operator,
    ACTIONS(17413), 1,
      anon_sym_SEMI,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [688012] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [688046] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17324), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(14326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [688082] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_PIPE,
    ACTIONS(17415), 1,
      anon_sym_COMMA,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    ACTIONS(17425), 1,
      sym_rel_operator,
    ACTIONS(17427), 1,
      sym_and_operator,
    ACTIONS(17429), 1,
      sym_or_operator,
    ACTIONS(17431), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [688136] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14328), 1,
      sym_attribute,
    STATE(15471), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688184] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14329), 1,
      sym_attribute,
    STATE(15521), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688232] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14330), 1,
      sym_attribute,
    STATE(15447), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688280] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17433), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(14331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [688316] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17435), 1,
      anon_sym_PIPE,
    STATE(14332), 1,
      sym_attribute,
    STATE(14341), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [688352] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14333), 1,
      sym_attribute,
    STATE(15465), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688400] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(17141), 1,
      anon_sym_constraint,
    ACTIONS(17143), 1,
      anon_sym_val,
    ACTIONS(17147), 1,
      anon_sym_inherit,
    ACTIONS(17149), 1,
      anon_sym_method,
    ACTIONS(17437), 1,
      anon_sym_end,
    STATE(14274), 1,
      aux_sym_class_body_type_repeat1,
    STATE(14334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15881), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(15884), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [688450] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14335), 1,
      sym_attribute,
    STATE(15330), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688498] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9436), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9438), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [688530] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17267), 1,
      anon_sym_COMMA,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    ACTIONS(17277), 1,
      sym_rel_operator,
    ACTIONS(17279), 1,
      sym_and_operator,
    ACTIONS(17281), 1,
      sym_or_operator,
    ACTIONS(17283), 1,
      sym_assign_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [688584] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17439), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(14338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [688620] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9488), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [688652] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    ACTIONS(17253), 1,
      sym_rel_operator,
    ACTIONS(17255), 1,
      sym_and_operator,
    ACTIONS(17257), 1,
      sym_or_operator,
    ACTIONS(17328), 1,
      sym_assign_operator,
    ACTIONS(17441), 1,
      anon_sym_SEMI,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [688708] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17443), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14341), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [688742] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17265), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(14342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [688778] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17075), 1,
      anon_sym_COMMA,
    STATE(14343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 9,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [688812] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(14344), 1,
      sym_attribute,
    STATE(15307), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688860] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    ACTIONS(17253), 1,
      sym_rel_operator,
    ACTIONS(17255), 1,
      sym_and_operator,
    ACTIONS(17257), 1,
      sym_or_operator,
    ACTIONS(17328), 1,
      sym_assign_operator,
    ACTIONS(17441), 1,
      anon_sym_SEMI,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [688916] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14346), 1,
      sym_attribute,
    STATE(15553), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688964] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    ACTIONS(17253), 1,
      sym_rel_operator,
    ACTIONS(17255), 1,
      sym_and_operator,
    ACTIONS(17257), 1,
      sym_or_operator,
    ACTIONS(17328), 1,
      sym_assign_operator,
    ACTIONS(17441), 1,
      anon_sym_SEMI,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [689020] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17435), 1,
      anon_sym_PIPE,
    STATE(14348), 1,
      sym_attribute,
    STATE(14400), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [689056] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16982), 1,
      anon_sym_let,
    ACTIONS(17193), 1,
      anon_sym_and,
    STATE(14318), 1,
      aux_sym_type_definition_repeat1,
    STATE(14349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16980), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [689092] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    STATE(10507), 1,
      sym__module_expression,
    STATE(10562), 1,
      sym_module_path,
    STATE(14350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689140] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14351), 1,
      sym_attribute,
    STATE(15516), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689188] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    ACTIONS(17235), 1,
      sym_rel_operator,
    ACTIONS(17237), 1,
      sym_and_operator,
    ACTIONS(17239), 1,
      sym_or_operator,
    ACTIONS(17241), 1,
      sym_assign_operator,
    ACTIONS(17263), 1,
      anon_sym_SEMI,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [689244] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    STATE(10513), 1,
      sym__module_expression,
    STATE(10562), 1,
      sym_module_path,
    STATE(14353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9496), 1,
      anon_sym_let,
    STATE(14354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [689324] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14355), 1,
      sym_attribute,
    STATE(15496), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689372] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12683), 1,
      anon_sym_COLON2,
    STATE(14356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10400), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [689406] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(14164), 1,
      aux_sym_expression_item_repeat1,
    STATE(14357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17446), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689442] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17153), 1,
      anon_sym_COMMA,
    ACTIONS(17155), 1,
      anon_sym_SEMI,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    ACTIONS(17165), 1,
      sym_rel_operator,
    ACTIONS(17167), 1,
      sym_and_operator,
    ACTIONS(17169), 1,
      sym_or_operator,
    ACTIONS(17171), 1,
      sym_assign_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [689498] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17294), 1,
      anon_sym_SEMI,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    ACTIONS(17304), 1,
      sym_rel_operator,
    ACTIONS(17306), 1,
      sym_and_operator,
    ACTIONS(17308), 1,
      sym_or_operator,
    ACTIONS(17310), 1,
      sym_assign_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [689554] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(14360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17448), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689590] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12531), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14659), 1,
      anon_sym_STAR,
    STATE(14361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689624] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17294), 1,
      anon_sym_SEMI,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    ACTIONS(17304), 1,
      sym_rel_operator,
    ACTIONS(17306), 1,
      sym_and_operator,
    ACTIONS(17308), 1,
      sym_or_operator,
    ACTIONS(17310), 1,
      sym_assign_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [689680] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    ACTIONS(17189), 1,
      sym_or_operator,
    ACTIONS(17191), 1,
      sym_assign_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [689734] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17450), 1,
      anon_sym_PIPE,
    STATE(14364), 1,
      sym_attribute,
    STATE(14374), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [689770] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17450), 1,
      anon_sym_PIPE,
    STATE(14365), 1,
      sym_attribute,
    STATE(14375), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [689806] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11968), 1,
      aux_sym_expression_item_repeat1,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(14366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17452), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689842] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14367), 1,
      sym_attribute,
    STATE(15484), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689890] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14368), 1,
      sym_attribute,
    STATE(15482), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9362), 1,
      anon_sym_let,
    STATE(14369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [689970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9370), 1,
      anon_sym_let,
    STATE(14370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [690002] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    STATE(10562), 1,
      sym_module_path,
    STATE(10627), 1,
      sym__module_expression,
    STATE(14371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690050] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12446), 1,
      sym_item_attribute,
    STATE(14360), 1,
      aux_sym_expression_item_repeat1,
    STATE(14372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17454), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9394), 1,
      anon_sym_let,
    STATE(14373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [690118] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17450), 1,
      anon_sym_PIPE,
    STATE(14374), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690154] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17450), 1,
      anon_sym_PIPE,
    STATE(14375), 1,
      sym_attribute,
    STATE(14386), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690190] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    STATE(10562), 1,
      sym_module_path,
    STATE(10633), 1,
      sym__module_expression,
    STATE(14376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690238] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    ACTIONS(17304), 1,
      sym_rel_operator,
    ACTIONS(17306), 1,
      sym_and_operator,
    ACTIONS(17308), 1,
      sym_or_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 4,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [690290] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690332] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17298), 1,
      sym_pow_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690368] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17298), 1,
      sym_pow_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690404] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [690448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9402), 1,
      anon_sym_let,
    STATE(14382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [690480] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [690524] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    ACTIONS(17304), 1,
      sym_rel_operator,
    ACTIONS(17306), 1,
      sym_and_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [690572] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    ACTIONS(17304), 1,
      sym_rel_operator,
    ACTIONS(17306), 1,
      sym_and_operator,
    ACTIONS(17308), 1,
      sym_or_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [690622] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17456), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14386), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690656] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    ACTIONS(17304), 1,
      sym_rel_operator,
    ACTIONS(17306), 1,
      sym_and_operator,
    ACTIONS(17308), 1,
      sym_or_operator,
    ACTIONS(17310), 1,
      sym_assign_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [690710] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17415), 1,
      anon_sym_COMMA,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    ACTIONS(17425), 1,
      sym_rel_operator,
    ACTIONS(17427), 1,
      sym_and_operator,
    ACTIONS(17429), 1,
      sym_or_operator,
    ACTIONS(17431), 1,
      sym_assign_operator,
    ACTIONS(17459), 1,
      anon_sym_SEMI,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [690766] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    ACTIONS(17175), 1,
      anon_sym_SEMI,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    ACTIONS(17189), 1,
      sym_or_operator,
    ACTIONS(17191), 1,
      sym_assign_operator,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [690822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9458), 1,
      anon_sym_let,
    STATE(14390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [690854] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17435), 1,
      anon_sym_PIPE,
    STATE(14332), 1,
      aux_sym__match_cases_repeat1,
    STATE(14391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [690890] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14392), 1,
      sym_attribute,
    STATE(15498), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690938] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17415), 1,
      anon_sym_COMMA,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    ACTIONS(17425), 1,
      sym_rel_operator,
    ACTIONS(17427), 1,
      sym_and_operator,
    ACTIONS(17429), 1,
      sym_or_operator,
    ACTIONS(17431), 1,
      sym_assign_operator,
    ACTIONS(17459), 1,
      anon_sym_SEMI,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [690994] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14394), 1,
      sym_attribute,
    STATE(15382), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691042] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691080] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    ACTIONS(17304), 1,
      sym_rel_operator,
    ACTIONS(17306), 1,
      sym_and_operator,
    ACTIONS(17308), 1,
      sym_or_operator,
    ACTIONS(17310), 1,
      sym_assign_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [691134] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    ACTIONS(17296), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17298), 1,
      sym_pow_operator,
    ACTIONS(17300), 1,
      sym_mult_operator,
    ACTIONS(17302), 1,
      sym_concat_operator,
    ACTIONS(17304), 1,
      sym_rel_operator,
    ACTIONS(17306), 1,
      sym_and_operator,
    ACTIONS(17308), 1,
      sym_or_operator,
    ACTIONS(17310), 1,
      sym_assign_operator,
    STATE(2812), 1,
      sym_add_operator,
    STATE(14397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [691188] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17461), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(14398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691224] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(71), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(14282), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(14284), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(17141), 1,
      anon_sym_constraint,
    ACTIONS(17143), 1,
      anon_sym_val,
    ACTIONS(17147), 1,
      anon_sym_inherit,
    ACTIONS(17149), 1,
      anon_sym_method,
    ACTIONS(17463), 1,
      anon_sym_end,
    STATE(14284), 1,
      aux_sym_class_body_type_repeat1,
    STATE(14399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15881), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(15884), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [691274] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17435), 1,
      anon_sym_PIPE,
    STATE(14341), 1,
      aux_sym__match_cases_repeat1,
    STATE(14400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691310] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    STATE(10167), 1,
      sym__module_expression,
    STATE(10562), 1,
      sym_module_path,
    STATE(14401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691358] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14402), 1,
      sym_attribute,
    STATE(15486), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691406] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14208), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17465), 1,
      anon_sym_EQ,
    ACTIONS(17467), 1,
      anon_sym_of,
    ACTIONS(17469), 1,
      anon_sym_COLON2,
    STATE(14403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14206), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [691444] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14218), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17471), 1,
      anon_sym_EQ,
    ACTIONS(17473), 1,
      anon_sym_of,
    ACTIONS(17475), 1,
      anon_sym_COLON2,
    STATE(14404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14216), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [691482] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17477), 1,
      sym__lowercase_identifier,
    ACTIONS(17479), 1,
      anon_sym_nonrec,
    STATE(13988), 1,
      sym_type_binding,
    STATE(14405), 1,
      sym_attribute,
    STATE(15089), 1,
      sym__attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17106), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(20878), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [691542] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14406), 1,
      sym_attribute,
    STATE(15315), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691590] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14139), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17481), 1,
      anon_sym_EQ,
    ACTIONS(17483), 1,
      anon_sym_of,
    ACTIONS(17485), 1,
      anon_sym_COLON2,
    STATE(14407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14137), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [691628] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17220), 1,
      anon_sym_let,
    ACTIONS(17355), 1,
      anon_sym_and,
    STATE(14408), 1,
      sym_attribute,
    STATE(14409), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17218), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [691664] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16327), 1,
      anon_sym_let,
    ACTIONS(17487), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14409), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(16325), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [691698] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691732] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17461), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(14411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [691768] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    ACTIONS(17235), 1,
      sym_rel_operator,
    ACTIONS(17237), 1,
      sym_and_operator,
    ACTIONS(17239), 1,
      sym_or_operator,
    ACTIONS(17241), 1,
      sym_assign_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [691822] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14413), 1,
      sym_attribute,
    STATE(15515), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9432), 1,
      anon_sym_let,
    STATE(14414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [691902] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17267), 1,
      anon_sym_COMMA,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    ACTIONS(17277), 1,
      sym_rel_operator,
    ACTIONS(17279), 1,
      sym_and_operator,
    ACTIONS(17281), 1,
      sym_or_operator,
    ACTIONS(17283), 1,
      sym_assign_operator,
    ACTIONS(17413), 1,
      anon_sym_SEMI,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [691958] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14416), 1,
      sym_attribute,
    STATE(15310), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692006] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17267), 1,
      anon_sym_COMMA,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    ACTIONS(17277), 1,
      sym_rel_operator,
    ACTIONS(17279), 1,
      sym_and_operator,
    ACTIONS(17281), 1,
      sym_or_operator,
    ACTIONS(17283), 1,
      sym_assign_operator,
    ACTIONS(17413), 1,
      anon_sym_SEMI,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [692062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9436), 1,
      anon_sym_let,
    STATE(14418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9486), 1,
      anon_sym_let,
    STATE(14419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692126] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17207), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(14420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [692162] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(17259), 1,
      sym__lowercase_identifier,
    ACTIONS(17347), 1,
      anon_sym_POUND,
    STATE(14421), 1,
      sym_attribute,
    STATE(15083), 1,
      sym_type_constructor_path,
    STATE(20186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12563), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [692204] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(14422), 1,
      sym_attribute,
    STATE(15212), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692252] = 18,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17490), 1,
      anon_sym_COLON_GT,
    ACTIONS(17492), 1,
      anon_sym_RPAREN,
    ACTIONS(17494), 1,
      anon_sym_COLON2,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14423), 1,
      sym_attribute,
    STATE(19578), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [692310] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(14424), 1,
      sym_attribute,
    STATE(15223), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692358] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14425), 1,
      sym_attribute,
    STATE(15509), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9236), 1,
      anon_sym_let,
    STATE(14426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9532), 1,
      anon_sym_let,
    STATE(14427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9534), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692470] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_PIPE,
    STATE(14428), 1,
      sym_attribute,
    STATE(14442), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [692506] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(14429), 1,
      sym_attribute,
    STATE(15206), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692554] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(14430), 1,
      sym_attribute,
    STATE(15233), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9304), 1,
      anon_sym_let,
    STATE(14431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9312), 1,
      anon_sym_let,
    STATE(14432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9334), 1,
      anon_sym_let,
    STATE(14433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9342), 1,
      anon_sym_let,
    STATE(14434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692730] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(14435), 1,
      sym_attribute,
    STATE(15211), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692778] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17498), 1,
      anon_sym_COLON2,
    STATE(14436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10400), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [692812] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17267), 1,
      anon_sym_COMMA,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    ACTIONS(17275), 1,
      sym_concat_operator,
    ACTIONS(17277), 1,
      sym_rel_operator,
    ACTIONS(17279), 1,
      sym_and_operator,
    ACTIONS(17281), 1,
      sym_or_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 4,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [692864] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17205), 1,
      anon_sym_and,
    ACTIONS(17353), 1,
      anon_sym_let,
    STATE(14167), 1,
      aux_sym_class_definition_repeat1,
    STATE(14438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17351), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [692900] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_PIPE,
    STATE(14439), 1,
      sym_attribute,
    STATE(14478), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [692936] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17269), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17271), 1,
      sym_pow_operator,
    ACTIONS(17273), 1,
      sym_mult_operator,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [692978] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    STATE(10515), 1,
      sym__module_expression,
    STATE(10562), 1,
      sym_module_path,
    STATE(14441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693026] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_PIPE,
    STATE(14442), 1,
      sym_attribute,
    STATE(14481), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [693062] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16986), 1,
      anon_sym_let,
    ACTIONS(17500), 1,
      anon_sym_and,
    STATE(14443), 1,
      sym_attribute,
    STATE(14503), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16984), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [693098] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17439), 1,
      anon_sym_else,
    STATE(9805), 1,
      sym_else_clause,
    STATE(14444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [693134] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14445), 1,
      sym_attribute,
    STATE(15526), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693182] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17415), 1,
      anon_sym_COMMA,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    ACTIONS(17425), 1,
      sym_rel_operator,
    ACTIONS(17427), 1,
      sym_and_operator,
    ACTIONS(17429), 1,
      sym_or_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 4,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [693234] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [693276] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14448), 1,
      sym_attribute,
    STATE(15354), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693324] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9432), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9434), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [693356] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17419), 1,
      sym_pow_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [693392] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17419), 1,
      sym_pow_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [693428] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [693472] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15454), 1,
      anon_sym_functor,
    ACTIONS(15456), 1,
      anon_sym_struct,
    STATE(10034), 1,
      sym__module_expression,
    STATE(10562), 1,
      sym_module_path,
    STATE(14453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693520] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14454), 1,
      sym_attribute,
    STATE(15525), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693568] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    ACTIONS(17233), 1,
      sym_concat_operator,
    ACTIONS(17235), 1,
      sym_rel_operator,
    ACTIONS(17237), 1,
      sym_and_operator,
    ACTIONS(17239), 1,
      sym_or_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [693620] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14456), 1,
      sym_attribute,
    STATE(15412), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693668] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9362), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9364), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [693700] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [693744] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    ACTIONS(17425), 1,
      sym_rel_operator,
    ACTIONS(17427), 1,
      sym_and_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [693792] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    ACTIONS(17425), 1,
      sym_rel_operator,
    ACTIONS(17427), 1,
      sym_and_operator,
    ACTIONS(17429), 1,
      sym_or_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [693842] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17388), 1,
      anon_sym_PIPE,
    STATE(14292), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(14461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13533), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693878] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17388), 1,
      anon_sym_PIPE,
    STATE(14293), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(14462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15202), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693914] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14463), 1,
      sym_attribute,
    STATE(15537), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693962] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17225), 1,
      sym_pow_operator,
    ACTIONS(17229), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17231), 1,
      sym_mult_operator,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694004] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13535), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17397), 1,
      anon_sym_PIPE,
    STATE(14305), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(14465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13533), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694040] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15204), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17397), 1,
      anon_sym_PIPE,
    STATE(14306), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(14466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15202), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694076] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14467), 1,
      sym_attribute,
    STATE(15423), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694124] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17415), 1,
      anon_sym_COMMA,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    ACTIONS(17425), 1,
      sym_rel_operator,
    ACTIONS(17427), 1,
      sym_and_operator,
    ACTIONS(17429), 1,
      sym_or_operator,
    ACTIONS(17431), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [694178] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694216] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14470), 1,
      sym_attribute,
    STATE(15536), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694264] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(14471), 1,
      sym_attribute,
    STATE(14716), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694312] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11675), 1,
      anon_sym_PIPE,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    ACTIONS(17245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17247), 1,
      sym_pow_operator,
    ACTIONS(17249), 1,
      sym_mult_operator,
    ACTIONS(17251), 1,
      sym_concat_operator,
    ACTIONS(17253), 1,
      sym_rel_operator,
    ACTIONS(17255), 1,
      sym_and_operator,
    ACTIONS(17257), 1,
      sym_or_operator,
    ACTIONS(17328), 1,
      sym_assign_operator,
    STATE(2380), 1,
      sym_add_operator,
    STATE(14472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [694366] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17415), 1,
      anon_sym_COMMA,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    ACTIONS(17425), 1,
      sym_rel_operator,
    ACTIONS(17427), 1,
      sym_and_operator,
    ACTIONS(17429), 1,
      sym_or_operator,
    ACTIONS(17431), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [694420] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17415), 1,
      anon_sym_COMMA,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    ACTIONS(17425), 1,
      sym_rel_operator,
    ACTIONS(17427), 1,
      sym_and_operator,
    ACTIONS(17429), 1,
      sym_or_operator,
    ACTIONS(17431), 1,
      sym_assign_operator,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [694474] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16916), 1,
      anon_sym_let,
    ACTIONS(17193), 1,
      anon_sym_and,
    STATE(14192), 1,
      aux_sym_type_definition_repeat1,
    STATE(14475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16914), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [694510] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17288), 1,
      anon_sym_and,
    ACTIONS(17353), 1,
      anon_sym_let,
    STATE(14213), 1,
      aux_sym_class_definition_repeat1,
    STATE(14476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17351), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [694546] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14477), 1,
      sym_attribute,
    STATE(15480), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694594] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17496), 1,
      anon_sym_PIPE,
    STATE(14478), 1,
      sym_attribute,
    STATE(14481), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694630] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17153), 1,
      anon_sym_COMMA,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    ACTIONS(17163), 1,
      sym_concat_operator,
    ACTIONS(17165), 1,
      sym_rel_operator,
    ACTIONS(17167), 1,
      sym_and_operator,
    ACTIONS(17169), 1,
      sym_or_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [694682] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17382), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(14480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694718] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17502), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14481), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694752] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17157), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17159), 1,
      sym_pow_operator,
    ACTIONS(17161), 1,
      sym_mult_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [694794] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16916), 1,
      anon_sym_let,
    ACTIONS(17193), 1,
      anon_sym_and,
    STATE(14318), 1,
      aux_sym_type_definition_repeat1,
    STATE(14483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16914), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [694830] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14484), 1,
      sym_attribute,
    STATE(15549), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694878] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14208), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17465), 1,
      anon_sym_EQ,
    ACTIONS(17505), 1,
      anon_sym_of,
    ACTIONS(17507), 1,
      anon_sym_COLON2,
    STATE(14485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14206), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694916] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14218), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17471), 1,
      anon_sym_EQ,
    ACTIONS(17509), 1,
      anon_sym_of,
    ACTIONS(17511), 1,
      anon_sym_COLON2,
    STATE(14486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14216), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694954] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15531), 1,
      anon_sym_LPAREN,
    ACTIONS(15535), 1,
      anon_sym_functor,
    ACTIONS(15537), 1,
      anon_sym_struct,
    ACTIONS(15539), 1,
      sym__uppercase_identifier,
    STATE(14487), 1,
      sym_attribute,
    STATE(14917), 1,
      sym__module_expression,
    STATE(15580), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15626), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695002] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2778), 1,
      sym_add_operator,
    STATE(14488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [695036] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17330), 1,
      anon_sym_else,
    STATE(12566), 1,
      sym_else_clause,
    STATE(14489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [695072] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14490), 1,
      sym_attribute,
    STATE(15440), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695120] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14139), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17481), 1,
      anon_sym_EQ,
    ACTIONS(17513), 1,
      anon_sym_of,
    ACTIONS(17515), 1,
      anon_sym_COLON2,
    STATE(14491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14137), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695158] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14492), 1,
      sym_attribute,
    STATE(15548), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695206] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17433), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(14493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [695242] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17349), 1,
      anon_sym_else,
    STATE(9842), 1,
      sym_else_clause,
    STATE(14494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [695278] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2438), 1,
      sym_add_operator,
    STATE(14495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [695312] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14496), 1,
      sym_attribute,
    STATE(15392), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695360] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12531), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14296), 1,
      anon_sym_STAR,
    STATE(14497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695394] = 19,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17517), 1,
      sym__lowercase_identifier,
    ACTIONS(17519), 1,
      anon_sym_nonrec,
    STATE(14498), 1,
      sym_attribute,
    STATE(14507), 1,
      sym_type_binding,
    STATE(15171), 1,
      sym__attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17625), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23483), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [695454] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15450), 1,
      anon_sym_LPAREN,
    ACTIONS(15456), 1,
      anon_sym_struct,
    ACTIONS(15736), 1,
      anon_sym_functor,
    STATE(10562), 1,
      sym_module_path,
    STATE(14499), 1,
      sym_attribute,
    STATE(15351), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10663), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695502] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17159), 1,
      sym_pow_operator,
    STATE(2133), 1,
      sym_add_operator,
    STATE(14500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [695538] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17402), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(14501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [695574] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16986), 1,
      anon_sym_let,
    ACTIONS(17500), 1,
      anon_sym_and,
    STATE(14502), 1,
      sym_attribute,
    STATE(14504), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16984), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [695610] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17066), 1,
      anon_sym_let,
    ACTIONS(17500), 1,
      anon_sym_and,
    STATE(14503), 1,
      sym_attribute,
    STATE(14504), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [695646] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16167), 1,
      anon_sym_let,
    ACTIONS(17521), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14504), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(16165), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [695680] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17066), 1,
      anon_sym_let,
    ACTIONS(17500), 1,
      anon_sym_and,
    STATE(14505), 1,
      sym_attribute,
    STATE(14506), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [695716] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16990), 1,
      anon_sym_let,
    ACTIONS(17500), 1,
      anon_sym_and,
    STATE(14504), 1,
      aux_sym_module_definition_repeat1,
    STATE(14506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16988), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [695752] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16901), 1,
      anon_sym_let,
    ACTIONS(17193), 1,
      anon_sym_and,
    STATE(14349), 1,
      aux_sym_type_definition_repeat1,
    STATE(14507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16899), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [695788] = 18,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17494), 1,
      anon_sym_COLON2,
    ACTIONS(17524), 1,
      anon_sym_COLON_GT,
    ACTIONS(17526), 1,
      anon_sym_RPAREN,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14508), 1,
      sym_attribute,
    STATE(19836), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [695846] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16907), 1,
      anon_sym_let,
    ACTIONS(17500), 1,
      anon_sym_and,
    STATE(14502), 1,
      aux_sym_module_definition_repeat1,
    STATE(14509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16905), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [695882] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17415), 1,
      anon_sym_COMMA,
    ACTIONS(17417), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17419), 1,
      sym_pow_operator,
    ACTIONS(17421), 1,
      sym_mult_operator,
    ACTIONS(17423), 1,
      sym_concat_operator,
    ACTIONS(17425), 1,
      sym_rel_operator,
    ACTIONS(17427), 1,
      sym_and_operator,
    ACTIONS(17429), 1,
      sym_or_operator,
    ACTIONS(17431), 1,
      sym_assign_operator,
    ACTIONS(17459), 1,
      anon_sym_SEMI,
    STATE(2161), 1,
      sym_add_operator,
    STATE(14510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [695938] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17528), 1,
      anon_sym_DQUOTE,
    STATE(14511), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21672), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [695979] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17536), 1,
      anon_sym_DQUOTE,
    STATE(14512), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22318), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [696020] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17538), 1,
      anon_sym_DQUOTE,
    STATE(14513), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22433), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [696061] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [696096] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [696131] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17544), 1,
      anon_sym_DQUOTE,
    STATE(14516), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21765), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [696172] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [696207] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17546), 1,
      anon_sym_PIPE,
    STATE(14518), 1,
      sym_attribute,
    STATE(14773), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [696242] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17548), 1,
      anon_sym_RBRACK,
    ACTIONS(17550), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14519), 1,
      sym_attribute,
    STATE(18441), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696297] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [696340] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17560), 1,
      anon_sym_SEMI,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17564), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14521), 1,
      sym_attribute,
    STATE(18444), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696395] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [696438] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      sym_or_operator,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    ACTIONS(17580), 1,
      sym_rel_operator,
    ACTIONS(17582), 1,
      sym_and_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [696485] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    ACTIONS(17580), 1,
      sym_rel_operator,
    ACTIONS(17582), 1,
      sym_and_operator,
    ACTIONS(17584), 1,
      sym_or_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [696532] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    ACTIONS(17580), 1,
      sym_rel_operator,
    ACTIONS(17582), 1,
      sym_and_operator,
    ACTIONS(17584), 1,
      sym_or_operator,
    ACTIONS(17586), 1,
      anon_sym_COMMA,
    ACTIONS(17588), 1,
      sym_assign_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696583] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17554), 1,
      sym_mult_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [696620] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    ACTIONS(17580), 1,
      sym_rel_operator,
    ACTIONS(17582), 1,
      sym_and_operator,
    ACTIONS(17584), 1,
      sym_or_operator,
    ACTIONS(17586), 1,
      anon_sym_COMMA,
    ACTIONS(17588), 1,
      sym_assign_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [696671] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_end,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17590), 1,
      anon_sym_COMMA,
    ACTIONS(17592), 1,
      anon_sym_SEMI,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    ACTIONS(17600), 1,
      sym_concat_operator,
    ACTIONS(17602), 1,
      sym_rel_operator,
    ACTIONS(17604), 1,
      sym_and_operator,
    ACTIONS(17606), 1,
      sym_or_operator,
    ACTIONS(17608), 1,
      sym_assign_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696726] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17153), 1,
      anon_sym_COMMA,
    STATE(14529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [696759] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17610), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(14530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [696794] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17612), 1,
      anon_sym_COMMA,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    ACTIONS(17620), 1,
      sym_concat_operator,
    ACTIONS(17622), 1,
      sym_rel_operator,
    ACTIONS(17624), 1,
      sym_and_operator,
    ACTIONS(17626), 1,
      sym_or_operator,
    ACTIONS(17628), 1,
      sym_assign_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11677), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696847] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_COMMA,
    ACTIONS(17632), 1,
      anon_sym_SEMI,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    ACTIONS(17642), 1,
      sym_rel_operator,
    ACTIONS(17644), 1,
      sym_and_operator,
    ACTIONS(17646), 1,
      sym_or_operator,
    ACTIONS(17648), 1,
      sym_assign_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696900] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_end,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17590), 1,
      anon_sym_COMMA,
    ACTIONS(17592), 1,
      anon_sym_SEMI,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    ACTIONS(17600), 1,
      sym_concat_operator,
    ACTIONS(17602), 1,
      sym_rel_operator,
    ACTIONS(17604), 1,
      sym_and_operator,
    ACTIONS(17606), 1,
      sym_or_operator,
    ACTIONS(17608), 1,
      sym_assign_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [696955] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    ACTIONS(17580), 1,
      sym_rel_operator,
    ACTIONS(17582), 1,
      sym_and_operator,
    ACTIONS(17584), 1,
      sym_or_operator,
    ACTIONS(17586), 1,
      anon_sym_COMMA,
    ACTIONS(17588), 1,
      sym_assign_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [697006] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17650), 1,
      anon_sym_DQUOTE,
    STATE(14535), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22546), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697047] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13017), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13015), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [697078] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13021), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13019), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [697109] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13025), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13023), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [697140] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17652), 1,
      anon_sym_DQUOTE,
    STATE(14539), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(20933), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697181] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    ACTIONS(17660), 1,
      sym_rel_operator,
    ACTIONS(17662), 1,
      sym_and_operator,
    ACTIONS(17664), 1,
      sym_or_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [697228] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17546), 1,
      anon_sym_PIPE,
    STATE(14541), 1,
      sym_attribute,
    STATE(14544), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [697263] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17666), 1,
      anon_sym_DQUOTE,
    STATE(14542), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22119), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697304] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    ACTIONS(17660), 1,
      sym_rel_operator,
    ACTIONS(17662), 1,
      sym_and_operator,
    ACTIONS(17664), 1,
      sym_or_operator,
    ACTIONS(17668), 1,
      anon_sym_COMMA,
    ACTIONS(17670), 1,
      sym_assign_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697355] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17672), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14544), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [697388] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17675), 1,
      anon_sym_RBRACK,
    ACTIONS(17677), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14545), 1,
      sym_attribute,
    STATE(18560), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697443] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17679), 1,
      anon_sym_SEMI,
    ACTIONS(17681), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14546), 1,
      sym_attribute,
    STATE(18564), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697498] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17683), 1,
      anon_sym_DQUOTE,
    STATE(14547), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22952), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697539] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [697580] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_done,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    ACTIONS(17687), 1,
      anon_sym_SEMI,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    ACTIONS(17701), 1,
      sym_or_operator,
    ACTIONS(17703), 1,
      sym_assign_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697635] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17705), 1,
      anon_sym_SEMI,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697690] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17707), 1,
      anon_sym_RBRACK,
    ACTIONS(17709), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14551), 1,
      sym_attribute,
    STATE(18001), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697745] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17705), 1,
      anon_sym_SEMI,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697800] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17711), 1,
      anon_sym_RBRACK,
    ACTIONS(17713), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14553), 1,
      sym_attribute,
    STATE(17696), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697855] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17715), 1,
      anon_sym_DQUOTE,
    STATE(14554), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22617), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697896] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17717), 1,
      anon_sym_DQUOTE,
    STATE(14555), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22394), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [697937] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17719), 1,
      anon_sym_SEMI,
    ACTIONS(17721), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14556), 1,
      sym_attribute,
    STATE(18009), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [697992] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17723), 1,
      anon_sym_SEMI,
    ACTIONS(17725), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14557), 1,
      sym_attribute,
    STATE(17722), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [698047] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [698080] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17727), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(14559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [698115] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17729), 1,
      anon_sym_DQUOTE,
    STATE(14560), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22378), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698156] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17731), 1,
      anon_sym_DQUOTE,
    STATE(14561), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21439), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698197] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17733), 1,
      anon_sym_DQUOTE,
    STATE(14562), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22465), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698238] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17735), 1,
      anon_sym_RBRACK,
    ACTIONS(17737), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14563), 1,
      sym_attribute,
    STATE(18609), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [698293] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17739), 1,
      anon_sym_SEMI,
    ACTIONS(17741), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14564), 1,
      sym_attribute,
    STATE(18613), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [698348] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17656), 1,
      sym_mult_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [698385] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_end,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17590), 1,
      anon_sym_COMMA,
    ACTIONS(17592), 1,
      anon_sym_SEMI,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    ACTIONS(17600), 1,
      sym_concat_operator,
    ACTIONS(17602), 1,
      sym_rel_operator,
    ACTIONS(17604), 1,
      sym_and_operator,
    ACTIONS(17606), 1,
      sym_or_operator,
    ACTIONS(17608), 1,
      sym_assign_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [698440] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11714), 1,
      anon_sym_as,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(17743), 1,
      anon_sym_DASH_GT,
    ACTIONS(17745), 1,
      anon_sym_STAR,
    STATE(14567), 1,
      sym_attribute,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 8,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [698485] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12917), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12915), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [698516] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17747), 1,
      anon_sym_COLON_GT,
    ACTIONS(17749), 1,
      anon_sym_EQ,
    ACTIONS(17751), 1,
      anon_sym_COLON2,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(14569), 1,
      sym_attribute,
    STATE(15214), 1,
      sym__typed,
    STATE(15562), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17753), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698559] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17755), 1,
      anon_sym_RBRACK,
    ACTIONS(17757), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14570), 1,
      sym_attribute,
    STATE(18636), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [698614] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [698649] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17616), 1,
      sym_pow_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [698684] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17759), 1,
      anon_sym_DQUOTE,
    STATE(14573), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21287), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698725] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    ACTIONS(17660), 1,
      sym_rel_operator,
    ACTIONS(17662), 1,
      sym_and_operator,
    ACTIONS(17664), 1,
      sym_or_operator,
    ACTIONS(17668), 1,
      anon_sym_COMMA,
    ACTIONS(17670), 1,
      sym_assign_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [698776] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17761), 1,
      anon_sym_DQUOTE,
    STATE(14575), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22091), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698817] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17763), 1,
      anon_sym_RBRACK,
    ACTIONS(17765), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14576), 1,
      sym_attribute,
    STATE(19039), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [698872] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17767), 1,
      anon_sym_DQUOTE,
    STATE(14577), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22527), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [698913] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17769), 1,
      anon_sym_RBRACK,
    ACTIONS(17771), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14578), 1,
      sym_attribute,
    STATE(18653), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [698968] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17773), 1,
      anon_sym_SEMI,
    ACTIONS(17775), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14579), 1,
      sym_attribute,
    STATE(17716), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699023] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17777), 1,
      anon_sym_SEMI,
    ACTIONS(17779), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14580), 1,
      sym_attribute,
    STATE(18657), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699078] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17781), 1,
      anon_sym_RBRACK,
    ACTIONS(17783), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14581), 1,
      sym_attribute,
    STATE(17749), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699133] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      anon_sym_DQUOTE,
    STATE(14582), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22607), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [699174] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17787), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(14583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699209] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17789), 1,
      anon_sym_PIPE,
    STATE(14584), 1,
      sym_attribute,
    STATE(14586), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699244] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17789), 1,
      anon_sym_PIPE,
    STATE(14585), 1,
      sym_attribute,
    STATE(14587), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699279] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17789), 1,
      anon_sym_PIPE,
    STATE(14586), 1,
      sym_attribute,
    STATE(14588), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699314] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17789), 1,
      anon_sym_PIPE,
    STATE(14587), 1,
      sym_attribute,
    STATE(14588), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699349] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17791), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14588), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [699382] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17794), 1,
      anon_sym_SEMI,
    ACTIONS(17796), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14589), 1,
      sym_attribute,
    STATE(17756), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699437] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17798), 1,
      anon_sym_DQUOTE,
    STATE(14590), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22310), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [699478] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17800), 1,
      anon_sym_DQUOTE,
    STATE(14591), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22671), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [699519] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17213), 1,
      anon_sym_let,
    ACTIONS(17802), 1,
      anon_sym_in,
    STATE(14592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17211), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [699552] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17804), 1,
      anon_sym_RBRACK,
    ACTIONS(17806), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14593), 1,
      sym_attribute,
    STATE(18694), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699607] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17808), 1,
      anon_sym_SEMI,
    ACTIONS(17810), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14594), 1,
      sym_attribute,
    STATE(18701), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699662] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    ACTIONS(17822), 1,
      sym_rel_operator,
    ACTIONS(17824), 1,
      sym_and_operator,
    ACTIONS(17826), 1,
      sym_or_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 4,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [699711] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13029), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13027), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [699742] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17828), 1,
      anon_sym_DQUOTE,
    STATE(14597), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22472), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [699783] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17830), 1,
      anon_sym_SEMI,
    ACTIONS(17832), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14598), 1,
      sym_attribute,
    STATE(18656), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699838] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_done,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    ACTIONS(17687), 1,
      anon_sym_SEMI,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    ACTIONS(17701), 1,
      sym_or_operator,
    ACTIONS(17703), 1,
      sym_assign_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [699893] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    ACTIONS(17620), 1,
      sym_concat_operator,
    ACTIONS(17622), 1,
      sym_rel_operator,
    ACTIONS(17624), 1,
      sym_and_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [699940] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17834), 1,
      anon_sym_DQUOTE,
    STATE(14601), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22884), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [699981] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    ACTIONS(17660), 1,
      sym_rel_operator,
    ACTIONS(17662), 1,
      sym_and_operator,
    ACTIONS(17664), 1,
      sym_or_operator,
    ACTIONS(17668), 1,
      anon_sym_COMMA,
    ACTIONS(17670), 1,
      sym_assign_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [700032] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17836), 1,
      anon_sym_RBRACK,
    ACTIONS(17838), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14603), 1,
      sym_attribute,
    STATE(18765), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700087] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17840), 1,
      anon_sym_SEMI,
    ACTIONS(17842), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14604), 1,
      sym_attribute,
    STATE(18771), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700142] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17844), 1,
      anon_sym_RBRACK,
    ACTIONS(17846), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14605), 1,
      sym_attribute,
    STATE(18602), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700197] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11714), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14774), 1,
      anon_sym_DASH_GT,
    STATE(14606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700230] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17596), 1,
      sym_pow_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [700265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14475), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15210), 1,
      anon_sym_STAR,
    STATE(14608), 1,
      sym_attribute,
    STATE(14609), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14473), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700300] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13460), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17848), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14609), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700333] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17267), 1,
      anon_sym_COMMA,
    STATE(14610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700366] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700399] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17610), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(14612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700434] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17851), 1,
      anon_sym_DQUOTE,
    STATE(14613), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(23118), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [700475] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    STATE(14614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 8,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700508] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17853), 1,
      anon_sym_RBRACK,
    ACTIONS(17855), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14615), 1,
      sym_attribute,
    STATE(18851), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700563] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    ACTIONS(17620), 1,
      sym_concat_operator,
    ACTIONS(17622), 1,
      sym_rel_operator,
    ACTIONS(17624), 1,
      sym_and_operator,
    ACTIONS(17626), 1,
      sym_or_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [700612] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11623), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700653] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17857), 1,
      anon_sym_SEMI,
    ACTIONS(17859), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14618), 1,
      sym_attribute,
    STATE(18858), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700708] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17861), 1,
      anon_sym_SEMI,
    ACTIONS(17863), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14619), 1,
      sym_attribute,
    STATE(18644), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700763] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17816), 1,
      sym_pow_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700798] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17612), 1,
      anon_sym_COMMA,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    ACTIONS(17620), 1,
      sym_concat_operator,
    ACTIONS(17622), 1,
      sym_rel_operator,
    ACTIONS(17624), 1,
      sym_and_operator,
    ACTIONS(17626), 1,
      sym_or_operator,
    ACTIONS(17628), 1,
      sym_assign_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700851] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17865), 1,
      anon_sym_DQUOTE,
    STATE(14622), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22639), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [700892] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [700929] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17867), 1,
      anon_sym_RBRACK,
    ACTIONS(17869), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14624), 1,
      sym_attribute,
    STATE(18357), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [700984] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(17873), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17871), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [701017] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(17877), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17875), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [701050] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    ACTIONS(17701), 1,
      sym_or_operator,
    ACTIONS(17703), 1,
      sym_assign_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11677), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701103] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17879), 1,
      anon_sym_RBRACK,
    ACTIONS(17881), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14628), 1,
      sym_attribute,
    STATE(18471), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701158] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13326), 1,
      anon_sym_COLON2,
    STATE(14629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [701191] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17816), 1,
      sym_pow_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701226] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    ACTIONS(17189), 1,
      sym_or_operator,
    ACTIONS(17191), 1,
      sym_assign_operator,
    ACTIONS(17883), 1,
      anon_sym_SEMI,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701279] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17885), 1,
      anon_sym_PIPE,
    STATE(14632), 1,
      sym_attribute,
    STATE(14687), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701314] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17887), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(14633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701349] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17889), 1,
      anon_sym_SEMI,
    ACTIONS(17891), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14634), 1,
      sym_attribute,
    STATE(18051), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701404] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17893), 1,
      anon_sym_DQUOTE,
    STATE(14635), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(23495), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [701445] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17895), 1,
      anon_sym_DQUOTE,
    STATE(14636), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(23343), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [701486] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17897), 1,
      anon_sym_RBRACK,
    ACTIONS(17899), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14637), 1,
      sym_attribute,
    STATE(18088), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701541] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17901), 1,
      anon_sym_RBRACK,
    ACTIONS(17903), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14638), 1,
      sym_attribute,
    STATE(18933), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701596] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    ACTIONS(17580), 1,
      sym_rel_operator,
    ACTIONS(17582), 1,
      sym_and_operator,
    ACTIONS(17584), 1,
      sym_or_operator,
    ACTIONS(17586), 1,
      anon_sym_COMMA,
    ACTIONS(17588), 1,
      sym_assign_operator,
    ACTIONS(17905), 1,
      anon_sym_SEMI,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701649] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17907), 1,
      anon_sym_SEMI,
    ACTIONS(17909), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14640), 1,
      sym_attribute,
    STATE(18092), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701704] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17911), 1,
      anon_sym_SEMI,
    ACTIONS(17913), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14641), 1,
      sym_attribute,
    STATE(18941), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [701759] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17596), 1,
      sym_pow_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [701794] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12925), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12923), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701825] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12929), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12927), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701856] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12871), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12869), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701887] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17915), 1,
      anon_sym_PIPE,
    STATE(14646), 1,
      sym_attribute,
    STATE(14648), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701922] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17915), 1,
      anon_sym_PIPE,
    STATE(14647), 1,
      sym_attribute,
    STATE(14650), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701957] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17915), 1,
      anon_sym_PIPE,
    STATE(14648), 1,
      sym_attribute,
    STATE(14652), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [701992] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17917), 1,
      anon_sym_DQUOTE,
    STATE(14649), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21190), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [702033] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17915), 1,
      anon_sym_PIPE,
    STATE(14650), 1,
      sym_attribute,
    STATE(14652), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702068] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12933), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12931), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [702099] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17919), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14652), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702132] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17922), 1,
      anon_sym_RBRACK,
    ACTIONS(17924), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14653), 1,
      sym_attribute,
    STATE(17733), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [702187] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    ACTIONS(17600), 1,
      sym_concat_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [702230] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    ACTIONS(17600), 1,
      sym_concat_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [702273] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    ACTIONS(17600), 1,
      sym_concat_operator,
    ACTIONS(17602), 1,
      sym_rel_operator,
    ACTIONS(17604), 1,
      sym_and_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [702320] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12937), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12935), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [702351] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    ACTIONS(17600), 1,
      sym_concat_operator,
    ACTIONS(17602), 1,
      sym_rel_operator,
    ACTIONS(17604), 1,
      sym_and_operator,
    ACTIONS(17606), 1,
      sym_or_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [702400] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17926), 1,
      anon_sym_RBRACK,
    ACTIONS(17928), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14659), 1,
      sym_attribute,
    STATE(18030), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [702455] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_then,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17930), 1,
      anon_sym_COMMA,
    ACTIONS(17932), 1,
      anon_sym_SEMI,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    ACTIONS(17940), 1,
      sym_concat_operator,
    ACTIONS(17942), 1,
      sym_rel_operator,
    ACTIONS(17944), 1,
      sym_and_operator,
    ACTIONS(17946), 1,
      sym_or_operator,
    ACTIONS(17948), 1,
      sym_assign_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [702510] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17950), 1,
      anon_sym_DQUOTE,
    STATE(14661), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(23667), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [702551] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17952), 1,
      anon_sym_SEMI,
    ACTIONS(17954), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14662), 1,
      sym_attribute,
    STATE(18054), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [702606] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17956), 1,
      anon_sym_RBRACK,
    ACTIONS(17958), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14663), 1,
      sym_attribute,
    STATE(19029), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [702661] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17960), 1,
      anon_sym_SEMI,
    ACTIONS(17962), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14664), 1,
      sym_attribute,
    STATE(19036), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [702716] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17751), 1,
      anon_sym_COLON2,
    ACTIONS(17964), 1,
      anon_sym_COLON_GT,
    ACTIONS(17966), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(14665), 1,
      sym_attribute,
    STATE(15222), 1,
      sym__typed,
    STATE(15556), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17968), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [702759] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_then,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17930), 1,
      anon_sym_COMMA,
    ACTIONS(17932), 1,
      anon_sym_SEMI,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    ACTIONS(17940), 1,
      sym_concat_operator,
    ACTIONS(17942), 1,
      sym_rel_operator,
    ACTIONS(17944), 1,
      sym_and_operator,
    ACTIONS(17946), 1,
      sym_or_operator,
    ACTIONS(17948), 1,
      sym_assign_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [702814] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17970), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(14667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702849] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702882] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14475), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15140), 1,
      anon_sym_STAR,
    STATE(14669), 1,
      sym_attribute,
    STATE(14670), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14473), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [702917] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13460), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17972), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14670), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13458), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [702950] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17415), 1,
      anon_sym_COMMA,
    STATE(14671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 8,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [702983] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [703026] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    ACTIONS(17580), 1,
      sym_rel_operator,
    ACTIONS(17582), 1,
      sym_and_operator,
    ACTIONS(17584), 1,
      sym_or_operator,
    ACTIONS(17586), 1,
      anon_sym_COMMA,
    ACTIONS(17588), 1,
      sym_assign_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [703077] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [703120] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      sym_or_operator,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    ACTIONS(17822), 1,
      sym_rel_operator,
    ACTIONS(17824), 1,
      sym_and_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [703167] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    ACTIONS(17620), 1,
      sym_concat_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [703210] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703243] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    ACTIONS(17822), 1,
      sym_rel_operator,
    ACTIONS(17824), 1,
      sym_and_operator,
    ACTIONS(17826), 1,
      sym_or_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [703290] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17975), 1,
      anon_sym_DQUOTE,
    STATE(14679), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21379), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [703331] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17977), 1,
      anon_sym_RBRACK,
    ACTIONS(17979), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14680), 1,
      sym_attribute,
    STATE(18702), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [703386] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17981), 1,
      anon_sym_SEMI,
    ACTIONS(17983), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14681), 1,
      sym_attribute,
    STATE(18366), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [703441] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17985), 1,
      anon_sym_SEMI,
    ACTIONS(17987), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14682), 1,
      sym_attribute,
    STATE(17783), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [703496] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17989), 1,
      anon_sym_COLON2,
    STATE(14683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [703529] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17612), 1,
      anon_sym_COMMA,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    ACTIONS(17620), 1,
      sym_concat_operator,
    ACTIONS(17622), 1,
      sym_rel_operator,
    ACTIONS(17624), 1,
      sym_and_operator,
    ACTIONS(17626), 1,
      sym_or_operator,
    ACTIONS(17628), 1,
      sym_assign_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [703582] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    ACTIONS(17660), 1,
      sym_rel_operator,
    ACTIONS(17662), 1,
      sym_and_operator,
    ACTIONS(17664), 1,
      sym_or_operator,
    ACTIONS(17668), 1,
      anon_sym_COMMA,
    ACTIONS(17670), 1,
      sym_assign_operator,
    ACTIONS(17991), 1,
      anon_sym_SEMI,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [703635] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17885), 1,
      anon_sym_PIPE,
    STATE(14686), 1,
      sym_attribute,
    STATE(14845), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703670] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17885), 1,
      anon_sym_PIPE,
    STATE(14687), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [703705] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12989), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12987), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [703736] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17993), 1,
      anon_sym_DQUOTE,
    STATE(14689), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(23281), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [703777] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(17995), 1,
      anon_sym_RBRACK,
    ACTIONS(17997), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14690), 1,
      sym_attribute,
    STATE(17753), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [703832] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17999), 1,
      anon_sym_SEMI,
    ACTIONS(18001), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14691), 1,
      sym_attribute,
    STATE(17805), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [703887] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12993), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12991), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [703918] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    ACTIONS(17660), 1,
      sym_rel_operator,
    ACTIONS(17662), 1,
      sym_and_operator,
    ACTIONS(17664), 1,
      sym_or_operator,
    ACTIONS(17668), 1,
      anon_sym_COMMA,
    ACTIONS(17670), 1,
      sym_assign_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [703969] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12941), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12939), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [704000] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12997), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12995), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [704031] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13001), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12999), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [704062] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    ACTIONS(17660), 1,
      sym_rel_operator,
    ACTIONS(17662), 1,
      sym_and_operator,
    ACTIONS(17664), 1,
      sym_or_operator,
    ACTIONS(17668), 1,
      anon_sym_COMMA,
    ACTIONS(17670), 1,
      sym_assign_operator,
    ACTIONS(17991), 1,
      anon_sym_SEMI,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704115] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17930), 1,
      anon_sym_COMMA,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    ACTIONS(17940), 1,
      sym_concat_operator,
    ACTIONS(17942), 1,
      sym_rel_operator,
    ACTIONS(17944), 1,
      sym_and_operator,
    ACTIONS(17946), 1,
      sym_or_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704166] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13005), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13003), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [704197] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_do,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(18003), 1,
      anon_sym_COMMA,
    ACTIONS(18005), 1,
      anon_sym_SEMI,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    ACTIONS(18013), 1,
      sym_concat_operator,
    ACTIONS(18015), 1,
      sym_rel_operator,
    ACTIONS(18017), 1,
      sym_and_operator,
    ACTIONS(18019), 1,
      sym_or_operator,
    ACTIONS(18021), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704252] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17590), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    ACTIONS(17600), 1,
      sym_concat_operator,
    ACTIONS(17602), 1,
      sym_rel_operator,
    ACTIONS(17604), 1,
      sym_and_operator,
    ACTIONS(17606), 1,
      sym_or_operator,
    ACTIONS(17608), 1,
      sym_assign_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704305] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13009), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13007), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [704336] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18023), 1,
      anon_sym_DQUOTE,
    STATE(14703), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22260), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [704377] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18025), 1,
      anon_sym_SEMI,
    ACTIONS(18027), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14704), 1,
      sym_attribute,
    STATE(17710), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704432] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18029), 1,
      anon_sym_RBRACK,
    ACTIONS(18031), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14705), 1,
      sym_attribute,
    STATE(18384), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704487] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [704528] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18033), 1,
      anon_sym_SEMI,
    ACTIONS(18035), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14707), 1,
      sym_attribute,
    STATE(18431), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704583] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18037), 1,
      anon_sym_DQUOTE,
    STATE(14708), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(20573), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [704624] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17936), 1,
      sym_pow_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [704659] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_do,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(18003), 1,
      anon_sym_COMMA,
    ACTIONS(18005), 1,
      anon_sym_SEMI,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    ACTIONS(18013), 1,
      sym_concat_operator,
    ACTIONS(18015), 1,
      sym_rel_operator,
    ACTIONS(18017), 1,
      sym_and_operator,
    ACTIONS(18019), 1,
      sym_or_operator,
    ACTIONS(18021), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [704714] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17936), 1,
      sym_pow_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [704749] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    ACTIONS(17940), 1,
      sym_concat_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [704792] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    ACTIONS(17940), 1,
      sym_concat_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [704835] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    ACTIONS(17940), 1,
      sym_concat_operator,
    ACTIONS(17942), 1,
      sym_rel_operator,
    ACTIONS(17944), 1,
      sym_and_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [704882] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    ACTIONS(17940), 1,
      sym_concat_operator,
    ACTIONS(17942), 1,
      sym_rel_operator,
    ACTIONS(17944), 1,
      sym_and_operator,
    ACTIONS(17946), 1,
      sym_or_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [704931] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    STATE(14716), 1,
      sym_attribute,
    STATE(15662), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11912), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [704970] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17930), 1,
      anon_sym_COMMA,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    ACTIONS(17940), 1,
      sym_concat_operator,
    ACTIONS(17942), 1,
      sym_rel_operator,
    ACTIONS(17944), 1,
      sym_and_operator,
    ACTIONS(17946), 1,
      sym_or_operator,
    ACTIONS(17948), 1,
      sym_assign_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705023] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18041), 1,
      anon_sym_RBRACK,
    ACTIONS(18043), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14718), 1,
      sym_attribute,
    STATE(18176), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705078] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [705111] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_as,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(18045), 1,
      anon_sym_STAR,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(14720), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_GT,
      anon_sym_AMP,
  [705154] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18047), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(14721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [705189] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18049), 1,
      anon_sym_SEMI,
    ACTIONS(18051), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14722), 1,
      sym_attribute,
    STATE(18186), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705244] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [705281] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [705318] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17930), 1,
      anon_sym_COMMA,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    ACTIONS(17940), 1,
      sym_concat_operator,
    ACTIONS(17942), 1,
      sym_rel_operator,
    ACTIONS(17944), 1,
      sym_and_operator,
    ACTIONS(17946), 1,
      sym_or_operator,
    ACTIONS(17948), 1,
      sym_assign_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705371] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18053), 1,
      anon_sym_DQUOTE,
    STATE(14726), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(20875), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [705412] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18055), 1,
      anon_sym_RBRACK,
    ACTIONS(18057), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14727), 1,
      sym_attribute,
    STATE(19055), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705467] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17590), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    ACTIONS(17600), 1,
      sym_concat_operator,
    ACTIONS(17602), 1,
      sym_rel_operator,
    ACTIONS(17604), 1,
      sym_and_operator,
    ACTIONS(17606), 1,
      sym_or_operator,
    ACTIONS(17608), 1,
      sym_assign_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705520] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18059), 1,
      anon_sym_RBRACK,
    ACTIONS(18061), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14729), 1,
      sym_attribute,
    STATE(17855), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705575] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18063), 1,
      anon_sym_SEMI,
    ACTIONS(18065), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14730), 1,
      sym_attribute,
    STATE(17694), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705630] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17213), 1,
      anon_sym_let,
    ACTIONS(18067), 1,
      anon_sym_in,
    STATE(14731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17211), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [705663] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18069), 1,
      anon_sym_DQUOTE,
    STATE(14732), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(23040), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [705704] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18071), 1,
      anon_sym_DQUOTE,
    STATE(14733), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(23037), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [705745] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17930), 1,
      anon_sym_COMMA,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    ACTIONS(17940), 1,
      sym_concat_operator,
    ACTIONS(17942), 1,
      sym_rel_operator,
    ACTIONS(17944), 1,
      sym_and_operator,
    ACTIONS(17946), 1,
      sym_or_operator,
    ACTIONS(17948), 1,
      sym_assign_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11677), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705798] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    ACTIONS(17822), 1,
      sym_rel_operator,
    ACTIONS(17824), 1,
      sym_and_operator,
    ACTIONS(17826), 1,
      sym_or_operator,
    ACTIONS(18073), 1,
      anon_sym_SEMI,
    ACTIONS(18075), 1,
      sym_assign_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705851] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18077), 1,
      anon_sym_RBRACK,
    ACTIONS(18079), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14736), 1,
      sym_attribute,
    STATE(18401), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705906] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18081), 1,
      anon_sym_SEMI,
    ACTIONS(18083), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14737), 1,
      sym_attribute,
    STATE(18425), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [705961] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18085), 1,
      anon_sym_DQUOTE,
    STATE(14738), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22154), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [706002] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    ACTIONS(17822), 1,
      sym_rel_operator,
    ACTIONS(17824), 1,
      sym_and_operator,
    ACTIONS(17826), 1,
      sym_or_operator,
    ACTIONS(18075), 1,
      sym_assign_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706053] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18087), 1,
      anon_sym_DQUOTE,
    STATE(14740), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(23636), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [706094] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18089), 1,
      anon_sym_RBRACK,
    ACTIONS(18091), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14741), 1,
      sym_attribute,
    STATE(17911), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706149] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [706186] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18093), 1,
      anon_sym_SEMI,
    ACTIONS(18095), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14743), 1,
      sym_attribute,
    STATE(17918), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706241] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18097), 1,
      anon_sym_RBRACK,
    ACTIONS(18099), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14744), 1,
      sym_attribute,
    STATE(18045), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706296] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_COMMA,
    ACTIONS(17632), 1,
      anon_sym_SEMI,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    ACTIONS(17642), 1,
      sym_rel_operator,
    ACTIONS(17644), 1,
      sym_and_operator,
    ACTIONS(17646), 1,
      sym_or_operator,
    ACTIONS(17648), 1,
      sym_assign_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706349] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18101), 1,
      anon_sym_DQUOTE,
    STATE(14746), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22425), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [706390] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18103), 1,
      anon_sym_SEMI,
    ACTIONS(18105), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14747), 1,
      sym_attribute,
    STATE(17919), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706445] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    STATE(14748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [706478] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18107), 1,
      anon_sym_SEMI,
    ACTIONS(18109), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14749), 1,
      sym_attribute,
    STATE(18060), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706533] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17590), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    ACTIONS(17600), 1,
      sym_concat_operator,
    ACTIONS(17602), 1,
      sym_rel_operator,
    ACTIONS(17604), 1,
      sym_and_operator,
    ACTIONS(17606), 1,
      sym_or_operator,
    ACTIONS(17608), 1,
      sym_assign_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11677), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706586] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18111), 1,
      anon_sym_RBRACK,
    ACTIONS(18113), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14751), 1,
      sym_attribute,
    STATE(18105), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706641] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18115), 1,
      anon_sym_RBRACK,
    ACTIONS(18117), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14752), 1,
      sym_attribute,
    STATE(17913), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706696] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18119), 1,
      anon_sym_SEMI,
    ACTIONS(18121), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14753), 1,
      sym_attribute,
    STATE(18133), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706751] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_COMMA,
    ACTIONS(17632), 1,
      anon_sym_SEMI,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    ACTIONS(17642), 1,
      sym_rel_operator,
    ACTIONS(17644), 1,
      sym_and_operator,
    ACTIONS(17646), 1,
      sym_or_operator,
    ACTIONS(17648), 1,
      sym_assign_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [706804] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_COMMA,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    ACTIONS(17642), 1,
      sym_rel_operator,
    ACTIONS(17644), 1,
      sym_and_operator,
    ACTIONS(17646), 1,
      sym_or_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [706853] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11623), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [706894] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17636), 1,
      sym_pow_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [706929] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17636), 1,
      sym_pow_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [706964] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18123), 1,
      anon_sym_DQUOTE,
    STATE(14759), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(23550), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [707005] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [707048] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18125), 1,
      anon_sym_DQUOTE,
    STATE(14761), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(20887), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [707089] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [707132] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(17705), 1,
      anon_sym_SEMI,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707187] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    ACTIONS(17822), 1,
      sym_rel_operator,
    ACTIONS(17824), 1,
      sym_and_operator,
    ACTIONS(17826), 1,
      sym_or_operator,
    ACTIONS(18075), 1,
      sym_assign_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [707238] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18127), 1,
      anon_sym_DQUOTE,
    STATE(14765), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(20795), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [707279] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18129), 1,
      anon_sym_RBRACK,
    ACTIONS(18131), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14766), 1,
      sym_attribute,
    STATE(18268), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707334] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18133), 1,
      anon_sym_RBRACK,
    ACTIONS(18135), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14767), 1,
      sym_attribute,
    STATE(18340), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707389] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18137), 1,
      anon_sym_RBRACK,
    ACTIONS(18139), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14768), 1,
      sym_attribute,
    STATE(19017), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707444] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18141), 1,
      anon_sym_SEMI,
    ACTIONS(18143), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14769), 1,
      sym_attribute,
    STATE(18387), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707499] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      sym_or_operator,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    ACTIONS(17642), 1,
      sym_rel_operator,
    ACTIONS(17644), 1,
      sym_and_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [707546] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18145), 1,
      anon_sym_SEMI,
    ACTIONS(18147), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14771), 1,
      sym_attribute,
    STATE(18274), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707601] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17546), 1,
      anon_sym_PIPE,
    STATE(14541), 1,
      aux_sym__match_cases_repeat1,
    STATE(14772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [707636] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17546), 1,
      anon_sym_PIPE,
    STATE(14544), 1,
      aux_sym__match_cases_repeat1,
    STATE(14773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [707671] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    ACTIONS(17642), 1,
      sym_rel_operator,
    ACTIONS(17644), 1,
      sym_and_operator,
    ACTIONS(17646), 1,
      sym_or_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [707718] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18149), 1,
      anon_sym_SEMI,
    ACTIONS(18151), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14775), 1,
      sym_attribute,
    STATE(19041), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707773] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18153), 1,
      anon_sym_SEMI,
    ACTIONS(18155), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14776), 1,
      sym_attribute,
    STATE(17921), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707828] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18157), 1,
      anon_sym_DQUOTE,
    STATE(14777), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22686), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [707869] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_COMMA,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    ACTIONS(17642), 1,
      sym_rel_operator,
    ACTIONS(17644), 1,
      sym_and_operator,
    ACTIONS(17646), 1,
      sym_or_operator,
    ACTIONS(17648), 1,
      sym_assign_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [707920] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11714), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15032), 1,
      anon_sym_DASH_GT,
    STATE(14779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [707953] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [707990] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18159), 1,
      anon_sym_DQUOTE,
    STATE(14781), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21411), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [708031] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18161), 1,
      anon_sym_RBRACK,
    ACTIONS(18163), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14782), 1,
      sym_attribute,
    STATE(18654), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708086] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18165), 1,
      anon_sym_SEMI,
    ACTIONS(18167), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14783), 1,
      sym_attribute,
    STATE(18672), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708141] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_COMMA,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    ACTIONS(17642), 1,
      sym_rel_operator,
    ACTIONS(17644), 1,
      sym_and_operator,
    ACTIONS(17646), 1,
      sym_or_operator,
    ACTIONS(17648), 1,
      sym_assign_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11667), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [708192] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_then,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17930), 1,
      anon_sym_COMMA,
    ACTIONS(17932), 1,
      anon_sym_SEMI,
    ACTIONS(17934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17936), 1,
      sym_pow_operator,
    ACTIONS(17938), 1,
      sym_mult_operator,
    ACTIONS(17940), 1,
      sym_concat_operator,
    ACTIONS(17942), 1,
      sym_rel_operator,
    ACTIONS(17944), 1,
      sym_and_operator,
    ACTIONS(17946), 1,
      sym_or_operator,
    ACTIONS(17948), 1,
      sym_assign_operator,
    STATE(2273), 1,
      sym_add_operator,
    STATE(14785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708247] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    ACTIONS(17701), 1,
      sym_or_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708298] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18169), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(14787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [708333] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [708374] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18171), 1,
      anon_sym_DQUOTE,
    STATE(14789), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22006), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [708415] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_do,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(18003), 1,
      anon_sym_COMMA,
    ACTIONS(18005), 1,
      anon_sym_SEMI,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    ACTIONS(18013), 1,
      sym_concat_operator,
    ACTIONS(18015), 1,
      sym_rel_operator,
    ACTIONS(18017), 1,
      sym_and_operator,
    ACTIONS(18019), 1,
      sym_or_operator,
    ACTIONS(18021), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708470] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18173), 1,
      anon_sym_RBRACK,
    ACTIONS(18175), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14791), 1,
      sym_attribute,
    STATE(18872), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708525] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(18003), 1,
      anon_sym_COMMA,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    ACTIONS(18013), 1,
      sym_concat_operator,
    ACTIONS(18015), 1,
      sym_rel_operator,
    ACTIONS(18017), 1,
      sym_and_operator,
    ACTIONS(18019), 1,
      sym_or_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708576] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      sym_pow_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [708611] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18177), 1,
      anon_sym_SEMI,
    ACTIONS(18179), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14794), 1,
      sym_attribute,
    STATE(18890), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [708666] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      sym_pow_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [708701] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_COMMA,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    ACTIONS(17642), 1,
      sym_rel_operator,
    ACTIONS(17644), 1,
      sym_and_operator,
    ACTIONS(17646), 1,
      sym_or_operator,
    ACTIONS(17648), 1,
      sym_assign_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [708752] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [708793] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18009), 1,
      sym_pow_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [708828] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [708871] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [708914] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18181), 1,
      anon_sym_DQUOTE,
    STATE(14801), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(20415), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [708955] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    ACTIONS(17822), 1,
      sym_rel_operator,
    ACTIONS(17824), 1,
      sym_and_operator,
    ACTIONS(17826), 1,
      sym_or_operator,
    ACTIONS(18073), 1,
      anon_sym_SEMI,
    ACTIONS(18075), 1,
      sym_assign_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709008] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18009), 1,
      sym_pow_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [709043] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18183), 1,
      anon_sym_DQUOTE,
    STATE(14804), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22566), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [709084] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    ACTIONS(18013), 1,
      sym_concat_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [709127] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    ACTIONS(18013), 1,
      sym_concat_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [709170] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    ACTIONS(18013), 1,
      sym_concat_operator,
    ACTIONS(18015), 1,
      sym_rel_operator,
    ACTIONS(18017), 1,
      sym_and_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [709217] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18185), 1,
      anon_sym_RBRACK,
    ACTIONS(18187), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14808), 1,
      sym_attribute,
    STATE(17723), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709272] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18189), 1,
      anon_sym_SEMI,
    ACTIONS(18191), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14809), 1,
      sym_attribute,
    STATE(17729), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709327] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    ACTIONS(18013), 1,
      sym_concat_operator,
    ACTIONS(18015), 1,
      sym_rel_operator,
    ACTIONS(18017), 1,
      sym_and_operator,
    ACTIONS(18019), 1,
      sym_or_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [709376] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    ACTIONS(17822), 1,
      sym_rel_operator,
    ACTIONS(17824), 1,
      sym_and_operator,
    ACTIONS(17826), 1,
      sym_or_operator,
    ACTIONS(18073), 1,
      anon_sym_SEMI,
    ACTIONS(18075), 1,
      sym_assign_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709429] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(18003), 1,
      anon_sym_COMMA,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    ACTIONS(18013), 1,
      sym_concat_operator,
    ACTIONS(18015), 1,
      sym_rel_operator,
    ACTIONS(18017), 1,
      sym_and_operator,
    ACTIONS(18019), 1,
      sym_or_operator,
    ACTIONS(18021), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709482] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18193), 1,
      anon_sym_DQUOTE,
    STATE(14813), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(20556), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [709523] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [709560] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17213), 1,
      anon_sym_let,
    ACTIONS(18195), 1,
      anon_sym_in,
    STATE(14815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17211), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [709593] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [709636] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18197), 1,
      anon_sym_DQUOTE,
    STATE(14817), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21225), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [709677] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18199), 1,
      anon_sym_RBRACK,
    ACTIONS(18201), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14818), 1,
      sym_attribute,
    STATE(18338), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709732] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [709779] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18203), 1,
      anon_sym_RBRACK,
    ACTIONS(18205), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14820), 1,
      sym_attribute,
    STATE(18735), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709834] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    ACTIONS(17701), 1,
      sym_or_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [709883] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [709926] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    ACTIONS(17701), 1,
      sym_or_operator,
    ACTIONS(17703), 1,
      sym_assign_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [709979] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18207), 1,
      anon_sym_SEMI,
    ACTIONS(18209), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14824), 1,
      sym_attribute,
    STATE(18760), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710034] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18211), 1,
      anon_sym_DQUOTE,
    STATE(14825), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(23475), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [710075] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17887), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(14826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [710110] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18213), 1,
      anon_sym_SEMI,
    ACTIONS(18215), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14827), 1,
      sym_attribute,
    STATE(18341), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710165] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18217), 1,
      anon_sym_RBRACK,
    ACTIONS(18219), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14828), 1,
      sym_attribute,
    STATE(17804), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710220] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12965), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12963), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [710251] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18221), 1,
      anon_sym_SEMI,
    ACTIONS(18223), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14830), 1,
      sym_attribute,
    STATE(17811), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710306] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [710343] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12969), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12967), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [710374] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(18003), 1,
      anon_sym_COMMA,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    ACTIONS(18013), 1,
      sym_concat_operator,
    ACTIONS(18015), 1,
      sym_rel_operator,
    ACTIONS(18017), 1,
      sym_and_operator,
    ACTIONS(18019), 1,
      sym_or_operator,
    ACTIONS(18021), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710427] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    ACTIONS(17660), 1,
      sym_rel_operator,
    ACTIONS(17662), 1,
      sym_and_operator,
    ACTIONS(17664), 1,
      sym_or_operator,
    ACTIONS(17668), 1,
      anon_sym_COMMA,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 4,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [710476] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17970), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(14835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [710511] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12973), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12971), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [710542] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    ACTIONS(17701), 1,
      sym_or_operator,
    ACTIONS(17703), 1,
      sym_assign_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710595] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12977), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12975), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [710626] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18225), 1,
      anon_sym_DQUOTE,
    STATE(14839), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(20524), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [710667] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18227), 1,
      anon_sym_RBRACK,
    ACTIONS(18229), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14840), 1,
      sym_attribute,
    STATE(17881), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710722] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18231), 1,
      anon_sym_SEMI,
    ACTIONS(18233), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14841), 1,
      sym_attribute,
    STATE(17884), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710777] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18047), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(14842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [710812] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(18003), 1,
      anon_sym_COMMA,
    ACTIONS(18007), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18009), 1,
      sym_pow_operator,
    ACTIONS(18011), 1,
      sym_mult_operator,
    ACTIONS(18013), 1,
      sym_concat_operator,
    ACTIONS(18015), 1,
      sym_rel_operator,
    ACTIONS(18017), 1,
      sym_and_operator,
    ACTIONS(18019), 1,
      sym_or_operator,
    ACTIONS(18021), 1,
      sym_assign_operator,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11677), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [710865] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17787), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(14844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [710900] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17885), 1,
      anon_sym_PIPE,
    STATE(14845), 1,
      sym_attribute,
    STATE(14847), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [710935] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11433), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [710966] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18235), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14847), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [710999] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11469), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11467), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [711030] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11473), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11471), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [711061] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17727), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(14850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [711096] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    ACTIONS(17660), 1,
      sym_rel_operator,
    ACTIONS(17662), 1,
      sym_and_operator,
    ACTIONS(17664), 1,
      sym_or_operator,
    ACTIONS(17668), 1,
      anon_sym_COMMA,
    ACTIONS(17670), 1,
      sym_assign_operator,
    ACTIONS(17991), 1,
      anon_sym_SEMI,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11627), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711149] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      anon_sym_DQUOTE,
    STATE(14852), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(20770), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [711190] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_with,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17612), 1,
      anon_sym_COMMA,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    ACTIONS(17620), 1,
      sym_concat_operator,
    ACTIONS(17622), 1,
      sym_rel_operator,
    ACTIONS(17624), 1,
      sym_and_operator,
    ACTIONS(17626), 1,
      sym_or_operator,
    ACTIONS(17628), 1,
      sym_assign_operator,
    ACTIONS(18240), 1,
      anon_sym_SEMI,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711245] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18242), 1,
      anon_sym_RBRACK,
    ACTIONS(18244), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14854), 1,
      sym_attribute,
    STATE(17937), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711300] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12849), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12847), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [711331] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18246), 1,
      anon_sym_SEMI,
    ACTIONS(18248), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14856), 1,
      sym_attribute,
    STATE(17947), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711386] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    ACTIONS(17822), 1,
      sym_rel_operator,
    ACTIONS(17824), 1,
      sym_and_operator,
    ACTIONS(17826), 1,
      sym_or_operator,
    ACTIONS(18075), 1,
      sym_assign_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [711437] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9204), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [711468] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18250), 1,
      anon_sym_DQUOTE,
    STATE(14859), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21079), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [711509] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    ACTIONS(17189), 1,
      sym_or_operator,
    ACTIONS(17191), 1,
      sym_assign_operator,
    ACTIONS(17883), 1,
      anon_sym_SEMI,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711562] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18252), 1,
      anon_sym_RBRACK,
    ACTIONS(18254), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14861), 1,
      sym_attribute,
    STATE(17988), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711617] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18256), 1,
      anon_sym_SEMI,
    ACTIONS(18258), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14862), 1,
      sym_attribute,
    STATE(17997), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711672] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    ACTIONS(17580), 1,
      sym_rel_operator,
    ACTIONS(17582), 1,
      sym_and_operator,
    ACTIONS(17584), 1,
      sym_or_operator,
    ACTIONS(17586), 1,
      anon_sym_COMMA,
    ACTIONS(17588), 1,
      sym_assign_operator,
    ACTIONS(17905), 1,
      anon_sym_SEMI,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [711725] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17816), 1,
      sym_pow_operator,
    ACTIONS(17818), 1,
      sym_mult_operator,
    ACTIONS(17820), 1,
      sym_concat_operator,
    ACTIONS(17822), 1,
      sym_rel_operator,
    ACTIONS(17824), 1,
      sym_and_operator,
    ACTIONS(17826), 1,
      sym_or_operator,
    ACTIONS(18075), 1,
      sym_assign_operator,
    STATE(2479), 1,
      sym_add_operator,
    STATE(14864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11677), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [711776] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [711809] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12949), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12947), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [711840] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18260), 1,
      anon_sym_PIPE,
    STATE(14867), 1,
      sym_attribute,
    STATE(14915), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [711875] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18262), 1,
      anon_sym_DQUOTE,
    STATE(14868), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21394), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [711916] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9240), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [711947] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9258), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [711978] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    ACTIONS(17177), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17179), 1,
      sym_pow_operator,
    ACTIONS(17181), 1,
      sym_mult_operator,
    ACTIONS(17183), 1,
      sym_concat_operator,
    ACTIONS(17185), 1,
      sym_rel_operator,
    ACTIONS(17187), 1,
      sym_and_operator,
    ACTIONS(17189), 1,
      sym_or_operator,
    ACTIONS(17191), 1,
      sym_assign_operator,
    ACTIONS(17883), 1,
      anon_sym_SEMI,
    STATE(2571), 1,
      sym_add_operator,
    STATE(14871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712031] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    ACTIONS(17580), 1,
      sym_rel_operator,
    ACTIONS(17582), 1,
      sym_and_operator,
    ACTIONS(17584), 1,
      sym_or_operator,
    ACTIONS(17586), 1,
      anon_sym_COMMA,
    ACTIONS(17588), 1,
      sym_assign_operator,
    ACTIONS(17905), 1,
      anon_sym_SEMI,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712084] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18264), 1,
      anon_sym_RBRACK,
    ACTIONS(18266), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14873), 1,
      sym_attribute,
    STATE(18059), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712139] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [712172] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18268), 1,
      anon_sym_SEMI,
    ACTIONS(18270), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14875), 1,
      sym_attribute,
    STATE(18063), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712227] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(18274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18272), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [712260] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11517), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11515), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [712291] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9262), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [712322] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [712355] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18276), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(14880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [712390] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18169), 1,
      anon_sym_else,
    STATE(9564), 1,
      sym_else_clause,
    STATE(14881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11565), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11563), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [712425] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18278), 1,
      anon_sym_DQUOTE,
    STATE(14882), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21499), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [712466] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    ACTIONS(17620), 1,
      sym_concat_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [712509] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18280), 1,
      anon_sym_DQUOTE,
    STATE(14884), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(20920), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [712550] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18282), 1,
      anon_sym_DQUOTE,
    STATE(14885), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22348), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [712591] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18284), 1,
      anon_sym_RBRACK,
    ACTIONS(18286), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14886), 1,
      sym_attribute,
    STATE(19026), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712646] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18288), 1,
      anon_sym_RBRACK,
    ACTIONS(18290), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14887), 1,
      sym_attribute,
    STATE(18151), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712701] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_COMMA,
    ACTIONS(17634), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17636), 1,
      sym_pow_operator,
    ACTIONS(17638), 1,
      sym_mult_operator,
    ACTIONS(17640), 1,
      sym_concat_operator,
    ACTIONS(17642), 1,
      sym_rel_operator,
    ACTIONS(17644), 1,
      sym_and_operator,
    ACTIONS(17646), 1,
      sym_or_operator,
    ACTIONS(17648), 1,
      sym_assign_operator,
    STATE(2365), 1,
      sym_add_operator,
    STATE(14888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11673), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [712752] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18292), 1,
      anon_sym_RBRACK,
    ACTIONS(18294), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14889), 1,
      sym_attribute,
    STATE(18377), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712807] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18296), 1,
      anon_sym_SEMI,
    ACTIONS(18298), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14890), 1,
      sym_attribute,
    STATE(18155), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712862] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11623), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [712903] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18300), 1,
      anon_sym_SEMI,
    ACTIONS(18302), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14892), 1,
      sym_attribute,
    STATE(19046), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [712958] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18304), 1,
      anon_sym_DQUOTE,
    STATE(14893), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22729), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [712999] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18306), 1,
      anon_sym_DQUOTE,
    STATE(14894), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22511), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [713040] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18308), 1,
      anon_sym_SEMI,
    ACTIONS(18310), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14895), 1,
      sym_attribute,
    STATE(18380), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [713095] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    STATE(14896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713128] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_with,
    ACTIONS(10304), 1,
      anon_sym_PIPE,
    ACTIONS(17612), 1,
      anon_sym_COMMA,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    ACTIONS(17620), 1,
      sym_concat_operator,
    ACTIONS(17622), 1,
      sym_rel_operator,
    ACTIONS(17624), 1,
      sym_and_operator,
    ACTIONS(17626), 1,
      sym_or_operator,
    ACTIONS(17628), 1,
      sym_assign_operator,
    ACTIONS(18240), 1,
      anon_sym_SEMI,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [713183] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17612), 1,
      anon_sym_COMMA,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    ACTIONS(17620), 1,
      sym_concat_operator,
    ACTIONS(17622), 1,
      sym_rel_operator,
    ACTIONS(17624), 1,
      sym_and_operator,
    ACTIONS(17626), 1,
      sym_or_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [713234] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18312), 1,
      anon_sym_DQUOTE,
    STATE(14899), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21990), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [713275] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18314), 1,
      anon_sym_DQUOTE,
    STATE(14900), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22762), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [713316] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18316), 1,
      anon_sym_DQUOTE,
    STATE(14901), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22020), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [713357] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713390] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18318), 1,
      anon_sym_RBRACK,
    ACTIONS(18320), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14903), 1,
      sym_attribute,
    STATE(18246), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [713445] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18322), 1,
      anon_sym_SEMI,
    ACTIONS(18324), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14904), 1,
      sym_attribute,
    STATE(18254), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [713500] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18326), 1,
      anon_sym_PIPE,
    STATE(14905), 1,
      sym_attribute,
    STATE(14907), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11585), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11583), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713535] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18326), 1,
      anon_sym_PIPE,
    STATE(14906), 1,
      sym_attribute,
    STATE(14909), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713570] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18326), 1,
      anon_sym_PIPE,
    STATE(14907), 1,
      sym_attribute,
    STATE(14911), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713605] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_done,
    ACTIONS(11629), 1,
      anon_sym_PIPE,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    ACTIONS(17687), 1,
      anon_sym_SEMI,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    ACTIONS(17701), 1,
      sym_or_operator,
    ACTIONS(17703), 1,
      sym_assign_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(14908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [713660] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18326), 1,
      anon_sym_PIPE,
    STATE(14909), 1,
      sym_attribute,
    STATE(14911), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713695] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2288), 1,
      sym_add_operator,
    STATE(14910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713728] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18328), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14911), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713761] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17590), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17596), 1,
      sym_pow_operator,
    ACTIONS(17598), 1,
      sym_mult_operator,
    ACTIONS(17600), 1,
      sym_concat_operator,
    ACTIONS(17602), 1,
      sym_rel_operator,
    ACTIONS(17604), 1,
      sym_and_operator,
    ACTIONS(17606), 1,
      sym_or_operator,
    STATE(2325), 1,
      sym_add_operator,
    STATE(14912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [713812] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12945), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12943), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [713843] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18260), 1,
      anon_sym_PIPE,
    STATE(14914), 1,
      sym_attribute,
    STATE(14942), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713878] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18260), 1,
      anon_sym_PIPE,
    STATE(14915), 1,
      sym_attribute,
    STATE(14944), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11603), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11601), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [713913] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11409), 1,
      anon_sym_PIPE,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [713964] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    STATE(14917), 1,
      sym_attribute,
    STATE(15662), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12256), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714003] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [714044] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17566), 1,
      sym_pow_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [714079] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17566), 1,
      sym_pow_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [714114] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [714157] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [714200] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [714247] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [714296] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11625), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11623), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [714337] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      anon_sym_PIPE,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [714390] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18331), 1,
      anon_sym_DQUOTE,
    STATE(14927), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22176), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [714431] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [714468] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11669), 1,
      anon_sym_PIPE,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [714521] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12953), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12951), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [714552] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17616), 1,
      sym_pow_operator,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11551), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [714587] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18333), 1,
      anon_sym_RBRACK,
    ACTIONS(18335), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14932), 1,
      sym_attribute,
    STATE(17835), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [714642] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      sym_or_operator,
    ACTIONS(17540), 1,
      sym_pow_operator,
    ACTIONS(17654), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17656), 1,
      sym_mult_operator,
    ACTIONS(17658), 1,
      sym_concat_operator,
    ACTIONS(17660), 1,
      sym_rel_operator,
    ACTIONS(17662), 1,
      sym_and_operator,
    STATE(2697), 1,
      sym_add_operator,
    STATE(14933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [714689] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_with,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(17612), 1,
      anon_sym_COMMA,
    ACTIONS(17614), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17616), 1,
      sym_pow_operator,
    ACTIONS(17618), 1,
      sym_mult_operator,
    ACTIONS(17620), 1,
      sym_concat_operator,
    ACTIONS(17622), 1,
      sym_rel_operator,
    ACTIONS(17624), 1,
      sym_and_operator,
    ACTIONS(17626), 1,
      sym_or_operator,
    ACTIONS(17628), 1,
      sym_assign_operator,
    ACTIONS(18240), 1,
      anon_sym_SEMI,
    STATE(2307), 1,
      sym_add_operator,
    STATE(14934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [714744] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17751), 1,
      anon_sym_COLON2,
    ACTIONS(18337), 1,
      anon_sym_COLON_GT,
    ACTIONS(18339), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(14935), 1,
      sym_attribute,
    STATE(15216), 1,
      sym__typed,
    STATE(15510), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18341), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [714787] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18276), 1,
      anon_sym_else,
    STATE(9633), 1,
      sym_else_clause,
    STATE(14936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11545), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11543), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [714822] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    ACTIONS(17556), 1,
      sym_concat_operator,
    ACTIONS(17580), 1,
      sym_rel_operator,
    ACTIONS(17582), 1,
      sym_and_operator,
    ACTIONS(17584), 1,
      sym_or_operator,
    ACTIONS(17586), 1,
      anon_sym_COMMA,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11407), 4,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [714871] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18343), 1,
      anon_sym_DQUOTE,
    STATE(14938), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22227), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [714912] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18345), 1,
      anon_sym_DQUOTE,
    STATE(14939), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(21192), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [714953] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18347), 1,
      anon_sym_RBRACK,
    ACTIONS(18349), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(14940), 1,
      sym_attribute,
    STATE(17809), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715008] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      sym_pow_operator,
    ACTIONS(17552), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17554), 1,
      sym_mult_operator,
    STATE(2520), 1,
      sym_add_operator,
    STATE(14941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11623), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [715049] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18260), 1,
      anon_sym_PIPE,
    STATE(14942), 1,
      sym_attribute,
    STATE(14944), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11685), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11683), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [715084] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    STATE(14943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [715117] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18351), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14944), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11433), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11431), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [715150] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18354), 1,
      anon_sym_DQUOTE,
    STATE(14945), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(22284), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [715191] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18356), 1,
      anon_sym_SEMI,
    ACTIONS(18358), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14946), 1,
      sym_attribute,
    STATE(17889), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715246] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11679), 1,
      anon_sym_PIPE,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11677), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715299] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    ACTIONS(18360), 1,
      anon_sym_SEMI,
    ACTIONS(18362), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2410), 1,
      sym_add_operator,
    STATE(14948), 1,
      sym_attribute,
    STATE(17838), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715354] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18364), 1,
      anon_sym_DQUOTE,
    STATE(14949), 1,
      sym_attribute,
    STATE(15063), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    STATE(23564), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [715395] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18366), 1,
      anon_sym_and,
    STATE(14950), 1,
      sym_attribute,
    STATE(15079), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16914), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [715427] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18368), 1,
      anon_sym_and,
    STATE(14951), 1,
      sym_attribute,
    STATE(15186), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16905), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [715459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12975), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12977), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [715489] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    ACTIONS(18384), 1,
      sym_or_operator,
    ACTIONS(18386), 1,
      sym_assign_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715539] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18388), 1,
      sym__lowercase_identifier,
    ACTIONS(18390), 1,
      anon_sym_LBRACK,
    STATE(12684), 1,
      sym__simple_class_type,
    STATE(14954), 1,
      sym_attribute,
    STATE(20244), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11587), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [715585] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9698), 1,
      anon_sym_LBRACK,
    ACTIONS(9706), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18392), 1,
      sym__lowercase_identifier,
    ACTIONS(18394), 1,
      anon_sym_LPAREN,
    ACTIONS(18396), 1,
      anon_sym_LBRACE,
    ACTIONS(18398), 1,
      sym__uppercase_identifier,
    STATE(11498), 1,
      sym__constructor_name,
    STATE(11705), 1,
      sym__value_name,
    STATE(11733), 1,
      sym_parenthesized_operator,
    STATE(14955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11672), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [715633] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18368), 1,
      anon_sym_and,
    STATE(14956), 1,
      sym_attribute,
    STATE(15187), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16984), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [715665] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_end,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18402), 1,
      anon_sym_SEMI,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    ACTIONS(18416), 1,
      sym_or_operator,
    ACTIONS(18418), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(14957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [715717] = 14,
    ACTIONS(1033), 1,
      anon_sym_LBRACK,
    ACTIONS(1043), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1055), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18420), 1,
      sym__lowercase_identifier,
    ACTIONS(18422), 1,
      anon_sym_LPAREN,
    ACTIONS(18424), 1,
      anon_sym_LBRACE,
    ACTIONS(18426), 1,
      sym__uppercase_identifier,
    STATE(4647), 1,
      sym__value_name,
    STATE(4763), 1,
      sym_parenthesized_operator,
    STATE(4940), 1,
      sym__constructor_name,
    STATE(14958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4588), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [715765] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2705), 1,
      anon_sym_LBRACK,
    ACTIONS(2715), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2727), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18428), 1,
      sym__lowercase_identifier,
    ACTIONS(18430), 1,
      anon_sym_LPAREN,
    ACTIONS(18432), 1,
      anon_sym_LBRACE,
    ACTIONS(18434), 1,
      sym__uppercase_identifier,
    STATE(7869), 1,
      sym__constructor_name,
    STATE(7886), 1,
      sym_parenthesized_operator,
    STATE(8027), 1,
      sym__value_name,
    STATE(14959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7807), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [715813] = 14,
    ACTIONS(1085), 1,
      anon_sym_LBRACK,
    ACTIONS(1095), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1107), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18436), 1,
      sym__lowercase_identifier,
    ACTIONS(18438), 1,
      anon_sym_LPAREN,
    ACTIONS(18440), 1,
      anon_sym_LBRACE,
    ACTIONS(18442), 1,
      sym__uppercase_identifier,
    STATE(5060), 1,
      sym__value_name,
    STATE(5082), 1,
      sym_parenthesized_operator,
    STATE(5136), 1,
      sym__constructor_name,
    STATE(14960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5032), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [715861] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6913), 1,
      anon_sym_LBRACK,
    ACTIONS(6921), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6925), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18444), 1,
      sym__lowercase_identifier,
    ACTIONS(18446), 1,
      anon_sym_LPAREN,
    ACTIONS(18448), 1,
      anon_sym_LBRACE,
    ACTIONS(18450), 1,
      sym__uppercase_identifier,
    STATE(7329), 1,
      sym__constructor_name,
    STATE(7335), 1,
      sym__value_name,
    STATE(7470), 1,
      sym_parenthesized_operator,
    STATE(14961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7251), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [715909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12987), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12989), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [715939] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9570), 1,
      anon_sym_LBRACK,
    ACTIONS(9578), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9582), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18452), 1,
      sym__lowercase_identifier,
    ACTIONS(18454), 1,
      anon_sym_LPAREN,
    ACTIONS(18456), 1,
      anon_sym_LBRACE,
    ACTIONS(18458), 1,
      sym__uppercase_identifier,
    STATE(8698), 1,
      sym__constructor_name,
    STATE(9369), 1,
      sym_parenthesized_operator,
    STATE(9399), 1,
      sym__value_name,
    STATE(14963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9313), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [715987] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_COMMA,
    STATE(14964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [716019] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18366), 1,
      anon_sym_and,
    STATE(14965), 1,
      sym_attribute,
    STATE(15062), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16899), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [716051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12991), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12993), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [716081] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(11527), 1,
      anon_sym_let,
    ACTIONS(18460), 1,
      sym__lowercase_identifier,
    ACTIONS(18462), 1,
      anon_sym_LBRACK,
    STATE(11502), 1,
      sym__simple_class_type,
    STATE(14967), 1,
      sym_attribute,
    STATE(19546), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11587), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [716127] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    ACTIONS(18478), 1,
      sym_or_operator,
    ACTIONS(18480), 1,
      sym_assign_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(14968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11677), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [716177] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18366), 1,
      anon_sym_and,
    STATE(14950), 1,
      aux_sym_type_definition_repeat1,
    STATE(14969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16980), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [716209] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18482), 1,
      anon_sym_and,
    STATE(14970), 1,
      sym_attribute,
    STATE(14983), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16914), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [716241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12995), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12997), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [716271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12999), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13001), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [716301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13003), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13005), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [716331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13007), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13009), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [716361] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18468), 1,
      sym_pow_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(14975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [716395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13015), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13017), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [716425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13019), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13021), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [716455] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_with,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    ACTIONS(18478), 1,
      sym_or_operator,
    ACTIONS(18480), 1,
      sym_assign_operator,
    ACTIONS(18484), 1,
      anon_sym_SEMI,
    STATE(2259), 1,
      sym_add_operator,
    STATE(14978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [716507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13023), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13025), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [716537] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18374), 1,
      sym_pow_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(14980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [716571] = 14,
    ACTIONS(929), 1,
      anon_sym_LBRACK,
    ACTIONS(939), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(951), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18486), 1,
      sym__lowercase_identifier,
    ACTIONS(18488), 1,
      anon_sym_LPAREN,
    ACTIONS(18490), 1,
      anon_sym_LBRACE,
    ACTIONS(18492), 1,
      sym__uppercase_identifier,
    STATE(4645), 1,
      sym__constructor_name,
    STATE(4930), 1,
      sym__value_name,
    STATE(4967), 1,
      sym_parenthesized_operator,
    STATE(14981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4880), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [716619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13027), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(13029), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [716649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18494), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14983), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15794), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [716679] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10490), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [716709] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_end,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    ACTIONS(18416), 1,
      sym_or_operator,
    ACTIONS(18418), 1,
      sym_assign_operator,
    ACTIONS(18497), 1,
      anon_sym_SEMI,
    STATE(2312), 1,
      sym_add_operator,
    STATE(14985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [716761] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6765), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6769), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18499), 1,
      sym__lowercase_identifier,
    ACTIONS(18501), 1,
      anon_sym_LPAREN,
    ACTIONS(18503), 1,
      anon_sym_LBRACE,
    ACTIONS(18505), 1,
      sym__uppercase_identifier,
    STATE(7211), 1,
      sym_parenthesized_operator,
    STATE(7360), 1,
      sym__value_name,
    STATE(7468), 1,
      sym__constructor_name,
    STATE(14986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7291), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [716809] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18482), 1,
      anon_sym_and,
    STATE(14987), 1,
      sym_attribute,
    STATE(15038), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16914), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [716841] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_with,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    ACTIONS(18478), 1,
      sym_or_operator,
    ACTIONS(18480), 1,
      sym_assign_operator,
    ACTIONS(18507), 1,
      anon_sym_SEMI,
    STATE(2259), 1,
      sym_add_operator,
    STATE(14988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [716893] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    ACTIONS(2767), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2779), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18509), 1,
      sym__lowercase_identifier,
    ACTIONS(18511), 1,
      anon_sym_LPAREN,
    ACTIONS(18513), 1,
      anon_sym_LBRACE,
    ACTIONS(18515), 1,
      sym__uppercase_identifier,
    STATE(7652), 1,
      sym__value_name,
    STATE(7926), 1,
      sym__constructor_name,
    STATE(7989), 1,
      sym_parenthesized_operator,
    STATE(14989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8026), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [716941] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2312), 1,
      sym_add_operator,
    STATE(14990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [716973] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18517), 1,
      sym__lowercase_identifier,
    ACTIONS(18519), 1,
      anon_sym_LPAREN,
    ACTIONS(18521), 1,
      anon_sym_LBRACE,
    ACTIONS(18523), 1,
      sym__uppercase_identifier,
    STATE(8758), 1,
      sym__constructor_name,
    STATE(8863), 1,
      sym__value_name,
    STATE(8891), 1,
      sym_parenthesized_operator,
    STATE(14991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8860), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717021] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18482), 1,
      anon_sym_and,
    STATE(14992), 1,
      sym_attribute,
    STATE(15069), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16899), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [717053] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(14993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [717095] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18482), 1,
      anon_sym_and,
    STATE(14970), 1,
      aux_sym_type_definition_repeat1,
    STATE(14994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16980), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [717127] = 14,
    ACTIONS(1307), 1,
      anon_sym_LBRACK,
    ACTIONS(1317), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1329), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18525), 1,
      sym__lowercase_identifier,
    ACTIONS(18527), 1,
      anon_sym_LPAREN,
    ACTIONS(18529), 1,
      anon_sym_LBRACE,
    ACTIONS(18531), 1,
      sym__uppercase_identifier,
    STATE(6144), 1,
      sym__value_name,
    STATE(6212), 1,
      sym__constructor_name,
    STATE(6216), 1,
      sym_parenthesized_operator,
    STATE(14995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6169), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717175] = 14,
    ACTIONS(111), 1,
      anon_sym_LBRACK,
    ACTIONS(127), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(143), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18533), 1,
      sym__lowercase_identifier,
    ACTIONS(18535), 1,
      anon_sym_LPAREN,
    ACTIONS(18537), 1,
      anon_sym_LBRACE,
    ACTIONS(18539), 1,
      sym__uppercase_identifier,
    STATE(5531), 1,
      sym_parenthesized_operator,
    STATE(5601), 1,
      sym__constructor_name,
    STATE(5675), 1,
      sym__value_name,
    STATE(14996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5558), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717223] = 14,
    ACTIONS(877), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(899), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18541), 1,
      sym__lowercase_identifier,
    ACTIONS(18543), 1,
      anon_sym_LPAREN,
    ACTIONS(18545), 1,
      anon_sym_LBRACE,
    ACTIONS(18547), 1,
      sym__uppercase_identifier,
    STATE(4112), 1,
      sym__constructor_name,
    STATE(4501), 1,
      sym__value_name,
    STATE(4515), 1,
      sym_parenthesized_operator,
    STATE(14997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4474), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717271] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2913), 1,
      anon_sym_LBRACK,
    ACTIONS(2923), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2935), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18549), 1,
      sym__lowercase_identifier,
    ACTIONS(18551), 1,
      anon_sym_LPAREN,
    ACTIONS(18553), 1,
      anon_sym_LBRACE,
    ACTIONS(18555), 1,
      sym__uppercase_identifier,
    STATE(8020), 1,
      sym__value_name,
    STATE(8049), 1,
      sym__constructor_name,
    STATE(8117), 1,
      sym_parenthesized_operator,
    STATE(14998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7966), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717319] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18557), 1,
      anon_sym_and,
    STATE(14999), 1,
      sym_attribute,
    STATE(15053), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17201), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [717351] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_end,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18402), 1,
      anon_sym_SEMI,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    ACTIONS(18416), 1,
      sym_or_operator,
    ACTIONS(18418), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [717403] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2861), 1,
      anon_sym_LBRACK,
    ACTIONS(2871), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2883), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18559), 1,
      sym__lowercase_identifier,
    ACTIONS(18561), 1,
      anon_sym_LPAREN,
    ACTIONS(18563), 1,
      anon_sym_LBRACE,
    ACTIONS(18565), 1,
      sym__uppercase_identifier,
    STATE(7899), 1,
      sym__value_name,
    STATE(7921), 1,
      sym__constructor_name,
    STATE(8077), 1,
      sym_parenthesized_operator,
    STATE(15001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7741), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717451] = 14,
    ACTIONS(825), 1,
      anon_sym_LBRACK,
    ACTIONS(835), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(847), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18567), 1,
      sym__lowercase_identifier,
    ACTIONS(18569), 1,
      anon_sym_LPAREN,
    ACTIONS(18571), 1,
      anon_sym_LBRACE,
    ACTIONS(18573), 1,
      sym__uppercase_identifier,
    STATE(4445), 1,
      sym__value_name,
    STATE(4511), 1,
      sym_parenthesized_operator,
    STATE(4559), 1,
      sym__constructor_name,
    STATE(15002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4419), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717499] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    STATE(15003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [717531] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18557), 1,
      anon_sym_and,
    STATE(15004), 1,
      sym_attribute,
    STATE(15055), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17201), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [717563] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12531), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15400), 1,
      anon_sym_STAR,
    STATE(15005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [717595] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18388), 1,
      sym__lowercase_identifier,
    ACTIONS(18390), 1,
      anon_sym_LBRACK,
    STATE(11502), 1,
      sym__simple_class_type,
    STATE(15006), 1,
      sym_attribute,
    STATE(20244), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11587), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [717641] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18521), 1,
      anon_sym_LBRACE,
    ACTIONS(18523), 1,
      sym__uppercase_identifier,
    ACTIONS(18575), 1,
      sym__lowercase_identifier,
    ACTIONS(18577), 1,
      anon_sym_LPAREN,
    STATE(8758), 1,
      sym__constructor_name,
    STATE(8863), 1,
      sym__value_name,
    STATE(15007), 1,
      sym_attribute,
    STATE(15300), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8860), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717689] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(15008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18579), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [717739] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18557), 1,
      anon_sym_and,
    STATE(14999), 1,
      aux_sym_class_definition_repeat1,
    STATE(15009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17351), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [717771] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_DASH_GT,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18581), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(15010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [717823] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3031), 1,
      anon_sym_LBRACK,
    ACTIONS(3041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18583), 1,
      sym__lowercase_identifier,
    ACTIONS(18585), 1,
      anon_sym_LPAREN,
    ACTIONS(18587), 1,
      anon_sym_LBRACE,
    ACTIONS(18589), 1,
      sym__uppercase_identifier,
    STATE(8507), 1,
      sym_parenthesized_operator,
    STATE(8508), 1,
      sym__constructor_name,
    STATE(8527), 1,
      sym__value_name,
    STATE(15011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8522), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [717871] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_then,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    ACTIONS(18593), 1,
      anon_sym_SEMI,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    ACTIONS(18607), 1,
      sym_or_operator,
    ACTIONS(18609), 1,
      sym_assign_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [717923] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18003), 1,
      anon_sym_COMMA,
    STATE(15013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [717955] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2147), 1,
      anon_sym_LBRACK,
    ACTIONS(2157), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2169), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18611), 1,
      sym__lowercase_identifier,
    ACTIONS(18613), 1,
      anon_sym_LPAREN,
    ACTIONS(18615), 1,
      anon_sym_LBRACE,
    ACTIONS(18617), 1,
      sym__uppercase_identifier,
    STATE(7308), 1,
      sym_parenthesized_operator,
    STATE(7332), 1,
      sym__constructor_name,
    STATE(7482), 1,
      sym__value_name,
    STATE(15014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7423), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [718003] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17339), 1,
      sym__lowercase_identifier,
    ACTIONS(18619), 1,
      anon_sym_nonrec,
    STATE(14994), 1,
      sym_type_binding,
    STATE(15015), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17311), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23536), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [718057] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18388), 1,
      sym__lowercase_identifier,
    ACTIONS(18390), 1,
      anon_sym_LBRACK,
    STATE(12647), 1,
      sym__simple_class_type,
    STATE(15016), 1,
      sym_attribute,
    STATE(20244), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11587), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [718103] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(18621), 1,
      sym__lowercase_identifier,
    ACTIONS(18623), 1,
      anon_sym_STAR,
    ACTIONS(18625), 1,
      anon_sym_POUND,
    STATE(15017), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_type_constructor_path,
    STATE(20315), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 4,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12531), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [718145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9256), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [718175] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3111), 1,
      anon_sym_LBRACK,
    ACTIONS(3121), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3133), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18627), 1,
      sym__lowercase_identifier,
    ACTIONS(18629), 1,
      anon_sym_LPAREN,
    ACTIONS(18631), 1,
      anon_sym_LBRACE,
    ACTIONS(18633), 1,
      sym__uppercase_identifier,
    STATE(8305), 1,
      sym_parenthesized_operator,
    STATE(8334), 1,
      sym__value_name,
    STATE(8618), 1,
      sym__constructor_name,
    STATE(15019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8230), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [718223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18637), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18635), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [718253] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_done,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    ACTIONS(17701), 1,
      sym_or_operator,
    ACTIONS(17703), 1,
      sym_assign_operator,
    ACTIONS(18639), 1,
      anon_sym_SEMI,
    STATE(2542), 1,
      sym_add_operator,
    STATE(15021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [718305] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_end,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18402), 1,
      anon_sym_SEMI,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    ACTIONS(18416), 1,
      sym_or_operator,
    ACTIONS(18418), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [718357] = 14,
    ACTIONS(1189), 1,
      anon_sym_LBRACK,
    ACTIONS(1199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1211), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18641), 1,
      sym__lowercase_identifier,
    ACTIONS(18643), 1,
      anon_sym_LPAREN,
    ACTIONS(18645), 1,
      anon_sym_LBRACE,
    ACTIONS(18647), 1,
      sym__uppercase_identifier,
    STATE(5010), 1,
      sym__constructor_name,
    STATE(5297), 1,
      sym__value_name,
    STATE(5329), 1,
      sym_parenthesized_operator,
    STATE(15023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5266), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [718405] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [718441] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17312), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(18649), 1,
      anon_sym_nonrec,
    STATE(14969), 1,
      sym_type_binding,
    STATE(15025), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17187), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23518), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [718495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12847), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12849), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [718525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9202), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [718555] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [718597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9260), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [718627] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_then,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    ACTIONS(18607), 1,
      sym_or_operator,
    ACTIONS(18609), 1,
      sym_assign_operator,
    ACTIONS(18651), 1,
      anon_sym_SEMI,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [718679] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7437), 1,
      anon_sym_LBRACK,
    ACTIONS(7445), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7449), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18653), 1,
      sym__lowercase_identifier,
    ACTIONS(18655), 1,
      anon_sym_LPAREN,
    ACTIONS(18657), 1,
      anon_sym_LBRACE,
    ACTIONS(18659), 1,
      sym__uppercase_identifier,
    STATE(8396), 1,
      sym__constructor_name,
    STATE(8606), 1,
      sym_parenthesized_operator,
    STATE(8649), 1,
      sym__value_name,
    STATE(15031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8562), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [718727] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_with,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    ACTIONS(18478), 1,
      sym_or_operator,
    ACTIONS(18480), 1,
      sym_assign_operator,
    ACTIONS(18507), 1,
      anon_sym_SEMI,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [718779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18272), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [718809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10402), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [718839] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [718871] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      sym_or_operator,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [718917] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18388), 1,
      sym__lowercase_identifier,
    ACTIONS(18390), 1,
      anon_sym_LBRACK,
    STATE(15037), 1,
      sym_attribute,
    STATE(15571), 1,
      sym__simple_class_type,
    STATE(20244), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11587), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [718963] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18482), 1,
      anon_sym_and,
    STATE(14983), 1,
      aux_sym_type_definition_repeat1,
    STATE(15038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17014), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [718995] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [719037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12917), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [719067] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    STATE(15041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 8,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [719099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9238), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [719129] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18388), 1,
      sym__lowercase_identifier,
    ACTIONS(18390), 1,
      anon_sym_LBRACK,
    STATE(12365), 1,
      sym__simple_class_type,
    STATE(15043), 1,
      sym_attribute,
    STATE(20244), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11587), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [719175] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_with,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    ACTIONS(18478), 1,
      sym_or_operator,
    ACTIONS(18480), 1,
      sym_assign_operator,
    ACTIONS(18507), 1,
      anon_sym_SEMI,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [719227] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18388), 1,
      sym__lowercase_identifier,
    ACTIONS(18390), 1,
      anon_sym_LBRACK,
    STATE(12474), 1,
      sym__simple_class_type,
    STATE(15045), 1,
      sym_attribute,
    STATE(20244), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11587), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [719273] = 14,
    ACTIONS(1247), 1,
      anon_sym_LBRACK,
    ACTIONS(1257), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1277), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18661), 1,
      sym__lowercase_identifier,
    ACTIONS(18663), 1,
      anon_sym_LPAREN,
    ACTIONS(18665), 1,
      anon_sym_LBRACE,
    ACTIONS(18667), 1,
      sym__uppercase_identifier,
    STATE(6042), 1,
      sym__value_name,
    STATE(6082), 1,
      sym_parenthesized_operator,
    STATE(6117), 1,
      sym__constructor_name,
    STATE(15046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6012), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719321] = 14,
    ACTIONS(769), 1,
      anon_sym_LBRACK,
    ACTIONS(779), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(791), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18669), 1,
      sym__lowercase_identifier,
    ACTIONS(18671), 1,
      anon_sym_LPAREN,
    ACTIONS(18673), 1,
      anon_sym_LBRACE,
    ACTIONS(18675), 1,
      sym__uppercase_identifier,
    STATE(4355), 1,
      sym__value_name,
    STATE(4365), 1,
      sym_parenthesized_operator,
    STATE(4386), 1,
      sym__constructor_name,
    STATE(15047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4330), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719369] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1607), 1,
      anon_sym_LBRACK,
    ACTIONS(1617), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1637), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18677), 1,
      sym__lowercase_identifier,
    ACTIONS(18679), 1,
      anon_sym_LPAREN,
    ACTIONS(18681), 1,
      anon_sym_LBRACE,
    ACTIONS(18683), 1,
      sym__uppercase_identifier,
    STATE(6955), 1,
      sym__constructor_name,
    STATE(6959), 1,
      sym_parenthesized_operator,
    STATE(6970), 1,
      sym__value_name,
    STATE(15048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7023), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719417] = 14,
    ACTIONS(1137), 1,
      anon_sym_LBRACK,
    ACTIONS(1147), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1159), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18685), 1,
      sym__lowercase_identifier,
    ACTIONS(18687), 1,
      anon_sym_LPAREN,
    ACTIONS(18689), 1,
      anon_sym_LBRACE,
    ACTIONS(18691), 1,
      sym__uppercase_identifier,
    STATE(5083), 1,
      sym__constructor_name,
    STATE(5230), 1,
      sym__value_name,
    STATE(5300), 1,
      sym_parenthesized_operator,
    STATE(15049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5189), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719465] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    ACTIONS(18478), 1,
      sym_or_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [719511] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8937), 1,
      anon_sym_LBRACK,
    ACTIONS(8945), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8949), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18693), 1,
      sym__lowercase_identifier,
    ACTIONS(18695), 1,
      anon_sym_LPAREN,
    ACTIONS(18697), 1,
      anon_sym_LBRACE,
    ACTIONS(18699), 1,
      sym__uppercase_identifier,
    STATE(9781), 1,
      sym__constructor_name,
    STATE(11099), 1,
      sym_parenthesized_operator,
    STATE(11198), 1,
      sym__value_name,
    STATE(15051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11014), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719559] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11623), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [719599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18701), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15053), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(16325), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [719629] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    ACTIONS(18478), 1,
      sym_or_operator,
    ACTIONS(18480), 1,
      sym_assign_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [719679] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18557), 1,
      anon_sym_and,
    STATE(15053), 1,
      aux_sym_class_definition_repeat1,
    STATE(15055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17218), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [719711] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    ACTIONS(18384), 1,
      sym_or_operator,
    ACTIONS(18386), 1,
      sym_assign_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [719761] = 14,
    ACTIONS(1395), 1,
      anon_sym_LBRACK,
    ACTIONS(1405), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1417), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18704), 1,
      sym__lowercase_identifier,
    ACTIONS(18706), 1,
      anon_sym_LPAREN,
    ACTIONS(18708), 1,
      anon_sym_LBRACE,
    ACTIONS(18710), 1,
      sym__uppercase_identifier,
    STATE(6505), 1,
      sym__constructor_name,
    STATE(6548), 1,
      sym_parenthesized_operator,
    STATE(6568), 1,
      sym__value_name,
    STATE(15057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6524), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719809] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3191), 1,
      anon_sym_LBRACK,
    ACTIONS(3201), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3213), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18712), 1,
      sym__lowercase_identifier,
    ACTIONS(18714), 1,
      anon_sym_LPAREN,
    ACTIONS(18716), 1,
      anon_sym_LBRACE,
    ACTIONS(18718), 1,
      sym__uppercase_identifier,
    STATE(8338), 1,
      sym_parenthesized_operator,
    STATE(8380), 1,
      sym__constructor_name,
    STATE(8612), 1,
      sym__value_name,
    STATE(15058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8607), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [719857] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_end,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    ACTIONS(18416), 1,
      sym_or_operator,
    ACTIONS(18418), 1,
      sym_assign_operator,
    ACTIONS(18497), 1,
      anon_sym_SEMI,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [719909] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [719945] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    ACTIONS(18478), 1,
      sym_or_operator,
    ACTIONS(18480), 1,
      sym_assign_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [719995] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18366), 1,
      anon_sym_and,
    STATE(15062), 1,
      sym_attribute,
    STATE(15079), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16980), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [720027] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18720), 1,
      anon_sym_DQUOTE,
    STATE(15063), 1,
      sym_attribute,
    STATE(15162), 1,
      aux_sym_string_content_repeat1,
    STATE(15265), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17532), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(17534), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17530), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [720065] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_do,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    ACTIONS(18384), 1,
      sym_or_operator,
    ACTIONS(18386), 1,
      sym_assign_operator,
    ACTIONS(18722), 1,
      anon_sym_SEMI,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [720117] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17930), 1,
      anon_sym_COMMA,
    STATE(15065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [720149] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(15066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18724), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [720199] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11623), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [720239] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_then,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    ACTIONS(18593), 1,
      anon_sym_SEMI,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    ACTIONS(18607), 1,
      sym_or_operator,
    ACTIONS(18609), 1,
      sym_assign_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [720291] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18482), 1,
      anon_sym_and,
    STATE(14983), 1,
      aux_sym_type_definition_repeat1,
    STATE(15069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16980), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [720323] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6801), 1,
      anon_sym_LBRACK,
    ACTIONS(6809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18726), 1,
      sym__lowercase_identifier,
    ACTIONS(18728), 1,
      anon_sym_LPAREN,
    ACTIONS(18730), 1,
      anon_sym_LBRACE,
    ACTIONS(18732), 1,
      sym__uppercase_identifier,
    STATE(7214), 1,
      sym__constructor_name,
    STATE(7306), 1,
      sym_parenthesized_operator,
    STATE(7541), 1,
      sym__value_name,
    STATE(15070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7466), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720371] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2809), 1,
      anon_sym_LBRACK,
    ACTIONS(2819), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2831), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18734), 1,
      sym__lowercase_identifier,
    ACTIONS(18736), 1,
      anon_sym_LPAREN,
    ACTIONS(18738), 1,
      anon_sym_LBRACE,
    ACTIONS(18740), 1,
      sym__uppercase_identifier,
    STATE(7824), 1,
      sym__value_name,
    STATE(7968), 1,
      sym__constructor_name,
    STATE(8071), 1,
      sym_parenthesized_operator,
    STATE(15071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7650), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720419] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      sym_or_operator,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [720465] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18742), 1,
      anon_sym_and,
    STATE(15073), 1,
      sym_attribute,
    STATE(15136), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17201), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [720497] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(18621), 1,
      sym__lowercase_identifier,
    ACTIONS(18744), 1,
      anon_sym_POUND,
    STATE(15074), 1,
      sym_attribute,
    STATE(15253), 1,
      sym_type_constructor_path,
    STATE(20315), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12603), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [720537] = 14,
    ACTIONS(605), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(627), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18746), 1,
      sym__lowercase_identifier,
    ACTIONS(18748), 1,
      anon_sym_LPAREN,
    ACTIONS(18750), 1,
      anon_sym_LBRACE,
    ACTIONS(18752), 1,
      sym__uppercase_identifier,
    STATE(4111), 1,
      sym__value_name,
    STATE(4133), 1,
      sym_parenthesized_operator,
    STATE(4264), 1,
      sym__constructor_name,
    STATE(15075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4083), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12923), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12925), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [720615] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [720657] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_do,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    ACTIONS(18384), 1,
      sym_or_operator,
    ACTIONS(18386), 1,
      sym_assign_operator,
    ACTIONS(18754), 1,
      anon_sym_SEMI,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [720709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18756), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15079), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15794), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [720739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12927), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12929), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [720769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12931), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12933), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [720799] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [720831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12935), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12937), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [720861] = 14,
    ACTIONS(533), 1,
      anon_sym_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(563), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18759), 1,
      sym__lowercase_identifier,
    ACTIONS(18761), 1,
      anon_sym_LPAREN,
    ACTIONS(18763), 1,
      anon_sym_LBRACE,
    ACTIONS(18765), 1,
      sym__uppercase_identifier,
    STATE(5603), 1,
      sym__constructor_name,
    STATE(5771), 1,
      sym_parenthesized_operator,
    STATE(5796), 1,
      sym__value_name,
    STATE(15084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5674), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720909] = 14,
    ACTIONS(369), 1,
      anon_sym_LBRACK,
    ACTIONS(379), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(391), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18767), 1,
      sym__lowercase_identifier,
    ACTIONS(18769), 1,
      anon_sym_LPAREN,
    ACTIONS(18771), 1,
      anon_sym_LBRACE,
    ACTIONS(18773), 1,
      sym__uppercase_identifier,
    STATE(3782), 1,
      sym__value_name,
    STATE(3922), 1,
      sym_parenthesized_operator,
    STATE(3992), 1,
      sym__constructor_name,
    STATE(15085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3849), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [720957] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(15086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18775), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721007] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18366), 1,
      anon_sym_and,
    STATE(15087), 1,
      sym_attribute,
    STATE(15100), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16914), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721039] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18374), 1,
      sym_pow_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [721073] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17477), 1,
      sym__lowercase_identifier,
    ACTIONS(18777), 1,
      anon_sym_nonrec,
    STATE(14026), 1,
      sym_type_binding,
    STATE(15089), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17106), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(20878), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [721127] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11629), 1,
      anon_sym_DASH_GT,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18581), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(15090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721179] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_then,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    ACTIONS(18607), 1,
      sym_or_operator,
    ACTIONS(18609), 1,
      sym_assign_operator,
    ACTIONS(18651), 1,
      anon_sym_SEMI,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721231] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    ACTIONS(18384), 1,
      sym_or_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [721277] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_with,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    ACTIONS(18478), 1,
      sym_or_operator,
    ACTIONS(18480), 1,
      sym_assign_operator,
    ACTIONS(18484), 1,
      anon_sym_SEMI,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18779), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721359] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3257), 1,
      anon_sym_LBRACK,
    ACTIONS(3267), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3279), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18781), 1,
      sym__lowercase_identifier,
    ACTIONS(18783), 1,
      anon_sym_LPAREN,
    ACTIONS(18785), 1,
      anon_sym_LBRACE,
    ACTIONS(18787), 1,
      sym__uppercase_identifier,
    STATE(8251), 1,
      sym__value_name,
    STATE(8531), 1,
      sym__constructor_name,
    STATE(8706), 1,
      sym_parenthesized_operator,
    STATE(15095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8235), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [721407] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_do,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    ACTIONS(18384), 1,
      sym_or_operator,
    ACTIONS(18386), 1,
      sym_assign_operator,
    ACTIONS(18722), 1,
      anon_sym_SEMI,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721459] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11579), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11577), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [721491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18637), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18635), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721521] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    ACTIONS(18607), 1,
      sym_or_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721569] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18366), 1,
      anon_sym_and,
    STATE(15079), 1,
      aux_sym_type_definition_repeat1,
    STATE(15100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17014), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721601] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    ACTIONS(18607), 1,
      sym_or_operator,
    ACTIONS(18609), 1,
      sym_assign_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11677), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18272), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [721681] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_with,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    ACTIONS(18478), 1,
      sym_or_operator,
    ACTIONS(18480), 1,
      sym_assign_operator,
    ACTIONS(18484), 1,
      anon_sym_SEMI,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721733] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17668), 1,
      anon_sym_COMMA,
    STATE(15104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 8,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [721765] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_done,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    ACTIONS(17701), 1,
      sym_or_operator,
    ACTIONS(17703), 1,
      sym_assign_operator,
    ACTIONS(18639), 1,
      anon_sym_SEMI,
    STATE(2542), 1,
      sym_add_operator,
    STATE(15105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721817] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    ACTIONS(18384), 1,
      sym_or_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721865] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7597), 1,
      anon_sym_LBRACK,
    ACTIONS(7605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18789), 1,
      sym__lowercase_identifier,
    ACTIONS(18791), 1,
      anon_sym_LPAREN,
    ACTIONS(18793), 1,
      anon_sym_LBRACE,
    ACTIONS(18795), 1,
      sym__uppercase_identifier,
    STATE(8289), 1,
      sym__value_name,
    STATE(8467), 1,
      sym__constructor_name,
    STATE(8491), 1,
      sym_parenthesized_operator,
    STATE(15107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8205), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [721913] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11627), 1,
      anon_sym_do,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    ACTIONS(18384), 1,
      sym_or_operator,
    ACTIONS(18386), 1,
      sym_assign_operator,
    ACTIONS(18722), 1,
      anon_sym_SEMI,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [721965] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1449), 1,
      anon_sym_LBRACK,
    ACTIONS(1459), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1471), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18797), 1,
      sym__lowercase_identifier,
    ACTIONS(18799), 1,
      anon_sym_LPAREN,
    ACTIONS(18801), 1,
      anon_sym_LBRACE,
    ACTIONS(18803), 1,
      sym__uppercase_identifier,
    STATE(6592), 1,
      sym_parenthesized_operator,
    STATE(6633), 1,
      sym__constructor_name,
    STATE(6707), 1,
      sym__value_name,
    STATE(15109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6661), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [722013] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18742), 1,
      anon_sym_and,
    STATE(15110), 1,
      sym_attribute,
    STATE(15138), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17201), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [722045] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15107), 1,
      sym_rel_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(15111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18805), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [722095] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    ACTIONS(18416), 1,
      sym_or_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [722143] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_DASH_GT,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    ACTIONS(15099), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15101), 1,
      sym_pow_operator,
    ACTIONS(15103), 1,
      sym_mult_operator,
    ACTIONS(15105), 1,
      sym_concat_operator,
    ACTIONS(15109), 1,
      sym_and_operator,
    ACTIONS(15111), 1,
      sym_or_operator,
    ACTIONS(15113), 1,
      sym_assign_operator,
    ACTIONS(15832), 1,
      sym_rel_operator,
    ACTIONS(18581), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(15113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [722195] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_do,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    ACTIONS(18384), 1,
      sym_or_operator,
    ACTIONS(18386), 1,
      sym_assign_operator,
    ACTIONS(18754), 1,
      anon_sym_SEMI,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [722247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12939), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12941), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [722277] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18742), 1,
      anon_sym_and,
    STATE(15073), 1,
      aux_sym_class_definition_repeat1,
    STATE(15116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17351), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [722309] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_then,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    ACTIONS(18593), 1,
      anon_sym_SEMI,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    ACTIONS(18607), 1,
      sym_or_operator,
    ACTIONS(18609), 1,
      sym_assign_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [722361] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_end,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    ACTIONS(18416), 1,
      sym_or_operator,
    ACTIONS(18418), 1,
      sym_assign_operator,
    ACTIONS(18497), 1,
      anon_sym_SEMI,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [722413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12943), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12945), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [722443] = 14,
    ACTIONS(981), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1003), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18807), 1,
      sym__lowercase_identifier,
    ACTIONS(18809), 1,
      anon_sym_LPAREN,
    ACTIONS(18811), 1,
      anon_sym_LBRACE,
    ACTIONS(18813), 1,
      sym__uppercase_identifier,
    STATE(4618), 1,
      sym__constructor_name,
    STATE(4840), 1,
      sym__value_name,
    STATE(4923), 1,
      sym_parenthesized_operator,
    STATE(15120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4808), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [722491] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11623), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [722531] = 14,
    ACTIONS(477), 1,
      anon_sym_LBRACK,
    ACTIONS(487), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(499), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18815), 1,
      sym__lowercase_identifier,
    ACTIONS(18817), 1,
      anon_sym_LPAREN,
    ACTIONS(18819), 1,
      anon_sym_LBRACE,
    ACTIONS(18821), 1,
      sym__uppercase_identifier,
    STATE(4044), 1,
      sym__constructor_name,
    STATE(4062), 1,
      sym_parenthesized_operator,
    STATE(4078), 1,
      sym__value_name,
    STATE(15122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4027), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [722579] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18597), 1,
      sym_pow_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [722613] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_do,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    ACTIONS(18384), 1,
      sym_or_operator,
    ACTIONS(18386), 1,
      sym_assign_operator,
    ACTIONS(18754), 1,
      anon_sym_SEMI,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [722665] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18597), 1,
      sym_pow_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [722699] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [722741] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2965), 1,
      anon_sym_LBRACK,
    ACTIONS(2975), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2987), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18823), 1,
      sym__lowercase_identifier,
    ACTIONS(18825), 1,
      anon_sym_LPAREN,
    ACTIONS(18827), 1,
      anon_sym_LBRACE,
    ACTIONS(18829), 1,
      sym__uppercase_identifier,
    STATE(7751), 1,
      sym_parenthesized_operator,
    STATE(7808), 1,
      sym__value_name,
    STATE(7815), 1,
      sym__constructor_name,
    STATE(15127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7927), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [722789] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(18621), 1,
      sym__lowercase_identifier,
    ACTIONS(18625), 1,
      anon_sym_POUND,
    STATE(15128), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_type_constructor_path,
    STATE(20315), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12563), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [722829] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11625), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11623), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [722869] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8119), 1,
      anon_sym_LBRACK,
    ACTIONS(8127), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8131), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18831), 1,
      sym__lowercase_identifier,
    ACTIONS(18833), 1,
      anon_sym_LPAREN,
    ACTIONS(18835), 1,
      anon_sym_LBRACE,
    ACTIONS(18837), 1,
      sym__uppercase_identifier,
    STATE(9547), 1,
      sym__value_name,
    STATE(9701), 1,
      sym_parenthesized_operator,
    STATE(9731), 1,
      sym__constructor_name,
    STATE(15130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9435), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [722917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12869), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12871), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [722947] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18406), 1,
      sym_pow_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [722981] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18406), 1,
      sym_pow_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [723015] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [723057] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17612), 1,
      anon_sym_COMMA,
    STATE(15135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 7,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [723089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18839), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15136), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(16325), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [723119] = 14,
    ACTIONS(709), 1,
      anon_sym_LBRACK,
    ACTIONS(719), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(731), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18842), 1,
      sym__lowercase_identifier,
    ACTIONS(18844), 1,
      anon_sym_LPAREN,
    ACTIONS(18846), 1,
      anon_sym_LBRACE,
    ACTIONS(18848), 1,
      sym__uppercase_identifier,
    STATE(4187), 1,
      sym__value_name,
    STATE(4241), 1,
      sym_parenthesized_operator,
    STATE(4296), 1,
      sym__constructor_name,
    STATE(15137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4148), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [723167] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18742), 1,
      anon_sym_and,
    STATE(15136), 1,
      aux_sym_class_definition_repeat1,
    STATE(15138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17218), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [723199] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [723241] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [723283] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      sym_or_operator,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [723329] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1553), 1,
      anon_sym_LBRACK,
    ACTIONS(1563), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1575), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18850), 1,
      sym__lowercase_identifier,
    ACTIONS(18852), 1,
      anon_sym_LPAREN,
    ACTIONS(18854), 1,
      anon_sym_LBRACE,
    ACTIONS(18856), 1,
      sym__uppercase_identifier,
    STATE(6396), 1,
      sym_parenthesized_operator,
    STATE(6413), 1,
      sym__constructor_name,
    STATE(6563), 1,
      sym__value_name,
    STATE(15142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6557), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [723377] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    ACTIONS(18416), 1,
      sym_or_operator,
    ACTIONS(18418), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11677), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [723427] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    ACTIONS(18607), 1,
      sym_or_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [723473] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    ACTIONS(18607), 1,
      sym_or_operator,
    ACTIONS(18609), 1,
      sym_assign_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [723523] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17590), 1,
      anon_sym_COMMA,
    STATE(15146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 7,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [723555] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9742), 1,
      anon_sym_LBRACK,
    ACTIONS(9750), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9754), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18858), 1,
      sym__lowercase_identifier,
    ACTIONS(18860), 1,
      anon_sym_LPAREN,
    ACTIONS(18862), 1,
      anon_sym_LBRACE,
    ACTIONS(18864), 1,
      sym__uppercase_identifier,
    STATE(8995), 1,
      sym__constructor_name,
    STATE(9153), 1,
      sym__value_name,
    STATE(9202), 1,
      sym_parenthesized_operator,
    STATE(15147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9115), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [723603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12947), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12949), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [723633] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11551), 1,
      sym_or_operator,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [723679] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [723715] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    STATE(15151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11409), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [723747] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    ACTIONS(18607), 1,
      sym_or_operator,
    ACTIONS(18609), 1,
      sym_assign_operator,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [723797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12953), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [723827] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_done,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    ACTIONS(17689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17691), 1,
      sym_pow_operator,
    ACTIONS(17693), 1,
      sym_mult_operator,
    ACTIONS(17695), 1,
      sym_concat_operator,
    ACTIONS(17697), 1,
      sym_rel_operator,
    ACTIONS(17699), 1,
      sym_and_operator,
    ACTIONS(17701), 1,
      sym_or_operator,
    ACTIONS(17703), 1,
      sym_assign_operator,
    ACTIONS(18639), 1,
      anon_sym_SEMI,
    STATE(2542), 1,
      sym_add_operator,
    STATE(15154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [723879] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    ACTIONS(18416), 1,
      sym_or_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11549), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [723925] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    ACTIONS(18416), 1,
      sym_or_operator,
    ACTIONS(18418), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11549), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [723975] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1501), 1,
      anon_sym_LBRACK,
    ACTIONS(1511), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1523), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18866), 1,
      sym__lowercase_identifier,
    ACTIONS(18868), 1,
      anon_sym_LPAREN,
    ACTIONS(18870), 1,
      anon_sym_LBRACE,
    ACTIONS(18872), 1,
      sym__uppercase_identifier,
    STATE(6264), 1,
      sym_parenthesized_operator,
    STATE(6360), 1,
      sym__value_name,
    STATE(6387), 1,
      sym__constructor_name,
    STATE(15157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6248), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [724023] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(18621), 1,
      sym__lowercase_identifier,
    ACTIONS(18625), 1,
      anon_sym_POUND,
    ACTIONS(18874), 1,
      anon_sym_DASH_GT,
    ACTIONS(18876), 1,
      anon_sym_STAR,
    STATE(15158), 1,
      sym_attribute,
    STATE(15274), 1,
      sym_type_constructor_path,
    STATE(20315), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 3,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11714), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [724067] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [724103] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(1667), 1,
      anon_sym_LBRACK,
    ACTIONS(1677), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1689), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18878), 1,
      sym__lowercase_identifier,
    ACTIONS(18880), 1,
      anon_sym_LPAREN,
    ACTIONS(18882), 1,
      anon_sym_LBRACE,
    ACTIONS(18884), 1,
      sym__uppercase_identifier,
    STATE(7071), 1,
      sym__constructor_name,
    STATE(7082), 1,
      sym__value_name,
    STATE(7134), 1,
      sym_parenthesized_operator,
    STATE(15160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7150), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [724151] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    ACTIONS(18404), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18406), 1,
      sym_pow_operator,
    ACTIONS(18408), 1,
      sym_mult_operator,
    ACTIONS(18410), 1,
      sym_concat_operator,
    ACTIONS(18412), 1,
      sym_rel_operator,
    ACTIONS(18414), 1,
      sym_and_operator,
    ACTIONS(18416), 1,
      sym_or_operator,
    ACTIONS(18418), 1,
      sym_assign_operator,
    STATE(2312), 1,
      sym_add_operator,
    STATE(15161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11667), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [724201] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18886), 1,
      anon_sym_DQUOTE,
    STATE(15265), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18891), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(15162), 2,
      sym_attribute,
      aux_sym_string_content_repeat1,
    ACTIONS(18894), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(18888), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [724237] = 13,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11381), 1,
      anon_sym_let,
    ACTIONS(11385), 1,
      anon_sym_object,
    ACTIONS(14133), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(14135), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18388), 1,
      sym__lowercase_identifier,
    ACTIONS(18390), 1,
      anon_sym_LBRACK,
    STATE(12313), 1,
      sym__simple_class_type,
    STATE(15163), 1,
      sym_attribute,
    STATE(20244), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11587), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [724283] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17562), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17566), 1,
      sym_pow_operator,
    ACTIONS(17568), 1,
      sym_mult_operator,
    ACTIONS(17570), 1,
      sym_concat_operator,
    ACTIONS(17572), 1,
      sym_rel_operator,
    ACTIONS(17574), 1,
      sym_and_operator,
    ACTIONS(17576), 1,
      sym_or_operator,
    ACTIONS(17578), 1,
      sym_assign_operator,
    STATE(2410), 1,
      sym_add_operator,
    STATE(15164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18724), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [724333] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9210), 1,
      anon_sym_LBRACK,
    ACTIONS(9216), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9220), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18521), 1,
      anon_sym_LBRACE,
    ACTIONS(18523), 1,
      sym__uppercase_identifier,
    ACTIONS(18577), 1,
      anon_sym_LPAREN,
    ACTIONS(18897), 1,
      sym__lowercase_identifier,
    STATE(8758), 1,
      sym__constructor_name,
    STATE(8863), 1,
      sym__value_name,
    STATE(15165), 1,
      sym_attribute,
    STATE(15300), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8860), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [724381] = 14,
    ACTIONS(657), 1,
      anon_sym_LBRACK,
    ACTIONS(667), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(679), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18899), 1,
      sym__lowercase_identifier,
    ACTIONS(18901), 1,
      anon_sym_LPAREN,
    ACTIONS(18903), 1,
      anon_sym_LBRACE,
    ACTIONS(18905), 1,
      sym__uppercase_identifier,
    STATE(4214), 1,
      sym__value_name,
    STATE(4243), 1,
      sym_parenthesized_operator,
    STATE(4301), 1,
      sym__constructor_name,
    STATE(15166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4186), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [724429] = 14,
    ACTIONS(25), 1,
      anon_sym_LBRACK,
    ACTIONS(45), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(65), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18907), 1,
      sym__lowercase_identifier,
    ACTIONS(18909), 1,
      anon_sym_LPAREN,
    ACTIONS(18911), 1,
      anon_sym_LBRACE,
    ACTIONS(18913), 1,
      sym__uppercase_identifier,
    STATE(5517), 1,
      sym__value_name,
    STATE(5518), 1,
      sym__constructor_name,
    STATE(5575), 1,
      sym_parenthesized_operator,
    STATE(15167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5513), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [724477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18915), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15168), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10252), 13,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [724507] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18468), 1,
      sym_pow_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11551), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11549), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [724541] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17586), 1,
      anon_sym_COMMA,
    STATE(15170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 8,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [724573] = 17,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17517), 1,
      sym__lowercase_identifier,
    ACTIONS(18918), 1,
      anon_sym_nonrec,
    STATE(14163), 1,
      sym_type_binding,
    STATE(15171), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17625), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23483), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [724627] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9656), 1,
      anon_sym_LBRACK,
    ACTIONS(9664), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9668), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18920), 1,
      sym__lowercase_identifier,
    ACTIONS(18922), 1,
      anon_sym_LPAREN,
    ACTIONS(18924), 1,
      anon_sym_LBRACE,
    ACTIONS(18926), 1,
      sym__uppercase_identifier,
    STATE(9116), 1,
      sym__value_name,
    STATE(9187), 1,
      sym__constructor_name,
    STATE(9195), 1,
      sym_parenthesized_operator,
    STATE(15172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9063), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [724675] = 14,
    ACTIONS(425), 1,
      anon_sym_LBRACK,
    ACTIONS(435), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(447), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18928), 1,
      sym__lowercase_identifier,
    ACTIONS(18930), 1,
      anon_sym_LPAREN,
    ACTIONS(18932), 1,
      anon_sym_LBRACE,
    ACTIONS(18934), 1,
      sym__uppercase_identifier,
    STATE(3924), 1,
      sym_parenthesized_operator,
    STATE(4020), 1,
      sym__constructor_name,
    STATE(4069), 1,
      sym__value_name,
    STATE(15173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3981), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [724723] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11914), 1,
      anon_sym_COLON2,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11912), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [724763] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_then,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    ACTIONS(18595), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18597), 1,
      sym_pow_operator,
    ACTIONS(18599), 1,
      sym_mult_operator,
    ACTIONS(18601), 1,
      sym_concat_operator,
    ACTIONS(18603), 1,
      sym_rel_operator,
    ACTIONS(18605), 1,
      sym_and_operator,
    ACTIONS(18607), 1,
      sym_or_operator,
    ACTIONS(18609), 1,
      sym_assign_operator,
    ACTIONS(18651), 1,
      anon_sym_SEMI,
    STATE(2650), 1,
      sym_add_operator,
    STATE(15175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [724815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12963), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12965), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [724845] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3309), 1,
      anon_sym_LBRACK,
    ACTIONS(3319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3331), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18936), 1,
      sym__lowercase_identifier,
    ACTIONS(18938), 1,
      anon_sym_LPAREN,
    ACTIONS(18940), 1,
      anon_sym_LBRACE,
    ACTIONS(18942), 1,
      sym__uppercase_identifier,
    STATE(8494), 1,
      sym__value_name,
    STATE(8636), 1,
      sym_parenthesized_operator,
    STATE(8695), 1,
      sym__constructor_name,
    STATE(15177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8492), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [724893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12967), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12969), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [724923] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18944), 1,
      anon_sym_and,
    STATE(15179), 1,
      sym_attribute,
    STATE(15181), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16984), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [724955] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18944), 1,
      anon_sym_and,
    STATE(15180), 1,
      sym_attribute,
    STATE(15181), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [724987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18946), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15181), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(16165), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725017] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18944), 1,
      anon_sym_and,
    STATE(15182), 1,
      sym_attribute,
    STATE(15183), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725049] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18944), 1,
      anon_sym_and,
    STATE(15181), 1,
      aux_sym_module_definition_repeat1,
    STATE(15183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16988), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725081] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    ACTIONS(18372), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18374), 1,
      sym_pow_operator,
    ACTIONS(18376), 1,
      sym_mult_operator,
    ACTIONS(18378), 1,
      sym_concat_operator,
    ACTIONS(18380), 1,
      sym_rel_operator,
    ACTIONS(18382), 1,
      sym_and_operator,
    ACTIONS(18384), 1,
      sym_or_operator,
    ACTIONS(18386), 1,
      sym_assign_operator,
    STATE(2119), 1,
      sym_add_operator,
    STATE(15184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11677), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [725131] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    ACTIONS(18466), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18468), 1,
      sym_pow_operator,
    ACTIONS(18470), 1,
      sym_mult_operator,
    ACTIONS(18472), 1,
      sym_concat_operator,
    ACTIONS(18474), 1,
      sym_rel_operator,
    ACTIONS(18476), 1,
      sym_and_operator,
    ACTIONS(18478), 1,
      sym_or_operator,
    STATE(2259), 1,
      sym_add_operator,
    STATE(15185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11407), 3,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
    ACTIONS(11555), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [725179] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18368), 1,
      anon_sym_and,
    STATE(15186), 1,
      sym_attribute,
    STATE(15188), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16984), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725211] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18368), 1,
      anon_sym_and,
    STATE(15187), 1,
      sym_attribute,
    STATE(15188), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18949), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15188), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(16165), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725273] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18368), 1,
      anon_sym_and,
    STATE(15189), 1,
      sym_attribute,
    STATE(15190), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17064), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725305] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18368), 1,
      anon_sym_and,
    STATE(15188), 1,
      aux_sym_module_definition_repeat1,
    STATE(15190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16988), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725337] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18944), 1,
      anon_sym_and,
    STATE(15179), 1,
      aux_sym_module_definition_repeat1,
    STATE(15191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16905), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725369] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18944), 1,
      anon_sym_and,
    STATE(15180), 1,
      aux_sym_module_definition_repeat1,
    STATE(15192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16984), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12971), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12973), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [725431] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17477), 1,
      sym__lowercase_identifier,
    STATE(13314), 1,
      sym_type_binding,
    STATE(15194), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17106), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(20878), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [725482] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17477), 1,
      sym__lowercase_identifier,
    STATE(13992), 1,
      sym_type_binding,
    STATE(15195), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17106), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(20878), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [725533] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    STATE(15196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 7,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [725564] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17312), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    STATE(13314), 1,
      sym_type_binding,
    STATE(15197), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17187), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23518), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [725615] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17517), 1,
      sym__lowercase_identifier,
    STATE(13314), 1,
      sym_type_binding,
    STATE(15198), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17625), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23483), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [725666] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17312), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    STATE(15087), 1,
      sym_type_binding,
    STATE(15199), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17187), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23518), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [725717] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15200), 1,
      sym_attribute,
    STATE(15662), 1,
      sym__simple_module_expression,
    STATE(16716), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12468), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [725760] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(18954), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15201), 1,
      sym_attribute,
    STATE(15470), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18956), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725797] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17339), 1,
      sym__lowercase_identifier,
    STATE(13314), 1,
      sym_type_binding,
    STATE(15202), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17311), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23536), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [725848] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12636), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [725875] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17517), 1,
      sym__lowercase_identifier,
    STATE(14163), 1,
      sym_type_binding,
    STATE(15204), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17625), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23483), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [725926] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12256), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [725963] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15206), 1,
      sym_attribute,
    STATE(15662), 1,
      sym__simple_module_expression,
    STATE(16751), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12432), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726006] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17339), 1,
      sym__lowercase_identifier,
    STATE(14987), 1,
      sym_type_binding,
    STATE(15207), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17311), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23536), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [726057] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(18958), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15208), 1,
      sym_attribute,
    STATE(15325), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18960), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726094] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(18962), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15209), 1,
      sym_attribute,
    STATE(15435), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18964), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726131] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11714), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15634), 1,
      anon_sym_DASH_GT,
    STATE(15210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726162] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15211), 1,
      sym_attribute,
    STATE(15662), 1,
      sym__simple_module_expression,
    STATE(16753), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12438), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726205] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15212), 1,
      sym_attribute,
    STATE(15662), 1,
      sym__simple_module_expression,
    STATE(16770), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726248] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    STATE(15213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [726279] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18966), 1,
      anon_sym_COLON_GT,
    ACTIONS(18968), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15214), 1,
      sym_attribute,
    STATE(15390), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18970), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726316] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12683), 1,
      anon_sym_COLON2,
    STATE(15215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10400), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [726347] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18972), 1,
      anon_sym_COLON_GT,
    ACTIONS(18974), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15216), 1,
      sym_attribute,
    STATE(15386), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18976), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726384] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(18978), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15217), 1,
      sym_attribute,
    STATE(15432), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18980), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726421] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    STATE(15218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 7,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [726452] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17339), 1,
      sym__lowercase_identifier,
    STATE(14994), 1,
      sym_type_binding,
    STATE(15219), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17311), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23536), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [726503] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(18982), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15220), 1,
      sym_attribute,
    STATE(15544), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18984), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726540] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10263), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726567] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18986), 1,
      anon_sym_COLON_GT,
    ACTIONS(18988), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15222), 1,
      sym_attribute,
    STATE(15508), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18990), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726604] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15223), 1,
      sym_attribute,
    STATE(15662), 1,
      sym__simple_module_expression,
    STATE(16771), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12513), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [726647] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17312), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    STATE(14969), 1,
      sym_type_binding,
    STATE(15224), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17187), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23518), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [726698] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17477), 1,
      sym__lowercase_identifier,
    STATE(14026), 1,
      sym_type_binding,
    STATE(15225), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17106), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(20878), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [726749] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9462), 1,
      anon_sym_COLON2,
    STATE(15226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 13,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [726778] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18992), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726805] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18994), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726832] = 16,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    ACTIONS(17517), 1,
      sym__lowercase_identifier,
    STATE(14475), 1,
      sym_type_binding,
    STATE(15229), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17625), 1,
      sym__type_params,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23483), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [726883] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(18996), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15230), 1,
      sym_attribute,
    STATE(15333), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18998), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [726920] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19000), 1,
      anon_sym_COLON2,
    STATE(15231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10400), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [726951] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    STATE(15232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11407), 7,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [726982] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15233), 1,
      sym_attribute,
    STATE(15662), 1,
      sym__simple_module_expression,
    STATE(16752), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12432), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727025] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10322), 1,
      anon_sym_COLON2,
    STATE(15234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [727053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10400), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19004), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(19002), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [727109] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10714), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14196), 1,
      anon_sym_LPAREN,
    ACTIONS(14198), 1,
      anon_sym_LBRACK,
    ACTIONS(19006), 1,
      anon_sym_private,
    ACTIONS(19008), 1,
      anon_sym_DOT_DOT,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    STATE(13056), 1,
      sym__constructor_name,
    STATE(13058), 1,
      sym_variant_declaration,
    STATE(13062), 1,
      sym_record_declaration,
    STATE(14144), 1,
      sym_constructor_declaration,
    STATE(15237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14200), 2,
      anon_sym_true,
      anon_sym_false,
  [727157] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19012), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15238), 1,
      sym_attribute,
    STATE(15523), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19014), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12941), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12939), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727219] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12765), 1,
      anon_sym_as,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15240), 1,
      sym_attribute,
    STATE(15497), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19016), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12945), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12943), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727281] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19018), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15242), 1,
      sym_attribute,
    STATE(15317), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19020), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [727315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13025), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13023), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727343] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10714), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14196), 1,
      anon_sym_LPAREN,
    ACTIONS(14198), 1,
      anon_sym_LBRACK,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19022), 1,
      anon_sym_private,
    ACTIONS(19024), 1,
      anon_sym_DOT_DOT,
    STATE(13056), 1,
      sym__constructor_name,
    STATE(13080), 1,
      sym_variant_declaration,
    STATE(13081), 1,
      sym_record_declaration,
    STATE(14144), 1,
      sym_constructor_declaration,
    STATE(15244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14200), 2,
      anon_sym_true,
      anon_sym_false,
  [727391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9240), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12997), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12995), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12949), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12947), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727475] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7937), 1,
      anon_sym_COLON2,
    ACTIONS(19026), 1,
      anon_sym_DOT_DOT,
    STATE(15248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [727505] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(19028), 1,
      sym__lowercase_identifier,
    ACTIONS(19030), 1,
      anon_sym_STAR,
    ACTIONS(19032), 1,
      anon_sym_POUND,
    STATE(15249), 1,
      sym_attribute,
    STATE(15608), 1,
      sym_type_constructor_path,
    STATE(20334), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 3,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
    ACTIONS(12531), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [727545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9258), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12953), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12951), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12929), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12927), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12969), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12967), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727657] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    STATE(15254), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17242), 1,
      sym__type_params,
    STATE(17688), 1,
      sym_type_constructor_path,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [727705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9204), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12973), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12971), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12965), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12963), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727789] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      anon_sym_in,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15258), 1,
      sym_attribute,
    STATE(15662), 1,
      sym__simple_module_expression,
    STATE(17180), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [727831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13001), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12999), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12509), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9204), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10490), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10488), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [727943] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10596), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13785), 1,
      anon_sym_LPAREN,
    ACTIONS(13787), 1,
      anon_sym_LBRACK,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19034), 1,
      anon_sym_private,
    ACTIONS(19036), 1,
      anon_sym_DOT_DOT,
    STATE(12494), 1,
      sym_variant_declaration,
    STATE(12495), 1,
      sym_record_declaration,
    STATE(12609), 1,
      sym__constructor_name,
    STATE(13220), 1,
      sym_constructor_declaration,
    STATE(15263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13789), 2,
      anon_sym_true,
      anon_sym_false,
  [727991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12871), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12869), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19040), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(19038), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [728047] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    STATE(15266), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17460), 1,
      sym__type_params,
    STATE(17698), 1,
      sym_type_constructor_path,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [728095] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10670), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14190), 1,
      anon_sym_LPAREN,
    ACTIONS(14192), 1,
      anon_sym_LBRACK,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19042), 1,
      anon_sym_private,
    ACTIONS(19044), 1,
      anon_sym_DOT_DOT,
    STATE(13142), 1,
      sym__constructor_name,
    STATE(13248), 1,
      sym_variant_declaration,
    STATE(13250), 1,
      sym_record_declaration,
    STATE(14142), 1,
      sym_constructor_declaration,
    STATE(15267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14194), 2,
      anon_sym_true,
      anon_sym_false,
  [728143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12849), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12847), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9262), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728199] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(19028), 1,
      sym__lowercase_identifier,
    ACTIONS(19046), 1,
      anon_sym_POUND,
    STATE(15270), 1,
      sym_attribute,
    STATE(15584), 1,
      sym_type_constructor_path,
    STATE(20334), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(12603), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [728237] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    STATE(15271), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(16987), 1,
      sym__type_params,
    STATE(17697), 1,
      sym_type_constructor_path,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [728285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12977), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12975), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728313] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(19028), 1,
      sym__lowercase_identifier,
    ACTIONS(19032), 1,
      anon_sym_POUND,
    STATE(15273), 1,
      sym_attribute,
    STATE(15608), 1,
      sym_type_constructor_path,
    STATE(20334), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(12563), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [728351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12937), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12935), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12925), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12923), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12989), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12987), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728435] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19048), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15277), 1,
      sym_attribute,
    STATE(15485), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19050), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9240), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13009), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13007), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728525] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19052), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15280), 1,
      sym_attribute,
    STATE(15495), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19054), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9262), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12993), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12991), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728615] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10596), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13785), 1,
      anon_sym_LPAREN,
    ACTIONS(13787), 1,
      anon_sym_LBRACK,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19056), 1,
      anon_sym_private,
    ACTIONS(19058), 1,
      anon_sym_DOT_DOT,
    STATE(12509), 1,
      sym_variant_declaration,
    STATE(12510), 1,
      sym_record_declaration,
    STATE(12609), 1,
      sym__constructor_name,
    STATE(13220), 1,
      sym_constructor_declaration,
    STATE(15283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13789), 2,
      anon_sym_true,
      anon_sym_false,
  [728663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10400), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [728691] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    STATE(15285), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17479), 1,
      sym__type_params,
    STATE(17762), 1,
      sym_type_constructor_path,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [728739] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10670), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14190), 1,
      anon_sym_LPAREN,
    ACTIONS(14192), 1,
      anon_sym_LBRACK,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19060), 1,
      anon_sym_private,
    ACTIONS(19062), 1,
      anon_sym_DOT_DOT,
    STATE(12977), 1,
      sym_variant_declaration,
    STATE(12978), 1,
      sym_record_declaration,
    STATE(13142), 1,
      sym__constructor_name,
    STATE(14142), 1,
      sym_constructor_declaration,
    STATE(15286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14194), 2,
      anon_sym_true,
      anon_sym_false,
  [728787] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19064), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15287), 1,
      sym_attribute,
    STATE(15410), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19066), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728821] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_COLON2,
    STATE(15288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [728849] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19068), 1,
      anon_sym_EQ,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15289), 1,
      sym_attribute,
    STATE(15541), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19070), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728883] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19074), 1,
      anon_sym_as,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15290), 1,
      sym_attribute,
    STATE(15429), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19072), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [728917] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12917), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [728947] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(19028), 1,
      sym__lowercase_identifier,
    ACTIONS(19032), 1,
      anon_sym_POUND,
    ACTIONS(19076), 1,
      anon_sym_DASH_GT,
    ACTIONS(19078), 1,
      anon_sym_STAR,
    STATE(15292), 1,
      sym_attribute,
    STATE(15608), 1,
      sym_type_constructor_path,
    STATE(20334), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
    ACTIONS(11714), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [728989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13017), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13015), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [729017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13005), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13003), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [729045] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12553), 1,
      anon_sym_in,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15295), 1,
      sym_attribute,
    STATE(15662), 1,
      sym__simple_module_expression,
    STATE(17459), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729087] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10628), 1,
      anon_sym_PIPE,
    ACTIONS(13537), 1,
      anon_sym_LPAREN,
    ACTIONS(13539), 1,
      anon_sym_LBRACK,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19080), 1,
      anon_sym_private,
    ACTIONS(19082), 1,
      anon_sym_DOT_DOT,
    STATE(12082), 1,
      sym_variant_declaration,
    STATE(12085), 1,
      sym_record_declaration,
    STATE(12243), 1,
      sym__constructor_name,
    STATE(12918), 1,
      sym_constructor_declaration,
    STATE(15296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13541), 2,
      anon_sym_true,
      anon_sym_false,
  [729135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12933), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12931), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [729163] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    STATE(15298), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17437), 1,
      sym__type_params,
    STATE(18625), 1,
      sym_type_constructor_path,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [729211] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(19086), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19084), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729241] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9496), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9498), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      sym_hash_operator,
  [729269] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10628), 1,
      anon_sym_PIPE,
    ACTIONS(13537), 1,
      anon_sym_LPAREN,
    ACTIONS(13539), 1,
      anon_sym_LBRACK,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19088), 1,
      anon_sym_private,
    ACTIONS(19090), 1,
      anon_sym_DOT_DOT,
    STATE(12243), 1,
      sym__constructor_name,
    STATE(12269), 1,
      sym_variant_declaration,
    STATE(12270), 1,
      sym_record_declaration,
    STATE(12918), 1,
      sym_constructor_declaration,
    STATE(15301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13541), 2,
      anon_sym_true,
      anon_sym_false,
  [729317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13029), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13027), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [729345] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19094), 1,
      anon_sym_as,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15303), 1,
      sym_attribute,
    STATE(15337), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19092), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12917), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12915), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [729407] = 15,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(17314), 1,
      anon_sym_LPAREN,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(17322), 1,
      anon_sym__,
    STATE(15305), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17490), 1,
      sym__type_params,
    STATE(17823), 1,
      sym_type_constructor_path,
    STATE(19515), 1,
      sym__type_param,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [729455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13021), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13019), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [729483] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12615), 1,
      anon_sym_in,
    ACTIONS(18039), 1,
      anon_sym_LPAREN,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15307), 1,
      sym_attribute,
    STATE(15662), 1,
      sym__simple_module_expression,
    STATE(16985), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15658), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10490), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10488), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [729553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9258), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [729581] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19096), 1,
      anon_sym_RPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15310), 1,
      sym_attribute,
    STATE(23146), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729620] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19102), 1,
      anon_sym_COLON2,
    STATE(15311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19100), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [729647] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19104), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15312), 1,
      sym_attribute,
    STATE(20877), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729686] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19108), 1,
      anon_sym_LPAREN,
    ACTIONS(19110), 1,
      anon_sym_COLON2,
    STATE(15313), 1,
      sym_attribute,
    STATE(15414), 1,
      aux_sym_module_binding_repeat1,
    STATE(16022), 1,
      sym_module_parameter,
    STATE(16023), 1,
      sym__module_typed,
    STATE(16886), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13079), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(19106), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [729729] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12531), 1,
      anon_sym_as,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(19112), 1,
      anon_sym_STAR,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15314), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 5,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [729768] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19114), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15315), 1,
      sym_attribute,
    STATE(21810), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729807] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19116), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15316), 1,
      sym_attribute,
    STATE(21239), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729846] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19118), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729877] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19120), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15318), 1,
      sym_attribute,
    STATE(22754), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [729916] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19122), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729947] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19124), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [729978] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19126), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730009] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19130), 1,
      anon_sym_COLON2,
    STATE(15322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19128), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [730036] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10840), 1,
      anon_sym_COLON2,
    STATE(15323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [730063] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15324), 1,
      sym_attribute,
    STATE(15367), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19132), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730094] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19134), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730125] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19136), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730156] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19138), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15327), 1,
      sym_attribute,
    STATE(23246), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730195] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7937), 1,
      anon_sym_COLON2,
    STATE(15328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [730222] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19140), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15329), 1,
      sym_attribute,
    STATE(22296), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730261] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19142), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15330), 1,
      sym_attribute,
    STATE(23508), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730300] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19144), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15331), 1,
      sym_attribute,
    STATE(23691), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730339] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15332), 1,
      sym_attribute,
    STATE(15375), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19146), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730370] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19148), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730401] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19150), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730432] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19152), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730463] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19154), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730494] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19156), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730525] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19158), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730556] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19162), 1,
      anon_sym_COLON2,
    STATE(15339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19160), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [730583] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19164), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15340), 1,
      sym_attribute,
    STATE(20634), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730622] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(18274), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18272), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730651] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19166), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730682] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15343), 1,
      sym_attribute,
    STATE(15378), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19168), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730713] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19170), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15344), 1,
      sym_attribute,
    STATE(21203), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730752] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10844), 1,
      anon_sym_COLON2,
    STATE(15345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [730779] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19172), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15346), 1,
      sym_attribute,
    STATE(22950), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730818] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19174), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15347), 1,
      sym_attribute,
    STATE(22601), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730857] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15133), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730888] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15067), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [730919] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10948), 1,
      anon_sym_COLON2,
    STATE(15350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10946), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [730946] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19176), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15351), 1,
      sym_attribute,
    STATE(23622), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [730985] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19178), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15352), 1,
      sym_attribute,
    STATE(21433), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731024] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19180), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15353), 1,
      sym_attribute,
    STATE(22994), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731063] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19182), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15354), 1,
      sym_attribute,
    STATE(20687), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731102] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15348), 1,
      aux_sym_expression_item_repeat1,
    STATE(15355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15071), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731133] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15071), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731164] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15349), 1,
      aux_sym_expression_item_repeat1,
    STATE(15357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15123), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731195] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19186), 1,
      anon_sym_COLON2,
    STATE(15358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19184), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [731222] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19188), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15359), 1,
      sym_attribute,
    STATE(22184), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731261] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15319), 1,
      aux_sym_expression_item_repeat1,
    STATE(15360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19190), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731292] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15361), 1,
      sym_attribute,
    STATE(15438), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19192), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731323] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19194), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15362), 1,
      sym_attribute,
    STATE(21600), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731362] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19198), 1,
      anon_sym_COLON2,
    STATE(15363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19196), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [731389] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19200), 1,
      anon_sym_COLON2,
    STATE(15364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10400), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [731418] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10596), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13785), 1,
      anon_sym_LPAREN,
    ACTIONS(13787), 1,
      anon_sym_LBRACK,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19202), 1,
      anon_sym_DOT_DOT,
    STATE(12501), 1,
      sym_variant_declaration,
    STATE(12502), 1,
      sym_record_declaration,
    STATE(12609), 1,
      sym__constructor_name,
    STATE(13220), 1,
      sym_constructor_declaration,
    STATE(15365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13789), 2,
      anon_sym_true,
      anon_sym_false,
  [731463] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      anon_sym_COLON2,
    STATE(15366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19204), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [731490] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19208), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731521] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19210), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15368), 1,
      sym_attribute,
    STATE(22300), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731560] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19212), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15369), 1,
      sym_attribute,
    STATE(23276), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731599] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15356), 1,
      aux_sym_expression_item_repeat1,
    STATE(15370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15224), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731630] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19216), 1,
      anon_sym_COLON2,
    STATE(15371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19214), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [731657] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19218), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15372), 1,
      sym_attribute,
    STATE(23077), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731696] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19220), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15373), 1,
      sym_attribute,
    STATE(22753), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731735] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10596), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13785), 1,
      anon_sym_LPAREN,
    ACTIONS(13787), 1,
      anon_sym_LBRACK,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19222), 1,
      anon_sym_DOT_DOT,
    STATE(12518), 1,
      sym_variant_declaration,
    STATE(12519), 1,
      sym_record_declaration,
    STATE(12609), 1,
      sym__constructor_name,
    STATE(13220), 1,
      sym_constructor_declaration,
    STATE(15374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13789), 2,
      anon_sym_true,
      anon_sym_false,
  [731780] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19224), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731811] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15376), 1,
      sym_attribute,
    STATE(15409), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19226), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731842] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19228), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731873] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19230), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731904] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15379), 1,
      sym_attribute,
    STATE(15439), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15063), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [731935] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19232), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15380), 1,
      sym_attribute,
    STATE(22081), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [731974] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19234), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15381), 1,
      sym_attribute,
    STATE(21084), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732013] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19236), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15382), 1,
      sym_attribute,
    STATE(22165), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732052] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15383), 1,
      sym_attribute,
    STATE(15443), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19238), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732083] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15384), 1,
      sym_attribute,
    STATE(15489), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19240), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732114] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19242), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15385), 1,
      sym_attribute,
    STATE(20440), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732153] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19244), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732184] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15387), 1,
      sym_attribute,
    STATE(15502), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19246), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732215] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19250), 1,
      anon_sym_COLON2,
    STATE(15388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19248), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [732242] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19252), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15389), 1,
      sym_attribute,
    STATE(23503), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732281] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19254), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732312] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19256), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15391), 1,
      sym_attribute,
    STATE(20540), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732351] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19258), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15392), 1,
      sym_attribute,
    STATE(21863), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732390] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19260), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15393), 1,
      sym_attribute,
    STATE(23186), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732429] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19264), 1,
      anon_sym_COLON2,
    STATE(15394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19262), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [732456] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19266), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732487] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15396), 1,
      sym_attribute,
    STATE(15504), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19268), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732518] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15397), 1,
      sym_attribute,
    STATE(15505), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19270), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732549] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10670), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14190), 1,
      anon_sym_LPAREN,
    ACTIONS(14192), 1,
      anon_sym_LBRACK,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19272), 1,
      anon_sym_DOT_DOT,
    STATE(13142), 1,
      sym__constructor_name,
    STATE(13266), 1,
      sym_variant_declaration,
    STATE(13267), 1,
      sym_record_declaration,
    STATE(14142), 1,
      sym_constructor_declaration,
    STATE(15398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14194), 2,
      anon_sym_true,
      anon_sym_false,
  [732594] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19274), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15399), 1,
      sym_attribute,
    STATE(22416), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732633] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19276), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15400), 1,
      sym_attribute,
    STATE(20943), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732672] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19278), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15401), 1,
      sym_attribute,
    STATE(23531), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732711] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19282), 1,
      anon_sym_COLON2,
    STATE(15402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19280), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [732738] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10670), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14190), 1,
      anon_sym_LPAREN,
    ACTIONS(14192), 1,
      anon_sym_LBRACK,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19284), 1,
      anon_sym_DOT_DOT,
    STATE(12985), 1,
      sym_variant_declaration,
    STATE(12986), 1,
      sym_record_declaration,
    STATE(13142), 1,
      sym__constructor_name,
    STATE(14142), 1,
      sym_constructor_declaration,
    STATE(15403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14194), 2,
      anon_sym_true,
      anon_sym_false,
  [732783] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11716), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [732808] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19286), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15405), 1,
      sym_attribute,
    STATE(21080), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732847] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15406), 1,
      sym_attribute,
    STATE(15546), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19288), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732878] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19290), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15407), 1,
      sym_attribute,
    STATE(20959), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732917] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19292), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15408), 1,
      sym_attribute,
    STATE(23223), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [732956] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19294), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [732987] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19296), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733018] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19298), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15411), 1,
      sym_attribute,
    STATE(22040), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733057] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19300), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15412), 1,
      sym_attribute,
    STATE(21013), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733096] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10956), 1,
      anon_sym_COLON2,
    STATE(15413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10954), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [733123] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(19108), 1,
      anon_sym_LPAREN,
    ACTIONS(19110), 1,
      anon_sym_COLON2,
    STATE(15414), 1,
      sym_attribute,
    STATE(15827), 1,
      aux_sym_module_binding_repeat1,
    STATE(16022), 1,
      sym_module_parameter,
    STATE(16212), 1,
      sym__module_typed,
    STATE(16735), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13406), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(19302), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [733166] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15415), 1,
      sym_attribute,
    STATE(15477), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19304), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733197] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19306), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15416), 1,
      sym_attribute,
    STATE(21549), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733236] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11704), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [733261] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10714), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14196), 1,
      anon_sym_LPAREN,
    ACTIONS(14198), 1,
      anon_sym_LBRACK,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19308), 1,
      anon_sym_DOT_DOT,
    STATE(13056), 1,
      sym__constructor_name,
    STATE(13071), 1,
      sym_variant_declaration,
    STATE(13072), 1,
      sym_record_declaration,
    STATE(14144), 1,
      sym_constructor_declaration,
    STATE(15418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14200), 2,
      anon_sym_true,
      anon_sym_false,
  [733306] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(17873), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17871), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733335] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19310), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15420), 1,
      sym_attribute,
    STATE(21666), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733374] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11708), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [733399] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11569), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [733424] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19312), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15423), 1,
      sym_attribute,
    STATE(22443), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733463] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19314), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15424), 1,
      sym_attribute,
    STATE(22500), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733502] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10714), 1,
      anon_sym_PIPE,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14196), 1,
      anon_sym_LPAREN,
    ACTIONS(14198), 1,
      anon_sym_LBRACK,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19316), 1,
      anon_sym_DOT_DOT,
    STATE(13056), 1,
      sym__constructor_name,
    STATE(13092), 1,
      sym_variant_declaration,
    STATE(13093), 1,
      sym_record_declaration,
    STATE(14144), 1,
      sym_constructor_declaration,
    STATE(15425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14200), 2,
      anon_sym_true,
      anon_sym_false,
  [733547] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10960), 1,
      anon_sym_COLON2,
    STATE(15426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10958), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [733574] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12765), 1,
      anon_sym_as,
    ACTIONS(17877), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17875), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733603] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8775), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733634] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19318), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733665] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [733690] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10628), 1,
      anon_sym_PIPE,
    ACTIONS(13537), 1,
      anon_sym_LPAREN,
    ACTIONS(13539), 1,
      anon_sym_LBRACK,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19320), 1,
      anon_sym_DOT_DOT,
    STATE(12155), 1,
      sym_variant_declaration,
    STATE(12156), 1,
      sym_record_declaration,
    STATE(12243), 1,
      sym__constructor_name,
    STATE(12918), 1,
      sym_constructor_declaration,
    STATE(15431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13541), 2,
      anon_sym_true,
      anon_sym_false,
  [733735] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19322), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733766] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19324), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15433), 1,
      sym_attribute,
    STATE(21652), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733805] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19326), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15434), 1,
      sym_attribute,
    STATE(22151), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733844] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19328), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733875] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19330), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15436), 1,
      sym_attribute,
    STATE(22198), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [733914] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19332), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733945] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19334), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [733976] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15123), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734007] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19336), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15440), 1,
      sym_attribute,
    STATE(20506), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734046] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10930), 1,
      anon_sym_COLON2,
    STATE(15441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10928), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [734073] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10934), 1,
      anon_sym_COLON2,
    STATE(15442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10932), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [734100] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19338), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734131] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19340), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15444), 1,
      sym_attribute,
    STATE(21575), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734170] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19342), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15445), 1,
      sym_attribute,
    STATE(21825), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734209] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15446), 1,
      sym_attribute,
    STATE(15481), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19344), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734240] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19346), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15447), 1,
      sym_attribute,
    STATE(20479), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734279] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19348), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15448), 1,
      sym_attribute,
    STATE(23044), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734318] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19352), 1,
      anon_sym_COLON2,
    STATE(15449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19350), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [734345] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19354), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15450), 1,
      sym_attribute,
    STATE(22765), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734384] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19356), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15451), 1,
      sym_attribute,
    STATE(23182), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734423] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8769), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734454] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19358), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15453), 1,
      sym_attribute,
    STATE(23493), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734493] = 14,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10628), 1,
      anon_sym_PIPE,
    ACTIONS(13537), 1,
      anon_sym_LPAREN,
    ACTIONS(13539), 1,
      anon_sym_LBRACK,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(19010), 1,
      anon_sym_LBRACE,
    ACTIONS(19360), 1,
      anon_sym_DOT_DOT,
    STATE(12240), 1,
      sym_variant_declaration,
    STATE(12243), 1,
      sym__constructor_name,
    STATE(12247), 1,
      sym_record_declaration,
    STATE(12918), 1,
      sym_constructor_declaration,
    STATE(15454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13541), 2,
      anon_sym_true,
      anon_sym_false,
  [734538] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19364), 1,
      anon_sym_COLON2,
    STATE(15455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19362), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [734565] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19366), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734596] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15457), 1,
      sym_attribute,
    STATE(15531), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19368), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734627] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19370), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15458), 1,
      sym_attribute,
    STATE(21412), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734666] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19372), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15459), 1,
      sym_attribute,
    STATE(23676), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734705] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19374), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15460), 1,
      sym_attribute,
    STATE(22811), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734744] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19378), 1,
      anon_sym_COLON2,
    STATE(15461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19376), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [734771] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19380), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15462), 1,
      sym_attribute,
    STATE(23639), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734810] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19382), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15463), 1,
      sym_attribute,
    STATE(20611), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734849] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19384), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15464), 1,
      sym_attribute,
    STATE(23527), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734888] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19386), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15465), 1,
      sym_attribute,
    STATE(23734), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [734927] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19388), 1,
      aux_sym_attribute_id_token1,
    STATE(15466), 1,
      sym_attribute,
    STATE(15503), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10017), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [734956] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10980), 1,
      anon_sym_COLON2,
    STATE(15467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10978), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [734983] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19390), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15468), 1,
      sym_attribute,
    STATE(21291), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [735022] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10984), 1,
      anon_sym_COLON2,
    STATE(15469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10982), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [735049] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19392), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735080] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19394), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15471), 1,
      sym_attribute,
    STATE(20659), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [735119] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10964), 1,
      anon_sym_COLON2,
    STATE(15472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10962), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [735146] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10406), 1,
      anon_sym_COLON2,
    STATE(15473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10404), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [735173] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19396), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15474), 1,
      sym_attribute,
    STATE(20590), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [735212] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10988), 1,
      anon_sym_COLON2,
    STATE(15475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10986), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [735239] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10992), 1,
      anon_sym_COLON2,
    STATE(15476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [735266] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19398), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735297] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15478), 1,
      sym_attribute,
    STATE(15532), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19400), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735328] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12531), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17393), 1,
      anon_sym_STAR,
    STATE(15479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 10,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735357] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19402), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15480), 1,
      sym_attribute,
    STATE(21330), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [735396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19404), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735427] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19406), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15482), 1,
      sym_attribute,
    STATE(20627), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [735466] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19408), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15483), 1,
      sym_attribute,
    STATE(21497), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [735505] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19410), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15484), 1,
      sym_attribute,
    STATE(21657), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [735544] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19412), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735575] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19414), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15486), 1,
      sym_attribute,
    STATE(22613), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [735614] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15487), 1,
      sym_attribute,
    STATE(15559), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19416), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735645] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10968), 1,
      anon_sym_COLON2,
    STATE(15488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10966), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [735672] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19418), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735703] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10972), 1,
      anon_sym_COLON2,
    STATE(15490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10970), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [735730] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19420), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15491), 1,
      sym_attribute,
    STATE(22564), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [735769] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19422), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15492), 1,
      sym_attribute,
    STATE(20872), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [735808] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10952), 1,
      anon_sym_COLON2,
    STATE(15493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10950), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [735835] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10426), 1,
      anon_sym_COLON2,
    STATE(15494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10424), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [735862] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19424), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735893] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19426), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15496), 1,
      sym_attribute,
    STATE(22801), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [735932] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19428), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [735963] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19430), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15498), 1,
      sym_attribute,
    STATE(20924), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736002] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15377), 1,
      aux_sym_expression_item_repeat1,
    STATE(15499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19432), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736033] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19434), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736064] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15334), 1,
      aux_sym_expression_item_repeat1,
    STATE(15501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19436), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736095] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19438), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19440), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15503), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10025), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736153] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19443), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736184] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19445), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736215] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15320), 1,
      aux_sym_expression_item_repeat1,
    STATE(15506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19447), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736246] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19449), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15507), 1,
      sym_attribute,
    STATE(23105), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736285] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19451), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736316] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19453), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15509), 1,
      sym_attribute,
    STATE(23723), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736355] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19455), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736386] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19457), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15511), 1,
      sym_attribute,
    STATE(22584), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736425] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15395), 1,
      aux_sym_expression_item_repeat1,
    STATE(15512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19459), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736456] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19461), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15513), 1,
      sym_attribute,
    STATE(21156), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736495] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(11714), 1,
      anon_sym_as,
    ACTIONS(16895), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(19463), 1,
      anon_sym_DASH_GT,
    ACTIONS(19465), 1,
      anon_sym_STAR,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15514), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 4,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [736536] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19467), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15515), 1,
      sym_attribute,
    STATE(21224), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736575] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19469), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15516), 1,
      sym_attribute,
    STATE(22283), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736614] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10976), 1,
      anon_sym_COLON2,
    STATE(15517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10974), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [736641] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19471), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15518), 1,
      sym_attribute,
    STATE(23720), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736680] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19473), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15519), 1,
      sym_attribute,
    STATE(21531), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736719] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19477), 1,
      anon_sym_COLON2,
    STATE(15520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19475), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [736746] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19479), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15521), 1,
      sym_attribute,
    STATE(20453), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736785] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19481), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15522), 1,
      sym_attribute,
    STATE(21470), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736824] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19483), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [736855] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10508), 1,
      anon_sym_COLON2,
    STATE(15524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [736882] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19485), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15525), 1,
      sym_attribute,
    STATE(20908), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736921] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19487), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15526), 1,
      sym_attribute,
    STATE(21519), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [736960] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10330), 1,
      anon_sym_COLON2,
    STATE(15527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [736987] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COLON2,
    STATE(15528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [737014] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15335), 1,
      aux_sym_expression_item_repeat1,
    STATE(15529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19489), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [737045] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12683), 1,
      anon_sym_COLON2,
    STATE(15530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10400), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [737074] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19491), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [737105] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19493), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [737136] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15456), 1,
      aux_sym_expression_item_repeat1,
    STATE(15533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19495), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [737167] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11637), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [737192] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19497), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15535), 1,
      sym_attribute,
    STATE(21752), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737231] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19499), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15536), 1,
      sym_attribute,
    STATE(21814), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737270] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19501), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15537), 1,
      sym_attribute,
    STATE(21754), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737309] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19503), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15538), 1,
      sym_attribute,
    STATE(21564), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737348] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19505), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15539), 1,
      sym_attribute,
    STATE(21751), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737387] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19507), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15540), 1,
      sym_attribute,
    STATE(21044), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737426] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19509), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [737457] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10940), 1,
      anon_sym_COLON2,
    STATE(15542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10938), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [737484] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19511), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15543), 1,
      sym_attribute,
    STATE(22060), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737523] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19513), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [737554] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10480), 1,
      anon_sym_COLON2,
    STATE(15545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10478), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [737581] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19515), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [737612] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19517), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15547), 1,
      sym_attribute,
    STATE(23698), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737651] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19519), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15548), 1,
      sym_attribute,
    STATE(21602), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737690] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19521), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15549), 1,
      sym_attribute,
    STATE(22112), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737729] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      anon_sym_COLON2,
    STATE(15550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10942), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [737756] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19388), 1,
      aux_sym_attribute_id_token1,
    STATE(15466), 1,
      aux_sym_attribute_id_repeat1,
    STATE(15551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9995), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [737785] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19523), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15552), 1,
      sym_attribute,
    STATE(20939), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737824] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19525), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15553), 1,
      sym_attribute,
    STATE(21166), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737863] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19527), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15554), 1,
      sym_attribute,
    STATE(21111), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737902] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19529), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15555), 1,
      sym_attribute,
    STATE(23496), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [737941] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18341), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [737972] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19531), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15557), 1,
      sym_attribute,
    STATE(23134), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [738011] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15336), 1,
      aux_sym_expression_item_repeat1,
    STATE(15558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19533), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [738042] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19535), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [738073] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15437), 1,
      aux_sym_expression_item_repeat1,
    STATE(15560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19537), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [738104] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19541), 1,
      anon_sym_COLON2,
    STATE(15561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19539), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [738131] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17968), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [738162] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8787), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [738193] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15338), 1,
      aux_sym_expression_item_repeat1,
    STATE(15564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19543), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [738224] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19545), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15565), 1,
      sym_attribute,
    STATE(22717), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [738263] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15342), 1,
      aux_sym_expression_item_repeat1,
    STATE(15566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19547), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [738294] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5977), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(5979), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_LPAREN,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(19549), 1,
      anon_sym_RPAREN,
    STATE(10676), 1,
      sym__simple_module_expression,
    STATE(15567), 1,
      sym_attribute,
    STATE(22258), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10717), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [738333] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19551), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [738363] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13005), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13003), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738389] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12849), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12847), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738415] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15571), 1,
      sym_attribute,
    STATE(15603), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19553), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [738445] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11714), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17343), 1,
      anon_sym_DASH_GT,
    STATE(15572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [738473] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13017), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13015), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738499] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9262), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738525] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9258), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738551] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [738575] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15577), 1,
      sym_attribute,
    STATE(15619), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19555), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [738605] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9204), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738631] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12965), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12963), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19557), 1,
      anon_sym_DOT,
    STATE(15580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12477), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [738683] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13021), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13019), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738709] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19559), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15582), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(10023), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(10025), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [738737] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10402), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10400), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738763] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12969), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12967), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738789] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9240), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738815] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12917), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12915), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738841] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12941), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12939), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738867] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9158), 1,
      anon_sym_POUND,
    STATE(15588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 10,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      sym_hash_operator,
  [738893] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12945), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12943), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738919] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13025), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13023), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738945] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12949), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12947), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738971] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12973), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12971), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [738997] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12953), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12951), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739023] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12871), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12869), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739049] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12977), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12975), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739075] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12925), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12923), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739101] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19562), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [739131] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13009), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13007), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739157] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12929), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12927), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739183] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19564), 1,
      aux_sym_attribute_id_token1,
    STATE(15600), 1,
      sym_attribute,
    STATE(15611), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9993), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(9995), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [739213] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12989), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12987), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739239] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15568), 1,
      aux_sym_expression_item_repeat1,
    STATE(15602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19566), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [739269] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19568), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [739299] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15604), 1,
      sym_attribute,
    STATE(15615), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19570), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [739329] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12509), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739355] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10025), 11,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_attribute_id_token1,
  [739379] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12933), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12931), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739405] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12937), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12935), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739431] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19574), 1,
      anon_sym_COLON,
    ACTIONS(19576), 1,
      anon_sym_COLON2,
    STATE(15609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19572), 9,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [739459] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13029), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13027), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739485] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19564), 1,
      aux_sym_attribute_id_token1,
    STATE(15582), 1,
      aux_sym_attribute_id_repeat1,
    STATE(15611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10015), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(10017), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [739515] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12993), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12991), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739541] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15597), 1,
      aux_sym_expression_item_repeat1,
    STATE(15613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19578), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [739571] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10490), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10488), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739597] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19580), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [739627] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9542), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [739651] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12997), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12995), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739677] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13001), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12999), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [739703] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7969), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11241), 1,
      aux_sym_expression_item_repeat1,
    STATE(11896), 1,
      sym_item_attribute,
    STATE(15619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19582), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [739733] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18045), 1,
      anon_sym_STAR,
    STATE(15620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 10,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [739759] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12611), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [739782] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19584), 1,
      anon_sym_constraint,
    STATE(15622), 1,
      sym_attribute,
    STATE(15631), 1,
      aux_sym_type_binding_repeat1,
    STATE(15891), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13765), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [739811] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12569), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [739834] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12545), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [739857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(15625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [739882] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12477), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [739905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18623), 1,
      anon_sym_STAR,
    STATE(15627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [739930] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19592), 1,
      anon_sym_COLON2,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    STATE(15628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19586), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [739963] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(12979), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12981), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(15629), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740004] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19604), 1,
      anon_sym_COLON2,
    STATE(15630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19602), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [740031] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19606), 1,
      anon_sym_constraint,
    STATE(15891), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15631), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13795), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [740058] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19186), 1,
      anon_sym_COLON2,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    STATE(15632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19184), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [740087] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12557), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [740110] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11575), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [740133] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19198), 1,
      anon_sym_COLON2,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    STATE(15635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19196), 6,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [740164] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12549), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [740187] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17743), 1,
      anon_sym_DASH_GT,
    STATE(15637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [740212] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(13031), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13033), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(15638), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740253] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(12899), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12901), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(15639), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740294] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10023), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(10025), 6,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_attribute_id_token1,
  [740319] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14861), 1,
      anon_sym_LPAREN,
    ACTIONS(14863), 1,
      anon_sym_LBRACK,
    ACTIONS(19609), 1,
      anon_sym_private,
    ACTIONS(19611), 1,
      anon_sym_PIPE,
    STATE(12428), 1,
      sym_variant_declaration,
    STATE(13495), 1,
      sym__constructor_name,
    STATE(14461), 1,
      sym_constructor_declaration,
    STATE(15641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14865), 2,
      anon_sym_true,
      anon_sym_false,
  [740358] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12839), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12841), 1,
      anon_sym_in,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(15642), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740399] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19584), 1,
      anon_sym_constraint,
    STATE(15622), 1,
      aux_sym_type_binding_repeat1,
    STATE(15643), 1,
      sym_attribute,
    STATE(15891), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13747), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [740428] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14892), 1,
      anon_sym_LPAREN,
    ACTIONS(14894), 1,
      anon_sym_LBRACK,
    ACTIONS(19613), 1,
      anon_sym_private,
    ACTIONS(19615), 1,
      anon_sym_PIPE,
    STATE(12402), 1,
      sym_variant_declaration,
    STATE(13519), 1,
      sym__constructor_name,
    STATE(14465), 1,
      sym_constructor_declaration,
    STATE(15644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14896), 2,
      anon_sym_true,
      anon_sym_false,
  [740467] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(12919), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12921), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(15645), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740508] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12607), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [740531] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13934), 1,
      anon_sym_LPAREN,
    ACTIONS(13936), 1,
      anon_sym_LBRACK,
    ACTIONS(19617), 1,
      anon_sym_private,
    ACTIONS(19619), 1,
      anon_sym_PIPE,
    STATE(12428), 1,
      sym_variant_declaration,
    STATE(12876), 1,
      sym__constructor_name,
    STATE(13938), 1,
      sym_constructor_declaration,
    STATE(15647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13938), 2,
      anon_sym_true,
      anon_sym_false,
  [740570] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5627), 1,
      anon_sym_COLON2,
    ACTIONS(19026), 1,
      anon_sym_DOT_DOT,
    STATE(15648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5623), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [740597] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13775), 1,
      anon_sym_LPAREN,
    ACTIONS(13777), 1,
      anon_sym_LBRACK,
    ACTIONS(19621), 1,
      anon_sym_private,
    ACTIONS(19623), 1,
      anon_sym_PIPE,
    STATE(12428), 1,
      sym_variant_declaration,
    STATE(12572), 1,
      sym__constructor_name,
    STATE(13210), 1,
      sym_constructor_declaration,
    STATE(15649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13779), 2,
      anon_sym_true,
      anon_sym_false,
  [740636] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12519), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [740659] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19584), 1,
      anon_sym_constraint,
    STATE(15651), 1,
      sym_attribute,
    STATE(15656), 1,
      aux_sym_type_binding_repeat1,
    STATE(15891), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13731), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [740688] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_DASH_GT,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(12983), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12985), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(15652), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(18668), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740729] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13934), 1,
      anon_sym_LPAREN,
    ACTIONS(13936), 1,
      anon_sym_LBRACK,
    ACTIONS(19619), 1,
      anon_sym_PIPE,
    ACTIONS(19625), 1,
      anon_sym_private,
    STATE(12402), 1,
      sym_variant_declaration,
    STATE(12876), 1,
      sym__constructor_name,
    STATE(13938), 1,
      sym_constructor_declaration,
    STATE(15653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13938), 2,
      anon_sym_true,
      anon_sym_false,
  [740768] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12587), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [740791] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14892), 1,
      anon_sym_LPAREN,
    ACTIONS(14894), 1,
      anon_sym_LBRACK,
    ACTIONS(19615), 1,
      anon_sym_PIPE,
    ACTIONS(19627), 1,
      anon_sym_private,
    STATE(12428), 1,
      sym_variant_declaration,
    STATE(13519), 1,
      sym__constructor_name,
    STATE(14465), 1,
      sym_constructor_declaration,
    STATE(15655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14896), 2,
      anon_sym_true,
      anon_sym_false,
  [740830] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19584), 1,
      anon_sym_constraint,
    STATE(15631), 1,
      aux_sym_type_binding_repeat1,
    STATE(15656), 1,
      sym_attribute,
    STATE(15891), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13751), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [740859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(15657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [740884] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12565), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [740907] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19631), 1,
      anon_sym_COLON2,
    STATE(15659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19629), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [740940] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [740963] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14861), 1,
      anon_sym_LPAREN,
    ACTIONS(14863), 1,
      anon_sym_LBRACK,
    ACTIONS(19611), 1,
      anon_sym_PIPE,
    ACTIONS(19633), 1,
      anon_sym_private,
    STATE(12402), 1,
      sym_variant_declaration,
    STATE(13495), 1,
      sym__constructor_name,
    STATE(14461), 1,
      sym_constructor_declaration,
    STATE(15661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14865), 2,
      anon_sym_true,
      anon_sym_false,
  [741002] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12537), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [741025] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13775), 1,
      anon_sym_LPAREN,
    ACTIONS(13777), 1,
      anon_sym_LBRACK,
    ACTIONS(19623), 1,
      anon_sym_PIPE,
    ACTIONS(19635), 1,
      anon_sym_private,
    STATE(12402), 1,
      sym_variant_declaration,
    STATE(12572), 1,
      sym__constructor_name,
    STATE(13210), 1,
      sym_constructor_declaration,
    STATE(15663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13779), 2,
      anon_sym_true,
      anon_sym_false,
  [741064] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19186), 1,
      anon_sym_COLON2,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    STATE(15664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19184), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [741091] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8731), 1,
      anon_sym_LBRACK,
    ACTIONS(8743), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19637), 1,
      anon_sym_LPAREN,
    ACTIONS(19639), 1,
      anon_sym_LBRACE,
    ACTIONS(19641), 1,
      sym__uppercase_identifier,
    STATE(10573), 1,
      sym__constructor_name,
    STATE(15665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10628), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [741125] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19643), 1,
      anon_sym_LPAREN,
    ACTIONS(19645), 1,
      anon_sym_LBRACE,
    ACTIONS(19647), 1,
      sym__uppercase_identifier,
    STATE(10276), 1,
      sym__constructor_name,
    STATE(15666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15765), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [741159] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8161), 1,
      anon_sym_LBRACK,
    ACTIONS(8171), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19649), 1,
      anon_sym_LPAREN,
    ACTIONS(19651), 1,
      anon_sym_LBRACE,
    ACTIONS(19653), 1,
      sym__uppercase_identifier,
    STATE(8981), 1,
      sym__constructor_name,
    STATE(15667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8946), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [741193] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15668), 1,
      sym_attribute,
    STATE(20880), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741223] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19661), 1,
      sym__lowercase_identifier,
    ACTIONS(19663), 1,
      anon_sym_LPAREN,
    ACTIONS(19665), 1,
      anon_sym_LBRACK,
    ACTIONS(19667), 1,
      anon_sym_LBRACE,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    STATE(3677), 1,
      sym_field_path,
    STATE(15669), 1,
      sym_attribute,
    STATE(18877), 1,
      sym_indexing_operator_path,
    STATE(21521), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741261] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15670), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(21436), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741291] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19671), 1,
      sym__lowercase_identifier,
    ACTIONS(19673), 1,
      anon_sym_LPAREN,
    ACTIONS(19675), 1,
      anon_sym_LBRACK,
    ACTIONS(19677), 1,
      anon_sym_LBRACE,
    STATE(8000), 1,
      sym_field_path,
    STATE(15671), 1,
      sym_attribute,
    STATE(18687), 1,
      sym_indexing_operator_path,
    STATE(22148), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741329] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19679), 1,
      sym__lowercase_identifier,
    ACTIONS(19681), 1,
      anon_sym_LPAREN,
    ACTIONS(19683), 1,
      anon_sym_LBRACK,
    ACTIONS(19685), 1,
      anon_sym_LBRACE,
    STATE(7247), 1,
      sym_field_path,
    STATE(15672), 1,
      sym_attribute,
    STATE(18882), 1,
      sym_indexing_operator_path,
    STATE(21560), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12877), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12959), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [741391] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_COLON2,
    STATE(15674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10428), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [741415] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8432), 1,
      anon_sym_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19687), 1,
      anon_sym_LPAREN,
    ACTIONS(19689), 1,
      anon_sym_LBRACE,
    ACTIONS(19691), 1,
      sym__uppercase_identifier,
    STATE(11183), 1,
      sym__constructor_name,
    STATE(15675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16515), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [741449] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19693), 1,
      sym__lowercase_identifier,
    ACTIONS(19695), 1,
      anon_sym_LPAREN,
    ACTIONS(19697), 1,
      anon_sym_LBRACK,
    ACTIONS(19699), 1,
      anon_sym_LBRACE,
    STATE(7822), 1,
      sym_field_path,
    STATE(15676), 1,
      sym_attribute,
    STATE(18676), 1,
      sym_indexing_operator_path,
    STATE(21842), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741487] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15677), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(21978), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741517] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19701), 1,
      sym__lowercase_identifier,
    ACTIONS(19703), 1,
      anon_sym_LPAREN,
    ACTIONS(19705), 1,
      anon_sym_LBRACK,
    ACTIONS(19707), 1,
      anon_sym_LBRACE,
    STATE(7587), 1,
      sym_field_path,
    STATE(15678), 1,
      sym_attribute,
    STATE(18708), 1,
      sym_indexing_operator_path,
    STATE(22541), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741555] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10346), 1,
      anon_sym_COLON2,
    STATE(15679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [741579] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15680), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(23274), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741609] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19709), 1,
      sym__lowercase_identifier,
    ACTIONS(19711), 1,
      anon_sym_LPAREN,
    ACTIONS(19713), 1,
      anon_sym_LBRACK,
    ACTIONS(19715), 1,
      anon_sym_LBRACE,
    STATE(4693), 1,
      sym_field_path,
    STATE(15681), 1,
      sym_attribute,
    STATE(18833), 1,
      sym_indexing_operator_path,
    STATE(21242), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741647] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19717), 1,
      sym__lowercase_identifier,
    ACTIONS(19719), 1,
      anon_sym_LPAREN,
    ACTIONS(19721), 1,
      anon_sym_LBRACK,
    ACTIONS(19723), 1,
      anon_sym_LBRACE,
    STATE(9112), 1,
      sym_field_path,
    STATE(15682), 1,
      sym_attribute,
    STATE(18840), 1,
      sym_indexing_operator_path,
    STATE(21283), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741685] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5747), 1,
      anon_sym_LBRACK,
    ACTIONS(5755), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19725), 1,
      anon_sym_LPAREN,
    ACTIONS(19727), 1,
      anon_sym_LBRACE,
    ACTIONS(19729), 1,
      sym__uppercase_identifier,
    STATE(6738), 1,
      sym__constructor_name,
    STATE(15683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6818), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [741719] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10350), 1,
      anon_sym_COLON2,
    STATE(15684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [741743] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10378), 1,
      anon_sym_COLON2,
    STATE(15685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [741767] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19731), 1,
      sym__lowercase_identifier,
    ACTIONS(19733), 1,
      anon_sym_LPAREN,
    ACTIONS(19735), 1,
      anon_sym_LBRACK,
    ACTIONS(19737), 1,
      anon_sym_LBRACE,
    STATE(4516), 1,
      sym_field_path,
    STATE(15686), 1,
      sym_attribute,
    STATE(18869), 1,
      sym_indexing_operator_path,
    STATE(21482), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741805] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5999), 1,
      anon_sym_LBRACK,
    ACTIONS(6007), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19739), 1,
      anon_sym_LPAREN,
    ACTIONS(19741), 1,
      anon_sym_LBRACE,
    ACTIONS(19743), 1,
      sym__uppercase_identifier,
    STATE(6897), 1,
      sym__constructor_name,
    STATE(15687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6917), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [741839] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15688), 1,
      sym_attribute,
    STATE(20972), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741869] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19745), 1,
      sym__lowercase_identifier,
    ACTIONS(19747), 1,
      anon_sym_LPAREN,
    ACTIONS(19749), 1,
      anon_sym_LBRACK,
    ACTIONS(19751), 1,
      anon_sym_LBRACE,
    STATE(7533), 1,
      sym_field_path,
    STATE(15689), 1,
      sym_attribute,
    STATE(18815), 1,
      sym_indexing_operator_path,
    STATE(21119), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741907] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10342), 1,
      anon_sym_COLON2,
    STATE(15690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [741931] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15691), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22424), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741961] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15692), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(23474), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [741991] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(19753), 1,
      anon_sym_LPAREN,
    ACTIONS(19755), 1,
      anon_sym_LBRACK,
    STATE(12855), 1,
      sym_constructor_declaration,
    STATE(14404), 1,
      sym__constructor_name,
    STATE(15693), 1,
      sym_attribute,
    STATE(16267), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19757), 2,
      anon_sym_true,
      anon_sym_false,
  [742027] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19759), 1,
      sym__lowercase_identifier,
    ACTIONS(19761), 1,
      anon_sym_LPAREN,
    ACTIONS(19763), 1,
      anon_sym_LBRACK,
    ACTIONS(19765), 1,
      anon_sym_LBRACE,
    STATE(3804), 1,
      sym_field_path,
    STATE(15694), 1,
      sym_attribute,
    STATE(18826), 1,
      sym_indexing_operator_path,
    STATE(21201), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742065] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11573), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(11575), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [742089] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19767), 1,
      sym__lowercase_identifier,
    ACTIONS(19769), 1,
      anon_sym_LPAREN,
    ACTIONS(19771), 1,
      anon_sym_LBRACK,
    ACTIONS(19773), 1,
      anon_sym_LBRACE,
    STATE(3776), 1,
      sym_field_path,
    STATE(15696), 1,
      sym_attribute,
    STATE(18917), 1,
      sym_indexing_operator_path,
    STATE(21826), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742127] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19775), 1,
      sym__lowercase_identifier,
    ACTIONS(19777), 1,
      anon_sym_LPAREN,
    ACTIONS(19779), 1,
      anon_sym_LBRACK,
    ACTIONS(19781), 1,
      anon_sym_LBRACE,
    STATE(5252), 1,
      sym_field_path,
    STATE(15697), 1,
      sym_attribute,
    STATE(18721), 1,
      sym_indexing_operator_path,
    STATE(23157), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742165] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15698), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22109), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742195] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19787), 1,
      sym__right_quoted_string_delimiter,
    STATE(15699), 1,
      sym_attribute,
    STATE(15879), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(21509), 1,
      sym_quoted_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19785), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(19783), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [742225] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_COLON2,
    STATE(15700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10436), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [742249] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15701), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22175), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742279] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19789), 1,
      sym__lowercase_identifier,
    ACTIONS(19791), 1,
      anon_sym_LPAREN,
    ACTIONS(19793), 1,
      anon_sym_LBRACK,
    ACTIONS(19795), 1,
      anon_sym_LBRACE,
    STATE(8557), 1,
      sym_field_path,
    STATE(15702), 1,
      sym_attribute,
    STATE(18899), 1,
      sym_indexing_operator_path,
    STATE(21712), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742317] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19797), 1,
      sym__lowercase_identifier,
    ACTIONS(19799), 1,
      anon_sym_LPAREN,
    ACTIONS(19801), 1,
      anon_sym_LBRACK,
    ACTIONS(19803), 1,
      anon_sym_LBRACE,
    STATE(8849), 1,
      sym_field_path,
    STATE(15703), 1,
      sym_attribute,
    STATE(18627), 1,
      sym_indexing_operator_path,
    STATE(22963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742355] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19805), 1,
      sym__lowercase_identifier,
    ACTIONS(19807), 1,
      anon_sym_LPAREN,
    ACTIONS(19809), 1,
      anon_sym_LBRACK,
    ACTIONS(19811), 1,
      anon_sym_LBRACE,
    STATE(7091), 1,
      sym_field_path,
    STATE(15704), 1,
      sym_attribute,
    STATE(18896), 1,
      sym_indexing_operator_path,
    STATE(21674), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742393] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19813), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [742415] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13934), 1,
      anon_sym_LPAREN,
    ACTIONS(13936), 1,
      anon_sym_LBRACK,
    ACTIONS(19619), 1,
      anon_sym_PIPE,
    STATE(12650), 1,
      sym_variant_declaration,
    STATE(12876), 1,
      sym__constructor_name,
    STATE(13938), 1,
      sym_constructor_declaration,
    STATE(15706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13938), 2,
      anon_sym_true,
      anon_sym_false,
  [742451] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(19815), 1,
      anon_sym_LPAREN,
    ACTIONS(19817), 1,
      anon_sym_LBRACK,
    ACTIONS(19821), 1,
      sym__uppercase_identifier,
    STATE(15707), 1,
      sym_attribute,
    STATE(16296), 1,
      sym__attribute,
    STATE(16823), 1,
      sym__constructor_name,
    STATE(17241), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19819), 2,
      anon_sym_true,
      anon_sym_false,
  [742487] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19823), 1,
      sym__lowercase_identifier,
    ACTIONS(19825), 1,
      anon_sym_LPAREN,
    ACTIONS(19827), 1,
      anon_sym_LBRACK,
    ACTIONS(19829), 1,
      anon_sym_LBRACE,
    STATE(7624), 1,
      sym_field_path,
    STATE(15708), 1,
      sym_attribute,
    STATE(18756), 1,
      sym_indexing_operator_path,
    STATE(20579), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742525] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15709), 1,
      sym_attribute,
    STATE(20919), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742555] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15710), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(23117), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742585] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15711), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22226), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742615] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12509), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [742637] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19831), 1,
      anon_sym_LPAREN,
    ACTIONS(19833), 1,
      anon_sym_LBRACE,
    ACTIONS(19835), 1,
      sym__uppercase_identifier,
    STATE(15713), 1,
      sym_attribute,
    STATE(16612), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16642), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [742671] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9085), 1,
      anon_sym_POUND,
    STATE(15714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9087), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [742695] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10468), 1,
      anon_sym_COLON2,
    STATE(15715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10466), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [742719] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19837), 1,
      sym__lowercase_identifier,
    ACTIONS(19839), 1,
      anon_sym_LPAREN,
    ACTIONS(19841), 1,
      anon_sym_LBRACK,
    ACTIONS(19843), 1,
      anon_sym_LBRACE,
    STATE(7292), 1,
      sym_field_path,
    STATE(15716), 1,
      sym_attribute,
    STATE(18809), 1,
      sym_indexing_operator_path,
    STATE(21078), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742757] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15717), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22282), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742787] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19845), 1,
      sym__lowercase_identifier,
    ACTIONS(19847), 1,
      anon_sym_LPAREN,
    ACTIONS(19849), 1,
      anon_sym_LBRACK,
    ACTIONS(19851), 1,
      anon_sym_LBRACE,
    STATE(7852), 1,
      sym_field_path,
    STATE(15718), 1,
      sym_attribute,
    STATE(18652), 1,
      sym_indexing_operator_path,
    STATE(21444), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742825] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10472), 1,
      anon_sym_COLON2,
    STATE(15719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10470), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [742849] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19853), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [742871] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15721), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(23268), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742901] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15722), 1,
      sym_attribute,
    STATE(20571), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [742931] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13775), 1,
      anon_sym_LPAREN,
    ACTIONS(13777), 1,
      anon_sym_LBRACK,
    ACTIONS(19623), 1,
      anon_sym_PIPE,
    STATE(12572), 1,
      sym__constructor_name,
    STATE(12650), 1,
      sym_variant_declaration,
    STATE(13210), 1,
      sym_constructor_declaration,
    STATE(15723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13779), 2,
      anon_sym_true,
      anon_sym_false,
  [742967] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14861), 1,
      anon_sym_LPAREN,
    ACTIONS(14863), 1,
      anon_sym_LBRACK,
    ACTIONS(19611), 1,
      anon_sym_PIPE,
    STATE(12511), 1,
      sym_variant_declaration,
    STATE(13495), 1,
      sym__constructor_name,
    STATE(14461), 1,
      sym_constructor_declaration,
    STATE(15724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14865), 2,
      anon_sym_true,
      anon_sym_false,
  [743003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19855), 1,
      anon_sym_as,
    STATE(15725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12761), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [743027] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8271), 1,
      anon_sym_LBRACK,
    ACTIONS(8281), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19857), 1,
      anon_sym_LPAREN,
    ACTIONS(19859), 1,
      anon_sym_LBRACE,
    ACTIONS(19861), 1,
      sym__uppercase_identifier,
    STATE(9551), 1,
      sym__constructor_name,
    STATE(15726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9615), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [743061] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(19863), 1,
      anon_sym_LPAREN,
    ACTIONS(19865), 1,
      anon_sym_LBRACK,
    STATE(12855), 1,
      sym_constructor_declaration,
    STATE(13205), 1,
      sym__constructor_name,
    STATE(15727), 1,
      sym_attribute,
    STATE(16050), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19867), 2,
      anon_sym_true,
      anon_sym_false,
  [743097] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10484), 1,
      anon_sym_COLON2,
    STATE(15728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10482), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [743121] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15729), 1,
      sym_attribute,
    STATE(21102), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [743151] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19869), 1,
      sym__lowercase_identifier,
    ACTIONS(19871), 1,
      anon_sym_LPAREN,
    ACTIONS(19873), 1,
      anon_sym_LBRACK,
    ACTIONS(19875), 1,
      anon_sym_LBRACE,
    STATE(3569), 1,
      sym_field_path,
    STATE(15730), 1,
      sym_attribute,
    STATE(18922), 1,
      sym_indexing_operator_path,
    STATE(21864), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743189] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13934), 1,
      anon_sym_LPAREN,
    ACTIONS(13936), 1,
      anon_sym_LBRACK,
    ACTIONS(19619), 1,
      anon_sym_PIPE,
    STATE(12511), 1,
      sym_variant_declaration,
    STATE(12876), 1,
      sym__constructor_name,
    STATE(13938), 1,
      sym_constructor_declaration,
    STATE(15731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13938), 2,
      anon_sym_true,
      anon_sym_false,
  [743225] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12603), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19877), 1,
      anon_sym_POUND,
    STATE(15732), 1,
      sym_attribute,
    STATE(16298), 1,
      sym_type_constructor_path,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 3,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [743259] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15733), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22317), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [743289] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19879), 1,
      sym__lowercase_identifier,
    ACTIONS(19881), 1,
      anon_sym_LPAREN,
    ACTIONS(19883), 1,
      anon_sym_LBRACK,
    ACTIONS(19885), 1,
      anon_sym_LBRACE,
    STATE(6132), 1,
      sym_field_path,
    STATE(15734), 1,
      sym_attribute,
    STATE(18773), 1,
      sym_indexing_operator_path,
    STATE(20752), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743327] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19887), 1,
      sym__lowercase_identifier,
    ACTIONS(19889), 1,
      anon_sym_LPAREN,
    ACTIONS(19891), 1,
      anon_sym_LBRACK,
    ACTIONS(19893), 1,
      anon_sym_LBRACE,
    STATE(6104), 1,
      sym_field_path,
    STATE(15735), 1,
      sym_attribute,
    STATE(18726), 1,
      sym_indexing_operator_path,
    STATE(23360), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19855), 1,
      anon_sym_as,
    STATE(15736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12911), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [743389] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10418), 1,
      anon_sym_COLON2,
    STATE(15737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10416), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [743413] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8853), 1,
      anon_sym_LBRACK,
    ACTIONS(8857), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18699), 1,
      sym__uppercase_identifier,
    ACTIONS(19833), 1,
      anon_sym_LBRACE,
    ACTIONS(19895), 1,
      anon_sym_LPAREN,
    STATE(9781), 1,
      sym__constructor_name,
    STATE(15738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16642), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [743447] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_COLON2,
    STATE(15739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10420), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [743471] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19897), 1,
      sym__lowercase_identifier,
    ACTIONS(19899), 1,
      anon_sym_LPAREN,
    ACTIONS(19901), 1,
      anon_sym_LBRACK,
    ACTIONS(19903), 1,
      anon_sym_LBRACE,
    STATE(3853), 1,
      sym_field_path,
    STATE(15740), 1,
      sym_attribute,
    STATE(18844), 1,
      sym_indexing_operator_path,
    STATE(21324), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743509] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10452), 1,
      anon_sym_COLON2,
    STATE(15741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10450), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [743533] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10456), 1,
      anon_sym_COLON2,
    STATE(15742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10454), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [743557] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10460), 1,
      anon_sym_COLON2,
    STATE(15743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10458), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [743581] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15744), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22242), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [743611] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19905), 1,
      anon_sym_LPAREN,
    ACTIONS(19907), 1,
      anon_sym_LBRACE,
    ACTIONS(19909), 1,
      sym__uppercase_identifier,
    STATE(15745), 1,
      sym_attribute,
    STATE(15803), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15413), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [743645] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15746), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22377), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [743675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12511), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12509), 7,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [743699] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19911), 1,
      sym__lowercase_identifier,
    ACTIONS(19913), 1,
      anon_sym_LPAREN,
    ACTIONS(19915), 1,
      anon_sym_LBRACK,
    ACTIONS(19917), 1,
      anon_sym_LBRACE,
    STATE(6254), 1,
      sym_field_path,
    STATE(15748), 1,
      sym_attribute,
    STATE(18577), 1,
      sym_indexing_operator_path,
    STATE(23364), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743737] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19645), 1,
      anon_sym_LBRACE,
    ACTIONS(19909), 1,
      sym__uppercase_identifier,
    ACTIONS(19919), 1,
      anon_sym_LPAREN,
    STATE(15749), 1,
      sym_attribute,
    STATE(15803), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15765), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [743771] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10464), 1,
      anon_sym_COLON2,
    STATE(15750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [743795] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15751), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22344), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [743825] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10494), 1,
      anon_sym_COLON2,
    STATE(15752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10492), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [743849] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15753), 1,
      sym_attribute,
    STATE(20931), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [743879] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON2,
    STATE(15754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10384), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [743903] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [743925] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14861), 1,
      anon_sym_LPAREN,
    ACTIONS(14863), 1,
      anon_sym_LBRACK,
    ACTIONS(19611), 1,
      anon_sym_PIPE,
    STATE(12650), 1,
      sym_variant_declaration,
    STATE(13495), 1,
      sym__constructor_name,
    STATE(14461), 1,
      sym_constructor_declaration,
    STATE(15756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14865), 2,
      anon_sym_true,
      anon_sym_false,
  [743961] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5791), 1,
      anon_sym_LBRACK,
    ACTIONS(5799), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19921), 1,
      anon_sym_LPAREN,
    ACTIONS(19923), 1,
      anon_sym_LBRACE,
    ACTIONS(19925), 1,
      sym__uppercase_identifier,
    STATE(6595), 1,
      sym__constructor_name,
    STATE(15757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6780), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [743995] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15758), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(21498), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744025] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19927), 1,
      sym__lowercase_identifier,
    ACTIONS(19929), 1,
      anon_sym_LPAREN,
    ACTIONS(19931), 1,
      anon_sym_LBRACK,
    ACTIONS(19933), 1,
      anon_sym_LBRACE,
    STATE(8149), 1,
      sym_field_path,
    STATE(15759), 1,
      sym_attribute,
    STATE(18927), 1,
      sym_indexing_operator_path,
    STATE(21902), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744063] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15760), 1,
      sym_attribute,
    STATE(20873), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744093] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19935), 1,
      sym__lowercase_identifier,
    ACTIONS(19937), 1,
      anon_sym_LPAREN,
    ACTIONS(19939), 1,
      anon_sym_LBRACK,
    ACTIONS(19941), 1,
      anon_sym_LBRACE,
    STATE(4531), 1,
      sym_field_path,
    STATE(15761), 1,
      sym_attribute,
    STATE(18887), 1,
      sym_indexing_operator_path,
    STATE(21598), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744131] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10500), 1,
      anon_sym_COLON2,
    STATE(15762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10498), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [744155] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15763), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22391), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744185] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15764), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22432), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744215] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10354), 1,
      anon_sym_COLON2,
    STATE(15765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [744239] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10358), 1,
      anon_sym_COLON2,
    STATE(15766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [744263] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15767), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22471), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744293] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15768), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22510), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19855), 1,
      anon_sym_as,
    STATE(15769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [744347] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15770), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22670), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744377] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15771), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22545), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744407] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10434), 1,
      anon_sym_COLON2,
    STATE(15772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10432), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [744431] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12877), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [744453] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15774), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22589), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744483] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15775), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(21781), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744513] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8225), 1,
      anon_sym_LBRACK,
    ACTIONS(8235), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19943), 1,
      anon_sym_LPAREN,
    ACTIONS(19945), 1,
      anon_sym_LBRACE,
    ACTIONS(19947), 1,
      sym__uppercase_identifier,
    STATE(9587), 1,
      sym__constructor_name,
    STATE(15776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9692), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [744547] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_COLON2,
    STATE(15777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [744571] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19949), 1,
      sym__lowercase_identifier,
    ACTIONS(19951), 1,
      anon_sym_LPAREN,
    ACTIONS(19953), 1,
      anon_sym_LBRACK,
    ACTIONS(19955), 1,
      anon_sym_LBRACE,
    STATE(7582), 1,
      sym_field_path,
    STATE(15778), 1,
      sym_attribute,
    STATE(18784), 1,
      sym_indexing_operator_path,
    STATE(20861), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744609] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15779), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22637), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744639] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12843), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13322), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    ACTIONS(19957), 1,
      anon_sym_STAR,
    STATE(15780), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(17042), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744677] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19959), 1,
      sym__lowercase_identifier,
    ACTIONS(19961), 1,
      anon_sym_LPAREN,
    ACTIONS(19963), 1,
      anon_sym_LBRACK,
    ACTIONS(19965), 1,
      anon_sym_LBRACE,
    STATE(7535), 1,
      sym_field_path,
    STATE(15781), 1,
      sym_attribute,
    STATE(18763), 1,
      sym_indexing_operator_path,
    STATE(20642), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744715] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15782), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22684), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744745] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15783), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(21671), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744775] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15784), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22134), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744805] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15785), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22728), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744835] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10398), 1,
      anon_sym_COLON2,
    STATE(15786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10396), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [744859] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19967), 1,
      sym__lowercase_identifier,
    ACTIONS(19969), 1,
      anon_sym_LPAREN,
    ACTIONS(19971), 1,
      anon_sym_LBRACK,
    ACTIONS(19973), 1,
      anon_sym_LBRACE,
    STATE(3573), 1,
      sym_field_path,
    STATE(15787), 1,
      sym_attribute,
    STATE(18931), 1,
      sym_indexing_operator_path,
    STATE(21939), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744897] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15788), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22882), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744927] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15789), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(23342), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [744957] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9152), 1,
      anon_sym_POUND,
    STATE(15790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 8,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [744981] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15791), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22948), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [745011] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19975), 1,
      sym__lowercase_identifier,
    ACTIONS(19977), 1,
      anon_sym_LPAREN,
    ACTIONS(19979), 1,
      anon_sym_LBRACK,
    ACTIONS(19981), 1,
      anon_sym_LBRACE,
    STATE(5162), 1,
      sym_field_path,
    STATE(15792), 1,
      sym_attribute,
    STATE(18715), 1,
      sym_indexing_operator_path,
    STATE(22755), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(13011), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [745073] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18523), 1,
      sym__uppercase_identifier,
    ACTIONS(19905), 1,
      anon_sym_LPAREN,
    ACTIONS(19907), 1,
      anon_sym_LBRACE,
    STATE(8758), 1,
      sym__constructor_name,
    STATE(15794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15413), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [745107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18874), 1,
      anon_sym_DASH_GT,
    STATE(15795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [745131] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10334), 1,
      anon_sym_COLON2,
    STATE(15796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [745155] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19983), 1,
      sym__lowercase_identifier,
    ACTIONS(19985), 1,
      anon_sym_LPAREN,
    ACTIONS(19987), 1,
      anon_sym_LBRACK,
    ACTIONS(19989), 1,
      anon_sym_LBRACE,
    STATE(7571), 1,
      sym_field_path,
    STATE(15797), 1,
      sym_attribute,
    STATE(18796), 1,
      sym_indexing_operator_path,
    STATE(20955), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745193] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8432), 1,
      anon_sym_LBRACK,
    ACTIONS(8442), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19689), 1,
      anon_sym_LBRACE,
    ACTIONS(19835), 1,
      sym__uppercase_identifier,
    ACTIONS(19991), 1,
      anon_sym_LPAREN,
    STATE(15798), 1,
      sym_attribute,
    STATE(16612), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16515), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [745227] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19993), 1,
      sym__lowercase_identifier,
    ACTIONS(19995), 1,
      anon_sym_LPAREN,
    ACTIONS(19997), 1,
      anon_sym_LBRACK,
    ACTIONS(19999), 1,
      anon_sym_LBRACE,
    STATE(9425), 1,
      sym_field_path,
    STATE(15799), 1,
      sym_attribute,
    STATE(18743), 1,
      sym_indexing_operator_path,
    STATE(20452), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745265] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20001), 1,
      sym__lowercase_identifier,
    ACTIONS(20003), 1,
      anon_sym_LPAREN,
    ACTIONS(20005), 1,
      anon_sym_LBRACK,
    ACTIONS(20007), 1,
      anon_sym_LBRACE,
    STATE(3890), 1,
      sym_field_path,
    STATE(15800), 1,
      sym_attribute,
    STATE(18738), 1,
      sym_indexing_operator_path,
    STATE(23725), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745303] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(20009), 1,
      anon_sym_LPAREN,
    ACTIONS(20011), 1,
      anon_sym_LBRACK,
    STATE(12855), 1,
      sym_constructor_declaration,
    STATE(14486), 1,
      sym__constructor_name,
    STATE(15801), 1,
      sym_attribute,
    STATE(16001), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20013), 2,
      anon_sym_true,
      anon_sym_false,
  [745339] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5627), 1,
      anon_sym_COLON2,
    STATE(15802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5623), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [745363] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [745385] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12917), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12915), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [745411] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10382), 1,
      anon_sym_COLON2,
    STATE(15805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [745435] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15806), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(23559), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [745465] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15807), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22526), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [745495] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20015), 1,
      sym__lowercase_identifier,
    ACTIONS(20017), 1,
      anon_sym_LPAREN,
    ACTIONS(20019), 1,
      anon_sym_LBRACK,
    ACTIONS(20021), 1,
      anon_sym_LBRACE,
    STATE(4075), 1,
      sym_field_path,
    STATE(15808), 1,
      sym_attribute,
    STATE(18937), 1,
      sym_indexing_operator_path,
    STATE(21976), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745533] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(20023), 1,
      anon_sym_LPAREN,
    ACTIONS(20025), 1,
      anon_sym_LBRACK,
    STATE(12855), 1,
      sym_constructor_declaration,
    STATE(13383), 1,
      sym__constructor_name,
    STATE(15809), 1,
      sym_attribute,
    STATE(16301), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20027), 2,
      anon_sym_true,
      anon_sym_false,
  [745569] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10362), 1,
      anon_sym_COLON2,
    STATE(15810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [745593] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19645), 1,
      anon_sym_LBRACE,
    ACTIONS(19919), 1,
      anon_sym_LPAREN,
    ACTIONS(20029), 1,
      sym__uppercase_identifier,
    STATE(10695), 1,
      sym__constructor_name,
    STATE(15811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15765), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [745627] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15812), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(23014), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [745657] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_COLON2,
    STATE(15813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [745681] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10374), 1,
      anon_sym_COLON2,
    STATE(15814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [745705] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20031), 1,
      sym__lowercase_identifier,
    ACTIONS(20033), 1,
      anon_sym_LPAREN,
    ACTIONS(20035), 1,
      anon_sym_LBRACK,
    ACTIONS(20037), 1,
      anon_sym_LBRACE,
    STATE(6757), 1,
      sym_field_path,
    STATE(15815), 1,
      sym_attribute,
    STATE(18905), 1,
      sym_indexing_operator_path,
    STATE(21750), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745743] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20039), 1,
      sym__lowercase_identifier,
    ACTIONS(20041), 1,
      anon_sym_LPAREN,
    ACTIONS(20043), 1,
      anon_sym_LBRACK,
    ACTIONS(20045), 1,
      anon_sym_LBRACE,
    STATE(6476), 1,
      sym_field_path,
    STATE(15816), 1,
      sym_attribute,
    STATE(18778), 1,
      sym_indexing_operator_path,
    STATE(20806), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745781] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20047), 1,
      sym__lowercase_identifier,
    ACTIONS(20049), 1,
      anon_sym_LPAREN,
    ACTIONS(20051), 1,
      anon_sym_LBRACK,
    ACTIONS(20053), 1,
      anon_sym_LBRACE,
    STATE(7456), 1,
      sym_field_path,
    STATE(15817), 1,
      sym_attribute,
    STATE(18864), 1,
      sym_indexing_operator_path,
    STATE(21443), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745819] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12955), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [745841] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20055), 1,
      sym__lowercase_identifier,
    ACTIONS(20057), 1,
      anon_sym_LPAREN,
    ACTIONS(20059), 1,
      anon_sym_LBRACK,
    ACTIONS(20061), 1,
      anon_sym_LBRACE,
    STATE(4768), 1,
      sym_field_path,
    STATE(15819), 1,
      sym_attribute,
    STATE(18850), 1,
      sym_indexing_operator_path,
    STATE(21364), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745879] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20063), 1,
      sym__lowercase_identifier,
    ACTIONS(20065), 1,
      anon_sym_LPAREN,
    ACTIONS(20067), 1,
      anon_sym_LBRACK,
    ACTIONS(20069), 1,
      anon_sym_LBRACE,
    STATE(5031), 1,
      sym_field_path,
    STATE(15820), 1,
      sym_attribute,
    STATE(17794), 1,
      sym_indexing_operator_path,
    STATE(21928), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745917] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15821), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22308), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [745947] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15822), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22074), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [745977] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10390), 1,
      anon_sym_COLON2,
    STATE(15823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10388), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [746001] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10442), 1,
      anon_sym_COLON2,
    STATE(15824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10440), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [746025] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15825), 1,
      sym_attribute,
    STATE(20768), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [746055] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10394), 1,
      anon_sym_COLON2,
    STATE(15826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10392), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [746079] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13297), 1,
      anon_sym_COLON2,
    ACTIONS(20071), 1,
      anon_sym_LPAREN,
    STATE(16022), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15827), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(13295), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [746107] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15828), 1,
      sym_attribute,
    STATE(20555), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [746137] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15829), 1,
      sym_attribute,
    STATE(20776), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [746167] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20074), 1,
      sym__lowercase_identifier,
    ACTIONS(20076), 1,
      anon_sym_LPAREN,
    ACTIONS(20078), 1,
      anon_sym_LBRACK,
    ACTIONS(20080), 1,
      anon_sym_LBRACE,
    STATE(6973), 1,
      sym_field_path,
    STATE(15830), 1,
      sym_attribute,
    STATE(18768), 1,
      sym_indexing_operator_path,
    STATE(20697), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746205] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15831), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(23547), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [746235] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_COLON2,
    STATE(15832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10446), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [746259] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20082), 1,
      sym__lowercase_identifier,
    ACTIONS(20084), 1,
      anon_sym_LPAREN,
    ACTIONS(20086), 1,
      anon_sym_LBRACK,
    ACTIONS(20088), 1,
      anon_sym_LBRACE,
    STATE(7381), 1,
      sym_field_path,
    STATE(15833), 1,
      sym_attribute,
    STATE(18892), 1,
      sym_indexing_operator_path,
    STATE(21636), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746297] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8313), 1,
      anon_sym_LBRACK,
    ACTIONS(8321), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(20090), 1,
      anon_sym_LPAREN,
    ACTIONS(20092), 1,
      anon_sym_LBRACE,
    ACTIONS(20094), 1,
      sym__uppercase_identifier,
    STATE(10536), 1,
      sym__constructor_name,
    STATE(15834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10659), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [746331] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19905), 1,
      anon_sym_LPAREN,
    ACTIONS(19907), 1,
      anon_sym_LBRACE,
    ACTIONS(20029), 1,
      sym__uppercase_identifier,
    STATE(10695), 1,
      sym__constructor_name,
    STATE(15835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15413), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [746365] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20096), 1,
      sym__lowercase_identifier,
    ACTIONS(20098), 1,
      anon_sym_LPAREN,
    ACTIONS(20100), 1,
      anon_sym_LBRACK,
    ACTIONS(20102), 1,
      anon_sym_LBRACE,
    STATE(5953), 1,
      sym_field_path,
    STATE(15836), 1,
      sym_attribute,
    STATE(18857), 1,
      sym_indexing_operator_path,
    STATE(21404), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746403] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15837), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(21764), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [746433] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(19799), 1,
      anon_sym_LPAREN,
    ACTIONS(19801), 1,
      anon_sym_LBRACK,
    ACTIONS(19803), 1,
      anon_sym_LBRACE,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(8849), 1,
      sym_field_path,
    STATE(15838), 1,
      sym_attribute,
    STATE(18627), 1,
      sym_indexing_operator_path,
    STATE(21025), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746471] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15839), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(21408), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [746501] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15840), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(23039), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [746531] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6517), 1,
      anon_sym_LBRACK,
    ACTIONS(6531), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19647), 1,
      sym__uppercase_identifier,
    ACTIONS(20106), 1,
      anon_sym_LPAREN,
    ACTIONS(20108), 1,
      anon_sym_LBRACE,
    STATE(10276), 1,
      sym__constructor_name,
    STATE(15841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12277), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [746565] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20110), 1,
      sym__lowercase_identifier,
    ACTIONS(20112), 1,
      anon_sym_LPAREN,
    ACTIONS(20114), 1,
      anon_sym_LBRACK,
    ACTIONS(20116), 1,
      anon_sym_LBRACE,
    STATE(4060), 1,
      sym_field_path,
    STATE(15842), 1,
      sym_attribute,
    STATE(18944), 1,
      sym_indexing_operator_path,
    STATE(22001), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746603] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20118), 1,
      sym__lowercase_identifier,
    ACTIONS(20120), 1,
      anon_sym_LPAREN,
    ACTIONS(20122), 1,
      anon_sym_LBRACK,
    ACTIONS(20124), 1,
      anon_sym_LBRACE,
    STATE(11005), 1,
      sym_field_path,
    STATE(15843), 1,
      sym_attribute,
    STATE(18791), 1,
      sym_indexing_operator_path,
    STATE(20913), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746641] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20126), 1,
      sym__lowercase_identifier,
    ACTIONS(20128), 1,
      anon_sym_LPAREN,
    ACTIONS(20130), 1,
      anon_sym_LBRACK,
    ACTIONS(20132), 1,
      anon_sym_LBRACE,
    STATE(7539), 1,
      sym_field_path,
    STATE(15844), 1,
      sym_attribute,
    STATE(18801), 1,
      sym_indexing_operator_path,
    STATE(20996), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746679] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15845), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(21393), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [746709] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5953), 1,
      anon_sym_LBRACK,
    ACTIONS(5969), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19907), 1,
      anon_sym_LBRACE,
    ACTIONS(20134), 1,
      anon_sym_LPAREN,
    ACTIONS(20136), 1,
      sym__uppercase_identifier,
    STATE(10137), 1,
      sym__constructor_name,
    STATE(15846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15413), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [746743] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15847), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22533), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [746773] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14892), 1,
      anon_sym_LPAREN,
    ACTIONS(14894), 1,
      anon_sym_LBRACK,
    ACTIONS(19615), 1,
      anon_sym_PIPE,
    STATE(12511), 1,
      sym_variant_declaration,
    STATE(13519), 1,
      sym__constructor_name,
    STATE(14465), 1,
      sym_constructor_declaration,
    STATE(15848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14896), 2,
      anon_sym_true,
      anon_sym_false,
  [746809] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10410), 1,
      anon_sym_COLON2,
    STATE(15849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10408), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [746833] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10414), 1,
      anon_sym_COLON2,
    STATE(15850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10412), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [746857] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5633), 1,
      anon_sym_LBRACK,
    ACTIONS(5641), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(20138), 1,
      anon_sym_LPAREN,
    ACTIONS(20140), 1,
      anon_sym_LBRACE,
    ACTIONS(20142), 1,
      sym__uppercase_identifier,
    STATE(6427), 1,
      sym__constructor_name,
    STATE(15851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6598), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [746891] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15852), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22463), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [746921] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7955), 1,
      anon_sym_LBRACK,
    ACTIONS(7965), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(20144), 1,
      anon_sym_LPAREN,
    ACTIONS(20146), 1,
      anon_sym_LBRACE,
    ACTIONS(20148), 1,
      sym__uppercase_identifier,
    STATE(8856), 1,
      sym__constructor_name,
    STATE(15853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8875), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [746955] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20150), 1,
      sym__lowercase_identifier,
    ACTIONS(20152), 1,
      anon_sym_LPAREN,
    ACTIONS(20154), 1,
      anon_sym_LBRACK,
    ACTIONS(20156), 1,
      anon_sym_LBRACE,
    STATE(9060), 1,
      sym_field_path,
    STATE(15854), 1,
      sym_attribute,
    STATE(18731), 1,
      sym_indexing_operator_path,
    STATE(23532), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746993] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20158), 1,
      sym__lowercase_identifier,
    ACTIONS(20160), 1,
      anon_sym_LPAREN,
    ACTIONS(20162), 1,
      anon_sym_LBRACK,
    ACTIONS(20164), 1,
      anon_sym_LBRACE,
    STATE(9308), 1,
      sym_field_path,
    STATE(15855), 1,
      sym_attribute,
    STATE(18699), 1,
      sym_indexing_operator_path,
    STATE(22336), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747031] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15856), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22004), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [747061] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6439), 1,
      anon_sym_LBRACK,
    ACTIONS(6449), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18523), 1,
      sym__uppercase_identifier,
    ACTIONS(19645), 1,
      anon_sym_LBRACE,
    ACTIONS(19919), 1,
      anon_sym_LPAREN,
    STATE(8758), 1,
      sym__constructor_name,
    STATE(15857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15765), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [747095] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15858), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(23666), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [747125] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15859), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22019), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [747155] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15860), 1,
      sym_attribute,
    STATE(20523), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [747185] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14892), 1,
      anon_sym_LPAREN,
    ACTIONS(14894), 1,
      anon_sym_LBRACK,
    ACTIONS(19615), 1,
      anon_sym_PIPE,
    STATE(12650), 1,
      sym_variant_declaration,
    STATE(13519), 1,
      sym__constructor_name,
    STATE(14465), 1,
      sym_constructor_declaration,
    STATE(15861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14896), 2,
      anon_sym_true,
      anon_sym_false,
  [747221] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20166), 1,
      sym__lowercase_identifier,
    ACTIONS(20168), 1,
      anon_sym_LPAREN,
    ACTIONS(20170), 1,
      anon_sym_LBRACK,
    ACTIONS(20172), 1,
      anon_sym_LBRACE,
    STATE(6238), 1,
      sym_field_path,
    STATE(15862), 1,
      sym_attribute,
    STATE(18911), 1,
      sym_indexing_operator_path,
    STATE(21788), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747259] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [747281] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20174), 1,
      sym__lowercase_identifier,
    ACTIONS(20176), 1,
      anon_sym_LPAREN,
    ACTIONS(20178), 1,
      anon_sym_LBRACK,
    ACTIONS(20180), 1,
      anon_sym_LBRACE,
    STATE(11669), 1,
      sym_field_path,
    STATE(15864), 1,
      sym_attribute,
    STATE(18804), 1,
      sym_indexing_operator_path,
    STATE(21037), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747319] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20182), 1,
      sym__lowercase_identifier,
    ACTIONS(20184), 1,
      anon_sym_LPAREN,
    ACTIONS(20186), 1,
      anon_sym_LBRACK,
    ACTIONS(20188), 1,
      anon_sym_LBRACE,
    STATE(4395), 1,
      sym_field_path,
    STATE(15865), 1,
      sym_attribute,
    STATE(18822), 1,
      sym_indexing_operator_path,
    STATE(21160), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747357] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20190), 1,
      anon_sym_LPAREN,
    ACTIONS(20192), 1,
      anon_sym_DOT,
    STATE(15866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12753), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [747383] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15867), 1,
      sym_attribute,
    STATE(21223), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [747413] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15868), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(22558), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [747443] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15869), 1,
      sym_attribute,
    STATE(21290), 1,
      sym_escape_sequence,
    STATE(23491), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [747473] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15870), 1,
      sym_attribute,
    STATE(21183), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [747503] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15871), 1,
      sym_attribute,
    STATE(21076), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [747533] = 12,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(19669), 1,
      sym_indexing_operator,
    ACTIONS(20194), 1,
      sym__lowercase_identifier,
    ACTIONS(20196), 1,
      anon_sym_LPAREN,
    ACTIONS(20198), 1,
      anon_sym_LBRACK,
    ACTIONS(20200), 1,
      anon_sym_LBRACE,
    STATE(4724), 1,
      sym_field_path,
    STATE(15872), 1,
      sym_attribute,
    STATE(18751), 1,
      sym_indexing_operator_path,
    STATE(20516), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747571] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13775), 1,
      anon_sym_LPAREN,
    ACTIONS(13777), 1,
      anon_sym_LBRACK,
    ACTIONS(19623), 1,
      anon_sym_PIPE,
    STATE(12511), 1,
      sym_variant_declaration,
    STATE(12572), 1,
      sym__constructor_name,
    STATE(13210), 1,
      sym_constructor_declaration,
    STATE(15873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13779), 2,
      anon_sym_true,
      anon_sym_false,
  [747607] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19657), 1,
      aux_sym_character_content_token2,
    STATE(15874), 1,
      sym_attribute,
    STATE(21271), 1,
      sym_character_content,
    STATE(21290), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19655), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(19659), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [747637] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20202), 1,
      anon_sym_SEMI,
    ACTIONS(20204), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15875), 1,
      sym_attribute,
    STATE(17708), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747672] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20206), 1,
      anon_sym_SEMI,
    ACTIONS(20208), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15876), 1,
      sym_attribute,
    STATE(17677), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747707] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10676), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10678), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12203), 1,
      anon_sym_LBRACK,
    ACTIONS(20210), 1,
      sym__lowercase_identifier,
    ACTIONS(20212), 1,
      anon_sym_LPAREN,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    STATE(15877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11936), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [747740] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9158), 1,
      anon_sym_POUND,
    STATE(15878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(9087), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [747765] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20216), 1,
      sym__right_quoted_string_delimiter,
    STATE(15879), 1,
      sym_attribute,
    STATE(15919), 1,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19785), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(19783), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [747792] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20218), 1,
      anon_sym_EQ,
    ACTIONS(20220), 1,
      anon_sym_RPAREN,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    STATE(15880), 1,
      sym_attribute,
    STATE(19195), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747827] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20224), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [747848] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20226), 1,
      anon_sym_COLON,
    STATE(15882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [747871] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20228), 1,
      anon_sym_SEMI,
    ACTIONS(20230), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15883), 1,
      sym_attribute,
    STATE(18597), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747906] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20232), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [747927] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20234), 1,
      anon_sym_SEMI,
    ACTIONS(20236), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15885), 1,
      sym_attribute,
    STATE(18215), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747962] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym__lowercase_identifier,
    ACTIONS(20240), 1,
      anon_sym_LPAREN,
    STATE(15886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14930), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [747995] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20242), 1,
      anon_sym_SEMI,
    ACTIONS(20244), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15887), 1,
      sym_attribute,
    STATE(19051), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748030] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20246), 1,
      anon_sym_SEMI,
    ACTIONS(20248), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15888), 1,
      sym_attribute,
    STATE(18829), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748065] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11250), 1,
      anon_sym_LBRACK,
    ACTIONS(11252), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11254), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20250), 1,
      sym__lowercase_identifier,
    ACTIONS(20252), 1,
      anon_sym_LPAREN,
    STATE(15889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14009), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748098] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12014), 1,
      anon_sym_LBRACK,
    ACTIONS(12016), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12018), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20254), 1,
      sym__lowercase_identifier,
    ACTIONS(20256), 1,
      anon_sym_LPAREN,
    STATE(15890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15251), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748131] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13057), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [748152] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20258), 1,
      anon_sym_SEMI,
    ACTIONS(20260), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15892), 1,
      sym_attribute,
    STATE(17821), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748187] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19030), 1,
      anon_sym_STAR,
    STATE(15893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 7,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [748210] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20262), 1,
      anon_sym_and,
    STATE(15894), 1,
      sym_attribute,
    STATE(15942), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14109), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [748235] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12085), 1,
      anon_sym_LBRACK,
    ACTIONS(12087), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12089), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20264), 1,
      sym__lowercase_identifier,
    ACTIONS(20266), 1,
      anon_sym_LPAREN,
    STATE(15895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10845), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748268] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10720), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10722), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12274), 1,
      anon_sym_LBRACK,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20268), 1,
      sym__lowercase_identifier,
    ACTIONS(20270), 1,
      anon_sym_LPAREN,
    STATE(15896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11977), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748301] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20272), 1,
      anon_sym_EQ,
    ACTIONS(20274), 1,
      anon_sym_RPAREN,
    STATE(15897), 1,
      sym_attribute,
    STATE(20030), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748336] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20276), 1,
      anon_sym_COLON,
    STATE(15898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19572), 7,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [748359] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20278), 1,
      anon_sym_SEMI,
    ACTIONS(20280), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15899), 1,
      sym_attribute,
    STATE(18455), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748394] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20262), 1,
      anon_sym_and,
    STATE(15894), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(15900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14063), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [748419] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12855), 1,
      anon_sym_LBRACK,
    ACTIONS(12857), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12859), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20282), 1,
      sym__lowercase_identifier,
    ACTIONS(20284), 1,
      anon_sym_LPAREN,
    STATE(15901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12920), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748452] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12721), 1,
      anon_sym_LBRACK,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12725), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20286), 1,
      sym__lowercase_identifier,
    ACTIONS(20288), 1,
      anon_sym_LPAREN,
    STATE(15902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12748), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748485] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20290), 1,
      anon_sym_SEMI,
    ACTIONS(20292), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15903), 1,
      sym_attribute,
    STATE(17953), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748520] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11928), 1,
      anon_sym_LBRACK,
    ACTIONS(11930), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11932), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20294), 1,
      sym__lowercase_identifier,
    ACTIONS(20296), 1,
      anon_sym_LPAREN,
    STATE(15904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11519), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748553] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20298), 1,
      anon_sym_SEMI,
    ACTIONS(20300), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15905), 1,
      sym_attribute,
    STATE(18734), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748588] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20240), 1,
      anon_sym_LPAREN,
    ACTIONS(20302), 1,
      sym__lowercase_identifier,
    STATE(15906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14930), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748621] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20304), 1,
      anon_sym_SEMI,
    ACTIONS(20306), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15907), 1,
      sym_attribute,
    STATE(18748), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748656] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20308), 1,
      anon_sym_SEMI,
    ACTIONS(20310), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15908), 1,
      sym_attribute,
    STATE(17845), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748691] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20240), 1,
      anon_sym_LPAREN,
    ACTIONS(20312), 1,
      sym__lowercase_identifier,
    STATE(15909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14930), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748724] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12061), 1,
      anon_sym_LBRACK,
    ACTIONS(12063), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12065), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20314), 1,
      sym__lowercase_identifier,
    ACTIONS(20316), 1,
      anon_sym_LPAREN,
    STATE(15910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11164), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748757] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20318), 1,
      anon_sym_SEMI,
    ACTIONS(20320), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15911), 1,
      sym_attribute,
    STATE(18301), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748792] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12795), 1,
      anon_sym_LBRACK,
    ACTIONS(12797), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12799), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20322), 1,
      sym__lowercase_identifier,
    ACTIONS(20324), 1,
      anon_sym_LPAREN,
    STATE(15912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12641), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748825] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20326), 1,
      anon_sym_EQ,
    ACTIONS(20328), 1,
      anon_sym_RPAREN,
    STATE(15913), 1,
      sym_attribute,
    STATE(19828), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748860] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20240), 1,
      anon_sym_LPAREN,
    ACTIONS(20330), 1,
      sym__lowercase_identifier,
    STATE(15914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14930), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748893] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20332), 1,
      anon_sym_SEMI,
    ACTIONS(20334), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15915), 1,
      sym_attribute,
    STATE(18628), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748928] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20240), 1,
      anon_sym_LPAREN,
    ACTIONS(20336), 1,
      sym__lowercase_identifier,
    STATE(15916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14930), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748961] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11353), 1,
      anon_sym_LBRACK,
    ACTIONS(11355), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11357), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20338), 1,
      sym__lowercase_identifier,
    ACTIONS(20340), 1,
      anon_sym_LPAREN,
    STATE(15917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15153), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [748994] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20342), 1,
      anon_sym_SEMI,
    ACTIONS(20344), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15918), 1,
      sym_attribute,
    STATE(18124), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749029] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20352), 1,
      sym__right_quoted_string_delimiter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20349), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(15919), 2,
      sym_attribute,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(20346), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [749054] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12885), 1,
      anon_sym_LBRACK,
    ACTIONS(12887), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12889), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20354), 1,
      sym__lowercase_identifier,
    ACTIONS(20356), 1,
      anon_sym_LPAREN,
    STATE(15920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11972), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [749087] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9158), 1,
      anon_sym_POUND,
    STATE(15921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(9154), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [749112] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11305), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11309), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20358), 1,
      sym__lowercase_identifier,
    ACTIONS(20360), 1,
      anon_sym_LPAREN,
    STATE(15922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13195), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [749145] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10634), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10636), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12264), 1,
      anon_sym_LBRACK,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20362), 1,
      sym__lowercase_identifier,
    ACTIONS(20364), 1,
      anon_sym_LPAREN,
    STATE(15923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11176), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [749178] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12827), 1,
      anon_sym_LBRACK,
    ACTIONS(12829), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12831), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20366), 1,
      sym__lowercase_identifier,
    ACTIONS(20368), 1,
      anon_sym_LPAREN,
    STATE(15924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16136), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [749211] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8811), 1,
      anon_sym_LBRACK,
    ACTIONS(8825), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8827), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20240), 1,
      anon_sym_LPAREN,
    ACTIONS(20370), 1,
      sym__lowercase_identifier,
    STATE(15925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14930), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [749244] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13460), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(15926), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [749277] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20372), 1,
      anon_sym_SEMI,
    ACTIONS(20374), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15927), 1,
      sym_attribute,
    STATE(17785), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749312] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12739), 1,
      anon_sym_LBRACK,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12743), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20376), 1,
      sym__lowercase_identifier,
    ACTIONS(20378), 1,
      anon_sym_LPAREN,
    STATE(15928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12100), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [749345] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20380), 1,
      anon_sym_EQ,
    ACTIONS(20382), 1,
      anon_sym_RPAREN,
    STATE(15929), 1,
      sym_attribute,
    STATE(19635), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749380] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11329), 1,
      anon_sym_LBRACK,
    ACTIONS(11331), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11333), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20384), 1,
      sym__lowercase_identifier,
    ACTIONS(20386), 1,
      anon_sym_LPAREN,
    STATE(15930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13264), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [749413] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20388), 1,
      anon_sym_SEMI,
    ACTIONS(20390), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15931), 1,
      sym_attribute,
    STATE(18235), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749448] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10604), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10606), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12232), 1,
      anon_sym_LBRACK,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20392), 1,
      sym__lowercase_identifier,
    ACTIONS(20394), 1,
      anon_sym_LPAREN,
    STATE(15932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11221), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [749481] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11990), 1,
      anon_sym_LBRACK,
    ACTIONS(11992), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11994), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20396), 1,
      sym__lowercase_identifier,
    ACTIONS(20398), 1,
      anon_sym_LPAREN,
    STATE(15933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15593), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [749514] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20400), 1,
      anon_sym_EQ,
    ACTIONS(20402), 1,
      anon_sym_RPAREN,
    STATE(15934), 1,
      sym_attribute,
    STATE(20365), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749549] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20404), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(15935), 1,
      sym_attribute,
    STATE(15937), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13731), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [749576] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20404), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(15936), 1,
      sym_attribute,
    STATE(15938), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13747), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [749603] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20404), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(15937), 1,
      sym_attribute,
    STATE(15946), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13751), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [749630] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20404), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    STATE(15938), 1,
      sym_attribute,
    STATE(15946), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13765), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [749657] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20406), 1,
      anon_sym_EQ,
    ACTIONS(20408), 1,
      anon_sym_RPAREN,
    STATE(15939), 1,
      sym_attribute,
    STATE(20245), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749692] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20410), 1,
      anon_sym_SEMI,
    ACTIONS(20412), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15940), 1,
      sym_attribute,
    STATE(18214), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749727] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12775), 1,
      anon_sym_LBRACK,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12779), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20414), 1,
      sym__lowercase_identifier,
    ACTIONS(20416), 1,
      anon_sym_LPAREN,
    STATE(15941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12745), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [749760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20418), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15942), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13440), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [749783] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12240), 1,
      anon_sym_LBRACK,
    ACTIONS(12242), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12244), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20421), 1,
      sym__lowercase_identifier,
    ACTIONS(20423), 1,
      anon_sym_LPAREN,
    STATE(15943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11393), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [749816] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20425), 1,
      anon_sym_SEMI,
    ACTIONS(20427), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15944), 1,
      sym_attribute,
    STATE(18174), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749851] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20429), 1,
      anon_sym_SEMI,
    ACTIONS(20431), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15945), 1,
      sym_attribute,
    STATE(18032), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749886] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20433), 1,
      anon_sym_constraint,
    STATE(10873), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15946), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13795), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [749911] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20436), 1,
      anon_sym_SEMI,
    ACTIONS(20438), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15947), 1,
      sym_attribute,
    STATE(17865), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749946] = 11,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20440), 1,
      anon_sym_SEMI,
    ACTIONS(20442), 1,
      anon_sym_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15948), 1,
      sym_attribute,
    STATE(18333), 1,
      aux_sym_object_type_repeat1,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749981] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20444), 1,
      anon_sym_DASH_GT,
    ACTIONS(20446), 1,
      anon_sym_when,
    STATE(15949), 1,
      sym_attribute,
    STATE(21006), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750013] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20450), 1,
      anon_sym__,
    ACTIONS(20452), 1,
      anon_sym_RBRACE,
    STATE(15950), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750045] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20382), 1,
      anon_sym_RPAREN,
    STATE(15951), 1,
      sym_attribute,
    STATE(22658), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750077] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20454), 1,
      anon_sym_DASH_GT,
    STATE(15952), 1,
      sym_attribute,
    STATE(22544), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750109] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20460), 1,
      anon_sym_RBRACK,
    ACTIONS(20462), 1,
      anon_sym_SEMI,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    STATE(15953), 1,
      sym_attribute,
    STATE(18689), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750141] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20466), 1,
      anon_sym_RPAREN,
    STATE(15954), 1,
      sym_attribute,
    STATE(22813), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750173] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20468), 1,
      anon_sym_RPAREN,
    STATE(15955), 1,
      sym_attribute,
    STATE(22250), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750205] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(15956), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(17786), 1,
      sym_field_binding_pattern,
    STATE(20532), 1,
      sym__quoted_string,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750237] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(15957), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(17682), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(22018), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750269] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(15958), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19053), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(22904), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12871), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12869), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [750323] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20470), 1,
      anon_sym_RPAREN,
    STATE(15960), 1,
      sym_attribute,
    STATE(21335), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750355] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20472), 1,
      anon_sym__,
    ACTIONS(20474), 1,
      anon_sym_RBRACE,
    STATE(15961), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750387] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_PIPE,
    ACTIONS(20476), 1,
      anon_sym_COLON,
    STATE(15962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [750411] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20478), 1,
      anon_sym_RPAREN,
    STATE(15963), 1,
      sym_attribute,
    STATE(21944), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750443] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20480), 1,
      anon_sym_DASH_GT,
    STATE(15964), 1,
      sym_attribute,
    STATE(22569), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750475] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20482), 1,
      anon_sym_RPAREN,
    STATE(15965), 1,
      sym_attribute,
    STATE(21042), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750507] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20484), 1,
      anon_sym_DASH_GT,
    STATE(15966), 1,
      sym_attribute,
    STATE(22551), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750539] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20486), 1,
      anon_sym_RPAREN,
    STATE(15967), 1,
      sym_attribute,
    STATE(21083), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750571] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20488), 1,
      anon_sym_DASH_GT,
    ACTIONS(20490), 1,
      anon_sym_with,
    STATE(15968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [750595] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20492), 1,
      anon_sym_DASH_GT,
    STATE(15969), 1,
      sym_attribute,
    STATE(20936), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750627] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20494), 1,
      anon_sym_RPAREN,
    STATE(15970), 1,
      sym_attribute,
    STATE(21070), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750659] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20496), 1,
      anon_sym_DASH_GT,
    STATE(15971), 1,
      sym_attribute,
    STATE(23197), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750691] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20498), 1,
      anon_sym_RPAREN,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    STATE(15972), 1,
      sym_attribute,
    STATE(20892), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750723] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20508), 1,
      anon_sym_RPAREN,
    STATE(15973), 1,
      sym_attribute,
    STATE(21798), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750755] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20512), 1,
      anon_sym_PIPE,
    ACTIONS(20514), 1,
      anon_sym_RBRACK,
    ACTIONS(20516), 1,
      anon_sym_SEMI,
    ACTIONS(20518), 1,
      anon_sym_as,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    STATE(15974), 1,
      sym_attribute,
    STATE(17964), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750787] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(15975), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17900), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [750817] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(15976), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17681), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [750847] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(15977), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(18280), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(22018), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750879] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    ACTIONS(20526), 1,
      anon_sym_PIPE,
    ACTIONS(20528), 1,
      anon_sym_SEMI,
    ACTIONS(20530), 1,
      anon_sym_as,
    ACTIONS(20532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20534), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15978), 1,
      sym_attribute,
    STATE(17974), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750911] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20536), 1,
      anon_sym_RPAREN,
    STATE(15979), 1,
      sym_attribute,
    STATE(20472), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750943] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20538), 1,
      anon_sym_RPAREN,
    STATE(15980), 1,
      sym_attribute,
    STATE(21288), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750975] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20540), 1,
      anon_sym_RPAREN,
    STATE(15981), 1,
      sym_attribute,
    STATE(20521), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751007] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13781), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13783), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(15982), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12925), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12923), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [751061] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(20542), 1,
      sym__lowercase_identifier,
    ACTIONS(20544), 1,
      anon_sym_type,
    ACTIONS(20546), 1,
      anon_sym_LBRACK,
    ACTIONS(20548), 1,
      anon_sym_virtual,
    STATE(14476), 1,
      sym_class_binding,
    STATE(15984), 1,
      sym_attribute,
    STATE(17345), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13009), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(13007), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [751115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12941), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12939), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [751137] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20550), 1,
      anon_sym_RPAREN,
    STATE(15987), 1,
      sym_attribute,
    STATE(23730), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751169] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20552), 1,
      anon_sym_RPAREN,
    STATE(15988), 1,
      sym_attribute,
    STATE(21869), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751201] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20554), 1,
      anon_sym__,
    ACTIONS(20556), 1,
      anon_sym_RBRACE,
    STATE(15989), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751233] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20558), 1,
      anon_sym_RPAREN,
    STATE(15990), 1,
      sym_attribute,
    STATE(21089), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751265] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20560), 1,
      anon_sym_RPAREN,
    STATE(15991), 1,
      sym_attribute,
    STATE(21369), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751297] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20562), 1,
      anon_sym_RPAREN,
    STATE(15992), 1,
      sym_attribute,
    STATE(21663), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751329] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20564), 1,
      anon_sym_DASH_GT,
    STATE(15993), 1,
      sym_attribute,
    STATE(22929), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751361] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(17745), 1,
      anon_sym_STAR,
    ACTIONS(20566), 1,
      anon_sym_DASH_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(15994), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751393] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20568), 1,
      anon_sym_DASH_GT,
    STATE(15995), 1,
      sym_attribute,
    STATE(23733), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751425] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20570), 1,
      anon_sym_DASH_GT,
    STATE(15996), 1,
      sym_attribute,
    STATE(21097), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751457] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20572), 1,
      anon_sym_RBRACK,
    ACTIONS(20574), 1,
      anon_sym_SEMI,
    STATE(15997), 1,
      sym_attribute,
    STATE(18055), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751489] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20576), 1,
      anon_sym_DASH_GT,
    STATE(15998), 1,
      sym_attribute,
    STATE(22476), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751521] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10310), 1,
      anon_sym_COLON2,
    ACTIONS(20578), 1,
      anon_sym_COLON,
    STATE(15999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [751545] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20580), 1,
      anon_sym_RPAREN,
    STATE(16000), 1,
      sym_attribute,
    STATE(23413), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751577] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(20009), 1,
      anon_sym_LPAREN,
    ACTIONS(20011), 1,
      anon_sym_LBRACK,
    STATE(12720), 1,
      sym_constructor_declaration,
    STATE(14486), 1,
      sym__constructor_name,
    STATE(16001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20013), 2,
      anon_sym_true,
      anon_sym_false,
  [751607] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20582), 1,
      anon_sym__,
    ACTIONS(20584), 1,
      anon_sym_RBRACE,
    STATE(16002), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751639] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20586), 1,
      anon_sym_RPAREN,
    STATE(16003), 1,
      sym_attribute,
    STATE(21981), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751671] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20588), 1,
      anon_sym_RPAREN,
    STATE(16004), 1,
      sym_attribute,
    STATE(21375), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751703] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    STATE(16005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19629), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [751731] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9458), 1,
      anon_sym_PIPE,
    STATE(16006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9460), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [751753] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    STATE(16007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19184), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [751777] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20590), 1,
      anon_sym_RPAREN,
    STATE(16008), 1,
      sym_attribute,
    STATE(21326), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751809] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    STATE(16009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19184), 6,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [751831] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20592), 1,
      anon_sym__,
    ACTIONS(20594), 1,
      anon_sym_RBRACE,
    STATE(16010), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751863] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20596), 1,
      anon_sym_RPAREN,
    STATE(16011), 1,
      sym_attribute,
    STATE(21294), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751895] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    STATE(16012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19196), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [751921] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    STATE(16013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19602), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [751943] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20598), 1,
      anon_sym_RPAREN,
    STATE(16014), 1,
      sym_attribute,
    STATE(20647), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751975] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16015), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17741), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [752005] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20600), 1,
      anon_sym_RPAREN,
    STATE(16016), 1,
      sym_attribute,
    STATE(20457), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752037] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13791), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13793), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(16017), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752069] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20602), 1,
      anon_sym_RPAREN,
    STATE(16018), 1,
      sym_attribute,
    STATE(20536), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13005), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(13003), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [752123] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13775), 1,
      anon_sym_LPAREN,
    ACTIONS(13777), 1,
      anon_sym_LBRACK,
    STATE(12544), 1,
      sym_constructor_declaration,
    STATE(12572), 1,
      sym__constructor_name,
    STATE(16020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13779), 2,
      anon_sym_true,
      anon_sym_false,
  [752153] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20604), 1,
      anon_sym_RPAREN,
    STATE(16021), 1,
      sym_attribute,
    STATE(20960), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13808), 1,
      anon_sym_COLON2,
    STATE(16022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13806), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [752207] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(20606), 1,
      anon_sym_EQ,
    ACTIONS(20608), 1,
      anon_sym_COLON_EQ,
    STATE(16023), 1,
      sym_attribute,
    STATE(16729), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13816), 2,
      anon_sym_and,
      anon_sym_in,
  [752237] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20610), 1,
      anon_sym__,
    ACTIONS(20612), 1,
      anon_sym_RBRACE,
    STATE(16024), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752269] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20274), 1,
      anon_sym_RPAREN,
    STATE(16025), 1,
      sym_attribute,
    STATE(21634), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752301] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20614), 1,
      anon_sym_RBRACK,
    ACTIONS(20616), 1,
      anon_sym_SEMI,
    STATE(16026), 1,
      sym_attribute,
    STATE(17774), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752333] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20618), 1,
      anon_sym_DASH_GT,
    STATE(16027), 1,
      sym_attribute,
    STATE(21431), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752365] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20620), 1,
      anon_sym_RPAREN,
    STATE(16028), 1,
      sym_attribute,
    STATE(22235), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752397] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20626), 1,
      anon_sym_SEMI,
    ACTIONS(20628), 1,
      anon_sym_as,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20632), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16029), 1,
      sym_attribute,
    STATE(17784), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752429] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16030), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17747), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [752459] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20634), 1,
      anon_sym_RPAREN,
    STATE(16031), 1,
      sym_attribute,
    STATE(21409), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752491] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16032), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(17720), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(21472), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752523] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20636), 1,
      anon_sym_DASH_GT,
    STATE(16033), 1,
      sym_attribute,
    STATE(22240), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752555] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20402), 1,
      anon_sym_RPAREN,
    STATE(16034), 1,
      sym_attribute,
    STATE(20425), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752587] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19112), 1,
      anon_sym_STAR,
    STATE(16035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12527), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [752609] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20638), 1,
      anon_sym_COLON2,
    STATE(16036), 1,
      sym_attribute,
    STATE(20367), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 5,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [752633] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20640), 1,
      anon_sym_RPAREN,
    STATE(16037), 1,
      sym_attribute,
    STATE(21124), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752665] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20628), 1,
      anon_sym_as,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20642), 1,
      anon_sym_SEMI,
    ACTIONS(20644), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16038), 1,
      sym_attribute,
    STATE(18693), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752697] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20512), 1,
      anon_sym_PIPE,
    ACTIONS(20518), 1,
      anon_sym_as,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20646), 1,
      anon_sym_RBRACK,
    ACTIONS(20648), 1,
      anon_sym_SEMI,
    STATE(16039), 1,
      sym_attribute,
    STATE(18158), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752729] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20650), 1,
      anon_sym__,
    ACTIONS(20652), 1,
      anon_sym_RBRACE,
    STATE(16040), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752761] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(20544), 1,
      anon_sym_type,
    ACTIONS(20654), 1,
      sym__lowercase_identifier,
    ACTIONS(20656), 1,
      anon_sym_LBRACK,
    ACTIONS(20658), 1,
      anon_sym_virtual,
    STATE(15009), 1,
      sym_class_binding,
    STATE(16041), 1,
      sym_attribute,
    STATE(17202), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752793] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20660), 1,
      anon_sym_RPAREN,
    STATE(16042), 1,
      sym_attribute,
    STATE(21415), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752825] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20662), 1,
      anon_sym_RPAREN,
    STATE(16043), 1,
      sym_attribute,
    STATE(21986), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752857] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16044), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(18780), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [752887] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20664), 1,
      anon_sym_DASH_GT,
    STATE(16045), 1,
      sym_attribute,
    STATE(23702), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752919] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13537), 1,
      anon_sym_LPAREN,
    ACTIONS(13539), 1,
      anon_sym_LBRACK,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    STATE(12243), 1,
      sym__constructor_name,
    STATE(12544), 1,
      sym_constructor_declaration,
    STATE(16046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13541), 2,
      anon_sym_true,
      anon_sym_false,
  [752949] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20666), 1,
      anon_sym_RBRACK,
    ACTIONS(20668), 1,
      anon_sym_SEMI,
    STATE(16047), 1,
      sym_attribute,
    STATE(18149), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752981] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20670), 1,
      anon_sym_RPAREN,
    STATE(16048), 1,
      sym_attribute,
    STATE(20866), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753013] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20672), 1,
      anon_sym_RPAREN,
    STATE(16049), 1,
      sym_attribute,
    STATE(21722), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753045] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(19863), 1,
      anon_sym_LPAREN,
    ACTIONS(19865), 1,
      anon_sym_LBRACK,
    STATE(12720), 1,
      sym_constructor_declaration,
    STATE(13205), 1,
      sym__constructor_name,
    STATE(16050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19867), 2,
      anon_sym_true,
      anon_sym_false,
  [753075] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20674), 1,
      anon_sym_RPAREN,
    STATE(16051), 1,
      sym_attribute,
    STATE(22162), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753107] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20676), 1,
      anon_sym_RPAREN,
    STATE(16052), 1,
      sym_attribute,
    STATE(21874), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12997), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12995), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [753161] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20678), 1,
      anon_sym_DASH_GT,
    STATE(16054), 1,
      sym_attribute,
    STATE(21301), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753193] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16055), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(18574), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [753223] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13934), 1,
      anon_sym_LPAREN,
    ACTIONS(13936), 1,
      anon_sym_LBRACK,
    STATE(12544), 1,
      sym_constructor_declaration,
    STATE(12876), 1,
      sym__constructor_name,
    STATE(16056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13938), 2,
      anon_sym_true,
      anon_sym_false,
  [753253] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20680), 1,
      anon_sym_RPAREN,
    STATE(16057), 1,
      sym_attribute,
    STATE(21130), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753285] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20682), 1,
      anon_sym__,
    ACTIONS(20684), 1,
      anon_sym_RBRACE,
    STATE(16058), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753317] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20686), 1,
      anon_sym_RPAREN,
    STATE(16059), 1,
      sym_attribute,
    STATE(21253), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12945), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12943), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [753371] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20688), 1,
      anon_sym_RPAREN,
    STATE(16061), 1,
      sym_attribute,
    STATE(21115), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753403] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20690), 1,
      anon_sym_RPAREN,
    STATE(16062), 1,
      sym_attribute,
    STATE(22985), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753435] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20692), 1,
      anon_sym_RPAREN,
    STATE(16063), 1,
      sym_attribute,
    STATE(21760), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753467] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20694), 1,
      anon_sym_RPAREN,
    STATE(16064), 1,
      sym_attribute,
    STATE(20811), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753499] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20696), 1,
      anon_sym_RBRACK,
    ACTIONS(20698), 1,
      anon_sym_SEMI,
    STATE(16065), 1,
      sym_attribute,
    STATE(18136), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753531] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20628), 1,
      anon_sym_as,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20700), 1,
      anon_sym_SEMI,
    ACTIONS(20702), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16066), 1,
      sym_attribute,
    STATE(17674), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12917), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12915), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [753585] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20704), 1,
      anon_sym_RBRACK,
    ACTIONS(20706), 1,
      anon_sym_when,
    STATE(16068), 1,
      sym_attribute,
    STATE(21392), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753617] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20708), 1,
      anon_sym_RPAREN,
    STATE(16069), 1,
      sym_attribute,
    STATE(21048), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753649] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(17745), 1,
      anon_sym_STAR,
    ACTIONS(20710), 1,
      anon_sym_DASH_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(16070), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753681] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20712), 1,
      anon_sym_RPAREN,
    STATE(16071), 1,
      sym_attribute,
    STATE(20966), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753713] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20714), 1,
      anon_sym_RPAREN,
    STATE(16072), 1,
      sym_attribute,
    STATE(20599), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753745] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10322), 1,
      anon_sym_PIPE,
    STATE(16073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [753767] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20716), 1,
      anon_sym_RPAREN,
    STATE(16074), 1,
      sym_attribute,
    STATE(21448), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753799] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20718), 1,
      anon_sym_RPAREN,
    STATE(16075), 1,
      sym_attribute,
    STATE(20662), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753831] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20720), 1,
      anon_sym_RPAREN,
    STATE(16076), 1,
      sym_attribute,
    STATE(22005), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753863] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20722), 1,
      anon_sym_RPAREN,
    STATE(16077), 1,
      sym_attribute,
    STATE(22007), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753895] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    STATE(16078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10502), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [753917] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20724), 1,
      anon_sym_RPAREN,
    STATE(16079), 1,
      sym_attribute,
    STATE(21454), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753949] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9486), 1,
      anon_sym_PIPE,
    STATE(16080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9488), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [753971] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20726), 1,
      anon_sym__,
    ACTIONS(20728), 1,
      anon_sym_RBRACE,
    STATE(16081), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12989), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12987), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [754025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12993), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12991), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [754047] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20730), 1,
      anon_sym_RPAREN,
    STATE(16084), 1,
      sym_attribute,
    STATE(21949), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754079] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(16085), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20732), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [754109] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16086), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(18649), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(22170), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754141] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16087), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(18353), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(23319), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754173] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20734), 1,
      anon_sym_RPAREN,
    STATE(16088), 1,
      sym_attribute,
    STATE(23643), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754205] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(20544), 1,
      anon_sym_type,
    ACTIONS(20736), 1,
      sym__lowercase_identifier,
    ACTIONS(20738), 1,
      anon_sym_LBRACK,
    ACTIONS(20740), 1,
      anon_sym_virtual,
    STATE(14257), 1,
      sym_class_binding,
    STATE(16089), 1,
      sym_attribute,
    STATE(17258), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754237] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20742), 1,
      anon_sym_RPAREN,
    STATE(16090), 1,
      sym_attribute,
    STATE(22022), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754269] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20744), 1,
      anon_sym__,
    ACTIONS(20746), 1,
      anon_sym_RBRACE,
    STATE(16091), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754301] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20748), 1,
      anon_sym_RPAREN,
    STATE(16092), 1,
      sym_attribute,
    STATE(22024), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754333] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20750), 1,
      anon_sym_DASH_GT,
    STATE(16093), 1,
      sym_attribute,
    STATE(22563), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754365] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20752), 1,
      anon_sym_RPAREN,
    STATE(16094), 1,
      sym_attribute,
    STATE(21871), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754397] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_DASH_GT,
    STATE(16095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 6,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [754419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13804), 1,
      anon_sym_COLON2,
    STATE(16096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13802), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [754441] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16097), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(18770), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [754471] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20754), 1,
      anon_sym_RPAREN,
    STATE(16098), 1,
      sym_attribute,
    STATE(21514), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754503] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20756), 1,
      anon_sym__,
    ACTIONS(20758), 1,
      anon_sym_RBRACE,
    STATE(16099), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754535] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20760), 1,
      anon_sym__,
    ACTIONS(20762), 1,
      anon_sym_RBRACE,
    STATE(16100), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754567] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20764), 1,
      anon_sym_RPAREN,
    STATE(16101), 1,
      sym_attribute,
    STATE(22562), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754599] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20766), 1,
      anon_sym_RPAREN,
    STATE(16102), 1,
      sym_attribute,
    STATE(21487), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754631] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20512), 1,
      anon_sym_PIPE,
    ACTIONS(20518), 1,
      anon_sym_as,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20768), 1,
      anon_sym_RBRACK,
    ACTIONS(20770), 1,
      anon_sym_SEMI,
    STATE(16103), 1,
      sym_attribute,
    STATE(17728), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754663] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20772), 1,
      anon_sym_RPAREN,
    STATE(16104), 1,
      sym_attribute,
    STATE(22185), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754695] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20774), 1,
      anon_sym_RPAREN,
    STATE(16105), 1,
      sym_attribute,
    STATE(21755), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754727] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20776), 1,
      anon_sym_RBRACK,
    ACTIONS(20778), 1,
      anon_sym_SEMI,
    STATE(16106), 1,
      sym_attribute,
    STATE(18319), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754759] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20780), 1,
      anon_sym_DASH_GT,
    STATE(16107), 1,
      sym_attribute,
    STATE(22402), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754791] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16108), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(18364), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(21918), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754823] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20782), 1,
      anon_sym_RPAREN,
    STATE(16109), 1,
      sym_attribute,
    STATE(23022), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754855] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13440), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [754875] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    ACTIONS(20526), 1,
      anon_sym_PIPE,
    ACTIONS(20530), 1,
      anon_sym_as,
    ACTIONS(20532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20784), 1,
      anon_sym_SEMI,
    ACTIONS(20786), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16111), 1,
      sym_attribute,
    STATE(17732), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754907] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20788), 1,
      anon_sym__,
    ACTIONS(20790), 1,
      anon_sym_RBRACE,
    STATE(16112), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754939] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20792), 1,
      anon_sym_RPAREN,
    STATE(16113), 1,
      sym_attribute,
    STATE(20466), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754971] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20794), 1,
      anon_sym_RPAREN,
    STATE(16114), 1,
      sym_attribute,
    STATE(21493), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755003] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20796), 1,
      anon_sym__,
    ACTIONS(20798), 1,
      anon_sym_RBRACE,
    STATE(16115), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755035] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12959), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [755055] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20628), 1,
      anon_sym_as,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20800), 1,
      anon_sym_SEMI,
    ACTIONS(20802), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16117), 1,
      sym_attribute,
    STATE(18356), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755087] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(17745), 1,
      anon_sym_STAR,
    ACTIONS(20804), 1,
      anon_sym_DASH_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(16118), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755119] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20806), 1,
      anon_sym_DASH_GT,
    STATE(16119), 1,
      sym_attribute,
    STATE(20596), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755151] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13562), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [755171] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(17745), 1,
      anon_sym_STAR,
    ACTIONS(20808), 1,
      anon_sym_DASH_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(16121), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755203] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20810), 1,
      anon_sym_RPAREN,
    STATE(16122), 1,
      sym_attribute,
    STATE(21165), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755235] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20812), 1,
      anon_sym_RPAREN,
    STATE(16123), 1,
      sym_attribute,
    STATE(23688), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755267] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20814), 1,
      anon_sym_RPAREN,
    STATE(16124), 1,
      sym_attribute,
    STATE(22654), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755299] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20816), 1,
      anon_sym_RPAREN,
    STATE(16125), 1,
      sym_attribute,
    STATE(21831), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755331] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20818), 1,
      anon_sym_RPAREN,
    STATE(16126), 1,
      sym_attribute,
    STATE(20771), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755363] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20820), 1,
      anon_sym_RPAREN,
    STATE(16127), 1,
      sym_attribute,
    STATE(21907), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755395] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20822), 1,
      anon_sym_DASH_GT,
    STATE(16128), 1,
      sym_attribute,
    STATE(20618), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12977), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12975), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [755449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12933), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12931), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [755471] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(17745), 1,
      anon_sym_STAR,
    ACTIONS(20824), 1,
      anon_sym_DASH_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(16131), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755503] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20826), 1,
      anon_sym_RPAREN,
    STATE(16132), 1,
      sym_attribute,
    STATE(21171), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755535] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16133), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(19043), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [755565] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20828), 1,
      anon_sym__,
    ACTIONS(20830), 1,
      anon_sym_RBRACE,
    STATE(16134), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755597] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20408), 1,
      anon_sym_RPAREN,
    STATE(16135), 1,
      sym_attribute,
    STATE(23175), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12953), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12951), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [755651] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(20832), 1,
      anon_sym_rec,
    ACTIONS(20834), 1,
      anon_sym_type,
    STATE(13989), 1,
      sym_module_binding,
    STATE(16137), 1,
      sym_attribute,
    STATE(17640), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20836), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [755681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13664), 1,
      anon_sym_COLON2,
    STATE(16138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13662), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [755703] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13011), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [755723] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20838), 1,
      anon_sym_RPAREN,
    STATE(16140), 1,
      sym_attribute,
    STATE(21526), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755755] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20840), 1,
      anon_sym__,
    ACTIONS(20842), 1,
      anon_sym_RBRACE,
    STATE(16141), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755787] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20328), 1,
      anon_sym_RPAREN,
    STATE(16142), 1,
      sym_attribute,
    STATE(21658), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755819] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20844), 1,
      anon_sym_RBRACK,
    ACTIONS(20846), 1,
      anon_sym_SEMI,
    STATE(16143), 1,
      sym_attribute,
    STATE(18412), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755851] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20848), 1,
      anon_sym__,
    ACTIONS(20850), 1,
      anon_sym_RBRACE,
    STATE(16144), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755883] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20488), 1,
      anon_sym_DASH_GT,
    ACTIONS(20490), 1,
      anon_sym_with,
    STATE(16145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14588), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [755907] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13529), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [755927] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20628), 1,
      anon_sym_as,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20852), 1,
      anon_sym_SEMI,
    ACTIONS(20854), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16147), 1,
      sym_attribute,
    STATE(18416), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755959] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(20544), 1,
      anon_sym_type,
    ACTIONS(20856), 1,
      sym__lowercase_identifier,
    ACTIONS(20858), 1,
      anon_sym_LBRACK,
    ACTIONS(20860), 1,
      anon_sym_virtual,
    STATE(15116), 1,
      sym_class_binding,
    STATE(16148), 1,
      sym_attribute,
    STATE(17547), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755991] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20862), 1,
      anon_sym__,
    ACTIONS(20864), 1,
      anon_sym_RBRACE,
    STATE(16149), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756023] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20866), 1,
      anon_sym_RPAREN,
    STATE(16150), 1,
      sym_attribute,
    STATE(22777), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756055] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20868), 1,
      anon_sym_DASH_GT,
    STATE(16151), 1,
      sym_attribute,
    STATE(21567), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756087] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20870), 1,
      anon_sym_DASH_GT,
    STATE(16152), 1,
      sym_attribute,
    STATE(21542), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756119] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20872), 1,
      anon_sym_RPAREN,
    STATE(16153), 1,
      sym_attribute,
    STATE(21548), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756151] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20874), 1,
      anon_sym_RPAREN,
    STATE(16154), 1,
      sym_attribute,
    STATE(23752), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756183] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20512), 1,
      anon_sym_PIPE,
    ACTIONS(20518), 1,
      anon_sym_as,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20876), 1,
      anon_sym_RBRACK,
    ACTIONS(20878), 1,
      anon_sym_SEMI,
    STATE(16155), 1,
      sym_attribute,
    STATE(18686), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756215] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20880), 1,
      anon_sym_RPAREN,
    STATE(16156), 1,
      sym_attribute,
    STATE(21532), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756247] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9518), 1,
      anon_sym_PIPE,
    ACTIONS(9542), 1,
      anon_sym_DOT,
    STATE(16157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756271] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20882), 1,
      anon_sym_RPAREN,
    STATE(16158), 1,
      sym_attribute,
    STATE(21001), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756303] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    ACTIONS(20526), 1,
      anon_sym_PIPE,
    ACTIONS(20530), 1,
      anon_sym_as,
    ACTIONS(20532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20884), 1,
      anon_sym_SEMI,
    ACTIONS(20886), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16159), 1,
      sym_attribute,
    STATE(18698), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756335] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20888), 1,
      anon_sym_DASH_GT,
    STATE(16160), 1,
      sym_attribute,
    STATE(21373), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756367] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20890), 1,
      anon_sym_DASH_GT,
    STATE(16161), 1,
      sym_attribute,
    STATE(22245), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756399] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14190), 1,
      anon_sym_LPAREN,
    ACTIONS(14192), 1,
      anon_sym_LBRACK,
    STATE(12544), 1,
      sym_constructor_declaration,
    STATE(13142), 1,
      sym__constructor_name,
    STATE(16162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14194), 2,
      anon_sym_true,
      anon_sym_false,
  [756429] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(17745), 1,
      anon_sym_STAR,
    ACTIONS(20892), 1,
      anon_sym_DASH_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(16163), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756461] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20894), 1,
      anon_sym__,
    ACTIONS(20896), 1,
      anon_sym_RBRACE,
    STATE(16164), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756493] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20898), 1,
      anon_sym__,
    ACTIONS(20900), 1,
      anon_sym_RBRACE,
    STATE(16165), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756525] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9362), 1,
      anon_sym_PIPE,
    STATE(16166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9364), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756547] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9370), 1,
      anon_sym_PIPE,
    STATE(16167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9372), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756569] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20902), 1,
      anon_sym_RPAREN,
    STATE(16168), 1,
      sym_attribute,
    STATE(22595), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756601] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9394), 1,
      anon_sym_PIPE,
    STATE(16169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756623] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(16170), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
  [756653] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9402), 1,
      anon_sym_PIPE,
    STATE(16171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9404), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756675] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    ACTIONS(20526), 1,
      anon_sym_PIPE,
    ACTIONS(20530), 1,
      anon_sym_as,
    ACTIONS(20532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20904), 1,
      anon_sym_SEMI,
    ACTIONS(20906), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16172), 1,
      sym_attribute,
    STATE(18238), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756707] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20908), 1,
      anon_sym__,
    ACTIONS(20910), 1,
      anon_sym_RBRACE,
    STATE(16173), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13021), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(13019), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [756761] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20912), 1,
      anon_sym_RPAREN,
    STATE(16175), 1,
      sym_attribute,
    STATE(20702), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756793] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(20544), 1,
      anon_sym_type,
    ACTIONS(20914), 1,
      sym__lowercase_identifier,
    ACTIONS(20916), 1,
      anon_sym_LBRACK,
    ACTIONS(20918), 1,
      anon_sym_virtual,
    STATE(14438), 1,
      sym_class_binding,
    STATE(16176), 1,
      sym_attribute,
    STATE(17394), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756825] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12839), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12841), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(16177), 1,
      sym_attribute,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756857] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9432), 1,
      anon_sym_PIPE,
    STATE(16178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9434), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13025), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(13023), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [756901] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9436), 1,
      anon_sym_PIPE,
    STATE(16180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9438), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [756923] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    STATE(16181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19586), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [756951] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20920), 1,
      anon_sym_RPAREN,
    STATE(16182), 1,
      sym_attribute,
    STATE(23514), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12849), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12847), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [757005] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20922), 1,
      anon_sym_RPAREN,
    STATE(16184), 1,
      sym_attribute,
    STATE(20826), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757037] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20924), 1,
      anon_sym_RPAREN,
    STATE(16185), 1,
      sym_attribute,
    STATE(21912), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757069] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20926), 1,
      anon_sym_DASH_GT,
    STATE(16186), 1,
      sym_attribute,
    STATE(23143), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757101] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20928), 1,
      anon_sym_RPAREN,
    STATE(16187), 1,
      sym_attribute,
    STATE(21565), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12937), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12935), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [757155] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16189), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(18586), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(22828), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757187] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20930), 1,
      anon_sym_DASH_GT,
    STATE(16190), 1,
      sym_attribute,
    STATE(22421), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757219] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16191), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(18669), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [757249] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20628), 1,
      anon_sym_as,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20932), 1,
      anon_sym_SEMI,
    ACTIONS(20934), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16192), 1,
      sym_attribute,
    STATE(18084), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757281] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12949), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12947), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [757303] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20936), 1,
      anon_sym_DASH_GT,
    STATE(16194), 1,
      sym_attribute,
    STATE(23162), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757335] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9518), 1,
      anon_sym_PIPE,
    ACTIONS(9522), 1,
      anon_sym_DOT,
    STATE(16195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [757359] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20938), 1,
      anon_sym_RPAREN,
    STATE(16196), 1,
      sym_attribute,
    STATE(21570), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757391] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20940), 1,
      anon_sym_RPAREN,
    STATE(16197), 1,
      sym_attribute,
    STATE(21007), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757423] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20942), 1,
      anon_sym_DASH_GT,
    STATE(16198), 1,
      sym_attribute,
    STATE(23641), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757455] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20944), 1,
      anon_sym_RPAREN,
    STATE(16199), 1,
      sym_attribute,
    STATE(23376), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757487] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20946), 1,
      anon_sym_RPAREN,
    STATE(16200), 1,
      sym_attribute,
    STATE(22361), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757519] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20948), 1,
      anon_sym_RPAREN,
    STATE(16201), 1,
      sym_attribute,
    STATE(21836), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757551] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_PIPE,
    STATE(16202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [757573] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20950), 1,
      anon_sym_DASH_GT,
    STATE(16203), 1,
      sym_attribute,
    STATE(21267), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757605] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16204), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19016), 1,
      sym_field_pattern,
    STATE(20807), 1,
      sym__quoted_string,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757637] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20952), 1,
      anon_sym_RPAREN,
    STATE(16205), 1,
      sym_attribute,
    STATE(20918), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757669] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(13785), 1,
      anon_sym_LPAREN,
    ACTIONS(13787), 1,
      anon_sym_LBRACK,
    STATE(12544), 1,
      sym_constructor_declaration,
    STATE(12609), 1,
      sym__constructor_name,
    STATE(16206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13789), 2,
      anon_sym_true,
      anon_sym_false,
  [757699] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20954), 1,
      anon_sym_RPAREN,
    STATE(16207), 1,
      sym_attribute,
    STATE(20881), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757731] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13771), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13773), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(16208), 1,
      sym_attribute,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757763] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20956), 1,
      anon_sym_RPAREN,
    STATE(16209), 1,
      sym_attribute,
    STATE(21206), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757795] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20958), 1,
      anon_sym_RPAREN,
    STATE(16210), 1,
      sym_attribute,
    STATE(21638), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757827] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14861), 1,
      anon_sym_LPAREN,
    ACTIONS(14863), 1,
      anon_sym_LBRACK,
    STATE(12544), 1,
      sym_constructor_declaration,
    STATE(13495), 1,
      sym__constructor_name,
    STATE(16211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14865), 2,
      anon_sym_true,
      anon_sym_false,
  [757857] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(20960), 1,
      anon_sym_EQ,
    ACTIONS(20962), 1,
      anon_sym_COLON_EQ,
    STATE(16212), 1,
      sym_attribute,
    STATE(16719), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13856), 2,
      anon_sym_and,
      anon_sym_in,
  [757887] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20964), 1,
      anon_sym_DASH_GT,
    STATE(16213), 1,
      sym_attribute,
    STATE(23385), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757919] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20966), 1,
      anon_sym_DASH_GT,
    STATE(16214), 1,
      sym_attribute,
    STATE(20793), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13017), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(13015), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [757973] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20512), 1,
      anon_sym_PIPE,
    ACTIONS(20518), 1,
      anon_sym_as,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20968), 1,
      anon_sym_RBRACK,
    ACTIONS(20970), 1,
      anon_sym_SEMI,
    STATE(16216), 1,
      sym_attribute,
    STATE(18379), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758005] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16217), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(17902), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(22828), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758037] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20220), 1,
      anon_sym_RPAREN,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    STATE(16218), 1,
      sym_attribute,
    STATE(23159), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758069] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20488), 1,
      anon_sym_DASH_GT,
    ACTIONS(20490), 1,
      anon_sym_with,
    STATE(16219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14455), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [758093] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20972), 1,
      anon_sym_RBRACK,
    ACTIONS(20974), 1,
      anon_sym_SEMI,
    STATE(16220), 1,
      sym_attribute,
    STATE(18862), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758125] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13493), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [758145] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(20976), 1,
      anon_sym_DASH_GT,
    STATE(16222), 1,
      sym_attribute,
    STATE(23661), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758177] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20978), 1,
      anon_sym_RPAREN,
    STATE(16223), 1,
      sym_attribute,
    STATE(23173), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758209] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20980), 1,
      anon_sym_RPAREN,
    STATE(16224), 1,
      sym_attribute,
    STATE(21603), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758241] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13517), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [758261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12929), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12927), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [758283] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20982), 1,
      anon_sym_RPAREN,
    STATE(16227), 1,
      sym_attribute,
    STATE(21212), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758315] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    ACTIONS(20526), 1,
      anon_sym_PIPE,
    ACTIONS(20530), 1,
      anon_sym_as,
    ACTIONS(20532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20984), 1,
      anon_sym_SEMI,
    ACTIONS(20986), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16228), 1,
      sym_attribute,
    STATE(18383), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758347] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20988), 1,
      anon_sym__,
    ACTIONS(20990), 1,
      anon_sym_RBRACE,
    STATE(16229), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758379] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20628), 1,
      anon_sym_as,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20992), 1,
      anon_sym_SEMI,
    ACTIONS(20994), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16230), 1,
      sym_attribute,
    STATE(18873), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758411] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20996), 1,
      anon_sym_RPAREN,
    STATE(16231), 1,
      sym_attribute,
    STATE(21608), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758443] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16232), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(17890), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [758473] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(20998), 1,
      anon_sym__,
    ACTIONS(21000), 1,
      anon_sym_RBRACE,
    STATE(16233), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758505] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    STATE(16234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [758529] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(21002), 1,
      anon_sym__,
    ACTIONS(21004), 1,
      anon_sym_RBRACE,
    STATE(16235), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758561] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(21006), 1,
      anon_sym__,
    ACTIONS(21008), 1,
      anon_sym_RBRACE,
    STATE(16236), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758593] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(21010), 1,
      anon_sym_DASH_GT,
    STATE(16237), 1,
      sym_attribute,
    STATE(21460), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758625] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(21012), 1,
      anon_sym__,
    ACTIONS(21014), 1,
      anon_sym_RBRACE,
    STATE(16238), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758657] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21016), 1,
      anon_sym_RPAREN,
    STATE(16239), 1,
      sym_attribute,
    STATE(23205), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758689] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21018), 1,
      anon_sym_RPAREN,
    STATE(16240), 1,
      sym_attribute,
    STATE(20925), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758721] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(21020), 1,
      anon_sym_DASH_GT,
    STATE(16241), 1,
      sym_attribute,
    STATE(23055), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758753] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(21022), 1,
      anon_sym__,
    ACTIONS(21024), 1,
      anon_sym_RBRACE,
    STATE(16242), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758785] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20488), 1,
      anon_sym_DASH_GT,
    ACTIONS(20490), 1,
      anon_sym_with,
    STATE(16243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14561), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [758809] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16244), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(18013), 1,
      sym_field_binding_pattern,
    STATE(20859), 1,
      sym__quoted_string,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758841] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21028), 3,
      sym__right_quoted_string_delimiter,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(21026), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [758863] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(21030), 1,
      anon_sym__,
    ACTIONS(21032), 1,
      anon_sym_RBRACE,
    STATE(16246), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758895] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(17745), 1,
      anon_sym_STAR,
    ACTIONS(21034), 1,
      anon_sym_DASH_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(16247), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758927] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16248), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(18466), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [758957] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21036), 1,
      anon_sym_RPAREN,
    STATE(16249), 1,
      sym_attribute,
    STATE(21937), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758989] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21038), 1,
      anon_sym_RPAREN,
    STATE(16250), 1,
      sym_attribute,
    STATE(21329), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759021] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21040), 1,
      anon_sym_RPAREN,
    STATE(16251), 1,
      sym_attribute,
    STATE(20742), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759053] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12979), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12981), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(16252), 1,
      sym_attribute,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759085] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14196), 1,
      anon_sym_LPAREN,
    ACTIONS(14198), 1,
      anon_sym_LBRACK,
    STATE(12544), 1,
      sym_constructor_declaration,
    STATE(13056), 1,
      sym__constructor_name,
    STATE(16253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14200), 2,
      anon_sym_true,
      anon_sym_false,
  [759115] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7937), 1,
      anon_sym_PIPE,
    ACTIONS(21042), 1,
      anon_sym_DOT_DOT,
    STATE(16254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [759139] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21044), 1,
      anon_sym_RPAREN,
    STATE(16255), 1,
      sym_attribute,
    STATE(21641), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759171] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20512), 1,
      anon_sym_PIPE,
    ACTIONS(20518), 1,
      anon_sym_as,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21046), 1,
      anon_sym_RBRACK,
    ACTIONS(21048), 1,
      anon_sym_SEMI,
    STATE(16256), 1,
      sym_attribute,
    STATE(17926), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759203] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16257), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(19010), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [759233] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16258), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(18275), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(21094), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759265] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16259), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(18058), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(23096), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759297] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16260), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(19012), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [759327] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    ACTIONS(20526), 1,
      anon_sym_PIPE,
    ACTIONS(20530), 1,
      anon_sym_as,
    ACTIONS(20532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21050), 1,
      anon_sym_SEMI,
    ACTIONS(21052), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16261), 1,
      sym_attribute,
    STATE(17935), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759359] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21054), 1,
      anon_sym_RPAREN,
    STATE(16262), 1,
      sym_attribute,
    STATE(21793), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759391] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    STATE(16263), 1,
      sym_attribute,
    STATE(20964), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(13011), 3,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [759417] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21056), 1,
      anon_sym_RPAREN,
    STATE(16264), 1,
      sym_attribute,
    STATE(20717), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759449] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(17320), 1,
      anon_sym_BANG,
    ACTIONS(20522), 1,
      anon_sym__,
    STATE(16265), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_type_variable,
    STATE(18175), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17318), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [759479] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21058), 1,
      anon_sym_RPAREN,
    STATE(16266), 1,
      sym_attribute,
    STATE(21646), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759511] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(19753), 1,
      anon_sym_LPAREN,
    ACTIONS(19755), 1,
      anon_sym_LBRACK,
    STATE(12720), 1,
      sym_constructor_declaration,
    STATE(14404), 1,
      sym__constructor_name,
    STATE(16267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19757), 2,
      anon_sym_true,
      anon_sym_false,
  [759541] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16268), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(18635), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    STATE(21998), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759573] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21060), 1,
      anon_sym_RPAREN,
    STATE(16269), 1,
      sym_attribute,
    STATE(21717), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759605] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12983), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12985), 1,
      anon_sym_in,
    ACTIONS(19598), 1,
      sym__lowercase_identifier,
    ACTIONS(19600), 1,
      anon_sym_POUND,
    STATE(16188), 1,
      sym_type_constructor_path,
    STATE(16270), 1,
      sym_attribute,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759637] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21062), 1,
      anon_sym_RPAREN,
    STATE(16271), 1,
      sym_attribute,
    STATE(20757), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759669] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(21064), 1,
      anon_sym_DASH_GT,
    STATE(16272), 1,
      sym_attribute,
    STATE(21806), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759701] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21066), 1,
      anon_sym_RPAREN,
    STATE(16273), 1,
      sym_attribute,
    STATE(23467), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759733] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5627), 1,
      anon_sym_PIPE,
    ACTIONS(21042), 1,
      anon_sym_DOT_DOT,
    STATE(16274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5623), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [759757] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    STATE(16275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 6,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [759779] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21068), 1,
      anon_sym_RPAREN,
    STATE(16276), 1,
      sym_attribute,
    STATE(22398), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759811] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(21070), 1,
      anon_sym_DASH_GT,
    STATE(16277), 1,
      sym_attribute,
    STATE(22703), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759843] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(20804), 1,
      anon_sym_DASH_GT,
    ACTIONS(21072), 1,
      anon_sym_STAR,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(16278), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759875] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13489), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [759895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13001), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12999), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [759917] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20512), 1,
      anon_sym_PIPE,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    STATE(16281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10492), 4,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [759943] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(21075), 1,
      anon_sym_DASH_GT,
    STATE(16282), 1,
      sym_attribute,
    STATE(22156), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759975] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21077), 1,
      anon_sym_RPAREN,
    STATE(16283), 1,
      sym_attribute,
    STATE(23558), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760007] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21079), 1,
      anon_sym_RPAREN,
    STATE(16284), 1,
      sym_attribute,
    STATE(21679), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760039] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(21081), 1,
      anon_sym_DASH_GT,
    STATE(16285), 1,
      sym_attribute,
    STATE(22061), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760071] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(21083), 1,
      anon_sym__,
    ACTIONS(21085), 1,
      anon_sym_RBRACE,
    STATE(16286), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760103] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(14892), 1,
      anon_sym_LPAREN,
    ACTIONS(14894), 1,
      anon_sym_LBRACK,
    STATE(12544), 1,
      sym_constructor_declaration,
    STATE(13519), 1,
      sym__constructor_name,
    STATE(16287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14896), 2,
      anon_sym_true,
      anon_sym_false,
  [760133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13029), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(13027), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [760155] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21087), 1,
      anon_sym_RPAREN,
    STATE(16289), 1,
      sym_attribute,
    STATE(21247), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12965), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12963), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [760209] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21089), 1,
      anon_sym_RPAREN,
    STATE(16291), 1,
      sym_attribute,
    STATE(21684), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760241] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20512), 1,
      anon_sym_PIPE,
    ACTIONS(20518), 1,
      anon_sym_as,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21091), 1,
      anon_sym_RBRACK,
    ACTIONS(21093), 1,
      anon_sym_SEMI,
    STATE(16292), 1,
      sym_attribute,
    STATE(18078), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760273] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19576), 1,
      anon_sym_PIPE,
    ACTIONS(21095), 1,
      anon_sym_COLON,
    STATE(16293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19572), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [760297] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20488), 1,
      anon_sym_DASH_GT,
    ACTIONS(20490), 1,
      anon_sym_with,
    STATE(16294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14693), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [760321] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21097), 1,
      anon_sym_RPAREN,
    STATE(16295), 1,
      sym_attribute,
    STATE(21501), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760353] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19815), 1,
      anon_sym_LPAREN,
    ACTIONS(19817), 1,
      anon_sym_LBRACK,
    ACTIONS(19821), 1,
      sym__uppercase_identifier,
    STATE(16296), 1,
      sym_attribute,
    STATE(16823), 1,
      sym__constructor_name,
    STATE(17429), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19819), 2,
      anon_sym_true,
      anon_sym_false,
  [760383] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12869), 1,
      anon_sym_RPAREN,
    ACTIONS(13755), 1,
      anon_sym_COLON2,
    STATE(16297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12969), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12967), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [760429] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    ACTIONS(20526), 1,
      anon_sym_PIPE,
    ACTIONS(20530), 1,
      anon_sym_as,
    ACTIONS(20532), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21099), 1,
      anon_sym_SEMI,
    ACTIONS(21101), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16299), 1,
      sym_attribute,
    STATE(18081), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760461] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21103), 1,
      anon_sym_rec,
    ACTIONS(21105), 1,
      anon_sym_type,
    STATE(14509), 1,
      sym_module_binding,
    STATE(16300), 1,
      sym_attribute,
    STATE(17659), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21107), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [760491] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13543), 1,
      sym__uppercase_identifier,
    ACTIONS(20023), 1,
      anon_sym_LPAREN,
    ACTIONS(20025), 1,
      anon_sym_LBRACK,
    STATE(12720), 1,
      sym_constructor_declaration,
    STATE(13383), 1,
      sym__constructor_name,
    STATE(16301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20027), 2,
      anon_sym_true,
      anon_sym_false,
  [760521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12973), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12971), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [760543] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21109), 1,
      anon_sym_rec,
    ACTIONS(21111), 1,
      anon_sym_type,
    STATE(15191), 1,
      sym_module_binding,
    STATE(16303), 1,
      sym_attribute,
    STATE(17661), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21113), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [760573] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(21115), 1,
      anon_sym_DASH_GT,
    STATE(16304), 1,
      sym_attribute,
    STATE(20638), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760605] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20448), 1,
      sym__lowercase_identifier,
    ACTIONS(21117), 1,
      anon_sym__,
    ACTIONS(21119), 1,
      anon_sym_RBRACE,
    STATE(16305), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760637] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21121), 1,
      anon_sym_rec,
    ACTIONS(21123), 1,
      anon_sym_type,
    STATE(14951), 1,
      sym_module_binding,
    STATE(16306), 1,
      sym_attribute,
    STATE(17664), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21125), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [760667] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(21127), 1,
      anon_sym_RPAREN,
    STATE(16307), 1,
      sym_attribute,
    STATE(20584), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760699] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20628), 1,
      anon_sym_as,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21129), 1,
      anon_sym_SEMI,
    ACTIONS(21131), 1,
      anon_sym_PIPE_RBRACK,
    STATE(16308), 1,
      sym_attribute,
    STATE(18195), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760731] = 10,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20446), 1,
      anon_sym_when,
    ACTIONS(21133), 1,
      anon_sym_DASH_GT,
    STATE(16309), 1,
      sym_attribute,
    STATE(23384), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760763] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21135), 1,
      anon_sym_RBRACE,
    STATE(16310), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760792] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21137), 1,
      anon_sym_RBRACE,
    STATE(16311), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760821] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(16312), 1,
      sym_attribute,
    STATE(17200), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20854), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [760848] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21143), 1,
      anon_sym_RBRACE,
    STATE(16313), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760877] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21145), 1,
      sym__lowercase_identifier,
    STATE(6000), 1,
      sym_class_path,
    STATE(16314), 1,
      sym_attribute,
    STATE(17549), 1,
      sym__attribute,
    STATE(21469), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760906] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21147), 1,
      anon_sym_RBRACE,
    STATE(16315), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760935] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21149), 1,
      anon_sym_RBRACE,
    STATE(16316), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760964] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21151), 1,
      anon_sym_RBRACE,
    STATE(16317), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760993] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21153), 1,
      anon_sym_RBRACE,
    STATE(16318), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761022] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21155), 1,
      anon_sym_RBRACE,
    STATE(16319), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761051] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21157), 1,
      anon_sym_RBRACE,
    STATE(16320), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761080] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21159), 1,
      anon_sym_RBRACE,
    STATE(16321), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761109] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21161), 1,
      sym__lowercase_identifier,
    STATE(6456), 1,
      sym_class_path,
    STATE(16322), 1,
      sym_attribute,
    STATE(17295), 1,
      sym__attribute,
    STATE(23219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761138] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21163), 1,
      sym__lowercase_identifier,
    STATE(7386), 1,
      sym_class_path,
    STATE(16323), 1,
      sym_attribute,
    STATE(17595), 1,
      sym__attribute,
    STATE(21508), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761167] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21165), 1,
      anon_sym_RBRACE,
    STATE(16324), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761196] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21167), 1,
      anon_sym_RBRACE,
    STATE(16325), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761225] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21169), 1,
      anon_sym_RBRACE,
    STATE(16326), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761254] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21171), 1,
      anon_sym_RBRACE,
    STATE(16327), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761283] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21173), 1,
      anon_sym_RBRACE,
    STATE(16328), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761312] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21175), 1,
      anon_sym_RBRACE,
    STATE(16329), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761341] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21177), 1,
      sym__lowercase_identifier,
    STATE(4796), 1,
      sym_class_path,
    STATE(16330), 1,
      sym_attribute,
    STATE(17630), 1,
      sym__attribute,
    STATE(21547), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761370] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21179), 1,
      anon_sym_RBRACE,
    STATE(16331), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761399] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21181), 1,
      anon_sym_RBRACE,
    STATE(16332), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761428] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21183), 1,
      anon_sym_RBRACE,
    STATE(16333), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761457] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21185), 1,
      anon_sym_RBRACE,
    STATE(16334), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761486] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21187), 1,
      sym__lowercase_identifier,
    STATE(5629), 1,
      sym_class_path,
    STATE(16335), 1,
      sym_attribute,
    STATE(17403), 1,
      sym__attribute,
    STATE(23128), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761515] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21189), 1,
      anon_sym_RBRACE,
    STATE(16336), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761544] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21191), 1,
      sym__lowercase_identifier,
    STATE(3949), 1,
      sym_class_path,
    STATE(16337), 1,
      sym_attribute,
    STATE(16990), 1,
      sym__attribute,
    STATE(21585), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761573] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(18452), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16338), 1,
      sym_attribute,
    STATE(16992), 1,
      sym__attribute,
    STATE(19927), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761602] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14188), 1,
      anon_sym_and,
    STATE(16339), 1,
      sym_attribute,
    STATE(16460), 1,
      aux_sym_expression_item_repeat1,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14186), 2,
      anon_sym_in,
      sym_let_and_operator,
  [761629] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21193), 1,
      anon_sym_RBRACE,
    STATE(16340), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761658] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21195), 1,
      anon_sym_RBRACE,
    STATE(16341), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761687] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10346), 1,
      anon_sym_PIPE,
    STATE(16342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [761708] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10350), 1,
      anon_sym_PIPE,
    STATE(16343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [761729] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21197), 1,
      anon_sym_RBRACE,
    STATE(16344), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761758] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21199), 1,
      anon_sym_RBRACE,
    STATE(16345), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761787] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_PIPE,
    STATE(16346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10384), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [761808] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21201), 1,
      anon_sym_RBRACE,
    STATE(16347), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761837] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10390), 1,
      anon_sym_PIPE,
    STATE(16348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10388), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [761858] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10464), 1,
      anon_sym_COLON2,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    STATE(16349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
  [761883] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10464), 1,
      anon_sym_COLON2,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    STATE(16350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 4,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [761906] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21203), 1,
      sym__lowercase_identifier,
    STATE(7232), 1,
      sym_class_path,
    STATE(16351), 1,
      sym_attribute,
    STATE(17509), 1,
      sym__attribute,
    STATE(21661), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761935] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10494), 1,
      anon_sym_COLON2,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    STATE(16352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10492), 2,
      anon_sym_RPAREN,
      anon_sym_as,
  [761962] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21205), 1,
      anon_sym_RBRACE,
    STATE(16353), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761991] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21207), 1,
      anon_sym_RBRACE,
    STATE(16354), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762020] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10504), 1,
      anon_sym_COLON2,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    STATE(16355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10502), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [762043] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21209), 1,
      anon_sym_RBRACE,
    STATE(16356), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762072] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21211), 1,
      anon_sym_RBRACE,
    STATE(16357), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762101] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12847), 1,
      anon_sym_RPAREN,
    STATE(16358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10488), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [762122] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21213), 1,
      anon_sym_RBRACE,
    STATE(16359), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762151] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21215), 1,
      sym__lowercase_identifier,
    STATE(4863), 1,
      sym_class_path,
    STATE(16360), 1,
      sym_attribute,
    STATE(17412), 1,
      sym__attribute,
    STATE(21699), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762180] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21217), 1,
      anon_sym_RBRACE,
    STATE(16361), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762209] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21219), 1,
      anon_sym_RBRACE,
    STATE(16362), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762238] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21221), 1,
      anon_sym_RBRACE,
    STATE(16363), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762267] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21223), 1,
      anon_sym_RBRACE,
    STATE(16364), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762296] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21225), 1,
      anon_sym_RBRACE,
    STATE(16365), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762325] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21227), 1,
      anon_sym_RBRACE,
    STATE(16366), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762354] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21229), 1,
      sym__lowercase_identifier,
    STATE(7948), 1,
      sym_class_path,
    STATE(16367), 1,
      sym_attribute,
    STATE(16941), 1,
      sym__attribute,
    STATE(21737), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762383] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21231), 1,
      anon_sym_RBRACE,
    STATE(16368), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762412] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21233), 1,
      anon_sym_RBRACE,
    STATE(16369), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762441] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10484), 1,
      anon_sym_PIPE,
    STATE(16370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10482), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [762462] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21235), 1,
      anon_sym_RBRACE,
    STATE(16371), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762491] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21237), 1,
      anon_sym_RBRACE,
    STATE(16372), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762520] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21239), 1,
      anon_sym_RBRACE,
    STATE(16373), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762549] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21241), 1,
      sym__lowercase_identifier,
    STATE(7402), 1,
      sym_class_path,
    STATE(16374), 1,
      sym_attribute,
    STATE(17167), 1,
      sym__attribute,
    STATE(21775), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762578] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21243), 1,
      sym__lowercase_identifier,
    STATE(8172), 1,
      sym_class_path,
    STATE(16375), 1,
      sym_attribute,
    STATE(17346), 1,
      sym__attribute,
    STATE(21790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762607] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21245), 1,
      anon_sym_RBRACE,
    STATE(16376), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762636] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21247), 1,
      sym__lowercase_identifier,
    STATE(6140), 1,
      sym_class_path,
    STATE(16377), 1,
      sym_attribute,
    STATE(17566), 1,
      sym__attribute,
    STATE(23701), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762665] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21249), 1,
      anon_sym_RBRACE,
    STATE(16378), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762694] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21251), 1,
      anon_sym_RBRACE,
    STATE(16379), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762723] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21253), 1,
      anon_sym_RBRACE,
    STATE(16380), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762752] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21255), 1,
      sym__lowercase_identifier,
    STATE(8537), 1,
      sym_class_path,
    STATE(16381), 1,
      sym_attribute,
    STATE(17408), 1,
      sym__attribute,
    STATE(21270), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762781] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21257), 1,
      anon_sym_RBRACE,
    STATE(16382), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762810] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21259), 1,
      anon_sym_RBRACE,
    STATE(16383), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762839] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21261), 1,
      anon_sym_RBRACE,
    STATE(16384), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762868] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21263), 1,
      anon_sym_RBRACE,
    STATE(16385), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762897] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21265), 1,
      anon_sym_RBRACE,
    STATE(16386), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762926] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21267), 1,
      sym__lowercase_identifier,
    STATE(7011), 1,
      sym_class_path,
    STATE(16387), 1,
      sym_attribute,
    STATE(17530), 1,
      sym__attribute,
    STATE(21813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762955] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10378), 1,
      anon_sym_PIPE,
    STATE(16388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [762976] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21269), 1,
      anon_sym_RBRACE,
    STATE(16389), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763005] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21271), 1,
      anon_sym_RBRACE,
    STATE(16390), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763034] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21273), 1,
      anon_sym_RBRACE,
    STATE(16391), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763063] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21275), 1,
      anon_sym_RBRACE,
    STATE(16392), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763092] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21277), 1,
      anon_sym_RBRACE,
    STATE(16393), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763121] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21279), 1,
      sym__lowercase_identifier,
    STATE(5804), 1,
      sym_class_path,
    STATE(16394), 1,
      sym_attribute,
    STATE(17643), 1,
      sym__attribute,
    STATE(23739), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763150] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21281), 1,
      sym__lowercase_identifier,
    STATE(6415), 1,
      sym_class_path,
    STATE(16395), 1,
      sym_attribute,
    STATE(17110), 1,
      sym__attribute,
    STATE(21851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763179] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21283), 1,
      anon_sym_RBRACE,
    STATE(16396), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763208] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21285), 1,
      anon_sym_RBRACE,
    STATE(16397), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763237] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21287), 1,
      anon_sym_RBRACE,
    STATE(16398), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763266] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21289), 1,
      anon_sym_RBRACE,
    STATE(16399), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763295] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21291), 1,
      anon_sym_RBRACE,
    STATE(16400), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763324] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21293), 1,
      sym__lowercase_identifier,
    STATE(4570), 1,
      sym_class_path,
    STATE(16401), 1,
      sym_attribute,
    STATE(17586), 1,
      sym__attribute,
    STATE(21889), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763353] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21295), 1,
      anon_sym_RBRACE,
    STATE(16402), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763382] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21297), 1,
      anon_sym_RBRACE,
    STATE(16403), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763411] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21299), 1,
      anon_sym_RBRACE,
    STATE(16404), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763440] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21301), 1,
      anon_sym_RBRACE,
    STATE(16405), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763469] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21303), 1,
      anon_sym_RBRACE,
    STATE(16406), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763498] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21305), 1,
      anon_sym_RBRACE,
    STATE(16407), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763527] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21307), 1,
      sym__lowercase_identifier,
    STATE(3927), 1,
      sym_class_path,
    STATE(16408), 1,
      sym_attribute,
    STATE(16986), 1,
      sym__attribute,
    STATE(21926), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763556] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21309), 1,
      anon_sym_RBRACE,
    STATE(16409), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763585] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21311), 1,
      anon_sym_RBRACE,
    STATE(16410), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763614] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21313), 1,
      anon_sym_RBRACE,
    STATE(16411), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763643] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21315), 1,
      sym__lowercase_identifier,
    STATE(9050), 1,
      sym_class_path,
    STATE(16412), 1,
      sym_attribute,
    STATE(17439), 1,
      sym__attribute,
    STATE(20434), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763672] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21317), 1,
      anon_sym_RBRACE,
    STATE(16413), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763701] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21319), 1,
      sym__lowercase_identifier,
    STATE(8704), 1,
      sym_class_path,
    STATE(16414), 1,
      sym_attribute,
    STATE(17068), 1,
      sym__attribute,
    STATE(21623), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763730] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21321), 1,
      anon_sym_RBRACE,
    STATE(16415), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763759] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21323), 1,
      anon_sym_RBRACE,
    STATE(16416), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763788] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21325), 1,
      anon_sym_RBRACE,
    STATE(16417), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763817] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21327), 1,
      anon_sym_RBRACE,
    STATE(16418), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763846] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21329), 1,
      anon_sym_RBRACE,
    STATE(16419), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763875] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21331), 1,
      sym__lowercase_identifier,
    STATE(3935), 1,
      sym_class_path,
    STATE(16420), 1,
      sym_attribute,
    STATE(17124), 1,
      sym__attribute,
    STATE(21963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763904] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21333), 1,
      anon_sym_RBRACE,
    STATE(16421), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763933] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21335), 1,
      anon_sym_RBRACE,
    STATE(16422), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763962] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20628), 1,
      anon_sym_as,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    STATE(16423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19629), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [763989] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21337), 1,
      anon_sym_RBRACE,
    STATE(16424), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764018] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19282), 1,
      anon_sym_PIPE,
    STATE(16425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19280), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764039] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21339), 1,
      anon_sym_RBRACE,
    STATE(16426), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764068] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21341), 1,
      anon_sym_RBRACE,
    STATE(16427), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764097] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21343), 1,
      anon_sym_RBRACE,
    STATE(16428), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764126] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21345), 1,
      anon_sym_RBRACE,
    STATE(16429), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764155] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21347), 1,
      sym__lowercase_identifier,
    STATE(4136), 1,
      sym_class_path,
    STATE(16430), 1,
      sym_attribute,
    STATE(17184), 1,
      sym__attribute,
    STATE(21997), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764184] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21349), 1,
      anon_sym_RBRACE,
    STATE(16431), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764213] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21351), 1,
      anon_sym_RBRACE,
    STATE(16432), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764242] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21353), 1,
      anon_sym_RBRACE,
    STATE(16433), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764271] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19186), 1,
      anon_sym_PIPE,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    STATE(16434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19184), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [764296] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21355), 1,
      anon_sym_RBRACE,
    STATE(16435), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764325] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21357), 1,
      anon_sym_RBRACE,
    STATE(16436), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764354] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19186), 1,
      anon_sym_PIPE,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    STATE(16437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19184), 4,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764377] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21359), 1,
      sym__lowercase_identifier,
    STATE(4175), 1,
      sym_class_path,
    STATE(16438), 1,
      sym_attribute,
    STATE(17277), 1,
      sym__attribute,
    STATE(22015), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764406] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19186), 1,
      anon_sym_PIPE,
    STATE(16439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19184), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764427] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21361), 1,
      anon_sym_RBRACE,
    STATE(16440), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764456] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    STATE(16441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19196), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [764481] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21363), 1,
      anon_sym_RBRACE,
    STATE(16442), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764510] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21365), 1,
      anon_sym_RBRACE,
    STATE(16443), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764539] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21367), 1,
      anon_sym_RBRACE,
    STATE(16444), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764568] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21369), 1,
      anon_sym_RBRACE,
    STATE(16445), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764597] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19198), 1,
      anon_sym_PIPE,
    STATE(16446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19196), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764618] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21371), 1,
      anon_sym_RBRACE,
    STATE(16447), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764647] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19477), 1,
      anon_sym_PIPE,
    STATE(16448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19475), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764668] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19604), 1,
      anon_sym_PIPE,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    STATE(16449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19602), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [764691] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19541), 1,
      anon_sym_PIPE,
    STATE(16450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19539), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764712] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21373), 1,
      sym__lowercase_identifier,
    STATE(4319), 1,
      sym_class_path,
    STATE(16451), 1,
      sym_attribute,
    STATE(17027), 1,
      sym__attribute,
    STATE(20498), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764741] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21379), 1,
      anon_sym_AMP,
    STATE(16452), 1,
      sym_attribute,
    STATE(16754), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21375), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [764766] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(7937), 1,
      anon_sym_PIPE,
    STATE(16453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7931), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [764787] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21381), 1,
      anon_sym_RBRACE,
    STATE(16454), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764816] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21383), 1,
      anon_sym_RBRACE,
    STATE(16455), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764845] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21385), 1,
      anon_sym_RBRACE,
    STATE(16456), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764874] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21387), 1,
      anon_sym_RBRACE,
    STATE(16457), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764903] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    ACTIONS(20526), 1,
      anon_sym_PIPE,
    ACTIONS(20530), 1,
      anon_sym_as,
    ACTIONS(20532), 1,
      anon_sym_COLON_COLON,
    STATE(16458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21389), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [764930] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21391), 1,
      anon_sym_RBRACE,
    STATE(16459), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764959] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14163), 1,
      anon_sym_and,
    STATE(16460), 1,
      sym_attribute,
    STATE(16493), 1,
      aux_sym_expression_item_repeat1,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14161), 2,
      anon_sym_in,
      sym_let_and_operator,
  [764986] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14180), 1,
      anon_sym_and,
    STATE(16461), 1,
      sym_attribute,
    STATE(16496), 1,
      aux_sym_expression_item_repeat1,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14178), 2,
      anon_sym_in,
      sym_let_and_operator,
  [765013] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14184), 1,
      anon_sym_and,
    STATE(16462), 1,
      sym_attribute,
    STATE(16497), 1,
      aux_sym_expression_item_repeat1,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14182), 2,
      anon_sym_in,
      sym_let_and_operator,
  [765040] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21393), 1,
      sym__lowercase_identifier,
    STATE(9735), 1,
      sym_class_path,
    STATE(16463), 1,
      sym_attribute,
    STATE(17259), 1,
      sym__attribute,
    STATE(21386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765069] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21395), 1,
      sym__lowercase_identifier,
    ACTIONS(21397), 1,
      anon_sym_LBRACK,
    ACTIONS(21399), 1,
      anon_sym_virtual,
    STATE(13232), 1,
      sym_class_type_binding,
    STATE(16464), 1,
      sym_attribute,
    STATE(17157), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765098] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21401), 1,
      anon_sym_RBRACE,
    STATE(16465), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765127] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10406), 1,
      anon_sym_PIPE,
    STATE(16466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10404), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [765148] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21403), 1,
      anon_sym_RBRACE,
    STATE(16467), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765177] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21405), 1,
      anon_sym_RBRACE,
    STATE(16468), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765206] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21407), 1,
      anon_sym_RBRACE,
    STATE(16469), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765235] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21409), 1,
      sym__lowercase_identifier,
    STATE(8525), 1,
      sym_class_path,
    STATE(16470), 1,
      sym_attribute,
    STATE(16978), 1,
      sym__attribute,
    STATE(22108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765264] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21411), 1,
      anon_sym_RBRACE,
    STATE(16471), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765293] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21413), 1,
      sym__lowercase_identifier,
    STATE(5017), 1,
      sym_class_path,
    STATE(16472), 1,
      sym_attribute,
    STATE(17181), 1,
      sym__attribute,
    STATE(20562), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765322] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21415), 1,
      anon_sym_RBRACE,
    STATE(16473), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765351] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21417), 1,
      anon_sym_RBRACE,
    STATE(16474), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765380] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13755), 1,
      anon_sym_COLON2,
    STATE(16475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10400), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [765401] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21419), 1,
      anon_sym_RBRACE,
    STATE(16476), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765430] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21421), 1,
      anon_sym_RBRACE,
    STATE(16477), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765459] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21423), 1,
      anon_sym_RBRACE,
    STATE(16478), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765488] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10930), 1,
      anon_sym_PIPE,
    STATE(16479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10928), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [765509] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10934), 1,
      anon_sym_PIPE,
    STATE(16480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10932), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [765530] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21425), 1,
      sym__lowercase_identifier,
    STATE(8513), 1,
      sym_class_path,
    STATE(16481), 1,
      sym_attribute,
    STATE(17507), 1,
      sym__attribute,
    STATE(20625), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765559] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21427), 1,
      anon_sym_rec,
    STATE(16482), 1,
      sym_attribute,
    STATE(17251), 1,
      sym__attribute,
    STATE(18312), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21429), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [765586] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20628), 1,
      anon_sym_as,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    STATE(16483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21431), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [765613] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21433), 1,
      anon_sym_RBRACE,
    STATE(16484), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765642] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21435), 1,
      anon_sym_RBRACE,
    STATE(16485), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765671] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21437), 1,
      anon_sym_RBRACE,
    STATE(16486), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765700] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21439), 1,
      anon_sym_RBRACE,
    STATE(16487), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765729] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21441), 1,
      anon_sym_RBRACE,
    STATE(16488), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765758] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21443), 1,
      anon_sym_RBRACE,
    STATE(16489), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765787] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19352), 1,
      anon_sym_PIPE,
    STATE(16490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19350), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [765808] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19364), 1,
      anon_sym_PIPE,
    STATE(16491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19362), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [765829] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21445), 1,
      anon_sym_RBRACE,
    STATE(16492), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765858] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13482), 1,
      anon_sym_and,
    ACTIONS(21447), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13480), 2,
      anon_sym_in,
      sym_let_and_operator,
    STATE(16493), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [765883] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21450), 1,
      sym__lowercase_identifier,
    STATE(7681), 1,
      sym_class_path,
    STATE(16494), 1,
      sym_attribute,
    STATE(17323), 1,
      sym__attribute,
    STATE(20681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765912] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14121), 1,
      anon_sym_and,
    STATE(16495), 1,
      sym_attribute,
    STATE(16520), 1,
      aux_sym_expression_item_repeat1,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14119), 2,
      anon_sym_in,
      sym_let_and_operator,
  [765939] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14125), 1,
      anon_sym_and,
    STATE(16493), 1,
      aux_sym_expression_item_repeat1,
    STATE(16496), 1,
      sym_attribute,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14123), 2,
      anon_sym_in,
      sym_let_and_operator,
  [765966] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14149), 1,
      anon_sym_and,
    STATE(16493), 1,
      aux_sym_expression_item_repeat1,
    STATE(16497), 1,
      sym_attribute,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14147), 2,
      anon_sym_in,
      sym_let_and_operator,
  [765993] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14153), 1,
      anon_sym_and,
    STATE(16498), 1,
      sym_attribute,
    STATE(16523), 1,
      aux_sym_expression_item_repeat1,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14151), 2,
      anon_sym_in,
      sym_let_and_operator,
  [766020] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21452), 1,
      anon_sym_RBRACE,
    STATE(16499), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766049] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21454), 1,
      anon_sym_RBRACE,
    STATE(16500), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766078] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21456), 1,
      anon_sym_RBRACE,
    STATE(16501), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766107] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21458), 1,
      anon_sym_RBRACE,
    STATE(16502), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766136] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9158), 1,
      anon_sym_PIPE,
    STATE(16503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766157] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21460), 1,
      anon_sym_RBRACE,
    STATE(16504), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766186] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21462), 1,
      sym__lowercase_identifier,
    ACTIONS(21464), 1,
      anon_sym_BANG,
    STATE(14569), 1,
      sym__instance_variable_name,
    STATE(16505), 1,
      sym_attribute,
    STATE(16846), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21466), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [766213] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    STATE(16506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21431), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [766240] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21468), 1,
      sym__lowercase_identifier,
    STATE(7112), 1,
      sym_class_path,
    STATE(16507), 1,
      sym_attribute,
    STATE(17114), 1,
      sym__attribute,
    STATE(20736), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766269] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10940), 1,
      anon_sym_PIPE,
    STATE(16508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10938), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766290] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      anon_sym_PIPE,
    STATE(16509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10942), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766311] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10948), 1,
      anon_sym_PIPE,
    STATE(16510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10946), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766332] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21470), 1,
      anon_sym_RBRACE,
    STATE(16511), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766361] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10952), 1,
      anon_sym_PIPE,
    STATE(16512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10950), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766382] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    STATE(16513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21472), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [766409] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9496), 1,
      anon_sym_PIPE,
    STATE(16514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9498), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766430] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10956), 1,
      anon_sym_PIPE,
    STATE(16515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10954), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766451] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21474), 1,
      anon_sym_RBRACE,
    STATE(16516), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766480] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19264), 1,
      anon_sym_PIPE,
    STATE(16517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19262), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766501] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21476), 1,
      anon_sym_RBRACE,
    STATE(16518), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766530] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21478), 1,
      anon_sym_RBRACE,
    STATE(16519), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766559] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14001), 1,
      anon_sym_and,
    STATE(16493), 1,
      aux_sym_expression_item_repeat1,
    STATE(16520), 1,
      sym_attribute,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13999), 2,
      anon_sym_in,
      sym_let_and_operator,
  [766586] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14005), 1,
      anon_sym_and,
    STATE(16521), 1,
      sym_attribute,
    STATE(16538), 1,
      aux_sym_expression_item_repeat1,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14003), 2,
      anon_sym_in,
      sym_let_and_operator,
  [766613] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14009), 1,
      anon_sym_and,
    STATE(16522), 1,
      sym_attribute,
    STATE(16539), 1,
      aux_sym_expression_item_repeat1,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14007), 2,
      anon_sym_in,
      sym_let_and_operator,
  [766640] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14015), 1,
      anon_sym_and,
    STATE(16493), 1,
      aux_sym_expression_item_repeat1,
    STATE(16523), 1,
      sym_attribute,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14013), 2,
      anon_sym_in,
      sym_let_and_operator,
  [766667] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21480), 1,
      sym__lowercase_identifier,
    STATE(8679), 1,
      sym_class_path,
    STATE(16524), 1,
      sym_attribute,
    STATE(17275), 1,
      sym__attribute,
    STATE(22306), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766696] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10426), 1,
      anon_sym_PIPE,
    STATE(16525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10424), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766717] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21482), 1,
      sym__lowercase_identifier,
    STATE(6325), 1,
      sym_class_path,
    STATE(16526), 1,
      sym_attribute,
    STATE(17280), 1,
      sym__attribute,
    STATE(20790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766746] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21484), 1,
      anon_sym_RBRACE,
    STATE(16527), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766775] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21486), 1,
      anon_sym_RBRACE,
    STATE(16528), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766804] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10960), 1,
      anon_sym_PIPE,
    STATE(16529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10958), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766825] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21488), 1,
      anon_sym_RBRACE,
    STATE(16530), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766854] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10968), 1,
      anon_sym_PIPE,
    STATE(16531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10966), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766875] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10972), 1,
      anon_sym_PIPE,
    STATE(16532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10970), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766896] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21490), 1,
      anon_sym_RBRACE,
    STATE(16533), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766925] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(18452), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16534), 1,
      sym_attribute,
    STATE(17307), 1,
      sym__attribute,
    STATE(19169), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766954] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10976), 1,
      anon_sym_PIPE,
    STATE(16535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10974), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [766975] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21492), 1,
      anon_sym_RBRACE,
    STATE(16536), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767004] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21494), 1,
      anon_sym_RBRACE,
    STATE(16537), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767033] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14036), 1,
      anon_sym_and,
    STATE(16493), 1,
      aux_sym_expression_item_repeat1,
    STATE(16538), 1,
      sym_attribute,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14034), 2,
      anon_sym_in,
      sym_let_and_operator,
  [767060] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14040), 1,
      anon_sym_and,
    STATE(16493), 1,
      aux_sym_expression_item_repeat1,
    STATE(16539), 1,
      sym_attribute,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14038), 2,
      anon_sym_in,
      sym_let_and_operator,
  [767087] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14044), 1,
      anon_sym_and,
    STATE(16540), 1,
      sym_attribute,
    STATE(16545), 1,
      aux_sym_expression_item_repeat1,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14042), 2,
      anon_sym_in,
      sym_let_and_operator,
  [767114] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20512), 1,
      anon_sym_PIPE,
    ACTIONS(20518), 1,
      anon_sym_as,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    STATE(16541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21496), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [767141] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10330), 1,
      anon_sym_PIPE,
    STATE(16542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767162] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_PIPE,
    STATE(16543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767183] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21498), 1,
      sym__lowercase_identifier,
    STATE(6649), 1,
      sym_class_path,
    STATE(16544), 1,
      sym_attribute,
    STATE(17444), 1,
      sym__attribute,
    STATE(20845), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767212] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14089), 1,
      anon_sym_and,
    STATE(16493), 1,
      aux_sym_expression_item_repeat1,
    STATE(16545), 1,
      sym_attribute,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14087), 2,
      anon_sym_in,
      sym_let_and_operator,
  [767239] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21500), 1,
      anon_sym_RBRACE,
    STATE(16546), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767268] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21502), 1,
      anon_sym_RBRACE,
    STATE(16547), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767297] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21504), 1,
      anon_sym_RBRACE,
    STATE(16548), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767326] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21506), 1,
      anon_sym_RBRACE,
    STATE(16549), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767355] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(16897), 1,
      anon_sym_POUND,
    ACTIONS(21508), 1,
      anon_sym_DASH_GT,
    STATE(14657), 1,
      sym_type_constructor_path,
    STATE(16550), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767384] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21510), 1,
      anon_sym_RBRACE,
    STATE(16551), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767413] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10980), 1,
      anon_sym_PIPE,
    STATE(16552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10978), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767434] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10984), 1,
      anon_sym_PIPE,
    STATE(16553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10982), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767455] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10988), 1,
      anon_sym_PIPE,
    STATE(16554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10986), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767476] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10992), 1,
      anon_sym_PIPE,
    STATE(16555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10990), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767497] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21512), 1,
      anon_sym_RBRACE,
    STATE(16556), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767526] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21514), 1,
      sym__lowercase_identifier,
    STATE(7548), 1,
      sym_class_path,
    STATE(16557), 1,
      sym_attribute,
    STATE(16946), 1,
      sym__attribute,
    STATE(20942), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767555] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10480), 1,
      anon_sym_PIPE,
    STATE(16558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10478), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767576] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21516), 1,
      anon_sym_RBRACE,
    STATE(16559), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767605] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10334), 1,
      anon_sym_PIPE,
    STATE(16560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767626] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5627), 1,
      anon_sym_PIPE,
    STATE(16561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5623), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767647] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10382), 1,
      anon_sym_PIPE,
    STATE(16562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10380), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767668] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10362), 1,
      anon_sym_PIPE,
    STATE(16563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767689] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21518), 1,
      anon_sym_RBRACE,
    STATE(16564), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767718] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    STATE(16565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767739] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21520), 1,
      anon_sym_RBRACE,
    STATE(16566), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767768] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10374), 1,
      anon_sym_PIPE,
    STATE(16567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767789] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21522), 1,
      anon_sym_RBRACE,
    STATE(16568), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767818] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10394), 1,
      anon_sym_PIPE,
    STATE(16569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10392), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767839] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21524), 1,
      anon_sym_RBRACE,
    STATE(16570), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767868] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10840), 1,
      anon_sym_PIPE,
    STATE(16571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767889] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21526), 1,
      sym__lowercase_identifier,
    STATE(10953), 1,
      sym_class_path,
    STATE(16572), 1,
      sym_attribute,
    STATE(17029), 1,
      sym__attribute,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767918] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10844), 1,
      anon_sym_PIPE,
    STATE(16573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [767939] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21528), 1,
      anon_sym_RBRACE,
    STATE(16574), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767968] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21530), 1,
      anon_sym_RBRACE,
    STATE(16575), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767997] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21532), 1,
      anon_sym_RBRACE,
    STATE(16576), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768026] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21534), 1,
      anon_sym_RBRACE,
    STATE(16577), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768055] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21536), 1,
      anon_sym_RBRACE,
    STATE(16578), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768084] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10398), 1,
      anon_sym_PIPE,
    STATE(16579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10396), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768105] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10410), 1,
      anon_sym_PIPE,
    STATE(16580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10408), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768126] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10414), 1,
      anon_sym_PIPE,
    STATE(16581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10412), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768147] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21538), 1,
      sym__lowercase_identifier,
    STATE(9293), 1,
      sym_class_path,
    STATE(16582), 1,
      sym_attribute,
    STATE(17635), 1,
      sym__attribute,
    STATE(22506), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768176] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10468), 1,
      anon_sym_PIPE,
    STATE(16583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10466), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768197] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10472), 1,
      anon_sym_PIPE,
    STATE(16584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10470), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768218] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21540), 1,
      sym__lowercase_identifier,
    STATE(7693), 1,
      sym_class_path,
    STATE(16585), 1,
      sym_attribute,
    STATE(17092), 1,
      sym__attribute,
    STATE(20983), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768247] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19216), 1,
      anon_sym_PIPE,
    STATE(16586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19214), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768268] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9236), 1,
      anon_sym_PIPE,
    STATE(16587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768289] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21542), 1,
      anon_sym_RBRACE,
    STATE(16588), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768318] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19206), 1,
      anon_sym_PIPE,
    STATE(16589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19204), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768339] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19130), 1,
      anon_sym_PIPE,
    STATE(16590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19128), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768360] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10342), 1,
      anon_sym_PIPE,
    STATE(16591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768381] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19162), 1,
      anon_sym_PIPE,
    STATE(16592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19160), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768402] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21544), 1,
      anon_sym_RBRACE,
    STATE(16593), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768431] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21546), 1,
      anon_sym_RBRACE,
    STATE(16594), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768460] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21548), 1,
      anon_sym_RBRACE,
    STATE(16595), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768489] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9304), 1,
      anon_sym_PIPE,
    STATE(16596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768510] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9312), 1,
      anon_sym_PIPE,
    STATE(16597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768531] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9334), 1,
      anon_sym_PIPE,
    STATE(16598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768552] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9342), 1,
      anon_sym_PIPE,
    STATE(16599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9344), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768573] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21550), 1,
      anon_sym_RBRACE,
    STATE(16600), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768602] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9462), 1,
      anon_sym_PIPE,
    STATE(16601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9464), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768623] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21552), 1,
      sym__lowercase_identifier,
    STATE(7695), 1,
      sym_class_path,
    STATE(16602), 1,
      sym_attribute,
    STATE(17144), 1,
      sym__attribute,
    STATE(21024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768652] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21554), 1,
      anon_sym_RBRACE,
    STATE(16603), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768681] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9524), 1,
      anon_sym_PIPE,
    STATE(16604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9526), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768702] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21556), 1,
      anon_sym_RBRACE,
    STATE(16605), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768731] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9414), 1,
      anon_sym_PIPE,
    STATE(16606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9412), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768752] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21558), 1,
      anon_sym_RBRACE,
    STATE(16607), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768781] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21560), 1,
      anon_sym_RBRACE,
    STATE(16608), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768810] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21562), 1,
      anon_sym_RBRACE,
    STATE(16609), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768839] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      anon_sym_PIPE,
    STATE(16610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768860] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20512), 1,
      anon_sym_PIPE,
    ACTIONS(20518), 1,
      anon_sym_as,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    STATE(16611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21389), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [768887] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9544), 1,
      anon_sym_PIPE,
    STATE(16612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9546), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [768908] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21564), 1,
      sym__lowercase_identifier,
    STATE(11658), 1,
      sym_class_path,
    STATE(16613), 1,
      sym_attribute,
    STATE(17195), 1,
      sym__attribute,
    STATE(21065), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768937] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21566), 1,
      sym__lowercase_identifier,
    STATE(8829), 1,
      sym_class_path,
    STATE(16614), 1,
      sym_attribute,
    STATE(17213), 1,
      sym__attribute,
    STATE(20954), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768966] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21568), 1,
      anon_sym_RBRACE,
    STATE(16615), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768995] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21570), 1,
      anon_sym_RBRACE,
    STATE(16616), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769024] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21379), 1,
      anon_sym_AMP,
    STATE(16617), 1,
      sym_attribute,
    STATE(16913), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21572), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [769049] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21574), 1,
      anon_sym_RBRACE,
    STATE(16618), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769078] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21576), 1,
      anon_sym_RBRACE,
    STATE(16619), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769107] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21578), 1,
      anon_sym_RBRACE,
    STATE(16620), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769136] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21580), 1,
      anon_sym_RBRACE,
    STATE(16621), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769165] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10418), 1,
      anon_sym_PIPE,
    STATE(16622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10416), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769186] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21582), 1,
      sym__lowercase_identifier,
    STATE(7962), 1,
      sym_class_path,
    STATE(16623), 1,
      sym_attribute,
    STATE(17252), 1,
      sym__attribute,
    STATE(21106), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769215] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10422), 1,
      anon_sym_PIPE,
    STATE(16624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10420), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769236] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10452), 1,
      anon_sym_PIPE,
    STATE(16625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10450), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769257] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10456), 1,
      anon_sym_PIPE,
    STATE(16626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10454), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769278] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10460), 1,
      anon_sym_PIPE,
    STATE(16627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10458), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769299] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21584), 1,
      anon_sym_RBRACE,
    STATE(16628), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769328] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8885), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14117), 1,
      anon_sym_and,
    STATE(16493), 1,
      aux_sym_expression_item_repeat1,
    STATE(16629), 1,
      sym_attribute,
    STATE(16967), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14115), 2,
      anon_sym_in,
      sym_let_and_operator,
  [769355] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10464), 1,
      anon_sym_PIPE,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    ACTIONS(20532), 1,
      anon_sym_COLON_COLON,
    STATE(16630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [769380] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10464), 1,
      anon_sym_PIPE,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    STATE(16631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 4,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769403] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21586), 1,
      anon_sym_RBRACE,
    STATE(16632), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769432] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10464), 1,
      anon_sym_PIPE,
    STATE(16633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10462), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769453] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    ACTIONS(20526), 1,
      anon_sym_PIPE,
    ACTIONS(20532), 1,
      anon_sym_COLON_COLON,
    STATE(16634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10492), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [769478] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(18452), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16635), 1,
      sym_attribute,
    STATE(17416), 1,
      sym__attribute,
    STATE(19651), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769507] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21588), 1,
      anon_sym_RBRACE,
    STATE(16636), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769536] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10494), 1,
      anon_sym_PIPE,
    STATE(16637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10492), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769557] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21590), 1,
      anon_sym_RBRACE,
    STATE(16638), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769586] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10500), 1,
      anon_sym_PIPE,
    STATE(16639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10498), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769607] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10504), 1,
      anon_sym_PIPE,
    ACTIONS(20532), 1,
      anon_sym_COLON_COLON,
    STATE(16640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10502), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [769630] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10508), 1,
      anon_sym_PIPE,
    STATE(16641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769651] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10354), 1,
      anon_sym_PIPE,
    STATE(16642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769672] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10358), 1,
      anon_sym_PIPE,
    STATE(16643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [769693] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    ACTIONS(20512), 1,
      anon_sym_PIPE,
    ACTIONS(20518), 1,
      anon_sym_as,
    ACTIONS(20520), 1,
      anon_sym_COLON_COLON,
    STATE(16644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21592), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [769720] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13757), 1,
      anon_sym_RPAREN,
    STATE(16645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12915), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [769741] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21594), 1,
      sym__lowercase_identifier,
    STATE(8662), 1,
      sym_class_path,
    STATE(16646), 1,
      sym_attribute,
    STATE(16968), 1,
      sym__attribute,
    STATE(22706), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769770] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21596), 1,
      sym__lowercase_identifier,
    STATE(7596), 1,
      sym_class_path,
    STATE(16647), 1,
      sym_attribute,
    STATE(17294), 1,
      sym__attribute,
    STATE(21147), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769799] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21598), 1,
      anon_sym_RBRACE,
    STATE(16648), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769828] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21600), 1,
      anon_sym_RBRACE,
    STATE(16649), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769857] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21602), 1,
      anon_sym_RBRACE,
    STATE(16650), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769886] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21604), 1,
      anon_sym_RBRACE,
    STATE(16651), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769915] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21606), 1,
      anon_sym_RBRACE,
    STATE(16652), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769944] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21608), 1,
      anon_sym_RBRACE,
    STATE(16653), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769973] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21610), 1,
      sym__lowercase_identifier,
    STATE(4978), 1,
      sym_class_path,
    STATE(16654), 1,
      sym_attribute,
    STATE(17332), 1,
      sym__attribute,
    STATE(21188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770002] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21612), 1,
      anon_sym_and,
    STATE(16655), 1,
      sym_attribute,
    STATE(16656), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14109), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [770025] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21614), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16656), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13440), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [770046] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10786), 1,
      anon_sym_PIPE,
    STATE(16657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10784), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [770067] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21617), 1,
      anon_sym_RBRACE,
    STATE(16658), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770096] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19463), 1,
      anon_sym_DASH_GT,
    STATE(16659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11712), 5,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [770117] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21619), 1,
      anon_sym_RBRACE,
    STATE(16660), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770146] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21621), 1,
      anon_sym_RBRACE,
    STATE(16661), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770175] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21623), 1,
      anon_sym_RBRACE,
    STATE(16662), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770204] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21625), 1,
      anon_sym_RBRACE,
    STATE(16663), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770233] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21627), 1,
      sym__lowercase_identifier,
    STATE(4408), 1,
      sym_class_path,
    STATE(16664), 1,
      sym_attribute,
    STATE(17371), 1,
      sym__attribute,
    STATE(21229), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770262] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21629), 1,
      anon_sym_RBRACE,
    STATE(16665), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770291] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21631), 1,
      anon_sym_RBRACE,
    STATE(16666), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770320] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21633), 1,
      anon_sym_RBRACE,
    STATE(16667), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770349] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21635), 1,
      anon_sym_RBRACE,
    STATE(16668), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770378] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21637), 1,
      anon_sym_RBRACE,
    STATE(16669), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770407] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21639), 1,
      sym__lowercase_identifier,
    STATE(5174), 1,
      sym_class_path,
    STATE(16670), 1,
      sym_attribute,
    STATE(17414), 1,
      sym__attribute,
    STATE(21311), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770436] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21641), 1,
      anon_sym_RBRACE,
    STATE(16671), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770465] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21643), 1,
      anon_sym_RBRACE,
    STATE(16672), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770494] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21645), 1,
      anon_sym_RBRACE,
    STATE(16673), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770523] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21647), 1,
      anon_sym_RBRACE,
    STATE(16674), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770552] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21649), 1,
      anon_sym_RBRACE,
    STATE(16675), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770581] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    ACTIONS(20624), 1,
      anon_sym_PIPE,
    ACTIONS(20628), 1,
      anon_sym_as,
    ACTIONS(20630), 1,
      anon_sym_COLON_COLON,
    STATE(16676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19586), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [770608] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21651), 1,
      anon_sym_RBRACE,
    STATE(16677), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770637] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19250), 1,
      anon_sym_PIPE,
    STATE(16678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19248), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [770658] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21653), 1,
      sym__lowercase_identifier,
    STATE(9100), 1,
      sym_class_path,
    STATE(16679), 1,
      sym_attribute,
    STATE(17454), 1,
      sym__attribute,
    STATE(21351), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770687] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19378), 1,
      anon_sym_PIPE,
    STATE(16680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19376), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [770708] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19102), 1,
      anon_sym_PIPE,
    STATE(16681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19100), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [770729] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10430), 1,
      anon_sym_PIPE,
    STATE(16682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10428), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [770750] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21655), 1,
      anon_sym_RBRACE,
    STATE(16683), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770779] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10434), 1,
      anon_sym_PIPE,
    STATE(16684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10432), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [770800] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10438), 1,
      anon_sym_PIPE,
    STATE(16685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10436), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [770821] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10442), 1,
      anon_sym_PIPE,
    STATE(16686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10440), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [770842] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21657), 1,
      anon_sym_RBRACE,
    STATE(16687), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770871] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_PIPE,
    STATE(16688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10446), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [770892] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21659), 1,
      anon_sym_RBRACE,
    STATE(16689), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770921] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21661), 1,
      anon_sym_RBRACE,
    STATE(16690), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770950] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21663), 1,
      sym__lowercase_identifier,
    STATE(4462), 1,
      sym_class_path,
    STATE(16691), 1,
      sym_attribute,
    STATE(17483), 1,
      sym__attribute,
    STATE(21391), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770979] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21665), 1,
      sym__lowercase_identifier,
    STATE(5535), 1,
      sym_class_path,
    STATE(16692), 1,
      sym_attribute,
    STATE(17216), 1,
      sym__attribute,
    STATE(22923), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771008] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21667), 1,
      anon_sym_RBRACE,
    STATE(16693), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771037] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21669), 1,
      anon_sym_RBRACE,
    STATE(16694), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771066] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21612), 1,
      anon_sym_and,
    STATE(16655), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(16695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14063), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [771089] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21671), 1,
      anon_sym_RBRACE,
    STATE(16696), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771118] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21673), 1,
      anon_sym_RBRACE,
    STATE(16697), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771147] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21675), 1,
      anon_sym_RBRACE,
    STATE(16698), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771176] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    ACTIONS(20458), 1,
      anon_sym_PIPE,
    ACTIONS(20464), 1,
      anon_sym_COLON_COLON,
    STATE(16699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21677), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [771203] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21679), 1,
      sym__lowercase_identifier,
    STATE(5255), 1,
      sym_class_path,
    STATE(16700), 1,
      sym_attribute,
    STATE(17512), 1,
      sym__attribute,
    STATE(21430), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771232] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21681), 1,
      anon_sym_RBRACE,
    STATE(16701), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771261] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(16702), 1,
      sym_attribute,
    STATE(17642), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(23623), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [771288] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(16703), 1,
      sym_attribute,
    STATE(17649), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(23644), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [771315] = 9,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    ACTIONS(21683), 1,
      anon_sym_RBRACE,
    STATE(16704), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771344] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(16705), 1,
      sym_attribute,
    STATE(17655), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(23653), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [771371] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10964), 1,
      anon_sym_PIPE,
    STATE(16706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10962), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [771392] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21685), 1,
      anon_sym_RPAREN,
    STATE(16707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771418] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12735), 1,
      sym__lowercase_identifier,
    ACTIONS(21687), 1,
      anon_sym_POUND,
    STATE(12129), 1,
      sym_type_constructor_path,
    STATE(16708), 1,
      sym_attribute,
    STATE(20158), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771444] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21691), 1,
      anon_sym_SEMI,
    ACTIONS(21693), 1,
      anon_sym_GT_RBRACE,
    STATE(16709), 1,
      sym_attribute,
    STATE(18127), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771470] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21695), 1,
      anon_sym_RPAREN,
    STATE(16710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771496] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21697), 1,
      anon_sym_type,
    ACTIONS(21699), 1,
      anon_sym_module,
    STATE(16711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15900), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [771518] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10532), 1,
      sym__uppercase_identifier,
    ACTIONS(21701), 1,
      anon_sym_LPAREN,
    STATE(10715), 1,
      sym__constructor_name,
    STATE(12659), 1,
      sym_constructor_path,
    STATE(16712), 1,
      sym_attribute,
    STATE(22444), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771544] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21703), 1,
      anon_sym_SEMI,
    ACTIONS(21705), 1,
      anon_sym_GT_RBRACE,
    STATE(16713), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18724), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771570] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    ACTIONS(21711), 1,
      anon_sym_RBRACK,
    STATE(16714), 1,
      sym_attribute,
    STATE(18906), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771596] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21713), 1,
      anon_sym_RPAREN,
    STATE(16715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771622] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16716), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14410), 2,
      anon_sym_and,
      anon_sym_in,
  [771646] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13909), 1,
      sym__lowercase_identifier,
    ACTIONS(21715), 1,
      anon_sym_POUND,
    STATE(14971), 1,
      sym_type_constructor_path,
    STATE(16717), 1,
      sym_attribute,
    STATE(20186), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771672] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21717), 1,
      anon_sym_SEMI,
    ACTIONS(21719), 1,
      anon_sym_GT_RBRACE,
    STATE(16718), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(19015), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771698] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16719), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14640), 2,
      anon_sym_and,
      anon_sym_in,
  [771722] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12767), 1,
      sym__lowercase_identifier,
    ACTIONS(21721), 1,
      anon_sym_POUND,
    STATE(10886), 1,
      sym_type_constructor_path,
    STATE(16720), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771748] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21723), 1,
      anon_sym_SEMI,
    ACTIONS(21725), 1,
      anon_sym_GT_RBRACE,
    STATE(16721), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(19019), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771774] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10540), 1,
      sym__uppercase_identifier,
    ACTIONS(21727), 1,
      anon_sym_LPAREN,
    STATE(15755), 1,
      sym__constructor_name,
    STATE(16722), 1,
      sym_attribute,
    STATE(20257), 1,
      sym_constructor_path,
    STATE(23468), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771800] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16723), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18754), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771826] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21729), 1,
      anon_sym_SEMI,
    ACTIONS(21731), 1,
      anon_sym_GT_RBRACE,
    STATE(16724), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18645), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771852] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21697), 1,
      anon_sym_type,
    ACTIONS(21699), 1,
      anon_sym_module,
    STATE(16725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16110), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [771874] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10540), 1,
      sym__uppercase_identifier,
    ACTIONS(21727), 1,
      anon_sym_LPAREN,
    STATE(15755), 1,
      sym__constructor_name,
    STATE(16726), 1,
      sym_attribute,
    STATE(19100), 1,
      sym_constructor_path,
    STATE(23468), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771900] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12717), 1,
      sym__lowercase_identifier,
    ACTIONS(21733), 1,
      anon_sym_POUND,
    STATE(12816), 1,
      sym_type_constructor_path,
    STATE(16727), 1,
      sym_attribute,
    STATE(20211), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771926] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21735), 1,
      anon_sym_SEMI,
    ACTIONS(21737), 1,
      anon_sym_GT_RBRACE,
    STATE(16728), 1,
      sym_attribute,
    STATE(17718), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771952] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16729), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14644), 2,
      anon_sym_and,
      anon_sym_in,
  [771976] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21739), 1,
      anon_sym_SEMI,
    ACTIONS(21741), 1,
      anon_sym_GT_RBRACE,
    STATE(16730), 1,
      sym_attribute,
    STATE(17742), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772002] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16731), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19053), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772028] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16732), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18038), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772054] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21743), 1,
      anon_sym_type,
    ACTIONS(21745), 1,
      anon_sym_module,
    STATE(16733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12123), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [772076] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16734), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18596), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772102] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16735), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14709), 2,
      anon_sym_and,
      anon_sym_in,
  [772126] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13923), 1,
      sym__lowercase_identifier,
    ACTIONS(21747), 1,
      anon_sym_POUND,
    STATE(10856), 1,
      sym_type_constructor_path,
    STATE(16736), 1,
      sym_attribute,
    STATE(20238), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772152] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16737), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(17720), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772178] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21749), 1,
      anon_sym_SEMI,
    ACTIONS(21751), 1,
      anon_sym_GT_RBRACE,
    STATE(16738), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18870), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772204] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21753), 1,
      anon_sym_RPAREN,
    STATE(16739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772230] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16740), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17744), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772256] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21755), 1,
      anon_sym_SEMI,
    ACTIONS(21757), 1,
      anon_sym_GT_RBRACE,
    STATE(16741), 1,
      sym_attribute,
    STATE(17832), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772282] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21759), 1,
      anon_sym_SEMI,
    ACTIONS(21761), 1,
      anon_sym_GT_RBRACE,
    STATE(16742), 1,
      sym_attribute,
    STATE(17686), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772308] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21763), 1,
      anon_sym_SEMI,
    ACTIONS(21765), 1,
      anon_sym_GT_RBRACE,
    STATE(16743), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18848), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772334] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21767), 1,
      anon_sym_RPAREN,
    STATE(16744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772360] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13854), 1,
      sym__lowercase_identifier,
    ACTIONS(21769), 1,
      anon_sym_POUND,
    STATE(14064), 1,
      sym_type_constructor_path,
    STATE(16745), 1,
      sym_attribute,
    STATE(19581), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772386] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16746), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18094), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772412] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13940), 1,
      sym__lowercase_identifier,
    ACTIONS(21771), 1,
      anon_sym_POUND,
    STATE(11597), 1,
      sym_type_constructor_path,
    STATE(16747), 1,
      sym_attribute,
    STATE(20262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772438] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10532), 1,
      sym__uppercase_identifier,
    ACTIONS(21701), 1,
      anon_sym_LPAREN,
    STATE(10715), 1,
      sym__constructor_name,
    STATE(12309), 1,
      sym_constructor_path,
    STATE(16748), 1,
      sym_attribute,
    STATE(22444), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772464] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21773), 1,
      sym__lowercase_identifier,
    ACTIONS(21777), 1,
      anon_sym_BANG,
    STATE(16749), 1,
      sym_attribute,
    STATE(17499), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21775), 2,
      anon_sym_private,
      anon_sym_virtual,
  [772488] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10532), 1,
      sym__uppercase_identifier,
    ACTIONS(21701), 1,
      anon_sym_LPAREN,
    STATE(10715), 1,
      sym__constructor_name,
    STATE(12429), 1,
      sym_constructor_path,
    STATE(16750), 1,
      sym_attribute,
    STATE(22444), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772514] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16751), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14326), 2,
      anon_sym_and,
      anon_sym_in,
  [772538] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16752), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14326), 2,
      anon_sym_and,
      anon_sym_in,
  [772562] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16753), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14612), 2,
      anon_sym_and,
      anon_sym_in,
  [772586] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21379), 1,
      anon_sym_AMP,
    STATE(16754), 1,
      sym_attribute,
    STATE(16757), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21779), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [772608] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21781), 1,
      anon_sym_SEMI,
    ACTIONS(21783), 1,
      anon_sym_GT_RBRACE,
    STATE(16755), 1,
      sym_attribute,
    STATE(17908), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772634] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    STATE(16756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21785), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [772654] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21787), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16757), 2,
      sym_attribute,
      aux_sym_tag_specification_repeat1,
    ACTIONS(21785), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [772674] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16758), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18397), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772700] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21790), 1,
      anon_sym_SEMI,
    ACTIONS(21792), 1,
      anon_sym_GT_RBRACE,
    STATE(16759), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18813), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772726] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21794), 1,
      anon_sym_SEMI,
    ACTIONS(21796), 1,
      anon_sym_GT_RBRACE,
    STATE(16760), 1,
      sym_attribute,
    STATE(17719), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772752] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21462), 1,
      sym__lowercase_identifier,
    STATE(14935), 1,
      sym__instance_variable_name,
    STATE(16761), 1,
      sym_attribute,
    STATE(16996), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21466), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [772776] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21798), 1,
      anon_sym_RPAREN,
    STATE(16762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772802] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16763), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18674), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772828] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13814), 1,
      sym__lowercase_identifier,
    ACTIONS(21800), 1,
      anon_sym_POUND,
    STATE(15246), 1,
      sym_type_constructor_path,
    STATE(16764), 1,
      sym_attribute,
    STATE(20315), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772854] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16765), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19064), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772880] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16766), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18216), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772906] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21802), 1,
      anon_sym_SEMI,
    ACTIONS(21804), 1,
      anon_sym_GT_RBRACE,
    STATE(16767), 1,
      sym_attribute,
    STATE(18000), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772932] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21808), 1,
      anon_sym__,
    STATE(16768), 1,
      sym_attribute,
    STATE(16816), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21806), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [772956] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(16769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21810), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772974] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16770), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14569), 2,
      anon_sym_and,
      anon_sym_in,
  [772998] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16771), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14569), 2,
      anon_sym_and,
      anon_sym_in,
  [773022] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21812), 1,
      sym__lowercase_identifier,
    ACTIONS(21814), 1,
      anon_sym_LPAREN,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    STATE(14193), 1,
      sym__value_name,
    STATE(14354), 1,
      sym_parenthesized_operator,
    STATE(16772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773048] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21743), 1,
      anon_sym_type,
    ACTIONS(21745), 1,
      anon_sym_module,
    STATE(16773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11225), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [773070] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21818), 1,
      anon_sym_SEMI,
    ACTIONS(21820), 1,
      anon_sym_GT_RBRACE,
    STATE(16774), 1,
      sym_attribute,
    STATE(17998), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773096] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16775), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17970), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773122] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21822), 1,
      anon_sym_SEMI,
    ACTIONS(21824), 1,
      anon_sym_GT_RBRACE,
    STATE(16776), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18782), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773148] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21826), 1,
      anon_sym_SEMI,
    ACTIONS(21828), 1,
      anon_sym_GT_RBRACE,
    STATE(16777), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18642), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773174] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16778), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17750), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773200] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21830), 1,
      anon_sym_SEMI,
    ACTIONS(21832), 1,
      anon_sym_GT_RBRACE,
    STATE(16779), 1,
      sym_attribute,
    STATE(17799), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773226] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13867), 1,
      sym__lowercase_identifier,
    ACTIONS(21834), 1,
      anon_sym_POUND,
    STATE(15617), 1,
      sym_type_constructor_path,
    STATE(16780), 1,
      sym_attribute,
    STATE(20334), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773252] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16781), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18107), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773278] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16782), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(19638), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773304] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21836), 1,
      anon_sym_SEMI,
    ACTIONS(21838), 1,
      anon_sym_GT_RBRACE,
    STATE(16783), 1,
      sym_attribute,
    STATE(18049), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773330] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21840), 1,
      anon_sym_SEMI,
    ACTIONS(21842), 1,
      anon_sym_GT_RBRACE,
    STATE(16784), 1,
      sym_attribute,
    STATE(18083), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773356] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16785), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18467), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773382] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16786), 1,
      sym_attribute,
    STATE(16813), 1,
      sym_field_path,
    STATE(18013), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773408] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12817), 1,
      sym__lowercase_identifier,
    ACTIONS(21844), 1,
      anon_sym_POUND,
    STATE(11951), 1,
      sym_type_constructor_path,
    STATE(16787), 1,
      sym_attribute,
    STATE(19939), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773434] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16788), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19016), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773460] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16789), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18790), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773486] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21846), 1,
      anon_sym_SEMI,
    ACTIONS(21848), 1,
      anon_sym_GT_RBRACE,
    STATE(16790), 1,
      sym_attribute,
    STATE(17876), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773512] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12851), 1,
      sym__lowercase_identifier,
    ACTIONS(21850), 1,
      anon_sym_POUND,
    STATE(12746), 1,
      sym_type_constructor_path,
    STATE(16791), 1,
      sym_attribute,
    STATE(20373), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773538] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16792), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17683), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773564] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16793), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(18058), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773590] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12875), 1,
      sym__lowercase_identifier,
    ACTIONS(21852), 1,
      anon_sym_POUND,
    STATE(11752), 1,
      sym_type_constructor_path,
    STATE(16794), 1,
      sym_attribute,
    STATE(20077), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773616] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16795), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17768), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773642] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21854), 1,
      anon_sym_RPAREN,
    STATE(16796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773668] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21856), 1,
      anon_sym_SEMI,
    ACTIONS(21858), 1,
      anon_sym_GT_RBRACE,
    STATE(16797), 1,
      sym_attribute,
    STATE(18173), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773694] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16798), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17842), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773720] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16799), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17929), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773746] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21860), 1,
      anon_sym_RPAREN,
    STATE(16800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773772] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16801), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18014), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773798] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21862), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13480), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(16802), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [773820] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13915), 1,
      sym__lowercase_identifier,
    ACTIONS(21865), 1,
      anon_sym_POUND,
    STATE(11396), 1,
      sym_type_constructor_path,
    STATE(16803), 1,
      sym_attribute,
    STATE(19066), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773846] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16804), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18100), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773872] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12881), 1,
      sym__lowercase_identifier,
    ACTIONS(21867), 1,
      anon_sym_POUND,
    STATE(11743), 1,
      sym_type_constructor_path,
    STATE(16805), 1,
      sym_attribute,
    STATE(19735), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773898] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16806), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18194), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773924] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21869), 1,
      anon_sym_SEMI,
    ACTIONS(21871), 1,
      anon_sym_GT_RBRACE,
    STATE(16807), 1,
      sym_attribute,
    STATE(17930), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773950] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21873), 1,
      anon_sym_SEMI,
    ACTIONS(21875), 1,
      anon_sym_GT_RBRACE,
    STATE(16808), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18260), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773976] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16809), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18282), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774002] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16810), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18346), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774028] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16811), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18390), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774054] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(16812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21877), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774072] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21879), 1,
      anon_sym_EQ,
    ACTIONS(21881), 1,
      anon_sym_COLON2,
    STATE(16813), 1,
      sym_attribute,
    STATE(18185), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21883), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [774096] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16814), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18453), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774122] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(16815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21885), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774140] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(16816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21887), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774158] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21889), 1,
      anon_sym_EQ,
    ACTIONS(21891), 1,
      anon_sym_of,
    ACTIONS(21893), 1,
      anon_sym_COLON2,
    STATE(16817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14206), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [774182] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16818), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18571), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774208] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [774226] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12791), 1,
      sym__lowercase_identifier,
    ACTIONS(21895), 1,
      anon_sym_POUND,
    STATE(12573), 1,
      sym_type_constructor_path,
    STATE(16820), 1,
      sym_attribute,
    STATE(20111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774252] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13942), 1,
      sym__lowercase_identifier,
    ACTIONS(21897), 1,
      anon_sym_POUND,
    STATE(10928), 1,
      sym_type_constructor_path,
    STATE(16821), 1,
      sym_attribute,
    STATE(19086), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774278] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16822), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18621), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774304] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21899), 1,
      anon_sym_EQ,
    ACTIONS(21901), 1,
      anon_sym_of,
    ACTIONS(21903), 1,
      anon_sym_COLON2,
    STATE(16823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14216), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [774328] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16824), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18660), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774354] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21905), 1,
      anon_sym_SEMI,
    ACTIONS(21907), 1,
      anon_sym_GT_RBRACE,
    STATE(16825), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18342), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774380] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21909), 1,
      anon_sym_SEMI,
    ACTIONS(21911), 1,
      anon_sym_GT_RBRACE,
    STATE(16826), 1,
      sym_attribute,
    STATE(17896), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774406] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16827), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18047), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774432] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21913), 1,
      anon_sym_SEMI,
    ACTIONS(21915), 1,
      anon_sym_GT_RBRACE,
    STATE(16828), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18334), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774458] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16829), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18786), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774484] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16813), 1,
      sym_field_path,
    STATE(16830), 1,
      sym_attribute,
    STATE(18275), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774510] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16831), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18874), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774536] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21917), 1,
      anon_sym_SEMI,
    ACTIONS(21919), 1,
      anon_sym_GT_RBRACE,
    STATE(16832), 1,
      sym_attribute,
    STATE(18002), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774562] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16813), 1,
      sym_field_path,
    STATE(16833), 1,
      sym_attribute,
    STATE(18280), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774588] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16834), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19000), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774614] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21921), 1,
      anon_sym_SEMI,
    ACTIONS(21923), 1,
      anon_sym_GT_RBRACE,
    STATE(16835), 1,
      sym_attribute,
    STATE(17986), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774640] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21462), 1,
      sym__lowercase_identifier,
    STATE(14665), 1,
      sym__instance_variable_name,
    STATE(16761), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(16836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21466), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [774664] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16837), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(19048), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774690] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16838), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17990), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774716] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16813), 1,
      sym_field_path,
    STATE(16839), 1,
      sym_attribute,
    STATE(17786), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774742] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16840), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17877), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774768] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21462), 1,
      sym__lowercase_identifier,
    STATE(16841), 1,
      sym_attribute,
    STATE(16996), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(19257), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21466), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [774792] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21925), 1,
      anon_sym_SEMI,
    ACTIONS(21927), 1,
      anon_sym_GT_RBRACE,
    STATE(16842), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18372), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774818] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16843), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18595), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774844] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16844), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17734), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774870] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16845), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17967), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774896] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21462), 1,
      sym__lowercase_identifier,
    STATE(14665), 1,
      sym__instance_variable_name,
    STATE(16846), 1,
      sym_attribute,
    STATE(16996), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21466), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [774920] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16847), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18192), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774946] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16813), 1,
      sym_field_path,
    STATE(16848), 1,
      sym_attribute,
    STATE(18353), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774972] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9390), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    STATE(16849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 3,
      anon_sym_COMMA,
      anon_sym_with,
      sym_hash_operator,
  [774994] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16850), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18417), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775020] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21931), 1,
      anon_sym_SEMI,
    ACTIONS(21933), 1,
      anon_sym_GT_RBRACE,
    STATE(16851), 1,
      sym_attribute,
    STATE(18053), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775046] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16852), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18695), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775072] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10540), 1,
      sym__uppercase_identifier,
    ACTIONS(21727), 1,
      anon_sym_LPAREN,
    STATE(15755), 1,
      sym__constructor_name,
    STATE(16853), 1,
      sym_attribute,
    STATE(19997), 1,
      sym_constructor_path,
    STATE(23468), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775098] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16854), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18942), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775124] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16855), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(18364), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775150] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    ACTIONS(21935), 1,
      anon_sym_POUND,
    STATE(14695), 1,
      sym_type_constructor_path,
    STATE(16856), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775176] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21937), 1,
      anon_sym_SEMI,
    ACTIONS(21939), 1,
      anon_sym_GT_RBRACE,
    STATE(16857), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18435), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775202] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16858), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17743), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775228] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21941), 1,
      anon_sym_SEMI,
    ACTIONS(21943), 1,
      anon_sym_GT_RBRACE,
    STATE(16859), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18581), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775254] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16860), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17827), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775280] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21945), 1,
      anon_sym_RPAREN,
    STATE(16861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775306] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16862), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17892), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775332] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16863), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(17960), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775358] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16864), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18010), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775384] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16865), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18086), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775410] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21947), 1,
      anon_sym_RPAREN,
    STATE(16866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775436] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16867), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18177), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775462] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12769), 1,
      sym__lowercase_identifier,
    ACTIONS(21949), 1,
      anon_sym_POUND,
    STATE(11301), 1,
      sym_type_constructor_path,
    STATE(16868), 1,
      sym_attribute,
    STATE(19816), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775488] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21951), 1,
      anon_sym_SEMI,
    ACTIONS(21953), 1,
      anon_sym_GT_RBRACE,
    STATE(16869), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18498), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775514] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16870), 1,
      sym_attribute,
    STATE(16887), 1,
      sym_field_path,
    STATE(18259), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775540] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21955), 1,
      anon_sym_SEMI,
    ACTIONS(21957), 1,
      anon_sym_GT_RBRACE,
    STATE(16871), 1,
      sym_attribute,
    STATE(18145), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775566] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21959), 1,
      anon_sym_SEMI,
    ACTIONS(21961), 1,
      anon_sym_GT_RBRACE,
    STATE(16872), 1,
      sym_attribute,
    STATE(18087), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775592] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16873), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(17902), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775618] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(16874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21963), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775636] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(16875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21965), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775654] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21967), 1,
      anon_sym_EQ,
    ACTIONS(21969), 1,
      anon_sym_of,
    ACTIONS(21971), 1,
      anon_sym_COLON2,
    STATE(16876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14137), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [775678] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21973), 1,
      anon_sym_SEMI,
    ACTIONS(21975), 1,
      anon_sym_GT_RBRACE,
    STATE(16877), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18630), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775704] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21977), 1,
      anon_sym_SEMI,
    ACTIONS(21979), 1,
      anon_sym_GT_RBRACE,
    STATE(16878), 1,
      sym_attribute,
    STATE(18233), 1,
      sym_instance_variable_expression,
    STATE(18234), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775730] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21981), 1,
      anon_sym_SEMI,
    ACTIONS(21983), 1,
      anon_sym_GT_RBRACE,
    STATE(16879), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18607), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775756] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    STATE(16880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14693), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [775778] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    STATE(16881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15047), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [775800] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    STATE(16882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14561), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [775822] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21989), 1,
      anon_sym_type,
    ACTIONS(21991), 1,
      anon_sym_module,
    STATE(16883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11225), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [775844] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9602), 1,
      sym__uppercase_identifier,
    ACTIONS(21701), 1,
      anon_sym_LPAREN,
    STATE(8341), 1,
      sym__constructor_name,
    STATE(12309), 1,
      sym_constructor_path,
    STATE(16884), 1,
      sym_attribute,
    STATE(21055), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775870] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9602), 1,
      sym__uppercase_identifier,
    ACTIONS(21701), 1,
      anon_sym_LPAREN,
    STATE(8341), 1,
      sym__constructor_name,
    STATE(12429), 1,
      sym_constructor_path,
    STATE(16885), 1,
      sym_attribute,
    STATE(21055), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775896] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(16886), 1,
      sym_attribute,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13406), 2,
      anon_sym_and,
      anon_sym_in,
  [775920] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21881), 1,
      anon_sym_COLON2,
    ACTIONS(21993), 1,
      anon_sym_EQ,
    STATE(16887), 1,
      sym_attribute,
    STATE(17854), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21995), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [775944] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12867), 1,
      sym__lowercase_identifier,
    ACTIONS(21997), 1,
      anon_sym_POUND,
    STATE(13144), 1,
      sym_type_constructor_path,
    STATE(16888), 1,
      sym_attribute,
    STATE(20121), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775970] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(21999), 1,
      anon_sym_SEMI,
    ACTIONS(22001), 1,
      anon_sym_GT_RBRACE,
    STATE(16889), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18648), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775996] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22003), 1,
      anon_sym_type,
    ACTIONS(22005), 1,
      anon_sym_module,
    STATE(16890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11225), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [776018] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(22007), 1,
      anon_sym_RPAREN,
    STATE(16891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776044] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22009), 1,
      anon_sym_type,
    ACTIONS(22011), 1,
      anon_sym_module,
    STATE(16892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11225), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [776066] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22013), 1,
      anon_sym_SEMI,
    ACTIONS(22015), 1,
      anon_sym_GT_RBRACE,
    STATE(16893), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18688), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776092] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22017), 1,
      anon_sym_type,
    ACTIONS(22019), 1,
      anon_sym_module,
    STATE(16894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11225), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [776114] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16895), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(18649), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776140] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(22021), 1,
      anon_sym_RPAREN,
    STATE(16896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776166] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16813), 1,
      sym_field_path,
    STATE(16897), 1,
      sym_attribute,
    STATE(18586), 1,
      sym_field_binding_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776192] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22023), 1,
      anon_sym_SEMI,
    ACTIONS(22025), 1,
      anon_sym_GT_RBRACE,
    STATE(16898), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18757), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776218] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(22027), 1,
      anon_sym_RPAREN,
    STATE(16899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776244] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22029), 1,
      anon_sym_SEMI,
    ACTIONS(22031), 1,
      anon_sym_GT_RBRACE,
    STATE(16900), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18290), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776270] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9602), 1,
      sym__uppercase_identifier,
    ACTIONS(21701), 1,
      anon_sym_LPAREN,
    STATE(8341), 1,
      sym__constructor_name,
    STATE(12659), 1,
      sym_constructor_path,
    STATE(16901), 1,
      sym_attribute,
    STATE(21055), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776296] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12771), 1,
      sym__lowercase_identifier,
    ACTIONS(22033), 1,
      anon_sym_POUND,
    STATE(12790), 1,
      sym_type_constructor_path,
    STATE(16902), 1,
      sym_attribute,
    STATE(19890), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776322] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22035), 1,
      anon_sym_SEMI,
    ACTIONS(22037), 1,
      anon_sym_GT_RBRACE,
    STATE(16903), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18841), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776348] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    ACTIONS(22039), 1,
      anon_sym_RBRACK,
    STATE(16904), 1,
      sym_attribute,
    STATE(18363), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776374] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22041), 1,
      anon_sym_SEMI,
    ACTIONS(22043), 1,
      anon_sym_GT_RBRACE,
    STATE(16905), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18315), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776400] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22045), 1,
      anon_sym_SEMI,
    ACTIONS(22047), 1,
      anon_sym_GT_RBRACE,
    STATE(16906), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18395), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776426] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16907), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(17682), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776452] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16908), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(18635), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776478] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12751), 1,
      sym__lowercase_identifier,
    ACTIONS(22049), 1,
      anon_sym_POUND,
    STATE(13028), 1,
      sym_type_constructor_path,
    STATE(16909), 1,
      sym_attribute,
    STATE(19986), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776504] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    ACTIONS(22051), 1,
      anon_sym_RPAREN,
    STATE(16910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776530] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22053), 1,
      anon_sym_SEMI,
    ACTIONS(22055), 1,
      anon_sym_GT_RBRACE,
    STATE(16911), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(18925), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776556] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22057), 1,
      anon_sym_SEMI,
    ACTIONS(22059), 1,
      anon_sym_GT_RBRACE,
    STATE(16912), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(19006), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776582] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21379), 1,
      anon_sym_AMP,
    STATE(16757), 1,
      aux_sym_tag_specification_repeat1,
    STATE(16913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21375), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [776604] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    ACTIONS(20502), 1,
      anon_sym_PIPE,
    ACTIONS(20504), 1,
      anon_sym_as,
    ACTIONS(20506), 1,
      anon_sym_COLON_COLON,
    ACTIONS(22061), 1,
      anon_sym_RPAREN,
    STATE(16914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776630] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    STATE(16915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14455), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [776652] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21989), 1,
      anon_sym_type,
    ACTIONS(21991), 1,
      anon_sym_module,
    STATE(16916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13214), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [776674] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22003), 1,
      anon_sym_type,
    ACTIONS(22005), 1,
      anon_sym_module,
    STATE(16917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16695), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [776696] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22009), 1,
      anon_sym_type,
    ACTIONS(22011), 1,
      anon_sym_module,
    STATE(16918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13226), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [776718] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21462), 1,
      sym__lowercase_identifier,
    STATE(16841), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(16919), 1,
      sym_attribute,
    STATE(19146), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21466), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [776742] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22017), 1,
      anon_sym_type,
    ACTIONS(22019), 1,
      anon_sym_module,
    STATE(16920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12713), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [776764] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16921), 1,
      sym_attribute,
    STATE(16924), 1,
      sym_field_path,
    STATE(19806), 1,
      sym_field_pattern,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776790] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    ACTIONS(22063), 1,
      anon_sym_POUND,
    STATE(16053), 1,
      sym_type_constructor_path,
    STATE(16922), 1,
      sym_attribute,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776816] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22065), 1,
      anon_sym_SEMI,
    ACTIONS(22067), 1,
      anon_sym_GT_RBRACE,
    STATE(16923), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(19024), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776842] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21881), 1,
      anon_sym_COLON2,
    ACTIONS(22069), 1,
      anon_sym_EQ,
    STATE(16924), 1,
      sym_attribute,
    STATE(18074), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22071), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [776866] = 8,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(20104), 1,
      sym__lowercase_identifier,
    STATE(16887), 1,
      sym_field_path,
    STATE(16925), 1,
      sym_attribute,
    STATE(18709), 1,
      sym_field_expression,
    STATE(20975), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776892] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22073), 1,
      anon_sym_GT_RBRACE,
    STATE(16926), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776915] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22075), 1,
      anon_sym_GT_RBRACE,
    STATE(16927), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776938] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22077), 1,
      anon_sym_DOT,
    STATE(16928), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776961] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22079), 1,
      anon_sym_DOT,
    STATE(16929), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776984] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22081), 1,
      anon_sym_RBRACK,
    STATE(16930), 1,
      sym_attribute,
    STATE(17861), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777007] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22083), 1,
      anon_sym_COLON_GT,
    ACTIONS(22085), 1,
      anon_sym_RPAREN,
    STATE(16931), 1,
      sym_attribute,
    STATE(20124), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777030] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22087), 1,
      anon_sym_DOT,
    STATE(16932), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777053] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22091), 1,
      anon_sym_RBRACK,
    ACTIONS(22093), 1,
      anon_sym_GT,
    STATE(16933), 1,
      sym_attribute,
    STATE(16939), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777076] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22091), 1,
      anon_sym_RBRACK,
    ACTIONS(22093), 1,
      anon_sym_GT,
    STATE(16934), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777099] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22095), 1,
      anon_sym_RBRACK,
    ACTIONS(22097), 1,
      anon_sym_GT,
    STATE(16935), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777122] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22099), 1,
      anon_sym_GT_RBRACE,
    STATE(16936), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777145] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21255), 1,
      sym__lowercase_identifier,
    STATE(9387), 1,
      sym_class_path,
    STATE(16937), 1,
      sym_attribute,
    STATE(21270), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777168] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22101), 1,
      anon_sym_as,
    STATE(16938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19084), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [777187] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22103), 1,
      anon_sym_RBRACK,
    ACTIONS(22105), 1,
      anon_sym_GT,
    STATE(16939), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777210] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22103), 1,
      anon_sym_RBRACK,
    STATE(16940), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777233] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21229), 1,
      sym__lowercase_identifier,
    STATE(7960), 1,
      sym_class_path,
    STATE(16941), 1,
      sym_attribute,
    STATE(21737), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(22107), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13458), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(16942), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [777275] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22110), 1,
      anon_sym_RBRACK,
    STATE(16943), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777298] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22112), 1,
      anon_sym_RBRACK,
    STATE(16944), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777321] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22114), 1,
      anon_sym_DOT,
    STATE(16945), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777344] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21514), 1,
      sym__lowercase_identifier,
    STATE(7576), 1,
      sym_class_path,
    STATE(16946), 1,
      sym_attribute,
    STATE(20942), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777367] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22116), 1,
      sym__lowercase_identifier,
    STATE(12914), 1,
      sym_class_type_path,
    STATE(16947), 1,
      sym_attribute,
    STATE(20059), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777390] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22116), 1,
      sym__lowercase_identifier,
    STATE(12734), 1,
      sym_class_type_path,
    STATE(16948), 1,
      sym_attribute,
    STATE(20059), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777413] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22116), 1,
      sym__lowercase_identifier,
    STATE(12809), 1,
      sym_class_type_path,
    STATE(16949), 1,
      sym_attribute,
    STATE(20059), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777436] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22118), 1,
      anon_sym_RBRACK,
    STATE(16950), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777459] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22120), 1,
      anon_sym_RBRACK,
    STATE(16951), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777482] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22122), 1,
      sym__lowercase_identifier,
    STATE(6644), 1,
      sym_type_constructor_path,
    STATE(16952), 1,
      sym_attribute,
    STATE(19279), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777505] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15770), 1,
      anon_sym_in,
    ACTIONS(22124), 1,
      anon_sym_and,
    ACTIONS(22126), 1,
      sym_let_and_operator,
    STATE(16953), 1,
      sym_attribute,
    STATE(17261), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777528] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22128), 1,
      sym__lowercase_identifier,
    STATE(14866), 1,
      sym_class_type_path,
    STATE(16954), 1,
      sym_attribute,
    STATE(19546), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777551] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22130), 1,
      sym__lowercase_identifier,
    ACTIONS(22132), 1,
      anon_sym_LPAREN,
    STATE(6815), 1,
      sym__value_name,
    STATE(6823), 1,
      sym_parenthesized_operator,
    STATE(16955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777574] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22134), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22137), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(16956), 2,
      sym_attribute,
      aux_sym__abstract_type_repeat1,
  [777593] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22139), 1,
      sym__lowercase_identifier,
    STATE(11217), 1,
      sym_class_type_path,
    STATE(16957), 1,
      sym_attribute,
    STATE(19991), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777616] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22141), 1,
      anon_sym_GT_RBRACE,
    STATE(16958), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777639] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22139), 1,
      sym__lowercase_identifier,
    STATE(11300), 1,
      sym_class_type_path,
    STATE(16959), 1,
      sym_attribute,
    STATE(19991), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777662] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22139), 1,
      sym__lowercase_identifier,
    STATE(11324), 1,
      sym_class_type_path,
    STATE(16960), 1,
      sym_attribute,
    STATE(19991), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777685] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22143), 1,
      anon_sym_COLON_GT,
    ACTIONS(22145), 1,
      anon_sym_RPAREN,
    STATE(16961), 1,
      sym_attribute,
    STATE(19920), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777708] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22147), 1,
      anon_sym_DOT,
    STATE(16962), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777731] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22149), 1,
      sym__lowercase_identifier,
    STATE(9009), 1,
      sym_type_constructor_path,
    STATE(16963), 1,
      sym_attribute,
    STATE(19341), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777754] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21395), 1,
      sym__lowercase_identifier,
    ACTIONS(21397), 1,
      anon_sym_LBRACK,
    ACTIONS(21399), 1,
      anon_sym_virtual,
    STATE(13779), 1,
      sym_class_type_binding,
    STATE(16964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777777] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22151), 1,
      anon_sym_GT_RBRACE,
    STATE(16965), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777800] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(16966), 1,
      sym_attribute,
    STATE(19682), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22153), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [777821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13913), 1,
      anon_sym_and,
    STATE(16967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13911), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [777840] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21594), 1,
      sym__lowercase_identifier,
    STATE(8663), 1,
      sym_class_path,
    STATE(16968), 1,
      sym_attribute,
    STATE(22706), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777863] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22155), 1,
      anon_sym_RBRACK,
    ACTIONS(22157), 1,
      anon_sym_GT,
    STATE(16969), 1,
      sym_attribute,
    STATE(17156), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777886] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22128), 1,
      sym__lowercase_identifier,
    STATE(11503), 1,
      sym_class_type_path,
    STATE(16970), 1,
      sym_attribute,
    STATE(19546), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777909] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22159), 1,
      sym__lowercase_identifier,
    STATE(12737), 1,
      sym_class_type_path,
    STATE(16971), 1,
      sym_attribute,
    STATE(20214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777932] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22161), 1,
      anon_sym_RBRACK,
    STATE(16972), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777955] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22163), 1,
      anon_sym_DOT,
    STATE(16973), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777978] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22165), 1,
      anon_sym_DOT,
    STATE(16974), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778001] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22167), 1,
      anon_sym_COLON_GT,
    ACTIONS(22169), 1,
      anon_sym_RPAREN,
    STATE(16975), 1,
      sym_attribute,
    STATE(19839), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778024] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22159), 1,
      sym__lowercase_identifier,
    STATE(12785), 1,
      sym_class_type_path,
    STATE(16976), 1,
      sym_attribute,
    STATE(20214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778047] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22159), 1,
      sym__lowercase_identifier,
    STATE(12819), 1,
      sym_class_type_path,
    STATE(16977), 1,
      sym_attribute,
    STATE(20214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778070] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21409), 1,
      sym__lowercase_identifier,
    STATE(8563), 1,
      sym_class_path,
    STATE(16978), 1,
      sym_attribute,
    STATE(22108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778093] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22171), 1,
      anon_sym_DOT,
    STATE(16979), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778116] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22173), 1,
      anon_sym_COLON_GT,
    ACTIONS(22175), 1,
      anon_sym_RPAREN,
    STATE(16980), 1,
      sym_attribute,
    STATE(19678), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778139] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22177), 1,
      sym__lowercase_identifier,
    STATE(16193), 1,
      sym_class_type_path,
    STATE(16981), 1,
      sym_attribute,
    STATE(20061), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778162] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22179), 1,
      sym__lowercase_identifier,
    STATE(11169), 1,
      sym_class_type_path,
    STATE(16982), 1,
      sym_attribute,
    STATE(19639), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778185] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11286), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22181), 1,
      anon_sym_GT,
    STATE(16935), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778208] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22155), 1,
      anon_sym_RBRACK,
    ACTIONS(22157), 1,
      anon_sym_GT,
    STATE(16984), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778231] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15081), 1,
      anon_sym_in,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(16985), 1,
      sym_attribute,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778254] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21307), 1,
      sym__lowercase_identifier,
    STATE(4057), 1,
      sym_class_path,
    STATE(16986), 1,
      sym_attribute,
    STATE(21926), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778277] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    STATE(16987), 1,
      sym_attribute,
    STATE(17803), 1,
      sym_type_constructor_path,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778300] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22183), 1,
      sym__lowercase_identifier,
    STATE(12029), 1,
      sym_class_type_path,
    STATE(16988), 1,
      sym_attribute,
    STATE(19406), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778323] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22185), 1,
      sym__lowercase_identifier,
    STATE(15297), 1,
      sym_class_type_path,
    STATE(16989), 1,
      sym_attribute,
    STATE(19963), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778346] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21191), 1,
      sym__lowercase_identifier,
    STATE(3965), 1,
      sym_class_path,
    STATE(16990), 1,
      sym_attribute,
    STATE(21585), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778369] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22187), 1,
      sym__lowercase_identifier,
    STATE(12210), 1,
      sym_type_constructor_path,
    STATE(16991), 1,
      sym_attribute,
    STATE(20338), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778392] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18452), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(16992), 1,
      sym_attribute,
    STATE(19796), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778415] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22189), 1,
      sym__lowercase_identifier,
    STATE(15081), 1,
      sym_class_type_path,
    STATE(16993), 1,
      sym_attribute,
    STATE(19709), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778438] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22191), 1,
      anon_sym_GT_RBRACE,
    STATE(16994), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778461] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(22193), 1,
      sym__lowercase_identifier,
    STATE(8648), 1,
      sym_class_path,
    STATE(16995), 1,
      sym_attribute,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778484] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22195), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22197), 2,
      anon_sym_mutable,
      anon_sym_virtual,
    STATE(16996), 2,
      sym_attribute,
      aux_sym_instance_variable_specification_repeat1,
  [778503] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(16997), 1,
      sym_attribute,
    STATE(19971), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22200), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [778524] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22202), 1,
      anon_sym_COLON_GT,
    ACTIONS(22204), 1,
      anon_sym_RPAREN,
    STATE(16998), 1,
      sym_attribute,
    STATE(20314), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778547] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22206), 1,
      anon_sym_GT_RBRACE,
    STATE(16999), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778570] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22208), 1,
      anon_sym_RPAREN,
    STATE(17000), 1,
      sym_attribute,
    STATE(18198), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778593] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11280), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22210), 1,
      anon_sym_GT,
    STATE(17001), 1,
      sym_attribute,
    STATE(17011), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778616] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22212), 1,
      anon_sym_RBRACK,
    STATE(17002), 1,
      sym_attribute,
    STATE(17812), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778639] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22214), 1,
      anon_sym_DOT,
    STATE(17003), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778662] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22216), 1,
      anon_sym_DOT,
    STATE(17004), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778685] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22218), 1,
      anon_sym_COLON_GT,
    ACTIONS(22220), 1,
      anon_sym_RPAREN,
    STATE(17005), 1,
      sym_attribute,
    STATE(19199), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778708] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22222), 1,
      anon_sym_GT_RBRACE,
    STATE(17006), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778731] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22224), 1,
      anon_sym_DOT,
    STATE(17007), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778754] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(22226), 1,
      sym__lowercase_identifier,
    STATE(17008), 1,
      sym_attribute,
    STATE(19814), 1,
      sym_extended_module_path,
    STATE(19957), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778777] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21806), 1,
      anon_sym_BANG,
    ACTIONS(21808), 1,
      anon_sym__,
    STATE(16816), 1,
      sym_type_variable,
    STATE(17009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778800] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22228), 1,
      anon_sym_RBRACK,
    ACTIONS(22230), 1,
      anon_sym_GT,
    STATE(17010), 1,
      sym_attribute,
    STATE(17016), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778823] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22228), 1,
      anon_sym_RBRACK,
    ACTIONS(22230), 1,
      anon_sym_GT,
    STATE(17011), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778846] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(17012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15415), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [778867] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22232), 1,
      anon_sym_GT_RBRACE,
    STATE(17013), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778890] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22234), 1,
      sym__lowercase_identifier,
    STATE(14008), 1,
      sym_class_type_path,
    STATE(17014), 1,
      sym_attribute,
    STATE(19315), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778913] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22236), 1,
      anon_sym_RBRACK,
    STATE(17015), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778936] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22238), 1,
      anon_sym_RBRACK,
    ACTIONS(22240), 1,
      anon_sym_GT,
    STATE(17016), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778959] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22238), 1,
      anon_sym_RBRACK,
    STATE(17017), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778982] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22242), 1,
      anon_sym_COLON_GT,
    ACTIONS(22244), 1,
      anon_sym_RPAREN,
    STATE(17018), 1,
      sym_attribute,
    STATE(19679), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779005] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22246), 1,
      anon_sym_GT_RBRACE,
    STATE(17019), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779028] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22248), 1,
      anon_sym_RBRACK,
    STATE(17020), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779051] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22250), 1,
      anon_sym_DOT,
    STATE(17021), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779074] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22252), 1,
      anon_sym_RBRACK,
    STATE(17022), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779097] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22254), 1,
      anon_sym_COLON_GT,
    ACTIONS(22256), 1,
      anon_sym_RPAREN,
    STATE(17023), 1,
      sym_attribute,
    STATE(19285), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13948), 1,
      anon_sym_and,
    STATE(17024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13946), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [779139] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17025), 1,
      sym_attribute,
    STATE(20184), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22258), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [779160] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22234), 1,
      sym__lowercase_identifier,
    STATE(14063), 1,
      sym_class_type_path,
    STATE(17026), 1,
      sym_attribute,
    STATE(19315), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779183] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21373), 1,
      sym__lowercase_identifier,
    STATE(4326), 1,
      sym_class_path,
    STATE(17027), 1,
      sym_attribute,
    STATE(20498), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779206] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22234), 1,
      sym__lowercase_identifier,
    STATE(14095), 1,
      sym_class_type_path,
    STATE(17028), 1,
      sym_attribute,
    STATE(19315), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779229] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21526), 1,
      sym__lowercase_identifier,
    STATE(10992), 1,
      sym_class_path,
    STATE(17029), 1,
      sym_attribute,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779252] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22260), 1,
      sym__lowercase_identifier,
    STATE(11739), 1,
      sym_class_type_path,
    STATE(17030), 1,
      sym_attribute,
    STATE(20102), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779275] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22260), 1,
      sym__lowercase_identifier,
    STATE(11395), 1,
      sym_class_type_path,
    STATE(17031), 1,
      sym_attribute,
    STATE(20102), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779298] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22260), 1,
      sym__lowercase_identifier,
    STATE(11402), 1,
      sym_class_type_path,
    STATE(17032), 1,
      sym_attribute,
    STATE(20102), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779321] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22262), 1,
      anon_sym_GT_RBRACE,
    STATE(17033), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779344] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22264), 1,
      anon_sym_RPAREN,
    STATE(17034), 1,
      sym_attribute,
    STATE(18119), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779367] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22266), 1,
      sym__lowercase_identifier,
    ACTIONS(22268), 1,
      anon_sym_LPAREN,
    STATE(16514), 1,
      sym_parenthesized_operator,
    STATE(16639), 1,
      sym__value_name,
    STATE(17035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779390] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11347), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22270), 1,
      anon_sym_GT,
    STATE(17036), 1,
      sym_attribute,
    STATE(17047), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779413] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22272), 1,
      anon_sym_DOT,
    STATE(17037), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779436] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22274), 1,
      anon_sym_DOT,
    STATE(17038), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779459] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22276), 1,
      sym__lowercase_identifier,
    STATE(17039), 1,
      sym_attribute,
    STATE(17049), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21775), 2,
      anon_sym_private,
      anon_sym_virtual,
  [779480] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22278), 1,
      anon_sym_DOT,
    STATE(17040), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779503] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22280), 1,
      sym__lowercase_identifier,
    STATE(8773), 1,
      sym_type_constructor_path,
    STATE(17041), 1,
      sym_attribute,
    STATE(19183), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779526] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19957), 1,
      anon_sym_STAR,
    STATE(16942), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14473), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [779547] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22282), 1,
      anon_sym_RBRACK,
    STATE(17043), 1,
      sym_attribute,
    STATE(18603), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779570] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22284), 1,
      anon_sym_GT_RBRACE,
    STATE(17044), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779593] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22286), 1,
      sym__lowercase_identifier,
    STATE(12099), 1,
      sym_class_type_path,
    STATE(17045), 1,
      sym_attribute,
    STATE(19623), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779616] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22288), 1,
      anon_sym_RBRACK,
    ACTIONS(22290), 1,
      anon_sym_GT,
    STATE(17046), 1,
      sym_attribute,
    STATE(17069), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779639] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22288), 1,
      anon_sym_RBRACK,
    ACTIONS(22290), 1,
      anon_sym_GT,
    STATE(17047), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779662] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22292), 1,
      anon_sym_COLON_GT,
    ACTIONS(22294), 1,
      anon_sym_RPAREN,
    STATE(17048), 1,
      sym_attribute,
    STATE(19267), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779685] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22296), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22298), 2,
      anon_sym_private,
      anon_sym_virtual,
    STATE(17049), 2,
      sym_attribute,
      aux_sym_method_specification_repeat1,
  [779704] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22301), 1,
      anon_sym_COLON_GT,
    ACTIONS(22303), 1,
      anon_sym_RPAREN,
    STATE(17050), 1,
      sym_attribute,
    STATE(19072), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779727] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22128), 1,
      sym__lowercase_identifier,
    STATE(11554), 1,
      sym_class_type_path,
    STATE(17051), 1,
      sym_attribute,
    STATE(19546), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779750] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(22305), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779773] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17053), 1,
      sym_attribute,
    STATE(20404), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22307), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [779794] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22179), 1,
      sym__lowercase_identifier,
    STATE(11168), 1,
      sym_class_type_path,
    STATE(17054), 1,
      sym_attribute,
    STATE(19639), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779817] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22101), 1,
      anon_sym_as,
    STATE(17055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17871), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [779836] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22309), 1,
      anon_sym_DOT,
    STATE(17056), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779859] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22311), 1,
      anon_sym_DOT,
    STATE(17057), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779882] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22313), 1,
      anon_sym_RBRACK,
    ACTIONS(22315), 1,
      anon_sym_GT,
    STATE(17058), 1,
      sym_attribute,
    STATE(17206), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779905] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22317), 1,
      anon_sym_DOT,
    STATE(17059), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779928] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22319), 1,
      sym__lowercase_identifier,
    STATE(15607), 1,
      sym_class_type_path,
    STATE(17060), 1,
      sym_attribute,
    STATE(20015), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779951] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22321), 1,
      anon_sym_EQ,
    ACTIONS(22323), 1,
      anon_sym_RPAREN,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(17061), 1,
      sym_attribute,
    STATE(19570), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779974] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22327), 1,
      anon_sym_GT_RBRACE,
    STATE(17062), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779997] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22329), 1,
      sym__lowercase_identifier,
    STATE(16956), 1,
      aux_sym__abstract_type_repeat1,
    STATE(17063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22331), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [780018] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22333), 1,
      anon_sym_RPAREN,
    STATE(17064), 1,
      sym_attribute,
    STATE(18033), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780041] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22335), 1,
      anon_sym_RPAREN,
    STATE(17065), 1,
      sym_attribute,
    STATE(18217), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780064] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11284), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22337), 1,
      anon_sym_GT,
    STATE(17066), 1,
      sym_attribute,
    STATE(17079), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780087] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11172), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22339), 1,
      anon_sym_GT,
    STATE(17067), 1,
      sym_attribute,
    STATE(17116), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780110] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21319), 1,
      sym__lowercase_identifier,
    STATE(8142), 1,
      sym_class_path,
    STATE(17068), 1,
      sym_attribute,
    STATE(21623), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780133] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22341), 1,
      anon_sym_RBRACK,
    ACTIONS(22343), 1,
      anon_sym_GT,
    STATE(17069), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780156] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22345), 1,
      anon_sym_GT_RBRACE,
    STATE(17070), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780179] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22347), 1,
      anon_sym_GT_RBRACE,
    STATE(17071), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780202] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17072), 1,
      sym_attribute,
    STATE(19244), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22349), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [780223] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22341), 1,
      anon_sym_RBRACK,
    STATE(17073), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780246] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22351), 1,
      sym__lowercase_identifier,
    ACTIONS(22353), 1,
      anon_sym_RBRACE,
    ACTIONS(22355), 1,
      anon_sym_mutable,
    STATE(17074), 1,
      sym_attribute,
    STATE(19226), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780269] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22357), 1,
      anon_sym_GT_RBRACE,
    STATE(17075), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780292] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22359), 1,
      anon_sym_DOT,
    STATE(17076), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780315] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22361), 1,
      anon_sym_DOT,
    STATE(17077), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780338] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22363), 1,
      anon_sym_RBRACK,
    ACTIONS(22365), 1,
      anon_sym_GT,
    STATE(17078), 1,
      sym_attribute,
    STATE(17084), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780361] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22363), 1,
      anon_sym_RBRACK,
    ACTIONS(22365), 1,
      anon_sym_GT,
    STATE(17079), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780384] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22367), 1,
      anon_sym_DOT,
    STATE(17080), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780407] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22369), 1,
      anon_sym_COLON_GT,
    ACTIONS(22371), 1,
      anon_sym_RPAREN,
    STATE(17081), 1,
      sym_attribute,
    STATE(19878), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780430] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22373), 1,
      anon_sym_COLON_GT,
    ACTIONS(22375), 1,
      anon_sym_RPAREN,
    STATE(17082), 1,
      sym_attribute,
    STATE(19784), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780453] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22377), 1,
      anon_sym_RBRACK,
    STATE(17083), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780476] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22379), 1,
      anon_sym_RBRACK,
    ACTIONS(22381), 1,
      anon_sym_GT,
    STATE(17084), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780499] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22379), 1,
      anon_sym_RBRACK,
    STATE(17085), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780522] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22383), 1,
      anon_sym_GT_RBRACE,
    STATE(17086), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780545] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22385), 1,
      anon_sym_RBRACK,
    STATE(17087), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780568] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22387), 1,
      anon_sym_RBRACK,
    STATE(17088), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780591] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22268), 1,
      anon_sym_LPAREN,
    ACTIONS(22389), 1,
      sym__lowercase_identifier,
    STATE(17089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16448), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [780612] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22391), 1,
      anon_sym_GT_RBRACE,
    STATE(17090), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780635] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(22393), 1,
      anon_sym_DASH_GT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17091), 1,
      sym_attribute,
    STATE(17247), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780658] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21540), 1,
      sym__lowercase_identifier,
    STATE(7891), 1,
      sym_class_path,
    STATE(17092), 1,
      sym_attribute,
    STATE(20983), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780681] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22395), 1,
      sym__lowercase_identifier,
    STATE(11160), 1,
      sym_class_type_path,
    STATE(17093), 1,
      sym_attribute,
    STATE(20141), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780704] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22395), 1,
      sym__lowercase_identifier,
    STATE(10910), 1,
      sym_class_type_path,
    STATE(17094), 1,
      sym_attribute,
    STATE(20141), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780727] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22395), 1,
      sym__lowercase_identifier,
    STATE(10958), 1,
      sym_class_type_path,
    STATE(17095), 1,
      sym_attribute,
    STATE(20141), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780750] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22397), 1,
      sym__lowercase_identifier,
    STATE(11865), 1,
      sym_class_type_path,
    STATE(17096), 1,
      sym_attribute,
    STATE(19738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780773] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17097), 1,
      sym_attribute,
    STATE(19382), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22399), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [780794] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22286), 1,
      sym__lowercase_identifier,
    STATE(12128), 1,
      sym_class_type_path,
    STATE(17098), 1,
      sym_attribute,
    STATE(19623), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780817] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22401), 1,
      anon_sym_RBRACK,
    STATE(17099), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13954), 1,
      anon_sym_and,
    STATE(17100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13952), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [780859] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22179), 1,
      sym__lowercase_identifier,
    STATE(11077), 1,
      sym_class_type_path,
    STATE(17101), 1,
      sym_attribute,
    STATE(19639), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780882] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22403), 1,
      anon_sym_DOT,
    STATE(17102), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780905] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22405), 1,
      anon_sym_DOT,
    STATE(17103), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780928] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22313), 1,
      anon_sym_RBRACK,
    ACTIONS(22315), 1,
      anon_sym_GT,
    STATE(17104), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780951] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22407), 1,
      anon_sym_RBRACK,
    ACTIONS(22409), 1,
      anon_sym_GT,
    STATE(17105), 1,
      sym_attribute,
    STATE(17153), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780974] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22411), 1,
      sym__lowercase_identifier,
    STATE(17106), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(20460), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780997] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22413), 1,
      anon_sym_GT_RBRACE,
    STATE(17107), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781020] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22415), 1,
      anon_sym_DOT,
    STATE(17108), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781043] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22417), 1,
      anon_sym_GT_RBRACE,
    STATE(17109), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781066] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21281), 1,
      sym__lowercase_identifier,
    STATE(6489), 1,
      sym_class_path,
    STATE(17110), 1,
      sym_attribute,
    STATE(21851), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781089] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22419), 1,
      anon_sym_COLON_GT,
    ACTIONS(22421), 1,
      anon_sym_RPAREN,
    STATE(17111), 1,
      sym_attribute,
    STATE(19516), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781112] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22423), 1,
      anon_sym_GT_RBRACE,
    STATE(17112), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781135] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17113), 1,
      sym_attribute,
    STATE(19527), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22425), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [781156] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21468), 1,
      sym__lowercase_identifier,
    STATE(7141), 1,
      sym_class_path,
    STATE(17114), 1,
      sym_attribute,
    STATE(20736), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781179] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22427), 1,
      sym__lowercase_identifier,
    STATE(11518), 1,
      sym_class_type_path,
    STATE(17115), 1,
      sym_attribute,
    STATE(19924), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781202] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22407), 1,
      anon_sym_RBRACK,
    ACTIONS(22409), 1,
      anon_sym_GT,
    STATE(17116), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781225] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22429), 1,
      anon_sym_DOT,
    STATE(17117), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781248] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22431), 1,
      anon_sym_DOT,
    STATE(17118), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781271] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22116), 1,
      sym__lowercase_identifier,
    STATE(12972), 1,
      sym_class_type_path,
    STATE(17119), 1,
      sym_attribute,
    STATE(20059), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781294] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22433), 1,
      anon_sym_DOT,
    STATE(17120), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781317] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22427), 1,
      sym__lowercase_identifier,
    STATE(11595), 1,
      sym_class_type_path,
    STATE(17121), 1,
      sym_attribute,
    STATE(19924), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781340] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22435), 1,
      anon_sym_GT_RBRACE,
    STATE(17122), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781363] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22437), 1,
      anon_sym_RPAREN,
    STATE(17123), 1,
      sym_attribute,
    STATE(17857), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781386] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21331), 1,
      sym__lowercase_identifier,
    STATE(3810), 1,
      sym_class_path,
    STATE(17124), 1,
      sym_attribute,
    STATE(21963), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781409] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22439), 1,
      anon_sym_RPAREN,
    STATE(17125), 1,
      sym_attribute,
    STATE(18236), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781432] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11371), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22441), 1,
      anon_sym_GT,
    STATE(17126), 1,
      sym_attribute,
    STATE(17161), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781455] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11288), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22443), 1,
      anon_sym_GT,
    STATE(17127), 1,
      sym_attribute,
    STATE(17134), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781478] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22427), 1,
      sym__lowercase_identifier,
    STATE(11629), 1,
      sym_class_type_path,
    STATE(17128), 1,
      sym_attribute,
    STATE(19924), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781501] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22445), 1,
      anon_sym_GT_RBRACE,
    STATE(17129), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781524] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(21711), 1,
      anon_sym_RBRACK,
    STATE(17130), 1,
      sym_attribute,
    STATE(18906), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781547] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22447), 1,
      anon_sym_GT_RBRACE,
    STATE(17131), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781570] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22177), 1,
      sym__lowercase_identifier,
    STATE(16083), 1,
      sym_class_type_path,
    STATE(17132), 1,
      sym_attribute,
    STATE(20061), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781593] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22449), 1,
      anon_sym_RBRACK,
    ACTIONS(22451), 1,
      anon_sym_GT,
    STATE(17133), 1,
      sym_attribute,
    STATE(17139), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781616] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22449), 1,
      anon_sym_RBRACK,
    ACTIONS(22451), 1,
      anon_sym_GT,
    STATE(17134), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781639] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22453), 1,
      anon_sym_RBRACK,
    ACTIONS(22455), 1,
      anon_sym_GT,
    STATE(17135), 1,
      sym_attribute,
    STATE(17377), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781662] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    ACTIONS(22457), 1,
      anon_sym_EQ,
    ACTIONS(22459), 1,
      anon_sym_RPAREN,
    STATE(17136), 1,
      sym_attribute,
    STATE(19879), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781685] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22461), 1,
      anon_sym_RBRACK,
    ACTIONS(22463), 1,
      anon_sym_GT,
    STATE(17137), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781708] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22465), 1,
      sym__lowercase_identifier,
    STATE(10700), 1,
      sym_type_constructor_path,
    STATE(17138), 1,
      sym_attribute,
    STATE(19864), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781731] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22467), 1,
      anon_sym_RBRACK,
    ACTIONS(22469), 1,
      anon_sym_GT,
    STATE(17139), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781754] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22467), 1,
      anon_sym_RBRACK,
    STATE(17140), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781777] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22471), 1,
      anon_sym_RBRACK,
    STATE(17141), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781800] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22473), 1,
      anon_sym_RBRACK,
    STATE(17142), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781823] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22475), 1,
      anon_sym_RBRACK,
    STATE(17143), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781846] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21552), 1,
      sym__lowercase_identifier,
    STATE(7789), 1,
      sym_class_path,
    STATE(17144), 1,
      sym_attribute,
    STATE(21024), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781869] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22477), 1,
      anon_sym_COLON_GT,
    ACTIONS(22479), 1,
      anon_sym_RPAREN,
    STATE(17145), 1,
      sym_attribute,
    STATE(19831), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781892] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22481), 1,
      anon_sym_GT_RBRACE,
    STATE(17146), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781915] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22461), 1,
      anon_sym_RBRACK,
    STATE(17147), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781938] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22483), 1,
      anon_sym_COLON_GT,
    ACTIONS(22485), 1,
      anon_sym_RPAREN,
    STATE(17148), 1,
      sym_attribute,
    STATE(19548), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781961] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22487), 1,
      anon_sym_DOT,
    STATE(17149), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781984] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22351), 1,
      sym__lowercase_identifier,
    ACTIONS(22355), 1,
      anon_sym_mutable,
    ACTIONS(22489), 1,
      anon_sym_RBRACE,
    STATE(17150), 1,
      sym_attribute,
    STATE(19226), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782007] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22286), 1,
      sym__lowercase_identifier,
    STATE(12135), 1,
      sym_class_type_path,
    STATE(17151), 1,
      sym_attribute,
    STATE(19623), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782030] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15172), 1,
      anon_sym_in,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(17152), 1,
      sym_attribute,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782053] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22491), 1,
      anon_sym_RBRACK,
    ACTIONS(22493), 1,
      anon_sym_GT,
    STATE(17153), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782076] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22491), 1,
      anon_sym_RBRACK,
    STATE(17154), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782099] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22495), 1,
      anon_sym_GT_RBRACE,
    STATE(17155), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782122] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22497), 1,
      anon_sym_RBRACK,
    ACTIONS(22499), 1,
      anon_sym_GT,
    STATE(17156), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782145] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21395), 1,
      sym__lowercase_identifier,
    ACTIONS(21397), 1,
      anon_sym_LBRACK,
    ACTIONS(21399), 1,
      anon_sym_virtual,
    STATE(13180), 1,
      sym_class_type_binding,
    STATE(17157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(22501), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10025), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
    STATE(17158), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
  [782187] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22504), 1,
      anon_sym_COLON_GT,
    ACTIONS(22506), 1,
      anon_sym_RPAREN,
    STATE(17159), 1,
      sym_attribute,
    STATE(19853), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782210] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22508), 1,
      anon_sym_RBRACK,
    ACTIONS(22510), 1,
      anon_sym_GT,
    STATE(17160), 1,
      sym_attribute,
    STATE(17194), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782233] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22508), 1,
      anon_sym_RBRACK,
    ACTIONS(22510), 1,
      anon_sym_GT,
    STATE(17161), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782256] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22497), 1,
      anon_sym_RBRACK,
    STATE(17162), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782279] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22512), 1,
      anon_sym_GT_RBRACE,
    STATE(17163), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782302] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21319), 1,
      sym__lowercase_identifier,
    STATE(9225), 1,
      sym_class_path,
    STATE(17164), 1,
      sym_attribute,
    STATE(21623), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782325] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22260), 1,
      sym__lowercase_identifier,
    STATE(11661), 1,
      sym_class_type_path,
    STATE(17165), 1,
      sym_attribute,
    STATE(20102), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782348] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22514), 1,
      anon_sym_RBRACK,
    STATE(17166), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782371] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21241), 1,
      sym__lowercase_identifier,
    STATE(7416), 1,
      sym_class_path,
    STATE(17167), 1,
      sym_attribute,
    STATE(21775), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782394] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22516), 1,
      anon_sym_RBRACK,
    STATE(17168), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782417] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22177), 1,
      sym__lowercase_identifier,
    STATE(16130), 1,
      sym_class_type_path,
    STATE(17169), 1,
      sym_attribute,
    STATE(20061), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782440] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22518), 1,
      anon_sym_GT_RBRACE,
    STATE(17170), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782463] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22453), 1,
      anon_sym_RBRACK,
    ACTIONS(22455), 1,
      anon_sym_GT,
    STATE(17171), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782486] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22177), 1,
      sym__lowercase_identifier,
    STATE(16215), 1,
      sym_class_type_path,
    STATE(17172), 1,
      sym_attribute,
    STATE(20061), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782509] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22520), 1,
      anon_sym_COLON_GT,
    ACTIONS(22522), 1,
      anon_sym_RPAREN,
    STATE(17173), 1,
      sym_attribute,
    STATE(20339), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782532] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22524), 1,
      anon_sym_GT_RBRACE,
    STATE(17174), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782555] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22526), 1,
      anon_sym_RPAREN,
    STATE(17175), 1,
      sym_attribute,
    STATE(18250), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782578] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11295), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22528), 1,
      anon_sym_GT,
    STATE(17176), 1,
      sym_attribute,
    STATE(17183), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782601] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22530), 1,
      anon_sym_GT_RBRACE,
    STATE(17177), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782624] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22532), 1,
      anon_sym_GT_RBRACE,
    STATE(17178), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782647] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(22193), 1,
      sym__lowercase_identifier,
    STATE(8181), 1,
      sym_class_path,
    STATE(17179), 1,
      sym_attribute,
    STATE(23316), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782670] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15168), 1,
      anon_sym_in,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(17180), 1,
      sym_attribute,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782693] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21413), 1,
      sym__lowercase_identifier,
    STATE(5027), 1,
      sym_class_path,
    STATE(17181), 1,
      sym_attribute,
    STATE(20562), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782716] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22534), 1,
      anon_sym_RBRACK,
    ACTIONS(22536), 1,
      anon_sym_GT,
    STATE(17182), 1,
      sym_attribute,
    STATE(17188), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782739] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22534), 1,
      anon_sym_RBRACK,
    ACTIONS(22536), 1,
      anon_sym_GT,
    STATE(17183), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782762] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21347), 1,
      sym__lowercase_identifier,
    STATE(4144), 1,
      sym_class_path,
    STATE(17184), 1,
      sym_attribute,
    STATE(21997), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782785] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22189), 1,
      sym__lowercase_identifier,
    STATE(15148), 1,
      sym_class_type_path,
    STATE(17185), 1,
      sym_attribute,
    STATE(19709), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782808] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22189), 1,
      sym__lowercase_identifier,
    STATE(14966), 1,
      sym_class_type_path,
    STATE(17186), 1,
      sym_attribute,
    STATE(19709), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782831] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22538), 1,
      sym__lowercase_identifier,
    STATE(17187), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23519), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782854] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22540), 1,
      anon_sym_RBRACK,
    ACTIONS(22542), 1,
      anon_sym_GT,
    STATE(17188), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782877] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22540), 1,
      anon_sym_RBRACK,
    STATE(17189), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782900] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20856), 1,
      sym__lowercase_identifier,
    ACTIONS(20858), 1,
      anon_sym_LBRACK,
    ACTIONS(20860), 1,
      anon_sym_virtual,
    STATE(13647), 1,
      sym_class_binding,
    STATE(17190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782923] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22544), 1,
      anon_sym_RPAREN,
    STATE(17191), 1,
      sym_attribute,
    STATE(18095), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782946] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22546), 1,
      anon_sym_RBRACK,
    STATE(17192), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782969] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22548), 1,
      anon_sym_RBRACK,
    STATE(17193), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782992] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22550), 1,
      anon_sym_RBRACK,
    ACTIONS(22552), 1,
      anon_sym_GT,
    STATE(17194), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783015] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21564), 1,
      sym__lowercase_identifier,
    STATE(11667), 1,
      sym_class_path,
    STATE(17195), 1,
      sym_attribute,
    STATE(21065), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783038] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22550), 1,
      anon_sym_RBRACK,
    STATE(17196), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783061] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21319), 1,
      sym__lowercase_identifier,
    STATE(9250), 1,
      sym_class_path,
    STATE(17197), 1,
      sym_attribute,
    STATE(21623), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783084] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22554), 1,
      sym__lowercase_identifier,
    STATE(13007), 1,
      sym_class_type_path,
    STATE(17198), 1,
      sym_attribute,
    STATE(19261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783107] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17199), 1,
      sym_attribute,
    STATE(19187), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22556), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [783128] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(17200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(20963), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [783149] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22558), 1,
      anon_sym_RBRACK,
    STATE(17201), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783172] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20654), 1,
      sym__lowercase_identifier,
    ACTIONS(20656), 1,
      anon_sym_LBRACK,
    ACTIONS(20658), 1,
      anon_sym_virtual,
    STATE(15004), 1,
      sym_class_binding,
    STATE(17202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783195] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22560), 1,
      anon_sym_RBRACK,
    STATE(17203), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783218] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20542), 1,
      sym__lowercase_identifier,
    ACTIONS(20546), 1,
      anon_sym_LBRACK,
    ACTIONS(20548), 1,
      anon_sym_virtual,
    STATE(13647), 1,
      sym_class_binding,
    STATE(17204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783241] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22562), 1,
      sym__lowercase_identifier,
    STATE(12911), 1,
      sym_class_type_path,
    STATE(17205), 1,
      sym_attribute,
    STATE(19788), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783264] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22564), 1,
      anon_sym_RBRACK,
    ACTIONS(22566), 1,
      anon_sym_GT,
    STATE(17206), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783287] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17207), 1,
      sym_attribute,
    STATE(19683), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22568), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [783308] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22570), 1,
      sym__lowercase_identifier,
    ACTIONS(22572), 1,
      anon_sym_LPAREN,
    STATE(6857), 1,
      sym_parenthesized_operator,
    STATE(6899), 1,
      sym__value_name,
    STATE(17208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783331] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22574), 1,
      anon_sym_GT_RBRACE,
    STATE(17209), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783354] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22576), 1,
      anon_sym_COLON_GT,
    ACTIONS(22578), 1,
      anon_sym_RPAREN,
    STATE(17210), 1,
      sym_attribute,
    STATE(20122), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783377] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22189), 1,
      sym__lowercase_identifier,
    STATE(14976), 1,
      sym_class_type_path,
    STATE(17211), 1,
      sym_attribute,
    STATE(19709), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783400] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(22393), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783423] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21566), 1,
      sym__lowercase_identifier,
    STATE(8846), 1,
      sym_class_path,
    STATE(17213), 1,
      sym_attribute,
    STATE(20954), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783446] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(22580), 1,
      aux_sym_attribute_id_token1,
    STATE(17214), 1,
      sym_attribute,
    STATE(17336), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9995), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [783467] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15850), 1,
      anon_sym_in,
    ACTIONS(22124), 1,
      anon_sym_and,
    ACTIONS(22126), 1,
      sym_let_and_operator,
    STATE(17215), 1,
      sym_attribute,
    STATE(17357), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783490] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21665), 1,
      sym__lowercase_identifier,
    STATE(5552), 1,
      sym_class_path,
    STATE(17216), 1,
      sym_attribute,
    STATE(22923), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783513] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22582), 1,
      anon_sym_COLON_GT,
    ACTIONS(22584), 1,
      anon_sym_RPAREN,
    STATE(17217), 1,
      sym_attribute,
    STATE(19966), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783536] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22101), 1,
      anon_sym_as,
    STATE(17218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18272), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [783555] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22586), 1,
      sym__lowercase_identifier,
    STATE(11935), 1,
      sym_class_type_path,
    STATE(17219), 1,
      sym_attribute,
    STATE(19082), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783578] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22395), 1,
      sym__lowercase_identifier,
    STATE(11134), 1,
      sym_class_type_path,
    STATE(17220), 1,
      sym_attribute,
    STATE(20141), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783601] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22586), 1,
      sym__lowercase_identifier,
    STATE(11950), 1,
      sym_class_type_path,
    STATE(17221), 1,
      sym_attribute,
    STATE(19082), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783624] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22586), 1,
      sym__lowercase_identifier,
    STATE(11958), 1,
      sym_class_type_path,
    STATE(17222), 1,
      sym_attribute,
    STATE(19082), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783647] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22588), 1,
      anon_sym_DOT,
    STATE(17223), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783670] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22590), 1,
      anon_sym_GT_RBRACE,
    STATE(17224), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783693] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22592), 1,
      anon_sym_DOT,
    STATE(17225), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783716] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22594), 1,
      anon_sym_GT_RBRACE,
    STATE(17226), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783739] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22596), 1,
      anon_sym_DOT,
    STATE(17227), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783762] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22128), 1,
      sym__lowercase_identifier,
    STATE(14651), 1,
      sym_class_type_path,
    STATE(17228), 1,
      sym_attribute,
    STATE(19546), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783785] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22598), 1,
      anon_sym_RPAREN,
    STATE(17229), 1,
      sym_attribute,
    STATE(18261), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783808] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11297), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22600), 1,
      anon_sym_GT,
    STATE(17230), 1,
      sym_attribute,
    STATE(17239), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783831] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22351), 1,
      sym__lowercase_identifier,
    ACTIONS(22355), 1,
      anon_sym_mutable,
    ACTIONS(22602), 1,
      anon_sym_RBRACE,
    STATE(17231), 1,
      sym_attribute,
    STATE(19226), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783854] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22604), 1,
      anon_sym_GT_RBRACE,
    STATE(17232), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783877] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22606), 1,
      anon_sym_RBRACK,
    STATE(17233), 1,
      sym_attribute,
    STATE(17693), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783900] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22608), 1,
      anon_sym_GT_RBRACE,
    STATE(17234), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783923] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22610), 1,
      anon_sym_RPAREN,
    STATE(17235), 1,
      sym_attribute,
    STATE(18141), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783946] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22564), 1,
      anon_sym_RBRACK,
    STATE(17236), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783969] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11146), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22612), 1,
      anon_sym_GT,
    STATE(17237), 1,
      sym_attribute,
    STATE(17257), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783992] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22614), 1,
      anon_sym_RBRACK,
    ACTIONS(22616), 1,
      anon_sym_GT,
    STATE(17238), 1,
      sym_attribute,
    STATE(17244), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784015] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22614), 1,
      anon_sym_RBRACK,
    ACTIONS(22616), 1,
      anon_sym_GT,
    STATE(17239), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784038] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22618), 1,
      anon_sym_DOT,
    STATE(17240), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784061] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15176), 1,
      anon_sym_in,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(17241), 1,
      sym_attribute,
    STATE(17425), 1,
      aux_sym_expression_item_repeat1,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784084] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    STATE(17242), 1,
      sym_attribute,
    STATE(17721), 1,
      sym_type_constructor_path,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784107] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22620), 1,
      anon_sym_GT_RBRACE,
    STATE(17243), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784130] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22622), 1,
      anon_sym_RBRACK,
    ACTIONS(22624), 1,
      anon_sym_GT,
    STATE(17244), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784153] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22622), 1,
      anon_sym_RBRACK,
    STATE(17245), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784176] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(22226), 1,
      sym__lowercase_identifier,
    STATE(17246), 1,
      sym_attribute,
    STATE(19337), 1,
      sym_module_type_path,
    STATE(19814), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784199] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(22626), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784222] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22628), 1,
      anon_sym_RBRACK,
    STATE(17248), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784245] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22630), 1,
      anon_sym_GT_RBRACE,
    STATE(17249), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784268] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22632), 1,
      anon_sym_RBRACK,
    STATE(17250), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784291] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22634), 1,
      anon_sym_rec,
    STATE(17251), 1,
      sym_attribute,
    STATE(18598), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21429), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784312] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21582), 1,
      sym__lowercase_identifier,
    STATE(8017), 1,
      sym_class_path,
    STATE(17252), 1,
      sym_attribute,
    STATE(21106), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784335] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22636), 1,
      anon_sym_GT_RBRACE,
    STATE(17253), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784358] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22638), 1,
      anon_sym_DOT,
    STATE(17254), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784381] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(17255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15520), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [784402] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22640), 1,
      anon_sym_RBRACK,
    ACTIONS(22642), 1,
      anon_sym_GT,
    STATE(17256), 1,
      sym_attribute,
    STATE(17265), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784425] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22640), 1,
      anon_sym_RBRACK,
    ACTIONS(22642), 1,
      anon_sym_GT,
    STATE(17257), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784448] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__lowercase_identifier,
    ACTIONS(20738), 1,
      anon_sym_LBRACK,
    ACTIONS(20740), 1,
      anon_sym_virtual,
    STATE(14273), 1,
      sym_class_binding,
    STATE(17258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784471] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21393), 1,
      sym__lowercase_identifier,
    STATE(9422), 1,
      sym_class_path,
    STATE(17259), 1,
      sym_attribute,
    STATE(21386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784494] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22644), 1,
      sym__lowercase_identifier,
    STATE(6772), 1,
      sym_type_constructor_path,
    STATE(17260), 1,
      sym_attribute,
    STATE(19622), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784517] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15646), 1,
      anon_sym_in,
    ACTIONS(22646), 1,
      anon_sym_and,
    ACTIONS(22649), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17261), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
  [784538] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22652), 1,
      anon_sym_GT_RBRACE,
    STATE(17262), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784561] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22654), 1,
      anon_sym_RBRACK,
    STATE(17263), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784584] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22656), 1,
      anon_sym_RBRACK,
    STATE(17264), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784607] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22658), 1,
      anon_sym_RBRACK,
    ACTIONS(22660), 1,
      anon_sym_GT,
    STATE(17265), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784630] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22662), 1,
      anon_sym_COLON_GT,
    ACTIONS(22664), 1,
      anon_sym_RPAREN,
    STATE(17266), 1,
      sym_attribute,
    STATE(19120), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784653] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22666), 1,
      anon_sym_COLON_GT,
    ACTIONS(22668), 1,
      anon_sym_RPAREN,
    STATE(17267), 1,
      sym_attribute,
    STATE(20392), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784676] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22658), 1,
      anon_sym_RBRACK,
    STATE(17268), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784699] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22670), 1,
      anon_sym_RBRACK,
    STATE(17269), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784722] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22039), 1,
      anon_sym_RBRACK,
    STATE(17270), 1,
      sym_attribute,
    STATE(18363), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784745] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22351), 1,
      sym__lowercase_identifier,
    ACTIONS(22355), 1,
      anon_sym_mutable,
    ACTIONS(22672), 1,
      anon_sym_RBRACE,
    STATE(17271), 1,
      sym_attribute,
    STATE(19226), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784768] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20654), 1,
      sym__lowercase_identifier,
    ACTIONS(20656), 1,
      anon_sym_LBRACK,
    ACTIONS(20658), 1,
      anon_sym_virtual,
    STATE(13647), 1,
      sym_class_binding,
    STATE(17272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784791] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22674), 1,
      anon_sym_RBRACK,
    STATE(17273), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784814] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22234), 1,
      sym__lowercase_identifier,
    STATE(14075), 1,
      sym_class_type_path,
    STATE(17274), 1,
      sym_attribute,
    STATE(19315), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784837] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21480), 1,
      sym__lowercase_identifier,
    STATE(8362), 1,
      sym_class_path,
    STATE(17275), 1,
      sym_attribute,
    STATE(22306), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784860] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22676), 1,
      anon_sym_RBRACK,
    STATE(17276), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784883] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21359), 1,
      sym__lowercase_identifier,
    STATE(4182), 1,
      sym_class_path,
    STATE(17277), 1,
      sym_attribute,
    STATE(22015), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784906] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22678), 1,
      sym__lowercase_identifier,
    STATE(9605), 1,
      sym_type_constructor_path,
    STATE(17278), 1,
      sym_attribute,
    STATE(19661), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784929] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22680), 1,
      anon_sym_GT_RBRACE,
    STATE(17279), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784952] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21482), 1,
      sym__lowercase_identifier,
    STATE(6233), 1,
      sym_class_path,
    STATE(17280), 1,
      sym_attribute,
    STATE(20790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784975] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22682), 1,
      anon_sym_COLON_GT,
    ACTIONS(22684), 1,
      anon_sym_RPAREN,
    STATE(17281), 1,
      sym_attribute,
    STATE(19787), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784998] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22185), 1,
      sym__lowercase_identifier,
    STATE(15247), 1,
      sym_class_type_path,
    STATE(17282), 1,
      sym_attribute,
    STATE(19963), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785021] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22185), 1,
      sym__lowercase_identifier,
    STATE(15282), 1,
      sym_class_type_path,
    STATE(17283), 1,
      sym_attribute,
    STATE(19963), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785044] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22686), 1,
      anon_sym_GT_RBRACE,
    STATE(17284), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785067] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22185), 1,
      sym__lowercase_identifier,
    STATE(15293), 1,
      sym_class_type_path,
    STATE(17285), 1,
      sym_attribute,
    STATE(19963), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785090] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22688), 1,
      anon_sym_COLON_GT,
    ACTIONS(22690), 1,
      anon_sym_RPAREN,
    STATE(17286), 1,
      sym_attribute,
    STATE(20249), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785113] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(10896), 1,
      anon_sym_COMMA,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    STATE(17287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785136] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22694), 1,
      anon_sym_DOT,
    STATE(17288), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785159] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22696), 1,
      anon_sym_COLON_GT,
    ACTIONS(22698), 1,
      anon_sym_RPAREN,
    STATE(17289), 1,
      sym_attribute,
    STATE(19240), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785182] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22700), 1,
      anon_sym_RBRACK,
    STATE(17290), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785205] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22397), 1,
      sym__lowercase_identifier,
    STATE(11954), 1,
      sym_class_type_path,
    STATE(17291), 1,
      sym_attribute,
    STATE(19738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785228] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22702), 1,
      sym__lowercase_identifier,
    STATE(11554), 1,
      sym_class_type_path,
    STATE(17292), 1,
      sym_attribute,
    STATE(20244), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785251] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22704), 1,
      anon_sym_COLON_GT,
    ACTIONS(22706), 1,
      anon_sym_RPAREN,
    STATE(17293), 1,
      sym_attribute,
    STATE(19779), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785274] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21596), 1,
      sym__lowercase_identifier,
    STATE(7625), 1,
      sym_class_path,
    STATE(17294), 1,
      sym_attribute,
    STATE(21147), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785297] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21161), 1,
      sym__lowercase_identifier,
    STATE(6446), 1,
      sym_class_path,
    STATE(17295), 1,
      sym_attribute,
    STATE(23219), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785320] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22708), 1,
      anon_sym_GT_RBRACE,
    STATE(17296), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785343] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22710), 1,
      anon_sym_GT_RBRACE,
    STATE(17297), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785366] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22712), 1,
      anon_sym_RBRACK,
    STATE(17298), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785389] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22139), 1,
      sym__lowercase_identifier,
    STATE(11227), 1,
      sym_class_type_path,
    STATE(17299), 1,
      sym_attribute,
    STATE(19991), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785412] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22702), 1,
      sym__lowercase_identifier,
    STATE(11503), 1,
      sym_class_type_path,
    STATE(17300), 1,
      sym_attribute,
    STATE(20244), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785435] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19248), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    STATE(17301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785458] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22714), 1,
      anon_sym_GT_RBRACE,
    STATE(17302), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785481] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19376), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    STATE(17303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785504] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22716), 1,
      anon_sym_GT_RBRACE,
    STATE(17304), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785527] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22718), 1,
      anon_sym_RBRACK,
    STATE(17305), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785550] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19100), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    STATE(17306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785573] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18452), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(17307), 1,
      sym_attribute,
    STATE(19176), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785596] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22720), 1,
      sym__lowercase_identifier,
    STATE(17308), 1,
      sym_attribute,
    STATE(17309), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21775), 2,
      anon_sym_private,
      anon_sym_virtual,
  [785617] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22722), 1,
      sym__lowercase_identifier,
    STATE(17049), 1,
      aux_sym_method_specification_repeat1,
    STATE(17309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21775), 2,
      anon_sym_private,
      anon_sym_virtual,
  [785638] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22724), 1,
      anon_sym_COLON_GT,
    ACTIONS(22726), 1,
      anon_sym_RPAREN,
    STATE(17310), 1,
      sym_attribute,
    STATE(19189), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785661] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22728), 1,
      sym__lowercase_identifier,
    STATE(17311), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23537), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785684] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22730), 1,
      anon_sym_GT_RBRACE,
    STATE(17312), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785707] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22732), 1,
      anon_sym_DOT,
    STATE(17313), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785730] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22734), 1,
      anon_sym_GT_RBRACE,
    STATE(17314), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785753] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    STATE(17315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19084), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [785772] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22397), 1,
      sym__lowercase_identifier,
    STATE(11742), 1,
      sym_class_type_path,
    STATE(17316), 1,
      sym_attribute,
    STATE(19738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785795] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22736), 1,
      anon_sym_COLON_GT,
    ACTIONS(22738), 1,
      anon_sym_RPAREN,
    STATE(17317), 1,
      sym_attribute,
    STATE(20145), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785818] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22740), 1,
      anon_sym_GT_RBRACE,
    STATE(17318), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785841] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17319), 1,
      sym_attribute,
    STATE(19989), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22742), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [785862] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11293), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22744), 1,
      anon_sym_GT,
    STATE(17104), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785885] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22397), 1,
      sym__lowercase_identifier,
    STATE(11754), 1,
      sym_class_type_path,
    STATE(17321), 1,
      sym_attribute,
    STATE(19738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785908] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22746), 1,
      anon_sym_GT_RBRACE,
    STATE(17322), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785931] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21450), 1,
      sym__lowercase_identifier,
    STATE(7731), 1,
      sym_class_path,
    STATE(17323), 1,
      sym_attribute,
    STATE(20681), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785954] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22748), 1,
      anon_sym_GT_RBRACE,
    STATE(17324), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785977] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22750), 1,
      anon_sym_COLON_GT,
    ACTIONS(22752), 1,
      anon_sym_RPAREN,
    STATE(17325), 1,
      sym_attribute,
    STATE(19070), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786000] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(22754), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786023] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22756), 1,
      anon_sym_RPAREN,
    STATE(17327), 1,
      sym_attribute,
    STATE(17979), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786046] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22758), 1,
      sym__lowercase_identifier,
    STATE(13118), 1,
      sym_class_type_path,
    STATE(17328), 1,
      sym_attribute,
    STATE(19540), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786069] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22760), 1,
      anon_sym_COLON_GT,
    ACTIONS(22762), 1,
      anon_sym_RPAREN,
    STATE(17329), 1,
      sym_attribute,
    STATE(19361), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786092] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22764), 1,
      sym__lowercase_identifier,
    STATE(12298), 1,
      sym_class_type_path,
    STATE(17330), 1,
      sym_attribute,
    STATE(20103), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786115] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22766), 1,
      anon_sym_RPAREN,
    STATE(17331), 1,
      sym_attribute,
    STATE(17903), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786138] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21610), 1,
      sym__lowercase_identifier,
    STATE(4988), 1,
      sym_class_path,
    STATE(17332), 1,
      sym_attribute,
    STATE(21188), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786161] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22768), 1,
      anon_sym_GT_RBRACE,
    STATE(17333), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786184] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11270), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22770), 1,
      anon_sym_GT,
    STATE(17334), 1,
      sym_attribute,
    STATE(17361), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786207] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22772), 1,
      anon_sym_DOT,
    STATE(17335), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786230] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(22580), 1,
      aux_sym_attribute_id_token1,
    STATE(17158), 1,
      aux_sym_attribute_id_repeat1,
    STATE(17336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10017), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [786251] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15748), 1,
      anon_sym_in,
    ACTIONS(22124), 1,
      anon_sym_and,
    ACTIONS(22126), 1,
      sym_let_and_operator,
    STATE(17337), 1,
      sym_attribute,
    STATE(17387), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786274] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22774), 1,
      anon_sym_DOT,
    STATE(17338), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786297] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22128), 1,
      sym__lowercase_identifier,
    STATE(14692), 1,
      sym_class_type_path,
    STATE(17339), 1,
      sym_attribute,
    STATE(19546), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786320] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22101), 1,
      anon_sym_as,
    STATE(17340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17875), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [786339] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    STATE(17341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22776), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [786358] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22778), 1,
      anon_sym_RBRACK,
    STATE(17342), 1,
      sym_attribute,
    STATE(17758), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786381] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22780), 1,
      anon_sym_GT_RBRACE,
    STATE(17343), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786404] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22782), 1,
      anon_sym_RBRACK,
    STATE(17344), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786427] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20542), 1,
      sym__lowercase_identifier,
    ACTIONS(20546), 1,
      anon_sym_LBRACK,
    ACTIONS(20548), 1,
      anon_sym_virtual,
    STATE(14300), 1,
      sym_class_binding,
    STATE(17345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786450] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21243), 1,
      sym__lowercase_identifier,
    STATE(8707), 1,
      sym_class_path,
    STATE(17346), 1,
      sym_attribute,
    STATE(21790), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786473] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22784), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22776), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(17347), 2,
      sym_attribute,
      aux_sym_instantiated_class_type_repeat1,
  [786492] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22787), 1,
      anon_sym_COLON_GT,
    ACTIONS(22789), 1,
      anon_sym_RPAREN,
    STATE(17348), 1,
      sym_attribute,
    STATE(19319), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786515] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22791), 1,
      anon_sym_GT_RBRACE,
    STATE(17349), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786538] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22793), 1,
      anon_sym_DOT,
    STATE(17350), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786561] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22795), 1,
      anon_sym_RPAREN,
    STATE(17351), 1,
      sym_attribute,
    STATE(17818), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786584] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18897), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15762), 1,
      sym__value_name,
    STATE(17352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786607] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22797), 1,
      anon_sym_RPAREN,
    STATE(17353), 1,
      sym_attribute,
    STATE(19061), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786630] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11345), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22799), 1,
      anon_sym_GT,
    STATE(17354), 1,
      sym_attribute,
    STATE(17569), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786653] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22801), 1,
      anon_sym_RBRACK,
    ACTIONS(22803), 1,
      anon_sym_GT,
    STATE(17355), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786676] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22805), 1,
      anon_sym_GT_RBRACE,
    STATE(17356), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786699] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15748), 1,
      anon_sym_in,
    ACTIONS(22124), 1,
      anon_sym_and,
    ACTIONS(22126), 1,
      sym_let_and_operator,
    STATE(17261), 1,
      aux_sym_value_definition_repeat1,
    STATE(17357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786722] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22807), 1,
      anon_sym_GT_RBRACE,
    STATE(17358), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786745] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22809), 1,
      anon_sym_GT_RBRACE,
    STATE(17359), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786768] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22811), 1,
      anon_sym_RBRACK,
    ACTIONS(22813), 1,
      anon_sym_GT,
    STATE(17360), 1,
      sym_attribute,
    STATE(17375), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786791] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22811), 1,
      anon_sym_RBRACK,
    ACTIONS(22813), 1,
      anon_sym_GT,
    STATE(17361), 1,
      sym_attribute,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786814] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22815), 1,
      anon_sym_GT_RBRACE,
    STATE(17362), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786837] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22817), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22820), 2,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(17363), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat1,
  [786856] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22822), 1,
      anon_sym_GT_RBRACE,
    STATE(17364), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786879] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22824), 1,
      sym__lowercase_identifier,
    STATE(10844), 1,
      sym_class_type_path,
    STATE(17365), 1,
      sym_attribute,
    STATE(19855), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786902] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22801), 1,
      anon_sym_RBRACK,
    STATE(17366), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786925] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    STATE(15473), 1,
      sym_type_constructor_path,
    STATE(17367), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786948] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11323), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22826), 1,
      anon_sym_GT,
    STATE(17368), 1,
      sym_attribute,
    STATE(17559), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786971] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(12823), 1,
      sym__lowercase_identifier,
    STATE(16466), 1,
      sym_type_constructor_path,
    STATE(17369), 1,
      sym_attribute,
    STATE(19595), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786994] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22824), 1,
      sym__lowercase_identifier,
    STATE(10855), 1,
      sym_class_type_path,
    STATE(17370), 1,
      sym_attribute,
    STATE(19855), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787017] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21627), 1,
      sym__lowercase_identifier,
    STATE(4415), 1,
      sym_class_path,
    STATE(17371), 1,
      sym_attribute,
    STATE(21229), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787040] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22828), 1,
      anon_sym_GT_RBRACE,
    STATE(17372), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787063] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22830), 1,
      anon_sym_RPAREN,
    STATE(17373), 1,
      sym_attribute,
    STATE(18160), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787086] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11196), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22832), 1,
      anon_sym_GT,
    STATE(17374), 1,
      sym_attribute,
    STATE(17419), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787109] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22834), 1,
      anon_sym_RBRACK,
    ACTIONS(22836), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787132] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22834), 1,
      anon_sym_RBRACK,
    STATE(17376), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787155] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22838), 1,
      anon_sym_RBRACK,
    ACTIONS(22840), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787178] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15756), 1,
      anon_sym_in,
    ACTIONS(22124), 1,
      anon_sym_and,
    ACTIONS(22126), 1,
      sym_let_and_operator,
    STATE(16953), 1,
      aux_sym_value_definition_repeat1,
    STATE(17378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787201] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22842), 1,
      anon_sym_DOT,
    STATE(17379), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787224] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    ACTIONS(22844), 1,
      anon_sym_EQ,
    ACTIONS(22846), 1,
      anon_sym_RPAREN,
    STATE(17380), 1,
      sym_attribute,
    STATE(20240), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787247] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22848), 1,
      anon_sym_GT_RBRACE,
    STATE(17381), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787270] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22850), 1,
      anon_sym_COLON_GT,
    ACTIONS(22852), 1,
      anon_sym_RPAREN,
    STATE(17382), 1,
      sym_attribute,
    STATE(19664), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787293] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22854), 1,
      anon_sym_COLON_GT,
    ACTIONS(22856), 1,
      anon_sym_RPAREN,
    STATE(17383), 1,
      sym_attribute,
    STATE(19587), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787316] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22858), 1,
      anon_sym_RBRACK,
    STATE(17384), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787339] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(22860), 1,
      anon_sym_DASH_GT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17385), 1,
      sym_attribute,
    STATE(17600), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787362] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22862), 1,
      anon_sym_RBRACK,
    STATE(17386), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787385] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15756), 1,
      anon_sym_in,
    ACTIONS(22124), 1,
      anon_sym_and,
    ACTIONS(22126), 1,
      sym_let_and_operator,
    STATE(17261), 1,
      aux_sym_value_definition_repeat1,
    STATE(17387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787408] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(22860), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787431] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22864), 1,
      anon_sym_RPAREN,
    STATE(17389), 1,
      sym_attribute,
    STATE(18066), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787454] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22866), 1,
      anon_sym_RPAREN,
    STATE(17390), 1,
      sym_attribute,
    STATE(18004), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787477] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22868), 1,
      sym__lowercase_identifier,
    ACTIONS(22870), 1,
      anon_sym_LPAREN,
    STATE(6914), 1,
      sym__value_name,
    STATE(6933), 1,
      sym_parenthesized_operator,
    STATE(17391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787500] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(22872), 1,
      anon_sym_with,
    STATE(17392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787523] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    ACTIONS(21812), 1,
      sym__lowercase_identifier,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(15762), 1,
      sym__value_name,
    STATE(17393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787546] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20914), 1,
      sym__lowercase_identifier,
    ACTIONS(20916), 1,
      anon_sym_LBRACK,
    ACTIONS(20918), 1,
      anon_sym_virtual,
    STATE(14168), 1,
      sym_class_binding,
    STATE(17394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787569] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22838), 1,
      anon_sym_RBRACK,
    STATE(17395), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787592] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22874), 1,
      anon_sym_GT_RBRACE,
    STATE(17396), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787615] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22876), 1,
      anon_sym_GT_RBRACE,
    STATE(17397), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787638] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22878), 1,
      anon_sym_GT,
    STATE(17398), 1,
      sym_attribute,
    STATE(17421), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787661] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22880), 1,
      anon_sym_COLON_GT,
    ACTIONS(22882), 1,
      anon_sym_RPAREN,
    STATE(17399), 1,
      sym_attribute,
    STATE(19755), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787684] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    ACTIONS(22884), 1,
      anon_sym_EQ,
    ACTIONS(22886), 1,
      anon_sym_RPAREN,
    STATE(17400), 1,
      sym_attribute,
    STATE(19173), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787707] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20914), 1,
      sym__lowercase_identifier,
    ACTIONS(20916), 1,
      anon_sym_LBRACK,
    ACTIONS(20918), 1,
      anon_sym_virtual,
    STATE(13647), 1,
      sym_class_binding,
    STATE(17401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787730] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22888), 1,
      anon_sym_GT_RBRACE,
    STATE(17402), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787753] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21187), 1,
      sym__lowercase_identifier,
    STATE(5658), 1,
      sym_class_path,
    STATE(17403), 1,
      sym_attribute,
    STATE(23128), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787776] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11130), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22890), 1,
      anon_sym_GT,
    STATE(17404), 1,
      sym_attribute,
    STATE(17478), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787799] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22554), 1,
      sym__lowercase_identifier,
    STATE(13194), 1,
      sym_class_type_path,
    STATE(17405), 1,
      sym_attribute,
    STATE(19261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787822] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22892), 1,
      anon_sym_GT_RBRACE,
    STATE(17406), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787845] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22894), 1,
      anon_sym_GT_RBRACE,
    STATE(17407), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787868] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21255), 1,
      sym__lowercase_identifier,
    STATE(8552), 1,
      sym_class_path,
    STATE(17408), 1,
      sym_attribute,
    STATE(21270), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787891] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22764), 1,
      sym__lowercase_identifier,
    STATE(12685), 1,
      sym_class_type_path,
    STATE(17409), 1,
      sym_attribute,
    STATE(20103), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787914] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22554), 1,
      sym__lowercase_identifier,
    STATE(13027), 1,
      sym_class_type_path,
    STATE(17410), 1,
      sym_attribute,
    STATE(19261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787937] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22554), 1,
      sym__lowercase_identifier,
    STATE(13049), 1,
      sym_class_type_path,
    STATE(17411), 1,
      sym_attribute,
    STATE(19261), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787960] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21215), 1,
      sym__lowercase_identifier,
    STATE(4873), 1,
      sym_class_path,
    STATE(17412), 1,
      sym_attribute,
    STATE(21699), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787983] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22896), 1,
      anon_sym_GT_RBRACE,
    STATE(17413), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788006] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21639), 1,
      sym__lowercase_identifier,
    STATE(5184), 1,
      sym_class_path,
    STATE(17414), 1,
      sym_attribute,
    STATE(21311), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788029] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22898), 1,
      anon_sym_RBRACK,
    ACTIONS(22900), 1,
      anon_sym_GT,
    STATE(17415), 1,
      sym_attribute,
    STATE(17428), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788052] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18452), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(15300), 1,
      sym_parenthesized_operator,
    STATE(17416), 1,
      sym_attribute,
    STATE(19684), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788075] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(22902), 1,
      anon_sym_with,
    STATE(17417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788098] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22904), 1,
      anon_sym_GT_RBRACE,
    STATE(17418), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788121] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22898), 1,
      anon_sym_RBRACK,
    ACTIONS(22900), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788144] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22906), 1,
      anon_sym_RBRACK,
    ACTIONS(22908), 1,
      anon_sym_GT,
    STATE(17420), 1,
      sym_attribute,
    STATE(17463), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788167] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22906), 1,
      anon_sym_RBRACK,
    ACTIONS(22908), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788190] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22910), 1,
      anon_sym_RBRACK,
    STATE(17422), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788213] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22912), 1,
      anon_sym_GT_RBRACE,
    STATE(17423), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788236] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22824), 1,
      sym__lowercase_identifier,
    STATE(10861), 1,
      sym_class_type_path,
    STATE(17424), 1,
      sym_attribute,
    STATE(19855), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788259] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15055), 1,
      anon_sym_in,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(17425), 1,
      sym_attribute,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788282] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22914), 1,
      anon_sym_COLON_GT,
    ACTIONS(22916), 1,
      anon_sym_RPAREN,
    STATE(17426), 1,
      sym_attribute,
    STATE(19563), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788305] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21526), 1,
      sym__lowercase_identifier,
    STATE(11841), 1,
      sym_class_path,
    STATE(17427), 1,
      sym_attribute,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788328] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22918), 1,
      anon_sym_RBRACK,
    ACTIONS(22920), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788351] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15055), 1,
      anon_sym_in,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(17152), 1,
      aux_sym_expression_item_repeat1,
    STATE(17429), 1,
      sym_attribute,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788374] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22918), 1,
      anon_sym_RBRACK,
    STATE(17430), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788397] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22922), 1,
      anon_sym_DOT,
    STATE(17431), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788420] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22924), 1,
      sym__lowercase_identifier,
    ACTIONS(22926), 1,
      anon_sym_LPAREN,
    STATE(10666), 1,
      sym_parenthesized_operator,
    STATE(10743), 1,
      sym__value_name,
    STATE(17432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788443] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22928), 1,
      anon_sym_RPAREN,
    STATE(17433), 1,
      sym_attribute,
    STATE(18818), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788466] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22930), 1,
      sym__lowercase_identifier,
    STATE(6820), 1,
      sym_type_constructor_path,
    STATE(17434), 1,
      sym_attribute,
    STATE(20309), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788489] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22932), 1,
      anon_sym_COLON_GT,
    ACTIONS(22934), 1,
      anon_sym_RPAREN,
    STATE(17435), 1,
      sym_attribute,
    STATE(19691), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788512] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22936), 1,
      anon_sym_RBRACK,
    STATE(17436), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788535] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    STATE(17437), 1,
      sym_attribute,
    STATE(18634), 1,
      sym_type_constructor_path,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788558] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22938), 1,
      anon_sym_RBRACK,
    STATE(17438), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788581] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21315), 1,
      sym__lowercase_identifier,
    STATE(9058), 1,
      sym_class_path,
    STATE(17439), 1,
      sym_attribute,
    STATE(20434), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788604] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22940), 1,
      anon_sym_GT_RBRACE,
    STATE(17440), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788627] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22942), 1,
      anon_sym_COLON_GT,
    ACTIONS(22944), 1,
      anon_sym_RPAREN,
    STATE(17441), 1,
      sym_attribute,
    STATE(20045), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788650] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22946), 1,
      anon_sym_COLON_GT,
    ACTIONS(22948), 1,
      anon_sym_RPAREN,
    STATE(17442), 1,
      sym_attribute,
    STATE(19745), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788673] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22950), 1,
      anon_sym_GT_RBRACE,
    STATE(17443), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788696] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21498), 1,
      sym__lowercase_identifier,
    STATE(6656), 1,
      sym_class_path,
    STATE(17444), 1,
      sym_attribute,
    STATE(20845), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788719] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22319), 1,
      sym__lowercase_identifier,
    STATE(15591), 1,
      sym_class_type_path,
    STATE(17445), 1,
      sym_attribute,
    STATE(20015), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788742] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(22952), 1,
      anon_sym_with,
    STATE(17446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788765] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22319), 1,
      sym__lowercase_identifier,
    STATE(15612), 1,
      sym_class_type_path,
    STATE(17447), 1,
      sym_attribute,
    STATE(20015), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788788] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22954), 1,
      anon_sym_GT_RBRACE,
    STATE(17448), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788811] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22764), 1,
      sym__lowercase_identifier,
    STATE(12640), 1,
      sym_class_type_path,
    STATE(17449), 1,
      sym_attribute,
    STATE(20103), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788834] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22956), 1,
      anon_sym_GT_RBRACE,
    STATE(17450), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788857] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22958), 1,
      anon_sym_DOT,
    STATE(17451), 1,
      sym_attribute,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788880] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22764), 1,
      sym__lowercase_identifier,
    STATE(12597), 1,
      sym_class_type_path,
    STATE(17452), 1,
      sym_attribute,
    STATE(20103), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788903] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(22960), 1,
      anon_sym_RPAREN,
    STATE(17453), 1,
      sym_attribute,
    STATE(18600), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788926] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21653), 1,
      sym__lowercase_identifier,
    STATE(9110), 1,
      sym_class_path,
    STATE(17454), 1,
      sym_attribute,
    STATE(21351), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788949] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22962), 1,
      anon_sym_DOT,
    ACTIONS(22964), 1,
      aux_sym_type_variable_token1,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17455), 2,
      sym_attribute,
      aux_sym_constructor_declaration_repeat1,
  [788970] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22967), 1,
      anon_sym_GT_RBRACE,
    STATE(17456), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788993] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22319), 1,
      sym__lowercase_identifier,
    STATE(15573), 1,
      sym_class_type_path,
    STATE(17457), 1,
      sym_attribute,
    STATE(20015), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789016] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    STATE(17458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21709), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [789035] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15180), 1,
      anon_sym_in,
    ACTIONS(18952), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16802), 1,
      aux_sym_expression_item_repeat1,
    STATE(17459), 1,
      sym_attribute,
    STATE(18400), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789058] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    STATE(17460), 1,
      sym_attribute,
    STATE(17700), 1,
      sym_type_constructor_path,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789081] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(17461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15361), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [789102] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22758), 1,
      sym__lowercase_identifier,
    STATE(13254), 1,
      sym_class_type_path,
    STATE(17462), 1,
      sym_attribute,
    STATE(19540), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789125] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22969), 1,
      anon_sym_RBRACK,
    ACTIONS(22971), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789148] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(22973), 1,
      anon_sym_COLON_GT,
    ACTIONS(22975), 1,
      anon_sym_RPAREN,
    STATE(17464), 1,
      sym_attribute,
    STATE(19780), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789171] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22159), 1,
      sym__lowercase_identifier,
    STATE(12840), 1,
      sym_class_type_path,
    STATE(17465), 1,
      sym_attribute,
    STATE(20214), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789194] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__lowercase_identifier,
    ACTIONS(20738), 1,
      anon_sym_LBRACK,
    ACTIONS(20740), 1,
      anon_sym_virtual,
    STATE(13647), 1,
      sym_class_binding,
    STATE(17466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789217] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(22977), 1,
      anon_sym_with,
    STATE(17467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789240] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22969), 1,
      anon_sym_RBRACK,
    STATE(17468), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789263] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22979), 1,
      anon_sym_GT_RBRACE,
    STATE(17469), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789286] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22981), 1,
      sym__lowercase_identifier,
    STATE(17039), 1,
      aux_sym_method_specification_repeat1,
    STATE(17470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21775), 2,
      anon_sym_private,
      anon_sym_virtual,
  [789307] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17471), 1,
      sym_attribute,
    STATE(20014), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22983), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [789328] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22985), 1,
      anon_sym_RBRACK,
    ACTIONS(22987), 1,
      anon_sym_GT,
    STATE(17472), 1,
      sym_attribute,
    STATE(17597), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789351] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22989), 1,
      anon_sym_GT_RBRACE,
    STATE(17473), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789374] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22991), 1,
      anon_sym_GT_RBRACE,
    STATE(17474), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789397] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22993), 1,
      anon_sym_GT_RBRACE,
    STATE(17475), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789420] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22995), 1,
      anon_sym_GT_RBRACE,
    STATE(17476), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789443] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(22997), 1,
      anon_sym_GT_RBRACE,
    STATE(17477), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789466] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22985), 1,
      anon_sym_RBRACK,
    ACTIONS(22987), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789489] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    STATE(17479), 1,
      sym_attribute,
    STATE(17766), 1,
      sym_type_constructor_path,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789512] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(22999), 1,
      anon_sym_RBRACK,
    STATE(17480), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789535] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(23001), 1,
      anon_sym_RBRACK,
    STATE(17481), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789558] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23003), 1,
      anon_sym_with,
    STATE(17482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789581] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21663), 1,
      sym__lowercase_identifier,
    STATE(4470), 1,
      sym_class_path,
    STATE(17483), 1,
      sym_attribute,
    STATE(21391), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789604] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23005), 1,
      anon_sym_GT_RBRACE,
    STATE(17484), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789627] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21393), 1,
      sym__lowercase_identifier,
    STATE(10182), 1,
      sym_class_path,
    STATE(17485), 1,
      sym_attribute,
    STATE(21386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789650] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19280), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    STATE(17486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789673] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(23007), 1,
      anon_sym_RBRACK,
    STATE(17487), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789696] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23009), 1,
      anon_sym_GT_RBRACE,
    STATE(17488), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789719] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23011), 1,
      anon_sym_RPAREN,
    STATE(17489), 1,
      sym_attribute,
    STATE(17940), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789742] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(13824), 1,
      sym__lowercase_identifier,
    STATE(17490), 1,
      sym_attribute,
    STATE(17825), 1,
      sym_type_constructor_path,
    STATE(20038), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789765] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23013), 1,
      anon_sym_GT_RBRACE,
    STATE(17491), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789788] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11321), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23015), 1,
      anon_sym_GT,
    STATE(17492), 1,
      sym_attribute,
    STATE(17520), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789811] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23017), 1,
      anon_sym_with,
    STATE(17493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789834] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23019), 1,
      anon_sym_COLON_GT,
    ACTIONS(23021), 1,
      anon_sym_RPAREN,
    STATE(17494), 1,
      sym_attribute,
    STATE(19856), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789857] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23023), 1,
      anon_sym_with,
    STATE(17495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789880] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23025), 1,
      anon_sym_COLON_GT,
    ACTIONS(23027), 1,
      anon_sym_RPAREN,
    STATE(17496), 1,
      sym_attribute,
    STATE(19844), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789903] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21393), 1,
      sym__lowercase_identifier,
    STATE(10161), 1,
      sym_class_path,
    STATE(17497), 1,
      sym_attribute,
    STATE(21386), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789926] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(23029), 1,
      anon_sym_DOT,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17498), 1,
      sym_attribute,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789949] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22981), 1,
      sym__lowercase_identifier,
    STATE(17049), 1,
      aux_sym_method_specification_repeat1,
    STATE(17499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21775), 2,
      anon_sym_private,
      anon_sym_virtual,
  [789970] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23031), 1,
      anon_sym_GT_RBRACE,
    STATE(17500), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789993] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23033), 1,
      anon_sym_with,
    STATE(17501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790016] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23035), 1,
      anon_sym_GT_RBRACE,
    STATE(17502), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790039] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11272), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23037), 1,
      anon_sym_GT,
    STATE(16984), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790062] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23039), 1,
      anon_sym_GT_RBRACE,
    STATE(17504), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790085] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23041), 1,
      anon_sym_with,
    STATE(17505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790108] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23043), 1,
      anon_sym_with,
    STATE(17506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790131] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21425), 1,
      sym__lowercase_identifier,
    STATE(8191), 1,
      sym_class_path,
    STATE(17507), 1,
      sym_attribute,
    STATE(20625), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790154] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23045), 1,
      anon_sym_with,
    STATE(17508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790177] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21203), 1,
      sym__lowercase_identifier,
    STATE(7245), 1,
      sym_class_path,
    STATE(17509), 1,
      sym_attribute,
    STATE(21661), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790200] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22562), 1,
      sym__lowercase_identifier,
    STATE(12747), 1,
      sym_class_type_path,
    STATE(17510), 1,
      sym_attribute,
    STATE(19788), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790223] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23047), 1,
      anon_sym_with,
    STATE(17511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790246] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21679), 1,
      sym__lowercase_identifier,
    STATE(5262), 1,
      sym_class_path,
    STATE(17512), 1,
      sym_attribute,
    STATE(21430), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790269] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(23049), 1,
      anon_sym_DOT,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17513), 1,
      sym_attribute,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790292] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19539), 1,
      anon_sym_COMMA,
    ACTIONS(19590), 1,
      anon_sym_PIPE,
    ACTIONS(19594), 1,
      anon_sym_as,
    ACTIONS(19596), 1,
      anon_sym_COLON_COLON,
    STATE(17514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790315] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23051), 1,
      anon_sym_with,
    STATE(17515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790338] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22562), 1,
      sym__lowercase_identifier,
    STATE(12804), 1,
      sym_class_type_path,
    STATE(17516), 1,
      sym_attribute,
    STATE(19788), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790361] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(23053), 1,
      anon_sym_DOT,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17517), 1,
      sym_attribute,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790384] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23055), 1,
      anon_sym_with,
    STATE(17518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790407] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23057), 1,
      anon_sym_RBRACK,
    ACTIONS(23059), 1,
      anon_sym_GT,
    STATE(17519), 1,
      sym_attribute,
    STATE(17538), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790430] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23057), 1,
      anon_sym_RBRACK,
    ACTIONS(23059), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790453] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23061), 1,
      anon_sym_with,
    STATE(17521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790476] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23063), 1,
      anon_sym_COLON_GT,
    ACTIONS(23065), 1,
      anon_sym_RPAREN,
    STATE(17522), 1,
      sym_attribute,
    STATE(19962), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790499] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23067), 1,
      anon_sym_with,
    STATE(17523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790522] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22562), 1,
      sym__lowercase_identifier,
    STATE(12833), 1,
      sym_class_type_path,
    STATE(17524), 1,
      sym_attribute,
    STATE(19788), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790545] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23069), 1,
      anon_sym_with,
    STATE(17525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23073), 1,
      anon_sym_of,
    STATE(17526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23071), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [790587] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23075), 1,
      anon_sym_with,
    STATE(17527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790610] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23077), 1,
      anon_sym_RBRACK,
    STATE(17528), 1,
      sym_attribute,
    STATE(17820), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790633] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23079), 1,
      anon_sym_with,
    STATE(17529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790656] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21267), 1,
      sym__lowercase_identifier,
    STATE(7018), 1,
      sym_class_path,
    STATE(17530), 1,
      sym_attribute,
    STATE(21813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790679] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23081), 1,
      anon_sym_RBRACK,
    ACTIONS(23083), 1,
      anon_sym_GT,
    STATE(17531), 1,
      sym_attribute,
    STATE(17639), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790702] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23085), 1,
      anon_sym_with,
    STATE(17532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790725] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23087), 1,
      anon_sym_GT_RBRACE,
    STATE(17533), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790748] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23089), 1,
      anon_sym_with,
    STATE(17534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790771] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22095), 1,
      anon_sym_RBRACK,
    ACTIONS(22097), 1,
      anon_sym_GT,
    STATE(17137), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790794] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22758), 1,
      sym__lowercase_identifier,
    STATE(13084), 1,
      sym_class_type_path,
    STATE(17536), 1,
      sym_attribute,
    STATE(19540), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790817] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23091), 1,
      anon_sym_with,
    STATE(17537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790840] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23093), 1,
      anon_sym_RBRACK,
    ACTIONS(23095), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790863] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(23093), 1,
      anon_sym_RBRACK,
    STATE(17539), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790886] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23097), 1,
      anon_sym_GT_RBRACE,
    STATE(17540), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790909] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23099), 1,
      anon_sym_with,
    STATE(17541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790932] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23101), 1,
      anon_sym_with,
    STATE(17542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790955] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22128), 1,
      sym__lowercase_identifier,
    STATE(14536), 1,
      sym_class_type_path,
    STATE(17543), 1,
      sym_attribute,
    STATE(19546), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790978] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22758), 1,
      sym__lowercase_identifier,
    STATE(13012), 1,
      sym_class_type_path,
    STATE(17544), 1,
      sym_attribute,
    STATE(19540), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791001] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23103), 1,
      anon_sym_with,
    STATE(17545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791024] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    ACTIONS(23105), 1,
      anon_sym_EQ,
    ACTIONS(23107), 1,
      anon_sym_RPAREN,
    STATE(17546), 1,
      sym_attribute,
    STATE(19967), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791047] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20856), 1,
      sym__lowercase_identifier,
    ACTIONS(20858), 1,
      anon_sym_LBRACK,
    ACTIONS(20860), 1,
      anon_sym_virtual,
    STATE(15110), 1,
      sym_class_binding,
    STATE(17547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791070] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23109), 1,
      anon_sym_with,
    STATE(17548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791093] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21145), 1,
      sym__lowercase_identifier,
    STATE(6007), 1,
      sym_class_path,
    STATE(17549), 1,
      sym_attribute,
    STATE(21469), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791116] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23111), 1,
      anon_sym_with,
    STATE(17550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791139] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23115), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23113), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(17551), 2,
      sym_attribute,
      aux_sym__type_params_repeat1,
  [791158] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(23118), 1,
      anon_sym_RBRACK,
    STATE(17552), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791181] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23120), 1,
      anon_sym_RBRACK,
    ACTIONS(23122), 1,
      anon_sym_GT,
    STATE(17553), 1,
      sym_attribute,
    STATE(17641), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791204] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23124), 1,
      anon_sym_with,
    STATE(17554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791227] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23126), 1,
      anon_sym_GT_RBRACE,
    STATE(17555), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791250] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23128), 1,
      anon_sym_RPAREN,
    STATE(17556), 1,
      sym_attribute,
    STATE(17690), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791273] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23130), 1,
      anon_sym_with,
    STATE(17557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791296] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(23132), 1,
      anon_sym_RBRACK,
    STATE(17558), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791319] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23120), 1,
      anon_sym_RBRACK,
    ACTIONS(23122), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791342] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23134), 1,
      anon_sym_with,
    STATE(17560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791365] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23136), 1,
      anon_sym_COLON_GT,
    ACTIONS(23138), 1,
      anon_sym_RPAREN,
    STATE(17561), 1,
      sym_attribute,
    STATE(20085), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791388] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11299), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23140), 1,
      anon_sym_GT,
    STATE(17562), 1,
      sym_attribute,
    STATE(17663), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791411] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23142), 1,
      anon_sym_with,
    STATE(17563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791434] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(23144), 1,
      anon_sym_DOT,
    STATE(17455), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(17564), 1,
      sym_attribute,
    STATE(19742), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791457] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23146), 1,
      sym__lowercase_identifier,
    ACTIONS(23148), 1,
      anon_sym_LPAREN,
    STATE(6596), 1,
      sym_parenthesized_operator,
    STATE(6742), 1,
      sym__value_name,
    STATE(17565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791480] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21247), 1,
      sym__lowercase_identifier,
    STATE(6158), 1,
      sym_class_path,
    STATE(17566), 1,
      sym_attribute,
    STATE(23701), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791503] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23150), 1,
      anon_sym_with,
    STATE(17567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791526] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22183), 1,
      sym__lowercase_identifier,
    STATE(11975), 1,
      sym_class_type_path,
    STATE(17568), 1,
      sym_attribute,
    STATE(19406), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791549] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23081), 1,
      anon_sym_RBRACK,
    ACTIONS(23083), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791572] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23152), 1,
      anon_sym_with,
    STATE(17570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791595] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22183), 1,
      sym__lowercase_identifier,
    STATE(11750), 1,
      sym_class_type_path,
    STATE(17571), 1,
      sym_attribute,
    STATE(19406), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791618] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22183), 1,
      sym__lowercase_identifier,
    STATE(11767), 1,
      sym_class_type_path,
    STATE(17572), 1,
      sym_attribute,
    STATE(19406), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791641] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(23154), 1,
      sym__lowercase_identifier,
    STATE(6958), 1,
      sym_type_constructor_path,
    STATE(17573), 1,
      sym_attribute,
    STATE(19489), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791664] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23156), 1,
      anon_sym_with,
    STATE(17574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791687] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(23158), 1,
      sym__lowercase_identifier,
    STATE(8764), 1,
      sym_class_path,
    STATE(17575), 1,
      sym_attribute,
    STATE(20900), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791710] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    ACTIONS(23160), 1,
      anon_sym_EQ,
    ACTIONS(23162), 1,
      anon_sym_RPAREN,
    STATE(17576), 1,
      sym_attribute,
    STATE(19730), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791733] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23164), 1,
      anon_sym_with,
    STATE(17577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791756] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(23166), 1,
      sym__lowercase_identifier,
    STATE(9409), 1,
      sym_type_constructor_path,
    STATE(17578), 1,
      sym_attribute,
    STATE(20040), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791779] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23168), 1,
      anon_sym_GT_RBRACE,
    STATE(17579), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791802] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23170), 1,
      anon_sym_with,
    STATE(17580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791825] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23172), 1,
      anon_sym_COLON_GT,
    ACTIONS(23174), 1,
      anon_sym_RPAREN,
    STATE(17581), 1,
      sym_attribute,
    STATE(19243), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791848] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23176), 1,
      anon_sym_with,
    STATE(17582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791871] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23178), 1,
      anon_sym_COLON_GT,
    ACTIONS(23180), 1,
      anon_sym_RPAREN,
    STATE(17583), 1,
      sym_attribute,
    STATE(20318), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791894] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21255), 1,
      sym__lowercase_identifier,
    STATE(9347), 1,
      sym_class_path,
    STATE(17584), 1,
      sym_attribute,
    STATE(21270), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791917] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23182), 1,
      anon_sym_with,
    STATE(17585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791940] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21293), 1,
      sym__lowercase_identifier,
    STATE(4580), 1,
      sym_class_path,
    STATE(17586), 1,
      sym_attribute,
    STATE(21889), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791963] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23184), 1,
      anon_sym_GT_RBRACE,
    STATE(17587), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791986] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23186), 1,
      anon_sym_with,
    STATE(17588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792009] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23188), 1,
      anon_sym_COLON_GT,
    ACTIONS(23190), 1,
      anon_sym_RPAREN,
    STATE(17589), 1,
      sym_attribute,
    STATE(20323), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792032] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23192), 1,
      anon_sym_with,
    STATE(17590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792055] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23194), 1,
      anon_sym_with,
    STATE(17591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792078] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(23196), 1,
      anon_sym_RBRACK,
    STATE(17592), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792101] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23198), 1,
      anon_sym_GT_RBRACE,
    STATE(17593), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792124] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23200), 1,
      anon_sym_with,
    STATE(17594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792147] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21163), 1,
      sym__lowercase_identifier,
    STATE(7447), 1,
      sym_class_path,
    STATE(17595), 1,
      sym_attribute,
    STATE(21508), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792170] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23202), 1,
      anon_sym_with,
    STATE(17596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792193] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23204), 1,
      anon_sym_RBRACK,
    ACTIONS(23206), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792216] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21526), 1,
      sym__lowercase_identifier,
    STATE(12034), 1,
      sym_class_path,
    STATE(17598), 1,
      sym_attribute,
    STATE(23499), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792239] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(23204), 1,
      anon_sym_RBRACK,
    STATE(17599), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792262] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23208), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792285] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23210), 1,
      anon_sym_with,
    STATE(17601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792308] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23212), 1,
      anon_sym_with,
    STATE(17602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792331] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23214), 1,
      anon_sym_COLON_GT,
    ACTIONS(23216), 1,
      anon_sym_RPAREN,
    STATE(17603), 1,
      sym_attribute,
    STATE(20200), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792354] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23218), 1,
      anon_sym_with,
    STATE(17604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792377] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(23220), 1,
      sym__lowercase_identifier,
    STATE(10588), 1,
      sym_type_constructor_path,
    STATE(17605), 1,
      sym_attribute,
    STATE(19206), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792400] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23222), 1,
      anon_sym_with,
    STATE(17606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792423] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23224), 1,
      anon_sym_with,
    STATE(17607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792446] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23226), 1,
      anon_sym_with,
    STATE(17608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792469] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23228), 1,
      anon_sym_COLON_GT,
    ACTIONS(23230), 1,
      anon_sym_RPAREN,
    STATE(17609), 1,
      sym_attribute,
    STATE(20291), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792492] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_POUND,
    ACTIONS(21929), 1,
      anon_sym_DOT,
    ACTIONS(22692), 1,
      sym_hash_operator,
    ACTIONS(23232), 1,
      anon_sym_with,
    STATE(17610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792515] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23234), 1,
      anon_sym_COLON_GT,
    ACTIONS(23236), 1,
      anon_sym_RPAREN,
    STATE(17611), 1,
      sym_attribute,
    STATE(20320), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792538] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23238), 1,
      anon_sym_GT_RBRACE,
    STATE(17612), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792561] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23240), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792584] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23242), 1,
      anon_sym_DASH_GT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17614), 1,
      sym_attribute,
    STATE(17619), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792607] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    STATE(17615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14588), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [792628] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23242), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792651] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22427), 1,
      sym__lowercase_identifier,
    STATE(11559), 1,
      sym_class_type_path,
    STATE(17617), 1,
      sym_attribute,
    STATE(19924), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792674] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23244), 1,
      anon_sym_GT,
    STATE(17171), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792697] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23246), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792720] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23248), 1,
      anon_sym_GT_RBRACE,
    STATE(17620), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792743] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(23250), 1,
      anon_sym_RBRACK,
    STATE(17621), 1,
      sym_attribute,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792766] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23252), 1,
      anon_sym_GT_RBRACE,
    STATE(17622), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792789] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22179), 1,
      sym__lowercase_identifier,
    STATE(10917), 1,
      sym_class_type_path,
    STATE(17623), 1,
      sym_attribute,
    STATE(19639), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792812] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22286), 1,
      sym__lowercase_identifier,
    STATE(12071), 1,
      sym_class_type_path,
    STATE(17624), 1,
      sym_attribute,
    STATE(19623), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792835] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(23254), 1,
      sym__lowercase_identifier,
    STATE(17625), 1,
      sym_attribute,
    STATE(20038), 1,
      sym_extended_module_path,
    STATE(23489), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792858] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23256), 1,
      anon_sym_COLON_GT,
    ACTIONS(23258), 1,
      anon_sym_RPAREN,
    STATE(17626), 1,
      sym_attribute,
    STATE(20109), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792881] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23260), 1,
      anon_sym_RBRACK,
    ACTIONS(23262), 1,
      aux_sym_tag_token1,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17627), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat2,
  [792902] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23265), 1,
      anon_sym_RPAREN,
    STATE(17628), 1,
      sym_attribute,
    STATE(18179), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792925] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23267), 1,
      anon_sym_GT_RBRACE,
    STATE(17629), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792948] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21177), 1,
      sym__lowercase_identifier,
    STATE(4803), 1,
      sym_class_path,
    STATE(17630), 1,
      sym_attribute,
    STATE(21547), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792971] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17631), 1,
      sym_attribute,
    STATE(19282), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23269), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [792992] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11276), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23271), 1,
      anon_sym_GT,
    STATE(16934), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793015] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17633), 1,
      sym_attribute,
    STATE(19893), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23273), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [793036] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23275), 1,
      anon_sym_GT_RBRACE,
    STATE(17634), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793059] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21538), 1,
      sym__lowercase_identifier,
    STATE(9306), 1,
      sym_class_path,
    STATE(17635), 1,
      sym_attribute,
    STATE(22506), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793082] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(22226), 1,
      sym__lowercase_identifier,
    STATE(17636), 1,
      sym_attribute,
    STATE(19814), 1,
      sym_extended_module_path,
    STATE(20288), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793105] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_COLON2,
    ACTIONS(23277), 1,
      anon_sym_COLON_GT,
    ACTIONS(23279), 1,
      anon_sym_RPAREN,
    STATE(17637), 1,
      sym_attribute,
    STATE(20347), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793128] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17638), 1,
      sym_attribute,
    STATE(19458), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23281), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [793149] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23283), 1,
      anon_sym_RBRACK,
    ACTIONS(23285), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793172] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23287), 1,
      anon_sym_rec,
    STATE(14152), 1,
      sym_module_binding,
    STATE(17640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20836), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [793193] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23289), 1,
      anon_sym_RBRACK,
    ACTIONS(23291), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793216] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(17642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(23625), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [793237] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(21279), 1,
      sym__lowercase_identifier,
    STATE(5663), 1,
      sym_class_path,
    STATE(17643), 1,
      sym_attribute,
    STATE(23739), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793260] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22586), 1,
      sym__lowercase_identifier,
    STATE(11922), 1,
      sym_class_type_path,
    STATE(17644), 1,
      sym_attribute,
    STATE(19082), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793283] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23293), 1,
      anon_sym_DASH_GT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17645), 1,
      sym_attribute,
    STATE(17647), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793306] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23293), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793329] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23295), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793352] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(23289), 1,
      anon_sym_RBRACK,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17648), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793375] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(17649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(23645), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [793396] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    ACTIONS(23283), 1,
      anon_sym_RBRACK,
    STATE(17627), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17650), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793419] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23297), 1,
      anon_sym_DASH_GT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17651), 1,
      sym_attribute,
    STATE(17653), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793442] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23297), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793465] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23299), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793488] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23301), 1,
      anon_sym_GT_RBRACE,
    STATE(17654), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793511] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_LPAREN,
    STATE(17655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(23654), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [793532] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23303), 1,
      anon_sym_DASH_GT,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17656), 1,
      sym_attribute,
    STATE(17658), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793555] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23303), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793578] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    ACTIONS(23305), 1,
      anon_sym_DASH_GT,
    STATE(11087), 1,
      aux_sym_module_binding_repeat1,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793601] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23307), 1,
      anon_sym_rec,
    STATE(14443), 1,
      sym_module_binding,
    STATE(17659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21107), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [793622] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23309), 1,
      anon_sym_GT_RBRACE,
    STATE(17660), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793645] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23311), 1,
      anon_sym_rec,
    STATE(15192), 1,
      sym_module_binding,
    STATE(17661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21113), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [793666] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23313), 1,
      anon_sym_RBRACK,
    ACTIONS(23315), 1,
      anon_sym_GT,
    STATE(17355), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793689] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23313), 1,
      anon_sym_RBRACK,
    ACTIONS(23315), 1,
      anon_sym_GT,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793712] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23317), 1,
      anon_sym_rec,
    STATE(14956), 1,
      sym_module_binding,
    STATE(17664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21125), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [793733] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(23158), 1,
      sym__lowercase_identifier,
    STATE(8767), 1,
      sym_class_path,
    STATE(17665), 1,
      sym_attribute,
    STATE(20900), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793756] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17666), 1,
      sym_attribute,
    STATE(20370), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23319), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [793777] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    ACTIONS(23321), 1,
      anon_sym_GT_RBRACE,
    STATE(17667), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793800] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(22226), 1,
      sym__lowercase_identifier,
    STATE(17668), 1,
      sym_attribute,
    STATE(19814), 1,
      sym_extended_module_path,
    STATE(20377), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793823] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17669), 1,
      sym_attribute,
    STATE(20379), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23323), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [793844] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(22226), 1,
      sym__lowercase_identifier,
    STATE(17670), 1,
      sym_attribute,
    STATE(19814), 1,
      sym_extended_module_path,
    STATE(20386), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793867] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15458), 1,
      anon_sym_PERCENT,
    STATE(17671), 1,
      sym_attribute,
    STATE(20389), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23325), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [793888] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13981), 1,
      sym__uppercase_identifier,
    ACTIONS(22226), 1,
      sym__lowercase_identifier,
    STATE(17672), 1,
      sym_attribute,
    STATE(19814), 1,
      sym_extended_module_path,
    STATE(20395), 1,
      sym_module_type_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793911] = 7,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    ACTIONS(22824), 1,
      sym__lowercase_identifier,
    STATE(10835), 1,
      sym_class_type_path,
    STATE(17673), 1,
      sym_attribute,
    STATE(19855), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793934] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9069), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23327), 1,
      anon_sym_SEMI,
    STATE(17674), 1,
      sym_attribute,
    STATE(18606), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793954] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(23329), 1,
      anon_sym_type,
    STATE(17675), 1,
      sym_attribute,
    STATE(17739), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793974] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22461), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793994] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13039), 1,
      anon_sym_GT,
    ACTIONS(23331), 1,
      anon_sym_SEMI,
    STATE(17677), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794014] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21263), 1,
      anon_sym_RBRACE,
    ACTIONS(23333), 1,
      anon_sym_SEMI,
    STATE(17678), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794034] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21193), 1,
      anon_sym_RBRACE,
    ACTIONS(23335), 1,
      anon_sym_SEMI,
    STATE(17679), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794054] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(23339), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(17680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794074] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(23339), 1,
      anon_sym_RBRACK,
    STATE(17681), 1,
      sym_attribute,
    STATE(17687), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794094] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23341), 1,
      anon_sym_SEMI,
    ACTIONS(23343), 1,
      anon_sym_RBRACE,
    STATE(17682), 1,
      sym_attribute,
    STATE(18337), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794114] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23345), 1,
      anon_sym_SEMI,
    ACTIONS(23347), 1,
      anon_sym_RBRACE,
    STATE(17683), 1,
      sym_attribute,
    STATE(17702), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794134] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23349), 1,
      anon_sym_SEMI,
    ACTIONS(23351), 1,
      anon_sym_RBRACE,
    STATE(17684), 1,
      sym_attribute,
    STATE(18594), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794154] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11146), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(17685), 1,
      sym_attribute,
    STATE(17706), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794174] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23353), 1,
      anon_sym_SEMI,
    ACTIONS(23355), 1,
      anon_sym_GT_RBRACE,
    STATE(17686), 1,
      sym_attribute,
    STATE(17916), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794194] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(23357), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(17687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794214] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15651), 1,
      sym__type_equation,
    STATE(17688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23359), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [794232] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20202), 1,
      anon_sym_SEMI,
    ACTIONS(20204), 1,
      anon_sym_GT,
    STATE(17689), 1,
      sym_attribute,
    STATE(17708), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794252] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23361), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794272] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17366), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17691), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794292] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12481), 1,
      anon_sym_DOT,
    STATE(17692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23363), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [794310] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23365), 1,
      anon_sym_RBRACK,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794330] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3971), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23367), 1,
      anon_sym_SEMI,
    STATE(17694), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794350] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17015), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17695), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794370] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3955), 1,
      anon_sym_RBRACK,
    ACTIONS(23369), 1,
      anon_sym_SEMI,
    STATE(17696), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794390] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11547), 1,
      sym__type_equation,
    STATE(17697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23371), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [794408] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15935), 1,
      sym__type_equation,
    STATE(17698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23373), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [794426] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17422), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17699), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794446] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15936), 1,
      sym__type_equation,
    STATE(17700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23373), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [794464] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23375), 1,
      sym__lowercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    STATE(17701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794484] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21419), 1,
      anon_sym_RBRACE,
    ACTIONS(23379), 1,
      anon_sym_SEMI,
    STATE(17702), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794504] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21421), 1,
      anon_sym_RBRACE,
    ACTIONS(23381), 1,
      anon_sym_SEMI,
    STATE(17703), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794524] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23383), 1,
      anon_sym_RPAREN,
    STATE(17704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794544] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22640), 1,
      anon_sym_RBRACK,
    STATE(17705), 1,
      sym_attribute,
    STATE(17711), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794564] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22640), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794584] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23385), 1,
      anon_sym_RPAREN,
    STATE(17707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794604] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13135), 1,
      anon_sym_GT,
    ACTIONS(23387), 1,
      anon_sym_SEMI,
    STATE(17708), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794624] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23389), 1,
      anon_sym_RPAREN,
    STATE(17709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794644] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3787), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23391), 1,
      anon_sym_SEMI,
    STATE(17710), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794664] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22658), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794684] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22658), 1,
      anon_sym_RBRACK,
    STATE(17712), 1,
      sym_attribute,
    STATE(17717), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794704] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22345), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23393), 1,
      anon_sym_SEMI,
    STATE(17713), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794724] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23395), 1,
      anon_sym_SEMI,
    ACTIONS(23397), 1,
      anon_sym_RBRACE,
    STATE(17714), 1,
      sym_attribute,
    STATE(17724), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794744] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22670), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794764] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4081), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23399), 1,
      anon_sym_SEMI,
    STATE(17716), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794784] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22674), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794804] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23401), 1,
      anon_sym_SEMI,
    ACTIONS(23403), 1,
      anon_sym_GT_RBRACE,
    STATE(17718), 1,
      sym_attribute,
    STATE(17945), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794824] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23405), 1,
      anon_sym_SEMI,
    ACTIONS(23407), 1,
      anon_sym_GT_RBRACE,
    STATE(17719), 1,
      sym_attribute,
    STATE(17737), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794844] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23409), 1,
      anon_sym_SEMI,
    ACTIONS(23411), 1,
      anon_sym_RBRACE,
    STATE(17720), 1,
      sym_attribute,
    STATE(17778), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794864] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15643), 1,
      sym__type_equation,
    STATE(17721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23359), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [794882] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3963), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23413), 1,
      anon_sym_SEMI,
    STATE(17722), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794902] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4113), 1,
      anon_sym_RBRACK,
    ACTIONS(23415), 1,
      anon_sym_SEMI,
    STATE(17723), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794922] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21269), 1,
      anon_sym_RBRACE,
    ACTIONS(23417), 1,
      anon_sym_SEMI,
    STATE(17724), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794942] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22232), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23419), 1,
      anon_sym_SEMI,
    STATE(17725), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794962] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22714), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23421), 1,
      anon_sym_SEMI,
    STATE(17726), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794982] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(23423), 1,
      anon_sym_RPAREN,
    STATE(17727), 1,
      sym_attribute,
    STATE(21777), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795002] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9862), 1,
      anon_sym_RBRACK,
    ACTIONS(23425), 1,
      anon_sym_SEMI,
    STATE(17728), 1,
      sym_attribute,
    STATE(18419), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795022] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4115), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23427), 1,
      anon_sym_SEMI,
    STATE(17729), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795042] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21032), 1,
      anon_sym_RBRACE,
    ACTIONS(23429), 1,
      anon_sym_SEMI,
    STATE(17730), 1,
      sym_attribute,
    STATE(18587), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795062] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12), 1,
      sym_attribute_id,
    STATE(17731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795080] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9864), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23433), 1,
      anon_sym_SEMI,
    STATE(17732), 1,
      sym_attribute,
    STATE(18593), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795100] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3859), 1,
      anon_sym_RBRACK,
    ACTIONS(23435), 1,
      anon_sym_SEMI,
    STATE(17733), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795120] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23437), 1,
      anon_sym_SEMI,
    ACTIONS(23439), 1,
      anon_sym_RBRACE,
    STATE(17734), 1,
      sym_attribute,
    STATE(17789), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795140] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23441), 1,
      aux_sym_quoted_extension_token1,
    STATE(17735), 1,
      sym_attribute,
    STATE(20820), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795160] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(13), 1,
      sym_attribute_id,
    STATE(17736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795178] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22246), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23443), 1,
      anon_sym_SEMI,
    STATE(17737), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795198] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23445), 1,
      anon_sym_SEMI,
    ACTIONS(23447), 1,
      anon_sym_RBRACE,
    STATE(17738), 1,
      sym_attribute,
    STATE(17751), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795218] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12481), 1,
      anon_sym_DOT,
    STATE(17739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23449), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [795236] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(23451), 1,
      anon_sym_RPAREN,
    STATE(17740), 1,
      sym_attribute,
    STATE(23472), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795256] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(23453), 1,
      anon_sym_RBRACK,
    STATE(17741), 1,
      sym_attribute,
    STATE(17746), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795276] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23455), 1,
      anon_sym_SEMI,
    ACTIONS(23457), 1,
      anon_sym_GT_RBRACE,
    STATE(17742), 1,
      sym_attribute,
    STATE(17764), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795296] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23459), 1,
      anon_sym_SEMI,
    ACTIONS(23461), 1,
      anon_sym_RBRACE,
    STATE(17743), 1,
      sym_attribute,
    STATE(17761), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795316] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23463), 1,
      anon_sym_SEMI,
    ACTIONS(23465), 1,
      anon_sym_RBRACE,
    STATE(17744), 1,
      sym_attribute,
    STATE(17807), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795336] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22461), 1,
      anon_sym_RBRACK,
    STATE(17745), 1,
      sym_attribute,
    STATE(17912), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795356] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(23467), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(17746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795376] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(23467), 1,
      anon_sym_RBRACK,
    STATE(17747), 1,
      sym_attribute,
    STATE(17755), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795396] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22351), 1,
      sym__lowercase_identifier,
    ACTIONS(22355), 1,
      anon_sym_mutable,
    STATE(17748), 1,
      sym_attribute,
    STATE(19226), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795416] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4397), 1,
      anon_sym_RBRACK,
    ACTIONS(23469), 1,
      anon_sym_SEMI,
    STATE(17749), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795436] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23471), 1,
      anon_sym_SEMI,
    ACTIONS(23473), 1,
      anon_sym_RBRACE,
    STATE(17750), 1,
      sym_attribute,
    STATE(17810), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795456] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21435), 1,
      anon_sym_RBRACE,
    ACTIONS(23475), 1,
      anon_sym_SEMI,
    STATE(17751), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795476] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(17752), 1,
      sym_attribute,
    STATE(18598), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21429), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [795494] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3919), 1,
      anon_sym_RBRACK,
    ACTIONS(23477), 1,
      anon_sym_SEMI,
    STATE(17753), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795514] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23479), 1,
      sym__lowercase_identifier,
    STATE(17754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795534] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(23481), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(17755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795554] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4107), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23483), 1,
      anon_sym_SEMI,
    STATE(17756), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795574] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17648), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17757), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795594] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23485), 1,
      anon_sym_RBRACK,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795614] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11345), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(17759), 1,
      sym_attribute,
    STATE(17815), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795634] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17141), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17760), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795654] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21275), 1,
      anon_sym_RBRACE,
    ACTIONS(23487), 1,
      anon_sym_SEMI,
    STATE(17761), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795674] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12709), 1,
      sym__type_equation,
    STATE(17762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23489), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [795692] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21169), 1,
      anon_sym_RBRACE,
    ACTIONS(23491), 1,
      anon_sym_SEMI,
    STATE(17763), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795712] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22809), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23493), 1,
      anon_sym_SEMI,
    STATE(17764), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795732] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17290), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17765), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795752] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12710), 1,
      sym__type_equation,
    STATE(17766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23489), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [795770] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20258), 1,
      anon_sym_SEMI,
    ACTIONS(20260), 1,
      anon_sym_GT,
    STATE(17767), 1,
      sym_attribute,
    STATE(17821), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795790] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23495), 1,
      anon_sym_SEMI,
    ACTIONS(23497), 1,
      anon_sym_RBRACE,
    STATE(17768), 1,
      sym_attribute,
    STATE(17777), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795810] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23499), 1,
      sym__lowercase_identifier,
    STATE(17769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795830] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23501), 1,
      anon_sym_RPAREN,
    ACTIONS(23503), 1,
      anon_sym_COLON2,
    STATE(17770), 1,
      sym_attribute,
    STATE(21993), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795850] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11196), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(17771), 1,
      sym_attribute,
    STATE(17782), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795870] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21437), 1,
      anon_sym_RBRACE,
    ACTIONS(23505), 1,
      anon_sym_SEMI,
    STATE(17772), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795890] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20372), 1,
      anon_sym_SEMI,
    ACTIONS(20374), 1,
      anon_sym_GT,
    STATE(17773), 1,
      sym_attribute,
    STATE(17785), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795910] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9041), 1,
      anon_sym_RBRACK,
    ACTIONS(23507), 1,
      anon_sym_SEMI,
    STATE(17774), 1,
      sym_attribute,
    STATE(17891), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795930] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23509), 1,
      sym__lowercase_identifier,
    STATE(17775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795950] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11172), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(17776), 1,
      sym_attribute,
    STATE(17833), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795970] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21441), 1,
      anon_sym_RBRACE,
    ACTIONS(23511), 1,
      anon_sym_SEMI,
    STATE(17777), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795990] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21024), 1,
      anon_sym_RBRACE,
    ACTIONS(23513), 1,
      anon_sym_SEMI,
    STATE(17778), 1,
      sym_attribute,
    STATE(17909), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796010] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23517), 1,
      anon_sym_LBRACK,
    STATE(17779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23515), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [796028] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23519), 1,
      anon_sym_RPAREN,
    STATE(17780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796048] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22898), 1,
      anon_sym_RBRACK,
    STATE(17781), 1,
      sym_attribute,
    STATE(17790), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796068] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22898), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796088] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3893), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23521), 1,
      anon_sym_SEMI,
    STATE(17783), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796108] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9043), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23523), 1,
      anon_sym_SEMI,
    STATE(17784), 1,
      sym_attribute,
    STATE(18606), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796128] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13165), 1,
      anon_sym_GT,
    ACTIONS(23525), 1,
      anon_sym_SEMI,
    STATE(17785), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796148] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23527), 1,
      anon_sym_SEMI,
    ACTIONS(23529), 1,
      anon_sym_RBRACE,
    STATE(17786), 1,
      sym_attribute,
    STATE(17971), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796168] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20308), 1,
      anon_sym_SEMI,
    ACTIONS(20310), 1,
      anon_sym_GT,
    STATE(17787), 1,
      sym_attribute,
    STATE(17845), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796188] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23531), 1,
      anon_sym_RPAREN,
    STATE(17788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796208] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21197), 1,
      anon_sym_RBRACE,
    ACTIONS(23533), 1,
      anon_sym_SEMI,
    STATE(17789), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796228] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22918), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796248] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22918), 1,
      anon_sym_RBRACK,
    STATE(17791), 1,
      sym_attribute,
    STATE(17793), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796268] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23535), 1,
      anon_sym_RPAREN,
    STATE(17792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796288] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22936), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796308] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23537), 1,
      anon_sym_LPAREN,
    ACTIONS(23539), 1,
      anon_sym_LBRACK,
    ACTIONS(23541), 1,
      anon_sym_LBRACE,
    STATE(17794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796328] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23543), 1,
      anon_sym_SEMI,
    ACTIONS(23545), 1,
      anon_sym_RBRACE,
    STATE(17795), 1,
      sym_attribute,
    STATE(17806), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796348] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23547), 1,
      sym__lowercase_identifier,
    STATE(17796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796368] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14), 1,
      sym_attribute_id,
    STATE(17797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796386] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23549), 1,
      sym__lowercase_identifier,
    STATE(17798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796406] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23551), 1,
      anon_sym_SEMI,
    ACTIONS(23553), 1,
      anon_sym_GT_RBRACE,
    STATE(17799), 1,
      sym_attribute,
    STATE(17816), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796426] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(23555), 1,
      anon_sym_RPAREN,
    STATE(17800), 1,
      sym_attribute,
    STATE(20448), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796446] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(23557), 1,
      anon_sym_RPAREN,
    STATE(17801), 1,
      sym_attribute,
    STATE(22050), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796466] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23559), 1,
      aux_sym_quoted_extension_token1,
    STATE(17802), 1,
      sym_attribute,
    STATE(21313), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796486] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11574), 1,
      sym__type_equation,
    STATE(17803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23371), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [796504] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4131), 1,
      anon_sym_RBRACK,
    ACTIONS(23561), 1,
      anon_sym_SEMI,
    STATE(17804), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796524] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3921), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23563), 1,
      anon_sym_SEMI,
    STATE(17805), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796544] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21283), 1,
      anon_sym_RBRACE,
    ACTIONS(23565), 1,
      anon_sym_SEMI,
    STATE(17806), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796564] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21445), 1,
      anon_sym_RBRACE,
    ACTIONS(23567), 1,
      anon_sym_SEMI,
    STATE(17807), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796584] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13952), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [796600] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3773), 1,
      anon_sym_RBRACK,
    ACTIONS(23569), 1,
      anon_sym_SEMI,
    STATE(17809), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796620] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21285), 1,
      anon_sym_RBRACE,
    ACTIONS(23571), 1,
      anon_sym_SEMI,
    STATE(17810), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796640] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4133), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23573), 1,
      anon_sym_SEMI,
    STATE(17811), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796660] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23575), 1,
      anon_sym_RBRACK,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796680] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23577), 1,
      anon_sym_RPAREN,
    STATE(17813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796700] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23081), 1,
      anon_sym_RBRACK,
    STATE(17814), 1,
      sym_attribute,
    STATE(17848), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796720] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23081), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796740] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22391), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23579), 1,
      anon_sym_SEMI,
    STATE(17816), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796760] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21201), 1,
      anon_sym_RBRACE,
    ACTIONS(23581), 1,
      anon_sym_SEMI,
    STATE(17817), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796780] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23583), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796800] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17650), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17819), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796820] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23585), 1,
      anon_sym_RBRACK,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796840] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13308), 1,
      anon_sym_GT,
    ACTIONS(23587), 1,
      anon_sym_SEMI,
    STATE(17821), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796860] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(16950), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17822), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796880] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12042), 1,
      sym__type_equation,
    STATE(17823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23589), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [796898] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(16951), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17824), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796918] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12043), 1,
      sym__type_equation,
    STATE(17825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23589), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [796936] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23591), 1,
      sym__lowercase_identifier,
    STATE(17826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796956] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23593), 1,
      anon_sym_SEMI,
    ACTIONS(23595), 1,
      anon_sym_RBRACE,
    STATE(17827), 1,
      sym_attribute,
    STATE(17843), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796976] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23597), 1,
      anon_sym_SEMI,
    ACTIONS(23599), 1,
      anon_sym_RBRACE,
    STATE(17828), 1,
      sym_attribute,
    STATE(17836), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796996] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(17829), 1,
      sym_attribute,
    STATE(18879), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797016] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23601), 1,
      anon_sym_RPAREN,
    STATE(17830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797036] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22407), 1,
      anon_sym_RBRACK,
    STATE(17831), 1,
      sym_attribute,
    STATE(17871), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797056] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23603), 1,
      anon_sym_SEMI,
    ACTIONS(23605), 1,
      anon_sym_GT_RBRACE,
    STATE(17832), 1,
      sym_attribute,
    STATE(17839), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797076] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22407), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797096] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(17834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21709), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [797112] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3929), 1,
      anon_sym_RBRACK,
    ACTIONS(23607), 1,
      anon_sym_SEMI,
    STATE(17835), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797132] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21452), 1,
      anon_sym_RBRACE,
    ACTIONS(23609), 1,
      anon_sym_SEMI,
    STATE(17836), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797152] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23611), 1,
      sym__lowercase_identifier,
    STATE(17837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797172] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3937), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23613), 1,
      anon_sym_SEMI,
    STATE(17838), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797192] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23248), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23615), 1,
      anon_sym_SEMI,
    STATE(17839), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797212] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23617), 1,
      sym__lowercase_identifier,
    ACTIONS(23619), 1,
      anon_sym_LPAREN,
    STATE(8802), 1,
      sym__simple_value_pattern,
    STATE(17840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797232] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15), 1,
      sym_attribute_id,
    STATE(17841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797250] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23621), 1,
      anon_sym_SEMI,
    ACTIONS(23623), 1,
      anon_sym_RBRACE,
    STATE(17842), 1,
      sym_attribute,
    STATE(17853), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797270] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21289), 1,
      anon_sym_RBRACE,
    ACTIONS(23625), 1,
      anon_sym_SEMI,
    STATE(17843), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797290] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23627), 1,
      anon_sym_RPAREN,
    STATE(17844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797310] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13346), 1,
      anon_sym_GT,
    ACTIONS(23629), 1,
      anon_sym_SEMI,
    STATE(17845), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797330] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11276), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(17846), 1,
      sym_attribute,
    STATE(17860), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797350] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23631), 1,
      aux_sym_quoted_extension_token1,
    STATE(17847), 1,
      sym_attribute,
    STATE(23439), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797370] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23283), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797390] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20436), 1,
      anon_sym_SEMI,
    ACTIONS(20438), 1,
      anon_sym_GT,
    STATE(17849), 1,
      sym_attribute,
    STATE(17865), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797410] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23283), 1,
      anon_sym_RBRACK,
    STATE(17850), 1,
      sym_attribute,
    STATE(17880), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797430] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22530), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23633), 1,
      anon_sym_SEMI,
    STATE(17851), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797450] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23635), 1,
      sym__lowercase_identifier,
    STATE(17852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797470] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21458), 1,
      anon_sym_RBRACE,
    ACTIONS(23637), 1,
      anon_sym_SEMI,
    STATE(17853), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797490] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23639), 1,
      anon_sym_EQ,
    STATE(17854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23641), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [797508] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3825), 1,
      anon_sym_RBRACK,
    ACTIONS(23643), 1,
      anon_sym_SEMI,
    STATE(17855), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797528] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23645), 1,
      anon_sym_RPAREN,
    STATE(17856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797548] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23647), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797568] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22091), 1,
      anon_sym_RBRACK,
    STATE(17858), 1,
      sym_attribute,
    STATE(17869), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797588] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17196), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17859), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797608] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22091), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797628] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23649), 1,
      anon_sym_RBRACK,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797648] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17201), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17862), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797668] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21297), 1,
      anon_sym_RBRACE,
    ACTIONS(23651), 1,
      anon_sym_SEMI,
    STATE(17863), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797688] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17203), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17864), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797708] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13195), 1,
      anon_sym_GT,
    ACTIONS(23653), 1,
      anon_sym_SEMI,
    STATE(17865), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797728] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23655), 1,
      anon_sym_RPAREN,
    STATE(17866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797748] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23657), 1,
      anon_sym_SEMI,
    ACTIONS(23659), 1,
      anon_sym_RBRACE,
    STATE(17867), 1,
      sym_attribute,
    STATE(17883), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797768] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23661), 1,
      anon_sym_RPAREN,
    STATE(17868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797788] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22103), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797808] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22103), 1,
      anon_sym_RBRACK,
    STATE(17870), 1,
      sym_attribute,
    STATE(17875), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797828] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22491), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797848] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22491), 1,
      anon_sym_RBRACK,
    STATE(17872), 1,
      sym_attribute,
    STATE(17886), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797868] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23663), 1,
      anon_sym_SEMI,
    ACTIONS(23666), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17873), 2,
      sym_attribute,
      aux_sym_record_declaration_repeat1,
  [797886] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23668), 1,
      anon_sym_RPAREN,
    STATE(17874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797906] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22110), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797926] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23670), 1,
      anon_sym_SEMI,
    ACTIONS(23672), 1,
      anon_sym_GT_RBRACE,
    STATE(17876), 1,
      sym_attribute,
    STATE(17888), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797946] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23674), 1,
      anon_sym_SEMI,
    ACTIONS(23676), 1,
      anon_sym_RBRACE,
    STATE(17877), 1,
      sym_attribute,
    STATE(17972), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797966] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20206), 1,
      anon_sym_SEMI,
    ACTIONS(20208), 1,
      anon_sym_GT,
    STATE(17677), 1,
      aux_sym_object_type_repeat1,
    STATE(17878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797986] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22495), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23678), 1,
      anon_sym_SEMI,
    STATE(17879), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798006] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22118), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798026] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4153), 1,
      anon_sym_RBRACK,
    ACTIONS(23680), 1,
      anon_sym_SEMI,
    STATE(17881), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798046] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23682), 1,
      anon_sym_SEMI,
    ACTIONS(23684), 1,
      anon_sym_RBRACE,
    STATE(17882), 1,
      sym_attribute,
    STATE(17914), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798066] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21299), 1,
      anon_sym_RBRACE,
    ACTIONS(23686), 1,
      anon_sym_SEMI,
    STATE(17883), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798086] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4155), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23688), 1,
      anon_sym_SEMI,
    STATE(17884), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798106] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(7), 1,
      sym_attribute_id,
    STATE(17885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798124] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22514), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798144] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(16), 1,
      sym_attribute_id,
    STATE(17887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798162] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22512), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23690), 1,
      anon_sym_SEMI,
    STATE(17888), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798182] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3991), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23692), 1,
      anon_sym_SEMI,
    STATE(17889), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798202] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(23694), 1,
      anon_sym_RPAREN,
    STATE(17890), 1,
      sym_attribute,
    STATE(18589), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798222] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21431), 1,
      anon_sym_RBRACK,
    ACTIONS(23696), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17891), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [798240] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23699), 1,
      anon_sym_SEMI,
    ACTIONS(23701), 1,
      anon_sym_RBRACE,
    STATE(17892), 1,
      sym_attribute,
    STATE(17897), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798260] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23703), 1,
      aux_sym_quoted_extension_token1,
    STATE(17893), 1,
      sym_attribute,
    STATE(21488), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798280] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23705), 1,
      anon_sym_LPAREN,
    ACTIONS(23707), 1,
      anon_sym_LBRACK,
    ACTIONS(23709), 1,
      anon_sym_LBRACE,
    STATE(17894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798300] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23711), 1,
      sym__lowercase_identifier,
    STATE(17895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798320] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23713), 1,
      anon_sym_SEMI,
    ACTIONS(23715), 1,
      anon_sym_GT_RBRACE,
    STATE(17896), 1,
      sym_attribute,
    STATE(17955), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798340] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21303), 1,
      anon_sym_RBRACE,
    ACTIONS(23717), 1,
      anon_sym_SEMI,
    STATE(17897), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798360] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23719), 1,
      aux_sym_quoted_extension_token1,
    STATE(17898), 1,
      sym_attribute,
    STATE(20885), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798380] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(23721), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(17899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798400] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(23721), 1,
      anon_sym_RBRACK,
    STATE(17900), 1,
      sym_attribute,
    STATE(18332), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798420] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23723), 1,
      anon_sym_SEMI,
    ACTIONS(23725), 1,
      anon_sym_RBRACE,
    STATE(17901), 1,
      sym_attribute,
    STATE(17915), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798440] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23727), 1,
      anon_sym_SEMI,
    ACTIONS(23729), 1,
      anon_sym_RBRACE,
    STATE(17902), 1,
      sym_attribute,
    STATE(18184), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798460] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23731), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798480] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17376), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17904), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798500] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17384), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17905), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798520] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17386), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17906), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798540] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(3), 1,
      sym_attribute_id,
    STATE(17907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798558] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23733), 1,
      anon_sym_SEMI,
    ACTIONS(23735), 1,
      anon_sym_GT_RBRACE,
    STATE(17908), 1,
      sym_attribute,
    STATE(17927), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798578] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23737), 1,
      anon_sym_SEMI,
    ACTIONS(23740), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17909), 2,
      sym_attribute,
      aux_sym_record_pattern_repeat1,
  [798596] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22447), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23742), 1,
      anon_sym_SEMI,
    STATE(17910), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798616] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3993), 1,
      anon_sym_RBRACK,
    ACTIONS(23744), 1,
      anon_sym_SEMI,
    STATE(17911), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798636] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22656), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798656] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4151), 1,
      anon_sym_RBRACK,
    ACTIONS(23746), 1,
      anon_sym_SEMI,
    STATE(17913), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798676] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21205), 1,
      anon_sym_RBRACE,
    ACTIONS(23748), 1,
      anon_sym_SEMI,
    STATE(17914), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798696] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21470), 1,
      anon_sym_RBRACE,
    ACTIONS(23750), 1,
      anon_sym_SEMI,
    STATE(17915), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798716] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22710), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23752), 1,
      anon_sym_SEMI,
    STATE(17916), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798736] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(23754), 1,
      anon_sym_RPAREN,
    STATE(17917), 1,
      sym_attribute,
    STATE(23749), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798756] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3995), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23756), 1,
      anon_sym_SEMI,
    STATE(17918), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798776] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3849), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23758), 1,
      anon_sym_SEMI,
    STATE(17919), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798796] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23760), 1,
      anon_sym_SEMI,
    ACTIONS(23762), 1,
      anon_sym_RBRACE,
    STATE(17920), 1,
      sym_attribute,
    STATE(17939), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798816] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4157), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23764), 1,
      anon_sym_SEMI,
    STATE(17921), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798836] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    ACTIONS(23766), 1,
      anon_sym__,
    STATE(16875), 1,
      sym_type_variable,
    STATE(17922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798856] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23768), 1,
      sym__lowercase_identifier,
    ACTIONS(23770), 1,
      anon_sym_LPAREN,
    STATE(12246), 1,
      sym__simple_value_pattern,
    STATE(17923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798876] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14250), 1,
      anon_sym_RPAREN,
    STATE(17924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23772), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [798894] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(17), 1,
      sym_attribute_id,
    STATE(17925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798912] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9808), 1,
      anon_sym_RBRACK,
    ACTIONS(23774), 1,
      anon_sym_SEMI,
    STATE(17926), 1,
      sym_attribute,
    STATE(18419), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798932] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22191), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23776), 1,
      anon_sym_SEMI,
    STATE(17927), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798952] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23778), 1,
      aux_sym_quoted_extension_token1,
    STATE(17928), 1,
      sym_attribute,
    STATE(22588), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798972] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23780), 1,
      anon_sym_SEMI,
    ACTIONS(23782), 1,
      anon_sym_RBRACE,
    STATE(17929), 1,
      sym_attribute,
    STATE(17946), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798992] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23784), 1,
      anon_sym_SEMI,
    ACTIONS(23786), 1,
      anon_sym_GT_RBRACE,
    STATE(17930), 1,
      sym_attribute,
    STATE(17954), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799012] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20684), 1,
      anon_sym_RBRACE,
    ACTIONS(23788), 1,
      anon_sym_SEMI,
    STATE(17931), 1,
      sym_attribute,
    STATE(18587), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799032] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23503), 1,
      anon_sym_COLON2,
    ACTIONS(23790), 1,
      anon_sym_RPAREN,
    STATE(17932), 1,
      sym_attribute,
    STATE(21787), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799052] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(23792), 1,
      anon_sym_RPAREN,
    STATE(17933), 1,
      sym_attribute,
    STATE(22794), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799072] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11280), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(17934), 1,
      sym_attribute,
    STATE(17950), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799092] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9810), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23794), 1,
      anon_sym_SEMI,
    STATE(17935), 1,
      sym_attribute,
    STATE(18593), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799112] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20290), 1,
      anon_sym_SEMI,
    ACTIONS(20292), 1,
      anon_sym_GT,
    STATE(17936), 1,
      sym_attribute,
    STATE(17953), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799132] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4177), 1,
      anon_sym_RBRACK,
    ACTIONS(23796), 1,
      anon_sym_SEMI,
    STATE(17937), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799152] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12789), 1,
      sym_attribute_id,
    STATE(17938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23798), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799170] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21309), 1,
      anon_sym_RBRACE,
    ACTIONS(23800), 1,
      anon_sym_SEMI,
    STATE(17939), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799190] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23802), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799210] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23804), 1,
      sym__lowercase_identifier,
    STATE(17941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799230] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17539), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17942), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799250] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17552), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17943), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799270] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17558), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17944), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799290] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22630), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23806), 1,
      anon_sym_SEMI,
    STATE(17945), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799310] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21476), 1,
      anon_sym_RBRACE,
    ACTIONS(23808), 1,
      anon_sym_SEMI,
    STATE(17946), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799330] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4179), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23810), 1,
      anon_sym_SEMI,
    STATE(17947), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799350] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23812), 1,
      anon_sym_RPAREN,
    STATE(17948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799370] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22228), 1,
      anon_sym_RBRACK,
    STATE(17949), 1,
      sym_attribute,
    STATE(17957), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799390] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22228), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799410] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23814), 1,
      sym__lowercase_identifier,
    STATE(17951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799430] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(6), 1,
      sym_attribute_id,
    STATE(17952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799448] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13225), 1,
      anon_sym_GT,
    ACTIONS(23816), 1,
      anon_sym_SEMI,
    STATE(17953), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799468] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22636), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23818), 1,
      anon_sym_SEMI,
    STATE(17954), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799488] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22746), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23820), 1,
      anon_sym_SEMI,
    STATE(17955), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799508] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23822), 1,
      anon_sym_RPAREN,
    STATE(17956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799528] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22238), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799548] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22238), 1,
      anon_sym_RBRACK,
    STATE(17958), 1,
      sym_attribute,
    STATE(17963), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799568] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(23824), 1,
      anon_sym_RPAREN,
    STATE(17959), 1,
      sym_attribute,
    STATE(23511), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799588] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23826), 1,
      anon_sym_SEMI,
    ACTIONS(23828), 1,
      anon_sym_RBRACE,
    STATE(17960), 1,
      sym_attribute,
    STATE(17969), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799608] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(23830), 1,
      anon_sym_RPAREN,
    STATE(17961), 1,
      sym_attribute,
    STATE(22152), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799628] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18), 1,
      sym_attribute_id,
    STATE(17962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799646] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22248), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799666] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9844), 1,
      anon_sym_RBRACK,
    ACTIONS(23832), 1,
      anon_sym_SEMI,
    STATE(17964), 1,
      sym_attribute,
    STATE(18419), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799686] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23834), 1,
      sym__lowercase_identifier,
    STATE(17965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799706] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23836), 1,
      aux_sym_quoted_extension_token1,
    STATE(17966), 1,
      sym_attribute,
    STATE(23731), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799726] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23838), 1,
      anon_sym_SEMI,
    ACTIONS(23840), 1,
      anon_sym_RBRACE,
    STATE(17967), 1,
      sym_attribute,
    STATE(17980), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799746] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(13537), 1,
      sym_module_binding,
    STATE(17968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20836), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [799764] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21313), 1,
      anon_sym_RBRACE,
    ACTIONS(23842), 1,
      anon_sym_SEMI,
    STATE(17969), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799784] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23844), 1,
      anon_sym_SEMI,
    ACTIONS(23846), 1,
      anon_sym_RBRACE,
    STATE(17970), 1,
      sym_attribute,
    STATE(18120), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799804] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21000), 1,
      anon_sym_RBRACE,
    ACTIONS(23848), 1,
      anon_sym_SEMI,
    STATE(17971), 1,
      sym_attribute,
    STATE(18587), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799824] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21173), 1,
      anon_sym_RBRACE,
    ACTIONS(23850), 1,
      anon_sym_SEMI,
    STATE(17972), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799844] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23852), 1,
      sym__lowercase_identifier,
    STATE(17973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799864] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9846), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23854), 1,
      anon_sym_SEMI,
    STATE(17974), 1,
      sym_attribute,
    STATE(18593), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799884] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21689), 1,
      sym__lowercase_identifier,
    STATE(17975), 1,
      sym_attribute,
    STATE(18234), 1,
      sym__instance_variable_name,
    STATE(20166), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799904] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14135), 1,
      sym_module_binding,
    STATE(17976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20836), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [799922] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22801), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799942] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23856), 1,
      anon_sym_SEMI,
    ACTIONS(23858), 1,
      anon_sym_RBRACE,
    STATE(17978), 1,
      sym_attribute,
    STATE(17991), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799962] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23860), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799982] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21211), 1,
      anon_sym_RBRACE,
    ACTIONS(23862), 1,
      anon_sym_SEMI,
    STATE(17980), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800002] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17147), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17981), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800022] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17264), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17982), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800042] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17344), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17983), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800062] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(13183), 1,
      sym_attribute_id,
    STATE(17984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23864), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800080] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22801), 1,
      anon_sym_RBRACK,
    STATE(17985), 1,
      sym_attribute,
    STATE(18318), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800100] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23866), 1,
      anon_sym_SEMI,
    ACTIONS(23868), 1,
      anon_sym_GT_RBRACE,
    STATE(17986), 1,
      sym_attribute,
    STATE(17999), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800120] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23870), 1,
      anon_sym_SEMI,
    ACTIONS(23872), 1,
      anon_sym_RBRACE,
    STATE(17987), 1,
      sym_attribute,
    STATE(18031), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800140] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4197), 1,
      anon_sym_RBRACK,
    ACTIONS(23874), 1,
      anon_sym_SEMI,
    STATE(17988), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800160] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23876), 1,
      anon_sym_SEMI,
    ACTIONS(23878), 1,
      anon_sym_RBRACE,
    STATE(17989), 1,
      sym_attribute,
    STATE(18048), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800180] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23880), 1,
      anon_sym_SEMI,
    ACTIONS(23882), 1,
      anon_sym_RBRACE,
    STATE(17990), 1,
      sym_attribute,
    STATE(18110), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800200] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21321), 1,
      anon_sym_RBRACE,
    ACTIONS(23884), 1,
      anon_sym_SEMI,
    STATE(17991), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800220] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19), 1,
      sym_attribute_id,
    STATE(17992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800238] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23886), 1,
      anon_sym_SEMI,
    ACTIONS(23888), 1,
      anon_sym_RBRACE,
    STATE(17993), 1,
      sym_attribute,
    STATE(18003), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800258] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23890), 1,
      sym__lowercase_identifier,
    ACTIONS(23892), 1,
      anon_sym_LPAREN,
    STATE(9598), 1,
      sym__simple_value_pattern,
    STATE(17994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800278] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(4), 1,
      sym_attribute_id,
    STATE(17995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800296] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23894), 1,
      aux_sym_quoted_extension_token1,
    STATE(17996), 1,
      sym_attribute,
    STATE(22232), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800316] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4203), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23896), 1,
      anon_sym_SEMI,
    STATE(17997), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800336] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23898), 1,
      anon_sym_SEMI,
    ACTIONS(23900), 1,
      anon_sym_GT_RBRACE,
    STATE(17998), 1,
      sym_attribute,
    STATE(18012), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800356] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22073), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23902), 1,
      anon_sym_SEMI,
    STATE(17999), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800376] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23904), 1,
      anon_sym_SEMI,
    ACTIONS(23906), 1,
      anon_sym_GT_RBRACE,
    STATE(18000), 1,
      sym_attribute,
    STATE(18065), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800396] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4299), 1,
      anon_sym_RBRACK,
    ACTIONS(23908), 1,
      anon_sym_SEMI,
    STATE(18001), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800416] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23910), 1,
      anon_sym_SEMI,
    ACTIONS(23912), 1,
      anon_sym_GT_RBRACE,
    STATE(18002), 1,
      sym_attribute,
    STATE(18079), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800436] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21484), 1,
      anon_sym_RBRACE,
    ACTIONS(23914), 1,
      anon_sym_SEMI,
    STATE(18003), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800456] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23916), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800476] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23920), 1,
      anon_sym_LBRACK,
    STATE(18005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23918), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [800494] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17599), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18006), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800514] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17480), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18007), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800534] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17592), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18008), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800554] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4301), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23922), 1,
      anon_sym_SEMI,
    STATE(18009), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800574] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23924), 1,
      anon_sym_SEMI,
    ACTIONS(23926), 1,
      anon_sym_RBRACE,
    STATE(18010), 1,
      sym_attribute,
    STATE(18020), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800594] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23928), 3,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__lowercase_identifier,
  [800610] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22327), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23930), 1,
      anon_sym_SEMI,
    STATE(18012), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800630] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23932), 1,
      anon_sym_SEMI,
    ACTIONS(23934), 1,
      anon_sym_RBRACE,
    STATE(18013), 1,
      sym_attribute,
    STATE(18080), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800650] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23936), 1,
      anon_sym_SEMI,
    ACTIONS(23938), 1,
      anon_sym_RBRACE,
    STATE(18014), 1,
      sym_attribute,
    STATE(18026), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800670] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20029), 1,
      sym__uppercase_identifier,
    ACTIONS(21701), 1,
      anon_sym_LPAREN,
    STATE(10695), 1,
      sym__constructor_name,
    STATE(18015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800690] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11284), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18016), 1,
      sym_attribute,
    STATE(18029), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800710] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20), 1,
      sym_attribute_id,
    STATE(18017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800728] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23940), 1,
      sym__lowercase_identifier,
    STATE(18018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800748] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20429), 1,
      anon_sym_SEMI,
    ACTIONS(20431), 1,
      anon_sym_GT,
    STATE(18019), 1,
      sym_attribute,
    STATE(18032), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800768] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21325), 1,
      anon_sym_RBRACE,
    ACTIONS(23942), 1,
      anon_sym_SEMI,
    STATE(18020), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800788] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(23944), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(18021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800808] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23946), 1,
      aux_sym_quoted_extension_token1,
    STATE(18022), 1,
      sym_attribute,
    STATE(22761), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800828] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23948), 1,
      aux_sym_quoted_extension_token1,
    STATE(18023), 1,
      sym_attribute,
    STATE(21320), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800848] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11130), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18024), 1,
      sym_attribute,
    STATE(18210), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800868] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23950), 1,
      sym__lowercase_identifier,
    STATE(18025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800888] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21490), 1,
      anon_sym_RBRACE,
    ACTIONS(23952), 1,
      anon_sym_SEMI,
    STATE(18026), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800908] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23954), 1,
      anon_sym_RPAREN,
    STATE(18027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800928] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22363), 1,
      anon_sym_RBRACK,
    STATE(18028), 1,
      sym_attribute,
    STATE(18041), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800948] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22363), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800968] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3807), 1,
      anon_sym_RBRACK,
    ACTIONS(23956), 1,
      anon_sym_SEMI,
    STATE(18030), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800988] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21329), 1,
      anon_sym_RBRACE,
    ACTIONS(23958), 1,
      anon_sym_SEMI,
    STATE(18031), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801008] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13263), 1,
      anon_sym_GT,
    ACTIONS(23960), 1,
      anon_sym_SEMI,
    STATE(18032), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801028] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(23962), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801048] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17154), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18034), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801068] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(12759), 1,
      anon_sym_DOT,
    ACTIONS(23964), 1,
      anon_sym_RPAREN,
    STATE(18035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801088] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17166), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18036), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801108] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17168), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18037), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801128] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23966), 1,
      anon_sym_SEMI,
    ACTIONS(23968), 1,
      anon_sym_RBRACE,
    STATE(18038), 1,
      sym_attribute,
    STATE(18311), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801148] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(23970), 1,
      anon_sym_RPAREN,
    STATE(18039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801168] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21149), 1,
      anon_sym_RBRACE,
    ACTIONS(23972), 1,
      anon_sym_SEMI,
    STATE(18040), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801188] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22379), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801208] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22379), 1,
      anon_sym_RBRACK,
    STATE(18042), 1,
      sym_attribute,
    STATE(18046), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801228] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(23974), 1,
      sym__lowercase_identifier,
    STATE(18043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801248] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20388), 1,
      anon_sym_SEMI,
    ACTIONS(20390), 1,
      anon_sym_GT,
    STATE(18044), 1,
      sym_attribute,
    STATE(18235), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801268] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4073), 1,
      anon_sym_RBRACK,
    ACTIONS(23976), 1,
      anon_sym_SEMI,
    STATE(18045), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801288] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22385), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801308] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23978), 1,
      anon_sym_SEMI,
    ACTIONS(23980), 1,
      anon_sym_RBRACE,
    STATE(18047), 1,
      sym_attribute,
    STATE(18662), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801328] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21494), 1,
      anon_sym_RBRACE,
    ACTIONS(23982), 1,
      anon_sym_SEMI,
    STATE(18048), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801348] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23984), 1,
      anon_sym_SEMI,
    ACTIONS(23986), 1,
      anon_sym_GT_RBRACE,
    STATE(17879), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801368] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23988), 1,
      anon_sym_SEMI,
    ACTIONS(23990), 1,
      anon_sym_RBRACE,
    STATE(18050), 1,
      sym_attribute,
    STATE(18062), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801388] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3941), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23992), 1,
      anon_sym_SEMI,
    STATE(18051), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801408] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(21), 1,
      sym_attribute_id,
    STATE(18052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801426] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23994), 1,
      anon_sym_SEMI,
    ACTIONS(23996), 1,
      anon_sym_GT_RBRACE,
    STATE(18053), 1,
      sym_attribute,
    STATE(18071), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801446] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3813), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23998), 1,
      anon_sym_SEMI,
    STATE(18054), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801466] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9083), 1,
      anon_sym_RBRACK,
    ACTIONS(24000), 1,
      anon_sym_SEMI,
    STATE(17891), 1,
      aux_sym_list_pattern_repeat1,
    STATE(18055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801486] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(17898), 1,
      sym_attribute_id,
    STATE(18056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801504] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24004), 1,
      aux_sym_quoted_extension_token1,
    STATE(18057), 1,
      sym_attribute,
    STATE(21483), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801524] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24006), 1,
      anon_sym_SEMI,
    ACTIONS(24008), 1,
      anon_sym_RBRACE,
    STATE(18058), 1,
      sym_attribute,
    STATE(18138), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801544] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4223), 1,
      anon_sym_RBRACK,
    ACTIONS(24010), 1,
      anon_sym_SEMI,
    STATE(18059), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801564] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4079), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24012), 1,
      anon_sym_SEMI,
    STATE(18060), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801584] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20584), 1,
      anon_sym_RBRACE,
    ACTIONS(24014), 1,
      anon_sym_SEMI,
    STATE(17909), 1,
      aux_sym_record_pattern_repeat1,
    STATE(18061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801604] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21337), 1,
      anon_sym_RBRACE,
    ACTIONS(24016), 1,
      anon_sym_SEMI,
    STATE(18062), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801624] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4225), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24018), 1,
      anon_sym_SEMI,
    STATE(18063), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801644] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24020), 1,
      anon_sym_SEMI,
    ACTIONS(24022), 1,
      anon_sym_RBRACE,
    STATE(18064), 1,
      sym_attribute,
    STATE(18114), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801664] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22413), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24024), 1,
      anon_sym_SEMI,
    STATE(18065), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801684] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24026), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801704] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17468), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18067), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801724] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24028), 1,
      sym__lowercase_identifier,
    STATE(18068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801744] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17481), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18069), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801764] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17487), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18070), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801784] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22805), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24030), 1,
      anon_sym_SEMI,
    STATE(18071), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801804] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    STATE(18072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17871), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [801822] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    STATE(18073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17875), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [801840] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24032), 1,
      anon_sym_EQ,
    STATE(18074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24034), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [801858] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24036), 1,
      anon_sym_RPAREN,
    STATE(18075), 1,
      sym_attribute,
    STATE(20489), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801878] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24038), 1,
      anon_sym_RPAREN,
    STATE(18076), 1,
      sym_attribute,
    STATE(20620), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801898] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24040), 1,
      anon_sym_SEMI,
    ACTIONS(24042), 1,
      anon_sym_RBRACE,
    STATE(18077), 1,
      sym_attribute,
    STATE(18090), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801918] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9876), 1,
      anon_sym_RBRACK,
    ACTIONS(24044), 1,
      anon_sym_SEMI,
    STATE(18078), 1,
      sym_attribute,
    STATE(18419), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801938] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22815), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24046), 1,
      anon_sym_SEMI,
    STATE(18079), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801958] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20842), 1,
      anon_sym_RBRACE,
    ACTIONS(24048), 1,
      anon_sym_SEMI,
    STATE(18080), 1,
      sym_attribute,
    STATE(18587), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801978] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9878), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24050), 1,
      anon_sym_SEMI,
    STATE(18081), 1,
      sym_attribute,
    STATE(18593), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801998] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(22), 1,
      sym_attribute_id,
    STATE(18082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802016] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24052), 1,
      anon_sym_SEMI,
    ACTIONS(24054), 1,
      anon_sym_GT_RBRACE,
    STATE(18083), 1,
      sym_attribute,
    STATE(18099), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802036] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8909), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24056), 1,
      anon_sym_SEMI,
    STATE(18084), 1,
      sym_attribute,
    STATE(18606), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802056] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24058), 1,
      aux_sym_quoted_extension_token1,
    STATE(18085), 1,
      sym_attribute,
    STATE(23260), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802076] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24060), 1,
      anon_sym_SEMI,
    ACTIONS(24062), 1,
      anon_sym_RBRACE,
    STATE(18086), 1,
      sym_attribute,
    STATE(18101), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802096] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24064), 1,
      anon_sym_SEMI,
    ACTIONS(24066), 1,
      anon_sym_GT_RBRACE,
    STATE(18087), 1,
      sym_attribute,
    STATE(18164), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802116] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4389), 1,
      anon_sym_RBRACK,
    ACTIONS(24068), 1,
      anon_sym_SEMI,
    STATE(18088), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802136] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11323), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18089), 1,
      sym_attribute,
    STATE(18325), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802156] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21500), 1,
      anon_sym_RBRACE,
    ACTIONS(24070), 1,
      anon_sym_SEMI,
    STATE(18090), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802176] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24072), 1,
      anon_sym_RPAREN,
    STATE(18091), 1,
      sym_attribute,
    STATE(21727), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802196] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4395), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24074), 1,
      anon_sym_SEMI,
    STATE(18092), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802216] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24076), 1,
      sym__lowercase_identifier,
    STATE(18093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802236] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24078), 1,
      anon_sym_SEMI,
    ACTIONS(24080), 1,
      anon_sym_RBRACE,
    STATE(18094), 1,
      sym_attribute,
    STATE(18157), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802256] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24082), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802276] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17236), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18096), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802296] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17263), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18097), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802316] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17305), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18098), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802336] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22435), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24084), 1,
      anon_sym_SEMI,
    STATE(18099), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802356] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24086), 1,
      anon_sym_SEMI,
    ACTIONS(24088), 1,
      anon_sym_RBRACE,
    STATE(18100), 1,
      sym_attribute,
    STATE(18113), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802376] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21341), 1,
      anon_sym_RBRACE,
    ACTIONS(24090), 1,
      anon_sym_SEMI,
    STATE(18101), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802396] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11371), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18102), 1,
      sym_attribute,
    STATE(18171), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802416] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11288), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18103), 1,
      sym_attribute,
    STATE(18118), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802436] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(23), 1,
      sym_attribute_id,
    STATE(18104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802454] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4009), 1,
      anon_sym_RBRACK,
    ACTIONS(24092), 1,
      anon_sym_SEMI,
    STATE(18105), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802474] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20342), 1,
      anon_sym_SEMI,
    ACTIONS(20344), 1,
      anon_sym_GT,
    STATE(18106), 1,
      sym_attribute,
    STATE(18124), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802494] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24094), 1,
      anon_sym_SEMI,
    ACTIONS(24096), 1,
      anon_sym_RBRACE,
    STATE(18107), 1,
      sym_attribute,
    STATE(18181), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802514] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20425), 1,
      anon_sym_SEMI,
    ACTIONS(20427), 1,
      anon_sym_GT,
    STATE(18108), 1,
      sym_attribute,
    STATE(18174), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802534] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24098), 1,
      aux_sym_quoted_extension_token1,
    STATE(18109), 1,
      sym_attribute,
    STATE(20607), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802554] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21157), 1,
      anon_sym_RBRACE,
    ACTIONS(24100), 1,
      anon_sym_SEMI,
    STATE(18110), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802574] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24102), 1,
      sym__lowercase_identifier,
    STATE(18111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802594] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20440), 1,
      anon_sym_SEMI,
    ACTIONS(20442), 1,
      anon_sym_GT,
    STATE(18112), 1,
      sym_attribute,
    STATE(18333), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802614] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21506), 1,
      anon_sym_RBRACE,
    ACTIONS(24104), 1,
      anon_sym_SEMI,
    STATE(18113), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802634] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21219), 1,
      anon_sym_RBRACE,
    ACTIONS(24106), 1,
      anon_sym_SEMI,
    STATE(18114), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802654] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23503), 1,
      anon_sym_COLON2,
    ACTIONS(24108), 1,
      anon_sym_RPAREN,
    STATE(18115), 1,
      sym_attribute,
    STATE(20594), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802674] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24110), 1,
      anon_sym_RPAREN,
    STATE(18116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802694] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22449), 1,
      anon_sym_RBRACK,
    STATE(18117), 1,
      sym_attribute,
    STATE(18130), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802714] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22449), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802734] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24112), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802754] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21217), 1,
      anon_sym_RBRACE,
    ACTIONS(24114), 1,
      anon_sym_SEMI,
    STATE(18120), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802774] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17073), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18121), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802794] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17083), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18122), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802814] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17099), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18123), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802834] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13285), 1,
      anon_sym_GT,
    ACTIONS(24116), 1,
      anon_sym_SEMI,
    STATE(18124), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802854] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17052), 1,
      aux_sym_module_binding_repeat1,
    STATE(18125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802874] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(24), 1,
      sym_attribute_id,
    STATE(18126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802892] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24118), 1,
      anon_sym_SEMI,
    ACTIONS(24120), 1,
      anon_sym_GT_RBRACE,
    STATE(18127), 1,
      sym_attribute,
    STATE(18706), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802912] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24122), 1,
      anon_sym_RPAREN,
    STATE(18128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802932] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18129), 1,
      sym_attribute,
    STATE(18208), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802952] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22467), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802972] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22467), 1,
      anon_sym_RBRACK,
    STATE(18131), 1,
      sym_attribute,
    STATE(18137), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802992] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24124), 1,
      aux_sym_quoted_extension_token1,
    STATE(18132), 1,
      sym_attribute,
    STATE(21039), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803012] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4011), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24126), 1,
      anon_sym_SEMI,
    STATE(18133), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803032] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23503), 1,
      anon_sym_COLON2,
    ACTIONS(24128), 1,
      anon_sym_RPAREN,
    STATE(18134), 1,
      sym_attribute,
    STATE(22390), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803052] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24130), 1,
      anon_sym_RPAREN,
    STATE(18135), 1,
      sym_attribute,
    STATE(21558), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803072] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9067), 1,
      anon_sym_RBRACK,
    ACTIONS(24132), 1,
      anon_sym_SEMI,
    STATE(17891), 1,
      aux_sym_list_pattern_repeat1,
    STATE(18136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803092] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22473), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803112] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20864), 1,
      anon_sym_RBRACE,
    ACTIONS(24134), 1,
      anon_sym_SEMI,
    STATE(17909), 1,
      aux_sym_record_pattern_repeat1,
    STATE(18138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803132] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20410), 1,
      anon_sym_SEMI,
    ACTIONS(20412), 1,
      anon_sym_GT,
    STATE(18139), 1,
      sym_attribute,
    STATE(18214), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803152] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24136), 1,
      anon_sym_SEMI,
    ACTIONS(24138), 1,
      anon_sym_RBRACE,
    STATE(18140), 1,
      sym_attribute,
    STATE(18153), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803172] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24140), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803192] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17268), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18142), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803212] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17273), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18143), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803232] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17276), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18144), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803252] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24142), 1,
      anon_sym_SEMI,
    ACTIONS(24144), 1,
      anon_sym_GT_RBRACE,
    STATE(18145), 1,
      sym_attribute,
    STATE(18165), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803272] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24146), 1,
      sym__lowercase_identifier,
    STATE(18146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803292] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(25), 1,
      sym_attribute_id,
    STATE(18147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803310] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24148), 1,
      anon_sym_RPAREN,
    STATE(18148), 1,
      sym_attribute,
    STATE(20657), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803330] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8967), 1,
      anon_sym_RBRACK,
    ACTIONS(24150), 1,
      anon_sym_SEMI,
    STATE(17891), 1,
      aux_sym_list_pattern_repeat1,
    STATE(18149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803350] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24152), 1,
      aux_sym_quoted_extension_token1,
    STATE(18150), 1,
      sym_attribute,
    STATE(21595), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803370] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4245), 1,
      anon_sym_RBRACK,
    ACTIONS(24154), 1,
      anon_sym_SEMI,
    STATE(18151), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803390] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21155), 1,
      anon_sym_RBRACE,
    ACTIONS(24156), 1,
      anon_sym_SEMI,
    STATE(18152), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803410] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21349), 1,
      anon_sym_RBRACE,
    ACTIONS(24158), 1,
      anon_sym_SEMI,
    STATE(18153), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803430] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24160), 1,
      sym__lowercase_identifier,
    STATE(18154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803450] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4247), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24162), 1,
      anon_sym_SEMI,
    STATE(18155), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803470] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24164), 1,
      anon_sym_RPAREN,
    STATE(18156), 1,
      sym_attribute,
    STATE(21936), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803490] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21512), 1,
      anon_sym_RBRACE,
    ACTIONS(24166), 1,
      anon_sym_SEMI,
    STATE(18157), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803510] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9818), 1,
      anon_sym_RBRACK,
    ACTIONS(24168), 1,
      anon_sym_SEMI,
    STATE(18158), 1,
      sym_attribute,
    STATE(18419), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803530] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22489), 1,
      anon_sym_RBRACE,
    ACTIONS(24170), 1,
      anon_sym_SEMI,
    STATE(17873), 1,
      aux_sym_record_declaration_repeat1,
    STATE(18159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803550] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24172), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803570] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17430), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18161), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803590] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17436), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18162), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803610] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17438), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18163), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803630] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22954), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24174), 1,
      anon_sym_SEMI,
    STATE(18164), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803650] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22894), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24176), 1,
      anon_sym_SEMI,
    STATE(18165), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803670] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24178), 1,
      anon_sym_SEMI,
    ACTIONS(24180), 1,
      anon_sym_RBRACE,
    STATE(18166), 1,
      sym_attribute,
    STATE(18178), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803690] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(26), 1,
      sym_attribute_id,
    STATE(18167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803708] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21085), 1,
      anon_sym_RBRACE,
    ACTIONS(24182), 1,
      anon_sym_SEMI,
    STATE(18168), 1,
      sym_attribute,
    STATE(18587), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803728] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24184), 1,
      anon_sym_RPAREN,
    STATE(18169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803748] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22508), 1,
      anon_sym_RBRACK,
    STATE(18170), 1,
      sym_attribute,
    STATE(18230), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803768] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22508), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803788] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24186), 1,
      aux_sym_quoted_extension_token1,
    STATE(18172), 1,
      sym_attribute,
    STATE(22073), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803808] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24188), 1,
      anon_sym_SEMI,
    ACTIONS(24190), 1,
      anon_sym_GT_RBRACE,
    STATE(18173), 1,
      sym_attribute,
    STATE(18190), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803828] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13396), 1,
      anon_sym_GT,
    ACTIONS(24192), 1,
      anon_sym_SEMI,
    STATE(18174), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803848] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(24194), 1,
      anon_sym_RBRACK,
    STATE(18175), 1,
      sym_attribute,
    STATE(18747), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803868] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3831), 1,
      anon_sym_RBRACK,
    ACTIONS(24196), 1,
      anon_sym_SEMI,
    STATE(18176), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803888] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24198), 1,
      anon_sym_SEMI,
    ACTIONS(24200), 1,
      anon_sym_RBRACE,
    STATE(18177), 1,
      sym_attribute,
    STATE(18193), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803908] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21516), 1,
      anon_sym_RBRACE,
    ACTIONS(24202), 1,
      anon_sym_SEMI,
    STATE(18178), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803928] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24204), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803948] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(16940), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18180), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803968] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21351), 1,
      anon_sym_RBRACE,
    ACTIONS(24206), 1,
      anon_sym_SEMI,
    STATE(18181), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803988] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(16943), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18182), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804008] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(16944), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18183), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804028] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21014), 1,
      anon_sym_RBRACE,
    ACTIONS(24208), 1,
      anon_sym_SEMI,
    STATE(17909), 1,
      aux_sym_record_pattern_repeat1,
    STATE(18184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804048] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24210), 1,
      anon_sym_EQ,
    STATE(18185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24212), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [804066] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3837), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24214), 1,
      anon_sym_SEMI,
    STATE(18186), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804086] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(2), 1,
      sym_attribute_id,
    STATE(18187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [804104] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24216), 1,
      anon_sym_RPAREN,
    STATE(18188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804124] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24218), 1,
      sym__lowercase_identifier,
    STATE(18189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804144] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22518), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24220), 1,
      anon_sym_SEMI,
    STATE(18190), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804164] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24222), 1,
      aux_sym_quoted_extension_token1,
    STATE(18191), 1,
      sym_attribute,
    STATE(22487), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804184] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24224), 1,
      anon_sym_SEMI,
    ACTIONS(24226), 1,
      anon_sym_RBRACE,
    STATE(18192), 1,
      sym_attribute,
    STATE(18231), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804204] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21355), 1,
      anon_sym_RBRACE,
    ACTIONS(24228), 1,
      anon_sym_SEMI,
    STATE(18193), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804224] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24230), 1,
      anon_sym_SEMI,
    ACTIONS(24232), 1,
      anon_sym_RBRACE,
    STATE(18194), 1,
      sym_attribute,
    STATE(18209), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804244] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8969), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24234), 1,
      anon_sym_SEMI,
    STATE(18195), 1,
      sym_attribute,
    STATE(18606), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804264] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11295), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18196), 1,
      sym_attribute,
    STATE(18213), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804284] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22985), 1,
      anon_sym_RBRACK,
    STATE(18197), 1,
      sym_attribute,
    STATE(18293), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804304] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24236), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804324] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20234), 1,
      anon_sym_SEMI,
    ACTIONS(20236), 1,
      anon_sym_GT,
    STATE(18199), 1,
      sym_attribute,
    STATE(18215), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804344] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17017), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18200), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804364] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17020), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18201), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804384] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17022), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18202), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804404] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24238), 1,
      anon_sym_RPAREN,
    STATE(18203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804424] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22906), 1,
      anon_sym_RBRACK,
    STATE(18204), 1,
      sym_attribute,
    STATE(18244), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804444] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(28), 1,
      sym_attribute_id,
    STATE(18205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [804462] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24240), 1,
      sym__lowercase_identifier,
    STATE(18206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804482] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24242), 1,
      aux_sym_quoted_extension_token1,
    STATE(18207), 1,
      sym_attribute,
    STATE(23070), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804502] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22906), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804522] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21520), 1,
      anon_sym_RBRACE,
    ACTIONS(24244), 1,
      anon_sym_SEMI,
    STATE(18209), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804542] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22985), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804562] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24246), 1,
      anon_sym_RPAREN,
    STATE(18211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804582] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22534), 1,
      anon_sym_RBRACK,
    STATE(18212), 1,
      sym_attribute,
    STATE(18224), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804602] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22534), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804622] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13241), 1,
      anon_sym_GT,
    ACTIONS(24248), 1,
      anon_sym_SEMI,
    STATE(18214), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804642] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13334), 1,
      anon_sym_GT,
    ACTIONS(24250), 1,
      anon_sym_SEMI,
    STATE(18215), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804662] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24252), 1,
      anon_sym_SEMI,
    ACTIONS(24254), 1,
      anon_sym_RBRACE,
    STATE(18152), 1,
      aux_sym_record_expression_repeat1,
    STATE(18216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804682] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24256), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804702] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17085), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18218), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804722] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17087), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18219), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804742] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17088), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18220), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804762] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24258), 1,
      sym__lowercase_identifier,
    STATE(18221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804782] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(29), 1,
      sym_attribute_id,
    STATE(18222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [804800] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24260), 1,
      anon_sym_RPAREN,
    STATE(18223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804820] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22540), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804840] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22540), 1,
      anon_sym_RBRACK,
    STATE(18225), 1,
      sym_attribute,
    STATE(18229), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804860] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24262), 1,
      aux_sym_quoted_extension_token1,
    STATE(18226), 1,
      sym_attribute,
    STATE(23673), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804880] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24264), 1,
      anon_sym_RPAREN,
    STATE(18227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804900] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24266), 1,
      anon_sym_SEMI,
    ACTIONS(24268), 1,
      anon_sym_RBRACE,
    STATE(18228), 1,
      sym_attribute,
    STATE(18248), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804920] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22546), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804940] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22550), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804960] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21223), 1,
      anon_sym_RBRACE,
    ACTIONS(24270), 1,
      anon_sym_SEMI,
    STATE(18231), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804980] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22550), 1,
      anon_sym_RBRACK,
    STATE(18232), 1,
      sym_attribute,
    STATE(18245), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805000] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24272), 1,
      anon_sym_SEMI,
    ACTIONS(24274), 1,
      anon_sym_GT_RBRACE,
    STATE(18233), 1,
      sym_attribute,
    STATE(18257), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805020] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24276), 1,
      anon_sym_EQ,
    STATE(18234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24278), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [805038] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13233), 1,
      anon_sym_GT,
    ACTIONS(24280), 1,
      anon_sym_SEMI,
    STATE(18235), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805058] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24282), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805078] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17140), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18237), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805098] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9820), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24284), 1,
      anon_sym_SEMI,
    STATE(18238), 1,
      sym_attribute,
    STATE(18593), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805118] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17142), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18239), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805138] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17143), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18240), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805158] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24286), 1,
      anon_sym_RPAREN,
    STATE(18241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805178] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(96), 1,
      sym_attribute_id,
    STATE(18242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [805196] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24288), 1,
      aux_sym_quoted_extension_token1,
    STATE(18243), 1,
      sym_attribute,
    STATE(20631), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805216] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22969), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805236] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22558), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805256] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4263), 1,
      anon_sym_RBRACK,
    ACTIONS(24290), 1,
      anon_sym_SEMI,
    STATE(18246), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805276] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24292), 1,
      anon_sym_SEMI,
    ACTIONS(24294), 1,
      anon_sym_RBRACE,
    STATE(18247), 1,
      sym_attribute,
    STATE(18413), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805296] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21363), 1,
      anon_sym_RBRACE,
    ACTIONS(24296), 1,
      anon_sym_SEMI,
    STATE(18248), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805316] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22969), 1,
      anon_sym_RBRACK,
    STATE(18249), 1,
      sym_attribute,
    STATE(18269), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805336] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24298), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805356] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17189), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18251), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805376] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17192), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18252), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805396] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17193), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18253), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805416] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4265), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24300), 1,
      anon_sym_SEMI,
    STATE(18254), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805436] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(30), 1,
      sym_attribute_id,
    STATE(18255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [805454] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24302), 1,
      aux_sym_quoted_extension_token1,
    STATE(18256), 1,
      sym_attribute,
    STATE(20952), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805474] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22979), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24304), 1,
      anon_sym_SEMI,
    STATE(18257), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805494] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24306), 1,
      anon_sym_SEMI,
    ACTIONS(24308), 1,
      anon_sym_RBRACE,
    STATE(18258), 1,
      sym_attribute,
    STATE(18270), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805514] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24310), 1,
      anon_sym_SEMI,
    ACTIONS(24312), 1,
      anon_sym_RBRACE,
    STATE(18259), 1,
      sym_attribute,
    STATE(18277), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805534] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24314), 1,
      anon_sym_SEMI,
    ACTIONS(24316), 1,
      anon_sym_GT_RBRACE,
    STATE(18260), 1,
      sym_attribute,
    STATE(18279), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805554] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24318), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805574] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17245), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18262), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805594] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17248), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18263), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805614] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17250), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18264), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805634] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(31), 1,
      sym_attribute_id,
    STATE(18265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [805652] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24320), 1,
      sym__lowercase_identifier,
    STATE(18266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805672] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24322), 1,
      aux_sym_quoted_extension_token1,
    STATE(18267), 1,
      sym_attribute,
    STATE(21282), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805692] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3939), 1,
      anon_sym_RBRACK,
    ACTIONS(24324), 1,
      anon_sym_SEMI,
    STATE(18268), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805712] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23001), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805732] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21530), 1,
      anon_sym_RBRACE,
    ACTIONS(24326), 1,
      anon_sym_SEMI,
    STATE(18270), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805752] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24328), 1,
      sym__lowercase_identifier,
    STATE(18271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805772] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24330), 1,
      anon_sym_SEMI,
    ACTIONS(24332), 1,
      anon_sym_RBRACE,
    STATE(18272), 1,
      sym_attribute,
    STATE(19033), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805792] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    STATE(18273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18272), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [805810] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3951), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24334), 1,
      anon_sym_SEMI,
    STATE(18274), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805830] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24336), 1,
      anon_sym_SEMI,
    ACTIONS(24338), 1,
      anon_sym_RBRACE,
    STATE(18168), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(18275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805850] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(32), 1,
      sym_attribute_id,
    STATE(18276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [805868] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21367), 1,
      anon_sym_RBRACE,
    ACTIONS(24340), 1,
      anon_sym_SEMI,
    STATE(18277), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805888] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24342), 1,
      aux_sym_quoted_extension_token1,
    STATE(18278), 1,
      sym_attribute,
    STATE(21557), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805908] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22590), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24344), 1,
      anon_sym_SEMI,
    STATE(18279), 1,
      sym_attribute,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805928] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24346), 1,
      anon_sym_SEMI,
    ACTIONS(24348), 1,
      anon_sym_RBRACE,
    STATE(17931), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(18280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805948] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24350), 1,
      anon_sym_SEMI,
    ACTIONS(24353), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18281), 2,
      sym_attribute,
      aux_sym_object_copy_expression_repeat1,
  [805966] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24355), 1,
      anon_sym_SEMI,
    ACTIONS(24357), 1,
      anon_sym_RBRACE,
    STATE(18282), 1,
      sym_attribute,
    STATE(18294), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805986] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24359), 1,
      anon_sym_RPAREN,
    STATE(18283), 1,
      sym_attribute,
    STATE(23087), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806006] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(33), 1,
      sym_attribute_id,
    STATE(18284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [806024] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11297), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18285), 1,
      sym_attribute,
    STATE(18298), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806044] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24361), 1,
      anon_sym_RPAREN,
    STATE(18286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806064] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24363), 1,
      aux_sym_quoted_extension_token1,
    STATE(18287), 1,
      sym_attribute,
    STATE(21819), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806084] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20318), 1,
      anon_sym_SEMI,
    ACTIONS(20320), 1,
      anon_sym_GT,
    STATE(18288), 1,
      sym_attribute,
    STATE(18301), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806104] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11272), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18289), 1,
      sym_attribute,
    STATE(18727), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806124] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24365), 1,
      anon_sym_SEMI,
    ACTIONS(24367), 1,
      anon_sym_GT_RBRACE,
    STATE(18290), 1,
      sym_attribute,
    STATE(18570), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806144] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24369), 1,
      sym__lowercase_identifier,
    STATE(18291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806164] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(34), 1,
      sym_attribute_id,
    STATE(18292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [806182] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23204), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806202] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21534), 1,
      anon_sym_RBRACE,
    ACTIONS(24371), 1,
      anon_sym_SEMI,
    STATE(18294), 1,
      sym_attribute,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806222] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24373), 1,
      anon_sym_RPAREN,
    STATE(18295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806242] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24375), 1,
      aux_sym_quoted_extension_token1,
    STATE(18296), 1,
      sym_attribute,
    STATE(22255), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806262] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22614), 1,
      anon_sym_RBRACK,
    STATE(18297), 1,
      sym_attribute,
    STATE(18306), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806282] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22614), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806302] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23204), 1,
      anon_sym_RBRACK,
    STATE(18299), 1,
      sym_attribute,
    STATE(18358), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806322] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24377), 1,
      anon_sym_SEMI,
    ACTIONS(24379), 1,
      anon_sym_RBRACE,
    STATE(18300), 1,
      sym_attribute,
    STATE(18347), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806342] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13372), 1,
      anon_sym_GT,
    ACTIONS(24381), 1,
      anon_sym_SEMI,
    STATE(18301), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806362] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(24383), 1,
      anon_sym_type,
    STATE(17739), 1,
      sym_module_path,
    STATE(18302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806382] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(35), 1,
      sym_attribute_id,
    STATE(18303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [806400] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24385), 1,
      anon_sym_RPAREN,
    STATE(18304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806420] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24387), 1,
      sym__lowercase_identifier,
    STATE(18305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806440] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22622), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806460] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22622), 1,
      anon_sym_RBRACK,
    STATE(18307), 1,
      sym_attribute,
    STATE(18313), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806480] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24389), 1,
      aux_sym_quoted_extension_token1,
    STATE(18308), 1,
      sym_attribute,
    STATE(22410), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806500] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20298), 1,
      anon_sym_SEMI,
    ACTIONS(20300), 1,
      anon_sym_GT,
    STATE(18309), 1,
      sym_attribute,
    STATE(18734), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806520] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24391), 1,
      anon_sym_SEMI,
    ACTIONS(24394), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18310), 2,
      sym_attribute,
      aux_sym_record_expression_repeat1,
  [806538] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21371), 1,
      anon_sym_RBRACE,
    ACTIONS(24396), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806558] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(16905), 1,
      anon_sym_in,
    ACTIONS(24398), 1,
      anon_sym_and,
    STATE(18312), 1,
      sym_attribute,
    STATE(18624), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806578] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22628), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806598] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(36), 1,
      sym_attribute_id,
    STATE(18314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [806616] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24400), 1,
      anon_sym_SEMI,
    ACTIONS(24402), 1,
      anon_sym_GT_RBRACE,
    STATE(18315), 1,
      sym_attribute,
    STATE(18406), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806636] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24404), 1,
      aux_sym_quoted_extension_token1,
    STATE(18316), 1,
      sym_attribute,
    STATE(22561), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806656] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23503), 1,
      anon_sym_COLON2,
    ACTIONS(24406), 1,
      anon_sym_RPAREN,
    STATE(18317), 1,
      sym_attribute,
    STATE(20586), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806676] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22236), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806696] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9059), 1,
      anon_sym_RBRACK,
    ACTIONS(24408), 1,
      anon_sym_SEMI,
    STATE(17891), 1,
      aux_sym_list_pattern_repeat1,
    STATE(18319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806716] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24410), 1,
      anon_sym_RPAREN,
    STATE(18320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806736] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(37), 1,
      sym_attribute_id,
    STATE(18321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [806754] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15695), 1,
      sym_attribute_id,
    STATE(18322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24412), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [806772] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24414), 1,
      aux_sym_quoted_extension_token1,
    STATE(18323), 1,
      sym_attribute,
    STATE(22711), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806792] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23120), 1,
      anon_sym_RBRACK,
    STATE(18324), 1,
      sym_attribute,
    STATE(18432), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806812] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23120), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806832] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24416), 1,
      anon_sym_RPAREN,
    STATE(18326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806852] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(38), 1,
      sym_attribute_id,
    STATE(18327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [806870] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24418), 1,
      aux_sym_quoted_extension_token1,
    STATE(18328), 1,
      sym_attribute,
    STATE(22945), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806890] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11286), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18329), 1,
      sym_attribute,
    STATE(18582), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806910] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24420), 1,
      anon_sym_SEMI,
    ACTIONS(24422), 1,
      anon_sym_RBRACE,
    STATE(18330), 1,
      sym_attribute,
    STATE(18339), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806930] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24424), 1,
      anon_sym_SEMI,
    ACTIONS(24426), 1,
      anon_sym_RBRACE,
    STATE(18331), 1,
      sym_attribute,
    STATE(18360), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806950] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(24428), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(18332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806970] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13358), 1,
      anon_sym_GT,
    ACTIONS(24430), 1,
      anon_sym_SEMI,
    STATE(18333), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806990] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24432), 1,
      anon_sym_SEMI,
    ACTIONS(24434), 1,
      anon_sym_GT_RBRACE,
    STATE(18334), 1,
      sym_attribute,
    STATE(18345), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807010] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(39), 1,
      sym_attribute_id,
    STATE(18335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [807028] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24436), 1,
      aux_sym_quoted_extension_token1,
    STATE(18336), 1,
      sym_attribute,
    STATE(23177), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807048] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20474), 1,
      anon_sym_RBRACE,
    ACTIONS(24438), 1,
      anon_sym_SEMI,
    STATE(17909), 1,
      aux_sym_record_pattern_repeat1,
    STATE(18337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807068] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4065), 1,
      anon_sym_RBRACK,
    ACTIONS(24440), 1,
      anon_sym_SEMI,
    STATE(18338), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807088] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21542), 1,
      anon_sym_RBRACE,
    ACTIONS(24442), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807108] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4037), 1,
      anon_sym_RBRACK,
    ACTIONS(24444), 1,
      anon_sym_SEMI,
    STATE(18340), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807128] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4067), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24446), 1,
      anon_sym_SEMI,
    STATE(18341), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807148] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24448), 1,
      anon_sym_SEMI,
    ACTIONS(24450), 1,
      anon_sym_GT_RBRACE,
    STATE(18342), 1,
      sym_attribute,
    STATE(18371), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807168] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(40), 1,
      sym_attribute_id,
    STATE(18343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [807186] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24452), 1,
      aux_sym_quoted_extension_token1,
    STATE(18344), 1,
      sym_attribute,
    STATE(23487), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807206] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22680), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24454), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807226] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24456), 1,
      anon_sym_SEMI,
    ACTIONS(24458), 1,
      anon_sym_RBRACE,
    STATE(18346), 1,
      sym_attribute,
    STATE(18352), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807246] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21231), 1,
      anon_sym_RBRACE,
    ACTIONS(24460), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807266] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(41), 1,
      sym_attribute_id,
    STATE(18348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [807284] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24462), 1,
      sym__lowercase_identifier,
    STATE(18349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807304] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24464), 1,
      aux_sym_quoted_extension_token1,
    STATE(18350), 1,
      sym_attribute,
    STATE(23714), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807324] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24466), 1,
      sym__lowercase_identifier,
    STATE(18351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807344] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21546), 1,
      anon_sym_RBRACE,
    ACTIONS(24468), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807364] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24470), 1,
      anon_sym_SEMI,
    ACTIONS(24472), 1,
      anon_sym_RBRACE,
    STATE(18353), 1,
      sym_attribute,
    STATE(18381), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807384] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(42), 1,
      sym_attribute_id,
    STATE(18354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [807402] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24474), 1,
      aux_sym_quoted_extension_token1,
    STATE(18355), 1,
      sym_attribute,
    STATE(23409), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807422] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9061), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24476), 1,
      anon_sym_SEMI,
    STATE(18356), 1,
      sym_attribute,
    STATE(18606), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807442] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4199), 1,
      anon_sym_RBRACK,
    ACTIONS(24478), 1,
      anon_sym_SEMI,
    STATE(18357), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807462] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22999), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807482] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(43), 1,
      sym_attribute_id,
    STATE(18359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [807500] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21550), 1,
      anon_sym_RBRACE,
    ACTIONS(24480), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807520] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24482), 1,
      aux_sym_quoted_extension_token1,
    STATE(18361), 1,
      sym_attribute,
    STATE(20808), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807540] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24484), 3,
      anon_sym_mutable,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [807556] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24486), 1,
      anon_sym_RBRACK,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807576] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24488), 1,
      anon_sym_SEMI,
    ACTIONS(24490), 1,
      anon_sym_RBRACE,
    STATE(18364), 1,
      sym_attribute,
    STATE(18414), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807596] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(44), 1,
      sym_attribute_id,
    STATE(18365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [807614] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4201), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24492), 1,
      anon_sym_SEMI,
    STATE(18366), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807634] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24494), 1,
      aux_sym_quoted_extension_token1,
    STATE(18367), 1,
      sym_attribute,
    STATE(23190), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807654] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(45), 1,
      sym_attribute_id,
    STATE(18368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [807672] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24496), 1,
      anon_sym_SEMI,
    ACTIONS(24498), 1,
      anon_sym_RBRACE,
    STATE(18369), 1,
      sym_attribute,
    STATE(18378), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807692] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24500), 1,
      aux_sym_quoted_extension_token1,
    STATE(18370), 1,
      sym_attribute,
    STATE(21179), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807712] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22730), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24502), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807732] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24504), 1,
      anon_sym_SEMI,
    ACTIONS(24506), 1,
      anon_sym_GT_RBRACE,
    STATE(18372), 1,
      sym_attribute,
    STATE(18386), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807752] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(46), 1,
      sym_attribute_id,
    STATE(18373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [807770] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24508), 1,
      anon_sym_RPAREN,
    STATE(18374), 1,
      sym_attribute,
    STATE(21709), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807790] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24510), 1,
      aux_sym_quoted_extension_token1,
    STATE(18375), 1,
      sym_attribute,
    STATE(22267), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807810] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23250), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807830] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4167), 1,
      anon_sym_RBRACK,
    ACTIONS(24512), 1,
      anon_sym_SEMI,
    STATE(18377), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807850] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21554), 1,
      anon_sym_RBRACE,
    ACTIONS(24514), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807870] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9786), 1,
      anon_sym_RBRACK,
    ACTIONS(24516), 1,
      anon_sym_SEMI,
    STATE(18379), 1,
      sym_attribute,
    STATE(18419), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807890] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4169), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24518), 1,
      anon_sym_SEMI,
    STATE(18380), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807910] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20830), 1,
      anon_sym_RBRACE,
    ACTIONS(24520), 1,
      anon_sym_SEMI,
    STATE(18381), 1,
      sym_attribute,
    STATE(18587), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807930] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(47), 1,
      sym_attribute_id,
    STATE(18382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [807948] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9788), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24522), 1,
      anon_sym_SEMI,
    STATE(18383), 1,
      sym_attribute,
    STATE(18593), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807968] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3943), 1,
      anon_sym_RBRACK,
    ACTIONS(24524), 1,
      anon_sym_SEMI,
    STATE(18384), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807988] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24526), 1,
      aux_sym_quoted_extension_token1,
    STATE(18385), 1,
      sym_attribute,
    STATE(20423), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808008] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22740), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24528), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808028] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4039), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24530), 1,
      anon_sym_SEMI,
    STATE(18387), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808048] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24532), 1,
      anon_sym_RPAREN,
    STATE(18388), 1,
      sym_attribute,
    STATE(23302), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808068] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24534), 1,
      anon_sym_SEMI,
    ACTIONS(24536), 1,
      anon_sym_RBRACE,
    STATE(18389), 1,
      sym_attribute,
    STATE(18403), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808088] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24538), 1,
      anon_sym_SEMI,
    ACTIONS(24540), 1,
      anon_sym_RBRACE,
    STATE(18390), 1,
      sym_attribute,
    STATE(18396), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808108] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(48), 1,
      sym_attribute_id,
    STATE(18391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [808126] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24542), 1,
      anon_sym_RPAREN,
    STATE(18392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808146] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24544), 1,
      aux_sym_quoted_extension_token1,
    STATE(18393), 1,
      sym_attribute,
    STATE(20929), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808166] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24546), 1,
      sym__lowercase_identifier,
    STATE(18394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808186] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24548), 1,
      anon_sym_SEMI,
    ACTIONS(24550), 1,
      anon_sym_GT_RBRACE,
    STATE(18395), 1,
      sym_attribute,
    STATE(18452), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808206] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21558), 1,
      anon_sym_RBRACE,
    ACTIONS(24552), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808226] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24554), 1,
      anon_sym_SEMI,
    ACTIONS(24556), 1,
      anon_sym_RBRACE,
    STATE(18397), 1,
      sym_attribute,
    STATE(18439), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808246] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(49), 1,
      sym_attribute_id,
    STATE(18398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [808264] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24558), 1,
      aux_sym_quoted_extension_token1,
    STATE(18399), 1,
      sym_attribute,
    STATE(21530), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808284] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13911), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [808300] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4293), 1,
      anon_sym_RBRACK,
    ACTIONS(24560), 1,
      anon_sym_SEMI,
    STATE(18401), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808320] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24562), 1,
      anon_sym_RPAREN,
    STATE(18402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808340] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21381), 1,
      anon_sym_RBRACE,
    ACTIONS(24564), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808360] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11270), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18404), 1,
      sym_attribute,
    STATE(18451), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808380] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(8), 1,
      sym_attribute_id,
    STATE(18405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [808398] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23009), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24566), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808418] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20278), 1,
      anon_sym_SEMI,
    ACTIONS(20280), 1,
      anon_sym_GT,
    STATE(18407), 1,
      sym_attribute,
    STATE(18455), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808438] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(50), 1,
      sym_attribute_id,
    STATE(18408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [808456] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13873), 1,
      anon_sym_DQUOTE,
    STATE(11818), 1,
      aux_sym_external_repeat1,
    STATE(13161), 1,
      sym_string,
    STATE(18409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808476] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17064), 1,
      anon_sym_in,
    ACTIONS(24398), 1,
      anon_sym_and,
    STATE(18410), 1,
      sym_attribute,
    STATE(18914), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808496] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24568), 1,
      aux_sym_quoted_extension_token1,
    STATE(18411), 1,
      sym_attribute,
    STATE(22121), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808516] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8901), 1,
      anon_sym_RBRACK,
    ACTIONS(24570), 1,
      anon_sym_SEMI,
    STATE(17891), 1,
      aux_sym_list_pattern_repeat1,
    STATE(18412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808536] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21181), 1,
      anon_sym_RBRACE,
    ACTIONS(24572), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808556] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20762), 1,
      anon_sym_RBRACE,
    ACTIONS(24574), 1,
      anon_sym_SEMI,
    STATE(17909), 1,
      aux_sym_record_pattern_repeat1,
    STATE(18414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808576] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24576), 1,
      anon_sym_RPAREN,
    STATE(18415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808596] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8903), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24578), 1,
      anon_sym_SEMI,
    STATE(18416), 1,
      sym_attribute,
    STATE(18606), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808616] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24580), 1,
      anon_sym_SEMI,
    ACTIONS(24582), 1,
      anon_sym_RBRACE,
    STATE(18417), 1,
      sym_attribute,
    STATE(18465), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808636] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(16972), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18418), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808656] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21389), 1,
      anon_sym_RBRACK,
    ACTIONS(24584), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18419), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [808674] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21179), 1,
      anon_sym_RBRACE,
    ACTIONS(24587), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808694] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(51), 1,
      sym_attribute_id,
    STATE(18421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [808712] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24589), 1,
      sym__lowercase_identifier,
    STATE(18422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808732] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17326), 1,
      aux_sym_module_binding_repeat1,
    STATE(18423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808752] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24591), 1,
      aux_sym_quoted_extension_token1,
    STATE(18424), 1,
      sym_attribute,
    STATE(22903), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808772] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4303), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24593), 1,
      anon_sym_SEMI,
    STATE(18425), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808792] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24595), 1,
      anon_sym_RPAREN,
    STATE(18426), 1,
      sym_attribute,
    STATE(21916), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808812] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(52), 1,
      sym_attribute_id,
    STATE(18427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [808830] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24597), 1,
      anon_sym_RPAREN,
    STATE(18428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808850] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24599), 1,
      anon_sym_SEMI,
    ACTIONS(24601), 1,
      anon_sym_RBRACE,
    STATE(18429), 1,
      sym_attribute,
    STATE(18442), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808870] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24603), 1,
      aux_sym_quoted_extension_token1,
    STATE(18430), 1,
      sym_attribute,
    STATE(23631), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808890] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3945), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24605), 1,
      anon_sym_SEMI,
    STATE(18431), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808910] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23289), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808930] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22838), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808950] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23289), 1,
      anon_sym_RBRACK,
    STATE(18434), 1,
      sym_attribute,
    STATE(18584), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808970] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24607), 1,
      anon_sym_SEMI,
    ACTIONS(24609), 1,
      anon_sym_GT_RBRACE,
    STATE(18435), 1,
      sym_attribute,
    STATE(18447), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808990] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(53), 1,
      sym_attribute_id,
    STATE(18436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [809008] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22838), 1,
      anon_sym_RBRACK,
    STATE(18376), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809028] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24611), 1,
      aux_sym_quoted_extension_token1,
    STATE(18438), 1,
      sym_attribute,
    STATE(20559), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809048] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21568), 1,
      anon_sym_RBRACE,
    ACTIONS(24613), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809068] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24615), 1,
      aux_sym_quoted_extension_token1,
    STATE(18440), 1,
      sym_attribute,
    STATE(20583), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809088] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4259), 1,
      anon_sym_RBRACK,
    ACTIONS(24617), 1,
      anon_sym_SEMI,
    STATE(18441), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809108] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21570), 1,
      anon_sym_RBRACE,
    ACTIONS(24619), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809128] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9), 1,
      sym_attribute_id,
    STATE(18443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [809146] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4261), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24621), 1,
      anon_sym_SEMI,
    STATE(18444), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809166] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(54), 1,
      sym_attribute_id,
    STATE(18445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [809184] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24623), 1,
      anon_sym_RPAREN,
    STATE(18446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809204] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22807), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24625), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809224] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24627), 1,
      aux_sym_quoted_extension_token1,
    STATE(18448), 1,
      sym_attribute,
    STATE(20863), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809244] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24629), 1,
      sym__lowercase_identifier,
    STATE(18449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809264] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22811), 1,
      anon_sym_RBRACK,
    STATE(18450), 1,
      sym_attribute,
    STATE(18472), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809284] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22811), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809304] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23275), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24631), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809324] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24633), 1,
      anon_sym_SEMI,
    ACTIONS(24635), 1,
      anon_sym_RBRACE,
    STATE(18453), 1,
      sym_attribute,
    STATE(18460), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809344] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22820), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [809360] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13380), 1,
      anon_sym_GT,
    ACTIONS(24637), 1,
      anon_sym_SEMI,
    STATE(18455), 1,
      sym_attribute,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809380] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(55), 1,
      sym_attribute_id,
    STATE(18456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [809398] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24639), 1,
      aux_sym_quoted_extension_token1,
    STATE(18457), 1,
      sym_attribute,
    STATE(21137), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809418] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24641), 1,
      anon_sym_RPAREN,
    STATE(18458), 1,
      sym_attribute,
    STATE(23477), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809438] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24643), 1,
      sym__lowercase_identifier,
    STATE(18459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809458] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21576), 1,
      anon_sym_RBRACE,
    ACTIONS(24645), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809478] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17621), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18461), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809498] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(56), 1,
      sym_attribute_id,
    STATE(18462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [809516] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24647), 1,
      aux_sym_quoted_extension_token1,
    STATE(18463), 1,
      sym_attribute,
    STATE(21461), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809536] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15634), 1,
      sym_attribute_id,
    STATE(18464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24649), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [809554] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21235), 1,
      anon_sym_RBRACE,
    ACTIONS(24651), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809574] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(24653), 1,
      anon_sym_RBRACK,
    STATE(18466), 1,
      sym_attribute,
    STATE(18573), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809594] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24655), 1,
      anon_sym_SEMI,
    ACTIONS(24657), 1,
      anon_sym_RBRACE,
    STATE(18467), 1,
      sym_attribute,
    STATE(18579), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809614] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(57), 1,
      sym_attribute_id,
    STATE(18468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [809632] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24659), 1,
      aux_sym_quoted_extension_token1,
    STATE(18469), 1,
      sym_attribute,
    STATE(21742), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809652] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24661), 1,
      anon_sym_RPAREN,
    STATE(18470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809672] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3781), 1,
      anon_sym_RBRACK,
    ACTIONS(24663), 1,
      anon_sym_SEMI,
    STATE(18471), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809692] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22834), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809712] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22834), 1,
      anon_sym_RBRACK,
    STATE(18473), 1,
      sym_attribute,
    STATE(18480), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809732] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15648), 1,
      anon_sym_and,
    STATE(18474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15646), 2,
      anon_sym_in,
      sym_let_and_operator,
  [809750] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(58), 1,
      sym_attribute_id,
    STATE(18475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [809768] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13946), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [809784] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24665), 1,
      aux_sym_quoted_extension_token1,
    STATE(18477), 1,
      sym_attribute,
    STATE(22053), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809804] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11293), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18478), 1,
      sym_attribute,
    STATE(18592), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809824] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(59), 1,
      sym_attribute_id,
    STATE(18479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [809842] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22858), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809862] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24667), 1,
      aux_sym_quoted_extension_token1,
    STATE(18481), 1,
      sym_attribute,
    STATE(22183), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809882] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20228), 1,
      anon_sym_SEMI,
    ACTIONS(20230), 1,
      anon_sym_GT,
    STATE(18482), 1,
      sym_attribute,
    STATE(18597), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809902] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24669), 1,
      anon_sym_SEMI,
    ACTIONS(24671), 1,
      anon_sym_RBRACE,
    STATE(18483), 1,
      sym_attribute,
    STATE(18561), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809922] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(60), 1,
      sym_attribute_id,
    STATE(18484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [809940] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24673), 1,
      aux_sym_quoted_extension_token1,
    STATE(18485), 1,
      sym_attribute,
    STATE(22234), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809960] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(61), 1,
      sym_attribute_id,
    STATE(18486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [809978] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24675), 1,
      aux_sym_quoted_extension_token1,
    STATE(18487), 1,
      sym_attribute,
    STATE(22286), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809998] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(62), 1,
      sym_attribute_id,
    STATE(18488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810016] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24677), 1,
      aux_sym_quoted_extension_token1,
    STATE(18489), 1,
      sym_attribute,
    STATE(22320), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810036] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(63), 1,
      sym_attribute_id,
    STATE(18490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810054] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24679), 1,
      anon_sym_SEMI,
    ACTIONS(24681), 1,
      anon_sym_RBRACE,
    STATE(18491), 1,
      sym_attribute,
    STATE(18608), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810074] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24683), 1,
      aux_sym_quoted_extension_token1,
    STATE(18492), 1,
      sym_attribute,
    STATE(22359), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810094] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(64), 1,
      sym_attribute_id,
    STATE(18493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810112] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24685), 1,
      aux_sym_quoted_extension_token1,
    STATE(18494), 1,
      sym_attribute,
    STATE(22396), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810132] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(65), 1,
      sym_attribute_id,
    STATE(18495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810150] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24687), 1,
      aux_sym_quoted_extension_token1,
    STATE(18496), 1,
      sym_attribute,
    STATE(22441), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810170] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(66), 1,
      sym_attribute_id,
    STATE(18497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810188] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24689), 1,
      anon_sym_SEMI,
    ACTIONS(24691), 1,
      anon_sym_GT_RBRACE,
    STATE(18498), 1,
      sym_attribute,
    STATE(18567), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810208] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24693), 1,
      aux_sym_quoted_extension_token1,
    STATE(18499), 1,
      sym_attribute,
    STATE(22474), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810228] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(67), 1,
      sym_attribute_id,
    STATE(18500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810246] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24695), 1,
      aux_sym_quoted_extension_token1,
    STATE(18501), 1,
      sym_attribute,
    STATE(22515), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810266] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(68), 1,
      sym_attribute_id,
    STATE(18502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810284] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24697), 1,
      aux_sym_quoted_extension_token1,
    STATE(18503), 1,
      sym_attribute,
    STATE(22550), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810304] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(69), 1,
      sym_attribute_id,
    STATE(18504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810322] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24699), 1,
      aux_sym_quoted_extension_token1,
    STATE(18505), 1,
      sym_attribute,
    STATE(22611), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810342] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(70), 1,
      sym_attribute_id,
    STATE(18506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810360] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24701), 1,
      aux_sym_quoted_extension_token1,
    STATE(18507), 1,
      sym_attribute,
    STATE(22650), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810380] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(71), 1,
      sym_attribute_id,
    STATE(18508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810398] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24703), 1,
      aux_sym_quoted_extension_token1,
    STATE(18509), 1,
      sym_attribute,
    STATE(22690), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810418] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(72), 1,
      sym_attribute_id,
    STATE(18510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810436] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24705), 1,
      aux_sym_quoted_extension_token1,
    STATE(18511), 1,
      sym_attribute,
    STATE(22737), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810456] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(73), 1,
      sym_attribute_id,
    STATE(18512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810474] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24707), 1,
      aux_sym_quoted_extension_token1,
    STATE(18513), 1,
      sym_attribute,
    STATE(22775), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810494] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(74), 1,
      sym_attribute_id,
    STATE(18514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810512] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24709), 1,
      aux_sym_quoted_extension_token1,
    STATE(18515), 1,
      sym_attribute,
    STATE(22792), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810532] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(75), 1,
      sym_attribute_id,
    STATE(18516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810550] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24711), 1,
      aux_sym_quoted_extension_token1,
    STATE(18517), 1,
      sym_attribute,
    STATE(22800), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810570] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(76), 1,
      sym_attribute_id,
    STATE(18518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810588] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24713), 1,
      aux_sym_quoted_extension_token1,
    STATE(18519), 1,
      sym_attribute,
    STATE(22819), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810608] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(77), 1,
      sym_attribute_id,
    STATE(18520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810626] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24715), 1,
      aux_sym_quoted_extension_token1,
    STATE(18521), 1,
      sym_attribute,
    STATE(22851), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810646] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(78), 1,
      sym_attribute_id,
    STATE(18522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810664] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24717), 1,
      aux_sym_quoted_extension_token1,
    STATE(18523), 1,
      sym_attribute,
    STATE(22862), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810684] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(79), 1,
      sym_attribute_id,
    STATE(18524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810702] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24719), 1,
      aux_sym_quoted_extension_token1,
    STATE(18525), 1,
      sym_attribute,
    STATE(22885), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810722] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(80), 1,
      sym_attribute_id,
    STATE(18526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810740] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24721), 1,
      aux_sym_quoted_extension_token1,
    STATE(18527), 1,
      sym_attribute,
    STATE(22900), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810760] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(81), 1,
      sym_attribute_id,
    STATE(18528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810778] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24723), 1,
      aux_sym_quoted_extension_token1,
    STATE(18529), 1,
      sym_attribute,
    STATE(22914), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810798] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(82), 1,
      sym_attribute_id,
    STATE(18530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810816] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24725), 1,
      aux_sym_quoted_extension_token1,
    STATE(18531), 1,
      sym_attribute,
    STATE(22928), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810836] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(83), 1,
      sym_attribute_id,
    STATE(18532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810854] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24727), 1,
      aux_sym_quoted_extension_token1,
    STATE(18533), 1,
      sym_attribute,
    STATE(22935), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810874] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(84), 1,
      sym_attribute_id,
    STATE(18534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810892] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24729), 1,
      aux_sym_quoted_extension_token1,
    STATE(18535), 1,
      sym_attribute,
    STATE(22960), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810912] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(85), 1,
      sym_attribute_id,
    STATE(18536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810930] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24731), 1,
      aux_sym_quoted_extension_token1,
    STATE(18537), 1,
      sym_attribute,
    STATE(22968), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810950] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(86), 1,
      sym_attribute_id,
    STATE(18538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [810968] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24733), 1,
      aux_sym_quoted_extension_token1,
    STATE(18539), 1,
      sym_attribute,
    STATE(22992), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810988] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(87), 1,
      sym_attribute_id,
    STATE(18540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811006] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24735), 1,
      aux_sym_quoted_extension_token1,
    STATE(18541), 1,
      sym_attribute,
    STATE(22997), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811026] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(88), 1,
      sym_attribute_id,
    STATE(18542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811044] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24737), 1,
      aux_sym_quoted_extension_token1,
    STATE(18543), 1,
      sym_attribute,
    STATE(23007), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811064] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(89), 1,
      sym_attribute_id,
    STATE(18544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811082] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24739), 1,
      aux_sym_quoted_extension_token1,
    STATE(18545), 1,
      sym_attribute,
    STATE(23021), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811102] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(90), 1,
      sym_attribute_id,
    STATE(18546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811120] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24741), 1,
      aux_sym_quoted_extension_token1,
    STATE(18547), 1,
      sym_attribute,
    STATE(23042), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811140] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(91), 1,
      sym_attribute_id,
    STATE(18548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811158] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24743), 1,
      aux_sym_quoted_extension_token1,
    STATE(18549), 1,
      sym_attribute,
    STATE(23056), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811178] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(92), 1,
      sym_attribute_id,
    STATE(18550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811196] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24745), 1,
      aux_sym_quoted_extension_token1,
    STATE(18551), 1,
      sym_attribute,
    STATE(23074), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811216] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(93), 1,
      sym_attribute_id,
    STATE(18552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811234] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24747), 1,
      aux_sym_quoted_extension_token1,
    STATE(18553), 1,
      sym_attribute,
    STATE(23084), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811254] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(94), 1,
      sym_attribute_id,
    STATE(18554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811272] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24749), 1,
      aux_sym_quoted_extension_token1,
    STATE(18555), 1,
      sym_attribute,
    STATE(23090), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811292] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(95), 1,
      sym_attribute_id,
    STATE(18556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811310] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24751), 1,
      aux_sym_quoted_extension_token1,
    STATE(18557), 1,
      sym_attribute,
    STATE(23100), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811330] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18438), 1,
      sym_attribute_id,
    STATE(18558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811348] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(27), 1,
      sym_attribute_id,
    STATE(18559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811366] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4333), 1,
      anon_sym_RBRACK,
    ACTIONS(24753), 1,
      anon_sym_SEMI,
    STATE(18560), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811386] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21584), 1,
      anon_sym_RBRACE,
    ACTIONS(24755), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811406] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22095), 1,
      anon_sym_RBRACK,
    STATE(17676), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811426] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24757), 1,
      sym__lowercase_identifier,
    ACTIONS(24759), 1,
      anon_sym_LPAREN,
    STATE(10567), 1,
      sym__simple_value_pattern,
    STATE(18563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811446] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4335), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24761), 1,
      anon_sym_SEMI,
    STATE(18564), 1,
      sym_attribute,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811466] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22351), 1,
      sym__lowercase_identifier,
    ACTIONS(22355), 1,
      anon_sym_mutable,
    STATE(18565), 1,
      sym_attribute,
    STATE(18658), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811486] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24763), 1,
      aux_sym_quoted_extension_token1,
    STATE(18566), 1,
      sym_attribute,
    STATE(23358), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811506] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22876), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24765), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811526] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24767), 1,
      anon_sym_LPAREN,
    ACTIONS(24769), 1,
      anon_sym_LBRACK,
    ACTIONS(24771), 1,
      anon_sym_LBRACE,
    STATE(18568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811546] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24773), 1,
      sym__lowercase_identifier,
    STATE(18569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811566] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22604), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24775), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811586] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24777), 1,
      anon_sym_SEMI,
    ACTIONS(24779), 1,
      anon_sym_RBRACE,
    STATE(18571), 1,
      sym_attribute,
    STATE(18578), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811606] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14048), 1,
      sym_attribute_id,
    STATE(18572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24781), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [811624] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(24783), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(18573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811644] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(24783), 1,
      anon_sym_RBRACK,
    STATE(18574), 1,
      sym_attribute,
    STATE(18599), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811664] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24785), 1,
      anon_sym_RPAREN,
    STATE(18575), 1,
      sym_attribute,
    STATE(23685), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811684] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24787), 1,
      sym__lowercase_identifier,
    STATE(18576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811704] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24789), 1,
      anon_sym_LPAREN,
    ACTIONS(24791), 1,
      anon_sym_LBRACK,
    ACTIONS(24793), 1,
      anon_sym_LBRACE,
    STATE(18577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811724] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21588), 1,
      anon_sym_RBRACE,
    ACTIONS(24795), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811744] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21385), 1,
      anon_sym_RBRACE,
    ACTIONS(24797), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811764] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18724), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24799), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18580), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [811782] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24802), 1,
      anon_sym_SEMI,
    ACTIONS(24804), 1,
      anon_sym_GT_RBRACE,
    STATE(18581), 1,
      sym_attribute,
    STATE(18667), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811802] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22095), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811822] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24806), 1,
      sym__lowercase_identifier,
    STATE(18583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811842] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22471), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811862] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24808), 1,
      anon_sym_RPAREN,
    STATE(18585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811882] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24810), 1,
      anon_sym_SEMI,
    ACTIONS(24812), 1,
      anon_sym_RBRACE,
    STATE(18586), 1,
      sym_attribute,
    STATE(18690), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811902] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24814), 1,
      anon_sym_SEMI,
    ACTIONS(24817), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18587), 2,
      sym_attribute,
      aux_sym_record_binding_pattern_repeat1,
  [811920] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20732), 1,
      anon_sym_GT,
    ACTIONS(24819), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18588), 2,
      sym_attribute,
      aux_sym_object_type_repeat1,
  [811938] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(24822), 1,
      anon_sym_RPAREN,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(18589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811958] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22313), 1,
      anon_sym_RBRACK,
    STATE(18590), 1,
      sym_attribute,
    STATE(18617), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811978] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24824), 1,
      anon_sym_SEMI,
    ACTIONS(24826), 1,
      anon_sym_RBRACE,
    STATE(17772), 1,
      aux_sym_record_expression_repeat1,
    STATE(18591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811998] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22313), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812018] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21389), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24828), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18593), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [812036] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21239), 1,
      anon_sym_RBRACE,
    ACTIONS(24831), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812056] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24833), 1,
      anon_sym_SEMI,
    ACTIONS(24835), 1,
      anon_sym_RBRACE,
    STATE(18595), 1,
      sym_attribute,
    STATE(18641), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812076] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24837), 1,
      anon_sym_SEMI,
    ACTIONS(24839), 1,
      anon_sym_RBRACE,
    STATE(18420), 1,
      aux_sym_record_expression_repeat1,
    STATE(18596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812096] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13342), 1,
      anon_sym_GT,
    ACTIONS(24841), 1,
      anon_sym_SEMI,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    STATE(18597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812116] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(16984), 1,
      anon_sym_in,
    ACTIONS(24398), 1,
      anon_sym_and,
    STATE(18410), 1,
      aux_sym_module_definition_repeat1,
    STATE(18598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812136] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(24843), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(18599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812156] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24845), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812176] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17162), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18601), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812196] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4295), 1,
      anon_sym_RBRACK,
    ACTIONS(24847), 1,
      anon_sym_SEMI,
    STATE(18602), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812216] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(24849), 1,
      anon_sym_RBRACK,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812236] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24851), 1,
      anon_sym_SEMI,
    ACTIONS(24853), 1,
      anon_sym_RBRACE,
    STATE(18604), 1,
      sym_attribute,
    STATE(18611), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812256] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20332), 1,
      anon_sym_SEMI,
    ACTIONS(20334), 1,
      anon_sym_GT,
    STATE(18605), 1,
      sym_attribute,
    STATE(18628), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812276] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21431), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24855), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18606), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [812294] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24858), 1,
      anon_sym_SEMI,
    ACTIONS(24860), 1,
      anon_sym_GT_RBRACE,
    STATE(18607), 1,
      sym_attribute,
    STATE(18616), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812314] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21598), 1,
      anon_sym_RBRACE,
    ACTIONS(24862), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812334] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4385), 1,
      anon_sym_RBRACK,
    ACTIONS(24864), 1,
      anon_sym_SEMI,
    STATE(18609), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812354] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(24866), 1,
      anon_sym_type,
    STATE(17692), 1,
      sym_module_path,
    STATE(18610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812374] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21600), 1,
      anon_sym_RBRACE,
    ACTIONS(24868), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812394] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(24870), 1,
      anon_sym_RPAREN,
    STATE(18612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812414] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4387), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24872), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(18613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812434] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24874), 1,
      anon_sym_SEMI,
    ACTIONS(24876), 1,
      anon_sym_RBRACE,
    STATE(18614), 1,
      sym_attribute,
    STATE(18637), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812454] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24878), 1,
      sym__lowercase_identifier,
    STATE(18615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812474] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22950), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24880), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812494] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22564), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812514] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18618), 1,
      sym_attribute,
    STATE(19030), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [812532] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22564), 1,
      anon_sym_RBRACK,
    STATE(18619), 1,
      sym_attribute,
    STATE(18638), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812552] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17269), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18620), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812572] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24882), 1,
      anon_sym_SEMI,
    ACTIONS(24884), 1,
      anon_sym_RBRACE,
    STATE(18621), 1,
      sym_attribute,
    STATE(18629), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812592] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24886), 1,
      anon_sym_LPAREN,
    ACTIONS(24888), 1,
      anon_sym_LBRACK,
    ACTIONS(24890), 1,
      anon_sym_LBRACE,
    STATE(18622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812612] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18623), 1,
      sym_attribute,
    STATE(20018), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21429), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [812630] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(16984), 1,
      anon_sym_in,
    ACTIONS(24398), 1,
      anon_sym_and,
    STATE(18624), 1,
      sym_attribute,
    STATE(18914), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812650] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12701), 1,
      sym__type_equation,
    STATE(18625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24892), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [812668] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24894), 1,
      sym__lowercase_identifier,
    STATE(18626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812688] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24896), 1,
      anon_sym_LPAREN,
    ACTIONS(24898), 1,
      anon_sym_LBRACK,
    ACTIONS(24900), 1,
      anon_sym_LBRACE,
    STATE(18627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812708] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13111), 1,
      anon_sym_GT,
    ACTIONS(24902), 1,
      anon_sym_SEMI,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    STATE(18628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812728] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21604), 1,
      anon_sym_RBRACE,
    ACTIONS(24904), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812748] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24906), 1,
      anon_sym_SEMI,
    ACTIONS(24908), 1,
      anon_sym_GT_RBRACE,
    STATE(18630), 1,
      sym_attribute,
    STATE(18663), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812768] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17298), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18631), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812788] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(24910), 1,
      anon_sym_RPAREN,
    STATE(18632), 1,
      sym_attribute,
    STATE(20669), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812808] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18633), 1,
      sym_attribute,
    STATE(18934), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21429), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [812826] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12702), 1,
      sym__type_equation,
    STATE(18634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24892), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [812844] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24912), 1,
      anon_sym_SEMI,
    ACTIONS(24914), 1,
      anon_sym_RBRACE,
    STATE(18635), 1,
      sym_attribute,
    STATE(18868), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812864] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4337), 1,
      anon_sym_RBRACK,
    ACTIONS(24916), 1,
      anon_sym_SEMI,
    STATE(18636), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812884] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21608), 1,
      anon_sym_RBRACE,
    ACTIONS(24918), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812904] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22654), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812924] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24920), 1,
      anon_sym_RPAREN,
    STATE(18639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24922), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [812942] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24924), 1,
      anon_sym_SEMI,
    ACTIONS(24926), 1,
      anon_sym_RBRACE,
    STATE(18640), 1,
      sym_attribute,
    STATE(18661), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812962] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21185), 1,
      anon_sym_RBRACE,
    ACTIONS(24928), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812982] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24930), 1,
      anon_sym_SEMI,
    ACTIONS(24932), 1,
      anon_sym_GT_RBRACE,
    STATE(17910), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813002] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22351), 1,
      sym__lowercase_identifier,
    ACTIONS(22355), 1,
      anon_sym_mutable,
    STATE(18643), 1,
      sym_attribute,
    STATE(18915), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813022] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4297), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24934), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(18644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813042] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24936), 1,
      anon_sym_SEMI,
    ACTIONS(24938), 1,
      anon_sym_GT_RBRACE,
    STATE(18645), 1,
      sym_attribute,
    STATE(18681), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813062] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24940), 1,
      anon_sym_SEMI,
    ACTIONS(24942), 1,
      anon_sym_RBRACE,
    STATE(18646), 1,
      sym_attribute,
    STATE(18655), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813082] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(17735), 1,
      sym_attribute_id,
    STATE(18647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [813100] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24944), 1,
      anon_sym_SEMI,
    ACTIONS(24946), 1,
      anon_sym_GT_RBRACE,
    STATE(18648), 1,
      sym_attribute,
    STATE(18659), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813120] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24948), 1,
      anon_sym_SEMI,
    ACTIONS(24950), 1,
      anon_sym_RBRACE,
    STATE(18649), 1,
      sym_attribute,
    STATE(18691), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813140] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24952), 1,
      anon_sym_LPAREN,
    ACTIONS(24954), 1,
      anon_sym_LBRACK,
    ACTIONS(24956), 1,
      anon_sym_LBRACE,
    STATE(18650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813160] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24958), 3,
      anon_sym_private,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [813176] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24960), 1,
      anon_sym_LPAREN,
    ACTIONS(24962), 1,
      anon_sym_LBRACK,
    ACTIONS(24964), 1,
      anon_sym_LBRACE,
    STATE(18652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813196] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3763), 1,
      anon_sym_RBRACK,
    ACTIONS(24966), 1,
      anon_sym_SEMI,
    STATE(18653), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813216] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4069), 1,
      anon_sym_RBRACK,
    ACTIONS(24968), 1,
      anon_sym_SEMI,
    STATE(18654), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813236] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21617), 1,
      anon_sym_RBRACE,
    ACTIONS(24970), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813256] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4341), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24972), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(18656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813276] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3765), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24974), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(18657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813296] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24976), 1,
      anon_sym_SEMI,
    ACTIONS(24978), 1,
      anon_sym_RBRACE,
    STATE(18658), 1,
      sym_attribute,
    STATE(18855), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813316] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22989), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24980), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813336] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24982), 1,
      anon_sym_SEMI,
    ACTIONS(24984), 1,
      anon_sym_RBRACE,
    STATE(18660), 1,
      sym_attribute,
    STATE(18666), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813356] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21245), 1,
      anon_sym_RBRACE,
    ACTIONS(24986), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813376] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21391), 1,
      anon_sym_RBRACE,
    ACTIONS(24988), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813396] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22995), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24990), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813416] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19909), 1,
      sym__uppercase_identifier,
    ACTIONS(21727), 1,
      anon_sym_LPAREN,
    STATE(15803), 1,
      sym__constructor_name,
    STATE(18664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813436] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(24992), 1,
      sym__lowercase_identifier,
    STATE(18665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813456] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21621), 1,
      anon_sym_RBRACE,
    ACTIONS(24994), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813476] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22991), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24996), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813496] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12845), 1,
      anon_sym_STAR,
    ACTIONS(14473), 1,
      anon_sym_DASH_GT,
    STATE(18668), 1,
      sym_attribute,
    STATE(18885), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813516] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(24998), 1,
      anon_sym_RBRACK,
    STATE(17899), 1,
      aux_sym__type_params_repeat1,
    STATE(18669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813536] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(25000), 1,
      anon_sym_RPAREN,
    STATE(18670), 1,
      sym_attribute,
    STATE(22734), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813556] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(17802), 1,
      sym_attribute_id,
    STATE(18671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [813574] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4071), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25002), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(18672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813594] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25004), 1,
      anon_sym_LPAREN,
    ACTIONS(25006), 1,
      anon_sym_LBRACK,
    ACTIONS(25008), 1,
      anon_sym_LBRACE,
    STATE(18673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813614] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25010), 1,
      anon_sym_SEMI,
    ACTIONS(25012), 1,
      anon_sym_RBRACE,
    STATE(18674), 1,
      sym_attribute,
    STATE(18728), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813634] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(25014), 1,
      anon_sym_RPAREN,
    STATE(18675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813654] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25016), 1,
      anon_sym_LPAREN,
    ACTIONS(25018), 1,
      anon_sym_LBRACK,
    ACTIONS(25020), 1,
      anon_sym_LBRACE,
    STATE(18676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813674] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(9751), 1,
      sym_attribute_id,
    STATE(18677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25022), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [813692] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(25024), 1,
      anon_sym_RPAREN,
    STATE(18678), 1,
      sym_attribute,
    STATE(23687), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813712] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(25026), 1,
      anon_sym_RPAREN,
    STATE(18679), 1,
      sym_attribute,
    STATE(23278), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813732] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11321), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18680), 1,
      sym_attribute,
    STATE(18739), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813752] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22874), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25028), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813772] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(17847), 1,
      sym_attribute_id,
    STATE(18682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [813790] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25030), 1,
      anon_sym_SEMI,
    ACTIONS(25032), 1,
      anon_sym_RBRACE,
    STATE(18683), 1,
      sym_attribute,
    STATE(18697), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813810] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25034), 1,
      anon_sym_LPAREN,
    ACTIONS(25036), 1,
      anon_sym_LBRACK,
    ACTIONS(25038), 1,
      anon_sym_LBRACE,
    STATE(18684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813830] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20304), 1,
      anon_sym_SEMI,
    ACTIONS(20306), 1,
      anon_sym_GT,
    STATE(18685), 1,
      sym_attribute,
    STATE(18748), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813850] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9826), 1,
      anon_sym_RBRACK,
    ACTIONS(25040), 1,
      anon_sym_SEMI,
    STATE(18419), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(18686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813870] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25042), 1,
      anon_sym_LPAREN,
    ACTIONS(25044), 1,
      anon_sym_LBRACK,
    ACTIONS(25046), 1,
      anon_sym_LBRACE,
    STATE(18687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813890] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25048), 1,
      anon_sym_SEMI,
    ACTIONS(25050), 1,
      anon_sym_GT_RBRACE,
    STATE(18688), 1,
      sym_attribute,
    STATE(18703), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813910] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8919), 1,
      anon_sym_RBRACK,
    ACTIONS(25052), 1,
      anon_sym_SEMI,
    STATE(17891), 1,
      aux_sym_list_pattern_repeat1,
    STATE(18689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813930] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21004), 1,
      anon_sym_RBRACE,
    ACTIONS(25054), 1,
      anon_sym_SEMI,
    STATE(18587), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(18690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813950] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20612), 1,
      anon_sym_RBRACE,
    ACTIONS(25056), 1,
      anon_sym_SEMI,
    STATE(17909), 1,
      aux_sym_record_pattern_repeat1,
    STATE(18691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813970] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(17893), 1,
      sym_attribute_id,
    STATE(18692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [813988] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8921), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25058), 1,
      anon_sym_SEMI,
    STATE(18606), 1,
      aux_sym_list_pattern_repeat1,
    STATE(18693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814008] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3783), 1,
      anon_sym_RBRACK,
    ACTIONS(25060), 1,
      anon_sym_SEMI,
    STATE(18694), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814028] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25062), 1,
      anon_sym_SEMI,
    ACTIONS(25064), 1,
      anon_sym_RBRACE,
    STATE(18695), 1,
      sym_attribute,
    STATE(18741), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814048] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25066), 1,
      anon_sym_LPAREN,
    ACTIONS(25068), 1,
      anon_sym_LBRACK,
    ACTIONS(25070), 1,
      anon_sym_LBRACE,
    STATE(18696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814068] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21629), 1,
      anon_sym_RBRACE,
    ACTIONS(25072), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814088] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9828), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25074), 1,
      anon_sym_SEMI,
    STATE(18593), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(18698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814108] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25076), 1,
      anon_sym_LPAREN,
    ACTIONS(25078), 1,
      anon_sym_LBRACK,
    ACTIONS(25080), 1,
      anon_sym_LBRACE,
    STATE(18699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814128] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25082), 1,
      anon_sym_SEMI,
    ACTIONS(25084), 1,
      anon_sym_RBRACE,
    STATE(17763), 1,
      aux_sym_record_expression_repeat1,
    STATE(18700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814148] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3785), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25086), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(18701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814168] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3891), 1,
      anon_sym_RBRACK,
    ACTIONS(25088), 1,
      anon_sym_SEMI,
    STATE(18702), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814188] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23031), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25090), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814208] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(17928), 1,
      sym_attribute_id,
    STATE(18704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [814226] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25092), 1,
      anon_sym_SEMI,
    ACTIONS(25094), 1,
      anon_sym_RBRACE,
    STATE(18705), 1,
      sym_attribute,
    STATE(18744), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814246] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23126), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25096), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814266] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25098), 1,
      anon_sym_LPAREN,
    ACTIONS(25100), 1,
      anon_sym_LBRACK,
    ACTIONS(25102), 1,
      anon_sym_LBRACE,
    STATE(18707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814286] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25104), 1,
      anon_sym_LPAREN,
    ACTIONS(25106), 1,
      anon_sym_LBRACK,
    ACTIONS(25108), 1,
      anon_sym_LBRACE,
    STATE(18708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814306] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25110), 1,
      anon_sym_SEMI,
    ACTIONS(25112), 1,
      anon_sym_RBRACE,
    STATE(18709), 1,
      sym_attribute,
    STATE(18718), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814326] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(25114), 1,
      sym__lowercase_identifier,
    STATE(18710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814346] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(17966), 1,
      sym_attribute_id,
    STATE(18711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [814364] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(25116), 1,
      sym__lowercase_identifier,
    STATE(18712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814384] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25118), 1,
      anon_sym_LPAREN,
    ACTIONS(25120), 1,
      anon_sym_LBRACK,
    ACTIONS(25122), 1,
      anon_sym_LBRACE,
    STATE(18713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814404] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(25124), 1,
      sym__lowercase_identifier,
    STATE(18714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814424] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25126), 1,
      anon_sym_LPAREN,
    ACTIONS(25128), 1,
      anon_sym_LBRACK,
    ACTIONS(25130), 1,
      anon_sym_LBRACE,
    STATE(18715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814444] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(17996), 1,
      sym_attribute_id,
    STATE(18716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [814462] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(25132), 1,
      anon_sym_RPAREN,
    STATE(18717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814482] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21633), 1,
      anon_sym_RBRACE,
    ACTIONS(25134), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814502] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(25136), 1,
      anon_sym_RPAREN,
    STATE(18719), 1,
      sym_attribute,
    STATE(22913), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814522] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25138), 1,
      anon_sym_LPAREN,
    ACTIONS(25140), 1,
      anon_sym_LBRACK,
    ACTIONS(25142), 1,
      anon_sym_LBRACE,
    STATE(18720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814542] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25144), 1,
      anon_sym_LPAREN,
    ACTIONS(25146), 1,
      anon_sym_LBRACK,
    ACTIONS(25148), 1,
      anon_sym_LBRACE,
    STATE(18721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814562] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18022), 1,
      sym_attribute_id,
    STATE(18722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [814580] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22155), 1,
      anon_sym_RBRACK,
    STATE(18723), 1,
      sym_attribute,
    STATE(18924), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814600] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25150), 1,
      anon_sym_SEMI,
    ACTIONS(25152), 1,
      anon_sym_GT_RBRACE,
    STATE(18724), 1,
      sym_attribute,
    STATE(18775), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814620] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25154), 1,
      anon_sym_LPAREN,
    ACTIONS(25156), 1,
      anon_sym_LBRACK,
    ACTIONS(25158), 1,
      anon_sym_LBRACE,
    STATE(18725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814640] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25160), 1,
      anon_sym_LPAREN,
    ACTIONS(25162), 1,
      anon_sym_LBRACK,
    ACTIONS(25164), 1,
      anon_sym_LBRACE,
    STATE(18726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814660] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22155), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814680] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21637), 1,
      anon_sym_RBRACE,
    ACTIONS(25166), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814700] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18057), 1,
      sym_attribute_id,
    STATE(18729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [814718] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25168), 1,
      anon_sym_LPAREN,
    ACTIONS(25170), 1,
      anon_sym_LBRACK,
    ACTIONS(25172), 1,
      anon_sym_LBRACE,
    STATE(18730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814738] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25174), 1,
      anon_sym_LPAREN,
    ACTIONS(25176), 1,
      anon_sym_LBRACK,
    ACTIONS(25178), 1,
      anon_sym_LBRACE,
    STATE(18731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814758] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18085), 1,
      sym_attribute_id,
    STATE(18732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [814776] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(25180), 1,
      anon_sym_RPAREN,
    STATE(18733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814796] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13277), 1,
      anon_sym_GT,
    ACTIONS(25182), 1,
      anon_sym_SEMI,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    STATE(18734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814816] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3879), 1,
      anon_sym_RBRACK,
    ACTIONS(25184), 1,
      anon_sym_SEMI,
    STATE(18735), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814836] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25186), 1,
      anon_sym_LPAREN,
    ACTIONS(25188), 1,
      anon_sym_LBRACK,
    ACTIONS(25190), 1,
      anon_sym_LBRACE,
    STATE(18736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814856] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23057), 1,
      anon_sym_RBRACK,
    STATE(18737), 1,
      sym_attribute,
    STATE(18785), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814876] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25192), 1,
      anon_sym_LPAREN,
    ACTIONS(25194), 1,
      anon_sym_LBRACK,
    ACTIONS(25196), 1,
      anon_sym_LBRACE,
    STATE(18738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814896] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23057), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814916] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18109), 1,
      sym_attribute_id,
    STATE(18740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [814934] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21251), 1,
      anon_sym_RBRACE,
    ACTIONS(25198), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814954] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25200), 1,
      anon_sym_LPAREN,
    ACTIONS(25202), 1,
      anon_sym_LBRACK,
    ACTIONS(25204), 1,
      anon_sym_LBRACE,
    STATE(18742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814974] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25206), 1,
      anon_sym_LPAREN,
    ACTIONS(25208), 1,
      anon_sym_LBRACK,
    ACTIONS(25210), 1,
      anon_sym_LBRACE,
    STATE(18743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814994] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21401), 1,
      anon_sym_RBRACE,
    ACTIONS(25212), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815014] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18132), 1,
      sym_attribute_id,
    STATE(18745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [815032] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22708), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25214), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815052] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(25216), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(18747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815072] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13304), 1,
      anon_sym_GT,
    ACTIONS(25218), 1,
      anon_sym_SEMI,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    STATE(18748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815092] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25220), 1,
      anon_sym_LPAREN,
    ACTIONS(25222), 1,
      anon_sym_LBRACK,
    ACTIONS(25224), 1,
      anon_sym_LBRACE,
    STATE(18749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815112] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25226), 1,
      anon_sym_SEMI,
    ACTIONS(25228), 1,
      anon_sym_RBRACE,
    STATE(18750), 1,
      sym_attribute,
    STATE(18767), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815132] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25230), 1,
      anon_sym_LPAREN,
    ACTIONS(25232), 1,
      anon_sym_LBRACK,
    ACTIONS(25234), 1,
      anon_sym_LBRACE,
    STATE(18751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815152] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18150), 1,
      sym_attribute_id,
    STATE(18752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [815170] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13873), 1,
      anon_sym_DQUOTE,
    STATE(11971), 1,
      aux_sym_external_repeat1,
    STATE(13161), 1,
      sym_string,
    STATE(18753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815190] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25236), 1,
      anon_sym_SEMI,
    ACTIONS(25238), 1,
      anon_sym_RBRACE,
    STATE(18754), 1,
      sym_attribute,
    STATE(19007), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815210] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25240), 1,
      anon_sym_LPAREN,
    ACTIONS(25242), 1,
      anon_sym_LBRACK,
    ACTIONS(25244), 1,
      anon_sym_LBRACE,
    STATE(18755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815230] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25246), 1,
      anon_sym_LPAREN,
    ACTIONS(25248), 1,
      anon_sym_LBRACK,
    ACTIONS(25250), 1,
      anon_sym_LBRACE,
    STATE(18756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815250] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25252), 1,
      anon_sym_SEMI,
    ACTIONS(25254), 1,
      anon_sym_GT_RBRACE,
    STATE(18757), 1,
      sym_attribute,
    STATE(18776), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815270] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25256), 1,
      anon_sym_SEMI,
    ACTIONS(25258), 1,
      anon_sym_RBRACE,
    STATE(17679), 1,
      aux_sym_record_expression_repeat1,
    STATE(18758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815290] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18172), 1,
      sym_attribute_id,
    STATE(18759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [815308] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3889), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25260), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(18760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815328] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(25262), 1,
      anon_sym_RPAREN,
    STATE(18761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815348] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25264), 1,
      anon_sym_LPAREN,
    ACTIONS(25266), 1,
      anon_sym_LBRACK,
    ACTIONS(25268), 1,
      anon_sym_LBRACE,
    STATE(18762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815368] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25270), 1,
      anon_sym_LPAREN,
    ACTIONS(25272), 1,
      anon_sym_LBRACK,
    ACTIONS(25274), 1,
      anon_sym_LBRACE,
    STATE(18763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815388] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18191), 1,
      sym_attribute_id,
    STATE(18764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [815406] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3803), 1,
      anon_sym_RBRACK,
    ACTIONS(25276), 1,
      anon_sym_SEMI,
    STATE(18765), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815426] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25278), 1,
      anon_sym_LPAREN,
    ACTIONS(25280), 1,
      anon_sym_LBRACK,
    ACTIONS(25282), 1,
      anon_sym_LBRACE,
    STATE(18766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815446] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21643), 1,
      anon_sym_RBRACE,
    ACTIONS(25284), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815466] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25286), 1,
      anon_sym_LPAREN,
    ACTIONS(25288), 1,
      anon_sym_LBRACK,
    ACTIONS(25290), 1,
      anon_sym_LBRACE,
    STATE(18768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815486] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18207), 1,
      sym_attribute_id,
    STATE(18769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [815504] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(25216), 1,
      anon_sym_RBRACK,
    STATE(18021), 1,
      aux_sym__type_params_repeat1,
    STATE(18770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815524] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3805), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25292), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(18771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815544] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25294), 1,
      anon_sym_LPAREN,
    ACTIONS(25296), 1,
      anon_sym_LBRACK,
    ACTIONS(25298), 1,
      anon_sym_LBRACE,
    STATE(18772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815564] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25300), 1,
      anon_sym_LPAREN,
    ACTIONS(25302), 1,
      anon_sym_LBRACK,
    ACTIONS(25304), 1,
      anon_sym_LBRACE,
    STATE(18773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815584] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18226), 1,
      sym_attribute_id,
    STATE(18774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [815602] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22206), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25306), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815622] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23087), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25308), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815642] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25310), 1,
      anon_sym_LPAREN,
    ACTIONS(25312), 1,
      anon_sym_LBRACK,
    ACTIONS(25314), 1,
      anon_sym_LBRACE,
    STATE(18777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815662] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25316), 1,
      anon_sym_LPAREN,
    ACTIONS(25318), 1,
      anon_sym_LBRACK,
    ACTIONS(25320), 1,
      anon_sym_LBRACE,
    STATE(18778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815682] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18243), 1,
      sym_attribute_id,
    STATE(18779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [815700] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23113), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [815716] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(25322), 1,
      anon_sym_RPAREN,
    STATE(18781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815736] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25324), 1,
      anon_sym_SEMI,
    ACTIONS(25326), 1,
      anon_sym_GT_RBRACE,
    STATE(17851), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815756] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25328), 1,
      anon_sym_LPAREN,
    ACTIONS(25330), 1,
      anon_sym_LBRACK,
    ACTIONS(25332), 1,
      anon_sym_LBRACE,
    STATE(18783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815776] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25334), 1,
      anon_sym_LPAREN,
    ACTIONS(25336), 1,
      anon_sym_LBRACK,
    ACTIONS(25338), 1,
      anon_sym_LBRACE,
    STATE(18784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815796] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23093), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815816] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25340), 1,
      anon_sym_SEMI,
    ACTIONS(25342), 1,
      anon_sym_RBRACE,
    STATE(18786), 1,
      sym_attribute,
    STATE(18799), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815836] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18256), 1,
      sym_attribute_id,
    STATE(18787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [815854] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23093), 1,
      anon_sym_RBRACK,
    STATE(18788), 1,
      sym_attribute,
    STATE(18812), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815874] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25344), 1,
      anon_sym_LPAREN,
    ACTIONS(25346), 1,
      anon_sym_LBRACK,
    ACTIONS(25348), 1,
      anon_sym_LBRACE,
    STATE(18789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815894] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25350), 1,
      anon_sym_SEMI,
    ACTIONS(25352), 1,
      anon_sym_RBRACE,
    STATE(18790), 1,
      sym_attribute,
    STATE(18817), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815914] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25354), 1,
      anon_sym_LPAREN,
    ACTIONS(25356), 1,
      anon_sym_LBRACK,
    ACTIONS(25358), 1,
      anon_sym_LBRACE,
    STATE(18791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815934] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18267), 1,
      sym_attribute_id,
    STATE(18792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [815952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10023), 1,
      aux_sym_attribute_id_token1,
    STATE(18793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10025), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [815970] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25360), 1,
      anon_sym_LPAREN,
    ACTIONS(25362), 1,
      anon_sym_LBRACK,
    ACTIONS(25364), 1,
      anon_sym_LBRACE,
    STATE(18794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815990] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(25366), 1,
      sym__lowercase_identifier,
    STATE(18795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816010] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25368), 1,
      anon_sym_LPAREN,
    ACTIONS(25370), 1,
      anon_sym_LBRACK,
    ACTIONS(25372), 1,
      anon_sym_LBRACE,
    STATE(18796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816030] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18278), 1,
      sym_attribute_id,
    STATE(18797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [816048] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11347), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18798), 1,
      sym_attribute,
    STATE(18824), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816068] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21649), 1,
      anon_sym_RBRACE,
    ACTIONS(25374), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816088] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25376), 1,
      anon_sym_LPAREN,
    ACTIONS(25378), 1,
      anon_sym_LBRACK,
    ACTIONS(25380), 1,
      anon_sym_LBRACE,
    STATE(18800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816108] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25382), 1,
      anon_sym_LPAREN,
    ACTIONS(25384), 1,
      anon_sym_LBRACK,
    ACTIONS(25386), 1,
      anon_sym_LBRACE,
    STATE(18801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816128] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18287), 1,
      sym_attribute_id,
    STATE(18802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [816146] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_LPAREN,
    ACTIONS(25390), 1,
      anon_sym_LBRACK,
    ACTIONS(25392), 1,
      anon_sym_LBRACE,
    STATE(18803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816166] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25394), 1,
      anon_sym_LPAREN,
    ACTIONS(25396), 1,
      anon_sym_LBRACK,
    ACTIONS(25398), 1,
      anon_sym_LBRACE,
    STATE(18804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816186] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20246), 1,
      anon_sym_SEMI,
    ACTIONS(20248), 1,
      anon_sym_GT,
    STATE(18805), 1,
      sym_attribute,
    STATE(18829), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816206] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25400), 1,
      anon_sym_SEMI,
    ACTIONS(25402), 1,
      anon_sym_RBRACE,
    STATE(17817), 1,
      aux_sym_record_expression_repeat1,
    STATE(18806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816226] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18296), 1,
      sym_attribute_id,
    STATE(18807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [816244] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_LPAREN,
    ACTIONS(25406), 1,
      anon_sym_LBRACK,
    ACTIONS(25408), 1,
      anon_sym_LBRACE,
    STATE(18808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816264] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25410), 1,
      anon_sym_LPAREN,
    ACTIONS(25412), 1,
      anon_sym_LBRACK,
    ACTIONS(25414), 1,
      anon_sym_LBRACE,
    STATE(18809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816284] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(25416), 1,
      sym__lowercase_identifier,
    STATE(18810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816304] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18308), 1,
      sym_attribute_id,
    STATE(18811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [816322] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23118), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816342] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25418), 1,
      anon_sym_SEMI,
    ACTIONS(25420), 1,
      anon_sym_GT_RBRACE,
    STATE(17713), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816362] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25422), 1,
      anon_sym_LPAREN,
    ACTIONS(25424), 1,
      anon_sym_LBRACK,
    ACTIONS(25426), 1,
      anon_sym_LBRACE,
    STATE(18814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816382] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25428), 1,
      anon_sym_LPAREN,
    ACTIONS(25430), 1,
      anon_sym_LBRACK,
    ACTIONS(25432), 1,
      anon_sym_LBRACE,
    STATE(18815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816402] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18316), 1,
      sym_attribute_id,
    STATE(18816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [816420] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21405), 1,
      anon_sym_RBRACE,
    ACTIONS(25434), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816440] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(25436), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816460] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(25438), 1,
      anon_sym_RPAREN,
    STATE(18819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816480] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22288), 1,
      anon_sym_RBRACK,
    STATE(18820), 1,
      sym_attribute,
    STATE(18845), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816500] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25440), 1,
      anon_sym_LPAREN,
    ACTIONS(25442), 1,
      anon_sym_LBRACK,
    ACTIONS(25444), 1,
      anon_sym_LBRACE,
    STATE(18821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816520] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25446), 1,
      anon_sym_LPAREN,
    ACTIONS(25448), 1,
      anon_sym_LBRACK,
    ACTIONS(25450), 1,
      anon_sym_LBRACE,
    STATE(18822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816540] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18323), 1,
      sym_attribute_id,
    STATE(18823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [816558] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22288), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816578] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_LPAREN,
    ACTIONS(25454), 1,
      anon_sym_LBRACK,
    ACTIONS(25456), 1,
      anon_sym_LBRACE,
    STATE(18825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816598] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25458), 1,
      anon_sym_LPAREN,
    ACTIONS(25460), 1,
      anon_sym_LBRACK,
    ACTIONS(25462), 1,
      anon_sym_LBRACE,
    STATE(18826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816618] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18328), 1,
      sym_attribute_id,
    STATE(18827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [816636] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25464), 1,
      anon_sym_SEMI,
    ACTIONS(25466), 1,
      anon_sym_RBRACE,
    STATE(17678), 1,
      aux_sym_record_expression_repeat1,
    STATE(18828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816656] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13043), 1,
      anon_sym_GT,
    ACTIONS(25468), 1,
      anon_sym_SEMI,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    STATE(18829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816676] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11299), 1,
      anon_sym_RBRACK,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    STATE(18830), 1,
      sym_attribute,
    STATE(19038), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816696] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25470), 1,
      anon_sym_LPAREN,
    ACTIONS(25472), 1,
      anon_sym_LBRACK,
    ACTIONS(25474), 1,
      anon_sym_LBRACE,
    STATE(18831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816716] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25476), 1,
      anon_sym_SEMI,
    ACTIONS(25478), 1,
      anon_sym_RBRACE,
    STATE(18832), 1,
      sym_attribute,
    STATE(18853), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816736] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25480), 1,
      anon_sym_LPAREN,
    ACTIONS(25482), 1,
      anon_sym_LBRACK,
    ACTIONS(25484), 1,
      anon_sym_LBRACE,
    STATE(18833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816756] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18336), 1,
      sym_attribute_id,
    STATE(18834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [816774] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22453), 1,
      anon_sym_RBRACK,
    STATE(18433), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816794] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20242), 1,
      anon_sym_SEMI,
    ACTIONS(20244), 1,
      anon_sym_GT,
    STATE(18836), 1,
      sym_attribute,
    STATE(19051), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816814] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25486), 1,
      anon_sym_SEMI,
    ACTIONS(25488), 1,
      anon_sym_RBRACE,
    STATE(18837), 1,
      sym_attribute,
    STATE(18880), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816834] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25490), 1,
      anon_sym_LPAREN,
    ACTIONS(25492), 1,
      anon_sym_LBRACK,
    ACTIONS(25494), 1,
      anon_sym_LBRACE,
    STATE(18838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816854] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(25496), 1,
      anon_sym_RPAREN,
    STATE(18839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816874] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25498), 1,
      anon_sym_LPAREN,
    ACTIONS(25500), 1,
      anon_sym_LBRACK,
    ACTIONS(25502), 1,
      anon_sym_LBRACE,
    STATE(18840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816894] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25504), 1,
      anon_sym_SEMI,
    ACTIONS(25506), 1,
      anon_sym_GT_RBRACE,
    STATE(18841), 1,
      sym_attribute,
    STATE(18865), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816914] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18344), 1,
      sym_attribute_id,
    STATE(18842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [816932] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25508), 1,
      anon_sym_LPAREN,
    ACTIONS(25510), 1,
      anon_sym_LBRACK,
    ACTIONS(25512), 1,
      anon_sym_LBRACE,
    STATE(18843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816952] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25514), 1,
      anon_sym_LPAREN,
    ACTIONS(25516), 1,
      anon_sym_LBRACK,
    ACTIONS(25518), 1,
      anon_sym_LBRACE,
    STATE(18844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816972] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22341), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816992] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18350), 1,
      sym_attribute_id,
    STATE(18846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [817010] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22341), 1,
      anon_sym_RBRACK,
    STATE(18847), 1,
      sym_attribute,
    STATE(18860), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817030] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25520), 1,
      anon_sym_SEMI,
    ACTIONS(25522), 1,
      anon_sym_GT_RBRACE,
    STATE(18848), 1,
      sym_attribute,
    STATE(18907), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817050] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25524), 1,
      anon_sym_LPAREN,
    ACTIONS(25526), 1,
      anon_sym_LBRACK,
    ACTIONS(25528), 1,
      anon_sym_LBRACE,
    STATE(18849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817070] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25530), 1,
      anon_sym_LPAREN,
    ACTIONS(25532), 1,
      anon_sym_LBRACK,
    ACTIONS(25534), 1,
      anon_sym_LBRACE,
    STATE(18850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817090] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_RBRACK,
    ACTIONS(25536), 1,
      anon_sym_SEMI,
    STATE(18851), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817110] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18355), 1,
      sym_attribute_id,
    STATE(18852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [817128] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21655), 1,
      anon_sym_RBRACE,
    ACTIONS(25538), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817148] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23503), 1,
      anon_sym_COLON2,
    ACTIONS(25540), 1,
      anon_sym_RPAREN,
    STATE(18854), 1,
      sym_attribute,
    STATE(22488), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817168] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22353), 1,
      anon_sym_RBRACE,
    ACTIONS(25542), 1,
      anon_sym_SEMI,
    STATE(17873), 1,
      aux_sym_record_declaration_repeat1,
    STATE(18855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817188] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25544), 1,
      anon_sym_LPAREN,
    ACTIONS(25546), 1,
      anon_sym_LBRACK,
    ACTIONS(25548), 1,
      anon_sym_LBRACE,
    STATE(18856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817208] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_LPAREN,
    ACTIONS(25552), 1,
      anon_sym_LBRACK,
    ACTIONS(25554), 1,
      anon_sym_LBRACE,
    STATE(18857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817228] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3829), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25556), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(18858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817248] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18361), 1,
      sym_attribute_id,
    STATE(18859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [817266] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22377), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817286] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25558), 1,
      anon_sym_SEMI,
    ACTIONS(25560), 1,
      anon_sym_RBRACE,
    STATE(17863), 1,
      aux_sym_record_expression_repeat1,
    STATE(18861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817306] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8897), 1,
      anon_sym_RBRACK,
    ACTIONS(25562), 1,
      anon_sym_SEMI,
    STATE(17891), 1,
      aux_sym_list_pattern_repeat1,
    STATE(18862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817326] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25564), 1,
      anon_sym_LPAREN,
    ACTIONS(25566), 1,
      anon_sym_LBRACK,
    ACTIONS(25568), 1,
      anon_sym_LBRACE,
    STATE(18863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817346] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25570), 1,
      anon_sym_LPAREN,
    ACTIONS(25572), 1,
      anon_sym_LBRACK,
    ACTIONS(25574), 1,
      anon_sym_LBRACE,
    STATE(18864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817366] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23168), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25576), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817386] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18367), 1,
      sym_attribute_id,
    STATE(18866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [817404] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25578), 1,
      anon_sym_LPAREN,
    ACTIONS(25580), 1,
      anon_sym_LBRACK,
    ACTIONS(25582), 1,
      anon_sym_LBRACE,
    STATE(18867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817424] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20452), 1,
      anon_sym_RBRACE,
    ACTIONS(25584), 1,
      anon_sym_SEMI,
    STATE(17909), 1,
      aux_sym_record_pattern_repeat1,
    STATE(18868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817444] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25586), 1,
      anon_sym_LPAREN,
    ACTIONS(25588), 1,
      anon_sym_LBRACK,
    ACTIONS(25590), 1,
      anon_sym_LBRACE,
    STATE(18869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817464] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25592), 1,
      anon_sym_SEMI,
    ACTIONS(25594), 1,
      anon_sym_GT_RBRACE,
    STATE(17725), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817484] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18370), 1,
      sym_attribute_id,
    STATE(18871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [817502] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4095), 1,
      anon_sym_RBRACK,
    ACTIONS(25596), 1,
      anon_sym_SEMI,
    STATE(18872), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817522] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8899), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25598), 1,
      anon_sym_SEMI,
    STATE(18606), 1,
      aux_sym_list_pattern_repeat1,
    STATE(18873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817542] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25600), 1,
      anon_sym_SEMI,
    ACTIONS(25602), 1,
      anon_sym_RBRACE,
    STATE(18874), 1,
      sym_attribute,
    STATE(18888), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817562] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(25604), 1,
      anon_sym_RPAREN,
    STATE(18875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817582] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25606), 1,
      anon_sym_LPAREN,
    ACTIONS(25608), 1,
      anon_sym_LBRACK,
    ACTIONS(25610), 1,
      anon_sym_LBRACE,
    STATE(18876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817602] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25612), 1,
      anon_sym_LPAREN,
    ACTIONS(25614), 1,
      anon_sym_LBRACK,
    ACTIONS(25616), 1,
      anon_sym_LBRACE,
    STATE(18877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817622] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18375), 1,
      sym_attribute_id,
    STATE(18878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [817640] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22453), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817660] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21257), 1,
      anon_sym_RBRACE,
    ACTIONS(25618), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817680] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25620), 1,
      anon_sym_LPAREN,
    ACTIONS(25622), 1,
      anon_sym_LBRACK,
    ACTIONS(25624), 1,
      anon_sym_LBRACE,
    STATE(18881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817700] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25626), 1,
      anon_sym_LPAREN,
    ACTIONS(25628), 1,
      anon_sym_LBRACK,
    ACTIONS(25630), 1,
      anon_sym_LBRACE,
    STATE(18882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817720] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18385), 1,
      sym_attribute_id,
    STATE(18883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [817738] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(25632), 1,
      sym__lowercase_identifier,
    STATE(18884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817758] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13458), 1,
      anon_sym_DASH_GT,
    ACTIONS(25634), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18885), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [817776] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25637), 1,
      anon_sym_LPAREN,
    ACTIONS(25639), 1,
      anon_sym_LBRACK,
    ACTIONS(25641), 1,
      anon_sym_LBRACE,
    STATE(18886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817796] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25643), 1,
      anon_sym_LPAREN,
    ACTIONS(25645), 1,
      anon_sym_LBRACK,
    ACTIONS(25647), 1,
      anon_sym_LBRACE,
    STATE(18887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817816] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21659), 1,
      anon_sym_RBRACE,
    ACTIONS(25649), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817836] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18393), 1,
      sym_attribute_id,
    STATE(18889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [817854] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4097), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25651), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(18890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817874] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25653), 1,
      anon_sym_LPAREN,
    ACTIONS(25655), 1,
      anon_sym_LBRACK,
    ACTIONS(25657), 1,
      anon_sym_LBRACE,
    STATE(18891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817894] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25659), 1,
      anon_sym_LPAREN,
    ACTIONS(25661), 1,
      anon_sym_LBRACK,
    ACTIONS(25663), 1,
      anon_sym_LBRACE,
    STATE(18892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817914] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18399), 1,
      sym_attribute_id,
    STATE(18893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [817932] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(25665), 1,
      anon_sym_RPAREN,
    STATE(18894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817952] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25667), 1,
      anon_sym_LPAREN,
    ACTIONS(25669), 1,
      anon_sym_LBRACK,
    ACTIONS(25671), 1,
      anon_sym_LBRACE,
    STATE(18895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817972] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25673), 1,
      anon_sym_LPAREN,
    ACTIONS(25675), 1,
      anon_sym_LBRACK,
    ACTIONS(25677), 1,
      anon_sym_LBRACE,
    STATE(18896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817992] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18411), 1,
      sym_attribute_id,
    STATE(18897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818010] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25679), 1,
      anon_sym_LPAREN,
    ACTIONS(25681), 1,
      anon_sym_LBRACK,
    ACTIONS(25683), 1,
      anon_sym_LBRACE,
    STATE(18898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818030] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25685), 1,
      anon_sym_LPAREN,
    ACTIONS(25687), 1,
      anon_sym_LBRACK,
    ACTIONS(25689), 1,
      anon_sym_LBRACE,
    STATE(18899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818050] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(25691), 1,
      sym__lowercase_identifier,
    STATE(18900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818070] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18424), 1,
      sym_attribute_id,
    STATE(18901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818088] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9230), 1,
      aux_sym_tag_token1,
    STATE(17395), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18902), 1,
      sym_attribute,
    STATE(19404), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818108] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25693), 1,
      anon_sym_LPAREN,
    ACTIONS(25695), 1,
      anon_sym_LBRACK,
    ACTIONS(25697), 1,
      anon_sym_LBRACE,
    STATE(18903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818128] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(12399), 1,
      sym_attribute_id,
    STATE(18904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25699), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818146] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25701), 1,
      anon_sym_LPAREN,
    ACTIONS(25703), 1,
      anon_sym_LBRACK,
    ACTIONS(25705), 1,
      anon_sym_LBRACE,
    STATE(18905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818166] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(25707), 1,
      anon_sym_RBRACK,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818186] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22099), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25709), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818206] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18430), 1,
      sym_attribute_id,
    STATE(18908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818224] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(25711), 1,
      anon_sym_RPAREN,
    STATE(18909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818244] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25713), 1,
      anon_sym_LPAREN,
    ACTIONS(25715), 1,
      anon_sym_LBRACK,
    ACTIONS(25717), 1,
      anon_sym_LBRACE,
    STATE(18910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818264] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25719), 1,
      anon_sym_LPAREN,
    ACTIONS(25721), 1,
      anon_sym_LBRACK,
    ACTIONS(25723), 1,
      anon_sym_LBRACE,
    STATE(18911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818284] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18440), 1,
      sym_attribute_id,
    STATE(18912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818302] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    ACTIONS(25725), 1,
      anon_sym_RPAREN,
    STATE(18913), 1,
      sym_attribute,
    STATE(21193), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818322] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(16165), 1,
      anon_sym_in,
    ACTIONS(25727), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18914), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
  [818340] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25730), 1,
      anon_sym_SEMI,
    ACTIONS(25732), 1,
      anon_sym_RBRACE,
    STATE(18159), 1,
      aux_sym_record_declaration_repeat1,
    STATE(18915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818360] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25734), 1,
      anon_sym_LPAREN,
    ACTIONS(25736), 1,
      anon_sym_LBRACK,
    ACTIONS(25738), 1,
      anon_sym_LBRACE,
    STATE(18916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818380] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25740), 1,
      anon_sym_LPAREN,
    ACTIONS(25742), 1,
      anon_sym_LBRACK,
    ACTIONS(25744), 1,
      anon_sym_LBRACE,
    STATE(18917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818400] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18448), 1,
      sym_attribute_id,
    STATE(18918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818418] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25746), 1,
      anon_sym_SEMI,
    ACTIONS(25748), 1,
      anon_sym_RBRACE,
    STATE(18919), 1,
      sym_attribute,
    STATE(18935), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818438] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_LPAREN,
    ACTIONS(25752), 1,
      anon_sym_LBRACK,
    ACTIONS(25754), 1,
      anon_sym_LBRACE,
    STATE(18920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818458] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25756), 1,
      anon_sym_SEMI,
    ACTIONS(25758), 1,
      anon_sym_RBRACE,
    STATE(17703), 1,
      aux_sym_record_expression_repeat1,
    STATE(18921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818478] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_LPAREN,
    ACTIONS(25762), 1,
      anon_sym_LBRACK,
    ACTIONS(25764), 1,
      anon_sym_LBRACE,
    STATE(18922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818498] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18457), 1,
      sym_attribute_id,
    STATE(18923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818516] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22497), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818536] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25766), 1,
      anon_sym_SEMI,
    ACTIONS(25768), 1,
      anon_sym_GT_RBRACE,
    STATE(18925), 1,
      sym_attribute,
    STATE(18996), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818556] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25770), 1,
      anon_sym_LPAREN,
    ACTIONS(25772), 1,
      anon_sym_LBRACK,
    ACTIONS(25774), 1,
      anon_sym_LBRACE,
    STATE(18926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818576] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25776), 1,
      anon_sym_LPAREN,
    ACTIONS(25778), 1,
      anon_sym_LBRACK,
    ACTIONS(25780), 1,
      anon_sym_LBRACE,
    STATE(18927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818596] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18463), 1,
      sym_attribute_id,
    STATE(18928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818614] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(22497), 1,
      anon_sym_RBRACK,
    STATE(17715), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818634] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25782), 1,
      anon_sym_LPAREN,
    ACTIONS(25784), 1,
      anon_sym_LBRACK,
    ACTIONS(25786), 1,
      anon_sym_LBRACE,
    STATE(18930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818654] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25788), 1,
      anon_sym_LPAREN,
    ACTIONS(25790), 1,
      anon_sym_LBRACK,
    ACTIONS(25792), 1,
      anon_sym_LBRACE,
    STATE(18931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818674] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18469), 1,
      sym_attribute_id,
    STATE(18932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818692] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3851), 1,
      anon_sym_RBRACK,
    ACTIONS(25794), 1,
      anon_sym_SEMI,
    STATE(18933), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818712] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17064), 1,
      anon_sym_in,
    ACTIONS(24398), 1,
      anon_sym_and,
    STATE(18934), 1,
      sym_attribute,
    STATE(18999), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818732] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21667), 1,
      anon_sym_RBRACE,
    ACTIONS(25796), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(18935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818752] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25798), 1,
      anon_sym_LPAREN,
    ACTIONS(25800), 1,
      anon_sym_LBRACK,
    ACTIONS(25802), 1,
      anon_sym_LBRACE,
    STATE(18936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818772] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25804), 1,
      anon_sym_LPAREN,
    ACTIONS(25806), 1,
      anon_sym_LBRACK,
    ACTIONS(25808), 1,
      anon_sym_LBRACE,
    STATE(18937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818792] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14152), 1,
      sym_module_binding,
    STATE(18938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20836), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [818810] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18477), 1,
      sym_attribute_id,
    STATE(18939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818828] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25810), 1,
      sym__lowercase_identifier,
    ACTIONS(25812), 1,
      anon_sym_LPAREN,
    STATE(9739), 1,
      sym__simple_value_pattern,
    STATE(18940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818848] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3853), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25814), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(18941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818868] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25816), 1,
      anon_sym_SEMI,
    ACTIONS(25818), 1,
      anon_sym_RBRACE,
    STATE(18942), 1,
      sym_attribute,
    STATE(19037), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818888] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25820), 1,
      anon_sym_LPAREN,
    ACTIONS(25822), 1,
      anon_sym_LBRACK,
    ACTIONS(25824), 1,
      anon_sym_LBRACE,
    STATE(18943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818908] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25826), 1,
      anon_sym_LPAREN,
    ACTIONS(25828), 1,
      anon_sym_LBRACK,
    ACTIONS(25830), 1,
      anon_sym_LBRACE,
    STATE(18944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818928] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18481), 1,
      sym_attribute_id,
    STATE(18945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818946] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25832), 1,
      anon_sym_LPAREN,
    ACTIONS(25834), 1,
      anon_sym_LBRACK,
    ACTIONS(25836), 1,
      anon_sym_LBRACE,
    STATE(18946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818966] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18485), 1,
      sym_attribute_id,
    STATE(18947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [818984] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25838), 1,
      anon_sym_LPAREN,
    ACTIONS(25840), 1,
      anon_sym_LBRACK,
    ACTIONS(25842), 1,
      anon_sym_LBRACE,
    STATE(18948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819004] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18487), 1,
      sym_attribute_id,
    STATE(18949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819022] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25844), 1,
      anon_sym_LPAREN,
    ACTIONS(25846), 1,
      anon_sym_LBRACK,
    ACTIONS(25848), 1,
      anon_sym_LBRACE,
    STATE(18950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819042] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18489), 1,
      sym_attribute_id,
    STATE(18951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819060] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_LPAREN,
    ACTIONS(25852), 1,
      anon_sym_LBRACK,
    ACTIONS(25854), 1,
      anon_sym_LBRACE,
    STATE(18952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819080] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18492), 1,
      sym_attribute_id,
    STATE(18953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819098] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25856), 1,
      anon_sym_LPAREN,
    ACTIONS(25858), 1,
      anon_sym_LBRACK,
    ACTIONS(25860), 1,
      anon_sym_LBRACE,
    STATE(18954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819118] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18494), 1,
      sym_attribute_id,
    STATE(18955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819136] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25862), 1,
      anon_sym_LPAREN,
    ACTIONS(25864), 1,
      anon_sym_LBRACK,
    ACTIONS(25866), 1,
      anon_sym_LBRACE,
    STATE(18956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819156] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18496), 1,
      sym_attribute_id,
    STATE(18957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819174] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25868), 1,
      anon_sym_LPAREN,
    ACTIONS(25870), 1,
      anon_sym_LBRACK,
    ACTIONS(25872), 1,
      anon_sym_LBRACE,
    STATE(18958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819194] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18499), 1,
      sym_attribute_id,
    STATE(18959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819212] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25874), 1,
      anon_sym_LPAREN,
    ACTIONS(25876), 1,
      anon_sym_LBRACK,
    ACTIONS(25878), 1,
      anon_sym_LBRACE,
    STATE(18960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819232] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18501), 1,
      sym_attribute_id,
    STATE(18961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819250] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25880), 1,
      anon_sym_LPAREN,
    ACTIONS(25882), 1,
      anon_sym_LBRACK,
    ACTIONS(25884), 1,
      anon_sym_LBRACE,
    STATE(18962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819270] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18503), 1,
      sym_attribute_id,
    STATE(18963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819288] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25886), 1,
      anon_sym_LPAREN,
    ACTIONS(25888), 1,
      anon_sym_LBRACK,
    ACTIONS(25890), 1,
      anon_sym_LBRACE,
    STATE(18964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819308] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18505), 1,
      sym_attribute_id,
    STATE(18965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819326] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25892), 1,
      anon_sym_LPAREN,
    ACTIONS(25894), 1,
      anon_sym_LBRACK,
    ACTIONS(25896), 1,
      anon_sym_LBRACE,
    STATE(18966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819346] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18507), 1,
      sym_attribute_id,
    STATE(18967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819364] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25898), 1,
      anon_sym_LPAREN,
    ACTIONS(25900), 1,
      anon_sym_LBRACK,
    ACTIONS(25902), 1,
      anon_sym_LBRACE,
    STATE(18968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819384] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18509), 1,
      sym_attribute_id,
    STATE(18969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819402] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25904), 1,
      anon_sym_LPAREN,
    ACTIONS(25906), 1,
      anon_sym_LBRACK,
    ACTIONS(25908), 1,
      anon_sym_LBRACE,
    STATE(18970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819422] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18511), 1,
      sym_attribute_id,
    STATE(18971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819440] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25910), 1,
      anon_sym_LPAREN,
    ACTIONS(25912), 1,
      anon_sym_LBRACK,
    ACTIONS(25914), 1,
      anon_sym_LBRACE,
    STATE(18972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819460] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18513), 1,
      sym_attribute_id,
    STATE(18973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819478] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18515), 1,
      sym_attribute_id,
    STATE(18974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819496] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18517), 1,
      sym_attribute_id,
    STATE(18975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819514] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18519), 1,
      sym_attribute_id,
    STATE(18976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819532] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18521), 1,
      sym_attribute_id,
    STATE(18977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819550] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18523), 1,
      sym_attribute_id,
    STATE(18978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18525), 1,
      sym_attribute_id,
    STATE(18979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819586] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18527), 1,
      sym_attribute_id,
    STATE(18980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819604] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18529), 1,
      sym_attribute_id,
    STATE(18981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819622] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18531), 1,
      sym_attribute_id,
    STATE(18982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819640] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18533), 1,
      sym_attribute_id,
    STATE(18983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819658] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18535), 1,
      sym_attribute_id,
    STATE(18984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819676] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18537), 1,
      sym_attribute_id,
    STATE(18985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819694] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18539), 1,
      sym_attribute_id,
    STATE(18986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819712] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18541), 1,
      sym_attribute_id,
    STATE(18987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819730] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18543), 1,
      sym_attribute_id,
    STATE(18988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819748] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18545), 1,
      sym_attribute_id,
    STATE(18989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819766] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18547), 1,
      sym_attribute_id,
    STATE(18990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819784] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18549), 1,
      sym_attribute_id,
    STATE(18991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819802] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18551), 1,
      sym_attribute_id,
    STATE(18992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819820] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18553), 1,
      sym_attribute_id,
    STATE(18993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819838] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18555), 1,
      sym_attribute_id,
    STATE(18994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819856] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18557), 1,
      sym_attribute_id,
    STATE(18995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819874] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23238), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25916), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819894] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18566), 1,
      sym_attribute_id,
    STATE(18997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [819912] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25918), 1,
      anon_sym_SEMI,
    ACTIONS(25920), 1,
      anon_sym_RBRACE,
    STATE(18998), 1,
      sym_attribute,
    STATE(19021), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819932] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(16988), 1,
      anon_sym_in,
    ACTIONS(24398), 1,
      anon_sym_and,
    STATE(18914), 1,
      aux_sym_module_definition_repeat1,
    STATE(18999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819952] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25922), 1,
      anon_sym_SEMI,
    ACTIONS(25924), 1,
      anon_sym_RBRACE,
    STATE(19000), 1,
      sym_attribute,
    STATE(19005), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819972] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25926), 1,
      sym__lowercase_identifier,
    ACTIONS(25928), 1,
      anon_sym_LPAREN,
    STATE(9045), 1,
      sym__simple_value_pattern,
    STATE(19001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819992] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(12759), 1,
      anon_sym_DOT,
    ACTIONS(25930), 1,
      anon_sym_RPAREN,
    STATE(19002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820012] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(25932), 1,
      sym__lowercase_identifier,
    STATE(19003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820032] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25934), 1,
      anon_sym_SEMI,
    ACTIONS(25936), 1,
      anon_sym_RBRACE,
    STATE(19004), 1,
      sym_attribute,
    STATE(19028), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820052] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21671), 1,
      anon_sym_RBRACE,
    ACTIONS(25938), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(19005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820072] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25940), 1,
      anon_sym_SEMI,
    ACTIONS(25942), 1,
      anon_sym_GT_RBRACE,
    STATE(18746), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(19006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820092] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21675), 1,
      anon_sym_RBRACE,
    ACTIONS(25944), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(19007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820112] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18458), 1,
      sym__uppercase_identifier,
    ACTIONS(21701), 1,
      anon_sym_LPAREN,
    STATE(8698), 1,
      sym__constructor_name,
    STATE(19008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820132] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13085), 1,
      anon_sym_LPAREN,
    STATE(11736), 1,
      sym_module_parameter,
    STATE(17613), 1,
      aux_sym_module_binding_repeat1,
    STATE(19009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820152] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(25946), 1,
      anon_sym_RBRACK,
    STATE(19010), 1,
      sym_attribute,
    STATE(19011), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820172] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(25948), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(19011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820192] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(25948), 1,
      anon_sym_RBRACK,
    STATE(19012), 1,
      sym_attribute,
    STATE(19014), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820212] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(5), 1,
      sym_attribute_id,
    STATE(19013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [820230] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(25950), 1,
      anon_sym_RBRACK,
    STATE(17551), 1,
      aux_sym__type_params_repeat1,
    STATE(19014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820250] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25952), 1,
      anon_sym_SEMI,
    ACTIONS(25954), 1,
      anon_sym_GT_RBRACE,
    STATE(17726), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(19015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820270] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25956), 1,
      anon_sym_SEMI,
    ACTIONS(25958), 1,
      anon_sym_RBRACE,
    STATE(18061), 1,
      aux_sym_record_pattern_repeat1,
    STATE(19016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820290] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4351), 1,
      anon_sym_RBRACK,
    ACTIONS(25960), 1,
      anon_sym_SEMI,
    STATE(19017), 1,
      sym_attribute,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820310] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(10), 1,
      sym_attribute_id,
    STATE(19018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [820328] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25962), 1,
      anon_sym_SEMI,
    ACTIONS(25964), 1,
      anon_sym_GT_RBRACE,
    STATE(19019), 1,
      sym_attribute,
    STATE(19058), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820348] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25966), 1,
      anon_sym_SEMI,
    ACTIONS(25968), 1,
      anon_sym_RBRACE,
    STATE(19020), 1,
      sym_attribute,
    STATE(19031), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820368] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21681), 1,
      anon_sym_RBRACE,
    ACTIONS(25970), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(19021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820388] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(18023), 1,
      sym_attribute_id,
    STATE(19022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24002), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [820406] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(25972), 1,
      sym__lowercase_identifier,
    STATE(19023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820426] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25974), 1,
      anon_sym_SEMI,
    ACTIONS(25976), 1,
      anon_sym_GT_RBRACE,
    STATE(19024), 1,
      sym_attribute,
    STATE(19044), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820446] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18724), 1,
      anon_sym_RBRACK,
    ACTIONS(25978), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(19025), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [820464] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4215), 1,
      anon_sym_RBRACK,
    ACTIONS(25981), 1,
      anon_sym_SEMI,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    STATE(19026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820484] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(25983), 1,
      anon_sym_type,
    STATE(17739), 1,
      sym_module_path,
    STATE(19027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820504] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21415), 1,
      anon_sym_RBRACE,
    ACTIONS(25985), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(19028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820524] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3869), 1,
      anon_sym_RBRACK,
    ACTIONS(25987), 1,
      anon_sym_SEMI,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    STATE(19029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820544] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(25989), 1,
      aux_sym_quoted_extension_token1,
    STATE(19030), 1,
      sym_attribute,
    STATE(22603), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820564] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21683), 1,
      anon_sym_RBRACE,
    ACTIONS(25991), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(19031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820584] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(11), 1,
      sym_attribute_id,
    STATE(19032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23431), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [820602] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21151), 1,
      anon_sym_RBRACE,
    ACTIONS(25993), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(19033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820622] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21985), 1,
      anon_sym_DASH_GT,
    ACTIONS(21987), 1,
      anon_sym_with,
    ACTIONS(25995), 1,
      anon_sym_RPAREN,
    STATE(19034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820642] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23313), 1,
      anon_sym_RBRACK,
    STATE(17977), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(19035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820662] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3871), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25997), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(19036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820682] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21261), 1,
      anon_sym_RBRACE,
    ACTIONS(25999), 1,
      anon_sym_SEMI,
    STATE(18310), 1,
      aux_sym_record_expression_repeat1,
    STATE(19037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820702] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22089), 1,
      anon_sym_PIPE,
    ACTIONS(23313), 1,
      anon_sym_RBRACK,
    STATE(17363), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(19038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820722] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4035), 1,
      anon_sym_RBRACK,
    ACTIONS(26001), 1,
      anon_sym_SEMI,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    STATE(19039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820742] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(13537), 1,
      sym_module_binding,
    STATE(19040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21107), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [820760] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4373), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(26003), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(19041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820780] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14505), 1,
      sym_module_binding,
    STATE(19042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21107), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [820798] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23337), 1,
      anon_sym_COMMA,
    ACTIONS(26005), 1,
      anon_sym_RBRACK,
    STATE(17680), 1,
      aux_sym__type_params_repeat1,
    STATE(19043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820818] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23309), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(26007), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(19044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820838] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(13537), 1,
      sym_module_binding,
    STATE(19045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21113), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [820856] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(4217), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(26009), 1,
      anon_sym_SEMI,
    STATE(18580), 1,
      aux_sym_list_expression_repeat1,
    STATE(19046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820876] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15182), 1,
      sym_module_binding,
    STATE(19047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21113), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [820894] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26011), 1,
      anon_sym_SEMI,
    ACTIONS(26013), 1,
      anon_sym_RBRACE,
    STATE(18040), 1,
      aux_sym_record_expression_repeat1,
    STATE(19048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820914] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(13537), 1,
      sym_module_binding,
    STATE(19049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21125), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [820932] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15189), 1,
      sym_module_binding,
    STATE(19050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21125), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [820950] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13187), 1,
      anon_sym_GT,
    ACTIONS(26015), 1,
      anon_sym_SEMI,
    STATE(18588), 1,
      aux_sym_object_type_repeat1,
    STATE(19051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820970] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14443), 1,
      sym_module_binding,
    STATE(19052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21107), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [820988] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26017), 1,
      anon_sym_SEMI,
    ACTIONS(26019), 1,
      anon_sym_RBRACE,
    STATE(17730), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(19053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821008] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(15192), 1,
      sym_module_binding,
    STATE(19054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21113), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [821026] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3969), 1,
      anon_sym_RBRACK,
    ACTIONS(26021), 1,
      anon_sym_SEMI,
    STATE(19025), 1,
      aux_sym_list_expression_repeat1,
    STATE(19055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821046] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(23377), 1,
      sym_indexing_operator,
    ACTIONS(26023), 1,
      sym__lowercase_identifier,
    STATE(19056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821066] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(14956), 1,
      sym_module_binding,
    STATE(19057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21125), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [821084] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22574), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(26025), 1,
      anon_sym_SEMI,
    STATE(18281), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(19058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821104] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(26027), 1,
      anon_sym_type,
    STATE(17739), 1,
      sym_module_path,
    STATE(19059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821124] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11170), 1,
      sym__uppercase_identifier,
    ACTIONS(26029), 1,
      anon_sym_type,
    STATE(17739), 1,
      sym_module_path,
    STATE(19060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821144] = 6,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21707), 1,
      anon_sym_COMMA,
    ACTIONS(26031), 1,
      anon_sym_RPAREN,
    STATE(17347), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(19061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821164] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26033), 1,
      anon_sym_DOT,
    STATE(19062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821181] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26035), 1,
      anon_sym_EQ,
    STATE(19063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821198] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24394), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [821213] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26037), 1,
      anon_sym_then,
    STATE(14850), 1,
      sym_then_clause,
    STATE(19065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821230] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26039), 1,
      anon_sym_DOT,
    STATE(19066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821247] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26041), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [821262] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26043), 1,
      anon_sym_EQ,
    STATE(19068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821279] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26045), 1,
      sym__lowercase_identifier,
    STATE(19069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821296] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26047), 1,
      anon_sym_COLON_GT,
    ACTIONS(26049), 1,
      anon_sym_RPAREN,
    STATE(19070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821313] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26051), 1,
      anon_sym_RPAREN,
    ACTIONS(26053), 1,
      anon_sym_LT_DASH,
    STATE(19071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821330] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26055), 1,
      anon_sym_COLON_GT,
    ACTIONS(26057), 1,
      anon_sym_RPAREN,
    STATE(19072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821347] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19073), 1,
      sym_attribute,
    STATE(23516), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821364] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26059), 1,
      anon_sym_RPAREN,
    ACTIONS(26061), 1,
      anon_sym_SEMI,
    STATE(19074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821381] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26059), 1,
      anon_sym_RBRACK,
    ACTIONS(26063), 1,
      anon_sym_SEMI,
    STATE(19075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821398] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26059), 1,
      anon_sym_RBRACE,
    ACTIONS(26065), 1,
      anon_sym_SEMI,
    STATE(19076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821415] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26067), 1,
      sym__lowercase_identifier,
    ACTIONS(26069), 1,
      anon_sym_LPAREN,
    STATE(19077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821432] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19078), 1,
      sym_attribute,
    STATE(23538), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821449] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26071), 1,
      anon_sym_RPAREN,
    ACTIONS(26073), 1,
      anon_sym_LT_DASH,
    STATE(19079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821466] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26075), 1,
      anon_sym_RPAREN,
    STATE(19080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821483] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20210), 1,
      sym__lowercase_identifier,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    STATE(19081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821500] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26077), 1,
      anon_sym_DOT,
    STATE(19082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821517] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26079), 1,
      anon_sym_DOT,
    STATE(19083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821534] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26081), 1,
      anon_sym_DOT,
    STATE(19084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821551] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19085), 1,
      sym_attribute,
    STATE(20591), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26083), 1,
      anon_sym_DOT,
    STATE(19086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821585] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26085), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [821600] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26087), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [821615] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26089), 1,
      anon_sym_RPAREN,
    ACTIONS(26091), 1,
      anon_sym_LT_DASH,
    STATE(19089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821632] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26093), 1,
      anon_sym_RPAREN,
    ACTIONS(26095), 1,
      anon_sym_LT_DASH,
    STATE(19090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821649] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26097), 1,
      anon_sym_RPAREN,
    ACTIONS(26099), 1,
      anon_sym_LT_DASH,
    STATE(19091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821666] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19092), 1,
      sym_attribute,
    STATE(23740), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821683] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26101), 1,
      anon_sym_SEMI,
    ACTIONS(26103), 1,
      anon_sym_RBRACE,
    STATE(19093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821700] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26105), 1,
      anon_sym_RPAREN,
    ACTIONS(26107), 1,
      anon_sym_SEMI,
    STATE(19094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821717] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26105), 1,
      anon_sym_RBRACK,
    ACTIONS(26109), 1,
      anon_sym_SEMI,
    STATE(19095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821734] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26105), 1,
      anon_sym_RBRACE,
    ACTIONS(26111), 1,
      anon_sym_SEMI,
    STATE(19096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821751] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26113), 1,
      anon_sym_RPAREN,
    ACTIONS(26115), 1,
      anon_sym_LT_DASH,
    STATE(19097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821768] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19098), 1,
      sym_attribute,
    STATE(20456), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821785] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26117), 1,
      anon_sym_RPAREN,
    STATE(19099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821802] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(19100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12899), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [821817] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26119), 1,
      anon_sym_then,
    STATE(12271), 1,
      sym_then_clause,
    STATE(19101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821834] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26121), 1,
      anon_sym_RPAREN,
    STATE(19102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821851] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(26123), 1,
      sym__lowercase_identifier,
    STATE(19103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821868] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26125), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [821883] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26127), 1,
      anon_sym_RPAREN,
    ACTIONS(26129), 1,
      anon_sym_LT_DASH,
    STATE(19105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821900] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26131), 1,
      sym__lowercase_identifier,
    STATE(19106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821917] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26133), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [821932] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26135), 1,
      anon_sym_RPAREN,
    ACTIONS(26137), 1,
      anon_sym_LT_DASH,
    STATE(19108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821949] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26139), 1,
      anon_sym_RPAREN,
    ACTIONS(26141), 1,
      anon_sym_LT_DASH,
    STATE(19109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821966] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26143), 1,
      anon_sym_RPAREN,
    STATE(19110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821983] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19111), 1,
      sym_attribute,
    STATE(20755), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822000] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26145), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [822015] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26147), 1,
      anon_sym_RPAREN,
    ACTIONS(26149), 1,
      anon_sym_LT_DASH,
    STATE(19113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822032] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26151), 1,
      anon_sym_RPAREN,
    ACTIONS(26153), 1,
      anon_sym_LT_DASH,
    STATE(19114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822049] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26155), 1,
      anon_sym_RPAREN,
    ACTIONS(26157), 1,
      anon_sym_SEMI,
    STATE(19115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822066] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26155), 1,
      anon_sym_RBRACK,
    ACTIONS(26159), 1,
      anon_sym_SEMI,
    STATE(19116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822083] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26155), 1,
      anon_sym_RBRACE,
    ACTIONS(26161), 1,
      anon_sym_SEMI,
    STATE(19117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822100] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19118), 1,
      sym_attribute,
    STATE(21226), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822117] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26163), 1,
      anon_sym_RPAREN,
    ACTIONS(26165), 1,
      anon_sym_LT_DASH,
    STATE(19119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822134] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26167), 1,
      anon_sym_COLON_GT,
    ACTIONS(26169), 1,
      anon_sym_RPAREN,
    STATE(19120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822151] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26171), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [822166] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(26173), 1,
      sym__lowercase_identifier,
    STATE(19122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822183] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26175), 1,
      anon_sym_RPAREN,
    STATE(19123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822200] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26177), 1,
      sym__lowercase_identifier,
    STATE(19124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822217] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26179), 1,
      anon_sym_then,
    STATE(14411), 1,
      sym_then_clause,
    STATE(19125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822234] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26181), 1,
      anon_sym_DOT,
    STATE(19126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822251] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26183), 1,
      anon_sym_RPAREN,
    ACTIONS(26185), 1,
      anon_sym_SEMI,
    STATE(19127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822268] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26183), 1,
      anon_sym_RBRACK,
    ACTIONS(26187), 1,
      anon_sym_SEMI,
    STATE(19128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822285] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26189), 1,
      sym__lowercase_identifier,
    ACTIONS(26191), 1,
      anon_sym_LPAREN,
    STATE(19129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822302] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26193), 1,
      anon_sym_RPAREN,
    ACTIONS(26195), 1,
      anon_sym_LT_DASH,
    STATE(19130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822319] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26183), 1,
      anon_sym_RBRACE,
    ACTIONS(26197), 1,
      anon_sym_SEMI,
    STATE(19131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822336] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26199), 1,
      anon_sym_RPAREN,
    ACTIONS(26201), 1,
      anon_sym_LT_DASH,
    STATE(19132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822353] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26203), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [822368] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19134), 1,
      sym_attribute,
    STATE(21085), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822385] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26205), 1,
      anon_sym_RPAREN,
    STATE(19135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822402] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26207), 1,
      anon_sym_DOT,
    STATE(19136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822419] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26209), 1,
      anon_sym_RPAREN,
    ACTIONS(26211), 1,
      anon_sym_SEMI,
    STATE(19137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822436] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26209), 1,
      anon_sym_RBRACK,
    ACTIONS(26213), 1,
      anon_sym_SEMI,
    STATE(19138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822453] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26209), 1,
      anon_sym_RBRACE,
    ACTIONS(26215), 1,
      anon_sym_SEMI,
    STATE(19139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822470] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26217), 1,
      anon_sym_RPAREN,
    ACTIONS(26219), 1,
      anon_sym_LT_DASH,
    STATE(19140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822487] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19141), 1,
      sym_attribute,
    STATE(21420), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822504] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26221), 1,
      anon_sym_do,
    STATE(9534), 1,
      sym_do_clause,
    STATE(19142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822521] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26223), 1,
      anon_sym_RPAREN,
    ACTIONS(26225), 1,
      anon_sym_LT_DASH,
    STATE(19143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822538] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26227), 1,
      anon_sym_then,
    STATE(14842), 1,
      sym_then_clause,
    STATE(19144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822555] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26229), 1,
      anon_sym_RPAREN,
    STATE(19145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822572] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26231), 1,
      anon_sym_COLON2,
    STATE(15602), 1,
      sym__typed,
    STATE(19146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822589] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26233), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [822604] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(19148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14174), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [822619] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26235), 1,
      anon_sym_RPAREN,
    ACTIONS(26237), 1,
      anon_sym_LT_DASH,
    STATE(19149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822636] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26239), 1,
      sym__lowercase_identifier,
    STATE(19150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822653] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26241), 1,
      anon_sym_RPAREN,
    ACTIONS(26243), 1,
      anon_sym_LT_DASH,
    STATE(19151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822670] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26245), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [822685] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11130), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822702] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26247), 1,
      anon_sym_RPAREN,
    ACTIONS(26249), 1,
      anon_sym_LT_DASH,
    STATE(19154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822719] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26251), 1,
      anon_sym_RPAREN,
    ACTIONS(26253), 1,
      anon_sym_LT_DASH,
    STATE(19155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822736] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26255), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [822751] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26257), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [822766] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19158), 1,
      sym_attribute,
    STATE(23632), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822783] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26259), 1,
      anon_sym_then,
    STATE(14835), 1,
      sym_then_clause,
    STATE(19159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822800] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26261), 1,
      anon_sym_RPAREN,
    ACTIONS(26263), 1,
      anon_sym_SEMI,
    STATE(19160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822817] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26261), 1,
      anon_sym_RBRACK,
    ACTIONS(26265), 1,
      anon_sym_SEMI,
    STATE(19161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822834] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26261), 1,
      anon_sym_RBRACE,
    ACTIONS(26267), 1,
      anon_sym_SEMI,
    STATE(19162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822851] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19163), 1,
      sym_attribute,
    STATE(23748), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822868] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26269), 1,
      anon_sym_COLON2,
    STATE(15604), 1,
      sym__polymorphic_typed,
    STATE(19164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822885] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26271), 1,
      anon_sym_RPAREN,
    ACTIONS(26273), 1,
      anon_sym_LT_DASH,
    STATE(19165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822902] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26275), 1,
      anon_sym_RPAREN,
    STATE(19166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822919] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26277), 1,
      anon_sym_RPAREN,
    ACTIONS(26279), 1,
      anon_sym_LT_DASH,
    STATE(19167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822936] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26281), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [822951] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26283), 1,
      anon_sym_COLON2,
    STATE(14372), 1,
      sym__polymorphic_typed,
    STATE(19169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822968] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26285), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [822983] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26287), 1,
      sym__lowercase_identifier,
    ACTIONS(26289), 1,
      anon_sym_LPAREN,
    STATE(19171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823000] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26291), 1,
      sym__lowercase_identifier,
    STATE(19172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823017] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26293), 1,
      anon_sym_EQ,
    ACTIONS(26295), 1,
      anon_sym_RPAREN,
    STATE(19173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823034] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26297), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [823049] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19175), 1,
      sym_attribute,
    STATE(21333), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823066] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26283), 1,
      anon_sym_COLON2,
    STATE(14357), 1,
      sym__polymorphic_typed,
    STATE(19176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823083] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26299), 1,
      anon_sym_then,
    STATE(14489), 1,
      sym_then_clause,
    STATE(19177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823100] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26301), 1,
      anon_sym_RPAREN,
    ACTIONS(26303), 1,
      anon_sym_SEMI,
    STATE(19178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823117] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26301), 1,
      anon_sym_RBRACK,
    ACTIONS(26305), 1,
      anon_sym_SEMI,
    STATE(19179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823134] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26301), 1,
      anon_sym_RBRACE,
    ACTIONS(26307), 1,
      anon_sym_SEMI,
    STATE(19180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823151] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19181), 1,
      sym_attribute,
    STATE(21475), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823168] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26309), 1,
      anon_sym_RPAREN,
    STATE(19182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823185] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26311), 1,
      anon_sym_DOT,
    STATE(19183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823202] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26313), 1,
      sym__lowercase_identifier,
    ACTIONS(26315), 1,
      anon_sym_LPAREN,
    STATE(19184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823219] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26317), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [823234] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26319), 1,
      anon_sym_RPAREN,
    STATE(19186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823251] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26321), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [823266] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26323), 1,
      anon_sym_RPAREN,
    STATE(19188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823283] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26325), 1,
      anon_sym_COLON_GT,
    ACTIONS(26327), 1,
      anon_sym_RPAREN,
    STATE(19189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823300] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20376), 1,
      sym__lowercase_identifier,
    STATE(19190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823317] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11345), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823334] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19192), 1,
      sym_attribute,
    STATE(22623), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823351] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11284), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823368] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26329), 1,
      anon_sym_RPAREN,
    ACTIONS(26331), 1,
      anon_sym_LT_DASH,
    STATE(19194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823385] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26333), 1,
      anon_sym_EQ,
    ACTIONS(26335), 1,
      anon_sym_RPAREN,
    STATE(19195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823402] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26337), 1,
      anon_sym_RPAREN,
    ACTIONS(26339), 1,
      anon_sym_SEMI,
    STATE(19196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823419] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26337), 1,
      anon_sym_RBRACK,
    ACTIONS(26341), 1,
      anon_sym_SEMI,
    STATE(19197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823436] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26337), 1,
      anon_sym_RBRACE,
    ACTIONS(26343), 1,
      anon_sym_SEMI,
    STATE(19198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823453] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26345), 1,
      anon_sym_COLON_GT,
    ACTIONS(26347), 1,
      anon_sym_RPAREN,
    STATE(19199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823470] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19200), 1,
      sym_attribute,
    STATE(22978), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823487] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26349), 1,
      anon_sym_RPAREN,
    ACTIONS(26351), 1,
      anon_sym_LT_DASH,
    STATE(19201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823504] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26353), 1,
      anon_sym_then,
    STATE(9883), 1,
      sym_then_clause,
    STATE(19202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823521] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26355), 1,
      sym__lowercase_identifier,
    STATE(19203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823538] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26357), 1,
      anon_sym_then,
    STATE(14420), 1,
      sym_then_clause,
    STATE(19204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823555] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26359), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [823570] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26361), 1,
      anon_sym_DOT,
    STATE(19206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823587] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26363), 1,
      anon_sym_RPAREN,
    ACTIONS(26365), 1,
      anon_sym_LT_DASH,
    STATE(19207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823604] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11276), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823621] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26367), 1,
      sym__lowercase_identifier,
    STATE(19209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823638] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26369), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [823653] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26371), 1,
      anon_sym_then,
    STATE(9999), 1,
      sym_then_clause,
    STATE(19211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823670] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26373), 1,
      anon_sym_RPAREN,
    STATE(19212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823687] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26375), 1,
      anon_sym_RPAREN,
    ACTIONS(26377), 1,
      anon_sym_LT_DASH,
    STATE(19213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823704] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19214), 1,
      sym_attribute,
    STATE(20495), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823721] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26379), 1,
      anon_sym_RPAREN,
    ACTIONS(26381), 1,
      anon_sym_SEMI,
    STATE(19215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823738] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26379), 1,
      anon_sym_RBRACK,
    ACTIONS(26383), 1,
      anon_sym_SEMI,
    STATE(19216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823755] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26379), 1,
      anon_sym_RBRACE,
    ACTIONS(26385), 1,
      anon_sym_SEMI,
    STATE(19217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823772] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26387), 1,
      anon_sym_then,
    STATE(12481), 1,
      sym_then_clause,
    STATE(19218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823789] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26389), 1,
      anon_sym_RPAREN,
    STATE(19219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823806] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2665), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26391), 1,
      anon_sym_RPAREN,
    STATE(19220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823823] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26393), 1,
      anon_sym_RPAREN,
    STATE(19221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823840] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21008), 1,
      anon_sym_RBRACE,
    ACTIONS(26395), 1,
      anon_sym_SEMI,
    STATE(19222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823857] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19223), 1,
      sym_attribute,
    STATE(22904), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823874] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26119), 1,
      anon_sym_then,
    STATE(12216), 1,
      sym_then_clause,
    STATE(19224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823891] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26397), 1,
      anon_sym_RPAREN,
    STATE(19225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823908] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23666), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [823923] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26399), 1,
      sym__lowercase_identifier,
    STATE(19227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823940] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26401), 1,
      anon_sym_COLON_GT,
    ACTIONS(26403), 1,
      anon_sym_EQ,
    STATE(19228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823957] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26405), 1,
      anon_sym_then,
    STATE(14501), 1,
      sym_then_clause,
    STATE(19229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823974] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19230), 1,
      sym_attribute,
    STATE(21034), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823991] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26407), 1,
      anon_sym_RPAREN,
    ACTIONS(26409), 1,
      anon_sym_LT_DASH,
    STATE(19231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824008] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26411), 1,
      anon_sym_RPAREN,
    ACTIONS(26413), 1,
      anon_sym_LT_DASH,
    STATE(19232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824025] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26415), 1,
      anon_sym_RPAREN,
    ACTIONS(26417), 1,
      anon_sym_SEMI,
    STATE(19233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824042] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26415), 1,
      anon_sym_RBRACK,
    ACTIONS(26419), 1,
      anon_sym_SEMI,
    STATE(19234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824059] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26415), 1,
      anon_sym_RBRACE,
    ACTIONS(26421), 1,
      anon_sym_SEMI,
    STATE(19235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824076] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26423), 1,
      anon_sym_RPAREN,
    STATE(19236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824093] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19237), 1,
      sym_attribute,
    STATE(23380), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824110] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26425), 1,
      anon_sym_RPAREN,
    STATE(19238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824127] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26427), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [824142] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26429), 1,
      anon_sym_COLON_GT,
    ACTIONS(26431), 1,
      anon_sym_RPAREN,
    STATE(19240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824159] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26433), 1,
      sym__lowercase_identifier,
    ACTIONS(26435), 1,
      anon_sym_LPAREN,
    STATE(19241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824176] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(26437), 1,
      sym__lowercase_identifier,
    STATE(19242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824193] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26439), 1,
      anon_sym_COLON_GT,
    ACTIONS(26441), 1,
      anon_sym_RPAREN,
    STATE(19243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824210] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26443), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [824225] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(26445), 1,
      sym__lowercase_identifier,
    STATE(19245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824242] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26447), 1,
      anon_sym_RPAREN,
    ACTIONS(26449), 1,
      anon_sym_SEMI,
    STATE(19246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824259] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26451), 1,
      anon_sym_SEMI,
    ACTIONS(26453), 1,
      anon_sym_RBRACE,
    STATE(19247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824276] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19248), 1,
      sym_attribute,
    STATE(21605), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824293] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26455), 1,
      anon_sym_RPAREN,
    ACTIONS(26457), 1,
      anon_sym_LT_DASH,
    STATE(19249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824310] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26447), 1,
      anon_sym_RBRACK,
    ACTIONS(26459), 1,
      anon_sym_SEMI,
    STATE(19250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824327] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26461), 1,
      anon_sym_RPAREN,
    ACTIONS(26463), 1,
      anon_sym_SEMI,
    STATE(19251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824344] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26461), 1,
      anon_sym_RBRACK,
    ACTIONS(26465), 1,
      anon_sym_SEMI,
    STATE(19252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824361] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26461), 1,
      anon_sym_RBRACE,
    ACTIONS(26467), 1,
      anon_sym_SEMI,
    STATE(19253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824378] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11270), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824395] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26447), 1,
      anon_sym_RBRACE,
    ACTIONS(26469), 1,
      anon_sym_SEMI,
    STATE(19255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824412] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(26471), 1,
      sym__lowercase_identifier,
    STATE(19256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824429] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26231), 1,
      anon_sym_COLON2,
    STATE(15613), 1,
      sym__typed,
    STATE(19257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824446] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26473), 1,
      anon_sym_RPAREN,
    ACTIONS(26475), 1,
      anon_sym_LT_DASH,
    STATE(19258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824463] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26477), 1,
      anon_sym_RPAREN,
    ACTIONS(26479), 1,
      anon_sym_SEMI,
    STATE(19259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824480] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20366), 1,
      sym__lowercase_identifier,
    STATE(19260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824497] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26481), 1,
      anon_sym_DOT,
    STATE(19261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824514] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26483), 1,
      anon_sym_EQ,
    STATE(19262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824531] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26485), 1,
      sym__lowercase_identifier,
    ACTIONS(26487), 1,
      anon_sym_LPAREN,
    STATE(19263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824548] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19264), 1,
      sym_attribute,
    STATE(20435), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824565] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19265), 1,
      sym_attribute,
    STATE(21098), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824582] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26489), 1,
      anon_sym_RPAREN,
    ACTIONS(26491), 1,
      anon_sym_LT_DASH,
    STATE(19266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824599] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26493), 1,
      anon_sym_COLON_GT,
    ACTIONS(26495), 1,
      anon_sym_RPAREN,
    STATE(19267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824616] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26497), 1,
      anon_sym_RPAREN,
    STATE(19268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824633] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26499), 1,
      sym__lowercase_identifier,
    STATE(19269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824650] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19270), 1,
      sym_attribute,
    STATE(22179), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824667] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26501), 1,
      anon_sym_RPAREN,
    ACTIONS(26503), 1,
      anon_sym_LT_DASH,
    STATE(19271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824684] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26477), 1,
      anon_sym_RBRACK,
    ACTIONS(26505), 1,
      anon_sym_SEMI,
    STATE(19272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824701] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26507), 1,
      anon_sym_RPAREN,
    ACTIONS(26509), 1,
      anon_sym_SEMI,
    STATE(19273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824718] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26507), 1,
      anon_sym_RBRACK,
    ACTIONS(26511), 1,
      anon_sym_SEMI,
    STATE(19274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824735] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26507), 1,
      anon_sym_RBRACE,
    ACTIONS(26513), 1,
      anon_sym_SEMI,
    STATE(19275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824752] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(26515), 1,
      sym__lowercase_identifier,
    STATE(19276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824769] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    STATE(17136), 1,
      sym__simple_value_pattern,
    STATE(19277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824786] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19278), 1,
      sym_attribute,
    STATE(20480), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824803] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26517), 1,
      anon_sym_DOT,
    STATE(19279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824820] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26519), 1,
      anon_sym_DOT,
    STATE(19280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824837] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19281), 1,
      sym_attribute,
    STATE(20487), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824854] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26521), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [824869] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26523), 1,
      anon_sym_EQ,
    STATE(19283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824886] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(26525), 1,
      sym__lowercase_identifier,
    STATE(19284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824903] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26527), 1,
      anon_sym_COLON_GT,
    ACTIONS(26529), 1,
      anon_sym_RPAREN,
    STATE(19285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824920] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26531), 1,
      anon_sym_COLON_GT,
    ACTIONS(26533), 1,
      anon_sym_EQ,
    STATE(19286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824937] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26535), 1,
      anon_sym_RPAREN,
    ACTIONS(26537), 1,
      anon_sym_SEMI,
    STATE(19287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824954] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26539), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [824969] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19289), 1,
      sym_attribute,
    STATE(23160), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824986] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26541), 1,
      anon_sym_RPAREN,
    ACTIONS(26543), 1,
      anon_sym_SEMI,
    STATE(19290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825003] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26541), 1,
      anon_sym_RBRACK,
    ACTIONS(26545), 1,
      anon_sym_SEMI,
    STATE(19291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825020] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26541), 1,
      anon_sym_RBRACE,
    ACTIONS(26547), 1,
      anon_sym_SEMI,
    STATE(19292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825037] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26535), 1,
      anon_sym_RBRACK,
    ACTIONS(26549), 1,
      anon_sym_SEMI,
    STATE(19293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825054] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26551), 1,
      anon_sym_then,
    STATE(10440), 1,
      sym_then_clause,
    STATE(19294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825071] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21119), 1,
      anon_sym_RBRACE,
    ACTIONS(26553), 1,
      anon_sym_SEMI,
    STATE(19295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825088] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26535), 1,
      anon_sym_RBRACE,
    ACTIONS(26555), 1,
      anon_sym_SEMI,
    STATE(19296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825105] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26557), 1,
      sym__lowercase_identifier,
    STATE(19297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825122] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26299), 1,
      anon_sym_then,
    STATE(14226), 1,
      sym_then_clause,
    STATE(19298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825139] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26559), 1,
      anon_sym_EQ,
    STATE(19299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825156] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26561), 1,
      anon_sym_RPAREN,
    STATE(19300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825173] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26563), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [825188] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20746), 1,
      anon_sym_RBRACE,
    ACTIONS(26565), 1,
      anon_sym_SEMI,
    STATE(19302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825205] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26567), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [825220] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26569), 1,
      anon_sym_RPAREN,
    ACTIONS(26571), 1,
      anon_sym_LT_DASH,
    STATE(19304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825237] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19305), 1,
      sym_attribute,
    STATE(23704), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825254] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26573), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [825269] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26575), 1,
      anon_sym_then,
    STATE(14139), 1,
      sym_then_clause,
    STATE(19307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825286] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26577), 1,
      anon_sym_RPAREN,
    ACTIONS(26579), 1,
      anon_sym_LT_DASH,
    STATE(19308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825303] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26581), 1,
      anon_sym_RPAREN,
    ACTIONS(26583), 1,
      anon_sym_SEMI,
    STATE(19309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825320] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26581), 1,
      anon_sym_RBRACK,
    ACTIONS(26585), 1,
      anon_sym_SEMI,
    STATE(19310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825337] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26581), 1,
      anon_sym_RBRACE,
    ACTIONS(26587), 1,
      anon_sym_SEMI,
    STATE(19311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825354] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26589), 1,
      anon_sym_RPAREN,
    ACTIONS(26591), 1,
      anon_sym_LT_DASH,
    STATE(19312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825371] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26593), 1,
      anon_sym_RPAREN,
    STATE(19313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825388] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26595), 1,
      sym__lowercase_identifier,
    ACTIONS(26597), 1,
      anon_sym_LPAREN,
    STATE(19314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825405] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26599), 1,
      anon_sym_DOT,
    STATE(19315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825422] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26601), 1,
      anon_sym_RPAREN,
    ACTIONS(26603), 1,
      anon_sym_LT_DASH,
    STATE(19316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825439] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26605), 1,
      anon_sym_RPAREN,
    STATE(19317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825456] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26607), 1,
      anon_sym_RPAREN,
    STATE(19318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825473] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26609), 1,
      anon_sym_COLON_GT,
    ACTIONS(26611), 1,
      anon_sym_RPAREN,
    STATE(19319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825490] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26613), 1,
      anon_sym_RPAREN,
    ACTIONS(26615), 1,
      anon_sym_LT_DASH,
    STATE(19320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825507] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20338), 1,
      sym__lowercase_identifier,
    STATE(19321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825524] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26617), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [825539] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26619), 1,
      sym__lowercase_identifier,
    STATE(19323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825556] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19324), 1,
      sym_attribute,
    STATE(21927), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825573] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19325), 1,
      sym_attribute,
    STATE(20613), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825590] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26621), 1,
      sym__lowercase_identifier,
    ACTIONS(26623), 1,
      anon_sym_LPAREN,
    STATE(19326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825607] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26625), 1,
      anon_sym_DOT,
    STATE(19327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825624] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26627), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [825639] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26629), 1,
      anon_sym_RPAREN,
    ACTIONS(26631), 1,
      anon_sym_SEMI,
    STATE(19329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825656] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26629), 1,
      anon_sym_RBRACK,
    ACTIONS(26633), 1,
      anon_sym_SEMI,
    STATE(19330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825673] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26629), 1,
      anon_sym_RBRACE,
    ACTIONS(26635), 1,
      anon_sym_SEMI,
    STATE(19331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825690] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26637), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [825705] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19333), 1,
      sym_attribute,
    STATE(20636), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825722] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26259), 1,
      anon_sym_then,
    STATE(14530), 1,
      sym_then_clause,
    STATE(19334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825739] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19335), 1,
      sym_attribute,
    STATE(21094), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825756] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26639), 1,
      sym__lowercase_identifier,
    ACTIONS(26641), 1,
      anon_sym_LPAREN,
    STATE(19336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825773] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26643), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [825788] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26269), 1,
      anon_sym_COLON2,
    STATE(15577), 1,
      sym__polymorphic_typed,
    STATE(19338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825805] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26645), 1,
      sym__lowercase_identifier,
    STATE(19339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825822] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26647), 1,
      anon_sym_then,
    STATE(9942), 1,
      sym_then_clause,
    STATE(19340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825839] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26649), 1,
      anon_sym_DOT,
    STATE(19341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825856] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(19342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14046), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [825871] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26651), 1,
      anon_sym_do,
    STATE(9769), 1,
      sym_do_clause,
    STATE(19343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825888] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19344), 1,
      sym_attribute,
    STATE(20903), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825905] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26653), 1,
      anon_sym_then,
    STATE(9754), 1,
      sym_then_clause,
    STATE(19345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825922] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26655), 1,
      anon_sym_EQ,
    STATE(19346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825939] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26657), 1,
      anon_sym_RPAREN,
    ACTIONS(26659), 1,
      anon_sym_SEMI,
    STATE(19347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825956] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26657), 1,
      anon_sym_RBRACK,
    ACTIONS(26661), 1,
      anon_sym_SEMI,
    STATE(19348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825973] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26657), 1,
      anon_sym_RBRACE,
    ACTIONS(26663), 1,
      anon_sym_SEMI,
    STATE(19349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825990] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26665), 1,
      anon_sym_DOT,
    STATE(19350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826007] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26667), 1,
      anon_sym_RPAREN,
    STATE(19351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826024] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26669), 1,
      anon_sym_COLON_GT,
    ACTIONS(26671), 1,
      anon_sym_EQ,
    STATE(19352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826041] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26673), 1,
      anon_sym_EQ,
    STATE(19353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826058] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19354), 1,
      sym_attribute,
    STATE(21075), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826075] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26675), 1,
      anon_sym_RPAREN,
    ACTIONS(26677), 1,
      anon_sym_LT_DASH,
    STATE(19355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826092] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26679), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [826107] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26681), 1,
      sym__uppercase_identifier,
    STATE(15866), 1,
      sym_extended_module_path,
    STATE(19357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826124] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(26683), 1,
      sym__lowercase_identifier,
    STATE(19358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826141] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26685), 1,
      anon_sym_RPAREN,
    ACTIONS(26687), 1,
      anon_sym_LT_DASH,
    STATE(19359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826158] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26689), 1,
      anon_sym_RPAREN,
    STATE(19360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826175] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26691), 1,
      anon_sym_COLON_GT,
    ACTIONS(26693), 1,
      anon_sym_RPAREN,
    STATE(19361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826192] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26695), 1,
      anon_sym_RPAREN,
    STATE(19362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826209] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20704), 1,
      anon_sym_RBRACK,
    ACTIONS(21377), 1,
      anon_sym_as,
    STATE(19363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826226] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19364), 1,
      sym_attribute,
    STATE(21194), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826243] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26697), 1,
      anon_sym_RPAREN,
    ACTIONS(26699), 1,
      anon_sym_LT_DASH,
    STATE(19365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826260] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26701), 1,
      anon_sym_RPAREN,
    ACTIONS(26703), 1,
      anon_sym_SEMI,
    STATE(19366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826277] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26701), 1,
      anon_sym_RBRACK,
    ACTIONS(26705), 1,
      anon_sym_SEMI,
    STATE(19367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826294] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26701), 1,
      anon_sym_RBRACE,
    ACTIONS(26707), 1,
      anon_sym_SEMI,
    STATE(19368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826311] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26709), 1,
      anon_sym_RPAREN,
    STATE(19369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826328] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    STATE(18035), 1,
      sym_extended_module_path,
    STATE(19370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826345] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26711), 1,
      anon_sym_SEMI,
    ACTIONS(26713), 1,
      anon_sym_RBRACE,
    STATE(19371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826362] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26715), 1,
      anon_sym_do,
    STATE(12578), 1,
      sym_do_clause,
    STATE(19372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826379] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26717), 1,
      anon_sym_then,
    STATE(10234), 1,
      sym_then_clause,
    STATE(19373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826396] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19374), 1,
      sym_attribute,
    STATE(21677), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826413] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26719), 1,
      anon_sym_RPAREN,
    STATE(19375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826430] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26721), 1,
      anon_sym_then,
    STATE(14936), 1,
      sym_then_clause,
    STATE(19376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826447] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20790), 1,
      anon_sym_RBRACE,
    ACTIONS(26723), 1,
      anon_sym_SEMI,
    STATE(19377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826464] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26725), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [826479] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19379), 1,
      sym_attribute,
    STATE(21339), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826496] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26727), 1,
      anon_sym_RPAREN,
    ACTIONS(26729), 1,
      anon_sym_LT_DASH,
    STATE(19380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826513] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19381), 1,
      sym_attribute,
    STATE(21503), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826530] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26731), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [826545] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26733), 1,
      anon_sym_RPAREN,
    ACTIONS(26735), 1,
      anon_sym_SEMI,
    STATE(19383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826562] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26733), 1,
      anon_sym_RBRACK,
    ACTIONS(26737), 1,
      anon_sym_SEMI,
    STATE(19384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826579] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26733), 1,
      anon_sym_RBRACE,
    ACTIONS(26739), 1,
      anon_sym_SEMI,
    STATE(19385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826596] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26741), 1,
      anon_sym_RPAREN,
    ACTIONS(26743), 1,
      anon_sym_SEMI,
    STATE(19386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826613] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26745), 1,
      anon_sym_SEMI,
    ACTIONS(26747), 1,
      anon_sym_RBRACE,
    STATE(19387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826630] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26741), 1,
      anon_sym_RBRACK,
    ACTIONS(26749), 1,
      anon_sym_SEMI,
    STATE(19388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826647] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26751), 1,
      anon_sym_RPAREN,
    STATE(19389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826664] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26741), 1,
      anon_sym_RBRACE,
    ACTIONS(26753), 1,
      anon_sym_SEMI,
    STATE(19390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826681] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(26755), 1,
      sym__lowercase_identifier,
    STATE(19391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826698] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19392), 1,
      sym_attribute,
    STATE(21796), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826715] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26757), 1,
      anon_sym_do,
    STATE(9700), 1,
      sym_do_clause,
    STATE(19393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826732] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26759), 1,
      anon_sym_RPAREN,
    STATE(19394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826749] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26761), 1,
      anon_sym_RPAREN,
    STATE(19395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826766] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26763), 1,
      anon_sym_RPAREN,
    ACTIONS(26765), 1,
      anon_sym_SEMI,
    STATE(19396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826783] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26763), 1,
      anon_sym_RBRACK,
    ACTIONS(26767), 1,
      anon_sym_SEMI,
    STATE(19397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826800] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26763), 1,
      anon_sym_RBRACE,
    ACTIONS(26769), 1,
      anon_sym_SEMI,
    STATE(19398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826817] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26037), 1,
      anon_sym_then,
    STATE(14633), 1,
      sym_then_clause,
    STATE(19399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826834] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11323), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826851] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11293), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826868] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26771), 1,
      anon_sym_EQ,
    STATE(19402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826885] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26773), 1,
      anon_sym_RPAREN,
    STATE(19403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826902] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26775), 2,
      anon_sym_RBRACK,
      aux_sym_tag_token1,
  [826917] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26221), 1,
      anon_sym_do,
    STATE(9580), 1,
      sym_do_clause,
    STATE(19405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826934] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26777), 1,
      anon_sym_DOT,
    STATE(19406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826951] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26779), 1,
      anon_sym_SEMI,
    ACTIONS(26781), 1,
      anon_sym_RBRACE,
    STATE(19407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826968] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    STATE(17546), 1,
      sym__simple_value_pattern,
    STATE(19408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826985] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19409), 1,
      sym_attribute,
    STATE(21903), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827002] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26783), 1,
      anon_sym_DOT,
    STATE(19410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827019] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26785), 1,
      sym__lowercase_identifier,
    STATE(19411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827036] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19412), 1,
      sym_attribute,
    STATE(22093), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827053] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26787), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [827068] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26789), 1,
      anon_sym_RPAREN,
    ACTIONS(26791), 1,
      anon_sym_LT_DASH,
    STATE(19414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827085] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26793), 1,
      anon_sym_RPAREN,
    ACTIONS(26795), 1,
      anon_sym_SEMI,
    STATE(19415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827102] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26793), 1,
      anon_sym_RBRACK,
    ACTIONS(26797), 1,
      anon_sym_SEMI,
    STATE(19416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827119] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26793), 1,
      anon_sym_RBRACE,
    ACTIONS(26799), 1,
      anon_sym_SEMI,
    STATE(19417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827136] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19418), 1,
      sym_attribute,
    STATE(23290), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827153] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26801), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [827168] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26803), 1,
      sym__lowercase_identifier,
    STATE(19420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827185] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26805), 1,
      sym__lowercase_identifier,
    STATE(19421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827202] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26807), 1,
      sym__lowercase_identifier,
    STATE(19422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827219] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26809), 1,
      anon_sym_EQ,
    STATE(19423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827236] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19424), 1,
      sym_attribute,
    STATE(22187), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827253] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26811), 1,
      anon_sym_RPAREN,
    ACTIONS(26813), 1,
      anon_sym_SEMI,
    STATE(19425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827270] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26811), 1,
      anon_sym_RBRACK,
    ACTIONS(26815), 1,
      anon_sym_SEMI,
    STATE(19426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827287] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26811), 1,
      anon_sym_RBRACE,
    ACTIONS(26817), 1,
      anon_sym_SEMI,
    STATE(19427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827304] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26819), 1,
      anon_sym_SEMI,
    ACTIONS(26821), 1,
      anon_sym_RBRACE,
    STATE(19428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827321] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26823), 1,
      anon_sym_RPAREN,
    STATE(19429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827338] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26825), 1,
      sym__lowercase_identifier,
    STATE(19430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827355] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26623), 1,
      anon_sym_LPAREN,
    ACTIONS(26827), 1,
      sym__lowercase_identifier,
    STATE(19431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827372] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19432), 1,
      sym_attribute,
    STATE(23747), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827389] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19433), 1,
      sym_attribute,
    STATE(22238), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827406] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26829), 1,
      anon_sym_RPAREN,
    ACTIONS(26831), 1,
      anon_sym_SEMI,
    STATE(19434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827423] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26829), 1,
      anon_sym_RBRACK,
    ACTIONS(26833), 1,
      anon_sym_SEMI,
    STATE(19435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827440] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26829), 1,
      anon_sym_RBRACE,
    ACTIONS(26835), 1,
      anon_sym_SEMI,
    STATE(19436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827457] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26837), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [827472] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26839), 1,
      anon_sym_RPAREN,
    ACTIONS(26841), 1,
      anon_sym_LT_DASH,
    STATE(19438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827489] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19439), 1,
      sym_attribute,
    STATE(22287), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827506] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26843), 1,
      anon_sym_RPAREN,
    ACTIONS(26845), 1,
      anon_sym_SEMI,
    STATE(19440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827523] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26843), 1,
      anon_sym_RBRACK,
    ACTIONS(26847), 1,
      anon_sym_SEMI,
    STATE(19441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827540] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26843), 1,
      anon_sym_RBRACE,
    ACTIONS(26849), 1,
      anon_sym_SEMI,
    STATE(19442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827557] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(26851), 1,
      sym__lowercase_identifier,
    STATE(19443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827574] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26853), 1,
      anon_sym_then,
    STATE(13404), 1,
      sym_then_clause,
    STATE(19444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827591] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26855), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [827606] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19446), 1,
      sym_attribute,
    STATE(22321), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827623] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26857), 1,
      anon_sym_RPAREN,
    ACTIONS(26859), 1,
      anon_sym_SEMI,
    STATE(19447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827640] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26857), 1,
      anon_sym_RBRACK,
    ACTIONS(26861), 1,
      anon_sym_SEMI,
    STATE(19448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827657] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26857), 1,
      anon_sym_RBRACE,
    ACTIONS(26863), 1,
      anon_sym_SEMI,
    STATE(19449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827674] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26865), 1,
      anon_sym_RPAREN,
    STATE(19450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827691] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11196), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827708] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26299), 1,
      anon_sym_then,
    STATE(14236), 1,
      sym_then_clause,
    STATE(19452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827725] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19453), 1,
      sym_attribute,
    STATE(22367), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827742] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26867), 1,
      anon_sym_RPAREN,
    ACTIONS(26869), 1,
      anon_sym_SEMI,
    STATE(19454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827759] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26867), 1,
      anon_sym_RBRACK,
    ACTIONS(26871), 1,
      anon_sym_SEMI,
    STATE(19455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827776] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26867), 1,
      anon_sym_RBRACE,
    ACTIONS(26873), 1,
      anon_sym_SEMI,
    STATE(19456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827793] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26875), 1,
      anon_sym_EQ,
    STATE(19457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827810] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26877), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [827825] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26879), 1,
      anon_sym_RPAREN,
    STATE(19459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827842] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19460), 1,
      sym_attribute,
    STATE(22397), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827859] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26881), 1,
      anon_sym_RPAREN,
    ACTIONS(26883), 1,
      anon_sym_SEMI,
    STATE(19461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827876] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26881), 1,
      anon_sym_RBRACK,
    ACTIONS(26885), 1,
      anon_sym_SEMI,
    STATE(19462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827893] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26881), 1,
      anon_sym_RBRACE,
    ACTIONS(26887), 1,
      anon_sym_SEMI,
    STATE(19463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827910] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26889), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [827925] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11172), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827942] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19466), 1,
      sym_attribute,
    STATE(22442), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827959] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26891), 1,
      anon_sym_RPAREN,
    ACTIONS(26893), 1,
      anon_sym_SEMI,
    STATE(19467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827976] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26891), 1,
      anon_sym_RBRACK,
    ACTIONS(26895), 1,
      anon_sym_SEMI,
    STATE(19468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827993] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26891), 1,
      anon_sym_RBRACE,
    ACTIONS(26897), 1,
      anon_sym_SEMI,
    STATE(19469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828010] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26899), 1,
      sym__lowercase_identifier,
    ACTIONS(26901), 1,
      anon_sym_LBRACK,
    STATE(19470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828027] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(26903), 1,
      sym__lowercase_identifier,
    STATE(19471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828044] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    STATE(19472), 1,
      sym_attribute,
    STATE(20797), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828061] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19473), 1,
      sym_attribute,
    STATE(22477), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828078] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26905), 1,
      anon_sym_RPAREN,
    ACTIONS(26907), 1,
      anon_sym_SEMI,
    STATE(19474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828095] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26905), 1,
      anon_sym_RBRACK,
    ACTIONS(26909), 1,
      anon_sym_SEMI,
    STATE(19475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828112] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26905), 1,
      anon_sym_RBRACE,
    ACTIONS(26911), 1,
      anon_sym_SEMI,
    STATE(19476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828129] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26259), 1,
      anon_sym_then,
    STATE(14612), 1,
      sym_then_clause,
    STATE(19477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828146] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26913), 1,
      sym__lowercase_identifier,
    ACTIONS(26915), 1,
      anon_sym_LPAREN,
    STATE(19478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828163] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19479), 1,
      sym_attribute,
    STATE(22516), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828180] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26917), 1,
      anon_sym_RPAREN,
    ACTIONS(26919), 1,
      anon_sym_SEMI,
    STATE(19480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828197] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26917), 1,
      anon_sym_RBRACK,
    ACTIONS(26921), 1,
      anon_sym_SEMI,
    STATE(19481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828214] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26917), 1,
      anon_sym_RBRACE,
    ACTIONS(26923), 1,
      anon_sym_SEMI,
    STATE(19482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828231] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26925), 1,
      anon_sym_RPAREN,
    STATE(19483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828248] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26927), 1,
      anon_sym_RPAREN,
    ACTIONS(26929), 1,
      anon_sym_LT_DASH,
    STATE(19484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828265] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19485), 1,
      sym_attribute,
    STATE(22556), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828282] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26931), 1,
      anon_sym_RPAREN,
    ACTIONS(26933), 1,
      anon_sym_SEMI,
    STATE(19486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828299] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26931), 1,
      anon_sym_RBRACK,
    ACTIONS(26935), 1,
      anon_sym_SEMI,
    STATE(19487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828316] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26931), 1,
      anon_sym_RBRACE,
    ACTIONS(26937), 1,
      anon_sym_SEMI,
    STATE(19488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828333] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(26939), 1,
      anon_sym_DOT,
    STATE(19489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828350] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26941), 1,
      anon_sym_RPAREN,
    ACTIONS(26943), 1,
      anon_sym_LT_DASH,
    STATE(19490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828367] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19491), 1,
      sym_attribute,
    STATE(22614), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828384] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26945), 1,
      anon_sym_RPAREN,
    ACTIONS(26947), 1,
      anon_sym_SEMI,
    STATE(19492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828401] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26945), 1,
      anon_sym_RBRACK,
    ACTIONS(26949), 1,
      anon_sym_SEMI,
    STATE(19493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828418] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26945), 1,
      anon_sym_RBRACE,
    ACTIONS(26951), 1,
      anon_sym_SEMI,
    STATE(19494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828435] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26647), 1,
      anon_sym_then,
    STATE(9913), 1,
      sym_then_clause,
    STATE(19495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828452] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26953), 1,
      sym__lowercase_identifier,
    ACTIONS(26955), 1,
      anon_sym_LPAREN,
    STATE(19496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828469] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19497), 1,
      sym_attribute,
    STATE(22653), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828486] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26957), 1,
      anon_sym_RPAREN,
    ACTIONS(26959), 1,
      anon_sym_SEMI,
    STATE(19498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828503] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26957), 1,
      anon_sym_RBRACK,
    ACTIONS(26961), 1,
      anon_sym_SEMI,
    STATE(19499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828520] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26957), 1,
      anon_sym_RBRACE,
    ACTIONS(26963), 1,
      anon_sym_SEMI,
    STATE(19500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828537] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26965), 1,
      anon_sym_EQ,
    STATE(19501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828554] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26967), 1,
      sym__lowercase_identifier,
    ACTIONS(26969), 1,
      anon_sym_LPAREN,
    STATE(19502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828571] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26971), 1,
      anon_sym_EQ,
    STATE(19503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828588] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19504), 1,
      sym_attribute,
    STATE(22694), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828605] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26973), 1,
      anon_sym_RPAREN,
    ACTIONS(26975), 1,
      anon_sym_SEMI,
    STATE(19505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828622] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26973), 1,
      anon_sym_RBRACK,
    ACTIONS(26977), 1,
      anon_sym_SEMI,
    STATE(19506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828639] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26973), 1,
      anon_sym_RBRACE,
    ACTIONS(26979), 1,
      anon_sym_SEMI,
    STATE(19507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828656] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(26981), 1,
      anon_sym_RPAREN,
    STATE(19508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828673] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26983), 1,
      sym__lowercase_identifier,
    ACTIONS(26985), 1,
      anon_sym_LBRACK,
    STATE(19509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828690] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26987), 1,
      anon_sym_RPAREN,
    ACTIONS(26989), 1,
      anon_sym_LT_DASH,
    STATE(19510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828707] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19511), 1,
      sym_attribute,
    STATE(22743), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828724] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26991), 1,
      anon_sym_RPAREN,
    ACTIONS(26993), 1,
      anon_sym_SEMI,
    STATE(19512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828741] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26991), 1,
      anon_sym_RBRACK,
    ACTIONS(26995), 1,
      anon_sym_SEMI,
    STATE(19513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828758] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26991), 1,
      anon_sym_RBRACE,
    ACTIONS(26997), 1,
      anon_sym_SEMI,
    STATE(19514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828775] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26999), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [828790] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27001), 1,
      anon_sym_COLON_GT,
    ACTIONS(27003), 1,
      anon_sym_RPAREN,
    STATE(19516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828807] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19517), 1,
      sym_attribute,
    STATE(22778), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828824] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20358), 1,
      sym__lowercase_identifier,
    STATE(19518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828841] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27005), 1,
      anon_sym_RPAREN,
    STATE(19519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828858] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19520), 1,
      sym_attribute,
    STATE(22793), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828875] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27007), 1,
      anon_sym_SEMI,
    ACTIONS(27009), 1,
      anon_sym_RBRACE,
    STATE(19521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828892] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19522), 1,
      sym_attribute,
    STATE(23433), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828909] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19523), 1,
      sym_attribute,
    STATE(22802), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828926] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27011), 1,
      anon_sym_then,
    STATE(14252), 1,
      sym_then_clause,
    STATE(19524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828943] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27013), 1,
      anon_sym_RPAREN,
    ACTIONS(27015), 1,
      anon_sym_LT_DASH,
    STATE(19525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828960] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19526), 1,
      sym_attribute,
    STATE(22822), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828977] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27017), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [828992] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27019), 1,
      anon_sym_RPAREN,
    ACTIONS(27021), 1,
      anon_sym_SEMI,
    STATE(19528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829009] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19529), 1,
      sym_attribute,
    STATE(22852), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829026] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27019), 1,
      anon_sym_RBRACK,
    ACTIONS(27023), 1,
      anon_sym_SEMI,
    STATE(19530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829043] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27019), 1,
      anon_sym_RBRACE,
    ACTIONS(27025), 1,
      anon_sym_SEMI,
    STATE(19531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829060] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19532), 1,
      sym_attribute,
    STATE(22863), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829077] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27027), 1,
      anon_sym_RPAREN,
    ACTIONS(27029), 1,
      anon_sym_LT_DASH,
    STATE(19533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829094] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26477), 1,
      anon_sym_RBRACE,
    ACTIONS(27031), 1,
      anon_sym_SEMI,
    STATE(19534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829111] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19535), 1,
      sym_attribute,
    STATE(22887), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829128] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27033), 1,
      anon_sym_RPAREN,
    STATE(19536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829145] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27035), 1,
      anon_sym_DOT,
    STATE(19537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829162] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19538), 1,
      sym_attribute,
    STATE(22902), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829179] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27037), 1,
      anon_sym_RPAREN,
    STATE(19539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829196] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27039), 1,
      anon_sym_DOT,
    STATE(19540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829213] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19541), 1,
      sym_attribute,
    STATE(22916), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829230] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19542), 1,
      sym_attribute,
    STATE(23678), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829247] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19543), 1,
      sym_attribute,
    STATE(21525), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829264] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19544), 1,
      sym_attribute,
    STATE(22930), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829281] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27041), 1,
      anon_sym_RPAREN,
    STATE(19545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829298] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27043), 1,
      anon_sym_DOT,
    STATE(19546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829315] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19547), 1,
      sym_attribute,
    STATE(22939), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829332] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27045), 1,
      anon_sym_COLON_GT,
    ACTIONS(27047), 1,
      anon_sym_RPAREN,
    STATE(19548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829349] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26357), 1,
      anon_sym_then,
    STATE(14219), 1,
      sym_then_clause,
    STATE(19549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829366] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19550), 1,
      sym_attribute,
    STATE(22964), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829383] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27049), 1,
      anon_sym_then,
    STATE(14493), 1,
      sym_then_clause,
    STATE(19551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829400] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27051), 1,
      anon_sym_COLON_GT,
    ACTIONS(27053), 1,
      anon_sym_EQ,
    STATE(19552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829417] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19553), 1,
      sym_attribute,
    STATE(22971), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829434] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27055), 1,
      anon_sym_RPAREN,
    ACTIONS(27057), 1,
      anon_sym_LT_DASH,
    STATE(19554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829451] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27059), 1,
      anon_sym_RPAREN,
    STATE(19555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829468] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19556), 1,
      sym_attribute,
    STATE(22993), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829485] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27061), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [829500] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27063), 1,
      sym__lowercase_identifier,
    STATE(19558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829517] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19559), 1,
      sym_attribute,
    STATE(22998), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829534] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27065), 1,
      anon_sym_RPAREN,
    STATE(19560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829551] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27067), 1,
      anon_sym_RPAREN,
    ACTIONS(27069), 1,
      anon_sym_LT_DASH,
    STATE(19561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19562), 1,
      sym_attribute,
    STATE(23010), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829585] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27071), 1,
      anon_sym_COLON_GT,
    ACTIONS(27073), 1,
      anon_sym_RPAREN,
    STATE(19563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829602] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11371), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829619] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19565), 1,
      sym_attribute,
    STATE(23032), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829636] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27075), 1,
      anon_sym_RPAREN,
    STATE(19566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829653] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27077), 1,
      anon_sym_DOT,
    STATE(19567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829670] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19568), 1,
      sym_attribute,
    STATE(23043), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829687] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27079), 1,
      anon_sym_then,
    STATE(11275), 1,
      sym_then_clause,
    STATE(19569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829704] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27081), 1,
      anon_sym_EQ,
    ACTIONS(27083), 1,
      anon_sym_RPAREN,
    STATE(19570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829721] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19571), 1,
      sym_attribute,
    STATE(23058), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829738] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27085), 1,
      anon_sym_RPAREN,
    STATE(19572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829755] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11288), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829772] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19574), 1,
      sym_attribute,
    STATE(23075), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829789] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11286), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829806] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27087), 1,
      anon_sym_RPAREN,
    STATE(19576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829823] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19577), 1,
      sym_attribute,
    STATE(23085), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829840] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27089), 1,
      anon_sym_COLON_GT,
    ACTIONS(27091), 1,
      anon_sym_RPAREN,
    STATE(19578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829857] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27079), 1,
      anon_sym_then,
    STATE(11215), 1,
      sym_then_clause,
    STATE(19579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829874] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19580), 1,
      sym_attribute,
    STATE(23092), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829891] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27093), 1,
      anon_sym_DOT,
    STATE(19581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829908] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26353), 1,
      anon_sym_then,
    STATE(9930), 1,
      sym_then_clause,
    STATE(19582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829925] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19583), 1,
      sym_attribute,
    STATE(23104), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829942] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26915), 1,
      anon_sym_LPAREN,
    ACTIONS(27095), 1,
      sym__lowercase_identifier,
    STATE(19584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829959] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26651), 1,
      anon_sym_do,
    STATE(9850), 1,
      sym_do_clause,
    STATE(19585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829976] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27097), 1,
      anon_sym_EQ,
    STATE(19586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829993] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27099), 1,
      anon_sym_COLON_GT,
    ACTIONS(27101), 1,
      anon_sym_RPAREN,
    STATE(19587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830010] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20286), 1,
      sym__lowercase_identifier,
    STATE(19588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830027] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27103), 1,
      sym__lowercase_identifier,
    ACTIONS(27105), 1,
      anon_sym_LPAREN,
    STATE(19589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830044] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27107), 1,
      sym__lowercase_identifier,
    STATE(19590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830061] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27109), 1,
      sym__lowercase_identifier,
    ACTIONS(27111), 1,
      anon_sym_LPAREN,
    STATE(19591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830078] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26387), 1,
      anon_sym_then,
    STATE(12559), 1,
      sym_then_clause,
    STATE(19592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830095] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27113), 1,
      anon_sym_COLON_GT,
    ACTIONS(27115), 1,
      anon_sym_EQ,
    STATE(19593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830112] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27117), 1,
      sym__lowercase_identifier,
    ACTIONS(27119), 1,
      anon_sym_LPAREN,
    STATE(19594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830129] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27121), 1,
      anon_sym_DOT,
    STATE(19595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830146] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26717), 1,
      anon_sym_then,
    STATE(10395), 1,
      sym_then_clause,
    STATE(19596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830163] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26653), 1,
      anon_sym_then,
    STATE(9802), 1,
      sym_then_clause,
    STATE(19597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830180] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27123), 1,
      anon_sym_RPAREN,
    ACTIONS(27125), 1,
      anon_sym_SEMI,
    STATE(19598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830197] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(27127), 1,
      anon_sym_RPAREN,
    STATE(19599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830214] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27123), 1,
      anon_sym_RBRACK,
    ACTIONS(27129), 1,
      anon_sym_SEMI,
    STATE(19600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830231] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27123), 1,
      anon_sym_RBRACE,
    ACTIONS(27131), 1,
      anon_sym_SEMI,
    STATE(19601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830248] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27133), 1,
      anon_sym_RPAREN,
    ACTIONS(27135), 1,
      anon_sym_LT_DASH,
    STATE(19602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830265] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26179), 1,
      anon_sym_then,
    STATE(14480), 1,
      sym_then_clause,
    STATE(19603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830282] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27137), 1,
      anon_sym_RPAREN,
    ACTIONS(27139), 1,
      anon_sym_LT_DASH,
    STATE(19604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830299] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27141), 1,
      sym__lowercase_identifier,
    ACTIONS(27143), 1,
      anon_sym_LPAREN,
    STATE(19605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830316] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27145), 1,
      sym__lowercase_identifier,
    STATE(19606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830333] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27147), 1,
      sym__lowercase_identifier,
    STATE(19607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830350] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19608), 1,
      sym_attribute,
    STATE(20649), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830367] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27149), 1,
      anon_sym_EQ,
    STATE(19609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830384] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27151), 1,
      anon_sym_RPAREN,
    ACTIONS(27153), 1,
      anon_sym_LT_DASH,
    STATE(19610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830401] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27155), 1,
      anon_sym_RPAREN,
    ACTIONS(27157), 1,
      anon_sym_SEMI,
    STATE(19611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830418] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27155), 1,
      anon_sym_RBRACK,
    ACTIONS(27159), 1,
      anon_sym_SEMI,
    STATE(19612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830435] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26227), 1,
      anon_sym_then,
    STATE(14583), 1,
      sym_then_clause,
    STATE(19613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830452] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26715), 1,
      anon_sym_do,
    STATE(12692), 1,
      sym_do_clause,
    STATE(19614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830469] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27161), 1,
      anon_sym_RPAREN,
    STATE(19615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830486] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27155), 1,
      anon_sym_RBRACE,
    ACTIONS(27163), 1,
      anon_sym_SEMI,
    STATE(19616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830503] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27165), 1,
      anon_sym_RPAREN,
    STATE(19617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830520] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27167), 1,
      sym__lowercase_identifier,
    STATE(19618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830537] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19098), 1,
      anon_sym_COLON2,
    STATE(19619), 1,
      sym_attribute,
    STATE(20477), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830554] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27169), 1,
      anon_sym_DOT,
    STATE(19620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830571] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27171), 1,
      anon_sym_RPAREN,
    STATE(19621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830588] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27173), 1,
      anon_sym_DOT,
    STATE(19622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830605] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27175), 1,
      anon_sym_DOT,
    STATE(19623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830622] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27177), 1,
      anon_sym_RPAREN,
    ACTIONS(27179), 1,
      anon_sym_LT_DASH,
    STATE(19624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830639] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    STATE(9851), 1,
      sym_type_variable,
    STATE(19625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830656] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19626), 1,
      sym_attribute,
    STATE(23555), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830673] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19627), 1,
      sym_attribute,
    STATE(20694), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830690] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27181), 1,
      anon_sym_open,
    STATE(19628), 1,
      sym_attribute,
    STATE(20520), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830707] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27183), 1,
      anon_sym_RPAREN,
    ACTIONS(27185), 1,
      anon_sym_LT_DASH,
    STATE(19629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830724] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27187), 1,
      anon_sym_RPAREN,
    STATE(19630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830741] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27189), 1,
      anon_sym_DOT,
    STATE(19631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830758] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27191), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [830773] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27193), 1,
      anon_sym_RPAREN,
    STATE(19633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830790] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27195), 1,
      anon_sym_RPAREN,
    STATE(19634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830807] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27197), 1,
      anon_sym_EQ,
    ACTIONS(27199), 1,
      anon_sym_RPAREN,
    STATE(19635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830824] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20990), 1,
      anon_sym_RBRACE,
    ACTIONS(27201), 1,
      anon_sym_SEMI,
    STATE(19636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830841] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27203), 1,
      anon_sym_RPAREN,
    ACTIONS(27205), 1,
      anon_sym_LT_DASH,
    STATE(19637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830858] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24817), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [830873] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27207), 1,
      anon_sym_DOT,
    STATE(19639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830890] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27209), 1,
      anon_sym_RPAREN,
    ACTIONS(27211), 1,
      anon_sym_LT_DASH,
    STATE(19640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830907] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27213), 1,
      aux_sym_type_variable_token1,
    STATE(15421), 1,
      sym_type_variable,
    STATE(19641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830924] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27215), 2,
      anon_sym_to,
      anon_sym_downto,
  [830939] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27217), 1,
      anon_sym_then,
    STATE(9874), 1,
      sym_then_clause,
    STATE(19643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830956] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27219), 1,
      anon_sym_DOT,
    STATE(19644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830973] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19645), 1,
      sym_attribute,
    STATE(20619), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830990] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27221), 1,
      sym__lowercase_identifier,
    ACTIONS(27223), 1,
      anon_sym_LPAREN,
    STATE(19646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831007] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19647), 1,
      sym_attribute,
    STATE(20639), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831024] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26221), 1,
      anon_sym_do,
    STATE(9424), 1,
      sym_do_clause,
    STATE(19648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831041] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831058] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27225), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [831073] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27227), 1,
      anon_sym_COLON2,
    STATE(14372), 1,
      sym__polymorphic_typed,
    STATE(19651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831090] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20732), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [831105] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27229), 1,
      sym__lowercase_identifier,
    ACTIONS(27231), 1,
      anon_sym_LPAREN,
    STATE(19653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831122] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27233), 1,
      anon_sym_then,
    STATE(11613), 1,
      sym_then_clause,
    STATE(19654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831139] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27235), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [831154] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27237), 1,
      sym__lowercase_identifier,
    STATE(19656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831171] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19657), 1,
      sym_attribute,
    STATE(20859), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831188] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27239), 1,
      anon_sym_EQ,
    STATE(19658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831205] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27241), 1,
      anon_sym_COLON_GT,
    ACTIONS(27243), 1,
      anon_sym_EQ,
    STATE(19659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831222] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27245), 1,
      anon_sym_RPAREN,
    STATE(19660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831239] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27247), 1,
      anon_sym_DOT,
    STATE(19661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831256] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27249), 2,
      anon_sym_to,
      anon_sym_downto,
  [831271] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27251), 1,
      anon_sym_EQ,
    STATE(19663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831288] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27253), 1,
      anon_sym_COLON_GT,
    ACTIONS(27255), 1,
      anon_sym_RPAREN,
    STATE(19664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831305] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27257), 1,
      anon_sym_EQ,
    STATE(19665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831322] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27259), 1,
      sym__lowercase_identifier,
    STATE(19666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831339] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27217), 1,
      anon_sym_then,
    STATE(9749), 1,
      sym_then_clause,
    STATE(19667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831356] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27261), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [831371] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20850), 1,
      anon_sym_RBRACE,
    ACTIONS(27263), 1,
      anon_sym_SEMI,
    STATE(19669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831388] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27265), 1,
      sym__lowercase_identifier,
    STATE(19670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831405] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27267), 1,
      anon_sym_RPAREN,
    ACTIONS(27269), 1,
      anon_sym_LT_DASH,
    STATE(19671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831422] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27271), 1,
      sym__lowercase_identifier,
    STATE(19672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831439] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27273), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [831454] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27275), 1,
      anon_sym_RPAREN,
    STATE(19674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831471] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27277), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [831486] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27279), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [831501] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19677), 1,
      sym_attribute,
    STATE(21689), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831518] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27281), 1,
      anon_sym_COLON_GT,
    ACTIONS(27283), 1,
      anon_sym_RPAREN,
    STATE(19678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831535] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27285), 1,
      anon_sym_COLON_GT,
    ACTIONS(27287), 1,
      anon_sym_RPAREN,
    STATE(19679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831552] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19680), 1,
      sym_attribute,
    STATE(21703), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831569] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27289), 1,
      anon_sym_RPAREN,
    STATE(19681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831586] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27291), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [831601] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27293), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [831616] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27227), 1,
      anon_sym_COLON2,
    STATE(14357), 1,
      sym__polymorphic_typed,
    STATE(19684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831633] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27049), 1,
      anon_sym_then,
    STATE(14320), 1,
      sym_then_clause,
    STATE(19685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831650] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27295), 1,
      anon_sym_RPAREN,
    ACTIONS(27297), 1,
      anon_sym_LT_DASH,
    STATE(19686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831667] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27299), 1,
      anon_sym_EQ,
    STATE(19687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831684] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27301), 1,
      sym__lowercase_identifier,
    ACTIONS(27303), 1,
      anon_sym_LPAREN,
    STATE(19688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831701] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19689), 1,
      sym_attribute,
    STATE(21149), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831718] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26651), 1,
      anon_sym_do,
    STATE(9824), 1,
      sym_do_clause,
    STATE(19690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831735] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27305), 1,
      anon_sym_COLON_GT,
    ACTIONS(27307), 1,
      anon_sym_RPAREN,
    STATE(19691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831752] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20264), 1,
      sym__lowercase_identifier,
    STATE(19692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831769] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27309), 1,
      anon_sym_EQ,
    STATE(19693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831786] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26853), 1,
      anon_sym_then,
    STATE(13378), 1,
      sym_then_clause,
    STATE(19694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831803] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27311), 1,
      anon_sym_RPAREN,
    ACTIONS(27313), 1,
      anon_sym_SEMI,
    STATE(19695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831820] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27311), 1,
      anon_sym_RBRACK,
    ACTIONS(27315), 1,
      anon_sym_SEMI,
    STATE(19696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831837] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27317), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [831852] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27311), 1,
      anon_sym_RBRACE,
    ACTIONS(27319), 1,
      anon_sym_SEMI,
    STATE(19698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831869] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26353), 1,
      anon_sym_then,
    STATE(9949), 1,
      sym_then_clause,
    STATE(19699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831886] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27321), 1,
      anon_sym_COLON_GT,
    ACTIONS(27323), 1,
      anon_sym_EQ,
    STATE(19700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831903] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27217), 1,
      anon_sym_then,
    STATE(9822), 1,
      sym_then_clause,
    STATE(19701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831920] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27325), 1,
      anon_sym_then,
    STATE(9792), 1,
      sym_then_clause,
    STATE(19702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831937] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26371), 1,
      anon_sym_then,
    STATE(9981), 1,
      sym_then_clause,
    STATE(19703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831954] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26647), 1,
      anon_sym_then,
    STATE(9994), 1,
      sym_then_clause,
    STATE(19704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831971] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27327), 1,
      sym__lowercase_identifier,
    STATE(19705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831988] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27329), 1,
      anon_sym_RPAREN,
    ACTIONS(27331), 1,
      anon_sym_SEMI,
    STATE(19706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832005] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26915), 1,
      anon_sym_LPAREN,
    ACTIONS(27333), 1,
      sym__lowercase_identifier,
    STATE(19707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832022] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27335), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [832037] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27337), 1,
      anon_sym_DOT,
    STATE(19709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832054] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27339), 1,
      anon_sym_RPAREN,
    STATE(19710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832071] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27119), 1,
      anon_sym_LPAREN,
    ACTIONS(27341), 1,
      sym__lowercase_identifier,
    STATE(19711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832088] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19712), 1,
      sym_attribute,
    STATE(21205), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832105] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27329), 1,
      anon_sym_RBRACK,
    ACTIONS(27343), 1,
      anon_sym_SEMI,
    STATE(19713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832122] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(27345), 1,
      anon_sym_RPAREN,
    STATE(19714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832139] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27347), 1,
      anon_sym_RPAREN,
    STATE(19715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832156] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27349), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [832171] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27351), 1,
      sym__lowercase_identifier,
    ACTIONS(27353), 1,
      anon_sym_LPAREN,
    STATE(19717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832188] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27143), 1,
      anon_sym_LPAREN,
    ACTIONS(27355), 1,
      sym__lowercase_identifier,
    STATE(19718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832205] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27357), 1,
      anon_sym_RPAREN,
    ACTIONS(27359), 1,
      anon_sym_LT_DASH,
    STATE(19719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832222] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27361), 1,
      anon_sym_RPAREN,
    STATE(19720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832239] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27329), 1,
      anon_sym_RBRACE,
    ACTIONS(27363), 1,
      anon_sym_SEMI,
    STATE(19721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832256] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27365), 1,
      sym__lowercase_identifier,
    ACTIONS(27367), 1,
      anon_sym_LBRACK,
    STATE(19722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832273] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26299), 1,
      anon_sym_then,
    STATE(14231), 1,
      sym_then_clause,
    STATE(19723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832290] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27369), 1,
      sym__lowercase_identifier,
    ACTIONS(27371), 1,
      anon_sym_LBRACK,
    STATE(19724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832307] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27373), 1,
      anon_sym_EQ,
    STATE(19725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832324] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27375), 1,
      anon_sym_DOT,
    STATE(19726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832341] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20638), 1,
      anon_sym_COLON2,
    STATE(19727), 1,
      sym_attribute,
    STATE(19918), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832358] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27377), 1,
      anon_sym_RPAREN,
    ACTIONS(27379), 1,
      anon_sym_LT_DASH,
    STATE(19728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832375] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27381), 1,
      anon_sym_RPAREN,
    STATE(19729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832392] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27383), 1,
      anon_sym_EQ,
    ACTIONS(27385), 1,
      anon_sym_RPAREN,
    STATE(19730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832409] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27387), 1,
      anon_sym_RPAREN,
    STATE(19731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832426] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27389), 1,
      anon_sym_RPAREN,
    STATE(19732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832443] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27391), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [832458] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27393), 2,
      anon_sym_to,
      anon_sym_downto,
  [832473] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27395), 1,
      anon_sym_DOT,
    STATE(19735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832490] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27397), 1,
      anon_sym_RPAREN,
    ACTIONS(27399), 1,
      anon_sym_LT_DASH,
    STATE(19736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832507] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27401), 1,
      sym__lowercase_identifier,
    ACTIONS(27403), 1,
      anon_sym_LPAREN,
    STATE(19737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832524] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27405), 1,
      anon_sym_DOT,
    STATE(19738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832541] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27325), 1,
      anon_sym_then,
    STATE(9795), 1,
      sym_then_clause,
    STATE(19739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832558] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27407), 2,
      anon_sym_to,
      anon_sym_downto,
  [832573] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27409), 1,
      anon_sym_DOT,
    STATE(19741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832590] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13269), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
  [832605] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27411), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [832620] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27413), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [832635] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27415), 1,
      anon_sym_COLON_GT,
    ACTIONS(27417), 1,
      anon_sym_RPAREN,
    STATE(19745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832652] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27419), 1,
      anon_sym_EQ,
    STATE(19746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832669] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20362), 1,
      sym__lowercase_identifier,
    STATE(19747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832686] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20652), 1,
      anon_sym_RBRACE,
    ACTIONS(27421), 1,
      anon_sym_SEMI,
    STATE(19748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832703] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27423), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [832718] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27425), 1,
      anon_sym_RPAREN,
    ACTIONS(27427), 1,
      anon_sym_LT_DASH,
    STATE(19750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832735] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27429), 1,
      sym__lowercase_identifier,
    STATE(19751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832752] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(27431), 1,
      anon_sym_RPAREN,
    STATE(19752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832769] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20758), 1,
      anon_sym_RBRACE,
    ACTIONS(27433), 1,
      anon_sym_SEMI,
    STATE(19753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832786] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19754), 1,
      sym_attribute,
    STATE(22828), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832803] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27435), 1,
      anon_sym_COLON_GT,
    ACTIONS(27437), 1,
      anon_sym_RPAREN,
    STATE(19755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832820] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27439), 1,
      anon_sym_EQ,
    STATE(19756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832837] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27441), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [832852] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19758), 1,
      sym_attribute,
    STATE(21908), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832869] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27443), 1,
      anon_sym_RPAREN,
    ACTIONS(27445), 1,
      anon_sym_LT_DASH,
    STATE(19759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832886] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27447), 1,
      sym__lowercase_identifier,
    ACTIONS(27449), 1,
      anon_sym_LPAREN,
    STATE(19760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832903] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27451), 1,
      anon_sym_RPAREN,
    ACTIONS(27453), 1,
      anon_sym_LT_DASH,
    STATE(19761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832920] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27455), 1,
      anon_sym_RPAREN,
    STATE(19762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832937] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27457), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [832952] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27459), 1,
      sym__lowercase_identifier,
    ACTIONS(27461), 1,
      anon_sym_LPAREN,
    STATE(19764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832969] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27463), 1,
      anon_sym_EQ,
    STATE(19765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832986] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19766), 1,
      sym_attribute,
    STATE(21643), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833003] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27465), 1,
      sym__lowercase_identifier,
    ACTIONS(27467), 1,
      anon_sym_LPAREN,
    STATE(19767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833020] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27469), 1,
      anon_sym_EQ,
    STATE(19768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833037] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27471), 1,
      anon_sym_DOT,
    STATE(19769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833054] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26405), 1,
      anon_sym_then,
    STATE(14342), 1,
      sym_then_clause,
    STATE(19770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833071] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27473), 1,
      sym__lowercase_identifier,
    STATE(19771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833088] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(27475), 1,
      anon_sym_RPAREN,
    STATE(19772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833105] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27477), 1,
      sym__lowercase_identifier,
    STATE(19773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833122] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27479), 1,
      sym__lowercase_identifier,
    STATE(19774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833139] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27481), 1,
      anon_sym_RPAREN,
    ACTIONS(27483), 1,
      anon_sym_SEMI,
    STATE(19775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833156] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27485), 1,
      sym__lowercase_identifier,
    ACTIONS(27487), 1,
      anon_sym_LPAREN,
    STATE(19776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833173] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26715), 1,
      anon_sym_do,
    STATE(12604), 1,
      sym_do_clause,
    STATE(19777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833190] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27481), 1,
      anon_sym_RBRACK,
    ACTIONS(27489), 1,
      anon_sym_SEMI,
    STATE(19778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833207] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27491), 1,
      anon_sym_COLON_GT,
    ACTIONS(27493), 1,
      anon_sym_RPAREN,
    STATE(19779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833224] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27495), 1,
      anon_sym_COLON_GT,
    ACTIONS(27497), 1,
      anon_sym_RPAREN,
    STATE(19780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833241] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20294), 1,
      sym__lowercase_identifier,
    STATE(19781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833258] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27481), 1,
      anon_sym_RBRACE,
    ACTIONS(27499), 1,
      anon_sym_SEMI,
    STATE(19782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833275] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27501), 1,
      anon_sym_RPAREN,
    ACTIONS(27503), 1,
      anon_sym_LT_DASH,
    STATE(19783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833292] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27505), 1,
      anon_sym_COLON_GT,
    ACTIONS(27507), 1,
      anon_sym_RPAREN,
    STATE(19784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833309] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27509), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [833324] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27511), 1,
      anon_sym_RPAREN,
    ACTIONS(27513), 1,
      anon_sym_LT_DASH,
    STATE(19786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833341] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27515), 1,
      anon_sym_COLON_GT,
    ACTIONS(27517), 1,
      anon_sym_RPAREN,
    STATE(19787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833358] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27519), 1,
      anon_sym_DOT,
    STATE(19788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833375] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27217), 1,
      anon_sym_then,
    STATE(9747), 1,
      sym_then_clause,
    STATE(19789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833392] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27521), 1,
      anon_sym_RPAREN,
    STATE(19790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833409] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26551), 1,
      anon_sym_then,
    STATE(10438), 1,
      sym_then_clause,
    STATE(19791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833426] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27523), 2,
      anon_sym_to,
      anon_sym_downto,
  [833441] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19793), 1,
      sym_attribute,
    STATE(21681), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833458] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27525), 1,
      sym__lowercase_identifier,
    STATE(19794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833475] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27527), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [833490] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27529), 1,
      anon_sym_COLON2,
    STATE(19796), 1,
      sym_attribute,
    STATE(21629), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833507] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27531), 1,
      sym__lowercase_identifier,
    STATE(19797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833524] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27533), 1,
      sym__lowercase_identifier,
    STATE(19798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833541] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27535), 1,
      anon_sym_RPAREN,
    STATE(19799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833558] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27537), 2,
      anon_sym_to,
      anon_sym_downto,
  [833573] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27539), 1,
      sym__lowercase_identifier,
    STATE(19801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833590] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26037), 1,
      anon_sym_then,
    STATE(14559), 1,
      sym_then_clause,
    STATE(19802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833607] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27541), 1,
      anon_sym_EQ,
    STATE(19803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833624] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27543), 1,
      anon_sym_COLON_GT,
    ACTIONS(27545), 1,
      anon_sym_EQ,
    STATE(19804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833641] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27547), 1,
      sym__lowercase_identifier,
    STATE(19805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833658] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23740), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [833673] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27549), 1,
      anon_sym_RPAREN,
    ACTIONS(27551), 1,
      anon_sym_LT_DASH,
    STATE(19807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833690] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27553), 1,
      anon_sym_RPAREN,
    ACTIONS(27555), 1,
      anon_sym_LT_DASH,
    STATE(19808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833707] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27557), 1,
      anon_sym_RPAREN,
    STATE(19809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833724] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27559), 1,
      anon_sym_RPAREN,
    ACTIONS(27561), 1,
      anon_sym_LT_DASH,
    STATE(19810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833741] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27563), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [833756] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26371), 1,
      anon_sym_then,
    STATE(9931), 1,
      sym_then_clause,
    STATE(19812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833773] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26357), 1,
      anon_sym_then,
    STATE(14326), 1,
      sym_then_clause,
    STATE(19813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833790] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27565), 1,
      anon_sym_DOT,
    STATE(19814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833807] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27567), 1,
      sym__lowercase_identifier,
    ACTIONS(27569), 1,
      sym__uppercase_identifier,
    STATE(19815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833824] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27571), 1,
      anon_sym_DOT,
    STATE(19816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833841] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27573), 1,
      anon_sym_RPAREN,
    ACTIONS(27575), 1,
      anon_sym_LT_DASH,
    STATE(19817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833858] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27577), 1,
      sym__lowercase_identifier,
    ACTIONS(27579), 1,
      anon_sym_LPAREN,
    STATE(19818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833875] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27581), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [833890] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11072), 1,
      anon_sym_RPAREN,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    STATE(19820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833907] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27583), 1,
      anon_sym_RPAREN,
    STATE(19821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833924] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26371), 1,
      anon_sym_then,
    STATE(9940), 1,
      sym_then_clause,
    STATE(19822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833941] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27585), 1,
      anon_sym_EQ,
    STATE(19823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833958] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27587), 1,
      anon_sym_RPAREN,
    ACTIONS(27589), 1,
      anon_sym_LT_DASH,
    STATE(19824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833975] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27591), 1,
      anon_sym_EQ,
    STATE(19825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833992] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27593), 1,
      anon_sym_SEMI,
    ACTIONS(27595), 1,
      anon_sym_RBRACE,
    STATE(19826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834009] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26179), 1,
      anon_sym_then,
    STATE(14279), 1,
      sym_then_clause,
    STATE(19827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834026] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27597), 1,
      anon_sym_EQ,
    ACTIONS(27599), 1,
      anon_sym_RPAREN,
    STATE(19828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834043] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27049), 1,
      anon_sym_then,
    STATE(14239), 1,
      sym_then_clause,
    STATE(19829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834060] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27601), 1,
      anon_sym_RPAREN,
    STATE(19830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834077] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27603), 1,
      anon_sym_COLON_GT,
    ACTIONS(27605), 1,
      anon_sym_RPAREN,
    STATE(19831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834094] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27607), 1,
      sym__lowercase_identifier,
    ACTIONS(27609), 1,
      sym__uppercase_identifier,
    STATE(19832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834111] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27611), 1,
      sym__lowercase_identifier,
    STATE(19833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834128] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11321), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834145] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27613), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [834160] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27615), 1,
      anon_sym_COLON_GT,
    ACTIONS(27617), 1,
      anon_sym_RPAREN,
    STATE(19836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834177] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27619), 1,
      anon_sym_RPAREN,
    STATE(19837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834194] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26717), 1,
      anon_sym_then,
    STATE(10482), 1,
      sym_then_clause,
    STATE(19838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834211] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27621), 1,
      anon_sym_COLON_GT,
    ACTIONS(27623), 1,
      anon_sym_RPAREN,
    STATE(19839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834228] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(25691), 1,
      sym__lowercase_identifier,
    STATE(19840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834245] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19841), 1,
      sym_attribute,
    STATE(22139), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834262] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27625), 1,
      anon_sym_RPAREN,
    STATE(19842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834279] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(27627), 1,
      anon_sym_RPAREN,
    STATE(19843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834296] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27629), 1,
      anon_sym_COLON_GT,
    ACTIONS(27631), 1,
      anon_sym_RPAREN,
    STATE(19844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834313] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27633), 1,
      sym__lowercase_identifier,
    ACTIONS(27635), 1,
      anon_sym_LPAREN,
    STATE(19845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834330] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20414), 1,
      sym__lowercase_identifier,
    STATE(19846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834347] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27637), 1,
      anon_sym_RPAREN,
    ACTIONS(27639), 1,
      anon_sym_SEMI,
    STATE(19847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834364] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27637), 1,
      anon_sym_RBRACK,
    ACTIONS(27641), 1,
      anon_sym_SEMI,
    STATE(19848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834381] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27637), 1,
      anon_sym_RBRACE,
    ACTIONS(27643), 1,
      anon_sym_SEMI,
    STATE(19849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834398] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27645), 1,
      sym__lowercase_identifier,
    STATE(19850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834415] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27647), 2,
      anon_sym_to,
      anon_sym_downto,
  [834430] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27649), 1,
      sym__lowercase_identifier,
    ACTIONS(27651), 1,
      anon_sym_LPAREN,
    STATE(19852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834447] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27653), 1,
      anon_sym_COLON_GT,
    ACTIONS(27655), 1,
      anon_sym_RPAREN,
    STATE(19853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834464] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27657), 1,
      sym__lowercase_identifier,
    STATE(19854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834481] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27659), 1,
      anon_sym_DOT,
    STATE(19855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834498] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27661), 1,
      anon_sym_COLON_GT,
    ACTIONS(27663), 1,
      anon_sym_RPAREN,
    STATE(19856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834515] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27665), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [834530] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(27667), 1,
      anon_sym_RPAREN,
    STATE(19858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834547] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20254), 1,
      sym__lowercase_identifier,
    STATE(19859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834564] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27669), 1,
      anon_sym_RPAREN,
    ACTIONS(27671), 1,
      anon_sym_LT_DASH,
    STATE(19860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834581] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19861), 1,
      sym_attribute,
    STATE(22201), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834598] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27673), 1,
      anon_sym_RPAREN,
    ACTIONS(27675), 1,
      anon_sym_LT_DASH,
    STATE(19862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834615] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27677), 1,
      sym__lowercase_identifier,
    STATE(19863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834632] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27679), 1,
      anon_sym_DOT,
    STATE(19864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834649] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26721), 1,
      anon_sym_then,
    STATE(14881), 1,
      sym_then_clause,
    STATE(19865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834666] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27681), 1,
      anon_sym_RPAREN,
    ACTIONS(27683), 1,
      anon_sym_LT_DASH,
    STATE(19866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834683] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27685), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [834698] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27687), 1,
      anon_sym_RPAREN,
    ACTIONS(27689), 1,
      anon_sym_LT_DASH,
    STATE(19868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834715] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26551), 1,
      anon_sym_then,
    STATE(10299), 1,
      sym_then_clause,
    STATE(19869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834732] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27691), 1,
      anon_sym_DOT,
    STATE(19870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834749] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27693), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [834764] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27695), 1,
      sym__lowercase_identifier,
    STATE(19872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834781] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27697), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [834796] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26717), 1,
      anon_sym_then,
    STATE(10194), 1,
      sym_then_clause,
    STATE(19874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834813] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27699), 1,
      anon_sym_DOT,
    STATE(19875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834830] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20910), 1,
      anon_sym_RBRACE,
    ACTIONS(27701), 1,
      anon_sym_SEMI,
    STATE(19876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834847] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(27703), 1,
      anon_sym_RPAREN,
    STATE(19877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834864] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27705), 1,
      anon_sym_COLON_GT,
    ACTIONS(27707), 1,
      anon_sym_RPAREN,
    STATE(19878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834881] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27709), 1,
      anon_sym_EQ,
    ACTIONS(27711), 1,
      anon_sym_RPAREN,
    STATE(19879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834898] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27713), 1,
      anon_sym_RPAREN,
    STATE(19880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834915] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27715), 1,
      anon_sym_RPAREN,
    STATE(19881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834932] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27717), 1,
      anon_sym_RPAREN,
    STATE(19882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834949] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27719), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [834964] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26721), 1,
      anon_sym_then,
    STATE(14787), 1,
      sym_then_clause,
    STATE(19884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834981] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19885), 1,
      sym_attribute,
    STATE(20532), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834998] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26405), 1,
      anon_sym_then,
    STATE(14310), 1,
      sym_then_clause,
    STATE(19886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835015] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27721), 1,
      anon_sym_RPAREN,
    ACTIONS(27723), 1,
      anon_sym_LT_DASH,
    STATE(19887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835032] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11076), 1,
      anon_sym_RPAREN,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    STATE(19888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835049] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20594), 1,
      anon_sym_RBRACE,
    ACTIONS(27725), 1,
      anon_sym_SEMI,
    STATE(19889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835066] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27727), 1,
      anon_sym_DOT,
    STATE(19890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835083] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26647), 1,
      anon_sym_then,
    STATE(9948), 1,
      sym_then_clause,
    STATE(19891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835100] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27729), 1,
      anon_sym_RPAREN,
    ACTIONS(27731), 1,
      anon_sym_LT_DASH,
    STATE(19892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835117] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27733), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [835132] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27735), 1,
      anon_sym_RPAREN,
    STATE(19894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835149] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26227), 1,
      anon_sym_then,
    STATE(14721), 1,
      sym_then_clause,
    STATE(19895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835166] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11080), 1,
      anon_sym_RPAREN,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    STATE(19896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835183] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27737), 1,
      sym__lowercase_identifier,
    STATE(19897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835200] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27739), 1,
      anon_sym_RPAREN,
    ACTIONS(27741), 1,
      anon_sym_LT_DASH,
    STATE(19898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835217] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27743), 1,
      anon_sym_RPAREN,
    STATE(19899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835234] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27745), 1,
      anon_sym_COLON_GT,
    ACTIONS(27747), 1,
      anon_sym_EQ,
    STATE(19900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835251] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27749), 1,
      anon_sym_RPAREN,
    ACTIONS(27751), 1,
      anon_sym_LT_DASH,
    STATE(19901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835268] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27753), 1,
      anon_sym_RPAREN,
    STATE(19902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835285] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27755), 1,
      sym__lowercase_identifier,
    STATE(19903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835302] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27757), 1,
      sym__lowercase_identifier,
    STATE(19904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835319] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    ACTIONS(27759), 1,
      anon_sym_RPAREN,
    STATE(19905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835336] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19906), 1,
      sym_attribute,
    STATE(22571), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835353] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27761), 1,
      anon_sym_RPAREN,
    STATE(19907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835370] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27763), 1,
      anon_sym_RPAREN,
    STATE(19908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835387] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    STATE(17400), 1,
      sym__simple_value_pattern,
    STATE(19909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835404] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27765), 1,
      anon_sym_RPAREN,
    ACTIONS(27767), 1,
      anon_sym_SEMI,
    STATE(19910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835421] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27769), 1,
      anon_sym_RPAREN,
    ACTIONS(27771), 1,
      anon_sym_LT_DASH,
    STATE(19911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835438] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27765), 1,
      anon_sym_RBRACK,
    ACTIONS(27773), 1,
      anon_sym_SEMI,
    STATE(19912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835455] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27765), 1,
      anon_sym_RBRACE,
    ACTIONS(27775), 1,
      anon_sym_SEMI,
    STATE(19913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835472] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27777), 1,
      sym__lowercase_identifier,
    ACTIONS(27779), 1,
      anon_sym_LPAREN,
    STATE(19914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835489] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11084), 1,
      anon_sym_RPAREN,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    STATE(19915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835506] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27781), 1,
      anon_sym_RPAREN,
    STATE(19916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835523] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27783), 1,
      anon_sym_RPAREN,
    ACTIONS(27785), 1,
      anon_sym_LT_DASH,
    STATE(19917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835540] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27787), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [835555] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27789), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [835570] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27791), 1,
      anon_sym_COLON_GT,
    ACTIONS(27793), 1,
      anon_sym_RPAREN,
    STATE(19920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835587] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11295), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835604] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27795), 1,
      anon_sym_RPAREN,
    STATE(19922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835621] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20250), 1,
      sym__lowercase_identifier,
    STATE(19923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835638] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27797), 1,
      anon_sym_DOT,
    STATE(19924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835655] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19925), 1,
      sym_attribute,
    STATE(22641), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835672] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27799), 1,
      anon_sym_DOT,
    STATE(19926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835689] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27529), 1,
      anon_sym_COLON2,
    STATE(19927), 1,
      sym_attribute,
    STATE(23741), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835706] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26227), 1,
      anon_sym_then,
    STATE(14844), 1,
      sym_then_clause,
    STATE(19928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835723] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26551), 1,
      anon_sym_then,
    STATE(10408), 1,
      sym_then_clause,
    STATE(19929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835740] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26575), 1,
      anon_sym_then,
    STATE(14133), 1,
      sym_then_clause,
    STATE(19930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835757] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27801), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [835772] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27803), 1,
      anon_sym_RPAREN,
    STATE(19932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835789] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27805), 1,
      anon_sym_RPAREN,
    STATE(19933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835806] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27807), 1,
      anon_sym_SEMI,
    ACTIONS(27809), 1,
      anon_sym_RBRACE,
    STATE(19934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835823] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19935), 1,
      sym_attribute,
    STATE(23319), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835840] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26651), 1,
      anon_sym_do,
    STATE(9807), 1,
      sym_do_clause,
    STATE(19936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835857] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27811), 1,
      sym__lowercase_identifier,
    STATE(19937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835874] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27813), 1,
      anon_sym_RPAREN,
    STATE(19938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835891] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27815), 1,
      anon_sym_DOT,
    STATE(19939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835908] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11274), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835925] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19941), 1,
      sym_attribute,
    STATE(22034), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835942] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27817), 1,
      anon_sym_RPAREN,
    ACTIONS(27819), 1,
      anon_sym_LT_DASH,
    STATE(19942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835959] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27821), 1,
      anon_sym_RPAREN,
    ACTIONS(27823), 1,
      anon_sym_LT_DASH,
    STATE(19943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835976] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27825), 1,
      anon_sym_RPAREN,
    STATE(19944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835993] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27827), 1,
      sym__lowercase_identifier,
    STATE(19945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836010] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27829), 1,
      anon_sym_RPAREN,
    STATE(19946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836027] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27831), 1,
      sym__lowercase_identifier,
    ACTIONS(27833), 1,
      anon_sym_LPAREN,
    STATE(19947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836044] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19948), 1,
      sym_attribute,
    STATE(22149), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836061] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27835), 1,
      anon_sym_DOT,
    STATE(19949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836078] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20728), 1,
      anon_sym_RBRACE,
    ACTIONS(27837), 1,
      anon_sym_SEMI,
    STATE(19950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836095] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19951), 1,
      sym_attribute,
    STATE(23132), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836112] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11280), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(19952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836129] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    STATE(17380), 1,
      sym__simple_value_pattern,
    STATE(19953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836146] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27839), 1,
      anon_sym_RPAREN,
    ACTIONS(27841), 1,
      anon_sym_SEMI,
    STATE(19954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836163] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27839), 1,
      anon_sym_RBRACK,
    ACTIONS(27843), 1,
      anon_sym_SEMI,
    STATE(19955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836180] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27839), 1,
      anon_sym_RBRACE,
    ACTIONS(27845), 1,
      anon_sym_SEMI,
    STATE(19956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836197] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27847), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [836212] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27849), 1,
      sym__lowercase_identifier,
    ACTIONS(27851), 1,
      anon_sym_LPAREN,
    STATE(19958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836229] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19959), 1,
      sym_attribute,
    STATE(22716), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836246] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27853), 1,
      anon_sym_SEMI,
    ACTIONS(27855), 1,
      anon_sym_RBRACE,
    STATE(19960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836263] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27857), 1,
      anon_sym_SEMI,
    ACTIONS(27859), 1,
      anon_sym_RBRACE,
    STATE(19961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836280] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27861), 1,
      anon_sym_COLON_GT,
    ACTIONS(27863), 1,
      anon_sym_RPAREN,
    STATE(19962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836297] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27865), 1,
      anon_sym_DOT,
    STATE(19963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836314] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20396), 1,
      sym__lowercase_identifier,
    STATE(19964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836331] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26575), 1,
      anon_sym_then,
    STATE(14105), 1,
      sym_then_clause,
    STATE(19965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836348] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27867), 1,
      anon_sym_COLON_GT,
    ACTIONS(27869), 1,
      anon_sym_RPAREN,
    STATE(19966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836365] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27871), 1,
      anon_sym_EQ,
    ACTIONS(27873), 1,
      anon_sym_RPAREN,
    STATE(19967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836382] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19968), 1,
      sym_attribute,
    STATE(23224), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836399] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(19969), 1,
      sym_attribute,
    STATE(21743), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836416] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27875), 1,
      sym__lowercase_identifier,
    STATE(19970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836433] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27877), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [836448] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27879), 1,
      anon_sym_RPAREN,
    ACTIONS(27881), 1,
      anon_sym_SEMI,
    STATE(19972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836465] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27879), 1,
      anon_sym_RBRACK,
    ACTIONS(27883), 1,
      anon_sym_SEMI,
    STATE(19973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836482] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27325), 1,
      anon_sym_then,
    STATE(9848), 1,
      sym_then_clause,
    STATE(19974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836499] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27879), 1,
      anon_sym_RBRACE,
    ACTIONS(27885), 1,
      anon_sym_SEMI,
    STATE(19975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836516] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    STATE(19002), 1,
      sym_extended_module_path,
    STATE(19976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836533] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27887), 1,
      anon_sym_EQ,
    STATE(19977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836550] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27889), 1,
      sym__lowercase_identifier,
    STATE(19978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836567] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27891), 1,
      sym__lowercase_identifier,
    STATE(19979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836584] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27893), 1,
      anon_sym_RPAREN,
    ACTIONS(27895), 1,
      anon_sym_LT_DASH,
    STATE(19980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836601] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27897), 1,
      sym__lowercase_identifier,
    STATE(19981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836618] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(19982), 1,
      sym_attribute,
    STATE(22619), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836635] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8837), 1,
      sym__uppercase_identifier,
    STATE(10774), 1,
      sym_extended_module_path,
    STATE(19983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836652] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27899), 2,
      anon_sym_to,
      anon_sym_downto,
  [836667] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(27901), 1,
      sym__lowercase_identifier,
    STATE(19985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836684] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27903), 1,
      anon_sym_DOT,
    STATE(19986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836701] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27905), 1,
      anon_sym_RPAREN,
    STATE(19987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836718] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20556), 1,
      anon_sym_RBRACE,
    ACTIONS(27907), 1,
      anon_sym_SEMI,
    STATE(19988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836735] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27909), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [836750] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(19990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27911), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [836765] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27913), 1,
      anon_sym_DOT,
    STATE(19991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836782] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27915), 1,
      anon_sym_RPAREN,
    STATE(19992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836799] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27917), 1,
      anon_sym_RPAREN,
    ACTIONS(27919), 1,
      anon_sym_LT_DASH,
    STATE(19993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836816] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27921), 1,
      anon_sym_RPAREN,
    STATE(19994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836833] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26757), 1,
      anon_sym_do,
    STATE(9583), 1,
      sym_do_clause,
    STATE(19995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836850] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27923), 1,
      anon_sym_RPAREN,
    STATE(19996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836867] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(19997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12919), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [836882] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27925), 1,
      anon_sym_RPAREN,
    STATE(19998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836899] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27927), 1,
      anon_sym_EQ,
    STATE(19999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836916] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13802), 2,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
  [836931] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20001), 1,
      sym_attribute,
    STATE(22895), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836948] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20002), 1,
      sym_attribute,
    STATE(23708), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836965] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27929), 1,
      anon_sym_RPAREN,
    ACTIONS(27931), 1,
      anon_sym_LT_DASH,
    STATE(20003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836982] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27933), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [836997] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(27935), 1,
      sym__lowercase_identifier,
    STATE(20005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837014] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26715), 1,
      anon_sym_do,
    STATE(12663), 1,
      sym_do_clause,
    STATE(20006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837031] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27937), 1,
      anon_sym_RPAREN,
    ACTIONS(27939), 1,
      anon_sym_SEMI,
    STATE(20007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837048] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27937), 1,
      anon_sym_RBRACK,
    ACTIONS(27941), 1,
      anon_sym_SEMI,
    STATE(20008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837065] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27937), 1,
      anon_sym_RBRACE,
    ACTIONS(27943), 1,
      anon_sym_SEMI,
    STATE(20009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837082] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27945), 1,
      anon_sym_RPAREN,
    ACTIONS(27947), 1,
      anon_sym_LT_DASH,
    STATE(20010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837099] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20011), 1,
      sym_attribute,
    STATE(21776), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837116] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11347), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(20012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837133] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27949), 1,
      anon_sym_RPAREN,
    STATE(20013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837150] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27951), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [837165] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(27953), 1,
      anon_sym_DOT,
    STATE(20015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837182] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27955), 1,
      anon_sym_EQ,
    STATE(20016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837199] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20017), 1,
      sym_attribute,
    STATE(20417), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837216] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16165), 2,
      anon_sym_and,
      anon_sym_in,
  [837231] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27957), 1,
      anon_sym_RPAREN,
    STATE(20019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837248] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27959), 1,
      anon_sym_COLON_GT,
    ACTIONS(27961), 1,
      anon_sym_EQ,
    STATE(20020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837265] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27963), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [837280] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27965), 1,
      anon_sym_RPAREN,
    ACTIONS(27967), 1,
      anon_sym_SEMI,
    STATE(20022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837297] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27969), 1,
      anon_sym_RPAREN,
    ACTIONS(27971), 1,
      anon_sym_LT_DASH,
    STATE(20023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837314] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27973), 1,
      anon_sym_RPAREN,
    STATE(20024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837331] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27965), 1,
      anon_sym_RBRACK,
    ACTIONS(27975), 1,
      anon_sym_SEMI,
    STATE(20025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837348] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27965), 1,
      anon_sym_RBRACE,
    ACTIONS(27977), 1,
      anon_sym_SEMI,
    STATE(20026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837365] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27979), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [837380] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27981), 1,
      anon_sym_RPAREN,
    ACTIONS(27983), 1,
      anon_sym_LT_DASH,
    STATE(20028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837397] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27985), 1,
      anon_sym_SEMI,
    ACTIONS(27987), 1,
      anon_sym_RBRACE,
    STATE(20029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837414] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27989), 1,
      anon_sym_EQ,
    ACTIONS(27991), 1,
      anon_sym_RPAREN,
    STATE(20030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837431] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27993), 1,
      anon_sym_EQ,
    STATE(20031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837448] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27995), 1,
      anon_sym_RPAREN,
    ACTIONS(27997), 1,
      anon_sym_LT_DASH,
    STATE(20032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837465] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(27999), 1,
      anon_sym_RPAREN,
    STATE(20033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837482] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28001), 1,
      anon_sym_COLON_GT,
    ACTIONS(28003), 1,
      anon_sym_EQ,
    STATE(20034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837499] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28005), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [837514] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28007), 1,
      anon_sym_RPAREN,
    ACTIONS(28009), 1,
      anon_sym_LT_DASH,
    STATE(20036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837531] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28011), 1,
      anon_sym_RPAREN,
    STATE(20037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837548] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28013), 1,
      anon_sym_DOT,
    STATE(20038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837565] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26179), 1,
      anon_sym_then,
    STATE(14398), 1,
      sym_then_clause,
    STATE(20039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837582] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28015), 1,
      anon_sym_DOT,
    STATE(20040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837599] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28017), 1,
      anon_sym_SEMI,
    ACTIONS(28019), 1,
      anon_sym_RBRACE,
    STATE(20041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837616] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(28021), 1,
      sym__lowercase_identifier,
    STATE(20042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837633] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28023), 1,
      sym__lowercase_identifier,
    STATE(20043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837650] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28025), 1,
      anon_sym_RPAREN,
    ACTIONS(28027), 1,
      anon_sym_LT_DASH,
    STATE(20044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837667] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28029), 1,
      anon_sym_COLON_GT,
    ACTIONS(28031), 1,
      anon_sym_RPAREN,
    STATE(20045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837684] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28033), 1,
      anon_sym_DOT,
    STATE(20046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837701] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28035), 1,
      anon_sym_RPAREN,
    ACTIONS(28037), 1,
      anon_sym_SEMI,
    STATE(20047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837718] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28039), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [837733] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26653), 1,
      anon_sym_then,
    STATE(9855), 1,
      sym_then_clause,
    STATE(20049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837750] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20050), 1,
      sym_attribute,
    STATE(20673), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837767] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(28041), 1,
      sym__lowercase_identifier,
    STATE(20051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837784] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28043), 1,
      anon_sym_RPAREN,
    ACTIONS(28045), 1,
      anon_sym_SEMI,
    STATE(20052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837801] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28047), 1,
      sym__lowercase_identifier,
    ACTIONS(28049), 1,
      anon_sym_LPAREN,
    STATE(20053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837818] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28043), 1,
      anon_sym_RBRACK,
    ACTIONS(28051), 1,
      anon_sym_SEMI,
    STATE(20054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837835] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11299), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(20055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837852] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28043), 1,
      anon_sym_RBRACE,
    ACTIONS(28053), 1,
      anon_sym_SEMI,
    STATE(20056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837869] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28035), 1,
      anon_sym_RBRACK,
    ACTIONS(28055), 1,
      anon_sym_SEMI,
    STATE(20057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837886] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28057), 1,
      anon_sym_SEMI,
    ACTIONS(28059), 1,
      anon_sym_RBRACE,
    STATE(20058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837903] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28061), 1,
      anon_sym_DOT,
    STATE(20059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837920] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20060), 1,
      sym_attribute,
    STATE(20712), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837937] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28063), 1,
      anon_sym_DOT,
    STATE(20061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837954] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28065), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [837969] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28067), 1,
      anon_sym_RPAREN,
    ACTIONS(28069), 1,
      anon_sym_LT_DASH,
    STATE(20063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837986] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(28071), 1,
      sym__lowercase_identifier,
    STATE(20064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838003] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28073), 1,
      anon_sym_EQ,
    STATE(20065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838020] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27119), 1,
      anon_sym_LPAREN,
    ACTIONS(28075), 1,
      sym__lowercase_identifier,
    STATE(20066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838037] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20330), 1,
      sym__lowercase_identifier,
    STATE(20067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838054] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COMMA,
    ACTIONS(28077), 1,
      anon_sym_COLON,
    STATE(20068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838071] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28079), 1,
      sym__lowercase_identifier,
    STATE(20069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838088] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28081), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [838103] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28083), 1,
      anon_sym_RPAREN,
    STATE(20071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838120] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28035), 1,
      anon_sym_RBRACE,
    ACTIONS(28085), 1,
      anon_sym_SEMI,
    STATE(20072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838137] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28087), 1,
      anon_sym_EQ,
    STATE(20073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838154] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20074), 1,
      sym_attribute,
    STATE(22038), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838171] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28089), 1,
      sym__lowercase_identifier,
    ACTIONS(28091), 1,
      anon_sym_LPAREN,
    STATE(20075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838188] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8839), 1,
      aux_sym_type_variable_token1,
    STATE(15421), 1,
      sym_type_variable,
    STATE(20076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838205] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28093), 1,
      anon_sym_DOT,
    STATE(20077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838222] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28095), 1,
      sym__lowercase_identifier,
    ACTIONS(28097), 1,
      anon_sym_LPAREN,
    STATE(20078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838239] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11541), 1,
      anon_sym_RPAREN,
    ACTIONS(28099), 1,
      aux_sym_number_token1,
    STATE(20079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838256] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28101), 1,
      anon_sym_RPAREN,
    ACTIONS(28103), 1,
      anon_sym_LT_DASH,
    STATE(20080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838273] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28105), 1,
      sym__lowercase_identifier,
    STATE(20081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838290] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28107), 1,
      anon_sym_RPAREN,
    ACTIONS(28109), 1,
      anon_sym_LT_DASH,
    STATE(20082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838307] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28111), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [838322] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28113), 1,
      anon_sym_RPAREN,
    STATE(20084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838339] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28115), 1,
      anon_sym_COLON_GT,
    ACTIONS(28117), 1,
      anon_sym_RPAREN,
    STATE(20085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838356] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20282), 1,
      sym__lowercase_identifier,
    STATE(20086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838373] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28119), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [838388] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20088), 1,
      sym_attribute,
    STATE(20993), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838405] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20089), 1,
      sym_attribute,
    STATE(21000), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838422] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28121), 1,
      anon_sym_RPAREN,
    STATE(20090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838439] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28123), 1,
      anon_sym_RPAREN,
    STATE(20091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838456] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28125), 1,
      anon_sym_RPAREN,
    STATE(20092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838473] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28127), 1,
      anon_sym_RPAREN,
    ACTIONS(28129), 1,
      anon_sym_SEMI,
    STATE(20093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838490] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26387), 1,
      anon_sym_then,
    STATE(12621), 1,
      sym_then_clause,
    STATE(20094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838507] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28127), 1,
      anon_sym_RBRACK,
    ACTIONS(28131), 1,
      anon_sym_SEMI,
    STATE(20095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838524] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28127), 1,
      anon_sym_RBRACE,
    ACTIONS(28133), 1,
      anon_sym_SEMI,
    STATE(20096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838541] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28135), 1,
      anon_sym_RPAREN,
    STATE(20097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838558] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28137), 1,
      anon_sym_RPAREN,
    ACTIONS(28139), 1,
      anon_sym_LT_DASH,
    STATE(20098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838575] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28141), 2,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
  [838590] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27233), 1,
      anon_sym_then,
    STATE(11354), 1,
      sym_then_clause,
    STATE(20100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838607] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28143), 1,
      anon_sym_then,
    STATE(10491), 1,
      sym_then_clause,
    STATE(20101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838624] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28145), 1,
      anon_sym_DOT,
    STATE(20102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838641] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28147), 1,
      anon_sym_DOT,
    STATE(20103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838658] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20104), 1,
      sym_attribute,
    STATE(21045), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838675] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28149), 1,
      anon_sym_RPAREN,
    ACTIONS(28151), 1,
      anon_sym_LT_DASH,
    STATE(20105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838692] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28153), 1,
      anon_sym_RPAREN,
    STATE(20106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838709] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28155), 1,
      sym__lowercase_identifier,
    STATE(20107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838726] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28157), 1,
      anon_sym_RPAREN,
    ACTIONS(28159), 1,
      anon_sym_LT_DASH,
    STATE(20108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838743] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28161), 1,
      anon_sym_COLON_GT,
    ACTIONS(28163), 1,
      anon_sym_RPAREN,
    STATE(20109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838760] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28165), 1,
      anon_sym_EQ,
    STATE(20110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838777] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28167), 1,
      anon_sym_DOT,
    STATE(20111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838794] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26405), 1,
      anon_sym_then,
    STATE(14203), 1,
      sym_then_clause,
    STATE(20112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838811] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    STATE(17061), 1,
      sym__simple_value_pattern,
    STATE(20113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838828] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28169), 1,
      anon_sym_EQ,
    STATE(20114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838845] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28171), 1,
      sym__lowercase_identifier,
    ACTIONS(28173), 1,
      anon_sym_LPAREN,
    STATE(20115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838862] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28175), 1,
      anon_sym_RPAREN,
    ACTIONS(28177), 1,
      anon_sym_LT_DASH,
    STATE(20116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838879] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28179), 1,
      anon_sym_RPAREN,
    STATE(20117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838896] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27143), 1,
      anon_sym_LPAREN,
    ACTIONS(28181), 1,
      sym__lowercase_identifier,
    STATE(20118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838913] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28183), 1,
      anon_sym_RPAREN,
    STATE(20119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838930] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27325), 1,
      anon_sym_then,
    STATE(9763), 1,
      sym_then_clause,
    STATE(20120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838947] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28185), 1,
      anon_sym_DOT,
    STATE(20121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838964] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28187), 1,
      anon_sym_COLON_GT,
    ACTIONS(28189), 1,
      anon_sym_RPAREN,
    STATE(20122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838981] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20268), 1,
      sym__lowercase_identifier,
    STATE(20123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838998] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28191), 1,
      anon_sym_COLON_GT,
    ACTIONS(28193), 1,
      anon_sym_RPAREN,
    STATE(20124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839015] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28195), 1,
      anon_sym_RPAREN,
    ACTIONS(28197), 1,
      anon_sym_LT_DASH,
    STATE(20125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839032] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28199), 1,
      anon_sym_RPAREN,
    STATE(20126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839049] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27181), 1,
      anon_sym_open,
    STATE(20127), 1,
      sym_attribute,
    STATE(22265), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839066] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28201), 1,
      sym__lowercase_identifier,
    ACTIONS(28203), 1,
      anon_sym_LPAREN,
    STATE(20128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839083] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28205), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [839098] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28207), 1,
      anon_sym_RPAREN,
    STATE(20130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839115] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20131), 1,
      sym_attribute,
    STATE(21314), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839132] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28209), 1,
      anon_sym_EQ,
    STATE(20132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839149] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28211), 1,
      anon_sym_RPAREN,
    ACTIONS(28213), 1,
      anon_sym_LT_DASH,
    STATE(20133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839166] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28215), 1,
      anon_sym_RPAREN,
    ACTIONS(28217), 1,
      anon_sym_SEMI,
    STATE(20134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839183] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28215), 1,
      anon_sym_RBRACK,
    ACTIONS(28219), 1,
      anon_sym_SEMI,
    STATE(20135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839200] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28221), 1,
      anon_sym_RPAREN,
    ACTIONS(28223), 1,
      anon_sym_LT_DASH,
    STATE(20136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839217] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28215), 1,
      anon_sym_RBRACE,
    ACTIONS(28225), 1,
      anon_sym_SEMI,
    STATE(20137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839234] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28227), 1,
      anon_sym_RPAREN,
    STATE(20138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839251] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28229), 1,
      anon_sym_DOT,
    STATE(20139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839268] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28231), 1,
      sym__lowercase_identifier,
    ACTIONS(28233), 1,
      anon_sym_LBRACK,
    STATE(20140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839285] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28235), 1,
      anon_sym_DOT,
    STATE(20141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839302] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28237), 1,
      anon_sym_RPAREN,
    STATE(20142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839319] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20143), 1,
      sym_attribute,
    STATE(21344), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839336] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28239), 1,
      anon_sym_COLON_GT,
    ACTIONS(28241), 1,
      anon_sym_EQ,
    STATE(20144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839353] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28243), 1,
      anon_sym_COLON_GT,
    ACTIONS(28245), 1,
      anon_sym_RPAREN,
    STATE(20145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839370] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28247), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [839385] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28249), 1,
      anon_sym_RPAREN,
    ACTIONS(28251), 1,
      anon_sym_LT_DASH,
    STATE(20147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839402] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27011), 1,
      anon_sym_then,
    STATE(14494), 1,
      sym_then_clause,
    STATE(20148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839419] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28253), 1,
      anon_sym_RPAREN,
    STATE(20149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839436] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20638), 1,
      anon_sym_COLON2,
    STATE(19744), 1,
      sym__polymorphic_typed,
    STATE(20150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839453] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27011), 1,
      anon_sym_then,
    STATE(14338), 1,
      sym_then_clause,
    STATE(20151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839470] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28255), 1,
      sym__lowercase_identifier,
    ACTIONS(28257), 1,
      anon_sym_LPAREN,
    STATE(20152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839487] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20354), 1,
      sym__lowercase_identifier,
    STATE(20153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839504] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28259), 1,
      anon_sym_RPAREN,
    ACTIONS(28261), 1,
      anon_sym_LT_DASH,
    STATE(20154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839521] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28263), 1,
      anon_sym_RPAREN,
    STATE(20155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839538] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28265), 1,
      sym__lowercase_identifier,
    ACTIONS(28267), 1,
      anon_sym_LPAREN,
    STATE(20156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839555] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28269), 1,
      sym__lowercase_identifier,
    STATE(20157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839572] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28271), 1,
      anon_sym_DOT,
    STATE(20158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839589] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28273), 1,
      sym__lowercase_identifier,
    STATE(20159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839606] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26757), 1,
      anon_sym_do,
    STATE(9513), 1,
      sym_do_clause,
    STATE(20160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839623] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28275), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [839638] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28277), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [839653] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28279), 1,
      anon_sym_RPAREN,
    ACTIONS(28281), 1,
      anon_sym_LT_DASH,
    STATE(20163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839670] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(20164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14030), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [839685] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20165), 1,
      sym_attribute,
    STATE(21586), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839702] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24353), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [839717] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28283), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [839732] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28285), 1,
      anon_sym_RPAREN,
    ACTIONS(28287), 1,
      anon_sym_SEMI,
    STATE(20168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839749] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28285), 1,
      anon_sym_RBRACK,
    ACTIONS(28289), 1,
      anon_sym_SEMI,
    STATE(20169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839766] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28291), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [839781] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28285), 1,
      anon_sym_RBRACE,
    ACTIONS(28293), 1,
      anon_sym_SEMI,
    STATE(20171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839798] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20172), 1,
      sym_attribute,
    STATE(21778), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839815] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20173), 1,
      sym_attribute,
    STATE(21614), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839832] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28295), 1,
      anon_sym_RPAREN,
    STATE(20174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839849] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28297), 1,
      anon_sym_RPAREN,
    ACTIONS(28299), 1,
      anon_sym_LT_DASH,
    STATE(20175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839866] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28301), 1,
      anon_sym_RPAREN,
    ACTIONS(28303), 1,
      anon_sym_LT_DASH,
    STATE(20176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839883] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28305), 1,
      anon_sym_EQ,
    STATE(20177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839900] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28307), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [839915] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11272), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(20179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839932] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11297), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(20180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839949] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28309), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [839964] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20900), 1,
      anon_sym_RBRACE,
    ACTIONS(28311), 1,
      anon_sym_SEMI,
    STATE(20182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839981] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26387), 1,
      anon_sym_then,
    STATE(12571), 1,
      sym_then_clause,
    STATE(20183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839998] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28313), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [840013] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28315), 1,
      anon_sym_DOT,
    STATE(20185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840030] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28317), 1,
      anon_sym_DOT,
    STATE(20186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840047] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20798), 1,
      anon_sym_RBRACE,
    ACTIONS(28319), 1,
      anon_sym_SEMI,
    STATE(20187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840064] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28321), 1,
      anon_sym_RPAREN,
    ACTIONS(28323), 1,
      anon_sym_SEMI,
    STATE(20188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840081] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28321), 1,
      anon_sym_RBRACK,
    ACTIONS(28325), 1,
      anon_sym_SEMI,
    STATE(20189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840098] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28321), 1,
      anon_sym_RBRACE,
    ACTIONS(28327), 1,
      anon_sym_SEMI,
    STATE(20190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840115] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28329), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [840130] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28331), 1,
      anon_sym_EQ,
    STATE(20192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840147] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20193), 1,
      sym_attribute,
    STATE(21848), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840164] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28333), 1,
      anon_sym_RPAREN,
    ACTIONS(28335), 1,
      anon_sym_LT_DASH,
    STATE(20194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840181] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28337), 1,
      sym__lowercase_identifier,
    ACTIONS(28339), 1,
      anon_sym_LPAREN,
    STATE(20195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840198] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28341), 1,
      anon_sym_EQ,
    STATE(20196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840215] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28343), 1,
      anon_sym_RPAREN,
    ACTIONS(28345), 1,
      anon_sym_SEMI,
    STATE(20197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840232] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22329), 1,
      sym__lowercase_identifier,
    STATE(17063), 1,
      aux_sym__abstract_type_repeat1,
    STATE(20198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840249] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28343), 1,
      anon_sym_RBRACK,
    ACTIONS(28347), 1,
      anon_sym_SEMI,
    STATE(20199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840266] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28349), 1,
      anon_sym_COLON_GT,
    ACTIONS(28351), 1,
      anon_sym_RPAREN,
    STATE(20200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840283] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20421), 1,
      sym__lowercase_identifier,
    STATE(20201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840300] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28343), 1,
      anon_sym_RBRACE,
    ACTIONS(28353), 1,
      anon_sym_SEMI,
    STATE(20202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840317] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28355), 1,
      anon_sym_RPAREN,
    STATE(20203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840334] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20204), 1,
      sym_attribute,
    STATE(21879), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840351] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28357), 1,
      anon_sym_RPAREN,
    STATE(20205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840368] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28359), 1,
      anon_sym_RPAREN,
    ACTIONS(28361), 1,
      anon_sym_LT_DASH,
    STATE(20206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840385] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28363), 1,
      anon_sym_RPAREN,
    STATE(20207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840402] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28365), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [840417] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28367), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [840432] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19572), 1,
      anon_sym_COMMA,
    ACTIONS(28369), 1,
      anon_sym_COLON,
    STATE(20210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840449] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28371), 1,
      anon_sym_DOT,
    STATE(20211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840466] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28373), 1,
      anon_sym_RPAREN,
    ACTIONS(28375), 1,
      anon_sym_LT_DASH,
    STATE(20212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840483] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27233), 1,
      anon_sym_then,
    STATE(11428), 1,
      sym_then_clause,
    STATE(20213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840500] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28377), 1,
      anon_sym_DOT,
    STATE(20214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840517] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20215), 1,
      sym_attribute,
    STATE(22288), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840534] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28379), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [840549] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28381), 1,
      sym__lowercase_identifier,
    ACTIONS(28383), 1,
      anon_sym_LPAREN,
    STATE(20217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840566] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28385), 1,
      anon_sym_RPAREN,
    ACTIONS(28387), 1,
      anon_sym_LT_DASH,
    STATE(20218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840583] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26721), 1,
      anon_sym_then,
    STATE(14880), 1,
      sym_then_clause,
    STATE(20219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840600] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28389), 1,
      anon_sym_RPAREN,
    ACTIONS(28391), 1,
      anon_sym_LT_DASH,
    STATE(20220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840617] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28393), 1,
      sym__lowercase_identifier,
    STATE(20221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840634] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20222), 1,
      sym_attribute,
    STATE(22272), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840651] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28395), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [840666] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(28397), 1,
      sym__lowercase_identifier,
    STATE(20224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840683] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28399), 1,
      sym__lowercase_identifier,
    ACTIONS(28401), 1,
      anon_sym_LPAREN,
    STATE(20225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840700] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28403), 1,
      anon_sym_DOT,
    STATE(20226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840717] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28405), 1,
      anon_sym_RPAREN,
    ACTIONS(28407), 1,
      anon_sym_SEMI,
    STATE(20227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840734] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28405), 1,
      anon_sym_RBRACK,
    ACTIONS(28409), 1,
      anon_sym_SEMI,
    STATE(20228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840751] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28405), 1,
      anon_sym_RBRACE,
    ACTIONS(28411), 1,
      anon_sym_SEMI,
    STATE(20229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840768] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(28413), 1,
      sym__lowercase_identifier,
    STATE(20230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840785] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28415), 1,
      sym__lowercase_identifier,
    STATE(20231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840802] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20232), 1,
      sym_attribute,
    STATE(22290), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840819] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28417), 1,
      anon_sym_RPAREN,
    STATE(20233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840836] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11146), 1,
      anon_sym_RBRACK,
    ACTIONS(21709), 1,
      anon_sym_PIPE,
    STATE(20234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840853] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28419), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [840868] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26653), 1,
      anon_sym_then,
    STATE(9861), 1,
      sym_then_clause,
    STATE(20236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840885] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28421), 1,
      anon_sym_RPAREN,
    STATE(20237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840902] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28423), 1,
      anon_sym_DOT,
    STATE(20238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840919] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28425), 1,
      sym__lowercase_identifier,
    ACTIONS(28427), 1,
      anon_sym_LPAREN,
    STATE(20239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840936] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28429), 1,
      anon_sym_EQ,
    ACTIONS(28431), 1,
      anon_sym_RPAREN,
    STATE(20240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840953] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28433), 1,
      anon_sym_RPAREN,
    ACTIONS(28435), 1,
      anon_sym_LT_DASH,
    STATE(20241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840970] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27011), 1,
      anon_sym_then,
    STATE(14444), 1,
      sym_then_clause,
    STATE(20242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840987] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28437), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [841002] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28439), 1,
      anon_sym_DOT,
    STATE(20244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841019] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28441), 1,
      anon_sym_EQ,
    ACTIONS(28443), 1,
      anon_sym_RPAREN,
    STATE(20245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841036] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20246), 1,
      sym_attribute,
    STATE(22434), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841053] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28445), 1,
      anon_sym_RPAREN,
    STATE(20247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841070] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28447), 1,
      anon_sym_COLON_GT,
    ACTIONS(28449), 1,
      anon_sym_EQ,
    STATE(20248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841087] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28451), 1,
      anon_sym_COLON_GT,
    ACTIONS(28453), 1,
      anon_sym_RPAREN,
    STATE(20249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841104] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28455), 1,
      anon_sym_RPAREN,
    ACTIONS(28457), 1,
      anon_sym_SEMI,
    STATE(20250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841121] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28455), 1,
      anon_sym_RBRACK,
    ACTIONS(28459), 1,
      anon_sym_SEMI,
    STATE(20251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841138] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28455), 1,
      anon_sym_RBRACE,
    ACTIONS(28461), 1,
      anon_sym_SEMI,
    STATE(20252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841155] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28463), 1,
      anon_sym_RPAREN,
    ACTIONS(28465), 1,
      anon_sym_LT_DASH,
    STATE(20253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841172] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28467), 1,
      anon_sym_DOT,
    STATE(20254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841189] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20255), 1,
      sym_attribute,
    STATE(22450), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841206] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11132), 1,
      anon_sym_COMMA,
    ACTIONS(28469), 1,
      anon_sym_COLON,
    STATE(20256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841223] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(20257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13031), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [841238] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28471), 1,
      anon_sym_RPAREN,
    ACTIONS(28473), 1,
      anon_sym_LT_DASH,
    STATE(20258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841255] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(20259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12843), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [841270] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28475), 1,
      aux_sym_type_variable_token1,
    STATE(9851), 1,
      sym_type_variable,
    STATE(20260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841287] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28477), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [841302] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28479), 1,
      anon_sym_DOT,
    STATE(20262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841319] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28481), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [841334] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28483), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [841349] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20896), 1,
      anon_sym_RBRACE,
    ACTIONS(28485), 1,
      anon_sym_SEMI,
    STATE(20265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841366] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20266), 1,
      sym_attribute,
    STATE(22865), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841383] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28487), 1,
      sym__lowercase_identifier,
    ACTIONS(28489), 1,
      anon_sym_LPAREN,
    STATE(20267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841400] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28491), 1,
      anon_sym_RPAREN,
    STATE(20268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841417] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20269), 1,
      sym_attribute,
    STATE(21599), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841434] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20270), 1,
      sym_attribute,
    STATE(22577), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841451] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28493), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [841466] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28495), 1,
      anon_sym_RPAREN,
    ACTIONS(28497), 1,
      anon_sym_SEMI,
    STATE(20272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841483] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28499), 1,
      sym__lowercase_identifier,
    ACTIONS(28501), 1,
      anon_sym_LBRACK,
    STATE(20273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841500] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26853), 1,
      anon_sym_then,
    STATE(13348), 1,
      sym_then_clause,
    STATE(20274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841517] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28495), 1,
      anon_sym_RBRACK,
    ACTIONS(28503), 1,
      anon_sym_SEMI,
    STATE(20275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841534] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28505), 1,
      anon_sym_then,
    STATE(13100), 1,
      sym_then_clause,
    STATE(20276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841551] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28427), 1,
      anon_sym_LPAREN,
    ACTIONS(28507), 1,
      sym__lowercase_identifier,
    STATE(20277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28267), 1,
      anon_sym_LPAREN,
    ACTIONS(28509), 1,
      sym__lowercase_identifier,
    STATE(20278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841585] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26119), 1,
      anon_sym_then,
    STATE(12224), 1,
      sym_then_clause,
    STATE(20279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841602] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28511), 1,
      anon_sym_RPAREN,
    STATE(20280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841619] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26435), 1,
      anon_sym_LPAREN,
    ACTIONS(28513), 1,
      sym__lowercase_identifier,
    STATE(20281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841636] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28505), 1,
      anon_sym_then,
    STATE(13167), 1,
      sym_then_clause,
    STATE(20282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841653] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28495), 1,
      anon_sym_RBRACE,
    ACTIONS(28515), 1,
      anon_sym_SEMI,
    STATE(20283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841670] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28517), 1,
      anon_sym_RPAREN,
    ACTIONS(28519), 1,
      anon_sym_LT_DASH,
    STATE(20284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841687] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20285), 1,
      sym_attribute,
    STATE(22591), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841704] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28521), 1,
      sym__lowercase_identifier,
    ACTIONS(28523), 1,
      anon_sym_LPAREN,
    STATE(20286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841721] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28525), 1,
      anon_sym_RPAREN,
    STATE(20287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841738] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28527), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [841753] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26575), 1,
      anon_sym_then,
    STATE(14072), 1,
      sym_then_clause,
    STATE(20289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841770] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28529), 1,
      sym__lowercase_identifier,
    STATE(20290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841787] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28531), 1,
      anon_sym_COLON_GT,
    ACTIONS(28533), 1,
      anon_sym_RPAREN,
    STATE(20291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841804] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28535), 1,
      anon_sym_RPAREN,
    ACTIONS(28537), 1,
      anon_sym_LT_DASH,
    STATE(20292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841821] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28539), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [841836] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28541), 1,
      anon_sym_RPAREN,
    ACTIONS(28543), 1,
      anon_sym_LT_DASH,
    STATE(20294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841853] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26037), 1,
      anon_sym_then,
    STATE(14826), 1,
      sym_then_clause,
    STATE(20295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841870] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28545), 1,
      anon_sym_RPAREN,
    STATE(20296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841887] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28547), 1,
      anon_sym_RPAREN,
    ACTIONS(28549), 1,
      anon_sym_LT_DASH,
    STATE(20297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841904] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20298), 1,
      sym_attribute,
    STATE(22932), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841921] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28551), 1,
      anon_sym_SEMI,
    ACTIONS(28553), 1,
      anon_sym_RBRACE,
    STATE(20299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841938] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28555), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [841953] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28557), 1,
      anon_sym_RPAREN,
    STATE(20301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841970] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(28559), 1,
      sym__lowercase_identifier,
    STATE(20302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841987] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28561), 1,
      sym__lowercase_identifier,
    ACTIONS(28563), 1,
      anon_sym_LPAREN,
    STATE(20303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842004] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28565), 1,
      anon_sym_RPAREN,
    ACTIONS(28567), 1,
      anon_sym_LT_DASH,
    STATE(20304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842021] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28505), 1,
      anon_sym_then,
    STATE(13140), 1,
      sym_then_clause,
    STATE(20305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842038] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28569), 1,
      sym__lowercase_identifier,
    ACTIONS(28571), 1,
      anon_sym_LPAREN,
    STATE(20306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842055] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26353), 1,
      anon_sym_then,
    STATE(9963), 1,
      sym_then_clause,
    STATE(20307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842072] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28573), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [842087] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28575), 1,
      anon_sym_DOT,
    STATE(20309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842104] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27651), 1,
      anon_sym_LPAREN,
    ACTIONS(28577), 1,
      sym__lowercase_identifier,
    STATE(20310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842121] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28579), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [842136] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28401), 1,
      anon_sym_LPAREN,
    ACTIONS(28581), 1,
      sym__lowercase_identifier,
    STATE(20312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842153] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28505), 1,
      anon_sym_then,
    STATE(13238), 1,
      sym_then_clause,
    STATE(20313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842170] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28583), 1,
      anon_sym_COLON_GT,
    ACTIONS(28585), 1,
      anon_sym_RPAREN,
    STATE(20314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842187] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28587), 1,
      anon_sym_DOT,
    STATE(20315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842204] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28589), 1,
      sym__lowercase_identifier,
    STATE(20316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842221] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27049), 1,
      anon_sym_then,
    STATE(14331), 1,
      sym_then_clause,
    STATE(20317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842238] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28591), 1,
      anon_sym_COLON_GT,
    ACTIONS(28593), 1,
      anon_sym_RPAREN,
    STATE(20318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842255] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20319), 1,
      sym_attribute,
    STATE(22740), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842272] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28595), 1,
      anon_sym_COLON_GT,
    ACTIONS(28597), 1,
      anon_sym_RPAREN,
    STATE(20320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842289] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28143), 1,
      anon_sym_then,
    STATE(10267), 1,
      sym_then_clause,
    STATE(20321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842306] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28599), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [842321] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28601), 1,
      anon_sym_COLON_GT,
    ACTIONS(28603), 1,
      anon_sym_RPAREN,
    STATE(20323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842338] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20392), 1,
      sym__lowercase_identifier,
    STATE(20324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842355] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20322), 1,
      sym__lowercase_identifier,
    STATE(20325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842372] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28605), 1,
      anon_sym_RPAREN,
    ACTIONS(28607), 1,
      anon_sym_SEMI,
    STATE(20326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842389] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28605), 1,
      anon_sym_RBRACK,
    ACTIONS(28609), 1,
      anon_sym_SEMI,
    STATE(20327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842406] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28605), 1,
      anon_sym_RBRACE,
    ACTIONS(28611), 1,
      anon_sym_SEMI,
    STATE(20328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842423] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28613), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [842438] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20330), 1,
      sym_attribute,
    STATE(22772), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842455] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28615), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [842470] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28617), 1,
      sym__lowercase_identifier,
    ACTIONS(28619), 1,
      anon_sym_LPAREN,
    STATE(20332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842487] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26757), 1,
      anon_sym_do,
    STATE(9679), 1,
      sym_do_clause,
    STATE(20333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842504] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28621), 1,
      anon_sym_DOT,
    STATE(20334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842521] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28623), 1,
      anon_sym_RPAREN,
    ACTIONS(28625), 1,
      anon_sym_LT_DASH,
    STATE(20335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842538] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28627), 1,
      anon_sym_RPAREN,
    STATE(20336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842555] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28629), 1,
      anon_sym_RPAREN,
    ACTIONS(28631), 1,
      anon_sym_LT_DASH,
    STATE(20337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842572] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28633), 1,
      anon_sym_DOT,
    STATE(20338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842589] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28635), 1,
      anon_sym_COLON_GT,
    ACTIONS(28637), 1,
      anon_sym_RPAREN,
    STATE(20339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842606] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28639), 1,
      sym__lowercase_identifier,
    ACTIONS(28641), 1,
      anon_sym_LPAREN,
    STATE(20340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842623] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28143), 1,
      anon_sym_then,
    STATE(10362), 1,
      sym_then_clause,
    STATE(20341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842640] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(28643), 1,
      sym__lowercase_identifier,
    STATE(20342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842657] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28645), 1,
      sym__lowercase_identifier,
    ACTIONS(28647), 1,
      anon_sym_LPAREN,
    STATE(20343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842674] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26357), 1,
      anon_sym_then,
    STATE(14169), 1,
      sym_then_clause,
    STATE(20344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842691] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28649), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [842706] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28651), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [842721] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28653), 1,
      anon_sym_COLON_GT,
    ACTIONS(28655), 1,
      anon_sym_RPAREN,
    STATE(20347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842738] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28657), 1,
      anon_sym_RPAREN,
    STATE(20348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842755] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28659), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [842770] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20314), 1,
      sym__lowercase_identifier,
    STATE(20350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842787] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28661), 1,
      anon_sym_DOT,
    STATE(20351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842804] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20352), 1,
      sym_attribute,
    STATE(22979), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842821] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28663), 1,
      anon_sym_DOT,
    STATE(20353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842838] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28665), 1,
      anon_sym_RPAREN,
    ACTIONS(28667), 1,
      anon_sym_SEMI,
    STATE(20354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842855] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28665), 1,
      anon_sym_RBRACK,
    ACTIONS(28669), 1,
      anon_sym_SEMI,
    STATE(20355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842872] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20356), 1,
      sym_attribute,
    STATE(22018), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842889] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28665), 1,
      anon_sym_RBRACE,
    ACTIONS(28671), 1,
      anon_sym_SEMI,
    STATE(20357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842906] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28673), 1,
      sym__lowercase_identifier,
    ACTIONS(28675), 1,
      anon_sym_LPAREN,
    STATE(20358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842923] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28677), 1,
      anon_sym_COLON_GT,
    ACTIONS(28679), 1,
      anon_sym_EQ,
    STATE(20359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842940] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20360), 1,
      sym_attribute,
    STATE(22810), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842957] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26119), 1,
      anon_sym_then,
    STATE(12185), 1,
      sym_then_clause,
    STATE(20361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842974] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20362), 1,
      sym_attribute,
    STATE(23009), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842991] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27079), 1,
      anon_sym_then,
    STATE(11339), 1,
      sym_then_clause,
    STATE(20363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843008] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27079), 1,
      anon_sym_then,
    STATE(11329), 1,
      sym_then_clause,
    STATE(20364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843025] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28681), 1,
      anon_sym_EQ,
    ACTIONS(28683), 1,
      anon_sym_RPAREN,
    STATE(20365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843042] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28685), 1,
      anon_sym_DOT,
    STATE(20366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843059] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28687), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [843074] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28689), 1,
      sym__lowercase_identifier,
    STATE(20368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843091] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28691), 1,
      anon_sym_EQ,
    STATE(20369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843108] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28693), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [843123] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26259), 1,
      anon_sym_then,
    STATE(14667), 1,
      sym_then_clause,
    STATE(20371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843140] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28695), 1,
      anon_sym_RPAREN,
    ACTIONS(28697), 1,
      anon_sym_LT_DASH,
    STATE(20372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843157] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12757), 1,
      anon_sym_LPAREN,
    ACTIONS(28699), 1,
      anon_sym_DOT,
    STATE(20373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843174] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28701), 1,
      sym__lowercase_identifier,
    STATE(20374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843191] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28563), 1,
      anon_sym_LPAREN,
    ACTIONS(28703), 1,
      sym__lowercase_identifier,
    STATE(20375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843208] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28705), 1,
      anon_sym_RPAREN,
    ACTIONS(28707), 1,
      anon_sym_LT_DASH,
    STATE(20376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843225] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28709), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [843240] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28711), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [843255] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28713), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [843270] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20380), 1,
      sym_attribute,
    STATE(23377), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843287] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(28715), 1,
      sym__lowercase_identifier,
    STATE(20381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843304] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28717), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [843319] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28719), 1,
      anon_sym_SEMI,
    ACTIONS(28721), 1,
      anon_sym_RBRACE,
    STATE(20383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843336] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28143), 1,
      anon_sym_then,
    STATE(10190), 1,
      sym_then_clause,
    STATE(20384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843353] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21377), 1,
      anon_sym_as,
    ACTIONS(28723), 1,
      anon_sym_RPAREN,
    STATE(20385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843370] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28725), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [843385] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26853), 1,
      anon_sym_then,
    STATE(13638), 1,
      sym_then_clause,
    STATE(20387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843402] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28727), 1,
      sym__lowercase_identifier,
    ACTIONS(28729), 1,
      anon_sym_LPAREN,
    STATE(20388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843419] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28731), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [843434] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20390), 1,
      sym_attribute,
    STATE(23208), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843451] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26221), 1,
      anon_sym_do,
    STATE(9518), 1,
      sym_do_clause,
    STATE(20391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843468] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28733), 1,
      anon_sym_COLON_GT,
    ACTIONS(28735), 1,
      anon_sym_RPAREN,
    STATE(20392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843485] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(20384), 1,
      sym__lowercase_identifier,
    STATE(20393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843502] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    ACTIONS(28737), 1,
      sym__lowercase_identifier,
    STATE(20394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843519] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28739), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [843534] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28741), 1,
      sym__lowercase_identifier,
    STATE(20396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843551] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27233), 1,
      anon_sym_then,
    STATE(11486), 1,
      sym_then_clause,
    STATE(20397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843568] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28743), 1,
      anon_sym_RPAREN,
    ACTIONS(28745), 1,
      anon_sym_SEMI,
    STATE(20398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843585] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21139), 1,
      sym__lowercase_identifier,
    STATE(17576), 1,
      sym__simple_value_pattern,
    STATE(20399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843602] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(9232), 1,
      sym__left_quoted_string_delimiter,
    STATE(20400), 1,
      sym_attribute,
    STATE(23259), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843619] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28743), 1,
      anon_sym_RBRACK,
    ACTIONS(28747), 1,
      anon_sym_SEMI,
    STATE(20401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843636] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    ACTIONS(28749), 1,
      sym__lowercase_identifier,
    STATE(20402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843653] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28743), 1,
      anon_sym_RBRACE,
    ACTIONS(28751), 1,
      anon_sym_SEMI,
    STATE(20403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843670] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(20404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(28753), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [843685] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28755), 1,
      anon_sym_RPAREN,
    ACTIONS(28757), 1,
      anon_sym_LT_DASH,
    STATE(20405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843702] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20406), 1,
      sym_attribute,
    STATE(23237), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843719] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28759), 1,
      anon_sym_RPAREN,
    ACTIONS(28761), 1,
      anon_sym_LT_DASH,
    STATE(20407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843736] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20408), 1,
      sym_attribute,
    STATE(23277), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843753] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27595), 1,
      anon_sym_RPAREN,
    ACTIONS(28763), 1,
      anon_sym_SEMI,
    STATE(20409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843770] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28765), 1,
      anon_sym_RPAREN,
    ACTIONS(28767), 1,
      anon_sym_LT_DASH,
    STATE(20410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843787] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27595), 1,
      anon_sym_RBRACK,
    ACTIONS(28769), 1,
      anon_sym_SEMI,
    STATE(20411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843804] = 5,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22325), 1,
      anon_sym_COLON2,
    STATE(20412), 1,
      sym_attribute,
    STATE(21110), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843821] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28771), 1,
      anon_sym_with,
    STATE(20413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843835] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28773), 1,
      anon_sym_RPAREN,
    STATE(20414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843849] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28775), 1,
      anon_sym_DQUOTE,
    STATE(20415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843863] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28777), 1,
      anon_sym_end,
    STATE(20416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843877] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28779), 1,
      anon_sym_RPAREN,
    STATE(20417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843891] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28781), 1,
      anon_sym_RPAREN,
    STATE(20418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843905] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28783), 1,
      anon_sym_RBRACK,
    STATE(20419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843919] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28785), 1,
      anon_sym_RBRACE,
    STATE(20420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843933] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28787), 1,
      anon_sym_RPAREN,
    STATE(20421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843947] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28789), 1,
      anon_sym_RBRACK,
    STATE(20422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843961] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28791), 1,
      anon_sym_RBRACE,
    STATE(20423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843975] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28793), 1,
      anon_sym_DOT,
    STATE(20424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843989] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28683), 1,
      anon_sym_RPAREN,
    STATE(20425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844003] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28795), 1,
      anon_sym_GT,
    STATE(20426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844017] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28797), 1,
      sym__lowercase_identifier,
    STATE(20427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844031] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28799), 1,
      anon_sym_RPAREN,
    STATE(20428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844045] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28801), 1,
      anon_sym_RPAREN,
    STATE(20429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844059] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28803), 1,
      anon_sym_with,
    STATE(20430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844073] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28805), 1,
      anon_sym_RPAREN,
    STATE(20431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844087] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28807), 1,
      anon_sym_with,
    STATE(20432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844101] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28809), 1,
      anon_sym_with,
    STATE(20433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844115] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28811), 1,
      anon_sym_DOT,
    STATE(20434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844129] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28813), 1,
      anon_sym_RPAREN,
    STATE(20435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844143] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28815), 1,
      anon_sym_RPAREN,
    STATE(20436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844157] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28817), 1,
      anon_sym_RPAREN,
    STATE(20437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844171] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13289), 1,
      anon_sym_GT,
    STATE(20438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844185] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28819), 1,
      sym_indexing_operator,
    STATE(20439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844199] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28821), 1,
      anon_sym_RPAREN,
    STATE(20440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844213] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28823), 1,
      anon_sym_RPAREN,
    STATE(20441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844227] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28825), 1,
      anon_sym_RBRACK,
    STATE(20442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844241] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12408), 1,
      anon_sym_COMMA,
    STATE(20443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844255] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28827), 1,
      anon_sym_STAR,
    STATE(20444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844269] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28829), 1,
      anon_sym_with,
    STATE(20445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844283] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28831), 1,
      anon_sym_RBRACE,
    STATE(20446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844297] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28833), 1,
      anon_sym_with,
    STATE(20447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844311] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28835), 1,
      anon_sym_RPAREN,
    STATE(20448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844325] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28837), 1,
      anon_sym_RBRACK,
    STATE(20449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844339] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28839), 1,
      anon_sym_RBRACE,
    STATE(20450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844353] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28841), 1,
      anon_sym_GT,
    STATE(20451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844367] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28843), 1,
      anon_sym_DOT,
    STATE(20452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844381] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28845), 1,
      anon_sym_RPAREN,
    STATE(20453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844395] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28847), 1,
      anon_sym_RPAREN,
    STATE(20454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844409] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28849), 1,
      anon_sym_RPAREN,
    STATE(20455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844423] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28851), 1,
      anon_sym_RPAREN,
    STATE(20456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844437] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28853), 1,
      anon_sym_RPAREN,
    STATE(20457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844451] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28855), 1,
      anon_sym_RPAREN,
    STATE(20458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844465] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11605), 1,
      anon_sym_COMMA,
    STATE(20459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844479] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28857), 1,
      anon_sym_PLUS_EQ,
    STATE(20460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844493] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28859), 1,
      anon_sym_LT_DASH,
    STATE(20461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844507] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28861), 1,
      anon_sym_in,
    STATE(20462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844521] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28863), 1,
      anon_sym_in,
    STATE(20463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844535] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28865), 1,
      anon_sym_in,
    STATE(20464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844549] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28867), 1,
      anon_sym_DASH_GT,
    STATE(20465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844563] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28869), 1,
      anon_sym_RPAREN,
    STATE(20466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844577] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28871), 1,
      anon_sym_RPAREN,
    STATE(20467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844591] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28873), 1,
      anon_sym_RPAREN,
    STATE(20468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844605] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3655), 1,
      anon_sym_RPAREN,
    STATE(20469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844619] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20500), 1,
      anon_sym_COMMA,
    STATE(20470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844633] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28875), 1,
      anon_sym_EQ,
    STATE(20471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844647] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28877), 1,
      anon_sym_RPAREN,
    STATE(20472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844661] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28879), 1,
      anon_sym_RPAREN,
    STATE(20473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844675] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28879), 1,
      anon_sym_RBRACK,
    STATE(20474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844689] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28879), 1,
      anon_sym_RBRACE,
    STATE(20475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844703] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28881), 1,
      anon_sym_DASH_GT,
    STATE(20476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844717] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28883), 1,
      anon_sym_RPAREN,
    STATE(20477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844731] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28885), 1,
      anon_sym_in,
    STATE(20478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844745] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28887), 1,
      anon_sym_RPAREN,
    STATE(20479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844759] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28889), 1,
      anon_sym_RBRACE,
    STATE(20480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844773] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28891), 1,
      anon_sym_RPAREN,
    STATE(20481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844787] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28893), 1,
      anon_sym_RBRACK,
    STATE(20482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844801] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28895), 1,
      anon_sym_RBRACE,
    STATE(20483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844815] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28897), 1,
      anon_sym_of,
    STATE(20484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844829] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28899), 1,
      anon_sym_RPAREN,
    STATE(20485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844843] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28901), 1,
      anon_sym_end,
    STATE(20486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844857] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28903), 1,
      anon_sym_RPAREN,
    STATE(20487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844871] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28905), 1,
      anon_sym_DOT,
    STATE(20488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844885] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28907), 1,
      anon_sym_RPAREN,
    STATE(20489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844899] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28909), 1,
      anon_sym_DASH_GT,
    STATE(20490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844913] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28911), 1,
      anon_sym_RPAREN,
    STATE(20491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844927] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28913), 1,
      anon_sym_RBRACE,
    STATE(20492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844941] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28915), 1,
      anon_sym_RPAREN,
    STATE(20493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844955] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28917), 1,
      anon_sym_with,
    STATE(20494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844969] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28919), 1,
      anon_sym_RBRACE,
    STATE(20495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844983] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28921), 1,
      sym__lowercase_identifier,
    STATE(20496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844997] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28923), 1,
      anon_sym_with,
    STATE(20497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845011] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28925), 1,
      anon_sym_DOT,
    STATE(20498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845025] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28927), 1,
      anon_sym_RPAREN,
    STATE(20499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845039] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28929), 1,
      anon_sym_RBRACK,
    STATE(20500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845053] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28931), 1,
      anon_sym_RBRACE,
    STATE(20501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845067] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23672), 1,
      anon_sym_GT_RBRACE,
    STATE(20502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845081] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11770), 1,
      anon_sym_COMMA,
    STATE(20503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845095] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28933), 1,
      anon_sym_EQ,
    STATE(20504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845109] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(16873), 1,
      anon_sym_COMMA,
    STATE(20505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845123] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28935), 1,
      anon_sym_RPAREN,
    STATE(20506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845137] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28937), 1,
      anon_sym_LT_DASH,
    STATE(20507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845151] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28939), 1,
      anon_sym_STAR,
    STATE(20508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845165] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28941), 1,
      anon_sym_with,
    STATE(20509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845179] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6081), 1,
      anon_sym_end,
    STATE(20510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845193] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28943), 1,
      anon_sym_with,
    STATE(20511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845207] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28945), 1,
      anon_sym_in,
    STATE(20512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845221] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28947), 1,
      anon_sym_in,
    STATE(20513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845235] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28949), 1,
      anon_sym_in,
    STATE(20514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845249] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28951), 1,
      anon_sym_RPAREN,
    STATE(20515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845263] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28953), 1,
      anon_sym_DOT,
    STATE(20516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845277] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22485), 1,
      anon_sym_end,
    STATE(20517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845291] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28955), 1,
      anon_sym_RPAREN,
    STATE(20518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845305] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13350), 1,
      anon_sym_GT,
    STATE(20519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845319] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28957), 1,
      anon_sym_in,
    STATE(20520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845333] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28959), 1,
      anon_sym_RPAREN,
    STATE(20521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845347] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28961), 1,
      anon_sym_in,
    STATE(20522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845361] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28963), 1,
      anon_sym_SQUOTE2,
    STATE(20523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845375] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28965), 1,
      anon_sym_DQUOTE,
    STATE(20524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845389] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28967), 1,
      anon_sym_RPAREN,
    STATE(20525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845403] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17812), 1,
      anon_sym_COMMA,
    STATE(20526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845417] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28969), 1,
      sym__lowercase_identifier,
    STATE(20527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845431] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28971), 1,
      anon_sym_LT_DASH,
    STATE(20528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845445] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28973), 1,
      anon_sym_in,
    STATE(20529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845459] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28975), 1,
      anon_sym_in,
    STATE(20530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845473] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28977), 1,
      anon_sym_in,
    STATE(20531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845487] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28979), 1,
      anon_sym_RBRACE,
    STATE(20532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845501] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28981), 1,
      anon_sym_RPAREN,
    STATE(20533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845515] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13121), 1,
      anon_sym_GT,
    STATE(20534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845529] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28983), 1,
      anon_sym_in,
    STATE(20535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845543] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28985), 1,
      anon_sym_RPAREN,
    STATE(20536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845557] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28987), 1,
      anon_sym_RPAREN,
    STATE(20537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845571] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28987), 1,
      anon_sym_RBRACK,
    STATE(20538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845585] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28987), 1,
      anon_sym_RBRACE,
    STATE(20539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845599] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28989), 1,
      anon_sym_RPAREN,
    STATE(20540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845613] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28991), 1,
      anon_sym_LT_DASH,
    STATE(20541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845627] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    STATE(20542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845641] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28993), 1,
      anon_sym_end,
    STATE(20543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845655] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28995), 1,
      anon_sym_DASH_GT,
    STATE(20544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845669] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28997), 1,
      anon_sym_in,
    STATE(20545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845683] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6049), 1,
      anon_sym_end,
    STATE(20546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845697] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28999), 1,
      aux_sym_number_token1,
    STATE(20547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845711] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29001), 1,
      anon_sym_done,
    STATE(20548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845725] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25152), 1,
      anon_sym_GT_RBRACE,
    STATE(20549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845739] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29003), 1,
      anon_sym_RBRACK,
    STATE(20550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845753] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29005), 1,
      anon_sym_RBRACE,
    STATE(20551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845767] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29007), 1,
      anon_sym_DOT,
    STATE(20552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845781] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22145), 1,
      anon_sym_end,
    STATE(20553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845795] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29009), 1,
      anon_sym_in,
    STATE(20554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845809] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29011), 1,
      anon_sym_SQUOTE2,
    STATE(20555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845823] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29013), 1,
      anon_sym_DQUOTE,
    STATE(20556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845837] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29015), 1,
      anon_sym_DASH_GT,
    STATE(20557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845851] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29017), 1,
      anon_sym_with,
    STATE(20558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845865] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29019), 1,
      anon_sym_RBRACE,
    STATE(20559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845879] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29021), 1,
      sym__lowercase_identifier,
    STATE(20560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845893] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29023), 1,
      anon_sym_with,
    STATE(20561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845907] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29025), 1,
      anon_sym_DOT,
    STATE(20562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845921] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29027), 1,
      anon_sym_in,
    STATE(20563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845935] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29029), 1,
      anon_sym_end,
    STATE(20564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845949] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29031), 1,
      anon_sym_RPAREN,
    STATE(20565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845963] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24190), 1,
      anon_sym_GT_RBRACE,
    STATE(20566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845977] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29033), 1,
      anon_sym_RBRACK,
    STATE(20567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845991] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29035), 1,
      anon_sym_RBRACE,
    STATE(20568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846005] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22506), 1,
      anon_sym_end,
    STATE(20569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846019] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29037), 1,
      anon_sym_RPAREN,
    STATE(20570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846033] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29039), 1,
      anon_sym_SQUOTE2,
    STATE(20571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846047] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29041), 1,
      anon_sym_with,
    STATE(20572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846061] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29043), 1,
      anon_sym_DQUOTE,
    STATE(20573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846075] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29045), 1,
      anon_sym_with,
    STATE(20574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846089] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29047), 1,
      anon_sym_in,
    STATE(20575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846103] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_GT,
    STATE(20576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846117] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29049), 1,
      anon_sym_end,
    STATE(20577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846131] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29051), 1,
      sym__lowercase_identifier,
    STATE(20578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846145] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29053), 1,
      anon_sym_DOT,
    STATE(20579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846159] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29055), 1,
      sym__lowercase_identifier,
    STATE(20580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846173] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29057), 1,
      anon_sym_RBRACK,
    STATE(20581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846187] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13073), 1,
      anon_sym_DASH_GT,
    STATE(20582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846201] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29059), 1,
      anon_sym_RBRACE,
    STATE(20583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846215] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29061), 1,
      anon_sym_RPAREN,
    STATE(20584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846229] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22175), 1,
      anon_sym_end,
    STATE(20585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846243] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29063), 1,
      anon_sym_RPAREN,
    STATE(20586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846257] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29065), 1,
      anon_sym_GT,
    STATE(20587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846271] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29067), 1,
      anon_sym_DASH_GT,
    STATE(20588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846285] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29069), 1,
      sym__uppercase_identifier,
    STATE(20589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846299] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29071), 1,
      anon_sym_RPAREN,
    STATE(20590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846313] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29073), 1,
      anon_sym_RPAREN,
    STATE(20591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846327] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29075), 1,
      anon_sym_RBRACK,
    STATE(20592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846341] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29077), 1,
      anon_sym_RPAREN,
    STATE(20593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846355] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29079), 1,
      anon_sym_RPAREN,
    STATE(20594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846369] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29081), 1,
      anon_sym_RPAREN,
    STATE(20595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846383] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29083), 1,
      anon_sym_DASH_GT,
    STATE(20596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846397] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29085), 1,
      anon_sym_RPAREN,
    STATE(20597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846411] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29087), 1,
      anon_sym_COMMA,
    STATE(20598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846425] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29089), 1,
      anon_sym_RPAREN,
    STATE(20599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846439] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29091), 1,
      anon_sym_RPAREN,
    STATE(20600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846453] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29091), 1,
      anon_sym_RBRACK,
    STATE(20601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846467] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29091), 1,
      anon_sym_RBRACE,
    STATE(20602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846481] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29093), 1,
      anon_sym_DASH_GT,
    STATE(20603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846495] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29095), 1,
      anon_sym_RBRACK,
    STATE(20604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846509] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29097), 1,
      anon_sym_end,
    STATE(20605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846523] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29099), 1,
      anon_sym_RBRACK,
    STATE(20606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846537] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29101), 1,
      anon_sym_RBRACE,
    STATE(20607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846551] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29103), 1,
      anon_sym_DASH_GT,
    STATE(20608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846565] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29105), 1,
      anon_sym_RPAREN,
    STATE(20609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846579] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13291), 1,
      anon_sym_DASH_GT,
    STATE(20610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846593] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29107), 1,
      anon_sym_RPAREN,
    STATE(20611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846607] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29109), 1,
      anon_sym_RBRACE,
    STATE(20612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846621] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29111), 1,
      anon_sym_RBRACE,
    STATE(20613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846635] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29113), 1,
      anon_sym_RPAREN,
    STATE(20614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846649] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29115), 1,
      anon_sym_DOT,
    STATE(20615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846663] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29117), 1,
      anon_sym_RBRACK,
    STATE(20616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846677] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29119), 1,
      anon_sym_RBRACE,
    STATE(20617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846691] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29121), 1,
      anon_sym_DASH_GT,
    STATE(20618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846705] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29123), 1,
      anon_sym_RPAREN,
    STATE(20619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846719] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29125), 1,
      anon_sym_RPAREN,
    STATE(20620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846733] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29127), 1,
      anon_sym_with,
    STATE(20621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846747] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29129), 1,
      anon_sym_RPAREN,
    STATE(20622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846761] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29131), 1,
      anon_sym_RBRACK,
    STATE(20623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846775] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29133), 1,
      anon_sym_with,
    STATE(20624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846789] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29135), 1,
      anon_sym_DOT,
    STATE(20625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846803] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29137), 1,
      anon_sym_RPAREN,
    STATE(20626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846817] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29139), 1,
      anon_sym_RPAREN,
    STATE(20627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846831] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29141), 1,
      anon_sym_end,
    STATE(20628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846845] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29143), 1,
      anon_sym_RBRACK,
    STATE(20629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846859] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20248), 1,
      anon_sym_GT,
    STATE(20630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846873] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29145), 1,
      anon_sym_RBRACE,
    STATE(20631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846887] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29147), 1,
      sym__lowercase_identifier,
    STATE(20632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846901] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29149), 1,
      anon_sym_DASH_GT,
    STATE(20633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846915] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29151), 1,
      anon_sym_RPAREN,
    STATE(20634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846929] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29153), 1,
      anon_sym_with,
    STATE(20635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846943] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29155), 1,
      anon_sym_RPAREN,
    STATE(20636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846957] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29157), 1,
      anon_sym_with,
    STATE(20637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846971] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29159), 1,
      anon_sym_DASH_GT,
    STATE(20638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846985] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29161), 1,
      anon_sym_RPAREN,
    STATE(20639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846999] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29163), 1,
      anon_sym_RPAREN,
    STATE(20640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847013] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29165), 1,
      anon_sym_DASH_GT,
    STATE(20641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847027] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29167), 1,
      anon_sym_DOT,
    STATE(20642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847041] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29169), 1,
      anon_sym_RPAREN,
    STATE(20643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847055] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29171), 1,
      anon_sym_RBRACK,
    STATE(20644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847069] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29173), 1,
      anon_sym_RBRACE,
    STATE(20645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847083] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15888), 1,
      anon_sym_COMMA,
    STATE(20646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847097] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29175), 1,
      anon_sym_RPAREN,
    STATE(20647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847111] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29177), 1,
      anon_sym_RBRACK,
    STATE(20648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847125] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29179), 1,
      anon_sym_RBRACE,
    STATE(20649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847139] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29181), 1,
      anon_sym_RPAREN,
    STATE(20650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847153] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29183), 1,
      anon_sym_RBRACK,
    STATE(20651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847167] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29185), 1,
      anon_sym_RBRACE,
    STATE(20652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847181] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29187), 1,
      anon_sym_RBRACE,
    STATE(20653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847195] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29189), 1,
      anon_sym_LT_DASH,
    STATE(20654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847209] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29191), 1,
      anon_sym_RPAREN,
    STATE(20655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847223] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20236), 1,
      anon_sym_GT,
    STATE(20656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847237] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29193), 1,
      anon_sym_RPAREN,
    STATE(20657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847251] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29195), 1,
      sym__lowercase_identifier,
    STATE(20658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847265] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29197), 1,
      anon_sym_RPAREN,
    STATE(20659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847279] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29199), 1,
      anon_sym_RPAREN,
    STATE(20660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847293] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29201), 1,
      anon_sym_DASH_GT,
    STATE(20661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847307] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29203), 1,
      anon_sym_RPAREN,
    STATE(20662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847321] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29205), 1,
      anon_sym_RPAREN,
    STATE(20663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847335] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29205), 1,
      anon_sym_RBRACK,
    STATE(20664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847349] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29205), 1,
      anon_sym_RBRACE,
    STATE(20665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847363] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29207), 1,
      anon_sym_RBRACK,
    STATE(20666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847377] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29209), 1,
      anon_sym_RBRACE,
    STATE(20667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847391] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27809), 1,
      anon_sym_RBRACE,
    STATE(20668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847405] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29211), 1,
      anon_sym_RPAREN,
    STATE(20669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847419] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29213), 1,
      anon_sym_RPAREN,
    STATE(20670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847433] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28059), 1,
      anon_sym_RBRACE,
    STATE(20671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847447] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29215), 1,
      anon_sym_in,
    STATE(20672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847461] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29217), 1,
      anon_sym_RBRACE,
    STATE(20673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847475] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29219), 1,
      anon_sym_DOT,
    STATE(20674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847489] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29221), 1,
      anon_sym_RPAREN,
    STATE(20675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847503] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29223), 1,
      anon_sym_RPAREN,
    STATE(20676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847517] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29225), 1,
      anon_sym_RBRACK,
    STATE(20677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847531] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29227), 1,
      anon_sym_RBRACE,
    STATE(20678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847545] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29229), 1,
      anon_sym_with,
    STATE(20679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847559] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29231), 1,
      anon_sym_with,
    STATE(20680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847573] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29233), 1,
      anon_sym_DOT,
    STATE(20681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847587] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29235), 1,
      anon_sym_in,
    STATE(20682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847601] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17153), 1,
      anon_sym_COMMA,
    STATE(20683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847615] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29237), 1,
      anon_sym_RPAREN,
    STATE(20684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847629] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29239), 1,
      anon_sym_LT_DASH,
    STATE(20685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847643] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29241), 1,
      anon_sym_in,
    STATE(20686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847657] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29243), 1,
      anon_sym_RPAREN,
    STATE(20687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847671] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29245), 1,
      anon_sym_RPAREN,
    STATE(20688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847685] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29247), 1,
      anon_sym_in,
    STATE(20689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847699] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29249), 1,
      anon_sym_in,
    STATE(20690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847713] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29251), 1,
      anon_sym_with,
    STATE(20691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847727] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29253), 1,
      anon_sym_with,
    STATE(20692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847741] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29255), 1,
      anon_sym_RPAREN,
    STATE(20693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847755] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29257), 1,
      anon_sym_RPAREN,
    STATE(20694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847769] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29259), 1,
      anon_sym_RPAREN,
    STATE(20695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847783] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29261), 1,
      anon_sym_RPAREN,
    STATE(20696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847797] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29263), 1,
      anon_sym_DOT,
    STATE(20697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847811] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29265), 1,
      anon_sym_RBRACK,
    STATE(20698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847825] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29267), 1,
      anon_sym_RBRACE,
    STATE(20699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847839] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29269), 1,
      anon_sym_RPAREN,
    STATE(20700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847853] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29271), 1,
      anon_sym_in,
    STATE(20701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847867] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29273), 1,
      anon_sym_RPAREN,
    STATE(20702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847881] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29275), 1,
      anon_sym_RBRACK,
    STATE(20703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847895] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3675), 1,
      anon_sym_RPAREN,
    STATE(20704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847909] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29277), 1,
      anon_sym_RPAREN,
    STATE(20705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847923] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3629), 1,
      anon_sym_RPAREN,
    STATE(20706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847937] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29279), 1,
      anon_sym_in,
    STATE(20707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847951] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    STATE(20708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847965] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29281), 1,
      anon_sym_RPAREN,
    STATE(20709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847979] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13063), 1,
      anon_sym_GT,
    STATE(20710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847993] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13462), 1,
      anon_sym_COMMA,
    STATE(20711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848007] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29283), 1,
      anon_sym_RPAREN,
    STATE(20712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848021] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29285), 1,
      anon_sym_RPAREN,
    STATE(20713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848035] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29287), 1,
      anon_sym_RPAREN,
    STATE(20714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848049] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29289), 1,
      anon_sym_LT_DASH,
    STATE(20715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848063] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29291), 1,
      anon_sym_RBRACK,
    STATE(20716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848077] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29293), 1,
      anon_sym_RPAREN,
    STATE(20717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848091] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29295), 1,
      anon_sym_RPAREN,
    STATE(20718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848105] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29295), 1,
      anon_sym_RBRACK,
    STATE(20719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848119] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29295), 1,
      anon_sym_RBRACE,
    STATE(20720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848133] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29297), 1,
      anon_sym_in,
    STATE(20721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848147] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29299), 1,
      anon_sym_in,
    STATE(20722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848161] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29301), 1,
      anon_sym_RBRACE,
    STATE(20723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848175] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29303), 1,
      anon_sym_RPAREN,
    STATE(20724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848189] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29305), 1,
      anon_sym_in,
    STATE(20725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848203] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29307), 1,
      anon_sym_RPAREN,
    STATE(20726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848217] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29309), 1,
      anon_sym_RPAREN,
    STATE(20727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848231] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    STATE(20728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848245] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29311), 1,
      anon_sym_DOT,
    STATE(20729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848259] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29313), 1,
      anon_sym_LT_DASH,
    STATE(20730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848273] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29315), 1,
      anon_sym_GT,
    STATE(20731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848287] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3627), 1,
      anon_sym_RPAREN,
    STATE(20732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848301] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29317), 1,
      anon_sym_in,
    STATE(20733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848315] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29319), 1,
      anon_sym_with,
    STATE(20734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848329] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29321), 1,
      anon_sym_with,
    STATE(20735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848343] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29323), 1,
      anon_sym_DOT,
    STATE(20736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848357] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29325), 1,
      anon_sym_in,
    STATE(20737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848371] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29327), 1,
      anon_sym_in,
    STATE(20738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848385] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29329), 1,
      anon_sym_RPAREN,
    STATE(20739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848399] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13338), 1,
      anon_sym_GT,
    STATE(20740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848413] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29331), 1,
      anon_sym_DASH_GT,
    STATE(20741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848427] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29333), 1,
      anon_sym_RPAREN,
    STATE(20742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848441] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29335), 1,
      anon_sym_in,
    STATE(20743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848455] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29337), 1,
      anon_sym_RBRACE,
    STATE(20744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848469] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29339), 1,
      anon_sym_in,
    STATE(20745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848483] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29341), 1,
      anon_sym_with,
    STATE(20746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848497] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29343), 1,
      anon_sym_with,
    STATE(20747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848511] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29345), 1,
      anon_sym_DASH_GT,
    STATE(20748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848525] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29347), 1,
      anon_sym_RPAREN,
    STATE(20749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848539] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29349), 1,
      anon_sym_RBRACE,
    STATE(20750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848553] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29351), 1,
      anon_sym_DASH_GT,
    STATE(20751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848567] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29353), 1,
      anon_sym_DOT,
    STATE(20752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848581] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13245), 1,
      anon_sym_GT,
    STATE(20753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848595] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29355), 1,
      anon_sym_in,
    STATE(20754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848609] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29357), 1,
      anon_sym_RBRACE,
    STATE(20755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848623] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29359), 1,
      anon_sym_GT,
    STATE(20756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848637] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29361), 1,
      anon_sym_RPAREN,
    STATE(20757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848651] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18464), 1,
      anon_sym_COMMA,
    STATE(20758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848665] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29363), 1,
      anon_sym_RPAREN,
    STATE(20759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848679] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24402), 1,
      anon_sym_GT_RBRACE,
    STATE(20760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848693] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29365), 1,
      anon_sym_RBRACE,
    STATE(20761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848707] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29367), 1,
      anon_sym_LT_DASH,
    STATE(20762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848721] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23786), 1,
      anon_sym_GT_RBRACE,
    STATE(20763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848735] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23190), 1,
      anon_sym_end,
    STATE(20764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848749] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22584), 1,
      anon_sym_end,
    STATE(20765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848763] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29369), 1,
      anon_sym_RPAREN,
    STATE(20766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848777] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13211), 1,
      anon_sym_GT,
    STATE(20767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848791] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29371), 1,
      anon_sym_SQUOTE2,
    STATE(20768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848805] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29373), 1,
      sym__lowercase_identifier,
    STATE(20769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848819] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29375), 1,
      anon_sym_DQUOTE,
    STATE(20770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848833] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29377), 1,
      anon_sym_RPAREN,
    STATE(20771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848847] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29379), 1,
      anon_sym_RPAREN,
    STATE(20772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848861] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29379), 1,
      anon_sym_RBRACK,
    STATE(20773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848875] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29379), 1,
      anon_sym_RBRACE,
    STATE(20774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848889] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6039), 1,
      anon_sym_end,
    STATE(20775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848903] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29381), 1,
      anon_sym_SQUOTE2,
    STATE(20776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848917] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29383), 1,
      aux_sym_number_token1,
    STATE(20777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848931] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29385), 1,
      anon_sym_in,
    STATE(20778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848945] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29387), 1,
      anon_sym_in,
    STATE(20779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848959] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8813), 1,
      anon_sym_RBRACK,
    STATE(20780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848973] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29389), 1,
      anon_sym_in,
    STATE(20781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848987] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29391), 1,
      anon_sym_RPAREN,
    STATE(20782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849001] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29393), 1,
      anon_sym_DOT,
    STATE(20783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849015] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28019), 1,
      anon_sym_RBRACE,
    STATE(20784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849029] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(8877), 1,
      anon_sym_COMMA,
    STATE(20785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849043] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29395), 1,
      anon_sym_RPAREN,
    STATE(20786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849057] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29397), 1,
      anon_sym_RBRACE,
    STATE(20787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849071] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29399), 1,
      anon_sym_with,
    STATE(20788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849085] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29401), 1,
      anon_sym_with,
    STATE(20789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849099] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29403), 1,
      anon_sym_DOT,
    STATE(20790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849113] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29405), 1,
      sym__lowercase_identifier,
    STATE(20791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849127] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29407), 1,
      anon_sym_RPAREN,
    STATE(20792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849141] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29409), 1,
      anon_sym_DASH_GT,
    STATE(20793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849155] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29411), 1,
      anon_sym_RBRACK,
    STATE(20794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849169] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29413), 1,
      anon_sym_DQUOTE,
    STATE(20795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849183] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29415), 1,
      anon_sym_in,
    STATE(20796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849197] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29417), 1,
      anon_sym_RPAREN,
    STATE(20797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849211] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29419), 1,
      sym__lowercase_identifier,
    STATE(20798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849225] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29421), 1,
      anon_sym_GT,
    STATE(20799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849239] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29423), 1,
      anon_sym_with,
    STATE(20800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849253] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29425), 1,
      anon_sym_with,
    STATE(20801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849267] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29427), 1,
      anon_sym_end,
    STATE(20802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849281] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29429), 1,
      anon_sym_RBRACK,
    STATE(20803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849295] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29431), 1,
      anon_sym_RPAREN,
    STATE(20804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849309] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29433), 1,
      anon_sym_RBRACE,
    STATE(20805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849323] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29435), 1,
      anon_sym_DOT,
    STATE(20806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849337] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29437), 1,
      anon_sym_RBRACE,
    STATE(20807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849351] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29439), 1,
      anon_sym_RBRACE,
    STATE(20808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849365] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29441), 1,
      anon_sym_RBRACE,
    STATE(20809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849379] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29443), 1,
      anon_sym_RPAREN,
    STATE(20810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849393] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29445), 1,
      anon_sym_RPAREN,
    STATE(20811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849407] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29447), 1,
      sym__lowercase_identifier,
    STATE(20812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849421] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29449), 1,
      anon_sym_in,
    STATE(20813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849435] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29451), 1,
      anon_sym_RPAREN,
    STATE(20814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849449] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29453), 1,
      anon_sym_DASH_GT,
    STATE(20815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849463] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29455), 1,
      anon_sym_RPAREN,
    STATE(20816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849477] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29457), 1,
      anon_sym_end,
    STATE(20817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849491] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25420), 1,
      anon_sym_GT_RBRACE,
    STATE(20818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849505] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29459), 1,
      anon_sym_RBRACK,
    STATE(20819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849519] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29461), 1,
      anon_sym_RBRACE,
    STATE(20820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849533] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29463), 1,
      anon_sym_RBRACK,
    STATE(20821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849547] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22204), 1,
      anon_sym_end,
    STATE(20822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849561] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29465), 1,
      anon_sym_RBRACE,
    STATE(20823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849575] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14338), 1,
      anon_sym_COMMA,
    STATE(20824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849589] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29467), 1,
      anon_sym_LT_DASH,
    STATE(20825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849603] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29469), 1,
      anon_sym_RPAREN,
    STATE(20826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849617] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29471), 1,
      anon_sym_RPAREN,
    STATE(20827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849631] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29471), 1,
      anon_sym_RBRACK,
    STATE(20828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849645] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29471), 1,
      anon_sym_RBRACE,
    STATE(20829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849659] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29473), 1,
      anon_sym_end,
    STATE(20830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849673] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29475), 1,
      anon_sym_RBRACK,
    STATE(20831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849687] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29477), 1,
      anon_sym_in,
    STATE(20832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849701] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17612), 1,
      anon_sym_COMMA,
    STATE(20833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849715] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29479), 1,
      anon_sym_LT_DASH,
    STATE(20834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849729] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29481), 1,
      anon_sym_in,
    STATE(20835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849743] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15812), 1,
      anon_sym_COMMA,
    STATE(20836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849757] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29483), 1,
      anon_sym_in,
    STATE(20837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849771] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29485), 1,
      anon_sym_DOT,
    STATE(20838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849785] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29487), 1,
      anon_sym_in,
    STATE(20839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849799] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29489), 1,
      anon_sym_LT_DASH,
    STATE(20840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849813] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29491), 1,
      anon_sym_RPAREN,
    STATE(20841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849827] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29493), 1,
      anon_sym_in,
    STATE(20842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849841] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29495), 1,
      anon_sym_with,
    STATE(20843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849855] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29497), 1,
      anon_sym_with,
    STATE(20844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849869] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29499), 1,
      anon_sym_DOT,
    STATE(20845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849883] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29501), 1,
      anon_sym_RPAREN,
    STATE(20846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849897] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17267), 1,
      anon_sym_COMMA,
    STATE(20847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849911] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29503), 1,
      anon_sym_LT_DASH,
    STATE(20848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849925] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29505), 1,
      sym__lowercase_identifier,
    STATE(20849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849939] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29507), 1,
      anon_sym_in,
    STATE(20850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849953] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29509), 1,
      anon_sym_in,
    STATE(20851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849967] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29511), 1,
      anon_sym_in,
    STATE(20852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849981] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29513), 1,
      anon_sym_in,
    STATE(20853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849995] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29515), 1,
      anon_sym_EQ,
    STATE(20854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850009] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29517), 1,
      anon_sym_with,
    STATE(20855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850023] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29519), 1,
      anon_sym_with,
    STATE(20856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850037] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29521), 1,
      anon_sym_in,
    STATE(20857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850051] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29523), 1,
      anon_sym_in,
    STATE(20858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850065] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29525), 1,
      anon_sym_RBRACE,
    STATE(20859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850079] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29527), 1,
      anon_sym_RPAREN,
    STATE(20860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850093] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29529), 1,
      anon_sym_DOT,
    STATE(20861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850107] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29531), 1,
      anon_sym_DASH_GT,
    STATE(20862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850121] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29533), 1,
      anon_sym_RBRACE,
    STATE(20863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850135] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29535), 1,
      anon_sym_DASH_GT,
    STATE(20864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850149] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13251), 1,
      anon_sym_GT,
    STATE(20865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850163] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29537), 1,
      anon_sym_RPAREN,
    STATE(20866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850177] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29539), 1,
      anon_sym_with,
    STATE(20867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850191] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3691), 1,
      anon_sym_RPAREN,
    STATE(20868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850205] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29541), 1,
      anon_sym_DOT,
    STATE(20869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850219] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29543), 1,
      anon_sym_DASH_GT,
    STATE(20870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850233] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29545), 1,
      anon_sym_in,
    STATE(20871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850247] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29547), 1,
      anon_sym_RPAREN,
    STATE(20872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850261] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29549), 1,
      anon_sym_SQUOTE2,
    STATE(20873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850275] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24316), 1,
      anon_sym_GT_RBRACE,
    STATE(20874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850289] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29551), 1,
      anon_sym_DQUOTE,
    STATE(20875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850303] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22578), 1,
      anon_sym_end,
    STATE(20876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850317] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29553), 1,
      anon_sym_RPAREN,
    STATE(20877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850331] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29555), 1,
      anon_sym_PLUS_EQ,
    STATE(20878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850345] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29557), 1,
      anon_sym_RBRACE,
    STATE(20879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850359] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29559), 1,
      anon_sym_SQUOTE2,
    STATE(20880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850373] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29561), 1,
      anon_sym_RPAREN,
    STATE(20881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850387] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29563), 1,
      anon_sym_RPAREN,
    STATE(20882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850401] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29563), 1,
      anon_sym_RBRACK,
    STATE(20883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850415] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29563), 1,
      anon_sym_RBRACE,
    STATE(20884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850429] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29565), 1,
      anon_sym_RBRACE,
    STATE(20885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850443] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29567), 1,
      anon_sym_GT,
    STATE(20886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850457] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29569), 1,
      anon_sym_DQUOTE,
    STATE(20887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850471] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      sym__uppercase_identifier,
    STATE(20888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850485] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29571), 1,
      sym__lowercase_identifier,
    STATE(20889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850499] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29573), 1,
      sym__lowercase_identifier,
    STATE(20890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850513] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29575), 1,
      anon_sym_DASH_GT,
    STATE(20891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850527] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29577), 1,
      anon_sym_RPAREN,
    STATE(20892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850541] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29579), 1,
      anon_sym_DOT,
    STATE(20893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850555] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2661), 1,
      anon_sym_RPAREN,
    STATE(20894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850569] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29581), 1,
      anon_sym_RPAREN,
    STATE(20895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850583] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15541), 1,
      anon_sym_COMMA,
    STATE(20896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850597] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29583), 1,
      anon_sym_LT_DASH,
    STATE(20897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850611] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29585), 1,
      anon_sym_with,
    STATE(20898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850625] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29587), 1,
      anon_sym_with,
    STATE(20899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850639] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29589), 1,
      anon_sym_DOT,
    STATE(20900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850653] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29591), 1,
      anon_sym_DOT,
    STATE(20901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850667] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24932), 1,
      anon_sym_GT_RBRACE,
    STATE(20902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850681] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29593), 1,
      anon_sym_RBRACE,
    STATE(20903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850695] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29595), 1,
      anon_sym_RPAREN,
    STATE(20904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850709] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25954), 1,
      anon_sym_GT_RBRACE,
    STATE(20905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850723] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29597), 1,
      anon_sym_RBRACK,
    STATE(20906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850737] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29599), 1,
      anon_sym_with,
    STATE(20907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850751] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29601), 1,
      anon_sym_RPAREN,
    STATE(20908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850765] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25964), 1,
      anon_sym_GT_RBRACE,
    STATE(20909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850779] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29603), 1,
      anon_sym_RBRACE,
    STATE(20910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850793] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29605), 1,
      anon_sym_DASH_GT,
    STATE(20911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850807] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29607), 1,
      anon_sym_end,
    STATE(20912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850821] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29609), 1,
      anon_sym_DOT,
    STATE(20913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850835] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29611), 1,
      anon_sym_DOT,
    STATE(20914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850849] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22522), 1,
      anon_sym_end,
    STATE(20915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850863] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29613), 1,
      anon_sym_DOT,
    STATE(20916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850877] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22479), 1,
      anon_sym_end,
    STATE(20917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850891] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29615), 1,
      anon_sym_RPAREN,
    STATE(20918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850905] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29617), 1,
      anon_sym_SQUOTE2,
    STATE(20919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850919] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29619), 1,
      anon_sym_DQUOTE,
    STATE(20920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850933] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29621), 1,
      anon_sym_RPAREN,
    STATE(20921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850947] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29623), 1,
      anon_sym_RBRACK,
    STATE(20922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850961] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29625), 1,
      anon_sym_DASH_GT,
    STATE(20923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850975] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29627), 1,
      anon_sym_RPAREN,
    STATE(20924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [850989] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29629), 1,
      anon_sym_RPAREN,
    STATE(20925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851003] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29631), 1,
      anon_sym_RPAREN,
    STATE(20926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851017] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29631), 1,
      anon_sym_RBRACK,
    STATE(20927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851031] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29631), 1,
      anon_sym_RBRACE,
    STATE(20928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851045] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29633), 1,
      anon_sym_RBRACE,
    STATE(20929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851059] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29635), 1,
      sym__lowercase_identifier,
    STATE(20930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851073] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29637), 1,
      anon_sym_SQUOTE2,
    STATE(20931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851087] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29639), 1,
      anon_sym_DASH_GT,
    STATE(20932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851101] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29641), 1,
      anon_sym_DQUOTE,
    STATE(20933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851115] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29643), 1,
      anon_sym_RPAREN,
    STATE(20934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851129] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29645), 1,
      anon_sym_DOT,
    STATE(20935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851143] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29647), 1,
      anon_sym_DASH_GT,
    STATE(20936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851157] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29649), 1,
      anon_sym_DOT,
    STATE(20937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851171] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10296), 1,
      anon_sym_DASH_GT,
    STATE(20938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851185] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29651), 1,
      anon_sym_RPAREN,
    STATE(20939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851199] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29653), 1,
      anon_sym_with,
    STATE(20940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851213] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29655), 1,
      anon_sym_with,
    STATE(20941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851227] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29657), 1,
      anon_sym_DOT,
    STATE(20942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851241] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29659), 1,
      anon_sym_RPAREN,
    STATE(20943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851255] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29661), 1,
      anon_sym_RBRACK,
    STATE(20944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851269] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29663), 1,
      anon_sym_with,
    STATE(20945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851283] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29665), 1,
      anon_sym_end,
    STATE(20946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851297] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29667), 1,
      sym__lowercase_identifier,
    STATE(20947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851311] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29669), 1,
      anon_sym_RBRACK,
    STATE(20948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851325] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29671), 1,
      anon_sym_with,
    STATE(20949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851339] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29673), 1,
      anon_sym_with,
    STATE(20950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851353] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29675), 1,
      anon_sym_RPAREN,
    STATE(20951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851367] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29677), 1,
      anon_sym_RBRACE,
    STATE(20952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851381] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29679), 1,
      anon_sym_with,
    STATE(20953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851395] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29681), 1,
      anon_sym_DOT,
    STATE(20954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851409] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29683), 1,
      anon_sym_DOT,
    STATE(20955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851423] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29685), 1,
      anon_sym_RBRACK,
    STATE(20956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851437] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29687), 1,
      anon_sym_RBRACE,
    STATE(20957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851451] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29689), 1,
      anon_sym_RPAREN,
    STATE(20958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851465] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29691), 1,
      anon_sym_RPAREN,
    STATE(20959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851479] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29693), 1,
      anon_sym_RPAREN,
    STATE(20960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851493] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23027), 1,
      anon_sym_end,
    STATE(20961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851507] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29695), 1,
      anon_sym_RPAREN,
    STATE(20962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851521] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29697), 1,
      anon_sym_EQ,
    STATE(20963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851535] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29699), 1,
      anon_sym_RPAREN,
    STATE(20964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851549] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29701), 1,
      anon_sym_DASH_GT,
    STATE(20965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851563] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29703), 1,
      anon_sym_RPAREN,
    STATE(20966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851577] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29705), 1,
      anon_sym_RPAREN,
    STATE(20967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851591] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29705), 1,
      anon_sym_RBRACK,
    STATE(20968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851605] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29705), 1,
      anon_sym_RBRACE,
    STATE(20969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851619] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29707), 1,
      sym__lowercase_identifier,
    STATE(20970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851633] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29709), 1,
      anon_sym_RBRACE,
    STATE(20971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851647] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29711), 1,
      anon_sym_SQUOTE2,
    STATE(20972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851661] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12685), 1,
      anon_sym_DASH_GT,
    STATE(20973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851675] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17685), 1,
      anon_sym_COMMA,
    STATE(20974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851689] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29713), 1,
      anon_sym_DOT,
    STATE(20975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851703] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29715), 1,
      anon_sym_DOT,
    STATE(20976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851717] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29717), 1,
      anon_sym_RPAREN,
    STATE(20977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851731] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28721), 1,
      anon_sym_RBRACE,
    STATE(20978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851745] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29719), 1,
      anon_sym_DASH_GT,
    STATE(20979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851759] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_GT,
    STATE(20980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851773] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29721), 1,
      anon_sym_with,
    STATE(20981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851787] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29723), 1,
      anon_sym_with,
    STATE(20982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851801] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29725), 1,
      anon_sym_DOT,
    STATE(20983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851815] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29727), 1,
      anon_sym_DASH_GT,
    STATE(20984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851829] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29729), 1,
      anon_sym_LT_DASH,
    STATE(20985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851843] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23355), 1,
      anon_sym_GT_RBRACE,
    STATE(20986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851857] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29731), 1,
      anon_sym_DASH_GT,
    STATE(20987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851871] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6489), 1,
      anon_sym_end,
    STATE(20988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851885] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29733), 1,
      aux_sym_number_token1,
    STATE(20989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851899] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29735), 1,
      anon_sym_with,
    STATE(20990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851913] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29737), 1,
      anon_sym_with,
    STATE(20991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851927] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29739), 1,
      anon_sym_of,
    STATE(20992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851941] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29741), 1,
      anon_sym_RBRACE,
    STATE(20993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851955] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29743), 1,
      ts_builtin_sym_end,
    STATE(20994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851969] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29745), 1,
      anon_sym_STAR,
    STATE(20995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851983] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29747), 1,
      anon_sym_DOT,
    STATE(20996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [851997] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29749), 1,
      anon_sym_in,
    STATE(20997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852011] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29751), 1,
      anon_sym_in,
    STATE(20998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852025] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29753), 1,
      anon_sym_in,
    STATE(20999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852039] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29755), 1,
      anon_sym_RBRACE,
    STATE(21000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852053] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29757), 1,
      anon_sym_RPAREN,
    STATE(21001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852067] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29759), 1,
      anon_sym_RPAREN,
    STATE(21002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852081] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29761), 1,
      anon_sym_with,
    STATE(21003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852095] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29763), 1,
      anon_sym_RBRACK,
    STATE(21004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852109] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29765), 1,
      anon_sym_RBRACE,
    STATE(21005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852123] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29767), 1,
      anon_sym_DASH_GT,
    STATE(21006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852137] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29769), 1,
      anon_sym_RPAREN,
    STATE(21007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852151] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29771), 1,
      anon_sym_RPAREN,
    STATE(21008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852165] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29771), 1,
      anon_sym_RBRACK,
    STATE(21009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852179] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29771), 1,
      anon_sym_RBRACE,
    STATE(21010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852193] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29773), 1,
      anon_sym_RPAREN,
    STATE(21011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852207] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29775), 1,
      anon_sym_RPAREN,
    STATE(21012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852221] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29777), 1,
      anon_sym_RPAREN,
    STATE(21013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852235] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29779), 1,
      anon_sym_COMMA,
    STATE(21014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852249] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29781), 1,
      anon_sym_with,
    STATE(21015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852263] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29783), 1,
      anon_sym_DASH_GT,
    STATE(21016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852277] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29785), 1,
      anon_sym_DOT,
    STATE(21017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852291] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11728), 1,
      anon_sym_COMMA,
    STATE(21018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852305] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29787), 1,
      anon_sym_LT_DASH,
    STATE(21019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852319] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17743), 1,
      anon_sym_DASH_GT,
    STATE(21020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852333] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29789), 1,
      anon_sym_in,
    STATE(21021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852347] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29791), 1,
      anon_sym_with,
    STATE(21022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852361] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29793), 1,
      anon_sym_with,
    STATE(21023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852375] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29795), 1,
      anon_sym_DOT,
    STATE(21024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852389] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29797), 1,
      anon_sym_DOT,
    STATE(21025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852403] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29799), 1,
      anon_sym_in,
    STATE(21026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852417] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29801), 1,
      anon_sym_in,
    STATE(21027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852431] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29803), 1,
      anon_sym_RPAREN,
    STATE(21028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852445] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29805), 1,
      anon_sym_in,
    STATE(21029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852459] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3623), 1,
      anon_sym_RPAREN,
    STATE(21030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852473] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29807), 1,
      anon_sym_with,
    STATE(21031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852487] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29809), 1,
      anon_sym_with,
    STATE(21032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852501] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29811), 1,
      anon_sym_RPAREN,
    STATE(21033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852515] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29813), 1,
      anon_sym_RBRACE,
    STATE(21034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852529] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29815), 1,
      anon_sym_in,
    STATE(21035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852543] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29817), 1,
      anon_sym_end,
    STATE(21036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852557] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29819), 1,
      anon_sym_DOT,
    STATE(21037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852571] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29821), 1,
      anon_sym_RBRACK,
    STATE(21038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852585] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29823), 1,
      anon_sym_RBRACE,
    STATE(21039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852599] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29825), 1,
      anon_sym_RBRACE,
    STATE(21040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852613] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29827), 1,
      anon_sym_RPAREN,
    STATE(21041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852627] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29829), 1,
      anon_sym_RPAREN,
    STATE(21042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852641] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3705), 1,
      anon_sym_RPAREN,
    STATE(21043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852655] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29831), 1,
      anon_sym_RPAREN,
    STATE(21044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852669] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29833), 1,
      anon_sym_RPAREN,
    STATE(21045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852683] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29835), 1,
      anon_sym_RPAREN,
    STATE(21046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852697] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29837), 1,
      anon_sym_RBRACK,
    STATE(21047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852711] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29839), 1,
      anon_sym_RPAREN,
    STATE(21048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852725] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29841), 1,
      anon_sym_RPAREN,
    STATE(21049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852739] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29841), 1,
      anon_sym_RBRACK,
    STATE(21050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852753] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29841), 1,
      anon_sym_RBRACE,
    STATE(21051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852767] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29843), 1,
      anon_sym_RBRACE,
    STATE(21052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852781] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29845), 1,
      anon_sym_RPAREN,
    STATE(21053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852795] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29847), 1,
      anon_sym_RBRACK,
    STATE(21054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852809] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29849), 1,
      anon_sym_DOT,
    STATE(21055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852823] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29851), 1,
      anon_sym_DASH_GT,
    STATE(21056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852837] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29853), 1,
      anon_sym_RBRACE,
    STATE(21057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852851] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29855), 1,
      anon_sym_DOT,
    STATE(21058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852865] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29857), 1,
      anon_sym_DASH_GT,
    STATE(21059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852879] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29859), 1,
      anon_sym_DOT,
    STATE(21060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852893] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29861), 1,
      anon_sym_RBRACE,
    STATE(21061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852907] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29863), 1,
      anon_sym_in,
    STATE(21062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852921] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29865), 1,
      anon_sym_with,
    STATE(21063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852935] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29867), 1,
      anon_sym_with,
    STATE(21064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852949] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29869), 1,
      anon_sym_DOT,
    STATE(21065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852963] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29871), 1,
      anon_sym_GT,
    STATE(21066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852977] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29873), 1,
      anon_sym_RPAREN,
    STATE(21067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [852991] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23868), 1,
      anon_sym_GT_RBRACE,
    STATE(21068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853005] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13376), 1,
      anon_sym_GT,
    STATE(21069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853019] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29875), 1,
      anon_sym_RPAREN,
    STATE(21070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853033] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29877), 1,
      anon_sym_RBRACE,
    STATE(21071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853047] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29879), 1,
      anon_sym_with,
    STATE(21072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853061] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29881), 1,
      anon_sym_with,
    STATE(21073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853075] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22690), 1,
      anon_sym_end,
    STATE(21074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853089] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29883), 1,
      anon_sym_RPAREN,
    STATE(21075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853103] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29885), 1,
      anon_sym_SQUOTE2,
    STATE(21076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853117] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29887), 1,
      anon_sym_in,
    STATE(21077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853131] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29889), 1,
      anon_sym_DOT,
    STATE(21078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853145] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29891), 1,
      anon_sym_DQUOTE,
    STATE(21079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853159] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29893), 1,
      anon_sym_RPAREN,
    STATE(21080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853173] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29895), 1,
      sym__lowercase_identifier,
    STATE(21081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853187] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29897), 1,
      anon_sym_RBRACE,
    STATE(21082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853201] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29899), 1,
      anon_sym_RPAREN,
    STATE(21083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853215] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29901), 1,
      anon_sym_RPAREN,
    STATE(21084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853229] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29903), 1,
      anon_sym_RBRACE,
    STATE(21085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853243] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6655), 1,
      anon_sym_RPAREN,
    STATE(21086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853257] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29905), 1,
      anon_sym_GT,
    STATE(21087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853271] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22244), 1,
      anon_sym_end,
    STATE(21088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853285] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29907), 1,
      anon_sym_RPAREN,
    STATE(21089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853299] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29909), 1,
      anon_sym_RPAREN,
    STATE(21090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853313] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29909), 1,
      anon_sym_RBRACK,
    STATE(21091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853327] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29909), 1,
      anon_sym_RBRACE,
    STATE(21092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853341] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29911), 1,
      anon_sym_RPAREN,
    STATE(21093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853355] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29913), 1,
      anon_sym_RBRACE,
    STATE(21094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853369] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20204), 1,
      anon_sym_GT,
    STATE(21095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853383] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29915), 1,
      anon_sym_DASH_GT,
    STATE(21096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853397] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29917), 1,
      anon_sym_DASH_GT,
    STATE(21097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853411] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29919), 1,
      anon_sym_RBRACE,
    STATE(21098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853425] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29921), 1,
      anon_sym_DOT,
    STATE(21099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853439] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29923), 1,
      anon_sym_in,
    STATE(21100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853453] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29925), 1,
      anon_sym_end,
    STATE(21101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853467] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29927), 1,
      anon_sym_SQUOTE2,
    STATE(21102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853481] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29929), 1,
      anon_sym_DASH_GT,
    STATE(21103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853495] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29931), 1,
      anon_sym_with,
    STATE(21104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853509] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29933), 1,
      anon_sym_with,
    STATE(21105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853523] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29935), 1,
      anon_sym_DOT,
    STATE(21106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853537] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6619), 1,
      anon_sym_RPAREN,
    STATE(21107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853551] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29937), 1,
      anon_sym_RPAREN,
    STATE(21108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853565] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29939), 1,
      anon_sym_RBRACK,
    STATE(21109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853579] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29941), 1,
      anon_sym_RPAREN,
    STATE(21110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853593] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29943), 1,
      anon_sym_RPAREN,
    STATE(21111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853607] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29945), 1,
      anon_sym_RBRACE,
    STATE(21112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853621] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29947), 1,
      anon_sym_with,
    STATE(21113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853635] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29949), 1,
      anon_sym_with,
    STATE(21114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853649] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29951), 1,
      anon_sym_RPAREN,
    STATE(21115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853663] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29953), 1,
      anon_sym_STAR,
    STATE(21116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853677] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29955), 1,
      anon_sym_RPAREN,
    STATE(21117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853691] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29957), 1,
      anon_sym_DASH_GT,
    STATE(21118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853705] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29959), 1,
      anon_sym_DOT,
    STATE(21119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853719] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29961), 1,
      anon_sym_RPAREN,
    STATE(21120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853733] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29963), 1,
      anon_sym_RPAREN,
    STATE(21121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853747] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29965), 1,
      anon_sym_RPAREN,
    STATE(21122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853761] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29967), 1,
      anon_sym_RBRACK,
    STATE(21123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853775] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29969), 1,
      anon_sym_RPAREN,
    STATE(21124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853789] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12487), 1,
      anon_sym_COMMA,
    STATE(21125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853803] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29965), 1,
      anon_sym_RBRACK,
    STATE(21126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853817] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29971), 1,
      anon_sym_LT_DASH,
    STATE(21127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853831] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29965), 1,
      anon_sym_RBRACE,
    STATE(21128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853845] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29973), 1,
      anon_sym_DASH_GT,
    STATE(21129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853859] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29975), 1,
      anon_sym_RPAREN,
    STATE(21130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853873] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29977), 1,
      anon_sym_RPAREN,
    STATE(21131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853887] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29977), 1,
      anon_sym_RBRACK,
    STATE(21132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853901] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29977), 1,
      anon_sym_RBRACE,
    STATE(21133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853915] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29979), 1,
      anon_sym_DASH_GT,
    STATE(21134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853929] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29981), 1,
      anon_sym_end,
    STATE(21135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853943] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29983), 1,
      anon_sym_RBRACK,
    STATE(21136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853957] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29985), 1,
      anon_sym_RBRACE,
    STATE(21137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853971] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23912), 1,
      anon_sym_GT_RBRACE,
    STATE(21138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853985] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6061), 1,
      anon_sym_end,
    STATE(21139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [853999] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29987), 1,
      anon_sym_DOT,
    STATE(21140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854013] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29989), 1,
      anon_sym_DASH_GT,
    STATE(21141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854027] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29991), 1,
      anon_sym_RBRACK,
    STATE(21142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854041] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29993), 1,
      aux_sym_number_token1,
    STATE(21143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854055] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29995), 1,
      anon_sym_in,
    STATE(21144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854069] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29997), 1,
      anon_sym_with,
    STATE(21145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854083] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(29999), 1,
      anon_sym_with,
    STATE(21146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854097] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30001), 1,
      anon_sym_DOT,
    STATE(21147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854111] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30003), 1,
      anon_sym_in,
    STATE(21148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854125] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30005), 1,
      anon_sym_RBRACE,
    STATE(21149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854139] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30007), 1,
      anon_sym_in,
    STATE(21150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854153] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6647), 1,
      anon_sym_COMMA,
    STATE(21151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854167] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30009), 1,
      anon_sym_RPAREN,
    STATE(21152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854181] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30011), 1,
      anon_sym_RPAREN,
    STATE(21153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854195] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30013), 1,
      anon_sym_with,
    STATE(21154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854209] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30015), 1,
      anon_sym_with,
    STATE(21155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854223] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30017), 1,
      anon_sym_RPAREN,
    STATE(21156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854237] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30019), 1,
      anon_sym_RBRACK,
    STATE(21157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854251] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22698), 1,
      anon_sym_end,
    STATE(21158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854265] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30021), 1,
      anon_sym_RBRACE,
    STATE(21159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854279] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30023), 1,
      anon_sym_DOT,
    STATE(21160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854293] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30025), 1,
      anon_sym_RBRACE,
    STATE(21161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854307] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30027), 1,
      anon_sym_RPAREN,
    STATE(21162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854321] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30029), 1,
      anon_sym_end,
    STATE(21163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854335] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3617), 1,
      anon_sym_RPAREN,
    STATE(21164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854349] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30031), 1,
      anon_sym_RPAREN,
    STATE(21165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854363] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30033), 1,
      anon_sym_RPAREN,
    STATE(21166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854377] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30035), 1,
      anon_sym_RBRACK,
    STATE(21167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854391] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30037), 1,
      anon_sym_RBRACE,
    STATE(21168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854405] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17586), 1,
      anon_sym_COMMA,
    STATE(21169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854419] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30039), 1,
      anon_sym_LT_DASH,
    STATE(21170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854433] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30041), 1,
      anon_sym_RPAREN,
    STATE(21171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854447] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30043), 1,
      anon_sym_RPAREN,
    STATE(21172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854461] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30043), 1,
      anon_sym_RBRACK,
    STATE(21173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854475] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30043), 1,
      anon_sym_RBRACE,
    STATE(21174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854489] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30045), 1,
      anon_sym_in,
    STATE(21175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854503] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30047), 1,
      anon_sym_in,
    STATE(21176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854517] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30049), 1,
      anon_sym_in,
    STATE(21177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854531] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30051), 1,
      anon_sym_RPAREN,
    STATE(21178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854545] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30053), 1,
      anon_sym_RBRACE,
    STATE(21179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854559] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30055), 1,
      anon_sym_in,
    STATE(21180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854573] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30057), 1,
      anon_sym_DOT,
    STATE(21181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854587] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3649), 1,
      anon_sym_RPAREN,
    STATE(21182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854601] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30059), 1,
      anon_sym_SQUOTE2,
    STATE(21183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854615] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30061), 1,
      anon_sym_in,
    STATE(21184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854629] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30063), 1,
      anon_sym_DASH_GT,
    STATE(21185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854643] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30065), 1,
      anon_sym_with,
    STATE(21186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854657] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30067), 1,
      anon_sym_with,
    STATE(21187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854671] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30069), 1,
      anon_sym_DOT,
    STATE(21188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854685] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30071), 1,
      anon_sym_in,
    STATE(21189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854699] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30073), 1,
      anon_sym_DQUOTE,
    STATE(21190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854713] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30075), 1,
      anon_sym_RPAREN,
    STATE(21191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854727] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30077), 1,
      anon_sym_DQUOTE,
    STATE(21192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854741] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30079), 1,
      anon_sym_RPAREN,
    STATE(21193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854755] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30081), 1,
      anon_sym_RBRACE,
    STATE(21194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854769] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30083), 1,
      anon_sym_with,
    STATE(21195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854783] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30085), 1,
      anon_sym_with,
    STATE(21196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854797] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30087), 1,
      anon_sym_RPAREN,
    STATE(21197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854811] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30089), 1,
      anon_sym_RBRACK,
    STATE(21198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854825] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30091), 1,
      anon_sym_RBRACE,
    STATE(21199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854839] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30093), 1,
      anon_sym_EQ,
    STATE(21200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854853] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30095), 1,
      anon_sym_DOT,
    STATE(21201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854867] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30097), 1,
      anon_sym_RBRACE,
    STATE(21202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854881] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30099), 1,
      anon_sym_RPAREN,
    STATE(21203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854895] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30101), 1,
      anon_sym_RBRACK,
    STATE(21204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854909] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30103), 1,
      anon_sym_RPAREN,
    STATE(21205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854923] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30105), 1,
      anon_sym_RPAREN,
    STATE(21206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854937] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30107), 1,
      anon_sym_RBRACE,
    STATE(21207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854951] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30109), 1,
      anon_sym_RPAREN,
    STATE(21208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854965] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30111), 1,
      sym__lowercase_identifier,
    STATE(21209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854979] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30113), 1,
      anon_sym_RBRACK,
    STATE(21210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [854993] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30115), 1,
      anon_sym_RBRACE,
    STATE(21211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855007] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30117), 1,
      anon_sym_RPAREN,
    STATE(21212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855021] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30119), 1,
      anon_sym_RPAREN,
    STATE(21213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855035] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30119), 1,
      anon_sym_RBRACK,
    STATE(21214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855049] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30119), 1,
      anon_sym_RBRACE,
    STATE(21215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855063] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30121), 1,
      anon_sym_RPAREN,
    STATE(21216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855077] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24434), 1,
      anon_sym_GT_RBRACE,
    STATE(21217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855091] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30123), 1,
      anon_sym_RPAREN,
    STATE(21218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855105] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22668), 1,
      anon_sym_end,
    STATE(21219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855119] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30125), 1,
      anon_sym_RPAREN,
    STATE(21220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855133] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30127), 1,
      anon_sym_RPAREN,
    STATE(21221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855147] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30129), 1,
      anon_sym_DOT,
    STATE(21222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855161] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30131), 1,
      anon_sym_SQUOTE2,
    STATE(21223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855175] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30133), 1,
      anon_sym_RPAREN,
    STATE(21224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855189] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30135), 1,
      anon_sym_DQUOTE,
    STATE(21225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855203] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30137), 1,
      anon_sym_RPAREN,
    STATE(21226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855217] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30139), 1,
      anon_sym_with,
    STATE(21227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855231] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30141), 1,
      anon_sym_with,
    STATE(21228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855245] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30143), 1,
      anon_sym_DOT,
    STATE(21229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855259] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30145), 1,
      anon_sym_DOT,
    STATE(21230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855273] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30147), 1,
      anon_sym_DASH_GT,
    STATE(21231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855287] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30149), 1,
      sym__lowercase_identifier,
    STATE(21232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855301] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30151), 1,
      sym__lowercase_identifier,
    STATE(21233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855315] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13139), 1,
      anon_sym_GT,
    STATE(21234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855329] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20804), 1,
      anon_sym_DASH_GT,
    STATE(21235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855343] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30153), 1,
      anon_sym_with,
    STATE(21236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855357] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30155), 1,
      anon_sym_with,
    STATE(21237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855371] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30157), 1,
      sym__lowercase_identifier,
    STATE(21238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855385] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30159), 1,
      anon_sym_RPAREN,
    STATE(21239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855399] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30161), 1,
      anon_sym_RPAREN,
    STATE(21240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855413] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30163), 1,
      anon_sym_GT,
    STATE(21241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855427] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30165), 1,
      anon_sym_DOT,
    STATE(21242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855441] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30167), 1,
      anon_sym_RBRACK,
    STATE(21243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855455] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30169), 1,
      anon_sym_RBRACE,
    STATE(21244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855469] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30171), 1,
      anon_sym_RPAREN,
    STATE(21245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855483] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30173), 1,
      anon_sym_GT,
    STATE(21246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855497] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30175), 1,
      anon_sym_RPAREN,
    STATE(21247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855511] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30177), 1,
      anon_sym_RPAREN,
    STATE(21248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855525] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30179), 1,
      anon_sym_RPAREN,
    STATE(21249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855539] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26391), 1,
      anon_sym_RBRACK,
    STATE(21250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855553] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13683), 1,
      anon_sym_DASH_GT,
    STATE(21251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855567] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30181), 1,
      anon_sym_DASH_GT,
    STATE(21252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855581] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30183), 1,
      anon_sym_RPAREN,
    STATE(21253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855595] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30185), 1,
      anon_sym_RPAREN,
    STATE(21254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855609] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30185), 1,
      anon_sym_RBRACK,
    STATE(21255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855623] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30185), 1,
      anon_sym_RBRACE,
    STATE(21256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855637] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30187), 1,
      anon_sym_DASH_GT,
    STATE(21257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855651] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24450), 1,
      anon_sym_GT_RBRACE,
    STATE(21258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855665] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17292), 1,
      anon_sym_COMMA,
    STATE(21259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855679] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30189), 1,
      anon_sym_RPAREN,
    STATE(21260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855693] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30191), 1,
      anon_sym_RPAREN,
    STATE(21261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855707] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30193), 1,
      anon_sym_LT_DASH,
    STATE(21262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855721] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30195), 1,
      anon_sym_DOT,
    STATE(21263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855735] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22664), 1,
      anon_sym_end,
    STATE(21264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855749] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30197), 1,
      anon_sym_RBRACE,
    STATE(21265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855763] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30199), 1,
      anon_sym_in,
    STATE(21266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855777] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30201), 1,
      anon_sym_DASH_GT,
    STATE(21267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855791] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30203), 1,
      anon_sym_with,
    STATE(21268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855805] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30205), 1,
      anon_sym_with,
    STATE(21269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855819] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30207), 1,
      anon_sym_DOT,
    STATE(21270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855833] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30209), 1,
      anon_sym_SQUOTE2,
    STATE(21271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855847] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30211), 1,
      anon_sym_RPAREN,
    STATE(21272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855861] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30213), 1,
      anon_sym_in,
    STATE(21273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855875] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30215), 1,
      anon_sym_in,
    STATE(21274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855889] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30217), 1,
      anon_sym_RPAREN,
    STATE(21275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855903] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30219), 1,
      anon_sym_RPAREN,
    STATE(21276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855917] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30221), 1,
      anon_sym_with,
    STATE(21277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855931] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30223), 1,
      anon_sym_with,
    STATE(21278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855945] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30225), 1,
      anon_sym_with,
    STATE(21279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855959] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30227), 1,
      anon_sym_end,
    STATE(21280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855973] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30229), 1,
      anon_sym_RBRACK,
    STATE(21281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [855987] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30231), 1,
      anon_sym_RBRACE,
    STATE(21282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856001] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30233), 1,
      anon_sym_DOT,
    STATE(21283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856015] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3701), 1,
      anon_sym_RPAREN,
    STATE(21284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856029] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30235), 1,
      anon_sym_DASH_GT,
    STATE(21285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856043] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30237), 1,
      anon_sym_RBRACK,
    STATE(21286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856057] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30239), 1,
      anon_sym_DQUOTE,
    STATE(21287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856071] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30241), 1,
      anon_sym_RPAREN,
    STATE(21288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856085] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30243), 1,
      anon_sym_RBRACE,
    STATE(21289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856099] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30245), 1,
      anon_sym_SQUOTE2,
    STATE(21290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856113] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30247), 1,
      anon_sym_RPAREN,
    STATE(21291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856127] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30249), 1,
      anon_sym_in,
    STATE(21292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856141] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_COMMA,
    STATE(21293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856155] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30251), 1,
      anon_sym_RPAREN,
    STATE(21294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856169] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30253), 1,
      anon_sym_RPAREN,
    STATE(21295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856183] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30253), 1,
      anon_sym_RBRACK,
    STATE(21296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856197] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30253), 1,
      anon_sym_RBRACE,
    STATE(21297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856211] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30255), 1,
      sym__lowercase_identifier,
    STATE(21298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856225] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30257), 1,
      anon_sym_RBRACE,
    STATE(21299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856239] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30259), 1,
      anon_sym_LT_DASH,
    STATE(21300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856253] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30261), 1,
      anon_sym_DASH_GT,
    STATE(21301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856267] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30263), 1,
      anon_sym_in,
    STATE(21302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856281] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30265), 1,
      anon_sym_DASH_GT,
    STATE(21303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856295] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30267), 1,
      anon_sym_DOT,
    STATE(21304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856309] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30269), 1,
      anon_sym_in,
    STATE(21305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856323] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30271), 1,
      anon_sym_in,
    STATE(21306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856337] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30273), 1,
      anon_sym_RPAREN,
    STATE(21307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856351] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30275), 1,
      anon_sym_end,
    STATE(21308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856365] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30277), 1,
      anon_sym_with,
    STATE(21309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856379] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30279), 1,
      anon_sym_with,
    STATE(21310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856393] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30281), 1,
      anon_sym_DOT,
    STATE(21311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856407] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30283), 1,
      anon_sym_RBRACK,
    STATE(21312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856421] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30285), 1,
      anon_sym_RBRACE,
    STATE(21313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856435] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30287), 1,
      anon_sym_RBRACE,
    STATE(21314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856449] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30289), 1,
      anon_sym_RPAREN,
    STATE(21315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856463] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30291), 1,
      anon_sym_RPAREN,
    STATE(21316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856477] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30293), 1,
      anon_sym_RBRACK,
    STATE(21317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856491] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30295), 1,
      anon_sym_with,
    STATE(21318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856505] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30297), 1,
      anon_sym_with,
    STATE(21319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856519] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30299), 1,
      anon_sym_RBRACE,
    STATE(21320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856533] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30301), 1,
      anon_sym_RBRACE,
    STATE(21321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856547] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30303), 1,
      anon_sym_RPAREN,
    STATE(21322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856561] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30305), 1,
      anon_sym_RPAREN,
    STATE(21323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856575] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30307), 1,
      anon_sym_DOT,
    STATE(21324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856589] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3669), 1,
      anon_sym_RPAREN,
    STATE(21325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856603] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30309), 1,
      anon_sym_RPAREN,
    STATE(21326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856617] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30311), 1,
      sym__lowercase_identifier,
    STATE(21327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856631] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30313), 1,
      anon_sym_RPAREN,
    STATE(21328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856645] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30315), 1,
      anon_sym_RPAREN,
    STATE(21329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856659] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30317), 1,
      anon_sym_RPAREN,
    STATE(21330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856673] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30319), 1,
      anon_sym_in,
    STATE(21331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856687] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30321), 1,
      anon_sym_RPAREN,
    STATE(21332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856701] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30323), 1,
      anon_sym_RBRACE,
    STATE(21333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856715] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18874), 1,
      anon_sym_DASH_GT,
    STATE(21334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856729] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30325), 1,
      anon_sym_RPAREN,
    STATE(21335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856743] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30327), 1,
      anon_sym_RPAREN,
    STATE(21336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856757] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30327), 1,
      anon_sym_RBRACK,
    STATE(21337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856771] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30327), 1,
      anon_sym_RBRACE,
    STATE(21338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856785] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30329), 1,
      anon_sym_RPAREN,
    STATE(21339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856799] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30331), 1,
      anon_sym_RBRACE,
    STATE(21340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856813] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20566), 1,
      anon_sym_DASH_GT,
    STATE(21341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856827] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30333), 1,
      anon_sym_RBRACE,
    STATE(21342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856841] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30335), 1,
      anon_sym_RPAREN,
    STATE(21343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856855] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30337), 1,
      anon_sym_RPAREN,
    STATE(21344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856869] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30339), 1,
      anon_sym_DOT,
    STATE(21345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856883] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30341), 1,
      anon_sym_RPAREN,
    STATE(21346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856897] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30343), 1,
      anon_sym_RBRACK,
    STATE(21347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856911] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30345), 1,
      anon_sym_RBRACE,
    STATE(21348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856925] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30347), 1,
      anon_sym_with,
    STATE(21349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856939] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30349), 1,
      anon_sym_with,
    STATE(21350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856953] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30351), 1,
      anon_sym_DOT,
    STATE(21351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856967] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30353), 1,
      anon_sym_RPAREN,
    STATE(21352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856981] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30355), 1,
      anon_sym_DOT,
    STATE(21353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [856995] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30357), 1,
      anon_sym_RBRACK,
    STATE(21354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857009] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30359), 1,
      anon_sym_DOT,
    STATE(21355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857023] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14782), 1,
      anon_sym_COMMA,
    STATE(21356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857037] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30361), 1,
      anon_sym_LT_DASH,
    STATE(21357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857051] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30363), 1,
      anon_sym_with,
    STATE(21358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857065] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30365), 1,
      anon_sym_with,
    STATE(21359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857079] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30367), 1,
      anon_sym_in,
    STATE(21360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857093] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30369), 1,
      anon_sym_RBRACE,
    STATE(21361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857107] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30371), 1,
      anon_sym_in,
    STATE(21362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857121] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21034), 1,
      anon_sym_DASH_GT,
    STATE(21363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857135] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30373), 1,
      anon_sym_DOT,
    STATE(21364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857149] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30375), 1,
      anon_sym_in,
    STATE(21365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857163] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30377), 1,
      anon_sym_RPAREN,
    STATE(21366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857177] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30379), 1,
      anon_sym_DOT,
    STATE(21367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857191] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30381), 1,
      anon_sym_RPAREN,
    STATE(21368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857205] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30383), 1,
      anon_sym_RPAREN,
    STATE(21369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857219] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30385), 1,
      anon_sym_RBRACK,
    STATE(21370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857233] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3613), 1,
      anon_sym_RPAREN,
    STATE(21371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857247] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30387), 1,
      anon_sym_DOT,
    STATE(21372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857261] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30389), 1,
      anon_sym_DASH_GT,
    STATE(21373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857275] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23996), 1,
      anon_sym_GT_RBRACE,
    STATE(21374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857289] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30391), 1,
      anon_sym_RPAREN,
    STATE(21375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857303] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30393), 1,
      anon_sym_RPAREN,
    STATE(21376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857317] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30393), 1,
      anon_sym_RBRACK,
    STATE(21377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857331] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30393), 1,
      anon_sym_RBRACE,
    STATE(21378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857345] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30395), 1,
      anon_sym_DQUOTE,
    STATE(21379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857359] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30397), 1,
      sym__lowercase_identifier,
    STATE(21380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857373] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30399), 1,
      anon_sym_with,
    STATE(21381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857387] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30401), 1,
      anon_sym_in,
    STATE(21382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857401] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22762), 1,
      anon_sym_end,
    STATE(21383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857415] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30403), 1,
      anon_sym_with,
    STATE(21384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857429] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30405), 1,
      anon_sym_DOT,
    STATE(21385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857443] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30407), 1,
      anon_sym_DOT,
    STATE(21386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857457] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30409), 1,
      anon_sym_RPAREN,
    STATE(21387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857471] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30411), 1,
      anon_sym_DASH_GT,
    STATE(21388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857485] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30413), 1,
      anon_sym_with,
    STATE(21389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857499] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30415), 1,
      anon_sym_with,
    STATE(21390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857513] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30417), 1,
      anon_sym_DOT,
    STATE(21391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857527] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30419), 1,
      anon_sym_RBRACK,
    STATE(21392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857541] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30421), 1,
      anon_sym_SQUOTE2,
    STATE(21393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857555] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30423), 1,
      anon_sym_DQUOTE,
    STATE(21394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857569] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18370), 1,
      anon_sym_COMMA,
    STATE(21395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857583] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30425), 1,
      sym__lowercase_identifier,
    STATE(21396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857597] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24938), 1,
      anon_sym_GT_RBRACE,
    STATE(21397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857611] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30427), 1,
      anon_sym_with,
    STATE(21398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857625] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30429), 1,
      anon_sym_with,
    STATE(21399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857639] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30431), 1,
      anon_sym_RPAREN,
    STATE(21400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857653] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13677), 1,
      anon_sym_DASH_GT,
    STATE(21401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857667] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22706), 1,
      anon_sym_end,
    STATE(21402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857681] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30433), 1,
      anon_sym_LT_DASH,
    STATE(21403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857695] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30435), 1,
      anon_sym_DOT,
    STATE(21404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857709] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30437), 1,
      anon_sym_RBRACE,
    STATE(21405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857723] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6437), 1,
      anon_sym_RPAREN,
    STATE(21406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857737] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30439), 1,
      anon_sym_RBRACE,
    STATE(21407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857751] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30441), 1,
      anon_sym_SQUOTE2,
    STATE(21408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857765] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30443), 1,
      anon_sym_RPAREN,
    STATE(21409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857779] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30445), 1,
      anon_sym_RPAREN,
    STATE(21410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857793] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30447), 1,
      anon_sym_DQUOTE,
    STATE(21411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857807] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30449), 1,
      anon_sym_RPAREN,
    STATE(21412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857821] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30451), 1,
      anon_sym_end,
    STATE(21413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857835] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30453), 1,
      sym__lowercase_identifier,
    STATE(21414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857849] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30455), 1,
      anon_sym_RPAREN,
    STATE(21415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857863] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30457), 1,
      anon_sym_RPAREN,
    STATE(21416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857877] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30457), 1,
      anon_sym_RBRACK,
    STATE(21417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857891] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30457), 1,
      anon_sym_RBRACE,
    STATE(21418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857905] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30459), 1,
      anon_sym_RPAREN,
    STATE(21419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857919] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30461), 1,
      anon_sym_RPAREN,
    STATE(21420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857933] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23457), 1,
      anon_sym_GT_RBRACE,
    STATE(21421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857947] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30463), 1,
      anon_sym_DASH_GT,
    STATE(21422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857961] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30465), 1,
      anon_sym_DASH_GT,
    STATE(21423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857975] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30467), 1,
      anon_sym_DOT,
    STATE(21424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [857989] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30469), 1,
      anon_sym_STAR,
    STATE(21425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858003] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22738), 1,
      anon_sym_end,
    STATE(21426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858017] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30471), 1,
      anon_sym_in,
    STATE(21427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858031] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30473), 1,
      anon_sym_with,
    STATE(21428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858045] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30475), 1,
      anon_sym_with,
    STATE(21429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858059] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30477), 1,
      anon_sym_DOT,
    STATE(21430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858073] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30479), 1,
      anon_sym_DASH_GT,
    STATE(21431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858087] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30481), 1,
      anon_sym_with,
    STATE(21432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858101] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30483), 1,
      anon_sym_RPAREN,
    STATE(21433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858115] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30485), 1,
      anon_sym_with,
    STATE(21434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858129] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30487), 1,
      anon_sym_RPAREN,
    STATE(21435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858143] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30489), 1,
      anon_sym_SQUOTE2,
    STATE(21436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858157] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30491), 1,
      anon_sym_with,
    STATE(21437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858171] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30493), 1,
      anon_sym_with,
    STATE(21438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858185] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30495), 1,
      anon_sym_DQUOTE,
    STATE(21439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858199] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30497), 1,
      sym__uppercase_identifier,
    STATE(21440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858213] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17590), 1,
      anon_sym_COMMA,
    STATE(21441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858227] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30499), 1,
      anon_sym_LT_DASH,
    STATE(21442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858241] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30501), 1,
      anon_sym_DOT,
    STATE(21443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858255] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30503), 1,
      anon_sym_DOT,
    STATE(21444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858269] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30505), 1,
      anon_sym_RBRACK,
    STATE(21445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858283] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30507), 1,
      anon_sym_RBRACE,
    STATE(21446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858297] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30509), 1,
      anon_sym_in,
    STATE(21447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858311] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30511), 1,
      anon_sym_RPAREN,
    STATE(21448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858325] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30513), 1,
      anon_sym_in,
    STATE(21449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858339] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30515), 1,
      anon_sym_RPAREN,
    STATE(21450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858353] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30517), 1,
      anon_sym_in,
    STATE(21451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858367] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30519), 1,
      anon_sym_RPAREN,
    STATE(21452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858381] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30521), 1,
      anon_sym_end,
    STATE(21453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858395] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30523), 1,
      anon_sym_RPAREN,
    STATE(21454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858409] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30525), 1,
      anon_sym_RPAREN,
    STATE(21455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858423] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30525), 1,
      anon_sym_RBRACK,
    STATE(21456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858437] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30525), 1,
      anon_sym_RBRACE,
    STATE(21457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858451] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30527), 1,
      anon_sym_RPAREN,
    STATE(21458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858465] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30529), 1,
      anon_sym_RBRACK,
    STATE(21459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858479] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30531), 1,
      anon_sym_DASH_GT,
    STATE(21460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858493] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30533), 1,
      anon_sym_RBRACE,
    STATE(21461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858507] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30535), 1,
      anon_sym_in,
    STATE(21462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858521] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30537), 1,
      anon_sym_DOT,
    STATE(21463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858535] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27855), 1,
      anon_sym_RBRACE,
    STATE(21464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858549] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30539), 1,
      anon_sym_RBRACE,
    STATE(21465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858563] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30541), 1,
      sym__lowercase_identifier,
    STATE(21466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858577] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30543), 1,
      anon_sym_with,
    STATE(21467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858591] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30545), 1,
      anon_sym_with,
    STATE(21468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858605] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30547), 1,
      anon_sym_DOT,
    STATE(21469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858619] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30549), 1,
      anon_sym_RPAREN,
    STATE(21470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858633] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30551), 1,
      anon_sym_end,
    STATE(21471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858647] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30553), 1,
      anon_sym_RBRACE,
    STATE(21472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858661] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30555), 1,
      anon_sym_DASH_GT,
    STATE(21473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858675] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30557), 1,
      anon_sym_RBRACK,
    STATE(21474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858689] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30559), 1,
      anon_sym_RPAREN,
    STATE(21475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858703] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30561), 1,
      anon_sym_with,
    STATE(21476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858717] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30563), 1,
      anon_sym_with,
    STATE(21477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858731] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30565), 1,
      anon_sym_DASH_GT,
    STATE(21478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858745] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30567), 1,
      anon_sym_RPAREN,
    STATE(21479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858759] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30569), 1,
      anon_sym_end,
    STATE(21480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858773] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30571), 1,
      anon_sym_DASH_GT,
    STATE(21481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858787] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30573), 1,
      anon_sym_DOT,
    STATE(21482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858801] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30575), 1,
      anon_sym_RBRACE,
    STATE(21483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858815] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30577), 1,
      anon_sym_DASH_GT,
    STATE(21484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858829] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30579), 1,
      anon_sym_RBRACK,
    STATE(21485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858843] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30581), 1,
      anon_sym_RBRACK,
    STATE(21486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858857] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30583), 1,
      anon_sym_RPAREN,
    STATE(21487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858871] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30585), 1,
      anon_sym_RBRACE,
    STATE(21488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858885] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(16471), 1,
      anon_sym_end,
    STATE(21489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858899] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24506), 1,
      anon_sym_GT_RBRACE,
    STATE(21490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858913] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30587), 1,
      anon_sym_RBRACE,
    STATE(21491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858927] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22726), 1,
      anon_sym_end,
    STATE(21492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858941] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30589), 1,
      anon_sym_RPAREN,
    STATE(21493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858955] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30591), 1,
      anon_sym_RPAREN,
    STATE(21494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858969] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30591), 1,
      anon_sym_RBRACK,
    STATE(21495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858983] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30591), 1,
      anon_sym_RBRACE,
    STATE(21496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [858997] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30593), 1,
      anon_sym_RPAREN,
    STATE(21497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859011] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30595), 1,
      anon_sym_SQUOTE2,
    STATE(21498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859025] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30597), 1,
      anon_sym_DQUOTE,
    STATE(21499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859039] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30599), 1,
      anon_sym_RPAREN,
    STATE(21500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859053] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30601), 1,
      anon_sym_RPAREN,
    STATE(21501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859067] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30603), 1,
      anon_sym_DOT,
    STATE(21502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859081] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30605), 1,
      anon_sym_RBRACE,
    STATE(21503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859095] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30607), 1,
      sym__lowercase_identifier,
    STATE(21504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859109] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30609), 1,
      anon_sym_RPAREN,
    STATE(21505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859123] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30611), 1,
      anon_sym_with,
    STATE(21506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859137] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30613), 1,
      anon_sym_with,
    STATE(21507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859151] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30615), 1,
      anon_sym_DOT,
    STATE(21508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859165] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30617), 1,
      sym__right_quoted_string_delimiter,
    STATE(21509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859179] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30619), 1,
      anon_sym_RBRACK,
    STATE(21510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859193] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30621), 1,
      anon_sym_in,
    STATE(21511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859207] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30623), 1,
      anon_sym_RBRACE,
    STATE(21512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859221] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30625), 1,
      anon_sym_DASH_GT,
    STATE(21513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859235] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30627), 1,
      anon_sym_RPAREN,
    STATE(21514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859249] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30629), 1,
      anon_sym_with,
    STATE(21515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859263] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30631), 1,
      anon_sym_with,
    STATE(21516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859277] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30633), 1,
      anon_sym_RPAREN,
    STATE(21517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859291] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30635), 1,
      sym__lowercase_identifier,
    STATE(21518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859305] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30637), 1,
      anon_sym_RPAREN,
    STATE(21519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859319] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20808), 1,
      anon_sym_DASH_GT,
    STATE(21520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859333] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30639), 1,
      anon_sym_DOT,
    STATE(21521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859347] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30641), 1,
      sym__lowercase_identifier,
    STATE(21522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859361] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30643), 1,
      anon_sym_end,
    STATE(21523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859375] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30645), 1,
      anon_sym_RBRACK,
    STATE(21524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859389] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30647), 1,
      anon_sym_RPAREN,
    STATE(21525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859403] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30649), 1,
      anon_sym_RPAREN,
    STATE(21526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859417] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30651), 1,
      anon_sym_DASH_GT,
    STATE(21527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859431] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30653), 1,
      anon_sym_DASH_GT,
    STATE(21528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859445] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30655), 1,
      anon_sym_DASH_GT,
    STATE(21529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859459] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30657), 1,
      anon_sym_RBRACE,
    STATE(21530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859473] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30659), 1,
      anon_sym_RPAREN,
    STATE(21531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859487] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30661), 1,
      anon_sym_RPAREN,
    STATE(21532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859501] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30663), 1,
      anon_sym_RPAREN,
    STATE(21533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859515] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30663), 1,
      anon_sym_RBRACK,
    STATE(21534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859529] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30663), 1,
      anon_sym_RBRACE,
    STATE(21535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859543] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20442), 1,
      anon_sym_GT,
    STATE(21536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859557] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30665), 1,
      aux_sym_number_token1,
    STATE(21537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859571] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30667), 1,
      anon_sym_RPAREN,
    STATE(21538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859585] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30669), 1,
      anon_sym_RBRACK,
    STATE(21539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859599] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30671), 1,
      anon_sym_RBRACE,
    STATE(21540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859613] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30673), 1,
      anon_sym_DOT,
    STATE(21541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859627] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30675), 1,
      anon_sym_DASH_GT,
    STATE(21542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859641] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30677), 1,
      anon_sym_RPAREN,
    STATE(21543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859655] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30679), 1,
      anon_sym_in,
    STATE(21544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859669] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30681), 1,
      anon_sym_with,
    STATE(21545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859683] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30683), 1,
      anon_sym_with,
    STATE(21546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859697] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30685), 1,
      anon_sym_DOT,
    STATE(21547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859711] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30687), 1,
      anon_sym_RPAREN,
    STATE(21548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859725] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30689), 1,
      anon_sym_RPAREN,
    STATE(21549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859739] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30691), 1,
      anon_sym_in,
    STATE(21550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859753] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30693), 1,
      anon_sym_end,
    STATE(21551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859767] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11902), 1,
      anon_sym_COMMA,
    STATE(21552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859781] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30695), 1,
      anon_sym_RBRACK,
    STATE(21553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859795] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30697), 1,
      anon_sym_with,
    STATE(21554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859809] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30699), 1,
      anon_sym_with,
    STATE(21555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859823] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30701), 1,
      anon_sym_RPAREN,
    STATE(21556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859837] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30703), 1,
      anon_sym_RBRACE,
    STATE(21557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859851] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30705), 1,
      anon_sym_RPAREN,
    STATE(21558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859865] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6489), 1,
      anon_sym_RPAREN,
    STATE(21559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859879] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30707), 1,
      anon_sym_DOT,
    STATE(21560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859893] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30701), 1,
      anon_sym_RBRACK,
    STATE(21561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859907] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30701), 1,
      anon_sym_RBRACE,
    STATE(21562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859921] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30709), 1,
      anon_sym_DASH_GT,
    STATE(21563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859935] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30711), 1,
      anon_sym_RPAREN,
    STATE(21564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859949] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30713), 1,
      anon_sym_RPAREN,
    STATE(21565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859963] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30715), 1,
      anon_sym_DASH_GT,
    STATE(21566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859977] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30717), 1,
      anon_sym_DASH_GT,
    STATE(21567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [859991] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13203), 1,
      anon_sym_GT,
    STATE(21568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860005] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30719), 1,
      anon_sym_RPAREN,
    STATE(21569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860019] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30721), 1,
      anon_sym_RPAREN,
    STATE(21570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860033] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30723), 1,
      anon_sym_RPAREN,
    STATE(21571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860047] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30723), 1,
      anon_sym_RBRACK,
    STATE(21572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860061] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30723), 1,
      anon_sym_RBRACE,
    STATE(21573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860075] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30725), 1,
      anon_sym_RPAREN,
    STATE(21574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860089] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30727), 1,
      anon_sym_RPAREN,
    STATE(21575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860103] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30729), 1,
      anon_sym_DASH_GT,
    STATE(21576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860117] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30731), 1,
      anon_sym_DASH_GT,
    STATE(21577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860131] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30733), 1,
      anon_sym_RPAREN,
    STATE(21578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860145] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30735), 1,
      anon_sym_DOT,
    STATE(21579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860159] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30737), 1,
      anon_sym_RPAREN,
    STATE(21580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860173] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30739), 1,
      anon_sym_DASH_GT,
    STATE(21581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860187] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30741), 1,
      anon_sym_in,
    STATE(21582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860201] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30743), 1,
      anon_sym_with,
    STATE(21583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860215] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30745), 1,
      anon_sym_with,
    STATE(21584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860229] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30747), 1,
      anon_sym_DOT,
    STATE(21585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860243] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30749), 1,
      anon_sym_RBRACE,
    STATE(21586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860257] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30751), 1,
      anon_sym_end,
    STATE(21587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860271] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30753), 1,
      anon_sym_RPAREN,
    STATE(21588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860285] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30755), 1,
      anon_sym_RBRACK,
    STATE(21589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860299] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20524), 1,
      anon_sym_COMMA,
    STATE(21590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860313] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30757), 1,
      anon_sym_RBRACE,
    STATE(21591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860327] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30759), 1,
      anon_sym_with,
    STATE(21592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860341] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30761), 1,
      anon_sym_with,
    STATE(21593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860355] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30763), 1,
      anon_sym_RBRACK,
    STATE(21594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860369] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30765), 1,
      anon_sym_RBRACE,
    STATE(21595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860383] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30767), 1,
      anon_sym_RPAREN,
    STATE(21596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860397] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20260), 1,
      anon_sym_GT,
    STATE(21597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860411] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30769), 1,
      anon_sym_DOT,
    STATE(21598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860425] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30771), 1,
      anon_sym_RPAREN,
    STATE(21599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860439] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30773), 1,
      anon_sym_RPAREN,
    STATE(21600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860453] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19004), 1,
      anon_sym_SQUOTE2,
    STATE(21601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860467] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30775), 1,
      anon_sym_RPAREN,
    STATE(21602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860481] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30777), 1,
      anon_sym_RPAREN,
    STATE(21603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860495] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30779), 1,
      anon_sym_DASH_GT,
    STATE(21604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860509] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30781), 1,
      anon_sym_RBRACE,
    STATE(21605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860523] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30783), 1,
      anon_sym_in,
    STATE(21606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860537] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30785), 1,
      anon_sym_in,
    STATE(21607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860551] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30787), 1,
      anon_sym_RPAREN,
    STATE(21608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860565] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30789), 1,
      anon_sym_RPAREN,
    STATE(21609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860579] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30789), 1,
      anon_sym_RBRACK,
    STATE(21610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860593] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30789), 1,
      anon_sym_RBRACE,
    STATE(21611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860607] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30791), 1,
      anon_sym_in,
    STATE(21612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860621] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30793), 1,
      anon_sym_RPAREN,
    STATE(21613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860635] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30795), 1,
      anon_sym_RPAREN,
    STATE(21614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860649] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30797), 1,
      anon_sym_RPAREN,
    STATE(21615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860663] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30799), 1,
      anon_sym_RPAREN,
    STATE(21616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860677] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30801), 1,
      anon_sym_DOT,
    STATE(21617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860691] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30803), 1,
      anon_sym_RBRACK,
    STATE(21618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860705] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30805), 1,
      anon_sym_RBRACE,
    STATE(21619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860719] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30807), 1,
      anon_sym_RPAREN,
    STATE(21620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860733] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30809), 1,
      anon_sym_with,
    STATE(21621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860747] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30811), 1,
      anon_sym_with,
    STATE(21622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860761] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30813), 1,
      anon_sym_DOT,
    STATE(21623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860775] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3605), 1,
      anon_sym_RPAREN,
    STATE(21624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860789] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20412), 1,
      anon_sym_GT,
    STATE(21625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860803] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30815), 1,
      anon_sym_RBRACK,
    STATE(21626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860817] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20374), 1,
      anon_sym_GT,
    STATE(21627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860831] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30817), 1,
      anon_sym_in,
    STATE(21628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860845] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30819), 1,
      anon_sym_EQ,
    STATE(21629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860859] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30821), 1,
      anon_sym_with,
    STATE(21630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860873] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30823), 1,
      anon_sym_with,
    STATE(21631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860887] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30825), 1,
      anon_sym_RBRACE,
    STATE(21632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860901] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30827), 1,
      anon_sym_LT_DASH,
    STATE(21633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860915] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27991), 1,
      anon_sym_RPAREN,
    STATE(21634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860929] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30829), 1,
      anon_sym_RPAREN,
    STATE(21635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860943] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30831), 1,
      anon_sym_DOT,
    STATE(21636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860957] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30833), 1,
      anon_sym_DASH_GT,
    STATE(21637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860971] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30835), 1,
      anon_sym_RPAREN,
    STATE(21638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860985] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30837), 1,
      anon_sym_RPAREN,
    STATE(21639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [860999] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30839), 1,
      anon_sym_COLON2,
    STATE(21640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861013] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30841), 1,
      anon_sym_RPAREN,
    STATE(21641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861027] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30843), 1,
      anon_sym_RBRACE,
    STATE(21642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861041] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30845), 1,
      anon_sym_RBRACE,
    STATE(21643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861055] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30847), 1,
      anon_sym_RPAREN,
    STATE(21644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861069] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30849), 1,
      anon_sym_RBRACK,
    STATE(21645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861083] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30851), 1,
      anon_sym_RPAREN,
    STATE(21646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861097] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30853), 1,
      anon_sym_RPAREN,
    STATE(21647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861111] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30853), 1,
      anon_sym_RBRACK,
    STATE(21648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861125] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30853), 1,
      anon_sym_RBRACE,
    STATE(21649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861139] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20280), 1,
      anon_sym_GT,
    STATE(21650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861153] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30855), 1,
      anon_sym_RBRACE,
    STATE(21651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861167] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30857), 1,
      anon_sym_RPAREN,
    STATE(21652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861181] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30859), 1,
      anon_sym_RPAREN,
    STATE(21653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861195] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20824), 1,
      anon_sym_DASH_GT,
    STATE(21654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861209] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30861), 1,
      anon_sym_DOT,
    STATE(21655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861223] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30863), 1,
      anon_sym_RPAREN,
    STATE(21656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861237] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30865), 1,
      anon_sym_RPAREN,
    STATE(21657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861251] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27599), 1,
      anon_sym_RPAREN,
    STATE(21658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861265] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30867), 1,
      anon_sym_with,
    STATE(21659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861279] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30869), 1,
      anon_sym_with,
    STATE(21660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861293] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30871), 1,
      anon_sym_DOT,
    STATE(21661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861307] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30873), 1,
      anon_sym_DASH_GT,
    STATE(21662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861321] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30875), 1,
      anon_sym_RPAREN,
    STATE(21663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861335] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30877), 1,
      sym__lowercase_identifier,
    STATE(21664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861349] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24144), 1,
      anon_sym_GT_RBRACE,
    STATE(21665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861363] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30879), 1,
      anon_sym_RPAREN,
    STATE(21666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861377] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22882), 1,
      anon_sym_end,
    STATE(21667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861391] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30881), 1,
      anon_sym_with,
    STATE(21668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861405] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30883), 1,
      anon_sym_with,
    STATE(21669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861419] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30885), 1,
      anon_sym_in,
    STATE(21670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861433] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30887), 1,
      anon_sym_SQUOTE2,
    STATE(21671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861447] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30889), 1,
      anon_sym_DQUOTE,
    STATE(21672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861461] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30891), 1,
      anon_sym_DASH_GT,
    STATE(21673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861475] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30893), 1,
      anon_sym_DOT,
    STATE(21674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861489] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30895), 1,
      anon_sym_in,
    STATE(21675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861503] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30897), 1,
      sym__lowercase_identifier,
    STATE(21676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861517] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30899), 1,
      anon_sym_RBRACE,
    STATE(21677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861531] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30901), 1,
      anon_sym_RPAREN,
    STATE(21678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861545] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30903), 1,
      anon_sym_RPAREN,
    STATE(21679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861559] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30905), 1,
      anon_sym_DASH_GT,
    STATE(21680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861573] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30907), 1,
      anon_sym_RPAREN,
    STATE(21681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861587] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30909), 1,
      anon_sym_RPAREN,
    STATE(21682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861601] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30911), 1,
      anon_sym_RBRACK,
    STATE(21683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861615] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30913), 1,
      anon_sym_RPAREN,
    STATE(21684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861629] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30915), 1,
      anon_sym_RPAREN,
    STATE(21685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861643] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30915), 1,
      anon_sym_RBRACK,
    STATE(21686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861657] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30915), 1,
      anon_sym_RBRACE,
    STATE(21687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861671] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30917), 1,
      anon_sym_RBRACE,
    STATE(21688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861685] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30919), 1,
      anon_sym_RBRACE,
    STATE(21689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861699] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30921), 1,
      anon_sym_RPAREN,
    STATE(21690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861713] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30923), 1,
      anon_sym_RPAREN,
    STATE(21691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861727] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30925), 1,
      anon_sym_RBRACK,
    STATE(21692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861741] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30927), 1,
      anon_sym_DOT,
    STATE(21693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861755] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30929), 1,
      anon_sym_RBRACE,
    STATE(21694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861769] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15097), 1,
      anon_sym_COMMA,
    STATE(21695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861783] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30931), 1,
      anon_sym_RBRACK,
    STATE(21696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861797] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30933), 1,
      anon_sym_with,
    STATE(21697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861811] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30935), 1,
      anon_sym_with,
    STATE(21698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861825] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30937), 1,
      anon_sym_DOT,
    STATE(21699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861839] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30939), 1,
      anon_sym_RPAREN,
    STATE(21700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861853] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_COMMA,
    STATE(21701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861867] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30941), 1,
      anon_sym_RPAREN,
    STATE(21702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861881] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30943), 1,
      anon_sym_RPAREN,
    STATE(21703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861895] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30945), 1,
      anon_sym_LT_DASH,
    STATE(21704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861909] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30947), 1,
      anon_sym_RBRACE,
    STATE(21705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861923] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30949), 1,
      anon_sym_with,
    STATE(21706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861937] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30951), 1,
      anon_sym_with,
    STATE(21707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861951] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30953), 1,
      anon_sym_RPAREN,
    STATE(21708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861965] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30955), 1,
      anon_sym_RPAREN,
    STATE(21709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861979] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11966), 1,
      anon_sym_COMMA,
    STATE(21710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [861993] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30957), 1,
      anon_sym_LT_DASH,
    STATE(21711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862007] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30959), 1,
      anon_sym_DOT,
    STATE(21712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862021] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30961), 1,
      anon_sym_DASH_GT,
    STATE(21713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862035] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13169), 1,
      anon_sym_GT,
    STATE(21714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862049] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30963), 1,
      anon_sym_RPAREN,
    STATE(21715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862063] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30965), 1,
      anon_sym_in,
    STATE(21716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862077] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30967), 1,
      anon_sym_RPAREN,
    STATE(21717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862091] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30969), 1,
      anon_sym_in,
    STATE(21718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862105] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30971), 1,
      anon_sym_in,
    STATE(21719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862119] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30973), 1,
      anon_sym_RPAREN,
    STATE(21720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862133] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30975), 1,
      anon_sym_RBRACK,
    STATE(21721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862147] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30977), 1,
      anon_sym_RPAREN,
    STATE(21722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862161] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30979), 1,
      anon_sym_RPAREN,
    STATE(21723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862175] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30979), 1,
      anon_sym_RBRACK,
    STATE(21724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862189] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30979), 1,
      anon_sym_RBRACE,
    STATE(21725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862203] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    STATE(21726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862217] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30981), 1,
      anon_sym_RPAREN,
    STATE(21727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862231] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30983), 1,
      anon_sym_RBRACE,
    STATE(21728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862245] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30985), 1,
      anon_sym_RPAREN,
    STATE(21729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862259] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30987), 1,
      anon_sym_in,
    STATE(21730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862273] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30989), 1,
      anon_sym_DOT,
    STATE(21731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862287] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30991), 1,
      anon_sym_in,
    STATE(21732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862301] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12597), 1,
      anon_sym_DASH_GT,
    STATE(21733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862315] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30993), 1,
      anon_sym_GT,
    STATE(21734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862329] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30995), 1,
      anon_sym_with,
    STATE(21735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862343] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30997), 1,
      anon_sym_with,
    STATE(21736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862357] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(30999), 1,
      anon_sym_DOT,
    STATE(21737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862371] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31001), 1,
      anon_sym_RBRACE,
    STATE(21738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862385] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31003), 1,
      anon_sym_end,
    STATE(21739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862399] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31005), 1,
      anon_sym_RPAREN,
    STATE(21740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862413] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31007), 1,
      anon_sym_RBRACK,
    STATE(21741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862427] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31009), 1,
      anon_sym_RBRACE,
    STATE(21742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862441] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31011), 1,
      anon_sym_RBRACE,
    STATE(21743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862455] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31013), 1,
      anon_sym_with,
    STATE(21744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862469] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31015), 1,
      anon_sym_with,
    STATE(21745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862483] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31017), 1,
      anon_sym_RPAREN,
    STATE(21746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862497] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6071), 1,
      anon_sym_end,
    STATE(21747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862511] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31019), 1,
      anon_sym_RBRACK,
    STATE(21748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862525] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31021), 1,
      anon_sym_RBRACE,
    STATE(21749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862539] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31023), 1,
      anon_sym_DOT,
    STATE(21750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862553] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31025), 1,
      anon_sym_RPAREN,
    STATE(21751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862567] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31027), 1,
      anon_sym_RPAREN,
    STATE(21752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862581] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31029), 1,
      aux_sym_number_token1,
    STATE(21753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862595] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31031), 1,
      anon_sym_RPAREN,
    STATE(21754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862609] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31033), 1,
      anon_sym_RPAREN,
    STATE(21755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862623] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24609), 1,
      anon_sym_GT_RBRACE,
    STATE(21756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862637] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31035), 1,
      anon_sym_RPAREN,
    STATE(21757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862651] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22789), 1,
      anon_sym_end,
    STATE(21758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862665] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31037), 1,
      anon_sym_DOT,
    STATE(21759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862679] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31039), 1,
      anon_sym_RPAREN,
    STATE(21760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862693] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31041), 1,
      anon_sym_RPAREN,
    STATE(21761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862707] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31041), 1,
      anon_sym_RBRACK,
    STATE(21762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862721] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31041), 1,
      anon_sym_RBRACE,
    STATE(21763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862735] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31043), 1,
      anon_sym_SQUOTE2,
    STATE(21764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862749] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31045), 1,
      anon_sym_DQUOTE,
    STATE(21765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862763] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31047), 1,
      anon_sym_RPAREN,
    STATE(21766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862777] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31049), 1,
      anon_sym_DOT,
    STATE(21767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862791] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31051), 1,
      anon_sym_in,
    STATE(21768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862805] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31053), 1,
      anon_sym_DOT,
    STATE(21769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862819] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31055), 1,
      sym__lowercase_identifier,
    STATE(21770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862833] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31057), 1,
      anon_sym_RPAREN,
    STATE(21771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862847] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31059), 1,
      anon_sym_in,
    STATE(21772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862861] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31061), 1,
      anon_sym_with,
    STATE(21773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862875] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31063), 1,
      anon_sym_with,
    STATE(21774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862889] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31065), 1,
      anon_sym_DOT,
    STATE(21775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862903] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31067), 1,
      anon_sym_RPAREN,
    STATE(21776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862917] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31069), 1,
      anon_sym_RPAREN,
    STATE(21777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862931] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31071), 1,
      anon_sym_RBRACE,
    STATE(21778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862945] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31073), 1,
      anon_sym_DASH_GT,
    STATE(21779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862959] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31075), 1,
      anon_sym_DOT,
    STATE(21780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862973] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31077), 1,
      anon_sym_SQUOTE2,
    STATE(21781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [862987] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31079), 1,
      anon_sym_with,
    STATE(21782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863001] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31081), 1,
      anon_sym_with,
    STATE(21783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863015] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31083), 1,
      anon_sym_in,
    STATE(21784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863029] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31085), 1,
      anon_sym_with,
    STATE(21785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863043] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31087), 1,
      anon_sym_PIPE,
    STATE(21786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863057] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31089), 1,
      anon_sym_RPAREN,
    STATE(21787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863071] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31091), 1,
      anon_sym_DOT,
    STATE(21788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863085] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31093), 1,
      anon_sym_with,
    STATE(21789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863099] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31095), 1,
      anon_sym_DOT,
    STATE(21790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863113] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31097), 1,
      anon_sym_RPAREN,
    STATE(21791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863127] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31099), 1,
      anon_sym_RPAREN,
    STATE(21792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863141] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31101), 1,
      anon_sym_RPAREN,
    STATE(21793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863155] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31103), 1,
      anon_sym_DASH_GT,
    STATE(21794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863169] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18591), 1,
      anon_sym_COMMA,
    STATE(21795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863183] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31105), 1,
      anon_sym_RBRACE,
    STATE(21796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863197] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31107), 1,
      anon_sym_LT_DASH,
    STATE(21797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863211] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31109), 1,
      anon_sym_RPAREN,
    STATE(21798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863225] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31111), 1,
      anon_sym_RPAREN,
    STATE(21799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863239] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31111), 1,
      anon_sym_RBRACK,
    STATE(21800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863253] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31111), 1,
      anon_sym_RBRACE,
    STATE(21801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863267] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31113), 1,
      anon_sym_RPAREN,
    STATE(21802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863281] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31115), 1,
      anon_sym_RBRACK,
    STATE(21803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863295] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31117), 1,
      anon_sym_RBRACE,
    STATE(21804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863309] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31119), 1,
      anon_sym_RPAREN,
    STATE(21805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863323] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31121), 1,
      anon_sym_DASH_GT,
    STATE(21806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863337] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31123), 1,
      anon_sym_DOT,
    STATE(21807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863351] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31125), 1,
      anon_sym_RPAREN,
    STATE(21808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863365] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3679), 1,
      anon_sym_RPAREN,
    STATE(21809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863379] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31127), 1,
      anon_sym_RPAREN,
    STATE(21810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863393] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31129), 1,
      anon_sym_with,
    STATE(21811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863407] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31131), 1,
      anon_sym_with,
    STATE(21812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863421] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31133), 1,
      anon_sym_DOT,
    STATE(21813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863435] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31135), 1,
      anon_sym_RPAREN,
    STATE(21814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863449] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31137), 1,
      anon_sym_DASH_GT,
    STATE(21815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863463] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31139), 1,
      anon_sym_end,
    STATE(21816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863477] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31141), 1,
      anon_sym_RBRACK,
    STATE(21817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863491] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31143), 1,
      anon_sym_RPAREN,
    STATE(21818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863505] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31145), 1,
      anon_sym_RBRACE,
    STATE(21819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863519] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31147), 1,
      anon_sym_with,
    STATE(21820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863533] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31149), 1,
      anon_sym_with,
    STATE(21821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863547] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13983), 1,
      anon_sym_COMMA,
    STATE(21822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863561] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31151), 1,
      anon_sym_STAR,
    STATE(21823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863575] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31153), 1,
      anon_sym_in,
    STATE(21824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863589] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31155), 1,
      anon_sym_RPAREN,
    STATE(21825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863603] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31157), 1,
      anon_sym_DOT,
    STATE(21826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863617] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31159), 1,
      anon_sym_in,
    STATE(21827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863631] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31161), 1,
      anon_sym_DASH_GT,
    STATE(21828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863645] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31163), 1,
      anon_sym_with,
    STATE(21829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863659] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20710), 1,
      anon_sym_DASH_GT,
    STATE(21830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863673] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31165), 1,
      anon_sym_RPAREN,
    STATE(21831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863687] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31167), 1,
      anon_sym_with,
    STATE(21832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863701] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31169), 1,
      anon_sym_RPAREN,
    STATE(21833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863715] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31171), 1,
      anon_sym_RBRACK,
    STATE(21834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863729] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31173), 1,
      anon_sym_RBRACE,
    STATE(21835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863743] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31175), 1,
      anon_sym_RPAREN,
    STATE(21836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863757] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31177), 1,
      anon_sym_RPAREN,
    STATE(21837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863771] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31177), 1,
      anon_sym_RBRACK,
    STATE(21838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863785] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31177), 1,
      anon_sym_RBRACE,
    STATE(21839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863799] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31179), 1,
      anon_sym_RPAREN,
    STATE(21840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863813] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31181), 1,
      anon_sym_DASH_GT,
    STATE(21841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863827] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31183), 1,
      anon_sym_DOT,
    STATE(21842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863841] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31185), 1,
      anon_sym_LT_DASH,
    STATE(21843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863855] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17415), 1,
      anon_sym_COMMA,
    STATE(21844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863869] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31187), 1,
      anon_sym_DOT,
    STATE(21845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863883] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31189), 1,
      anon_sym_LT_DASH,
    STATE(21846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863897] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31191), 1,
      anon_sym_in,
    STATE(21847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863911] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31193), 1,
      anon_sym_RBRACE,
    STATE(21848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863925] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31195), 1,
      anon_sym_with,
    STATE(21849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863939] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31197), 1,
      anon_sym_with,
    STATE(21850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863953] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31199), 1,
      anon_sym_DOT,
    STATE(21851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863967] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31201), 1,
      anon_sym_RPAREN,
    STATE(21852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863981] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31203), 1,
      anon_sym_in,
    STATE(21853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [863995] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31205), 1,
      anon_sym_RBRACK,
    STATE(21854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864009] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31207), 1,
      anon_sym_RBRACE,
    STATE(21855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864023] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31209), 1,
      anon_sym_in,
    STATE(21856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864037] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31211), 1,
      anon_sym_RPAREN,
    STATE(21857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864051] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31213), 1,
      anon_sym_with,
    STATE(21858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864065] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31215), 1,
      anon_sym_with,
    STATE(21859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864079] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31217), 1,
      anon_sym_RPAREN,
    STATE(21860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864093] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31219), 1,
      anon_sym_RPAREN,
    STATE(21861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864107] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31221), 1,
      anon_sym_in,
    STATE(21862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864121] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31223), 1,
      anon_sym_RPAREN,
    STATE(21863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864135] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31225), 1,
      anon_sym_DOT,
    STATE(21864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864149] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31227), 1,
      anon_sym_DASH_GT,
    STATE(21865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864163] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31229), 1,
      anon_sym_RPAREN,
    STATE(21866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864177] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31231), 1,
      anon_sym_DASH_GT,
    STATE(21867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864191] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31233), 1,
      anon_sym_in,
    STATE(21868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864205] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31235), 1,
      anon_sym_RPAREN,
    STATE(21869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864219] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31237), 1,
      anon_sym_in,
    STATE(21870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864233] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31239), 1,
      anon_sym_RPAREN,
    STATE(21871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864247] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31241), 1,
      anon_sym_in,
    STATE(21872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864261] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_DASH_GT,
    STATE(21873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864275] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31243), 1,
      anon_sym_RPAREN,
    STATE(21874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864289] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31245), 1,
      anon_sym_RPAREN,
    STATE(21875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864303] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31245), 1,
      anon_sym_RBRACK,
    STATE(21876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864317] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31245), 1,
      anon_sym_RBRACE,
    STATE(21877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864331] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31247), 1,
      anon_sym_RPAREN,
    STATE(21878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864345] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31249), 1,
      anon_sym_RPAREN,
    STATE(21879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864359] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31251), 1,
      anon_sym_RPAREN,
    STATE(21880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864373] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31253), 1,
      anon_sym_done,
    STATE(21881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864387] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31255), 1,
      anon_sym_RBRACK,
    STATE(21882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864401] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31257), 1,
      anon_sym_DOT,
    STATE(21883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864415] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31259), 1,
      anon_sym_RBRACE,
    STATE(21884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864429] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31261), 1,
      anon_sym_RPAREN,
    STATE(21885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864443] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17075), 1,
      anon_sym_COMMA,
    STATE(21886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864457] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31263), 1,
      anon_sym_with,
    STATE(21887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864471] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31265), 1,
      anon_sym_with,
    STATE(21888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864485] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31267), 1,
      anon_sym_DOT,
    STATE(21889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864499] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2661), 1,
      anon_sym_end,
    STATE(21890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864513] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31269), 1,
      anon_sym_in,
    STATE(21891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864527] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31271), 1,
      anon_sym_in,
    STATE(21892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864541] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31273), 1,
      anon_sym_in,
    STATE(21893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864555] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31275), 1,
      anon_sym_in,
    STATE(21894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864569] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31277), 1,
      anon_sym_RPAREN,
    STATE(21895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864583] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31279), 1,
      anon_sym_with,
    STATE(21896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864597] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31281), 1,
      anon_sym_with,
    STATE(21897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864611] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3601), 1,
      anon_sym_RPAREN,
    STATE(21898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864625] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28099), 1,
      aux_sym_number_token1,
    STATE(21899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864639] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31283), 1,
      anon_sym_RPAREN,
    STATE(21900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864653] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    STATE(21901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864667] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31285), 1,
      anon_sym_DOT,
    STATE(21902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864681] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31287), 1,
      anon_sym_RPAREN,
    STATE(21903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864695] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31289), 1,
      anon_sym_RPAREN,
    STATE(21904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864709] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31291), 1,
      anon_sym_in,
    STATE(21905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864723] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31293), 1,
      anon_sym_DASH_GT,
    STATE(21906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864737] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31295), 1,
      anon_sym_RPAREN,
    STATE(21907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864751] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31297), 1,
      anon_sym_RPAREN,
    STATE(21908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864765] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31299), 1,
      anon_sym_RPAREN,
    STATE(21909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864779] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31301), 1,
      anon_sym_RBRACK,
    STATE(21910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864793] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31303), 1,
      anon_sym_RBRACE,
    STATE(21911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864807] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31305), 1,
      anon_sym_RPAREN,
    STATE(21912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864821] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31307), 1,
      anon_sym_RPAREN,
    STATE(21913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864835] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31307), 1,
      anon_sym_RBRACK,
    STATE(21914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864849] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31307), 1,
      anon_sym_RBRACE,
    STATE(21915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864863] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31309), 1,
      anon_sym_RPAREN,
    STATE(21916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864877] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26747), 1,
      anon_sym_RBRACE,
    STATE(21917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864891] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31311), 1,
      anon_sym_RBRACE,
    STATE(21918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864905] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31313), 1,
      anon_sym_RBRACK,
    STATE(21919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864919] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31315), 1,
      anon_sym_in,
    STATE(21920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864933] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31317), 1,
      anon_sym_DOT,
    STATE(21921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864947] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31319), 1,
      anon_sym_in,
    STATE(21922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864961] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31321), 1,
      anon_sym_RPAREN,
    STATE(21923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864975] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31323), 1,
      anon_sym_with,
    STATE(21924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [864989] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31325), 1,
      anon_sym_with,
    STATE(21925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865003] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31327), 1,
      anon_sym_DOT,
    STATE(21926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865017] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31329), 1,
      anon_sym_RBRACE,
    STATE(21927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865031] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31331), 1,
      anon_sym_DOT,
    STATE(21928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865045] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31333), 1,
      anon_sym_in,
    STATE(21929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865059] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20510), 1,
      anon_sym_COMMA,
    STATE(21930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865073] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31335), 1,
      anon_sym_RBRACE,
    STATE(21931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865087] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31337), 1,
      anon_sym_RPAREN,
    STATE(21932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865101] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31339), 1,
      anon_sym_with,
    STATE(21933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865115] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31341), 1,
      anon_sym_with,
    STATE(21934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865129] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31343), 1,
      anon_sym_RBRACE,
    STATE(21935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865143] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31345), 1,
      anon_sym_RPAREN,
    STATE(21936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865157] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31347), 1,
      anon_sym_RPAREN,
    STATE(21937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865171] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31349), 1,
      anon_sym_RPAREN,
    STATE(21938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865185] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31351), 1,
      anon_sym_DOT,
    STATE(21939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865199] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31353), 1,
      anon_sym_in,
    STATE(21940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865213] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31355), 1,
      anon_sym_RPAREN,
    STATE(21941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865227] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31355), 1,
      anon_sym_RBRACK,
    STATE(21942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865241] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31355), 1,
      anon_sym_RBRACE,
    STATE(21943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865255] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31357), 1,
      anon_sym_RPAREN,
    STATE(21944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865269] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31359), 1,
      anon_sym_DASH_GT,
    STATE(21945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865283] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31361), 1,
      anon_sym_DASH_GT,
    STATE(21946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865297] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13047), 1,
      anon_sym_GT,
    STATE(21947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865311] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31363), 1,
      anon_sym_LT_DASH,
    STATE(21948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865325] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31365), 1,
      anon_sym_RPAREN,
    STATE(21949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865339] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31367), 1,
      anon_sym_RPAREN,
    STATE(21950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865353] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31367), 1,
      anon_sym_RBRACK,
    STATE(21951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865367] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31367), 1,
      anon_sym_RBRACE,
    STATE(21952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865381] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    STATE(21953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865395] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17668), 1,
      anon_sym_COMMA,
    STATE(21954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865409] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31369), 1,
      anon_sym_DASH_GT,
    STATE(21955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865423] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24274), 1,
      anon_sym_GT_RBRACE,
    STATE(21956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865437] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31371), 1,
      anon_sym_in,
    STATE(21957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865451] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31373), 1,
      anon_sym_DOT,
    STATE(21958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865465] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26781), 1,
      anon_sym_RBRACE,
    STATE(21959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865479] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31375), 1,
      anon_sym_LT_DASH,
    STATE(21960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865493] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31377), 1,
      anon_sym_with,
    STATE(21961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865507] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31379), 1,
      anon_sym_with,
    STATE(21962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865521] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31381), 1,
      anon_sym_DOT,
    STATE(21963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865535] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22944), 1,
      anon_sym_end,
    STATE(21964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865549] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31383), 1,
      anon_sym_in,
    STATE(21965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865563] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31385), 1,
      anon_sym_in,
    STATE(21966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865577] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31387), 1,
      anon_sym_RBRACE,
    STATE(21967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865591] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31389), 1,
      anon_sym_in,
    STATE(21968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865605] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31391), 1,
      anon_sym_in,
    STATE(21969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865619] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31393), 1,
      anon_sym_with,
    STATE(21970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865633] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31395), 1,
      anon_sym_with,
    STATE(21971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865647] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31397), 1,
      anon_sym_RPAREN,
    STATE(21972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865661] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12907), 1,
      anon_sym_DASH_GT,
    STATE(21973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865675] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31399), 1,
      anon_sym_RPAREN,
    STATE(21974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865689] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11782), 1,
      anon_sym_COMMA,
    STATE(21975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865703] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31401), 1,
      anon_sym_DOT,
    STATE(21976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865717] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3663), 1,
      anon_sym_RPAREN,
    STATE(21977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865731] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31403), 1,
      anon_sym_SQUOTE2,
    STATE(21978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865745] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31405), 1,
      anon_sym_in,
    STATE(21979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865759] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31407), 1,
      anon_sym_LT_DASH,
    STATE(21980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865773] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31409), 1,
      anon_sym_RPAREN,
    STATE(21981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865787] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31411), 1,
      anon_sym_in,
    STATE(21982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865801] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31413), 1,
      anon_sym_in,
    STATE(21983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865815] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31415), 1,
      anon_sym_in,
    STATE(21984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865829] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31417), 1,
      anon_sym_RPAREN,
    STATE(21985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865843] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31419), 1,
      anon_sym_RPAREN,
    STATE(21986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865857] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31421), 1,
      anon_sym_RPAREN,
    STATE(21987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865871] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31421), 1,
      anon_sym_RBRACK,
    STATE(21988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865885] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31421), 1,
      anon_sym_RBRACE,
    STATE(21989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865899] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31423), 1,
      anon_sym_DQUOTE,
    STATE(21990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865913] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3667), 1,
      anon_sym_RPAREN,
    STATE(21991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865927] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25522), 1,
      anon_sym_GT_RBRACE,
    STATE(21992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865941] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31425), 1,
      anon_sym_RPAREN,
    STATE(21993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865955] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31427), 1,
      sym__lowercase_identifier,
    STATE(21994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865969] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31429), 1,
      anon_sym_DOT,
    STATE(21995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865983] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31431), 1,
      anon_sym_in,
    STATE(21996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [865997] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31433), 1,
      anon_sym_DOT,
    STATE(21997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866011] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31435), 1,
      anon_sym_RBRACE,
    STATE(21998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866025] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31437), 1,
      anon_sym_in,
    STATE(21999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866039] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31439), 1,
      anon_sym_EQ,
    STATE(22000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866053] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31441), 1,
      anon_sym_DOT,
    STATE(22001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866067] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23258), 1,
      anon_sym_end,
    STATE(22002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866081] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31443), 1,
      anon_sym_in,
    STATE(22003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866095] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31445), 1,
      anon_sym_SQUOTE2,
    STATE(22004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866109] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31447), 1,
      anon_sym_RPAREN,
    STATE(22005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866123] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31449), 1,
      anon_sym_DQUOTE,
    STATE(22006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866137] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31451), 1,
      anon_sym_RPAREN,
    STATE(22007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866151] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31453), 1,
      anon_sym_RPAREN,
    STATE(22008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866165] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31453), 1,
      anon_sym_RBRACK,
    STATE(22009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866179] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31453), 1,
      anon_sym_RBRACE,
    STATE(22010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866193] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31455), 1,
      anon_sym_DASH_GT,
    STATE(22011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866207] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23605), 1,
      anon_sym_GT_RBRACE,
    STATE(22012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866221] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31457), 1,
      anon_sym_RBRACE,
    STATE(22013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866235] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31459), 1,
      anon_sym_GT,
    STATE(22014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866249] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31461), 1,
      anon_sym_DOT,
    STATE(22015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866263] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31463), 1,
      sym__lowercase_identifier,
    STATE(22016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866277] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23180), 1,
      anon_sym_end,
    STATE(22017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866291] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31465), 1,
      anon_sym_RBRACE,
    STATE(22018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866305] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31467), 1,
      anon_sym_SQUOTE2,
    STATE(22019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866319] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31469), 1,
      anon_sym_DQUOTE,
    STATE(22020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866333] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25594), 1,
      anon_sym_GT_RBRACE,
    STATE(22021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866347] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31471), 1,
      anon_sym_RPAREN,
    STATE(22022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866361] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31473), 1,
      anon_sym_RBRACE,
    STATE(22023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866375] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31475), 1,
      anon_sym_RPAREN,
    STATE(22024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866389] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31477), 1,
      anon_sym_RPAREN,
    STATE(22025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866403] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31477), 1,
      anon_sym_RBRACK,
    STATE(22026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866417] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31477), 1,
      anon_sym_RBRACE,
    STATE(22027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866431] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31479), 1,
      anon_sym_DASH_GT,
    STATE(22028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866445] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31481), 1,
      anon_sym_RPAREN,
    STATE(22029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866459] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31483), 1,
      sym__lowercase_identifier,
    STATE(22030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866473] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31485), 1,
      anon_sym_in,
    STATE(22031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866487] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31487), 1,
      anon_sym_RBRACE,
    STATE(22032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866501] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13149), 1,
      anon_sym_GT,
    STATE(22033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866515] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31489), 1,
      anon_sym_RBRACE,
    STATE(22034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866529] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31491), 1,
      anon_sym_RPAREN,
    STATE(22035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866543] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31491), 1,
      anon_sym_RBRACK,
    STATE(22036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866557] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31491), 1,
      anon_sym_RBRACE,
    STATE(22037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866571] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31493), 1,
      anon_sym_RPAREN,
    STATE(22038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866585] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31495), 1,
      anon_sym_RPAREN,
    STATE(22039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866599] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31497), 1,
      anon_sym_RPAREN,
    STATE(22040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866613] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    STATE(22041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866627] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31499), 1,
      anon_sym_RPAREN,
    STATE(22042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866641] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31501), 1,
      anon_sym_RBRACK,
    STATE(22043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866655] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31503), 1,
      anon_sym_end,
    STATE(22044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866669] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31505), 1,
      anon_sym_RPAREN,
    STATE(22045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866683] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31505), 1,
      anon_sym_RBRACK,
    STATE(22046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866697] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31505), 1,
      anon_sym_RBRACE,
    STATE(22047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866711] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31507), 1,
      anon_sym_RBRACK,
    STATE(22048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866725] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31509), 1,
      anon_sym_RBRACE,
    STATE(22049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866739] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31511), 1,
      anon_sym_RPAREN,
    STATE(22050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866753] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31513), 1,
      anon_sym_DASH_GT,
    STATE(22051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866767] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26103), 1,
      anon_sym_RBRACE,
    STATE(22052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866781] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31515), 1,
      anon_sym_RBRACE,
    STATE(22053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866795] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31517), 1,
      anon_sym_RPAREN,
    STATE(22054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866809] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31519), 1,
      anon_sym_RPAREN,
    STATE(22055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866823] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31519), 1,
      anon_sym_RBRACK,
    STATE(22056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866837] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31519), 1,
      anon_sym_RBRACE,
    STATE(22057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866851] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23230), 1,
      anon_sym_end,
    STATE(22058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866865] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31521), 1,
      sym__lowercase_identifier,
    STATE(22059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866879] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31523), 1,
      anon_sym_RPAREN,
    STATE(22060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866893] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31525), 1,
      anon_sym_DASH_GT,
    STATE(22061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866907] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31527), 1,
      anon_sym_RPAREN,
    STATE(22062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866921] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31529), 1,
      anon_sym_RBRACK,
    STATE(22063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866935] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27859), 1,
      anon_sym_RBRACE,
    STATE(22064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866949] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31531), 1,
      anon_sym_RPAREN,
    STATE(22065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866963] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31531), 1,
      anon_sym_RBRACK,
    STATE(22066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866977] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31531), 1,
      anon_sym_RBRACE,
    STATE(22067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [866991] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31533), 1,
      anon_sym_RBRACE,
    STATE(22068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867005] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24691), 1,
      anon_sym_GT_RBRACE,
    STATE(22069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867019] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31535), 1,
      anon_sym_DASH_GT,
    STATE(22070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867033] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31537), 1,
      anon_sym_end,
    STATE(22071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867047] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31539), 1,
      anon_sym_RBRACK,
    STATE(22072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867061] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31541), 1,
      anon_sym_RBRACE,
    STATE(22073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867075] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31543), 1,
      anon_sym_SQUOTE2,
    STATE(22074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867089] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31545), 1,
      anon_sym_RPAREN,
    STATE(22075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867103] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31545), 1,
      anon_sym_RBRACK,
    STATE(22076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867117] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31545), 1,
      anon_sym_RBRACE,
    STATE(22077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867131] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    STATE(22078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867145] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20208), 1,
      anon_sym_GT,
    STATE(22079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867159] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31547), 1,
      anon_sym_DOT,
    STATE(22080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867173] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31549), 1,
      anon_sym_RPAREN,
    STATE(22081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867187] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31551), 1,
      anon_sym_DOT,
    STATE(22082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867201] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31553), 1,
      anon_sym_DASH_GT,
    STATE(22083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867215] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31555), 1,
      anon_sym_in,
    STATE(22084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867229] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31557), 1,
      anon_sym_RPAREN,
    STATE(22085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867243] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31557), 1,
      anon_sym_RBRACK,
    STATE(22086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867257] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31557), 1,
      anon_sym_RBRACE,
    STATE(22087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867271] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31559), 1,
      anon_sym_RBRACK,
    STATE(22088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867285] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22856), 1,
      anon_sym_end,
    STATE(22089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867299] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31561), 1,
      anon_sym_RPAREN,
    STATE(22090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867313] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31563), 1,
      anon_sym_DQUOTE,
    STATE(22091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867327] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23715), 1,
      anon_sym_GT_RBRACE,
    STATE(22092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867341] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31565), 1,
      anon_sym_RBRACE,
    STATE(22093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867355] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31567), 1,
      anon_sym_DOT,
    STATE(22094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867369] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31569), 1,
      anon_sym_RPAREN,
    STATE(22095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867383] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31569), 1,
      anon_sym_RBRACK,
    STATE(22096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867397] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31569), 1,
      anon_sym_RBRACE,
    STATE(22097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867411] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31571), 1,
      anon_sym_RPAREN,
    STATE(22098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867425] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31573), 1,
      anon_sym_RBRACE,
    STATE(22099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867439] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31575), 1,
      anon_sym_RBRACK,
    STATE(22100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867453] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31577), 1,
      anon_sym_with,
    STATE(22101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867467] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31579), 1,
      anon_sym_RBRACE,
    STATE(22102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867481] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31581), 1,
      anon_sym_RPAREN,
    STATE(22103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867495] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31583), 1,
      anon_sym_with,
    STATE(22104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867509] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31585), 1,
      anon_sym_RPAREN,
    STATE(22105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867523] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31585), 1,
      anon_sym_RBRACK,
    STATE(22106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867537] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31585), 1,
      anon_sym_RBRACE,
    STATE(22107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867551] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31587), 1,
      anon_sym_DOT,
    STATE(22108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867565] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31589), 1,
      anon_sym_SQUOTE2,
    STATE(22109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867579] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31591), 1,
      anon_sym_RPAREN,
    STATE(22110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867593] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22684), 1,
      anon_sym_end,
    STATE(22111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867607] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31593), 1,
      anon_sym_RPAREN,
    STATE(22112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867621] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31595), 1,
      anon_sym_RBRACK,
    STATE(22113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867635] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31597), 1,
      anon_sym_end,
    STATE(22114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867649] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31599), 1,
      anon_sym_RPAREN,
    STATE(22115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867663] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31599), 1,
      anon_sym_RBRACK,
    STATE(22116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867677] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31599), 1,
      anon_sym_RBRACE,
    STATE(22117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867691] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31601), 1,
      anon_sym_RBRACK,
    STATE(22118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867705] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31603), 1,
      anon_sym_DQUOTE,
    STATE(22119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867719] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20438), 1,
      anon_sym_GT,
    STATE(22120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867733] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31605), 1,
      anon_sym_RBRACE,
    STATE(22121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867747] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31607), 1,
      anon_sym_GT,
    STATE(22122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867761] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31609), 1,
      anon_sym_RPAREN,
    STATE(22123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867775] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31611), 1,
      anon_sym_DASH_GT,
    STATE(22124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867789] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31613), 1,
      anon_sym_RPAREN,
    STATE(22125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867803] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31613), 1,
      anon_sym_RBRACK,
    STATE(22126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867817] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31613), 1,
      anon_sym_RBRACE,
    STATE(22127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867831] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31615), 1,
      anon_sym_RPAREN,
    STATE(22128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867845] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31617), 1,
      anon_sym_RBRACK,
    STATE(22129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867859] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31619), 1,
      anon_sym_RBRACE,
    STATE(22130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867873] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31621), 1,
      anon_sym_STAR,
    STATE(22131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867887] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31623), 1,
      anon_sym_RPAREN,
    STATE(22132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867901] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31625), 1,
      anon_sym_in,
    STATE(22133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867915] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31627), 1,
      anon_sym_SQUOTE2,
    STATE(22134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867929] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31629), 1,
      anon_sym_RPAREN,
    STATE(22135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867943] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31629), 1,
      anon_sym_RBRACK,
    STATE(22136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867957] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31629), 1,
      anon_sym_RBRACE,
    STATE(22137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867971] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31631), 1,
      anon_sym_with,
    STATE(22138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867985] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31633), 1,
      anon_sym_RBRACE,
    STATE(22139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [867999] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31635), 1,
      anon_sym_with,
    STATE(22140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868013] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31637), 1,
      anon_sym_RPAREN,
    STATE(22141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868027] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31639), 1,
      anon_sym_RPAREN,
    STATE(22142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868041] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31641), 1,
      anon_sym_RBRACK,
    STATE(22143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868055] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31643), 1,
      anon_sym_RBRACE,
    STATE(22144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868069] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31645), 1,
      anon_sym_RPAREN,
    STATE(22145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868083] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31645), 1,
      anon_sym_RBRACK,
    STATE(22146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868097] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31645), 1,
      anon_sym_RBRACE,
    STATE(22147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868111] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31647), 1,
      anon_sym_DOT,
    STATE(22148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868125] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31649), 1,
      anon_sym_RPAREN,
    STATE(22149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868139] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31651), 1,
      sym__lowercase_identifier,
    STATE(22150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868153] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31653), 1,
      anon_sym_RPAREN,
    STATE(22151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868167] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31655), 1,
      anon_sym_RPAREN,
    STATE(22152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868181] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31657), 1,
      anon_sym_RPAREN,
    STATE(22153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868195] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31659), 1,
      anon_sym_DQUOTE,
    STATE(22154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868209] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17227), 1,
      anon_sym_COMMA,
    STATE(22155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868223] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31661), 1,
      anon_sym_DASH_GT,
    STATE(22156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868237] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31663), 1,
      sym__lowercase_identifier,
    STATE(22157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868251] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31665), 1,
      anon_sym_DASH_GT,
    STATE(22158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868265] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11643), 1,
      anon_sym_COLON_COLON,
    STATE(22159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868279] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31667), 1,
      anon_sym_DASH_GT,
    STATE(22160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868293] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31669), 1,
      anon_sym_RPAREN,
    STATE(22161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868307] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31671), 1,
      anon_sym_RPAREN,
    STATE(22162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868321] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31673), 1,
      anon_sym_RPAREN,
    STATE(22163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868335] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31675), 1,
      anon_sym_RBRACE,
    STATE(22164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868349] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31677), 1,
      anon_sym_RPAREN,
    STATE(22165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868363] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31679), 1,
      anon_sym_RPAREN,
    STATE(22166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868377] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31681), 1,
      anon_sym_in,
    STATE(22167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868391] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31683), 1,
      anon_sym_DASH_GT,
    STATE(22168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868405] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20300), 1,
      anon_sym_GT,
    STATE(22169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868419] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31685), 1,
      anon_sym_RBRACE,
    STATE(22170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868433] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31687), 1,
      anon_sym_RPAREN,
    STATE(22171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868447] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31689), 1,
      anon_sym_RBRACE,
    STATE(22172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868461] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13384), 1,
      anon_sym_GT,
    STATE(22173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868475] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31691), 1,
      anon_sym_LT_DASH,
    STATE(22174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868489] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31693), 1,
      anon_sym_SQUOTE2,
    STATE(22175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868503] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31695), 1,
      anon_sym_DQUOTE,
    STATE(22176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868517] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31697), 1,
      anon_sym_DASH_GT,
    STATE(22177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868531] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31699), 1,
      anon_sym_LT_DASH,
    STATE(22178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868545] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31701), 1,
      anon_sym_RBRACE,
    STATE(22179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868559] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31703), 1,
      anon_sym_RPAREN,
    STATE(22180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868573] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31705), 1,
      anon_sym_RBRACK,
    STATE(22181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868587] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31707), 1,
      anon_sym_RBRACK,
    STATE(22182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868601] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31709), 1,
      anon_sym_RBRACE,
    STATE(22183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868615] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31711), 1,
      anon_sym_RPAREN,
    STATE(22184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868629] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31713), 1,
      anon_sym_RPAREN,
    STATE(22185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868643] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31715), 1,
      anon_sym_RBRACE,
    STATE(22186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868657] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31717), 1,
      anon_sym_RBRACE,
    STATE(22187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868671] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31719), 1,
      anon_sym_RPAREN,
    STATE(22188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868685] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31719), 1,
      anon_sym_RBRACK,
    STATE(22189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868699] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31719), 1,
      anon_sym_RBRACE,
    STATE(22190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868713] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31721), 1,
      anon_sym_DASH_GT,
    STATE(22191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868727] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31723), 1,
      anon_sym_DASH_GT,
    STATE(22192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868741] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31725), 1,
      anon_sym_in,
    STATE(22193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868755] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31727), 1,
      anon_sym_RPAREN,
    STATE(22194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868769] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31729), 1,
      anon_sym_DASH_GT,
    STATE(22195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868783] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31731), 1,
      sym__lowercase_identifier,
    STATE(22196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868797] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31733), 1,
      anon_sym_in,
    STATE(22197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868811] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31735), 1,
      anon_sym_RPAREN,
    STATE(22198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868825] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31737), 1,
      anon_sym_RPAREN,
    STATE(22199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868839] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31739), 1,
      anon_sym_in,
    STATE(22200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868853] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31741), 1,
      anon_sym_RPAREN,
    STATE(22201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868867] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31743), 1,
      anon_sym_RPAREN,
    STATE(22202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868881] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31745), 1,
      anon_sym_RBRACK,
    STATE(22203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868895] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31747), 1,
      anon_sym_RBRACE,
    STATE(22204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868909] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31749), 1,
      anon_sym_RPAREN,
    STATE(22205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868923] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31751), 1,
      anon_sym_end,
    STATE(22206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868937] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31753), 1,
      anon_sym_DASH_GT,
    STATE(22207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868951] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31755), 1,
      sym__lowercase_identifier,
    STATE(22208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868965] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31757), 1,
      anon_sym_RBRACK,
    STATE(22209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868979] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31759), 1,
      anon_sym_RPAREN,
    STATE(22210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [868993] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24367), 1,
      anon_sym_GT_RBRACE,
    STATE(22211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869007] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31761), 1,
      anon_sym_RPAREN,
    STATE(22212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869021] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31763), 1,
      anon_sym_RBRACK,
    STATE(22213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869035] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13199), 1,
      anon_sym_GT,
    STATE(22214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869049] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31765), 1,
      anon_sym_RPAREN,
    STATE(22215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869063] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3673), 1,
      anon_sym_RPAREN,
    STATE(22216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869077] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31767), 1,
      anon_sym_RBRACE,
    STATE(22217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869091] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31769), 1,
      sym__lowercase_identifier,
    STATE(22218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869105] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31771), 1,
      anon_sym_RPAREN,
    STATE(22219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869119] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31773), 1,
      sym__lowercase_identifier,
    STATE(22220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869133] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31775), 1,
      anon_sym_RBRACE,
    STATE(22221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869147] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31777), 1,
      anon_sym_RPAREN,
    STATE(22222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869161] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31779), 1,
      anon_sym_GT,
    STATE(22223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869175] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27009), 1,
      anon_sym_RBRACE,
    STATE(22224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869189] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31781), 1,
      anon_sym_RPAREN,
    STATE(22225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869203] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31783), 1,
      anon_sym_SQUOTE2,
    STATE(22226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869217] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31785), 1,
      anon_sym_DQUOTE,
    STATE(22227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869231] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31787), 1,
      anon_sym_RBRACE,
    STATE(22228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869245] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31789), 1,
      anon_sym_RPAREN,
    STATE(22229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869259] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31791), 1,
      sym__lowercase_identifier,
    STATE(22230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869273] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31793), 1,
      anon_sym_in,
    STATE(22231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869287] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31795), 1,
      anon_sym_RBRACE,
    STATE(22232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869301] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31797), 1,
      anon_sym_RBRACK,
    STATE(22233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869315] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31799), 1,
      anon_sym_RBRACE,
    STATE(22234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869329] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31801), 1,
      anon_sym_RPAREN,
    STATE(22235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869343] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27127), 1,
      anon_sym_RBRACK,
    STATE(22236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869357] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31803), 1,
      anon_sym_DASH_GT,
    STATE(22237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869371] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31805), 1,
      anon_sym_RBRACE,
    STATE(22238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869385] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22752), 1,
      anon_sym_end,
    STATE(22239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869399] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31807), 1,
      anon_sym_DASH_GT,
    STATE(22240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869413] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31809), 1,
      anon_sym_RBRACE,
    STATE(22241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869427] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31811), 1,
      anon_sym_SQUOTE2,
    STATE(22242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869441] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31813), 1,
      anon_sym_GT,
    STATE(22243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869455] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11541), 1,
      anon_sym_RPAREN,
    STATE(22244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869469] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31815), 1,
      anon_sym_DASH_GT,
    STATE(22245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869483] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13071), 1,
      anon_sym_GT,
    STATE(22246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869497] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31817), 1,
      anon_sym_RPAREN,
    STATE(22247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869511] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31819), 1,
      anon_sym_RBRACE,
    STATE(22248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869525] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31821), 1,
      anon_sym_RPAREN,
    STATE(22249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869539] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31823), 1,
      anon_sym_RPAREN,
    STATE(22250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869553] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31825), 1,
      sym__lowercase_identifier,
    STATE(22251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869567] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31827), 1,
      anon_sym_end,
    STATE(22252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869581] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31829), 1,
      anon_sym_RPAREN,
    STATE(22253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869595] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31831), 1,
      anon_sym_RBRACK,
    STATE(22254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869609] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31833), 1,
      anon_sym_RBRACE,
    STATE(22255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869623] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31835), 1,
      anon_sym_RPAREN,
    STATE(22256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869637] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31837), 1,
      anon_sym_RPAREN,
    STATE(22257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869651] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31839), 1,
      anon_sym_RPAREN,
    STATE(22258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869665] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31841), 1,
      anon_sym_RPAREN,
    STATE(22259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869679] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31843), 1,
      anon_sym_DQUOTE,
    STATE(22260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869693] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
    STATE(22261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869707] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31845), 1,
      anon_sym_end,
    STATE(22262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869721] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31847), 1,
      anon_sym_RBRACK,
    STATE(22263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869735] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31849), 1,
      anon_sym_RPAREN,
    STATE(22264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869749] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31851), 1,
      anon_sym_in,
    STATE(22265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869763] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31853), 1,
      anon_sym_DASH_GT,
    STATE(22266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869777] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31855), 1,
      anon_sym_RBRACE,
    STATE(22267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869791] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31857), 1,
      anon_sym_RPAREN,
    STATE(22268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869805] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31859), 1,
      anon_sym_in,
    STATE(22269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869819] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    STATE(22270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869833] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31861), 1,
      sym__lowercase_identifier,
    STATE(22271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869847] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31863), 1,
      anon_sym_RBRACE,
    STATE(22272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869861] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31865), 1,
      anon_sym_RPAREN,
    STATE(22273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869875] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31867), 1,
      anon_sym_RBRACK,
    STATE(22274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869889] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31869), 1,
      anon_sym_RBRACE,
    STATE(22275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869903] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31871), 1,
      anon_sym_RBRACE,
    STATE(22276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869917] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31873), 1,
      anon_sym_RPAREN,
    STATE(22277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869931] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31875), 1,
      anon_sym_DOT,
    STATE(22278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869945] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31877), 1,
      sym__lowercase_identifier,
    STATE(22279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869959] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13051), 1,
      anon_sym_DASH_GT,
    STATE(22280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869973] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31879), 1,
      anon_sym_DOT,
    STATE(22281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [869987] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31881), 1,
      anon_sym_SQUOTE2,
    STATE(22282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870001] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31883), 1,
      anon_sym_RPAREN,
    STATE(22283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870015] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31885), 1,
      anon_sym_DQUOTE,
    STATE(22284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870029] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31887), 1,
      anon_sym_RBRACK,
    STATE(22285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870043] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31889), 1,
      anon_sym_RBRACE,
    STATE(22286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870057] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31891), 1,
      anon_sym_RBRACE,
    STATE(22287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870071] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31893), 1,
      anon_sym_RPAREN,
    STATE(22288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870085] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31895), 1,
      anon_sym_RPAREN,
    STATE(22289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870099] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31897), 1,
      anon_sym_RPAREN,
    STATE(22290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870113] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31899), 1,
      anon_sym_RPAREN,
    STATE(22291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870127] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31901), 1,
      anon_sym_RBRACK,
    STATE(22292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870141] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31903), 1,
      anon_sym_RBRACE,
    STATE(22293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870155] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31905), 1,
      anon_sym_DOT,
    STATE(22294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870169] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31907), 1,
      anon_sym_RPAREN,
    STATE(22295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870183] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31909), 1,
      anon_sym_RPAREN,
    STATE(22296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870197] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31911), 1,
      anon_sym_RPAREN,
    STATE(22297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870211] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31913), 1,
      anon_sym_with,
    STATE(22298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870225] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24804), 1,
      anon_sym_GT_RBRACE,
    STATE(22299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870239] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31915), 1,
      anon_sym_RPAREN,
    STATE(22300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870253] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31917), 1,
      anon_sym_DASH_GT,
    STATE(22301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870267] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31919), 1,
      anon_sym_PIPE,
    STATE(22302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870281] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31921), 1,
      anon_sym_with,
    STATE(22303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870295] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31923), 1,
      anon_sym_RPAREN,
    STATE(22304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870309] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22852), 1,
      anon_sym_end,
    STATE(22305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870323] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31925), 1,
      anon_sym_DOT,
    STATE(22306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870337] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31927), 1,
      anon_sym_RPAREN,
    STATE(22307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870351] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31929), 1,
      anon_sym_SQUOTE2,
    STATE(22308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870365] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3611), 1,
      anon_sym_RPAREN,
    STATE(22309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870379] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31931), 1,
      anon_sym_DQUOTE,
    STATE(22310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870393] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31933), 1,
      anon_sym_DOT_DOT,
    STATE(22311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870407] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31935), 1,
      anon_sym_DOT_DOT,
    STATE(22312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870421] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31937), 1,
      anon_sym_DOT_DOT,
    STATE(22313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870435] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31939), 1,
      anon_sym_RBRACE,
    STATE(22314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870449] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31941), 1,
      anon_sym_DASH_GT,
    STATE(22315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870463] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31943), 1,
      anon_sym_RBRACE,
    STATE(22316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870477] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31945), 1,
      anon_sym_SQUOTE2,
    STATE(22317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870491] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31947), 1,
      anon_sym_DQUOTE,
    STATE(22318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870505] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31949), 1,
      anon_sym_RBRACK,
    STATE(22319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870519] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31951), 1,
      anon_sym_RBRACE,
    STATE(22320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870533] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31953), 1,
      anon_sym_RBRACE,
    STATE(22321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870547] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17930), 1,
      anon_sym_COMMA,
    STATE(22322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870561] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31955), 1,
      anon_sym_LT_DASH,
    STATE(22323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870575] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31957), 1,
      anon_sym_in,
    STATE(22324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870589] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31959), 1,
      anon_sym_in,
    STATE(22325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870603] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31961), 1,
      anon_sym_in,
    STATE(22326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870617] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31963), 1,
      anon_sym_STAR,
    STATE(22327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870631] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31965), 1,
      anon_sym_in,
    STATE(22328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870645] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31967), 1,
      anon_sym_with,
    STATE(22329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870659] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31969), 1,
      anon_sym_RPAREN,
    STATE(22330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870673] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31971), 1,
      anon_sym_with,
    STATE(22331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870687] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31973), 1,
      sym__lowercase_identifier,
    STATE(22332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870701] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31975), 1,
      anon_sym_RPAREN,
    STATE(22333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870715] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    STATE(22334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870729] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11827), 1,
      anon_sym_COMMA,
    STATE(22335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870743] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31977), 1,
      anon_sym_DOT,
    STATE(22336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870757] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31979), 1,
      anon_sym_RPAREN,
    STATE(22337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870771] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31981), 1,
      anon_sym_LT_DASH,
    STATE(22338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870785] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31983), 1,
      anon_sym_in,
    STATE(22339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870799] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31985), 1,
      anon_sym_RPAREN,
    STATE(22340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870813] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3637), 1,
      anon_sym_RPAREN,
    STATE(22341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870827] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31987), 1,
      anon_sym_RBRACE,
    STATE(22342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870841] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31989), 1,
      anon_sym_in,
    STATE(22343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870855] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31991), 1,
      anon_sym_SQUOTE2,
    STATE(22344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870869] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12446), 1,
      anon_sym_COMMA,
    STATE(22345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870883] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12293), 1,
      anon_sym_COMMA,
    STATE(22346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870897] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31993), 1,
      anon_sym_LT_DASH,
    STATE(22347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870911] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31995), 1,
      anon_sym_DQUOTE,
    STATE(22348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870925] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31997), 1,
      anon_sym_in,
    STATE(22349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870939] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(31999), 1,
      anon_sym_DASH_GT,
    STATE(22350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870953] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32001), 1,
      anon_sym_in,
    STATE(22351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870967] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32003), 1,
      anon_sym_in,
    STATE(22352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870981] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32005), 1,
      anon_sym_RPAREN,
    STATE(22353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [870995] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32007), 1,
      anon_sym_LT_DASH,
    STATE(22354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871009] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3603), 1,
      anon_sym_RPAREN,
    STATE(22355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871023] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32009), 1,
      anon_sym_RBRACK,
    STATE(22356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871037] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32011), 1,
      anon_sym_DASH_GT,
    STATE(22357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871051] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32013), 1,
      anon_sym_in,
    STATE(22358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871065] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32015), 1,
      anon_sym_RBRACE,
    STATE(22359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871079] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6437), 1,
      anon_sym_end,
    STATE(22360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871093] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32017), 1,
      anon_sym_RPAREN,
    STATE(22361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871107] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32019), 1,
      anon_sym_RBRACE,
    STATE(22362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871121] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32021), 1,
      aux_sym_number_token1,
    STATE(22363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871135] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32023), 1,
      anon_sym_in,
    STATE(22364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871149] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32025), 1,
      anon_sym_in,
    STATE(22365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871163] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32027), 1,
      anon_sym_in,
    STATE(22366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871177] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32029), 1,
      anon_sym_RBRACE,
    STATE(22367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871191] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32031), 1,
      anon_sym_in,
    STATE(22368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871205] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32033), 1,
      anon_sym_in,
    STATE(22369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871219] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32035), 1,
      anon_sym_RPAREN,
    STATE(22370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871233] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6739), 1,
      anon_sym_COMMA,
    STATE(22371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871247] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32037), 1,
      anon_sym_RPAREN,
    STATE(22372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871261] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24860), 1,
      anon_sym_GT_RBRACE,
    STATE(22373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871275] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32039), 1,
      anon_sym_in,
    STATE(22374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871289] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22934), 1,
      anon_sym_end,
    STATE(22375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871303] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32041), 1,
      anon_sym_RPAREN,
    STATE(22376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871317] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32043), 1,
      anon_sym_SQUOTE2,
    STATE(22377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871331] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32045), 1,
      anon_sym_DQUOTE,
    STATE(22378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871345] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32047), 1,
      anon_sym_RPAREN,
    STATE(22379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871359] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3609), 1,
      anon_sym_RPAREN,
    STATE(22380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871373] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32049), 1,
      sym__lowercase_identifier,
    STATE(22381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871387] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32051), 1,
      anon_sym_RPAREN,
    STATE(22382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871401] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32053), 1,
      anon_sym_RBRACE,
    STATE(22383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871415] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3625), 1,
      anon_sym_RPAREN,
    STATE(22384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871429] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32055), 1,
      anon_sym_RPAREN,
    STATE(22385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871443] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32057), 1,
      anon_sym_in,
    STATE(22386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871457] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3653), 1,
      anon_sym_RPAREN,
    STATE(22387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871471] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32059), 1,
      anon_sym_RBRACE,
    STATE(22388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871485] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32061), 1,
      anon_sym_DASH_GT,
    STATE(22389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871499] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32063), 1,
      anon_sym_RPAREN,
    STATE(22390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871513] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32065), 1,
      anon_sym_SQUOTE2,
    STATE(22391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871527] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32067), 1,
      anon_sym_DASH_GT,
    STATE(22392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871541] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32069), 1,
      anon_sym_RBRACE,
    STATE(22393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871555] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32071), 1,
      anon_sym_DQUOTE,
    STATE(22394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871569] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32073), 1,
      anon_sym_RBRACK,
    STATE(22395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871583] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32075), 1,
      anon_sym_RBRACE,
    STATE(22396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871597] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32077), 1,
      anon_sym_RBRACE,
    STATE(22397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871611] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32079), 1,
      anon_sym_RPAREN,
    STATE(22398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871625] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32081), 1,
      anon_sym_in,
    STATE(22399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871639] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32083), 1,
      anon_sym_RPAREN,
    STATE(22400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871653] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32085), 1,
      anon_sym_RBRACE,
    STATE(22401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871667] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32087), 1,
      anon_sym_DASH_GT,
    STATE(22402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871681] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32089), 1,
      anon_sym_DOT,
    STATE(22403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871695] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32083), 1,
      anon_sym_RBRACK,
    STATE(22404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871709] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32083), 1,
      anon_sym_RBRACE,
    STATE(22405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871723] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32091), 1,
      anon_sym_DASH_GT,
    STATE(22406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871737] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32093), 1,
      anon_sym_DASH_GT,
    STATE(22407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871751] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32095), 1,
      anon_sym_end,
    STATE(22408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871765] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32097), 1,
      anon_sym_RBRACK,
    STATE(22409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871779] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32099), 1,
      anon_sym_RBRACE,
    STATE(22410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871793] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32101), 1,
      anon_sym_RPAREN,
    STATE(22411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871807] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32103), 1,
      anon_sym_DASH_GT,
    STATE(22412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871821] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32105), 1,
      anon_sym_in,
    STATE(22413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871835] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32107), 1,
      anon_sym_DASH_GT,
    STATE(22414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871849] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32109), 1,
      sym__lowercase_identifier,
    STATE(22415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871863] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32111), 1,
      anon_sym_RPAREN,
    STATE(22416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871877] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32113), 1,
      anon_sym_RPAREN,
    STATE(22417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871891] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32115), 1,
      anon_sym_in,
    STATE(22418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871905] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23735), 1,
      anon_sym_GT_RBRACE,
    STATE(22419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871919] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27345), 1,
      anon_sym_RBRACK,
    STATE(22420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871933] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32117), 1,
      anon_sym_DASH_GT,
    STATE(22421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871947] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22169), 1,
      anon_sym_end,
    STATE(22422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871961] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32119), 1,
      anon_sym_RPAREN,
    STATE(22423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871975] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32121), 1,
      anon_sym_SQUOTE2,
    STATE(22424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [871989] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32123), 1,
      anon_sym_DQUOTE,
    STATE(22425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872003] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    STATE(22426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872017] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32125), 1,
      sym__lowercase_identifier,
    STATE(22427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872031] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32127), 1,
      anon_sym_DASH_GT,
    STATE(22428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872045] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32129), 1,
      anon_sym_RBRACE,
    STATE(22429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872059] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32131), 1,
      sym__lowercase_identifier,
    STATE(22430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872073] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23403), 1,
      anon_sym_GT_RBRACE,
    STATE(22431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872087] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32133), 1,
      anon_sym_SQUOTE2,
    STATE(22432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872101] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32135), 1,
      anon_sym_DQUOTE,
    STATE(22433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872115] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32137), 1,
      anon_sym_RBRACE,
    STATE(22434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872129] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32139), 1,
      anon_sym_RPAREN,
    STATE(22435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872143] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32141), 1,
      anon_sym_RBRACK,
    STATE(22436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872157] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32143), 1,
      anon_sym_RBRACE,
    STATE(22437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872171] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32145), 1,
      anon_sym_RBRACK,
    STATE(22438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872185] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32147), 1,
      anon_sym_RPAREN,
    STATE(22439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872199] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32149), 1,
      sym__lowercase_identifier,
    STATE(22440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872213] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32151), 1,
      anon_sym_RBRACE,
    STATE(22441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872227] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32153), 1,
      anon_sym_RBRACE,
    STATE(22442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872241] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32155), 1,
      anon_sym_RPAREN,
    STATE(22443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872255] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32157), 1,
      anon_sym_DOT,
    STATE(22444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872269] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32159), 1,
      anon_sym_RPAREN,
    STATE(22445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872283] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32161), 1,
      anon_sym_RBRACE,
    STATE(22446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872297] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32163), 1,
      anon_sym_RPAREN,
    STATE(22447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872311] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24908), 1,
      anon_sym_GT_RBRACE,
    STATE(22448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872325] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32165), 1,
      anon_sym_DASH_GT,
    STATE(22449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872339] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32167), 1,
      anon_sym_RPAREN,
    STATE(22450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872353] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32169), 1,
      anon_sym_RPAREN,
    STATE(22451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872367] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32171), 1,
      anon_sym_RBRACK,
    STATE(22452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872381] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32173), 1,
      anon_sym_PIPE,
    STATE(22453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872395] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32175), 1,
      anon_sym_GT,
    STATE(22454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872409] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32177), 1,
      anon_sym_RBRACE,
    STATE(22455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872423] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32179), 1,
      anon_sym_DOT_DOT,
    STATE(22456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872437] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32181), 1,
      anon_sym_DOT_DOT,
    STATE(22457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872451] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32183), 1,
      anon_sym_DOT_DOT,
    STATE(22458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872465] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32185), 1,
      anon_sym_RPAREN,
    STATE(22459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872479] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32187), 1,
      anon_sym_RPAREN,
    STATE(22460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872493] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22948), 1,
      anon_sym_end,
    STATE(22461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872507] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15634), 1,
      anon_sym_DASH_GT,
    STATE(22462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872521] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32189), 1,
      anon_sym_SQUOTE2,
    STATE(22463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872535] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    STATE(22464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872549] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32191), 1,
      anon_sym_DQUOTE,
    STATE(22465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872563] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32193), 1,
      anon_sym_RPAREN,
    STATE(22466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872577] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32195), 1,
      anon_sym_DASH_GT,
    STATE(22467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872591] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32197), 1,
      anon_sym_RBRACE,
    STATE(22468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872605] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17173), 1,
      anon_sym_COMMA,
    STATE(22469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872619] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32199), 1,
      sym__lowercase_identifier,
    STATE(22470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872633] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32201), 1,
      anon_sym_SQUOTE2,
    STATE(22471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872647] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32203), 1,
      anon_sym_DQUOTE,
    STATE(22472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872661] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32205), 1,
      anon_sym_RBRACK,
    STATE(22473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872675] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32207), 1,
      anon_sym_RBRACE,
    STATE(22474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872689] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32209), 1,
      anon_sym_RPAREN,
    STATE(22475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872703] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32211), 1,
      anon_sym_DASH_GT,
    STATE(22476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872717] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32213), 1,
      anon_sym_RBRACE,
    STATE(22477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872731] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22085), 1,
      anon_sym_end,
    STATE(22478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872745] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32215), 1,
      anon_sym_RPAREN,
    STATE(22479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872759] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32217), 1,
      anon_sym_RBRACK,
    STATE(22480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872773] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32219), 1,
      anon_sym_DOT,
    STATE(22481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872787] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32221), 1,
      anon_sym_DOT,
    STATE(22482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872801] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32223), 1,
      anon_sym_RPAREN,
    STATE(22483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872815] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32225), 1,
      anon_sym_end,
    STATE(22484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872829] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32227), 1,
      anon_sym_LT_DASH,
    STATE(22485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872843] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32229), 1,
      anon_sym_RBRACK,
    STATE(22486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872857] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32231), 1,
      anon_sym_RBRACE,
    STATE(22487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872871] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32233), 1,
      anon_sym_RPAREN,
    STATE(22488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872885] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32235), 1,
      anon_sym_RPAREN,
    STATE(22489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872899] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11809), 1,
      anon_sym_COMMA,
    STATE(22490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872913] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32237), 1,
      anon_sym_LT_DASH,
    STATE(22491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872927] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32239), 1,
      anon_sym_in,
    STATE(22492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872941] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32241), 1,
      anon_sym_in,
    STATE(22493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872955] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32243), 1,
      anon_sym_in,
    STATE(22494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872969] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32245), 1,
      anon_sym_RPAREN,
    STATE(22495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872983] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32247), 1,
      anon_sym_DASH_GT,
    STATE(22496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [872997] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3657), 1,
      anon_sym_RPAREN,
    STATE(22497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873011] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32249), 1,
      anon_sym_DOT,
    STATE(22498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873025] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3697), 1,
      anon_sym_RPAREN,
    STATE(22499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873039] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32251), 1,
      anon_sym_RPAREN,
    STATE(22500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873053] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32253), 1,
      anon_sym_with,
    STATE(22501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873067] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32255), 1,
      anon_sym_RBRACE,
    STATE(22502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873081] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32257), 1,
      anon_sym_in,
    STATE(22503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873095] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23407), 1,
      anon_sym_GT_RBRACE,
    STATE(22504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873109] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32259), 1,
      anon_sym_with,
    STATE(22505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873123] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32261), 1,
      anon_sym_DOT,
    STATE(22506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873137] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32263), 1,
      anon_sym_in,
    STATE(22507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873151] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32265), 1,
      anon_sym_RBRACE,
    STATE(22508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873165] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(14774), 1,
      anon_sym_DASH_GT,
    STATE(22509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873179] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32267), 1,
      anon_sym_SQUOTE2,
    STATE(22510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873193] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32269), 1,
      anon_sym_DQUOTE,
    STATE(22511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873207] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32271), 1,
      anon_sym_RBRACK,
    STATE(22512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873221] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32273), 1,
      sym__lowercase_identifier,
    STATE(22513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873235] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19588), 1,
      anon_sym_COMMA,
    STATE(22514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873249] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32275), 1,
      anon_sym_RBRACE,
    STATE(22515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873263] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32277), 1,
      anon_sym_RBRACE,
    STATE(22516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873277] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32279), 1,
      anon_sym_RBRACE,
    STATE(22517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873291] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27475), 1,
      anon_sym_RBRACK,
    STATE(22518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873305] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27431), 1,
      anon_sym_RBRACK,
    STATE(22519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873319] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24946), 1,
      anon_sym_GT_RBRACE,
    STATE(22520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873333] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32281), 1,
      anon_sym_RPAREN,
    STATE(22521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873347] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22975), 1,
      anon_sym_end,
    STATE(22522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873361] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32283), 1,
      sym__lowercase_identifier,
    STATE(22523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873375] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22220), 1,
      anon_sym_end,
    STATE(22524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873389] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32285), 1,
      anon_sym_RPAREN,
    STATE(22525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873403] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32287), 1,
      anon_sym_SQUOTE2,
    STATE(22526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873417] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32289), 1,
      anon_sym_DQUOTE,
    STATE(22527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873431] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6619), 1,
      anon_sym_end,
    STATE(22528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873445] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(5949), 1,
      anon_sym_end,
    STATE(22529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873459] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32291), 1,
      sym__lowercase_identifier,
    STATE(22530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873473] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32293), 1,
      anon_sym_STAR,
    STATE(22531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873487] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32295), 1,
      anon_sym_with,
    STATE(22532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873501] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32297), 1,
      anon_sym_SQUOTE2,
    STATE(22533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873515] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32299), 1,
      anon_sym_with,
    STATE(22534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873529] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32301), 1,
      anon_sym_DASH_GT,
    STATE(22535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873543] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32303), 1,
      sym__lowercase_identifier,
    STATE(22536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873557] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32305), 1,
      anon_sym_RPAREN,
    STATE(22537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873571] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20292), 1,
      anon_sym_GT,
    STATE(22538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873585] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3607), 1,
      anon_sym_RPAREN,
    STATE(22539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873599] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32307), 1,
      anon_sym_RBRACE,
    STATE(22540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873613] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32309), 1,
      anon_sym_DOT,
    STATE(22541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873627] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32311), 1,
      aux_sym_number_token1,
    STATE(22542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873641] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32313), 1,
      anon_sym_DASH_GT,
    STATE(22543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873655] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32315), 1,
      anon_sym_DASH_GT,
    STATE(22544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873669] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32317), 1,
      anon_sym_SQUOTE2,
    STATE(22545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873683] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32319), 1,
      anon_sym_DQUOTE,
    STATE(22546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873697] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32321), 1,
      anon_sym_RBRACK,
    STATE(22547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873711] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32323), 1,
      anon_sym_DASH_GT,
    STATE(22548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873725] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32325), 1,
      anon_sym_PIPE,
    STATE(22549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873739] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32327), 1,
      anon_sym_RBRACE,
    STATE(22550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873753] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32329), 1,
      anon_sym_DASH_GT,
    STATE(22551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873767] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32331), 1,
      anon_sym_DOT_DOT,
    STATE(22552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873781] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32333), 1,
      anon_sym_DOT_DOT,
    STATE(22553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873795] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32335), 1,
      anon_sym_DOT_DOT,
    STATE(22554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873809] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32337), 1,
      anon_sym_DASH_GT,
    STATE(22555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873823] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32339), 1,
      anon_sym_RBRACE,
    STATE(22556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873837] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32341), 1,
      anon_sym_DASH_GT,
    STATE(22557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873851] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32343), 1,
      anon_sym_SQUOTE2,
    STATE(22558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873865] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32345), 1,
      anon_sym_end,
    STATE(22559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873879] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32347), 1,
      anon_sym_RBRACK,
    STATE(22560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873893] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32349), 1,
      anon_sym_RBRACE,
    STATE(22561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873907] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32351), 1,
      anon_sym_RPAREN,
    STATE(22562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873921] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32353), 1,
      anon_sym_DASH_GT,
    STATE(22563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873935] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32355), 1,
      anon_sym_RPAREN,
    STATE(22564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873949] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32357), 1,
      anon_sym_RPAREN,
    STATE(22565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873963] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32359), 1,
      anon_sym_DQUOTE,
    STATE(22566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873977] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32361), 1,
      anon_sym_RPAREN,
    STATE(22567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [873991] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32363), 1,
      anon_sym_in,
    STATE(22568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874005] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32365), 1,
      anon_sym_DASH_GT,
    STATE(22569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874019] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32367), 1,
      anon_sym_RPAREN,
    STATE(22570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874033] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32369), 1,
      anon_sym_RBRACE,
    STATE(22571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874047] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32371), 1,
      anon_sym_DASH_GT,
    STATE(22572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874061] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32373), 1,
      anon_sym_RPAREN,
    STATE(22573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874075] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32375), 1,
      anon_sym_end,
    STATE(22574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874089] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32377), 1,
      anon_sym_RBRACK,
    STATE(22575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874103] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32379), 1,
      anon_sym_RBRACK,
    STATE(22576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874117] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32381), 1,
      anon_sym_RBRACE,
    STATE(22577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874131] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32383), 1,
      anon_sym_RPAREN,
    STATE(22578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874145] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32385), 1,
      anon_sym_RBRACK,
    STATE(22579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874159] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32387), 1,
      anon_sym_RBRACE,
    STATE(22580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874173] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32389), 1,
      anon_sym_DASH_GT,
    STATE(22581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874187] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32391), 1,
      anon_sym_RPAREN,
    STATE(22582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874201] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3619), 1,
      anon_sym_RPAREN,
    STATE(22583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874215] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32393), 1,
      anon_sym_RPAREN,
    STATE(22584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874229] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32395), 1,
      anon_sym_RBRACE,
    STATE(22585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874243] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32397), 1,
      anon_sym_RBRACE,
    STATE(22586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874257] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32399), 1,
      anon_sym_in,
    STATE(22587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874271] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32401), 1,
      anon_sym_RBRACE,
    STATE(22588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874285] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32403), 1,
      anon_sym_SQUOTE2,
    STATE(22589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874299] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32405), 1,
      anon_sym_end,
    STATE(22590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874313] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32407), 1,
      anon_sym_RPAREN,
    STATE(22591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874327] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32409), 1,
      anon_sym_RPAREN,
    STATE(22592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874341] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32411), 1,
      anon_sym_RBRACK,
    STATE(22593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874355] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32413), 1,
      anon_sym_RPAREN,
    STATE(22594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874369] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32415), 1,
      anon_sym_RPAREN,
    STATE(22595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874383] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32417), 1,
      anon_sym_RBRACE,
    STATE(22596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874397] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32419), 1,
      anon_sym_RPAREN,
    STATE(22597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874411] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32421), 1,
      anon_sym_RPAREN,
    STATE(22598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874425] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32423), 1,
      anon_sym_RBRACK,
    STATE(22599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874439] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32421), 1,
      anon_sym_RBRACK,
    STATE(22600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874453] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32425), 1,
      anon_sym_RPAREN,
    STATE(22601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874467] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32421), 1,
      anon_sym_RBRACE,
    STATE(22602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874481] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32427), 1,
      anon_sym_RBRACE,
    STATE(22603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874495] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32429), 1,
      anon_sym_DASH_GT,
    STATE(22604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874509] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32431), 1,
      anon_sym_RPAREN,
    STATE(22605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874523] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32433), 1,
      anon_sym_DASH_GT,
    STATE(22606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874537] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32435), 1,
      anon_sym_DQUOTE,
    STATE(22607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874551] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11072), 1,
      anon_sym_RBRACK,
    STATE(22608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874565] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32437), 1,
      anon_sym_DASH_GT,
    STATE(22609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874579] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32439), 1,
      anon_sym_RBRACK,
    STATE(22610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874593] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32441), 1,
      anon_sym_RBRACE,
    STATE(22611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874607] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32443), 1,
      sym__lowercase_identifier,
    STATE(22612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874621] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32445), 1,
      anon_sym_RPAREN,
    STATE(22613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874635] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32447), 1,
      anon_sym_RBRACE,
    STATE(22614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874649] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32449), 1,
      sym__lowercase_identifier,
    STATE(22615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874663] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32451), 1,
      anon_sym_RPAREN,
    STATE(22616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874677] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32453), 1,
      anon_sym_DQUOTE,
    STATE(22617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874691] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32455), 1,
      anon_sym_DOT_DOT,
    STATE(22618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874705] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32457), 1,
      anon_sym_RPAREN,
    STATE(22619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874719] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32459), 1,
      sym__lowercase_identifier,
    STATE(22620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874733] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32461), 1,
      anon_sym_RPAREN,
    STATE(22621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874747] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32463), 1,
      anon_sym_in,
    STATE(22622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874761] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32465), 1,
      anon_sym_RBRACE,
    STATE(22623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874775] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32467), 1,
      anon_sym_RPAREN,
    STATE(22624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874789] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3631), 1,
      anon_sym_RPAREN,
    STATE(22625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874803] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32469), 1,
      anon_sym_PIPE,
    STATE(22626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874817] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32471), 1,
      anon_sym_RBRACE,
    STATE(22627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874831] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32473), 1,
      anon_sym_DOT_DOT,
    STATE(22628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874845] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32475), 1,
      anon_sym_DOT_DOT,
    STATE(22629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874859] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32477), 1,
      anon_sym_DOT_DOT,
    STATE(22630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874873] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12363), 1,
      anon_sym_COMMA,
    STATE(22631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874887] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32479), 1,
      anon_sym_LT_DASH,
    STATE(22632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874901] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32481), 1,
      anon_sym_in,
    STATE(22633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874915] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32483), 1,
      anon_sym_in,
    STATE(22634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874929] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32485), 1,
      anon_sym_in,
    STATE(22635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874943] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32487), 1,
      anon_sym_RPAREN,
    STATE(22636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874957] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32489), 1,
      anon_sym_SQUOTE2,
    STATE(22637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874971] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32491), 1,
      anon_sym_RPAREN,
    STATE(22638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874985] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32493), 1,
      anon_sym_DQUOTE,
    STATE(22639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [874999] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3699), 1,
      anon_sym_RPAREN,
    STATE(22640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875013] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32495), 1,
      anon_sym_RPAREN,
    STATE(22641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875027] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32497), 1,
      anon_sym_RPAREN,
    STATE(22642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875041] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32499), 1,
      anon_sym_RBRACK,
    STATE(22643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875055] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32501), 1,
      anon_sym_in,
    STATE(22644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875069] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32503), 1,
      anon_sym_RBRACE,
    STATE(22645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875083] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32505), 1,
      anon_sym_RPAREN,
    STATE(22646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875097] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27627), 1,
      anon_sym_RBRACK,
    STATE(22647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875111] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32507), 1,
      anon_sym_RBRACK,
    STATE(22648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875125] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20306), 1,
      anon_sym_GT,
    STATE(22649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875139] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32509), 1,
      anon_sym_RBRACE,
    STATE(22650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875153] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32511), 1,
      sym__lowercase_identifier,
    STATE(22651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875167] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32513), 1,
      anon_sym_RBRACE,
    STATE(22652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875181] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32515), 1,
      anon_sym_RBRACE,
    STATE(22653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875195] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32517), 1,
      anon_sym_RPAREN,
    STATE(22654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875209] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32519), 1,
      anon_sym_RPAREN,
    STATE(22655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875223] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32521), 1,
      anon_sym_DOT_DOT,
    STATE(22656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875237] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32523), 1,
      anon_sym_RPAREN,
    STATE(22657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875251] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27199), 1,
      anon_sym_RPAREN,
    STATE(22658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875265] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32525), 1,
      sym__lowercase_identifier,
    STATE(22659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875279] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32527), 1,
      anon_sym_RBRACK,
    STATE(22660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875293] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32529), 1,
      anon_sym_DOT_DOT,
    STATE(22661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875307] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25050), 1,
      anon_sym_GT_RBRACE,
    STATE(22662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875321] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32531), 1,
      anon_sym_RPAREN,
    STATE(22663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875335] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23021), 1,
      anon_sym_end,
    STATE(22664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875349] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32533), 1,
      anon_sym_PIPE,
    STATE(22665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875363] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32535), 1,
      anon_sym_DASH_GT,
    STATE(22666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875377] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32537), 1,
      anon_sym_DOT_DOT,
    STATE(22667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875391] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32539), 1,
      anon_sym_DOT_DOT,
    STATE(22668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875405] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32541), 1,
      anon_sym_DOT_DOT,
    STATE(22669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875419] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32543), 1,
      anon_sym_SQUOTE2,
    STATE(22670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875433] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32545), 1,
      anon_sym_DQUOTE,
    STATE(22671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875447] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13229), 1,
      anon_sym_GT,
    STATE(22672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875461] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32547), 1,
      anon_sym_RPAREN,
    STATE(22673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875475] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32549), 1,
      sym__lowercase_identifier,
    STATE(22674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875489] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32551), 1,
      anon_sym_RBRACE,
    STATE(22675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875503] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32553), 1,
      ts_builtin_sym_end,
    STATE(22676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875517] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32555), 1,
      anon_sym_RPAREN,
    STATE(22677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875531] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    STATE(22678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875545] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32557), 1,
      anon_sym_RBRACE,
    STATE(22679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875559] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32559), 1,
      anon_sym_RPAREN,
    STATE(22680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875573] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27667), 1,
      anon_sym_RBRACK,
    STATE(22681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875587] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32561), 1,
      anon_sym_DOT,
    STATE(22682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875601] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32563), 1,
      anon_sym_DOT,
    STATE(22683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875615] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32565), 1,
      anon_sym_SQUOTE2,
    STATE(22684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875629] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32567), 1,
      sym__lowercase_identifier,
    STATE(22685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875643] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32569), 1,
      anon_sym_DQUOTE,
    STATE(22686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875657] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32571), 1,
      anon_sym_RBRACK,
    STATE(22687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875671] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32573), 1,
      anon_sym_GT,
    STATE(22688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875685] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32575), 1,
      anon_sym_DASH_GT,
    STATE(22689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875699] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32577), 1,
      anon_sym_RBRACE,
    STATE(22690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875713] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32579), 1,
      anon_sym_DASH_GT,
    STATE(22691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875727] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32581), 1,
      sym__lowercase_identifier,
    STATE(22692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875741] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32583), 1,
      anon_sym_DOT,
    STATE(22693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875755] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32585), 1,
      anon_sym_RBRACE,
    STATE(22694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875769] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32587), 1,
      anon_sym_RPAREN,
    STATE(22695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875783] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32589), 1,
      anon_sym_with,
    STATE(22696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875797] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32591), 1,
      anon_sym_DOT,
    STATE(22697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875811] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32593), 1,
      anon_sym_PIPE,
    STATE(22698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875825] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32595), 1,
      anon_sym_RBRACE,
    STATE(22699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875839] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32597), 1,
      anon_sym_DOT_DOT,
    STATE(22700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875853] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32599), 1,
      anon_sym_DOT_DOT,
    STATE(22701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875867] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32601), 1,
      anon_sym_DOT_DOT,
    STATE(22702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875881] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32603), 1,
      anon_sym_DASH_GT,
    STATE(22703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875895] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32605), 1,
      anon_sym_RPAREN,
    STATE(22704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875909] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32607), 1,
      anon_sym_with,
    STATE(22705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875923] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32609), 1,
      anon_sym_DOT,
    STATE(22706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875937] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32611), 1,
      anon_sym_RPAREN,
    STATE(22707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875951] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32613), 1,
      anon_sym_end,
    STATE(22708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875965] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32615), 1,
      anon_sym_RBRACK,
    STATE(22709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875979] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32617), 1,
      anon_sym_RPAREN,
    STATE(22710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [875993] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32619), 1,
      anon_sym_RBRACE,
    STATE(22711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876007] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32621), 1,
      anon_sym_RPAREN,
    STATE(22712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876021] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32623), 1,
      anon_sym_end,
    STATE(22713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876035] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27703), 1,
      anon_sym_RBRACK,
    STATE(22714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876049] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32625), 1,
      anon_sym_RPAREN,
    STATE(22715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876063] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32627), 1,
      anon_sym_RBRACE,
    STATE(22716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876077] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32629), 1,
      anon_sym_RPAREN,
    STATE(22717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876091] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3651), 1,
      anon_sym_RPAREN,
    STATE(22718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876105] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32631), 1,
      anon_sym_RPAREN,
    STATE(22719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876119] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32633), 1,
      anon_sym_RBRACE,
    STATE(22720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876133] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32635), 1,
      sym__lowercase_identifier,
    STATE(22721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876147] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32637), 1,
      anon_sym_DASH_GT,
    STATE(22722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876161] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32639), 1,
      anon_sym_RBRACK,
    STATE(22723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876175] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32641), 1,
      anon_sym_PIPE,
    STATE(22724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876189] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32643), 1,
      anon_sym_DOT_DOT,
    STATE(22725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876203] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32645), 1,
      anon_sym_DOT_DOT,
    STATE(22726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876217] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32647), 1,
      anon_sym_DOT_DOT,
    STATE(22727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876231] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32649), 1,
      anon_sym_SQUOTE2,
    STATE(22728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876245] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32651), 1,
      anon_sym_DQUOTE,
    STATE(22729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876259] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32653), 1,
      anon_sym_RBRACE,
    STATE(22730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876273] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32655), 1,
      anon_sym_DASH_GT,
    STATE(22731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876287] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32657), 1,
      anon_sym_RBRACK,
    STATE(22732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876301] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32659), 1,
      anon_sym_RPAREN,
    STATE(22733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876315] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32661), 1,
      anon_sym_RPAREN,
    STATE(22734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876329] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32663), 1,
      anon_sym_STAR,
    STATE(22735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876343] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32665), 1,
      anon_sym_with,
    STATE(22736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876357] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32667), 1,
      anon_sym_RBRACE,
    STATE(22737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876371] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32669), 1,
      anon_sym_with,
    STATE(22738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876385] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11076), 1,
      anon_sym_RBRACK,
    STATE(22739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876399] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32671), 1,
      anon_sym_RBRACE,
    STATE(22740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876413] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32673), 1,
      anon_sym_RPAREN,
    STATE(22741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876427] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32675), 1,
      anon_sym_RBRACK,
    STATE(22742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876441] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32677), 1,
      anon_sym_RBRACE,
    STATE(22743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876455] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32679), 1,
      anon_sym_RBRACE,
    STATE(22744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876469] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32681), 1,
      anon_sym_RBRACK,
    STATE(22745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876483] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32683), 1,
      sym__lowercase_identifier,
    STATE(22746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876497] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32685), 1,
      anon_sym_RPAREN,
    STATE(22747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876511] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32687), 1,
      anon_sym_PIPE,
    STATE(22748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876525] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32689), 1,
      anon_sym_DOT_DOT,
    STATE(22749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876539] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32691), 1,
      anon_sym_DOT_DOT,
    STATE(22750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876553] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32693), 1,
      anon_sym_DOT_DOT,
    STATE(22751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876567] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32695), 1,
      anon_sym_RPAREN,
    STATE(22752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876581] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32697), 1,
      anon_sym_RPAREN,
    STATE(22753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876595] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32699), 1,
      anon_sym_RPAREN,
    STATE(22754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876609] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32701), 1,
      anon_sym_DOT,
    STATE(22755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876623] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32703), 1,
      anon_sym_RPAREN,
    STATE(22756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876637] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32705), 1,
      anon_sym_in,
    STATE(22757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876651] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32707), 1,
      anon_sym_DASH_GT,
    STATE(22758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876665] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11080), 1,
      anon_sym_RBRACK,
    STATE(22759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876679] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32709), 1,
      anon_sym_RPAREN,
    STATE(22760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876693] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32711), 1,
      anon_sym_RBRACE,
    STATE(22761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876707] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32713), 1,
      anon_sym_DQUOTE,
    STATE(22762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876721] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32715), 1,
      anon_sym_DASH_GT,
    STATE(22763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876735] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32717), 1,
      anon_sym_RBRACK,
    STATE(22764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876749] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32719), 1,
      anon_sym_RPAREN,
    STATE(22765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876763] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32721), 1,
      sym__lowercase_identifier,
    STATE(22766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876777] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32723), 1,
      anon_sym_DASH_GT,
    STATE(22767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876791] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32725), 1,
      anon_sym_PIPE,
    STATE(22768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876805] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32727), 1,
      anon_sym_DOT_DOT,
    STATE(22769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876819] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32729), 1,
      anon_sym_DOT_DOT,
    STATE(22770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876833] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32731), 1,
      anon_sym_DOT_DOT,
    STATE(22771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876847] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32733), 1,
      anon_sym_RPAREN,
    STATE(22772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876861] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32735), 1,
      anon_sym_RPAREN,
    STATE(22773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876875] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32737), 1,
      anon_sym_RBRACK,
    STATE(22774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876889] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32739), 1,
      anon_sym_RBRACE,
    STATE(22775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876903] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32741), 1,
      anon_sym_RBRACE,
    STATE(22776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876917] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32743), 1,
      anon_sym_RPAREN,
    STATE(22777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876931] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32745), 1,
      anon_sym_RBRACE,
    STATE(22778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876945] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27759), 1,
      anon_sym_RBRACK,
    STATE(22779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876959] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32747), 1,
      anon_sym_RPAREN,
    STATE(22780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876973] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32749), 1,
      anon_sym_RPAREN,
    STATE(22781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [876987] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18400), 1,
      anon_sym_COMMA,
    STATE(22782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877001] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32751), 1,
      anon_sym_RBRACE,
    STATE(22783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877015] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(10292), 1,
      anon_sym_DASH_GT,
    STATE(22784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877029] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32753), 1,
      sym__lowercase_identifier,
    STATE(22785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877043] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32755), 1,
      anon_sym_LT_DASH,
    STATE(22786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877057] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32757), 1,
      anon_sym_PIPE,
    STATE(22787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877071] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32759), 1,
      anon_sym_DOT_DOT,
    STATE(22788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877085] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32761), 1,
      anon_sym_DOT_DOT,
    STATE(22789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877099] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32763), 1,
      anon_sym_DOT_DOT,
    STATE(22790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877113] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32765), 1,
      anon_sym_RBRACK,
    STATE(22791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877127] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32767), 1,
      anon_sym_RBRACE,
    STATE(22792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877141] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32769), 1,
      anon_sym_RBRACE,
    STATE(22793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877155] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32771), 1,
      anon_sym_RPAREN,
    STATE(22794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877169] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32773), 1,
      anon_sym_RPAREN,
    STATE(22795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877183] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32775), 1,
      anon_sym_DASH_GT,
    STATE(22796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877197] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32777), 1,
      anon_sym_RBRACK,
    STATE(22797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877211] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11084), 1,
      anon_sym_RBRACK,
    STATE(22798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877225] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6039), 1,
      anon_sym_RPAREN,
    STATE(22799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877239] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32779), 1,
      anon_sym_RBRACE,
    STATE(22800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877253] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32781), 1,
      anon_sym_RPAREN,
    STATE(22801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877267] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32783), 1,
      anon_sym_RBRACE,
    STATE(22802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877281] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32785), 1,
      anon_sym_RPAREN,
    STATE(22803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877295] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32787), 1,
      sym__lowercase_identifier,
    STATE(22804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877309] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32789), 1,
      anon_sym_RBRACK,
    STATE(22805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877323] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32791), 1,
      anon_sym_PIPE,
    STATE(22806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877337] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32793), 1,
      anon_sym_DOT_DOT,
    STATE(22807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877351] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32795), 1,
      anon_sym_DOT_DOT,
    STATE(22808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877365] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32797), 1,
      anon_sym_DOT_DOT,
    STATE(22809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877379] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32799), 1,
      anon_sym_RPAREN,
    STATE(22810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877393] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32801), 1,
      anon_sym_RPAREN,
    STATE(22811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877407] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32803), 1,
      aux_sym_number_token1,
    STATE(22812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877421] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32805), 1,
      anon_sym_RPAREN,
    STATE(22813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877435] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32807), 1,
      anon_sym_RPAREN,
    STATE(22814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877449] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32807), 1,
      anon_sym_RBRACK,
    STATE(22815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877463] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32807), 1,
      anon_sym_RBRACE,
    STATE(22816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877477] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32809), 1,
      anon_sym_DASH_GT,
    STATE(22817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877491] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32811), 1,
      anon_sym_DASH_GT,
    STATE(22818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877505] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32813), 1,
      anon_sym_RBRACE,
    STATE(22819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877519] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32815), 1,
      anon_sym_DASH_GT,
    STATE(22820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877533] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32817), 1,
      sym__lowercase_identifier,
    STATE(22821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877547] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32819), 1,
      anon_sym_RBRACE,
    STATE(22822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877561] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32821), 1,
      anon_sym_PIPE,
    STATE(22823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877575] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32823), 1,
      anon_sym_DOT_DOT,
    STATE(22824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877589] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32825), 1,
      anon_sym_DOT_DOT,
    STATE(22825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877603] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32827), 1,
      anon_sym_DOT_DOT,
    STATE(22826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877617] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6655), 1,
      anon_sym_end,
    STATE(22827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877631] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32829), 1,
      anon_sym_RBRACE,
    STATE(22828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877645] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13628), 1,
      anon_sym_COMMA,
    STATE(22829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877659] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32831), 1,
      aux_sym_number_token1,
    STATE(22830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877673] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32833), 1,
      anon_sym_LT_DASH,
    STATE(22831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877687] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32835), 1,
      anon_sym_in,
    STATE(22832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877701] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32837), 1,
      anon_sym_in,
    STATE(22833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877715] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32839), 1,
      anon_sym_in,
    STATE(22834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877729] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32841), 1,
      anon_sym_in,
    STATE(22835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877743] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32843), 1,
      anon_sym_in,
    STATE(22836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877757] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32845), 1,
      anon_sym_RPAREN,
    STATE(22837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877771] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32847), 1,
      sym__lowercase_identifier,
    STATE(22838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877785] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32849), 1,
      anon_sym_in,
    STATE(22839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877799] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32851), 1,
      anon_sym_PIPE,
    STATE(22840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877813] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32853), 1,
      anon_sym_DOT_DOT,
    STATE(22841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877827] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32855), 1,
      anon_sym_DOT_DOT,
    STATE(22842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877841] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32857), 1,
      anon_sym_DOT_DOT,
    STATE(22843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877855] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6899), 1,
      anon_sym_COMMA,
    STATE(22844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877869] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3621), 1,
      anon_sym_RPAREN,
    STATE(22845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877883] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32859), 1,
      anon_sym_RPAREN,
    STATE(22846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877897] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32861), 1,
      anon_sym_RBRACK,
    STATE(22847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877911] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32863), 1,
      anon_sym_DOT,
    STATE(22848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877925] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    STATE(22849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877939] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32865), 1,
      anon_sym_in,
    STATE(22850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877953] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32867), 1,
      anon_sym_RBRACE,
    STATE(22851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877967] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32869), 1,
      anon_sym_RBRACE,
    STATE(22852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877981] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32871), 1,
      anon_sym_in,
    STATE(22853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [877995] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32873), 1,
      anon_sym_RPAREN,
    STATE(22854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878009] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32875), 1,
      sym__lowercase_identifier,
    STATE(22855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878023] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32877), 1,
      anon_sym_RBRACK,
    STATE(22856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878037] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32879), 1,
      anon_sym_PIPE,
    STATE(22857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878051] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32881), 1,
      anon_sym_DOT_DOT,
    STATE(22858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878065] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32883), 1,
      anon_sym_DOT_DOT,
    STATE(22859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878079] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32885), 1,
      anon_sym_DOT_DOT,
    STATE(22860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878093] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32887), 1,
      anon_sym_RBRACE,
    STATE(22861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878107] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32889), 1,
      anon_sym_RBRACE,
    STATE(22862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878121] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32891), 1,
      anon_sym_RBRACE,
    STATE(22863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878135] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32893), 1,
      anon_sym_end,
    STATE(22864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878149] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32895), 1,
      anon_sym_RPAREN,
    STATE(22865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878163] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17630), 1,
      anon_sym_COMMA,
    STATE(22866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878177] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_COMMA,
    STATE(22867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878191] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32897), 1,
      anon_sym_LT_DASH,
    STATE(22868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878205] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32899), 1,
      anon_sym_in,
    STATE(22869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878219] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32901), 1,
      anon_sym_in,
    STATE(22870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878233] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25254), 1,
      anon_sym_GT_RBRACE,
    STATE(22871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878247] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32903), 1,
      sym__lowercase_identifier,
    STATE(22872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878261] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32905), 1,
      anon_sym_in,
    STATE(22873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878275] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32907), 1,
      anon_sym_PIPE,
    STATE(22874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878289] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32909), 1,
      anon_sym_DOT_DOT,
    STATE(22875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878303] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32911), 1,
      anon_sym_DOT_DOT,
    STATE(22876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878317] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32913), 1,
      anon_sym_DOT_DOT,
    STATE(22877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878331] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32915), 1,
      anon_sym_RPAREN,
    STATE(22878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878345] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23065), 1,
      anon_sym_end,
    STATE(22879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878359] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32917), 1,
      anon_sym_RBRACK,
    STATE(22880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878373] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32919), 1,
      anon_sym_RPAREN,
    STATE(22881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878387] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32921), 1,
      anon_sym_SQUOTE2,
    STATE(22882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878401] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32923), 1,
      anon_sym_RBRACE,
    STATE(22883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878415] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32925), 1,
      anon_sym_DQUOTE,
    STATE(22884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878429] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32927), 1,
      anon_sym_RBRACE,
    STATE(22885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878443] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32929), 1,
      anon_sym_in,
    STATE(22886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878457] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32931), 1,
      anon_sym_RBRACE,
    STATE(22887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878471] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32933), 1,
      sym__lowercase_identifier,
    STATE(22888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878485] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32935), 1,
      sym__lowercase_identifier,
    STATE(22889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878499] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32937), 1,
      anon_sym_RBRACK,
    STATE(22890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878513] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32939), 1,
      anon_sym_PIPE,
    STATE(22891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878527] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32941), 1,
      anon_sym_DOT_DOT,
    STATE(22892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878541] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32943), 1,
      anon_sym_DOT_DOT,
    STATE(22893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878555] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32945), 1,
      anon_sym_DOT_DOT,
    STATE(22894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878569] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32947), 1,
      anon_sym_RPAREN,
    STATE(22895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878583] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32949), 1,
      anon_sym_RPAREN,
    STATE(22896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878597] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32951), 1,
      anon_sym_RBRACK,
    STATE(22897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878611] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32953), 1,
      anon_sym_DOT,
    STATE(22898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878625] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32955), 1,
      anon_sym_DOT,
    STATE(22899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878639] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32957), 1,
      anon_sym_RBRACE,
    STATE(22900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878653] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32959), 1,
      anon_sym_RBRACK,
    STATE(22901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878667] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32961), 1,
      anon_sym_RBRACE,
    STATE(22902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878681] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32963), 1,
      anon_sym_RBRACE,
    STATE(22903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878695] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32965), 1,
      anon_sym_RBRACE,
    STATE(22904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878709] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32967), 1,
      anon_sym_RBRACK,
    STATE(22905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878723] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32969), 1,
      sym__lowercase_identifier,
    STATE(22906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878737] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32971), 1,
      anon_sym_DOT,
    STATE(22907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878751] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32973), 1,
      anon_sym_PIPE,
    STATE(22908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878765] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32975), 1,
      anon_sym_DOT_DOT,
    STATE(22909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878779] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32977), 1,
      anon_sym_DOT_DOT,
    STATE(22910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878793] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32979), 1,
      anon_sym_DOT_DOT,
    STATE(22911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878807] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32981), 1,
      anon_sym_RBRACE,
    STATE(22912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878821] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32983), 1,
      anon_sym_RPAREN,
    STATE(22913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878835] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32985), 1,
      anon_sym_RBRACE,
    STATE(22914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878849] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32987), 1,
      anon_sym_DASH_GT,
    STATE(22915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878863] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32989), 1,
      anon_sym_RBRACE,
    STATE(22916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878877] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32991), 1,
      anon_sym_RPAREN,
    STATE(22917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878891] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32993), 1,
      anon_sym_with,
    STATE(22918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878905] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32995), 1,
      anon_sym_RPAREN,
    STATE(22919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878919] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32997), 1,
      anon_sym_RBRACK,
    STATE(22920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878933] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(32999), 1,
      anon_sym_with,
    STATE(22921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878947] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33001), 1,
      sym__lowercase_identifier,
    STATE(22922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878961] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33003), 1,
      anon_sym_DOT,
    STATE(22923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878975] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33005), 1,
      anon_sym_PIPE,
    STATE(22924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [878989] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33007), 1,
      anon_sym_DOT_DOT,
    STATE(22925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879003] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33009), 1,
      anon_sym_DOT_DOT,
    STATE(22926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879017] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33011), 1,
      anon_sym_DOT_DOT,
    STATE(22927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879031] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33013), 1,
      anon_sym_RBRACE,
    STATE(22928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879045] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33015), 1,
      anon_sym_DASH_GT,
    STATE(22929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879059] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33017), 1,
      anon_sym_RBRACE,
    STATE(22930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879073] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33019), 1,
      anon_sym_LT_DASH,
    STATE(22931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879087] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33021), 1,
      anon_sym_RPAREN,
    STATE(22932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879101] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33023), 1,
      anon_sym_RBRACK,
    STATE(22933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879115] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33025), 1,
      anon_sym_RPAREN,
    STATE(22934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879129] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33027), 1,
      anon_sym_RBRACE,
    STATE(22935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879143] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23900), 1,
      anon_sym_GT_RBRACE,
    STATE(22936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879157] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33029), 1,
      anon_sym_end,
    STATE(22937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879171] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33031), 1,
      sym__lowercase_identifier,
    STATE(22938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879185] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33033), 1,
      anon_sym_RBRACE,
    STATE(22939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879199] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33035), 1,
      anon_sym_PIPE,
    STATE(22940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879213] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33037), 1,
      anon_sym_DOT_DOT,
    STATE(22941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879227] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33039), 1,
      anon_sym_DOT_DOT,
    STATE(22942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879241] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33041), 1,
      anon_sym_DOT_DOT,
    STATE(22943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879255] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33043), 1,
      anon_sym_RBRACK,
    STATE(22944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879269] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33045), 1,
      anon_sym_RBRACE,
    STATE(22945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879283] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22303), 1,
      anon_sym_end,
    STATE(22946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879297] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33047), 1,
      anon_sym_RPAREN,
    STATE(22947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879311] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33049), 1,
      anon_sym_SQUOTE2,
    STATE(22948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879325] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33051), 1,
      anon_sym_STAR,
    STATE(22949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879339] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33053), 1,
      anon_sym_RPAREN,
    STATE(22950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879353] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33055), 1,
      anon_sym_with,
    STATE(22951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879367] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33057), 1,
      anon_sym_DQUOTE,
    STATE(22952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879381] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33059), 1,
      anon_sym_with,
    STATE(22953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879395] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33061), 1,
      sym__lowercase_identifier,
    STATE(22954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879409] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33063), 1,
      anon_sym_RBRACK,
    STATE(22955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879423] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33065), 1,
      anon_sym_PIPE,
    STATE(22956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879437] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33067), 1,
      anon_sym_DOT_DOT,
    STATE(22957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879451] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33069), 1,
      anon_sym_DOT_DOT,
    STATE(22958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879465] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33071), 1,
      anon_sym_DOT_DOT,
    STATE(22959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879479] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33073), 1,
      anon_sym_RBRACE,
    STATE(22960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879493] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33075), 1,
      anon_sym_RBRACK,
    STATE(22961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879507] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33077), 1,
      sym__lowercase_identifier,
    STATE(22962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879521] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33079), 1,
      anon_sym_DOT,
    STATE(22963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879535] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33081), 1,
      anon_sym_RBRACE,
    STATE(22964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879549] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24550), 1,
      anon_sym_GT_RBRACE,
    STATE(22965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879563] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33083), 1,
      anon_sym_DASH_GT,
    STATE(22966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879577] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33085), 1,
      anon_sym_RBRACK,
    STATE(22967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879591] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33087), 1,
      anon_sym_RBRACE,
    STATE(22968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879605] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33089), 1,
      anon_sym_RBRACE,
    STATE(22969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879619] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33091), 1,
      sym__lowercase_identifier,
    STATE(22970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879633] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33093), 1,
      anon_sym_RBRACE,
    STATE(22971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879647] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33095), 1,
      anon_sym_PIPE,
    STATE(22972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879661] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33097), 1,
      anon_sym_DOT_DOT,
    STATE(22973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879675] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33099), 1,
      anon_sym_DOT_DOT,
    STATE(22974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879689] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33101), 1,
      anon_sym_DOT_DOT,
    STATE(22975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879703] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13320), 1,
      anon_sym_GT,
    STATE(22976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879717] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33103), 1,
      anon_sym_DASH_GT,
    STATE(22977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879731] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33105), 1,
      anon_sym_RPAREN,
    STATE(22978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879745] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33107), 1,
      anon_sym_RBRACE,
    STATE(22979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879759] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33109), 1,
      anon_sym_DASH_GT,
    STATE(22980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879773] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33111), 1,
      anon_sym_RPAREN,
    STATE(22981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879787] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33113), 1,
      anon_sym_RBRACK,
    STATE(22982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879801] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33115), 1,
      anon_sym_RBRACE,
    STATE(22983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879815] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33117), 1,
      anon_sym_RBRACK,
    STATE(22984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879829] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33119), 1,
      anon_sym_RPAREN,
    STATE(22985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879843] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33121), 1,
      sym__lowercase_identifier,
    STATE(22986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879857] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23906), 1,
      anon_sym_GT_RBRACE,
    STATE(22987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879871] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33123), 1,
      anon_sym_DOT_DOT,
    STATE(22988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879885] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33125), 1,
      anon_sym_DOT_DOT,
    STATE(22989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879899] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33127), 1,
      anon_sym_DOT_DOT,
    STATE(22990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879913] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33129), 1,
      anon_sym_RPAREN,
    STATE(22991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879927] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33131), 1,
      anon_sym_RBRACE,
    STATE(22992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879941] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33133), 1,
      anon_sym_RBRACE,
    STATE(22993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879955] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33135), 1,
      anon_sym_RPAREN,
    STATE(22994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879969] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23174), 1,
      anon_sym_end,
    STATE(22995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879983] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33137), 1,
      anon_sym_RBRACK,
    STATE(22996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [879997] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33139), 1,
      anon_sym_RBRACE,
    STATE(22997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880011] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33141), 1,
      anon_sym_RBRACE,
    STATE(22998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880025] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33143), 1,
      anon_sym_RBRACK,
    STATE(22999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880039] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33145), 1,
      sym__lowercase_identifier,
    STATE(23000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880053] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33147), 1,
      sym__lowercase_identifier,
    STATE(23001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880067] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33149), 1,
      anon_sym_RBRACK,
    STATE(23002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880081] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33151), 1,
      anon_sym_DOT_DOT,
    STATE(23003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880095] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33153), 1,
      anon_sym_DOT_DOT,
    STATE(23004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880109] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33155), 1,
      anon_sym_DOT_DOT,
    STATE(23005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880123] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33157), 1,
      anon_sym_DASH_GT,
    STATE(23006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880137] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33159), 1,
      anon_sym_RBRACE,
    STATE(23007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880151] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22294), 1,
      anon_sym_end,
    STATE(23008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880165] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33161), 1,
      anon_sym_RPAREN,
    STATE(23009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880179] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33163), 1,
      anon_sym_RBRACE,
    STATE(23010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880193] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33165), 1,
      anon_sym_RPAREN,
    STATE(23011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880207] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33167), 1,
      anon_sym_RBRACK,
    STATE(23012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880221] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33169), 1,
      anon_sym_RBRACE,
    STATE(23013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880235] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33171), 1,
      anon_sym_SQUOTE2,
    STATE(23014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880249] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33173), 1,
      anon_sym_RPAREN,
    STATE(23015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880263] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33175), 1,
      sym__lowercase_identifier,
    STATE(23016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880277] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33177), 1,
      anon_sym_RBRACK,
    STATE(23017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880291] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33179), 1,
      anon_sym_DOT_DOT,
    STATE(23018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880305] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33181), 1,
      anon_sym_DOT_DOT,
    STATE(23019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880319] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33183), 1,
      anon_sym_DOT_DOT,
    STATE(23020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880333] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33185), 1,
      anon_sym_RBRACE,
    STATE(23021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880347] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33187), 1,
      anon_sym_RPAREN,
    STATE(23022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880361] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33189), 1,
      anon_sym_RPAREN,
    STATE(23023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880375] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20892), 1,
      anon_sym_DASH_GT,
    STATE(23024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880389] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33189), 1,
      anon_sym_RBRACK,
    STATE(23025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880403] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(27987), 1,
      anon_sym_RBRACE,
    STATE(23026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880417] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33189), 1,
      anon_sym_RBRACE,
    STATE(23027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880431] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33191), 1,
      anon_sym_DASH_GT,
    STATE(23028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880445] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33193), 1,
      anon_sym_DASH_GT,
    STATE(23029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880459] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33195), 1,
      anon_sym_RPAREN,
    STATE(23030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880473] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33197), 1,
      sym__lowercase_identifier,
    STATE(23031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880487] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33199), 1,
      anon_sym_RBRACE,
    STATE(23032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880501] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33201), 1,
      anon_sym_DOT_DOT,
    STATE(23033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880515] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33203), 1,
      anon_sym_DOT_DOT,
    STATE(23034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880529] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33205), 1,
      anon_sym_DOT_DOT,
    STATE(23035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880543] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33207), 1,
      anon_sym_DASH_GT,
    STATE(23036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880557] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33209), 1,
      anon_sym_DQUOTE,
    STATE(23037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880571] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33211), 1,
      anon_sym_RBRACK,
    STATE(23038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880585] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33213), 1,
      anon_sym_SQUOTE2,
    STATE(23039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880599] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33215), 1,
      anon_sym_DQUOTE,
    STATE(23040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880613] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33217), 1,
      anon_sym_DASH_GT,
    STATE(23041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880627] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33219), 1,
      anon_sym_RBRACE,
    STATE(23042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880641] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33221), 1,
      anon_sym_RBRACE,
    STATE(23043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880655] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33223), 1,
      anon_sym_RPAREN,
    STATE(23044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880669] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33225), 1,
      anon_sym_GT,
    STATE(23045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880683] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33227), 1,
      sym__lowercase_identifier,
    STATE(23046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880697] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33229), 1,
      anon_sym_RBRACK,
    STATE(23047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880711] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33231), 1,
      anon_sym_DOT_DOT,
    STATE(23048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880725] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33233), 1,
      anon_sym_DOT_DOT,
    STATE(23049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880739] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33235), 1,
      anon_sym_DOT_DOT,
    STATE(23050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880753] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33237), 1,
      anon_sym_with,
    STATE(23051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880767] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33239), 1,
      anon_sym_RBRACE,
    STATE(23052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880781] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33241), 1,
      sym__lowercase_identifier,
    STATE(23053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880795] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33243), 1,
      anon_sym_DOT,
    STATE(23054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880809] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33245), 1,
      anon_sym_DASH_GT,
    STATE(23055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880823] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33247), 1,
      anon_sym_RBRACE,
    STATE(23056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880837] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33249), 1,
      anon_sym_RPAREN,
    STATE(23057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880851] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33251), 1,
      anon_sym_RBRACE,
    STATE(23058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880865] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33253), 1,
      anon_sym_RBRACE,
    STATE(23059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880879] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33255), 1,
      anon_sym_RBRACK,
    STATE(23060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880893] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33257), 1,
      sym__lowercase_identifier,
    STATE(23061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880907] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33259), 1,
      anon_sym_end,
    STATE(23062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880921] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33261), 1,
      anon_sym_DOT_DOT,
    STATE(23063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880935] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33263), 1,
      anon_sym_DOT_DOT,
    STATE(23064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880949] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33265), 1,
      anon_sym_DOT_DOT,
    STATE(23065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880963] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    STATE(23066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880977] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33267), 1,
      anon_sym_LT_DASH,
    STATE(23067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [880991] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33269), 1,
      anon_sym_RBRACK,
    STATE(23068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881005] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33271), 1,
      anon_sym_in,
    STATE(23069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881019] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33273), 1,
      anon_sym_RBRACE,
    STATE(23070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881033] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33275), 1,
      anon_sym_in,
    STATE(23071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881047] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33277), 1,
      anon_sym_in,
    STATE(23072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881061] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33279), 1,
      anon_sym_RPAREN,
    STATE(23073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881075] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33281), 1,
      anon_sym_RBRACE,
    STATE(23074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881089] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33283), 1,
      anon_sym_RBRACE,
    STATE(23075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881103] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33285), 1,
      sym__lowercase_identifier,
    STATE(23076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881117] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33287), 1,
      anon_sym_RPAREN,
    STATE(23077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881131] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33289), 1,
      anon_sym_DOT_DOT,
    STATE(23078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881145] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33291), 1,
      anon_sym_DOT_DOT,
    STATE(23079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881159] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33293), 1,
      anon_sym_DOT_DOT,
    STATE(23080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881173] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33295), 1,
      anon_sym_RPAREN,
    STATE(23081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881187] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33297), 1,
      sym__lowercase_identifier,
    STATE(23082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881201] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33299), 1,
      anon_sym_RBRACK,
    STATE(23083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881215] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33301), 1,
      anon_sym_RBRACE,
    STATE(23084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881229] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33303), 1,
      anon_sym_RBRACE,
    STATE(23085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881243] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33305), 1,
      anon_sym_in,
    STATE(23086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881257] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33307), 1,
      anon_sym_RPAREN,
    STATE(23087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881271] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33309), 1,
      anon_sym_end,
    STATE(23088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881285] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33311), 1,
      anon_sym_RBRACK,
    STATE(23089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881299] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33313), 1,
      anon_sym_RBRACE,
    STATE(23090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881313] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33315), 1,
      sym__lowercase_identifier,
    STATE(23091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881327] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33317), 1,
      anon_sym_RBRACE,
    STATE(23092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881341] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33319), 1,
      anon_sym_DOT_DOT,
    STATE(23093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881355] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33321), 1,
      anon_sym_DOT_DOT,
    STATE(23094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881369] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33323), 1,
      anon_sym_DOT_DOT,
    STATE(23095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881383] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33325), 1,
      anon_sym_RBRACE,
    STATE(23096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881397] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26453), 1,
      anon_sym_RBRACE,
    STATE(23097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881411] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33327), 1,
      anon_sym_RBRACK,
    STATE(23098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881425] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20244), 1,
      anon_sym_GT,
    STATE(23099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881439] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33329), 1,
      anon_sym_RBRACE,
    STATE(23100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881453] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33331), 1,
      anon_sym_DOT,
    STATE(23101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881467] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33333), 1,
      anon_sym_DOT,
    STATE(23102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881481] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20431), 1,
      anon_sym_GT,
    STATE(23103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881495] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33335), 1,
      anon_sym_RBRACE,
    STATE(23104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881509] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33337), 1,
      anon_sym_RPAREN,
    STATE(23105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881523] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33339), 1,
      sym__lowercase_identifier,
    STATE(23106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881537] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33341), 1,
      anon_sym_RPAREN,
    STATE(23107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881551] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33343), 1,
      anon_sym_DOT_DOT,
    STATE(23108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881565] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33345), 1,
      anon_sym_DOT_DOT,
    STATE(23109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881579] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33347), 1,
      anon_sym_DOT_DOT,
    STATE(23110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881593] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25506), 1,
      anon_sym_GT_RBRACE,
    STATE(23111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881607] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33349), 1,
      anon_sym_DASH_GT,
    STATE(23112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881621] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33351), 1,
      anon_sym_DOT,
    STATE(23113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881635] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23138), 1,
      anon_sym_end,
    STATE(23114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881649] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33353), 1,
      sym__lowercase_identifier,
    STATE(23115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881663] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33355), 1,
      anon_sym_RBRACK,
    STATE(23116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881677] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33357), 1,
      anon_sym_SQUOTE2,
    STATE(23117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881691] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33359), 1,
      anon_sym_DQUOTE,
    STATE(23118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881705] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33361), 1,
      anon_sym_with,
    STATE(23119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881719] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33363), 1,
      anon_sym_RBRACE,
    STATE(23120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881733] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33365), 1,
      sym__lowercase_identifier,
    STATE(23121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881747] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33367), 1,
      anon_sym_RPAREN,
    STATE(23122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881761] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33369), 1,
      anon_sym_DOT_DOT,
    STATE(23123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881775] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33371), 1,
      anon_sym_DOT_DOT,
    STATE(23124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881789] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33373), 1,
      anon_sym_DOT_DOT,
    STATE(23125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881803] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33375), 1,
      anon_sym_with,
    STATE(23126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881817] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33377), 1,
      sym__lowercase_identifier,
    STATE(23127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881831] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33379), 1,
      anon_sym_DOT,
    STATE(23128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881845] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33381), 1,
      anon_sym_DASH_GT,
    STATE(23129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881859] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33383), 1,
      anon_sym_done,
    STATE(23130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881873] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33385), 1,
      anon_sym_DOT,
    STATE(23131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881887] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33387), 1,
      anon_sym_RBRACE,
    STATE(23132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881901] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33389), 1,
      anon_sym_RPAREN,
    STATE(23133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881915] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33391), 1,
      anon_sym_RPAREN,
    STATE(23134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881929] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33393), 1,
      anon_sym_RBRACK,
    STATE(23135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881943] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33395), 1,
      sym__lowercase_identifier,
    STATE(23136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881957] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33397), 1,
      anon_sym_RBRACE,
    STATE(23137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881971] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33399), 1,
      anon_sym_DOT_DOT,
    STATE(23138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881985] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33401), 1,
      anon_sym_DOT_DOT,
    STATE(23139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [881999] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33403), 1,
      anon_sym_DOT_DOT,
    STATE(23140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882013] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33405), 1,
      anon_sym_RPAREN,
    STATE(23141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882027] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33407), 1,
      anon_sym_RPAREN,
    STATE(23142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882041] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33409), 1,
      anon_sym_DASH_GT,
    STATE(23143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882055] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33411), 1,
      anon_sym_STAR,
    STATE(23144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882069] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33413), 1,
      anon_sym_with,
    STATE(23145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882083] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33415), 1,
      anon_sym_RPAREN,
    STATE(23146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882097] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33417), 1,
      anon_sym_with,
    STATE(23147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882111] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33419), 1,
      anon_sym_DASH_GT,
    STATE(23148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882125] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33421), 1,
      anon_sym_DOT,
    STATE(23149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882139] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33423), 1,
      anon_sym_in,
    STATE(23150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882153] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33425), 1,
      sym__lowercase_identifier,
    STATE(23151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882167] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24120), 1,
      anon_sym_GT_RBRACE,
    STATE(23152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882181] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33427), 1,
      anon_sym_DOT_DOT,
    STATE(23153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882195] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33429), 1,
      anon_sym_DOT_DOT,
    STATE(23154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882209] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33431), 1,
      anon_sym_DOT_DOT,
    STATE(23155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882223] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25326), 1,
      anon_sym_GT_RBRACE,
    STATE(23156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882237] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33433), 1,
      anon_sym_DOT,
    STATE(23157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882251] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19076), 1,
      anon_sym_DASH_GT,
    STATE(23158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882265] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26335), 1,
      anon_sym_RPAREN,
    STATE(23159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882279] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33435), 1,
      anon_sym_RBRACE,
    STATE(23160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882293] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33437), 1,
      anon_sym_RPAREN,
    STATE(23161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882307] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33439), 1,
      anon_sym_DASH_GT,
    STATE(23162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882321] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33441), 1,
      anon_sym_RBRACK,
    STATE(23163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882335] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33443), 1,
      anon_sym_RBRACE,
    STATE(23164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882349] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33445), 1,
      anon_sym_DASH_GT,
    STATE(23165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882363] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33447), 1,
      sym__lowercase_identifier,
    STATE(23166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882377] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33449), 1,
      sym__lowercase_identifier,
    STATE(23167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882391] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33451), 1,
      anon_sym_DOT_DOT,
    STATE(23168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882405] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33453), 1,
      anon_sym_DOT_DOT,
    STATE(23169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882419] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33455), 1,
      anon_sym_DOT_DOT,
    STATE(23170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882433] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33457), 1,
      anon_sym_DASH_GT,
    STATE(23171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882447] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33459), 1,
      anon_sym_end,
    STATE(23172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882461] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33461), 1,
      anon_sym_RPAREN,
    STATE(23173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882475] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33463), 1,
      anon_sym_end,
    STATE(23174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882489] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28443), 1,
      anon_sym_RPAREN,
    STATE(23175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882503] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33465), 1,
      anon_sym_RBRACK,
    STATE(23176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882517] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33467), 1,
      anon_sym_RBRACE,
    STATE(23177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882531] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33469), 1,
      anon_sym_DASH_GT,
    STATE(23178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882545] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33471), 1,
      anon_sym_RPAREN,
    STATE(23179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882559] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33473), 1,
      anon_sym_end,
    STATE(23180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882573] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33475), 1,
      sym__lowercase_identifier,
    STATE(23181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882587] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33477), 1,
      anon_sym_RPAREN,
    STATE(23182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882601] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33479), 1,
      anon_sym_DOT_DOT,
    STATE(23183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882615] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33481), 1,
      anon_sym_DOT_DOT,
    STATE(23184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882629] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33483), 1,
      anon_sym_DOT_DOT,
    STATE(23185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882643] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33485), 1,
      anon_sym_RPAREN,
    STATE(23186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882657] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33487), 1,
      anon_sym_DOT,
    STATE(23187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882671] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33489), 1,
      anon_sym_RPAREN,
    STATE(23188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882685] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33491), 1,
      anon_sym_RBRACK,
    STATE(23189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882699] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33493), 1,
      anon_sym_RBRACE,
    STATE(23190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882713] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33495), 1,
      anon_sym_DASH_GT,
    STATE(23191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882727] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33497), 1,
      anon_sym_with,
    STATE(23192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882741] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20390), 1,
      anon_sym_GT,
    STATE(23193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882755] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6029), 1,
      anon_sym_end,
    STATE(23194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882769] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33499), 1,
      anon_sym_DASH_GT,
    STATE(23195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882783] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33501), 1,
      sym__lowercase_identifier,
    STATE(23196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882797] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33503), 1,
      anon_sym_DASH_GT,
    STATE(23197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882811] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33505), 1,
      anon_sym_DOT_DOT,
    STATE(23198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882825] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33507), 1,
      anon_sym_DOT_DOT,
    STATE(23199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882839] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33509), 1,
      anon_sym_DOT_DOT,
    STATE(23200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882853] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33511), 1,
      anon_sym_DASH_GT,
    STATE(23201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882867] = 4,
    ACTIONS(593), 1,
      ts_builtin_sym_end,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    STATE(23202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882881] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20622), 1,
      anon_sym_COMMA,
    STATE(23203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882895] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33513), 1,
      anon_sym_with,
    STATE(23204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882909] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33515), 1,
      anon_sym_RPAREN,
    STATE(23205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882923] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33517), 1,
      anon_sym_RPAREN,
    STATE(23206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882937] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33517), 1,
      anon_sym_RBRACK,
    STATE(23207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882951] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33519), 1,
      anon_sym_RBRACE,
    STATE(23208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882965] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33517), 1,
      anon_sym_RBRACE,
    STATE(23209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882979] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33521), 1,
      anon_sym_RPAREN,
    STATE(23210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [882993] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33523), 1,
      sym__lowercase_identifier,
    STATE(23211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883007] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33525), 1,
      anon_sym_DASH_GT,
    STATE(23212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883021] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33527), 1,
      anon_sym_DOT_DOT,
    STATE(23213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883035] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33529), 1,
      anon_sym_DOT_DOT,
    STATE(23214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883049] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33531), 1,
      anon_sym_DOT_DOT,
    STATE(23215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883063] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33533), 1,
      anon_sym_RBRACK,
    STATE(23216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883077] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33535), 1,
      anon_sym_RBRACE,
    STATE(23217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883091] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33537), 1,
      anon_sym_DASH_GT,
    STATE(23218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883105] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33539), 1,
      anon_sym_DOT,
    STATE(23219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883119] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33541), 1,
      anon_sym_DASH_GT,
    STATE(23220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883133] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33543), 1,
      anon_sym_RPAREN,
    STATE(23221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883147] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22375), 1,
      anon_sym_end,
    STATE(23222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883161] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33545), 1,
      anon_sym_RPAREN,
    STATE(23223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883175] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33547), 1,
      anon_sym_RPAREN,
    STATE(23224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883189] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33549), 1,
      anon_sym_RPAREN,
    STATE(23225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883203] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33551), 1,
      anon_sym_RBRACK,
    STATE(23226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883217] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33553), 1,
      anon_sym_DOT_DOT,
    STATE(23227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883231] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33555), 1,
      anon_sym_DOT_DOT,
    STATE(23228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883245] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33557), 1,
      anon_sym_DOT_DOT,
    STATE(23229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883259] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33559), 1,
      anon_sym_RBRACE,
    STATE(23230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883273] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33561), 1,
      anon_sym_RPAREN,
    STATE(23231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883287] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33563), 1,
      anon_sym_RPAREN,
    STATE(23232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883301] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33565), 1,
      anon_sym_done,
    STATE(23233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883315] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33567), 1,
      anon_sym_RBRACK,
    STATE(23234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883329] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33569), 1,
      anon_sym_RBRACE,
    STATE(23235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883343] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33571), 1,
      sym__lowercase_identifier,
    STATE(23236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883357] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33573), 1,
      anon_sym_RPAREN,
    STATE(23237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883371] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33575), 1,
      anon_sym_RPAREN,
    STATE(23238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883385] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33577), 1,
      anon_sym_RPAREN,
    STATE(23239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883399] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23986), 1,
      anon_sym_GT_RBRACE,
    STATE(23240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883413] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33579), 1,
      anon_sym_DOT_DOT,
    STATE(23241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883427] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33581), 1,
      anon_sym_DOT_DOT,
    STATE(23242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883441] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33583), 1,
      anon_sym_DOT_DOT,
    STATE(23243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883455] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33585), 1,
      anon_sym_RBRACK,
    STATE(23244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883469] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33587), 1,
      anon_sym_RBRACE,
    STATE(23245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883483] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33589), 1,
      anon_sym_RPAREN,
    STATE(23246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883497] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33591), 1,
      anon_sym_RPAREN,
    STATE(23247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883511] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33593), 1,
      anon_sym_DASH_GT,
    STATE(23248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883525] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22256), 1,
      anon_sym_end,
    STATE(23249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883539] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33595), 1,
      anon_sym_RPAREN,
    STATE(23250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883553] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13267), 1,
      anon_sym_GT,
    STATE(23251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883567] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20704), 1,
      anon_sym_RBRACK,
    STATE(23252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883581] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33597), 1,
      anon_sym_end,
    STATE(23253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883595] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33599), 1,
      aux_sym_number_token1,
    STATE(23254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883609] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33601), 1,
      anon_sym_DOT_DOT,
    STATE(23255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883623] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33603), 1,
      anon_sym_DOT_DOT,
    STATE(23256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883637] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33605), 1,
      anon_sym_DOT_DOT,
    STATE(23257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883651] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33607), 1,
      anon_sym_RBRACK,
    STATE(23258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883665] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33609), 1,
      anon_sym_RBRACE,
    STATE(23259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883679] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33611), 1,
      anon_sym_RBRACE,
    STATE(23260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883693] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33613), 1,
      anon_sym_RPAREN,
    STATE(23261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883707] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33615), 1,
      anon_sym_end,
    STATE(23262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883721] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33617), 1,
      anon_sym_RPAREN,
    STATE(23263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883735] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33619), 1,
      anon_sym_RPAREN,
    STATE(23264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883749] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33621), 1,
      anon_sym_RBRACK,
    STATE(23265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883763] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33623), 1,
      anon_sym_GT,
    STATE(23266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883777] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33625), 1,
      anon_sym_RBRACE,
    STATE(23267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883791] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33627), 1,
      anon_sym_SQUOTE2,
    STATE(23268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883805] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33629), 1,
      anon_sym_DOT_DOT,
    STATE(23269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883819] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33631), 1,
      anon_sym_DOT_DOT,
    STATE(23270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883833] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33633), 1,
      anon_sym_DOT_DOT,
    STATE(23271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883847] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33635), 1,
      anon_sym_RPAREN,
    STATE(23272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883861] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33637), 1,
      anon_sym_RBRACK,
    STATE(23273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883875] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33639), 1,
      anon_sym_SQUOTE2,
    STATE(23274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883889] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33641), 1,
      anon_sym_RPAREN,
    STATE(23275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883903] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33643), 1,
      anon_sym_RPAREN,
    STATE(23276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883917] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33645), 1,
      anon_sym_RPAREN,
    STATE(23277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883931] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33647), 1,
      anon_sym_RPAREN,
    STATE(23278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883945] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13364), 1,
      anon_sym_GT,
    STATE(23279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883959] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20310), 1,
      anon_sym_GT,
    STATE(23280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883973] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33649), 1,
      anon_sym_DQUOTE,
    STATE(23281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [883987] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17243), 1,
      anon_sym_COMMA,
    STATE(23282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884001] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33651), 1,
      anon_sym_DOT_DOT,
    STATE(23283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884015] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33653), 1,
      anon_sym_DOT_DOT,
    STATE(23284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884029] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33655), 1,
      anon_sym_DOT_DOT,
    STATE(23285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884043] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33657), 1,
      anon_sym_LT_DASH,
    STATE(23286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884057] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33659), 1,
      anon_sym_in,
    STATE(23287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884071] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33661), 1,
      anon_sym_in,
    STATE(23288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884085] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33663), 1,
      anon_sym_DOT,
    STATE(23289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884099] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33665), 1,
      anon_sym_RBRACE,
    STATE(23290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884113] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(12117), 1,
      anon_sym_COMMA,
    STATE(23291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884127] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33667), 1,
      anon_sym_LT_DASH,
    STATE(23292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884141] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33669), 1,
      anon_sym_in,
    STATE(23293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884155] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33671), 1,
      anon_sym_in,
    STATE(23294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884169] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33673), 1,
      anon_sym_in,
    STATE(23295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884183] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33675), 1,
      anon_sym_DASH_GT,
    STATE(23296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884197] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33677), 1,
      anon_sym_DOT_DOT,
    STATE(23297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884211] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33679), 1,
      anon_sym_DOT_DOT,
    STATE(23298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884225] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33681), 1,
      anon_sym_DOT_DOT,
    STATE(23299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884239] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33683), 1,
      anon_sym_in,
    STATE(23300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884253] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33685), 1,
      anon_sym_RPAREN,
    STATE(23301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884267] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33687), 1,
      anon_sym_RPAREN,
    STATE(23302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884281] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33689), 1,
      anon_sym_type,
    STATE(23303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884295] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33691), 1,
      anon_sym_DOT,
    STATE(23304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884309] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33693), 1,
      anon_sym_RPAREN,
    STATE(23305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884323] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33695), 1,
      anon_sym_RPAREN,
    STATE(23306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884337] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(15032), 1,
      anon_sym_DASH_GT,
    STATE(23307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884351] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33697), 1,
      anon_sym_with,
    STATE(23308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884365] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33699), 1,
      anon_sym_in,
    STATE(23309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884379] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11597), 1,
      anon_sym_COMMA,
    STATE(23310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884393] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33701), 1,
      anon_sym_DOT_DOT,
    STATE(23311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884407] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33703), 1,
      anon_sym_DOT_DOT,
    STATE(23312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884421] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33705), 1,
      anon_sym_DOT_DOT,
    STATE(23313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884435] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33707), 1,
      anon_sym_LT_DASH,
    STATE(23314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884449] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33709), 1,
      anon_sym_with,
    STATE(23315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884463] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33711), 1,
      anon_sym_DOT,
    STATE(23316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884477] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(19463), 1,
      anon_sym_DASH_GT,
    STATE(23317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884491] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33713), 1,
      anon_sym_STAR,
    STATE(23318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884505] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33715), 1,
      anon_sym_RBRACE,
    STATE(23319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884519] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13834), 1,
      anon_sym_COMMA,
    STATE(23320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884533] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33717), 1,
      anon_sym_LT_DASH,
    STATE(23321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884547] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33719), 1,
      anon_sym_in,
    STATE(23322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884561] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33721), 1,
      anon_sym_RPAREN,
    STATE(23323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884575] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33723), 1,
      anon_sym_in,
    STATE(23324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884589] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33725), 1,
      anon_sym_DOT_DOT,
    STATE(23325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884603] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33727), 1,
      anon_sym_DOT_DOT,
    STATE(23326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884617] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33729), 1,
      anon_sym_DOT_DOT,
    STATE(23327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884631] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6469), 1,
      anon_sym_end,
    STATE(23328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884645] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33731), 1,
      aux_sym_number_token1,
    STATE(23329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884659] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33733), 1,
      anon_sym_in,
    STATE(23330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884673] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33735), 1,
      anon_sym_in,
    STATE(23331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884687] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26713), 1,
      anon_sym_RBRACE,
    STATE(23332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884701] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25768), 1,
      anon_sym_GT_RBRACE,
    STATE(23333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884715] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33737), 1,
      anon_sym_with,
    STATE(23334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884729] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23216), 1,
      anon_sym_end,
    STATE(23335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884743] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33739), 1,
      anon_sym_in,
    STATE(23336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884757] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33741), 1,
      anon_sym_in,
    STATE(23337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884771] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33743), 1,
      anon_sym_RPAREN,
    STATE(23338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884785] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33745), 1,
      anon_sym_DOT_DOT,
    STATE(23339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884799] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33747), 1,
      anon_sym_DOT_DOT,
    STATE(23340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884813] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33749), 1,
      anon_sym_DOT_DOT,
    STATE(23341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884827] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33751), 1,
      anon_sym_SQUOTE2,
    STATE(23342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884841] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33753), 1,
      anon_sym_DQUOTE,
    STATE(23343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884855] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33755), 1,
      anon_sym_COMMA,
    STATE(23344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884869] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33757), 1,
      anon_sym_STAR,
    STATE(23345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884883] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33759), 1,
      anon_sym_with,
    STATE(23346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884897] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33761), 1,
      anon_sym_in,
    STATE(23347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884911] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33763), 1,
      sym__lowercase_identifier,
    STATE(23348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884925] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33765), 1,
      anon_sym_RPAREN,
    STATE(23349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884939] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33767), 1,
      anon_sym_DASH_GT,
    STATE(23350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884953] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33769), 1,
      anon_sym_with,
    STATE(23351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884967] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33771), 1,
      anon_sym_with,
    STATE(23352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884981] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33773), 1,
      anon_sym_DOT_DOT,
    STATE(23353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [884995] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33775), 1,
      anon_sym_DOT_DOT,
    STATE(23354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885009] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33777), 1,
      anon_sym_DOT_DOT,
    STATE(23355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885023] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33779), 1,
      anon_sym_RBRACK,
    STATE(23356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885037] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33781), 1,
      anon_sym_RBRACK,
    STATE(23357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885051] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33783), 1,
      anon_sym_RBRACE,
    STATE(23358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885065] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    STATE(23359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885079] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33785), 1,
      anon_sym_DOT,
    STATE(23360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885093] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20230), 1,
      anon_sym_GT,
    STATE(23361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885107] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33787), 1,
      anon_sym_RPAREN,
    STATE(23362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885121] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3689), 1,
      anon_sym_RPAREN,
    STATE(23363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885135] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33789), 1,
      anon_sym_DOT,
    STATE(23364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885149] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33791), 1,
      anon_sym_RPAREN,
    STATE(23365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885163] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(26821), 1,
      anon_sym_RBRACE,
    STATE(23366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885177] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33793), 1,
      anon_sym_DOT_DOT,
    STATE(23367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885191] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33795), 1,
      anon_sym_DOT_DOT,
    STATE(23368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885205] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33797), 1,
      anon_sym_DOT_DOT,
    STATE(23369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885219] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33799), 1,
      anon_sym_DASH_GT,
    STATE(23370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885233] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33801), 1,
      anon_sym_DASH_GT,
    STATE(23371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885247] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3659), 1,
      anon_sym_RPAREN,
    STATE(23372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885261] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33803), 1,
      anon_sym_in,
    STATE(23373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885275] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33805), 1,
      anon_sym_DASH_GT,
    STATE(23374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885289] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33807), 1,
      anon_sym_DASH_GT,
    STATE(23375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885303] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33809), 1,
      anon_sym_RPAREN,
    STATE(23376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885317] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33811), 1,
      anon_sym_RBRACE,
    STATE(23377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885331] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33813), 1,
      anon_sym_in,
    STATE(23378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885345] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33815), 1,
      anon_sym_RPAREN,
    STATE(23379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885359] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33817), 1,
      anon_sym_RBRACE,
    STATE(23380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885373] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33819), 1,
      anon_sym_DOT_DOT,
    STATE(23381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885387] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33821), 1,
      anon_sym_DOT_DOT,
    STATE(23382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885401] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33823), 1,
      anon_sym_DOT_DOT,
    STATE(23383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885415] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33825), 1,
      anon_sym_DASH_GT,
    STATE(23384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885429] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33827), 1,
      anon_sym_DASH_GT,
    STATE(23385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885443] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33829), 1,
      anon_sym_DOT,
    STATE(23386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885457] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(28553), 1,
      anon_sym_RBRACE,
    STATE(23387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885471] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33831), 1,
      anon_sym_DOT_DOT,
    STATE(23388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885485] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33833), 1,
      anon_sym_DOT_DOT,
    STATE(23389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885499] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33835), 1,
      anon_sym_DOT_DOT,
    STATE(23390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885513] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33837), 1,
      anon_sym_RBRACE,
    STATE(23391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885527] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33839), 1,
      anon_sym_in,
    STATE(23392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885541] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33841), 1,
      anon_sym_RBRACE,
    STATE(23393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885555] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33843), 1,
      anon_sym_DASH_GT,
    STATE(23394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885569] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33845), 1,
      anon_sym_DOT_DOT,
    STATE(23395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885583] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33847), 1,
      anon_sym_DOT_DOT,
    STATE(23396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885597] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33849), 1,
      anon_sym_DOT_DOT,
    STATE(23397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885611] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33851), 1,
      anon_sym_GT,
    STATE(23398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885625] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33853), 1,
      anon_sym_RPAREN,
    STATE(23399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885639] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33855), 1,
      anon_sym_DOT_DOT,
    STATE(23400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885653] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33857), 1,
      anon_sym_DOT_DOT,
    STATE(23401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885667] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33859), 1,
      anon_sym_DOT_DOT,
    STATE(23402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885681] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33861), 1,
      anon_sym_RBRACK,
    STATE(23403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885695] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33863), 1,
      anon_sym_end,
    STATE(23404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885709] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33865), 1,
      anon_sym_DOT_DOT,
    STATE(23405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885723] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33867), 1,
      anon_sym_DOT_DOT,
    STATE(23406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885737] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33869), 1,
      anon_sym_DOT_DOT,
    STATE(23407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885751] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33871), 1,
      anon_sym_RBRACE,
    STATE(23408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885765] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33873), 1,
      anon_sym_RBRACE,
    STATE(23409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885779] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33875), 1,
      anon_sym_DOT_DOT,
    STATE(23410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885793] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33877), 1,
      anon_sym_DOT_DOT,
    STATE(23411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885807] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33879), 1,
      anon_sym_DOT_DOT,
    STATE(23412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885821] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33881), 1,
      anon_sym_RPAREN,
    STATE(23413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885835] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33883), 1,
      anon_sym_RPAREN,
    STATE(23414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885849] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33885), 1,
      anon_sym_DOT_DOT,
    STATE(23415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885863] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33887), 1,
      anon_sym_DOT_DOT,
    STATE(23416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885877] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33889), 1,
      anon_sym_DOT_DOT,
    STATE(23417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885891] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33883), 1,
      anon_sym_RBRACK,
    STATE(23418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885905] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33883), 1,
      anon_sym_RBRACE,
    STATE(23419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885919] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33891), 1,
      anon_sym_DOT_DOT,
    STATE(23420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885933] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33893), 1,
      anon_sym_DOT_DOT,
    STATE(23421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885947] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33895), 1,
      anon_sym_DOT_DOT,
    STATE(23422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885961] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33897), 1,
      anon_sym_DASH_GT,
    STATE(23423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885975] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33899), 1,
      anon_sym_DASH_GT,
    STATE(23424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [885989] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33901), 1,
      anon_sym_DOT_DOT,
    STATE(23425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886003] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33903), 1,
      anon_sym_DOT_DOT,
    STATE(23426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886017] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33905), 1,
      anon_sym_DOT_DOT,
    STATE(23427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886031] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33907), 1,
      anon_sym_RPAREN,
    STATE(23428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886045] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33909), 1,
      anon_sym_DASH_GT,
    STATE(23429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886059] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33911), 1,
      anon_sym_DOT_DOT,
    STATE(23430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886073] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33913), 1,
      anon_sym_DOT_DOT,
    STATE(23431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886087] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33915), 1,
      anon_sym_DOT_DOT,
    STATE(23432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886101] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33917), 1,
      anon_sym_RBRACE,
    STATE(23433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886115] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33919), 1,
      anon_sym_RPAREN,
    STATE(23434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886129] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33921), 1,
      anon_sym_DOT_DOT,
    STATE(23435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886143] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33923), 1,
      anon_sym_DOT_DOT,
    STATE(23436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886157] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33925), 1,
      anon_sym_DOT_DOT,
    STATE(23437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886171] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33927), 1,
      anon_sym_RBRACK,
    STATE(23438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886185] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33929), 1,
      anon_sym_RBRACE,
    STATE(23439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886199] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33931), 1,
      anon_sym_DOT_DOT,
    STATE(23440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886213] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33933), 1,
      anon_sym_DOT_DOT,
    STATE(23441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886227] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33935), 1,
      anon_sym_DOT_DOT,
    STATE(23442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886241] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33937), 1,
      anon_sym_RBRACK,
    STATE(23443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886255] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33939), 1,
      anon_sym_RBRACE,
    STATE(23444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886269] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33941), 1,
      anon_sym_DOT_DOT,
    STATE(23445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886283] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33943), 1,
      anon_sym_DOT_DOT,
    STATE(23446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886297] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33945), 1,
      anon_sym_DOT_DOT,
    STATE(23447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886311] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(18003), 1,
      anon_sym_COMMA,
    STATE(23448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886325] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33947), 1,
      anon_sym_LT_DASH,
    STATE(23449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886339] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33949), 1,
      anon_sym_DOT_DOT,
    STATE(23450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886353] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33951), 1,
      anon_sym_DOT_DOT,
    STATE(23451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886367] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33953), 1,
      anon_sym_DOT_DOT,
    STATE(23452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886381] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33955), 1,
      anon_sym_in,
    STATE(23453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886395] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33957), 1,
      anon_sym_in,
    STATE(23454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886409] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33959), 1,
      anon_sym_DOT_DOT,
    STATE(23455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886423] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33961), 1,
      anon_sym_DOT_DOT,
    STATE(23456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886437] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33963), 1,
      anon_sym_DOT_DOT,
    STATE(23457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886451] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33965), 1,
      anon_sym_in,
    STATE(23458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886465] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33967), 1,
      anon_sym_RPAREN,
    STATE(23459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886479] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23553), 1,
      anon_sym_GT_RBRACE,
    STATE(23460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886493] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    STATE(23461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886507] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33969), 1,
      anon_sym_RBRACK,
    STATE(23462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886521] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22371), 1,
      anon_sym_end,
    STATE(23463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886535] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33971), 1,
      anon_sym_in,
    STATE(23464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886549] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33973), 1,
      anon_sym_RPAREN,
    STATE(23465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886563] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(2665), 1,
      anon_sym_COLON_COLON,
    STATE(23466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886577] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33975), 1,
      anon_sym_RPAREN,
    STATE(23467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886591] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33977), 1,
      anon_sym_DOT,
    STATE(23468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886605] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33979), 1,
      anon_sym_RBRACE,
    STATE(23469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886619] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(21816), 1,
      sym__uppercase_identifier,
    STATE(23470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886633] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33981), 1,
      anon_sym_DASH_GT,
    STATE(23471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886647] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33983), 1,
      anon_sym_RPAREN,
    STATE(23472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886661] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33985), 1,
      anon_sym_DASH_GT,
    STATE(23473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886675] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33987), 1,
      anon_sym_SQUOTE2,
    STATE(23474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886689] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33989), 1,
      anon_sym_DQUOTE,
    STATE(23475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886703] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24054), 1,
      anon_sym_GT_RBRACE,
    STATE(23476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886717] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33991), 1,
      anon_sym_RPAREN,
    STATE(23477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886731] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33993), 1,
      anon_sym_type,
    STATE(23478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886745] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33995), 1,
      anon_sym_DOT,
    STATE(23479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886759] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22421), 1,
      anon_sym_end,
    STATE(23480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886773] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33997), 1,
      anon_sym_DASH_GT,
    STATE(23481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886787] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(33999), 1,
      sym_indexing_operator,
    STATE(23482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886801] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34001), 1,
      anon_sym_PLUS_EQ,
    STATE(23483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886815] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34003), 1,
      sym__lowercase_identifier,
    STATE(23484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886829] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34005), 1,
      anon_sym_end,
    STATE(23485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886843] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34007), 1,
      anon_sym_RBRACK,
    STATE(23486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886857] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34009), 1,
      anon_sym_RBRACE,
    STATE(23487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886871] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20456), 1,
      anon_sym_COMMA,
    STATE(23488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886885] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34011), 1,
      anon_sym_PLUS_EQ,
    STATE(23489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886899] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34013), 1,
      anon_sym_RBRACE,
    STATE(23490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886913] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34015), 1,
      anon_sym_SQUOTE2,
    STATE(23491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886927] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34017), 1,
      anon_sym_RBRACE,
    STATE(23492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886941] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34019), 1,
      anon_sym_RPAREN,
    STATE(23493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886955] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34021), 1,
      anon_sym_with,
    STATE(23494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886969] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34023), 1,
      anon_sym_DQUOTE,
    STATE(23495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886983] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34025), 1,
      anon_sym_RPAREN,
    STATE(23496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [886997] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34027), 1,
      sym__lowercase_identifier,
    STATE(23497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887011] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34029), 1,
      anon_sym_with,
    STATE(23498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887025] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34031), 1,
      anon_sym_DOT,
    STATE(23499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887039] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34033), 1,
      anon_sym_RBRACE,
    STATE(23500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887053] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34035), 1,
      anon_sym_of,
    STATE(23501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887067] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34037), 1,
      anon_sym_RPAREN,
    STATE(23502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887081] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34039), 1,
      anon_sym_RPAREN,
    STATE(23503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887095] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34041), 1,
      sym__lowercase_identifier,
    STATE(23504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887109] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34043), 1,
      sym__lowercase_identifier,
    STATE(23505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887123] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(6469), 1,
      anon_sym_RPAREN,
    STATE(23506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887137] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34045), 1,
      anon_sym_RPAREN,
    STATE(23507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887151] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34047), 1,
      anon_sym_RPAREN,
    STATE(23508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887165] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34049), 1,
      sym__lowercase_identifier,
    STATE(23509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887179] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34051), 1,
      anon_sym_DASH_GT,
    STATE(23510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887193] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34053), 1,
      anon_sym_RPAREN,
    STATE(23511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887207] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34055), 1,
      anon_sym_in,
    STATE(23512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887221] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(24066), 1,
      anon_sym_GT_RBRACE,
    STATE(23513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887235] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34057), 1,
      anon_sym_RPAREN,
    STATE(23514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887249] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34059), 1,
      anon_sym_STAR,
    STATE(23515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887263] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34061), 1,
      anon_sym_RBRACE,
    STATE(23516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887277] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34063), 1,
      sym_indexing_operator,
    STATE(23517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887291] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34065), 1,
      anon_sym_PLUS_EQ,
    STATE(23518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887305] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34067), 1,
      anon_sym_PLUS_EQ,
    STATE(23519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887319] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34069), 1,
      anon_sym_RPAREN,
    STATE(23520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887333] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34071), 1,
      anon_sym_RBRACK,
    STATE(23521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887347] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34073), 1,
      anon_sym_RBRACE,
    STATE(23522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887361] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34075), 1,
      anon_sym_with,
    STATE(23523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887375] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34077), 1,
      anon_sym_in,
    STATE(23524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887389] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34079), 1,
      anon_sym_RPAREN,
    STATE(23525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887403] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34081), 1,
      anon_sym_with,
    STATE(23526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887417] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34083), 1,
      anon_sym_RPAREN,
    STATE(23527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887431] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34085), 1,
      anon_sym_RPAREN,
    STATE(23528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887445] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34087), 1,
      anon_sym_RBRACK,
    STATE(23529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887459] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34089), 1,
      anon_sym_DASH_GT,
    STATE(23530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887473] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34091), 1,
      anon_sym_RPAREN,
    STATE(23531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887487] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34093), 1,
      anon_sym_DOT,
    STATE(23532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887501] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25942), 1,
      anon_sym_GT_RBRACE,
    STATE(23533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887515] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34095), 1,
      anon_sym_in,
    STATE(23534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887529] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34097), 1,
      sym_indexing_operator,
    STATE(23535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887543] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34099), 1,
      anon_sym_PLUS_EQ,
    STATE(23536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887557] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34101), 1,
      anon_sym_PLUS_EQ,
    STATE(23537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887571] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34103), 1,
      anon_sym_RPAREN,
    STATE(23538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887585] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34105), 1,
      anon_sym_RPAREN,
    STATE(23539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887599] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34107), 1,
      anon_sym_RBRACK,
    STATE(23540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887613] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34109), 1,
      anon_sym_RBRACE,
    STATE(23541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887627] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34111), 1,
      anon_sym_EQ,
    STATE(23542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887641] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34113), 1,
      anon_sym_RPAREN,
    STATE(23543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887655] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34115), 1,
      anon_sym_RBRACE,
    STATE(23544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887669] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23236), 1,
      anon_sym_end,
    STATE(23545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887683] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(22916), 1,
      anon_sym_end,
    STATE(23546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887697] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34117), 1,
      anon_sym_SQUOTE2,
    STATE(23547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887711] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34119), 1,
      sym_indexing_operator,
    STATE(23548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887725] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34121), 1,
      anon_sym_DASH_GT,
    STATE(23549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887739] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34123), 1,
      anon_sym_DQUOTE,
    STATE(23550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887753] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34125), 1,
      anon_sym_DASH_GT,
    STATE(23551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887767] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34127), 1,
      anon_sym_RPAREN,
    STATE(23552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887781] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34129), 1,
      sym__lowercase_identifier,
    STATE(23553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887795] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34131), 1,
      anon_sym_DASH_GT,
    STATE(23554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887809] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34133), 1,
      anon_sym_RBRACE,
    STATE(23555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887823] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34135), 1,
      sym__lowercase_identifier,
    STATE(23556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887837] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34137), 1,
      sym_indexing_operator,
    STATE(23557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887851] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34139), 1,
      anon_sym_RPAREN,
    STATE(23558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887865] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34141), 1,
      anon_sym_SQUOTE2,
    STATE(23559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887879] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34143), 1,
      sym_indexing_operator,
    STATE(23560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887893] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34145), 1,
      anon_sym_RBRACK,
    STATE(23561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887907] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34147), 1,
      sym__lowercase_identifier,
    STATE(23562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887921] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34149), 1,
      sym_indexing_operator,
    STATE(23563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887935] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34151), 1,
      anon_sym_DQUOTE,
    STATE(23564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887949] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34153), 1,
      anon_sym_RPAREN,
    STATE(23565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887963] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34155), 1,
      sym_indexing_operator,
    STATE(23566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887977] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34157), 1,
      sym_indexing_operator,
    STATE(23567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [887991] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34159), 1,
      sym_indexing_operator,
    STATE(23568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888005] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34161), 1,
      sym_indexing_operator,
    STATE(23569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888019] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34163), 1,
      sym_indexing_operator,
    STATE(23570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888033] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34165), 1,
      sym_indexing_operator,
    STATE(23571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888047] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34167), 1,
      sym_indexing_operator,
    STATE(23572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888061] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34169), 1,
      sym_indexing_operator,
    STATE(23573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888075] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34171), 1,
      sym_indexing_operator,
    STATE(23574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888089] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34173), 1,
      sym_indexing_operator,
    STATE(23575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888103] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34175), 1,
      sym_indexing_operator,
    STATE(23576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888117] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34177), 1,
      sym_indexing_operator,
    STATE(23577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888131] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34179), 1,
      sym_indexing_operator,
    STATE(23578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888145] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34181), 1,
      sym_indexing_operator,
    STATE(23579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888159] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34183), 1,
      sym_indexing_operator,
    STATE(23580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888173] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34185), 1,
      sym_indexing_operator,
    STATE(23581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888187] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34187), 1,
      sym_indexing_operator,
    STATE(23582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888201] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34189), 1,
      sym_indexing_operator,
    STATE(23583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888215] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34191), 1,
      sym_indexing_operator,
    STATE(23584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888229] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34193), 1,
      sym_indexing_operator,
    STATE(23585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888243] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34195), 1,
      sym_indexing_operator,
    STATE(23586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888257] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34197), 1,
      sym_indexing_operator,
    STATE(23587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888271] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34199), 1,
      sym_indexing_operator,
    STATE(23588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888285] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34201), 1,
      sym_indexing_operator,
    STATE(23589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888299] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34203), 1,
      sym_indexing_operator,
    STATE(23590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888313] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34205), 1,
      sym_indexing_operator,
    STATE(23591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888327] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34207), 1,
      sym_indexing_operator,
    STATE(23592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888341] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34209), 1,
      sym_indexing_operator,
    STATE(23593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888355] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34211), 1,
      sym_indexing_operator,
    STATE(23594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888369] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34213), 1,
      sym_indexing_operator,
    STATE(23595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888383] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34215), 1,
      sym_indexing_operator,
    STATE(23596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888397] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34217), 1,
      sym_indexing_operator,
    STATE(23597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888411] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34219), 1,
      sym_indexing_operator,
    STATE(23598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888425] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34221), 1,
      sym_indexing_operator,
    STATE(23599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888439] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34223), 1,
      sym_indexing_operator,
    STATE(23600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888453] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34225), 1,
      sym_indexing_operator,
    STATE(23601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888467] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34227), 1,
      sym_indexing_operator,
    STATE(23602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888481] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34229), 1,
      sym_indexing_operator,
    STATE(23603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888495] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34231), 1,
      sym_indexing_operator,
    STATE(23604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888509] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34233), 1,
      sym_indexing_operator,
    STATE(23605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888523] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34235), 1,
      sym_indexing_operator,
    STATE(23606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888537] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34237), 1,
      sym_indexing_operator,
    STATE(23607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888551] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34239), 1,
      sym_indexing_operator,
    STATE(23608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888565] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34241), 1,
      sym_indexing_operator,
    STATE(23609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888579] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34243), 1,
      sym_indexing_operator,
    STATE(23610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888593] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34245), 1,
      sym_indexing_operator,
    STATE(23611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888607] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34247), 1,
      sym_indexing_operator,
    STATE(23612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888621] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34249), 1,
      sym_indexing_operator,
    STATE(23613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888635] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34251), 1,
      sym_indexing_operator,
    STATE(23614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888649] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34253), 1,
      sym_indexing_operator,
    STATE(23615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888663] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34255), 1,
      sym_indexing_operator,
    STATE(23616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888677] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34257), 1,
      sym_indexing_operator,
    STATE(23617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888691] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34259), 1,
      sym_indexing_operator,
    STATE(23618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888705] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34261), 1,
      sym_indexing_operator,
    STATE(23619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888719] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34263), 1,
      sym_indexing_operator,
    STATE(23620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888733] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34265), 1,
      sym_indexing_operator,
    STATE(23621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888747] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34267), 1,
      anon_sym_RPAREN,
    STATE(23622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888761] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34269), 1,
      anon_sym_EQ,
    STATE(23623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888775] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34271), 1,
      anon_sym_DASH_GT,
    STATE(23624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888789] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34273), 1,
      anon_sym_EQ,
    STATE(23625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888803] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34275), 1,
      anon_sym_type,
    STATE(23626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888817] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34277), 1,
      sym__lowercase_identifier,
    STATE(23627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888831] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34279), 1,
      anon_sym_end,
    STATE(23628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888845] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34281), 1,
      anon_sym_DASH_GT,
    STATE(23629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888859] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34283), 1,
      anon_sym_RBRACK,
    STATE(23630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888873] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34285), 1,
      anon_sym_RBRACE,
    STATE(23631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888887] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34287), 1,
      anon_sym_RBRACE,
    STATE(23632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888901] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
    STATE(23633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888915] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34289), 1,
      anon_sym_LT_DASH,
    STATE(23634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888929] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34291), 1,
      anon_sym_in,
    STATE(23635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888943] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34293), 1,
      anon_sym_DQUOTE,
    STATE(23636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888957] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34295), 1,
      anon_sym_in,
    STATE(23637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888971] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34297), 1,
      anon_sym_in,
    STATE(23638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888985] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34299), 1,
      anon_sym_RPAREN,
    STATE(23639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [888999] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34301), 1,
      anon_sym_RPAREN,
    STATE(23640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889013] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34303), 1,
      anon_sym_DASH_GT,
    STATE(23641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889027] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(3709), 1,
      anon_sym_RPAREN,
    STATE(23642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889041] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34305), 1,
      anon_sym_RPAREN,
    STATE(23643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889055] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34307), 1,
      anon_sym_EQ,
    STATE(23644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889069] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34309), 1,
      anon_sym_EQ,
    STATE(23645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889083] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34311), 1,
      anon_sym_RPAREN,
    STATE(23646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889097] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34313), 1,
      anon_sym_in,
    STATE(23647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889111] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34311), 1,
      anon_sym_RBRACK,
    STATE(23648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889125] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34311), 1,
      anon_sym_RBRACE,
    STATE(23649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889139] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34315), 1,
      anon_sym_DASH_GT,
    STATE(23650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889153] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34317), 1,
      anon_sym_RBRACE,
    STATE(23651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889167] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34319), 1,
      anon_sym_DASH_GT,
    STATE(23652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889181] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34321), 1,
      anon_sym_EQ,
    STATE(23653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889195] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34323), 1,
      anon_sym_EQ,
    STATE(23654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889209] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34325), 1,
      anon_sym_DASH_GT,
    STATE(23655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889223] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34327), 1,
      sym__lowercase_identifier,
    STATE(23656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889237] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34329), 1,
      anon_sym_DASH_GT,
    STATE(23657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889251] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34331), 1,
      anon_sym_RPAREN,
    STATE(23658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889265] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34333), 1,
      anon_sym_RPAREN,
    STATE(23659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889279] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(25976), 1,
      anon_sym_GT_RBRACE,
    STATE(23660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889293] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34335), 1,
      anon_sym_DASH_GT,
    STATE(23661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889307] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34337), 1,
      anon_sym_RPAREN,
    STATE(23662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889321] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(23279), 1,
      anon_sym_end,
    STATE(23663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889335] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34339), 1,
      anon_sym_RBRACK,
    STATE(23664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889349] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34341), 1,
      anon_sym_RBRACE,
    STATE(23665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889363] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34343), 1,
      anon_sym_SQUOTE2,
    STATE(23666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889377] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34345), 1,
      anon_sym_DQUOTE,
    STATE(23667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889391] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34347), 1,
      anon_sym_RPAREN,
    STATE(23668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889405] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34349), 1,
      anon_sym_end,
    STATE(23669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889419] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34351), 1,
      sym__lowercase_identifier,
    STATE(23670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889433] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(17343), 1,
      anon_sym_DASH_GT,
    STATE(23671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889447] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34353), 1,
      anon_sym_RBRACK,
    STATE(23672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889461] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34355), 1,
      anon_sym_RBRACE,
    STATE(23673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889475] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34337), 1,
      anon_sym_RBRACK,
    STATE(23674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889489] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34357), 1,
      anon_sym_GT,
    STATE(23675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889503] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34359), 1,
      anon_sym_RPAREN,
    STATE(23676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889517] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34361), 1,
      anon_sym_RPAREN,
    STATE(23677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889531] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34363), 1,
      anon_sym_RPAREN,
    STATE(23678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889545] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34337), 1,
      anon_sym_RBRACE,
    STATE(23679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889559] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34365), 1,
      anon_sym_RPAREN,
    STATE(23680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889573] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34367), 1,
      anon_sym_RBRACK,
    STATE(23681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889587] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34369), 1,
      anon_sym_RPAREN,
    STATE(23682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889601] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34371), 1,
      anon_sym_RBRACE,
    STATE(23683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889615] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34373), 1,
      anon_sym_DASH_GT,
    STATE(23684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889629] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34375), 1,
      anon_sym_RPAREN,
    STATE(23685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889643] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34377), 1,
      anon_sym_RPAREN,
    STATE(23686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889657] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34379), 1,
      anon_sym_RPAREN,
    STATE(23687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889671] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34381), 1,
      anon_sym_RPAREN,
    STATE(23688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889685] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34383), 1,
      anon_sym_DOT,
    STATE(23689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889699] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20344), 1,
      anon_sym_GT,
    STATE(23690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889713] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34385), 1,
      anon_sym_RPAREN,
    STATE(23691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889727] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34387), 1,
      anon_sym_DASH_GT,
    STATE(23692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889741] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(20427), 1,
      anon_sym_GT,
    STATE(23693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889755] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34389), 1,
      anon_sym_DASH_GT,
    STATE(23694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889769] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34391), 1,
      anon_sym_RPAREN,
    STATE(23695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889783] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34393), 1,
      anon_sym_with,
    STATE(23696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889797] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34395), 1,
      anon_sym_DASH_GT,
    STATE(23697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889811] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34397), 1,
      anon_sym_RPAREN,
    STATE(23698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889825] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34399), 1,
      anon_sym_DASH_GT,
    STATE(23699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889839] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34401), 1,
      anon_sym_with,
    STATE(23700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889853] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34403), 1,
      anon_sym_DOT,
    STATE(23701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889867] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34405), 1,
      anon_sym_DASH_GT,
    STATE(23702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889881] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34407), 1,
      anon_sym_RBRACE,
    STATE(23703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889895] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34409), 1,
      anon_sym_RBRACE,
    STATE(23704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889909] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34411), 1,
      anon_sym_RPAREN,
    STATE(23705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889923] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34411), 1,
      anon_sym_RBRACK,
    STATE(23706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889937] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34411), 1,
      anon_sym_RBRACE,
    STATE(23707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889951] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34413), 1,
      anon_sym_RBRACE,
    STATE(23708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889965] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34415), 1,
      anon_sym_RPAREN,
    STATE(23709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889979] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34417), 1,
      anon_sym_end,
    STATE(23710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [889993] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34419), 1,
      anon_sym_RBRACK,
    STATE(23711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890007] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34421), 1,
      anon_sym_RBRACK,
    STATE(23712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890021] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34423), 1,
      anon_sym_RBRACE,
    STATE(23713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890035] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34425), 1,
      anon_sym_RBRACE,
    STATE(23714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890049] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34427), 1,
      anon_sym_STAR,
    STATE(23715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890063] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34429), 1,
      anon_sym_with,
    STATE(23716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890077] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34431), 1,
      anon_sym_DASH_GT,
    STATE(23717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890091] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34433), 1,
      anon_sym_with,
    STATE(23718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890105] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34435), 1,
      anon_sym_DASH_GT,
    STATE(23719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890119] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34437), 1,
      anon_sym_RPAREN,
    STATE(23720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890133] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34439), 1,
      anon_sym_RPAREN,
    STATE(23721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890147] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34441), 1,
      anon_sym_RPAREN,
    STATE(23722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890161] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34443), 1,
      anon_sym_RPAREN,
    STATE(23723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890175] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34445), 1,
      anon_sym_RBRACE,
    STATE(23724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890189] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34447), 1,
      anon_sym_DOT,
    STATE(23725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890203] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34449), 1,
      anon_sym_RBRACK,
    STATE(23726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890217] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34451), 1,
      anon_sym_RBRACE,
    STATE(23727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890231] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34453), 1,
      anon_sym_RBRACK,
    STATE(23728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890245] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34455), 1,
      anon_sym_RPAREN,
    STATE(23729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890259] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34457), 1,
      anon_sym_RPAREN,
    STATE(23730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890273] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34459), 1,
      anon_sym_RBRACE,
    STATE(23731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890287] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34461), 1,
      anon_sym_DASH_GT,
    STATE(23732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890301] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34463), 1,
      anon_sym_DASH_GT,
    STATE(23733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890315] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34465), 1,
      anon_sym_RPAREN,
    STATE(23734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890329] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34467), 1,
      anon_sym_in,
    STATE(23735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890343] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34469), 1,
      anon_sym_DASH_GT,
    STATE(23736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890357] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34471), 1,
      anon_sym_DASH_GT,
    STATE(23737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890371] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34473), 1,
      anon_sym_RBRACE,
    STATE(23738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890385] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34475), 1,
      anon_sym_DOT,
    STATE(23739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890399] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34477), 1,
      anon_sym_RBRACE,
    STATE(23740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890413] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34479), 1,
      anon_sym_EQ,
    STATE(23741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890427] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34481), 1,
      anon_sym_RPAREN,
    STATE(23742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890441] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(13354), 1,
      anon_sym_GT,
    STATE(23743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890455] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34483), 1,
      anon_sym_RPAREN,
    STATE(23744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890469] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34485), 1,
      anon_sym_RBRACK,
    STATE(23745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890483] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34487), 1,
      anon_sym_RBRACE,
    STATE(23746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890497] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34489), 1,
      anon_sym_RPAREN,
    STATE(23747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890511] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34491), 1,
      anon_sym_RPAREN,
    STATE(23748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890525] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34493), 1,
      anon_sym_RPAREN,
    STATE(23749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890539] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34495), 1,
      anon_sym_RPAREN,
    STATE(23750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890553] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34497), 1,
      anon_sym_RPAREN,
    STATE(23751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890567] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34499), 1,
      anon_sym_RPAREN,
    STATE(23752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890581] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34501), 1,
      anon_sym_RPAREN,
    STATE(23753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890595] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34501), 1,
      anon_sym_RBRACK,
    STATE(23754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890609] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34501), 1,
      anon_sym_RBRACE,
    STATE(23755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890623] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34503), 1,
      anon_sym_RBRACK,
    STATE(23756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890637] = 4,
    ACTIONS(1423), 1,
      aux_sym_attribute_token1,
    ACTIONS(34505), 1,
      sym__lowercase_identifier,
    STATE(23757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [890651] = 1,
    ACTIONS(34507), 1,
      ts_builtin_sym_end,
  [890655] = 1,
    ACTIONS(34509), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(3565)] = 0,
  [SMALL_STATE(3566)] = 139,
  [SMALL_STATE(3567)] = 278,
  [SMALL_STATE(3568)] = 353,
  [SMALL_STATE(3569)] = 428,
  [SMALL_STATE(3570)] = 503,
  [SMALL_STATE(3571)] = 642,
  [SMALL_STATE(3572)] = 765,
  [SMALL_STATE(3573)] = 904,
  [SMALL_STATE(3574)] = 979,
  [SMALL_STATE(3575)] = 1118,
  [SMALL_STATE(3576)] = 1193,
  [SMALL_STATE(3577)] = 1332,
  [SMALL_STATE(3578)] = 1471,
  [SMALL_STATE(3579)] = 1610,
  [SMALL_STATE(3580)] = 1749,
  [SMALL_STATE(3581)] = 1888,
  [SMALL_STATE(3582)] = 2027,
  [SMALL_STATE(3583)] = 2166,
  [SMALL_STATE(3584)] = 2305,
  [SMALL_STATE(3585)] = 2444,
  [SMALL_STATE(3586)] = 2583,
  [SMALL_STATE(3587)] = 2722,
  [SMALL_STATE(3588)] = 2861,
  [SMALL_STATE(3589)] = 3000,
  [SMALL_STATE(3590)] = 3139,
  [SMALL_STATE(3591)] = 3278,
  [SMALL_STATE(3592)] = 3417,
  [SMALL_STATE(3593)] = 3556,
  [SMALL_STATE(3594)] = 3631,
  [SMALL_STATE(3595)] = 3770,
  [SMALL_STATE(3596)] = 3909,
  [SMALL_STATE(3597)] = 4048,
  [SMALL_STATE(3598)] = 4187,
  [SMALL_STATE(3599)] = 4326,
  [SMALL_STATE(3600)] = 4465,
  [SMALL_STATE(3601)] = 4540,
  [SMALL_STATE(3602)] = 4679,
  [SMALL_STATE(3603)] = 4818,
  [SMALL_STATE(3604)] = 4957,
  [SMALL_STATE(3605)] = 5096,
  [SMALL_STATE(3606)] = 5171,
  [SMALL_STATE(3607)] = 5310,
  [SMALL_STATE(3608)] = 5449,
  [SMALL_STATE(3609)] = 5588,
  [SMALL_STATE(3610)] = 5727,
  [SMALL_STATE(3611)] = 5866,
  [SMALL_STATE(3612)] = 6005,
  [SMALL_STATE(3613)] = 6144,
  [SMALL_STATE(3614)] = 6283,
  [SMALL_STATE(3615)] = 6422,
  [SMALL_STATE(3616)] = 6561,
  [SMALL_STATE(3617)] = 6700,
  [SMALL_STATE(3618)] = 6839,
  [SMALL_STATE(3619)] = 6978,
  [SMALL_STATE(3620)] = 7117,
  [SMALL_STATE(3621)] = 7194,
  [SMALL_STATE(3622)] = 7333,
  [SMALL_STATE(3623)] = 7410,
  [SMALL_STATE(3624)] = 7549,
  [SMALL_STATE(3625)] = 7688,
  [SMALL_STATE(3626)] = 7827,
  [SMALL_STATE(3627)] = 7966,
  [SMALL_STATE(3628)] = 8105,
  [SMALL_STATE(3629)] = 8244,
  [SMALL_STATE(3630)] = 8383,
  [SMALL_STATE(3631)] = 8458,
  [SMALL_STATE(3632)] = 8597,
  [SMALL_STATE(3633)] = 8672,
  [SMALL_STATE(3634)] = 8811,
  [SMALL_STATE(3635)] = 8950,
  [SMALL_STATE(3636)] = 9025,
  [SMALL_STATE(3637)] = 9100,
  [SMALL_STATE(3638)] = 9239,
  [SMALL_STATE(3639)] = 9378,
  [SMALL_STATE(3640)] = 9517,
  [SMALL_STATE(3641)] = 9656,
  [SMALL_STATE(3642)] = 9795,
  [SMALL_STATE(3643)] = 9934,
  [SMALL_STATE(3644)] = 10073,
  [SMALL_STATE(3645)] = 10212,
  [SMALL_STATE(3646)] = 10351,
  [SMALL_STATE(3647)] = 10490,
  [SMALL_STATE(3648)] = 10629,
  [SMALL_STATE(3649)] = 10768,
  [SMALL_STATE(3650)] = 10907,
  [SMALL_STATE(3651)] = 11046,
  [SMALL_STATE(3652)] = 11121,
  [SMALL_STATE(3653)] = 11196,
  [SMALL_STATE(3654)] = 11335,
  [SMALL_STATE(3655)] = 11474,
  [SMALL_STATE(3656)] = 11613,
  [SMALL_STATE(3657)] = 11688,
  [SMALL_STATE(3658)] = 11827,
  [SMALL_STATE(3659)] = 11966,
  [SMALL_STATE(3660)] = 12105,
  [SMALL_STATE(3661)] = 12244,
  [SMALL_STATE(3662)] = 12383,
  [SMALL_STATE(3663)] = 12522,
  [SMALL_STATE(3664)] = 12599,
  [SMALL_STATE(3665)] = 12738,
  [SMALL_STATE(3666)] = 12877,
  [SMALL_STATE(3667)] = 13016,
  [SMALL_STATE(3668)] = 13155,
  [SMALL_STATE(3669)] = 13294,
  [SMALL_STATE(3670)] = 13433,
  [SMALL_STATE(3671)] = 13510,
  [SMALL_STATE(3672)] = 13649,
  [SMALL_STATE(3673)] = 13788,
  [SMALL_STATE(3674)] = 13927,
  [SMALL_STATE(3675)] = 14066,
  [SMALL_STATE(3676)] = 14205,
  [SMALL_STATE(3677)] = 14344,
  [SMALL_STATE(3678)] = 14419,
  [SMALL_STATE(3679)] = 14558,
  [SMALL_STATE(3680)] = 14697,
  [SMALL_STATE(3681)] = 14836,
  [SMALL_STATE(3682)] = 14975,
  [SMALL_STATE(3683)] = 15114,
  [SMALL_STATE(3684)] = 15253,
  [SMALL_STATE(3685)] = 15392,
  [SMALL_STATE(3686)] = 15531,
  [SMALL_STATE(3687)] = 15670,
  [SMALL_STATE(3688)] = 15745,
  [SMALL_STATE(3689)] = 15884,
  [SMALL_STATE(3690)] = 15959,
  [SMALL_STATE(3691)] = 16098,
  [SMALL_STATE(3692)] = 16173,
  [SMALL_STATE(3693)] = 16312,
  [SMALL_STATE(3694)] = 16451,
  [SMALL_STATE(3695)] = 16590,
  [SMALL_STATE(3696)] = 16729,
  [SMALL_STATE(3697)] = 16868,
  [SMALL_STATE(3698)] = 17007,
  [SMALL_STATE(3699)] = 17146,
  [SMALL_STATE(3700)] = 17221,
  [SMALL_STATE(3701)] = 17296,
  [SMALL_STATE(3702)] = 17435,
  [SMALL_STATE(3703)] = 17510,
  [SMALL_STATE(3704)] = 17649,
  [SMALL_STATE(3705)] = 17788,
  [SMALL_STATE(3706)] = 17927,
  [SMALL_STATE(3707)] = 18066,
  [SMALL_STATE(3708)] = 18205,
  [SMALL_STATE(3709)] = 18280,
  [SMALL_STATE(3710)] = 18355,
  [SMALL_STATE(3711)] = 18494,
  [SMALL_STATE(3712)] = 18569,
  [SMALL_STATE(3713)] = 18708,
  [SMALL_STATE(3714)] = 18847,
  [SMALL_STATE(3715)] = 18986,
  [SMALL_STATE(3716)] = 19125,
  [SMALL_STATE(3717)] = 19264,
  [SMALL_STATE(3718)] = 19339,
  [SMALL_STATE(3719)] = 19478,
  [SMALL_STATE(3720)] = 19553,
  [SMALL_STATE(3721)] = 19692,
  [SMALL_STATE(3722)] = 19769,
  [SMALL_STATE(3723)] = 19908,
  [SMALL_STATE(3724)] = 19985,
  [SMALL_STATE(3725)] = 20124,
  [SMALL_STATE(3726)] = 20263,
  [SMALL_STATE(3727)] = 20402,
  [SMALL_STATE(3728)] = 20541,
  [SMALL_STATE(3729)] = 20615,
  [SMALL_STATE(3730)] = 20689,
  [SMALL_STATE(3731)] = 20763,
  [SMALL_STATE(3732)] = 20837,
  [SMALL_STATE(3733)] = 20911,
  [SMALL_STATE(3734)] = 20985,
  [SMALL_STATE(3735)] = 21059,
  [SMALL_STATE(3736)] = 21189,
  [SMALL_STATE(3737)] = 21263,
  [SMALL_STATE(3738)] = 21337,
  [SMALL_STATE(3739)] = 21411,
  [SMALL_STATE(3740)] = 21485,
  [SMALL_STATE(3741)] = 21561,
  [SMALL_STATE(3742)] = 21635,
  [SMALL_STATE(3743)] = 21711,
  [SMALL_STATE(3744)] = 21841,
  [SMALL_STATE(3745)] = 21971,
  [SMALL_STATE(3746)] = 22045,
  [SMALL_STATE(3747)] = 22119,
  [SMALL_STATE(3748)] = 22193,
  [SMALL_STATE(3749)] = 22267,
  [SMALL_STATE(3750)] = 22341,
  [SMALL_STATE(3751)] = 22471,
  [SMALL_STATE(3752)] = 22545,
  [SMALL_STATE(3753)] = 22619,
  [SMALL_STATE(3754)] = 22693,
  [SMALL_STATE(3755)] = 22767,
  [SMALL_STATE(3756)] = 22841,
  [SMALL_STATE(3757)] = 22915,
  [SMALL_STATE(3758)] = 22989,
  [SMALL_STATE(3759)] = 23063,
  [SMALL_STATE(3760)] = 23137,
  [SMALL_STATE(3761)] = 23211,
  [SMALL_STATE(3762)] = 23285,
  [SMALL_STATE(3763)] = 23359,
  [SMALL_STATE(3764)] = 23489,
  [SMALL_STATE(3765)] = 23563,
  [SMALL_STATE(3766)] = 23637,
  [SMALL_STATE(3767)] = 23711,
  [SMALL_STATE(3768)] = 23785,
  [SMALL_STATE(3769)] = 23859,
  [SMALL_STATE(3770)] = 23989,
  [SMALL_STATE(3771)] = 24063,
  [SMALL_STATE(3772)] = 24139,
  [SMALL_STATE(3773)] = 24213,
  [SMALL_STATE(3774)] = 24287,
  [SMALL_STATE(3775)] = 24361,
  [SMALL_STATE(3776)] = 24437,
  [SMALL_STATE(3777)] = 24511,
  [SMALL_STATE(3778)] = 24585,
  [SMALL_STATE(3779)] = 24715,
  [SMALL_STATE(3780)] = 24789,
  [SMALL_STATE(3781)] = 24863,
  [SMALL_STATE(3782)] = 24937,
  [SMALL_STATE(3783)] = 25011,
  [SMALL_STATE(3784)] = 25141,
  [SMALL_STATE(3785)] = 25215,
  [SMALL_STATE(3786)] = 25289,
  [SMALL_STATE(3787)] = 25363,
  [SMALL_STATE(3788)] = 25493,
  [SMALL_STATE(3789)] = 25567,
  [SMALL_STATE(3790)] = 25641,
  [SMALL_STATE(3791)] = 25715,
  [SMALL_STATE(3792)] = 25845,
  [SMALL_STATE(3793)] = 25919,
  [SMALL_STATE(3794)] = 25993,
  [SMALL_STATE(3795)] = 26123,
  [SMALL_STATE(3796)] = 26197,
  [SMALL_STATE(3797)] = 26271,
  [SMALL_STATE(3798)] = 26345,
  [SMALL_STATE(3799)] = 26475,
  [SMALL_STATE(3800)] = 26549,
  [SMALL_STATE(3801)] = 26623,
  [SMALL_STATE(3802)] = 26753,
  [SMALL_STATE(3803)] = 26827,
  [SMALL_STATE(3804)] = 26901,
  [SMALL_STATE(3805)] = 26975,
  [SMALL_STATE(3806)] = 27049,
  [SMALL_STATE(3807)] = 27123,
  [SMALL_STATE(3808)] = 27197,
  [SMALL_STATE(3809)] = 27271,
  [SMALL_STATE(3810)] = 27351,
  [SMALL_STATE(3811)] = 27425,
  [SMALL_STATE(3812)] = 27499,
  [SMALL_STATE(3813)] = 27573,
  [SMALL_STATE(3814)] = 27647,
  [SMALL_STATE(3815)] = 27721,
  [SMALL_STATE(3816)] = 27795,
  [SMALL_STATE(3817)] = 27869,
  [SMALL_STATE(3818)] = 27943,
  [SMALL_STATE(3819)] = 28017,
  [SMALL_STATE(3820)] = 28091,
  [SMALL_STATE(3821)] = 28165,
  [SMALL_STATE(3822)] = 28239,
  [SMALL_STATE(3823)] = 28369,
  [SMALL_STATE(3824)] = 28443,
  [SMALL_STATE(3825)] = 28517,
  [SMALL_STATE(3826)] = 28591,
  [SMALL_STATE(3827)] = 28667,
  [SMALL_STATE(3828)] = 28741,
  [SMALL_STATE(3829)] = 28815,
  [SMALL_STATE(3830)] = 28945,
  [SMALL_STATE(3831)] = 29019,
  [SMALL_STATE(3832)] = 29149,
  [SMALL_STATE(3833)] = 29223,
  [SMALL_STATE(3834)] = 29353,
  [SMALL_STATE(3835)] = 29427,
  [SMALL_STATE(3836)] = 29557,
  [SMALL_STATE(3837)] = 29637,
  [SMALL_STATE(3838)] = 29711,
  [SMALL_STATE(3839)] = 29859,
  [SMALL_STATE(3840)] = 29933,
  [SMALL_STATE(3841)] = 30007,
  [SMALL_STATE(3842)] = 30081,
  [SMALL_STATE(3843)] = 30155,
  [SMALL_STATE(3844)] = 30229,
  [SMALL_STATE(3845)] = 30303,
  [SMALL_STATE(3846)] = 30377,
  [SMALL_STATE(3847)] = 30451,
  [SMALL_STATE(3848)] = 30525,
  [SMALL_STATE(3849)] = 30599,
  [SMALL_STATE(3850)] = 30673,
  [SMALL_STATE(3851)] = 30747,
  [SMALL_STATE(3852)] = 30877,
  [SMALL_STATE(3853)] = 31007,
  [SMALL_STATE(3854)] = 31081,
  [SMALL_STATE(3855)] = 31161,
  [SMALL_STATE(3856)] = 31235,
  [SMALL_STATE(3857)] = 31309,
  [SMALL_STATE(3858)] = 31383,
  [SMALL_STATE(3859)] = 31513,
  [SMALL_STATE(3860)] = 31587,
  [SMALL_STATE(3861)] = 31661,
  [SMALL_STATE(3862)] = 31735,
  [SMALL_STATE(3863)] = 31809,
  [SMALL_STATE(3864)] = 31883,
  [SMALL_STATE(3865)] = 31957,
  [SMALL_STATE(3866)] = 32031,
  [SMALL_STATE(3867)] = 32105,
  [SMALL_STATE(3868)] = 32179,
  [SMALL_STATE(3869)] = 32253,
  [SMALL_STATE(3870)] = 32329,
  [SMALL_STATE(3871)] = 32403,
  [SMALL_STATE(3872)] = 32477,
  [SMALL_STATE(3873)] = 32551,
  [SMALL_STATE(3874)] = 32681,
  [SMALL_STATE(3875)] = 32755,
  [SMALL_STATE(3876)] = 32829,
  [SMALL_STATE(3877)] = 32959,
  [SMALL_STATE(3878)] = 33033,
  [SMALL_STATE(3879)] = 33107,
  [SMALL_STATE(3880)] = 33181,
  [SMALL_STATE(3881)] = 33255,
  [SMALL_STATE(3882)] = 33385,
  [SMALL_STATE(3883)] = 33459,
  [SMALL_STATE(3884)] = 33533,
  [SMALL_STATE(3885)] = 33607,
  [SMALL_STATE(3886)] = 33681,
  [SMALL_STATE(3887)] = 33755,
  [SMALL_STATE(3888)] = 33829,
  [SMALL_STATE(3889)] = 33903,
  [SMALL_STATE(3890)] = 34033,
  [SMALL_STATE(3891)] = 34107,
  [SMALL_STATE(3892)] = 34237,
  [SMALL_STATE(3893)] = 34311,
  [SMALL_STATE(3894)] = 34385,
  [SMALL_STATE(3895)] = 34459,
  [SMALL_STATE(3896)] = 34589,
  [SMALL_STATE(3897)] = 34663,
  [SMALL_STATE(3898)] = 34737,
  [SMALL_STATE(3899)] = 34811,
  [SMALL_STATE(3900)] = 34885,
  [SMALL_STATE(3901)] = 35015,
  [SMALL_STATE(3902)] = 35089,
  [SMALL_STATE(3903)] = 35219,
  [SMALL_STATE(3904)] = 35349,
  [SMALL_STATE(3905)] = 35423,
  [SMALL_STATE(3906)] = 35497,
  [SMALL_STATE(3907)] = 35571,
  [SMALL_STATE(3908)] = 35647,
  [SMALL_STATE(3909)] = 35721,
  [SMALL_STATE(3910)] = 35795,
  [SMALL_STATE(3911)] = 35869,
  [SMALL_STATE(3912)] = 35943,
  [SMALL_STATE(3913)] = 36017,
  [SMALL_STATE(3914)] = 36091,
  [SMALL_STATE(3915)] = 36165,
  [SMALL_STATE(3916)] = 36295,
  [SMALL_STATE(3917)] = 36371,
  [SMALL_STATE(3918)] = 36445,
  [SMALL_STATE(3919)] = 36519,
  [SMALL_STATE(3920)] = 36593,
  [SMALL_STATE(3921)] = 36723,
  [SMALL_STATE(3922)] = 36853,
  [SMALL_STATE(3923)] = 36927,
  [SMALL_STATE(3924)] = 37001,
  [SMALL_STATE(3925)] = 37075,
  [SMALL_STATE(3926)] = 37149,
  [SMALL_STATE(3927)] = 37297,
  [SMALL_STATE(3928)] = 37371,
  [SMALL_STATE(3929)] = 37445,
  [SMALL_STATE(3930)] = 37519,
  [SMALL_STATE(3931)] = 37593,
  [SMALL_STATE(3932)] = 37667,
  [SMALL_STATE(3933)] = 37741,
  [SMALL_STATE(3934)] = 37817,
  [SMALL_STATE(3935)] = 37891,
  [SMALL_STATE(3936)] = 37965,
  [SMALL_STATE(3937)] = 38039,
  [SMALL_STATE(3938)] = 38113,
  [SMALL_STATE(3939)] = 38243,
  [SMALL_STATE(3940)] = 38317,
  [SMALL_STATE(3941)] = 38391,
  [SMALL_STATE(3942)] = 38465,
  [SMALL_STATE(3943)] = 38539,
  [SMALL_STATE(3944)] = 38669,
  [SMALL_STATE(3945)] = 38743,
  [SMALL_STATE(3946)] = 38817,
  [SMALL_STATE(3947)] = 38891,
  [SMALL_STATE(3948)] = 38967,
  [SMALL_STATE(3949)] = 39041,
  [SMALL_STATE(3950)] = 39115,
  [SMALL_STATE(3951)] = 39189,
  [SMALL_STATE(3952)] = 39263,
  [SMALL_STATE(3953)] = 39337,
  [SMALL_STATE(3954)] = 39413,
  [SMALL_STATE(3955)] = 39487,
  [SMALL_STATE(3956)] = 39561,
  [SMALL_STATE(3957)] = 39635,
  [SMALL_STATE(3958)] = 39765,
  [SMALL_STATE(3959)] = 39839,
  [SMALL_STATE(3960)] = 39913,
  [SMALL_STATE(3961)] = 39987,
  [SMALL_STATE(3962)] = 40061,
  [SMALL_STATE(3963)] = 40135,
  [SMALL_STATE(3964)] = 40209,
  [SMALL_STATE(3965)] = 40283,
  [SMALL_STATE(3966)] = 40357,
  [SMALL_STATE(3967)] = 40431,
  [SMALL_STATE(3968)] = 40505,
  [SMALL_STATE(3969)] = 40635,
  [SMALL_STATE(3970)] = 40765,
  [SMALL_STATE(3971)] = 40839,
  [SMALL_STATE(3972)] = 40919,
  [SMALL_STATE(3973)] = 40993,
  [SMALL_STATE(3974)] = 41123,
  [SMALL_STATE(3975)] = 41197,
  [SMALL_STATE(3976)] = 41271,
  [SMALL_STATE(3977)] = 41347,
  [SMALL_STATE(3978)] = 41421,
  [SMALL_STATE(3979)] = 41495,
  [SMALL_STATE(3980)] = 41569,
  [SMALL_STATE(3981)] = 41643,
  [SMALL_STATE(3982)] = 41717,
  [SMALL_STATE(3983)] = 41847,
  [SMALL_STATE(3984)] = 41921,
  [SMALL_STATE(3985)] = 41995,
  [SMALL_STATE(3986)] = 42071,
  [SMALL_STATE(3987)] = 42145,
  [SMALL_STATE(3988)] = 42219,
  [SMALL_STATE(3989)] = 42293,
  [SMALL_STATE(3990)] = 42367,
  [SMALL_STATE(3991)] = 42441,
  [SMALL_STATE(3992)] = 42521,
  [SMALL_STATE(3993)] = 42595,
  [SMALL_STATE(3994)] = 42669,
  [SMALL_STATE(3995)] = 42743,
  [SMALL_STATE(3996)] = 42817,
  [SMALL_STATE(3997)] = 42891,
  [SMALL_STATE(3998)] = 42965,
  [SMALL_STATE(3999)] = 43095,
  [SMALL_STATE(4000)] = 43171,
  [SMALL_STATE(4001)] = 43319,
  [SMALL_STATE(4002)] = 43393,
  [SMALL_STATE(4003)] = 43467,
  [SMALL_STATE(4004)] = 43541,
  [SMALL_STATE(4005)] = 43671,
  [SMALL_STATE(4006)] = 43745,
  [SMALL_STATE(4007)] = 43875,
  [SMALL_STATE(4008)] = 43949,
  [SMALL_STATE(4009)] = 44023,
  [SMALL_STATE(4010)] = 44097,
  [SMALL_STATE(4011)] = 44171,
  [SMALL_STATE(4012)] = 44245,
  [SMALL_STATE(4013)] = 44319,
  [SMALL_STATE(4014)] = 44393,
  [SMALL_STATE(4015)] = 44469,
  [SMALL_STATE(4016)] = 44543,
  [SMALL_STATE(4017)] = 44617,
  [SMALL_STATE(4018)] = 44693,
  [SMALL_STATE(4019)] = 44767,
  [SMALL_STATE(4020)] = 44841,
  [SMALL_STATE(4021)] = 44915,
  [SMALL_STATE(4022)] = 44989,
  [SMALL_STATE(4023)] = 45063,
  [SMALL_STATE(4024)] = 45193,
  [SMALL_STATE(4025)] = 45267,
  [SMALL_STATE(4026)] = 45341,
  [SMALL_STATE(4027)] = 45471,
  [SMALL_STATE(4028)] = 45545,
  [SMALL_STATE(4029)] = 45619,
  [SMALL_STATE(4030)] = 45695,
  [SMALL_STATE(4031)] = 45769,
  [SMALL_STATE(4032)] = 45899,
  [SMALL_STATE(4033)] = 45973,
  [SMALL_STATE(4034)] = 46047,
  [SMALL_STATE(4035)] = 46121,
  [SMALL_STATE(4036)] = 46195,
  [SMALL_STATE(4037)] = 46269,
  [SMALL_STATE(4038)] = 46343,
  [SMALL_STATE(4039)] = 46417,
  [SMALL_STATE(4040)] = 46493,
  [SMALL_STATE(4041)] = 46623,
  [SMALL_STATE(4042)] = 46697,
  [SMALL_STATE(4043)] = 46771,
  [SMALL_STATE(4044)] = 46847,
  [SMALL_STATE(4045)] = 46921,
  [SMALL_STATE(4046)] = 46995,
  [SMALL_STATE(4047)] = 47069,
  [SMALL_STATE(4048)] = 47143,
  [SMALL_STATE(4049)] = 47217,
  [SMALL_STATE(4050)] = 47291,
  [SMALL_STATE(4051)] = 47421,
  [SMALL_STATE(4052)] = 47495,
  [SMALL_STATE(4053)] = 47569,
  [SMALL_STATE(4054)] = 47643,
  [SMALL_STATE(4055)] = 47717,
  [SMALL_STATE(4056)] = 47847,
  [SMALL_STATE(4057)] = 47921,
  [SMALL_STATE(4058)] = 47995,
  [SMALL_STATE(4059)] = 48069,
  [SMALL_STATE(4060)] = 48143,
  [SMALL_STATE(4061)] = 48217,
  [SMALL_STATE(4062)] = 48293,
  [SMALL_STATE(4063)] = 48367,
  [SMALL_STATE(4064)] = 48497,
  [SMALL_STATE(4065)] = 48571,
  [SMALL_STATE(4066)] = 48645,
  [SMALL_STATE(4067)] = 48719,
  [SMALL_STATE(4068)] = 48793,
  [SMALL_STATE(4069)] = 48867,
  [SMALL_STATE(4070)] = 48941,
  [SMALL_STATE(4071)] = 49015,
  [SMALL_STATE(4072)] = 49089,
  [SMALL_STATE(4073)] = 49163,
  [SMALL_STATE(4074)] = 49293,
  [SMALL_STATE(4075)] = 49367,
  [SMALL_STATE(4076)] = 49441,
  [SMALL_STATE(4077)] = 49515,
  [SMALL_STATE(4078)] = 49595,
  [SMALL_STATE(4079)] = 49669,
  [SMALL_STATE(4080)] = 49745,
  [SMALL_STATE(4081)] = 49819,
  [SMALL_STATE(4082)] = 49893,
  [SMALL_STATE(4083)] = 49966,
  [SMALL_STATE(4084)] = 50039,
  [SMALL_STATE(4085)] = 50112,
  [SMALL_STATE(4086)] = 50185,
  [SMALL_STATE(4087)] = 50258,
  [SMALL_STATE(4088)] = 50331,
  [SMALL_STATE(4089)] = 50404,
  [SMALL_STATE(4090)] = 50477,
  [SMALL_STATE(4091)] = 50550,
  [SMALL_STATE(4092)] = 50623,
  [SMALL_STATE(4093)] = 50696,
  [SMALL_STATE(4094)] = 50769,
  [SMALL_STATE(4095)] = 50842,
  [SMALL_STATE(4096)] = 50915,
  [SMALL_STATE(4097)] = 50988,
  [SMALL_STATE(4098)] = 51061,
  [SMALL_STATE(4099)] = 51134,
  [SMALL_STATE(4100)] = 51207,
  [SMALL_STATE(4101)] = 51286,
  [SMALL_STATE(4102)] = 51359,
  [SMALL_STATE(4103)] = 51432,
  [SMALL_STATE(4104)] = 51505,
  [SMALL_STATE(4105)] = 51578,
  [SMALL_STATE(4106)] = 51651,
  [SMALL_STATE(4107)] = 51726,
  [SMALL_STATE(4108)] = 51799,
  [SMALL_STATE(4109)] = 51872,
  [SMALL_STATE(4110)] = 51945,
  [SMALL_STATE(4111)] = 52020,
  [SMALL_STATE(4112)] = 52093,
  [SMALL_STATE(4113)] = 52166,
  [SMALL_STATE(4114)] = 52239,
  [SMALL_STATE(4115)] = 52312,
  [SMALL_STATE(4116)] = 52391,
  [SMALL_STATE(4117)] = 52464,
  [SMALL_STATE(4118)] = 52537,
  [SMALL_STATE(4119)] = 52610,
  [SMALL_STATE(4120)] = 52683,
  [SMALL_STATE(4121)] = 52756,
  [SMALL_STATE(4122)] = 52829,
  [SMALL_STATE(4123)] = 52902,
  [SMALL_STATE(4124)] = 52975,
  [SMALL_STATE(4125)] = 53054,
  [SMALL_STATE(4126)] = 53127,
  [SMALL_STATE(4127)] = 53200,
  [SMALL_STATE(4128)] = 53273,
  [SMALL_STATE(4129)] = 53346,
  [SMALL_STATE(4130)] = 53419,
  [SMALL_STATE(4131)] = 53492,
  [SMALL_STATE(4132)] = 53565,
  [SMALL_STATE(4133)] = 53638,
  [SMALL_STATE(4134)] = 53711,
  [SMALL_STATE(4135)] = 53784,
  [SMALL_STATE(4136)] = 53857,
  [SMALL_STATE(4137)] = 53930,
  [SMALL_STATE(4138)] = 54003,
  [SMALL_STATE(4139)] = 54076,
  [SMALL_STATE(4140)] = 54155,
  [SMALL_STATE(4141)] = 54228,
  [SMALL_STATE(4142)] = 54301,
  [SMALL_STATE(4143)] = 54374,
  [SMALL_STATE(4144)] = 54447,
  [SMALL_STATE(4145)] = 54520,
  [SMALL_STATE(4146)] = 54593,
  [SMALL_STATE(4147)] = 54666,
  [SMALL_STATE(4148)] = 54741,
  [SMALL_STATE(4149)] = 54814,
  [SMALL_STATE(4150)] = 54887,
  [SMALL_STATE(4151)] = 54960,
  [SMALL_STATE(4152)] = 55033,
  [SMALL_STATE(4153)] = 55106,
  [SMALL_STATE(4154)] = 55179,
  [SMALL_STATE(4155)] = 55252,
  [SMALL_STATE(4156)] = 55325,
  [SMALL_STATE(4157)] = 55398,
  [SMALL_STATE(4158)] = 55471,
  [SMALL_STATE(4159)] = 55544,
  [SMALL_STATE(4160)] = 55617,
  [SMALL_STATE(4161)] = 55690,
  [SMALL_STATE(4162)] = 55763,
  [SMALL_STATE(4163)] = 55836,
  [SMALL_STATE(4164)] = 55909,
  [SMALL_STATE(4165)] = 55988,
  [SMALL_STATE(4166)] = 56061,
  [SMALL_STATE(4167)] = 56134,
  [SMALL_STATE(4168)] = 56207,
  [SMALL_STATE(4169)] = 56280,
  [SMALL_STATE(4170)] = 56353,
  [SMALL_STATE(4171)] = 56426,
  [SMALL_STATE(4172)] = 56499,
  [SMALL_STATE(4173)] = 56572,
  [SMALL_STATE(4174)] = 56645,
  [SMALL_STATE(4175)] = 56718,
  [SMALL_STATE(4176)] = 56791,
  [SMALL_STATE(4177)] = 56864,
  [SMALL_STATE(4178)] = 56937,
  [SMALL_STATE(4179)] = 57010,
  [SMALL_STATE(4180)] = 57083,
  [SMALL_STATE(4181)] = 57156,
  [SMALL_STATE(4182)] = 57229,
  [SMALL_STATE(4183)] = 57302,
  [SMALL_STATE(4184)] = 57375,
  [SMALL_STATE(4185)] = 57448,
  [SMALL_STATE(4186)] = 57523,
  [SMALL_STATE(4187)] = 57596,
  [SMALL_STATE(4188)] = 57669,
  [SMALL_STATE(4189)] = 57742,
  [SMALL_STATE(4190)] = 57815,
  [SMALL_STATE(4191)] = 57888,
  [SMALL_STATE(4192)] = 57961,
  [SMALL_STATE(4193)] = 58034,
  [SMALL_STATE(4194)] = 58107,
  [SMALL_STATE(4195)] = 58180,
  [SMALL_STATE(4196)] = 58253,
  [SMALL_STATE(4197)] = 58326,
  [SMALL_STATE(4198)] = 58399,
  [SMALL_STATE(4199)] = 58472,
  [SMALL_STATE(4200)] = 58545,
  [SMALL_STATE(4201)] = 58618,
  [SMALL_STATE(4202)] = 58691,
  [SMALL_STATE(4203)] = 58764,
  [SMALL_STATE(4204)] = 58837,
  [SMALL_STATE(4205)] = 58910,
  [SMALL_STATE(4206)] = 58983,
  [SMALL_STATE(4207)] = 59056,
  [SMALL_STATE(4208)] = 59129,
  [SMALL_STATE(4209)] = 59202,
  [SMALL_STATE(4210)] = 59275,
  [SMALL_STATE(4211)] = 59348,
  [SMALL_STATE(4212)] = 59421,
  [SMALL_STATE(4213)] = 59494,
  [SMALL_STATE(4214)] = 59567,
  [SMALL_STATE(4215)] = 59640,
  [SMALL_STATE(4216)] = 59713,
  [SMALL_STATE(4217)] = 59786,
  [SMALL_STATE(4218)] = 59859,
  [SMALL_STATE(4219)] = 59932,
  [SMALL_STATE(4220)] = 60005,
  [SMALL_STATE(4221)] = 60078,
  [SMALL_STATE(4222)] = 60151,
  [SMALL_STATE(4223)] = 60224,
  [SMALL_STATE(4224)] = 60297,
  [SMALL_STATE(4225)] = 60370,
  [SMALL_STATE(4226)] = 60443,
  [SMALL_STATE(4227)] = 60516,
  [SMALL_STATE(4228)] = 60589,
  [SMALL_STATE(4229)] = 60662,
  [SMALL_STATE(4230)] = 60735,
  [SMALL_STATE(4231)] = 60808,
  [SMALL_STATE(4232)] = 60881,
  [SMALL_STATE(4233)] = 60954,
  [SMALL_STATE(4234)] = 61027,
  [SMALL_STATE(4235)] = 61100,
  [SMALL_STATE(4236)] = 61173,
  [SMALL_STATE(4237)] = 61246,
  [SMALL_STATE(4238)] = 61319,
  [SMALL_STATE(4239)] = 61392,
  [SMALL_STATE(4240)] = 61465,
  [SMALL_STATE(4241)] = 61538,
  [SMALL_STATE(4242)] = 61611,
  [SMALL_STATE(4243)] = 61684,
  [SMALL_STATE(4244)] = 61757,
  [SMALL_STATE(4245)] = 61830,
  [SMALL_STATE(4246)] = 61903,
  [SMALL_STATE(4247)] = 61976,
  [SMALL_STATE(4248)] = 62049,
  [SMALL_STATE(4249)] = 62122,
  [SMALL_STATE(4250)] = 62195,
  [SMALL_STATE(4251)] = 62268,
  [SMALL_STATE(4252)] = 62341,
  [SMALL_STATE(4253)] = 62414,
  [SMALL_STATE(4254)] = 62487,
  [SMALL_STATE(4255)] = 62560,
  [SMALL_STATE(4256)] = 62633,
  [SMALL_STATE(4257)] = 62706,
  [SMALL_STATE(4258)] = 62779,
  [SMALL_STATE(4259)] = 62852,
  [SMALL_STATE(4260)] = 62927,
  [SMALL_STATE(4261)] = 63000,
  [SMALL_STATE(4262)] = 63073,
  [SMALL_STATE(4263)] = 63146,
  [SMALL_STATE(4264)] = 63221,
  [SMALL_STATE(4265)] = 63294,
  [SMALL_STATE(4266)] = 63367,
  [SMALL_STATE(4267)] = 63440,
  [SMALL_STATE(4268)] = 63513,
  [SMALL_STATE(4269)] = 63586,
  [SMALL_STATE(4270)] = 63659,
  [SMALL_STATE(4271)] = 63732,
  [SMALL_STATE(4272)] = 63805,
  [SMALL_STATE(4273)] = 63878,
  [SMALL_STATE(4274)] = 63951,
  [SMALL_STATE(4275)] = 64024,
  [SMALL_STATE(4276)] = 64097,
  [SMALL_STATE(4277)] = 64170,
  [SMALL_STATE(4278)] = 64243,
  [SMALL_STATE(4279)] = 64316,
  [SMALL_STATE(4280)] = 64389,
  [SMALL_STATE(4281)] = 64462,
  [SMALL_STATE(4282)] = 64535,
  [SMALL_STATE(4283)] = 64608,
  [SMALL_STATE(4284)] = 64681,
  [SMALL_STATE(4285)] = 64754,
  [SMALL_STATE(4286)] = 64827,
  [SMALL_STATE(4287)] = 64900,
  [SMALL_STATE(4288)] = 64973,
  [SMALL_STATE(4289)] = 65046,
  [SMALL_STATE(4290)] = 65121,
  [SMALL_STATE(4291)] = 65194,
  [SMALL_STATE(4292)] = 65267,
  [SMALL_STATE(4293)] = 65340,
  [SMALL_STATE(4294)] = 65413,
  [SMALL_STATE(4295)] = 65486,
  [SMALL_STATE(4296)] = 65561,
  [SMALL_STATE(4297)] = 65634,
  [SMALL_STATE(4298)] = 65709,
  [SMALL_STATE(4299)] = 65782,
  [SMALL_STATE(4300)] = 65855,
  [SMALL_STATE(4301)] = 65930,
  [SMALL_STATE(4302)] = 66003,
  [SMALL_STATE(4303)] = 66076,
  [SMALL_STATE(4304)] = 66149,
  [SMALL_STATE(4305)] = 66222,
  [SMALL_STATE(4306)] = 66295,
  [SMALL_STATE(4307)] = 66368,
  [SMALL_STATE(4308)] = 66441,
  [SMALL_STATE(4309)] = 66514,
  [SMALL_STATE(4310)] = 66587,
  [SMALL_STATE(4311)] = 66660,
  [SMALL_STATE(4312)] = 66733,
  [SMALL_STATE(4313)] = 66806,
  [SMALL_STATE(4314)] = 66879,
  [SMALL_STATE(4315)] = 66958,
  [SMALL_STATE(4316)] = 67037,
  [SMALL_STATE(4317)] = 67110,
  [SMALL_STATE(4318)] = 67183,
  [SMALL_STATE(4319)] = 67256,
  [SMALL_STATE(4320)] = 67329,
  [SMALL_STATE(4321)] = 67402,
  [SMALL_STATE(4322)] = 67475,
  [SMALL_STATE(4323)] = 67548,
  [SMALL_STATE(4324)] = 67621,
  [SMALL_STATE(4325)] = 67694,
  [SMALL_STATE(4326)] = 67767,
  [SMALL_STATE(4327)] = 67840,
  [SMALL_STATE(4328)] = 67913,
  [SMALL_STATE(4329)] = 67986,
  [SMALL_STATE(4330)] = 68061,
  [SMALL_STATE(4331)] = 68134,
  [SMALL_STATE(4332)] = 68207,
  [SMALL_STATE(4333)] = 68280,
  [SMALL_STATE(4334)] = 68353,
  [SMALL_STATE(4335)] = 68426,
  [SMALL_STATE(4336)] = 68499,
  [SMALL_STATE(4337)] = 68572,
  [SMALL_STATE(4338)] = 68645,
  [SMALL_STATE(4339)] = 68718,
  [SMALL_STATE(4340)] = 68791,
  [SMALL_STATE(4341)] = 68864,
  [SMALL_STATE(4342)] = 68937,
  [SMALL_STATE(4343)] = 69010,
  [SMALL_STATE(4344)] = 69083,
  [SMALL_STATE(4345)] = 69156,
  [SMALL_STATE(4346)] = 69229,
  [SMALL_STATE(4347)] = 69302,
  [SMALL_STATE(4348)] = 69375,
  [SMALL_STATE(4349)] = 69448,
  [SMALL_STATE(4350)] = 69521,
  [SMALL_STATE(4351)] = 69594,
  [SMALL_STATE(4352)] = 69667,
  [SMALL_STATE(4353)] = 69740,
  [SMALL_STATE(4354)] = 69813,
  [SMALL_STATE(4355)] = 69886,
  [SMALL_STATE(4356)] = 69959,
  [SMALL_STATE(4357)] = 70032,
  [SMALL_STATE(4358)] = 70105,
  [SMALL_STATE(4359)] = 70180,
  [SMALL_STATE(4360)] = 70253,
  [SMALL_STATE(4361)] = 70326,
  [SMALL_STATE(4362)] = 70399,
  [SMALL_STATE(4363)] = 70472,
  [SMALL_STATE(4364)] = 70545,
  [SMALL_STATE(4365)] = 70618,
  [SMALL_STATE(4366)] = 70691,
  [SMALL_STATE(4367)] = 70764,
  [SMALL_STATE(4368)] = 70837,
  [SMALL_STATE(4369)] = 70910,
  [SMALL_STATE(4370)] = 70983,
  [SMALL_STATE(4371)] = 71056,
  [SMALL_STATE(4372)] = 71129,
  [SMALL_STATE(4373)] = 71202,
  [SMALL_STATE(4374)] = 71275,
  [SMALL_STATE(4375)] = 71348,
  [SMALL_STATE(4376)] = 71421,
  [SMALL_STATE(4377)] = 71494,
  [SMALL_STATE(4378)] = 71567,
  [SMALL_STATE(4379)] = 71640,
  [SMALL_STATE(4380)] = 71713,
  [SMALL_STATE(4381)] = 71786,
  [SMALL_STATE(4382)] = 71859,
  [SMALL_STATE(4383)] = 71934,
  [SMALL_STATE(4384)] = 72007,
  [SMALL_STATE(4385)] = 72080,
  [SMALL_STATE(4386)] = 72155,
  [SMALL_STATE(4387)] = 72228,
  [SMALL_STATE(4388)] = 72303,
  [SMALL_STATE(4389)] = 72378,
  [SMALL_STATE(4390)] = 72451,
  [SMALL_STATE(4391)] = 72524,
  [SMALL_STATE(4392)] = 72597,
  [SMALL_STATE(4393)] = 72670,
  [SMALL_STATE(4394)] = 72743,
  [SMALL_STATE(4395)] = 72822,
  [SMALL_STATE(4396)] = 72895,
  [SMALL_STATE(4397)] = 72974,
  [SMALL_STATE(4398)] = 73047,
  [SMALL_STATE(4399)] = 73120,
  [SMALL_STATE(4400)] = 73193,
  [SMALL_STATE(4401)] = 73266,
  [SMALL_STATE(4402)] = 73339,
  [SMALL_STATE(4403)] = 73412,
  [SMALL_STATE(4404)] = 73485,
  [SMALL_STATE(4405)] = 73560,
  [SMALL_STATE(4406)] = 73635,
  [SMALL_STATE(4407)] = 73708,
  [SMALL_STATE(4408)] = 73781,
  [SMALL_STATE(4409)] = 73854,
  [SMALL_STATE(4410)] = 73927,
  [SMALL_STATE(4411)] = 74000,
  [SMALL_STATE(4412)] = 74073,
  [SMALL_STATE(4413)] = 74146,
  [SMALL_STATE(4414)] = 74219,
  [SMALL_STATE(4415)] = 74292,
  [SMALL_STATE(4416)] = 74365,
  [SMALL_STATE(4417)] = 74438,
  [SMALL_STATE(4418)] = 74511,
  [SMALL_STATE(4419)] = 74586,
  [SMALL_STATE(4420)] = 74659,
  [SMALL_STATE(4421)] = 74732,
  [SMALL_STATE(4422)] = 74805,
  [SMALL_STATE(4423)] = 74878,
  [SMALL_STATE(4424)] = 74951,
  [SMALL_STATE(4425)] = 75024,
  [SMALL_STATE(4426)] = 75097,
  [SMALL_STATE(4427)] = 75170,
  [SMALL_STATE(4428)] = 75243,
  [SMALL_STATE(4429)] = 75316,
  [SMALL_STATE(4430)] = 75389,
  [SMALL_STATE(4431)] = 75462,
  [SMALL_STATE(4432)] = 75535,
  [SMALL_STATE(4433)] = 75608,
  [SMALL_STATE(4434)] = 75681,
  [SMALL_STATE(4435)] = 75754,
  [SMALL_STATE(4436)] = 75827,
  [SMALL_STATE(4437)] = 75900,
  [SMALL_STATE(4438)] = 75973,
  [SMALL_STATE(4439)] = 76046,
  [SMALL_STATE(4440)] = 76119,
  [SMALL_STATE(4441)] = 76192,
  [SMALL_STATE(4442)] = 76265,
  [SMALL_STATE(4443)] = 76338,
  [SMALL_STATE(4444)] = 76411,
  [SMALL_STATE(4445)] = 76484,
  [SMALL_STATE(4446)] = 76557,
  [SMALL_STATE(4447)] = 76630,
  [SMALL_STATE(4448)] = 76703,
  [SMALL_STATE(4449)] = 76776,
  [SMALL_STATE(4450)] = 76849,
  [SMALL_STATE(4451)] = 76922,
  [SMALL_STATE(4452)] = 76995,
  [SMALL_STATE(4453)] = 77068,
  [SMALL_STATE(4454)] = 77141,
  [SMALL_STATE(4455)] = 77214,
  [SMALL_STATE(4456)] = 77287,
  [SMALL_STATE(4457)] = 77360,
  [SMALL_STATE(4458)] = 77435,
  [SMALL_STATE(4459)] = 77510,
  [SMALL_STATE(4460)] = 77583,
  [SMALL_STATE(4461)] = 77656,
  [SMALL_STATE(4462)] = 77729,
  [SMALL_STATE(4463)] = 77802,
  [SMALL_STATE(4464)] = 77875,
  [SMALL_STATE(4465)] = 77948,
  [SMALL_STATE(4466)] = 78027,
  [SMALL_STATE(4467)] = 78100,
  [SMALL_STATE(4468)] = 78173,
  [SMALL_STATE(4469)] = 78246,
  [SMALL_STATE(4470)] = 78319,
  [SMALL_STATE(4471)] = 78392,
  [SMALL_STATE(4472)] = 78465,
  [SMALL_STATE(4473)] = 78538,
  [SMALL_STATE(4474)] = 78613,
  [SMALL_STATE(4475)] = 78686,
  [SMALL_STATE(4476)] = 78759,
  [SMALL_STATE(4477)] = 78832,
  [SMALL_STATE(4478)] = 78905,
  [SMALL_STATE(4479)] = 78978,
  [SMALL_STATE(4480)] = 79051,
  [SMALL_STATE(4481)] = 79124,
  [SMALL_STATE(4482)] = 79197,
  [SMALL_STATE(4483)] = 79270,
  [SMALL_STATE(4484)] = 79343,
  [SMALL_STATE(4485)] = 79416,
  [SMALL_STATE(4486)] = 79489,
  [SMALL_STATE(4487)] = 79562,
  [SMALL_STATE(4488)] = 79635,
  [SMALL_STATE(4489)] = 79708,
  [SMALL_STATE(4490)] = 79781,
  [SMALL_STATE(4491)] = 79854,
  [SMALL_STATE(4492)] = 79927,
  [SMALL_STATE(4493)] = 80006,
  [SMALL_STATE(4494)] = 80079,
  [SMALL_STATE(4495)] = 80152,
  [SMALL_STATE(4496)] = 80225,
  [SMALL_STATE(4497)] = 80298,
  [SMALL_STATE(4498)] = 80371,
  [SMALL_STATE(4499)] = 80444,
  [SMALL_STATE(4500)] = 80517,
  [SMALL_STATE(4501)] = 80590,
  [SMALL_STATE(4502)] = 80663,
  [SMALL_STATE(4503)] = 80736,
  [SMALL_STATE(4504)] = 80809,
  [SMALL_STATE(4505)] = 80882,
  [SMALL_STATE(4506)] = 80955,
  [SMALL_STATE(4507)] = 81028,
  [SMALL_STATE(4508)] = 81101,
  [SMALL_STATE(4509)] = 81174,
  [SMALL_STATE(4510)] = 81247,
  [SMALL_STATE(4511)] = 81320,
  [SMALL_STATE(4512)] = 81393,
  [SMALL_STATE(4513)] = 81466,
  [SMALL_STATE(4514)] = 81539,
  [SMALL_STATE(4515)] = 81612,
  [SMALL_STATE(4516)] = 81685,
  [SMALL_STATE(4517)] = 81758,
  [SMALL_STATE(4518)] = 81831,
  [SMALL_STATE(4519)] = 81904,
  [SMALL_STATE(4520)] = 81977,
  [SMALL_STATE(4521)] = 82050,
  [SMALL_STATE(4522)] = 82123,
  [SMALL_STATE(4523)] = 82196,
  [SMALL_STATE(4524)] = 82269,
  [SMALL_STATE(4525)] = 82342,
  [SMALL_STATE(4526)] = 82415,
  [SMALL_STATE(4527)] = 82488,
  [SMALL_STATE(4528)] = 82561,
  [SMALL_STATE(4529)] = 82634,
  [SMALL_STATE(4530)] = 82707,
  [SMALL_STATE(4531)] = 82780,
  [SMALL_STATE(4532)] = 82853,
  [SMALL_STATE(4533)] = 82926,
  [SMALL_STATE(4534)] = 82999,
  [SMALL_STATE(4535)] = 83072,
  [SMALL_STATE(4536)] = 83145,
  [SMALL_STATE(4537)] = 83218,
  [SMALL_STATE(4538)] = 83291,
  [SMALL_STATE(4539)] = 83364,
  [SMALL_STATE(4540)] = 83437,
  [SMALL_STATE(4541)] = 83510,
  [SMALL_STATE(4542)] = 83583,
  [SMALL_STATE(4543)] = 83656,
  [SMALL_STATE(4544)] = 83729,
  [SMALL_STATE(4545)] = 83802,
  [SMALL_STATE(4546)] = 83875,
  [SMALL_STATE(4547)] = 83948,
  [SMALL_STATE(4548)] = 84021,
  [SMALL_STATE(4549)] = 84094,
  [SMALL_STATE(4550)] = 84167,
  [SMALL_STATE(4551)] = 84240,
  [SMALL_STATE(4552)] = 84313,
  [SMALL_STATE(4553)] = 84386,
  [SMALL_STATE(4554)] = 84459,
  [SMALL_STATE(4555)] = 84532,
  [SMALL_STATE(4556)] = 84607,
  [SMALL_STATE(4557)] = 84680,
  [SMALL_STATE(4558)] = 84753,
  [SMALL_STATE(4559)] = 84828,
  [SMALL_STATE(4560)] = 84901,
  [SMALL_STATE(4561)] = 84974,
  [SMALL_STATE(4562)] = 85047,
  [SMALL_STATE(4563)] = 85120,
  [SMALL_STATE(4564)] = 85193,
  [SMALL_STATE(4565)] = 85266,
  [SMALL_STATE(4566)] = 85339,
  [SMALL_STATE(4567)] = 85412,
  [SMALL_STATE(4568)] = 85485,
  [SMALL_STATE(4569)] = 85558,
  [SMALL_STATE(4570)] = 85631,
  [SMALL_STATE(4571)] = 85704,
  [SMALL_STATE(4572)] = 85777,
  [SMALL_STATE(4573)] = 85850,
  [SMALL_STATE(4574)] = 85923,
  [SMALL_STATE(4575)] = 85996,
  [SMALL_STATE(4576)] = 86075,
  [SMALL_STATE(4577)] = 86148,
  [SMALL_STATE(4578)] = 86221,
  [SMALL_STATE(4579)] = 86294,
  [SMALL_STATE(4580)] = 86367,
  [SMALL_STATE(4581)] = 86440,
  [SMALL_STATE(4582)] = 86513,
  [SMALL_STATE(4583)] = 86586,
  [SMALL_STATE(4584)] = 86658,
  [SMALL_STATE(4585)] = 86800,
  [SMALL_STATE(4586)] = 86872,
  [SMALL_STATE(4587)] = 86946,
  [SMALL_STATE(4588)] = 87088,
  [SMALL_STATE(4589)] = 87160,
  [SMALL_STATE(4590)] = 87232,
  [SMALL_STATE(4591)] = 87304,
  [SMALL_STATE(4592)] = 87376,
  [SMALL_STATE(4593)] = 87448,
  [SMALL_STATE(4594)] = 87572,
  [SMALL_STATE(4595)] = 87644,
  [SMALL_STATE(4596)] = 87716,
  [SMALL_STATE(4597)] = 87788,
  [SMALL_STATE(4598)] = 87860,
  [SMALL_STATE(4599)] = 87932,
  [SMALL_STATE(4600)] = 88004,
  [SMALL_STATE(4601)] = 88146,
  [SMALL_STATE(4602)] = 88218,
  [SMALL_STATE(4603)] = 88290,
  [SMALL_STATE(4604)] = 88362,
  [SMALL_STATE(4605)] = 88434,
  [SMALL_STATE(4606)] = 88506,
  [SMALL_STATE(4607)] = 88578,
  [SMALL_STATE(4608)] = 88702,
  [SMALL_STATE(4609)] = 88826,
  [SMALL_STATE(4610)] = 88968,
  [SMALL_STATE(4611)] = 89040,
  [SMALL_STATE(4612)] = 89182,
  [SMALL_STATE(4613)] = 89254,
  [SMALL_STATE(4614)] = 89326,
  [SMALL_STATE(4615)] = 89398,
  [SMALL_STATE(4616)] = 89470,
  [SMALL_STATE(4617)] = 89612,
  [SMALL_STATE(4618)] = 89754,
  [SMALL_STATE(4619)] = 89826,
  [SMALL_STATE(4620)] = 89950,
  [SMALL_STATE(4621)] = 90022,
  [SMALL_STATE(4622)] = 90146,
  [SMALL_STATE(4623)] = 90288,
  [SMALL_STATE(4624)] = 90360,
  [SMALL_STATE(4625)] = 90434,
  [SMALL_STATE(4626)] = 90576,
  [SMALL_STATE(4627)] = 90648,
  [SMALL_STATE(4628)] = 90720,
  [SMALL_STATE(4629)] = 90792,
  [SMALL_STATE(4630)] = 90916,
  [SMALL_STATE(4631)] = 90988,
  [SMALL_STATE(4632)] = 91060,
  [SMALL_STATE(4633)] = 91132,
  [SMALL_STATE(4634)] = 91206,
  [SMALL_STATE(4635)] = 91348,
  [SMALL_STATE(4636)] = 91420,
  [SMALL_STATE(4637)] = 91562,
  [SMALL_STATE(4638)] = 91686,
  [SMALL_STATE(4639)] = 91828,
  [SMALL_STATE(4640)] = 91900,
  [SMALL_STATE(4641)] = 91972,
  [SMALL_STATE(4642)] = 92044,
  [SMALL_STATE(4643)] = 92116,
  [SMALL_STATE(4644)] = 92258,
  [SMALL_STATE(4645)] = 92332,
  [SMALL_STATE(4646)] = 92404,
  [SMALL_STATE(4647)] = 92546,
  [SMALL_STATE(4648)] = 92618,
  [SMALL_STATE(4649)] = 92742,
  [SMALL_STATE(4650)] = 92866,
  [SMALL_STATE(4651)] = 92938,
  [SMALL_STATE(4652)] = 93010,
  [SMALL_STATE(4653)] = 93152,
  [SMALL_STATE(4654)] = 93224,
  [SMALL_STATE(4655)] = 93296,
  [SMALL_STATE(4656)] = 93438,
  [SMALL_STATE(4657)] = 93510,
  [SMALL_STATE(4658)] = 93582,
  [SMALL_STATE(4659)] = 93654,
  [SMALL_STATE(4660)] = 93726,
  [SMALL_STATE(4661)] = 93798,
  [SMALL_STATE(4662)] = 93870,
  [SMALL_STATE(4663)] = 93942,
  [SMALL_STATE(4664)] = 94066,
  [SMALL_STATE(4665)] = 94138,
  [SMALL_STATE(4666)] = 94210,
  [SMALL_STATE(4667)] = 94282,
  [SMALL_STATE(4668)] = 94354,
  [SMALL_STATE(4669)] = 94426,
  [SMALL_STATE(4670)] = 94568,
  [SMALL_STATE(4671)] = 94640,
  [SMALL_STATE(4672)] = 94712,
  [SMALL_STATE(4673)] = 94784,
  [SMALL_STATE(4674)] = 94856,
  [SMALL_STATE(4675)] = 94928,
  [SMALL_STATE(4676)] = 95000,
  [SMALL_STATE(4677)] = 95124,
  [SMALL_STATE(4678)] = 95196,
  [SMALL_STATE(4679)] = 95268,
  [SMALL_STATE(4680)] = 95340,
  [SMALL_STATE(4681)] = 95482,
  [SMALL_STATE(4682)] = 95554,
  [SMALL_STATE(4683)] = 95626,
  [SMALL_STATE(4684)] = 95698,
  [SMALL_STATE(4685)] = 95822,
  [SMALL_STATE(4686)] = 95894,
  [SMALL_STATE(4687)] = 95966,
  [SMALL_STATE(4688)] = 96108,
  [SMALL_STATE(4689)] = 96180,
  [SMALL_STATE(4690)] = 96304,
  [SMALL_STATE(4691)] = 96446,
  [SMALL_STATE(4692)] = 96588,
  [SMALL_STATE(4693)] = 96730,
  [SMALL_STATE(4694)] = 96802,
  [SMALL_STATE(4695)] = 96944,
  [SMALL_STATE(4696)] = 97016,
  [SMALL_STATE(4697)] = 97088,
  [SMALL_STATE(4698)] = 97160,
  [SMALL_STATE(4699)] = 97284,
  [SMALL_STATE(4700)] = 97356,
  [SMALL_STATE(4701)] = 97428,
  [SMALL_STATE(4702)] = 97500,
  [SMALL_STATE(4703)] = 97624,
  [SMALL_STATE(4704)] = 97696,
  [SMALL_STATE(4705)] = 97768,
  [SMALL_STATE(4706)] = 97910,
  [SMALL_STATE(4707)] = 97982,
  [SMALL_STATE(4708)] = 98054,
  [SMALL_STATE(4709)] = 98126,
  [SMALL_STATE(4710)] = 98198,
  [SMALL_STATE(4711)] = 98270,
  [SMALL_STATE(4712)] = 98342,
  [SMALL_STATE(4713)] = 98414,
  [SMALL_STATE(4714)] = 98486,
  [SMALL_STATE(4715)] = 98558,
  [SMALL_STATE(4716)] = 98632,
  [SMALL_STATE(4717)] = 98704,
  [SMALL_STATE(4718)] = 98776,
  [SMALL_STATE(4719)] = 98918,
  [SMALL_STATE(4720)] = 99042,
  [SMALL_STATE(4721)] = 99166,
  [SMALL_STATE(4722)] = 99290,
  [SMALL_STATE(4723)] = 99432,
  [SMALL_STATE(4724)] = 99504,
  [SMALL_STATE(4725)] = 99576,
  [SMALL_STATE(4726)] = 99700,
  [SMALL_STATE(4727)] = 99772,
  [SMALL_STATE(4728)] = 99844,
  [SMALL_STATE(4729)] = 99916,
  [SMALL_STATE(4730)] = 100058,
  [SMALL_STATE(4731)] = 100132,
  [SMALL_STATE(4732)] = 100204,
  [SMALL_STATE(4733)] = 100276,
  [SMALL_STATE(4734)] = 100400,
  [SMALL_STATE(4735)] = 100472,
  [SMALL_STATE(4736)] = 100596,
  [SMALL_STATE(4737)] = 100738,
  [SMALL_STATE(4738)] = 100862,
  [SMALL_STATE(4739)] = 101004,
  [SMALL_STATE(4740)] = 101146,
  [SMALL_STATE(4741)] = 101270,
  [SMALL_STATE(4742)] = 101412,
  [SMALL_STATE(4743)] = 101554,
  [SMALL_STATE(4744)] = 101678,
  [SMALL_STATE(4745)] = 101750,
  [SMALL_STATE(4746)] = 101892,
  [SMALL_STATE(4747)] = 102034,
  [SMALL_STATE(4748)] = 102106,
  [SMALL_STATE(4749)] = 102230,
  [SMALL_STATE(4750)] = 102354,
  [SMALL_STATE(4751)] = 102428,
  [SMALL_STATE(4752)] = 102570,
  [SMALL_STATE(4753)] = 102694,
  [SMALL_STATE(4754)] = 102836,
  [SMALL_STATE(4755)] = 102978,
  [SMALL_STATE(4756)] = 103120,
  [SMALL_STATE(4757)] = 103262,
  [SMALL_STATE(4758)] = 103386,
  [SMALL_STATE(4759)] = 103528,
  [SMALL_STATE(4760)] = 103670,
  [SMALL_STATE(4761)] = 103742,
  [SMALL_STATE(4762)] = 103866,
  [SMALL_STATE(4763)] = 104008,
  [SMALL_STATE(4764)] = 104080,
  [SMALL_STATE(4765)] = 104152,
  [SMALL_STATE(4766)] = 104276,
  [SMALL_STATE(4767)] = 104348,
  [SMALL_STATE(4768)] = 104472,
  [SMALL_STATE(4769)] = 104544,
  [SMALL_STATE(4770)] = 104668,
  [SMALL_STATE(4771)] = 104810,
  [SMALL_STATE(4772)] = 104882,
  [SMALL_STATE(4773)] = 105024,
  [SMALL_STATE(4774)] = 105096,
  [SMALL_STATE(4775)] = 105168,
  [SMALL_STATE(4776)] = 105240,
  [SMALL_STATE(4777)] = 105364,
  [SMALL_STATE(4778)] = 105506,
  [SMALL_STATE(4779)] = 105648,
  [SMALL_STATE(4780)] = 105720,
  [SMALL_STATE(4781)] = 105792,
  [SMALL_STATE(4782)] = 105864,
  [SMALL_STATE(4783)] = 105988,
  [SMALL_STATE(4784)] = 106130,
  [SMALL_STATE(4785)] = 106272,
  [SMALL_STATE(4786)] = 106414,
  [SMALL_STATE(4787)] = 106538,
  [SMALL_STATE(4788)] = 106662,
  [SMALL_STATE(4789)] = 106786,
  [SMALL_STATE(4790)] = 106858,
  [SMALL_STATE(4791)] = 107000,
  [SMALL_STATE(4792)] = 107072,
  [SMALL_STATE(4793)] = 107144,
  [SMALL_STATE(4794)] = 107286,
  [SMALL_STATE(4795)] = 107358,
  [SMALL_STATE(4796)] = 107430,
  [SMALL_STATE(4797)] = 107502,
  [SMALL_STATE(4798)] = 107574,
  [SMALL_STATE(4799)] = 107646,
  [SMALL_STATE(4800)] = 107718,
  [SMALL_STATE(4801)] = 107790,
  [SMALL_STATE(4802)] = 107862,
  [SMALL_STATE(4803)] = 107934,
  [SMALL_STATE(4804)] = 108006,
  [SMALL_STATE(4805)] = 108078,
  [SMALL_STATE(4806)] = 108202,
  [SMALL_STATE(4807)] = 108274,
  [SMALL_STATE(4808)] = 108346,
  [SMALL_STATE(4809)] = 108418,
  [SMALL_STATE(4810)] = 108490,
  [SMALL_STATE(4811)] = 108562,
  [SMALL_STATE(4812)] = 108634,
  [SMALL_STATE(4813)] = 108706,
  [SMALL_STATE(4814)] = 108778,
  [SMALL_STATE(4815)] = 108850,
  [SMALL_STATE(4816)] = 108922,
  [SMALL_STATE(4817)] = 108994,
  [SMALL_STATE(4818)] = 109066,
  [SMALL_STATE(4819)] = 109138,
  [SMALL_STATE(4820)] = 109210,
  [SMALL_STATE(4821)] = 109282,
  [SMALL_STATE(4822)] = 109354,
  [SMALL_STATE(4823)] = 109426,
  [SMALL_STATE(4824)] = 109498,
  [SMALL_STATE(4825)] = 109570,
  [SMALL_STATE(4826)] = 109712,
  [SMALL_STATE(4827)] = 109836,
  [SMALL_STATE(4828)] = 109978,
  [SMALL_STATE(4829)] = 110050,
  [SMALL_STATE(4830)] = 110122,
  [SMALL_STATE(4831)] = 110194,
  [SMALL_STATE(4832)] = 110266,
  [SMALL_STATE(4833)] = 110390,
  [SMALL_STATE(4834)] = 110532,
  [SMALL_STATE(4835)] = 110674,
  [SMALL_STATE(4836)] = 110746,
  [SMALL_STATE(4837)] = 110818,
  [SMALL_STATE(4838)] = 110960,
  [SMALL_STATE(4839)] = 111038,
  [SMALL_STATE(4840)] = 111110,
  [SMALL_STATE(4841)] = 111182,
  [SMALL_STATE(4842)] = 111260,
  [SMALL_STATE(4843)] = 111332,
  [SMALL_STATE(4844)] = 111404,
  [SMALL_STATE(4845)] = 111476,
  [SMALL_STATE(4846)] = 111548,
  [SMALL_STATE(4847)] = 111622,
  [SMALL_STATE(4848)] = 111696,
  [SMALL_STATE(4849)] = 111820,
  [SMALL_STATE(4850)] = 111892,
  [SMALL_STATE(4851)] = 112016,
  [SMALL_STATE(4852)] = 112140,
  [SMALL_STATE(4853)] = 112282,
  [SMALL_STATE(4854)] = 112354,
  [SMALL_STATE(4855)] = 112426,
  [SMALL_STATE(4856)] = 112498,
  [SMALL_STATE(4857)] = 112640,
  [SMALL_STATE(4858)] = 112712,
  [SMALL_STATE(4859)] = 112784,
  [SMALL_STATE(4860)] = 112856,
  [SMALL_STATE(4861)] = 112928,
  [SMALL_STATE(4862)] = 113000,
  [SMALL_STATE(4863)] = 113072,
  [SMALL_STATE(4864)] = 113144,
  [SMALL_STATE(4865)] = 113216,
  [SMALL_STATE(4866)] = 113288,
  [SMALL_STATE(4867)] = 113366,
  [SMALL_STATE(4868)] = 113438,
  [SMALL_STATE(4869)] = 113510,
  [SMALL_STATE(4870)] = 113582,
  [SMALL_STATE(4871)] = 113654,
  [SMALL_STATE(4872)] = 113726,
  [SMALL_STATE(4873)] = 113798,
  [SMALL_STATE(4874)] = 113870,
  [SMALL_STATE(4875)] = 113942,
  [SMALL_STATE(4876)] = 114014,
  [SMALL_STATE(4877)] = 114088,
  [SMALL_STATE(4878)] = 114212,
  [SMALL_STATE(4879)] = 114284,
  [SMALL_STATE(4880)] = 114358,
  [SMALL_STATE(4881)] = 114430,
  [SMALL_STATE(4882)] = 114502,
  [SMALL_STATE(4883)] = 114574,
  [SMALL_STATE(4884)] = 114646,
  [SMALL_STATE(4885)] = 114718,
  [SMALL_STATE(4886)] = 114790,
  [SMALL_STATE(4887)] = 114862,
  [SMALL_STATE(4888)] = 114934,
  [SMALL_STATE(4889)] = 115006,
  [SMALL_STATE(4890)] = 115078,
  [SMALL_STATE(4891)] = 115150,
  [SMALL_STATE(4892)] = 115222,
  [SMALL_STATE(4893)] = 115294,
  [SMALL_STATE(4894)] = 115366,
  [SMALL_STATE(4895)] = 115438,
  [SMALL_STATE(4896)] = 115510,
  [SMALL_STATE(4897)] = 115582,
  [SMALL_STATE(4898)] = 115654,
  [SMALL_STATE(4899)] = 115726,
  [SMALL_STATE(4900)] = 115798,
  [SMALL_STATE(4901)] = 115876,
  [SMALL_STATE(4902)] = 116018,
  [SMALL_STATE(4903)] = 116142,
  [SMALL_STATE(4904)] = 116216,
  [SMALL_STATE(4905)] = 116288,
  [SMALL_STATE(4906)] = 116360,
  [SMALL_STATE(4907)] = 116432,
  [SMALL_STATE(4908)] = 116504,
  [SMALL_STATE(4909)] = 116576,
  [SMALL_STATE(4910)] = 116648,
  [SMALL_STATE(4911)] = 116720,
  [SMALL_STATE(4912)] = 116794,
  [SMALL_STATE(4913)] = 116936,
  [SMALL_STATE(4914)] = 117060,
  [SMALL_STATE(4915)] = 117132,
  [SMALL_STATE(4916)] = 117204,
  [SMALL_STATE(4917)] = 117276,
  [SMALL_STATE(4918)] = 117348,
  [SMALL_STATE(4919)] = 117420,
  [SMALL_STATE(4920)] = 117562,
  [SMALL_STATE(4921)] = 117686,
  [SMALL_STATE(4922)] = 117828,
  [SMALL_STATE(4923)] = 117900,
  [SMALL_STATE(4924)] = 117972,
  [SMALL_STATE(4925)] = 118096,
  [SMALL_STATE(4926)] = 118168,
  [SMALL_STATE(4927)] = 118240,
  [SMALL_STATE(4928)] = 118382,
  [SMALL_STATE(4929)] = 118506,
  [SMALL_STATE(4930)] = 118578,
  [SMALL_STATE(4931)] = 118650,
  [SMALL_STATE(4932)] = 118724,
  [SMALL_STATE(4933)] = 118796,
  [SMALL_STATE(4934)] = 118938,
  [SMALL_STATE(4935)] = 119062,
  [SMALL_STATE(4936)] = 119204,
  [SMALL_STATE(4937)] = 119328,
  [SMALL_STATE(4938)] = 119470,
  [SMALL_STATE(4939)] = 119594,
  [SMALL_STATE(4940)] = 119668,
  [SMALL_STATE(4941)] = 119740,
  [SMALL_STATE(4942)] = 119882,
  [SMALL_STATE(4943)] = 120006,
  [SMALL_STATE(4944)] = 120080,
  [SMALL_STATE(4945)] = 120154,
  [SMALL_STATE(4946)] = 120296,
  [SMALL_STATE(4947)] = 120420,
  [SMALL_STATE(4948)] = 120498,
  [SMALL_STATE(4949)] = 120570,
  [SMALL_STATE(4950)] = 120642,
  [SMALL_STATE(4951)] = 120784,
  [SMALL_STATE(4952)] = 120856,
  [SMALL_STATE(4953)] = 120980,
  [SMALL_STATE(4954)] = 121122,
  [SMALL_STATE(4955)] = 121194,
  [SMALL_STATE(4956)] = 121266,
  [SMALL_STATE(4957)] = 121338,
  [SMALL_STATE(4958)] = 121410,
  [SMALL_STATE(4959)] = 121482,
  [SMALL_STATE(4960)] = 121554,
  [SMALL_STATE(4961)] = 121626,
  [SMALL_STATE(4962)] = 121698,
  [SMALL_STATE(4963)] = 121770,
  [SMALL_STATE(4964)] = 121894,
  [SMALL_STATE(4965)] = 122036,
  [SMALL_STATE(4966)] = 122114,
  [SMALL_STATE(4967)] = 122238,
  [SMALL_STATE(4968)] = 122310,
  [SMALL_STATE(4969)] = 122452,
  [SMALL_STATE(4970)] = 122524,
  [SMALL_STATE(4971)] = 122648,
  [SMALL_STATE(4972)] = 122720,
  [SMALL_STATE(4973)] = 122792,
  [SMALL_STATE(4974)] = 122934,
  [SMALL_STATE(4975)] = 123006,
  [SMALL_STATE(4976)] = 123078,
  [SMALL_STATE(4977)] = 123150,
  [SMALL_STATE(4978)] = 123274,
  [SMALL_STATE(4979)] = 123346,
  [SMALL_STATE(4980)] = 123418,
  [SMALL_STATE(4981)] = 123490,
  [SMALL_STATE(4982)] = 123632,
  [SMALL_STATE(4983)] = 123774,
  [SMALL_STATE(4984)] = 123846,
  [SMALL_STATE(4985)] = 123918,
  [SMALL_STATE(4986)] = 123990,
  [SMALL_STATE(4987)] = 124062,
  [SMALL_STATE(4988)] = 124186,
  [SMALL_STATE(4989)] = 124258,
  [SMALL_STATE(4990)] = 124332,
  [SMALL_STATE(4991)] = 124403,
  [SMALL_STATE(4992)] = 124476,
  [SMALL_STATE(4993)] = 124615,
  [SMALL_STATE(4994)] = 124754,
  [SMALL_STATE(4995)] = 124893,
  [SMALL_STATE(4996)] = 125014,
  [SMALL_STATE(4997)] = 125085,
  [SMALL_STATE(4998)] = 125156,
  [SMALL_STATE(4999)] = 125227,
  [SMALL_STATE(5000)] = 125298,
  [SMALL_STATE(5001)] = 125437,
  [SMALL_STATE(5002)] = 125576,
  [SMALL_STATE(5003)] = 125715,
  [SMALL_STATE(5004)] = 125854,
  [SMALL_STATE(5005)] = 125925,
  [SMALL_STATE(5006)] = 125996,
  [SMALL_STATE(5007)] = 126069,
  [SMALL_STATE(5008)] = 126190,
  [SMALL_STATE(5009)] = 126263,
  [SMALL_STATE(5010)] = 126384,
  [SMALL_STATE(5011)] = 126455,
  [SMALL_STATE(5012)] = 126528,
  [SMALL_STATE(5013)] = 126601,
  [SMALL_STATE(5014)] = 126672,
  [SMALL_STATE(5015)] = 126793,
  [SMALL_STATE(5016)] = 126864,
  [SMALL_STATE(5017)] = 126935,
  [SMALL_STATE(5018)] = 127006,
  [SMALL_STATE(5019)] = 127077,
  [SMALL_STATE(5020)] = 127148,
  [SMALL_STATE(5021)] = 127225,
  [SMALL_STATE(5022)] = 127364,
  [SMALL_STATE(5023)] = 127435,
  [SMALL_STATE(5024)] = 127506,
  [SMALL_STATE(5025)] = 127577,
  [SMALL_STATE(5026)] = 127698,
  [SMALL_STATE(5027)] = 127769,
  [SMALL_STATE(5028)] = 127840,
  [SMALL_STATE(5029)] = 127911,
  [SMALL_STATE(5030)] = 127982,
  [SMALL_STATE(5031)] = 128055,
  [SMALL_STATE(5032)] = 128126,
  [SMALL_STATE(5033)] = 128197,
  [SMALL_STATE(5034)] = 128268,
  [SMALL_STATE(5035)] = 128339,
  [SMALL_STATE(5036)] = 128410,
  [SMALL_STATE(5037)] = 128481,
  [SMALL_STATE(5038)] = 128552,
  [SMALL_STATE(5039)] = 128623,
  [SMALL_STATE(5040)] = 128694,
  [SMALL_STATE(5041)] = 128765,
  [SMALL_STATE(5042)] = 128836,
  [SMALL_STATE(5043)] = 128907,
  [SMALL_STATE(5044)] = 128978,
  [SMALL_STATE(5045)] = 129049,
  [SMALL_STATE(5046)] = 129120,
  [SMALL_STATE(5047)] = 129191,
  [SMALL_STATE(5048)] = 129262,
  [SMALL_STATE(5049)] = 129333,
  [SMALL_STATE(5050)] = 129410,
  [SMALL_STATE(5051)] = 129531,
  [SMALL_STATE(5052)] = 129602,
  [SMALL_STATE(5053)] = 129673,
  [SMALL_STATE(5054)] = 129744,
  [SMALL_STATE(5055)] = 129815,
  [SMALL_STATE(5056)] = 129886,
  [SMALL_STATE(5057)] = 129957,
  [SMALL_STATE(5058)] = 130096,
  [SMALL_STATE(5059)] = 130217,
  [SMALL_STATE(5060)] = 130356,
  [SMALL_STATE(5061)] = 130427,
  [SMALL_STATE(5062)] = 130548,
  [SMALL_STATE(5063)] = 130619,
  [SMALL_STATE(5064)] = 130690,
  [SMALL_STATE(5065)] = 130761,
  [SMALL_STATE(5066)] = 130832,
  [SMALL_STATE(5067)] = 130953,
  [SMALL_STATE(5068)] = 131026,
  [SMALL_STATE(5069)] = 131165,
  [SMALL_STATE(5070)] = 131236,
  [SMALL_STATE(5071)] = 131307,
  [SMALL_STATE(5072)] = 131428,
  [SMALL_STATE(5073)] = 131499,
  [SMALL_STATE(5074)] = 131570,
  [SMALL_STATE(5075)] = 131641,
  [SMALL_STATE(5076)] = 131712,
  [SMALL_STATE(5077)] = 131783,
  [SMALL_STATE(5078)] = 131854,
  [SMALL_STATE(5079)] = 131925,
  [SMALL_STATE(5080)] = 131996,
  [SMALL_STATE(5081)] = 132067,
  [SMALL_STATE(5082)] = 132188,
  [SMALL_STATE(5083)] = 132259,
  [SMALL_STATE(5084)] = 132330,
  [SMALL_STATE(5085)] = 132451,
  [SMALL_STATE(5086)] = 132522,
  [SMALL_STATE(5087)] = 132643,
  [SMALL_STATE(5088)] = 132714,
  [SMALL_STATE(5089)] = 132785,
  [SMALL_STATE(5090)] = 132906,
  [SMALL_STATE(5091)] = 132979,
  [SMALL_STATE(5092)] = 133100,
  [SMALL_STATE(5093)] = 133171,
  [SMALL_STATE(5094)] = 133292,
  [SMALL_STATE(5095)] = 133363,
  [SMALL_STATE(5096)] = 133484,
  [SMALL_STATE(5097)] = 133555,
  [SMALL_STATE(5098)] = 133626,
  [SMALL_STATE(5099)] = 133747,
  [SMALL_STATE(5100)] = 133818,
  [SMALL_STATE(5101)] = 133889,
  [SMALL_STATE(5102)] = 133960,
  [SMALL_STATE(5103)] = 134031,
  [SMALL_STATE(5104)] = 134102,
  [SMALL_STATE(5105)] = 134223,
  [SMALL_STATE(5106)] = 134344,
  [SMALL_STATE(5107)] = 134415,
  [SMALL_STATE(5108)] = 134486,
  [SMALL_STATE(5109)] = 134557,
  [SMALL_STATE(5110)] = 134628,
  [SMALL_STATE(5111)] = 134749,
  [SMALL_STATE(5112)] = 134820,
  [SMALL_STATE(5113)] = 134891,
  [SMALL_STATE(5114)] = 134962,
  [SMALL_STATE(5115)] = 135033,
  [SMALL_STATE(5116)] = 135154,
  [SMALL_STATE(5117)] = 135275,
  [SMALL_STATE(5118)] = 135396,
  [SMALL_STATE(5119)] = 135467,
  [SMALL_STATE(5120)] = 135538,
  [SMALL_STATE(5121)] = 135659,
  [SMALL_STATE(5122)] = 135732,
  [SMALL_STATE(5123)] = 135853,
  [SMALL_STATE(5124)] = 135974,
  [SMALL_STATE(5125)] = 136095,
  [SMALL_STATE(5126)] = 136168,
  [SMALL_STATE(5127)] = 136307,
  [SMALL_STATE(5128)] = 136378,
  [SMALL_STATE(5129)] = 136499,
  [SMALL_STATE(5130)] = 136638,
  [SMALL_STATE(5131)] = 136777,
  [SMALL_STATE(5132)] = 136916,
  [SMALL_STATE(5133)] = 136987,
  [SMALL_STATE(5134)] = 137108,
  [SMALL_STATE(5135)] = 137229,
  [SMALL_STATE(5136)] = 137302,
  [SMALL_STATE(5137)] = 137373,
  [SMALL_STATE(5138)] = 137494,
  [SMALL_STATE(5139)] = 137615,
  [SMALL_STATE(5140)] = 137736,
  [SMALL_STATE(5141)] = 137857,
  [SMALL_STATE(5142)] = 137996,
  [SMALL_STATE(5143)] = 138135,
  [SMALL_STATE(5144)] = 138256,
  [SMALL_STATE(5145)] = 138395,
  [SMALL_STATE(5146)] = 138534,
  [SMALL_STATE(5147)] = 138607,
  [SMALL_STATE(5148)] = 138680,
  [SMALL_STATE(5149)] = 138819,
  [SMALL_STATE(5150)] = 138940,
  [SMALL_STATE(5151)] = 139079,
  [SMALL_STATE(5152)] = 139200,
  [SMALL_STATE(5153)] = 139271,
  [SMALL_STATE(5154)] = 139410,
  [SMALL_STATE(5155)] = 139549,
  [SMALL_STATE(5156)] = 139670,
  [SMALL_STATE(5157)] = 139809,
  [SMALL_STATE(5158)] = 139930,
  [SMALL_STATE(5159)] = 140051,
  [SMALL_STATE(5160)] = 140190,
  [SMALL_STATE(5161)] = 140261,
  [SMALL_STATE(5162)] = 140382,
  [SMALL_STATE(5163)] = 140453,
  [SMALL_STATE(5164)] = 140574,
  [SMALL_STATE(5165)] = 140695,
  [SMALL_STATE(5166)] = 140766,
  [SMALL_STATE(5167)] = 140887,
  [SMALL_STATE(5168)] = 140958,
  [SMALL_STATE(5169)] = 141029,
  [SMALL_STATE(5170)] = 141100,
  [SMALL_STATE(5171)] = 141171,
  [SMALL_STATE(5172)] = 141242,
  [SMALL_STATE(5173)] = 141363,
  [SMALL_STATE(5174)] = 141434,
  [SMALL_STATE(5175)] = 141505,
  [SMALL_STATE(5176)] = 141576,
  [SMALL_STATE(5177)] = 141647,
  [SMALL_STATE(5178)] = 141724,
  [SMALL_STATE(5179)] = 141795,
  [SMALL_STATE(5180)] = 141866,
  [SMALL_STATE(5181)] = 141987,
  [SMALL_STATE(5182)] = 142058,
  [SMALL_STATE(5183)] = 142197,
  [SMALL_STATE(5184)] = 142268,
  [SMALL_STATE(5185)] = 142339,
  [SMALL_STATE(5186)] = 142410,
  [SMALL_STATE(5187)] = 142549,
  [SMALL_STATE(5188)] = 142620,
  [SMALL_STATE(5189)] = 142693,
  [SMALL_STATE(5190)] = 142764,
  [SMALL_STATE(5191)] = 142835,
  [SMALL_STATE(5192)] = 142906,
  [SMALL_STATE(5193)] = 142977,
  [SMALL_STATE(5194)] = 143048,
  [SMALL_STATE(5195)] = 143119,
  [SMALL_STATE(5196)] = 143258,
  [SMALL_STATE(5197)] = 143329,
  [SMALL_STATE(5198)] = 143468,
  [SMALL_STATE(5199)] = 143539,
  [SMALL_STATE(5200)] = 143610,
  [SMALL_STATE(5201)] = 143681,
  [SMALL_STATE(5202)] = 143752,
  [SMALL_STATE(5203)] = 143823,
  [SMALL_STATE(5204)] = 143894,
  [SMALL_STATE(5205)] = 143965,
  [SMALL_STATE(5206)] = 144036,
  [SMALL_STATE(5207)] = 144107,
  [SMALL_STATE(5208)] = 144228,
  [SMALL_STATE(5209)] = 144299,
  [SMALL_STATE(5210)] = 144370,
  [SMALL_STATE(5211)] = 144441,
  [SMALL_STATE(5212)] = 144512,
  [SMALL_STATE(5213)] = 144583,
  [SMALL_STATE(5214)] = 144654,
  [SMALL_STATE(5215)] = 144725,
  [SMALL_STATE(5216)] = 144796,
  [SMALL_STATE(5217)] = 144867,
  [SMALL_STATE(5218)] = 144938,
  [SMALL_STATE(5219)] = 145077,
  [SMALL_STATE(5220)] = 145216,
  [SMALL_STATE(5221)] = 145287,
  [SMALL_STATE(5222)] = 145358,
  [SMALL_STATE(5223)] = 145497,
  [SMALL_STATE(5224)] = 145636,
  [SMALL_STATE(5225)] = 145707,
  [SMALL_STATE(5226)] = 145780,
  [SMALL_STATE(5227)] = 145919,
  [SMALL_STATE(5228)] = 146058,
  [SMALL_STATE(5229)] = 146129,
  [SMALL_STATE(5230)] = 146200,
  [SMALL_STATE(5231)] = 146271,
  [SMALL_STATE(5232)] = 146410,
  [SMALL_STATE(5233)] = 146481,
  [SMALL_STATE(5234)] = 146620,
  [SMALL_STATE(5235)] = 146691,
  [SMALL_STATE(5236)] = 146762,
  [SMALL_STATE(5237)] = 146833,
  [SMALL_STATE(5238)] = 146906,
  [SMALL_STATE(5239)] = 146977,
  [SMALL_STATE(5240)] = 147116,
  [SMALL_STATE(5241)] = 147255,
  [SMALL_STATE(5242)] = 147394,
  [SMALL_STATE(5243)] = 147533,
  [SMALL_STATE(5244)] = 147604,
  [SMALL_STATE(5245)] = 147675,
  [SMALL_STATE(5246)] = 147746,
  [SMALL_STATE(5247)] = 147817,
  [SMALL_STATE(5248)] = 147888,
  [SMALL_STATE(5249)] = 147959,
  [SMALL_STATE(5250)] = 148030,
  [SMALL_STATE(5251)] = 148101,
  [SMALL_STATE(5252)] = 148174,
  [SMALL_STATE(5253)] = 148245,
  [SMALL_STATE(5254)] = 148316,
  [SMALL_STATE(5255)] = 148387,
  [SMALL_STATE(5256)] = 148458,
  [SMALL_STATE(5257)] = 148529,
  [SMALL_STATE(5258)] = 148600,
  [SMALL_STATE(5259)] = 148671,
  [SMALL_STATE(5260)] = 148742,
  [SMALL_STATE(5261)] = 148813,
  [SMALL_STATE(5262)] = 148884,
  [SMALL_STATE(5263)] = 148955,
  [SMALL_STATE(5264)] = 149026,
  [SMALL_STATE(5265)] = 149097,
  [SMALL_STATE(5266)] = 149170,
  [SMALL_STATE(5267)] = 149241,
  [SMALL_STATE(5268)] = 149312,
  [SMALL_STATE(5269)] = 149383,
  [SMALL_STATE(5270)] = 149454,
  [SMALL_STATE(5271)] = 149525,
  [SMALL_STATE(5272)] = 149596,
  [SMALL_STATE(5273)] = 149667,
  [SMALL_STATE(5274)] = 149738,
  [SMALL_STATE(5275)] = 149809,
  [SMALL_STATE(5276)] = 149880,
  [SMALL_STATE(5277)] = 149951,
  [SMALL_STATE(5278)] = 150022,
  [SMALL_STATE(5279)] = 150093,
  [SMALL_STATE(5280)] = 150164,
  [SMALL_STATE(5281)] = 150235,
  [SMALL_STATE(5282)] = 150306,
  [SMALL_STATE(5283)] = 150377,
  [SMALL_STATE(5284)] = 150516,
  [SMALL_STATE(5285)] = 150655,
  [SMALL_STATE(5286)] = 150726,
  [SMALL_STATE(5287)] = 150797,
  [SMALL_STATE(5288)] = 150868,
  [SMALL_STATE(5289)] = 150939,
  [SMALL_STATE(5290)] = 151078,
  [SMALL_STATE(5291)] = 151217,
  [SMALL_STATE(5292)] = 151338,
  [SMALL_STATE(5293)] = 151409,
  [SMALL_STATE(5294)] = 151480,
  [SMALL_STATE(5295)] = 151551,
  [SMALL_STATE(5296)] = 151622,
  [SMALL_STATE(5297)] = 151699,
  [SMALL_STATE(5298)] = 151770,
  [SMALL_STATE(5299)] = 151841,
  [SMALL_STATE(5300)] = 151918,
  [SMALL_STATE(5301)] = 151989,
  [SMALL_STATE(5302)] = 152060,
  [SMALL_STATE(5303)] = 152131,
  [SMALL_STATE(5304)] = 152202,
  [SMALL_STATE(5305)] = 152273,
  [SMALL_STATE(5306)] = 152344,
  [SMALL_STATE(5307)] = 152415,
  [SMALL_STATE(5308)] = 152486,
  [SMALL_STATE(5309)] = 152557,
  [SMALL_STATE(5310)] = 152628,
  [SMALL_STATE(5311)] = 152699,
  [SMALL_STATE(5312)] = 152770,
  [SMALL_STATE(5313)] = 152841,
  [SMALL_STATE(5314)] = 152912,
  [SMALL_STATE(5315)] = 153051,
  [SMALL_STATE(5316)] = 153190,
  [SMALL_STATE(5317)] = 153261,
  [SMALL_STATE(5318)] = 153332,
  [SMALL_STATE(5319)] = 153403,
  [SMALL_STATE(5320)] = 153474,
  [SMALL_STATE(5321)] = 153613,
  [SMALL_STATE(5322)] = 153752,
  [SMALL_STATE(5323)] = 153823,
  [SMALL_STATE(5324)] = 153894,
  [SMALL_STATE(5325)] = 153965,
  [SMALL_STATE(5326)] = 154104,
  [SMALL_STATE(5327)] = 154243,
  [SMALL_STATE(5328)] = 154314,
  [SMALL_STATE(5329)] = 154453,
  [SMALL_STATE(5330)] = 154524,
  [SMALL_STATE(5331)] = 154663,
  [SMALL_STATE(5332)] = 154734,
  [SMALL_STATE(5333)] = 154805,
  [SMALL_STATE(5334)] = 154876,
  [SMALL_STATE(5335)] = 155015,
  [SMALL_STATE(5336)] = 155086,
  [SMALL_STATE(5337)] = 155159,
  [SMALL_STATE(5338)] = 155230,
  [SMALL_STATE(5339)] = 155301,
  [SMALL_STATE(5340)] = 155372,
  [SMALL_STATE(5341)] = 155511,
  [SMALL_STATE(5342)] = 155650,
  [SMALL_STATE(5343)] = 155789,
  [SMALL_STATE(5344)] = 155928,
  [SMALL_STATE(5345)] = 156049,
  [SMALL_STATE(5346)] = 156120,
  [SMALL_STATE(5347)] = 156259,
  [SMALL_STATE(5348)] = 156398,
  [SMALL_STATE(5349)] = 156537,
  [SMALL_STATE(5350)] = 156676,
  [SMALL_STATE(5351)] = 156815,
  [SMALL_STATE(5352)] = 156886,
  [SMALL_STATE(5353)] = 157025,
  [SMALL_STATE(5354)] = 157096,
  [SMALL_STATE(5355)] = 157169,
  [SMALL_STATE(5356)] = 157240,
  [SMALL_STATE(5357)] = 157311,
  [SMALL_STATE(5358)] = 157382,
  [SMALL_STATE(5359)] = 157453,
  [SMALL_STATE(5360)] = 157524,
  [SMALL_STATE(5361)] = 157663,
  [SMALL_STATE(5362)] = 157802,
  [SMALL_STATE(5363)] = 157923,
  [SMALL_STATE(5364)] = 157994,
  [SMALL_STATE(5365)] = 158065,
  [SMALL_STATE(5366)] = 158136,
  [SMALL_STATE(5367)] = 158207,
  [SMALL_STATE(5368)] = 158278,
  [SMALL_STATE(5369)] = 158349,
  [SMALL_STATE(5370)] = 158420,
  [SMALL_STATE(5371)] = 158491,
  [SMALL_STATE(5372)] = 158562,
  [SMALL_STATE(5373)] = 158633,
  [SMALL_STATE(5374)] = 158772,
  [SMALL_STATE(5375)] = 158911,
  [SMALL_STATE(5376)] = 158982,
  [SMALL_STATE(5377)] = 159053,
  [SMALL_STATE(5378)] = 159192,
  [SMALL_STATE(5379)] = 159263,
  [SMALL_STATE(5380)] = 159402,
  [SMALL_STATE(5381)] = 159473,
  [SMALL_STATE(5382)] = 159544,
  [SMALL_STATE(5383)] = 159617,
  [SMALL_STATE(5384)] = 159688,
  [SMALL_STATE(5385)] = 159759,
  [SMALL_STATE(5386)] = 159830,
  [SMALL_STATE(5387)] = 159901,
  [SMALL_STATE(5388)] = 159972,
  [SMALL_STATE(5389)] = 160043,
  [SMALL_STATE(5390)] = 160120,
  [SMALL_STATE(5391)] = 160190,
  [SMALL_STATE(5392)] = 160260,
  [SMALL_STATE(5393)] = 160378,
  [SMALL_STATE(5394)] = 160496,
  [SMALL_STATE(5395)] = 160614,
  [SMALL_STATE(5396)] = 160684,
  [SMALL_STATE(5397)] = 160754,
  [SMALL_STATE(5398)] = 160872,
  [SMALL_STATE(5399)] = 160990,
  [SMALL_STATE(5400)] = 161108,
  [SMALL_STATE(5401)] = 161226,
  [SMALL_STATE(5402)] = 161344,
  [SMALL_STATE(5403)] = 161462,
  [SMALL_STATE(5404)] = 161532,
  [SMALL_STATE(5405)] = 161602,
  [SMALL_STATE(5406)] = 161720,
  [SMALL_STATE(5407)] = 161838,
  [SMALL_STATE(5408)] = 161956,
  [SMALL_STATE(5409)] = 162074,
  [SMALL_STATE(5410)] = 162144,
  [SMALL_STATE(5411)] = 162214,
  [SMALL_STATE(5412)] = 162332,
  [SMALL_STATE(5413)] = 162450,
  [SMALL_STATE(5414)] = 162568,
  [SMALL_STATE(5415)] = 162686,
  [SMALL_STATE(5416)] = 162804,
  [SMALL_STATE(5417)] = 162922,
  [SMALL_STATE(5418)] = 163040,
  [SMALL_STATE(5419)] = 163158,
  [SMALL_STATE(5420)] = 163234,
  [SMALL_STATE(5421)] = 163304,
  [SMALL_STATE(5422)] = 163422,
  [SMALL_STATE(5423)] = 163540,
  [SMALL_STATE(5424)] = 163658,
  [SMALL_STATE(5425)] = 163776,
  [SMALL_STATE(5426)] = 163894,
  [SMALL_STATE(5427)] = 164012,
  [SMALL_STATE(5428)] = 164130,
  [SMALL_STATE(5429)] = 164248,
  [SMALL_STATE(5430)] = 164366,
  [SMALL_STATE(5431)] = 164436,
  [SMALL_STATE(5432)] = 164506,
  [SMALL_STATE(5433)] = 164578,
  [SMALL_STATE(5434)] = 164696,
  [SMALL_STATE(5435)] = 164768,
  [SMALL_STATE(5436)] = 164886,
  [SMALL_STATE(5437)] = 165004,
  [SMALL_STATE(5438)] = 165122,
  [SMALL_STATE(5439)] = 165192,
  [SMALL_STATE(5440)] = 165264,
  [SMALL_STATE(5441)] = 165382,
  [SMALL_STATE(5442)] = 165458,
  [SMALL_STATE(5443)] = 165576,
  [SMALL_STATE(5444)] = 165694,
  [SMALL_STATE(5445)] = 165812,
  [SMALL_STATE(5446)] = 165882,
  [SMALL_STATE(5447)] = 165952,
  [SMALL_STATE(5448)] = 166088,
  [SMALL_STATE(5449)] = 166206,
  [SMALL_STATE(5450)] = 166324,
  [SMALL_STATE(5451)] = 166442,
  [SMALL_STATE(5452)] = 166512,
  [SMALL_STATE(5453)] = 166630,
  [SMALL_STATE(5454)] = 166748,
  [SMALL_STATE(5455)] = 166866,
  [SMALL_STATE(5456)] = 166984,
  [SMALL_STATE(5457)] = 167102,
  [SMALL_STATE(5458)] = 167220,
  [SMALL_STATE(5459)] = 167338,
  [SMALL_STATE(5460)] = 167456,
  [SMALL_STATE(5461)] = 167526,
  [SMALL_STATE(5462)] = 167644,
  [SMALL_STATE(5463)] = 167762,
  [SMALL_STATE(5464)] = 167880,
  [SMALL_STATE(5465)] = 167950,
  [SMALL_STATE(5466)] = 168020,
  [SMALL_STATE(5467)] = 168138,
  [SMALL_STATE(5468)] = 168256,
  [SMALL_STATE(5469)] = 168374,
  [SMALL_STATE(5470)] = 168444,
  [SMALL_STATE(5471)] = 168562,
  [SMALL_STATE(5472)] = 168680,
  [SMALL_STATE(5473)] = 168798,
  [SMALL_STATE(5474)] = 168916,
  [SMALL_STATE(5475)] = 169034,
  [SMALL_STATE(5476)] = 169152,
  [SMALL_STATE(5477)] = 169270,
  [SMALL_STATE(5478)] = 169340,
  [SMALL_STATE(5479)] = 169458,
  [SMALL_STATE(5480)] = 169576,
  [SMALL_STATE(5481)] = 169694,
  [SMALL_STATE(5482)] = 169812,
  [SMALL_STATE(5483)] = 169930,
  [SMALL_STATE(5484)] = 170048,
  [SMALL_STATE(5485)] = 170166,
  [SMALL_STATE(5486)] = 170284,
  [SMALL_STATE(5487)] = 170402,
  [SMALL_STATE(5488)] = 170520,
  [SMALL_STATE(5489)] = 170638,
  [SMALL_STATE(5490)] = 170756,
  [SMALL_STATE(5491)] = 170826,
  [SMALL_STATE(5492)] = 170944,
  [SMALL_STATE(5493)] = 171062,
  [SMALL_STATE(5494)] = 171180,
  [SMALL_STATE(5495)] = 171298,
  [SMALL_STATE(5496)] = 171374,
  [SMALL_STATE(5497)] = 171492,
  [SMALL_STATE(5498)] = 171562,
  [SMALL_STATE(5499)] = 171634,
  [SMALL_STATE(5500)] = 171752,
  [SMALL_STATE(5501)] = 171888,
  [SMALL_STATE(5502)] = 171958,
  [SMALL_STATE(5503)] = 172030,
  [SMALL_STATE(5504)] = 172148,
  [SMALL_STATE(5505)] = 172284,
  [SMALL_STATE(5506)] = 172420,
  [SMALL_STATE(5507)] = 172556,
  [SMALL_STATE(5508)] = 172692,
  [SMALL_STATE(5509)] = 172828,
  [SMALL_STATE(5510)] = 172898,
  [SMALL_STATE(5511)] = 173034,
  [SMALL_STATE(5512)] = 173152,
  [SMALL_STATE(5513)] = 173270,
  [SMALL_STATE(5514)] = 173340,
  [SMALL_STATE(5515)] = 173458,
  [SMALL_STATE(5516)] = 173576,
  [SMALL_STATE(5517)] = 173652,
  [SMALL_STATE(5518)] = 173722,
  [SMALL_STATE(5519)] = 173792,
  [SMALL_STATE(5520)] = 173862,
  [SMALL_STATE(5521)] = 173998,
  [SMALL_STATE(5522)] = 174134,
  [SMALL_STATE(5523)] = 174252,
  [SMALL_STATE(5524)] = 174388,
  [SMALL_STATE(5525)] = 174524,
  [SMALL_STATE(5526)] = 174660,
  [SMALL_STATE(5527)] = 174778,
  [SMALL_STATE(5528)] = 174854,
  [SMALL_STATE(5529)] = 174924,
  [SMALL_STATE(5530)] = 175042,
  [SMALL_STATE(5531)] = 175160,
  [SMALL_STATE(5532)] = 175230,
  [SMALL_STATE(5533)] = 175300,
  [SMALL_STATE(5534)] = 175370,
  [SMALL_STATE(5535)] = 175440,
  [SMALL_STATE(5536)] = 175510,
  [SMALL_STATE(5537)] = 175580,
  [SMALL_STATE(5538)] = 175650,
  [SMALL_STATE(5539)] = 175786,
  [SMALL_STATE(5540)] = 175904,
  [SMALL_STATE(5541)] = 176022,
  [SMALL_STATE(5542)] = 176140,
  [SMALL_STATE(5543)] = 176258,
  [SMALL_STATE(5544)] = 176328,
  [SMALL_STATE(5545)] = 176398,
  [SMALL_STATE(5546)] = 176468,
  [SMALL_STATE(5547)] = 176538,
  [SMALL_STATE(5548)] = 176608,
  [SMALL_STATE(5549)] = 176678,
  [SMALL_STATE(5550)] = 176748,
  [SMALL_STATE(5551)] = 176818,
  [SMALL_STATE(5552)] = 176888,
  [SMALL_STATE(5553)] = 176958,
  [SMALL_STATE(5554)] = 177028,
  [SMALL_STATE(5555)] = 177146,
  [SMALL_STATE(5556)] = 177216,
  [SMALL_STATE(5557)] = 177334,
  [SMALL_STATE(5558)] = 177406,
  [SMALL_STATE(5559)] = 177476,
  [SMALL_STATE(5560)] = 177546,
  [SMALL_STATE(5561)] = 177616,
  [SMALL_STATE(5562)] = 177686,
  [SMALL_STATE(5563)] = 177756,
  [SMALL_STATE(5564)] = 177826,
  [SMALL_STATE(5565)] = 177896,
  [SMALL_STATE(5566)] = 177966,
  [SMALL_STATE(5567)] = 178036,
  [SMALL_STATE(5568)] = 178106,
  [SMALL_STATE(5569)] = 178176,
  [SMALL_STATE(5570)] = 178246,
  [SMALL_STATE(5571)] = 178316,
  [SMALL_STATE(5572)] = 178386,
  [SMALL_STATE(5573)] = 178456,
  [SMALL_STATE(5574)] = 178526,
  [SMALL_STATE(5575)] = 178596,
  [SMALL_STATE(5576)] = 178666,
  [SMALL_STATE(5577)] = 178736,
  [SMALL_STATE(5578)] = 178806,
  [SMALL_STATE(5579)] = 178876,
  [SMALL_STATE(5580)] = 178946,
  [SMALL_STATE(5581)] = 179016,
  [SMALL_STATE(5582)] = 179086,
  [SMALL_STATE(5583)] = 179156,
  [SMALL_STATE(5584)] = 179226,
  [SMALL_STATE(5585)] = 179296,
  [SMALL_STATE(5586)] = 179366,
  [SMALL_STATE(5587)] = 179436,
  [SMALL_STATE(5588)] = 179506,
  [SMALL_STATE(5589)] = 179576,
  [SMALL_STATE(5590)] = 179646,
  [SMALL_STATE(5591)] = 179716,
  [SMALL_STATE(5592)] = 179786,
  [SMALL_STATE(5593)] = 179904,
  [SMALL_STATE(5594)] = 179974,
  [SMALL_STATE(5595)] = 180044,
  [SMALL_STATE(5596)] = 180114,
  [SMALL_STATE(5597)] = 180232,
  [SMALL_STATE(5598)] = 180304,
  [SMALL_STATE(5599)] = 180374,
  [SMALL_STATE(5600)] = 180444,
  [SMALL_STATE(5601)] = 180514,
  [SMALL_STATE(5602)] = 180584,
  [SMALL_STATE(5603)] = 180656,
  [SMALL_STATE(5604)] = 180726,
  [SMALL_STATE(5605)] = 180796,
  [SMALL_STATE(5606)] = 180914,
  [SMALL_STATE(5607)] = 180984,
  [SMALL_STATE(5608)] = 181102,
  [SMALL_STATE(5609)] = 181220,
  [SMALL_STATE(5610)] = 181290,
  [SMALL_STATE(5611)] = 181360,
  [SMALL_STATE(5612)] = 181430,
  [SMALL_STATE(5613)] = 181500,
  [SMALL_STATE(5614)] = 181570,
  [SMALL_STATE(5615)] = 181688,
  [SMALL_STATE(5616)] = 181806,
  [SMALL_STATE(5617)] = 181876,
  [SMALL_STATE(5618)] = 181994,
  [SMALL_STATE(5619)] = 182064,
  [SMALL_STATE(5620)] = 182182,
  [SMALL_STATE(5621)] = 182252,
  [SMALL_STATE(5622)] = 182322,
  [SMALL_STATE(5623)] = 182392,
  [SMALL_STATE(5624)] = 182462,
  [SMALL_STATE(5625)] = 182532,
  [SMALL_STATE(5626)] = 182602,
  [SMALL_STATE(5627)] = 182720,
  [SMALL_STATE(5628)] = 182790,
  [SMALL_STATE(5629)] = 182860,
  [SMALL_STATE(5630)] = 182930,
  [SMALL_STATE(5631)] = 183000,
  [SMALL_STATE(5632)] = 183070,
  [SMALL_STATE(5633)] = 183140,
  [SMALL_STATE(5634)] = 183258,
  [SMALL_STATE(5635)] = 183328,
  [SMALL_STATE(5636)] = 183464,
  [SMALL_STATE(5637)] = 183582,
  [SMALL_STATE(5638)] = 183652,
  [SMALL_STATE(5639)] = 183788,
  [SMALL_STATE(5640)] = 183924,
  [SMALL_STATE(5641)] = 184060,
  [SMALL_STATE(5642)] = 184130,
  [SMALL_STATE(5643)] = 184200,
  [SMALL_STATE(5644)] = 184336,
  [SMALL_STATE(5645)] = 184454,
  [SMALL_STATE(5646)] = 184526,
  [SMALL_STATE(5647)] = 184644,
  [SMALL_STATE(5648)] = 184714,
  [SMALL_STATE(5649)] = 184832,
  [SMALL_STATE(5650)] = 184902,
  [SMALL_STATE(5651)] = 184972,
  [SMALL_STATE(5652)] = 185042,
  [SMALL_STATE(5653)] = 185112,
  [SMALL_STATE(5654)] = 185182,
  [SMALL_STATE(5655)] = 185300,
  [SMALL_STATE(5656)] = 185370,
  [SMALL_STATE(5657)] = 185506,
  [SMALL_STATE(5658)] = 185642,
  [SMALL_STATE(5659)] = 185712,
  [SMALL_STATE(5660)] = 185782,
  [SMALL_STATE(5661)] = 185852,
  [SMALL_STATE(5662)] = 185988,
  [SMALL_STATE(5663)] = 186058,
  [SMALL_STATE(5664)] = 186128,
  [SMALL_STATE(5665)] = 186198,
  [SMALL_STATE(5666)] = 186334,
  [SMALL_STATE(5667)] = 186404,
  [SMALL_STATE(5668)] = 186522,
  [SMALL_STATE(5669)] = 186594,
  [SMALL_STATE(5670)] = 186712,
  [SMALL_STATE(5671)] = 186830,
  [SMALL_STATE(5672)] = 186948,
  [SMALL_STATE(5673)] = 187084,
  [SMALL_STATE(5674)] = 187156,
  [SMALL_STATE(5675)] = 187226,
  [SMALL_STATE(5676)] = 187296,
  [SMALL_STATE(5677)] = 187432,
  [SMALL_STATE(5678)] = 187502,
  [SMALL_STATE(5679)] = 187572,
  [SMALL_STATE(5680)] = 187690,
  [SMALL_STATE(5681)] = 187760,
  [SMALL_STATE(5682)] = 187896,
  [SMALL_STATE(5683)] = 188014,
  [SMALL_STATE(5684)] = 188084,
  [SMALL_STATE(5685)] = 188220,
  [SMALL_STATE(5686)] = 188338,
  [SMALL_STATE(5687)] = 188456,
  [SMALL_STATE(5688)] = 188574,
  [SMALL_STATE(5689)] = 188644,
  [SMALL_STATE(5690)] = 188714,
  [SMALL_STATE(5691)] = 188784,
  [SMALL_STATE(5692)] = 188854,
  [SMALL_STATE(5693)] = 188972,
  [SMALL_STATE(5694)] = 189042,
  [SMALL_STATE(5695)] = 189112,
  [SMALL_STATE(5696)] = 189230,
  [SMALL_STATE(5697)] = 189348,
  [SMALL_STATE(5698)] = 189418,
  [SMALL_STATE(5699)] = 189536,
  [SMALL_STATE(5700)] = 189606,
  [SMALL_STATE(5701)] = 189676,
  [SMALL_STATE(5702)] = 189794,
  [SMALL_STATE(5703)] = 189864,
  [SMALL_STATE(5704)] = 189982,
  [SMALL_STATE(5705)] = 190100,
  [SMALL_STATE(5706)] = 190218,
  [SMALL_STATE(5707)] = 190288,
  [SMALL_STATE(5708)] = 190358,
  [SMALL_STATE(5709)] = 190476,
  [SMALL_STATE(5710)] = 190546,
  [SMALL_STATE(5711)] = 190616,
  [SMALL_STATE(5712)] = 190686,
  [SMALL_STATE(5713)] = 190804,
  [SMALL_STATE(5714)] = 190922,
  [SMALL_STATE(5715)] = 190992,
  [SMALL_STATE(5716)] = 191062,
  [SMALL_STATE(5717)] = 191132,
  [SMALL_STATE(5718)] = 191202,
  [SMALL_STATE(5719)] = 191272,
  [SMALL_STATE(5720)] = 191342,
  [SMALL_STATE(5721)] = 191412,
  [SMALL_STATE(5722)] = 191482,
  [SMALL_STATE(5723)] = 191552,
  [SMALL_STATE(5724)] = 191622,
  [SMALL_STATE(5725)] = 191740,
  [SMALL_STATE(5726)] = 191876,
  [SMALL_STATE(5727)] = 191946,
  [SMALL_STATE(5728)] = 192016,
  [SMALL_STATE(5729)] = 192086,
  [SMALL_STATE(5730)] = 192156,
  [SMALL_STATE(5731)] = 192226,
  [SMALL_STATE(5732)] = 192296,
  [SMALL_STATE(5733)] = 192366,
  [SMALL_STATE(5734)] = 192436,
  [SMALL_STATE(5735)] = 192506,
  [SMALL_STATE(5736)] = 192576,
  [SMALL_STATE(5737)] = 192646,
  [SMALL_STATE(5738)] = 192716,
  [SMALL_STATE(5739)] = 192786,
  [SMALL_STATE(5740)] = 192904,
  [SMALL_STATE(5741)] = 193040,
  [SMALL_STATE(5742)] = 193110,
  [SMALL_STATE(5743)] = 193246,
  [SMALL_STATE(5744)] = 193382,
  [SMALL_STATE(5745)] = 193518,
  [SMALL_STATE(5746)] = 193636,
  [SMALL_STATE(5747)] = 193772,
  [SMALL_STATE(5748)] = 193890,
  [SMALL_STATE(5749)] = 193960,
  [SMALL_STATE(5750)] = 194030,
  [SMALL_STATE(5751)] = 194100,
  [SMALL_STATE(5752)] = 194170,
  [SMALL_STATE(5753)] = 194240,
  [SMALL_STATE(5754)] = 194310,
  [SMALL_STATE(5755)] = 194446,
  [SMALL_STATE(5756)] = 194564,
  [SMALL_STATE(5757)] = 194634,
  [SMALL_STATE(5758)] = 194704,
  [SMALL_STATE(5759)] = 194774,
  [SMALL_STATE(5760)] = 194844,
  [SMALL_STATE(5761)] = 194914,
  [SMALL_STATE(5762)] = 194984,
  [SMALL_STATE(5763)] = 195102,
  [SMALL_STATE(5764)] = 195220,
  [SMALL_STATE(5765)] = 195290,
  [SMALL_STATE(5766)] = 195360,
  [SMALL_STATE(5767)] = 195430,
  [SMALL_STATE(5768)] = 195548,
  [SMALL_STATE(5769)] = 195618,
  [SMALL_STATE(5770)] = 195736,
  [SMALL_STATE(5771)] = 195806,
  [SMALL_STATE(5772)] = 195876,
  [SMALL_STATE(5773)] = 195946,
  [SMALL_STATE(5774)] = 196016,
  [SMALL_STATE(5775)] = 196086,
  [SMALL_STATE(5776)] = 196204,
  [SMALL_STATE(5777)] = 196274,
  [SMALL_STATE(5778)] = 196392,
  [SMALL_STATE(5779)] = 196462,
  [SMALL_STATE(5780)] = 196580,
  [SMALL_STATE(5781)] = 196698,
  [SMALL_STATE(5782)] = 196816,
  [SMALL_STATE(5783)] = 196886,
  [SMALL_STATE(5784)] = 197004,
  [SMALL_STATE(5785)] = 197122,
  [SMALL_STATE(5786)] = 197240,
  [SMALL_STATE(5787)] = 197310,
  [SMALL_STATE(5788)] = 197446,
  [SMALL_STATE(5789)] = 197582,
  [SMALL_STATE(5790)] = 197718,
  [SMALL_STATE(5791)] = 197836,
  [SMALL_STATE(5792)] = 197906,
  [SMALL_STATE(5793)] = 197976,
  [SMALL_STATE(5794)] = 198112,
  [SMALL_STATE(5795)] = 198248,
  [SMALL_STATE(5796)] = 198366,
  [SMALL_STATE(5797)] = 198436,
  [SMALL_STATE(5798)] = 198554,
  [SMALL_STATE(5799)] = 198672,
  [SMALL_STATE(5800)] = 198742,
  [SMALL_STATE(5801)] = 198812,
  [SMALL_STATE(5802)] = 198882,
  [SMALL_STATE(5803)] = 198952,
  [SMALL_STATE(5804)] = 199070,
  [SMALL_STATE(5805)] = 199140,
  [SMALL_STATE(5806)] = 199258,
  [SMALL_STATE(5807)] = 199328,
  [SMALL_STATE(5808)] = 199398,
  [SMALL_STATE(5809)] = 199468,
  [SMALL_STATE(5810)] = 199586,
  [SMALL_STATE(5811)] = 199704,
  [SMALL_STATE(5812)] = 199822,
  [SMALL_STATE(5813)] = 199940,
  [SMALL_STATE(5814)] = 200010,
  [SMALL_STATE(5815)] = 200080,
  [SMALL_STATE(5816)] = 200150,
  [SMALL_STATE(5817)] = 200220,
  [SMALL_STATE(5818)] = 200290,
  [SMALL_STATE(5819)] = 200360,
  [SMALL_STATE(5820)] = 200478,
  [SMALL_STATE(5821)] = 200550,
  [SMALL_STATE(5822)] = 200620,
  [SMALL_STATE(5823)] = 200690,
  [SMALL_STATE(5824)] = 200760,
  [SMALL_STATE(5825)] = 200830,
  [SMALL_STATE(5826)] = 200948,
  [SMALL_STATE(5827)] = 201018,
  [SMALL_STATE(5828)] = 201136,
  [SMALL_STATE(5829)] = 201206,
  [SMALL_STATE(5830)] = 201276,
  [SMALL_STATE(5831)] = 201412,
  [SMALL_STATE(5832)] = 201548,
  [SMALL_STATE(5833)] = 201684,
  [SMALL_STATE(5834)] = 201820,
  [SMALL_STATE(5835)] = 201938,
  [SMALL_STATE(5836)] = 202074,
  [SMALL_STATE(5837)] = 202150,
  [SMALL_STATE(5838)] = 202220,
  [SMALL_STATE(5839)] = 202338,
  [SMALL_STATE(5840)] = 202408,
  [SMALL_STATE(5841)] = 202479,
  [SMALL_STATE(5842)] = 202550,
  [SMALL_STATE(5843)] = 202621,
  [SMALL_STATE(5844)] = 202690,
  [SMALL_STATE(5845)] = 202759,
  [SMALL_STATE(5846)] = 202828,
  [SMALL_STATE(5847)] = 202897,
  [SMALL_STATE(5848)] = 202967,
  [SMALL_STATE(5849)] = 203037,
  [SMALL_STATE(5850)] = 203105,
  [SMALL_STATE(5851)] = 203173,
  [SMALL_STATE(5852)] = 203243,
  [SMALL_STATE(5853)] = 203311,
  [SMALL_STATE(5854)] = 203379,
  [SMALL_STATE(5855)] = 203446,
  [SMALL_STATE(5856)] = 203561,
  [SMALL_STATE(5857)] = 203632,
  [SMALL_STATE(5858)] = 203753,
  [SMALL_STATE(5859)] = 203874,
  [SMALL_STATE(5860)] = 203995,
  [SMALL_STATE(5861)] = 204116,
  [SMALL_STATE(5862)] = 204187,
  [SMALL_STATE(5863)] = 204308,
  [SMALL_STATE(5864)] = 204377,
  [SMALL_STATE(5865)] = 204498,
  [SMALL_STATE(5866)] = 204565,
  [SMALL_STATE(5867)] = 204686,
  [SMALL_STATE(5868)] = 204804,
  [SMALL_STATE(5869)] = 204922,
  [SMALL_STATE(5870)] = 205040,
  [SMALL_STATE(5871)] = 205158,
  [SMALL_STATE(5872)] = 205276,
  [SMALL_STATE(5873)] = 205394,
  [SMALL_STATE(5874)] = 205512,
  [SMALL_STATE(5875)] = 205630,
  [SMALL_STATE(5876)] = 205748,
  [SMALL_STATE(5877)] = 205866,
  [SMALL_STATE(5878)] = 205984,
  [SMALL_STATE(5879)] = 206102,
  [SMALL_STATE(5880)] = 206220,
  [SMALL_STATE(5881)] = 206338,
  [SMALL_STATE(5882)] = 206456,
  [SMALL_STATE(5883)] = 206574,
  [SMALL_STATE(5884)] = 206692,
  [SMALL_STATE(5885)] = 206810,
  [SMALL_STATE(5886)] = 206928,
  [SMALL_STATE(5887)] = 207046,
  [SMALL_STATE(5888)] = 207112,
  [SMALL_STATE(5889)] = 207230,
  [SMALL_STATE(5890)] = 207348,
  [SMALL_STATE(5891)] = 207466,
  [SMALL_STATE(5892)] = 207584,
  [SMALL_STATE(5893)] = 207702,
  [SMALL_STATE(5894)] = 207820,
  [SMALL_STATE(5895)] = 207938,
  [SMALL_STATE(5896)] = 208056,
  [SMALL_STATE(5897)] = 208174,
  [SMALL_STATE(5898)] = 208292,
  [SMALL_STATE(5899)] = 208410,
  [SMALL_STATE(5900)] = 208528,
  [SMALL_STATE(5901)] = 208646,
  [SMALL_STATE(5902)] = 208712,
  [SMALL_STATE(5903)] = 208830,
  [SMALL_STATE(5904)] = 208948,
  [SMALL_STATE(5905)] = 209066,
  [SMALL_STATE(5906)] = 209184,
  [SMALL_STATE(5907)] = 209302,
  [SMALL_STATE(5908)] = 209420,
  [SMALL_STATE(5909)] = 209538,
  [SMALL_STATE(5910)] = 209656,
  [SMALL_STATE(5911)] = 209774,
  [SMALL_STATE(5912)] = 209892,
  [SMALL_STATE(5913)] = 210010,
  [SMALL_STATE(5914)] = 210128,
  [SMALL_STATE(5915)] = 210246,
  [SMALL_STATE(5916)] = 210364,
  [SMALL_STATE(5917)] = 210482,
  [SMALL_STATE(5918)] = 210600,
  [SMALL_STATE(5919)] = 210718,
  [SMALL_STATE(5920)] = 210836,
  [SMALL_STATE(5921)] = 210954,
  [SMALL_STATE(5922)] = 211072,
  [SMALL_STATE(5923)] = 211190,
  [SMALL_STATE(5924)] = 211308,
  [SMALL_STATE(5925)] = 211374,
  [SMALL_STATE(5926)] = 211492,
  [SMALL_STATE(5927)] = 211610,
  [SMALL_STATE(5928)] = 211728,
  [SMALL_STATE(5929)] = 211846,
  [SMALL_STATE(5930)] = 211964,
  [SMALL_STATE(5931)] = 212082,
  [SMALL_STATE(5932)] = 212200,
  [SMALL_STATE(5933)] = 212318,
  [SMALL_STATE(5934)] = 212436,
  [SMALL_STATE(5935)] = 212554,
  [SMALL_STATE(5936)] = 212672,
  [SMALL_STATE(5937)] = 212790,
  [SMALL_STATE(5938)] = 212908,
  [SMALL_STATE(5939)] = 213026,
  [SMALL_STATE(5940)] = 213144,
  [SMALL_STATE(5941)] = 213262,
  [SMALL_STATE(5942)] = 213380,
  [SMALL_STATE(5943)] = 213498,
  [SMALL_STATE(5944)] = 213616,
  [SMALL_STATE(5945)] = 213734,
  [SMALL_STATE(5946)] = 213852,
  [SMALL_STATE(5947)] = 213970,
  [SMALL_STATE(5948)] = 214088,
  [SMALL_STATE(5949)] = 214206,
  [SMALL_STATE(5950)] = 214324,
  [SMALL_STATE(5951)] = 214442,
  [SMALL_STATE(5952)] = 214560,
  [SMALL_STATE(5953)] = 214678,
  [SMALL_STATE(5954)] = 214744,
  [SMALL_STATE(5955)] = 214862,
  [SMALL_STATE(5956)] = 214980,
  [SMALL_STATE(5957)] = 215046,
  [SMALL_STATE(5958)] = 215112,
  [SMALL_STATE(5959)] = 215178,
  [SMALL_STATE(5960)] = 215244,
  [SMALL_STATE(5961)] = 215310,
  [SMALL_STATE(5962)] = 215376,
  [SMALL_STATE(5963)] = 215494,
  [SMALL_STATE(5964)] = 215612,
  [SMALL_STATE(5965)] = 215730,
  [SMALL_STATE(5966)] = 215848,
  [SMALL_STATE(5967)] = 215966,
  [SMALL_STATE(5968)] = 216084,
  [SMALL_STATE(5969)] = 216202,
  [SMALL_STATE(5970)] = 216320,
  [SMALL_STATE(5971)] = 216388,
  [SMALL_STATE(5972)] = 216506,
  [SMALL_STATE(5973)] = 216624,
  [SMALL_STATE(5974)] = 216742,
  [SMALL_STATE(5975)] = 216860,
  [SMALL_STATE(5976)] = 216978,
  [SMALL_STATE(5977)] = 217046,
  [SMALL_STATE(5978)] = 217164,
  [SMALL_STATE(5979)] = 217282,
  [SMALL_STATE(5980)] = 217400,
  [SMALL_STATE(5981)] = 217518,
  [SMALL_STATE(5982)] = 217636,
  [SMALL_STATE(5983)] = 217754,
  [SMALL_STATE(5984)] = 217819,
  [SMALL_STATE(5985)] = 217884,
  [SMALL_STATE(5986)] = 217949,
  [SMALL_STATE(5987)] = 218014,
  [SMALL_STATE(5988)] = 218081,
  [SMALL_STATE(5989)] = 218196,
  [SMALL_STATE(5990)] = 218263,
  [SMALL_STATE(5991)] = 218378,
  [SMALL_STATE(5992)] = 218443,
  [SMALL_STATE(5993)] = 218508,
  [SMALL_STATE(5994)] = 218623,
  [SMALL_STATE(5995)] = 218688,
  [SMALL_STATE(5996)] = 218803,
  [SMALL_STATE(5997)] = 218868,
  [SMALL_STATE(5998)] = 218933,
  [SMALL_STATE(5999)] = 218998,
  [SMALL_STATE(6000)] = 219113,
  [SMALL_STATE(6001)] = 219178,
  [SMALL_STATE(6002)] = 219243,
  [SMALL_STATE(6003)] = 219308,
  [SMALL_STATE(6004)] = 219373,
  [SMALL_STATE(6005)] = 219438,
  [SMALL_STATE(6006)] = 219503,
  [SMALL_STATE(6007)] = 219568,
  [SMALL_STATE(6008)] = 219633,
  [SMALL_STATE(6009)] = 219748,
  [SMALL_STATE(6010)] = 219813,
  [SMALL_STATE(6011)] = 219878,
  [SMALL_STATE(6012)] = 219945,
  [SMALL_STATE(6013)] = 220010,
  [SMALL_STATE(6014)] = 220075,
  [SMALL_STATE(6015)] = 220140,
  [SMALL_STATE(6016)] = 220205,
  [SMALL_STATE(6017)] = 220270,
  [SMALL_STATE(6018)] = 220385,
  [SMALL_STATE(6019)] = 220450,
  [SMALL_STATE(6020)] = 220515,
  [SMALL_STATE(6021)] = 220580,
  [SMALL_STATE(6022)] = 220645,
  [SMALL_STATE(6023)] = 220710,
  [SMALL_STATE(6024)] = 220775,
  [SMALL_STATE(6025)] = 220840,
  [SMALL_STATE(6026)] = 220905,
  [SMALL_STATE(6027)] = 220970,
  [SMALL_STATE(6028)] = 221035,
  [SMALL_STATE(6029)] = 221100,
  [SMALL_STATE(6030)] = 221215,
  [SMALL_STATE(6031)] = 221280,
  [SMALL_STATE(6032)] = 221345,
  [SMALL_STATE(6033)] = 221410,
  [SMALL_STATE(6034)] = 221475,
  [SMALL_STATE(6035)] = 221540,
  [SMALL_STATE(6036)] = 221655,
  [SMALL_STATE(6037)] = 221720,
  [SMALL_STATE(6038)] = 221785,
  [SMALL_STATE(6039)] = 221900,
  [SMALL_STATE(6040)] = 221971,
  [SMALL_STATE(6041)] = 222086,
  [SMALL_STATE(6042)] = 222201,
  [SMALL_STATE(6043)] = 222266,
  [SMALL_STATE(6044)] = 222381,
  [SMALL_STATE(6045)] = 222452,
  [SMALL_STATE(6046)] = 222567,
  [SMALL_STATE(6047)] = 222632,
  [SMALL_STATE(6048)] = 222747,
  [SMALL_STATE(6049)] = 222812,
  [SMALL_STATE(6050)] = 222927,
  [SMALL_STATE(6051)] = 222992,
  [SMALL_STATE(6052)] = 223107,
  [SMALL_STATE(6053)] = 223222,
  [SMALL_STATE(6054)] = 223287,
  [SMALL_STATE(6055)] = 223402,
  [SMALL_STATE(6056)] = 223467,
  [SMALL_STATE(6057)] = 223534,
  [SMALL_STATE(6058)] = 223649,
  [SMALL_STATE(6059)] = 223764,
  [SMALL_STATE(6060)] = 223829,
  [SMALL_STATE(6061)] = 223894,
  [SMALL_STATE(6062)] = 224009,
  [SMALL_STATE(6063)] = 224074,
  [SMALL_STATE(6064)] = 224139,
  [SMALL_STATE(6065)] = 224204,
  [SMALL_STATE(6066)] = 224319,
  [SMALL_STATE(6067)] = 224384,
  [SMALL_STATE(6068)] = 224449,
  [SMALL_STATE(6069)] = 224514,
  [SMALL_STATE(6070)] = 224579,
  [SMALL_STATE(6071)] = 224694,
  [SMALL_STATE(6072)] = 224759,
  [SMALL_STATE(6073)] = 224874,
  [SMALL_STATE(6074)] = 224939,
  [SMALL_STATE(6075)] = 225054,
  [SMALL_STATE(6076)] = 225169,
  [SMALL_STATE(6077)] = 225284,
  [SMALL_STATE(6078)] = 225349,
  [SMALL_STATE(6079)] = 225464,
  [SMALL_STATE(6080)] = 225579,
  [SMALL_STATE(6081)] = 225694,
  [SMALL_STATE(6082)] = 225809,
  [SMALL_STATE(6083)] = 225874,
  [SMALL_STATE(6084)] = 225989,
  [SMALL_STATE(6085)] = 226104,
  [SMALL_STATE(6086)] = 226219,
  [SMALL_STATE(6087)] = 226334,
  [SMALL_STATE(6088)] = 226449,
  [SMALL_STATE(6089)] = 226564,
  [SMALL_STATE(6090)] = 226679,
  [SMALL_STATE(6091)] = 226794,
  [SMALL_STATE(6092)] = 226909,
  [SMALL_STATE(6093)] = 227024,
  [SMALL_STATE(6094)] = 227139,
  [SMALL_STATE(6095)] = 227254,
  [SMALL_STATE(6096)] = 227369,
  [SMALL_STATE(6097)] = 227434,
  [SMALL_STATE(6098)] = 227499,
  [SMALL_STATE(6099)] = 227614,
  [SMALL_STATE(6100)] = 227681,
  [SMALL_STATE(6101)] = 227796,
  [SMALL_STATE(6102)] = 227861,
  [SMALL_STATE(6103)] = 227976,
  [SMALL_STATE(6104)] = 228091,
  [SMALL_STATE(6105)] = 228156,
  [SMALL_STATE(6106)] = 228271,
  [SMALL_STATE(6107)] = 228386,
  [SMALL_STATE(6108)] = 228453,
  [SMALL_STATE(6109)] = 228568,
  [SMALL_STATE(6110)] = 228633,
  [SMALL_STATE(6111)] = 228698,
  [SMALL_STATE(6112)] = 228763,
  [SMALL_STATE(6113)] = 228828,
  [SMALL_STATE(6114)] = 228893,
  [SMALL_STATE(6115)] = 228958,
  [SMALL_STATE(6116)] = 229023,
  [SMALL_STATE(6117)] = 229088,
  [SMALL_STATE(6118)] = 229153,
  [SMALL_STATE(6119)] = 229218,
  [SMALL_STATE(6120)] = 229283,
  [SMALL_STATE(6121)] = 229348,
  [SMALL_STATE(6122)] = 229413,
  [SMALL_STATE(6123)] = 229478,
  [SMALL_STATE(6124)] = 229543,
  [SMALL_STATE(6125)] = 229610,
  [SMALL_STATE(6126)] = 229675,
  [SMALL_STATE(6127)] = 229739,
  [SMALL_STATE(6128)] = 229803,
  [SMALL_STATE(6129)] = 229867,
  [SMALL_STATE(6130)] = 229931,
  [SMALL_STATE(6131)] = 230043,
  [SMALL_STATE(6132)] = 230107,
  [SMALL_STATE(6133)] = 230171,
  [SMALL_STATE(6134)] = 230237,
  [SMALL_STATE(6135)] = 230301,
  [SMALL_STATE(6136)] = 230371,
  [SMALL_STATE(6137)] = 230483,
  [SMALL_STATE(6138)] = 230547,
  [SMALL_STATE(6139)] = 230611,
  [SMALL_STATE(6140)] = 230675,
  [SMALL_STATE(6141)] = 230739,
  [SMALL_STATE(6142)] = 230803,
  [SMALL_STATE(6143)] = 230867,
  [SMALL_STATE(6144)] = 230931,
  [SMALL_STATE(6145)] = 230995,
  [SMALL_STATE(6146)] = 231107,
  [SMALL_STATE(6147)] = 231171,
  [SMALL_STATE(6148)] = 231235,
  [SMALL_STATE(6149)] = 231299,
  [SMALL_STATE(6150)] = 231363,
  [SMALL_STATE(6151)] = 231475,
  [SMALL_STATE(6152)] = 231541,
  [SMALL_STATE(6153)] = 231605,
  [SMALL_STATE(6154)] = 231669,
  [SMALL_STATE(6155)] = 231733,
  [SMALL_STATE(6156)] = 231797,
  [SMALL_STATE(6157)] = 231861,
  [SMALL_STATE(6158)] = 231925,
  [SMALL_STATE(6159)] = 231989,
  [SMALL_STATE(6160)] = 232053,
  [SMALL_STATE(6161)] = 232117,
  [SMALL_STATE(6162)] = 232181,
  [SMALL_STATE(6163)] = 232245,
  [SMALL_STATE(6164)] = 232311,
  [SMALL_STATE(6165)] = 232375,
  [SMALL_STATE(6166)] = 232439,
  [SMALL_STATE(6167)] = 232503,
  [SMALL_STATE(6168)] = 232567,
  [SMALL_STATE(6169)] = 232631,
  [SMALL_STATE(6170)] = 232695,
  [SMALL_STATE(6171)] = 232759,
  [SMALL_STATE(6172)] = 232823,
  [SMALL_STATE(6173)] = 232887,
  [SMALL_STATE(6174)] = 232951,
  [SMALL_STATE(6175)] = 233015,
  [SMALL_STATE(6176)] = 233079,
  [SMALL_STATE(6177)] = 233143,
  [SMALL_STATE(6178)] = 233207,
  [SMALL_STATE(6179)] = 233271,
  [SMALL_STATE(6180)] = 233335,
  [SMALL_STATE(6181)] = 233399,
  [SMALL_STATE(6182)] = 233463,
  [SMALL_STATE(6183)] = 233527,
  [SMALL_STATE(6184)] = 233591,
  [SMALL_STATE(6185)] = 233655,
  [SMALL_STATE(6186)] = 233719,
  [SMALL_STATE(6187)] = 233783,
  [SMALL_STATE(6188)] = 233847,
  [SMALL_STATE(6189)] = 233911,
  [SMALL_STATE(6190)] = 233975,
  [SMALL_STATE(6191)] = 234039,
  [SMALL_STATE(6192)] = 234103,
  [SMALL_STATE(6193)] = 234167,
  [SMALL_STATE(6194)] = 234231,
  [SMALL_STATE(6195)] = 234343,
  [SMALL_STATE(6196)] = 234409,
  [SMALL_STATE(6197)] = 234473,
  [SMALL_STATE(6198)] = 234537,
  [SMALL_STATE(6199)] = 234601,
  [SMALL_STATE(6200)] = 234665,
  [SMALL_STATE(6201)] = 234729,
  [SMALL_STATE(6202)] = 234793,
  [SMALL_STATE(6203)] = 234857,
  [SMALL_STATE(6204)] = 234921,
  [SMALL_STATE(6205)] = 234985,
  [SMALL_STATE(6206)] = 235097,
  [SMALL_STATE(6207)] = 235163,
  [SMALL_STATE(6208)] = 235227,
  [SMALL_STATE(6209)] = 235291,
  [SMALL_STATE(6210)] = 235355,
  [SMALL_STATE(6211)] = 235419,
  [SMALL_STATE(6212)] = 235531,
  [SMALL_STATE(6213)] = 235595,
  [SMALL_STATE(6214)] = 235659,
  [SMALL_STATE(6215)] = 235723,
  [SMALL_STATE(6216)] = 235787,
  [SMALL_STATE(6217)] = 235851,
  [SMALL_STATE(6218)] = 235917,
  [SMALL_STATE(6219)] = 235981,
  [SMALL_STATE(6220)] = 236045,
  [SMALL_STATE(6221)] = 236109,
  [SMALL_STATE(6222)] = 236173,
  [SMALL_STATE(6223)] = 236243,
  [SMALL_STATE(6224)] = 236307,
  [SMALL_STATE(6225)] = 236370,
  [SMALL_STATE(6226)] = 236433,
  [SMALL_STATE(6227)] = 236496,
  [SMALL_STATE(6228)] = 236559,
  [SMALL_STATE(6229)] = 236668,
  [SMALL_STATE(6230)] = 236731,
  [SMALL_STATE(6231)] = 236794,
  [SMALL_STATE(6232)] = 236903,
  [SMALL_STATE(6233)] = 237012,
  [SMALL_STATE(6234)] = 237075,
  [SMALL_STATE(6235)] = 237138,
  [SMALL_STATE(6236)] = 237201,
  [SMALL_STATE(6237)] = 237310,
  [SMALL_STATE(6238)] = 237375,
  [SMALL_STATE(6239)] = 237438,
  [SMALL_STATE(6240)] = 237501,
  [SMALL_STATE(6241)] = 237564,
  [SMALL_STATE(6242)] = 237673,
  [SMALL_STATE(6243)] = 237736,
  [SMALL_STATE(6244)] = 237845,
  [SMALL_STATE(6245)] = 237908,
  [SMALL_STATE(6246)] = 237971,
  [SMALL_STATE(6247)] = 238080,
  [SMALL_STATE(6248)] = 238143,
  [SMALL_STATE(6249)] = 238206,
  [SMALL_STATE(6250)] = 238269,
  [SMALL_STATE(6251)] = 238332,
  [SMALL_STATE(6252)] = 238441,
  [SMALL_STATE(6253)] = 238550,
  [SMALL_STATE(6254)] = 238613,
  [SMALL_STATE(6255)] = 238676,
  [SMALL_STATE(6256)] = 238785,
  [SMALL_STATE(6257)] = 238848,
  [SMALL_STATE(6258)] = 238911,
  [SMALL_STATE(6259)] = 238974,
  [SMALL_STATE(6260)] = 239037,
  [SMALL_STATE(6261)] = 239100,
  [SMALL_STATE(6262)] = 239211,
  [SMALL_STATE(6263)] = 239320,
  [SMALL_STATE(6264)] = 239383,
  [SMALL_STATE(6265)] = 239446,
  [SMALL_STATE(6266)] = 239555,
  [SMALL_STATE(6267)] = 239618,
  [SMALL_STATE(6268)] = 239727,
  [SMALL_STATE(6269)] = 239790,
  [SMALL_STATE(6270)] = 239899,
  [SMALL_STATE(6271)] = 239962,
  [SMALL_STATE(6272)] = 240025,
  [SMALL_STATE(6273)] = 240134,
  [SMALL_STATE(6274)] = 240197,
  [SMALL_STATE(6275)] = 240260,
  [SMALL_STATE(6276)] = 240369,
  [SMALL_STATE(6277)] = 240432,
  [SMALL_STATE(6278)] = 240541,
  [SMALL_STATE(6279)] = 240650,
  [SMALL_STATE(6280)] = 240713,
  [SMALL_STATE(6281)] = 240778,
  [SMALL_STATE(6282)] = 240887,
  [SMALL_STATE(6283)] = 240996,
  [SMALL_STATE(6284)] = 241105,
  [SMALL_STATE(6285)] = 241214,
  [SMALL_STATE(6286)] = 241277,
  [SMALL_STATE(6287)] = 241386,
  [SMALL_STATE(6288)] = 241495,
  [SMALL_STATE(6289)] = 241558,
  [SMALL_STATE(6290)] = 241667,
  [SMALL_STATE(6291)] = 241776,
  [SMALL_STATE(6292)] = 241885,
  [SMALL_STATE(6293)] = 241948,
  [SMALL_STATE(6294)] = 242057,
  [SMALL_STATE(6295)] = 242166,
  [SMALL_STATE(6296)] = 242229,
  [SMALL_STATE(6297)] = 242292,
  [SMALL_STATE(6298)] = 242355,
  [SMALL_STATE(6299)] = 242418,
  [SMALL_STATE(6300)] = 242527,
  [SMALL_STATE(6301)] = 242590,
  [SMALL_STATE(6302)] = 242653,
  [SMALL_STATE(6303)] = 242716,
  [SMALL_STATE(6304)] = 242825,
  [SMALL_STATE(6305)] = 242888,
  [SMALL_STATE(6306)] = 242957,
  [SMALL_STATE(6307)] = 243066,
  [SMALL_STATE(6308)] = 243175,
  [SMALL_STATE(6309)] = 243238,
  [SMALL_STATE(6310)] = 243347,
  [SMALL_STATE(6311)] = 243456,
  [SMALL_STATE(6312)] = 243519,
  [SMALL_STATE(6313)] = 243628,
  [SMALL_STATE(6314)] = 243737,
  [SMALL_STATE(6315)] = 243800,
  [SMALL_STATE(6316)] = 243863,
  [SMALL_STATE(6317)] = 243926,
  [SMALL_STATE(6318)] = 243989,
  [SMALL_STATE(6319)] = 244098,
  [SMALL_STATE(6320)] = 244161,
  [SMALL_STATE(6321)] = 244224,
  [SMALL_STATE(6322)] = 244287,
  [SMALL_STATE(6323)] = 244396,
  [SMALL_STATE(6324)] = 244459,
  [SMALL_STATE(6325)] = 244568,
  [SMALL_STATE(6326)] = 244631,
  [SMALL_STATE(6327)] = 244740,
  [SMALL_STATE(6328)] = 244849,
  [SMALL_STATE(6329)] = 244912,
  [SMALL_STATE(6330)] = 244975,
  [SMALL_STATE(6331)] = 245084,
  [SMALL_STATE(6332)] = 245147,
  [SMALL_STATE(6333)] = 245258,
  [SMALL_STATE(6334)] = 245321,
  [SMALL_STATE(6335)] = 245430,
  [SMALL_STATE(6336)] = 245493,
  [SMALL_STATE(6337)] = 245556,
  [SMALL_STATE(6338)] = 245665,
  [SMALL_STATE(6339)] = 245728,
  [SMALL_STATE(6340)] = 245791,
  [SMALL_STATE(6341)] = 245854,
  [SMALL_STATE(6342)] = 245963,
  [SMALL_STATE(6343)] = 246074,
  [SMALL_STATE(6344)] = 246183,
  [SMALL_STATE(6345)] = 246292,
  [SMALL_STATE(6346)] = 246401,
  [SMALL_STATE(6347)] = 246510,
  [SMALL_STATE(6348)] = 246619,
  [SMALL_STATE(6349)] = 246728,
  [SMALL_STATE(6350)] = 246793,
  [SMALL_STATE(6351)] = 246856,
  [SMALL_STATE(6352)] = 246965,
  [SMALL_STATE(6353)] = 247074,
  [SMALL_STATE(6354)] = 247137,
  [SMALL_STATE(6355)] = 247200,
  [SMALL_STATE(6356)] = 247263,
  [SMALL_STATE(6357)] = 247326,
  [SMALL_STATE(6358)] = 247391,
  [SMALL_STATE(6359)] = 247456,
  [SMALL_STATE(6360)] = 247565,
  [SMALL_STATE(6361)] = 247628,
  [SMALL_STATE(6362)] = 247693,
  [SMALL_STATE(6363)] = 247756,
  [SMALL_STATE(6364)] = 247865,
  [SMALL_STATE(6365)] = 247928,
  [SMALL_STATE(6366)] = 247991,
  [SMALL_STATE(6367)] = 248054,
  [SMALL_STATE(6368)] = 248163,
  [SMALL_STATE(6369)] = 248228,
  [SMALL_STATE(6370)] = 248291,
  [SMALL_STATE(6371)] = 248354,
  [SMALL_STATE(6372)] = 248417,
  [SMALL_STATE(6373)] = 248480,
  [SMALL_STATE(6374)] = 248543,
  [SMALL_STATE(6375)] = 248606,
  [SMALL_STATE(6376)] = 248715,
  [SMALL_STATE(6377)] = 248778,
  [SMALL_STATE(6378)] = 248841,
  [SMALL_STATE(6379)] = 248904,
  [SMALL_STATE(6380)] = 248967,
  [SMALL_STATE(6381)] = 249076,
  [SMALL_STATE(6382)] = 249141,
  [SMALL_STATE(6383)] = 249204,
  [SMALL_STATE(6384)] = 249273,
  [SMALL_STATE(6385)] = 249336,
  [SMALL_STATE(6386)] = 249401,
  [SMALL_STATE(6387)] = 249464,
  [SMALL_STATE(6388)] = 249527,
  [SMALL_STATE(6389)] = 249590,
  [SMALL_STATE(6390)] = 249652,
  [SMALL_STATE(6391)] = 249714,
  [SMALL_STATE(6392)] = 249776,
  [SMALL_STATE(6393)] = 249838,
  [SMALL_STATE(6394)] = 249900,
  [SMALL_STATE(6395)] = 249962,
  [SMALL_STATE(6396)] = 250024,
  [SMALL_STATE(6397)] = 250086,
  [SMALL_STATE(6398)] = 250148,
  [SMALL_STATE(6399)] = 250210,
  [SMALL_STATE(6400)] = 250274,
  [SMALL_STATE(6401)] = 250336,
  [SMALL_STATE(6402)] = 250398,
  [SMALL_STATE(6403)] = 250460,
  [SMALL_STATE(6404)] = 250522,
  [SMALL_STATE(6405)] = 250584,
  [SMALL_STATE(6406)] = 250646,
  [SMALL_STATE(6407)] = 250708,
  [SMALL_STATE(6408)] = 250770,
  [SMALL_STATE(6409)] = 250832,
  [SMALL_STATE(6410)] = 250894,
  [SMALL_STATE(6411)] = 250956,
  [SMALL_STATE(6412)] = 251018,
  [SMALL_STATE(6413)] = 251086,
  [SMALL_STATE(6414)] = 251148,
  [SMALL_STATE(6415)] = 251210,
  [SMALL_STATE(6416)] = 251272,
  [SMALL_STATE(6417)] = 251334,
  [SMALL_STATE(6418)] = 251396,
  [SMALL_STATE(6419)] = 251458,
  [SMALL_STATE(6420)] = 251520,
  [SMALL_STATE(6421)] = 251582,
  [SMALL_STATE(6422)] = 251644,
  [SMALL_STATE(6423)] = 251706,
  [SMALL_STATE(6424)] = 251768,
  [SMALL_STATE(6425)] = 251830,
  [SMALL_STATE(6426)] = 251894,
  [SMALL_STATE(6427)] = 251956,
  [SMALL_STATE(6428)] = 252018,
  [SMALL_STATE(6429)] = 252080,
  [SMALL_STATE(6430)] = 252142,
  [SMALL_STATE(6431)] = 252204,
  [SMALL_STATE(6432)] = 252266,
  [SMALL_STATE(6433)] = 252328,
  [SMALL_STATE(6434)] = 252392,
  [SMALL_STATE(6435)] = 252454,
  [SMALL_STATE(6436)] = 252518,
  [SMALL_STATE(6437)] = 252580,
  [SMALL_STATE(6438)] = 252642,
  [SMALL_STATE(6439)] = 252704,
  [SMALL_STATE(6440)] = 252766,
  [SMALL_STATE(6441)] = 252828,
  [SMALL_STATE(6442)] = 252890,
  [SMALL_STATE(6443)] = 252952,
  [SMALL_STATE(6444)] = 253014,
  [SMALL_STATE(6445)] = 253076,
  [SMALL_STATE(6446)] = 253140,
  [SMALL_STATE(6447)] = 253202,
  [SMALL_STATE(6448)] = 253264,
  [SMALL_STATE(6449)] = 253326,
  [SMALL_STATE(6450)] = 253388,
  [SMALL_STATE(6451)] = 253450,
  [SMALL_STATE(6452)] = 253512,
  [SMALL_STATE(6453)] = 253574,
  [SMALL_STATE(6454)] = 253636,
  [SMALL_STATE(6455)] = 253700,
  [SMALL_STATE(6456)] = 253762,
  [SMALL_STATE(6457)] = 253824,
  [SMALL_STATE(6458)] = 253886,
  [SMALL_STATE(6459)] = 253948,
  [SMALL_STATE(6460)] = 254010,
  [SMALL_STATE(6461)] = 254072,
  [SMALL_STATE(6462)] = 254134,
  [SMALL_STATE(6463)] = 254196,
  [SMALL_STATE(6464)] = 254258,
  [SMALL_STATE(6465)] = 254326,
  [SMALL_STATE(6466)] = 254388,
  [SMALL_STATE(6467)] = 254452,
  [SMALL_STATE(6468)] = 254516,
  [SMALL_STATE(6469)] = 254578,
  [SMALL_STATE(6470)] = 254640,
  [SMALL_STATE(6471)] = 254702,
  [SMALL_STATE(6472)] = 254764,
  [SMALL_STATE(6473)] = 254826,
  [SMALL_STATE(6474)] = 254888,
  [SMALL_STATE(6475)] = 254950,
  [SMALL_STATE(6476)] = 255012,
  [SMALL_STATE(6477)] = 255074,
  [SMALL_STATE(6478)] = 255138,
  [SMALL_STATE(6479)] = 255200,
  [SMALL_STATE(6480)] = 255262,
  [SMALL_STATE(6481)] = 255324,
  [SMALL_STATE(6482)] = 255386,
  [SMALL_STATE(6483)] = 255454,
  [SMALL_STATE(6484)] = 255516,
  [SMALL_STATE(6485)] = 255578,
  [SMALL_STATE(6486)] = 255640,
  [SMALL_STATE(6487)] = 255702,
  [SMALL_STATE(6488)] = 255766,
  [SMALL_STATE(6489)] = 255828,
  [SMALL_STATE(6490)] = 255890,
  [SMALL_STATE(6491)] = 255952,
  [SMALL_STATE(6492)] = 256014,
  [SMALL_STATE(6493)] = 256076,
  [SMALL_STATE(6494)] = 256140,
  [SMALL_STATE(6495)] = 256202,
  [SMALL_STATE(6496)] = 256266,
  [SMALL_STATE(6497)] = 256328,
  [SMALL_STATE(6498)] = 256390,
  [SMALL_STATE(6499)] = 256452,
  [SMALL_STATE(6500)] = 256514,
  [SMALL_STATE(6501)] = 256576,
  [SMALL_STATE(6502)] = 256638,
  [SMALL_STATE(6503)] = 256700,
  [SMALL_STATE(6504)] = 256762,
  [SMALL_STATE(6505)] = 256824,
  [SMALL_STATE(6506)] = 256886,
  [SMALL_STATE(6507)] = 256948,
  [SMALL_STATE(6508)] = 257010,
  [SMALL_STATE(6509)] = 257072,
  [SMALL_STATE(6510)] = 257134,
  [SMALL_STATE(6511)] = 257196,
  [SMALL_STATE(6512)] = 257258,
  [SMALL_STATE(6513)] = 257320,
  [SMALL_STATE(6514)] = 257382,
  [SMALL_STATE(6515)] = 257444,
  [SMALL_STATE(6516)] = 257506,
  [SMALL_STATE(6517)] = 257568,
  [SMALL_STATE(6518)] = 257630,
  [SMALL_STATE(6519)] = 257692,
  [SMALL_STATE(6520)] = 257754,
  [SMALL_STATE(6521)] = 257816,
  [SMALL_STATE(6522)] = 257878,
  [SMALL_STATE(6523)] = 257940,
  [SMALL_STATE(6524)] = 258002,
  [SMALL_STATE(6525)] = 258064,
  [SMALL_STATE(6526)] = 258126,
  [SMALL_STATE(6527)] = 258188,
  [SMALL_STATE(6528)] = 258250,
  [SMALL_STATE(6529)] = 258312,
  [SMALL_STATE(6530)] = 258374,
  [SMALL_STATE(6531)] = 258436,
  [SMALL_STATE(6532)] = 258504,
  [SMALL_STATE(6533)] = 258566,
  [SMALL_STATE(6534)] = 258628,
  [SMALL_STATE(6535)] = 258690,
  [SMALL_STATE(6536)] = 258752,
  [SMALL_STATE(6537)] = 258814,
  [SMALL_STATE(6538)] = 258876,
  [SMALL_STATE(6539)] = 258938,
  [SMALL_STATE(6540)] = 259000,
  [SMALL_STATE(6541)] = 259062,
  [SMALL_STATE(6542)] = 259124,
  [SMALL_STATE(6543)] = 259186,
  [SMALL_STATE(6544)] = 259248,
  [SMALL_STATE(6545)] = 259310,
  [SMALL_STATE(6546)] = 259372,
  [SMALL_STATE(6547)] = 259434,
  [SMALL_STATE(6548)] = 259496,
  [SMALL_STATE(6549)] = 259558,
  [SMALL_STATE(6550)] = 259622,
  [SMALL_STATE(6551)] = 259686,
  [SMALL_STATE(6552)] = 259748,
  [SMALL_STATE(6553)] = 259810,
  [SMALL_STATE(6554)] = 259872,
  [SMALL_STATE(6555)] = 259936,
  [SMALL_STATE(6556)] = 260000,
  [SMALL_STATE(6557)] = 260062,
  [SMALL_STATE(6558)] = 260124,
  [SMALL_STATE(6559)] = 260186,
  [SMALL_STATE(6560)] = 260248,
  [SMALL_STATE(6561)] = 260310,
  [SMALL_STATE(6562)] = 260372,
  [SMALL_STATE(6563)] = 260434,
  [SMALL_STATE(6564)] = 260496,
  [SMALL_STATE(6565)] = 260558,
  [SMALL_STATE(6566)] = 260620,
  [SMALL_STATE(6567)] = 260682,
  [SMALL_STATE(6568)] = 260744,
  [SMALL_STATE(6569)] = 260806,
  [SMALL_STATE(6570)] = 260868,
  [SMALL_STATE(6571)] = 260930,
  [SMALL_STATE(6572)] = 260992,
  [SMALL_STATE(6573)] = 261054,
  [SMALL_STATE(6574)] = 261116,
  [SMALL_STATE(6575)] = 261178,
  [SMALL_STATE(6576)] = 261240,
  [SMALL_STATE(6577)] = 261302,
  [SMALL_STATE(6578)] = 261364,
  [SMALL_STATE(6579)] = 261426,
  [SMALL_STATE(6580)] = 261488,
  [SMALL_STATE(6581)] = 261550,
  [SMALL_STATE(6582)] = 261612,
  [SMALL_STATE(6583)] = 261674,
  [SMALL_STATE(6584)] = 261735,
  [SMALL_STATE(6585)] = 261798,
  [SMALL_STATE(6586)] = 261865,
  [SMALL_STATE(6587)] = 261926,
  [SMALL_STATE(6588)] = 261987,
  [SMALL_STATE(6589)] = 262048,
  [SMALL_STATE(6590)] = 262109,
  [SMALL_STATE(6591)] = 262170,
  [SMALL_STATE(6592)] = 262231,
  [SMALL_STATE(6593)] = 262292,
  [SMALL_STATE(6594)] = 262353,
  [SMALL_STATE(6595)] = 262414,
  [SMALL_STATE(6596)] = 262475,
  [SMALL_STATE(6597)] = 262536,
  [SMALL_STATE(6598)] = 262597,
  [SMALL_STATE(6599)] = 262658,
  [SMALL_STATE(6600)] = 262719,
  [SMALL_STATE(6601)] = 262780,
  [SMALL_STATE(6602)] = 262841,
  [SMALL_STATE(6603)] = 262902,
  [SMALL_STATE(6604)] = 262963,
  [SMALL_STATE(6605)] = 263024,
  [SMALL_STATE(6606)] = 263085,
  [SMALL_STATE(6607)] = 263146,
  [SMALL_STATE(6608)] = 263207,
  [SMALL_STATE(6609)] = 263268,
  [SMALL_STATE(6610)] = 263329,
  [SMALL_STATE(6611)] = 263390,
  [SMALL_STATE(6612)] = 263451,
  [SMALL_STATE(6613)] = 263512,
  [SMALL_STATE(6614)] = 263573,
  [SMALL_STATE(6615)] = 263634,
  [SMALL_STATE(6616)] = 263695,
  [SMALL_STATE(6617)] = 263756,
  [SMALL_STATE(6618)] = 263817,
  [SMALL_STATE(6619)] = 263878,
  [SMALL_STATE(6620)] = 263939,
  [SMALL_STATE(6621)] = 264000,
  [SMALL_STATE(6622)] = 264061,
  [SMALL_STATE(6623)] = 264122,
  [SMALL_STATE(6624)] = 264183,
  [SMALL_STATE(6625)] = 264244,
  [SMALL_STATE(6626)] = 264305,
  [SMALL_STATE(6627)] = 264366,
  [SMALL_STATE(6628)] = 264427,
  [SMALL_STATE(6629)] = 264490,
  [SMALL_STATE(6630)] = 264551,
  [SMALL_STATE(6631)] = 264612,
  [SMALL_STATE(6632)] = 264673,
  [SMALL_STATE(6633)] = 264736,
  [SMALL_STATE(6634)] = 264797,
  [SMALL_STATE(6635)] = 264858,
  [SMALL_STATE(6636)] = 264919,
  [SMALL_STATE(6637)] = 264980,
  [SMALL_STATE(6638)] = 265041,
  [SMALL_STATE(6639)] = 265102,
  [SMALL_STATE(6640)] = 265163,
  [SMALL_STATE(6641)] = 265224,
  [SMALL_STATE(6642)] = 265285,
  [SMALL_STATE(6643)] = 265346,
  [SMALL_STATE(6644)] = 265407,
  [SMALL_STATE(6645)] = 265468,
  [SMALL_STATE(6646)] = 265529,
  [SMALL_STATE(6647)] = 265590,
  [SMALL_STATE(6648)] = 265651,
  [SMALL_STATE(6649)] = 265712,
  [SMALL_STATE(6650)] = 265773,
  [SMALL_STATE(6651)] = 265834,
  [SMALL_STATE(6652)] = 265895,
  [SMALL_STATE(6653)] = 265956,
  [SMALL_STATE(6654)] = 266017,
  [SMALL_STATE(6655)] = 266078,
  [SMALL_STATE(6656)] = 266139,
  [SMALL_STATE(6657)] = 266200,
  [SMALL_STATE(6658)] = 266261,
  [SMALL_STATE(6659)] = 266322,
  [SMALL_STATE(6660)] = 266383,
  [SMALL_STATE(6661)] = 266446,
  [SMALL_STATE(6662)] = 266507,
  [SMALL_STATE(6663)] = 266568,
  [SMALL_STATE(6664)] = 266629,
  [SMALL_STATE(6665)] = 266690,
  [SMALL_STATE(6666)] = 266751,
  [SMALL_STATE(6667)] = 266812,
  [SMALL_STATE(6668)] = 266873,
  [SMALL_STATE(6669)] = 266934,
  [SMALL_STATE(6670)] = 266995,
  [SMALL_STATE(6671)] = 267056,
  [SMALL_STATE(6672)] = 267117,
  [SMALL_STATE(6673)] = 267178,
  [SMALL_STATE(6674)] = 267239,
  [SMALL_STATE(6675)] = 267300,
  [SMALL_STATE(6676)] = 267361,
  [SMALL_STATE(6677)] = 267422,
  [SMALL_STATE(6678)] = 267483,
  [SMALL_STATE(6679)] = 267544,
  [SMALL_STATE(6680)] = 267605,
  [SMALL_STATE(6681)] = 267666,
  [SMALL_STATE(6682)] = 267727,
  [SMALL_STATE(6683)] = 267788,
  [SMALL_STATE(6684)] = 267849,
  [SMALL_STATE(6685)] = 267910,
  [SMALL_STATE(6686)] = 267973,
  [SMALL_STATE(6687)] = 268036,
  [SMALL_STATE(6688)] = 268097,
  [SMALL_STATE(6689)] = 268160,
  [SMALL_STATE(6690)] = 268221,
  [SMALL_STATE(6691)] = 268282,
  [SMALL_STATE(6692)] = 268343,
  [SMALL_STATE(6693)] = 268404,
  [SMALL_STATE(6694)] = 268465,
  [SMALL_STATE(6695)] = 268526,
  [SMALL_STATE(6696)] = 268587,
  [SMALL_STATE(6697)] = 268648,
  [SMALL_STATE(6698)] = 268709,
  [SMALL_STATE(6699)] = 268770,
  [SMALL_STATE(6700)] = 268831,
  [SMALL_STATE(6701)] = 268892,
  [SMALL_STATE(6702)] = 268957,
  [SMALL_STATE(6703)] = 269018,
  [SMALL_STATE(6704)] = 269079,
  [SMALL_STATE(6705)] = 269140,
  [SMALL_STATE(6706)] = 269203,
  [SMALL_STATE(6707)] = 269264,
  [SMALL_STATE(6708)] = 269325,
  [SMALL_STATE(6709)] = 269386,
  [SMALL_STATE(6710)] = 269447,
  [SMALL_STATE(6711)] = 269510,
  [SMALL_STATE(6712)] = 269571,
  [SMALL_STATE(6713)] = 269634,
  [SMALL_STATE(6714)] = 269695,
  [SMALL_STATE(6715)] = 269756,
  [SMALL_STATE(6716)] = 269817,
  [SMALL_STATE(6717)] = 269878,
  [SMALL_STATE(6718)] = 269939,
  [SMALL_STATE(6719)] = 270000,
  [SMALL_STATE(6720)] = 270061,
  [SMALL_STATE(6721)] = 270122,
  [SMALL_STATE(6722)] = 270183,
  [SMALL_STATE(6723)] = 270246,
  [SMALL_STATE(6724)] = 270307,
  [SMALL_STATE(6725)] = 270368,
  [SMALL_STATE(6726)] = 270429,
  [SMALL_STATE(6727)] = 270490,
  [SMALL_STATE(6728)] = 270551,
  [SMALL_STATE(6729)] = 270612,
  [SMALL_STATE(6730)] = 270673,
  [SMALL_STATE(6731)] = 270734,
  [SMALL_STATE(6732)] = 270795,
  [SMALL_STATE(6733)] = 270856,
  [SMALL_STATE(6734)] = 270917,
  [SMALL_STATE(6735)] = 270978,
  [SMALL_STATE(6736)] = 271039,
  [SMALL_STATE(6737)] = 271100,
  [SMALL_STATE(6738)] = 271161,
  [SMALL_STATE(6739)] = 271222,
  [SMALL_STATE(6740)] = 271289,
  [SMALL_STATE(6741)] = 271352,
  [SMALL_STATE(6742)] = 271413,
  [SMALL_STATE(6743)] = 271474,
  [SMALL_STATE(6744)] = 271537,
  [SMALL_STATE(6745)] = 271598,
  [SMALL_STATE(6746)] = 271659,
  [SMALL_STATE(6747)] = 271720,
  [SMALL_STATE(6748)] = 271781,
  [SMALL_STATE(6749)] = 271842,
  [SMALL_STATE(6750)] = 271903,
  [SMALL_STATE(6751)] = 271964,
  [SMALL_STATE(6752)] = 272025,
  [SMALL_STATE(6753)] = 272086,
  [SMALL_STATE(6754)] = 272153,
  [SMALL_STATE(6755)] = 272214,
  [SMALL_STATE(6756)] = 272275,
  [SMALL_STATE(6757)] = 272336,
  [SMALL_STATE(6758)] = 272396,
  [SMALL_STATE(6759)] = 272456,
  [SMALL_STATE(6760)] = 272516,
  [SMALL_STATE(6761)] = 272576,
  [SMALL_STATE(6762)] = 272636,
  [SMALL_STATE(6763)] = 272696,
  [SMALL_STATE(6764)] = 272756,
  [SMALL_STATE(6765)] = 272816,
  [SMALL_STATE(6766)] = 272876,
  [SMALL_STATE(6767)] = 272938,
  [SMALL_STATE(6768)] = 272998,
  [SMALL_STATE(6769)] = 273058,
  [SMALL_STATE(6770)] = 273120,
  [SMALL_STATE(6771)] = 273180,
  [SMALL_STATE(6772)] = 273240,
  [SMALL_STATE(6773)] = 273300,
  [SMALL_STATE(6774)] = 273360,
  [SMALL_STATE(6775)] = 273420,
  [SMALL_STATE(6776)] = 273480,
  [SMALL_STATE(6777)] = 273542,
  [SMALL_STATE(6778)] = 273604,
  [SMALL_STATE(6779)] = 273664,
  [SMALL_STATE(6780)] = 273724,
  [SMALL_STATE(6781)] = 273784,
  [SMALL_STATE(6782)] = 273844,
  [SMALL_STATE(6783)] = 273904,
  [SMALL_STATE(6784)] = 273964,
  [SMALL_STATE(6785)] = 274024,
  [SMALL_STATE(6786)] = 274084,
  [SMALL_STATE(6787)] = 274144,
  [SMALL_STATE(6788)] = 274204,
  [SMALL_STATE(6789)] = 274264,
  [SMALL_STATE(6790)] = 274324,
  [SMALL_STATE(6791)] = 274384,
  [SMALL_STATE(6792)] = 274444,
  [SMALL_STATE(6793)] = 274504,
  [SMALL_STATE(6794)] = 274564,
  [SMALL_STATE(6795)] = 274626,
  [SMALL_STATE(6796)] = 274686,
  [SMALL_STATE(6797)] = 274746,
  [SMALL_STATE(6798)] = 274806,
  [SMALL_STATE(6799)] = 274866,
  [SMALL_STATE(6800)] = 274926,
  [SMALL_STATE(6801)] = 274986,
  [SMALL_STATE(6802)] = 275046,
  [SMALL_STATE(6803)] = 275106,
  [SMALL_STATE(6804)] = 275166,
  [SMALL_STATE(6805)] = 275226,
  [SMALL_STATE(6806)] = 275286,
  [SMALL_STATE(6807)] = 275346,
  [SMALL_STATE(6808)] = 275406,
  [SMALL_STATE(6809)] = 275466,
  [SMALL_STATE(6810)] = 275526,
  [SMALL_STATE(6811)] = 275590,
  [SMALL_STATE(6812)] = 275652,
  [SMALL_STATE(6813)] = 275712,
  [SMALL_STATE(6814)] = 275778,
  [SMALL_STATE(6815)] = 275838,
  [SMALL_STATE(6816)] = 275898,
  [SMALL_STATE(6817)] = 275960,
  [SMALL_STATE(6818)] = 276020,
  [SMALL_STATE(6819)] = 276080,
  [SMALL_STATE(6820)] = 276140,
  [SMALL_STATE(6821)] = 276200,
  [SMALL_STATE(6822)] = 276260,
  [SMALL_STATE(6823)] = 276320,
  [SMALL_STATE(6824)] = 276380,
  [SMALL_STATE(6825)] = 276440,
  [SMALL_STATE(6826)] = 276500,
  [SMALL_STATE(6827)] = 276560,
  [SMALL_STATE(6828)] = 276620,
  [SMALL_STATE(6829)] = 276680,
  [SMALL_STATE(6830)] = 276740,
  [SMALL_STATE(6831)] = 276800,
  [SMALL_STATE(6832)] = 276860,
  [SMALL_STATE(6833)] = 276920,
  [SMALL_STATE(6834)] = 276980,
  [SMALL_STATE(6835)] = 277040,
  [SMALL_STATE(6836)] = 277100,
  [SMALL_STATE(6837)] = 277160,
  [SMALL_STATE(6838)] = 277220,
  [SMALL_STATE(6839)] = 277280,
  [SMALL_STATE(6840)] = 277340,
  [SMALL_STATE(6841)] = 277400,
  [SMALL_STATE(6842)] = 277460,
  [SMALL_STATE(6843)] = 277520,
  [SMALL_STATE(6844)] = 277580,
  [SMALL_STATE(6845)] = 277640,
  [SMALL_STATE(6846)] = 277700,
  [SMALL_STATE(6847)] = 277760,
  [SMALL_STATE(6848)] = 277820,
  [SMALL_STATE(6849)] = 277880,
  [SMALL_STATE(6850)] = 277940,
  [SMALL_STATE(6851)] = 278002,
  [SMALL_STATE(6852)] = 278062,
  [SMALL_STATE(6853)] = 278122,
  [SMALL_STATE(6854)] = 278182,
  [SMALL_STATE(6855)] = 278242,
  [SMALL_STATE(6856)] = 278302,
  [SMALL_STATE(6857)] = 278362,
  [SMALL_STATE(6858)] = 278422,
  [SMALL_STATE(6859)] = 278482,
  [SMALL_STATE(6860)] = 278542,
  [SMALL_STATE(6861)] = 278602,
  [SMALL_STATE(6862)] = 278662,
  [SMALL_STATE(6863)] = 278722,
  [SMALL_STATE(6864)] = 278782,
  [SMALL_STATE(6865)] = 278842,
  [SMALL_STATE(6866)] = 278902,
  [SMALL_STATE(6867)] = 278964,
  [SMALL_STATE(6868)] = 279024,
  [SMALL_STATE(6869)] = 279084,
  [SMALL_STATE(6870)] = 279144,
  [SMALL_STATE(6871)] = 279204,
  [SMALL_STATE(6872)] = 279264,
  [SMALL_STATE(6873)] = 279324,
  [SMALL_STATE(6874)] = 279384,
  [SMALL_STATE(6875)] = 279444,
  [SMALL_STATE(6876)] = 279504,
  [SMALL_STATE(6877)] = 279564,
  [SMALL_STATE(6878)] = 279628,
  [SMALL_STATE(6879)] = 279688,
  [SMALL_STATE(6880)] = 279750,
  [SMALL_STATE(6881)] = 279810,
  [SMALL_STATE(6882)] = 279870,
  [SMALL_STATE(6883)] = 279930,
  [SMALL_STATE(6884)] = 279990,
  [SMALL_STATE(6885)] = 280050,
  [SMALL_STATE(6886)] = 280116,
  [SMALL_STATE(6887)] = 280176,
  [SMALL_STATE(6888)] = 280236,
  [SMALL_STATE(6889)] = 280296,
  [SMALL_STATE(6890)] = 280356,
  [SMALL_STATE(6891)] = 280416,
  [SMALL_STATE(6892)] = 280476,
  [SMALL_STATE(6893)] = 280536,
  [SMALL_STATE(6894)] = 280596,
  [SMALL_STATE(6895)] = 280656,
  [SMALL_STATE(6896)] = 280716,
  [SMALL_STATE(6897)] = 280776,
  [SMALL_STATE(6898)] = 280836,
  [SMALL_STATE(6899)] = 280896,
  [SMALL_STATE(6900)] = 280956,
  [SMALL_STATE(6901)] = 281016,
  [SMALL_STATE(6902)] = 281076,
  [SMALL_STATE(6903)] = 281136,
  [SMALL_STATE(6904)] = 281196,
  [SMALL_STATE(6905)] = 281255,
  [SMALL_STATE(6906)] = 281314,
  [SMALL_STATE(6907)] = 281373,
  [SMALL_STATE(6908)] = 281432,
  [SMALL_STATE(6909)] = 281491,
  [SMALL_STATE(6910)] = 281554,
  [SMALL_STATE(6911)] = 281615,
  [SMALL_STATE(6912)] = 281674,
  [SMALL_STATE(6913)] = 281739,
  [SMALL_STATE(6914)] = 281798,
  [SMALL_STATE(6915)] = 281857,
  [SMALL_STATE(6916)] = 281918,
  [SMALL_STATE(6917)] = 281977,
  [SMALL_STATE(6918)] = 282036,
  [SMALL_STATE(6919)] = 282095,
  [SMALL_STATE(6920)] = 282154,
  [SMALL_STATE(6921)] = 282213,
  [SMALL_STATE(6922)] = 282272,
  [SMALL_STATE(6923)] = 282331,
  [SMALL_STATE(6924)] = 282390,
  [SMALL_STATE(6925)] = 282449,
  [SMALL_STATE(6926)] = 282508,
  [SMALL_STATE(6927)] = 282567,
  [SMALL_STATE(6928)] = 282626,
  [SMALL_STATE(6929)] = 282685,
  [SMALL_STATE(6930)] = 282744,
  [SMALL_STATE(6931)] = 282803,
  [SMALL_STATE(6932)] = 282864,
  [SMALL_STATE(6933)] = 282923,
  [SMALL_STATE(6934)] = 282982,
  [SMALL_STATE(6935)] = 283041,
  [SMALL_STATE(6936)] = 283100,
  [SMALL_STATE(6937)] = 283159,
  [SMALL_STATE(6938)] = 283218,
  [SMALL_STATE(6939)] = 283277,
  [SMALL_STATE(6940)] = 283336,
  [SMALL_STATE(6941)] = 283395,
  [SMALL_STATE(6942)] = 283454,
  [SMALL_STATE(6943)] = 283513,
  [SMALL_STATE(6944)] = 283572,
  [SMALL_STATE(6945)] = 283631,
  [SMALL_STATE(6946)] = 283690,
  [SMALL_STATE(6947)] = 283749,
  [SMALL_STATE(6948)] = 283808,
  [SMALL_STATE(6949)] = 283867,
  [SMALL_STATE(6950)] = 283928,
  [SMALL_STATE(6951)] = 283987,
  [SMALL_STATE(6952)] = 284046,
  [SMALL_STATE(6953)] = 284105,
  [SMALL_STATE(6954)] = 284164,
  [SMALL_STATE(6955)] = 284225,
  [SMALL_STATE(6956)] = 284284,
  [SMALL_STATE(6957)] = 284345,
  [SMALL_STATE(6958)] = 284404,
  [SMALL_STATE(6959)] = 284463,
  [SMALL_STATE(6960)] = 284522,
  [SMALL_STATE(6961)] = 284581,
  [SMALL_STATE(6962)] = 284640,
  [SMALL_STATE(6963)] = 284699,
  [SMALL_STATE(6964)] = 284758,
  [SMALL_STATE(6965)] = 284817,
  [SMALL_STATE(6966)] = 284876,
  [SMALL_STATE(6967)] = 284935,
  [SMALL_STATE(6968)] = 284994,
  [SMALL_STATE(6969)] = 285053,
  [SMALL_STATE(6970)] = 285112,
  [SMALL_STATE(6971)] = 285171,
  [SMALL_STATE(6972)] = 285230,
  [SMALL_STATE(6973)] = 285289,
  [SMALL_STATE(6974)] = 285348,
  [SMALL_STATE(6975)] = 285407,
  [SMALL_STATE(6976)] = 285466,
  [SMALL_STATE(6977)] = 285525,
  [SMALL_STATE(6978)] = 285584,
  [SMALL_STATE(6979)] = 285643,
  [SMALL_STATE(6980)] = 285702,
  [SMALL_STATE(6981)] = 285761,
  [SMALL_STATE(6982)] = 285820,
  [SMALL_STATE(6983)] = 285879,
  [SMALL_STATE(6984)] = 285938,
  [SMALL_STATE(6985)] = 285997,
  [SMALL_STATE(6986)] = 286056,
  [SMALL_STATE(6987)] = 286115,
  [SMALL_STATE(6988)] = 286174,
  [SMALL_STATE(6989)] = 286233,
  [SMALL_STATE(6990)] = 286294,
  [SMALL_STATE(6991)] = 286353,
  [SMALL_STATE(6992)] = 286412,
  [SMALL_STATE(6993)] = 286471,
  [SMALL_STATE(6994)] = 286530,
  [SMALL_STATE(6995)] = 286589,
  [SMALL_STATE(6996)] = 286650,
  [SMALL_STATE(6997)] = 286709,
  [SMALL_STATE(6998)] = 286768,
  [SMALL_STATE(6999)] = 286827,
  [SMALL_STATE(7000)] = 286892,
  [SMALL_STATE(7001)] = 286951,
  [SMALL_STATE(7002)] = 287010,
  [SMALL_STATE(7003)] = 287075,
  [SMALL_STATE(7004)] = 287134,
  [SMALL_STATE(7005)] = 287193,
  [SMALL_STATE(7006)] = 287252,
  [SMALL_STATE(7007)] = 287311,
  [SMALL_STATE(7008)] = 287370,
  [SMALL_STATE(7009)] = 287429,
  [SMALL_STATE(7010)] = 287488,
  [SMALL_STATE(7011)] = 287547,
  [SMALL_STATE(7012)] = 287606,
  [SMALL_STATE(7013)] = 287665,
  [SMALL_STATE(7014)] = 287724,
  [SMALL_STATE(7015)] = 287783,
  [SMALL_STATE(7016)] = 287842,
  [SMALL_STATE(7017)] = 287901,
  [SMALL_STATE(7018)] = 287960,
  [SMALL_STATE(7019)] = 288019,
  [SMALL_STATE(7020)] = 288078,
  [SMALL_STATE(7021)] = 288137,
  [SMALL_STATE(7022)] = 288198,
  [SMALL_STATE(7023)] = 288257,
  [SMALL_STATE(7024)] = 288316,
  [SMALL_STATE(7025)] = 288375,
  [SMALL_STATE(7026)] = 288434,
  [SMALL_STATE(7027)] = 288493,
  [SMALL_STATE(7028)] = 288552,
  [SMALL_STATE(7029)] = 288611,
  [SMALL_STATE(7030)] = 288670,
  [SMALL_STATE(7031)] = 288729,
  [SMALL_STATE(7032)] = 288788,
  [SMALL_STATE(7033)] = 288847,
  [SMALL_STATE(7034)] = 288906,
  [SMALL_STATE(7035)] = 288965,
  [SMALL_STATE(7036)] = 289024,
  [SMALL_STATE(7037)] = 289083,
  [SMALL_STATE(7038)] = 289142,
  [SMALL_STATE(7039)] = 289201,
  [SMALL_STATE(7040)] = 289260,
  [SMALL_STATE(7041)] = 289319,
  [SMALL_STATE(7042)] = 289378,
  [SMALL_STATE(7043)] = 289437,
  [SMALL_STATE(7044)] = 289496,
  [SMALL_STATE(7045)] = 289555,
  [SMALL_STATE(7046)] = 289614,
  [SMALL_STATE(7047)] = 289673,
  [SMALL_STATE(7048)] = 289732,
  [SMALL_STATE(7049)] = 289791,
  [SMALL_STATE(7050)] = 289850,
  [SMALL_STATE(7051)] = 289909,
  [SMALL_STATE(7052)] = 289968,
  [SMALL_STATE(7053)] = 290027,
  [SMALL_STATE(7054)] = 290086,
  [SMALL_STATE(7055)] = 290145,
  [SMALL_STATE(7056)] = 290204,
  [SMALL_STATE(7057)] = 290263,
  [SMALL_STATE(7058)] = 290369,
  [SMALL_STATE(7059)] = 290429,
  [SMALL_STATE(7060)] = 290487,
  [SMALL_STATE(7061)] = 290547,
  [SMALL_STATE(7062)] = 290605,
  [SMALL_STATE(7063)] = 290711,
  [SMALL_STATE(7064)] = 290769,
  [SMALL_STATE(7065)] = 290827,
  [SMALL_STATE(7066)] = 290933,
  [SMALL_STATE(7067)] = 290991,
  [SMALL_STATE(7068)] = 291049,
  [SMALL_STATE(7069)] = 291107,
  [SMALL_STATE(7070)] = 291165,
  [SMALL_STATE(7071)] = 291223,
  [SMALL_STATE(7072)] = 291281,
  [SMALL_STATE(7073)] = 291379,
  [SMALL_STATE(7074)] = 291439,
  [SMALL_STATE(7075)] = 291545,
  [SMALL_STATE(7076)] = 291603,
  [SMALL_STATE(7077)] = 291661,
  [SMALL_STATE(7078)] = 291767,
  [SMALL_STATE(7079)] = 291865,
  [SMALL_STATE(7080)] = 291971,
  [SMALL_STATE(7081)] = 292029,
  [SMALL_STATE(7082)] = 292087,
  [SMALL_STATE(7083)] = 292145,
  [SMALL_STATE(7084)] = 292243,
  [SMALL_STATE(7085)] = 292341,
  [SMALL_STATE(7086)] = 292399,
  [SMALL_STATE(7087)] = 292497,
  [SMALL_STATE(7088)] = 292555,
  [SMALL_STATE(7089)] = 292653,
  [SMALL_STATE(7090)] = 292711,
  [SMALL_STATE(7091)] = 292769,
  [SMALL_STATE(7092)] = 292827,
  [SMALL_STATE(7093)] = 292933,
  [SMALL_STATE(7094)] = 292991,
  [SMALL_STATE(7095)] = 293049,
  [SMALL_STATE(7096)] = 293107,
  [SMALL_STATE(7097)] = 293165,
  [SMALL_STATE(7098)] = 293223,
  [SMALL_STATE(7099)] = 293281,
  [SMALL_STATE(7100)] = 293339,
  [SMALL_STATE(7101)] = 293397,
  [SMALL_STATE(7102)] = 293495,
  [SMALL_STATE(7103)] = 293593,
  [SMALL_STATE(7104)] = 293651,
  [SMALL_STATE(7105)] = 293749,
  [SMALL_STATE(7106)] = 293807,
  [SMALL_STATE(7107)] = 293865,
  [SMALL_STATE(7108)] = 293923,
  [SMALL_STATE(7109)] = 293981,
  [SMALL_STATE(7110)] = 294039,
  [SMALL_STATE(7111)] = 294097,
  [SMALL_STATE(7112)] = 294155,
  [SMALL_STATE(7113)] = 294213,
  [SMALL_STATE(7114)] = 294271,
  [SMALL_STATE(7115)] = 294329,
  [SMALL_STATE(7116)] = 294387,
  [SMALL_STATE(7117)] = 294447,
  [SMALL_STATE(7118)] = 294507,
  [SMALL_STATE(7119)] = 294571,
  [SMALL_STATE(7120)] = 294629,
  [SMALL_STATE(7121)] = 294687,
  [SMALL_STATE(7122)] = 294745,
  [SMALL_STATE(7123)] = 294803,
  [SMALL_STATE(7124)] = 294861,
  [SMALL_STATE(7125)] = 294919,
  [SMALL_STATE(7126)] = 294977,
  [SMALL_STATE(7127)] = 295035,
  [SMALL_STATE(7128)] = 295093,
  [SMALL_STATE(7129)] = 295151,
  [SMALL_STATE(7130)] = 295249,
  [SMALL_STATE(7131)] = 295307,
  [SMALL_STATE(7132)] = 295405,
  [SMALL_STATE(7133)] = 295503,
  [SMALL_STATE(7134)] = 295561,
  [SMALL_STATE(7135)] = 295619,
  [SMALL_STATE(7136)] = 295725,
  [SMALL_STATE(7137)] = 295783,
  [SMALL_STATE(7138)] = 295841,
  [SMALL_STATE(7139)] = 295899,
  [SMALL_STATE(7140)] = 295957,
  [SMALL_STATE(7141)] = 296015,
  [SMALL_STATE(7142)] = 296073,
  [SMALL_STATE(7143)] = 296131,
  [SMALL_STATE(7144)] = 296189,
  [SMALL_STATE(7145)] = 296247,
  [SMALL_STATE(7146)] = 296305,
  [SMALL_STATE(7147)] = 296403,
  [SMALL_STATE(7148)] = 296461,
  [SMALL_STATE(7149)] = 296519,
  [SMALL_STATE(7150)] = 296579,
  [SMALL_STATE(7151)] = 296637,
  [SMALL_STATE(7152)] = 296695,
  [SMALL_STATE(7153)] = 296753,
  [SMALL_STATE(7154)] = 296811,
  [SMALL_STATE(7155)] = 296917,
  [SMALL_STATE(7156)] = 296975,
  [SMALL_STATE(7157)] = 297033,
  [SMALL_STATE(7158)] = 297091,
  [SMALL_STATE(7159)] = 297149,
  [SMALL_STATE(7160)] = 297207,
  [SMALL_STATE(7161)] = 297265,
  [SMALL_STATE(7162)] = 297323,
  [SMALL_STATE(7163)] = 297381,
  [SMALL_STATE(7164)] = 297439,
  [SMALL_STATE(7165)] = 297497,
  [SMALL_STATE(7166)] = 297555,
  [SMALL_STATE(7167)] = 297613,
  [SMALL_STATE(7168)] = 297671,
  [SMALL_STATE(7169)] = 297729,
  [SMALL_STATE(7170)] = 297793,
  [SMALL_STATE(7171)] = 297851,
  [SMALL_STATE(7172)] = 297908,
  [SMALL_STATE(7173)] = 297965,
  [SMALL_STATE(7174)] = 298022,
  [SMALL_STATE(7175)] = 298079,
  [SMALL_STATE(7176)] = 298136,
  [SMALL_STATE(7177)] = 298193,
  [SMALL_STATE(7178)] = 298250,
  [SMALL_STATE(7179)] = 298307,
  [SMALL_STATE(7180)] = 298364,
  [SMALL_STATE(7181)] = 298421,
  [SMALL_STATE(7182)] = 298480,
  [SMALL_STATE(7183)] = 298537,
  [SMALL_STATE(7184)] = 298594,
  [SMALL_STATE(7185)] = 298651,
  [SMALL_STATE(7186)] = 298708,
  [SMALL_STATE(7187)] = 298765,
  [SMALL_STATE(7188)] = 298822,
  [SMALL_STATE(7189)] = 298879,
  [SMALL_STATE(7190)] = 298936,
  [SMALL_STATE(7191)] = 298995,
  [SMALL_STATE(7192)] = 299054,
  [SMALL_STATE(7193)] = 299111,
  [SMALL_STATE(7194)] = 299170,
  [SMALL_STATE(7195)] = 299229,
  [SMALL_STATE(7196)] = 299286,
  [SMALL_STATE(7197)] = 299343,
  [SMALL_STATE(7198)] = 299452,
  [SMALL_STATE(7199)] = 299511,
  [SMALL_STATE(7200)] = 299568,
  [SMALL_STATE(7201)] = 299625,
  [SMALL_STATE(7202)] = 299682,
  [SMALL_STATE(7203)] = 299739,
  [SMALL_STATE(7204)] = 299796,
  [SMALL_STATE(7205)] = 299855,
  [SMALL_STATE(7206)] = 299912,
  [SMALL_STATE(7207)] = 299969,
  [SMALL_STATE(7208)] = 300026,
  [SMALL_STATE(7209)] = 300135,
  [SMALL_STATE(7210)] = 300192,
  [SMALL_STATE(7211)] = 300249,
  [SMALL_STATE(7212)] = 300306,
  [SMALL_STATE(7213)] = 300363,
  [SMALL_STATE(7214)] = 300420,
  [SMALL_STATE(7215)] = 300477,
  [SMALL_STATE(7216)] = 300534,
  [SMALL_STATE(7217)] = 300591,
  [SMALL_STATE(7218)] = 300650,
  [SMALL_STATE(7219)] = 300707,
  [SMALL_STATE(7220)] = 300764,
  [SMALL_STATE(7221)] = 300821,
  [SMALL_STATE(7222)] = 300878,
  [SMALL_STATE(7223)] = 300935,
  [SMALL_STATE(7224)] = 300992,
  [SMALL_STATE(7225)] = 301051,
  [SMALL_STATE(7226)] = 301108,
  [SMALL_STATE(7227)] = 301165,
  [SMALL_STATE(7228)] = 301222,
  [SMALL_STATE(7229)] = 301279,
  [SMALL_STATE(7230)] = 301336,
  [SMALL_STATE(7231)] = 301393,
  [SMALL_STATE(7232)] = 301450,
  [SMALL_STATE(7233)] = 301507,
  [SMALL_STATE(7234)] = 301564,
  [SMALL_STATE(7235)] = 301621,
  [SMALL_STATE(7236)] = 301680,
  [SMALL_STATE(7237)] = 301737,
  [SMALL_STATE(7238)] = 301794,
  [SMALL_STATE(7239)] = 301851,
  [SMALL_STATE(7240)] = 301908,
  [SMALL_STATE(7241)] = 301965,
  [SMALL_STATE(7242)] = 302022,
  [SMALL_STATE(7243)] = 302079,
  [SMALL_STATE(7244)] = 302136,
  [SMALL_STATE(7245)] = 302193,
  [SMALL_STATE(7246)] = 302250,
  [SMALL_STATE(7247)] = 302307,
  [SMALL_STATE(7248)] = 302364,
  [SMALL_STATE(7249)] = 302421,
  [SMALL_STATE(7250)] = 302530,
  [SMALL_STATE(7251)] = 302589,
  [SMALL_STATE(7252)] = 302646,
  [SMALL_STATE(7253)] = 302703,
  [SMALL_STATE(7254)] = 302760,
  [SMALL_STATE(7255)] = 302817,
  [SMALL_STATE(7256)] = 302874,
  [SMALL_STATE(7257)] = 302931,
  [SMALL_STATE(7258)] = 302988,
  [SMALL_STATE(7259)] = 303045,
  [SMALL_STATE(7260)] = 303102,
  [SMALL_STATE(7261)] = 303159,
  [SMALL_STATE(7262)] = 303216,
  [SMALL_STATE(7263)] = 303273,
  [SMALL_STATE(7264)] = 303330,
  [SMALL_STATE(7265)] = 303387,
  [SMALL_STATE(7266)] = 303444,
  [SMALL_STATE(7267)] = 303503,
  [SMALL_STATE(7268)] = 303560,
  [SMALL_STATE(7269)] = 303617,
  [SMALL_STATE(7270)] = 303674,
  [SMALL_STATE(7271)] = 303731,
  [SMALL_STATE(7272)] = 303788,
  [SMALL_STATE(7273)] = 303845,
  [SMALL_STATE(7274)] = 303902,
  [SMALL_STATE(7275)] = 303959,
  [SMALL_STATE(7276)] = 304016,
  [SMALL_STATE(7277)] = 304079,
  [SMALL_STATE(7278)] = 304136,
  [SMALL_STATE(7279)] = 304193,
  [SMALL_STATE(7280)] = 304250,
  [SMALL_STATE(7281)] = 304307,
  [SMALL_STATE(7282)] = 304364,
  [SMALL_STATE(7283)] = 304421,
  [SMALL_STATE(7284)] = 304478,
  [SMALL_STATE(7285)] = 304535,
  [SMALL_STATE(7286)] = 304592,
  [SMALL_STATE(7287)] = 304649,
  [SMALL_STATE(7288)] = 304706,
  [SMALL_STATE(7289)] = 304763,
  [SMALL_STATE(7290)] = 304820,
  [SMALL_STATE(7291)] = 304877,
  [SMALL_STATE(7292)] = 304934,
  [SMALL_STATE(7293)] = 304991,
  [SMALL_STATE(7294)] = 305048,
  [SMALL_STATE(7295)] = 305105,
  [SMALL_STATE(7296)] = 305162,
  [SMALL_STATE(7297)] = 305219,
  [SMALL_STATE(7298)] = 305276,
  [SMALL_STATE(7299)] = 305333,
  [SMALL_STATE(7300)] = 305392,
  [SMALL_STATE(7301)] = 305449,
  [SMALL_STATE(7302)] = 305506,
  [SMALL_STATE(7303)] = 305563,
  [SMALL_STATE(7304)] = 305620,
  [SMALL_STATE(7305)] = 305677,
  [SMALL_STATE(7306)] = 305734,
  [SMALL_STATE(7307)] = 305791,
  [SMALL_STATE(7308)] = 305848,
  [SMALL_STATE(7309)] = 305905,
  [SMALL_STATE(7310)] = 305962,
  [SMALL_STATE(7311)] = 306025,
  [SMALL_STATE(7312)] = 306082,
  [SMALL_STATE(7313)] = 306139,
  [SMALL_STATE(7314)] = 306196,
  [SMALL_STATE(7315)] = 306253,
  [SMALL_STATE(7316)] = 306310,
  [SMALL_STATE(7317)] = 306367,
  [SMALL_STATE(7318)] = 306424,
  [SMALL_STATE(7319)] = 306481,
  [SMALL_STATE(7320)] = 306538,
  [SMALL_STATE(7321)] = 306597,
  [SMALL_STATE(7322)] = 306654,
  [SMALL_STATE(7323)] = 306711,
  [SMALL_STATE(7324)] = 306768,
  [SMALL_STATE(7325)] = 306825,
  [SMALL_STATE(7326)] = 306882,
  [SMALL_STATE(7327)] = 306939,
  [SMALL_STATE(7328)] = 306998,
  [SMALL_STATE(7329)] = 307055,
  [SMALL_STATE(7330)] = 307112,
  [SMALL_STATE(7331)] = 307169,
  [SMALL_STATE(7332)] = 307226,
  [SMALL_STATE(7333)] = 307283,
  [SMALL_STATE(7334)] = 307340,
  [SMALL_STATE(7335)] = 307397,
  [SMALL_STATE(7336)] = 307454,
  [SMALL_STATE(7337)] = 307511,
  [SMALL_STATE(7338)] = 307568,
  [SMALL_STATE(7339)] = 307625,
  [SMALL_STATE(7340)] = 307682,
  [SMALL_STATE(7341)] = 307739,
  [SMALL_STATE(7342)] = 307796,
  [SMALL_STATE(7343)] = 307853,
  [SMALL_STATE(7344)] = 307910,
  [SMALL_STATE(7345)] = 307967,
  [SMALL_STATE(7346)] = 308024,
  [SMALL_STATE(7347)] = 308081,
  [SMALL_STATE(7348)] = 308138,
  [SMALL_STATE(7349)] = 308197,
  [SMALL_STATE(7350)] = 308254,
  [SMALL_STATE(7351)] = 308313,
  [SMALL_STATE(7352)] = 308370,
  [SMALL_STATE(7353)] = 308427,
  [SMALL_STATE(7354)] = 308484,
  [SMALL_STATE(7355)] = 308541,
  [SMALL_STATE(7356)] = 308598,
  [SMALL_STATE(7357)] = 308655,
  [SMALL_STATE(7358)] = 308764,
  [SMALL_STATE(7359)] = 308821,
  [SMALL_STATE(7360)] = 308878,
  [SMALL_STATE(7361)] = 308935,
  [SMALL_STATE(7362)] = 308994,
  [SMALL_STATE(7363)] = 309051,
  [SMALL_STATE(7364)] = 309108,
  [SMALL_STATE(7365)] = 309165,
  [SMALL_STATE(7366)] = 309222,
  [SMALL_STATE(7367)] = 309279,
  [SMALL_STATE(7368)] = 309336,
  [SMALL_STATE(7369)] = 309393,
  [SMALL_STATE(7370)] = 309450,
  [SMALL_STATE(7371)] = 309507,
  [SMALL_STATE(7372)] = 309564,
  [SMALL_STATE(7373)] = 309623,
  [SMALL_STATE(7374)] = 309686,
  [SMALL_STATE(7375)] = 309743,
  [SMALL_STATE(7376)] = 309852,
  [SMALL_STATE(7377)] = 309909,
  [SMALL_STATE(7378)] = 309966,
  [SMALL_STATE(7379)] = 310023,
  [SMALL_STATE(7380)] = 310080,
  [SMALL_STATE(7381)] = 310137,
  [SMALL_STATE(7382)] = 310194,
  [SMALL_STATE(7383)] = 310251,
  [SMALL_STATE(7384)] = 310360,
  [SMALL_STATE(7385)] = 310417,
  [SMALL_STATE(7386)] = 310474,
  [SMALL_STATE(7387)] = 310531,
  [SMALL_STATE(7388)] = 310588,
  [SMALL_STATE(7389)] = 310645,
  [SMALL_STATE(7390)] = 310702,
  [SMALL_STATE(7391)] = 310759,
  [SMALL_STATE(7392)] = 310816,
  [SMALL_STATE(7393)] = 310873,
  [SMALL_STATE(7394)] = 310930,
  [SMALL_STATE(7395)] = 310987,
  [SMALL_STATE(7396)] = 311044,
  [SMALL_STATE(7397)] = 311101,
  [SMALL_STATE(7398)] = 311158,
  [SMALL_STATE(7399)] = 311215,
  [SMALL_STATE(7400)] = 311272,
  [SMALL_STATE(7401)] = 311329,
  [SMALL_STATE(7402)] = 311386,
  [SMALL_STATE(7403)] = 311443,
  [SMALL_STATE(7404)] = 311500,
  [SMALL_STATE(7405)] = 311557,
  [SMALL_STATE(7406)] = 311614,
  [SMALL_STATE(7407)] = 311671,
  [SMALL_STATE(7408)] = 311734,
  [SMALL_STATE(7409)] = 311791,
  [SMALL_STATE(7410)] = 311900,
  [SMALL_STATE(7411)] = 311957,
  [SMALL_STATE(7412)] = 312014,
  [SMALL_STATE(7413)] = 312071,
  [SMALL_STATE(7414)] = 312128,
  [SMALL_STATE(7415)] = 312185,
  [SMALL_STATE(7416)] = 312242,
  [SMALL_STATE(7417)] = 312299,
  [SMALL_STATE(7418)] = 312356,
  [SMALL_STATE(7419)] = 312413,
  [SMALL_STATE(7420)] = 312470,
  [SMALL_STATE(7421)] = 312527,
  [SMALL_STATE(7422)] = 312586,
  [SMALL_STATE(7423)] = 312643,
  [SMALL_STATE(7424)] = 312700,
  [SMALL_STATE(7425)] = 312757,
  [SMALL_STATE(7426)] = 312814,
  [SMALL_STATE(7427)] = 312871,
  [SMALL_STATE(7428)] = 312928,
  [SMALL_STATE(7429)] = 312985,
  [SMALL_STATE(7430)] = 313042,
  [SMALL_STATE(7431)] = 313099,
  [SMALL_STATE(7432)] = 313156,
  [SMALL_STATE(7433)] = 313213,
  [SMALL_STATE(7434)] = 313270,
  [SMALL_STATE(7435)] = 313327,
  [SMALL_STATE(7436)] = 313384,
  [SMALL_STATE(7437)] = 313441,
  [SMALL_STATE(7438)] = 313498,
  [SMALL_STATE(7439)] = 313555,
  [SMALL_STATE(7440)] = 313612,
  [SMALL_STATE(7441)] = 313669,
  [SMALL_STATE(7442)] = 313726,
  [SMALL_STATE(7443)] = 313783,
  [SMALL_STATE(7444)] = 313840,
  [SMALL_STATE(7445)] = 313903,
  [SMALL_STATE(7446)] = 313960,
  [SMALL_STATE(7447)] = 314017,
  [SMALL_STATE(7448)] = 314074,
  [SMALL_STATE(7449)] = 314131,
  [SMALL_STATE(7450)] = 314188,
  [SMALL_STATE(7451)] = 314245,
  [SMALL_STATE(7452)] = 314302,
  [SMALL_STATE(7453)] = 314359,
  [SMALL_STATE(7454)] = 314416,
  [SMALL_STATE(7455)] = 314473,
  [SMALL_STATE(7456)] = 314530,
  [SMALL_STATE(7457)] = 314587,
  [SMALL_STATE(7458)] = 314644,
  [SMALL_STATE(7459)] = 314703,
  [SMALL_STATE(7460)] = 314760,
  [SMALL_STATE(7461)] = 314817,
  [SMALL_STATE(7462)] = 314874,
  [SMALL_STATE(7463)] = 314931,
  [SMALL_STATE(7464)] = 314988,
  [SMALL_STATE(7465)] = 315045,
  [SMALL_STATE(7466)] = 315104,
  [SMALL_STATE(7467)] = 315161,
  [SMALL_STATE(7468)] = 315218,
  [SMALL_STATE(7469)] = 315275,
  [SMALL_STATE(7470)] = 315332,
  [SMALL_STATE(7471)] = 315389,
  [SMALL_STATE(7472)] = 315446,
  [SMALL_STATE(7473)] = 315503,
  [SMALL_STATE(7474)] = 315560,
  [SMALL_STATE(7475)] = 315617,
  [SMALL_STATE(7476)] = 315674,
  [SMALL_STATE(7477)] = 315731,
  [SMALL_STATE(7478)] = 315788,
  [SMALL_STATE(7479)] = 315845,
  [SMALL_STATE(7480)] = 315902,
  [SMALL_STATE(7481)] = 315959,
  [SMALL_STATE(7482)] = 316018,
  [SMALL_STATE(7483)] = 316075,
  [SMALL_STATE(7484)] = 316132,
  [SMALL_STATE(7485)] = 316195,
  [SMALL_STATE(7486)] = 316252,
  [SMALL_STATE(7487)] = 316309,
  [SMALL_STATE(7488)] = 316366,
  [SMALL_STATE(7489)] = 316423,
  [SMALL_STATE(7490)] = 316480,
  [SMALL_STATE(7491)] = 316537,
  [SMALL_STATE(7492)] = 316594,
  [SMALL_STATE(7493)] = 316651,
  [SMALL_STATE(7494)] = 316708,
  [SMALL_STATE(7495)] = 316767,
  [SMALL_STATE(7496)] = 316824,
  [SMALL_STATE(7497)] = 316881,
  [SMALL_STATE(7498)] = 316938,
  [SMALL_STATE(7499)] = 316995,
  [SMALL_STATE(7500)] = 317052,
  [SMALL_STATE(7501)] = 317109,
  [SMALL_STATE(7502)] = 317166,
  [SMALL_STATE(7503)] = 317223,
  [SMALL_STATE(7504)] = 317280,
  [SMALL_STATE(7505)] = 317337,
  [SMALL_STATE(7506)] = 317394,
  [SMALL_STATE(7507)] = 317451,
  [SMALL_STATE(7508)] = 317508,
  [SMALL_STATE(7509)] = 317565,
  [SMALL_STATE(7510)] = 317622,
  [SMALL_STATE(7511)] = 317679,
  [SMALL_STATE(7512)] = 317736,
  [SMALL_STATE(7513)] = 317793,
  [SMALL_STATE(7514)] = 317850,
  [SMALL_STATE(7515)] = 317907,
  [SMALL_STATE(7516)] = 317964,
  [SMALL_STATE(7517)] = 318021,
  [SMALL_STATE(7518)] = 318078,
  [SMALL_STATE(7519)] = 318135,
  [SMALL_STATE(7520)] = 318192,
  [SMALL_STATE(7521)] = 318249,
  [SMALL_STATE(7522)] = 318306,
  [SMALL_STATE(7523)] = 318363,
  [SMALL_STATE(7524)] = 318420,
  [SMALL_STATE(7525)] = 318477,
  [SMALL_STATE(7526)] = 318534,
  [SMALL_STATE(7527)] = 318591,
  [SMALL_STATE(7528)] = 318648,
  [SMALL_STATE(7529)] = 318705,
  [SMALL_STATE(7530)] = 318762,
  [SMALL_STATE(7531)] = 318819,
  [SMALL_STATE(7532)] = 318876,
  [SMALL_STATE(7533)] = 318933,
  [SMALL_STATE(7534)] = 318990,
  [SMALL_STATE(7535)] = 319047,
  [SMALL_STATE(7536)] = 319104,
  [SMALL_STATE(7537)] = 319161,
  [SMALL_STATE(7538)] = 319220,
  [SMALL_STATE(7539)] = 319277,
  [SMALL_STATE(7540)] = 319334,
  [SMALL_STATE(7541)] = 319391,
  [SMALL_STATE(7542)] = 319448,
  [SMALL_STATE(7543)] = 319505,
  [SMALL_STATE(7544)] = 319562,
  [SMALL_STATE(7545)] = 319619,
  [SMALL_STATE(7546)] = 319676,
  [SMALL_STATE(7547)] = 319733,
  [SMALL_STATE(7548)] = 319790,
  [SMALL_STATE(7549)] = 319847,
  [SMALL_STATE(7550)] = 319904,
  [SMALL_STATE(7551)] = 319961,
  [SMALL_STATE(7552)] = 320018,
  [SMALL_STATE(7553)] = 320075,
  [SMALL_STATE(7554)] = 320132,
  [SMALL_STATE(7555)] = 320195,
  [SMALL_STATE(7556)] = 320252,
  [SMALL_STATE(7557)] = 320309,
  [SMALL_STATE(7558)] = 320366,
  [SMALL_STATE(7559)] = 320423,
  [SMALL_STATE(7560)] = 320480,
  [SMALL_STATE(7561)] = 320589,
  [SMALL_STATE(7562)] = 320646,
  [SMALL_STATE(7563)] = 320703,
  [SMALL_STATE(7564)] = 320760,
  [SMALL_STATE(7565)] = 320823,
  [SMALL_STATE(7566)] = 320880,
  [SMALL_STATE(7567)] = 320937,
  [SMALL_STATE(7568)] = 320994,
  [SMALL_STATE(7569)] = 321051,
  [SMALL_STATE(7570)] = 321108,
  [SMALL_STATE(7571)] = 321165,
  [SMALL_STATE(7572)] = 321222,
  [SMALL_STATE(7573)] = 321279,
  [SMALL_STATE(7574)] = 321336,
  [SMALL_STATE(7575)] = 321393,
  [SMALL_STATE(7576)] = 321450,
  [SMALL_STATE(7577)] = 321507,
  [SMALL_STATE(7578)] = 321564,
  [SMALL_STATE(7579)] = 321621,
  [SMALL_STATE(7580)] = 321678,
  [SMALL_STATE(7581)] = 321735,
  [SMALL_STATE(7582)] = 321792,
  [SMALL_STATE(7583)] = 321849,
  [SMALL_STATE(7584)] = 321906,
  [SMALL_STATE(7585)] = 321965,
  [SMALL_STATE(7586)] = 322022,
  [SMALL_STATE(7587)] = 322078,
  [SMALL_STATE(7588)] = 322134,
  [SMALL_STATE(7589)] = 322190,
  [SMALL_STATE(7590)] = 322246,
  [SMALL_STATE(7591)] = 322302,
  [SMALL_STATE(7592)] = 322358,
  [SMALL_STATE(7593)] = 322414,
  [SMALL_STATE(7594)] = 322470,
  [SMALL_STATE(7595)] = 322526,
  [SMALL_STATE(7596)] = 322582,
  [SMALL_STATE(7597)] = 322638,
  [SMALL_STATE(7598)] = 322694,
  [SMALL_STATE(7599)] = 322750,
  [SMALL_STATE(7600)] = 322806,
  [SMALL_STATE(7601)] = 322862,
  [SMALL_STATE(7602)] = 322918,
  [SMALL_STATE(7603)] = 323024,
  [SMALL_STATE(7604)] = 323080,
  [SMALL_STATE(7605)] = 323136,
  [SMALL_STATE(7606)] = 323192,
  [SMALL_STATE(7607)] = 323248,
  [SMALL_STATE(7608)] = 323304,
  [SMALL_STATE(7609)] = 323360,
  [SMALL_STATE(7610)] = 323416,
  [SMALL_STATE(7611)] = 323472,
  [SMALL_STATE(7612)] = 323528,
  [SMALL_STATE(7613)] = 323584,
  [SMALL_STATE(7614)] = 323640,
  [SMALL_STATE(7615)] = 323696,
  [SMALL_STATE(7616)] = 323752,
  [SMALL_STATE(7617)] = 323808,
  [SMALL_STATE(7618)] = 323866,
  [SMALL_STATE(7619)] = 323922,
  [SMALL_STATE(7620)] = 323978,
  [SMALL_STATE(7621)] = 324034,
  [SMALL_STATE(7622)] = 324090,
  [SMALL_STATE(7623)] = 324146,
  [SMALL_STATE(7624)] = 324202,
  [SMALL_STATE(7625)] = 324258,
  [SMALL_STATE(7626)] = 324314,
  [SMALL_STATE(7627)] = 324370,
  [SMALL_STATE(7628)] = 324426,
  [SMALL_STATE(7629)] = 324482,
  [SMALL_STATE(7630)] = 324538,
  [SMALL_STATE(7631)] = 324594,
  [SMALL_STATE(7632)] = 324656,
  [SMALL_STATE(7633)] = 324712,
  [SMALL_STATE(7634)] = 324768,
  [SMALL_STATE(7635)] = 324824,
  [SMALL_STATE(7636)] = 324880,
  [SMALL_STATE(7637)] = 324936,
  [SMALL_STATE(7638)] = 324992,
  [SMALL_STATE(7639)] = 325050,
  [SMALL_STATE(7640)] = 325106,
  [SMALL_STATE(7641)] = 325162,
  [SMALL_STATE(7642)] = 325218,
  [SMALL_STATE(7643)] = 325274,
  [SMALL_STATE(7644)] = 325330,
  [SMALL_STATE(7645)] = 325386,
  [SMALL_STATE(7646)] = 325442,
  [SMALL_STATE(7647)] = 325498,
  [SMALL_STATE(7648)] = 325554,
  [SMALL_STATE(7649)] = 325610,
  [SMALL_STATE(7650)] = 325666,
  [SMALL_STATE(7651)] = 325722,
  [SMALL_STATE(7652)] = 325778,
  [SMALL_STATE(7653)] = 325834,
  [SMALL_STATE(7654)] = 325890,
  [SMALL_STATE(7655)] = 325946,
  [SMALL_STATE(7656)] = 326002,
  [SMALL_STATE(7657)] = 326058,
  [SMALL_STATE(7658)] = 326114,
  [SMALL_STATE(7659)] = 326170,
  [SMALL_STATE(7660)] = 326228,
  [SMALL_STATE(7661)] = 326284,
  [SMALL_STATE(7662)] = 326340,
  [SMALL_STATE(7663)] = 326396,
  [SMALL_STATE(7664)] = 326452,
  [SMALL_STATE(7665)] = 326508,
  [SMALL_STATE(7666)] = 326564,
  [SMALL_STATE(7667)] = 326620,
  [SMALL_STATE(7668)] = 326676,
  [SMALL_STATE(7669)] = 326732,
  [SMALL_STATE(7670)] = 326788,
  [SMALL_STATE(7671)] = 326844,
  [SMALL_STATE(7672)] = 326900,
  [SMALL_STATE(7673)] = 326956,
  [SMALL_STATE(7674)] = 327012,
  [SMALL_STATE(7675)] = 327068,
  [SMALL_STATE(7676)] = 327124,
  [SMALL_STATE(7677)] = 327180,
  [SMALL_STATE(7678)] = 327236,
  [SMALL_STATE(7679)] = 327292,
  [SMALL_STATE(7680)] = 327348,
  [SMALL_STATE(7681)] = 327404,
  [SMALL_STATE(7682)] = 327460,
  [SMALL_STATE(7683)] = 327516,
  [SMALL_STATE(7684)] = 327572,
  [SMALL_STATE(7685)] = 327628,
  [SMALL_STATE(7686)] = 327684,
  [SMALL_STATE(7687)] = 327740,
  [SMALL_STATE(7688)] = 327796,
  [SMALL_STATE(7689)] = 327852,
  [SMALL_STATE(7690)] = 327908,
  [SMALL_STATE(7691)] = 327964,
  [SMALL_STATE(7692)] = 328070,
  [SMALL_STATE(7693)] = 328132,
  [SMALL_STATE(7694)] = 328188,
  [SMALL_STATE(7695)] = 328244,
  [SMALL_STATE(7696)] = 328300,
  [SMALL_STATE(7697)] = 328356,
  [SMALL_STATE(7698)] = 328412,
  [SMALL_STATE(7699)] = 328468,
  [SMALL_STATE(7700)] = 328524,
  [SMALL_STATE(7701)] = 328580,
  [SMALL_STATE(7702)] = 328636,
  [SMALL_STATE(7703)] = 328692,
  [SMALL_STATE(7704)] = 328748,
  [SMALL_STATE(7705)] = 328804,
  [SMALL_STATE(7706)] = 328860,
  [SMALL_STATE(7707)] = 328916,
  [SMALL_STATE(7708)] = 328972,
  [SMALL_STATE(7709)] = 329034,
  [SMALL_STATE(7710)] = 329090,
  [SMALL_STATE(7711)] = 329146,
  [SMALL_STATE(7712)] = 329202,
  [SMALL_STATE(7713)] = 329258,
  [SMALL_STATE(7714)] = 329314,
  [SMALL_STATE(7715)] = 329370,
  [SMALL_STATE(7716)] = 329426,
  [SMALL_STATE(7717)] = 329482,
  [SMALL_STATE(7718)] = 329538,
  [SMALL_STATE(7719)] = 329594,
  [SMALL_STATE(7720)] = 329650,
  [SMALL_STATE(7721)] = 329706,
  [SMALL_STATE(7722)] = 329762,
  [SMALL_STATE(7723)] = 329818,
  [SMALL_STATE(7724)] = 329874,
  [SMALL_STATE(7725)] = 329930,
  [SMALL_STATE(7726)] = 329986,
  [SMALL_STATE(7727)] = 330042,
  [SMALL_STATE(7728)] = 330098,
  [SMALL_STATE(7729)] = 330154,
  [SMALL_STATE(7730)] = 330210,
  [SMALL_STATE(7731)] = 330266,
  [SMALL_STATE(7732)] = 330322,
  [SMALL_STATE(7733)] = 330378,
  [SMALL_STATE(7734)] = 330434,
  [SMALL_STATE(7735)] = 330490,
  [SMALL_STATE(7736)] = 330548,
  [SMALL_STATE(7737)] = 330604,
  [SMALL_STATE(7738)] = 330662,
  [SMALL_STATE(7739)] = 330718,
  [SMALL_STATE(7740)] = 330774,
  [SMALL_STATE(7741)] = 330830,
  [SMALL_STATE(7742)] = 330886,
  [SMALL_STATE(7743)] = 330942,
  [SMALL_STATE(7744)] = 330998,
  [SMALL_STATE(7745)] = 331054,
  [SMALL_STATE(7746)] = 331110,
  [SMALL_STATE(7747)] = 331166,
  [SMALL_STATE(7748)] = 331222,
  [SMALL_STATE(7749)] = 331278,
  [SMALL_STATE(7750)] = 331334,
  [SMALL_STATE(7751)] = 331392,
  [SMALL_STATE(7752)] = 331448,
  [SMALL_STATE(7753)] = 331504,
  [SMALL_STATE(7754)] = 331560,
  [SMALL_STATE(7755)] = 331616,
  [SMALL_STATE(7756)] = 331672,
  [SMALL_STATE(7757)] = 331728,
  [SMALL_STATE(7758)] = 331784,
  [SMALL_STATE(7759)] = 331840,
  [SMALL_STATE(7760)] = 331896,
  [SMALL_STATE(7761)] = 331952,
  [SMALL_STATE(7762)] = 332008,
  [SMALL_STATE(7763)] = 332064,
  [SMALL_STATE(7764)] = 332120,
  [SMALL_STATE(7765)] = 332176,
  [SMALL_STATE(7766)] = 332232,
  [SMALL_STATE(7767)] = 332288,
  [SMALL_STATE(7768)] = 332350,
  [SMALL_STATE(7769)] = 332406,
  [SMALL_STATE(7770)] = 332462,
  [SMALL_STATE(7771)] = 332518,
  [SMALL_STATE(7772)] = 332624,
  [SMALL_STATE(7773)] = 332680,
  [SMALL_STATE(7774)] = 332742,
  [SMALL_STATE(7775)] = 332798,
  [SMALL_STATE(7776)] = 332854,
  [SMALL_STATE(7777)] = 332910,
  [SMALL_STATE(7778)] = 332966,
  [SMALL_STATE(7779)] = 333022,
  [SMALL_STATE(7780)] = 333078,
  [SMALL_STATE(7781)] = 333134,
  [SMALL_STATE(7782)] = 333190,
  [SMALL_STATE(7783)] = 333246,
  [SMALL_STATE(7784)] = 333302,
  [SMALL_STATE(7785)] = 333358,
  [SMALL_STATE(7786)] = 333414,
  [SMALL_STATE(7787)] = 333470,
  [SMALL_STATE(7788)] = 333526,
  [SMALL_STATE(7789)] = 333584,
  [SMALL_STATE(7790)] = 333640,
  [SMALL_STATE(7791)] = 333696,
  [SMALL_STATE(7792)] = 333752,
  [SMALL_STATE(7793)] = 333808,
  [SMALL_STATE(7794)] = 333864,
  [SMALL_STATE(7795)] = 333920,
  [SMALL_STATE(7796)] = 333976,
  [SMALL_STATE(7797)] = 334032,
  [SMALL_STATE(7798)] = 334090,
  [SMALL_STATE(7799)] = 334146,
  [SMALL_STATE(7800)] = 334202,
  [SMALL_STATE(7801)] = 334258,
  [SMALL_STATE(7802)] = 334314,
  [SMALL_STATE(7803)] = 334370,
  [SMALL_STATE(7804)] = 334428,
  [SMALL_STATE(7805)] = 334484,
  [SMALL_STATE(7806)] = 334540,
  [SMALL_STATE(7807)] = 334596,
  [SMALL_STATE(7808)] = 334652,
  [SMALL_STATE(7809)] = 334708,
  [SMALL_STATE(7810)] = 334764,
  [SMALL_STATE(7811)] = 334820,
  [SMALL_STATE(7812)] = 334876,
  [SMALL_STATE(7813)] = 334932,
  [SMALL_STATE(7814)] = 334988,
  [SMALL_STATE(7815)] = 335046,
  [SMALL_STATE(7816)] = 335102,
  [SMALL_STATE(7817)] = 335158,
  [SMALL_STATE(7818)] = 335214,
  [SMALL_STATE(7819)] = 335270,
  [SMALL_STATE(7820)] = 335326,
  [SMALL_STATE(7821)] = 335382,
  [SMALL_STATE(7822)] = 335438,
  [SMALL_STATE(7823)] = 335494,
  [SMALL_STATE(7824)] = 335550,
  [SMALL_STATE(7825)] = 335606,
  [SMALL_STATE(7826)] = 335662,
  [SMALL_STATE(7827)] = 335718,
  [SMALL_STATE(7828)] = 335774,
  [SMALL_STATE(7829)] = 335832,
  [SMALL_STATE(7830)] = 335888,
  [SMALL_STATE(7831)] = 335944,
  [SMALL_STATE(7832)] = 336002,
  [SMALL_STATE(7833)] = 336058,
  [SMALL_STATE(7834)] = 336114,
  [SMALL_STATE(7835)] = 336170,
  [SMALL_STATE(7836)] = 336226,
  [SMALL_STATE(7837)] = 336282,
  [SMALL_STATE(7838)] = 336338,
  [SMALL_STATE(7839)] = 336394,
  [SMALL_STATE(7840)] = 336452,
  [SMALL_STATE(7841)] = 336508,
  [SMALL_STATE(7842)] = 336564,
  [SMALL_STATE(7843)] = 336620,
  [SMALL_STATE(7844)] = 336676,
  [SMALL_STATE(7845)] = 336732,
  [SMALL_STATE(7846)] = 336788,
  [SMALL_STATE(7847)] = 336844,
  [SMALL_STATE(7848)] = 336900,
  [SMALL_STATE(7849)] = 336956,
  [SMALL_STATE(7850)] = 337012,
  [SMALL_STATE(7851)] = 337068,
  [SMALL_STATE(7852)] = 337124,
  [SMALL_STATE(7853)] = 337180,
  [SMALL_STATE(7854)] = 337236,
  [SMALL_STATE(7855)] = 337292,
  [SMALL_STATE(7856)] = 337348,
  [SMALL_STATE(7857)] = 337404,
  [SMALL_STATE(7858)] = 337460,
  [SMALL_STATE(7859)] = 337516,
  [SMALL_STATE(7860)] = 337572,
  [SMALL_STATE(7861)] = 337634,
  [SMALL_STATE(7862)] = 337690,
  [SMALL_STATE(7863)] = 337746,
  [SMALL_STATE(7864)] = 337802,
  [SMALL_STATE(7865)] = 337858,
  [SMALL_STATE(7866)] = 337914,
  [SMALL_STATE(7867)] = 337970,
  [SMALL_STATE(7868)] = 338026,
  [SMALL_STATE(7869)] = 338084,
  [SMALL_STATE(7870)] = 338140,
  [SMALL_STATE(7871)] = 338198,
  [SMALL_STATE(7872)] = 338254,
  [SMALL_STATE(7873)] = 338310,
  [SMALL_STATE(7874)] = 338366,
  [SMALL_STATE(7875)] = 338422,
  [SMALL_STATE(7876)] = 338478,
  [SMALL_STATE(7877)] = 338534,
  [SMALL_STATE(7878)] = 338590,
  [SMALL_STATE(7879)] = 338696,
  [SMALL_STATE(7880)] = 338752,
  [SMALL_STATE(7881)] = 338808,
  [SMALL_STATE(7882)] = 338864,
  [SMALL_STATE(7883)] = 338922,
  [SMALL_STATE(7884)] = 338978,
  [SMALL_STATE(7885)] = 339034,
  [SMALL_STATE(7886)] = 339090,
  [SMALL_STATE(7887)] = 339146,
  [SMALL_STATE(7888)] = 339202,
  [SMALL_STATE(7889)] = 339258,
  [SMALL_STATE(7890)] = 339314,
  [SMALL_STATE(7891)] = 339370,
  [SMALL_STATE(7892)] = 339426,
  [SMALL_STATE(7893)] = 339482,
  [SMALL_STATE(7894)] = 339538,
  [SMALL_STATE(7895)] = 339594,
  [SMALL_STATE(7896)] = 339650,
  [SMALL_STATE(7897)] = 339706,
  [SMALL_STATE(7898)] = 339762,
  [SMALL_STATE(7899)] = 339818,
  [SMALL_STATE(7900)] = 339874,
  [SMALL_STATE(7901)] = 339930,
  [SMALL_STATE(7902)] = 339986,
  [SMALL_STATE(7903)] = 340042,
  [SMALL_STATE(7904)] = 340100,
  [SMALL_STATE(7905)] = 340156,
  [SMALL_STATE(7906)] = 340214,
  [SMALL_STATE(7907)] = 340270,
  [SMALL_STATE(7908)] = 340326,
  [SMALL_STATE(7909)] = 340382,
  [SMALL_STATE(7910)] = 340438,
  [SMALL_STATE(7911)] = 340494,
  [SMALL_STATE(7912)] = 340550,
  [SMALL_STATE(7913)] = 340608,
  [SMALL_STATE(7914)] = 340664,
  [SMALL_STATE(7915)] = 340720,
  [SMALL_STATE(7916)] = 340776,
  [SMALL_STATE(7917)] = 340832,
  [SMALL_STATE(7918)] = 340888,
  [SMALL_STATE(7919)] = 340944,
  [SMALL_STATE(7920)] = 341000,
  [SMALL_STATE(7921)] = 341058,
  [SMALL_STATE(7922)] = 341114,
  [SMALL_STATE(7923)] = 341170,
  [SMALL_STATE(7924)] = 341226,
  [SMALL_STATE(7925)] = 341284,
  [SMALL_STATE(7926)] = 341340,
  [SMALL_STATE(7927)] = 341396,
  [SMALL_STATE(7928)] = 341452,
  [SMALL_STATE(7929)] = 341514,
  [SMALL_STATE(7930)] = 341572,
  [SMALL_STATE(7931)] = 341628,
  [SMALL_STATE(7932)] = 341684,
  [SMALL_STATE(7933)] = 341740,
  [SMALL_STATE(7934)] = 341796,
  [SMALL_STATE(7935)] = 341852,
  [SMALL_STATE(7936)] = 341908,
  [SMALL_STATE(7937)] = 341964,
  [SMALL_STATE(7938)] = 342022,
  [SMALL_STATE(7939)] = 342078,
  [SMALL_STATE(7940)] = 342134,
  [SMALL_STATE(7941)] = 342190,
  [SMALL_STATE(7942)] = 342246,
  [SMALL_STATE(7943)] = 342302,
  [SMALL_STATE(7944)] = 342358,
  [SMALL_STATE(7945)] = 342416,
  [SMALL_STATE(7946)] = 342472,
  [SMALL_STATE(7947)] = 342528,
  [SMALL_STATE(7948)] = 342584,
  [SMALL_STATE(7949)] = 342640,
  [SMALL_STATE(7950)] = 342696,
  [SMALL_STATE(7951)] = 342752,
  [SMALL_STATE(7952)] = 342858,
  [SMALL_STATE(7953)] = 342920,
  [SMALL_STATE(7954)] = 342976,
  [SMALL_STATE(7955)] = 343032,
  [SMALL_STATE(7956)] = 343088,
  [SMALL_STATE(7957)] = 343144,
  [SMALL_STATE(7958)] = 343200,
  [SMALL_STATE(7959)] = 343256,
  [SMALL_STATE(7960)] = 343312,
  [SMALL_STATE(7961)] = 343368,
  [SMALL_STATE(7962)] = 343424,
  [SMALL_STATE(7963)] = 343480,
  [SMALL_STATE(7964)] = 343536,
  [SMALL_STATE(7965)] = 343594,
  [SMALL_STATE(7966)] = 343652,
  [SMALL_STATE(7967)] = 343708,
  [SMALL_STATE(7968)] = 343764,
  [SMALL_STATE(7969)] = 343820,
  [SMALL_STATE(7970)] = 343876,
  [SMALL_STATE(7971)] = 343932,
  [SMALL_STATE(7972)] = 343988,
  [SMALL_STATE(7973)] = 344044,
  [SMALL_STATE(7974)] = 344100,
  [SMALL_STATE(7975)] = 344156,
  [SMALL_STATE(7976)] = 344212,
  [SMALL_STATE(7977)] = 344268,
  [SMALL_STATE(7978)] = 344330,
  [SMALL_STATE(7979)] = 344386,
  [SMALL_STATE(7980)] = 344442,
  [SMALL_STATE(7981)] = 344498,
  [SMALL_STATE(7982)] = 344554,
  [SMALL_STATE(7983)] = 344610,
  [SMALL_STATE(7984)] = 344666,
  [SMALL_STATE(7985)] = 344722,
  [SMALL_STATE(7986)] = 344778,
  [SMALL_STATE(7987)] = 344834,
  [SMALL_STATE(7988)] = 344896,
  [SMALL_STATE(7989)] = 344952,
  [SMALL_STATE(7990)] = 345008,
  [SMALL_STATE(7991)] = 345064,
  [SMALL_STATE(7992)] = 345120,
  [SMALL_STATE(7993)] = 345176,
  [SMALL_STATE(7994)] = 345232,
  [SMALL_STATE(7995)] = 345288,
  [SMALL_STATE(7996)] = 345344,
  [SMALL_STATE(7997)] = 345400,
  [SMALL_STATE(7998)] = 345456,
  [SMALL_STATE(7999)] = 345512,
  [SMALL_STATE(8000)] = 345568,
  [SMALL_STATE(8001)] = 345624,
  [SMALL_STATE(8002)] = 345730,
  [SMALL_STATE(8003)] = 345786,
  [SMALL_STATE(8004)] = 345842,
  [SMALL_STATE(8005)] = 345898,
  [SMALL_STATE(8006)] = 345954,
  [SMALL_STATE(8007)] = 346010,
  [SMALL_STATE(8008)] = 346066,
  [SMALL_STATE(8009)] = 346122,
  [SMALL_STATE(8010)] = 346178,
  [SMALL_STATE(8011)] = 346234,
  [SMALL_STATE(8012)] = 346290,
  [SMALL_STATE(8013)] = 346346,
  [SMALL_STATE(8014)] = 346402,
  [SMALL_STATE(8015)] = 346458,
  [SMALL_STATE(8016)] = 346514,
  [SMALL_STATE(8017)] = 346570,
  [SMALL_STATE(8018)] = 346626,
  [SMALL_STATE(8019)] = 346682,
  [SMALL_STATE(8020)] = 346738,
  [SMALL_STATE(8021)] = 346794,
  [SMALL_STATE(8022)] = 346850,
  [SMALL_STATE(8023)] = 346906,
  [SMALL_STATE(8024)] = 346962,
  [SMALL_STATE(8025)] = 347018,
  [SMALL_STATE(8026)] = 347076,
  [SMALL_STATE(8027)] = 347132,
  [SMALL_STATE(8028)] = 347188,
  [SMALL_STATE(8029)] = 347244,
  [SMALL_STATE(8030)] = 347300,
  [SMALL_STATE(8031)] = 347356,
  [SMALL_STATE(8032)] = 347412,
  [SMALL_STATE(8033)] = 347468,
  [SMALL_STATE(8034)] = 347524,
  [SMALL_STATE(8035)] = 347580,
  [SMALL_STATE(8036)] = 347636,
  [SMALL_STATE(8037)] = 347692,
  [SMALL_STATE(8038)] = 347748,
  [SMALL_STATE(8039)] = 347806,
  [SMALL_STATE(8040)] = 347862,
  [SMALL_STATE(8041)] = 347918,
  [SMALL_STATE(8042)] = 347974,
  [SMALL_STATE(8043)] = 348030,
  [SMALL_STATE(8044)] = 348086,
  [SMALL_STATE(8045)] = 348142,
  [SMALL_STATE(8046)] = 348198,
  [SMALL_STATE(8047)] = 348260,
  [SMALL_STATE(8048)] = 348316,
  [SMALL_STATE(8049)] = 348372,
  [SMALL_STATE(8050)] = 348428,
  [SMALL_STATE(8051)] = 348484,
  [SMALL_STATE(8052)] = 348540,
  [SMALL_STATE(8053)] = 348646,
  [SMALL_STATE(8054)] = 348702,
  [SMALL_STATE(8055)] = 348758,
  [SMALL_STATE(8056)] = 348814,
  [SMALL_STATE(8057)] = 348870,
  [SMALL_STATE(8058)] = 348926,
  [SMALL_STATE(8059)] = 348982,
  [SMALL_STATE(8060)] = 349038,
  [SMALL_STATE(8061)] = 349094,
  [SMALL_STATE(8062)] = 349150,
  [SMALL_STATE(8063)] = 349206,
  [SMALL_STATE(8064)] = 349262,
  [SMALL_STATE(8065)] = 349318,
  [SMALL_STATE(8066)] = 349374,
  [SMALL_STATE(8067)] = 349430,
  [SMALL_STATE(8068)] = 349486,
  [SMALL_STATE(8069)] = 349542,
  [SMALL_STATE(8070)] = 349598,
  [SMALL_STATE(8071)] = 349654,
  [SMALL_STATE(8072)] = 349710,
  [SMALL_STATE(8073)] = 349766,
  [SMALL_STATE(8074)] = 349828,
  [SMALL_STATE(8075)] = 349884,
  [SMALL_STATE(8076)] = 349940,
  [SMALL_STATE(8077)] = 349998,
  [SMALL_STATE(8078)] = 350054,
  [SMALL_STATE(8079)] = 350160,
  [SMALL_STATE(8080)] = 350216,
  [SMALL_STATE(8081)] = 350272,
  [SMALL_STATE(8082)] = 350330,
  [SMALL_STATE(8083)] = 350386,
  [SMALL_STATE(8084)] = 350442,
  [SMALL_STATE(8085)] = 350498,
  [SMALL_STATE(8086)] = 350556,
  [SMALL_STATE(8087)] = 350612,
  [SMALL_STATE(8088)] = 350670,
  [SMALL_STATE(8089)] = 350728,
  [SMALL_STATE(8090)] = 350786,
  [SMALL_STATE(8091)] = 350842,
  [SMALL_STATE(8092)] = 350898,
  [SMALL_STATE(8093)] = 350954,
  [SMALL_STATE(8094)] = 351010,
  [SMALL_STATE(8095)] = 351066,
  [SMALL_STATE(8096)] = 351122,
  [SMALL_STATE(8097)] = 351178,
  [SMALL_STATE(8098)] = 351234,
  [SMALL_STATE(8099)] = 351290,
  [SMALL_STATE(8100)] = 351346,
  [SMALL_STATE(8101)] = 351402,
  [SMALL_STATE(8102)] = 351458,
  [SMALL_STATE(8103)] = 351514,
  [SMALL_STATE(8104)] = 351570,
  [SMALL_STATE(8105)] = 351626,
  [SMALL_STATE(8106)] = 351682,
  [SMALL_STATE(8107)] = 351738,
  [SMALL_STATE(8108)] = 351794,
  [SMALL_STATE(8109)] = 351850,
  [SMALL_STATE(8110)] = 351906,
  [SMALL_STATE(8111)] = 351962,
  [SMALL_STATE(8112)] = 352018,
  [SMALL_STATE(8113)] = 352074,
  [SMALL_STATE(8114)] = 352130,
  [SMALL_STATE(8115)] = 352186,
  [SMALL_STATE(8116)] = 352242,
  [SMALL_STATE(8117)] = 352298,
  [SMALL_STATE(8118)] = 352354,
  [SMALL_STATE(8119)] = 352410,
  [SMALL_STATE(8120)] = 352466,
  [SMALL_STATE(8121)] = 352522,
  [SMALL_STATE(8122)] = 352578,
  [SMALL_STATE(8123)] = 352634,
  [SMALL_STATE(8124)] = 352690,
  [SMALL_STATE(8125)] = 352746,
  [SMALL_STATE(8126)] = 352801,
  [SMALL_STATE(8127)] = 352856,
  [SMALL_STATE(8128)] = 352917,
  [SMALL_STATE(8129)] = 352972,
  [SMALL_STATE(8130)] = 353027,
  [SMALL_STATE(8131)] = 353082,
  [SMALL_STATE(8132)] = 353137,
  [SMALL_STATE(8133)] = 353192,
  [SMALL_STATE(8134)] = 353247,
  [SMALL_STATE(8135)] = 353302,
  [SMALL_STATE(8136)] = 353357,
  [SMALL_STATE(8137)] = 353412,
  [SMALL_STATE(8138)] = 353467,
  [SMALL_STATE(8139)] = 353522,
  [SMALL_STATE(8140)] = 353577,
  [SMALL_STATE(8141)] = 353632,
  [SMALL_STATE(8142)] = 353687,
  [SMALL_STATE(8143)] = 353742,
  [SMALL_STATE(8144)] = 353797,
  [SMALL_STATE(8145)] = 353852,
  [SMALL_STATE(8146)] = 353907,
  [SMALL_STATE(8147)] = 353962,
  [SMALL_STATE(8148)] = 354017,
  [SMALL_STATE(8149)] = 354072,
  [SMALL_STATE(8150)] = 354127,
  [SMALL_STATE(8151)] = 354182,
  [SMALL_STATE(8152)] = 354237,
  [SMALL_STATE(8153)] = 354292,
  [SMALL_STATE(8154)] = 354347,
  [SMALL_STATE(8155)] = 354402,
  [SMALL_STATE(8156)] = 354457,
  [SMALL_STATE(8157)] = 354512,
  [SMALL_STATE(8158)] = 354567,
  [SMALL_STATE(8159)] = 354624,
  [SMALL_STATE(8160)] = 354679,
  [SMALL_STATE(8161)] = 354736,
  [SMALL_STATE(8162)] = 354797,
  [SMALL_STATE(8163)] = 354852,
  [SMALL_STATE(8164)] = 354907,
  [SMALL_STATE(8165)] = 354962,
  [SMALL_STATE(8166)] = 355017,
  [SMALL_STATE(8167)] = 355072,
  [SMALL_STATE(8168)] = 355127,
  [SMALL_STATE(8169)] = 355182,
  [SMALL_STATE(8170)] = 355237,
  [SMALL_STATE(8171)] = 355292,
  [SMALL_STATE(8172)] = 355349,
  [SMALL_STATE(8173)] = 355404,
  [SMALL_STATE(8174)] = 355459,
  [SMALL_STATE(8175)] = 355514,
  [SMALL_STATE(8176)] = 355569,
  [SMALL_STATE(8177)] = 355624,
  [SMALL_STATE(8178)] = 355681,
  [SMALL_STATE(8179)] = 355736,
  [SMALL_STATE(8180)] = 355793,
  [SMALL_STATE(8181)] = 355848,
  [SMALL_STATE(8182)] = 355903,
  [SMALL_STATE(8183)] = 355958,
  [SMALL_STATE(8184)] = 356013,
  [SMALL_STATE(8185)] = 356068,
  [SMALL_STATE(8186)] = 356123,
  [SMALL_STATE(8187)] = 356178,
  [SMALL_STATE(8188)] = 356233,
  [SMALL_STATE(8189)] = 356288,
  [SMALL_STATE(8190)] = 356343,
  [SMALL_STATE(8191)] = 356398,
  [SMALL_STATE(8192)] = 356453,
  [SMALL_STATE(8193)] = 356508,
  [SMALL_STATE(8194)] = 356563,
  [SMALL_STATE(8195)] = 356624,
  [SMALL_STATE(8196)] = 356679,
  [SMALL_STATE(8197)] = 356734,
  [SMALL_STATE(8198)] = 356789,
  [SMALL_STATE(8199)] = 356844,
  [SMALL_STATE(8200)] = 356899,
  [SMALL_STATE(8201)] = 356954,
  [SMALL_STATE(8202)] = 357009,
  [SMALL_STATE(8203)] = 357064,
  [SMALL_STATE(8204)] = 357119,
  [SMALL_STATE(8205)] = 357174,
  [SMALL_STATE(8206)] = 357229,
  [SMALL_STATE(8207)] = 357290,
  [SMALL_STATE(8208)] = 357345,
  [SMALL_STATE(8209)] = 357400,
  [SMALL_STATE(8210)] = 357455,
  [SMALL_STATE(8211)] = 357510,
  [SMALL_STATE(8212)] = 357565,
  [SMALL_STATE(8213)] = 357620,
  [SMALL_STATE(8214)] = 357675,
  [SMALL_STATE(8215)] = 357732,
  [SMALL_STATE(8216)] = 357789,
  [SMALL_STATE(8217)] = 357844,
  [SMALL_STATE(8218)] = 357901,
  [SMALL_STATE(8219)] = 357958,
  [SMALL_STATE(8220)] = 358013,
  [SMALL_STATE(8221)] = 358068,
  [SMALL_STATE(8222)] = 358123,
  [SMALL_STATE(8223)] = 358180,
  [SMALL_STATE(8224)] = 358235,
  [SMALL_STATE(8225)] = 358290,
  [SMALL_STATE(8226)] = 358345,
  [SMALL_STATE(8227)] = 358400,
  [SMALL_STATE(8228)] = 358455,
  [SMALL_STATE(8229)] = 358510,
  [SMALL_STATE(8230)] = 358565,
  [SMALL_STATE(8231)] = 358620,
  [SMALL_STATE(8232)] = 358675,
  [SMALL_STATE(8233)] = 358730,
  [SMALL_STATE(8234)] = 358785,
  [SMALL_STATE(8235)] = 358840,
  [SMALL_STATE(8236)] = 358895,
  [SMALL_STATE(8237)] = 358950,
  [SMALL_STATE(8238)] = 359005,
  [SMALL_STATE(8239)] = 359060,
  [SMALL_STATE(8240)] = 359115,
  [SMALL_STATE(8241)] = 359170,
  [SMALL_STATE(8242)] = 359225,
  [SMALL_STATE(8243)] = 359286,
  [SMALL_STATE(8244)] = 359341,
  [SMALL_STATE(8245)] = 359396,
  [SMALL_STATE(8246)] = 359451,
  [SMALL_STATE(8247)] = 359506,
  [SMALL_STATE(8248)] = 359561,
  [SMALL_STATE(8249)] = 359616,
  [SMALL_STATE(8250)] = 359671,
  [SMALL_STATE(8251)] = 359726,
  [SMALL_STATE(8252)] = 359781,
  [SMALL_STATE(8253)] = 359836,
  [SMALL_STATE(8254)] = 359891,
  [SMALL_STATE(8255)] = 359946,
  [SMALL_STATE(8256)] = 360001,
  [SMALL_STATE(8257)] = 360056,
  [SMALL_STATE(8258)] = 360111,
  [SMALL_STATE(8259)] = 360166,
  [SMALL_STATE(8260)] = 360221,
  [SMALL_STATE(8261)] = 360276,
  [SMALL_STATE(8262)] = 360331,
  [SMALL_STATE(8263)] = 360386,
  [SMALL_STATE(8264)] = 360441,
  [SMALL_STATE(8265)] = 360496,
  [SMALL_STATE(8266)] = 360551,
  [SMALL_STATE(8267)] = 360606,
  [SMALL_STATE(8268)] = 360661,
  [SMALL_STATE(8269)] = 360716,
  [SMALL_STATE(8270)] = 360771,
  [SMALL_STATE(8271)] = 360826,
  [SMALL_STATE(8272)] = 360883,
  [SMALL_STATE(8273)] = 360938,
  [SMALL_STATE(8274)] = 360993,
  [SMALL_STATE(8275)] = 361048,
  [SMALL_STATE(8276)] = 361103,
  [SMALL_STATE(8277)] = 361158,
  [SMALL_STATE(8278)] = 361213,
  [SMALL_STATE(8279)] = 361268,
  [SMALL_STATE(8280)] = 361323,
  [SMALL_STATE(8281)] = 361378,
  [SMALL_STATE(8282)] = 361433,
  [SMALL_STATE(8283)] = 361488,
  [SMALL_STATE(8284)] = 361543,
  [SMALL_STATE(8285)] = 361598,
  [SMALL_STATE(8286)] = 361653,
  [SMALL_STATE(8287)] = 361708,
  [SMALL_STATE(8288)] = 361763,
  [SMALL_STATE(8289)] = 361818,
  [SMALL_STATE(8290)] = 361873,
  [SMALL_STATE(8291)] = 361928,
  [SMALL_STATE(8292)] = 361983,
  [SMALL_STATE(8293)] = 362038,
  [SMALL_STATE(8294)] = 362093,
  [SMALL_STATE(8295)] = 362148,
  [SMALL_STATE(8296)] = 362203,
  [SMALL_STATE(8297)] = 362258,
  [SMALL_STATE(8298)] = 362313,
  [SMALL_STATE(8299)] = 362368,
  [SMALL_STATE(8300)] = 362423,
  [SMALL_STATE(8301)] = 362478,
  [SMALL_STATE(8302)] = 362533,
  [SMALL_STATE(8303)] = 362588,
  [SMALL_STATE(8304)] = 362643,
  [SMALL_STATE(8305)] = 362698,
  [SMALL_STATE(8306)] = 362753,
  [SMALL_STATE(8307)] = 362808,
  [SMALL_STATE(8308)] = 362863,
  [SMALL_STATE(8309)] = 362918,
  [SMALL_STATE(8310)] = 362973,
  [SMALL_STATE(8311)] = 363028,
  [SMALL_STATE(8312)] = 363083,
  [SMALL_STATE(8313)] = 363138,
  [SMALL_STATE(8314)] = 363193,
  [SMALL_STATE(8315)] = 363248,
  [SMALL_STATE(8316)] = 363303,
  [SMALL_STATE(8317)] = 363358,
  [SMALL_STATE(8318)] = 363413,
  [SMALL_STATE(8319)] = 363468,
  [SMALL_STATE(8320)] = 363523,
  [SMALL_STATE(8321)] = 363578,
  [SMALL_STATE(8322)] = 363635,
  [SMALL_STATE(8323)] = 363690,
  [SMALL_STATE(8324)] = 363745,
  [SMALL_STATE(8325)] = 363800,
  [SMALL_STATE(8326)] = 363855,
  [SMALL_STATE(8327)] = 363910,
  [SMALL_STATE(8328)] = 363965,
  [SMALL_STATE(8329)] = 364020,
  [SMALL_STATE(8330)] = 364075,
  [SMALL_STATE(8331)] = 364132,
  [SMALL_STATE(8332)] = 364187,
  [SMALL_STATE(8333)] = 364242,
  [SMALL_STATE(8334)] = 364297,
  [SMALL_STATE(8335)] = 364352,
  [SMALL_STATE(8336)] = 364407,
  [SMALL_STATE(8337)] = 364462,
  [SMALL_STATE(8338)] = 364517,
  [SMALL_STATE(8339)] = 364572,
  [SMALL_STATE(8340)] = 364629,
  [SMALL_STATE(8341)] = 364684,
  [SMALL_STATE(8342)] = 364739,
  [SMALL_STATE(8343)] = 364794,
  [SMALL_STATE(8344)] = 364849,
  [SMALL_STATE(8345)] = 364904,
  [SMALL_STATE(8346)] = 364959,
  [SMALL_STATE(8347)] = 365014,
  [SMALL_STATE(8348)] = 365069,
  [SMALL_STATE(8349)] = 365124,
  [SMALL_STATE(8350)] = 365179,
  [SMALL_STATE(8351)] = 365236,
  [SMALL_STATE(8352)] = 365291,
  [SMALL_STATE(8353)] = 365346,
  [SMALL_STATE(8354)] = 365401,
  [SMALL_STATE(8355)] = 365456,
  [SMALL_STATE(8356)] = 365511,
  [SMALL_STATE(8357)] = 365566,
  [SMALL_STATE(8358)] = 365621,
  [SMALL_STATE(8359)] = 365676,
  [SMALL_STATE(8360)] = 365731,
  [SMALL_STATE(8361)] = 365786,
  [SMALL_STATE(8362)] = 365841,
  [SMALL_STATE(8363)] = 365896,
  [SMALL_STATE(8364)] = 365951,
  [SMALL_STATE(8365)] = 366006,
  [SMALL_STATE(8366)] = 366063,
  [SMALL_STATE(8367)] = 366118,
  [SMALL_STATE(8368)] = 366173,
  [SMALL_STATE(8369)] = 366228,
  [SMALL_STATE(8370)] = 366283,
  [SMALL_STATE(8371)] = 366338,
  [SMALL_STATE(8372)] = 366399,
  [SMALL_STATE(8373)] = 366454,
  [SMALL_STATE(8374)] = 366509,
  [SMALL_STATE(8375)] = 366564,
  [SMALL_STATE(8376)] = 366619,
  [SMALL_STATE(8377)] = 366676,
  [SMALL_STATE(8378)] = 366731,
  [SMALL_STATE(8379)] = 366786,
  [SMALL_STATE(8380)] = 366841,
  [SMALL_STATE(8381)] = 366896,
  [SMALL_STATE(8382)] = 366951,
  [SMALL_STATE(8383)] = 367006,
  [SMALL_STATE(8384)] = 367063,
  [SMALL_STATE(8385)] = 367120,
  [SMALL_STATE(8386)] = 367175,
  [SMALL_STATE(8387)] = 367236,
  [SMALL_STATE(8388)] = 367291,
  [SMALL_STATE(8389)] = 367346,
  [SMALL_STATE(8390)] = 367401,
  [SMALL_STATE(8391)] = 367456,
  [SMALL_STATE(8392)] = 367511,
  [SMALL_STATE(8393)] = 367566,
  [SMALL_STATE(8394)] = 367621,
  [SMALL_STATE(8395)] = 367676,
  [SMALL_STATE(8396)] = 367731,
  [SMALL_STATE(8397)] = 367786,
  [SMALL_STATE(8398)] = 367841,
  [SMALL_STATE(8399)] = 367896,
  [SMALL_STATE(8400)] = 367951,
  [SMALL_STATE(8401)] = 368006,
  [SMALL_STATE(8402)] = 368061,
  [SMALL_STATE(8403)] = 368116,
  [SMALL_STATE(8404)] = 368171,
  [SMALL_STATE(8405)] = 368226,
  [SMALL_STATE(8406)] = 368281,
  [SMALL_STATE(8407)] = 368336,
  [SMALL_STATE(8408)] = 368391,
  [SMALL_STATE(8409)] = 368446,
  [SMALL_STATE(8410)] = 368501,
  [SMALL_STATE(8411)] = 368556,
  [SMALL_STATE(8412)] = 368611,
  [SMALL_STATE(8413)] = 368666,
  [SMALL_STATE(8414)] = 368721,
  [SMALL_STATE(8415)] = 368776,
  [SMALL_STATE(8416)] = 368831,
  [SMALL_STATE(8417)] = 368886,
  [SMALL_STATE(8418)] = 368941,
  [SMALL_STATE(8419)] = 368996,
  [SMALL_STATE(8420)] = 369051,
  [SMALL_STATE(8421)] = 369106,
  [SMALL_STATE(8422)] = 369161,
  [SMALL_STATE(8423)] = 369216,
  [SMALL_STATE(8424)] = 369271,
  [SMALL_STATE(8425)] = 369326,
  [SMALL_STATE(8426)] = 369381,
  [SMALL_STATE(8427)] = 369436,
  [SMALL_STATE(8428)] = 369491,
  [SMALL_STATE(8429)] = 369546,
  [SMALL_STATE(8430)] = 369601,
  [SMALL_STATE(8431)] = 369656,
  [SMALL_STATE(8432)] = 369711,
  [SMALL_STATE(8433)] = 369766,
  [SMALL_STATE(8434)] = 369821,
  [SMALL_STATE(8435)] = 369876,
  [SMALL_STATE(8436)] = 369931,
  [SMALL_STATE(8437)] = 369986,
  [SMALL_STATE(8438)] = 370041,
  [SMALL_STATE(8439)] = 370096,
  [SMALL_STATE(8440)] = 370151,
  [SMALL_STATE(8441)] = 370206,
  [SMALL_STATE(8442)] = 370267,
  [SMALL_STATE(8443)] = 370322,
  [SMALL_STATE(8444)] = 370377,
  [SMALL_STATE(8445)] = 370434,
  [SMALL_STATE(8446)] = 370491,
  [SMALL_STATE(8447)] = 370546,
  [SMALL_STATE(8448)] = 370601,
  [SMALL_STATE(8449)] = 370658,
  [SMALL_STATE(8450)] = 370713,
  [SMALL_STATE(8451)] = 370768,
  [SMALL_STATE(8452)] = 370823,
  [SMALL_STATE(8453)] = 370878,
  [SMALL_STATE(8454)] = 370933,
  [SMALL_STATE(8455)] = 370988,
  [SMALL_STATE(8456)] = 371043,
  [SMALL_STATE(8457)] = 371100,
  [SMALL_STATE(8458)] = 371155,
  [SMALL_STATE(8459)] = 371210,
  [SMALL_STATE(8460)] = 371265,
  [SMALL_STATE(8461)] = 371320,
  [SMALL_STATE(8462)] = 371375,
  [SMALL_STATE(8463)] = 371430,
  [SMALL_STATE(8464)] = 371485,
  [SMALL_STATE(8465)] = 371540,
  [SMALL_STATE(8466)] = 371595,
  [SMALL_STATE(8467)] = 371652,
  [SMALL_STATE(8468)] = 371707,
  [SMALL_STATE(8469)] = 371762,
  [SMALL_STATE(8470)] = 371817,
  [SMALL_STATE(8471)] = 371872,
  [SMALL_STATE(8472)] = 371927,
  [SMALL_STATE(8473)] = 371982,
  [SMALL_STATE(8474)] = 372037,
  [SMALL_STATE(8475)] = 372092,
  [SMALL_STATE(8476)] = 372147,
  [SMALL_STATE(8477)] = 372202,
  [SMALL_STATE(8478)] = 372257,
  [SMALL_STATE(8479)] = 372312,
  [SMALL_STATE(8480)] = 372367,
  [SMALL_STATE(8481)] = 372422,
  [SMALL_STATE(8482)] = 372477,
  [SMALL_STATE(8483)] = 372532,
  [SMALL_STATE(8484)] = 372587,
  [SMALL_STATE(8485)] = 372642,
  [SMALL_STATE(8486)] = 372697,
  [SMALL_STATE(8487)] = 372752,
  [SMALL_STATE(8488)] = 372807,
  [SMALL_STATE(8489)] = 372868,
  [SMALL_STATE(8490)] = 372923,
  [SMALL_STATE(8491)] = 372978,
  [SMALL_STATE(8492)] = 373033,
  [SMALL_STATE(8493)] = 373088,
  [SMALL_STATE(8494)] = 373143,
  [SMALL_STATE(8495)] = 373198,
  [SMALL_STATE(8496)] = 373253,
  [SMALL_STATE(8497)] = 373308,
  [SMALL_STATE(8498)] = 373363,
  [SMALL_STATE(8499)] = 373418,
  [SMALL_STATE(8500)] = 373473,
  [SMALL_STATE(8501)] = 373528,
  [SMALL_STATE(8502)] = 373583,
  [SMALL_STATE(8503)] = 373638,
  [SMALL_STATE(8504)] = 373693,
  [SMALL_STATE(8505)] = 373748,
  [SMALL_STATE(8506)] = 373803,
  [SMALL_STATE(8507)] = 373858,
  [SMALL_STATE(8508)] = 373913,
  [SMALL_STATE(8509)] = 373968,
  [SMALL_STATE(8510)] = 374023,
  [SMALL_STATE(8511)] = 374080,
  [SMALL_STATE(8512)] = 374135,
  [SMALL_STATE(8513)] = 374192,
  [SMALL_STATE(8514)] = 374247,
  [SMALL_STATE(8515)] = 374302,
  [SMALL_STATE(8516)] = 374357,
  [SMALL_STATE(8517)] = 374412,
  [SMALL_STATE(8518)] = 374467,
  [SMALL_STATE(8519)] = 374522,
  [SMALL_STATE(8520)] = 374577,
  [SMALL_STATE(8521)] = 374632,
  [SMALL_STATE(8522)] = 374687,
  [SMALL_STATE(8523)] = 374742,
  [SMALL_STATE(8524)] = 374797,
  [SMALL_STATE(8525)] = 374852,
  [SMALL_STATE(8526)] = 374907,
  [SMALL_STATE(8527)] = 374962,
  [SMALL_STATE(8528)] = 375017,
  [SMALL_STATE(8529)] = 375072,
  [SMALL_STATE(8530)] = 375127,
  [SMALL_STATE(8531)] = 375182,
  [SMALL_STATE(8532)] = 375237,
  [SMALL_STATE(8533)] = 375292,
  [SMALL_STATE(8534)] = 375347,
  [SMALL_STATE(8535)] = 375408,
  [SMALL_STATE(8536)] = 375463,
  [SMALL_STATE(8537)] = 375518,
  [SMALL_STATE(8538)] = 375573,
  [SMALL_STATE(8539)] = 375628,
  [SMALL_STATE(8540)] = 375683,
  [SMALL_STATE(8541)] = 375738,
  [SMALL_STATE(8542)] = 375793,
  [SMALL_STATE(8543)] = 375848,
  [SMALL_STATE(8544)] = 375903,
  [SMALL_STATE(8545)] = 375958,
  [SMALL_STATE(8546)] = 376013,
  [SMALL_STATE(8547)] = 376068,
  [SMALL_STATE(8548)] = 376123,
  [SMALL_STATE(8549)] = 376178,
  [SMALL_STATE(8550)] = 376233,
  [SMALL_STATE(8551)] = 376288,
  [SMALL_STATE(8552)] = 376343,
  [SMALL_STATE(8553)] = 376398,
  [SMALL_STATE(8554)] = 376453,
  [SMALL_STATE(8555)] = 376508,
  [SMALL_STATE(8556)] = 376563,
  [SMALL_STATE(8557)] = 376618,
  [SMALL_STATE(8558)] = 376673,
  [SMALL_STATE(8559)] = 376728,
  [SMALL_STATE(8560)] = 376785,
  [SMALL_STATE(8561)] = 376840,
  [SMALL_STATE(8562)] = 376895,
  [SMALL_STATE(8563)] = 376950,
  [SMALL_STATE(8564)] = 377005,
  [SMALL_STATE(8565)] = 377060,
  [SMALL_STATE(8566)] = 377115,
  [SMALL_STATE(8567)] = 377170,
  [SMALL_STATE(8568)] = 377225,
  [SMALL_STATE(8569)] = 377280,
  [SMALL_STATE(8570)] = 377335,
  [SMALL_STATE(8571)] = 377390,
  [SMALL_STATE(8572)] = 377445,
  [SMALL_STATE(8573)] = 377500,
  [SMALL_STATE(8574)] = 377555,
  [SMALL_STATE(8575)] = 377610,
  [SMALL_STATE(8576)] = 377665,
  [SMALL_STATE(8577)] = 377720,
  [SMALL_STATE(8578)] = 377775,
  [SMALL_STATE(8579)] = 377830,
  [SMALL_STATE(8580)] = 377885,
  [SMALL_STATE(8581)] = 377940,
  [SMALL_STATE(8582)] = 377995,
  [SMALL_STATE(8583)] = 378050,
  [SMALL_STATE(8584)] = 378105,
  [SMALL_STATE(8585)] = 378160,
  [SMALL_STATE(8586)] = 378215,
  [SMALL_STATE(8587)] = 378270,
  [SMALL_STATE(8588)] = 378325,
  [SMALL_STATE(8589)] = 378380,
  [SMALL_STATE(8590)] = 378435,
  [SMALL_STATE(8591)] = 378490,
  [SMALL_STATE(8592)] = 378545,
  [SMALL_STATE(8593)] = 378600,
  [SMALL_STATE(8594)] = 378655,
  [SMALL_STATE(8595)] = 378710,
  [SMALL_STATE(8596)] = 378765,
  [SMALL_STATE(8597)] = 378820,
  [SMALL_STATE(8598)] = 378877,
  [SMALL_STATE(8599)] = 378932,
  [SMALL_STATE(8600)] = 378987,
  [SMALL_STATE(8601)] = 379044,
  [SMALL_STATE(8602)] = 379099,
  [SMALL_STATE(8603)] = 379154,
  [SMALL_STATE(8604)] = 379209,
  [SMALL_STATE(8605)] = 379264,
  [SMALL_STATE(8606)] = 379319,
  [SMALL_STATE(8607)] = 379374,
  [SMALL_STATE(8608)] = 379429,
  [SMALL_STATE(8609)] = 379484,
  [SMALL_STATE(8610)] = 379539,
  [SMALL_STATE(8611)] = 379594,
  [SMALL_STATE(8612)] = 379649,
  [SMALL_STATE(8613)] = 379704,
  [SMALL_STATE(8614)] = 379759,
  [SMALL_STATE(8615)] = 379814,
  [SMALL_STATE(8616)] = 379869,
  [SMALL_STATE(8617)] = 379924,
  [SMALL_STATE(8618)] = 379985,
  [SMALL_STATE(8619)] = 380040,
  [SMALL_STATE(8620)] = 380095,
  [SMALL_STATE(8621)] = 380152,
  [SMALL_STATE(8622)] = 380207,
  [SMALL_STATE(8623)] = 380262,
  [SMALL_STATE(8624)] = 380317,
  [SMALL_STATE(8625)] = 380372,
  [SMALL_STATE(8626)] = 380427,
  [SMALL_STATE(8627)] = 380482,
  [SMALL_STATE(8628)] = 380537,
  [SMALL_STATE(8629)] = 380592,
  [SMALL_STATE(8630)] = 380653,
  [SMALL_STATE(8631)] = 380708,
  [SMALL_STATE(8632)] = 380763,
  [SMALL_STATE(8633)] = 380818,
  [SMALL_STATE(8634)] = 380873,
  [SMALL_STATE(8635)] = 380928,
  [SMALL_STATE(8636)] = 380983,
  [SMALL_STATE(8637)] = 381038,
  [SMALL_STATE(8638)] = 381093,
  [SMALL_STATE(8639)] = 381148,
  [SMALL_STATE(8640)] = 381205,
  [SMALL_STATE(8641)] = 381260,
  [SMALL_STATE(8642)] = 381315,
  [SMALL_STATE(8643)] = 381370,
  [SMALL_STATE(8644)] = 381425,
  [SMALL_STATE(8645)] = 381480,
  [SMALL_STATE(8646)] = 381535,
  [SMALL_STATE(8647)] = 381590,
  [SMALL_STATE(8648)] = 381647,
  [SMALL_STATE(8649)] = 381702,
  [SMALL_STATE(8650)] = 381757,
  [SMALL_STATE(8651)] = 381814,
  [SMALL_STATE(8652)] = 381869,
  [SMALL_STATE(8653)] = 381924,
  [SMALL_STATE(8654)] = 381979,
  [SMALL_STATE(8655)] = 382034,
  [SMALL_STATE(8656)] = 382089,
  [SMALL_STATE(8657)] = 382144,
  [SMALL_STATE(8658)] = 382199,
  [SMALL_STATE(8659)] = 382256,
  [SMALL_STATE(8660)] = 382311,
  [SMALL_STATE(8661)] = 382366,
  [SMALL_STATE(8662)] = 382421,
  [SMALL_STATE(8663)] = 382476,
  [SMALL_STATE(8664)] = 382531,
  [SMALL_STATE(8665)] = 382586,
  [SMALL_STATE(8666)] = 382641,
  [SMALL_STATE(8667)] = 382696,
  [SMALL_STATE(8668)] = 382751,
  [SMALL_STATE(8669)] = 382806,
  [SMALL_STATE(8670)] = 382861,
  [SMALL_STATE(8671)] = 382916,
  [SMALL_STATE(8672)] = 382971,
  [SMALL_STATE(8673)] = 383026,
  [SMALL_STATE(8674)] = 383087,
  [SMALL_STATE(8675)] = 383142,
  [SMALL_STATE(8676)] = 383197,
  [SMALL_STATE(8677)] = 383252,
  [SMALL_STATE(8678)] = 383307,
  [SMALL_STATE(8679)] = 383362,
  [SMALL_STATE(8680)] = 383417,
  [SMALL_STATE(8681)] = 383472,
  [SMALL_STATE(8682)] = 383527,
  [SMALL_STATE(8683)] = 383582,
  [SMALL_STATE(8684)] = 383637,
  [SMALL_STATE(8685)] = 383692,
  [SMALL_STATE(8686)] = 383747,
  [SMALL_STATE(8687)] = 383802,
  [SMALL_STATE(8688)] = 383857,
  [SMALL_STATE(8689)] = 383912,
  [SMALL_STATE(8690)] = 383967,
  [SMALL_STATE(8691)] = 384022,
  [SMALL_STATE(8692)] = 384077,
  [SMALL_STATE(8693)] = 384132,
  [SMALL_STATE(8694)] = 384187,
  [SMALL_STATE(8695)] = 384242,
  [SMALL_STATE(8696)] = 384297,
  [SMALL_STATE(8697)] = 384352,
  [SMALL_STATE(8698)] = 384407,
  [SMALL_STATE(8699)] = 384462,
  [SMALL_STATE(8700)] = 384517,
  [SMALL_STATE(8701)] = 384572,
  [SMALL_STATE(8702)] = 384627,
  [SMALL_STATE(8703)] = 384682,
  [SMALL_STATE(8704)] = 384737,
  [SMALL_STATE(8705)] = 384792,
  [SMALL_STATE(8706)] = 384847,
  [SMALL_STATE(8707)] = 384902,
  [SMALL_STATE(8708)] = 384957,
  [SMALL_STATE(8709)] = 385012,
  [SMALL_STATE(8710)] = 385067,
  [SMALL_STATE(8711)] = 385122,
  [SMALL_STATE(8712)] = 385177,
  [SMALL_STATE(8713)] = 385232,
  [SMALL_STATE(8714)] = 385287,
  [SMALL_STATE(8715)] = 385342,
  [SMALL_STATE(8716)] = 385397,
  [SMALL_STATE(8717)] = 385452,
  [SMALL_STATE(8718)] = 385507,
  [SMALL_STATE(8719)] = 385562,
  [SMALL_STATE(8720)] = 385617,
  [SMALL_STATE(8721)] = 385672,
  [SMALL_STATE(8722)] = 385727,
  [SMALL_STATE(8723)] = 385782,
  [SMALL_STATE(8724)] = 385837,
  [SMALL_STATE(8725)] = 385898,
  [SMALL_STATE(8726)] = 385953,
  [SMALL_STATE(8727)] = 386008,
  [SMALL_STATE(8728)] = 386063,
  [SMALL_STATE(8729)] = 386118,
  [SMALL_STATE(8730)] = 386173,
  [SMALL_STATE(8731)] = 386228,
  [SMALL_STATE(8732)] = 386282,
  [SMALL_STATE(8733)] = 386336,
  [SMALL_STATE(8734)] = 386390,
  [SMALL_STATE(8735)] = 386444,
  [SMALL_STATE(8736)] = 386498,
  [SMALL_STATE(8737)] = 386552,
  [SMALL_STATE(8738)] = 386606,
  [SMALL_STATE(8739)] = 386660,
  [SMALL_STATE(8740)] = 386714,
  [SMALL_STATE(8741)] = 386768,
  [SMALL_STATE(8742)] = 386822,
  [SMALL_STATE(8743)] = 386876,
  [SMALL_STATE(8744)] = 386930,
  [SMALL_STATE(8745)] = 386984,
  [SMALL_STATE(8746)] = 387038,
  [SMALL_STATE(8747)] = 387092,
  [SMALL_STATE(8748)] = 387146,
  [SMALL_STATE(8749)] = 387202,
  [SMALL_STATE(8750)] = 387256,
  [SMALL_STATE(8751)] = 387310,
  [SMALL_STATE(8752)] = 387364,
  [SMALL_STATE(8753)] = 387418,
  [SMALL_STATE(8754)] = 387472,
  [SMALL_STATE(8755)] = 387528,
  [SMALL_STATE(8756)] = 387582,
  [SMALL_STATE(8757)] = 387638,
  [SMALL_STATE(8758)] = 387694,
  [SMALL_STATE(8759)] = 387748,
  [SMALL_STATE(8760)] = 387804,
  [SMALL_STATE(8761)] = 387858,
  [SMALL_STATE(8762)] = 387914,
  [SMALL_STATE(8763)] = 387968,
  [SMALL_STATE(8764)] = 388022,
  [SMALL_STATE(8765)] = 388076,
  [SMALL_STATE(8766)] = 388132,
  [SMALL_STATE(8767)] = 388186,
  [SMALL_STATE(8768)] = 388240,
  [SMALL_STATE(8769)] = 388294,
  [SMALL_STATE(8770)] = 388348,
  [SMALL_STATE(8771)] = 388402,
  [SMALL_STATE(8772)] = 388456,
  [SMALL_STATE(8773)] = 388510,
  [SMALL_STATE(8774)] = 388564,
  [SMALL_STATE(8775)] = 388618,
  [SMALL_STATE(8776)] = 388672,
  [SMALL_STATE(8777)] = 388726,
  [SMALL_STATE(8778)] = 388780,
  [SMALL_STATE(8779)] = 388834,
  [SMALL_STATE(8780)] = 388890,
  [SMALL_STATE(8781)] = 388946,
  [SMALL_STATE(8782)] = 389000,
  [SMALL_STATE(8783)] = 389054,
  [SMALL_STATE(8784)] = 389110,
  [SMALL_STATE(8785)] = 389164,
  [SMALL_STATE(8786)] = 389218,
  [SMALL_STATE(8787)] = 389272,
  [SMALL_STATE(8788)] = 389326,
  [SMALL_STATE(8789)] = 389380,
  [SMALL_STATE(8790)] = 389434,
  [SMALL_STATE(8791)] = 389488,
  [SMALL_STATE(8792)] = 389542,
  [SMALL_STATE(8793)] = 389596,
  [SMALL_STATE(8794)] = 389650,
  [SMALL_STATE(8795)] = 389704,
  [SMALL_STATE(8796)] = 389758,
  [SMALL_STATE(8797)] = 389812,
  [SMALL_STATE(8798)] = 389872,
  [SMALL_STATE(8799)] = 389932,
  [SMALL_STATE(8800)] = 389986,
  [SMALL_STATE(8801)] = 390040,
  [SMALL_STATE(8802)] = 390094,
  [SMALL_STATE(8803)] = 390148,
  [SMALL_STATE(8804)] = 390208,
  [SMALL_STATE(8805)] = 390268,
  [SMALL_STATE(8806)] = 390322,
  [SMALL_STATE(8807)] = 390382,
  [SMALL_STATE(8808)] = 390438,
  [SMALL_STATE(8809)] = 390492,
  [SMALL_STATE(8810)] = 390546,
  [SMALL_STATE(8811)] = 390600,
  [SMALL_STATE(8812)] = 390654,
  [SMALL_STATE(8813)] = 390708,
  [SMALL_STATE(8814)] = 390762,
  [SMALL_STATE(8815)] = 390816,
  [SMALL_STATE(8816)] = 390870,
  [SMALL_STATE(8817)] = 390924,
  [SMALL_STATE(8818)] = 390978,
  [SMALL_STATE(8819)] = 391032,
  [SMALL_STATE(8820)] = 391086,
  [SMALL_STATE(8821)] = 391140,
  [SMALL_STATE(8822)] = 391194,
  [SMALL_STATE(8823)] = 391248,
  [SMALL_STATE(8824)] = 391302,
  [SMALL_STATE(8825)] = 391356,
  [SMALL_STATE(8826)] = 391410,
  [SMALL_STATE(8827)] = 391464,
  [SMALL_STATE(8828)] = 391518,
  [SMALL_STATE(8829)] = 391572,
  [SMALL_STATE(8830)] = 391626,
  [SMALL_STATE(8831)] = 391680,
  [SMALL_STATE(8832)] = 391734,
  [SMALL_STATE(8833)] = 391788,
  [SMALL_STATE(8834)] = 391842,
  [SMALL_STATE(8835)] = 391896,
  [SMALL_STATE(8836)] = 391950,
  [SMALL_STATE(8837)] = 392004,
  [SMALL_STATE(8838)] = 392058,
  [SMALL_STATE(8839)] = 392112,
  [SMALL_STATE(8840)] = 392166,
  [SMALL_STATE(8841)] = 392220,
  [SMALL_STATE(8842)] = 392274,
  [SMALL_STATE(8843)] = 392328,
  [SMALL_STATE(8844)] = 392382,
  [SMALL_STATE(8845)] = 392436,
  [SMALL_STATE(8846)] = 392490,
  [SMALL_STATE(8847)] = 392544,
  [SMALL_STATE(8848)] = 392598,
  [SMALL_STATE(8849)] = 392652,
  [SMALL_STATE(8850)] = 392706,
  [SMALL_STATE(8851)] = 392760,
  [SMALL_STATE(8852)] = 392814,
  [SMALL_STATE(8853)] = 392868,
  [SMALL_STATE(8854)] = 392922,
  [SMALL_STATE(8855)] = 392978,
  [SMALL_STATE(8856)] = 393032,
  [SMALL_STATE(8857)] = 393086,
  [SMALL_STATE(8858)] = 393140,
  [SMALL_STATE(8859)] = 393194,
  [SMALL_STATE(8860)] = 393248,
  [SMALL_STATE(8861)] = 393302,
  [SMALL_STATE(8862)] = 393356,
  [SMALL_STATE(8863)] = 393410,
  [SMALL_STATE(8864)] = 393464,
  [SMALL_STATE(8865)] = 393518,
  [SMALL_STATE(8866)] = 393572,
  [SMALL_STATE(8867)] = 393626,
  [SMALL_STATE(8868)] = 393680,
  [SMALL_STATE(8869)] = 393734,
  [SMALL_STATE(8870)] = 393788,
  [SMALL_STATE(8871)] = 393842,
  [SMALL_STATE(8872)] = 393896,
  [SMALL_STATE(8873)] = 393950,
  [SMALL_STATE(8874)] = 394004,
  [SMALL_STATE(8875)] = 394058,
  [SMALL_STATE(8876)] = 394112,
  [SMALL_STATE(8877)] = 394166,
  [SMALL_STATE(8878)] = 394220,
  [SMALL_STATE(8879)] = 394274,
  [SMALL_STATE(8880)] = 394328,
  [SMALL_STATE(8881)] = 394382,
  [SMALL_STATE(8882)] = 394436,
  [SMALL_STATE(8883)] = 394490,
  [SMALL_STATE(8884)] = 394544,
  [SMALL_STATE(8885)] = 394598,
  [SMALL_STATE(8886)] = 394652,
  [SMALL_STATE(8887)] = 394706,
  [SMALL_STATE(8888)] = 394760,
  [SMALL_STATE(8889)] = 394814,
  [SMALL_STATE(8890)] = 394868,
  [SMALL_STATE(8891)] = 394922,
  [SMALL_STATE(8892)] = 394976,
  [SMALL_STATE(8893)] = 395030,
  [SMALL_STATE(8894)] = 395084,
  [SMALL_STATE(8895)] = 395138,
  [SMALL_STATE(8896)] = 395192,
  [SMALL_STATE(8897)] = 395246,
  [SMALL_STATE(8898)] = 395300,
  [SMALL_STATE(8899)] = 395354,
  [SMALL_STATE(8900)] = 395408,
  [SMALL_STATE(8901)] = 395462,
  [SMALL_STATE(8902)] = 395516,
  [SMALL_STATE(8903)] = 395570,
  [SMALL_STATE(8904)] = 395624,
  [SMALL_STATE(8905)] = 395678,
  [SMALL_STATE(8906)] = 395732,
  [SMALL_STATE(8907)] = 395786,
  [SMALL_STATE(8908)] = 395840,
  [SMALL_STATE(8909)] = 395894,
  [SMALL_STATE(8910)] = 395948,
  [SMALL_STATE(8911)] = 396002,
  [SMALL_STATE(8912)] = 396056,
  [SMALL_STATE(8913)] = 396110,
  [SMALL_STATE(8914)] = 396164,
  [SMALL_STATE(8915)] = 396218,
  [SMALL_STATE(8916)] = 396272,
  [SMALL_STATE(8917)] = 396326,
  [SMALL_STATE(8918)] = 396380,
  [SMALL_STATE(8919)] = 396434,
  [SMALL_STATE(8920)] = 396487,
  [SMALL_STATE(8921)] = 396588,
  [SMALL_STATE(8922)] = 396641,
  [SMALL_STATE(8923)] = 396742,
  [SMALL_STATE(8924)] = 396843,
  [SMALL_STATE(8925)] = 396896,
  [SMALL_STATE(8926)] = 396997,
  [SMALL_STATE(8927)] = 397050,
  [SMALL_STATE(8928)] = 397103,
  [SMALL_STATE(8929)] = 397204,
  [SMALL_STATE(8930)] = 397257,
  [SMALL_STATE(8931)] = 397310,
  [SMALL_STATE(8932)] = 397363,
  [SMALL_STATE(8933)] = 397416,
  [SMALL_STATE(8934)] = 397469,
  [SMALL_STATE(8935)] = 397522,
  [SMALL_STATE(8936)] = 397623,
  [SMALL_STATE(8937)] = 397676,
  [SMALL_STATE(8938)] = 397729,
  [SMALL_STATE(8939)] = 397782,
  [SMALL_STATE(8940)] = 397835,
  [SMALL_STATE(8941)] = 397890,
  [SMALL_STATE(8942)] = 397991,
  [SMALL_STATE(8943)] = 398044,
  [SMALL_STATE(8944)] = 398097,
  [SMALL_STATE(8945)] = 398150,
  [SMALL_STATE(8946)] = 398203,
  [SMALL_STATE(8947)] = 398256,
  [SMALL_STATE(8948)] = 398357,
  [SMALL_STATE(8949)] = 398410,
  [SMALL_STATE(8950)] = 398463,
  [SMALL_STATE(8951)] = 398516,
  [SMALL_STATE(8952)] = 398569,
  [SMALL_STATE(8953)] = 398622,
  [SMALL_STATE(8954)] = 398675,
  [SMALL_STATE(8955)] = 398728,
  [SMALL_STATE(8956)] = 398783,
  [SMALL_STATE(8957)] = 398836,
  [SMALL_STATE(8958)] = 398889,
  [SMALL_STATE(8959)] = 398990,
  [SMALL_STATE(8960)] = 399043,
  [SMALL_STATE(8961)] = 399096,
  [SMALL_STATE(8962)] = 399149,
  [SMALL_STATE(8963)] = 399202,
  [SMALL_STATE(8964)] = 399255,
  [SMALL_STATE(8965)] = 399308,
  [SMALL_STATE(8966)] = 399361,
  [SMALL_STATE(8967)] = 399414,
  [SMALL_STATE(8968)] = 399467,
  [SMALL_STATE(8969)] = 399568,
  [SMALL_STATE(8970)] = 399621,
  [SMALL_STATE(8971)] = 399674,
  [SMALL_STATE(8972)] = 399727,
  [SMALL_STATE(8973)] = 399780,
  [SMALL_STATE(8974)] = 399833,
  [SMALL_STATE(8975)] = 399886,
  [SMALL_STATE(8976)] = 399987,
  [SMALL_STATE(8977)] = 400088,
  [SMALL_STATE(8978)] = 400141,
  [SMALL_STATE(8979)] = 400194,
  [SMALL_STATE(8980)] = 400247,
  [SMALL_STATE(8981)] = 400300,
  [SMALL_STATE(8982)] = 400353,
  [SMALL_STATE(8983)] = 400454,
  [SMALL_STATE(8984)] = 400555,
  [SMALL_STATE(8985)] = 400608,
  [SMALL_STATE(8986)] = 400661,
  [SMALL_STATE(8987)] = 400714,
  [SMALL_STATE(8988)] = 400767,
  [SMALL_STATE(8989)] = 400868,
  [SMALL_STATE(8990)] = 400923,
  [SMALL_STATE(8991)] = 400976,
  [SMALL_STATE(8992)] = 401029,
  [SMALL_STATE(8993)] = 401082,
  [SMALL_STATE(8994)] = 401135,
  [SMALL_STATE(8995)] = 401190,
  [SMALL_STATE(8996)] = 401243,
  [SMALL_STATE(8997)] = 401344,
  [SMALL_STATE(8998)] = 401397,
  [SMALL_STATE(8999)] = 401452,
  [SMALL_STATE(9000)] = 401505,
  [SMALL_STATE(9001)] = 401558,
  [SMALL_STATE(9002)] = 401611,
  [SMALL_STATE(9003)] = 401664,
  [SMALL_STATE(9004)] = 401717,
  [SMALL_STATE(9005)] = 401770,
  [SMALL_STATE(9006)] = 401823,
  [SMALL_STATE(9007)] = 401876,
  [SMALL_STATE(9008)] = 401929,
  [SMALL_STATE(9009)] = 401982,
  [SMALL_STATE(9010)] = 402035,
  [SMALL_STATE(9011)] = 402088,
  [SMALL_STATE(9012)] = 402141,
  [SMALL_STATE(9013)] = 402194,
  [SMALL_STATE(9014)] = 402247,
  [SMALL_STATE(9015)] = 402302,
  [SMALL_STATE(9016)] = 402355,
  [SMALL_STATE(9017)] = 402408,
  [SMALL_STATE(9018)] = 402461,
  [SMALL_STATE(9019)] = 402514,
  [SMALL_STATE(9020)] = 402567,
  [SMALL_STATE(9021)] = 402668,
  [SMALL_STATE(9022)] = 402721,
  [SMALL_STATE(9023)] = 402774,
  [SMALL_STATE(9024)] = 402875,
  [SMALL_STATE(9025)] = 402928,
  [SMALL_STATE(9026)] = 402981,
  [SMALL_STATE(9027)] = 403034,
  [SMALL_STATE(9028)] = 403087,
  [SMALL_STATE(9029)] = 403188,
  [SMALL_STATE(9030)] = 403289,
  [SMALL_STATE(9031)] = 403342,
  [SMALL_STATE(9032)] = 403395,
  [SMALL_STATE(9033)] = 403448,
  [SMALL_STATE(9034)] = 403501,
  [SMALL_STATE(9035)] = 403554,
  [SMALL_STATE(9036)] = 403655,
  [SMALL_STATE(9037)] = 403714,
  [SMALL_STATE(9038)] = 403773,
  [SMALL_STATE(9039)] = 403828,
  [SMALL_STATE(9040)] = 403887,
  [SMALL_STATE(9041)] = 403946,
  [SMALL_STATE(9042)] = 403999,
  [SMALL_STATE(9043)] = 404052,
  [SMALL_STATE(9044)] = 404105,
  [SMALL_STATE(9045)] = 404158,
  [SMALL_STATE(9046)] = 404211,
  [SMALL_STATE(9047)] = 404264,
  [SMALL_STATE(9048)] = 404323,
  [SMALL_STATE(9049)] = 404376,
  [SMALL_STATE(9050)] = 404435,
  [SMALL_STATE(9051)] = 404488,
  [SMALL_STATE(9052)] = 404541,
  [SMALL_STATE(9053)] = 404594,
  [SMALL_STATE(9054)] = 404649,
  [SMALL_STATE(9055)] = 404702,
  [SMALL_STATE(9056)] = 404755,
  [SMALL_STATE(9057)] = 404808,
  [SMALL_STATE(9058)] = 404861,
  [SMALL_STATE(9059)] = 404914,
  [SMALL_STATE(9060)] = 404967,
  [SMALL_STATE(9061)] = 405020,
  [SMALL_STATE(9062)] = 405073,
  [SMALL_STATE(9063)] = 405128,
  [SMALL_STATE(9064)] = 405181,
  [SMALL_STATE(9065)] = 405234,
  [SMALL_STATE(9066)] = 405287,
  [SMALL_STATE(9067)] = 405340,
  [SMALL_STATE(9068)] = 405393,
  [SMALL_STATE(9069)] = 405446,
  [SMALL_STATE(9070)] = 405499,
  [SMALL_STATE(9071)] = 405552,
  [SMALL_STATE(9072)] = 405605,
  [SMALL_STATE(9073)] = 405658,
  [SMALL_STATE(9074)] = 405711,
  [SMALL_STATE(9075)] = 405766,
  [SMALL_STATE(9076)] = 405819,
  [SMALL_STATE(9077)] = 405872,
  [SMALL_STATE(9078)] = 405925,
  [SMALL_STATE(9079)] = 405978,
  [SMALL_STATE(9080)] = 406031,
  [SMALL_STATE(9081)] = 406084,
  [SMALL_STATE(9082)] = 406137,
  [SMALL_STATE(9083)] = 406190,
  [SMALL_STATE(9084)] = 406243,
  [SMALL_STATE(9085)] = 406296,
  [SMALL_STATE(9086)] = 406349,
  [SMALL_STATE(9087)] = 406402,
  [SMALL_STATE(9088)] = 406455,
  [SMALL_STATE(9089)] = 406508,
  [SMALL_STATE(9090)] = 406561,
  [SMALL_STATE(9091)] = 406614,
  [SMALL_STATE(9092)] = 406667,
  [SMALL_STATE(9093)] = 406720,
  [SMALL_STATE(9094)] = 406773,
  [SMALL_STATE(9095)] = 406826,
  [SMALL_STATE(9096)] = 406879,
  [SMALL_STATE(9097)] = 406932,
  [SMALL_STATE(9098)] = 406991,
  [SMALL_STATE(9099)] = 407044,
  [SMALL_STATE(9100)] = 407103,
  [SMALL_STATE(9101)] = 407156,
  [SMALL_STATE(9102)] = 407209,
  [SMALL_STATE(9103)] = 407262,
  [SMALL_STATE(9104)] = 407315,
  [SMALL_STATE(9105)] = 407368,
  [SMALL_STATE(9106)] = 407421,
  [SMALL_STATE(9107)] = 407474,
  [SMALL_STATE(9108)] = 407527,
  [SMALL_STATE(9109)] = 407586,
  [SMALL_STATE(9110)] = 407639,
  [SMALL_STATE(9111)] = 407692,
  [SMALL_STATE(9112)] = 407745,
  [SMALL_STATE(9113)] = 407798,
  [SMALL_STATE(9114)] = 407851,
  [SMALL_STATE(9115)] = 407906,
  [SMALL_STATE(9116)] = 407959,
  [SMALL_STATE(9117)] = 408012,
  [SMALL_STATE(9118)] = 408065,
  [SMALL_STATE(9119)] = 408118,
  [SMALL_STATE(9120)] = 408171,
  [SMALL_STATE(9121)] = 408224,
  [SMALL_STATE(9122)] = 408277,
  [SMALL_STATE(9123)] = 408332,
  [SMALL_STATE(9124)] = 408385,
  [SMALL_STATE(9125)] = 408438,
  [SMALL_STATE(9126)] = 408491,
  [SMALL_STATE(9127)] = 408544,
  [SMALL_STATE(9128)] = 408597,
  [SMALL_STATE(9129)] = 408650,
  [SMALL_STATE(9130)] = 408703,
  [SMALL_STATE(9131)] = 408756,
  [SMALL_STATE(9132)] = 408809,
  [SMALL_STATE(9133)] = 408862,
  [SMALL_STATE(9134)] = 408915,
  [SMALL_STATE(9135)] = 408968,
  [SMALL_STATE(9136)] = 409021,
  [SMALL_STATE(9137)] = 409074,
  [SMALL_STATE(9138)] = 409127,
  [SMALL_STATE(9139)] = 409180,
  [SMALL_STATE(9140)] = 409233,
  [SMALL_STATE(9141)] = 409286,
  [SMALL_STATE(9142)] = 409339,
  [SMALL_STATE(9143)] = 409392,
  [SMALL_STATE(9144)] = 409445,
  [SMALL_STATE(9145)] = 409498,
  [SMALL_STATE(9146)] = 409551,
  [SMALL_STATE(9147)] = 409604,
  [SMALL_STATE(9148)] = 409657,
  [SMALL_STATE(9149)] = 409710,
  [SMALL_STATE(9150)] = 409763,
  [SMALL_STATE(9151)] = 409864,
  [SMALL_STATE(9152)] = 409917,
  [SMALL_STATE(9153)] = 409970,
  [SMALL_STATE(9154)] = 410023,
  [SMALL_STATE(9155)] = 410076,
  [SMALL_STATE(9156)] = 410129,
  [SMALL_STATE(9157)] = 410182,
  [SMALL_STATE(9158)] = 410235,
  [SMALL_STATE(9159)] = 410288,
  [SMALL_STATE(9160)] = 410341,
  [SMALL_STATE(9161)] = 410394,
  [SMALL_STATE(9162)] = 410447,
  [SMALL_STATE(9163)] = 410500,
  [SMALL_STATE(9164)] = 410559,
  [SMALL_STATE(9165)] = 410612,
  [SMALL_STATE(9166)] = 410665,
  [SMALL_STATE(9167)] = 410718,
  [SMALL_STATE(9168)] = 410771,
  [SMALL_STATE(9169)] = 410824,
  [SMALL_STATE(9170)] = 410877,
  [SMALL_STATE(9171)] = 410930,
  [SMALL_STATE(9172)] = 410983,
  [SMALL_STATE(9173)] = 411036,
  [SMALL_STATE(9174)] = 411089,
  [SMALL_STATE(9175)] = 411142,
  [SMALL_STATE(9176)] = 411195,
  [SMALL_STATE(9177)] = 411248,
  [SMALL_STATE(9178)] = 411301,
  [SMALL_STATE(9179)] = 411354,
  [SMALL_STATE(9180)] = 411407,
  [SMALL_STATE(9181)] = 411460,
  [SMALL_STATE(9182)] = 411513,
  [SMALL_STATE(9183)] = 411566,
  [SMALL_STATE(9184)] = 411619,
  [SMALL_STATE(9185)] = 411674,
  [SMALL_STATE(9186)] = 411775,
  [SMALL_STATE(9187)] = 411828,
  [SMALL_STATE(9188)] = 411881,
  [SMALL_STATE(9189)] = 411934,
  [SMALL_STATE(9190)] = 411987,
  [SMALL_STATE(9191)] = 412040,
  [SMALL_STATE(9192)] = 412093,
  [SMALL_STATE(9193)] = 412146,
  [SMALL_STATE(9194)] = 412247,
  [SMALL_STATE(9195)] = 412300,
  [SMALL_STATE(9196)] = 412353,
  [SMALL_STATE(9197)] = 412406,
  [SMALL_STATE(9198)] = 412459,
  [SMALL_STATE(9199)] = 412512,
  [SMALL_STATE(9200)] = 412565,
  [SMALL_STATE(9201)] = 412618,
  [SMALL_STATE(9202)] = 412719,
  [SMALL_STATE(9203)] = 412772,
  [SMALL_STATE(9204)] = 412825,
  [SMALL_STATE(9205)] = 412926,
  [SMALL_STATE(9206)] = 412979,
  [SMALL_STATE(9207)] = 413031,
  [SMALL_STATE(9208)] = 413083,
  [SMALL_STATE(9209)] = 413181,
  [SMALL_STATE(9210)] = 413235,
  [SMALL_STATE(9211)] = 413287,
  [SMALL_STATE(9212)] = 413339,
  [SMALL_STATE(9213)] = 413391,
  [SMALL_STATE(9214)] = 413443,
  [SMALL_STATE(9215)] = 413495,
  [SMALL_STATE(9216)] = 413551,
  [SMALL_STATE(9217)] = 413609,
  [SMALL_STATE(9218)] = 413661,
  [SMALL_STATE(9219)] = 413759,
  [SMALL_STATE(9220)] = 413811,
  [SMALL_STATE(9221)] = 413869,
  [SMALL_STATE(9222)] = 413921,
  [SMALL_STATE(9223)] = 413973,
  [SMALL_STATE(9224)] = 414027,
  [SMALL_STATE(9225)] = 414081,
  [SMALL_STATE(9226)] = 414133,
  [SMALL_STATE(9227)] = 414231,
  [SMALL_STATE(9228)] = 414329,
  [SMALL_STATE(9229)] = 414427,
  [SMALL_STATE(9230)] = 414527,
  [SMALL_STATE(9231)] = 414607,
  [SMALL_STATE(9232)] = 414705,
  [SMALL_STATE(9233)] = 414803,
  [SMALL_STATE(9234)] = 414901,
  [SMALL_STATE(9235)] = 414953,
  [SMALL_STATE(9236)] = 415005,
  [SMALL_STATE(9237)] = 415103,
  [SMALL_STATE(9238)] = 415201,
  [SMALL_STATE(9239)] = 415257,
  [SMALL_STATE(9240)] = 415355,
  [SMALL_STATE(9241)] = 415453,
  [SMALL_STATE(9242)] = 415551,
  [SMALL_STATE(9243)] = 415649,
  [SMALL_STATE(9244)] = 415747,
  [SMALL_STATE(9245)] = 415845,
  [SMALL_STATE(9246)] = 415943,
  [SMALL_STATE(9247)] = 416041,
  [SMALL_STATE(9248)] = 416139,
  [SMALL_STATE(9249)] = 416237,
  [SMALL_STATE(9250)] = 416335,
  [SMALL_STATE(9251)] = 416387,
  [SMALL_STATE(9252)] = 416485,
  [SMALL_STATE(9253)] = 416583,
  [SMALL_STATE(9254)] = 416681,
  [SMALL_STATE(9255)] = 416779,
  [SMALL_STATE(9256)] = 416877,
  [SMALL_STATE(9257)] = 416975,
  [SMALL_STATE(9258)] = 417073,
  [SMALL_STATE(9259)] = 417171,
  [SMALL_STATE(9260)] = 417269,
  [SMALL_STATE(9261)] = 417367,
  [SMALL_STATE(9262)] = 417465,
  [SMALL_STATE(9263)] = 417563,
  [SMALL_STATE(9264)] = 417661,
  [SMALL_STATE(9265)] = 417759,
  [SMALL_STATE(9266)] = 417857,
  [SMALL_STATE(9267)] = 417955,
  [SMALL_STATE(9268)] = 418053,
  [SMALL_STATE(9269)] = 418151,
  [SMALL_STATE(9270)] = 418249,
  [SMALL_STATE(9271)] = 418347,
  [SMALL_STATE(9272)] = 418445,
  [SMALL_STATE(9273)] = 418543,
  [SMALL_STATE(9274)] = 418641,
  [SMALL_STATE(9275)] = 418739,
  [SMALL_STATE(9276)] = 418839,
  [SMALL_STATE(9277)] = 418937,
  [SMALL_STATE(9278)] = 419035,
  [SMALL_STATE(9279)] = 419087,
  [SMALL_STATE(9280)] = 419185,
  [SMALL_STATE(9281)] = 419283,
  [SMALL_STATE(9282)] = 419335,
  [SMALL_STATE(9283)] = 419433,
  [SMALL_STATE(9284)] = 419485,
  [SMALL_STATE(9285)] = 419537,
  [SMALL_STATE(9286)] = 419635,
  [SMALL_STATE(9287)] = 419687,
  [SMALL_STATE(9288)] = 419741,
  [SMALL_STATE(9289)] = 419793,
  [SMALL_STATE(9290)] = 419891,
  [SMALL_STATE(9291)] = 419943,
  [SMALL_STATE(9292)] = 419995,
  [SMALL_STATE(9293)] = 420047,
  [SMALL_STATE(9294)] = 420099,
  [SMALL_STATE(9295)] = 420151,
  [SMALL_STATE(9296)] = 420203,
  [SMALL_STATE(9297)] = 420255,
  [SMALL_STATE(9298)] = 420353,
  [SMALL_STATE(9299)] = 420451,
  [SMALL_STATE(9300)] = 420503,
  [SMALL_STATE(9301)] = 420555,
  [SMALL_STATE(9302)] = 420607,
  [SMALL_STATE(9303)] = 420661,
  [SMALL_STATE(9304)] = 420713,
  [SMALL_STATE(9305)] = 420765,
  [SMALL_STATE(9306)] = 420817,
  [SMALL_STATE(9307)] = 420869,
  [SMALL_STATE(9308)] = 420921,
  [SMALL_STATE(9309)] = 420973,
  [SMALL_STATE(9310)] = 421027,
  [SMALL_STATE(9311)] = 421079,
  [SMALL_STATE(9312)] = 421133,
  [SMALL_STATE(9313)] = 421231,
  [SMALL_STATE(9314)] = 421283,
  [SMALL_STATE(9315)] = 421335,
  [SMALL_STATE(9316)] = 421387,
  [SMALL_STATE(9317)] = 421439,
  [SMALL_STATE(9318)] = 421491,
  [SMALL_STATE(9319)] = 421543,
  [SMALL_STATE(9320)] = 421641,
  [SMALL_STATE(9321)] = 421693,
  [SMALL_STATE(9322)] = 421791,
  [SMALL_STATE(9323)] = 421843,
  [SMALL_STATE(9324)] = 421895,
  [SMALL_STATE(9325)] = 421947,
  [SMALL_STATE(9326)] = 421999,
  [SMALL_STATE(9327)] = 422051,
  [SMALL_STATE(9328)] = 422103,
  [SMALL_STATE(9329)] = 422157,
  [SMALL_STATE(9330)] = 422209,
  [SMALL_STATE(9331)] = 422261,
  [SMALL_STATE(9332)] = 422313,
  [SMALL_STATE(9333)] = 422365,
  [SMALL_STATE(9334)] = 422417,
  [SMALL_STATE(9335)] = 422515,
  [SMALL_STATE(9336)] = 422567,
  [SMALL_STATE(9337)] = 422625,
  [SMALL_STATE(9338)] = 422723,
  [SMALL_STATE(9339)] = 422775,
  [SMALL_STATE(9340)] = 422827,
  [SMALL_STATE(9341)] = 422879,
  [SMALL_STATE(9342)] = 422931,
  [SMALL_STATE(9343)] = 422983,
  [SMALL_STATE(9344)] = 423035,
  [SMALL_STATE(9345)] = 423087,
  [SMALL_STATE(9346)] = 423139,
  [SMALL_STATE(9347)] = 423191,
  [SMALL_STATE(9348)] = 423243,
  [SMALL_STATE(9349)] = 423295,
  [SMALL_STATE(9350)] = 423347,
  [SMALL_STATE(9351)] = 423445,
  [SMALL_STATE(9352)] = 423497,
  [SMALL_STATE(9353)] = 423549,
  [SMALL_STATE(9354)] = 423647,
  [SMALL_STATE(9355)] = 423699,
  [SMALL_STATE(9356)] = 423799,
  [SMALL_STATE(9357)] = 423851,
  [SMALL_STATE(9358)] = 423903,
  [SMALL_STATE(9359)] = 423955,
  [SMALL_STATE(9360)] = 424007,
  [SMALL_STATE(9361)] = 424059,
  [SMALL_STATE(9362)] = 424111,
  [SMALL_STATE(9363)] = 424163,
  [SMALL_STATE(9364)] = 424215,
  [SMALL_STATE(9365)] = 424313,
  [SMALL_STATE(9366)] = 424365,
  [SMALL_STATE(9367)] = 424417,
  [SMALL_STATE(9368)] = 424475,
  [SMALL_STATE(9369)] = 424527,
  [SMALL_STATE(9370)] = 424579,
  [SMALL_STATE(9371)] = 424679,
  [SMALL_STATE(9372)] = 424737,
  [SMALL_STATE(9373)] = 424835,
  [SMALL_STATE(9374)] = 424933,
  [SMALL_STATE(9375)] = 424985,
  [SMALL_STATE(9376)] = 425085,
  [SMALL_STATE(9377)] = 425137,
  [SMALL_STATE(9378)] = 425189,
  [SMALL_STATE(9379)] = 425241,
  [SMALL_STATE(9380)] = 425293,
  [SMALL_STATE(9381)] = 425345,
  [SMALL_STATE(9382)] = 425443,
  [SMALL_STATE(9383)] = 425495,
  [SMALL_STATE(9384)] = 425593,
  [SMALL_STATE(9385)] = 425693,
  [SMALL_STATE(9386)] = 425745,
  [SMALL_STATE(9387)] = 425797,
  [SMALL_STATE(9388)] = 425849,
  [SMALL_STATE(9389)] = 425947,
  [SMALL_STATE(9390)] = 425999,
  [SMALL_STATE(9391)] = 426051,
  [SMALL_STATE(9392)] = 426103,
  [SMALL_STATE(9393)] = 426155,
  [SMALL_STATE(9394)] = 426207,
  [SMALL_STATE(9395)] = 426305,
  [SMALL_STATE(9396)] = 426357,
  [SMALL_STATE(9397)] = 426411,
  [SMALL_STATE(9398)] = 426463,
  [SMALL_STATE(9399)] = 426515,
  [SMALL_STATE(9400)] = 426567,
  [SMALL_STATE(9401)] = 426618,
  [SMALL_STATE(9402)] = 426669,
  [SMALL_STATE(9403)] = 426720,
  [SMALL_STATE(9404)] = 426771,
  [SMALL_STATE(9405)] = 426866,
  [SMALL_STATE(9406)] = 426961,
  [SMALL_STATE(9407)] = 427056,
  [SMALL_STATE(9408)] = 427107,
  [SMALL_STATE(9409)] = 427158,
  [SMALL_STATE(9410)] = 427209,
  [SMALL_STATE(9411)] = 427260,
  [SMALL_STATE(9412)] = 427311,
  [SMALL_STATE(9413)] = 427362,
  [SMALL_STATE(9414)] = 427453,
  [SMALL_STATE(9415)] = 427510,
  [SMALL_STATE(9416)] = 427561,
  [SMALL_STATE(9417)] = 427612,
  [SMALL_STATE(9418)] = 427707,
  [SMALL_STATE(9419)] = 427802,
  [SMALL_STATE(9420)] = 427853,
  [SMALL_STATE(9421)] = 427948,
  [SMALL_STATE(9422)] = 427999,
  [SMALL_STATE(9423)] = 428050,
  [SMALL_STATE(9424)] = 428101,
  [SMALL_STATE(9425)] = 428152,
  [SMALL_STATE(9426)] = 428203,
  [SMALL_STATE(9427)] = 428254,
  [SMALL_STATE(9428)] = 428349,
  [SMALL_STATE(9429)] = 428444,
  [SMALL_STATE(9430)] = 428497,
  [SMALL_STATE(9431)] = 428592,
  [SMALL_STATE(9432)] = 428683,
  [SMALL_STATE(9433)] = 428734,
  [SMALL_STATE(9434)] = 428829,
  [SMALL_STATE(9435)] = 428924,
  [SMALL_STATE(9436)] = 428975,
  [SMALL_STATE(9437)] = 429070,
  [SMALL_STATE(9438)] = 429121,
  [SMALL_STATE(9439)] = 429172,
  [SMALL_STATE(9440)] = 429223,
  [SMALL_STATE(9441)] = 429274,
  [SMALL_STATE(9442)] = 429325,
  [SMALL_STATE(9443)] = 429376,
  [SMALL_STATE(9444)] = 429427,
  [SMALL_STATE(9445)] = 429522,
  [SMALL_STATE(9446)] = 429617,
  [SMALL_STATE(9447)] = 429712,
  [SMALL_STATE(9448)] = 429763,
  [SMALL_STATE(9449)] = 429814,
  [SMALL_STATE(9450)] = 429865,
  [SMALL_STATE(9451)] = 429916,
  [SMALL_STATE(9452)] = 429967,
  [SMALL_STATE(9453)] = 430018,
  [SMALL_STATE(9454)] = 430069,
  [SMALL_STATE(9455)] = 430120,
  [SMALL_STATE(9456)] = 430215,
  [SMALL_STATE(9457)] = 430310,
  [SMALL_STATE(9458)] = 430361,
  [SMALL_STATE(9459)] = 430456,
  [SMALL_STATE(9460)] = 430507,
  [SMALL_STATE(9461)] = 430558,
  [SMALL_STATE(9462)] = 430609,
  [SMALL_STATE(9463)] = 430660,
  [SMALL_STATE(9464)] = 430711,
  [SMALL_STATE(9465)] = 430762,
  [SMALL_STATE(9466)] = 430813,
  [SMALL_STATE(9467)] = 430864,
  [SMALL_STATE(9468)] = 430915,
  [SMALL_STATE(9469)] = 431010,
  [SMALL_STATE(9470)] = 431105,
  [SMALL_STATE(9471)] = 431200,
  [SMALL_STATE(9472)] = 431251,
  [SMALL_STATE(9473)] = 431302,
  [SMALL_STATE(9474)] = 431353,
  [SMALL_STATE(9475)] = 431404,
  [SMALL_STATE(9476)] = 431455,
  [SMALL_STATE(9477)] = 431506,
  [SMALL_STATE(9478)] = 431557,
  [SMALL_STATE(9479)] = 431608,
  [SMALL_STATE(9480)] = 431703,
  [SMALL_STATE(9481)] = 431798,
  [SMALL_STATE(9482)] = 431849,
  [SMALL_STATE(9483)] = 431900,
  [SMALL_STATE(9484)] = 431951,
  [SMALL_STATE(9485)] = 432046,
  [SMALL_STATE(9486)] = 432097,
  [SMALL_STATE(9487)] = 432148,
  [SMALL_STATE(9488)] = 432199,
  [SMALL_STATE(9489)] = 432250,
  [SMALL_STATE(9490)] = 432301,
  [SMALL_STATE(9491)] = 432352,
  [SMALL_STATE(9492)] = 432447,
  [SMALL_STATE(9493)] = 432542,
  [SMALL_STATE(9494)] = 432637,
  [SMALL_STATE(9495)] = 432688,
  [SMALL_STATE(9496)] = 432739,
  [SMALL_STATE(9497)] = 432790,
  [SMALL_STATE(9498)] = 432841,
  [SMALL_STATE(9499)] = 432892,
  [SMALL_STATE(9500)] = 432943,
  [SMALL_STATE(9501)] = 432994,
  [SMALL_STATE(9502)] = 433089,
  [SMALL_STATE(9503)] = 433184,
  [SMALL_STATE(9504)] = 433235,
  [SMALL_STATE(9505)] = 433286,
  [SMALL_STATE(9506)] = 433381,
  [SMALL_STATE(9507)] = 433432,
  [SMALL_STATE(9508)] = 433483,
  [SMALL_STATE(9509)] = 433534,
  [SMALL_STATE(9510)] = 433629,
  [SMALL_STATE(9511)] = 433724,
  [SMALL_STATE(9512)] = 433775,
  [SMALL_STATE(9513)] = 433870,
  [SMALL_STATE(9514)] = 433921,
  [SMALL_STATE(9515)] = 433972,
  [SMALL_STATE(9516)] = 434067,
  [SMALL_STATE(9517)] = 434162,
  [SMALL_STATE(9518)] = 434213,
  [SMALL_STATE(9519)] = 434264,
  [SMALL_STATE(9520)] = 434359,
  [SMALL_STATE(9521)] = 434410,
  [SMALL_STATE(9522)] = 434461,
  [SMALL_STATE(9523)] = 434512,
  [SMALL_STATE(9524)] = 434563,
  [SMALL_STATE(9525)] = 434614,
  [SMALL_STATE(9526)] = 434665,
  [SMALL_STATE(9527)] = 434760,
  [SMALL_STATE(9528)] = 434855,
  [SMALL_STATE(9529)] = 434906,
  [SMALL_STATE(9530)] = 434957,
  [SMALL_STATE(9531)] = 435052,
  [SMALL_STATE(9532)] = 435103,
  [SMALL_STATE(9533)] = 435154,
  [SMALL_STATE(9534)] = 435205,
  [SMALL_STATE(9535)] = 435256,
  [SMALL_STATE(9536)] = 435351,
  [SMALL_STATE(9537)] = 435446,
  [SMALL_STATE(9538)] = 435497,
  [SMALL_STATE(9539)] = 435592,
  [SMALL_STATE(9540)] = 435643,
  [SMALL_STATE(9541)] = 435734,
  [SMALL_STATE(9542)] = 435785,
  [SMALL_STATE(9543)] = 435836,
  [SMALL_STATE(9544)] = 435887,
  [SMALL_STATE(9545)] = 435938,
  [SMALL_STATE(9546)] = 435989,
  [SMALL_STATE(9547)] = 436042,
  [SMALL_STATE(9548)] = 436093,
  [SMALL_STATE(9549)] = 436144,
  [SMALL_STATE(9550)] = 436195,
  [SMALL_STATE(9551)] = 436246,
  [SMALL_STATE(9552)] = 436297,
  [SMALL_STATE(9553)] = 436348,
  [SMALL_STATE(9554)] = 436399,
  [SMALL_STATE(9555)] = 436450,
  [SMALL_STATE(9556)] = 436501,
  [SMALL_STATE(9557)] = 436552,
  [SMALL_STATE(9558)] = 436603,
  [SMALL_STATE(9559)] = 436654,
  [SMALL_STATE(9560)] = 436705,
  [SMALL_STATE(9561)] = 436756,
  [SMALL_STATE(9562)] = 436851,
  [SMALL_STATE(9563)] = 436902,
  [SMALL_STATE(9564)] = 436997,
  [SMALL_STATE(9565)] = 437048,
  [SMALL_STATE(9566)] = 437099,
  [SMALL_STATE(9567)] = 437150,
  [SMALL_STATE(9568)] = 437201,
  [SMALL_STATE(9569)] = 437252,
  [SMALL_STATE(9570)] = 437303,
  [SMALL_STATE(9571)] = 437354,
  [SMALL_STATE(9572)] = 437405,
  [SMALL_STATE(9573)] = 437456,
  [SMALL_STATE(9574)] = 437507,
  [SMALL_STATE(9575)] = 437558,
  [SMALL_STATE(9576)] = 437653,
  [SMALL_STATE(9577)] = 437748,
  [SMALL_STATE(9578)] = 437799,
  [SMALL_STATE(9579)] = 437850,
  [SMALL_STATE(9580)] = 437901,
  [SMALL_STATE(9581)] = 437952,
  [SMALL_STATE(9582)] = 438003,
  [SMALL_STATE(9583)] = 438098,
  [SMALL_STATE(9584)] = 438149,
  [SMALL_STATE(9585)] = 438200,
  [SMALL_STATE(9586)] = 438251,
  [SMALL_STATE(9587)] = 438302,
  [SMALL_STATE(9588)] = 438353,
  [SMALL_STATE(9589)] = 438404,
  [SMALL_STATE(9590)] = 438455,
  [SMALL_STATE(9591)] = 438506,
  [SMALL_STATE(9592)] = 438557,
  [SMALL_STATE(9593)] = 438608,
  [SMALL_STATE(9594)] = 438659,
  [SMALL_STATE(9595)] = 438710,
  [SMALL_STATE(9596)] = 438761,
  [SMALL_STATE(9597)] = 438812,
  [SMALL_STATE(9598)] = 438863,
  [SMALL_STATE(9599)] = 438914,
  [SMALL_STATE(9600)] = 438965,
  [SMALL_STATE(9601)] = 439016,
  [SMALL_STATE(9602)] = 439067,
  [SMALL_STATE(9603)] = 439118,
  [SMALL_STATE(9604)] = 439169,
  [SMALL_STATE(9605)] = 439220,
  [SMALL_STATE(9606)] = 439271,
  [SMALL_STATE(9607)] = 439322,
  [SMALL_STATE(9608)] = 439413,
  [SMALL_STATE(9609)] = 439464,
  [SMALL_STATE(9610)] = 439515,
  [SMALL_STATE(9611)] = 439566,
  [SMALL_STATE(9612)] = 439617,
  [SMALL_STATE(9613)] = 439668,
  [SMALL_STATE(9614)] = 439719,
  [SMALL_STATE(9615)] = 439770,
  [SMALL_STATE(9616)] = 439821,
  [SMALL_STATE(9617)] = 439872,
  [SMALL_STATE(9618)] = 439923,
  [SMALL_STATE(9619)] = 439974,
  [SMALL_STATE(9620)] = 440025,
  [SMALL_STATE(9621)] = 440076,
  [SMALL_STATE(9622)] = 440127,
  [SMALL_STATE(9623)] = 440180,
  [SMALL_STATE(9624)] = 440231,
  [SMALL_STATE(9625)] = 440282,
  [SMALL_STATE(9626)] = 440333,
  [SMALL_STATE(9627)] = 440384,
  [SMALL_STATE(9628)] = 440479,
  [SMALL_STATE(9629)] = 440574,
  [SMALL_STATE(9630)] = 440625,
  [SMALL_STATE(9631)] = 440720,
  [SMALL_STATE(9632)] = 440771,
  [SMALL_STATE(9633)] = 440822,
  [SMALL_STATE(9634)] = 440873,
  [SMALL_STATE(9635)] = 440924,
  [SMALL_STATE(9636)] = 440975,
  [SMALL_STATE(9637)] = 441026,
  [SMALL_STATE(9638)] = 441077,
  [SMALL_STATE(9639)] = 441128,
  [SMALL_STATE(9640)] = 441179,
  [SMALL_STATE(9641)] = 441230,
  [SMALL_STATE(9642)] = 441281,
  [SMALL_STATE(9643)] = 441332,
  [SMALL_STATE(9644)] = 441411,
  [SMALL_STATE(9645)] = 441462,
  [SMALL_STATE(9646)] = 441513,
  [SMALL_STATE(9647)] = 441608,
  [SMALL_STATE(9648)] = 441703,
  [SMALL_STATE(9649)] = 441754,
  [SMALL_STATE(9650)] = 441805,
  [SMALL_STATE(9651)] = 441900,
  [SMALL_STATE(9652)] = 441951,
  [SMALL_STATE(9653)] = 442002,
  [SMALL_STATE(9654)] = 442053,
  [SMALL_STATE(9655)] = 442104,
  [SMALL_STATE(9656)] = 442199,
  [SMALL_STATE(9657)] = 442250,
  [SMALL_STATE(9658)] = 442301,
  [SMALL_STATE(9659)] = 442352,
  [SMALL_STATE(9660)] = 442447,
  [SMALL_STATE(9661)] = 442498,
  [SMALL_STATE(9662)] = 442549,
  [SMALL_STATE(9663)] = 442600,
  [SMALL_STATE(9664)] = 442695,
  [SMALL_STATE(9665)] = 442786,
  [SMALL_STATE(9666)] = 442837,
  [SMALL_STATE(9667)] = 442888,
  [SMALL_STATE(9668)] = 442939,
  [SMALL_STATE(9669)] = 442990,
  [SMALL_STATE(9670)] = 443041,
  [SMALL_STATE(9671)] = 443132,
  [SMALL_STATE(9672)] = 443183,
  [SMALL_STATE(9673)] = 443234,
  [SMALL_STATE(9674)] = 443285,
  [SMALL_STATE(9675)] = 443380,
  [SMALL_STATE(9676)] = 443431,
  [SMALL_STATE(9677)] = 443482,
  [SMALL_STATE(9678)] = 443533,
  [SMALL_STATE(9679)] = 443584,
  [SMALL_STATE(9680)] = 443635,
  [SMALL_STATE(9681)] = 443686,
  [SMALL_STATE(9682)] = 443781,
  [SMALL_STATE(9683)] = 443832,
  [SMALL_STATE(9684)] = 443883,
  [SMALL_STATE(9685)] = 443934,
  [SMALL_STATE(9686)] = 443985,
  [SMALL_STATE(9687)] = 444036,
  [SMALL_STATE(9688)] = 444087,
  [SMALL_STATE(9689)] = 444138,
  [SMALL_STATE(9690)] = 444189,
  [SMALL_STATE(9691)] = 444240,
  [SMALL_STATE(9692)] = 444291,
  [SMALL_STATE(9693)] = 444342,
  [SMALL_STATE(9694)] = 444437,
  [SMALL_STATE(9695)] = 444488,
  [SMALL_STATE(9696)] = 444539,
  [SMALL_STATE(9697)] = 444590,
  [SMALL_STATE(9698)] = 444641,
  [SMALL_STATE(9699)] = 444692,
  [SMALL_STATE(9700)] = 444743,
  [SMALL_STATE(9701)] = 444794,
  [SMALL_STATE(9702)] = 444845,
  [SMALL_STATE(9703)] = 444896,
  [SMALL_STATE(9704)] = 444987,
  [SMALL_STATE(9705)] = 445038,
  [SMALL_STATE(9706)] = 445089,
  [SMALL_STATE(9707)] = 445184,
  [SMALL_STATE(9708)] = 445235,
  [SMALL_STATE(9709)] = 445286,
  [SMALL_STATE(9710)] = 445337,
  [SMALL_STATE(9711)] = 445388,
  [SMALL_STATE(9712)] = 445439,
  [SMALL_STATE(9713)] = 445492,
  [SMALL_STATE(9714)] = 445543,
  [SMALL_STATE(9715)] = 445638,
  [SMALL_STATE(9716)] = 445689,
  [SMALL_STATE(9717)] = 445740,
  [SMALL_STATE(9718)] = 445791,
  [SMALL_STATE(9719)] = 445842,
  [SMALL_STATE(9720)] = 445937,
  [SMALL_STATE(9721)] = 446028,
  [SMALL_STATE(9722)] = 446119,
  [SMALL_STATE(9723)] = 446176,
  [SMALL_STATE(9724)] = 446229,
  [SMALL_STATE(9725)] = 446280,
  [SMALL_STATE(9726)] = 446331,
  [SMALL_STATE(9727)] = 446382,
  [SMALL_STATE(9728)] = 446433,
  [SMALL_STATE(9729)] = 446484,
  [SMALL_STATE(9730)] = 446535,
  [SMALL_STATE(9731)] = 446588,
  [SMALL_STATE(9732)] = 446639,
  [SMALL_STATE(9733)] = 446690,
  [SMALL_STATE(9734)] = 446741,
  [SMALL_STATE(9735)] = 446792,
  [SMALL_STATE(9736)] = 446843,
  [SMALL_STATE(9737)] = 446934,
  [SMALL_STATE(9738)] = 447029,
  [SMALL_STATE(9739)] = 447124,
  [SMALL_STATE(9740)] = 447175,
  [SMALL_STATE(9741)] = 447226,
  [SMALL_STATE(9742)] = 447321,
  [SMALL_STATE(9743)] = 447372,
  [SMALL_STATE(9744)] = 447467,
  [SMALL_STATE(9745)] = 447518,
  [SMALL_STATE(9746)] = 447613,
  [SMALL_STATE(9747)] = 447664,
  [SMALL_STATE(9748)] = 447718,
  [SMALL_STATE(9749)] = 447780,
  [SMALL_STATE(9750)] = 447834,
  [SMALL_STATE(9751)] = 447884,
  [SMALL_STATE(9752)] = 447934,
  [SMALL_STATE(9753)] = 447986,
  [SMALL_STATE(9754)] = 448048,
  [SMALL_STATE(9755)] = 448102,
  [SMALL_STATE(9756)] = 448156,
  [SMALL_STATE(9757)] = 448208,
  [SMALL_STATE(9758)] = 448274,
  [SMALL_STATE(9759)] = 448342,
  [SMALL_STATE(9760)] = 448414,
  [SMALL_STATE(9761)] = 448468,
  [SMALL_STATE(9762)] = 448524,
  [SMALL_STATE(9763)] = 448594,
  [SMALL_STATE(9764)] = 448648,
  [SMALL_STATE(9765)] = 448698,
  [SMALL_STATE(9766)] = 448748,
  [SMALL_STATE(9767)] = 448798,
  [SMALL_STATE(9768)] = 448858,
  [SMALL_STATE(9769)] = 448932,
  [SMALL_STATE(9770)] = 448982,
  [SMALL_STATE(9771)] = 449034,
  [SMALL_STATE(9772)] = 449084,
  [SMALL_STATE(9773)] = 449134,
  [SMALL_STATE(9774)] = 449188,
  [SMALL_STATE(9775)] = 449238,
  [SMALL_STATE(9776)] = 449288,
  [SMALL_STATE(9777)] = 449362,
  [SMALL_STATE(9778)] = 449416,
  [SMALL_STATE(9779)] = 449468,
  [SMALL_STATE(9780)] = 449530,
  [SMALL_STATE(9781)] = 449592,
  [SMALL_STATE(9782)] = 449642,
  [SMALL_STATE(9783)] = 449692,
  [SMALL_STATE(9784)] = 449784,
  [SMALL_STATE(9785)] = 449850,
  [SMALL_STATE(9786)] = 449918,
  [SMALL_STATE(9787)] = 449992,
  [SMALL_STATE(9788)] = 450084,
  [SMALL_STATE(9789)] = 450134,
  [SMALL_STATE(9790)] = 450206,
  [SMALL_STATE(9791)] = 450262,
  [SMALL_STATE(9792)] = 450334,
  [SMALL_STATE(9793)] = 450388,
  [SMALL_STATE(9794)] = 450460,
  [SMALL_STATE(9795)] = 450512,
  [SMALL_STATE(9796)] = 450566,
  [SMALL_STATE(9797)] = 450638,
  [SMALL_STATE(9798)] = 450692,
  [SMALL_STATE(9799)] = 450764,
  [SMALL_STATE(9800)] = 450818,
  [SMALL_STATE(9801)] = 450872,
  [SMALL_STATE(9802)] = 450922,
  [SMALL_STATE(9803)] = 450976,
  [SMALL_STATE(9804)] = 451026,
  [SMALL_STATE(9805)] = 451080,
  [SMALL_STATE(9806)] = 451130,
  [SMALL_STATE(9807)] = 451180,
  [SMALL_STATE(9808)] = 451230,
  [SMALL_STATE(9809)] = 451280,
  [SMALL_STATE(9810)] = 451330,
  [SMALL_STATE(9811)] = 451382,
  [SMALL_STATE(9812)] = 451434,
  [SMALL_STATE(9813)] = 451488,
  [SMALL_STATE(9814)] = 451580,
  [SMALL_STATE(9815)] = 451630,
  [SMALL_STATE(9816)] = 451680,
  [SMALL_STATE(9817)] = 451752,
  [SMALL_STATE(9818)] = 451802,
  [SMALL_STATE(9819)] = 451876,
  [SMALL_STATE(9820)] = 451928,
  [SMALL_STATE(9821)] = 451978,
  [SMALL_STATE(9822)] = 452070,
  [SMALL_STATE(9823)] = 452124,
  [SMALL_STATE(9824)] = 452174,
  [SMALL_STATE(9825)] = 452224,
  [SMALL_STATE(9826)] = 452274,
  [SMALL_STATE(9827)] = 452324,
  [SMALL_STATE(9828)] = 452398,
  [SMALL_STATE(9829)] = 452472,
  [SMALL_STATE(9830)] = 452542,
  [SMALL_STATE(9831)] = 452602,
  [SMALL_STATE(9832)] = 452676,
  [SMALL_STATE(9833)] = 452750,
  [SMALL_STATE(9834)] = 452804,
  [SMALL_STATE(9835)] = 452858,
  [SMALL_STATE(9836)] = 452920,
  [SMALL_STATE(9837)] = 452982,
  [SMALL_STATE(9838)] = 453048,
  [SMALL_STATE(9839)] = 453098,
  [SMALL_STATE(9840)] = 453152,
  [SMALL_STATE(9841)] = 453202,
  [SMALL_STATE(9842)] = 453274,
  [SMALL_STATE(9843)] = 453324,
  [SMALL_STATE(9844)] = 453374,
  [SMALL_STATE(9845)] = 453424,
  [SMALL_STATE(9846)] = 453474,
  [SMALL_STATE(9847)] = 453544,
  [SMALL_STATE(9848)] = 453612,
  [SMALL_STATE(9849)] = 453666,
  [SMALL_STATE(9850)] = 453716,
  [SMALL_STATE(9851)] = 453766,
  [SMALL_STATE(9852)] = 453816,
  [SMALL_STATE(9853)] = 453888,
  [SMALL_STATE(9854)] = 453944,
  [SMALL_STATE(9855)] = 454016,
  [SMALL_STATE(9856)] = 454070,
  [SMALL_STATE(9857)] = 454142,
  [SMALL_STATE(9858)] = 454192,
  [SMALL_STATE(9859)] = 454266,
  [SMALL_STATE(9860)] = 454316,
  [SMALL_STATE(9861)] = 454370,
  [SMALL_STATE(9862)] = 454424,
  [SMALL_STATE(9863)] = 454474,
  [SMALL_STATE(9864)] = 454534,
  [SMALL_STATE(9865)] = 454588,
  [SMALL_STATE(9866)] = 454642,
  [SMALL_STATE(9867)] = 454692,
  [SMALL_STATE(9868)] = 454746,
  [SMALL_STATE(9869)] = 454796,
  [SMALL_STATE(9870)] = 454846,
  [SMALL_STATE(9871)] = 454900,
  [SMALL_STATE(9872)] = 454954,
  [SMALL_STATE(9873)] = 455004,
  [SMALL_STATE(9874)] = 455076,
  [SMALL_STATE(9875)] = 455130,
  [SMALL_STATE(9876)] = 455182,
  [SMALL_STATE(9877)] = 455232,
  [SMALL_STATE(9878)] = 455282,
  [SMALL_STATE(9879)] = 455341,
  [SMALL_STATE(9880)] = 455414,
  [SMALL_STATE(9881)] = 455487,
  [SMALL_STATE(9882)] = 455538,
  [SMALL_STATE(9883)] = 455589,
  [SMALL_STATE(9884)] = 455642,
  [SMALL_STATE(9885)] = 455711,
  [SMALL_STATE(9886)] = 455764,
  [SMALL_STATE(9887)] = 455817,
  [SMALL_STATE(9888)] = 455878,
  [SMALL_STATE(9889)] = 455939,
  [SMALL_STATE(9890)] = 456004,
  [SMALL_STATE(9891)] = 456071,
  [SMALL_STATE(9892)] = 456142,
  [SMALL_STATE(9893)] = 456197,
  [SMALL_STATE(9894)] = 456268,
  [SMALL_STATE(9895)] = 456339,
  [SMALL_STATE(9896)] = 456390,
  [SMALL_STATE(9897)] = 456463,
  [SMALL_STATE(9898)] = 456536,
  [SMALL_STATE(9899)] = 456605,
  [SMALL_STATE(9900)] = 456664,
  [SMALL_STATE(9901)] = 456717,
  [SMALL_STATE(9902)] = 456770,
  [SMALL_STATE(9903)] = 456831,
  [SMALL_STATE(9904)] = 456892,
  [SMALL_STATE(9905)] = 456957,
  [SMALL_STATE(9906)] = 457024,
  [SMALL_STATE(9907)] = 457095,
  [SMALL_STATE(9908)] = 457150,
  [SMALL_STATE(9909)] = 457221,
  [SMALL_STATE(9910)] = 457292,
  [SMALL_STATE(9911)] = 457345,
  [SMALL_STATE(9912)] = 457398,
  [SMALL_STATE(9913)] = 457449,
  [SMALL_STATE(9914)] = 457502,
  [SMALL_STATE(9915)] = 457555,
  [SMALL_STATE(9916)] = 457608,
  [SMALL_STATE(9917)] = 457677,
  [SMALL_STATE(9918)] = 457736,
  [SMALL_STATE(9919)] = 457789,
  [SMALL_STATE(9920)] = 457842,
  [SMALL_STATE(9921)] = 457903,
  [SMALL_STATE(9922)] = 457964,
  [SMALL_STATE(9923)] = 458029,
  [SMALL_STATE(9924)] = 458096,
  [SMALL_STATE(9925)] = 458167,
  [SMALL_STATE(9926)] = 458222,
  [SMALL_STATE(9927)] = 458293,
  [SMALL_STATE(9928)] = 458364,
  [SMALL_STATE(9929)] = 458435,
  [SMALL_STATE(9930)] = 458486,
  [SMALL_STATE(9931)] = 458539,
  [SMALL_STATE(9932)] = 458592,
  [SMALL_STATE(9933)] = 458645,
  [SMALL_STATE(9934)] = 458698,
  [SMALL_STATE(9935)] = 458749,
  [SMALL_STATE(9936)] = 458802,
  [SMALL_STATE(9937)] = 458855,
  [SMALL_STATE(9938)] = 458906,
  [SMALL_STATE(9939)] = 458977,
  [SMALL_STATE(9940)] = 459028,
  [SMALL_STATE(9941)] = 459081,
  [SMALL_STATE(9942)] = 459132,
  [SMALL_STATE(9943)] = 459185,
  [SMALL_STATE(9944)] = 459238,
  [SMALL_STATE(9945)] = 459309,
  [SMALL_STATE(9946)] = 459362,
  [SMALL_STATE(9947)] = 459413,
  [SMALL_STATE(9948)] = 459464,
  [SMALL_STATE(9949)] = 459517,
  [SMALL_STATE(9950)] = 459570,
  [SMALL_STATE(9951)] = 459623,
  [SMALL_STATE(9952)] = 459676,
  [SMALL_STATE(9953)] = 459745,
  [SMALL_STATE(9954)] = 459804,
  [SMALL_STATE(9955)] = 459857,
  [SMALL_STATE(9956)] = 459910,
  [SMALL_STATE(9957)] = 459971,
  [SMALL_STATE(9958)] = 460032,
  [SMALL_STATE(9959)] = 460083,
  [SMALL_STATE(9960)] = 460150,
  [SMALL_STATE(9961)] = 460221,
  [SMALL_STATE(9962)] = 460276,
  [SMALL_STATE(9963)] = 460347,
  [SMALL_STATE(9964)] = 460400,
  [SMALL_STATE(9965)] = 460471,
  [SMALL_STATE(9966)] = 460522,
  [SMALL_STATE(9967)] = 460595,
  [SMALL_STATE(9968)] = 460668,
  [SMALL_STATE(9969)] = 460719,
  [SMALL_STATE(9970)] = 460792,
  [SMALL_STATE(9971)] = 460861,
  [SMALL_STATE(9972)] = 460920,
  [SMALL_STATE(9973)] = 460973,
  [SMALL_STATE(9974)] = 461026,
  [SMALL_STATE(9975)] = 461087,
  [SMALL_STATE(9976)] = 461148,
  [SMALL_STATE(9977)] = 461213,
  [SMALL_STATE(9978)] = 461280,
  [SMALL_STATE(9979)] = 461351,
  [SMALL_STATE(9980)] = 461406,
  [SMALL_STATE(9981)] = 461477,
  [SMALL_STATE(9982)] = 461530,
  [SMALL_STATE(9983)] = 461601,
  [SMALL_STATE(9984)] = 461670,
  [SMALL_STATE(9985)] = 461729,
  [SMALL_STATE(9986)] = 461782,
  [SMALL_STATE(9987)] = 461835,
  [SMALL_STATE(9988)] = 461896,
  [SMALL_STATE(9989)] = 461957,
  [SMALL_STATE(9990)] = 462022,
  [SMALL_STATE(9991)] = 462089,
  [SMALL_STATE(9992)] = 462160,
  [SMALL_STATE(9993)] = 462215,
  [SMALL_STATE(9994)] = 462286,
  [SMALL_STATE(9995)] = 462339,
  [SMALL_STATE(9996)] = 462410,
  [SMALL_STATE(9997)] = 462463,
  [SMALL_STATE(9998)] = 462516,
  [SMALL_STATE(9999)] = 462567,
  [SMALL_STATE(10000)] = 462620,
  [SMALL_STATE(10001)] = 462673,
  [SMALL_STATE(10002)] = 462726,
  [SMALL_STATE(10003)] = 462779,
  [SMALL_STATE(10004)] = 462832,
  [SMALL_STATE(10005)] = 462883,
  [SMALL_STATE(10006)] = 462936,
  [SMALL_STATE(10007)] = 462989,
  [SMALL_STATE(10008)] = 463042,
  [SMALL_STATE(10009)] = 463095,
  [SMALL_STATE(10010)] = 463146,
  [SMALL_STATE(10011)] = 463199,
  [SMALL_STATE(10012)] = 463252,
  [SMALL_STATE(10013)] = 463325,
  [SMALL_STATE(10014)] = 463398,
  [SMALL_STATE(10015)] = 463471,
  [SMALL_STATE(10016)] = 463544,
  [SMALL_STATE(10017)] = 463595,
  [SMALL_STATE(10018)] = 463668,
  [SMALL_STATE(10019)] = 463741,
  [SMALL_STATE(10020)] = 463814,
  [SMALL_STATE(10021)] = 463887,
  [SMALL_STATE(10022)] = 463960,
  [SMALL_STATE(10023)] = 464033,
  [SMALL_STATE(10024)] = 464106,
  [SMALL_STATE(10025)] = 464171,
  [SMALL_STATE(10026)] = 464243,
  [SMALL_STATE(10027)] = 464309,
  [SMALL_STATE(10028)] = 464379,
  [SMALL_STATE(10029)] = 464433,
  [SMALL_STATE(10030)] = 464503,
  [SMALL_STATE(10031)] = 464589,
  [SMALL_STATE(10032)] = 464659,
  [SMALL_STATE(10033)] = 464745,
  [SMALL_STATE(10034)] = 464797,
  [SMALL_STATE(10035)] = 464855,
  [SMALL_STATE(10036)] = 464905,
  [SMALL_STATE(10037)] = 464991,
  [SMALL_STATE(10038)] = 465041,
  [SMALL_STATE(10039)] = 465125,
  [SMALL_STATE(10040)] = 465173,
  [SMALL_STATE(10041)] = 465259,
  [SMALL_STATE(10042)] = 465311,
  [SMALL_STATE(10043)] = 465397,
  [SMALL_STATE(10044)] = 465469,
  [SMALL_STATE(10045)] = 465519,
  [SMALL_STATE(10046)] = 465605,
  [SMALL_STATE(10047)] = 465677,
  [SMALL_STATE(10048)] = 465763,
  [SMALL_STATE(10049)] = 465849,
  [SMALL_STATE(10050)] = 465921,
  [SMALL_STATE(10051)] = 465971,
  [SMALL_STATE(10052)] = 466043,
  [SMALL_STATE(10053)] = 466129,
  [SMALL_STATE(10054)] = 466215,
  [SMALL_STATE(10055)] = 466299,
  [SMALL_STATE(10056)] = 466385,
  [SMALL_STATE(10057)] = 466471,
  [SMALL_STATE(10058)] = 466557,
  [SMALL_STATE(10059)] = 466643,
  [SMALL_STATE(10060)] = 466713,
  [SMALL_STATE(10061)] = 466797,
  [SMALL_STATE(10062)] = 466883,
  [SMALL_STATE(10063)] = 466967,
  [SMALL_STATE(10064)] = 467051,
  [SMALL_STATE(10065)] = 467103,
  [SMALL_STATE(10066)] = 467155,
  [SMALL_STATE(10067)] = 467205,
  [SMALL_STATE(10068)] = 467291,
  [SMALL_STATE(10069)] = 467343,
  [SMALL_STATE(10070)] = 467429,
  [SMALL_STATE(10071)] = 467481,
  [SMALL_STATE(10072)] = 467531,
  [SMALL_STATE(10073)] = 467617,
  [SMALL_STATE(10074)] = 467701,
  [SMALL_STATE(10075)] = 467751,
  [SMALL_STATE(10076)] = 467837,
  [SMALL_STATE(10077)] = 467923,
  [SMALL_STATE(10078)] = 467971,
  [SMALL_STATE(10079)] = 468021,
  [SMALL_STATE(10080)] = 468069,
  [SMALL_STATE(10081)] = 468155,
  [SMALL_STATE(10082)] = 468241,
  [SMALL_STATE(10083)] = 468301,
  [SMALL_STATE(10084)] = 468387,
  [SMALL_STATE(10085)] = 468439,
  [SMALL_STATE(10086)] = 468491,
  [SMALL_STATE(10087)] = 468541,
  [SMALL_STATE(10088)] = 468593,
  [SMALL_STATE(10089)] = 468679,
  [SMALL_STATE(10090)] = 468739,
  [SMALL_STATE(10091)] = 468791,
  [SMALL_STATE(10092)] = 468843,
  [SMALL_STATE(10093)] = 468895,
  [SMALL_STATE(10094)] = 468945,
  [SMALL_STATE(10095)] = 469017,
  [SMALL_STATE(10096)] = 469069,
  [SMALL_STATE(10097)] = 469155,
  [SMALL_STATE(10098)] = 469205,
  [SMALL_STATE(10099)] = 469257,
  [SMALL_STATE(10100)] = 469343,
  [SMALL_STATE(10101)] = 469429,
  [SMALL_STATE(10102)] = 469479,
  [SMALL_STATE(10103)] = 469547,
  [SMALL_STATE(10104)] = 469605,
  [SMALL_STATE(10105)] = 469657,
  [SMALL_STATE(10106)] = 469709,
  [SMALL_STATE(10107)] = 469769,
  [SMALL_STATE(10108)] = 469829,
  [SMALL_STATE(10109)] = 469893,
  [SMALL_STATE(10110)] = 469959,
  [SMALL_STATE(10111)] = 470029,
  [SMALL_STATE(10112)] = 470083,
  [SMALL_STATE(10113)] = 470153,
  [SMALL_STATE(10114)] = 470217,
  [SMALL_STATE(10115)] = 470287,
  [SMALL_STATE(10116)] = 470335,
  [SMALL_STATE(10117)] = 470385,
  [SMALL_STATE(10118)] = 470433,
  [SMALL_STATE(10119)] = 470517,
  [SMALL_STATE(10120)] = 470603,
  [SMALL_STATE(10121)] = 470675,
  [SMALL_STATE(10122)] = 470761,
  [SMALL_STATE(10123)] = 470847,
  [SMALL_STATE(10124)] = 470919,
  [SMALL_STATE(10125)] = 470967,
  [SMALL_STATE(10126)] = 471053,
  [SMALL_STATE(10127)] = 471139,
  [SMALL_STATE(10128)] = 471225,
  [SMALL_STATE(10129)] = 471311,
  [SMALL_STATE(10130)] = 471395,
  [SMALL_STATE(10131)] = 471459,
  [SMALL_STATE(10132)] = 471525,
  [SMALL_STATE(10133)] = 471595,
  [SMALL_STATE(10134)] = 471681,
  [SMALL_STATE(10135)] = 471767,
  [SMALL_STATE(10136)] = 471853,
  [SMALL_STATE(10137)] = 471907,
  [SMALL_STATE(10138)] = 471955,
  [SMALL_STATE(10139)] = 472025,
  [SMALL_STATE(10140)] = 472097,
  [SMALL_STATE(10141)] = 472183,
  [SMALL_STATE(10142)] = 472265,
  [SMALL_STATE(10143)] = 472351,
  [SMALL_STATE(10144)] = 472419,
  [SMALL_STATE(10145)] = 472505,
  [SMALL_STATE(10146)] = 472591,
  [SMALL_STATE(10147)] = 472677,
  [SMALL_STATE(10148)] = 472763,
  [SMALL_STATE(10149)] = 472849,
  [SMALL_STATE(10150)] = 472935,
  [SMALL_STATE(10151)] = 473021,
  [SMALL_STATE(10152)] = 473107,
  [SMALL_STATE(10153)] = 473193,
  [SMALL_STATE(10154)] = 473279,
  [SMALL_STATE(10155)] = 473351,
  [SMALL_STATE(10156)] = 473423,
  [SMALL_STATE(10157)] = 473507,
  [SMALL_STATE(10158)] = 473579,
  [SMALL_STATE(10159)] = 473651,
  [SMALL_STATE(10160)] = 473699,
  [SMALL_STATE(10161)] = 473747,
  [SMALL_STATE(10162)] = 473795,
  [SMALL_STATE(10163)] = 473877,
  [SMALL_STATE(10164)] = 473935,
  [SMALL_STATE(10165)] = 474019,
  [SMALL_STATE(10166)] = 474105,
  [SMALL_STATE(10167)] = 474191,
  [SMALL_STATE(10168)] = 474249,
  [SMALL_STATE(10169)] = 474333,
  [SMALL_STATE(10170)] = 474419,
  [SMALL_STATE(10171)] = 474491,
  [SMALL_STATE(10172)] = 474563,
  [SMALL_STATE(10173)] = 474635,
  [SMALL_STATE(10174)] = 474721,
  [SMALL_STATE(10175)] = 474807,
  [SMALL_STATE(10176)] = 474889,
  [SMALL_STATE(10177)] = 474975,
  [SMALL_STATE(10178)] = 475043,
  [SMALL_STATE(10179)] = 475115,
  [SMALL_STATE(10180)] = 475199,
  [SMALL_STATE(10181)] = 475257,
  [SMALL_STATE(10182)] = 475309,
  [SMALL_STATE(10183)] = 475357,
  [SMALL_STATE(10184)] = 475409,
  [SMALL_STATE(10185)] = 475469,
  [SMALL_STATE(10186)] = 475529,
  [SMALL_STATE(10187)] = 475601,
  [SMALL_STATE(10188)] = 475651,
  [SMALL_STATE(10189)] = 475734,
  [SMALL_STATE(10190)] = 475783,
  [SMALL_STATE(10191)] = 475834,
  [SMALL_STATE(10192)] = 475917,
  [SMALL_STATE(10193)] = 476000,
  [SMALL_STATE(10194)] = 476083,
  [SMALL_STATE(10195)] = 476134,
  [SMALL_STATE(10196)] = 476183,
  [SMALL_STATE(10197)] = 476266,
  [SMALL_STATE(10198)] = 476349,
  [SMALL_STATE(10199)] = 476418,
  [SMALL_STATE(10200)] = 476501,
  [SMALL_STATE(10201)] = 476584,
  [SMALL_STATE(10202)] = 476667,
  [SMALL_STATE(10203)] = 476750,
  [SMALL_STATE(10204)] = 476833,
  [SMALL_STATE(10205)] = 476916,
  [SMALL_STATE(10206)] = 476999,
  [SMALL_STATE(10207)] = 477082,
  [SMALL_STATE(10208)] = 477165,
  [SMALL_STATE(10209)] = 477214,
  [SMALL_STATE(10210)] = 477297,
  [SMALL_STATE(10211)] = 477380,
  [SMALL_STATE(10212)] = 477463,
  [SMALL_STATE(10213)] = 477514,
  [SMALL_STATE(10214)] = 477597,
  [SMALL_STATE(10215)] = 477648,
  [SMALL_STATE(10216)] = 477697,
  [SMALL_STATE(10217)] = 477764,
  [SMALL_STATE(10218)] = 477815,
  [SMALL_STATE(10219)] = 477898,
  [SMALL_STATE(10220)] = 477949,
  [SMALL_STATE(10221)] = 478032,
  [SMALL_STATE(10222)] = 478081,
  [SMALL_STATE(10223)] = 478138,
  [SMALL_STATE(10224)] = 478189,
  [SMALL_STATE(10225)] = 478240,
  [SMALL_STATE(10226)] = 478299,
  [SMALL_STATE(10227)] = 478358,
  [SMALL_STATE(10228)] = 478421,
  [SMALL_STATE(10229)] = 478486,
  [SMALL_STATE(10230)] = 478555,
  [SMALL_STATE(10231)] = 478608,
  [SMALL_STATE(10232)] = 478677,
  [SMALL_STATE(10233)] = 478760,
  [SMALL_STATE(10234)] = 478843,
  [SMALL_STATE(10235)] = 478894,
  [SMALL_STATE(10236)] = 478977,
  [SMALL_STATE(10237)] = 479060,
  [SMALL_STATE(10238)] = 479143,
  [SMALL_STATE(10239)] = 479212,
  [SMALL_STATE(10240)] = 479295,
  [SMALL_STATE(10241)] = 479378,
  [SMALL_STATE(10242)] = 479461,
  [SMALL_STATE(10243)] = 479544,
  [SMALL_STATE(10244)] = 479615,
  [SMALL_STATE(10245)] = 479698,
  [SMALL_STATE(10246)] = 479745,
  [SMALL_STATE(10247)] = 479828,
  [SMALL_STATE(10248)] = 479877,
  [SMALL_STATE(10249)] = 479960,
  [SMALL_STATE(10250)] = 480011,
  [SMALL_STATE(10251)] = 480062,
  [SMALL_STATE(10252)] = 480111,
  [SMALL_STATE(10253)] = 480182,
  [SMALL_STATE(10254)] = 480265,
  [SMALL_STATE(10255)] = 480316,
  [SMALL_STATE(10256)] = 480399,
  [SMALL_STATE(10257)] = 480450,
  [SMALL_STATE(10258)] = 480533,
  [SMALL_STATE(10259)] = 480604,
  [SMALL_STATE(10260)] = 480687,
  [SMALL_STATE(10261)] = 480770,
  [SMALL_STATE(10262)] = 480841,
  [SMALL_STATE(10263)] = 480924,
  [SMALL_STATE(10264)] = 481007,
  [SMALL_STATE(10265)] = 481056,
  [SMALL_STATE(10266)] = 481139,
  [SMALL_STATE(10267)] = 481222,
  [SMALL_STATE(10268)] = 481273,
  [SMALL_STATE(10269)] = 481356,
  [SMALL_STATE(10270)] = 481439,
  [SMALL_STATE(10271)] = 481522,
  [SMALL_STATE(10272)] = 481571,
  [SMALL_STATE(10273)] = 481654,
  [SMALL_STATE(10274)] = 481737,
  [SMALL_STATE(10275)] = 481820,
  [SMALL_STATE(10276)] = 481889,
  [SMALL_STATE(10277)] = 481936,
  [SMALL_STATE(10278)] = 482019,
  [SMALL_STATE(10279)] = 482102,
  [SMALL_STATE(10280)] = 482151,
  [SMALL_STATE(10281)] = 482234,
  [SMALL_STATE(10282)] = 482305,
  [SMALL_STATE(10283)] = 482388,
  [SMALL_STATE(10284)] = 482471,
  [SMALL_STATE(10285)] = 482554,
  [SMALL_STATE(10286)] = 482637,
  [SMALL_STATE(10287)] = 482686,
  [SMALL_STATE(10288)] = 482769,
  [SMALL_STATE(10289)] = 482836,
  [SMALL_STATE(10290)] = 482893,
  [SMALL_STATE(10291)] = 482944,
  [SMALL_STATE(10292)] = 482995,
  [SMALL_STATE(10293)] = 483054,
  [SMALL_STATE(10294)] = 483113,
  [SMALL_STATE(10295)] = 483176,
  [SMALL_STATE(10296)] = 483241,
  [SMALL_STATE(10297)] = 483310,
  [SMALL_STATE(10298)] = 483363,
  [SMALL_STATE(10299)] = 483432,
  [SMALL_STATE(10300)] = 483483,
  [SMALL_STATE(10301)] = 483552,
  [SMALL_STATE(10302)] = 483635,
  [SMALL_STATE(10303)] = 483718,
  [SMALL_STATE(10304)] = 483801,
  [SMALL_STATE(10305)] = 483872,
  [SMALL_STATE(10306)] = 483955,
  [SMALL_STATE(10307)] = 484038,
  [SMALL_STATE(10308)] = 484109,
  [SMALL_STATE(10309)] = 484192,
  [SMALL_STATE(10310)] = 484239,
  [SMALL_STATE(10311)] = 484322,
  [SMALL_STATE(10312)] = 484393,
  [SMALL_STATE(10313)] = 484476,
  [SMALL_STATE(10314)] = 484559,
  [SMALL_STATE(10315)] = 484630,
  [SMALL_STATE(10316)] = 484713,
  [SMALL_STATE(10317)] = 484796,
  [SMALL_STATE(10318)] = 484879,
  [SMALL_STATE(10319)] = 484962,
  [SMALL_STATE(10320)] = 485009,
  [SMALL_STATE(10321)] = 485092,
  [SMALL_STATE(10322)] = 485175,
  [SMALL_STATE(10323)] = 485246,
  [SMALL_STATE(10324)] = 485329,
  [SMALL_STATE(10325)] = 485378,
  [SMALL_STATE(10326)] = 485449,
  [SMALL_STATE(10327)] = 485532,
  [SMALL_STATE(10328)] = 485615,
  [SMALL_STATE(10329)] = 485698,
  [SMALL_STATE(10330)] = 485781,
  [SMALL_STATE(10331)] = 485864,
  [SMALL_STATE(10332)] = 485947,
  [SMALL_STATE(10333)] = 486030,
  [SMALL_STATE(10334)] = 486113,
  [SMALL_STATE(10335)] = 486196,
  [SMALL_STATE(10336)] = 486279,
  [SMALL_STATE(10337)] = 486350,
  [SMALL_STATE(10338)] = 486433,
  [SMALL_STATE(10339)] = 486516,
  [SMALL_STATE(10340)] = 486599,
  [SMALL_STATE(10341)] = 486682,
  [SMALL_STATE(10342)] = 486765,
  [SMALL_STATE(10343)] = 486848,
  [SMALL_STATE(10344)] = 486931,
  [SMALL_STATE(10345)] = 487014,
  [SMALL_STATE(10346)] = 487097,
  [SMALL_STATE(10347)] = 487180,
  [SMALL_STATE(10348)] = 487263,
  [SMALL_STATE(10349)] = 487346,
  [SMALL_STATE(10350)] = 487429,
  [SMALL_STATE(10351)] = 487512,
  [SMALL_STATE(10352)] = 487595,
  [SMALL_STATE(10353)] = 487678,
  [SMALL_STATE(10354)] = 487761,
  [SMALL_STATE(10355)] = 487844,
  [SMALL_STATE(10356)] = 487927,
  [SMALL_STATE(10357)] = 488010,
  [SMALL_STATE(10358)] = 488093,
  [SMALL_STATE(10359)] = 488144,
  [SMALL_STATE(10360)] = 488227,
  [SMALL_STATE(10361)] = 488310,
  [SMALL_STATE(10362)] = 488393,
  [SMALL_STATE(10363)] = 488444,
  [SMALL_STATE(10364)] = 488527,
  [SMALL_STATE(10365)] = 488578,
  [SMALL_STATE(10366)] = 488661,
  [SMALL_STATE(10367)] = 488744,
  [SMALL_STATE(10368)] = 488827,
  [SMALL_STATE(10369)] = 488910,
  [SMALL_STATE(10370)] = 488993,
  [SMALL_STATE(10371)] = 489076,
  [SMALL_STATE(10372)] = 489159,
  [SMALL_STATE(10373)] = 489242,
  [SMALL_STATE(10374)] = 489291,
  [SMALL_STATE(10375)] = 489374,
  [SMALL_STATE(10376)] = 489457,
  [SMALL_STATE(10377)] = 489508,
  [SMALL_STATE(10378)] = 489591,
  [SMALL_STATE(10379)] = 489674,
  [SMALL_STATE(10380)] = 489757,
  [SMALL_STATE(10381)] = 489840,
  [SMALL_STATE(10382)] = 489923,
  [SMALL_STATE(10383)] = 490006,
  [SMALL_STATE(10384)] = 490089,
  [SMALL_STATE(10385)] = 490172,
  [SMALL_STATE(10386)] = 490255,
  [SMALL_STATE(10387)] = 490338,
  [SMALL_STATE(10388)] = 490421,
  [SMALL_STATE(10389)] = 490504,
  [SMALL_STATE(10390)] = 490575,
  [SMALL_STATE(10391)] = 490658,
  [SMALL_STATE(10392)] = 490729,
  [SMALL_STATE(10393)] = 490812,
  [SMALL_STATE(10394)] = 490895,
  [SMALL_STATE(10395)] = 490966,
  [SMALL_STATE(10396)] = 491017,
  [SMALL_STATE(10397)] = 491066,
  [SMALL_STATE(10398)] = 491149,
  [SMALL_STATE(10399)] = 491232,
  [SMALL_STATE(10400)] = 491315,
  [SMALL_STATE(10401)] = 491398,
  [SMALL_STATE(10402)] = 491481,
  [SMALL_STATE(10403)] = 491564,
  [SMALL_STATE(10404)] = 491647,
  [SMALL_STATE(10405)] = 491730,
  [SMALL_STATE(10406)] = 491813,
  [SMALL_STATE(10407)] = 491864,
  [SMALL_STATE(10408)] = 491947,
  [SMALL_STATE(10409)] = 491998,
  [SMALL_STATE(10410)] = 492081,
  [SMALL_STATE(10411)] = 492164,
  [SMALL_STATE(10412)] = 492247,
  [SMALL_STATE(10413)] = 492330,
  [SMALL_STATE(10414)] = 492401,
  [SMALL_STATE(10415)] = 492484,
  [SMALL_STATE(10416)] = 492567,
  [SMALL_STATE(10417)] = 492650,
  [SMALL_STATE(10418)] = 492733,
  [SMALL_STATE(10419)] = 492816,
  [SMALL_STATE(10420)] = 492899,
  [SMALL_STATE(10421)] = 492982,
  [SMALL_STATE(10422)] = 493049,
  [SMALL_STATE(10423)] = 493132,
  [SMALL_STATE(10424)] = 493215,
  [SMALL_STATE(10425)] = 493298,
  [SMALL_STATE(10426)] = 493381,
  [SMALL_STATE(10427)] = 493464,
  [SMALL_STATE(10428)] = 493547,
  [SMALL_STATE(10429)] = 493630,
  [SMALL_STATE(10430)] = 493713,
  [SMALL_STATE(10431)] = 493796,
  [SMALL_STATE(10432)] = 493879,
  [SMALL_STATE(10433)] = 493962,
  [SMALL_STATE(10434)] = 494045,
  [SMALL_STATE(10435)] = 494128,
  [SMALL_STATE(10436)] = 494211,
  [SMALL_STATE(10437)] = 494294,
  [SMALL_STATE(10438)] = 494377,
  [SMALL_STATE(10439)] = 494428,
  [SMALL_STATE(10440)] = 494511,
  [SMALL_STATE(10441)] = 494562,
  [SMALL_STATE(10442)] = 494645,
  [SMALL_STATE(10443)] = 494728,
  [SMALL_STATE(10444)] = 494811,
  [SMALL_STATE(10445)] = 494894,
  [SMALL_STATE(10446)] = 494977,
  [SMALL_STATE(10447)] = 495034,
  [SMALL_STATE(10448)] = 495117,
  [SMALL_STATE(10449)] = 495200,
  [SMALL_STATE(10450)] = 495283,
  [SMALL_STATE(10451)] = 495366,
  [SMALL_STATE(10452)] = 495449,
  [SMALL_STATE(10453)] = 495532,
  [SMALL_STATE(10454)] = 495615,
  [SMALL_STATE(10455)] = 495698,
  [SMALL_STATE(10456)] = 495781,
  [SMALL_STATE(10457)] = 495864,
  [SMALL_STATE(10458)] = 495947,
  [SMALL_STATE(10459)] = 496030,
  [SMALL_STATE(10460)] = 496113,
  [SMALL_STATE(10461)] = 496196,
  [SMALL_STATE(10462)] = 496279,
  [SMALL_STATE(10463)] = 496362,
  [SMALL_STATE(10464)] = 496445,
  [SMALL_STATE(10465)] = 496528,
  [SMALL_STATE(10466)] = 496611,
  [SMALL_STATE(10467)] = 496694,
  [SMALL_STATE(10468)] = 496745,
  [SMALL_STATE(10469)] = 496828,
  [SMALL_STATE(10470)] = 496911,
  [SMALL_STATE(10471)] = 496994,
  [SMALL_STATE(10472)] = 497077,
  [SMALL_STATE(10473)] = 497160,
  [SMALL_STATE(10474)] = 497243,
  [SMALL_STATE(10475)] = 497326,
  [SMALL_STATE(10476)] = 497409,
  [SMALL_STATE(10477)] = 497492,
  [SMALL_STATE(10478)] = 497575,
  [SMALL_STATE(10479)] = 497626,
  [SMALL_STATE(10480)] = 497685,
  [SMALL_STATE(10481)] = 497744,
  [SMALL_STATE(10482)] = 497807,
  [SMALL_STATE(10483)] = 497858,
  [SMALL_STATE(10484)] = 497941,
  [SMALL_STATE(10485)] = 498024,
  [SMALL_STATE(10486)] = 498107,
  [SMALL_STATE(10487)] = 498172,
  [SMALL_STATE(10488)] = 498241,
  [SMALL_STATE(10489)] = 498294,
  [SMALL_STATE(10490)] = 498377,
  [SMALL_STATE(10491)] = 498446,
  [SMALL_STATE(10492)] = 498497,
  [SMALL_STATE(10493)] = 498580,
  [SMALL_STATE(10494)] = 498649,
  [SMALL_STATE(10495)] = 498720,
  [SMALL_STATE(10496)] = 498789,
  [SMALL_STATE(10497)] = 498860,
  [SMALL_STATE(10498)] = 498943,
  [SMALL_STATE(10499)] = 499026,
  [SMALL_STATE(10500)] = 499072,
  [SMALL_STATE(10501)] = 499118,
  [SMALL_STATE(10502)] = 499186,
  [SMALL_STATE(10503)] = 499244,
  [SMALL_STATE(10504)] = 499300,
  [SMALL_STATE(10505)] = 499362,
  [SMALL_STATE(10506)] = 499408,
  [SMALL_STATE(10507)] = 499472,
  [SMALL_STATE(10508)] = 499534,
  [SMALL_STATE(10509)] = 499580,
  [SMALL_STATE(10510)] = 499626,
  [SMALL_STATE(10511)] = 499672,
  [SMALL_STATE(10512)] = 499718,
  [SMALL_STATE(10513)] = 499766,
  [SMALL_STATE(10514)] = 499828,
  [SMALL_STATE(10515)] = 499874,
  [SMALL_STATE(10516)] = 499936,
  [SMALL_STATE(10517)] = 499982,
  [SMALL_STATE(10518)] = 500040,
  [SMALL_STATE(10519)] = 500086,
  [SMALL_STATE(10520)] = 500132,
  [SMALL_STATE(10521)] = 500178,
  [SMALL_STATE(10522)] = 500236,
  [SMALL_STATE(10523)] = 500282,
  [SMALL_STATE(10524)] = 500328,
  [SMALL_STATE(10525)] = 500396,
  [SMALL_STATE(10526)] = 500464,
  [SMALL_STATE(10527)] = 500510,
  [SMALL_STATE(10528)] = 500558,
  [SMALL_STATE(10529)] = 500608,
  [SMALL_STATE(10530)] = 500654,
  [SMALL_STATE(10531)] = 500706,
  [SMALL_STATE(10532)] = 500772,
  [SMALL_STATE(10533)] = 500818,
  [SMALL_STATE(10534)] = 500864,
  [SMALL_STATE(10535)] = 500912,
  [SMALL_STATE(10536)] = 500960,
  [SMALL_STATE(10537)] = 501006,
  [SMALL_STATE(10538)] = 501052,
  [SMALL_STATE(10539)] = 501098,
  [SMALL_STATE(10540)] = 501144,
  [SMALL_STATE(10541)] = 501190,
  [SMALL_STATE(10542)] = 501258,
  [SMALL_STATE(10543)] = 501306,
  [SMALL_STATE(10544)] = 501368,
  [SMALL_STATE(10545)] = 501438,
  [SMALL_STATE(10546)] = 501484,
  [SMALL_STATE(10547)] = 501530,
  [SMALL_STATE(10548)] = 501578,
  [SMALL_STATE(10549)] = 501640,
  [SMALL_STATE(10550)] = 501690,
  [SMALL_STATE(10551)] = 501738,
  [SMALL_STATE(10552)] = 501788,
  [SMALL_STATE(10553)] = 501836,
  [SMALL_STATE(10554)] = 501882,
  [SMALL_STATE(10555)] = 501928,
  [SMALL_STATE(10556)] = 501974,
  [SMALL_STATE(10557)] = 502024,
  [SMALL_STATE(10558)] = 502070,
  [SMALL_STATE(10559)] = 502116,
  [SMALL_STATE(10560)] = 502162,
  [SMALL_STATE(10561)] = 502208,
  [SMALL_STATE(10562)] = 502254,
  [SMALL_STATE(10563)] = 502302,
  [SMALL_STATE(10564)] = 502352,
  [SMALL_STATE(10565)] = 502398,
  [SMALL_STATE(10566)] = 502468,
  [SMALL_STATE(10567)] = 502514,
  [SMALL_STATE(10568)] = 502560,
  [SMALL_STATE(10569)] = 502610,
  [SMALL_STATE(10570)] = 502656,
  [SMALL_STATE(10571)] = 502706,
  [SMALL_STATE(10572)] = 502752,
  [SMALL_STATE(10573)] = 502798,
  [SMALL_STATE(10574)] = 502844,
  [SMALL_STATE(10575)] = 502890,
  [SMALL_STATE(10576)] = 502936,
  [SMALL_STATE(10577)] = 502984,
  [SMALL_STATE(10578)] = 503034,
  [SMALL_STATE(10579)] = 503082,
  [SMALL_STATE(10580)] = 503132,
  [SMALL_STATE(10581)] = 503178,
  [SMALL_STATE(10582)] = 503244,
  [SMALL_STATE(10583)] = 503294,
  [SMALL_STATE(10584)] = 503340,
  [SMALL_STATE(10585)] = 503390,
  [SMALL_STATE(10586)] = 503440,
  [SMALL_STATE(10587)] = 503498,
  [SMALL_STATE(10588)] = 503556,
  [SMALL_STATE(10589)] = 503602,
  [SMALL_STATE(10590)] = 503664,
  [SMALL_STATE(10591)] = 503728,
  [SMALL_STATE(10592)] = 503796,
  [SMALL_STATE(10593)] = 503848,
  [SMALL_STATE(10594)] = 503916,
  [SMALL_STATE(10595)] = 503966,
  [SMALL_STATE(10596)] = 504012,
  [SMALL_STATE(10597)] = 504058,
  [SMALL_STATE(10598)] = 504128,
  [SMALL_STATE(10599)] = 504198,
  [SMALL_STATE(10600)] = 504264,
  [SMALL_STATE(10601)] = 504334,
  [SMALL_STATE(10602)] = 504382,
  [SMALL_STATE(10603)] = 504430,
  [SMALL_STATE(10604)] = 504476,
  [SMALL_STATE(10605)] = 504522,
  [SMALL_STATE(10606)] = 504568,
  [SMALL_STATE(10607)] = 504614,
  [SMALL_STATE(10608)] = 504660,
  [SMALL_STATE(10609)] = 504706,
  [SMALL_STATE(10610)] = 504752,
  [SMALL_STATE(10611)] = 504798,
  [SMALL_STATE(10612)] = 504844,
  [SMALL_STATE(10613)] = 504890,
  [SMALL_STATE(10614)] = 504940,
  [SMALL_STATE(10615)] = 505010,
  [SMALL_STATE(10616)] = 505078,
  [SMALL_STATE(10617)] = 505142,
  [SMALL_STATE(10618)] = 505190,
  [SMALL_STATE(10619)] = 505260,
  [SMALL_STATE(10620)] = 505306,
  [SMALL_STATE(10621)] = 505356,
  [SMALL_STATE(10622)] = 505402,
  [SMALL_STATE(10623)] = 505448,
  [SMALL_STATE(10624)] = 505494,
  [SMALL_STATE(10625)] = 505540,
  [SMALL_STATE(10626)] = 505610,
  [SMALL_STATE(10627)] = 505656,
  [SMALL_STATE(10628)] = 505718,
  [SMALL_STATE(10629)] = 505764,
  [SMALL_STATE(10630)] = 505832,
  [SMALL_STATE(10631)] = 505878,
  [SMALL_STATE(10632)] = 505924,
  [SMALL_STATE(10633)] = 505970,
  [SMALL_STATE(10634)] = 506032,
  [SMALL_STATE(10635)] = 506078,
  [SMALL_STATE(10636)] = 506124,
  [SMALL_STATE(10637)] = 506170,
  [SMALL_STATE(10638)] = 506216,
  [SMALL_STATE(10639)] = 506262,
  [SMALL_STATE(10640)] = 506308,
  [SMALL_STATE(10641)] = 506354,
  [SMALL_STATE(10642)] = 506400,
  [SMALL_STATE(10643)] = 506446,
  [SMALL_STATE(10644)] = 506514,
  [SMALL_STATE(10645)] = 506584,
  [SMALL_STATE(10646)] = 506636,
  [SMALL_STATE(10647)] = 506682,
  [SMALL_STATE(10648)] = 506738,
  [SMALL_STATE(10649)] = 506784,
  [SMALL_STATE(10650)] = 506830,
  [SMALL_STATE(10651)] = 506876,
  [SMALL_STATE(10652)] = 506926,
  [SMALL_STATE(10653)] = 506972,
  [SMALL_STATE(10654)] = 507022,
  [SMALL_STATE(10655)] = 507072,
  [SMALL_STATE(10656)] = 507130,
  [SMALL_STATE(10657)] = 507186,
  [SMALL_STATE(10658)] = 507231,
  [SMALL_STATE(10659)] = 507276,
  [SMALL_STATE(10660)] = 507321,
  [SMALL_STATE(10661)] = 507390,
  [SMALL_STATE(10662)] = 507435,
  [SMALL_STATE(10663)] = 507480,
  [SMALL_STATE(10664)] = 507525,
  [SMALL_STATE(10665)] = 507570,
  [SMALL_STATE(10666)] = 507615,
  [SMALL_STATE(10667)] = 507660,
  [SMALL_STATE(10668)] = 507729,
  [SMALL_STATE(10669)] = 507774,
  [SMALL_STATE(10670)] = 507819,
  [SMALL_STATE(10671)] = 507864,
  [SMALL_STATE(10672)] = 507915,
  [SMALL_STATE(10673)] = 507984,
  [SMALL_STATE(10674)] = 508029,
  [SMALL_STATE(10675)] = 508074,
  [SMALL_STATE(10676)] = 508131,
  [SMALL_STATE(10677)] = 508176,
  [SMALL_STATE(10678)] = 508237,
  [SMALL_STATE(10679)] = 508282,
  [SMALL_STATE(10680)] = 508329,
  [SMALL_STATE(10681)] = 508374,
  [SMALL_STATE(10682)] = 508419,
  [SMALL_STATE(10683)] = 508464,
  [SMALL_STATE(10684)] = 508509,
  [SMALL_STATE(10685)] = 508554,
  [SMALL_STATE(10686)] = 508599,
  [SMALL_STATE(10687)] = 508660,
  [SMALL_STATE(10688)] = 508705,
  [SMALL_STATE(10689)] = 508750,
  [SMALL_STATE(10690)] = 508795,
  [SMALL_STATE(10691)] = 508840,
  [SMALL_STATE(10692)] = 508885,
  [SMALL_STATE(10693)] = 508930,
  [SMALL_STATE(10694)] = 508975,
  [SMALL_STATE(10695)] = 509030,
  [SMALL_STATE(10696)] = 509075,
  [SMALL_STATE(10697)] = 509120,
  [SMALL_STATE(10698)] = 509167,
  [SMALL_STATE(10699)] = 509236,
  [SMALL_STATE(10700)] = 509281,
  [SMALL_STATE(10701)] = 509326,
  [SMALL_STATE(10702)] = 509371,
  [SMALL_STATE(10703)] = 509416,
  [SMALL_STATE(10704)] = 509463,
  [SMALL_STATE(10705)] = 509508,
  [SMALL_STATE(10706)] = 509553,
  [SMALL_STATE(10707)] = 509622,
  [SMALL_STATE(10708)] = 509667,
  [SMALL_STATE(10709)] = 509712,
  [SMALL_STATE(10710)] = 509757,
  [SMALL_STATE(10711)] = 509802,
  [SMALL_STATE(10712)] = 509847,
  [SMALL_STATE(10713)] = 509892,
  [SMALL_STATE(10714)] = 509937,
  [SMALL_STATE(10715)] = 509982,
  [SMALL_STATE(10716)] = 510027,
  [SMALL_STATE(10717)] = 510096,
  [SMALL_STATE(10718)] = 510141,
  [SMALL_STATE(10719)] = 510186,
  [SMALL_STATE(10720)] = 510231,
  [SMALL_STATE(10721)] = 510276,
  [SMALL_STATE(10722)] = 510321,
  [SMALL_STATE(10723)] = 510398,
  [SMALL_STATE(10724)] = 510443,
  [SMALL_STATE(10725)] = 510490,
  [SMALL_STATE(10726)] = 510559,
  [SMALL_STATE(10727)] = 510604,
  [SMALL_STATE(10728)] = 510649,
  [SMALL_STATE(10729)] = 510694,
  [SMALL_STATE(10730)] = 510739,
  [SMALL_STATE(10731)] = 510784,
  [SMALL_STATE(10732)] = 510861,
  [SMALL_STATE(10733)] = 510920,
  [SMALL_STATE(10734)] = 510965,
  [SMALL_STATE(10735)] = 511020,
  [SMALL_STATE(10736)] = 511065,
  [SMALL_STATE(10737)] = 511110,
  [SMALL_STATE(10738)] = 511155,
  [SMALL_STATE(10739)] = 511200,
  [SMALL_STATE(10740)] = 511245,
  [SMALL_STATE(10741)] = 511294,
  [SMALL_STATE(10742)] = 511339,
  [SMALL_STATE(10743)] = 511408,
  [SMALL_STATE(10744)] = 511453,
  [SMALL_STATE(10745)] = 511498,
  [SMALL_STATE(10746)] = 511545,
  [SMALL_STATE(10747)] = 511590,
  [SMALL_STATE(10748)] = 511635,
  [SMALL_STATE(10749)] = 511680,
  [SMALL_STATE(10750)] = 511749,
  [SMALL_STATE(10751)] = 511810,
  [SMALL_STATE(10752)] = 511855,
  [SMALL_STATE(10753)] = 511900,
  [SMALL_STATE(10754)] = 511945,
  [SMALL_STATE(10755)] = 511989,
  [SMALL_STATE(10756)] = 512043,
  [SMALL_STATE(10757)] = 512097,
  [SMALL_STATE(10758)] = 512169,
  [SMALL_STATE(10759)] = 512243,
  [SMALL_STATE(10760)] = 512303,
  [SMALL_STATE(10761)] = 512377,
  [SMALL_STATE(10762)] = 512423,
  [SMALL_STATE(10763)] = 512481,
  [SMALL_STATE(10764)] = 512553,
  [SMALL_STATE(10765)] = 512613,
  [SMALL_STATE(10766)] = 512669,
  [SMALL_STATE(10767)] = 512723,
  [SMALL_STATE(10768)] = 512769,
  [SMALL_STATE(10769)] = 512846,
  [SMALL_STATE(10770)] = 512917,
  [SMALL_STATE(10771)] = 512994,
  [SMALL_STATE(10772)] = 513037,
  [SMALL_STATE(10773)] = 513114,
  [SMALL_STATE(10774)] = 513191,
  [SMALL_STATE(10775)] = 513238,
  [SMALL_STATE(10776)] = 513283,
  [SMALL_STATE(10777)] = 513360,
  [SMALL_STATE(10778)] = 513437,
  [SMALL_STATE(10779)] = 513514,
  [SMALL_STATE(10780)] = 513591,
  [SMALL_STATE(10781)] = 513668,
  [SMALL_STATE(10782)] = 513711,
  [SMALL_STATE(10783)] = 513788,
  [SMALL_STATE(10784)] = 513859,
  [SMALL_STATE(10785)] = 513904,
  [SMALL_STATE(10786)] = 513981,
  [SMALL_STATE(10787)] = 514058,
  [SMALL_STATE(10788)] = 514135,
  [SMALL_STATE(10789)] = 514188,
  [SMALL_STATE(10790)] = 514265,
  [SMALL_STATE(10791)] = 514308,
  [SMALL_STATE(10792)] = 514385,
  [SMALL_STATE(10793)] = 514462,
  [SMALL_STATE(10794)] = 514539,
  [SMALL_STATE(10795)] = 514598,
  [SMALL_STATE(10796)] = 514669,
  [SMALL_STATE(10797)] = 514712,
  [SMALL_STATE(10798)] = 514789,
  [SMALL_STATE(10799)] = 514832,
  [SMALL_STATE(10800)] = 514875,
  [SMALL_STATE(10801)] = 514920,
  [SMALL_STATE(10802)] = 514997,
  [SMALL_STATE(10803)] = 515074,
  [SMALL_STATE(10804)] = 515145,
  [SMALL_STATE(10805)] = 515222,
  [SMALL_STATE(10806)] = 515299,
  [SMALL_STATE(10807)] = 515376,
  [SMALL_STATE(10808)] = 515419,
  [SMALL_STATE(10809)] = 515496,
  [SMALL_STATE(10810)] = 515539,
  [SMALL_STATE(10811)] = 515616,
  [SMALL_STATE(10812)] = 515661,
  [SMALL_STATE(10813)] = 515738,
  [SMALL_STATE(10814)] = 515815,
  [SMALL_STATE(10815)] = 515892,
  [SMALL_STATE(10816)] = 515935,
  [SMALL_STATE(10817)] = 516012,
  [SMALL_STATE(10818)] = 516089,
  [SMALL_STATE(10819)] = 516166,
  [SMALL_STATE(10820)] = 516209,
  [SMALL_STATE(10821)] = 516264,
  [SMALL_STATE(10822)] = 516323,
  [SMALL_STATE(10823)] = 516400,
  [SMALL_STATE(10824)] = 516453,
  [SMALL_STATE(10825)] = 516530,
  [SMALL_STATE(10826)] = 516587,
  [SMALL_STATE(10827)] = 516664,
  [SMALL_STATE(10828)] = 516709,
  [SMALL_STATE(10829)] = 516752,
  [SMALL_STATE(10830)] = 516829,
  [SMALL_STATE(10831)] = 516888,
  [SMALL_STATE(10832)] = 516931,
  [SMALL_STATE(10833)] = 517008,
  [SMALL_STATE(10834)] = 517051,
  [SMALL_STATE(10835)] = 517094,
  [SMALL_STATE(10836)] = 517137,
  [SMALL_STATE(10837)] = 517180,
  [SMALL_STATE(10838)] = 517223,
  [SMALL_STATE(10839)] = 517268,
  [SMALL_STATE(10840)] = 517345,
  [SMALL_STATE(10841)] = 517422,
  [SMALL_STATE(10842)] = 517499,
  [SMALL_STATE(10843)] = 517542,
  [SMALL_STATE(10844)] = 517585,
  [SMALL_STATE(10845)] = 517628,
  [SMALL_STATE(10846)] = 517671,
  [SMALL_STATE(10847)] = 517714,
  [SMALL_STATE(10848)] = 517759,
  [SMALL_STATE(10849)] = 517802,
  [SMALL_STATE(10850)] = 517845,
  [SMALL_STATE(10851)] = 517888,
  [SMALL_STATE(10852)] = 517931,
  [SMALL_STATE(10853)] = 517990,
  [SMALL_STATE(10854)] = 518049,
  [SMALL_STATE(10855)] = 518092,
  [SMALL_STATE(10856)] = 518135,
  [SMALL_STATE(10857)] = 518178,
  [SMALL_STATE(10858)] = 518221,
  [SMALL_STATE(10859)] = 518264,
  [SMALL_STATE(10860)] = 518307,
  [SMALL_STATE(10861)] = 518352,
  [SMALL_STATE(10862)] = 518395,
  [SMALL_STATE(10863)] = 518438,
  [SMALL_STATE(10864)] = 518481,
  [SMALL_STATE(10865)] = 518524,
  [SMALL_STATE(10866)] = 518569,
  [SMALL_STATE(10867)] = 518628,
  [SMALL_STATE(10868)] = 518700,
  [SMALL_STATE(10869)] = 518772,
  [SMALL_STATE(10870)] = 518844,
  [SMALL_STATE(10871)] = 518916,
  [SMALL_STATE(10872)] = 518972,
  [SMALL_STATE(10873)] = 519014,
  [SMALL_STATE(10874)] = 519056,
  [SMALL_STATE(10875)] = 519128,
  [SMALL_STATE(10876)] = 519180,
  [SMALL_STATE(10877)] = 519252,
  [SMALL_STATE(10878)] = 519324,
  [SMALL_STATE(10879)] = 519380,
  [SMALL_STATE(10880)] = 519422,
  [SMALL_STATE(10881)] = 519464,
  [SMALL_STATE(10882)] = 519524,
  [SMALL_STATE(10883)] = 519582,
  [SMALL_STATE(10884)] = 519644,
  [SMALL_STATE(10885)] = 519702,
  [SMALL_STATE(10886)] = 519744,
  [SMALL_STATE(10887)] = 519786,
  [SMALL_STATE(10888)] = 519828,
  [SMALL_STATE(10889)] = 519900,
  [SMALL_STATE(10890)] = 519942,
  [SMALL_STATE(10891)] = 520014,
  [SMALL_STATE(10892)] = 520056,
  [SMALL_STATE(10893)] = 520128,
  [SMALL_STATE(10894)] = 520200,
  [SMALL_STATE(10895)] = 520272,
  [SMALL_STATE(10896)] = 520344,
  [SMALL_STATE(10897)] = 520416,
  [SMALL_STATE(10898)] = 520474,
  [SMALL_STATE(10899)] = 520546,
  [SMALL_STATE(10900)] = 520618,
  [SMALL_STATE(10901)] = 520690,
  [SMALL_STATE(10902)] = 520762,
  [SMALL_STATE(10903)] = 520804,
  [SMALL_STATE(10904)] = 520876,
  [SMALL_STATE(10905)] = 520930,
  [SMALL_STATE(10906)] = 521002,
  [SMALL_STATE(10907)] = 521074,
  [SMALL_STATE(10908)] = 521132,
  [SMALL_STATE(10909)] = 521204,
  [SMALL_STATE(10910)] = 521276,
  [SMALL_STATE(10911)] = 521318,
  [SMALL_STATE(10912)] = 521376,
  [SMALL_STATE(10913)] = 521418,
  [SMALL_STATE(10914)] = 521460,
  [SMALL_STATE(10915)] = 521502,
  [SMALL_STATE(10916)] = 521554,
  [SMALL_STATE(10917)] = 521624,
  [SMALL_STATE(10918)] = 521666,
  [SMALL_STATE(10919)] = 521738,
  [SMALL_STATE(10920)] = 521780,
  [SMALL_STATE(10921)] = 521852,
  [SMALL_STATE(10922)] = 521894,
  [SMALL_STATE(10923)] = 521966,
  [SMALL_STATE(10924)] = 522038,
  [SMALL_STATE(10925)] = 522110,
  [SMALL_STATE(10926)] = 522152,
  [SMALL_STATE(10927)] = 522224,
  [SMALL_STATE(10928)] = 522266,
  [SMALL_STATE(10929)] = 522308,
  [SMALL_STATE(10930)] = 522350,
  [SMALL_STATE(10931)] = 522392,
  [SMALL_STATE(10932)] = 522446,
  [SMALL_STATE(10933)] = 522488,
  [SMALL_STATE(10934)] = 522530,
  [SMALL_STATE(10935)] = 522602,
  [SMALL_STATE(10936)] = 522674,
  [SMALL_STATE(10937)] = 522746,
  [SMALL_STATE(10938)] = 522788,
  [SMALL_STATE(10939)] = 522830,
  [SMALL_STATE(10940)] = 522902,
  [SMALL_STATE(10941)] = 522974,
  [SMALL_STATE(10942)] = 523016,
  [SMALL_STATE(10943)] = 523088,
  [SMALL_STATE(10944)] = 523160,
  [SMALL_STATE(10945)] = 523232,
  [SMALL_STATE(10946)] = 523304,
  [SMALL_STATE(10947)] = 523376,
  [SMALL_STATE(10948)] = 523420,
  [SMALL_STATE(10949)] = 523462,
  [SMALL_STATE(10950)] = 523504,
  [SMALL_STATE(10951)] = 523558,
  [SMALL_STATE(10952)] = 523600,
  [SMALL_STATE(10953)] = 523642,
  [SMALL_STATE(10954)] = 523684,
  [SMALL_STATE(10955)] = 523756,
  [SMALL_STATE(10956)] = 523798,
  [SMALL_STATE(10957)] = 523870,
  [SMALL_STATE(10958)] = 523942,
  [SMALL_STATE(10959)] = 523984,
  [SMALL_STATE(10960)] = 524056,
  [SMALL_STATE(10961)] = 524128,
  [SMALL_STATE(10962)] = 524200,
  [SMALL_STATE(10963)] = 524272,
  [SMALL_STATE(10964)] = 524344,
  [SMALL_STATE(10965)] = 524416,
  [SMALL_STATE(10966)] = 524458,
  [SMALL_STATE(10967)] = 524500,
  [SMALL_STATE(10968)] = 524572,
  [SMALL_STATE(10969)] = 524644,
  [SMALL_STATE(10970)] = 524716,
  [SMALL_STATE(10971)] = 524758,
  [SMALL_STATE(10972)] = 524830,
  [SMALL_STATE(10973)] = 524872,
  [SMALL_STATE(10974)] = 524944,
  [SMALL_STATE(10975)] = 525016,
  [SMALL_STATE(10976)] = 525088,
  [SMALL_STATE(10977)] = 525160,
  [SMALL_STATE(10978)] = 525202,
  [SMALL_STATE(10979)] = 525272,
  [SMALL_STATE(10980)] = 525314,
  [SMALL_STATE(10981)] = 525356,
  [SMALL_STATE(10982)] = 525398,
  [SMALL_STATE(10983)] = 525440,
  [SMALL_STATE(10984)] = 525482,
  [SMALL_STATE(10985)] = 525554,
  [SMALL_STATE(10986)] = 525626,
  [SMALL_STATE(10987)] = 525668,
  [SMALL_STATE(10988)] = 525710,
  [SMALL_STATE(10989)] = 525752,
  [SMALL_STATE(10990)] = 525824,
  [SMALL_STATE(10991)] = 525866,
  [SMALL_STATE(10992)] = 525928,
  [SMALL_STATE(10993)] = 525970,
  [SMALL_STATE(10994)] = 526012,
  [SMALL_STATE(10995)] = 526084,
  [SMALL_STATE(10996)] = 526156,
  [SMALL_STATE(10997)] = 526228,
  [SMALL_STATE(10998)] = 526300,
  [SMALL_STATE(10999)] = 526372,
  [SMALL_STATE(11000)] = 526444,
  [SMALL_STATE(11001)] = 526516,
  [SMALL_STATE(11002)] = 526588,
  [SMALL_STATE(11003)] = 526630,
  [SMALL_STATE(11004)] = 526702,
  [SMALL_STATE(11005)] = 526744,
  [SMALL_STATE(11006)] = 526786,
  [SMALL_STATE(11007)] = 526858,
  [SMALL_STATE(11008)] = 526900,
  [SMALL_STATE(11009)] = 526942,
  [SMALL_STATE(11010)] = 526986,
  [SMALL_STATE(11011)] = 527058,
  [SMALL_STATE(11012)] = 527130,
  [SMALL_STATE(11013)] = 527172,
  [SMALL_STATE(11014)] = 527244,
  [SMALL_STATE(11015)] = 527286,
  [SMALL_STATE(11016)] = 527358,
  [SMALL_STATE(11017)] = 527400,
  [SMALL_STATE(11018)] = 527442,
  [SMALL_STATE(11019)] = 527484,
  [SMALL_STATE(11020)] = 527526,
  [SMALL_STATE(11021)] = 527568,
  [SMALL_STATE(11022)] = 527610,
  [SMALL_STATE(11023)] = 527652,
  [SMALL_STATE(11024)] = 527720,
  [SMALL_STATE(11025)] = 527762,
  [SMALL_STATE(11026)] = 527834,
  [SMALL_STATE(11027)] = 527876,
  [SMALL_STATE(11028)] = 527948,
  [SMALL_STATE(11029)] = 528016,
  [SMALL_STATE(11030)] = 528088,
  [SMALL_STATE(11031)] = 528160,
  [SMALL_STATE(11032)] = 528232,
  [SMALL_STATE(11033)] = 528276,
  [SMALL_STATE(11034)] = 528348,
  [SMALL_STATE(11035)] = 528420,
  [SMALL_STATE(11036)] = 528462,
  [SMALL_STATE(11037)] = 528504,
  [SMALL_STATE(11038)] = 528546,
  [SMALL_STATE(11039)] = 528588,
  [SMALL_STATE(11040)] = 528630,
  [SMALL_STATE(11041)] = 528702,
  [SMALL_STATE(11042)] = 528744,
  [SMALL_STATE(11043)] = 528786,
  [SMALL_STATE(11044)] = 528828,
  [SMALL_STATE(11045)] = 528900,
  [SMALL_STATE(11046)] = 528942,
  [SMALL_STATE(11047)] = 528984,
  [SMALL_STATE(11048)] = 529036,
  [SMALL_STATE(11049)] = 529094,
  [SMALL_STATE(11050)] = 529136,
  [SMALL_STATE(11051)] = 529178,
  [SMALL_STATE(11052)] = 529236,
  [SMALL_STATE(11053)] = 529308,
  [SMALL_STATE(11054)] = 529380,
  [SMALL_STATE(11055)] = 529422,
  [SMALL_STATE(11056)] = 529464,
  [SMALL_STATE(11057)] = 529506,
  [SMALL_STATE(11058)] = 529548,
  [SMALL_STATE(11059)] = 529620,
  [SMALL_STATE(11060)] = 529662,
  [SMALL_STATE(11061)] = 529704,
  [SMALL_STATE(11062)] = 529746,
  [SMALL_STATE(11063)] = 529788,
  [SMALL_STATE(11064)] = 529860,
  [SMALL_STATE(11065)] = 529932,
  [SMALL_STATE(11066)] = 529974,
  [SMALL_STATE(11067)] = 530016,
  [SMALL_STATE(11068)] = 530058,
  [SMALL_STATE(11069)] = 530100,
  [SMALL_STATE(11070)] = 530142,
  [SMALL_STATE(11071)] = 530184,
  [SMALL_STATE(11072)] = 530256,
  [SMALL_STATE(11073)] = 530298,
  [SMALL_STATE(11074)] = 530370,
  [SMALL_STATE(11075)] = 530426,
  [SMALL_STATE(11076)] = 530468,
  [SMALL_STATE(11077)] = 530540,
  [SMALL_STATE(11078)] = 530582,
  [SMALL_STATE(11079)] = 530654,
  [SMALL_STATE(11080)] = 530726,
  [SMALL_STATE(11081)] = 530798,
  [SMALL_STATE(11082)] = 530840,
  [SMALL_STATE(11083)] = 530882,
  [SMALL_STATE(11084)] = 530954,
  [SMALL_STATE(11085)] = 530996,
  [SMALL_STATE(11086)] = 531038,
  [SMALL_STATE(11087)] = 531080,
  [SMALL_STATE(11088)] = 531126,
  [SMALL_STATE(11089)] = 531198,
  [SMALL_STATE(11090)] = 531270,
  [SMALL_STATE(11091)] = 531342,
  [SMALL_STATE(11092)] = 531414,
  [SMALL_STATE(11093)] = 531486,
  [SMALL_STATE(11094)] = 531528,
  [SMALL_STATE(11095)] = 531600,
  [SMALL_STATE(11096)] = 531672,
  [SMALL_STATE(11097)] = 531744,
  [SMALL_STATE(11098)] = 531786,
  [SMALL_STATE(11099)] = 531842,
  [SMALL_STATE(11100)] = 531884,
  [SMALL_STATE(11101)] = 531956,
  [SMALL_STATE(11102)] = 532028,
  [SMALL_STATE(11103)] = 532070,
  [SMALL_STATE(11104)] = 532112,
  [SMALL_STATE(11105)] = 532154,
  [SMALL_STATE(11106)] = 532196,
  [SMALL_STATE(11107)] = 532238,
  [SMALL_STATE(11108)] = 532282,
  [SMALL_STATE(11109)] = 532354,
  [SMALL_STATE(11110)] = 532396,
  [SMALL_STATE(11111)] = 532438,
  [SMALL_STATE(11112)] = 532480,
  [SMALL_STATE(11113)] = 532522,
  [SMALL_STATE(11114)] = 532594,
  [SMALL_STATE(11115)] = 532636,
  [SMALL_STATE(11116)] = 532678,
  [SMALL_STATE(11117)] = 532720,
  [SMALL_STATE(11118)] = 532792,
  [SMALL_STATE(11119)] = 532864,
  [SMALL_STATE(11120)] = 532936,
  [SMALL_STATE(11121)] = 533008,
  [SMALL_STATE(11122)] = 533080,
  [SMALL_STATE(11123)] = 533152,
  [SMALL_STATE(11124)] = 533224,
  [SMALL_STATE(11125)] = 533296,
  [SMALL_STATE(11126)] = 533368,
  [SMALL_STATE(11127)] = 533440,
  [SMALL_STATE(11128)] = 533512,
  [SMALL_STATE(11129)] = 533570,
  [SMALL_STATE(11130)] = 533612,
  [SMALL_STATE(11131)] = 533654,
  [SMALL_STATE(11132)] = 533726,
  [SMALL_STATE(11133)] = 533798,
  [SMALL_STATE(11134)] = 533870,
  [SMALL_STATE(11135)] = 533912,
  [SMALL_STATE(11136)] = 533964,
  [SMALL_STATE(11137)] = 534006,
  [SMALL_STATE(11138)] = 534064,
  [SMALL_STATE(11139)] = 534106,
  [SMALL_STATE(11140)] = 534148,
  [SMALL_STATE(11141)] = 534190,
  [SMALL_STATE(11142)] = 534262,
  [SMALL_STATE(11143)] = 534334,
  [SMALL_STATE(11144)] = 534406,
  [SMALL_STATE(11145)] = 534478,
  [SMALL_STATE(11146)] = 534520,
  [SMALL_STATE(11147)] = 534592,
  [SMALL_STATE(11148)] = 534664,
  [SMALL_STATE(11149)] = 534736,
  [SMALL_STATE(11150)] = 534778,
  [SMALL_STATE(11151)] = 534820,
  [SMALL_STATE(11152)] = 534862,
  [SMALL_STATE(11153)] = 534904,
  [SMALL_STATE(11154)] = 534976,
  [SMALL_STATE(11155)] = 535048,
  [SMALL_STATE(11156)] = 535120,
  [SMALL_STATE(11157)] = 535192,
  [SMALL_STATE(11158)] = 535264,
  [SMALL_STATE(11159)] = 535306,
  [SMALL_STATE(11160)] = 535378,
  [SMALL_STATE(11161)] = 535420,
  [SMALL_STATE(11162)] = 535492,
  [SMALL_STATE(11163)] = 535534,
  [SMALL_STATE(11164)] = 535606,
  [SMALL_STATE(11165)] = 535648,
  [SMALL_STATE(11166)] = 535718,
  [SMALL_STATE(11167)] = 535760,
  [SMALL_STATE(11168)] = 535808,
  [SMALL_STATE(11169)] = 535850,
  [SMALL_STATE(11170)] = 535892,
  [SMALL_STATE(11171)] = 535964,
  [SMALL_STATE(11172)] = 536036,
  [SMALL_STATE(11173)] = 536108,
  [SMALL_STATE(11174)] = 536156,
  [SMALL_STATE(11175)] = 536198,
  [SMALL_STATE(11176)] = 536240,
  [SMALL_STATE(11177)] = 536282,
  [SMALL_STATE(11178)] = 536324,
  [SMALL_STATE(11179)] = 536366,
  [SMALL_STATE(11180)] = 536408,
  [SMALL_STATE(11181)] = 536480,
  [SMALL_STATE(11182)] = 536522,
  [SMALL_STATE(11183)] = 536594,
  [SMALL_STATE(11184)] = 536636,
  [SMALL_STATE(11185)] = 536678,
  [SMALL_STATE(11186)] = 536750,
  [SMALL_STATE(11187)] = 536792,
  [SMALL_STATE(11188)] = 536850,
  [SMALL_STATE(11189)] = 536892,
  [SMALL_STATE(11190)] = 536936,
  [SMALL_STATE(11191)] = 536978,
  [SMALL_STATE(11192)] = 537020,
  [SMALL_STATE(11193)] = 537092,
  [SMALL_STATE(11194)] = 537152,
  [SMALL_STATE(11195)] = 537210,
  [SMALL_STATE(11196)] = 537252,
  [SMALL_STATE(11197)] = 537310,
  [SMALL_STATE(11198)] = 537352,
  [SMALL_STATE(11199)] = 537394,
  [SMALL_STATE(11200)] = 537446,
  [SMALL_STATE(11201)] = 537518,
  [SMALL_STATE(11202)] = 537590,
  [SMALL_STATE(11203)] = 537659,
  [SMALL_STATE(11204)] = 537716,
  [SMALL_STATE(11205)] = 537785,
  [SMALL_STATE(11206)] = 537854,
  [SMALL_STATE(11207)] = 537923,
  [SMALL_STATE(11208)] = 537992,
  [SMALL_STATE(11209)] = 538043,
  [SMALL_STATE(11210)] = 538086,
  [SMALL_STATE(11211)] = 538127,
  [SMALL_STATE(11212)] = 538168,
  [SMALL_STATE(11213)] = 538211,
  [SMALL_STATE(11214)] = 538252,
  [SMALL_STATE(11215)] = 538293,
  [SMALL_STATE(11216)] = 538338,
  [SMALL_STATE(11217)] = 538379,
  [SMALL_STATE(11218)] = 538420,
  [SMALL_STATE(11219)] = 538489,
  [SMALL_STATE(11220)] = 538530,
  [SMALL_STATE(11221)] = 538599,
  [SMALL_STATE(11222)] = 538640,
  [SMALL_STATE(11223)] = 538709,
  [SMALL_STATE(11224)] = 538778,
  [SMALL_STATE(11225)] = 538847,
  [SMALL_STATE(11226)] = 538888,
  [SMALL_STATE(11227)] = 538949,
  [SMALL_STATE(11228)] = 538990,
  [SMALL_STATE(11229)] = 539033,
  [SMALL_STATE(11230)] = 539074,
  [SMALL_STATE(11231)] = 539115,
  [SMALL_STATE(11232)] = 539156,
  [SMALL_STATE(11233)] = 539199,
  [SMALL_STATE(11234)] = 539268,
  [SMALL_STATE(11235)] = 539337,
  [SMALL_STATE(11236)] = 539406,
  [SMALL_STATE(11237)] = 539457,
  [SMALL_STATE(11238)] = 539508,
  [SMALL_STATE(11239)] = 539571,
  [SMALL_STATE(11240)] = 539612,
  [SMALL_STATE(11241)] = 539681,
  [SMALL_STATE(11242)] = 539726,
  [SMALL_STATE(11243)] = 539767,
  [SMALL_STATE(11244)] = 539836,
  [SMALL_STATE(11245)] = 539905,
  [SMALL_STATE(11246)] = 539946,
  [SMALL_STATE(11247)] = 539987,
  [SMALL_STATE(11248)] = 540028,
  [SMALL_STATE(11249)] = 540069,
  [SMALL_STATE(11250)] = 540124,
  [SMALL_STATE(11251)] = 540165,
  [SMALL_STATE(11252)] = 540234,
  [SMALL_STATE(11253)] = 540291,
  [SMALL_STATE(11254)] = 540362,
  [SMALL_STATE(11255)] = 540431,
  [SMALL_STATE(11256)] = 540472,
  [SMALL_STATE(11257)] = 540541,
  [SMALL_STATE(11258)] = 540582,
  [SMALL_STATE(11259)] = 540651,
  [SMALL_STATE(11260)] = 540720,
  [SMALL_STATE(11261)] = 540763,
  [SMALL_STATE(11262)] = 540804,
  [SMALL_STATE(11263)] = 540845,
  [SMALL_STATE(11264)] = 540886,
  [SMALL_STATE(11265)] = 540927,
  [SMALL_STATE(11266)] = 540996,
  [SMALL_STATE(11267)] = 541065,
  [SMALL_STATE(11268)] = 541134,
  [SMALL_STATE(11269)] = 541203,
  [SMALL_STATE(11270)] = 541272,
  [SMALL_STATE(11271)] = 541337,
  [SMALL_STATE(11272)] = 541394,
  [SMALL_STATE(11273)] = 541463,
  [SMALL_STATE(11274)] = 541504,
  [SMALL_STATE(11275)] = 541561,
  [SMALL_STATE(11276)] = 541606,
  [SMALL_STATE(11277)] = 541647,
  [SMALL_STATE(11278)] = 541716,
  [SMALL_STATE(11279)] = 541781,
  [SMALL_STATE(11280)] = 541846,
  [SMALL_STATE(11281)] = 541897,
  [SMALL_STATE(11282)] = 541966,
  [SMALL_STATE(11283)] = 542035,
  [SMALL_STATE(11284)] = 542076,
  [SMALL_STATE(11285)] = 542137,
  [SMALL_STATE(11286)] = 542188,
  [SMALL_STATE(11287)] = 542231,
  [SMALL_STATE(11288)] = 542276,
  [SMALL_STATE(11289)] = 542321,
  [SMALL_STATE(11290)] = 542362,
  [SMALL_STATE(11291)] = 542415,
  [SMALL_STATE(11292)] = 542484,
  [SMALL_STATE(11293)] = 542553,
  [SMALL_STATE(11294)] = 542606,
  [SMALL_STATE(11295)] = 542663,
  [SMALL_STATE(11296)] = 542722,
  [SMALL_STATE(11297)] = 542763,
  [SMALL_STATE(11298)] = 542804,
  [SMALL_STATE(11299)] = 542849,
  [SMALL_STATE(11300)] = 542918,
  [SMALL_STATE(11301)] = 542959,
  [SMALL_STATE(11302)] = 543000,
  [SMALL_STATE(11303)] = 543063,
  [SMALL_STATE(11304)] = 543104,
  [SMALL_STATE(11305)] = 543151,
  [SMALL_STATE(11306)] = 543196,
  [SMALL_STATE(11307)] = 543237,
  [SMALL_STATE(11308)] = 543300,
  [SMALL_STATE(11309)] = 543341,
  [SMALL_STATE(11310)] = 543382,
  [SMALL_STATE(11311)] = 543445,
  [SMALL_STATE(11312)] = 543490,
  [SMALL_STATE(11313)] = 543543,
  [SMALL_STATE(11314)] = 543598,
  [SMALL_STATE(11315)] = 543639,
  [SMALL_STATE(11316)] = 543684,
  [SMALL_STATE(11317)] = 543727,
  [SMALL_STATE(11318)] = 543796,
  [SMALL_STATE(11319)] = 543839,
  [SMALL_STATE(11320)] = 543896,
  [SMALL_STATE(11321)] = 543957,
  [SMALL_STATE(11322)] = 544026,
  [SMALL_STATE(11323)] = 544067,
  [SMALL_STATE(11324)] = 544108,
  [SMALL_STATE(11325)] = 544149,
  [SMALL_STATE(11326)] = 544190,
  [SMALL_STATE(11327)] = 544231,
  [SMALL_STATE(11328)] = 544300,
  [SMALL_STATE(11329)] = 544369,
  [SMALL_STATE(11330)] = 544414,
  [SMALL_STATE(11331)] = 544483,
  [SMALL_STATE(11332)] = 544552,
  [SMALL_STATE(11333)] = 544595,
  [SMALL_STATE(11334)] = 544664,
  [SMALL_STATE(11335)] = 544733,
  [SMALL_STATE(11336)] = 544802,
  [SMALL_STATE(11337)] = 544859,
  [SMALL_STATE(11338)] = 544900,
  [SMALL_STATE(11339)] = 544941,
  [SMALL_STATE(11340)] = 544986,
  [SMALL_STATE(11341)] = 545055,
  [SMALL_STATE(11342)] = 545096,
  [SMALL_STATE(11343)] = 545139,
  [SMALL_STATE(11344)] = 545208,
  [SMALL_STATE(11345)] = 545277,
  [SMALL_STATE(11346)] = 545346,
  [SMALL_STATE(11347)] = 545387,
  [SMALL_STATE(11348)] = 545456,
  [SMALL_STATE(11349)] = 545515,
  [SMALL_STATE(11350)] = 545574,
  [SMALL_STATE(11351)] = 545643,
  [SMALL_STATE(11352)] = 545711,
  [SMALL_STATE(11353)] = 545779,
  [SMALL_STATE(11354)] = 545821,
  [SMALL_STATE(11355)] = 545865,
  [SMALL_STATE(11356)] = 545933,
  [SMALL_STATE(11357)] = 546001,
  [SMALL_STATE(11358)] = 546041,
  [SMALL_STATE(11359)] = 546081,
  [SMALL_STATE(11360)] = 546149,
  [SMALL_STATE(11361)] = 546217,
  [SMALL_STATE(11362)] = 546285,
  [SMALL_STATE(11363)] = 546325,
  [SMALL_STATE(11364)] = 546393,
  [SMALL_STATE(11365)] = 546461,
  [SMALL_STATE(11366)] = 546529,
  [SMALL_STATE(11367)] = 546569,
  [SMALL_STATE(11368)] = 546637,
  [SMALL_STATE(11369)] = 546705,
  [SMALL_STATE(11370)] = 546773,
  [SMALL_STATE(11371)] = 546841,
  [SMALL_STATE(11372)] = 546909,
  [SMALL_STATE(11373)] = 546977,
  [SMALL_STATE(11374)] = 547045,
  [SMALL_STATE(11375)] = 547113,
  [SMALL_STATE(11376)] = 547181,
  [SMALL_STATE(11377)] = 547249,
  [SMALL_STATE(11378)] = 547317,
  [SMALL_STATE(11379)] = 547385,
  [SMALL_STATE(11380)] = 547453,
  [SMALL_STATE(11381)] = 547521,
  [SMALL_STATE(11382)] = 547561,
  [SMALL_STATE(11383)] = 547601,
  [SMALL_STATE(11384)] = 547641,
  [SMALL_STATE(11385)] = 547681,
  [SMALL_STATE(11386)] = 547749,
  [SMALL_STATE(11387)] = 547789,
  [SMALL_STATE(11388)] = 547857,
  [SMALL_STATE(11389)] = 547925,
  [SMALL_STATE(11390)] = 547993,
  [SMALL_STATE(11391)] = 548033,
  [SMALL_STATE(11392)] = 548073,
  [SMALL_STATE(11393)] = 548115,
  [SMALL_STATE(11394)] = 548155,
  [SMALL_STATE(11395)] = 548195,
  [SMALL_STATE(11396)] = 548235,
  [SMALL_STATE(11397)] = 548275,
  [SMALL_STATE(11398)] = 548315,
  [SMALL_STATE(11399)] = 548355,
  [SMALL_STATE(11400)] = 548395,
  [SMALL_STATE(11401)] = 548451,
  [SMALL_STATE(11402)] = 548507,
  [SMALL_STATE(11403)] = 548547,
  [SMALL_STATE(11404)] = 548587,
  [SMALL_STATE(11405)] = 548627,
  [SMALL_STATE(11406)] = 548667,
  [SMALL_STATE(11407)] = 548707,
  [SMALL_STATE(11408)] = 548747,
  [SMALL_STATE(11409)] = 548815,
  [SMALL_STATE(11410)] = 548855,
  [SMALL_STATE(11411)] = 548923,
  [SMALL_STATE(11412)] = 548979,
  [SMALL_STATE(11413)] = 549047,
  [SMALL_STATE(11414)] = 549107,
  [SMALL_STATE(11415)] = 549163,
  [SMALL_STATE(11416)] = 549213,
  [SMALL_STATE(11417)] = 549269,
  [SMALL_STATE(11418)] = 549313,
  [SMALL_STATE(11419)] = 549357,
  [SMALL_STATE(11420)] = 549409,
  [SMALL_STATE(11421)] = 549461,
  [SMALL_STATE(11422)] = 549517,
  [SMALL_STATE(11423)] = 549575,
  [SMALL_STATE(11424)] = 549637,
  [SMALL_STATE(11425)] = 549683,
  [SMALL_STATE(11426)] = 549745,
  [SMALL_STATE(11427)] = 549813,
  [SMALL_STATE(11428)] = 549881,
  [SMALL_STATE(11429)] = 549925,
  [SMALL_STATE(11430)] = 549965,
  [SMALL_STATE(11431)] = 550027,
  [SMALL_STATE(11432)] = 550095,
  [SMALL_STATE(11433)] = 550163,
  [SMALL_STATE(11434)] = 550209,
  [SMALL_STATE(11435)] = 550255,
  [SMALL_STATE(11436)] = 550323,
  [SMALL_STATE(11437)] = 550363,
  [SMALL_STATE(11438)] = 550403,
  [SMALL_STATE(11439)] = 550459,
  [SMALL_STATE(11440)] = 550499,
  [SMALL_STATE(11441)] = 550555,
  [SMALL_STATE(11442)] = 550623,
  [SMALL_STATE(11443)] = 550691,
  [SMALL_STATE(11444)] = 550759,
  [SMALL_STATE(11445)] = 550827,
  [SMALL_STATE(11446)] = 550895,
  [SMALL_STATE(11447)] = 550951,
  [SMALL_STATE(11448)] = 550995,
  [SMALL_STATE(11449)] = 551039,
  [SMALL_STATE(11450)] = 551083,
  [SMALL_STATE(11451)] = 551127,
  [SMALL_STATE(11452)] = 551169,
  [SMALL_STATE(11453)] = 551237,
  [SMALL_STATE(11454)] = 551279,
  [SMALL_STATE(11455)] = 551319,
  [SMALL_STATE(11456)] = 551387,
  [SMALL_STATE(11457)] = 551455,
  [SMALL_STATE(11458)] = 551523,
  [SMALL_STATE(11459)] = 551565,
  [SMALL_STATE(11460)] = 551633,
  [SMALL_STATE(11461)] = 551701,
  [SMALL_STATE(11462)] = 551769,
  [SMALL_STATE(11463)] = 551809,
  [SMALL_STATE(11464)] = 551849,
  [SMALL_STATE(11465)] = 551917,
  [SMALL_STATE(11466)] = 551985,
  [SMALL_STATE(11467)] = 552053,
  [SMALL_STATE(11468)] = 552121,
  [SMALL_STATE(11469)] = 552189,
  [SMALL_STATE(11470)] = 552257,
  [SMALL_STATE(11471)] = 552325,
  [SMALL_STATE(11472)] = 552365,
  [SMALL_STATE(11473)] = 552433,
  [SMALL_STATE(11474)] = 552501,
  [SMALL_STATE(11475)] = 552569,
  [SMALL_STATE(11476)] = 552637,
  [SMALL_STATE(11477)] = 552677,
  [SMALL_STATE(11478)] = 552745,
  [SMALL_STATE(11479)] = 552813,
  [SMALL_STATE(11480)] = 552881,
  [SMALL_STATE(11481)] = 552945,
  [SMALL_STATE(11482)] = 553001,
  [SMALL_STATE(11483)] = 553069,
  [SMALL_STATE(11484)] = 553123,
  [SMALL_STATE(11485)] = 553191,
  [SMALL_STATE(11486)] = 553231,
  [SMALL_STATE(11487)] = 553275,
  [SMALL_STATE(11488)] = 553337,
  [SMALL_STATE(11489)] = 553379,
  [SMALL_STATE(11490)] = 553447,
  [SMALL_STATE(11491)] = 553487,
  [SMALL_STATE(11492)] = 553529,
  [SMALL_STATE(11493)] = 553597,
  [SMALL_STATE(11494)] = 553665,
  [SMALL_STATE(11495)] = 553705,
  [SMALL_STATE(11496)] = 553773,
  [SMALL_STATE(11497)] = 553827,
  [SMALL_STATE(11498)] = 553895,
  [SMALL_STATE(11499)] = 553935,
  [SMALL_STATE(11500)] = 553975,
  [SMALL_STATE(11501)] = 554043,
  [SMALL_STATE(11502)] = 554111,
  [SMALL_STATE(11503)] = 554151,
  [SMALL_STATE(11504)] = 554191,
  [SMALL_STATE(11505)] = 554259,
  [SMALL_STATE(11506)] = 554327,
  [SMALL_STATE(11507)] = 554395,
  [SMALL_STATE(11508)] = 554463,
  [SMALL_STATE(11509)] = 554531,
  [SMALL_STATE(11510)] = 554599,
  [SMALL_STATE(11511)] = 554667,
  [SMALL_STATE(11512)] = 554735,
  [SMALL_STATE(11513)] = 554803,
  [SMALL_STATE(11514)] = 554871,
  [SMALL_STATE(11515)] = 554917,
  [SMALL_STATE(11516)] = 554963,
  [SMALL_STATE(11517)] = 555003,
  [SMALL_STATE(11518)] = 555043,
  [SMALL_STATE(11519)] = 555083,
  [SMALL_STATE(11520)] = 555123,
  [SMALL_STATE(11521)] = 555187,
  [SMALL_STATE(11522)] = 555253,
  [SMALL_STATE(11523)] = 555293,
  [SMALL_STATE(11524)] = 555333,
  [SMALL_STATE(11525)] = 555401,
  [SMALL_STATE(11526)] = 555453,
  [SMALL_STATE(11527)] = 555521,
  [SMALL_STATE(11528)] = 555589,
  [SMALL_STATE(11529)] = 555629,
  [SMALL_STATE(11530)] = 555669,
  [SMALL_STATE(11531)] = 555715,
  [SMALL_STATE(11532)] = 555755,
  [SMALL_STATE(11533)] = 555795,
  [SMALL_STATE(11534)] = 555863,
  [SMALL_STATE(11535)] = 555903,
  [SMALL_STATE(11536)] = 555971,
  [SMALL_STATE(11537)] = 556011,
  [SMALL_STATE(11538)] = 556051,
  [SMALL_STATE(11539)] = 556091,
  [SMALL_STATE(11540)] = 556131,
  [SMALL_STATE(11541)] = 556181,
  [SMALL_STATE(11542)] = 556221,
  [SMALL_STATE(11543)] = 556261,
  [SMALL_STATE(11544)] = 556329,
  [SMALL_STATE(11545)] = 556369,
  [SMALL_STATE(11546)] = 556437,
  [SMALL_STATE(11547)] = 556487,
  [SMALL_STATE(11548)] = 556533,
  [SMALL_STATE(11549)] = 556601,
  [SMALL_STATE(11550)] = 556669,
  [SMALL_STATE(11551)] = 556737,
  [SMALL_STATE(11552)] = 556805,
  [SMALL_STATE(11553)] = 556873,
  [SMALL_STATE(11554)] = 556913,
  [SMALL_STATE(11555)] = 556953,
  [SMALL_STATE(11556)] = 556993,
  [SMALL_STATE(11557)] = 557045,
  [SMALL_STATE(11558)] = 557085,
  [SMALL_STATE(11559)] = 557125,
  [SMALL_STATE(11560)] = 557165,
  [SMALL_STATE(11561)] = 557205,
  [SMALL_STATE(11562)] = 557245,
  [SMALL_STATE(11563)] = 557305,
  [SMALL_STATE(11564)] = 557345,
  [SMALL_STATE(11565)] = 557395,
  [SMALL_STATE(11566)] = 557439,
  [SMALL_STATE(11567)] = 557483,
  [SMALL_STATE(11568)] = 557533,
  [SMALL_STATE(11569)] = 557601,
  [SMALL_STATE(11570)] = 557669,
  [SMALL_STATE(11571)] = 557721,
  [SMALL_STATE(11572)] = 557773,
  [SMALL_STATE(11573)] = 557829,
  [SMALL_STATE(11574)] = 557897,
  [SMALL_STATE(11575)] = 557943,
  [SMALL_STATE(11576)] = 557989,
  [SMALL_STATE(11577)] = 558047,
  [SMALL_STATE(11578)] = 558109,
  [SMALL_STATE(11579)] = 558155,
  [SMALL_STATE(11580)] = 558219,
  [SMALL_STATE(11581)] = 558269,
  [SMALL_STATE(11582)] = 558331,
  [SMALL_STATE(11583)] = 558371,
  [SMALL_STATE(11584)] = 558439,
  [SMALL_STATE(11585)] = 558479,
  [SMALL_STATE(11586)] = 558543,
  [SMALL_STATE(11587)] = 558589,
  [SMALL_STATE(11588)] = 558629,
  [SMALL_STATE(11589)] = 558697,
  [SMALL_STATE(11590)] = 558765,
  [SMALL_STATE(11591)] = 558833,
  [SMALL_STATE(11592)] = 558901,
  [SMALL_STATE(11593)] = 558969,
  [SMALL_STATE(11594)] = 559009,
  [SMALL_STATE(11595)] = 559055,
  [SMALL_STATE(11596)] = 559095,
  [SMALL_STATE(11597)] = 559163,
  [SMALL_STATE(11598)] = 559203,
  [SMALL_STATE(11599)] = 559271,
  [SMALL_STATE(11600)] = 559339,
  [SMALL_STATE(11601)] = 559407,
  [SMALL_STATE(11602)] = 559447,
  [SMALL_STATE(11603)] = 559515,
  [SMALL_STATE(11604)] = 559583,
  [SMALL_STATE(11605)] = 559645,
  [SMALL_STATE(11606)] = 559685,
  [SMALL_STATE(11607)] = 559725,
  [SMALL_STATE(11608)] = 559779,
  [SMALL_STATE(11609)] = 559819,
  [SMALL_STATE(11610)] = 559887,
  [SMALL_STATE(11611)] = 559955,
  [SMALL_STATE(11612)] = 559995,
  [SMALL_STATE(11613)] = 560045,
  [SMALL_STATE(11614)] = 560089,
  [SMALL_STATE(11615)] = 560157,
  [SMALL_STATE(11616)] = 560225,
  [SMALL_STATE(11617)] = 560293,
  [SMALL_STATE(11618)] = 560361,
  [SMALL_STATE(11619)] = 560429,
  [SMALL_STATE(11620)] = 560497,
  [SMALL_STATE(11621)] = 560565,
  [SMALL_STATE(11622)] = 560615,
  [SMALL_STATE(11623)] = 560683,
  [SMALL_STATE(11624)] = 560751,
  [SMALL_STATE(11625)] = 560819,
  [SMALL_STATE(11626)] = 560887,
  [SMALL_STATE(11627)] = 560955,
  [SMALL_STATE(11628)] = 560995,
  [SMALL_STATE(11629)] = 561035,
  [SMALL_STATE(11630)] = 561075,
  [SMALL_STATE(11631)] = 561115,
  [SMALL_STATE(11632)] = 561157,
  [SMALL_STATE(11633)] = 561197,
  [SMALL_STATE(11634)] = 561247,
  [SMALL_STATE(11635)] = 561287,
  [SMALL_STATE(11636)] = 561327,
  [SMALL_STATE(11637)] = 561367,
  [SMALL_STATE(11638)] = 561407,
  [SMALL_STATE(11639)] = 561475,
  [SMALL_STATE(11640)] = 561543,
  [SMALL_STATE(11641)] = 561583,
  [SMALL_STATE(11642)] = 561635,
  [SMALL_STATE(11643)] = 561675,
  [SMALL_STATE(11644)] = 561725,
  [SMALL_STATE(11645)] = 561793,
  [SMALL_STATE(11646)] = 561861,
  [SMALL_STATE(11647)] = 561929,
  [SMALL_STATE(11648)] = 561981,
  [SMALL_STATE(11649)] = 562037,
  [SMALL_STATE(11650)] = 562093,
  [SMALL_STATE(11651)] = 562133,
  [SMALL_STATE(11652)] = 562173,
  [SMALL_STATE(11653)] = 562213,
  [SMALL_STATE(11654)] = 562263,
  [SMALL_STATE(11655)] = 562307,
  [SMALL_STATE(11656)] = 562347,
  [SMALL_STATE(11657)] = 562387,
  [SMALL_STATE(11658)] = 562443,
  [SMALL_STATE(11659)] = 562483,
  [SMALL_STATE(11660)] = 562523,
  [SMALL_STATE(11661)] = 562563,
  [SMALL_STATE(11662)] = 562603,
  [SMALL_STATE(11663)] = 562643,
  [SMALL_STATE(11664)] = 562683,
  [SMALL_STATE(11665)] = 562723,
  [SMALL_STATE(11666)] = 562763,
  [SMALL_STATE(11667)] = 562803,
  [SMALL_STATE(11668)] = 562843,
  [SMALL_STATE(11669)] = 562883,
  [SMALL_STATE(11670)] = 562923,
  [SMALL_STATE(11671)] = 562963,
  [SMALL_STATE(11672)] = 563005,
  [SMALL_STATE(11673)] = 563045,
  [SMALL_STATE(11674)] = 563085,
  [SMALL_STATE(11675)] = 563125,
  [SMALL_STATE(11676)] = 563165,
  [SMALL_STATE(11677)] = 563205,
  [SMALL_STATE(11678)] = 563245,
  [SMALL_STATE(11679)] = 563285,
  [SMALL_STATE(11680)] = 563325,
  [SMALL_STATE(11681)] = 563365,
  [SMALL_STATE(11682)] = 563405,
  [SMALL_STATE(11683)] = 563445,
  [SMALL_STATE(11684)] = 563485,
  [SMALL_STATE(11685)] = 563525,
  [SMALL_STATE(11686)] = 563565,
  [SMALL_STATE(11687)] = 563605,
  [SMALL_STATE(11688)] = 563661,
  [SMALL_STATE(11689)] = 563701,
  [SMALL_STATE(11690)] = 563741,
  [SMALL_STATE(11691)] = 563781,
  [SMALL_STATE(11692)] = 563821,
  [SMALL_STATE(11693)] = 563861,
  [SMALL_STATE(11694)] = 563901,
  [SMALL_STATE(11695)] = 563941,
  [SMALL_STATE(11696)] = 563981,
  [SMALL_STATE(11697)] = 564021,
  [SMALL_STATE(11698)] = 564077,
  [SMALL_STATE(11699)] = 564117,
  [SMALL_STATE(11700)] = 564157,
  [SMALL_STATE(11701)] = 564197,
  [SMALL_STATE(11702)] = 564237,
  [SMALL_STATE(11703)] = 564277,
  [SMALL_STATE(11704)] = 564317,
  [SMALL_STATE(11705)] = 564357,
  [SMALL_STATE(11706)] = 564397,
  [SMALL_STATE(11707)] = 564437,
  [SMALL_STATE(11708)] = 564477,
  [SMALL_STATE(11709)] = 564533,
  [SMALL_STATE(11710)] = 564573,
  [SMALL_STATE(11711)] = 564613,
  [SMALL_STATE(11712)] = 564653,
  [SMALL_STATE(11713)] = 564693,
  [SMALL_STATE(11714)] = 564733,
  [SMALL_STATE(11715)] = 564773,
  [SMALL_STATE(11716)] = 564813,
  [SMALL_STATE(11717)] = 564853,
  [SMALL_STATE(11718)] = 564893,
  [SMALL_STATE(11719)] = 564933,
  [SMALL_STATE(11720)] = 564973,
  [SMALL_STATE(11721)] = 565013,
  [SMALL_STATE(11722)] = 565053,
  [SMALL_STATE(11723)] = 565093,
  [SMALL_STATE(11724)] = 565157,
  [SMALL_STATE(11725)] = 565221,
  [SMALL_STATE(11726)] = 565277,
  [SMALL_STATE(11727)] = 565333,
  [SMALL_STATE(11728)] = 565383,
  [SMALL_STATE(11729)] = 565433,
  [SMALL_STATE(11730)] = 565475,
  [SMALL_STATE(11731)] = 565531,
  [SMALL_STATE(11732)] = 565571,
  [SMALL_STATE(11733)] = 565611,
  [SMALL_STATE(11734)] = 565651,
  [SMALL_STATE(11735)] = 565691,
  [SMALL_STATE(11736)] = 565731,
  [SMALL_STATE(11737)] = 565771,
  [SMALL_STATE(11738)] = 565811,
  [SMALL_STATE(11739)] = 565851,
  [SMALL_STATE(11740)] = 565891,
  [SMALL_STATE(11741)] = 565959,
  [SMALL_STATE(11742)] = 566022,
  [SMALL_STATE(11743)] = 566061,
  [SMALL_STATE(11744)] = 566100,
  [SMALL_STATE(11745)] = 566139,
  [SMALL_STATE(11746)] = 566178,
  [SMALL_STATE(11747)] = 566233,
  [SMALL_STATE(11748)] = 566296,
  [SMALL_STATE(11749)] = 566335,
  [SMALL_STATE(11750)] = 566374,
  [SMALL_STATE(11751)] = 566413,
  [SMALL_STATE(11752)] = 566476,
  [SMALL_STATE(11753)] = 566515,
  [SMALL_STATE(11754)] = 566554,
  [SMALL_STATE(11755)] = 566593,
  [SMALL_STATE(11756)] = 566632,
  [SMALL_STATE(11757)] = 566671,
  [SMALL_STATE(11758)] = 566710,
  [SMALL_STATE(11759)] = 566773,
  [SMALL_STATE(11760)] = 566812,
  [SMALL_STATE(11761)] = 566861,
  [SMALL_STATE(11762)] = 566900,
  [SMALL_STATE(11763)] = 566939,
  [SMALL_STATE(11764)] = 567002,
  [SMALL_STATE(11765)] = 567065,
  [SMALL_STATE(11766)] = 567108,
  [SMALL_STATE(11767)] = 567171,
  [SMALL_STATE(11768)] = 567210,
  [SMALL_STATE(11769)] = 567249,
  [SMALL_STATE(11770)] = 567312,
  [SMALL_STATE(11771)] = 567351,
  [SMALL_STATE(11772)] = 567414,
  [SMALL_STATE(11773)] = 567477,
  [SMALL_STATE(11774)] = 567540,
  [SMALL_STATE(11775)] = 567603,
  [SMALL_STATE(11776)] = 567666,
  [SMALL_STATE(11777)] = 567729,
  [SMALL_STATE(11778)] = 567768,
  [SMALL_STATE(11779)] = 567831,
  [SMALL_STATE(11780)] = 567874,
  [SMALL_STATE(11781)] = 567927,
  [SMALL_STATE(11782)] = 567990,
  [SMALL_STATE(11783)] = 568053,
  [SMALL_STATE(11784)] = 568116,
  [SMALL_STATE(11785)] = 568179,
  [SMALL_STATE(11786)] = 568242,
  [SMALL_STATE(11787)] = 568305,
  [SMALL_STATE(11788)] = 568368,
  [SMALL_STATE(11789)] = 568431,
  [SMALL_STATE(11790)] = 568494,
  [SMALL_STATE(11791)] = 568535,
  [SMALL_STATE(11792)] = 568576,
  [SMALL_STATE(11793)] = 568615,
  [SMALL_STATE(11794)] = 568678,
  [SMALL_STATE(11795)] = 568741,
  [SMALL_STATE(11796)] = 568780,
  [SMALL_STATE(11797)] = 568821,
  [SMALL_STATE(11798)] = 568884,
  [SMALL_STATE(11799)] = 568923,
  [SMALL_STATE(11800)] = 568986,
  [SMALL_STATE(11801)] = 569049,
  [SMALL_STATE(11802)] = 569112,
  [SMALL_STATE(11803)] = 569161,
  [SMALL_STATE(11804)] = 569224,
  [SMALL_STATE(11805)] = 569265,
  [SMALL_STATE(11806)] = 569328,
  [SMALL_STATE(11807)] = 569391,
  [SMALL_STATE(11808)] = 569454,
  [SMALL_STATE(11809)] = 569517,
  [SMALL_STATE(11810)] = 569580,
  [SMALL_STATE(11811)] = 569643,
  [SMALL_STATE(11812)] = 569682,
  [SMALL_STATE(11813)] = 569745,
  [SMALL_STATE(11814)] = 569808,
  [SMALL_STATE(11815)] = 569847,
  [SMALL_STATE(11816)] = 569886,
  [SMALL_STATE(11817)] = 569925,
  [SMALL_STATE(11818)] = 569988,
  [SMALL_STATE(11819)] = 570039,
  [SMALL_STATE(11820)] = 570102,
  [SMALL_STATE(11821)] = 570165,
  [SMALL_STATE(11822)] = 570204,
  [SMALL_STATE(11823)] = 570267,
  [SMALL_STATE(11824)] = 570330,
  [SMALL_STATE(11825)] = 570393,
  [SMALL_STATE(11826)] = 570434,
  [SMALL_STATE(11827)] = 570497,
  [SMALL_STATE(11828)] = 570560,
  [SMALL_STATE(11829)] = 570623,
  [SMALL_STATE(11830)] = 570686,
  [SMALL_STATE(11831)] = 570749,
  [SMALL_STATE(11832)] = 570788,
  [SMALL_STATE(11833)] = 570829,
  [SMALL_STATE(11834)] = 570892,
  [SMALL_STATE(11835)] = 570947,
  [SMALL_STATE(11836)] = 571002,
  [SMALL_STATE(11837)] = 571041,
  [SMALL_STATE(11838)] = 571096,
  [SMALL_STATE(11839)] = 571151,
  [SMALL_STATE(11840)] = 571214,
  [SMALL_STATE(11841)] = 571253,
  [SMALL_STATE(11842)] = 571292,
  [SMALL_STATE(11843)] = 571355,
  [SMALL_STATE(11844)] = 571398,
  [SMALL_STATE(11845)] = 571455,
  [SMALL_STATE(11846)] = 571494,
  [SMALL_STATE(11847)] = 571557,
  [SMALL_STATE(11848)] = 571620,
  [SMALL_STATE(11849)] = 571683,
  [SMALL_STATE(11850)] = 571738,
  [SMALL_STATE(11851)] = 571801,
  [SMALL_STATE(11852)] = 571864,
  [SMALL_STATE(11853)] = 571917,
  [SMALL_STATE(11854)] = 571980,
  [SMALL_STATE(11855)] = 572043,
  [SMALL_STATE(11856)] = 572106,
  [SMALL_STATE(11857)] = 572169,
  [SMALL_STATE(11858)] = 572232,
  [SMALL_STATE(11859)] = 572287,
  [SMALL_STATE(11860)] = 572344,
  [SMALL_STATE(11861)] = 572399,
  [SMALL_STATE(11862)] = 572454,
  [SMALL_STATE(11863)] = 572493,
  [SMALL_STATE(11864)] = 572534,
  [SMALL_STATE(11865)] = 572573,
  [SMALL_STATE(11866)] = 572612,
  [SMALL_STATE(11867)] = 572651,
  [SMALL_STATE(11868)] = 572714,
  [SMALL_STATE(11869)] = 572753,
  [SMALL_STATE(11870)] = 572808,
  [SMALL_STATE(11871)] = 572849,
  [SMALL_STATE(11872)] = 572912,
  [SMALL_STATE(11873)] = 572961,
  [SMALL_STATE(11874)] = 573010,
  [SMALL_STATE(11875)] = 573063,
  [SMALL_STATE(11876)] = 573118,
  [SMALL_STATE(11877)] = 573167,
  [SMALL_STATE(11878)] = 573230,
  [SMALL_STATE(11879)] = 573293,
  [SMALL_STATE(11880)] = 573356,
  [SMALL_STATE(11881)] = 573405,
  [SMALL_STATE(11882)] = 573454,
  [SMALL_STATE(11883)] = 573517,
  [SMALL_STATE(11884)] = 573566,
  [SMALL_STATE(11885)] = 573615,
  [SMALL_STATE(11886)] = 573678,
  [SMALL_STATE(11887)] = 573741,
  [SMALL_STATE(11888)] = 573784,
  [SMALL_STATE(11889)] = 573847,
  [SMALL_STATE(11890)] = 573888,
  [SMALL_STATE(11891)] = 573937,
  [SMALL_STATE(11892)] = 574000,
  [SMALL_STATE(11893)] = 574063,
  [SMALL_STATE(11894)] = 574126,
  [SMALL_STATE(11895)] = 574189,
  [SMALL_STATE(11896)] = 574244,
  [SMALL_STATE(11897)] = 574283,
  [SMALL_STATE(11898)] = 574338,
  [SMALL_STATE(11899)] = 574377,
  [SMALL_STATE(11900)] = 574416,
  [SMALL_STATE(11901)] = 574479,
  [SMALL_STATE(11902)] = 574542,
  [SMALL_STATE(11903)] = 574605,
  [SMALL_STATE(11904)] = 574644,
  [SMALL_STATE(11905)] = 574707,
  [SMALL_STATE(11906)] = 574766,
  [SMALL_STATE(11907)] = 574829,
  [SMALL_STATE(11908)] = 574878,
  [SMALL_STATE(11909)] = 574921,
  [SMALL_STATE(11910)] = 574960,
  [SMALL_STATE(11911)] = 575011,
  [SMALL_STATE(11912)] = 575062,
  [SMALL_STATE(11913)] = 575117,
  [SMALL_STATE(11914)] = 575174,
  [SMALL_STATE(11915)] = 575235,
  [SMALL_STATE(11916)] = 575280,
  [SMALL_STATE(11917)] = 575341,
  [SMALL_STATE(11918)] = 575396,
  [SMALL_STATE(11919)] = 575459,
  [SMALL_STATE(11920)] = 575522,
  [SMALL_STATE(11921)] = 575561,
  [SMALL_STATE(11922)] = 575600,
  [SMALL_STATE(11923)] = 575639,
  [SMALL_STATE(11924)] = 575678,
  [SMALL_STATE(11925)] = 575735,
  [SMALL_STATE(11926)] = 575798,
  [SMALL_STATE(11927)] = 575837,
  [SMALL_STATE(11928)] = 575894,
  [SMALL_STATE(11929)] = 575957,
  [SMALL_STATE(11930)] = 576020,
  [SMALL_STATE(11931)] = 576083,
  [SMALL_STATE(11932)] = 576124,
  [SMALL_STATE(11933)] = 576187,
  [SMALL_STATE(11934)] = 576226,
  [SMALL_STATE(11935)] = 576265,
  [SMALL_STATE(11936)] = 576304,
  [SMALL_STATE(11937)] = 576343,
  [SMALL_STATE(11938)] = 576404,
  [SMALL_STATE(11939)] = 576467,
  [SMALL_STATE(11940)] = 576520,
  [SMALL_STATE(11941)] = 576559,
  [SMALL_STATE(11942)] = 576598,
  [SMALL_STATE(11943)] = 576637,
  [SMALL_STATE(11944)] = 576676,
  [SMALL_STATE(11945)] = 576715,
  [SMALL_STATE(11946)] = 576754,
  [SMALL_STATE(11947)] = 576809,
  [SMALL_STATE(11948)] = 576872,
  [SMALL_STATE(11949)] = 576935,
  [SMALL_STATE(11950)] = 576974,
  [SMALL_STATE(11951)] = 577013,
  [SMALL_STATE(11952)] = 577052,
  [SMALL_STATE(11953)] = 577091,
  [SMALL_STATE(11954)] = 577130,
  [SMALL_STATE(11955)] = 577169,
  [SMALL_STATE(11956)] = 577208,
  [SMALL_STATE(11957)] = 577271,
  [SMALL_STATE(11958)] = 577310,
  [SMALL_STATE(11959)] = 577349,
  [SMALL_STATE(11960)] = 577388,
  [SMALL_STATE(11961)] = 577427,
  [SMALL_STATE(11962)] = 577466,
  [SMALL_STATE(11963)] = 577529,
  [SMALL_STATE(11964)] = 577592,
  [SMALL_STATE(11965)] = 577655,
  [SMALL_STATE(11966)] = 577718,
  [SMALL_STATE(11967)] = 577781,
  [SMALL_STATE(11968)] = 577822,
  [SMALL_STATE(11969)] = 577865,
  [SMALL_STATE(11970)] = 577906,
  [SMALL_STATE(11971)] = 577945,
  [SMALL_STATE(11972)] = 577996,
  [SMALL_STATE(11973)] = 578035,
  [SMALL_STATE(11974)] = 578098,
  [SMALL_STATE(11975)] = 578147,
  [SMALL_STATE(11976)] = 578186,
  [SMALL_STATE(11977)] = 578239,
  [SMALL_STATE(11978)] = 578278,
  [SMALL_STATE(11979)] = 578317,
  [SMALL_STATE(11980)] = 578368,
  [SMALL_STATE(11981)] = 578407,
  [SMALL_STATE(11982)] = 578470,
  [SMALL_STATE(11983)] = 578533,
  [SMALL_STATE(11984)] = 578596,
  [SMALL_STATE(11985)] = 578635,
  [SMALL_STATE(11986)] = 578698,
  [SMALL_STATE(11987)] = 578737,
  [SMALL_STATE(11988)] = 578800,
  [SMALL_STATE(11989)] = 578863,
  [SMALL_STATE(11990)] = 578926,
  [SMALL_STATE(11991)] = 578989,
  [SMALL_STATE(11992)] = 579052,
  [SMALL_STATE(11993)] = 579091,
  [SMALL_STATE(11994)] = 579140,
  [SMALL_STATE(11995)] = 579179,
  [SMALL_STATE(11996)] = 579218,
  [SMALL_STATE(11997)] = 579257,
  [SMALL_STATE(11998)] = 579320,
  [SMALL_STATE(11999)] = 579359,
  [SMALL_STATE(12000)] = 579408,
  [SMALL_STATE(12001)] = 579449,
  [SMALL_STATE(12002)] = 579488,
  [SMALL_STATE(12003)] = 579527,
  [SMALL_STATE(12004)] = 579566,
  [SMALL_STATE(12005)] = 579605,
  [SMALL_STATE(12006)] = 579644,
  [SMALL_STATE(12007)] = 579683,
  [SMALL_STATE(12008)] = 579722,
  [SMALL_STATE(12009)] = 579761,
  [SMALL_STATE(12010)] = 579800,
  [SMALL_STATE(12011)] = 579839,
  [SMALL_STATE(12012)] = 579902,
  [SMALL_STATE(12013)] = 579941,
  [SMALL_STATE(12014)] = 579990,
  [SMALL_STATE(12015)] = 580029,
  [SMALL_STATE(12016)] = 580068,
  [SMALL_STATE(12017)] = 580107,
  [SMALL_STATE(12018)] = 580146,
  [SMALL_STATE(12019)] = 580187,
  [SMALL_STATE(12020)] = 580226,
  [SMALL_STATE(12021)] = 580289,
  [SMALL_STATE(12022)] = 580328,
  [SMALL_STATE(12023)] = 580377,
  [SMALL_STATE(12024)] = 580426,
  [SMALL_STATE(12025)] = 580489,
  [SMALL_STATE(12026)] = 580544,
  [SMALL_STATE(12027)] = 580599,
  [SMALL_STATE(12028)] = 580638,
  [SMALL_STATE(12029)] = 580677,
  [SMALL_STATE(12030)] = 580716,
  [SMALL_STATE(12031)] = 580755,
  [SMALL_STATE(12032)] = 580794,
  [SMALL_STATE(12033)] = 580839,
  [SMALL_STATE(12034)] = 580878,
  [SMALL_STATE(12035)] = 580917,
  [SMALL_STATE(12036)] = 580956,
  [SMALL_STATE(12037)] = 581019,
  [SMALL_STATE(12038)] = 581082,
  [SMALL_STATE(12039)] = 581121,
  [SMALL_STATE(12040)] = 581176,
  [SMALL_STATE(12041)] = 581239,
  [SMALL_STATE(12042)] = 581282,
  [SMALL_STATE(12043)] = 581327,
  [SMALL_STATE(12044)] = 581372,
  [SMALL_STATE(12045)] = 581417,
  [SMALL_STATE(12046)] = 581462,
  [SMALL_STATE(12047)] = 581501,
  [SMALL_STATE(12048)] = 581556,
  [SMALL_STATE(12049)] = 581611,
  [SMALL_STATE(12050)] = 581650,
  [SMALL_STATE(12051)] = 581705,
  [SMALL_STATE(12052)] = 581760,
  [SMALL_STATE(12053)] = 581803,
  [SMALL_STATE(12054)] = 581845,
  [SMALL_STATE(12055)] = 581911,
  [SMALL_STATE(12056)] = 581969,
  [SMALL_STATE(12057)] = 582017,
  [SMALL_STATE(12058)] = 582061,
  [SMALL_STATE(12059)] = 582127,
  [SMALL_STATE(12060)] = 582171,
  [SMALL_STATE(12061)] = 582213,
  [SMALL_STATE(12062)] = 582255,
  [SMALL_STATE(12063)] = 582299,
  [SMALL_STATE(12064)] = 582349,
  [SMALL_STATE(12065)] = 582399,
  [SMALL_STATE(12066)] = 582451,
  [SMALL_STATE(12067)] = 582495,
  [SMALL_STATE(12068)] = 582533,
  [SMALL_STATE(12069)] = 582571,
  [SMALL_STATE(12070)] = 582625,
  [SMALL_STATE(12071)] = 582681,
  [SMALL_STATE(12072)] = 582719,
  [SMALL_STATE(12073)] = 582771,
  [SMALL_STATE(12074)] = 582837,
  [SMALL_STATE(12075)] = 582879,
  [SMALL_STATE(12076)] = 582917,
  [SMALL_STATE(12077)] = 582959,
  [SMALL_STATE(12078)] = 583001,
  [SMALL_STATE(12079)] = 583049,
  [SMALL_STATE(12080)] = 583109,
  [SMALL_STATE(12081)] = 583153,
  [SMALL_STATE(12082)] = 583203,
  [SMALL_STATE(12083)] = 583253,
  [SMALL_STATE(12084)] = 583313,
  [SMALL_STATE(12085)] = 583373,
  [SMALL_STATE(12086)] = 583423,
  [SMALL_STATE(12087)] = 583463,
  [SMALL_STATE(12088)] = 583529,
  [SMALL_STATE(12089)] = 583595,
  [SMALL_STATE(12090)] = 583633,
  [SMALL_STATE(12091)] = 583671,
  [SMALL_STATE(12092)] = 583709,
  [SMALL_STATE(12093)] = 583753,
  [SMALL_STATE(12094)] = 583797,
  [SMALL_STATE(12095)] = 583841,
  [SMALL_STATE(12096)] = 583879,
  [SMALL_STATE(12097)] = 583945,
  [SMALL_STATE(12098)] = 583983,
  [SMALL_STATE(12099)] = 584021,
  [SMALL_STATE(12100)] = 584059,
  [SMALL_STATE(12101)] = 584097,
  [SMALL_STATE(12102)] = 584147,
  [SMALL_STATE(12103)] = 584197,
  [SMALL_STATE(12104)] = 584247,
  [SMALL_STATE(12105)] = 584297,
  [SMALL_STATE(12106)] = 584363,
  [SMALL_STATE(12107)] = 584413,
  [SMALL_STATE(12108)] = 584453,
  [SMALL_STATE(12109)] = 584495,
  [SMALL_STATE(12110)] = 584533,
  [SMALL_STATE(12111)] = 584581,
  [SMALL_STATE(12112)] = 584631,
  [SMALL_STATE(12113)] = 584669,
  [SMALL_STATE(12114)] = 584707,
  [SMALL_STATE(12115)] = 584745,
  [SMALL_STATE(12116)] = 584811,
  [SMALL_STATE(12117)] = 584849,
  [SMALL_STATE(12118)] = 584887,
  [SMALL_STATE(12119)] = 584925,
  [SMALL_STATE(12120)] = 584963,
  [SMALL_STATE(12121)] = 585001,
  [SMALL_STATE(12122)] = 585063,
  [SMALL_STATE(12123)] = 585101,
  [SMALL_STATE(12124)] = 585143,
  [SMALL_STATE(12125)] = 585209,
  [SMALL_STATE(12126)] = 585259,
  [SMALL_STATE(12127)] = 585297,
  [SMALL_STATE(12128)] = 585335,
  [SMALL_STATE(12129)] = 585373,
  [SMALL_STATE(12130)] = 585411,
  [SMALL_STATE(12131)] = 585449,
  [SMALL_STATE(12132)] = 585487,
  [SMALL_STATE(12133)] = 585525,
  [SMALL_STATE(12134)] = 585591,
  [SMALL_STATE(12135)] = 585629,
  [SMALL_STATE(12136)] = 585667,
  [SMALL_STATE(12137)] = 585705,
  [SMALL_STATE(12138)] = 585743,
  [SMALL_STATE(12139)] = 585793,
  [SMALL_STATE(12140)] = 585831,
  [SMALL_STATE(12141)] = 585881,
  [SMALL_STATE(12142)] = 585947,
  [SMALL_STATE(12143)] = 586013,
  [SMALL_STATE(12144)] = 586061,
  [SMALL_STATE(12145)] = 586099,
  [SMALL_STATE(12146)] = 586149,
  [SMALL_STATE(12147)] = 586197,
  [SMALL_STATE(12148)] = 586235,
  [SMALL_STATE(12149)] = 586301,
  [SMALL_STATE(12150)] = 586339,
  [SMALL_STATE(12151)] = 586377,
  [SMALL_STATE(12152)] = 586421,
  [SMALL_STATE(12153)] = 586461,
  [SMALL_STATE(12154)] = 586527,
  [SMALL_STATE(12155)] = 586565,
  [SMALL_STATE(12156)] = 586615,
  [SMALL_STATE(12157)] = 586665,
  [SMALL_STATE(12158)] = 586715,
  [SMALL_STATE(12159)] = 586753,
  [SMALL_STATE(12160)] = 586791,
  [SMALL_STATE(12161)] = 586833,
  [SMALL_STATE(12162)] = 586873,
  [SMALL_STATE(12163)] = 586911,
  [SMALL_STATE(12164)] = 586961,
  [SMALL_STATE(12165)] = 587011,
  [SMALL_STATE(12166)] = 587077,
  [SMALL_STATE(12167)] = 587143,
  [SMALL_STATE(12168)] = 587193,
  [SMALL_STATE(12169)] = 587231,
  [SMALL_STATE(12170)] = 587281,
  [SMALL_STATE(12171)] = 587323,
  [SMALL_STATE(12172)] = 587361,
  [SMALL_STATE(12173)] = 587399,
  [SMALL_STATE(12174)] = 587437,
  [SMALL_STATE(12175)] = 587475,
  [SMALL_STATE(12176)] = 587513,
  [SMALL_STATE(12177)] = 587553,
  [SMALL_STATE(12178)] = 587603,
  [SMALL_STATE(12179)] = 587645,
  [SMALL_STATE(12180)] = 587683,
  [SMALL_STATE(12181)] = 587721,
  [SMALL_STATE(12182)] = 587759,
  [SMALL_STATE(12183)] = 587797,
  [SMALL_STATE(12184)] = 587835,
  [SMALL_STATE(12185)] = 587873,
  [SMALL_STATE(12186)] = 587915,
  [SMALL_STATE(12187)] = 587981,
  [SMALL_STATE(12188)] = 588019,
  [SMALL_STATE(12189)] = 588067,
  [SMALL_STATE(12190)] = 588115,
  [SMALL_STATE(12191)] = 588159,
  [SMALL_STATE(12192)] = 588207,
  [SMALL_STATE(12193)] = 588245,
  [SMALL_STATE(12194)] = 588283,
  [SMALL_STATE(12195)] = 588321,
  [SMALL_STATE(12196)] = 588359,
  [SMALL_STATE(12197)] = 588407,
  [SMALL_STATE(12198)] = 588455,
  [SMALL_STATE(12199)] = 588503,
  [SMALL_STATE(12200)] = 588541,
  [SMALL_STATE(12201)] = 588581,
  [SMALL_STATE(12202)] = 588647,
  [SMALL_STATE(12203)] = 588685,
  [SMALL_STATE(12204)] = 588751,
  [SMALL_STATE(12205)] = 588789,
  [SMALL_STATE(12206)] = 588833,
  [SMALL_STATE(12207)] = 588877,
  [SMALL_STATE(12208)] = 588943,
  [SMALL_STATE(12209)] = 588987,
  [SMALL_STATE(12210)] = 589025,
  [SMALL_STATE(12211)] = 589063,
  [SMALL_STATE(12212)] = 589107,
  [SMALL_STATE(12213)] = 589145,
  [SMALL_STATE(12214)] = 589189,
  [SMALL_STATE(12215)] = 589227,
  [SMALL_STATE(12216)] = 589265,
  [SMALL_STATE(12217)] = 589307,
  [SMALL_STATE(12218)] = 589359,
  [SMALL_STATE(12219)] = 589397,
  [SMALL_STATE(12220)] = 589435,
  [SMALL_STATE(12221)] = 589487,
  [SMALL_STATE(12222)] = 589525,
  [SMALL_STATE(12223)] = 589569,
  [SMALL_STATE(12224)] = 589609,
  [SMALL_STATE(12225)] = 589651,
  [SMALL_STATE(12226)] = 589699,
  [SMALL_STATE(12227)] = 589749,
  [SMALL_STATE(12228)] = 589787,
  [SMALL_STATE(12229)] = 589831,
  [SMALL_STATE(12230)] = 589875,
  [SMALL_STATE(12231)] = 589919,
  [SMALL_STATE(12232)] = 589957,
  [SMALL_STATE(12233)] = 590023,
  [SMALL_STATE(12234)] = 590063,
  [SMALL_STATE(12235)] = 590113,
  [SMALL_STATE(12236)] = 590151,
  [SMALL_STATE(12237)] = 590189,
  [SMALL_STATE(12238)] = 590239,
  [SMALL_STATE(12239)] = 590301,
  [SMALL_STATE(12240)] = 590351,
  [SMALL_STATE(12241)] = 590401,
  [SMALL_STATE(12242)] = 590441,
  [SMALL_STATE(12243)] = 590485,
  [SMALL_STATE(12244)] = 590529,
  [SMALL_STATE(12245)] = 590567,
  [SMALL_STATE(12246)] = 590633,
  [SMALL_STATE(12247)] = 590671,
  [SMALL_STATE(12248)] = 590721,
  [SMALL_STATE(12249)] = 590771,
  [SMALL_STATE(12250)] = 590809,
  [SMALL_STATE(12251)] = 590847,
  [SMALL_STATE(12252)] = 590885,
  [SMALL_STATE(12253)] = 590923,
  [SMALL_STATE(12254)] = 590983,
  [SMALL_STATE(12255)] = 591033,
  [SMALL_STATE(12256)] = 591071,
  [SMALL_STATE(12257)] = 591109,
  [SMALL_STATE(12258)] = 591147,
  [SMALL_STATE(12259)] = 591185,
  [SMALL_STATE(12260)] = 591223,
  [SMALL_STATE(12261)] = 591261,
  [SMALL_STATE(12262)] = 591311,
  [SMALL_STATE(12263)] = 591361,
  [SMALL_STATE(12264)] = 591411,
  [SMALL_STATE(12265)] = 591449,
  [SMALL_STATE(12266)] = 591511,
  [SMALL_STATE(12267)] = 591551,
  [SMALL_STATE(12268)] = 591601,
  [SMALL_STATE(12269)] = 591651,
  [SMALL_STATE(12270)] = 591701,
  [SMALL_STATE(12271)] = 591751,
  [SMALL_STATE(12272)] = 591793,
  [SMALL_STATE(12273)] = 591843,
  [SMALL_STATE(12274)] = 591881,
  [SMALL_STATE(12275)] = 591919,
  [SMALL_STATE(12276)] = 591967,
  [SMALL_STATE(12277)] = 592033,
  [SMALL_STATE(12278)] = 592071,
  [SMALL_STATE(12279)] = 592123,
  [SMALL_STATE(12280)] = 592189,
  [SMALL_STATE(12281)] = 592227,
  [SMALL_STATE(12282)] = 592265,
  [SMALL_STATE(12283)] = 592307,
  [SMALL_STATE(12284)] = 592347,
  [SMALL_STATE(12285)] = 592397,
  [SMALL_STATE(12286)] = 592463,
  [SMALL_STATE(12287)] = 592529,
  [SMALL_STATE(12288)] = 592566,
  [SMALL_STATE(12289)] = 592603,
  [SMALL_STATE(12290)] = 592642,
  [SMALL_STATE(12291)] = 592685,
  [SMALL_STATE(12292)] = 592748,
  [SMALL_STATE(12293)] = 592785,
  [SMALL_STATE(12294)] = 592838,
  [SMALL_STATE(12295)] = 592881,
  [SMALL_STATE(12296)] = 592918,
  [SMALL_STATE(12297)] = 592967,
  [SMALL_STATE(12298)] = 593004,
  [SMALL_STATE(12299)] = 593041,
  [SMALL_STATE(12300)] = 593084,
  [SMALL_STATE(12301)] = 593147,
  [SMALL_STATE(12302)] = 593190,
  [SMALL_STATE(12303)] = 593227,
  [SMALL_STATE(12304)] = 593264,
  [SMALL_STATE(12305)] = 593327,
  [SMALL_STATE(12306)] = 593370,
  [SMALL_STATE(12307)] = 593413,
  [SMALL_STATE(12308)] = 593456,
  [SMALL_STATE(12309)] = 593503,
  [SMALL_STATE(12310)] = 593540,
  [SMALL_STATE(12311)] = 593583,
  [SMALL_STATE(12312)] = 593626,
  [SMALL_STATE(12313)] = 593669,
  [SMALL_STATE(12314)] = 593712,
  [SMALL_STATE(12315)] = 593773,
  [SMALL_STATE(12316)] = 593810,
  [SMALL_STATE(12317)] = 593853,
  [SMALL_STATE(12318)] = 593916,
  [SMALL_STATE(12319)] = 593959,
  [SMALL_STATE(12320)] = 594002,
  [SMALL_STATE(12321)] = 594065,
  [SMALL_STATE(12322)] = 594108,
  [SMALL_STATE(12323)] = 594151,
  [SMALL_STATE(12324)] = 594194,
  [SMALL_STATE(12325)] = 594237,
  [SMALL_STATE(12326)] = 594280,
  [SMALL_STATE(12327)] = 594341,
  [SMALL_STATE(12328)] = 594378,
  [SMALL_STATE(12329)] = 594415,
  [SMALL_STATE(12330)] = 594458,
  [SMALL_STATE(12331)] = 594501,
  [SMALL_STATE(12332)] = 594544,
  [SMALL_STATE(12333)] = 594587,
  [SMALL_STATE(12334)] = 594630,
  [SMALL_STATE(12335)] = 594667,
  [SMALL_STATE(12336)] = 594714,
  [SMALL_STATE(12337)] = 594757,
  [SMALL_STATE(12338)] = 594800,
  [SMALL_STATE(12339)] = 594839,
  [SMALL_STATE(12340)] = 594876,
  [SMALL_STATE(12341)] = 594919,
  [SMALL_STATE(12342)] = 594962,
  [SMALL_STATE(12343)] = 595005,
  [SMALL_STATE(12344)] = 595068,
  [SMALL_STATE(12345)] = 595105,
  [SMALL_STATE(12346)] = 595152,
  [SMALL_STATE(12347)] = 595193,
  [SMALL_STATE(12348)] = 595236,
  [SMALL_STATE(12349)] = 595295,
  [SMALL_STATE(12350)] = 595338,
  [SMALL_STATE(12351)] = 595375,
  [SMALL_STATE(12352)] = 595418,
  [SMALL_STATE(12353)] = 595455,
  [SMALL_STATE(12354)] = 595498,
  [SMALL_STATE(12355)] = 595541,
  [SMALL_STATE(12356)] = 595604,
  [SMALL_STATE(12357)] = 595645,
  [SMALL_STATE(12358)] = 595688,
  [SMALL_STATE(12359)] = 595729,
  [SMALL_STATE(12360)] = 595776,
  [SMALL_STATE(12361)] = 595815,
  [SMALL_STATE(12362)] = 595878,
  [SMALL_STATE(12363)] = 595915,
  [SMALL_STATE(12364)] = 595956,
  [SMALL_STATE(12365)] = 595999,
  [SMALL_STATE(12366)] = 596042,
  [SMALL_STATE(12367)] = 596085,
  [SMALL_STATE(12368)] = 596128,
  [SMALL_STATE(12369)] = 596171,
  [SMALL_STATE(12370)] = 596214,
  [SMALL_STATE(12371)] = 596257,
  [SMALL_STATE(12372)] = 596300,
  [SMALL_STATE(12373)] = 596343,
  [SMALL_STATE(12374)] = 596386,
  [SMALL_STATE(12375)] = 596427,
  [SMALL_STATE(12376)] = 596474,
  [SMALL_STATE(12377)] = 596537,
  [SMALL_STATE(12378)] = 596580,
  [SMALL_STATE(12379)] = 596623,
  [SMALL_STATE(12380)] = 596666,
  [SMALL_STATE(12381)] = 596709,
  [SMALL_STATE(12382)] = 596752,
  [SMALL_STATE(12383)] = 596795,
  [SMALL_STATE(12384)] = 596838,
  [SMALL_STATE(12385)] = 596877,
  [SMALL_STATE(12386)] = 596914,
  [SMALL_STATE(12387)] = 596977,
  [SMALL_STATE(12388)] = 597040,
  [SMALL_STATE(12389)] = 597081,
  [SMALL_STATE(12390)] = 597124,
  [SMALL_STATE(12391)] = 597167,
  [SMALL_STATE(12392)] = 597204,
  [SMALL_STATE(12393)] = 597247,
  [SMALL_STATE(12394)] = 597310,
  [SMALL_STATE(12395)] = 597349,
  [SMALL_STATE(12396)] = 597388,
  [SMALL_STATE(12397)] = 597431,
  [SMALL_STATE(12398)] = 597494,
  [SMALL_STATE(12399)] = 597537,
  [SMALL_STATE(12400)] = 597574,
  [SMALL_STATE(12401)] = 597615,
  [SMALL_STATE(12402)] = 597658,
  [SMALL_STATE(12403)] = 597701,
  [SMALL_STATE(12404)] = 597764,
  [SMALL_STATE(12405)] = 597807,
  [SMALL_STATE(12406)] = 597870,
  [SMALL_STATE(12407)] = 597913,
  [SMALL_STATE(12408)] = 597966,
  [SMALL_STATE(12409)] = 598009,
  [SMALL_STATE(12410)] = 598052,
  [SMALL_STATE(12411)] = 598095,
  [SMALL_STATE(12412)] = 598138,
  [SMALL_STATE(12413)] = 598181,
  [SMALL_STATE(12414)] = 598224,
  [SMALL_STATE(12415)] = 598287,
  [SMALL_STATE(12416)] = 598350,
  [SMALL_STATE(12417)] = 598387,
  [SMALL_STATE(12418)] = 598430,
  [SMALL_STATE(12419)] = 598473,
  [SMALL_STATE(12420)] = 598526,
  [SMALL_STATE(12421)] = 598569,
  [SMALL_STATE(12422)] = 598608,
  [SMALL_STATE(12423)] = 598645,
  [SMALL_STATE(12424)] = 598684,
  [SMALL_STATE(12425)] = 598727,
  [SMALL_STATE(12426)] = 598790,
  [SMALL_STATE(12427)] = 598839,
  [SMALL_STATE(12428)] = 598876,
  [SMALL_STATE(12429)] = 598919,
  [SMALL_STATE(12430)] = 598956,
  [SMALL_STATE(12431)] = 598999,
  [SMALL_STATE(12432)] = 599042,
  [SMALL_STATE(12433)] = 599085,
  [SMALL_STATE(12434)] = 599122,
  [SMALL_STATE(12435)] = 599159,
  [SMALL_STATE(12436)] = 599196,
  [SMALL_STATE(12437)] = 599239,
  [SMALL_STATE(12438)] = 599282,
  [SMALL_STATE(12439)] = 599323,
  [SMALL_STATE(12440)] = 599366,
  [SMALL_STATE(12441)] = 599409,
  [SMALL_STATE(12442)] = 599472,
  [SMALL_STATE(12443)] = 599515,
  [SMALL_STATE(12444)] = 599558,
  [SMALL_STATE(12445)] = 599599,
  [SMALL_STATE(12446)] = 599642,
  [SMALL_STATE(12447)] = 599679,
  [SMALL_STATE(12448)] = 599722,
  [SMALL_STATE(12449)] = 599765,
  [SMALL_STATE(12450)] = 599808,
  [SMALL_STATE(12451)] = 599871,
  [SMALL_STATE(12452)] = 599914,
  [SMALL_STATE(12453)] = 599957,
  [SMALL_STATE(12454)] = 600000,
  [SMALL_STATE(12455)] = 600063,
  [SMALL_STATE(12456)] = 600106,
  [SMALL_STATE(12457)] = 600143,
  [SMALL_STATE(12458)] = 600190,
  [SMALL_STATE(12459)] = 600237,
  [SMALL_STATE(12460)] = 600294,
  [SMALL_STATE(12461)] = 600341,
  [SMALL_STATE(12462)] = 600384,
  [SMALL_STATE(12463)] = 600425,
  [SMALL_STATE(12464)] = 600466,
  [SMALL_STATE(12465)] = 600515,
  [SMALL_STATE(12466)] = 600564,
  [SMALL_STATE(12467)] = 600617,
  [SMALL_STATE(12468)] = 600672,
  [SMALL_STATE(12469)] = 600731,
  [SMALL_STATE(12470)] = 600774,
  [SMALL_STATE(12471)] = 600833,
  [SMALL_STATE(12472)] = 600886,
  [SMALL_STATE(12473)] = 600949,
  [SMALL_STATE(12474)] = 600986,
  [SMALL_STATE(12475)] = 601029,
  [SMALL_STATE(12476)] = 601066,
  [SMALL_STATE(12477)] = 601129,
  [SMALL_STATE(12478)] = 601166,
  [SMALL_STATE(12479)] = 601209,
  [SMALL_STATE(12480)] = 601252,
  [SMALL_STATE(12481)] = 601301,
  [SMALL_STATE(12482)] = 601342,
  [SMALL_STATE(12483)] = 601385,
  [SMALL_STATE(12484)] = 601428,
  [SMALL_STATE(12485)] = 601491,
  [SMALL_STATE(12486)] = 601532,
  [SMALL_STATE(12487)] = 601581,
  [SMALL_STATE(12488)] = 601630,
  [SMALL_STATE(12489)] = 601683,
  [SMALL_STATE(12490)] = 601732,
  [SMALL_STATE(12491)] = 601775,
  [SMALL_STATE(12492)] = 601824,
  [SMALL_STATE(12493)] = 601873,
  [SMALL_STATE(12494)] = 601922,
  [SMALL_STATE(12495)] = 601971,
  [SMALL_STATE(12496)] = 602020,
  [SMALL_STATE(12497)] = 602069,
  [SMALL_STATE(12498)] = 602118,
  [SMALL_STATE(12499)] = 602161,
  [SMALL_STATE(12500)] = 602210,
  [SMALL_STATE(12501)] = 602259,
  [SMALL_STATE(12502)] = 602308,
  [SMALL_STATE(12503)] = 602357,
  [SMALL_STATE(12504)] = 602406,
  [SMALL_STATE(12505)] = 602455,
  [SMALL_STATE(12506)] = 602504,
  [SMALL_STATE(12507)] = 602553,
  [SMALL_STATE(12508)] = 602602,
  [SMALL_STATE(12509)] = 602651,
  [SMALL_STATE(12510)] = 602700,
  [SMALL_STATE(12511)] = 602749,
  [SMALL_STATE(12512)] = 602792,
  [SMALL_STATE(12513)] = 602835,
  [SMALL_STATE(12514)] = 602884,
  [SMALL_STATE(12515)] = 602933,
  [SMALL_STATE(12516)] = 602982,
  [SMALL_STATE(12517)] = 603031,
  [SMALL_STATE(12518)] = 603080,
  [SMALL_STATE(12519)] = 603129,
  [SMALL_STATE(12520)] = 603178,
  [SMALL_STATE(12521)] = 603227,
  [SMALL_STATE(12522)] = 603276,
  [SMALL_STATE(12523)] = 603325,
  [SMALL_STATE(12524)] = 603374,
  [SMALL_STATE(12525)] = 603423,
  [SMALL_STATE(12526)] = 603472,
  [SMALL_STATE(12527)] = 603515,
  [SMALL_STATE(12528)] = 603552,
  [SMALL_STATE(12529)] = 603603,
  [SMALL_STATE(12530)] = 603646,
  [SMALL_STATE(12531)] = 603683,
  [SMALL_STATE(12532)] = 603742,
  [SMALL_STATE(12533)] = 603779,
  [SMALL_STATE(12534)] = 603832,
  [SMALL_STATE(12535)] = 603893,
  [SMALL_STATE(12536)] = 603956,
  [SMALL_STATE(12537)] = 603999,
  [SMALL_STATE(12538)] = 604042,
  [SMALL_STATE(12539)] = 604085,
  [SMALL_STATE(12540)] = 604122,
  [SMALL_STATE(12541)] = 604165,
  [SMALL_STATE(12542)] = 604228,
  [SMALL_STATE(12543)] = 604291,
  [SMALL_STATE(12544)] = 604334,
  [SMALL_STATE(12545)] = 604371,
  [SMALL_STATE(12546)] = 604414,
  [SMALL_STATE(12547)] = 604457,
  [SMALL_STATE(12548)] = 604500,
  [SMALL_STATE(12549)] = 604539,
  [SMALL_STATE(12550)] = 604582,
  [SMALL_STATE(12551)] = 604625,
  [SMALL_STATE(12552)] = 604666,
  [SMALL_STATE(12553)] = 604705,
  [SMALL_STATE(12554)] = 604768,
  [SMALL_STATE(12555)] = 604811,
  [SMALL_STATE(12556)] = 604858,
  [SMALL_STATE(12557)] = 604907,
  [SMALL_STATE(12558)] = 604948,
  [SMALL_STATE(12559)] = 605011,
  [SMALL_STATE(12560)] = 605052,
  [SMALL_STATE(12561)] = 605091,
  [SMALL_STATE(12562)] = 605132,
  [SMALL_STATE(12563)] = 605173,
  [SMALL_STATE(12564)] = 605236,
  [SMALL_STATE(12565)] = 605299,
  [SMALL_STATE(12566)] = 605342,
  [SMALL_STATE(12567)] = 605379,
  [SMALL_STATE(12568)] = 605442,
  [SMALL_STATE(12569)] = 605491,
  [SMALL_STATE(12570)] = 605538,
  [SMALL_STATE(12571)] = 605599,
  [SMALL_STATE(12572)] = 605640,
  [SMALL_STATE(12573)] = 605683,
  [SMALL_STATE(12574)] = 605720,
  [SMALL_STATE(12575)] = 605767,
  [SMALL_STATE(12576)] = 605830,
  [SMALL_STATE(12577)] = 605883,
  [SMALL_STATE(12578)] = 605936,
  [SMALL_STATE(12579)] = 605973,
  [SMALL_STATE(12580)] = 606016,
  [SMALL_STATE(12581)] = 606055,
  [SMALL_STATE(12582)] = 606118,
  [SMALL_STATE(12583)] = 606165,
  [SMALL_STATE(12584)] = 606212,
  [SMALL_STATE(12585)] = 606265,
  [SMALL_STATE(12586)] = 606312,
  [SMALL_STATE(12587)] = 606365,
  [SMALL_STATE(12588)] = 606412,
  [SMALL_STATE(12589)] = 606455,
  [SMALL_STATE(12590)] = 606498,
  [SMALL_STATE(12591)] = 606545,
  [SMALL_STATE(12592)] = 606582,
  [SMALL_STATE(12593)] = 606645,
  [SMALL_STATE(12594)] = 606682,
  [SMALL_STATE(12595)] = 606729,
  [SMALL_STATE(12596)] = 606766,
  [SMALL_STATE(12597)] = 606803,
  [SMALL_STATE(12598)] = 606840,
  [SMALL_STATE(12599)] = 606877,
  [SMALL_STATE(12600)] = 606914,
  [SMALL_STATE(12601)] = 606967,
  [SMALL_STATE(12602)] = 607010,
  [SMALL_STATE(12603)] = 607057,
  [SMALL_STATE(12604)] = 607100,
  [SMALL_STATE(12605)] = 607137,
  [SMALL_STATE(12606)] = 607180,
  [SMALL_STATE(12607)] = 607223,
  [SMALL_STATE(12608)] = 607260,
  [SMALL_STATE(12609)] = 607303,
  [SMALL_STATE(12610)] = 607346,
  [SMALL_STATE(12611)] = 607389,
  [SMALL_STATE(12612)] = 607452,
  [SMALL_STATE(12613)] = 607499,
  [SMALL_STATE(12614)] = 607560,
  [SMALL_STATE(12615)] = 607607,
  [SMALL_STATE(12616)] = 607670,
  [SMALL_STATE(12617)] = 607707,
  [SMALL_STATE(12618)] = 607744,
  [SMALL_STATE(12619)] = 607791,
  [SMALL_STATE(12620)] = 607834,
  [SMALL_STATE(12621)] = 607881,
  [SMALL_STATE(12622)] = 607922,
  [SMALL_STATE(12623)] = 607959,
  [SMALL_STATE(12624)] = 607996,
  [SMALL_STATE(12625)] = 608053,
  [SMALL_STATE(12626)] = 608090,
  [SMALL_STATE(12627)] = 608137,
  [SMALL_STATE(12628)] = 608178,
  [SMALL_STATE(12629)] = 608219,
  [SMALL_STATE(12630)] = 608268,
  [SMALL_STATE(12631)] = 608317,
  [SMALL_STATE(12632)] = 608370,
  [SMALL_STATE(12633)] = 608425,
  [SMALL_STATE(12634)] = 608488,
  [SMALL_STATE(12635)] = 608547,
  [SMALL_STATE(12636)] = 608590,
  [SMALL_STATE(12637)] = 608649,
  [SMALL_STATE(12638)] = 608686,
  [SMALL_STATE(12639)] = 608723,
  [SMALL_STATE(12640)] = 608760,
  [SMALL_STATE(12641)] = 608797,
  [SMALL_STATE(12642)] = 608834,
  [SMALL_STATE(12643)] = 608877,
  [SMALL_STATE(12644)] = 608914,
  [SMALL_STATE(12645)] = 608977,
  [SMALL_STATE(12646)] = 609040,
  [SMALL_STATE(12647)] = 609083,
  [SMALL_STATE(12648)] = 609126,
  [SMALL_STATE(12649)] = 609169,
  [SMALL_STATE(12650)] = 609232,
  [SMALL_STATE(12651)] = 609275,
  [SMALL_STATE(12652)] = 609338,
  [SMALL_STATE(12653)] = 609381,
  [SMALL_STATE(12654)] = 609424,
  [SMALL_STATE(12655)] = 609461,
  [SMALL_STATE(12656)] = 609524,
  [SMALL_STATE(12657)] = 609587,
  [SMALL_STATE(12658)] = 609624,
  [SMALL_STATE(12659)] = 609685,
  [SMALL_STATE(12660)] = 609722,
  [SMALL_STATE(12661)] = 609785,
  [SMALL_STATE(12662)] = 609848,
  [SMALL_STATE(12663)] = 609907,
  [SMALL_STATE(12664)] = 609944,
  [SMALL_STATE(12665)] = 609981,
  [SMALL_STATE(12666)] = 610020,
  [SMALL_STATE(12667)] = 610057,
  [SMALL_STATE(12668)] = 610104,
  [SMALL_STATE(12669)] = 610141,
  [SMALL_STATE(12670)] = 610178,
  [SMALL_STATE(12671)] = 610215,
  [SMALL_STATE(12672)] = 610252,
  [SMALL_STATE(12673)] = 610289,
  [SMALL_STATE(12674)] = 610332,
  [SMALL_STATE(12675)] = 610369,
  [SMALL_STATE(12676)] = 610416,
  [SMALL_STATE(12677)] = 610453,
  [SMALL_STATE(12678)] = 610516,
  [SMALL_STATE(12679)] = 610553,
  [SMALL_STATE(12680)] = 610600,
  [SMALL_STATE(12681)] = 610663,
  [SMALL_STATE(12682)] = 610726,
  [SMALL_STATE(12683)] = 610773,
  [SMALL_STATE(12684)] = 610816,
  [SMALL_STATE(12685)] = 610859,
  [SMALL_STATE(12686)] = 610896,
  [SMALL_STATE(12687)] = 610933,
  [SMALL_STATE(12688)] = 610970,
  [SMALL_STATE(12689)] = 611007,
  [SMALL_STATE(12690)] = 611044,
  [SMALL_STATE(12691)] = 611081,
  [SMALL_STATE(12692)] = 611118,
  [SMALL_STATE(12693)] = 611155,
  [SMALL_STATE(12694)] = 611198,
  [SMALL_STATE(12695)] = 611261,
  [SMALL_STATE(12696)] = 611324,
  [SMALL_STATE(12697)] = 611375,
  [SMALL_STATE(12698)] = 611412,
  [SMALL_STATE(12699)] = 611449,
  [SMALL_STATE(12700)] = 611486,
  [SMALL_STATE(12701)] = 611523,
  [SMALL_STATE(12702)] = 611566,
  [SMALL_STATE(12703)] = 611609,
  [SMALL_STATE(12704)] = 611652,
  [SMALL_STATE(12705)] = 611695,
  [SMALL_STATE(12706)] = 611736,
  [SMALL_STATE(12707)] = 611799,
  [SMALL_STATE(12708)] = 611836,
  [SMALL_STATE(12709)] = 611889,
  [SMALL_STATE(12710)] = 611932,
  [SMALL_STATE(12711)] = 611975,
  [SMALL_STATE(12712)] = 612018,
  [SMALL_STATE(12713)] = 612061,
  [SMALL_STATE(12714)] = 612102,
  [SMALL_STATE(12715)] = 612139,
  [SMALL_STATE(12716)] = 612180,
  [SMALL_STATE(12717)] = 612216,
  [SMALL_STATE(12718)] = 612276,
  [SMALL_STATE(12719)] = 612336,
  [SMALL_STATE(12720)] = 612396,
  [SMALL_STATE(12721)] = 612438,
  [SMALL_STATE(12722)] = 612498,
  [SMALL_STATE(12723)] = 612558,
  [SMALL_STATE(12724)] = 612600,
  [SMALL_STATE(12725)] = 612642,
  [SMALL_STATE(12726)] = 612684,
  [SMALL_STATE(12727)] = 612726,
  [SMALL_STATE(12728)] = 612786,
  [SMALL_STATE(12729)] = 612822,
  [SMALL_STATE(12730)] = 612858,
  [SMALL_STATE(12731)] = 612918,
  [SMALL_STATE(12732)] = 612954,
  [SMALL_STATE(12733)] = 612992,
  [SMALL_STATE(12734)] = 613052,
  [SMALL_STATE(12735)] = 613088,
  [SMALL_STATE(12736)] = 613130,
  [SMALL_STATE(12737)] = 613166,
  [SMALL_STATE(12738)] = 613202,
  [SMALL_STATE(12739)] = 613262,
  [SMALL_STATE(12740)] = 613300,
  [SMALL_STATE(12741)] = 613342,
  [SMALL_STATE(12742)] = 613380,
  [SMALL_STATE(12743)] = 613416,
  [SMALL_STATE(12744)] = 613452,
  [SMALL_STATE(12745)] = 613488,
  [SMALL_STATE(12746)] = 613524,
  [SMALL_STATE(12747)] = 613560,
  [SMALL_STATE(12748)] = 613596,
  [SMALL_STATE(12749)] = 613632,
  [SMALL_STATE(12750)] = 613678,
  [SMALL_STATE(12751)] = 613718,
  [SMALL_STATE(12752)] = 613766,
  [SMALL_STATE(12753)] = 613802,
  [SMALL_STATE(12754)] = 613838,
  [SMALL_STATE(12755)] = 613898,
  [SMALL_STATE(12756)] = 613938,
  [SMALL_STATE(12757)] = 613984,
  [SMALL_STATE(12758)] = 614032,
  [SMALL_STATE(12759)] = 614068,
  [SMALL_STATE(12760)] = 614116,
  [SMALL_STATE(12761)] = 614162,
  [SMALL_STATE(12762)] = 614198,
  [SMALL_STATE(12763)] = 614256,
  [SMALL_STATE(12764)] = 614304,
  [SMALL_STATE(12765)] = 614350,
  [SMALL_STATE(12766)] = 614390,
  [SMALL_STATE(12767)] = 614428,
  [SMALL_STATE(12768)] = 614488,
  [SMALL_STATE(12769)] = 614548,
  [SMALL_STATE(12770)] = 614590,
  [SMALL_STATE(12771)] = 614626,
  [SMALL_STATE(12772)] = 614662,
  [SMALL_STATE(12773)] = 614698,
  [SMALL_STATE(12774)] = 614758,
  [SMALL_STATE(12775)] = 614798,
  [SMALL_STATE(12776)] = 614858,
  [SMALL_STATE(12777)] = 614918,
  [SMALL_STATE(12778)] = 614978,
  [SMALL_STATE(12779)] = 615014,
  [SMALL_STATE(12780)] = 615074,
  [SMALL_STATE(12781)] = 615116,
  [SMALL_STATE(12782)] = 615152,
  [SMALL_STATE(12783)] = 615188,
  [SMALL_STATE(12784)] = 615224,
  [SMALL_STATE(12785)] = 615270,
  [SMALL_STATE(12786)] = 615306,
  [SMALL_STATE(12787)] = 615352,
  [SMALL_STATE(12788)] = 615394,
  [SMALL_STATE(12789)] = 615454,
  [SMALL_STATE(12790)] = 615490,
  [SMALL_STATE(12791)] = 615526,
  [SMALL_STATE(12792)] = 615562,
  [SMALL_STATE(12793)] = 615598,
  [SMALL_STATE(12794)] = 615636,
  [SMALL_STATE(12795)] = 615672,
  [SMALL_STATE(12796)] = 615718,
  [SMALL_STATE(12797)] = 615754,
  [SMALL_STATE(12798)] = 615814,
  [SMALL_STATE(12799)] = 615850,
  [SMALL_STATE(12800)] = 615896,
  [SMALL_STATE(12801)] = 615942,
  [SMALL_STATE(12802)] = 615988,
  [SMALL_STATE(12803)] = 616038,
  [SMALL_STATE(12804)] = 616074,
  [SMALL_STATE(12805)] = 616110,
  [SMALL_STATE(12806)] = 616152,
  [SMALL_STATE(12807)] = 616196,
  [SMALL_STATE(12808)] = 616242,
  [SMALL_STATE(12809)] = 616302,
  [SMALL_STATE(12810)] = 616338,
  [SMALL_STATE(12811)] = 616380,
  [SMALL_STATE(12812)] = 616422,
  [SMALL_STATE(12813)] = 616482,
  [SMALL_STATE(12814)] = 616522,
  [SMALL_STATE(12815)] = 616582,
  [SMALL_STATE(12816)] = 616628,
  [SMALL_STATE(12817)] = 616664,
  [SMALL_STATE(12818)] = 616724,
  [SMALL_STATE(12819)] = 616762,
  [SMALL_STATE(12820)] = 616798,
  [SMALL_STATE(12821)] = 616858,
  [SMALL_STATE(12822)] = 616894,
  [SMALL_STATE(12823)] = 616936,
  [SMALL_STATE(12824)] = 616996,
  [SMALL_STATE(12825)] = 617032,
  [SMALL_STATE(12826)] = 617068,
  [SMALL_STATE(12827)] = 617104,
  [SMALL_STATE(12828)] = 617140,
  [SMALL_STATE(12829)] = 617176,
  [SMALL_STATE(12830)] = 617236,
  [SMALL_STATE(12831)] = 617272,
  [SMALL_STATE(12832)] = 617314,
  [SMALL_STATE(12833)] = 617350,
  [SMALL_STATE(12834)] = 617386,
  [SMALL_STATE(12835)] = 617422,
  [SMALL_STATE(12836)] = 617458,
  [SMALL_STATE(12837)] = 617494,
  [SMALL_STATE(12838)] = 617530,
  [SMALL_STATE(12839)] = 617590,
  [SMALL_STATE(12840)] = 617636,
  [SMALL_STATE(12841)] = 617672,
  [SMALL_STATE(12842)] = 617708,
  [SMALL_STATE(12843)] = 617744,
  [SMALL_STATE(12844)] = 617780,
  [SMALL_STATE(12845)] = 617816,
  [SMALL_STATE(12846)] = 617854,
  [SMALL_STATE(12847)] = 617914,
  [SMALL_STATE(12848)] = 617950,
  [SMALL_STATE(12849)] = 618006,
  [SMALL_STATE(12850)] = 618042,
  [SMALL_STATE(12851)] = 618078,
  [SMALL_STATE(12852)] = 618114,
  [SMALL_STATE(12853)] = 618150,
  [SMALL_STATE(12854)] = 618186,
  [SMALL_STATE(12855)] = 618246,
  [SMALL_STATE(12856)] = 618288,
  [SMALL_STATE(12857)] = 618334,
  [SMALL_STATE(12858)] = 618374,
  [SMALL_STATE(12859)] = 618414,
  [SMALL_STATE(12860)] = 618450,
  [SMALL_STATE(12861)] = 618498,
  [SMALL_STATE(12862)] = 618546,
  [SMALL_STATE(12863)] = 618588,
  [SMALL_STATE(12864)] = 618640,
  [SMALL_STATE(12865)] = 618686,
  [SMALL_STATE(12866)] = 618724,
  [SMALL_STATE(12867)] = 618784,
  [SMALL_STATE(12868)] = 618820,
  [SMALL_STATE(12869)] = 618874,
  [SMALL_STATE(12870)] = 618934,
  [SMALL_STATE(12871)] = 618994,
  [SMALL_STATE(12872)] = 619054,
  [SMALL_STATE(12873)] = 619090,
  [SMALL_STATE(12874)] = 619132,
  [SMALL_STATE(12875)] = 619190,
  [SMALL_STATE(12876)] = 619234,
  [SMALL_STATE(12877)] = 619276,
  [SMALL_STATE(12878)] = 619318,
  [SMALL_STATE(12879)] = 619364,
  [SMALL_STATE(12880)] = 619424,
  [SMALL_STATE(12881)] = 619466,
  [SMALL_STATE(12882)] = 619512,
  [SMALL_STATE(12883)] = 619570,
  [SMALL_STATE(12884)] = 619606,
  [SMALL_STATE(12885)] = 619666,
  [SMALL_STATE(12886)] = 619726,
  [SMALL_STATE(12887)] = 619762,
  [SMALL_STATE(12888)] = 619798,
  [SMALL_STATE(12889)] = 619834,
  [SMALL_STATE(12890)] = 619894,
  [SMALL_STATE(12891)] = 619940,
  [SMALL_STATE(12892)] = 619978,
  [SMALL_STATE(12893)] = 620018,
  [SMALL_STATE(12894)] = 620056,
  [SMALL_STATE(12895)] = 620092,
  [SMALL_STATE(12896)] = 620128,
  [SMALL_STATE(12897)] = 620168,
  [SMALL_STATE(12898)] = 620204,
  [SMALL_STATE(12899)] = 620240,
  [SMALL_STATE(12900)] = 620286,
  [SMALL_STATE(12901)] = 620322,
  [SMALL_STATE(12902)] = 620358,
  [SMALL_STATE(12903)] = 620394,
  [SMALL_STATE(12904)] = 620430,
  [SMALL_STATE(12905)] = 620480,
  [SMALL_STATE(12906)] = 620520,
  [SMALL_STATE(12907)] = 620566,
  [SMALL_STATE(12908)] = 620602,
  [SMALL_STATE(12909)] = 620662,
  [SMALL_STATE(12910)] = 620698,
  [SMALL_STATE(12911)] = 620734,
  [SMALL_STATE(12912)] = 620770,
  [SMALL_STATE(12913)] = 620830,
  [SMALL_STATE(12914)] = 620866,
  [SMALL_STATE(12915)] = 620902,
  [SMALL_STATE(12916)] = 620962,
  [SMALL_STATE(12917)] = 621022,
  [SMALL_STATE(12918)] = 621064,
  [SMALL_STATE(12919)] = 621104,
  [SMALL_STATE(12920)] = 621164,
  [SMALL_STATE(12921)] = 621200,
  [SMALL_STATE(12922)] = 621260,
  [SMALL_STATE(12923)] = 621306,
  [SMALL_STATE(12924)] = 621366,
  [SMALL_STATE(12925)] = 621402,
  [SMALL_STATE(12926)] = 621442,
  [SMALL_STATE(12927)] = 621502,
  [SMALL_STATE(12928)] = 621544,
  [SMALL_STATE(12929)] = 621582,
  [SMALL_STATE(12930)] = 621642,
  [SMALL_STATE(12931)] = 621680,
  [SMALL_STATE(12932)] = 621740,
  [SMALL_STATE(12933)] = 621800,
  [SMALL_STATE(12934)] = 621860,
  [SMALL_STATE(12935)] = 621920,
  [SMALL_STATE(12936)] = 621962,
  [SMALL_STATE(12937)] = 622022,
  [SMALL_STATE(12938)] = 622064,
  [SMALL_STATE(12939)] = 622100,
  [SMALL_STATE(12940)] = 622140,
  [SMALL_STATE(12941)] = 622178,
  [SMALL_STATE(12942)] = 622218,
  [SMALL_STATE(12943)] = 622278,
  [SMALL_STATE(12944)] = 622338,
  [SMALL_STATE(12945)] = 622398,
  [SMALL_STATE(12946)] = 622458,
  [SMALL_STATE(12947)] = 622498,
  [SMALL_STATE(12948)] = 622538,
  [SMALL_STATE(12949)] = 622578,
  [SMALL_STATE(12950)] = 622638,
  [SMALL_STATE(12951)] = 622698,
  [SMALL_STATE(12952)] = 622758,
  [SMALL_STATE(12953)] = 622818,
  [SMALL_STATE(12954)] = 622878,
  [SMALL_STATE(12955)] = 622918,
  [SMALL_STATE(12956)] = 622978,
  [SMALL_STATE(12957)] = 623038,
  [SMALL_STATE(12958)] = 623098,
  [SMALL_STATE(12959)] = 623158,
  [SMALL_STATE(12960)] = 623194,
  [SMALL_STATE(12961)] = 623254,
  [SMALL_STATE(12962)] = 623314,
  [SMALL_STATE(12963)] = 623374,
  [SMALL_STATE(12964)] = 623434,
  [SMALL_STATE(12965)] = 623494,
  [SMALL_STATE(12966)] = 623554,
  [SMALL_STATE(12967)] = 623614,
  [SMALL_STATE(12968)] = 623674,
  [SMALL_STATE(12969)] = 623734,
  [SMALL_STATE(12970)] = 623770,
  [SMALL_STATE(12971)] = 623830,
  [SMALL_STATE(12972)] = 623890,
  [SMALL_STATE(12973)] = 623926,
  [SMALL_STATE(12974)] = 623969,
  [SMALL_STATE(12975)] = 624014,
  [SMALL_STATE(12976)] = 624059,
  [SMALL_STATE(12977)] = 624102,
  [SMALL_STATE(12978)] = 624147,
  [SMALL_STATE(12979)] = 624192,
  [SMALL_STATE(12980)] = 624237,
  [SMALL_STATE(12981)] = 624276,
  [SMALL_STATE(12982)] = 624321,
  [SMALL_STATE(12983)] = 624366,
  [SMALL_STATE(12984)] = 624411,
  [SMALL_STATE(12985)] = 624456,
  [SMALL_STATE(12986)] = 624501,
  [SMALL_STATE(12987)] = 624546,
  [SMALL_STATE(12988)] = 624591,
  [SMALL_STATE(12989)] = 624648,
  [SMALL_STATE(12990)] = 624693,
  [SMALL_STATE(12991)] = 624738,
  [SMALL_STATE(12992)] = 624773,
  [SMALL_STATE(12993)] = 624808,
  [SMALL_STATE(12994)] = 624843,
  [SMALL_STATE(12995)] = 624888,
  [SMALL_STATE(12996)] = 624923,
  [SMALL_STATE(12997)] = 624968,
  [SMALL_STATE(12998)] = 625013,
  [SMALL_STATE(12999)] = 625050,
  [SMALL_STATE(13000)] = 625107,
  [SMALL_STATE(13001)] = 625150,
  [SMALL_STATE(13002)] = 625187,
  [SMALL_STATE(13003)] = 625222,
  [SMALL_STATE(13004)] = 625257,
  [SMALL_STATE(13005)] = 625300,
  [SMALL_STATE(13006)] = 625343,
  [SMALL_STATE(13007)] = 625388,
  [SMALL_STATE(13008)] = 625423,
  [SMALL_STATE(13009)] = 625480,
  [SMALL_STATE(13010)] = 625525,
  [SMALL_STATE(13011)] = 625582,
  [SMALL_STATE(13012)] = 625617,
  [SMALL_STATE(13013)] = 625652,
  [SMALL_STATE(13014)] = 625709,
  [SMALL_STATE(13015)] = 625752,
  [SMALL_STATE(13016)] = 625809,
  [SMALL_STATE(13017)] = 625852,
  [SMALL_STATE(13018)] = 625897,
  [SMALL_STATE(13019)] = 625940,
  [SMALL_STATE(13020)] = 625997,
  [SMALL_STATE(13021)] = 626054,
  [SMALL_STATE(13022)] = 626111,
  [SMALL_STATE(13023)] = 626146,
  [SMALL_STATE(13024)] = 626189,
  [SMALL_STATE(13025)] = 626226,
  [SMALL_STATE(13026)] = 626261,
  [SMALL_STATE(13027)] = 626296,
  [SMALL_STATE(13028)] = 626331,
  [SMALL_STATE(13029)] = 626366,
  [SMALL_STATE(13030)] = 626401,
  [SMALL_STATE(13031)] = 626436,
  [SMALL_STATE(13032)] = 626493,
  [SMALL_STATE(13033)] = 626528,
  [SMALL_STATE(13034)] = 626573,
  [SMALL_STATE(13035)] = 626608,
  [SMALL_STATE(13036)] = 626651,
  [SMALL_STATE(13037)] = 626696,
  [SMALL_STATE(13038)] = 626739,
  [SMALL_STATE(13039)] = 626796,
  [SMALL_STATE(13040)] = 626835,
  [SMALL_STATE(13041)] = 626870,
  [SMALL_STATE(13042)] = 626927,
  [SMALL_STATE(13043)] = 626964,
  [SMALL_STATE(13044)] = 626999,
  [SMALL_STATE(13045)] = 627042,
  [SMALL_STATE(13046)] = 627083,
  [SMALL_STATE(13047)] = 627124,
  [SMALL_STATE(13048)] = 627181,
  [SMALL_STATE(13049)] = 627216,
  [SMALL_STATE(13050)] = 627251,
  [SMALL_STATE(13051)] = 627286,
  [SMALL_STATE(13052)] = 627331,
  [SMALL_STATE(13053)] = 627366,
  [SMALL_STATE(13054)] = 627411,
  [SMALL_STATE(13055)] = 627456,
  [SMALL_STATE(13056)] = 627501,
  [SMALL_STATE(13057)] = 627542,
  [SMALL_STATE(13058)] = 627599,
  [SMALL_STATE(13059)] = 627644,
  [SMALL_STATE(13060)] = 627689,
  [SMALL_STATE(13061)] = 627724,
  [SMALL_STATE(13062)] = 627763,
  [SMALL_STATE(13063)] = 627808,
  [SMALL_STATE(13064)] = 627865,
  [SMALL_STATE(13065)] = 627902,
  [SMALL_STATE(13066)] = 627947,
  [SMALL_STATE(13067)] = 627982,
  [SMALL_STATE(13068)] = 628039,
  [SMALL_STATE(13069)] = 628084,
  [SMALL_STATE(13070)] = 628129,
  [SMALL_STATE(13071)] = 628174,
  [SMALL_STATE(13072)] = 628219,
  [SMALL_STATE(13073)] = 628264,
  [SMALL_STATE(13074)] = 628299,
  [SMALL_STATE(13075)] = 628344,
  [SMALL_STATE(13076)] = 628389,
  [SMALL_STATE(13077)] = 628434,
  [SMALL_STATE(13078)] = 628479,
  [SMALL_STATE(13079)] = 628524,
  [SMALL_STATE(13080)] = 628569,
  [SMALL_STATE(13081)] = 628614,
  [SMALL_STATE(13082)] = 628659,
  [SMALL_STATE(13083)] = 628694,
  [SMALL_STATE(13084)] = 628739,
  [SMALL_STATE(13085)] = 628774,
  [SMALL_STATE(13086)] = 628819,
  [SMALL_STATE(13087)] = 628876,
  [SMALL_STATE(13088)] = 628921,
  [SMALL_STATE(13089)] = 628966,
  [SMALL_STATE(13090)] = 629009,
  [SMALL_STATE(13091)] = 629044,
  [SMALL_STATE(13092)] = 629089,
  [SMALL_STATE(13093)] = 629134,
  [SMALL_STATE(13094)] = 629179,
  [SMALL_STATE(13095)] = 629224,
  [SMALL_STATE(13096)] = 629269,
  [SMALL_STATE(13097)] = 629314,
  [SMALL_STATE(13098)] = 629361,
  [SMALL_STATE(13099)] = 629400,
  [SMALL_STATE(13100)] = 629435,
  [SMALL_STATE(13101)] = 629474,
  [SMALL_STATE(13102)] = 629519,
  [SMALL_STATE(13103)] = 629560,
  [SMALL_STATE(13104)] = 629595,
  [SMALL_STATE(13105)] = 629630,
  [SMALL_STATE(13106)] = 629675,
  [SMALL_STATE(13107)] = 629710,
  [SMALL_STATE(13108)] = 629751,
  [SMALL_STATE(13109)] = 629796,
  [SMALL_STATE(13110)] = 629853,
  [SMALL_STATE(13111)] = 629890,
  [SMALL_STATE(13112)] = 629933,
  [SMALL_STATE(13113)] = 629990,
  [SMALL_STATE(13114)] = 630047,
  [SMALL_STATE(13115)] = 630082,
  [SMALL_STATE(13116)] = 630139,
  [SMALL_STATE(13117)] = 630196,
  [SMALL_STATE(13118)] = 630233,
  [SMALL_STATE(13119)] = 630268,
  [SMALL_STATE(13120)] = 630325,
  [SMALL_STATE(13121)] = 630360,
  [SMALL_STATE(13122)] = 630417,
  [SMALL_STATE(13123)] = 630474,
  [SMALL_STATE(13124)] = 630509,
  [SMALL_STATE(13125)] = 630566,
  [SMALL_STATE(13126)] = 630601,
  [SMALL_STATE(13127)] = 630658,
  [SMALL_STATE(13128)] = 630693,
  [SMALL_STATE(13129)] = 630728,
  [SMALL_STATE(13130)] = 630771,
  [SMALL_STATE(13131)] = 630810,
  [SMALL_STATE(13132)] = 630845,
  [SMALL_STATE(13133)] = 630880,
  [SMALL_STATE(13134)] = 630937,
  [SMALL_STATE(13135)] = 630976,
  [SMALL_STATE(13136)] = 631033,
  [SMALL_STATE(13137)] = 631090,
  [SMALL_STATE(13138)] = 631135,
  [SMALL_STATE(13139)] = 631172,
  [SMALL_STATE(13140)] = 631213,
  [SMALL_STATE(13141)] = 631252,
  [SMALL_STATE(13142)] = 631291,
  [SMALL_STATE(13143)] = 631332,
  [SMALL_STATE(13144)] = 631367,
  [SMALL_STATE(13145)] = 631402,
  [SMALL_STATE(13146)] = 631445,
  [SMALL_STATE(13147)] = 631502,
  [SMALL_STATE(13148)] = 631559,
  [SMALL_STATE(13149)] = 631616,
  [SMALL_STATE(13150)] = 631659,
  [SMALL_STATE(13151)] = 631716,
  [SMALL_STATE(13152)] = 631755,
  [SMALL_STATE(13153)] = 631812,
  [SMALL_STATE(13154)] = 631869,
  [SMALL_STATE(13155)] = 631904,
  [SMALL_STATE(13156)] = 631961,
  [SMALL_STATE(13157)] = 632002,
  [SMALL_STATE(13158)] = 632037,
  [SMALL_STATE(13159)] = 632094,
  [SMALL_STATE(13160)] = 632129,
  [SMALL_STATE(13161)] = 632168,
  [SMALL_STATE(13162)] = 632203,
  [SMALL_STATE(13163)] = 632248,
  [SMALL_STATE(13164)] = 632303,
  [SMALL_STATE(13165)] = 632342,
  [SMALL_STATE(13166)] = 632385,
  [SMALL_STATE(13167)] = 632420,
  [SMALL_STATE(13168)] = 632459,
  [SMALL_STATE(13169)] = 632516,
  [SMALL_STATE(13170)] = 632553,
  [SMALL_STATE(13171)] = 632588,
  [SMALL_STATE(13172)] = 632633,
  [SMALL_STATE(13173)] = 632690,
  [SMALL_STATE(13174)] = 632747,
  [SMALL_STATE(13175)] = 632804,
  [SMALL_STATE(13176)] = 632839,
  [SMALL_STATE(13177)] = 632876,
  [SMALL_STATE(13178)] = 632919,
  [SMALL_STATE(13179)] = 632954,
  [SMALL_STATE(13180)] = 632993,
  [SMALL_STATE(13181)] = 633032,
  [SMALL_STATE(13182)] = 633071,
  [SMALL_STATE(13183)] = 633128,
  [SMALL_STATE(13184)] = 633163,
  [SMALL_STATE(13185)] = 633198,
  [SMALL_STATE(13186)] = 633233,
  [SMALL_STATE(13187)] = 633272,
  [SMALL_STATE(13188)] = 633307,
  [SMALL_STATE(13189)] = 633364,
  [SMALL_STATE(13190)] = 633407,
  [SMALL_STATE(13191)] = 633454,
  [SMALL_STATE(13192)] = 633489,
  [SMALL_STATE(13193)] = 633546,
  [SMALL_STATE(13194)] = 633589,
  [SMALL_STATE(13195)] = 633624,
  [SMALL_STATE(13196)] = 633659,
  [SMALL_STATE(13197)] = 633700,
  [SMALL_STATE(13198)] = 633757,
  [SMALL_STATE(13199)] = 633814,
  [SMALL_STATE(13200)] = 633873,
  [SMALL_STATE(13201)] = 633932,
  [SMALL_STATE(13202)] = 633967,
  [SMALL_STATE(13203)] = 634016,
  [SMALL_STATE(13204)] = 634063,
  [SMALL_STATE(13205)] = 634114,
  [SMALL_STATE(13206)] = 634155,
  [SMALL_STATE(13207)] = 634212,
  [SMALL_STATE(13208)] = 634247,
  [SMALL_STATE(13209)] = 634304,
  [SMALL_STATE(13210)] = 634347,
  [SMALL_STATE(13211)] = 634386,
  [SMALL_STATE(13212)] = 634439,
  [SMALL_STATE(13213)] = 634478,
  [SMALL_STATE(13214)] = 634523,
  [SMALL_STATE(13215)] = 634562,
  [SMALL_STATE(13216)] = 634619,
  [SMALL_STATE(13217)] = 634664,
  [SMALL_STATE(13218)] = 634703,
  [SMALL_STATE(13219)] = 634748,
  [SMALL_STATE(13220)] = 634791,
  [SMALL_STATE(13221)] = 634830,
  [SMALL_STATE(13222)] = 634875,
  [SMALL_STATE(13223)] = 634914,
  [SMALL_STATE(13224)] = 634957,
  [SMALL_STATE(13225)] = 635000,
  [SMALL_STATE(13226)] = 635043,
  [SMALL_STATE(13227)] = 635082,
  [SMALL_STATE(13228)] = 635125,
  [SMALL_STATE(13229)] = 635182,
  [SMALL_STATE(13230)] = 635219,
  [SMALL_STATE(13231)] = 635260,
  [SMALL_STATE(13232)] = 635299,
  [SMALL_STATE(13233)] = 635338,
  [SMALL_STATE(13234)] = 635379,
  [SMALL_STATE(13235)] = 635436,
  [SMALL_STATE(13236)] = 635481,
  [SMALL_STATE(13237)] = 635516,
  [SMALL_STATE(13238)] = 635561,
  [SMALL_STATE(13239)] = 635600,
  [SMALL_STATE(13240)] = 635657,
  [SMALL_STATE(13241)] = 635714,
  [SMALL_STATE(13242)] = 635759,
  [SMALL_STATE(13243)] = 635804,
  [SMALL_STATE(13244)] = 635839,
  [SMALL_STATE(13245)] = 635898,
  [SMALL_STATE(13246)] = 635937,
  [SMALL_STATE(13247)] = 635972,
  [SMALL_STATE(13248)] = 636017,
  [SMALL_STATE(13249)] = 636062,
  [SMALL_STATE(13250)] = 636105,
  [SMALL_STATE(13251)] = 636150,
  [SMALL_STATE(13252)] = 636207,
  [SMALL_STATE(13253)] = 636252,
  [SMALL_STATE(13254)] = 636309,
  [SMALL_STATE(13255)] = 636344,
  [SMALL_STATE(13256)] = 636379,
  [SMALL_STATE(13257)] = 636422,
  [SMALL_STATE(13258)] = 636467,
  [SMALL_STATE(13259)] = 636510,
  [SMALL_STATE(13260)] = 636555,
  [SMALL_STATE(13261)] = 636612,
  [SMALL_STATE(13262)] = 636651,
  [SMALL_STATE(13263)] = 636688,
  [SMALL_STATE(13264)] = 636745,
  [SMALL_STATE(13265)] = 636780,
  [SMALL_STATE(13266)] = 636825,
  [SMALL_STATE(13267)] = 636870,
  [SMALL_STATE(13268)] = 636915,
  [SMALL_STATE(13269)] = 636960,
  [SMALL_STATE(13270)] = 637003,
  [SMALL_STATE(13271)] = 637048,
  [SMALL_STATE(13272)] = 637093,
  [SMALL_STATE(13273)] = 637134,
  [SMALL_STATE(13274)] = 637177,
  [SMALL_STATE(13275)] = 637216,
  [SMALL_STATE(13276)] = 637257,
  [SMALL_STATE(13277)] = 637292,
  [SMALL_STATE(13278)] = 637346,
  [SMALL_STATE(13279)] = 637400,
  [SMALL_STATE(13280)] = 637454,
  [SMALL_STATE(13281)] = 637508,
  [SMALL_STATE(13282)] = 637562,
  [SMALL_STATE(13283)] = 637616,
  [SMALL_STATE(13284)] = 637670,
  [SMALL_STATE(13285)] = 637724,
  [SMALL_STATE(13286)] = 637778,
  [SMALL_STATE(13287)] = 637832,
  [SMALL_STATE(13288)] = 637876,
  [SMALL_STATE(13289)] = 637920,
  [SMALL_STATE(13290)] = 637974,
  [SMALL_STATE(13291)] = 638014,
  [SMALL_STATE(13292)] = 638068,
  [SMALL_STATE(13293)] = 638108,
  [SMALL_STATE(13294)] = 638146,
  [SMALL_STATE(13295)] = 638186,
  [SMALL_STATE(13296)] = 638240,
  [SMALL_STATE(13297)] = 638294,
  [SMALL_STATE(13298)] = 638338,
  [SMALL_STATE(13299)] = 638392,
  [SMALL_STATE(13300)] = 638432,
  [SMALL_STATE(13301)] = 638486,
  [SMALL_STATE(13302)] = 638540,
  [SMALL_STATE(13303)] = 638594,
  [SMALL_STATE(13304)] = 638648,
  [SMALL_STATE(13305)] = 638702,
  [SMALL_STATE(13306)] = 638756,
  [SMALL_STATE(13307)] = 638810,
  [SMALL_STATE(13308)] = 638864,
  [SMALL_STATE(13309)] = 638918,
  [SMALL_STATE(13310)] = 638962,
  [SMALL_STATE(13311)] = 639006,
  [SMALL_STATE(13312)] = 639042,
  [SMALL_STATE(13313)] = 639096,
  [SMALL_STATE(13314)] = 639140,
  [SMALL_STATE(13315)] = 639174,
  [SMALL_STATE(13316)] = 639228,
  [SMALL_STATE(13317)] = 639268,
  [SMALL_STATE(13318)] = 639308,
  [SMALL_STATE(13319)] = 639346,
  [SMALL_STATE(13320)] = 639386,
  [SMALL_STATE(13321)] = 639426,
  [SMALL_STATE(13322)] = 639480,
  [SMALL_STATE(13323)] = 639534,
  [SMALL_STATE(13324)] = 639588,
  [SMALL_STATE(13325)] = 639632,
  [SMALL_STATE(13326)] = 639670,
  [SMALL_STATE(13327)] = 639708,
  [SMALL_STATE(13328)] = 639754,
  [SMALL_STATE(13329)] = 639800,
  [SMALL_STATE(13330)] = 639850,
  [SMALL_STATE(13331)] = 639902,
  [SMALL_STATE(13332)] = 639958,
  [SMALL_STATE(13333)] = 639998,
  [SMALL_STATE(13334)] = 640054,
  [SMALL_STATE(13335)] = 640112,
  [SMALL_STATE(13336)] = 640168,
  [SMALL_STATE(13337)] = 640222,
  [SMALL_STATE(13338)] = 640276,
  [SMALL_STATE(13339)] = 640330,
  [SMALL_STATE(13340)] = 640384,
  [SMALL_STATE(13341)] = 640438,
  [SMALL_STATE(13342)] = 640492,
  [SMALL_STATE(13343)] = 640546,
  [SMALL_STATE(13344)] = 640600,
  [SMALL_STATE(13345)] = 640640,
  [SMALL_STATE(13346)] = 640680,
  [SMALL_STATE(13347)] = 640734,
  [SMALL_STATE(13348)] = 640788,
  [SMALL_STATE(13349)] = 640826,
  [SMALL_STATE(13350)] = 640880,
  [SMALL_STATE(13351)] = 640934,
  [SMALL_STATE(13352)] = 640988,
  [SMALL_STATE(13353)] = 641042,
  [SMALL_STATE(13354)] = 641096,
  [SMALL_STATE(13355)] = 641150,
  [SMALL_STATE(13356)] = 641204,
  [SMALL_STATE(13357)] = 641258,
  [SMALL_STATE(13358)] = 641312,
  [SMALL_STATE(13359)] = 641366,
  [SMALL_STATE(13360)] = 641420,
  [SMALL_STATE(13361)] = 641474,
  [SMALL_STATE(13362)] = 641528,
  [SMALL_STATE(13363)] = 641582,
  [SMALL_STATE(13364)] = 641636,
  [SMALL_STATE(13365)] = 641690,
  [SMALL_STATE(13366)] = 641744,
  [SMALL_STATE(13367)] = 641778,
  [SMALL_STATE(13368)] = 641832,
  [SMALL_STATE(13369)] = 641876,
  [SMALL_STATE(13370)] = 641914,
  [SMALL_STATE(13371)] = 641952,
  [SMALL_STATE(13372)] = 641998,
  [SMALL_STATE(13373)] = 642044,
  [SMALL_STATE(13374)] = 642094,
  [SMALL_STATE(13375)] = 642146,
  [SMALL_STATE(13376)] = 642202,
  [SMALL_STATE(13377)] = 642242,
  [SMALL_STATE(13378)] = 642298,
  [SMALL_STATE(13379)] = 642336,
  [SMALL_STATE(13380)] = 642392,
  [SMALL_STATE(13381)] = 642446,
  [SMALL_STATE(13382)] = 642500,
  [SMALL_STATE(13383)] = 642540,
  [SMALL_STATE(13384)] = 642580,
  [SMALL_STATE(13385)] = 642634,
  [SMALL_STATE(13386)] = 642674,
  [SMALL_STATE(13387)] = 642728,
  [SMALL_STATE(13388)] = 642782,
  [SMALL_STATE(13389)] = 642836,
  [SMALL_STATE(13390)] = 642890,
  [SMALL_STATE(13391)] = 642944,
  [SMALL_STATE(13392)] = 643000,
  [SMALL_STATE(13393)] = 643054,
  [SMALL_STATE(13394)] = 643108,
  [SMALL_STATE(13395)] = 643162,
  [SMALL_STATE(13396)] = 643216,
  [SMALL_STATE(13397)] = 643270,
  [SMALL_STATE(13398)] = 643324,
  [SMALL_STATE(13399)] = 643378,
  [SMALL_STATE(13400)] = 643432,
  [SMALL_STATE(13401)] = 643468,
  [SMALL_STATE(13402)] = 643504,
  [SMALL_STATE(13403)] = 643558,
  [SMALL_STATE(13404)] = 643594,
  [SMALL_STATE(13405)] = 643632,
  [SMALL_STATE(13406)] = 643686,
  [SMALL_STATE(13407)] = 643740,
  [SMALL_STATE(13408)] = 643794,
  [SMALL_STATE(13409)] = 643832,
  [SMALL_STATE(13410)] = 643870,
  [SMALL_STATE(13411)] = 643908,
  [SMALL_STATE(13412)] = 643946,
  [SMALL_STATE(13413)] = 643982,
  [SMALL_STATE(13414)] = 644036,
  [SMALL_STATE(13415)] = 644090,
  [SMALL_STATE(13416)] = 644144,
  [SMALL_STATE(13417)] = 644198,
  [SMALL_STATE(13418)] = 644252,
  [SMALL_STATE(13419)] = 644306,
  [SMALL_STATE(13420)] = 644360,
  [SMALL_STATE(13421)] = 644414,
  [SMALL_STATE(13422)] = 644468,
  [SMALL_STATE(13423)] = 644522,
  [SMALL_STATE(13424)] = 644576,
  [SMALL_STATE(13425)] = 644630,
  [SMALL_STATE(13426)] = 644684,
  [SMALL_STATE(13427)] = 644738,
  [SMALL_STATE(13428)] = 644792,
  [SMALL_STATE(13429)] = 644846,
  [SMALL_STATE(13430)] = 644900,
  [SMALL_STATE(13431)] = 644954,
  [SMALL_STATE(13432)] = 645008,
  [SMALL_STATE(13433)] = 645062,
  [SMALL_STATE(13434)] = 645116,
  [SMALL_STATE(13435)] = 645170,
  [SMALL_STATE(13436)] = 645224,
  [SMALL_STATE(13437)] = 645278,
  [SMALL_STATE(13438)] = 645332,
  [SMALL_STATE(13439)] = 645386,
  [SMALL_STATE(13440)] = 645440,
  [SMALL_STATE(13441)] = 645494,
  [SMALL_STATE(13442)] = 645548,
  [SMALL_STATE(13443)] = 645602,
  [SMALL_STATE(13444)] = 645656,
  [SMALL_STATE(13445)] = 645710,
  [SMALL_STATE(13446)] = 645764,
  [SMALL_STATE(13447)] = 645818,
  [SMALL_STATE(13448)] = 645872,
  [SMALL_STATE(13449)] = 645926,
  [SMALL_STATE(13450)] = 645980,
  [SMALL_STATE(13451)] = 646034,
  [SMALL_STATE(13452)] = 646088,
  [SMALL_STATE(13453)] = 646132,
  [SMALL_STATE(13454)] = 646186,
  [SMALL_STATE(13455)] = 646230,
  [SMALL_STATE(13456)] = 646284,
  [SMALL_STATE(13457)] = 646338,
  [SMALL_STATE(13458)] = 646392,
  [SMALL_STATE(13459)] = 646446,
  [SMALL_STATE(13460)] = 646500,
  [SMALL_STATE(13461)] = 646554,
  [SMALL_STATE(13462)] = 646608,
  [SMALL_STATE(13463)] = 646662,
  [SMALL_STATE(13464)] = 646716,
  [SMALL_STATE(13465)] = 646770,
  [SMALL_STATE(13466)] = 646824,
  [SMALL_STATE(13467)] = 646878,
  [SMALL_STATE(13468)] = 646932,
  [SMALL_STATE(13469)] = 646986,
  [SMALL_STATE(13470)] = 647040,
  [SMALL_STATE(13471)] = 647084,
  [SMALL_STATE(13472)] = 647138,
  [SMALL_STATE(13473)] = 647192,
  [SMALL_STATE(13474)] = 647230,
  [SMALL_STATE(13475)] = 647266,
  [SMALL_STATE(13476)] = 647320,
  [SMALL_STATE(13477)] = 647364,
  [SMALL_STATE(13478)] = 647418,
  [SMALL_STATE(13479)] = 647462,
  [SMALL_STATE(13480)] = 647516,
  [SMALL_STATE(13481)] = 647570,
  [SMALL_STATE(13482)] = 647624,
  [SMALL_STATE(13483)] = 647668,
  [SMALL_STATE(13484)] = 647722,
  [SMALL_STATE(13485)] = 647776,
  [SMALL_STATE(13486)] = 647830,
  [SMALL_STATE(13487)] = 647884,
  [SMALL_STATE(13488)] = 647938,
  [SMALL_STATE(13489)] = 647992,
  [SMALL_STATE(13490)] = 648046,
  [SMALL_STATE(13491)] = 648100,
  [SMALL_STATE(13492)] = 648154,
  [SMALL_STATE(13493)] = 648208,
  [SMALL_STATE(13494)] = 648262,
  [SMALL_STATE(13495)] = 648302,
  [SMALL_STATE(13496)] = 648342,
  [SMALL_STATE(13497)] = 648396,
  [SMALL_STATE(13498)] = 648450,
  [SMALL_STATE(13499)] = 648504,
  [SMALL_STATE(13500)] = 648544,
  [SMALL_STATE(13501)] = 648598,
  [SMALL_STATE(13502)] = 648656,
  [SMALL_STATE(13503)] = 648692,
  [SMALL_STATE(13504)] = 648746,
  [SMALL_STATE(13505)] = 648800,
  [SMALL_STATE(13506)] = 648838,
  [SMALL_STATE(13507)] = 648874,
  [SMALL_STATE(13508)] = 648928,
  [SMALL_STATE(13509)] = 648982,
  [SMALL_STATE(13510)] = 649036,
  [SMALL_STATE(13511)] = 649090,
  [SMALL_STATE(13512)] = 649144,
  [SMALL_STATE(13513)] = 649198,
  [SMALL_STATE(13514)] = 649252,
  [SMALL_STATE(13515)] = 649306,
  [SMALL_STATE(13516)] = 649360,
  [SMALL_STATE(13517)] = 649414,
  [SMALL_STATE(13518)] = 649468,
  [SMALL_STATE(13519)] = 649508,
  [SMALL_STATE(13520)] = 649548,
  [SMALL_STATE(13521)] = 649588,
  [SMALL_STATE(13522)] = 649642,
  [SMALL_STATE(13523)] = 649696,
  [SMALL_STATE(13524)] = 649750,
  [SMALL_STATE(13525)] = 649804,
  [SMALL_STATE(13526)] = 649858,
  [SMALL_STATE(13527)] = 649912,
  [SMALL_STATE(13528)] = 649966,
  [SMALL_STATE(13529)] = 650020,
  [SMALL_STATE(13530)] = 650074,
  [SMALL_STATE(13531)] = 650128,
  [SMALL_STATE(13532)] = 650182,
  [SMALL_STATE(13533)] = 650236,
  [SMALL_STATE(13534)] = 650290,
  [SMALL_STATE(13535)] = 650348,
  [SMALL_STATE(13536)] = 650402,
  [SMALL_STATE(13537)] = 650460,
  [SMALL_STATE(13538)] = 650494,
  [SMALL_STATE(13539)] = 650548,
  [SMALL_STATE(13540)] = 650602,
  [SMALL_STATE(13541)] = 650656,
  [SMALL_STATE(13542)] = 650710,
  [SMALL_STATE(13543)] = 650764,
  [SMALL_STATE(13544)] = 650818,
  [SMALL_STATE(13545)] = 650872,
  [SMALL_STATE(13546)] = 650926,
  [SMALL_STATE(13547)] = 650980,
  [SMALL_STATE(13548)] = 651034,
  [SMALL_STATE(13549)] = 651088,
  [SMALL_STATE(13550)] = 651142,
  [SMALL_STATE(13551)] = 651196,
  [SMALL_STATE(13552)] = 651250,
  [SMALL_STATE(13553)] = 651304,
  [SMALL_STATE(13554)] = 651358,
  [SMALL_STATE(13555)] = 651412,
  [SMALL_STATE(13556)] = 651466,
  [SMALL_STATE(13557)] = 651520,
  [SMALL_STATE(13558)] = 651578,
  [SMALL_STATE(13559)] = 651632,
  [SMALL_STATE(13560)] = 651686,
  [SMALL_STATE(13561)] = 651740,
  [SMALL_STATE(13562)] = 651794,
  [SMALL_STATE(13563)] = 651834,
  [SMALL_STATE(13564)] = 651888,
  [SMALL_STATE(13565)] = 651942,
  [SMALL_STATE(13566)] = 651996,
  [SMALL_STATE(13567)] = 652050,
  [SMALL_STATE(13568)] = 652104,
  [SMALL_STATE(13569)] = 652158,
  [SMALL_STATE(13570)] = 652212,
  [SMALL_STATE(13571)] = 652266,
  [SMALL_STATE(13572)] = 652300,
  [SMALL_STATE(13573)] = 652354,
  [SMALL_STATE(13574)] = 652408,
  [SMALL_STATE(13575)] = 652444,
  [SMALL_STATE(13576)] = 652498,
  [SMALL_STATE(13577)] = 652552,
  [SMALL_STATE(13578)] = 652606,
  [SMALL_STATE(13579)] = 652660,
  [SMALL_STATE(13580)] = 652714,
  [SMALL_STATE(13581)] = 652768,
  [SMALL_STATE(13582)] = 652822,
  [SMALL_STATE(13583)] = 652876,
  [SMALL_STATE(13584)] = 652930,
  [SMALL_STATE(13585)] = 652984,
  [SMALL_STATE(13586)] = 653038,
  [SMALL_STATE(13587)] = 653092,
  [SMALL_STATE(13588)] = 653146,
  [SMALL_STATE(13589)] = 653200,
  [SMALL_STATE(13590)] = 653254,
  [SMALL_STATE(13591)] = 653308,
  [SMALL_STATE(13592)] = 653362,
  [SMALL_STATE(13593)] = 653416,
  [SMALL_STATE(13594)] = 653470,
  [SMALL_STATE(13595)] = 653524,
  [SMALL_STATE(13596)] = 653578,
  [SMALL_STATE(13597)] = 653632,
  [SMALL_STATE(13598)] = 653686,
  [SMALL_STATE(13599)] = 653740,
  [SMALL_STATE(13600)] = 653794,
  [SMALL_STATE(13601)] = 653848,
  [SMALL_STATE(13602)] = 653902,
  [SMALL_STATE(13603)] = 653956,
  [SMALL_STATE(13604)] = 654010,
  [SMALL_STATE(13605)] = 654064,
  [SMALL_STATE(13606)] = 654118,
  [SMALL_STATE(13607)] = 654172,
  [SMALL_STATE(13608)] = 654226,
  [SMALL_STATE(13609)] = 654280,
  [SMALL_STATE(13610)] = 654334,
  [SMALL_STATE(13611)] = 654388,
  [SMALL_STATE(13612)] = 654426,
  [SMALL_STATE(13613)] = 654480,
  [SMALL_STATE(13614)] = 654534,
  [SMALL_STATE(13615)] = 654588,
  [SMALL_STATE(13616)] = 654642,
  [SMALL_STATE(13617)] = 654696,
  [SMALL_STATE(13618)] = 654750,
  [SMALL_STATE(13619)] = 654804,
  [SMALL_STATE(13620)] = 654858,
  [SMALL_STATE(13621)] = 654912,
  [SMALL_STATE(13622)] = 654966,
  [SMALL_STATE(13623)] = 655020,
  [SMALL_STATE(13624)] = 655074,
  [SMALL_STATE(13625)] = 655128,
  [SMALL_STATE(13626)] = 655182,
  [SMALL_STATE(13627)] = 655236,
  [SMALL_STATE(13628)] = 655290,
  [SMALL_STATE(13629)] = 655344,
  [SMALL_STATE(13630)] = 655398,
  [SMALL_STATE(13631)] = 655452,
  [SMALL_STATE(13632)] = 655506,
  [SMALL_STATE(13633)] = 655560,
  [SMALL_STATE(13634)] = 655614,
  [SMALL_STATE(13635)] = 655668,
  [SMALL_STATE(13636)] = 655722,
  [SMALL_STATE(13637)] = 655776,
  [SMALL_STATE(13638)] = 655830,
  [SMALL_STATE(13639)] = 655868,
  [SMALL_STATE(13640)] = 655922,
  [SMALL_STATE(13641)] = 655976,
  [SMALL_STATE(13642)] = 656030,
  [SMALL_STATE(13643)] = 656084,
  [SMALL_STATE(13644)] = 656138,
  [SMALL_STATE(13645)] = 656192,
  [SMALL_STATE(13646)] = 656246,
  [SMALL_STATE(13647)] = 656300,
  [SMALL_STATE(13648)] = 656334,
  [SMALL_STATE(13649)] = 656388,
  [SMALL_STATE(13650)] = 656442,
  [SMALL_STATE(13651)] = 656496,
  [SMALL_STATE(13652)] = 656550,
  [SMALL_STATE(13653)] = 656604,
  [SMALL_STATE(13654)] = 656658,
  [SMALL_STATE(13655)] = 656712,
  [SMALL_STATE(13656)] = 656766,
  [SMALL_STATE(13657)] = 656820,
  [SMALL_STATE(13658)] = 656874,
  [SMALL_STATE(13659)] = 656928,
  [SMALL_STATE(13660)] = 656982,
  [SMALL_STATE(13661)] = 657036,
  [SMALL_STATE(13662)] = 657090,
  [SMALL_STATE(13663)] = 657144,
  [SMALL_STATE(13664)] = 657198,
  [SMALL_STATE(13665)] = 657252,
  [SMALL_STATE(13666)] = 657306,
  [SMALL_STATE(13667)] = 657364,
  [SMALL_STATE(13668)] = 657418,
  [SMALL_STATE(13669)] = 657472,
  [SMALL_STATE(13670)] = 657526,
  [SMALL_STATE(13671)] = 657580,
  [SMALL_STATE(13672)] = 657634,
  [SMALL_STATE(13673)] = 657688,
  [SMALL_STATE(13674)] = 657742,
  [SMALL_STATE(13675)] = 657796,
  [SMALL_STATE(13676)] = 657832,
  [SMALL_STATE(13677)] = 657886,
  [SMALL_STATE(13678)] = 657940,
  [SMALL_STATE(13679)] = 657994,
  [SMALL_STATE(13680)] = 658048,
  [SMALL_STATE(13681)] = 658102,
  [SMALL_STATE(13682)] = 658156,
  [SMALL_STATE(13683)] = 658210,
  [SMALL_STATE(13684)] = 658264,
  [SMALL_STATE(13685)] = 658318,
  [SMALL_STATE(13686)] = 658372,
  [SMALL_STATE(13687)] = 658426,
  [SMALL_STATE(13688)] = 658480,
  [SMALL_STATE(13689)] = 658534,
  [SMALL_STATE(13690)] = 658588,
  [SMALL_STATE(13691)] = 658642,
  [SMALL_STATE(13692)] = 658696,
  [SMALL_STATE(13693)] = 658750,
  [SMALL_STATE(13694)] = 658804,
  [SMALL_STATE(13695)] = 658858,
  [SMALL_STATE(13696)] = 658912,
  [SMALL_STATE(13697)] = 658966,
  [SMALL_STATE(13698)] = 659020,
  [SMALL_STATE(13699)] = 659074,
  [SMALL_STATE(13700)] = 659128,
  [SMALL_STATE(13701)] = 659182,
  [SMALL_STATE(13702)] = 659236,
  [SMALL_STATE(13703)] = 659276,
  [SMALL_STATE(13704)] = 659330,
  [SMALL_STATE(13705)] = 659384,
  [SMALL_STATE(13706)] = 659438,
  [SMALL_STATE(13707)] = 659492,
  [SMALL_STATE(13708)] = 659546,
  [SMALL_STATE(13709)] = 659600,
  [SMALL_STATE(13710)] = 659654,
  [SMALL_STATE(13711)] = 659708,
  [SMALL_STATE(13712)] = 659762,
  [SMALL_STATE(13713)] = 659816,
  [SMALL_STATE(13714)] = 659870,
  [SMALL_STATE(13715)] = 659924,
  [SMALL_STATE(13716)] = 659978,
  [SMALL_STATE(13717)] = 660032,
  [SMALL_STATE(13718)] = 660086,
  [SMALL_STATE(13719)] = 660140,
  [SMALL_STATE(13720)] = 660194,
  [SMALL_STATE(13721)] = 660248,
  [SMALL_STATE(13722)] = 660302,
  [SMALL_STATE(13723)] = 660356,
  [SMALL_STATE(13724)] = 660410,
  [SMALL_STATE(13725)] = 660464,
  [SMALL_STATE(13726)] = 660518,
  [SMALL_STATE(13727)] = 660572,
  [SMALL_STATE(13728)] = 660626,
  [SMALL_STATE(13729)] = 660680,
  [SMALL_STATE(13730)] = 660734,
  [SMALL_STATE(13731)] = 660788,
  [SMALL_STATE(13732)] = 660842,
  [SMALL_STATE(13733)] = 660896,
  [SMALL_STATE(13734)] = 660950,
  [SMALL_STATE(13735)] = 661004,
  [SMALL_STATE(13736)] = 661058,
  [SMALL_STATE(13737)] = 661112,
  [SMALL_STATE(13738)] = 661166,
  [SMALL_STATE(13739)] = 661220,
  [SMALL_STATE(13740)] = 661274,
  [SMALL_STATE(13741)] = 661328,
  [SMALL_STATE(13742)] = 661368,
  [SMALL_STATE(13743)] = 661408,
  [SMALL_STATE(13744)] = 661462,
  [SMALL_STATE(13745)] = 661516,
  [SMALL_STATE(13746)] = 661570,
  [SMALL_STATE(13747)] = 661624,
  [SMALL_STATE(13748)] = 661678,
  [SMALL_STATE(13749)] = 661732,
  [SMALL_STATE(13750)] = 661786,
  [SMALL_STATE(13751)] = 661840,
  [SMALL_STATE(13752)] = 661894,
  [SMALL_STATE(13753)] = 661940,
  [SMALL_STATE(13754)] = 661994,
  [SMALL_STATE(13755)] = 662048,
  [SMALL_STATE(13756)] = 662102,
  [SMALL_STATE(13757)] = 662156,
  [SMALL_STATE(13758)] = 662210,
  [SMALL_STATE(13759)] = 662264,
  [SMALL_STATE(13760)] = 662318,
  [SMALL_STATE(13761)] = 662372,
  [SMALL_STATE(13762)] = 662426,
  [SMALL_STATE(13763)] = 662480,
  [SMALL_STATE(13764)] = 662534,
  [SMALL_STATE(13765)] = 662588,
  [SMALL_STATE(13766)] = 662628,
  [SMALL_STATE(13767)] = 662682,
  [SMALL_STATE(13768)] = 662736,
  [SMALL_STATE(13769)] = 662790,
  [SMALL_STATE(13770)] = 662830,
  [SMALL_STATE(13771)] = 662884,
  [SMALL_STATE(13772)] = 662938,
  [SMALL_STATE(13773)] = 662992,
  [SMALL_STATE(13774)] = 663046,
  [SMALL_STATE(13775)] = 663100,
  [SMALL_STATE(13776)] = 663154,
  [SMALL_STATE(13777)] = 663208,
  [SMALL_STATE(13778)] = 663262,
  [SMALL_STATE(13779)] = 663316,
  [SMALL_STATE(13780)] = 663350,
  [SMALL_STATE(13781)] = 663388,
  [SMALL_STATE(13782)] = 663442,
  [SMALL_STATE(13783)] = 663496,
  [SMALL_STATE(13784)] = 663550,
  [SMALL_STATE(13785)] = 663604,
  [SMALL_STATE(13786)] = 663658,
  [SMALL_STATE(13787)] = 663712,
  [SMALL_STATE(13788)] = 663766,
  [SMALL_STATE(13789)] = 663820,
  [SMALL_STATE(13790)] = 663874,
  [SMALL_STATE(13791)] = 663928,
  [SMALL_STATE(13792)] = 663982,
  [SMALL_STATE(13793)] = 664036,
  [SMALL_STATE(13794)] = 664090,
  [SMALL_STATE(13795)] = 664144,
  [SMALL_STATE(13796)] = 664198,
  [SMALL_STATE(13797)] = 664252,
  [SMALL_STATE(13798)] = 664306,
  [SMALL_STATE(13799)] = 664360,
  [SMALL_STATE(13800)] = 664414,
  [SMALL_STATE(13801)] = 664468,
  [SMALL_STATE(13802)] = 664522,
  [SMALL_STATE(13803)] = 664560,
  [SMALL_STATE(13804)] = 664598,
  [SMALL_STATE(13805)] = 664634,
  [SMALL_STATE(13806)] = 664688,
  [SMALL_STATE(13807)] = 664742,
  [SMALL_STATE(13808)] = 664796,
  [SMALL_STATE(13809)] = 664850,
  [SMALL_STATE(13810)] = 664904,
  [SMALL_STATE(13811)] = 664958,
  [SMALL_STATE(13812)] = 665012,
  [SMALL_STATE(13813)] = 665066,
  [SMALL_STATE(13814)] = 665120,
  [SMALL_STATE(13815)] = 665174,
  [SMALL_STATE(13816)] = 665228,
  [SMALL_STATE(13817)] = 665282,
  [SMALL_STATE(13818)] = 665336,
  [SMALL_STATE(13819)] = 665390,
  [SMALL_STATE(13820)] = 665444,
  [SMALL_STATE(13821)] = 665498,
  [SMALL_STATE(13822)] = 665552,
  [SMALL_STATE(13823)] = 665606,
  [SMALL_STATE(13824)] = 665660,
  [SMALL_STATE(13825)] = 665714,
  [SMALL_STATE(13826)] = 665768,
  [SMALL_STATE(13827)] = 665822,
  [SMALL_STATE(13828)] = 665876,
  [SMALL_STATE(13829)] = 665930,
  [SMALL_STATE(13830)] = 665984,
  [SMALL_STATE(13831)] = 666038,
  [SMALL_STATE(13832)] = 666092,
  [SMALL_STATE(13833)] = 666146,
  [SMALL_STATE(13834)] = 666200,
  [SMALL_STATE(13835)] = 666254,
  [SMALL_STATE(13836)] = 666308,
  [SMALL_STATE(13837)] = 666362,
  [SMALL_STATE(13838)] = 666416,
  [SMALL_STATE(13839)] = 666470,
  [SMALL_STATE(13840)] = 666524,
  [SMALL_STATE(13841)] = 666578,
  [SMALL_STATE(13842)] = 666632,
  [SMALL_STATE(13843)] = 666686,
  [SMALL_STATE(13844)] = 666740,
  [SMALL_STATE(13845)] = 666794,
  [SMALL_STATE(13846)] = 666848,
  [SMALL_STATE(13847)] = 666902,
  [SMALL_STATE(13848)] = 666956,
  [SMALL_STATE(13849)] = 667010,
  [SMALL_STATE(13850)] = 667064,
  [SMALL_STATE(13851)] = 667118,
  [SMALL_STATE(13852)] = 667172,
  [SMALL_STATE(13853)] = 667226,
  [SMALL_STATE(13854)] = 667266,
  [SMALL_STATE(13855)] = 667306,
  [SMALL_STATE(13856)] = 667360,
  [SMALL_STATE(13857)] = 667414,
  [SMALL_STATE(13858)] = 667468,
  [SMALL_STATE(13859)] = 667526,
  [SMALL_STATE(13860)] = 667580,
  [SMALL_STATE(13861)] = 667634,
  [SMALL_STATE(13862)] = 667688,
  [SMALL_STATE(13863)] = 667742,
  [SMALL_STATE(13864)] = 667800,
  [SMALL_STATE(13865)] = 667854,
  [SMALL_STATE(13866)] = 667908,
  [SMALL_STATE(13867)] = 667962,
  [SMALL_STATE(13868)] = 668016,
  [SMALL_STATE(13869)] = 668070,
  [SMALL_STATE(13870)] = 668124,
  [SMALL_STATE(13871)] = 668178,
  [SMALL_STATE(13872)] = 668232,
  [SMALL_STATE(13873)] = 668286,
  [SMALL_STATE(13874)] = 668340,
  [SMALL_STATE(13875)] = 668394,
  [SMALL_STATE(13876)] = 668448,
  [SMALL_STATE(13877)] = 668502,
  [SMALL_STATE(13878)] = 668556,
  [SMALL_STATE(13879)] = 668610,
  [SMALL_STATE(13880)] = 668664,
  [SMALL_STATE(13881)] = 668722,
  [SMALL_STATE(13882)] = 668776,
  [SMALL_STATE(13883)] = 668830,
  [SMALL_STATE(13884)] = 668884,
  [SMALL_STATE(13885)] = 668938,
  [SMALL_STATE(13886)] = 668992,
  [SMALL_STATE(13887)] = 669046,
  [SMALL_STATE(13888)] = 669100,
  [SMALL_STATE(13889)] = 669154,
  [SMALL_STATE(13890)] = 669208,
  [SMALL_STATE(13891)] = 669262,
  [SMALL_STATE(13892)] = 669316,
  [SMALL_STATE(13893)] = 669370,
  [SMALL_STATE(13894)] = 669424,
  [SMALL_STATE(13895)] = 669476,
  [SMALL_STATE(13896)] = 669530,
  [SMALL_STATE(13897)] = 669566,
  [SMALL_STATE(13898)] = 669620,
  [SMALL_STATE(13899)] = 669674,
  [SMALL_STATE(13900)] = 669728,
  [SMALL_STATE(13901)] = 669782,
  [SMALL_STATE(13902)] = 669836,
  [SMALL_STATE(13903)] = 669890,
  [SMALL_STATE(13904)] = 669944,
  [SMALL_STATE(13905)] = 669998,
  [SMALL_STATE(13906)] = 670052,
  [SMALL_STATE(13907)] = 670106,
  [SMALL_STATE(13908)] = 670160,
  [SMALL_STATE(13909)] = 670214,
  [SMALL_STATE(13910)] = 670268,
  [SMALL_STATE(13911)] = 670322,
  [SMALL_STATE(13912)] = 670376,
  [SMALL_STATE(13913)] = 670430,
  [SMALL_STATE(13914)] = 670484,
  [SMALL_STATE(13915)] = 670538,
  [SMALL_STATE(13916)] = 670592,
  [SMALL_STATE(13917)] = 670646,
  [SMALL_STATE(13918)] = 670700,
  [SMALL_STATE(13919)] = 670754,
  [SMALL_STATE(13920)] = 670808,
  [SMALL_STATE(13921)] = 670862,
  [SMALL_STATE(13922)] = 670916,
  [SMALL_STATE(13923)] = 670970,
  [SMALL_STATE(13924)] = 671024,
  [SMALL_STATE(13925)] = 671078,
  [SMALL_STATE(13926)] = 671132,
  [SMALL_STATE(13927)] = 671186,
  [SMALL_STATE(13928)] = 671240,
  [SMALL_STATE(13929)] = 671294,
  [SMALL_STATE(13930)] = 671348,
  [SMALL_STATE(13931)] = 671402,
  [SMALL_STATE(13932)] = 671440,
  [SMALL_STATE(13933)] = 671478,
  [SMALL_STATE(13934)] = 671516,
  [SMALL_STATE(13935)] = 671570,
  [SMALL_STATE(13936)] = 671608,
  [SMALL_STATE(13937)] = 671646,
  [SMALL_STATE(13938)] = 671684,
  [SMALL_STATE(13939)] = 671722,
  [SMALL_STATE(13940)] = 671776,
  [SMALL_STATE(13941)] = 671814,
  [SMALL_STATE(13942)] = 671868,
  [SMALL_STATE(13943)] = 671922,
  [SMALL_STATE(13944)] = 671976,
  [SMALL_STATE(13945)] = 672030,
  [SMALL_STATE(13946)] = 672084,
  [SMALL_STATE(13947)] = 672138,
  [SMALL_STATE(13948)] = 672192,
  [SMALL_STATE(13949)] = 672230,
  [SMALL_STATE(13950)] = 672284,
  [SMALL_STATE(13951)] = 672338,
  [SMALL_STATE(13952)] = 672376,
  [SMALL_STATE(13953)] = 672414,
  [SMALL_STATE(13954)] = 672468,
  [SMALL_STATE(13955)] = 672506,
  [SMALL_STATE(13956)] = 672560,
  [SMALL_STATE(13957)] = 672614,
  [SMALL_STATE(13958)] = 672668,
  [SMALL_STATE(13959)] = 672722,
  [SMALL_STATE(13960)] = 672776,
  [SMALL_STATE(13961)] = 672830,
  [SMALL_STATE(13962)] = 672884,
  [SMALL_STATE(13963)] = 672938,
  [SMALL_STATE(13964)] = 672992,
  [SMALL_STATE(13965)] = 673046,
  [SMALL_STATE(13966)] = 673100,
  [SMALL_STATE(13967)] = 673154,
  [SMALL_STATE(13968)] = 673208,
  [SMALL_STATE(13969)] = 673262,
  [SMALL_STATE(13970)] = 673316,
  [SMALL_STATE(13971)] = 673370,
  [SMALL_STATE(13972)] = 673424,
  [SMALL_STATE(13973)] = 673478,
  [SMALL_STATE(13974)] = 673514,
  [SMALL_STATE(13975)] = 673571,
  [SMALL_STATE(13976)] = 673610,
  [SMALL_STATE(13977)] = 673643,
  [SMALL_STATE(13978)] = 673696,
  [SMALL_STATE(13979)] = 673733,
  [SMALL_STATE(13980)] = 673770,
  [SMALL_STATE(13981)] = 673815,
  [SMALL_STATE(13982)] = 673860,
  [SMALL_STATE(13983)] = 673909,
  [SMALL_STATE(13984)] = 673960,
  [SMALL_STATE(13985)] = 674015,
  [SMALL_STATE(13986)] = 674054,
  [SMALL_STATE(13987)] = 674109,
  [SMALL_STATE(13988)] = 674152,
  [SMALL_STATE(13989)] = 674189,
  [SMALL_STATE(13990)] = 674226,
  [SMALL_STATE(13991)] = 674261,
  [SMALL_STATE(13992)] = 674304,
  [SMALL_STATE(13993)] = 674341,
  [SMALL_STATE(13994)] = 674380,
  [SMALL_STATE(13995)] = 674437,
  [SMALL_STATE(13996)] = 674488,
  [SMALL_STATE(13997)] = 674539,
  [SMALL_STATE(13998)] = 674574,
  [SMALL_STATE(13999)] = 674607,
  [SMALL_STATE(14000)] = 674646,
  [SMALL_STATE(14001)] = 674685,
  [SMALL_STATE(14002)] = 674718,
  [SMALL_STATE(14003)] = 674769,
  [SMALL_STATE(14004)] = 674812,
  [SMALL_STATE(14005)] = 674867,
  [SMALL_STATE(14006)] = 674918,
  [SMALL_STATE(14007)] = 674957,
  [SMALL_STATE(14008)] = 675014,
  [SMALL_STATE(14009)] = 675047,
  [SMALL_STATE(14010)] = 675080,
  [SMALL_STATE(14011)] = 675113,
  [SMALL_STATE(14012)] = 675156,
  [SMALL_STATE(14013)] = 675195,
  [SMALL_STATE(14014)] = 675238,
  [SMALL_STATE(14015)] = 675277,
  [SMALL_STATE(14016)] = 675328,
  [SMALL_STATE(14017)] = 675367,
  [SMALL_STATE(14018)] = 675406,
  [SMALL_STATE(14019)] = 675445,
  [SMALL_STATE(14020)] = 675484,
  [SMALL_STATE(14021)] = 675523,
  [SMALL_STATE(14022)] = 675566,
  [SMALL_STATE(14023)] = 675605,
  [SMALL_STATE(14024)] = 675644,
  [SMALL_STATE(14025)] = 675681,
  [SMALL_STATE(14026)] = 675720,
  [SMALL_STATE(14027)] = 675757,
  [SMALL_STATE(14028)] = 675790,
  [SMALL_STATE(14029)] = 675829,
  [SMALL_STATE(14030)] = 675886,
  [SMALL_STATE(14031)] = 675923,
  [SMALL_STATE(14032)] = 675962,
  [SMALL_STATE(14033)] = 675997,
  [SMALL_STATE(14034)] = 676034,
  [SMALL_STATE(14035)] = 676073,
  [SMALL_STATE(14036)] = 676110,
  [SMALL_STATE(14037)] = 676145,
  [SMALL_STATE(14038)] = 676184,
  [SMALL_STATE(14039)] = 676235,
  [SMALL_STATE(14040)] = 676272,
  [SMALL_STATE(14041)] = 676307,
  [SMALL_STATE(14042)] = 676342,
  [SMALL_STATE(14043)] = 676383,
  [SMALL_STATE(14044)] = 676416,
  [SMALL_STATE(14045)] = 676449,
  [SMALL_STATE(14046)] = 676482,
  [SMALL_STATE(14047)] = 676515,
  [SMALL_STATE(14048)] = 676552,
  [SMALL_STATE(14049)] = 676585,
  [SMALL_STATE(14050)] = 676624,
  [SMALL_STATE(14051)] = 676663,
  [SMALL_STATE(14052)] = 676700,
  [SMALL_STATE(14053)] = 676739,
  [SMALL_STATE(14054)] = 676778,
  [SMALL_STATE(14055)] = 676817,
  [SMALL_STATE(14056)] = 676856,
  [SMALL_STATE(14057)] = 676895,
  [SMALL_STATE(14058)] = 676932,
  [SMALL_STATE(14059)] = 676975,
  [SMALL_STATE(14060)] = 677012,
  [SMALL_STATE(14061)] = 677063,
  [SMALL_STATE(14062)] = 677096,
  [SMALL_STATE(14063)] = 677135,
  [SMALL_STATE(14064)] = 677168,
  [SMALL_STATE(14065)] = 677201,
  [SMALL_STATE(14066)] = 677234,
  [SMALL_STATE(14067)] = 677267,
  [SMALL_STATE(14068)] = 677304,
  [SMALL_STATE(14069)] = 677341,
  [SMALL_STATE(14070)] = 677376,
  [SMALL_STATE(14071)] = 677409,
  [SMALL_STATE(14072)] = 677442,
  [SMALL_STATE(14073)] = 677479,
  [SMALL_STATE(14074)] = 677518,
  [SMALL_STATE(14075)] = 677551,
  [SMALL_STATE(14076)] = 677584,
  [SMALL_STATE(14077)] = 677621,
  [SMALL_STATE(14078)] = 677658,
  [SMALL_STATE(14079)] = 677693,
  [SMALL_STATE(14080)] = 677750,
  [SMALL_STATE(14081)] = 677783,
  [SMALL_STATE(14082)] = 677816,
  [SMALL_STATE(14083)] = 677849,
  [SMALL_STATE(14084)] = 677888,
  [SMALL_STATE(14085)] = 677927,
  [SMALL_STATE(14086)] = 677964,
  [SMALL_STATE(14087)] = 678001,
  [SMALL_STATE(14088)] = 678038,
  [SMALL_STATE(14089)] = 678073,
  [SMALL_STATE(14090)] = 678106,
  [SMALL_STATE(14091)] = 678139,
  [SMALL_STATE(14092)] = 678178,
  [SMALL_STATE(14093)] = 678235,
  [SMALL_STATE(14094)] = 678292,
  [SMALL_STATE(14095)] = 678331,
  [SMALL_STATE(14096)] = 678364,
  [SMALL_STATE(14097)] = 678397,
  [SMALL_STATE(14098)] = 678436,
  [SMALL_STATE(14099)] = 678475,
  [SMALL_STATE(14100)] = 678514,
  [SMALL_STATE(14101)] = 678553,
  [SMALL_STATE(14102)] = 678586,
  [SMALL_STATE(14103)] = 678643,
  [SMALL_STATE(14104)] = 678678,
  [SMALL_STATE(14105)] = 678717,
  [SMALL_STATE(14106)] = 678754,
  [SMALL_STATE(14107)] = 678791,
  [SMALL_STATE(14108)] = 678828,
  [SMALL_STATE(14109)] = 678865,
  [SMALL_STATE(14110)] = 678902,
  [SMALL_STATE(14111)] = 678937,
  [SMALL_STATE(14112)] = 678990,
  [SMALL_STATE(14113)] = 679033,
  [SMALL_STATE(14114)] = 679070,
  [SMALL_STATE(14115)] = 679107,
  [SMALL_STATE(14116)] = 679146,
  [SMALL_STATE(14117)] = 679179,
  [SMALL_STATE(14118)] = 679224,
  [SMALL_STATE(14119)] = 679257,
  [SMALL_STATE(14120)] = 679302,
  [SMALL_STATE(14121)] = 679351,
  [SMALL_STATE(14122)] = 679392,
  [SMALL_STATE(14123)] = 679431,
  [SMALL_STATE(14124)] = 679482,
  [SMALL_STATE(14125)] = 679525,
  [SMALL_STATE(14126)] = 679580,
  [SMALL_STATE(14127)] = 679617,
  [SMALL_STATE(14128)] = 679654,
  [SMALL_STATE(14129)] = 679705,
  [SMALL_STATE(14130)] = 679738,
  [SMALL_STATE(14131)] = 679777,
  [SMALL_STATE(14132)] = 679820,
  [SMALL_STATE(14133)] = 679875,
  [SMALL_STATE(14134)] = 679912,
  [SMALL_STATE(14135)] = 679967,
  [SMALL_STATE(14136)] = 680004,
  [SMALL_STATE(14137)] = 680037,
  [SMALL_STATE(14138)] = 680094,
  [SMALL_STATE(14139)] = 680129,
  [SMALL_STATE(14140)] = 680166,
  [SMALL_STATE(14141)] = 680201,
  [SMALL_STATE(14142)] = 680242,
  [SMALL_STATE(14143)] = 680279,
  [SMALL_STATE(14144)] = 680316,
  [SMALL_STATE(14145)] = 680353,
  [SMALL_STATE(14146)] = 680390,
  [SMALL_STATE(14147)] = 680431,
  [SMALL_STATE(14148)] = 680472,
  [SMALL_STATE(14149)] = 680513,
  [SMALL_STATE(14150)] = 680554,
  [SMALL_STATE(14151)] = 680609,
  [SMALL_STATE(14152)] = 680650,
  [SMALL_STATE(14153)] = 680687,
  [SMALL_STATE(14154)] = 680730,
  [SMALL_STATE(14155)] = 680769,
  [SMALL_STATE(14156)] = 680820,
  [SMALL_STATE(14157)] = 680859,
  [SMALL_STATE(14158)] = 680912,
  [SMALL_STATE(14159)] = 680951,
  [SMALL_STATE(14160)] = 680994,
  [SMALL_STATE(14161)] = 681050,
  [SMALL_STATE(14162)] = 681106,
  [SMALL_STATE(14163)] = 681138,
  [SMALL_STATE(14164)] = 681174,
  [SMALL_STATE(14165)] = 681210,
  [SMALL_STATE(14166)] = 681246,
  [SMALL_STATE(14167)] = 681278,
  [SMALL_STATE(14168)] = 681314,
  [SMALL_STATE(14169)] = 681350,
  [SMALL_STATE(14170)] = 681386,
  [SMALL_STATE(14171)] = 681430,
  [SMALL_STATE(14172)] = 681474,
  [SMALL_STATE(14173)] = 681510,
  [SMALL_STATE(14174)] = 681546,
  [SMALL_STATE(14175)] = 681578,
  [SMALL_STATE(14176)] = 681614,
  [SMALL_STATE(14177)] = 681662,
  [SMALL_STATE(14178)] = 681698,
  [SMALL_STATE(14179)] = 681732,
  [SMALL_STATE(14180)] = 681768,
  [SMALL_STATE(14181)] = 681802,
  [SMALL_STATE(14182)] = 681834,
  [SMALL_STATE(14183)] = 681870,
  [SMALL_STATE(14184)] = 681924,
  [SMALL_STATE(14185)] = 681980,
  [SMALL_STATE(14186)] = 682016,
  [SMALL_STATE(14187)] = 682064,
  [SMALL_STATE(14188)] = 682116,
  [SMALL_STATE(14189)] = 682164,
  [SMALL_STATE(14190)] = 682214,
  [SMALL_STATE(14191)] = 682262,
  [SMALL_STATE(14192)] = 682304,
  [SMALL_STATE(14193)] = 682340,
  [SMALL_STATE(14194)] = 682372,
  [SMALL_STATE(14195)] = 682420,
  [SMALL_STATE(14196)] = 682462,
  [SMALL_STATE(14197)] = 682494,
  [SMALL_STATE(14198)] = 682548,
  [SMALL_STATE(14199)] = 682586,
  [SMALL_STATE(14200)] = 682642,
  [SMALL_STATE(14201)] = 682674,
  [SMALL_STATE(14202)] = 682710,
  [SMALL_STATE(14203)] = 682746,
  [SMALL_STATE(14204)] = 682782,
  [SMALL_STATE(14205)] = 682836,
  [SMALL_STATE(14206)] = 682892,
  [SMALL_STATE(14207)] = 682926,
  [SMALL_STATE(14208)] = 682974,
  [SMALL_STATE(14209)] = 683010,
  [SMALL_STATE(14210)] = 683042,
  [SMALL_STATE(14211)] = 683098,
  [SMALL_STATE(14212)] = 683152,
  [SMALL_STATE(14213)] = 683200,
  [SMALL_STATE(14214)] = 683236,
  [SMALL_STATE(14215)] = 683290,
  [SMALL_STATE(14216)] = 683350,
  [SMALL_STATE(14217)] = 683394,
  [SMALL_STATE(14218)] = 683442,
  [SMALL_STATE(14219)] = 683486,
  [SMALL_STATE(14220)] = 683522,
  [SMALL_STATE(14221)] = 683570,
  [SMALL_STATE(14222)] = 683606,
  [SMALL_STATE(14223)] = 683642,
  [SMALL_STATE(14224)] = 683686,
  [SMALL_STATE(14225)] = 683730,
  [SMALL_STATE(14226)] = 683774,
  [SMALL_STATE(14227)] = 683810,
  [SMALL_STATE(14228)] = 683858,
  [SMALL_STATE(14229)] = 683906,
  [SMALL_STATE(14230)] = 683940,
  [SMALL_STATE(14231)] = 683990,
  [SMALL_STATE(14232)] = 684026,
  [SMALL_STATE(14233)] = 684080,
  [SMALL_STATE(14234)] = 684118,
  [SMALL_STATE(14235)] = 684172,
  [SMALL_STATE(14236)] = 684204,
  [SMALL_STATE(14237)] = 684240,
  [SMALL_STATE(14238)] = 684274,
  [SMALL_STATE(14239)] = 684326,
  [SMALL_STATE(14240)] = 684362,
  [SMALL_STATE(14241)] = 684398,
  [SMALL_STATE(14242)] = 684434,
  [SMALL_STATE(14243)] = 684470,
  [SMALL_STATE(14244)] = 684506,
  [SMALL_STATE(14245)] = 684540,
  [SMALL_STATE(14246)] = 684594,
  [SMALL_STATE(14247)] = 684654,
  [SMALL_STATE(14248)] = 684700,
  [SMALL_STATE(14249)] = 684744,
  [SMALL_STATE(14250)] = 684792,
  [SMALL_STATE(14251)] = 684840,
  [SMALL_STATE(14252)] = 684874,
  [SMALL_STATE(14253)] = 684910,
  [SMALL_STATE(14254)] = 684952,
  [SMALL_STATE(14255)] = 685000,
  [SMALL_STATE(14256)] = 685048,
  [SMALL_STATE(14257)] = 685096,
  [SMALL_STATE(14258)] = 685132,
  [SMALL_STATE(14259)] = 685180,
  [SMALL_STATE(14260)] = 685216,
  [SMALL_STATE(14261)] = 685252,
  [SMALL_STATE(14262)] = 685296,
  [SMALL_STATE(14263)] = 685340,
  [SMALL_STATE(14264)] = 685388,
  [SMALL_STATE(14265)] = 685424,
  [SMALL_STATE(14266)] = 685472,
  [SMALL_STATE(14267)] = 685520,
  [SMALL_STATE(14268)] = 685570,
  [SMALL_STATE(14269)] = 685624,
  [SMALL_STATE(14270)] = 685672,
  [SMALL_STATE(14271)] = 685720,
  [SMALL_STATE(14272)] = 685768,
  [SMALL_STATE(14273)] = 685804,
  [SMALL_STATE(14274)] = 685840,
  [SMALL_STATE(14275)] = 685888,
  [SMALL_STATE(14276)] = 685938,
  [SMALL_STATE(14277)] = 685976,
  [SMALL_STATE(14278)] = 686030,
  [SMALL_STATE(14279)] = 686086,
  [SMALL_STATE(14280)] = 686122,
  [SMALL_STATE(14281)] = 686156,
  [SMALL_STATE(14282)] = 686210,
  [SMALL_STATE(14283)] = 686258,
  [SMALL_STATE(14284)] = 686306,
  [SMALL_STATE(14285)] = 686356,
  [SMALL_STATE(14286)] = 686392,
  [SMALL_STATE(14287)] = 686446,
  [SMALL_STATE(14288)] = 686482,
  [SMALL_STATE(14289)] = 686520,
  [SMALL_STATE(14290)] = 686568,
  [SMALL_STATE(14291)] = 686618,
  [SMALL_STATE(14292)] = 686672,
  [SMALL_STATE(14293)] = 686708,
  [SMALL_STATE(14294)] = 686744,
  [SMALL_STATE(14295)] = 686778,
  [SMALL_STATE(14296)] = 686826,
  [SMALL_STATE(14297)] = 686864,
  [SMALL_STATE(14298)] = 686918,
  [SMALL_STATE(14299)] = 686962,
  [SMALL_STATE(14300)] = 687016,
  [SMALL_STATE(14301)] = 687052,
  [SMALL_STATE(14302)] = 687088,
  [SMALL_STATE(14303)] = 687124,
  [SMALL_STATE(14304)] = 687160,
  [SMALL_STATE(14305)] = 687196,
  [SMALL_STATE(14306)] = 687232,
  [SMALL_STATE(14307)] = 687268,
  [SMALL_STATE(14308)] = 687302,
  [SMALL_STATE(14309)] = 687350,
  [SMALL_STATE(14310)] = 687404,
  [SMALL_STATE(14311)] = 687440,
  [SMALL_STATE(14312)] = 687488,
  [SMALL_STATE(14313)] = 687524,
  [SMALL_STATE(14314)] = 687558,
  [SMALL_STATE(14315)] = 687606,
  [SMALL_STATE(14316)] = 687642,
  [SMALL_STATE(14317)] = 687676,
  [SMALL_STATE(14318)] = 687724,
  [SMALL_STATE(14319)] = 687758,
  [SMALL_STATE(14320)] = 687792,
  [SMALL_STATE(14321)] = 687828,
  [SMALL_STATE(14322)] = 687876,
  [SMALL_STATE(14323)] = 687924,
  [SMALL_STATE(14324)] = 687956,
  [SMALL_STATE(14325)] = 688012,
  [SMALL_STATE(14326)] = 688046,
  [SMALL_STATE(14327)] = 688082,
  [SMALL_STATE(14328)] = 688136,
  [SMALL_STATE(14329)] = 688184,
  [SMALL_STATE(14330)] = 688232,
  [SMALL_STATE(14331)] = 688280,
  [SMALL_STATE(14332)] = 688316,
  [SMALL_STATE(14333)] = 688352,
  [SMALL_STATE(14334)] = 688400,
  [SMALL_STATE(14335)] = 688450,
  [SMALL_STATE(14336)] = 688498,
  [SMALL_STATE(14337)] = 688530,
  [SMALL_STATE(14338)] = 688584,
  [SMALL_STATE(14339)] = 688620,
  [SMALL_STATE(14340)] = 688652,
  [SMALL_STATE(14341)] = 688708,
  [SMALL_STATE(14342)] = 688742,
  [SMALL_STATE(14343)] = 688778,
  [SMALL_STATE(14344)] = 688812,
  [SMALL_STATE(14345)] = 688860,
  [SMALL_STATE(14346)] = 688916,
  [SMALL_STATE(14347)] = 688964,
  [SMALL_STATE(14348)] = 689020,
  [SMALL_STATE(14349)] = 689056,
  [SMALL_STATE(14350)] = 689092,
  [SMALL_STATE(14351)] = 689140,
  [SMALL_STATE(14352)] = 689188,
  [SMALL_STATE(14353)] = 689244,
  [SMALL_STATE(14354)] = 689292,
  [SMALL_STATE(14355)] = 689324,
  [SMALL_STATE(14356)] = 689372,
  [SMALL_STATE(14357)] = 689406,
  [SMALL_STATE(14358)] = 689442,
  [SMALL_STATE(14359)] = 689498,
  [SMALL_STATE(14360)] = 689554,
  [SMALL_STATE(14361)] = 689590,
  [SMALL_STATE(14362)] = 689624,
  [SMALL_STATE(14363)] = 689680,
  [SMALL_STATE(14364)] = 689734,
  [SMALL_STATE(14365)] = 689770,
  [SMALL_STATE(14366)] = 689806,
  [SMALL_STATE(14367)] = 689842,
  [SMALL_STATE(14368)] = 689890,
  [SMALL_STATE(14369)] = 689938,
  [SMALL_STATE(14370)] = 689970,
  [SMALL_STATE(14371)] = 690002,
  [SMALL_STATE(14372)] = 690050,
  [SMALL_STATE(14373)] = 690086,
  [SMALL_STATE(14374)] = 690118,
  [SMALL_STATE(14375)] = 690154,
  [SMALL_STATE(14376)] = 690190,
  [SMALL_STATE(14377)] = 690238,
  [SMALL_STATE(14378)] = 690290,
  [SMALL_STATE(14379)] = 690332,
  [SMALL_STATE(14380)] = 690368,
  [SMALL_STATE(14381)] = 690404,
  [SMALL_STATE(14382)] = 690448,
  [SMALL_STATE(14383)] = 690480,
  [SMALL_STATE(14384)] = 690524,
  [SMALL_STATE(14385)] = 690572,
  [SMALL_STATE(14386)] = 690622,
  [SMALL_STATE(14387)] = 690656,
  [SMALL_STATE(14388)] = 690710,
  [SMALL_STATE(14389)] = 690766,
  [SMALL_STATE(14390)] = 690822,
  [SMALL_STATE(14391)] = 690854,
  [SMALL_STATE(14392)] = 690890,
  [SMALL_STATE(14393)] = 690938,
  [SMALL_STATE(14394)] = 690994,
  [SMALL_STATE(14395)] = 691042,
  [SMALL_STATE(14396)] = 691080,
  [SMALL_STATE(14397)] = 691134,
  [SMALL_STATE(14398)] = 691188,
  [SMALL_STATE(14399)] = 691224,
  [SMALL_STATE(14400)] = 691274,
  [SMALL_STATE(14401)] = 691310,
  [SMALL_STATE(14402)] = 691358,
  [SMALL_STATE(14403)] = 691406,
  [SMALL_STATE(14404)] = 691444,
  [SMALL_STATE(14405)] = 691482,
  [SMALL_STATE(14406)] = 691542,
  [SMALL_STATE(14407)] = 691590,
  [SMALL_STATE(14408)] = 691628,
  [SMALL_STATE(14409)] = 691664,
  [SMALL_STATE(14410)] = 691698,
  [SMALL_STATE(14411)] = 691732,
  [SMALL_STATE(14412)] = 691768,
  [SMALL_STATE(14413)] = 691822,
  [SMALL_STATE(14414)] = 691870,
  [SMALL_STATE(14415)] = 691902,
  [SMALL_STATE(14416)] = 691958,
  [SMALL_STATE(14417)] = 692006,
  [SMALL_STATE(14418)] = 692062,
  [SMALL_STATE(14419)] = 692094,
  [SMALL_STATE(14420)] = 692126,
  [SMALL_STATE(14421)] = 692162,
  [SMALL_STATE(14422)] = 692204,
  [SMALL_STATE(14423)] = 692252,
  [SMALL_STATE(14424)] = 692310,
  [SMALL_STATE(14425)] = 692358,
  [SMALL_STATE(14426)] = 692406,
  [SMALL_STATE(14427)] = 692438,
  [SMALL_STATE(14428)] = 692470,
  [SMALL_STATE(14429)] = 692506,
  [SMALL_STATE(14430)] = 692554,
  [SMALL_STATE(14431)] = 692602,
  [SMALL_STATE(14432)] = 692634,
  [SMALL_STATE(14433)] = 692666,
  [SMALL_STATE(14434)] = 692698,
  [SMALL_STATE(14435)] = 692730,
  [SMALL_STATE(14436)] = 692778,
  [SMALL_STATE(14437)] = 692812,
  [SMALL_STATE(14438)] = 692864,
  [SMALL_STATE(14439)] = 692900,
  [SMALL_STATE(14440)] = 692936,
  [SMALL_STATE(14441)] = 692978,
  [SMALL_STATE(14442)] = 693026,
  [SMALL_STATE(14443)] = 693062,
  [SMALL_STATE(14444)] = 693098,
  [SMALL_STATE(14445)] = 693134,
  [SMALL_STATE(14446)] = 693182,
  [SMALL_STATE(14447)] = 693234,
  [SMALL_STATE(14448)] = 693276,
  [SMALL_STATE(14449)] = 693324,
  [SMALL_STATE(14450)] = 693356,
  [SMALL_STATE(14451)] = 693392,
  [SMALL_STATE(14452)] = 693428,
  [SMALL_STATE(14453)] = 693472,
  [SMALL_STATE(14454)] = 693520,
  [SMALL_STATE(14455)] = 693568,
  [SMALL_STATE(14456)] = 693620,
  [SMALL_STATE(14457)] = 693668,
  [SMALL_STATE(14458)] = 693700,
  [SMALL_STATE(14459)] = 693744,
  [SMALL_STATE(14460)] = 693792,
  [SMALL_STATE(14461)] = 693842,
  [SMALL_STATE(14462)] = 693878,
  [SMALL_STATE(14463)] = 693914,
  [SMALL_STATE(14464)] = 693962,
  [SMALL_STATE(14465)] = 694004,
  [SMALL_STATE(14466)] = 694040,
  [SMALL_STATE(14467)] = 694076,
  [SMALL_STATE(14468)] = 694124,
  [SMALL_STATE(14469)] = 694178,
  [SMALL_STATE(14470)] = 694216,
  [SMALL_STATE(14471)] = 694264,
  [SMALL_STATE(14472)] = 694312,
  [SMALL_STATE(14473)] = 694366,
  [SMALL_STATE(14474)] = 694420,
  [SMALL_STATE(14475)] = 694474,
  [SMALL_STATE(14476)] = 694510,
  [SMALL_STATE(14477)] = 694546,
  [SMALL_STATE(14478)] = 694594,
  [SMALL_STATE(14479)] = 694630,
  [SMALL_STATE(14480)] = 694682,
  [SMALL_STATE(14481)] = 694718,
  [SMALL_STATE(14482)] = 694752,
  [SMALL_STATE(14483)] = 694794,
  [SMALL_STATE(14484)] = 694830,
  [SMALL_STATE(14485)] = 694878,
  [SMALL_STATE(14486)] = 694916,
  [SMALL_STATE(14487)] = 694954,
  [SMALL_STATE(14488)] = 695002,
  [SMALL_STATE(14489)] = 695036,
  [SMALL_STATE(14490)] = 695072,
  [SMALL_STATE(14491)] = 695120,
  [SMALL_STATE(14492)] = 695158,
  [SMALL_STATE(14493)] = 695206,
  [SMALL_STATE(14494)] = 695242,
  [SMALL_STATE(14495)] = 695278,
  [SMALL_STATE(14496)] = 695312,
  [SMALL_STATE(14497)] = 695360,
  [SMALL_STATE(14498)] = 695394,
  [SMALL_STATE(14499)] = 695454,
  [SMALL_STATE(14500)] = 695502,
  [SMALL_STATE(14501)] = 695538,
  [SMALL_STATE(14502)] = 695574,
  [SMALL_STATE(14503)] = 695610,
  [SMALL_STATE(14504)] = 695646,
  [SMALL_STATE(14505)] = 695680,
  [SMALL_STATE(14506)] = 695716,
  [SMALL_STATE(14507)] = 695752,
  [SMALL_STATE(14508)] = 695788,
  [SMALL_STATE(14509)] = 695846,
  [SMALL_STATE(14510)] = 695882,
  [SMALL_STATE(14511)] = 695938,
  [SMALL_STATE(14512)] = 695979,
  [SMALL_STATE(14513)] = 696020,
  [SMALL_STATE(14514)] = 696061,
  [SMALL_STATE(14515)] = 696096,
  [SMALL_STATE(14516)] = 696131,
  [SMALL_STATE(14517)] = 696172,
  [SMALL_STATE(14518)] = 696207,
  [SMALL_STATE(14519)] = 696242,
  [SMALL_STATE(14520)] = 696297,
  [SMALL_STATE(14521)] = 696340,
  [SMALL_STATE(14522)] = 696395,
  [SMALL_STATE(14523)] = 696438,
  [SMALL_STATE(14524)] = 696485,
  [SMALL_STATE(14525)] = 696532,
  [SMALL_STATE(14526)] = 696583,
  [SMALL_STATE(14527)] = 696620,
  [SMALL_STATE(14528)] = 696671,
  [SMALL_STATE(14529)] = 696726,
  [SMALL_STATE(14530)] = 696759,
  [SMALL_STATE(14531)] = 696794,
  [SMALL_STATE(14532)] = 696847,
  [SMALL_STATE(14533)] = 696900,
  [SMALL_STATE(14534)] = 696955,
  [SMALL_STATE(14535)] = 697006,
  [SMALL_STATE(14536)] = 697047,
  [SMALL_STATE(14537)] = 697078,
  [SMALL_STATE(14538)] = 697109,
  [SMALL_STATE(14539)] = 697140,
  [SMALL_STATE(14540)] = 697181,
  [SMALL_STATE(14541)] = 697228,
  [SMALL_STATE(14542)] = 697263,
  [SMALL_STATE(14543)] = 697304,
  [SMALL_STATE(14544)] = 697355,
  [SMALL_STATE(14545)] = 697388,
  [SMALL_STATE(14546)] = 697443,
  [SMALL_STATE(14547)] = 697498,
  [SMALL_STATE(14548)] = 697539,
  [SMALL_STATE(14549)] = 697580,
  [SMALL_STATE(14550)] = 697635,
  [SMALL_STATE(14551)] = 697690,
  [SMALL_STATE(14552)] = 697745,
  [SMALL_STATE(14553)] = 697800,
  [SMALL_STATE(14554)] = 697855,
  [SMALL_STATE(14555)] = 697896,
  [SMALL_STATE(14556)] = 697937,
  [SMALL_STATE(14557)] = 697992,
  [SMALL_STATE(14558)] = 698047,
  [SMALL_STATE(14559)] = 698080,
  [SMALL_STATE(14560)] = 698115,
  [SMALL_STATE(14561)] = 698156,
  [SMALL_STATE(14562)] = 698197,
  [SMALL_STATE(14563)] = 698238,
  [SMALL_STATE(14564)] = 698293,
  [SMALL_STATE(14565)] = 698348,
  [SMALL_STATE(14566)] = 698385,
  [SMALL_STATE(14567)] = 698440,
  [SMALL_STATE(14568)] = 698485,
  [SMALL_STATE(14569)] = 698516,
  [SMALL_STATE(14570)] = 698559,
  [SMALL_STATE(14571)] = 698614,
  [SMALL_STATE(14572)] = 698649,
  [SMALL_STATE(14573)] = 698684,
  [SMALL_STATE(14574)] = 698725,
  [SMALL_STATE(14575)] = 698776,
  [SMALL_STATE(14576)] = 698817,
  [SMALL_STATE(14577)] = 698872,
  [SMALL_STATE(14578)] = 698913,
  [SMALL_STATE(14579)] = 698968,
  [SMALL_STATE(14580)] = 699023,
  [SMALL_STATE(14581)] = 699078,
  [SMALL_STATE(14582)] = 699133,
  [SMALL_STATE(14583)] = 699174,
  [SMALL_STATE(14584)] = 699209,
  [SMALL_STATE(14585)] = 699244,
  [SMALL_STATE(14586)] = 699279,
  [SMALL_STATE(14587)] = 699314,
  [SMALL_STATE(14588)] = 699349,
  [SMALL_STATE(14589)] = 699382,
  [SMALL_STATE(14590)] = 699437,
  [SMALL_STATE(14591)] = 699478,
  [SMALL_STATE(14592)] = 699519,
  [SMALL_STATE(14593)] = 699552,
  [SMALL_STATE(14594)] = 699607,
  [SMALL_STATE(14595)] = 699662,
  [SMALL_STATE(14596)] = 699711,
  [SMALL_STATE(14597)] = 699742,
  [SMALL_STATE(14598)] = 699783,
  [SMALL_STATE(14599)] = 699838,
  [SMALL_STATE(14600)] = 699893,
  [SMALL_STATE(14601)] = 699940,
  [SMALL_STATE(14602)] = 699981,
  [SMALL_STATE(14603)] = 700032,
  [SMALL_STATE(14604)] = 700087,
  [SMALL_STATE(14605)] = 700142,
  [SMALL_STATE(14606)] = 700197,
  [SMALL_STATE(14607)] = 700230,
  [SMALL_STATE(14608)] = 700265,
  [SMALL_STATE(14609)] = 700300,
  [SMALL_STATE(14610)] = 700333,
  [SMALL_STATE(14611)] = 700366,
  [SMALL_STATE(14612)] = 700399,
  [SMALL_STATE(14613)] = 700434,
  [SMALL_STATE(14614)] = 700475,
  [SMALL_STATE(14615)] = 700508,
  [SMALL_STATE(14616)] = 700563,
  [SMALL_STATE(14617)] = 700612,
  [SMALL_STATE(14618)] = 700653,
  [SMALL_STATE(14619)] = 700708,
  [SMALL_STATE(14620)] = 700763,
  [SMALL_STATE(14621)] = 700798,
  [SMALL_STATE(14622)] = 700851,
  [SMALL_STATE(14623)] = 700892,
  [SMALL_STATE(14624)] = 700929,
  [SMALL_STATE(14625)] = 700984,
  [SMALL_STATE(14626)] = 701017,
  [SMALL_STATE(14627)] = 701050,
  [SMALL_STATE(14628)] = 701103,
  [SMALL_STATE(14629)] = 701158,
  [SMALL_STATE(14630)] = 701191,
  [SMALL_STATE(14631)] = 701226,
  [SMALL_STATE(14632)] = 701279,
  [SMALL_STATE(14633)] = 701314,
  [SMALL_STATE(14634)] = 701349,
  [SMALL_STATE(14635)] = 701404,
  [SMALL_STATE(14636)] = 701445,
  [SMALL_STATE(14637)] = 701486,
  [SMALL_STATE(14638)] = 701541,
  [SMALL_STATE(14639)] = 701596,
  [SMALL_STATE(14640)] = 701649,
  [SMALL_STATE(14641)] = 701704,
  [SMALL_STATE(14642)] = 701759,
  [SMALL_STATE(14643)] = 701794,
  [SMALL_STATE(14644)] = 701825,
  [SMALL_STATE(14645)] = 701856,
  [SMALL_STATE(14646)] = 701887,
  [SMALL_STATE(14647)] = 701922,
  [SMALL_STATE(14648)] = 701957,
  [SMALL_STATE(14649)] = 701992,
  [SMALL_STATE(14650)] = 702033,
  [SMALL_STATE(14651)] = 702068,
  [SMALL_STATE(14652)] = 702099,
  [SMALL_STATE(14653)] = 702132,
  [SMALL_STATE(14654)] = 702187,
  [SMALL_STATE(14655)] = 702230,
  [SMALL_STATE(14656)] = 702273,
  [SMALL_STATE(14657)] = 702320,
  [SMALL_STATE(14658)] = 702351,
  [SMALL_STATE(14659)] = 702400,
  [SMALL_STATE(14660)] = 702455,
  [SMALL_STATE(14661)] = 702510,
  [SMALL_STATE(14662)] = 702551,
  [SMALL_STATE(14663)] = 702606,
  [SMALL_STATE(14664)] = 702661,
  [SMALL_STATE(14665)] = 702716,
  [SMALL_STATE(14666)] = 702759,
  [SMALL_STATE(14667)] = 702814,
  [SMALL_STATE(14668)] = 702849,
  [SMALL_STATE(14669)] = 702882,
  [SMALL_STATE(14670)] = 702917,
  [SMALL_STATE(14671)] = 702950,
  [SMALL_STATE(14672)] = 702983,
  [SMALL_STATE(14673)] = 703026,
  [SMALL_STATE(14674)] = 703077,
  [SMALL_STATE(14675)] = 703120,
  [SMALL_STATE(14676)] = 703167,
  [SMALL_STATE(14677)] = 703210,
  [SMALL_STATE(14678)] = 703243,
  [SMALL_STATE(14679)] = 703290,
  [SMALL_STATE(14680)] = 703331,
  [SMALL_STATE(14681)] = 703386,
  [SMALL_STATE(14682)] = 703441,
  [SMALL_STATE(14683)] = 703496,
  [SMALL_STATE(14684)] = 703529,
  [SMALL_STATE(14685)] = 703582,
  [SMALL_STATE(14686)] = 703635,
  [SMALL_STATE(14687)] = 703670,
  [SMALL_STATE(14688)] = 703705,
  [SMALL_STATE(14689)] = 703736,
  [SMALL_STATE(14690)] = 703777,
  [SMALL_STATE(14691)] = 703832,
  [SMALL_STATE(14692)] = 703887,
  [SMALL_STATE(14693)] = 703918,
  [SMALL_STATE(14694)] = 703969,
  [SMALL_STATE(14695)] = 704000,
  [SMALL_STATE(14696)] = 704031,
  [SMALL_STATE(14697)] = 704062,
  [SMALL_STATE(14698)] = 704115,
  [SMALL_STATE(14699)] = 704166,
  [SMALL_STATE(14700)] = 704197,
  [SMALL_STATE(14701)] = 704252,
  [SMALL_STATE(14702)] = 704305,
  [SMALL_STATE(14703)] = 704336,
  [SMALL_STATE(14704)] = 704377,
  [SMALL_STATE(14705)] = 704432,
  [SMALL_STATE(14706)] = 704487,
  [SMALL_STATE(14707)] = 704528,
  [SMALL_STATE(14708)] = 704583,
  [SMALL_STATE(14709)] = 704624,
  [SMALL_STATE(14710)] = 704659,
  [SMALL_STATE(14711)] = 704714,
  [SMALL_STATE(14712)] = 704749,
  [SMALL_STATE(14713)] = 704792,
  [SMALL_STATE(14714)] = 704835,
  [SMALL_STATE(14715)] = 704882,
  [SMALL_STATE(14716)] = 704931,
  [SMALL_STATE(14717)] = 704970,
  [SMALL_STATE(14718)] = 705023,
  [SMALL_STATE(14719)] = 705078,
  [SMALL_STATE(14720)] = 705111,
  [SMALL_STATE(14721)] = 705154,
  [SMALL_STATE(14722)] = 705189,
  [SMALL_STATE(14723)] = 705244,
  [SMALL_STATE(14724)] = 705281,
  [SMALL_STATE(14725)] = 705318,
  [SMALL_STATE(14726)] = 705371,
  [SMALL_STATE(14727)] = 705412,
  [SMALL_STATE(14728)] = 705467,
  [SMALL_STATE(14729)] = 705520,
  [SMALL_STATE(14730)] = 705575,
  [SMALL_STATE(14731)] = 705630,
  [SMALL_STATE(14732)] = 705663,
  [SMALL_STATE(14733)] = 705704,
  [SMALL_STATE(14734)] = 705745,
  [SMALL_STATE(14735)] = 705798,
  [SMALL_STATE(14736)] = 705851,
  [SMALL_STATE(14737)] = 705906,
  [SMALL_STATE(14738)] = 705961,
  [SMALL_STATE(14739)] = 706002,
  [SMALL_STATE(14740)] = 706053,
  [SMALL_STATE(14741)] = 706094,
  [SMALL_STATE(14742)] = 706149,
  [SMALL_STATE(14743)] = 706186,
  [SMALL_STATE(14744)] = 706241,
  [SMALL_STATE(14745)] = 706296,
  [SMALL_STATE(14746)] = 706349,
  [SMALL_STATE(14747)] = 706390,
  [SMALL_STATE(14748)] = 706445,
  [SMALL_STATE(14749)] = 706478,
  [SMALL_STATE(14750)] = 706533,
  [SMALL_STATE(14751)] = 706586,
  [SMALL_STATE(14752)] = 706641,
  [SMALL_STATE(14753)] = 706696,
  [SMALL_STATE(14754)] = 706751,
  [SMALL_STATE(14755)] = 706804,
  [SMALL_STATE(14756)] = 706853,
  [SMALL_STATE(14757)] = 706894,
  [SMALL_STATE(14758)] = 706929,
  [SMALL_STATE(14759)] = 706964,
  [SMALL_STATE(14760)] = 707005,
  [SMALL_STATE(14761)] = 707048,
  [SMALL_STATE(14762)] = 707089,
  [SMALL_STATE(14763)] = 707132,
  [SMALL_STATE(14764)] = 707187,
  [SMALL_STATE(14765)] = 707238,
  [SMALL_STATE(14766)] = 707279,
  [SMALL_STATE(14767)] = 707334,
  [SMALL_STATE(14768)] = 707389,
  [SMALL_STATE(14769)] = 707444,
  [SMALL_STATE(14770)] = 707499,
  [SMALL_STATE(14771)] = 707546,
  [SMALL_STATE(14772)] = 707601,
  [SMALL_STATE(14773)] = 707636,
  [SMALL_STATE(14774)] = 707671,
  [SMALL_STATE(14775)] = 707718,
  [SMALL_STATE(14776)] = 707773,
  [SMALL_STATE(14777)] = 707828,
  [SMALL_STATE(14778)] = 707869,
  [SMALL_STATE(14779)] = 707920,
  [SMALL_STATE(14780)] = 707953,
  [SMALL_STATE(14781)] = 707990,
  [SMALL_STATE(14782)] = 708031,
  [SMALL_STATE(14783)] = 708086,
  [SMALL_STATE(14784)] = 708141,
  [SMALL_STATE(14785)] = 708192,
  [SMALL_STATE(14786)] = 708247,
  [SMALL_STATE(14787)] = 708298,
  [SMALL_STATE(14788)] = 708333,
  [SMALL_STATE(14789)] = 708374,
  [SMALL_STATE(14790)] = 708415,
  [SMALL_STATE(14791)] = 708470,
  [SMALL_STATE(14792)] = 708525,
  [SMALL_STATE(14793)] = 708576,
  [SMALL_STATE(14794)] = 708611,
  [SMALL_STATE(14795)] = 708666,
  [SMALL_STATE(14796)] = 708701,
  [SMALL_STATE(14797)] = 708752,
  [SMALL_STATE(14798)] = 708793,
  [SMALL_STATE(14799)] = 708828,
  [SMALL_STATE(14800)] = 708871,
  [SMALL_STATE(14801)] = 708914,
  [SMALL_STATE(14802)] = 708955,
  [SMALL_STATE(14803)] = 709008,
  [SMALL_STATE(14804)] = 709043,
  [SMALL_STATE(14805)] = 709084,
  [SMALL_STATE(14806)] = 709127,
  [SMALL_STATE(14807)] = 709170,
  [SMALL_STATE(14808)] = 709217,
  [SMALL_STATE(14809)] = 709272,
  [SMALL_STATE(14810)] = 709327,
  [SMALL_STATE(14811)] = 709376,
  [SMALL_STATE(14812)] = 709429,
  [SMALL_STATE(14813)] = 709482,
  [SMALL_STATE(14814)] = 709523,
  [SMALL_STATE(14815)] = 709560,
  [SMALL_STATE(14816)] = 709593,
  [SMALL_STATE(14817)] = 709636,
  [SMALL_STATE(14818)] = 709677,
  [SMALL_STATE(14819)] = 709732,
  [SMALL_STATE(14820)] = 709779,
  [SMALL_STATE(14821)] = 709834,
  [SMALL_STATE(14822)] = 709883,
  [SMALL_STATE(14823)] = 709926,
  [SMALL_STATE(14824)] = 709979,
  [SMALL_STATE(14825)] = 710034,
  [SMALL_STATE(14826)] = 710075,
  [SMALL_STATE(14827)] = 710110,
  [SMALL_STATE(14828)] = 710165,
  [SMALL_STATE(14829)] = 710220,
  [SMALL_STATE(14830)] = 710251,
  [SMALL_STATE(14831)] = 710306,
  [SMALL_STATE(14832)] = 710343,
  [SMALL_STATE(14833)] = 710374,
  [SMALL_STATE(14834)] = 710427,
  [SMALL_STATE(14835)] = 710476,
  [SMALL_STATE(14836)] = 710511,
  [SMALL_STATE(14837)] = 710542,
  [SMALL_STATE(14838)] = 710595,
  [SMALL_STATE(14839)] = 710626,
  [SMALL_STATE(14840)] = 710667,
  [SMALL_STATE(14841)] = 710722,
  [SMALL_STATE(14842)] = 710777,
  [SMALL_STATE(14843)] = 710812,
  [SMALL_STATE(14844)] = 710865,
  [SMALL_STATE(14845)] = 710900,
  [SMALL_STATE(14846)] = 710935,
  [SMALL_STATE(14847)] = 710966,
  [SMALL_STATE(14848)] = 710999,
  [SMALL_STATE(14849)] = 711030,
  [SMALL_STATE(14850)] = 711061,
  [SMALL_STATE(14851)] = 711096,
  [SMALL_STATE(14852)] = 711149,
  [SMALL_STATE(14853)] = 711190,
  [SMALL_STATE(14854)] = 711245,
  [SMALL_STATE(14855)] = 711300,
  [SMALL_STATE(14856)] = 711331,
  [SMALL_STATE(14857)] = 711386,
  [SMALL_STATE(14858)] = 711437,
  [SMALL_STATE(14859)] = 711468,
  [SMALL_STATE(14860)] = 711509,
  [SMALL_STATE(14861)] = 711562,
  [SMALL_STATE(14862)] = 711617,
  [SMALL_STATE(14863)] = 711672,
  [SMALL_STATE(14864)] = 711725,
  [SMALL_STATE(14865)] = 711776,
  [SMALL_STATE(14866)] = 711809,
  [SMALL_STATE(14867)] = 711840,
  [SMALL_STATE(14868)] = 711875,
  [SMALL_STATE(14869)] = 711916,
  [SMALL_STATE(14870)] = 711947,
  [SMALL_STATE(14871)] = 711978,
  [SMALL_STATE(14872)] = 712031,
  [SMALL_STATE(14873)] = 712084,
  [SMALL_STATE(14874)] = 712139,
  [SMALL_STATE(14875)] = 712172,
  [SMALL_STATE(14876)] = 712227,
  [SMALL_STATE(14877)] = 712260,
  [SMALL_STATE(14878)] = 712291,
  [SMALL_STATE(14879)] = 712322,
  [SMALL_STATE(14880)] = 712355,
  [SMALL_STATE(14881)] = 712390,
  [SMALL_STATE(14882)] = 712425,
  [SMALL_STATE(14883)] = 712466,
  [SMALL_STATE(14884)] = 712509,
  [SMALL_STATE(14885)] = 712550,
  [SMALL_STATE(14886)] = 712591,
  [SMALL_STATE(14887)] = 712646,
  [SMALL_STATE(14888)] = 712701,
  [SMALL_STATE(14889)] = 712752,
  [SMALL_STATE(14890)] = 712807,
  [SMALL_STATE(14891)] = 712862,
  [SMALL_STATE(14892)] = 712903,
  [SMALL_STATE(14893)] = 712958,
  [SMALL_STATE(14894)] = 712999,
  [SMALL_STATE(14895)] = 713040,
  [SMALL_STATE(14896)] = 713095,
  [SMALL_STATE(14897)] = 713128,
  [SMALL_STATE(14898)] = 713183,
  [SMALL_STATE(14899)] = 713234,
  [SMALL_STATE(14900)] = 713275,
  [SMALL_STATE(14901)] = 713316,
  [SMALL_STATE(14902)] = 713357,
  [SMALL_STATE(14903)] = 713390,
  [SMALL_STATE(14904)] = 713445,
  [SMALL_STATE(14905)] = 713500,
  [SMALL_STATE(14906)] = 713535,
  [SMALL_STATE(14907)] = 713570,
  [SMALL_STATE(14908)] = 713605,
  [SMALL_STATE(14909)] = 713660,
  [SMALL_STATE(14910)] = 713695,
  [SMALL_STATE(14911)] = 713728,
  [SMALL_STATE(14912)] = 713761,
  [SMALL_STATE(14913)] = 713812,
  [SMALL_STATE(14914)] = 713843,
  [SMALL_STATE(14915)] = 713878,
  [SMALL_STATE(14916)] = 713913,
  [SMALL_STATE(14917)] = 713964,
  [SMALL_STATE(14918)] = 714003,
  [SMALL_STATE(14919)] = 714044,
  [SMALL_STATE(14920)] = 714079,
  [SMALL_STATE(14921)] = 714114,
  [SMALL_STATE(14922)] = 714157,
  [SMALL_STATE(14923)] = 714200,
  [SMALL_STATE(14924)] = 714247,
  [SMALL_STATE(14925)] = 714296,
  [SMALL_STATE(14926)] = 714337,
  [SMALL_STATE(14927)] = 714390,
  [SMALL_STATE(14928)] = 714431,
  [SMALL_STATE(14929)] = 714468,
  [SMALL_STATE(14930)] = 714521,
  [SMALL_STATE(14931)] = 714552,
  [SMALL_STATE(14932)] = 714587,
  [SMALL_STATE(14933)] = 714642,
  [SMALL_STATE(14934)] = 714689,
  [SMALL_STATE(14935)] = 714744,
  [SMALL_STATE(14936)] = 714787,
  [SMALL_STATE(14937)] = 714822,
  [SMALL_STATE(14938)] = 714871,
  [SMALL_STATE(14939)] = 714912,
  [SMALL_STATE(14940)] = 714953,
  [SMALL_STATE(14941)] = 715008,
  [SMALL_STATE(14942)] = 715049,
  [SMALL_STATE(14943)] = 715084,
  [SMALL_STATE(14944)] = 715117,
  [SMALL_STATE(14945)] = 715150,
  [SMALL_STATE(14946)] = 715191,
  [SMALL_STATE(14947)] = 715246,
  [SMALL_STATE(14948)] = 715299,
  [SMALL_STATE(14949)] = 715354,
  [SMALL_STATE(14950)] = 715395,
  [SMALL_STATE(14951)] = 715427,
  [SMALL_STATE(14952)] = 715459,
  [SMALL_STATE(14953)] = 715489,
  [SMALL_STATE(14954)] = 715539,
  [SMALL_STATE(14955)] = 715585,
  [SMALL_STATE(14956)] = 715633,
  [SMALL_STATE(14957)] = 715665,
  [SMALL_STATE(14958)] = 715717,
  [SMALL_STATE(14959)] = 715765,
  [SMALL_STATE(14960)] = 715813,
  [SMALL_STATE(14961)] = 715861,
  [SMALL_STATE(14962)] = 715909,
  [SMALL_STATE(14963)] = 715939,
  [SMALL_STATE(14964)] = 715987,
  [SMALL_STATE(14965)] = 716019,
  [SMALL_STATE(14966)] = 716051,
  [SMALL_STATE(14967)] = 716081,
  [SMALL_STATE(14968)] = 716127,
  [SMALL_STATE(14969)] = 716177,
  [SMALL_STATE(14970)] = 716209,
  [SMALL_STATE(14971)] = 716241,
  [SMALL_STATE(14972)] = 716271,
  [SMALL_STATE(14973)] = 716301,
  [SMALL_STATE(14974)] = 716331,
  [SMALL_STATE(14975)] = 716361,
  [SMALL_STATE(14976)] = 716395,
  [SMALL_STATE(14977)] = 716425,
  [SMALL_STATE(14978)] = 716455,
  [SMALL_STATE(14979)] = 716507,
  [SMALL_STATE(14980)] = 716537,
  [SMALL_STATE(14981)] = 716571,
  [SMALL_STATE(14982)] = 716619,
  [SMALL_STATE(14983)] = 716649,
  [SMALL_STATE(14984)] = 716679,
  [SMALL_STATE(14985)] = 716709,
  [SMALL_STATE(14986)] = 716761,
  [SMALL_STATE(14987)] = 716809,
  [SMALL_STATE(14988)] = 716841,
  [SMALL_STATE(14989)] = 716893,
  [SMALL_STATE(14990)] = 716941,
  [SMALL_STATE(14991)] = 716973,
  [SMALL_STATE(14992)] = 717021,
  [SMALL_STATE(14993)] = 717053,
  [SMALL_STATE(14994)] = 717095,
  [SMALL_STATE(14995)] = 717127,
  [SMALL_STATE(14996)] = 717175,
  [SMALL_STATE(14997)] = 717223,
  [SMALL_STATE(14998)] = 717271,
  [SMALL_STATE(14999)] = 717319,
  [SMALL_STATE(15000)] = 717351,
  [SMALL_STATE(15001)] = 717403,
  [SMALL_STATE(15002)] = 717451,
  [SMALL_STATE(15003)] = 717499,
  [SMALL_STATE(15004)] = 717531,
  [SMALL_STATE(15005)] = 717563,
  [SMALL_STATE(15006)] = 717595,
  [SMALL_STATE(15007)] = 717641,
  [SMALL_STATE(15008)] = 717689,
  [SMALL_STATE(15009)] = 717739,
  [SMALL_STATE(15010)] = 717771,
  [SMALL_STATE(15011)] = 717823,
  [SMALL_STATE(15012)] = 717871,
  [SMALL_STATE(15013)] = 717923,
  [SMALL_STATE(15014)] = 717955,
  [SMALL_STATE(15015)] = 718003,
  [SMALL_STATE(15016)] = 718057,
  [SMALL_STATE(15017)] = 718103,
  [SMALL_STATE(15018)] = 718145,
  [SMALL_STATE(15019)] = 718175,
  [SMALL_STATE(15020)] = 718223,
  [SMALL_STATE(15021)] = 718253,
  [SMALL_STATE(15022)] = 718305,
  [SMALL_STATE(15023)] = 718357,
  [SMALL_STATE(15024)] = 718405,
  [SMALL_STATE(15025)] = 718441,
  [SMALL_STATE(15026)] = 718495,
  [SMALL_STATE(15027)] = 718525,
  [SMALL_STATE(15028)] = 718555,
  [SMALL_STATE(15029)] = 718597,
  [SMALL_STATE(15030)] = 718627,
  [SMALL_STATE(15031)] = 718679,
  [SMALL_STATE(15032)] = 718727,
  [SMALL_STATE(15033)] = 718779,
  [SMALL_STATE(15034)] = 718809,
  [SMALL_STATE(15035)] = 718839,
  [SMALL_STATE(15036)] = 718871,
  [SMALL_STATE(15037)] = 718917,
  [SMALL_STATE(15038)] = 718963,
  [SMALL_STATE(15039)] = 718995,
  [SMALL_STATE(15040)] = 719037,
  [SMALL_STATE(15041)] = 719067,
  [SMALL_STATE(15042)] = 719099,
  [SMALL_STATE(15043)] = 719129,
  [SMALL_STATE(15044)] = 719175,
  [SMALL_STATE(15045)] = 719227,
  [SMALL_STATE(15046)] = 719273,
  [SMALL_STATE(15047)] = 719321,
  [SMALL_STATE(15048)] = 719369,
  [SMALL_STATE(15049)] = 719417,
  [SMALL_STATE(15050)] = 719465,
  [SMALL_STATE(15051)] = 719511,
  [SMALL_STATE(15052)] = 719559,
  [SMALL_STATE(15053)] = 719599,
  [SMALL_STATE(15054)] = 719629,
  [SMALL_STATE(15055)] = 719679,
  [SMALL_STATE(15056)] = 719711,
  [SMALL_STATE(15057)] = 719761,
  [SMALL_STATE(15058)] = 719809,
  [SMALL_STATE(15059)] = 719857,
  [SMALL_STATE(15060)] = 719909,
  [SMALL_STATE(15061)] = 719945,
  [SMALL_STATE(15062)] = 719995,
  [SMALL_STATE(15063)] = 720027,
  [SMALL_STATE(15064)] = 720065,
  [SMALL_STATE(15065)] = 720117,
  [SMALL_STATE(15066)] = 720149,
  [SMALL_STATE(15067)] = 720199,
  [SMALL_STATE(15068)] = 720239,
  [SMALL_STATE(15069)] = 720291,
  [SMALL_STATE(15070)] = 720323,
  [SMALL_STATE(15071)] = 720371,
  [SMALL_STATE(15072)] = 720419,
  [SMALL_STATE(15073)] = 720465,
  [SMALL_STATE(15074)] = 720497,
  [SMALL_STATE(15075)] = 720537,
  [SMALL_STATE(15076)] = 720585,
  [SMALL_STATE(15077)] = 720615,
  [SMALL_STATE(15078)] = 720657,
  [SMALL_STATE(15079)] = 720709,
  [SMALL_STATE(15080)] = 720739,
  [SMALL_STATE(15081)] = 720769,
  [SMALL_STATE(15082)] = 720799,
  [SMALL_STATE(15083)] = 720831,
  [SMALL_STATE(15084)] = 720861,
  [SMALL_STATE(15085)] = 720909,
  [SMALL_STATE(15086)] = 720957,
  [SMALL_STATE(15087)] = 721007,
  [SMALL_STATE(15088)] = 721039,
  [SMALL_STATE(15089)] = 721073,
  [SMALL_STATE(15090)] = 721127,
  [SMALL_STATE(15091)] = 721179,
  [SMALL_STATE(15092)] = 721231,
  [SMALL_STATE(15093)] = 721277,
  [SMALL_STATE(15094)] = 721329,
  [SMALL_STATE(15095)] = 721359,
  [SMALL_STATE(15096)] = 721407,
  [SMALL_STATE(15097)] = 721459,
  [SMALL_STATE(15098)] = 721491,
  [SMALL_STATE(15099)] = 721521,
  [SMALL_STATE(15100)] = 721569,
  [SMALL_STATE(15101)] = 721601,
  [SMALL_STATE(15102)] = 721651,
  [SMALL_STATE(15103)] = 721681,
  [SMALL_STATE(15104)] = 721733,
  [SMALL_STATE(15105)] = 721765,
  [SMALL_STATE(15106)] = 721817,
  [SMALL_STATE(15107)] = 721865,
  [SMALL_STATE(15108)] = 721913,
  [SMALL_STATE(15109)] = 721965,
  [SMALL_STATE(15110)] = 722013,
  [SMALL_STATE(15111)] = 722045,
  [SMALL_STATE(15112)] = 722095,
  [SMALL_STATE(15113)] = 722143,
  [SMALL_STATE(15114)] = 722195,
  [SMALL_STATE(15115)] = 722247,
  [SMALL_STATE(15116)] = 722277,
  [SMALL_STATE(15117)] = 722309,
  [SMALL_STATE(15118)] = 722361,
  [SMALL_STATE(15119)] = 722413,
  [SMALL_STATE(15120)] = 722443,
  [SMALL_STATE(15121)] = 722491,
  [SMALL_STATE(15122)] = 722531,
  [SMALL_STATE(15123)] = 722579,
  [SMALL_STATE(15124)] = 722613,
  [SMALL_STATE(15125)] = 722665,
  [SMALL_STATE(15126)] = 722699,
  [SMALL_STATE(15127)] = 722741,
  [SMALL_STATE(15128)] = 722789,
  [SMALL_STATE(15129)] = 722829,
  [SMALL_STATE(15130)] = 722869,
  [SMALL_STATE(15131)] = 722917,
  [SMALL_STATE(15132)] = 722947,
  [SMALL_STATE(15133)] = 722981,
  [SMALL_STATE(15134)] = 723015,
  [SMALL_STATE(15135)] = 723057,
  [SMALL_STATE(15136)] = 723089,
  [SMALL_STATE(15137)] = 723119,
  [SMALL_STATE(15138)] = 723167,
  [SMALL_STATE(15139)] = 723199,
  [SMALL_STATE(15140)] = 723241,
  [SMALL_STATE(15141)] = 723283,
  [SMALL_STATE(15142)] = 723329,
  [SMALL_STATE(15143)] = 723377,
  [SMALL_STATE(15144)] = 723427,
  [SMALL_STATE(15145)] = 723473,
  [SMALL_STATE(15146)] = 723523,
  [SMALL_STATE(15147)] = 723555,
  [SMALL_STATE(15148)] = 723603,
  [SMALL_STATE(15149)] = 723633,
  [SMALL_STATE(15150)] = 723679,
  [SMALL_STATE(15151)] = 723715,
  [SMALL_STATE(15152)] = 723747,
  [SMALL_STATE(15153)] = 723797,
  [SMALL_STATE(15154)] = 723827,
  [SMALL_STATE(15155)] = 723879,
  [SMALL_STATE(15156)] = 723925,
  [SMALL_STATE(15157)] = 723975,
  [SMALL_STATE(15158)] = 724023,
  [SMALL_STATE(15159)] = 724067,
  [SMALL_STATE(15160)] = 724103,
  [SMALL_STATE(15161)] = 724151,
  [SMALL_STATE(15162)] = 724201,
  [SMALL_STATE(15163)] = 724237,
  [SMALL_STATE(15164)] = 724283,
  [SMALL_STATE(15165)] = 724333,
  [SMALL_STATE(15166)] = 724381,
  [SMALL_STATE(15167)] = 724429,
  [SMALL_STATE(15168)] = 724477,
  [SMALL_STATE(15169)] = 724507,
  [SMALL_STATE(15170)] = 724541,
  [SMALL_STATE(15171)] = 724573,
  [SMALL_STATE(15172)] = 724627,
  [SMALL_STATE(15173)] = 724675,
  [SMALL_STATE(15174)] = 724723,
  [SMALL_STATE(15175)] = 724763,
  [SMALL_STATE(15176)] = 724815,
  [SMALL_STATE(15177)] = 724845,
  [SMALL_STATE(15178)] = 724893,
  [SMALL_STATE(15179)] = 724923,
  [SMALL_STATE(15180)] = 724955,
  [SMALL_STATE(15181)] = 724987,
  [SMALL_STATE(15182)] = 725017,
  [SMALL_STATE(15183)] = 725049,
  [SMALL_STATE(15184)] = 725081,
  [SMALL_STATE(15185)] = 725131,
  [SMALL_STATE(15186)] = 725179,
  [SMALL_STATE(15187)] = 725211,
  [SMALL_STATE(15188)] = 725243,
  [SMALL_STATE(15189)] = 725273,
  [SMALL_STATE(15190)] = 725305,
  [SMALL_STATE(15191)] = 725337,
  [SMALL_STATE(15192)] = 725369,
  [SMALL_STATE(15193)] = 725401,
  [SMALL_STATE(15194)] = 725431,
  [SMALL_STATE(15195)] = 725482,
  [SMALL_STATE(15196)] = 725533,
  [SMALL_STATE(15197)] = 725564,
  [SMALL_STATE(15198)] = 725615,
  [SMALL_STATE(15199)] = 725666,
  [SMALL_STATE(15200)] = 725717,
  [SMALL_STATE(15201)] = 725760,
  [SMALL_STATE(15202)] = 725797,
  [SMALL_STATE(15203)] = 725848,
  [SMALL_STATE(15204)] = 725875,
  [SMALL_STATE(15205)] = 725926,
  [SMALL_STATE(15206)] = 725963,
  [SMALL_STATE(15207)] = 726006,
  [SMALL_STATE(15208)] = 726057,
  [SMALL_STATE(15209)] = 726094,
  [SMALL_STATE(15210)] = 726131,
  [SMALL_STATE(15211)] = 726162,
  [SMALL_STATE(15212)] = 726205,
  [SMALL_STATE(15213)] = 726248,
  [SMALL_STATE(15214)] = 726279,
  [SMALL_STATE(15215)] = 726316,
  [SMALL_STATE(15216)] = 726347,
  [SMALL_STATE(15217)] = 726384,
  [SMALL_STATE(15218)] = 726421,
  [SMALL_STATE(15219)] = 726452,
  [SMALL_STATE(15220)] = 726503,
  [SMALL_STATE(15221)] = 726540,
  [SMALL_STATE(15222)] = 726567,
  [SMALL_STATE(15223)] = 726604,
  [SMALL_STATE(15224)] = 726647,
  [SMALL_STATE(15225)] = 726698,
  [SMALL_STATE(15226)] = 726749,
  [SMALL_STATE(15227)] = 726778,
  [SMALL_STATE(15228)] = 726805,
  [SMALL_STATE(15229)] = 726832,
  [SMALL_STATE(15230)] = 726883,
  [SMALL_STATE(15231)] = 726920,
  [SMALL_STATE(15232)] = 726951,
  [SMALL_STATE(15233)] = 726982,
  [SMALL_STATE(15234)] = 727025,
  [SMALL_STATE(15235)] = 727053,
  [SMALL_STATE(15236)] = 727081,
  [SMALL_STATE(15237)] = 727109,
  [SMALL_STATE(15238)] = 727157,
  [SMALL_STATE(15239)] = 727191,
  [SMALL_STATE(15240)] = 727219,
  [SMALL_STATE(15241)] = 727253,
  [SMALL_STATE(15242)] = 727281,
  [SMALL_STATE(15243)] = 727315,
  [SMALL_STATE(15244)] = 727343,
  [SMALL_STATE(15245)] = 727391,
  [SMALL_STATE(15246)] = 727419,
  [SMALL_STATE(15247)] = 727447,
  [SMALL_STATE(15248)] = 727475,
  [SMALL_STATE(15249)] = 727505,
  [SMALL_STATE(15250)] = 727545,
  [SMALL_STATE(15251)] = 727573,
  [SMALL_STATE(15252)] = 727601,
  [SMALL_STATE(15253)] = 727629,
  [SMALL_STATE(15254)] = 727657,
  [SMALL_STATE(15255)] = 727705,
  [SMALL_STATE(15256)] = 727733,
  [SMALL_STATE(15257)] = 727761,
  [SMALL_STATE(15258)] = 727789,
  [SMALL_STATE(15259)] = 727831,
  [SMALL_STATE(15260)] = 727859,
  [SMALL_STATE(15261)] = 727887,
  [SMALL_STATE(15262)] = 727915,
  [SMALL_STATE(15263)] = 727943,
  [SMALL_STATE(15264)] = 727991,
  [SMALL_STATE(15265)] = 728019,
  [SMALL_STATE(15266)] = 728047,
  [SMALL_STATE(15267)] = 728095,
  [SMALL_STATE(15268)] = 728143,
  [SMALL_STATE(15269)] = 728171,
  [SMALL_STATE(15270)] = 728199,
  [SMALL_STATE(15271)] = 728237,
  [SMALL_STATE(15272)] = 728285,
  [SMALL_STATE(15273)] = 728313,
  [SMALL_STATE(15274)] = 728351,
  [SMALL_STATE(15275)] = 728379,
  [SMALL_STATE(15276)] = 728407,
  [SMALL_STATE(15277)] = 728435,
  [SMALL_STATE(15278)] = 728469,
  [SMALL_STATE(15279)] = 728497,
  [SMALL_STATE(15280)] = 728525,
  [SMALL_STATE(15281)] = 728559,
  [SMALL_STATE(15282)] = 728587,
  [SMALL_STATE(15283)] = 728615,
  [SMALL_STATE(15284)] = 728663,
  [SMALL_STATE(15285)] = 728691,
  [SMALL_STATE(15286)] = 728739,
  [SMALL_STATE(15287)] = 728787,
  [SMALL_STATE(15288)] = 728821,
  [SMALL_STATE(15289)] = 728849,
  [SMALL_STATE(15290)] = 728883,
  [SMALL_STATE(15291)] = 728917,
  [SMALL_STATE(15292)] = 728947,
  [SMALL_STATE(15293)] = 728989,
  [SMALL_STATE(15294)] = 729017,
  [SMALL_STATE(15295)] = 729045,
  [SMALL_STATE(15296)] = 729087,
  [SMALL_STATE(15297)] = 729135,
  [SMALL_STATE(15298)] = 729163,
  [SMALL_STATE(15299)] = 729211,
  [SMALL_STATE(15300)] = 729241,
  [SMALL_STATE(15301)] = 729269,
  [SMALL_STATE(15302)] = 729317,
  [SMALL_STATE(15303)] = 729345,
  [SMALL_STATE(15304)] = 729379,
  [SMALL_STATE(15305)] = 729407,
  [SMALL_STATE(15306)] = 729455,
  [SMALL_STATE(15307)] = 729483,
  [SMALL_STATE(15308)] = 729525,
  [SMALL_STATE(15309)] = 729553,
  [SMALL_STATE(15310)] = 729581,
  [SMALL_STATE(15311)] = 729620,
  [SMALL_STATE(15312)] = 729647,
  [SMALL_STATE(15313)] = 729686,
  [SMALL_STATE(15314)] = 729729,
  [SMALL_STATE(15315)] = 729768,
  [SMALL_STATE(15316)] = 729807,
  [SMALL_STATE(15317)] = 729846,
  [SMALL_STATE(15318)] = 729877,
  [SMALL_STATE(15319)] = 729916,
  [SMALL_STATE(15320)] = 729947,
  [SMALL_STATE(15321)] = 729978,
  [SMALL_STATE(15322)] = 730009,
  [SMALL_STATE(15323)] = 730036,
  [SMALL_STATE(15324)] = 730063,
  [SMALL_STATE(15325)] = 730094,
  [SMALL_STATE(15326)] = 730125,
  [SMALL_STATE(15327)] = 730156,
  [SMALL_STATE(15328)] = 730195,
  [SMALL_STATE(15329)] = 730222,
  [SMALL_STATE(15330)] = 730261,
  [SMALL_STATE(15331)] = 730300,
  [SMALL_STATE(15332)] = 730339,
  [SMALL_STATE(15333)] = 730370,
  [SMALL_STATE(15334)] = 730401,
  [SMALL_STATE(15335)] = 730432,
  [SMALL_STATE(15336)] = 730463,
  [SMALL_STATE(15337)] = 730494,
  [SMALL_STATE(15338)] = 730525,
  [SMALL_STATE(15339)] = 730556,
  [SMALL_STATE(15340)] = 730583,
  [SMALL_STATE(15341)] = 730622,
  [SMALL_STATE(15342)] = 730651,
  [SMALL_STATE(15343)] = 730682,
  [SMALL_STATE(15344)] = 730713,
  [SMALL_STATE(15345)] = 730752,
  [SMALL_STATE(15346)] = 730779,
  [SMALL_STATE(15347)] = 730818,
  [SMALL_STATE(15348)] = 730857,
  [SMALL_STATE(15349)] = 730888,
  [SMALL_STATE(15350)] = 730919,
  [SMALL_STATE(15351)] = 730946,
  [SMALL_STATE(15352)] = 730985,
  [SMALL_STATE(15353)] = 731024,
  [SMALL_STATE(15354)] = 731063,
  [SMALL_STATE(15355)] = 731102,
  [SMALL_STATE(15356)] = 731133,
  [SMALL_STATE(15357)] = 731164,
  [SMALL_STATE(15358)] = 731195,
  [SMALL_STATE(15359)] = 731222,
  [SMALL_STATE(15360)] = 731261,
  [SMALL_STATE(15361)] = 731292,
  [SMALL_STATE(15362)] = 731323,
  [SMALL_STATE(15363)] = 731362,
  [SMALL_STATE(15364)] = 731389,
  [SMALL_STATE(15365)] = 731418,
  [SMALL_STATE(15366)] = 731463,
  [SMALL_STATE(15367)] = 731490,
  [SMALL_STATE(15368)] = 731521,
  [SMALL_STATE(15369)] = 731560,
  [SMALL_STATE(15370)] = 731599,
  [SMALL_STATE(15371)] = 731630,
  [SMALL_STATE(15372)] = 731657,
  [SMALL_STATE(15373)] = 731696,
  [SMALL_STATE(15374)] = 731735,
  [SMALL_STATE(15375)] = 731780,
  [SMALL_STATE(15376)] = 731811,
  [SMALL_STATE(15377)] = 731842,
  [SMALL_STATE(15378)] = 731873,
  [SMALL_STATE(15379)] = 731904,
  [SMALL_STATE(15380)] = 731935,
  [SMALL_STATE(15381)] = 731974,
  [SMALL_STATE(15382)] = 732013,
  [SMALL_STATE(15383)] = 732052,
  [SMALL_STATE(15384)] = 732083,
  [SMALL_STATE(15385)] = 732114,
  [SMALL_STATE(15386)] = 732153,
  [SMALL_STATE(15387)] = 732184,
  [SMALL_STATE(15388)] = 732215,
  [SMALL_STATE(15389)] = 732242,
  [SMALL_STATE(15390)] = 732281,
  [SMALL_STATE(15391)] = 732312,
  [SMALL_STATE(15392)] = 732351,
  [SMALL_STATE(15393)] = 732390,
  [SMALL_STATE(15394)] = 732429,
  [SMALL_STATE(15395)] = 732456,
  [SMALL_STATE(15396)] = 732487,
  [SMALL_STATE(15397)] = 732518,
  [SMALL_STATE(15398)] = 732549,
  [SMALL_STATE(15399)] = 732594,
  [SMALL_STATE(15400)] = 732633,
  [SMALL_STATE(15401)] = 732672,
  [SMALL_STATE(15402)] = 732711,
  [SMALL_STATE(15403)] = 732738,
  [SMALL_STATE(15404)] = 732783,
  [SMALL_STATE(15405)] = 732808,
  [SMALL_STATE(15406)] = 732847,
  [SMALL_STATE(15407)] = 732878,
  [SMALL_STATE(15408)] = 732917,
  [SMALL_STATE(15409)] = 732956,
  [SMALL_STATE(15410)] = 732987,
  [SMALL_STATE(15411)] = 733018,
  [SMALL_STATE(15412)] = 733057,
  [SMALL_STATE(15413)] = 733096,
  [SMALL_STATE(15414)] = 733123,
  [SMALL_STATE(15415)] = 733166,
  [SMALL_STATE(15416)] = 733197,
  [SMALL_STATE(15417)] = 733236,
  [SMALL_STATE(15418)] = 733261,
  [SMALL_STATE(15419)] = 733306,
  [SMALL_STATE(15420)] = 733335,
  [SMALL_STATE(15421)] = 733374,
  [SMALL_STATE(15422)] = 733399,
  [SMALL_STATE(15423)] = 733424,
  [SMALL_STATE(15424)] = 733463,
  [SMALL_STATE(15425)] = 733502,
  [SMALL_STATE(15426)] = 733547,
  [SMALL_STATE(15427)] = 733574,
  [SMALL_STATE(15428)] = 733603,
  [SMALL_STATE(15429)] = 733634,
  [SMALL_STATE(15430)] = 733665,
  [SMALL_STATE(15431)] = 733690,
  [SMALL_STATE(15432)] = 733735,
  [SMALL_STATE(15433)] = 733766,
  [SMALL_STATE(15434)] = 733805,
  [SMALL_STATE(15435)] = 733844,
  [SMALL_STATE(15436)] = 733875,
  [SMALL_STATE(15437)] = 733914,
  [SMALL_STATE(15438)] = 733945,
  [SMALL_STATE(15439)] = 733976,
  [SMALL_STATE(15440)] = 734007,
  [SMALL_STATE(15441)] = 734046,
  [SMALL_STATE(15442)] = 734073,
  [SMALL_STATE(15443)] = 734100,
  [SMALL_STATE(15444)] = 734131,
  [SMALL_STATE(15445)] = 734170,
  [SMALL_STATE(15446)] = 734209,
  [SMALL_STATE(15447)] = 734240,
  [SMALL_STATE(15448)] = 734279,
  [SMALL_STATE(15449)] = 734318,
  [SMALL_STATE(15450)] = 734345,
  [SMALL_STATE(15451)] = 734384,
  [SMALL_STATE(15452)] = 734423,
  [SMALL_STATE(15453)] = 734454,
  [SMALL_STATE(15454)] = 734493,
  [SMALL_STATE(15455)] = 734538,
  [SMALL_STATE(15456)] = 734565,
  [SMALL_STATE(15457)] = 734596,
  [SMALL_STATE(15458)] = 734627,
  [SMALL_STATE(15459)] = 734666,
  [SMALL_STATE(15460)] = 734705,
  [SMALL_STATE(15461)] = 734744,
  [SMALL_STATE(15462)] = 734771,
  [SMALL_STATE(15463)] = 734810,
  [SMALL_STATE(15464)] = 734849,
  [SMALL_STATE(15465)] = 734888,
  [SMALL_STATE(15466)] = 734927,
  [SMALL_STATE(15467)] = 734956,
  [SMALL_STATE(15468)] = 734983,
  [SMALL_STATE(15469)] = 735022,
  [SMALL_STATE(15470)] = 735049,
  [SMALL_STATE(15471)] = 735080,
  [SMALL_STATE(15472)] = 735119,
  [SMALL_STATE(15473)] = 735146,
  [SMALL_STATE(15474)] = 735173,
  [SMALL_STATE(15475)] = 735212,
  [SMALL_STATE(15476)] = 735239,
  [SMALL_STATE(15477)] = 735266,
  [SMALL_STATE(15478)] = 735297,
  [SMALL_STATE(15479)] = 735328,
  [SMALL_STATE(15480)] = 735357,
  [SMALL_STATE(15481)] = 735396,
  [SMALL_STATE(15482)] = 735427,
  [SMALL_STATE(15483)] = 735466,
  [SMALL_STATE(15484)] = 735505,
  [SMALL_STATE(15485)] = 735544,
  [SMALL_STATE(15486)] = 735575,
  [SMALL_STATE(15487)] = 735614,
  [SMALL_STATE(15488)] = 735645,
  [SMALL_STATE(15489)] = 735672,
  [SMALL_STATE(15490)] = 735703,
  [SMALL_STATE(15491)] = 735730,
  [SMALL_STATE(15492)] = 735769,
  [SMALL_STATE(15493)] = 735808,
  [SMALL_STATE(15494)] = 735835,
  [SMALL_STATE(15495)] = 735862,
  [SMALL_STATE(15496)] = 735893,
  [SMALL_STATE(15497)] = 735932,
  [SMALL_STATE(15498)] = 735963,
  [SMALL_STATE(15499)] = 736002,
  [SMALL_STATE(15500)] = 736033,
  [SMALL_STATE(15501)] = 736064,
  [SMALL_STATE(15502)] = 736095,
  [SMALL_STATE(15503)] = 736126,
  [SMALL_STATE(15504)] = 736153,
  [SMALL_STATE(15505)] = 736184,
  [SMALL_STATE(15506)] = 736215,
  [SMALL_STATE(15507)] = 736246,
  [SMALL_STATE(15508)] = 736285,
  [SMALL_STATE(15509)] = 736316,
  [SMALL_STATE(15510)] = 736355,
  [SMALL_STATE(15511)] = 736386,
  [SMALL_STATE(15512)] = 736425,
  [SMALL_STATE(15513)] = 736456,
  [SMALL_STATE(15514)] = 736495,
  [SMALL_STATE(15515)] = 736536,
  [SMALL_STATE(15516)] = 736575,
  [SMALL_STATE(15517)] = 736614,
  [SMALL_STATE(15518)] = 736641,
  [SMALL_STATE(15519)] = 736680,
  [SMALL_STATE(15520)] = 736719,
  [SMALL_STATE(15521)] = 736746,
  [SMALL_STATE(15522)] = 736785,
  [SMALL_STATE(15523)] = 736824,
  [SMALL_STATE(15524)] = 736855,
  [SMALL_STATE(15525)] = 736882,
  [SMALL_STATE(15526)] = 736921,
  [SMALL_STATE(15527)] = 736960,
  [SMALL_STATE(15528)] = 736987,
  [SMALL_STATE(15529)] = 737014,
  [SMALL_STATE(15530)] = 737045,
  [SMALL_STATE(15531)] = 737074,
  [SMALL_STATE(15532)] = 737105,
  [SMALL_STATE(15533)] = 737136,
  [SMALL_STATE(15534)] = 737167,
  [SMALL_STATE(15535)] = 737192,
  [SMALL_STATE(15536)] = 737231,
  [SMALL_STATE(15537)] = 737270,
  [SMALL_STATE(15538)] = 737309,
  [SMALL_STATE(15539)] = 737348,
  [SMALL_STATE(15540)] = 737387,
  [SMALL_STATE(15541)] = 737426,
  [SMALL_STATE(15542)] = 737457,
  [SMALL_STATE(15543)] = 737484,
  [SMALL_STATE(15544)] = 737523,
  [SMALL_STATE(15545)] = 737554,
  [SMALL_STATE(15546)] = 737581,
  [SMALL_STATE(15547)] = 737612,
  [SMALL_STATE(15548)] = 737651,
  [SMALL_STATE(15549)] = 737690,
  [SMALL_STATE(15550)] = 737729,
  [SMALL_STATE(15551)] = 737756,
  [SMALL_STATE(15552)] = 737785,
  [SMALL_STATE(15553)] = 737824,
  [SMALL_STATE(15554)] = 737863,
  [SMALL_STATE(15555)] = 737902,
  [SMALL_STATE(15556)] = 737941,
  [SMALL_STATE(15557)] = 737972,
  [SMALL_STATE(15558)] = 738011,
  [SMALL_STATE(15559)] = 738042,
  [SMALL_STATE(15560)] = 738073,
  [SMALL_STATE(15561)] = 738104,
  [SMALL_STATE(15562)] = 738131,
  [SMALL_STATE(15563)] = 738162,
  [SMALL_STATE(15564)] = 738193,
  [SMALL_STATE(15565)] = 738224,
  [SMALL_STATE(15566)] = 738263,
  [SMALL_STATE(15567)] = 738294,
  [SMALL_STATE(15568)] = 738333,
  [SMALL_STATE(15569)] = 738363,
  [SMALL_STATE(15570)] = 738389,
  [SMALL_STATE(15571)] = 738415,
  [SMALL_STATE(15572)] = 738445,
  [SMALL_STATE(15573)] = 738473,
  [SMALL_STATE(15574)] = 738499,
  [SMALL_STATE(15575)] = 738525,
  [SMALL_STATE(15576)] = 738551,
  [SMALL_STATE(15577)] = 738575,
  [SMALL_STATE(15578)] = 738605,
  [SMALL_STATE(15579)] = 738631,
  [SMALL_STATE(15580)] = 738657,
  [SMALL_STATE(15581)] = 738683,
  [SMALL_STATE(15582)] = 738709,
  [SMALL_STATE(15583)] = 738737,
  [SMALL_STATE(15584)] = 738763,
  [SMALL_STATE(15585)] = 738789,
  [SMALL_STATE(15586)] = 738815,
  [SMALL_STATE(15587)] = 738841,
  [SMALL_STATE(15588)] = 738867,
  [SMALL_STATE(15589)] = 738893,
  [SMALL_STATE(15590)] = 738919,
  [SMALL_STATE(15591)] = 738945,
  [SMALL_STATE(15592)] = 738971,
  [SMALL_STATE(15593)] = 738997,
  [SMALL_STATE(15594)] = 739023,
  [SMALL_STATE(15595)] = 739049,
  [SMALL_STATE(15596)] = 739075,
  [SMALL_STATE(15597)] = 739101,
  [SMALL_STATE(15598)] = 739131,
  [SMALL_STATE(15599)] = 739157,
  [SMALL_STATE(15600)] = 739183,
  [SMALL_STATE(15601)] = 739213,
  [SMALL_STATE(15602)] = 739239,
  [SMALL_STATE(15603)] = 739269,
  [SMALL_STATE(15604)] = 739299,
  [SMALL_STATE(15605)] = 739329,
  [SMALL_STATE(15606)] = 739355,
  [SMALL_STATE(15607)] = 739379,
  [SMALL_STATE(15608)] = 739405,
  [SMALL_STATE(15609)] = 739431,
  [SMALL_STATE(15610)] = 739459,
  [SMALL_STATE(15611)] = 739485,
  [SMALL_STATE(15612)] = 739515,
  [SMALL_STATE(15613)] = 739541,
  [SMALL_STATE(15614)] = 739571,
  [SMALL_STATE(15615)] = 739597,
  [SMALL_STATE(15616)] = 739627,
  [SMALL_STATE(15617)] = 739651,
  [SMALL_STATE(15618)] = 739677,
  [SMALL_STATE(15619)] = 739703,
  [SMALL_STATE(15620)] = 739733,
  [SMALL_STATE(15621)] = 739759,
  [SMALL_STATE(15622)] = 739782,
  [SMALL_STATE(15623)] = 739811,
  [SMALL_STATE(15624)] = 739834,
  [SMALL_STATE(15625)] = 739857,
  [SMALL_STATE(15626)] = 739882,
  [SMALL_STATE(15627)] = 739905,
  [SMALL_STATE(15628)] = 739930,
  [SMALL_STATE(15629)] = 739963,
  [SMALL_STATE(15630)] = 740004,
  [SMALL_STATE(15631)] = 740031,
  [SMALL_STATE(15632)] = 740058,
  [SMALL_STATE(15633)] = 740087,
  [SMALL_STATE(15634)] = 740110,
  [SMALL_STATE(15635)] = 740133,
  [SMALL_STATE(15636)] = 740164,
  [SMALL_STATE(15637)] = 740187,
  [SMALL_STATE(15638)] = 740212,
  [SMALL_STATE(15639)] = 740253,
  [SMALL_STATE(15640)] = 740294,
  [SMALL_STATE(15641)] = 740319,
  [SMALL_STATE(15642)] = 740358,
  [SMALL_STATE(15643)] = 740399,
  [SMALL_STATE(15644)] = 740428,
  [SMALL_STATE(15645)] = 740467,
  [SMALL_STATE(15646)] = 740508,
  [SMALL_STATE(15647)] = 740531,
  [SMALL_STATE(15648)] = 740570,
  [SMALL_STATE(15649)] = 740597,
  [SMALL_STATE(15650)] = 740636,
  [SMALL_STATE(15651)] = 740659,
  [SMALL_STATE(15652)] = 740688,
  [SMALL_STATE(15653)] = 740729,
  [SMALL_STATE(15654)] = 740768,
  [SMALL_STATE(15655)] = 740791,
  [SMALL_STATE(15656)] = 740830,
  [SMALL_STATE(15657)] = 740859,
  [SMALL_STATE(15658)] = 740884,
  [SMALL_STATE(15659)] = 740907,
  [SMALL_STATE(15660)] = 740940,
  [SMALL_STATE(15661)] = 740963,
  [SMALL_STATE(15662)] = 741002,
  [SMALL_STATE(15663)] = 741025,
  [SMALL_STATE(15664)] = 741064,
  [SMALL_STATE(15665)] = 741091,
  [SMALL_STATE(15666)] = 741125,
  [SMALL_STATE(15667)] = 741159,
  [SMALL_STATE(15668)] = 741193,
  [SMALL_STATE(15669)] = 741223,
  [SMALL_STATE(15670)] = 741261,
  [SMALL_STATE(15671)] = 741291,
  [SMALL_STATE(15672)] = 741329,
  [SMALL_STATE(15673)] = 741367,
  [SMALL_STATE(15674)] = 741391,
  [SMALL_STATE(15675)] = 741415,
  [SMALL_STATE(15676)] = 741449,
  [SMALL_STATE(15677)] = 741487,
  [SMALL_STATE(15678)] = 741517,
  [SMALL_STATE(15679)] = 741555,
  [SMALL_STATE(15680)] = 741579,
  [SMALL_STATE(15681)] = 741609,
  [SMALL_STATE(15682)] = 741647,
  [SMALL_STATE(15683)] = 741685,
  [SMALL_STATE(15684)] = 741719,
  [SMALL_STATE(15685)] = 741743,
  [SMALL_STATE(15686)] = 741767,
  [SMALL_STATE(15687)] = 741805,
  [SMALL_STATE(15688)] = 741839,
  [SMALL_STATE(15689)] = 741869,
  [SMALL_STATE(15690)] = 741907,
  [SMALL_STATE(15691)] = 741931,
  [SMALL_STATE(15692)] = 741961,
  [SMALL_STATE(15693)] = 741991,
  [SMALL_STATE(15694)] = 742027,
  [SMALL_STATE(15695)] = 742065,
  [SMALL_STATE(15696)] = 742089,
  [SMALL_STATE(15697)] = 742127,
  [SMALL_STATE(15698)] = 742165,
  [SMALL_STATE(15699)] = 742195,
  [SMALL_STATE(15700)] = 742225,
  [SMALL_STATE(15701)] = 742249,
  [SMALL_STATE(15702)] = 742279,
  [SMALL_STATE(15703)] = 742317,
  [SMALL_STATE(15704)] = 742355,
  [SMALL_STATE(15705)] = 742393,
  [SMALL_STATE(15706)] = 742415,
  [SMALL_STATE(15707)] = 742451,
  [SMALL_STATE(15708)] = 742487,
  [SMALL_STATE(15709)] = 742525,
  [SMALL_STATE(15710)] = 742555,
  [SMALL_STATE(15711)] = 742585,
  [SMALL_STATE(15712)] = 742615,
  [SMALL_STATE(15713)] = 742637,
  [SMALL_STATE(15714)] = 742671,
  [SMALL_STATE(15715)] = 742695,
  [SMALL_STATE(15716)] = 742719,
  [SMALL_STATE(15717)] = 742757,
  [SMALL_STATE(15718)] = 742787,
  [SMALL_STATE(15719)] = 742825,
  [SMALL_STATE(15720)] = 742849,
  [SMALL_STATE(15721)] = 742871,
  [SMALL_STATE(15722)] = 742901,
  [SMALL_STATE(15723)] = 742931,
  [SMALL_STATE(15724)] = 742967,
  [SMALL_STATE(15725)] = 743003,
  [SMALL_STATE(15726)] = 743027,
  [SMALL_STATE(15727)] = 743061,
  [SMALL_STATE(15728)] = 743097,
  [SMALL_STATE(15729)] = 743121,
  [SMALL_STATE(15730)] = 743151,
  [SMALL_STATE(15731)] = 743189,
  [SMALL_STATE(15732)] = 743225,
  [SMALL_STATE(15733)] = 743259,
  [SMALL_STATE(15734)] = 743289,
  [SMALL_STATE(15735)] = 743327,
  [SMALL_STATE(15736)] = 743365,
  [SMALL_STATE(15737)] = 743389,
  [SMALL_STATE(15738)] = 743413,
  [SMALL_STATE(15739)] = 743447,
  [SMALL_STATE(15740)] = 743471,
  [SMALL_STATE(15741)] = 743509,
  [SMALL_STATE(15742)] = 743533,
  [SMALL_STATE(15743)] = 743557,
  [SMALL_STATE(15744)] = 743581,
  [SMALL_STATE(15745)] = 743611,
  [SMALL_STATE(15746)] = 743645,
  [SMALL_STATE(15747)] = 743675,
  [SMALL_STATE(15748)] = 743699,
  [SMALL_STATE(15749)] = 743737,
  [SMALL_STATE(15750)] = 743771,
  [SMALL_STATE(15751)] = 743795,
  [SMALL_STATE(15752)] = 743825,
  [SMALL_STATE(15753)] = 743849,
  [SMALL_STATE(15754)] = 743879,
  [SMALL_STATE(15755)] = 743903,
  [SMALL_STATE(15756)] = 743925,
  [SMALL_STATE(15757)] = 743961,
  [SMALL_STATE(15758)] = 743995,
  [SMALL_STATE(15759)] = 744025,
  [SMALL_STATE(15760)] = 744063,
  [SMALL_STATE(15761)] = 744093,
  [SMALL_STATE(15762)] = 744131,
  [SMALL_STATE(15763)] = 744155,
  [SMALL_STATE(15764)] = 744185,
  [SMALL_STATE(15765)] = 744215,
  [SMALL_STATE(15766)] = 744239,
  [SMALL_STATE(15767)] = 744263,
  [SMALL_STATE(15768)] = 744293,
  [SMALL_STATE(15769)] = 744323,
  [SMALL_STATE(15770)] = 744347,
  [SMALL_STATE(15771)] = 744377,
  [SMALL_STATE(15772)] = 744407,
  [SMALL_STATE(15773)] = 744431,
  [SMALL_STATE(15774)] = 744453,
  [SMALL_STATE(15775)] = 744483,
  [SMALL_STATE(15776)] = 744513,
  [SMALL_STATE(15777)] = 744547,
  [SMALL_STATE(15778)] = 744571,
  [SMALL_STATE(15779)] = 744609,
  [SMALL_STATE(15780)] = 744639,
  [SMALL_STATE(15781)] = 744677,
  [SMALL_STATE(15782)] = 744715,
  [SMALL_STATE(15783)] = 744745,
  [SMALL_STATE(15784)] = 744775,
  [SMALL_STATE(15785)] = 744805,
  [SMALL_STATE(15786)] = 744835,
  [SMALL_STATE(15787)] = 744859,
  [SMALL_STATE(15788)] = 744897,
  [SMALL_STATE(15789)] = 744927,
  [SMALL_STATE(15790)] = 744957,
  [SMALL_STATE(15791)] = 744981,
  [SMALL_STATE(15792)] = 745011,
  [SMALL_STATE(15793)] = 745049,
  [SMALL_STATE(15794)] = 745073,
  [SMALL_STATE(15795)] = 745107,
  [SMALL_STATE(15796)] = 745131,
  [SMALL_STATE(15797)] = 745155,
  [SMALL_STATE(15798)] = 745193,
  [SMALL_STATE(15799)] = 745227,
  [SMALL_STATE(15800)] = 745265,
  [SMALL_STATE(15801)] = 745303,
  [SMALL_STATE(15802)] = 745339,
  [SMALL_STATE(15803)] = 745363,
  [SMALL_STATE(15804)] = 745385,
  [SMALL_STATE(15805)] = 745411,
  [SMALL_STATE(15806)] = 745435,
  [SMALL_STATE(15807)] = 745465,
  [SMALL_STATE(15808)] = 745495,
  [SMALL_STATE(15809)] = 745533,
  [SMALL_STATE(15810)] = 745569,
  [SMALL_STATE(15811)] = 745593,
  [SMALL_STATE(15812)] = 745627,
  [SMALL_STATE(15813)] = 745657,
  [SMALL_STATE(15814)] = 745681,
  [SMALL_STATE(15815)] = 745705,
  [SMALL_STATE(15816)] = 745743,
  [SMALL_STATE(15817)] = 745781,
  [SMALL_STATE(15818)] = 745819,
  [SMALL_STATE(15819)] = 745841,
  [SMALL_STATE(15820)] = 745879,
  [SMALL_STATE(15821)] = 745917,
  [SMALL_STATE(15822)] = 745947,
  [SMALL_STATE(15823)] = 745977,
  [SMALL_STATE(15824)] = 746001,
  [SMALL_STATE(15825)] = 746025,
  [SMALL_STATE(15826)] = 746055,
  [SMALL_STATE(15827)] = 746079,
  [SMALL_STATE(15828)] = 746107,
  [SMALL_STATE(15829)] = 746137,
  [SMALL_STATE(15830)] = 746167,
  [SMALL_STATE(15831)] = 746205,
  [SMALL_STATE(15832)] = 746235,
  [SMALL_STATE(15833)] = 746259,
  [SMALL_STATE(15834)] = 746297,
  [SMALL_STATE(15835)] = 746331,
  [SMALL_STATE(15836)] = 746365,
  [SMALL_STATE(15837)] = 746403,
  [SMALL_STATE(15838)] = 746433,
  [SMALL_STATE(15839)] = 746471,
  [SMALL_STATE(15840)] = 746501,
  [SMALL_STATE(15841)] = 746531,
  [SMALL_STATE(15842)] = 746565,
  [SMALL_STATE(15843)] = 746603,
  [SMALL_STATE(15844)] = 746641,
  [SMALL_STATE(15845)] = 746679,
  [SMALL_STATE(15846)] = 746709,
  [SMALL_STATE(15847)] = 746743,
  [SMALL_STATE(15848)] = 746773,
  [SMALL_STATE(15849)] = 746809,
  [SMALL_STATE(15850)] = 746833,
  [SMALL_STATE(15851)] = 746857,
  [SMALL_STATE(15852)] = 746891,
  [SMALL_STATE(15853)] = 746921,
  [SMALL_STATE(15854)] = 746955,
  [SMALL_STATE(15855)] = 746993,
  [SMALL_STATE(15856)] = 747031,
  [SMALL_STATE(15857)] = 747061,
  [SMALL_STATE(15858)] = 747095,
  [SMALL_STATE(15859)] = 747125,
  [SMALL_STATE(15860)] = 747155,
  [SMALL_STATE(15861)] = 747185,
  [SMALL_STATE(15862)] = 747221,
  [SMALL_STATE(15863)] = 747259,
  [SMALL_STATE(15864)] = 747281,
  [SMALL_STATE(15865)] = 747319,
  [SMALL_STATE(15866)] = 747357,
  [SMALL_STATE(15867)] = 747383,
  [SMALL_STATE(15868)] = 747413,
  [SMALL_STATE(15869)] = 747443,
  [SMALL_STATE(15870)] = 747473,
  [SMALL_STATE(15871)] = 747503,
  [SMALL_STATE(15872)] = 747533,
  [SMALL_STATE(15873)] = 747571,
  [SMALL_STATE(15874)] = 747607,
  [SMALL_STATE(15875)] = 747637,
  [SMALL_STATE(15876)] = 747672,
  [SMALL_STATE(15877)] = 747707,
  [SMALL_STATE(15878)] = 747740,
  [SMALL_STATE(15879)] = 747765,
  [SMALL_STATE(15880)] = 747792,
  [SMALL_STATE(15881)] = 747827,
  [SMALL_STATE(15882)] = 747848,
  [SMALL_STATE(15883)] = 747871,
  [SMALL_STATE(15884)] = 747906,
  [SMALL_STATE(15885)] = 747927,
  [SMALL_STATE(15886)] = 747962,
  [SMALL_STATE(15887)] = 747995,
  [SMALL_STATE(15888)] = 748030,
  [SMALL_STATE(15889)] = 748065,
  [SMALL_STATE(15890)] = 748098,
  [SMALL_STATE(15891)] = 748131,
  [SMALL_STATE(15892)] = 748152,
  [SMALL_STATE(15893)] = 748187,
  [SMALL_STATE(15894)] = 748210,
  [SMALL_STATE(15895)] = 748235,
  [SMALL_STATE(15896)] = 748268,
  [SMALL_STATE(15897)] = 748301,
  [SMALL_STATE(15898)] = 748336,
  [SMALL_STATE(15899)] = 748359,
  [SMALL_STATE(15900)] = 748394,
  [SMALL_STATE(15901)] = 748419,
  [SMALL_STATE(15902)] = 748452,
  [SMALL_STATE(15903)] = 748485,
  [SMALL_STATE(15904)] = 748520,
  [SMALL_STATE(15905)] = 748553,
  [SMALL_STATE(15906)] = 748588,
  [SMALL_STATE(15907)] = 748621,
  [SMALL_STATE(15908)] = 748656,
  [SMALL_STATE(15909)] = 748691,
  [SMALL_STATE(15910)] = 748724,
  [SMALL_STATE(15911)] = 748757,
  [SMALL_STATE(15912)] = 748792,
  [SMALL_STATE(15913)] = 748825,
  [SMALL_STATE(15914)] = 748860,
  [SMALL_STATE(15915)] = 748893,
  [SMALL_STATE(15916)] = 748928,
  [SMALL_STATE(15917)] = 748961,
  [SMALL_STATE(15918)] = 748994,
  [SMALL_STATE(15919)] = 749029,
  [SMALL_STATE(15920)] = 749054,
  [SMALL_STATE(15921)] = 749087,
  [SMALL_STATE(15922)] = 749112,
  [SMALL_STATE(15923)] = 749145,
  [SMALL_STATE(15924)] = 749178,
  [SMALL_STATE(15925)] = 749211,
  [SMALL_STATE(15926)] = 749244,
  [SMALL_STATE(15927)] = 749277,
  [SMALL_STATE(15928)] = 749312,
  [SMALL_STATE(15929)] = 749345,
  [SMALL_STATE(15930)] = 749380,
  [SMALL_STATE(15931)] = 749413,
  [SMALL_STATE(15932)] = 749448,
  [SMALL_STATE(15933)] = 749481,
  [SMALL_STATE(15934)] = 749514,
  [SMALL_STATE(15935)] = 749549,
  [SMALL_STATE(15936)] = 749576,
  [SMALL_STATE(15937)] = 749603,
  [SMALL_STATE(15938)] = 749630,
  [SMALL_STATE(15939)] = 749657,
  [SMALL_STATE(15940)] = 749692,
  [SMALL_STATE(15941)] = 749727,
  [SMALL_STATE(15942)] = 749760,
  [SMALL_STATE(15943)] = 749783,
  [SMALL_STATE(15944)] = 749816,
  [SMALL_STATE(15945)] = 749851,
  [SMALL_STATE(15946)] = 749886,
  [SMALL_STATE(15947)] = 749911,
  [SMALL_STATE(15948)] = 749946,
  [SMALL_STATE(15949)] = 749981,
  [SMALL_STATE(15950)] = 750013,
  [SMALL_STATE(15951)] = 750045,
  [SMALL_STATE(15952)] = 750077,
  [SMALL_STATE(15953)] = 750109,
  [SMALL_STATE(15954)] = 750141,
  [SMALL_STATE(15955)] = 750173,
  [SMALL_STATE(15956)] = 750205,
  [SMALL_STATE(15957)] = 750237,
  [SMALL_STATE(15958)] = 750269,
  [SMALL_STATE(15959)] = 750301,
  [SMALL_STATE(15960)] = 750323,
  [SMALL_STATE(15961)] = 750355,
  [SMALL_STATE(15962)] = 750387,
  [SMALL_STATE(15963)] = 750411,
  [SMALL_STATE(15964)] = 750443,
  [SMALL_STATE(15965)] = 750475,
  [SMALL_STATE(15966)] = 750507,
  [SMALL_STATE(15967)] = 750539,
  [SMALL_STATE(15968)] = 750571,
  [SMALL_STATE(15969)] = 750595,
  [SMALL_STATE(15970)] = 750627,
  [SMALL_STATE(15971)] = 750659,
  [SMALL_STATE(15972)] = 750691,
  [SMALL_STATE(15973)] = 750723,
  [SMALL_STATE(15974)] = 750755,
  [SMALL_STATE(15975)] = 750787,
  [SMALL_STATE(15976)] = 750817,
  [SMALL_STATE(15977)] = 750847,
  [SMALL_STATE(15978)] = 750879,
  [SMALL_STATE(15979)] = 750911,
  [SMALL_STATE(15980)] = 750943,
  [SMALL_STATE(15981)] = 750975,
  [SMALL_STATE(15982)] = 751007,
  [SMALL_STATE(15983)] = 751039,
  [SMALL_STATE(15984)] = 751061,
  [SMALL_STATE(15985)] = 751093,
  [SMALL_STATE(15986)] = 751115,
  [SMALL_STATE(15987)] = 751137,
  [SMALL_STATE(15988)] = 751169,
  [SMALL_STATE(15989)] = 751201,
  [SMALL_STATE(15990)] = 751233,
  [SMALL_STATE(15991)] = 751265,
  [SMALL_STATE(15992)] = 751297,
  [SMALL_STATE(15993)] = 751329,
  [SMALL_STATE(15994)] = 751361,
  [SMALL_STATE(15995)] = 751393,
  [SMALL_STATE(15996)] = 751425,
  [SMALL_STATE(15997)] = 751457,
  [SMALL_STATE(15998)] = 751489,
  [SMALL_STATE(15999)] = 751521,
  [SMALL_STATE(16000)] = 751545,
  [SMALL_STATE(16001)] = 751577,
  [SMALL_STATE(16002)] = 751607,
  [SMALL_STATE(16003)] = 751639,
  [SMALL_STATE(16004)] = 751671,
  [SMALL_STATE(16005)] = 751703,
  [SMALL_STATE(16006)] = 751731,
  [SMALL_STATE(16007)] = 751753,
  [SMALL_STATE(16008)] = 751777,
  [SMALL_STATE(16009)] = 751809,
  [SMALL_STATE(16010)] = 751831,
  [SMALL_STATE(16011)] = 751863,
  [SMALL_STATE(16012)] = 751895,
  [SMALL_STATE(16013)] = 751921,
  [SMALL_STATE(16014)] = 751943,
  [SMALL_STATE(16015)] = 751975,
  [SMALL_STATE(16016)] = 752005,
  [SMALL_STATE(16017)] = 752037,
  [SMALL_STATE(16018)] = 752069,
  [SMALL_STATE(16019)] = 752101,
  [SMALL_STATE(16020)] = 752123,
  [SMALL_STATE(16021)] = 752153,
  [SMALL_STATE(16022)] = 752185,
  [SMALL_STATE(16023)] = 752207,
  [SMALL_STATE(16024)] = 752237,
  [SMALL_STATE(16025)] = 752269,
  [SMALL_STATE(16026)] = 752301,
  [SMALL_STATE(16027)] = 752333,
  [SMALL_STATE(16028)] = 752365,
  [SMALL_STATE(16029)] = 752397,
  [SMALL_STATE(16030)] = 752429,
  [SMALL_STATE(16031)] = 752459,
  [SMALL_STATE(16032)] = 752491,
  [SMALL_STATE(16033)] = 752523,
  [SMALL_STATE(16034)] = 752555,
  [SMALL_STATE(16035)] = 752587,
  [SMALL_STATE(16036)] = 752609,
  [SMALL_STATE(16037)] = 752633,
  [SMALL_STATE(16038)] = 752665,
  [SMALL_STATE(16039)] = 752697,
  [SMALL_STATE(16040)] = 752729,
  [SMALL_STATE(16041)] = 752761,
  [SMALL_STATE(16042)] = 752793,
  [SMALL_STATE(16043)] = 752825,
  [SMALL_STATE(16044)] = 752857,
  [SMALL_STATE(16045)] = 752887,
  [SMALL_STATE(16046)] = 752919,
  [SMALL_STATE(16047)] = 752949,
  [SMALL_STATE(16048)] = 752981,
  [SMALL_STATE(16049)] = 753013,
  [SMALL_STATE(16050)] = 753045,
  [SMALL_STATE(16051)] = 753075,
  [SMALL_STATE(16052)] = 753107,
  [SMALL_STATE(16053)] = 753139,
  [SMALL_STATE(16054)] = 753161,
  [SMALL_STATE(16055)] = 753193,
  [SMALL_STATE(16056)] = 753223,
  [SMALL_STATE(16057)] = 753253,
  [SMALL_STATE(16058)] = 753285,
  [SMALL_STATE(16059)] = 753317,
  [SMALL_STATE(16060)] = 753349,
  [SMALL_STATE(16061)] = 753371,
  [SMALL_STATE(16062)] = 753403,
  [SMALL_STATE(16063)] = 753435,
  [SMALL_STATE(16064)] = 753467,
  [SMALL_STATE(16065)] = 753499,
  [SMALL_STATE(16066)] = 753531,
  [SMALL_STATE(16067)] = 753563,
  [SMALL_STATE(16068)] = 753585,
  [SMALL_STATE(16069)] = 753617,
  [SMALL_STATE(16070)] = 753649,
  [SMALL_STATE(16071)] = 753681,
  [SMALL_STATE(16072)] = 753713,
  [SMALL_STATE(16073)] = 753745,
  [SMALL_STATE(16074)] = 753767,
  [SMALL_STATE(16075)] = 753799,
  [SMALL_STATE(16076)] = 753831,
  [SMALL_STATE(16077)] = 753863,
  [SMALL_STATE(16078)] = 753895,
  [SMALL_STATE(16079)] = 753917,
  [SMALL_STATE(16080)] = 753949,
  [SMALL_STATE(16081)] = 753971,
  [SMALL_STATE(16082)] = 754003,
  [SMALL_STATE(16083)] = 754025,
  [SMALL_STATE(16084)] = 754047,
  [SMALL_STATE(16085)] = 754079,
  [SMALL_STATE(16086)] = 754109,
  [SMALL_STATE(16087)] = 754141,
  [SMALL_STATE(16088)] = 754173,
  [SMALL_STATE(16089)] = 754205,
  [SMALL_STATE(16090)] = 754237,
  [SMALL_STATE(16091)] = 754269,
  [SMALL_STATE(16092)] = 754301,
  [SMALL_STATE(16093)] = 754333,
  [SMALL_STATE(16094)] = 754365,
  [SMALL_STATE(16095)] = 754397,
  [SMALL_STATE(16096)] = 754419,
  [SMALL_STATE(16097)] = 754441,
  [SMALL_STATE(16098)] = 754471,
  [SMALL_STATE(16099)] = 754503,
  [SMALL_STATE(16100)] = 754535,
  [SMALL_STATE(16101)] = 754567,
  [SMALL_STATE(16102)] = 754599,
  [SMALL_STATE(16103)] = 754631,
  [SMALL_STATE(16104)] = 754663,
  [SMALL_STATE(16105)] = 754695,
  [SMALL_STATE(16106)] = 754727,
  [SMALL_STATE(16107)] = 754759,
  [SMALL_STATE(16108)] = 754791,
  [SMALL_STATE(16109)] = 754823,
  [SMALL_STATE(16110)] = 754855,
  [SMALL_STATE(16111)] = 754875,
  [SMALL_STATE(16112)] = 754907,
  [SMALL_STATE(16113)] = 754939,
  [SMALL_STATE(16114)] = 754971,
  [SMALL_STATE(16115)] = 755003,
  [SMALL_STATE(16116)] = 755035,
  [SMALL_STATE(16117)] = 755055,
  [SMALL_STATE(16118)] = 755087,
  [SMALL_STATE(16119)] = 755119,
  [SMALL_STATE(16120)] = 755151,
  [SMALL_STATE(16121)] = 755171,
  [SMALL_STATE(16122)] = 755203,
  [SMALL_STATE(16123)] = 755235,
  [SMALL_STATE(16124)] = 755267,
  [SMALL_STATE(16125)] = 755299,
  [SMALL_STATE(16126)] = 755331,
  [SMALL_STATE(16127)] = 755363,
  [SMALL_STATE(16128)] = 755395,
  [SMALL_STATE(16129)] = 755427,
  [SMALL_STATE(16130)] = 755449,
  [SMALL_STATE(16131)] = 755471,
  [SMALL_STATE(16132)] = 755503,
  [SMALL_STATE(16133)] = 755535,
  [SMALL_STATE(16134)] = 755565,
  [SMALL_STATE(16135)] = 755597,
  [SMALL_STATE(16136)] = 755629,
  [SMALL_STATE(16137)] = 755651,
  [SMALL_STATE(16138)] = 755681,
  [SMALL_STATE(16139)] = 755703,
  [SMALL_STATE(16140)] = 755723,
  [SMALL_STATE(16141)] = 755755,
  [SMALL_STATE(16142)] = 755787,
  [SMALL_STATE(16143)] = 755819,
  [SMALL_STATE(16144)] = 755851,
  [SMALL_STATE(16145)] = 755883,
  [SMALL_STATE(16146)] = 755907,
  [SMALL_STATE(16147)] = 755927,
  [SMALL_STATE(16148)] = 755959,
  [SMALL_STATE(16149)] = 755991,
  [SMALL_STATE(16150)] = 756023,
  [SMALL_STATE(16151)] = 756055,
  [SMALL_STATE(16152)] = 756087,
  [SMALL_STATE(16153)] = 756119,
  [SMALL_STATE(16154)] = 756151,
  [SMALL_STATE(16155)] = 756183,
  [SMALL_STATE(16156)] = 756215,
  [SMALL_STATE(16157)] = 756247,
  [SMALL_STATE(16158)] = 756271,
  [SMALL_STATE(16159)] = 756303,
  [SMALL_STATE(16160)] = 756335,
  [SMALL_STATE(16161)] = 756367,
  [SMALL_STATE(16162)] = 756399,
  [SMALL_STATE(16163)] = 756429,
  [SMALL_STATE(16164)] = 756461,
  [SMALL_STATE(16165)] = 756493,
  [SMALL_STATE(16166)] = 756525,
  [SMALL_STATE(16167)] = 756547,
  [SMALL_STATE(16168)] = 756569,
  [SMALL_STATE(16169)] = 756601,
  [SMALL_STATE(16170)] = 756623,
  [SMALL_STATE(16171)] = 756653,
  [SMALL_STATE(16172)] = 756675,
  [SMALL_STATE(16173)] = 756707,
  [SMALL_STATE(16174)] = 756739,
  [SMALL_STATE(16175)] = 756761,
  [SMALL_STATE(16176)] = 756793,
  [SMALL_STATE(16177)] = 756825,
  [SMALL_STATE(16178)] = 756857,
  [SMALL_STATE(16179)] = 756879,
  [SMALL_STATE(16180)] = 756901,
  [SMALL_STATE(16181)] = 756923,
  [SMALL_STATE(16182)] = 756951,
  [SMALL_STATE(16183)] = 756983,
  [SMALL_STATE(16184)] = 757005,
  [SMALL_STATE(16185)] = 757037,
  [SMALL_STATE(16186)] = 757069,
  [SMALL_STATE(16187)] = 757101,
  [SMALL_STATE(16188)] = 757133,
  [SMALL_STATE(16189)] = 757155,
  [SMALL_STATE(16190)] = 757187,
  [SMALL_STATE(16191)] = 757219,
  [SMALL_STATE(16192)] = 757249,
  [SMALL_STATE(16193)] = 757281,
  [SMALL_STATE(16194)] = 757303,
  [SMALL_STATE(16195)] = 757335,
  [SMALL_STATE(16196)] = 757359,
  [SMALL_STATE(16197)] = 757391,
  [SMALL_STATE(16198)] = 757423,
  [SMALL_STATE(16199)] = 757455,
  [SMALL_STATE(16200)] = 757487,
  [SMALL_STATE(16201)] = 757519,
  [SMALL_STATE(16202)] = 757551,
  [SMALL_STATE(16203)] = 757573,
  [SMALL_STATE(16204)] = 757605,
  [SMALL_STATE(16205)] = 757637,
  [SMALL_STATE(16206)] = 757669,
  [SMALL_STATE(16207)] = 757699,
  [SMALL_STATE(16208)] = 757731,
  [SMALL_STATE(16209)] = 757763,
  [SMALL_STATE(16210)] = 757795,
  [SMALL_STATE(16211)] = 757827,
  [SMALL_STATE(16212)] = 757857,
  [SMALL_STATE(16213)] = 757887,
  [SMALL_STATE(16214)] = 757919,
  [SMALL_STATE(16215)] = 757951,
  [SMALL_STATE(16216)] = 757973,
  [SMALL_STATE(16217)] = 758005,
  [SMALL_STATE(16218)] = 758037,
  [SMALL_STATE(16219)] = 758069,
  [SMALL_STATE(16220)] = 758093,
  [SMALL_STATE(16221)] = 758125,
  [SMALL_STATE(16222)] = 758145,
  [SMALL_STATE(16223)] = 758177,
  [SMALL_STATE(16224)] = 758209,
  [SMALL_STATE(16225)] = 758241,
  [SMALL_STATE(16226)] = 758261,
  [SMALL_STATE(16227)] = 758283,
  [SMALL_STATE(16228)] = 758315,
  [SMALL_STATE(16229)] = 758347,
  [SMALL_STATE(16230)] = 758379,
  [SMALL_STATE(16231)] = 758411,
  [SMALL_STATE(16232)] = 758443,
  [SMALL_STATE(16233)] = 758473,
  [SMALL_STATE(16234)] = 758505,
  [SMALL_STATE(16235)] = 758529,
  [SMALL_STATE(16236)] = 758561,
  [SMALL_STATE(16237)] = 758593,
  [SMALL_STATE(16238)] = 758625,
  [SMALL_STATE(16239)] = 758657,
  [SMALL_STATE(16240)] = 758689,
  [SMALL_STATE(16241)] = 758721,
  [SMALL_STATE(16242)] = 758753,
  [SMALL_STATE(16243)] = 758785,
  [SMALL_STATE(16244)] = 758809,
  [SMALL_STATE(16245)] = 758841,
  [SMALL_STATE(16246)] = 758863,
  [SMALL_STATE(16247)] = 758895,
  [SMALL_STATE(16248)] = 758927,
  [SMALL_STATE(16249)] = 758957,
  [SMALL_STATE(16250)] = 758989,
  [SMALL_STATE(16251)] = 759021,
  [SMALL_STATE(16252)] = 759053,
  [SMALL_STATE(16253)] = 759085,
  [SMALL_STATE(16254)] = 759115,
  [SMALL_STATE(16255)] = 759139,
  [SMALL_STATE(16256)] = 759171,
  [SMALL_STATE(16257)] = 759203,
  [SMALL_STATE(16258)] = 759233,
  [SMALL_STATE(16259)] = 759265,
  [SMALL_STATE(16260)] = 759297,
  [SMALL_STATE(16261)] = 759327,
  [SMALL_STATE(16262)] = 759359,
  [SMALL_STATE(16263)] = 759391,
  [SMALL_STATE(16264)] = 759417,
  [SMALL_STATE(16265)] = 759449,
  [SMALL_STATE(16266)] = 759479,
  [SMALL_STATE(16267)] = 759511,
  [SMALL_STATE(16268)] = 759541,
  [SMALL_STATE(16269)] = 759573,
  [SMALL_STATE(16270)] = 759605,
  [SMALL_STATE(16271)] = 759637,
  [SMALL_STATE(16272)] = 759669,
  [SMALL_STATE(16273)] = 759701,
  [SMALL_STATE(16274)] = 759733,
  [SMALL_STATE(16275)] = 759757,
  [SMALL_STATE(16276)] = 759779,
  [SMALL_STATE(16277)] = 759811,
  [SMALL_STATE(16278)] = 759843,
  [SMALL_STATE(16279)] = 759875,
  [SMALL_STATE(16280)] = 759895,
  [SMALL_STATE(16281)] = 759917,
  [SMALL_STATE(16282)] = 759943,
  [SMALL_STATE(16283)] = 759975,
  [SMALL_STATE(16284)] = 760007,
  [SMALL_STATE(16285)] = 760039,
  [SMALL_STATE(16286)] = 760071,
  [SMALL_STATE(16287)] = 760103,
  [SMALL_STATE(16288)] = 760133,
  [SMALL_STATE(16289)] = 760155,
  [SMALL_STATE(16290)] = 760187,
  [SMALL_STATE(16291)] = 760209,
  [SMALL_STATE(16292)] = 760241,
  [SMALL_STATE(16293)] = 760273,
  [SMALL_STATE(16294)] = 760297,
  [SMALL_STATE(16295)] = 760321,
  [SMALL_STATE(16296)] = 760353,
  [SMALL_STATE(16297)] = 760383,
  [SMALL_STATE(16298)] = 760407,
  [SMALL_STATE(16299)] = 760429,
  [SMALL_STATE(16300)] = 760461,
  [SMALL_STATE(16301)] = 760491,
  [SMALL_STATE(16302)] = 760521,
  [SMALL_STATE(16303)] = 760543,
  [SMALL_STATE(16304)] = 760573,
  [SMALL_STATE(16305)] = 760605,
  [SMALL_STATE(16306)] = 760637,
  [SMALL_STATE(16307)] = 760667,
  [SMALL_STATE(16308)] = 760699,
  [SMALL_STATE(16309)] = 760731,
  [SMALL_STATE(16310)] = 760763,
  [SMALL_STATE(16311)] = 760792,
  [SMALL_STATE(16312)] = 760821,
  [SMALL_STATE(16313)] = 760848,
  [SMALL_STATE(16314)] = 760877,
  [SMALL_STATE(16315)] = 760906,
  [SMALL_STATE(16316)] = 760935,
  [SMALL_STATE(16317)] = 760964,
  [SMALL_STATE(16318)] = 760993,
  [SMALL_STATE(16319)] = 761022,
  [SMALL_STATE(16320)] = 761051,
  [SMALL_STATE(16321)] = 761080,
  [SMALL_STATE(16322)] = 761109,
  [SMALL_STATE(16323)] = 761138,
  [SMALL_STATE(16324)] = 761167,
  [SMALL_STATE(16325)] = 761196,
  [SMALL_STATE(16326)] = 761225,
  [SMALL_STATE(16327)] = 761254,
  [SMALL_STATE(16328)] = 761283,
  [SMALL_STATE(16329)] = 761312,
  [SMALL_STATE(16330)] = 761341,
  [SMALL_STATE(16331)] = 761370,
  [SMALL_STATE(16332)] = 761399,
  [SMALL_STATE(16333)] = 761428,
  [SMALL_STATE(16334)] = 761457,
  [SMALL_STATE(16335)] = 761486,
  [SMALL_STATE(16336)] = 761515,
  [SMALL_STATE(16337)] = 761544,
  [SMALL_STATE(16338)] = 761573,
  [SMALL_STATE(16339)] = 761602,
  [SMALL_STATE(16340)] = 761629,
  [SMALL_STATE(16341)] = 761658,
  [SMALL_STATE(16342)] = 761687,
  [SMALL_STATE(16343)] = 761708,
  [SMALL_STATE(16344)] = 761729,
  [SMALL_STATE(16345)] = 761758,
  [SMALL_STATE(16346)] = 761787,
  [SMALL_STATE(16347)] = 761808,
  [SMALL_STATE(16348)] = 761837,
  [SMALL_STATE(16349)] = 761858,
  [SMALL_STATE(16350)] = 761883,
  [SMALL_STATE(16351)] = 761906,
  [SMALL_STATE(16352)] = 761935,
  [SMALL_STATE(16353)] = 761962,
  [SMALL_STATE(16354)] = 761991,
  [SMALL_STATE(16355)] = 762020,
  [SMALL_STATE(16356)] = 762043,
  [SMALL_STATE(16357)] = 762072,
  [SMALL_STATE(16358)] = 762101,
  [SMALL_STATE(16359)] = 762122,
  [SMALL_STATE(16360)] = 762151,
  [SMALL_STATE(16361)] = 762180,
  [SMALL_STATE(16362)] = 762209,
  [SMALL_STATE(16363)] = 762238,
  [SMALL_STATE(16364)] = 762267,
  [SMALL_STATE(16365)] = 762296,
  [SMALL_STATE(16366)] = 762325,
  [SMALL_STATE(16367)] = 762354,
  [SMALL_STATE(16368)] = 762383,
  [SMALL_STATE(16369)] = 762412,
  [SMALL_STATE(16370)] = 762441,
  [SMALL_STATE(16371)] = 762462,
  [SMALL_STATE(16372)] = 762491,
  [SMALL_STATE(16373)] = 762520,
  [SMALL_STATE(16374)] = 762549,
  [SMALL_STATE(16375)] = 762578,
  [SMALL_STATE(16376)] = 762607,
  [SMALL_STATE(16377)] = 762636,
  [SMALL_STATE(16378)] = 762665,
  [SMALL_STATE(16379)] = 762694,
  [SMALL_STATE(16380)] = 762723,
  [SMALL_STATE(16381)] = 762752,
  [SMALL_STATE(16382)] = 762781,
  [SMALL_STATE(16383)] = 762810,
  [SMALL_STATE(16384)] = 762839,
  [SMALL_STATE(16385)] = 762868,
  [SMALL_STATE(16386)] = 762897,
  [SMALL_STATE(16387)] = 762926,
  [SMALL_STATE(16388)] = 762955,
  [SMALL_STATE(16389)] = 762976,
  [SMALL_STATE(16390)] = 763005,
  [SMALL_STATE(16391)] = 763034,
  [SMALL_STATE(16392)] = 763063,
  [SMALL_STATE(16393)] = 763092,
  [SMALL_STATE(16394)] = 763121,
  [SMALL_STATE(16395)] = 763150,
  [SMALL_STATE(16396)] = 763179,
  [SMALL_STATE(16397)] = 763208,
  [SMALL_STATE(16398)] = 763237,
  [SMALL_STATE(16399)] = 763266,
  [SMALL_STATE(16400)] = 763295,
  [SMALL_STATE(16401)] = 763324,
  [SMALL_STATE(16402)] = 763353,
  [SMALL_STATE(16403)] = 763382,
  [SMALL_STATE(16404)] = 763411,
  [SMALL_STATE(16405)] = 763440,
  [SMALL_STATE(16406)] = 763469,
  [SMALL_STATE(16407)] = 763498,
  [SMALL_STATE(16408)] = 763527,
  [SMALL_STATE(16409)] = 763556,
  [SMALL_STATE(16410)] = 763585,
  [SMALL_STATE(16411)] = 763614,
  [SMALL_STATE(16412)] = 763643,
  [SMALL_STATE(16413)] = 763672,
  [SMALL_STATE(16414)] = 763701,
  [SMALL_STATE(16415)] = 763730,
  [SMALL_STATE(16416)] = 763759,
  [SMALL_STATE(16417)] = 763788,
  [SMALL_STATE(16418)] = 763817,
  [SMALL_STATE(16419)] = 763846,
  [SMALL_STATE(16420)] = 763875,
  [SMALL_STATE(16421)] = 763904,
  [SMALL_STATE(16422)] = 763933,
  [SMALL_STATE(16423)] = 763962,
  [SMALL_STATE(16424)] = 763989,
  [SMALL_STATE(16425)] = 764018,
  [SMALL_STATE(16426)] = 764039,
  [SMALL_STATE(16427)] = 764068,
  [SMALL_STATE(16428)] = 764097,
  [SMALL_STATE(16429)] = 764126,
  [SMALL_STATE(16430)] = 764155,
  [SMALL_STATE(16431)] = 764184,
  [SMALL_STATE(16432)] = 764213,
  [SMALL_STATE(16433)] = 764242,
  [SMALL_STATE(16434)] = 764271,
  [SMALL_STATE(16435)] = 764296,
  [SMALL_STATE(16436)] = 764325,
  [SMALL_STATE(16437)] = 764354,
  [SMALL_STATE(16438)] = 764377,
  [SMALL_STATE(16439)] = 764406,
  [SMALL_STATE(16440)] = 764427,
  [SMALL_STATE(16441)] = 764456,
  [SMALL_STATE(16442)] = 764481,
  [SMALL_STATE(16443)] = 764510,
  [SMALL_STATE(16444)] = 764539,
  [SMALL_STATE(16445)] = 764568,
  [SMALL_STATE(16446)] = 764597,
  [SMALL_STATE(16447)] = 764618,
  [SMALL_STATE(16448)] = 764647,
  [SMALL_STATE(16449)] = 764668,
  [SMALL_STATE(16450)] = 764691,
  [SMALL_STATE(16451)] = 764712,
  [SMALL_STATE(16452)] = 764741,
  [SMALL_STATE(16453)] = 764766,
  [SMALL_STATE(16454)] = 764787,
  [SMALL_STATE(16455)] = 764816,
  [SMALL_STATE(16456)] = 764845,
  [SMALL_STATE(16457)] = 764874,
  [SMALL_STATE(16458)] = 764903,
  [SMALL_STATE(16459)] = 764930,
  [SMALL_STATE(16460)] = 764959,
  [SMALL_STATE(16461)] = 764986,
  [SMALL_STATE(16462)] = 765013,
  [SMALL_STATE(16463)] = 765040,
  [SMALL_STATE(16464)] = 765069,
  [SMALL_STATE(16465)] = 765098,
  [SMALL_STATE(16466)] = 765127,
  [SMALL_STATE(16467)] = 765148,
  [SMALL_STATE(16468)] = 765177,
  [SMALL_STATE(16469)] = 765206,
  [SMALL_STATE(16470)] = 765235,
  [SMALL_STATE(16471)] = 765264,
  [SMALL_STATE(16472)] = 765293,
  [SMALL_STATE(16473)] = 765322,
  [SMALL_STATE(16474)] = 765351,
  [SMALL_STATE(16475)] = 765380,
  [SMALL_STATE(16476)] = 765401,
  [SMALL_STATE(16477)] = 765430,
  [SMALL_STATE(16478)] = 765459,
  [SMALL_STATE(16479)] = 765488,
  [SMALL_STATE(16480)] = 765509,
  [SMALL_STATE(16481)] = 765530,
  [SMALL_STATE(16482)] = 765559,
  [SMALL_STATE(16483)] = 765586,
  [SMALL_STATE(16484)] = 765613,
  [SMALL_STATE(16485)] = 765642,
  [SMALL_STATE(16486)] = 765671,
  [SMALL_STATE(16487)] = 765700,
  [SMALL_STATE(16488)] = 765729,
  [SMALL_STATE(16489)] = 765758,
  [SMALL_STATE(16490)] = 765787,
  [SMALL_STATE(16491)] = 765808,
  [SMALL_STATE(16492)] = 765829,
  [SMALL_STATE(16493)] = 765858,
  [SMALL_STATE(16494)] = 765883,
  [SMALL_STATE(16495)] = 765912,
  [SMALL_STATE(16496)] = 765939,
  [SMALL_STATE(16497)] = 765966,
  [SMALL_STATE(16498)] = 765993,
  [SMALL_STATE(16499)] = 766020,
  [SMALL_STATE(16500)] = 766049,
  [SMALL_STATE(16501)] = 766078,
  [SMALL_STATE(16502)] = 766107,
  [SMALL_STATE(16503)] = 766136,
  [SMALL_STATE(16504)] = 766157,
  [SMALL_STATE(16505)] = 766186,
  [SMALL_STATE(16506)] = 766213,
  [SMALL_STATE(16507)] = 766240,
  [SMALL_STATE(16508)] = 766269,
  [SMALL_STATE(16509)] = 766290,
  [SMALL_STATE(16510)] = 766311,
  [SMALL_STATE(16511)] = 766332,
  [SMALL_STATE(16512)] = 766361,
  [SMALL_STATE(16513)] = 766382,
  [SMALL_STATE(16514)] = 766409,
  [SMALL_STATE(16515)] = 766430,
  [SMALL_STATE(16516)] = 766451,
  [SMALL_STATE(16517)] = 766480,
  [SMALL_STATE(16518)] = 766501,
  [SMALL_STATE(16519)] = 766530,
  [SMALL_STATE(16520)] = 766559,
  [SMALL_STATE(16521)] = 766586,
  [SMALL_STATE(16522)] = 766613,
  [SMALL_STATE(16523)] = 766640,
  [SMALL_STATE(16524)] = 766667,
  [SMALL_STATE(16525)] = 766696,
  [SMALL_STATE(16526)] = 766717,
  [SMALL_STATE(16527)] = 766746,
  [SMALL_STATE(16528)] = 766775,
  [SMALL_STATE(16529)] = 766804,
  [SMALL_STATE(16530)] = 766825,
  [SMALL_STATE(16531)] = 766854,
  [SMALL_STATE(16532)] = 766875,
  [SMALL_STATE(16533)] = 766896,
  [SMALL_STATE(16534)] = 766925,
  [SMALL_STATE(16535)] = 766954,
  [SMALL_STATE(16536)] = 766975,
  [SMALL_STATE(16537)] = 767004,
  [SMALL_STATE(16538)] = 767033,
  [SMALL_STATE(16539)] = 767060,
  [SMALL_STATE(16540)] = 767087,
  [SMALL_STATE(16541)] = 767114,
  [SMALL_STATE(16542)] = 767141,
  [SMALL_STATE(16543)] = 767162,
  [SMALL_STATE(16544)] = 767183,
  [SMALL_STATE(16545)] = 767212,
  [SMALL_STATE(16546)] = 767239,
  [SMALL_STATE(16547)] = 767268,
  [SMALL_STATE(16548)] = 767297,
  [SMALL_STATE(16549)] = 767326,
  [SMALL_STATE(16550)] = 767355,
  [SMALL_STATE(16551)] = 767384,
  [SMALL_STATE(16552)] = 767413,
  [SMALL_STATE(16553)] = 767434,
  [SMALL_STATE(16554)] = 767455,
  [SMALL_STATE(16555)] = 767476,
  [SMALL_STATE(16556)] = 767497,
  [SMALL_STATE(16557)] = 767526,
  [SMALL_STATE(16558)] = 767555,
  [SMALL_STATE(16559)] = 767576,
  [SMALL_STATE(16560)] = 767605,
  [SMALL_STATE(16561)] = 767626,
  [SMALL_STATE(16562)] = 767647,
  [SMALL_STATE(16563)] = 767668,
  [SMALL_STATE(16564)] = 767689,
  [SMALL_STATE(16565)] = 767718,
  [SMALL_STATE(16566)] = 767739,
  [SMALL_STATE(16567)] = 767768,
  [SMALL_STATE(16568)] = 767789,
  [SMALL_STATE(16569)] = 767818,
  [SMALL_STATE(16570)] = 767839,
  [SMALL_STATE(16571)] = 767868,
  [SMALL_STATE(16572)] = 767889,
  [SMALL_STATE(16573)] = 767918,
  [SMALL_STATE(16574)] = 767939,
  [SMALL_STATE(16575)] = 767968,
  [SMALL_STATE(16576)] = 767997,
  [SMALL_STATE(16577)] = 768026,
  [SMALL_STATE(16578)] = 768055,
  [SMALL_STATE(16579)] = 768084,
  [SMALL_STATE(16580)] = 768105,
  [SMALL_STATE(16581)] = 768126,
  [SMALL_STATE(16582)] = 768147,
  [SMALL_STATE(16583)] = 768176,
  [SMALL_STATE(16584)] = 768197,
  [SMALL_STATE(16585)] = 768218,
  [SMALL_STATE(16586)] = 768247,
  [SMALL_STATE(16587)] = 768268,
  [SMALL_STATE(16588)] = 768289,
  [SMALL_STATE(16589)] = 768318,
  [SMALL_STATE(16590)] = 768339,
  [SMALL_STATE(16591)] = 768360,
  [SMALL_STATE(16592)] = 768381,
  [SMALL_STATE(16593)] = 768402,
  [SMALL_STATE(16594)] = 768431,
  [SMALL_STATE(16595)] = 768460,
  [SMALL_STATE(16596)] = 768489,
  [SMALL_STATE(16597)] = 768510,
  [SMALL_STATE(16598)] = 768531,
  [SMALL_STATE(16599)] = 768552,
  [SMALL_STATE(16600)] = 768573,
  [SMALL_STATE(16601)] = 768602,
  [SMALL_STATE(16602)] = 768623,
  [SMALL_STATE(16603)] = 768652,
  [SMALL_STATE(16604)] = 768681,
  [SMALL_STATE(16605)] = 768702,
  [SMALL_STATE(16606)] = 768731,
  [SMALL_STATE(16607)] = 768752,
  [SMALL_STATE(16608)] = 768781,
  [SMALL_STATE(16609)] = 768810,
  [SMALL_STATE(16610)] = 768839,
  [SMALL_STATE(16611)] = 768860,
  [SMALL_STATE(16612)] = 768887,
  [SMALL_STATE(16613)] = 768908,
  [SMALL_STATE(16614)] = 768937,
  [SMALL_STATE(16615)] = 768966,
  [SMALL_STATE(16616)] = 768995,
  [SMALL_STATE(16617)] = 769024,
  [SMALL_STATE(16618)] = 769049,
  [SMALL_STATE(16619)] = 769078,
  [SMALL_STATE(16620)] = 769107,
  [SMALL_STATE(16621)] = 769136,
  [SMALL_STATE(16622)] = 769165,
  [SMALL_STATE(16623)] = 769186,
  [SMALL_STATE(16624)] = 769215,
  [SMALL_STATE(16625)] = 769236,
  [SMALL_STATE(16626)] = 769257,
  [SMALL_STATE(16627)] = 769278,
  [SMALL_STATE(16628)] = 769299,
  [SMALL_STATE(16629)] = 769328,
  [SMALL_STATE(16630)] = 769355,
  [SMALL_STATE(16631)] = 769380,
  [SMALL_STATE(16632)] = 769403,
  [SMALL_STATE(16633)] = 769432,
  [SMALL_STATE(16634)] = 769453,
  [SMALL_STATE(16635)] = 769478,
  [SMALL_STATE(16636)] = 769507,
  [SMALL_STATE(16637)] = 769536,
  [SMALL_STATE(16638)] = 769557,
  [SMALL_STATE(16639)] = 769586,
  [SMALL_STATE(16640)] = 769607,
  [SMALL_STATE(16641)] = 769630,
  [SMALL_STATE(16642)] = 769651,
  [SMALL_STATE(16643)] = 769672,
  [SMALL_STATE(16644)] = 769693,
  [SMALL_STATE(16645)] = 769720,
  [SMALL_STATE(16646)] = 769741,
  [SMALL_STATE(16647)] = 769770,
  [SMALL_STATE(16648)] = 769799,
  [SMALL_STATE(16649)] = 769828,
  [SMALL_STATE(16650)] = 769857,
  [SMALL_STATE(16651)] = 769886,
  [SMALL_STATE(16652)] = 769915,
  [SMALL_STATE(16653)] = 769944,
  [SMALL_STATE(16654)] = 769973,
  [SMALL_STATE(16655)] = 770002,
  [SMALL_STATE(16656)] = 770025,
  [SMALL_STATE(16657)] = 770046,
  [SMALL_STATE(16658)] = 770067,
  [SMALL_STATE(16659)] = 770096,
  [SMALL_STATE(16660)] = 770117,
  [SMALL_STATE(16661)] = 770146,
  [SMALL_STATE(16662)] = 770175,
  [SMALL_STATE(16663)] = 770204,
  [SMALL_STATE(16664)] = 770233,
  [SMALL_STATE(16665)] = 770262,
  [SMALL_STATE(16666)] = 770291,
  [SMALL_STATE(16667)] = 770320,
  [SMALL_STATE(16668)] = 770349,
  [SMALL_STATE(16669)] = 770378,
  [SMALL_STATE(16670)] = 770407,
  [SMALL_STATE(16671)] = 770436,
  [SMALL_STATE(16672)] = 770465,
  [SMALL_STATE(16673)] = 770494,
  [SMALL_STATE(16674)] = 770523,
  [SMALL_STATE(16675)] = 770552,
  [SMALL_STATE(16676)] = 770581,
  [SMALL_STATE(16677)] = 770608,
  [SMALL_STATE(16678)] = 770637,
  [SMALL_STATE(16679)] = 770658,
  [SMALL_STATE(16680)] = 770687,
  [SMALL_STATE(16681)] = 770708,
  [SMALL_STATE(16682)] = 770729,
  [SMALL_STATE(16683)] = 770750,
  [SMALL_STATE(16684)] = 770779,
  [SMALL_STATE(16685)] = 770800,
  [SMALL_STATE(16686)] = 770821,
  [SMALL_STATE(16687)] = 770842,
  [SMALL_STATE(16688)] = 770871,
  [SMALL_STATE(16689)] = 770892,
  [SMALL_STATE(16690)] = 770921,
  [SMALL_STATE(16691)] = 770950,
  [SMALL_STATE(16692)] = 770979,
  [SMALL_STATE(16693)] = 771008,
  [SMALL_STATE(16694)] = 771037,
  [SMALL_STATE(16695)] = 771066,
  [SMALL_STATE(16696)] = 771089,
  [SMALL_STATE(16697)] = 771118,
  [SMALL_STATE(16698)] = 771147,
  [SMALL_STATE(16699)] = 771176,
  [SMALL_STATE(16700)] = 771203,
  [SMALL_STATE(16701)] = 771232,
  [SMALL_STATE(16702)] = 771261,
  [SMALL_STATE(16703)] = 771288,
  [SMALL_STATE(16704)] = 771315,
  [SMALL_STATE(16705)] = 771344,
  [SMALL_STATE(16706)] = 771371,
  [SMALL_STATE(16707)] = 771392,
  [SMALL_STATE(16708)] = 771418,
  [SMALL_STATE(16709)] = 771444,
  [SMALL_STATE(16710)] = 771470,
  [SMALL_STATE(16711)] = 771496,
  [SMALL_STATE(16712)] = 771518,
  [SMALL_STATE(16713)] = 771544,
  [SMALL_STATE(16714)] = 771570,
  [SMALL_STATE(16715)] = 771596,
  [SMALL_STATE(16716)] = 771622,
  [SMALL_STATE(16717)] = 771646,
  [SMALL_STATE(16718)] = 771672,
  [SMALL_STATE(16719)] = 771698,
  [SMALL_STATE(16720)] = 771722,
  [SMALL_STATE(16721)] = 771748,
  [SMALL_STATE(16722)] = 771774,
  [SMALL_STATE(16723)] = 771800,
  [SMALL_STATE(16724)] = 771826,
  [SMALL_STATE(16725)] = 771852,
  [SMALL_STATE(16726)] = 771874,
  [SMALL_STATE(16727)] = 771900,
  [SMALL_STATE(16728)] = 771926,
  [SMALL_STATE(16729)] = 771952,
  [SMALL_STATE(16730)] = 771976,
  [SMALL_STATE(16731)] = 772002,
  [SMALL_STATE(16732)] = 772028,
  [SMALL_STATE(16733)] = 772054,
  [SMALL_STATE(16734)] = 772076,
  [SMALL_STATE(16735)] = 772102,
  [SMALL_STATE(16736)] = 772126,
  [SMALL_STATE(16737)] = 772152,
  [SMALL_STATE(16738)] = 772178,
  [SMALL_STATE(16739)] = 772204,
  [SMALL_STATE(16740)] = 772230,
  [SMALL_STATE(16741)] = 772256,
  [SMALL_STATE(16742)] = 772282,
  [SMALL_STATE(16743)] = 772308,
  [SMALL_STATE(16744)] = 772334,
  [SMALL_STATE(16745)] = 772360,
  [SMALL_STATE(16746)] = 772386,
  [SMALL_STATE(16747)] = 772412,
  [SMALL_STATE(16748)] = 772438,
  [SMALL_STATE(16749)] = 772464,
  [SMALL_STATE(16750)] = 772488,
  [SMALL_STATE(16751)] = 772514,
  [SMALL_STATE(16752)] = 772538,
  [SMALL_STATE(16753)] = 772562,
  [SMALL_STATE(16754)] = 772586,
  [SMALL_STATE(16755)] = 772608,
  [SMALL_STATE(16756)] = 772634,
  [SMALL_STATE(16757)] = 772654,
  [SMALL_STATE(16758)] = 772674,
  [SMALL_STATE(16759)] = 772700,
  [SMALL_STATE(16760)] = 772726,
  [SMALL_STATE(16761)] = 772752,
  [SMALL_STATE(16762)] = 772776,
  [SMALL_STATE(16763)] = 772802,
  [SMALL_STATE(16764)] = 772828,
  [SMALL_STATE(16765)] = 772854,
  [SMALL_STATE(16766)] = 772880,
  [SMALL_STATE(16767)] = 772906,
  [SMALL_STATE(16768)] = 772932,
  [SMALL_STATE(16769)] = 772956,
  [SMALL_STATE(16770)] = 772974,
  [SMALL_STATE(16771)] = 772998,
  [SMALL_STATE(16772)] = 773022,
  [SMALL_STATE(16773)] = 773048,
  [SMALL_STATE(16774)] = 773070,
  [SMALL_STATE(16775)] = 773096,
  [SMALL_STATE(16776)] = 773122,
  [SMALL_STATE(16777)] = 773148,
  [SMALL_STATE(16778)] = 773174,
  [SMALL_STATE(16779)] = 773200,
  [SMALL_STATE(16780)] = 773226,
  [SMALL_STATE(16781)] = 773252,
  [SMALL_STATE(16782)] = 773278,
  [SMALL_STATE(16783)] = 773304,
  [SMALL_STATE(16784)] = 773330,
  [SMALL_STATE(16785)] = 773356,
  [SMALL_STATE(16786)] = 773382,
  [SMALL_STATE(16787)] = 773408,
  [SMALL_STATE(16788)] = 773434,
  [SMALL_STATE(16789)] = 773460,
  [SMALL_STATE(16790)] = 773486,
  [SMALL_STATE(16791)] = 773512,
  [SMALL_STATE(16792)] = 773538,
  [SMALL_STATE(16793)] = 773564,
  [SMALL_STATE(16794)] = 773590,
  [SMALL_STATE(16795)] = 773616,
  [SMALL_STATE(16796)] = 773642,
  [SMALL_STATE(16797)] = 773668,
  [SMALL_STATE(16798)] = 773694,
  [SMALL_STATE(16799)] = 773720,
  [SMALL_STATE(16800)] = 773746,
  [SMALL_STATE(16801)] = 773772,
  [SMALL_STATE(16802)] = 773798,
  [SMALL_STATE(16803)] = 773820,
  [SMALL_STATE(16804)] = 773846,
  [SMALL_STATE(16805)] = 773872,
  [SMALL_STATE(16806)] = 773898,
  [SMALL_STATE(16807)] = 773924,
  [SMALL_STATE(16808)] = 773950,
  [SMALL_STATE(16809)] = 773976,
  [SMALL_STATE(16810)] = 774002,
  [SMALL_STATE(16811)] = 774028,
  [SMALL_STATE(16812)] = 774054,
  [SMALL_STATE(16813)] = 774072,
  [SMALL_STATE(16814)] = 774096,
  [SMALL_STATE(16815)] = 774122,
  [SMALL_STATE(16816)] = 774140,
  [SMALL_STATE(16817)] = 774158,
  [SMALL_STATE(16818)] = 774182,
  [SMALL_STATE(16819)] = 774208,
  [SMALL_STATE(16820)] = 774226,
  [SMALL_STATE(16821)] = 774252,
  [SMALL_STATE(16822)] = 774278,
  [SMALL_STATE(16823)] = 774304,
  [SMALL_STATE(16824)] = 774328,
  [SMALL_STATE(16825)] = 774354,
  [SMALL_STATE(16826)] = 774380,
  [SMALL_STATE(16827)] = 774406,
  [SMALL_STATE(16828)] = 774432,
  [SMALL_STATE(16829)] = 774458,
  [SMALL_STATE(16830)] = 774484,
  [SMALL_STATE(16831)] = 774510,
  [SMALL_STATE(16832)] = 774536,
  [SMALL_STATE(16833)] = 774562,
  [SMALL_STATE(16834)] = 774588,
  [SMALL_STATE(16835)] = 774614,
  [SMALL_STATE(16836)] = 774640,
  [SMALL_STATE(16837)] = 774664,
  [SMALL_STATE(16838)] = 774690,
  [SMALL_STATE(16839)] = 774716,
  [SMALL_STATE(16840)] = 774742,
  [SMALL_STATE(16841)] = 774768,
  [SMALL_STATE(16842)] = 774792,
  [SMALL_STATE(16843)] = 774818,
  [SMALL_STATE(16844)] = 774844,
  [SMALL_STATE(16845)] = 774870,
  [SMALL_STATE(16846)] = 774896,
  [SMALL_STATE(16847)] = 774920,
  [SMALL_STATE(16848)] = 774946,
  [SMALL_STATE(16849)] = 774972,
  [SMALL_STATE(16850)] = 774994,
  [SMALL_STATE(16851)] = 775020,
  [SMALL_STATE(16852)] = 775046,
  [SMALL_STATE(16853)] = 775072,
  [SMALL_STATE(16854)] = 775098,
  [SMALL_STATE(16855)] = 775124,
  [SMALL_STATE(16856)] = 775150,
  [SMALL_STATE(16857)] = 775176,
  [SMALL_STATE(16858)] = 775202,
  [SMALL_STATE(16859)] = 775228,
  [SMALL_STATE(16860)] = 775254,
  [SMALL_STATE(16861)] = 775280,
  [SMALL_STATE(16862)] = 775306,
  [SMALL_STATE(16863)] = 775332,
  [SMALL_STATE(16864)] = 775358,
  [SMALL_STATE(16865)] = 775384,
  [SMALL_STATE(16866)] = 775410,
  [SMALL_STATE(16867)] = 775436,
  [SMALL_STATE(16868)] = 775462,
  [SMALL_STATE(16869)] = 775488,
  [SMALL_STATE(16870)] = 775514,
  [SMALL_STATE(16871)] = 775540,
  [SMALL_STATE(16872)] = 775566,
  [SMALL_STATE(16873)] = 775592,
  [SMALL_STATE(16874)] = 775618,
  [SMALL_STATE(16875)] = 775636,
  [SMALL_STATE(16876)] = 775654,
  [SMALL_STATE(16877)] = 775678,
  [SMALL_STATE(16878)] = 775704,
  [SMALL_STATE(16879)] = 775730,
  [SMALL_STATE(16880)] = 775756,
  [SMALL_STATE(16881)] = 775778,
  [SMALL_STATE(16882)] = 775800,
  [SMALL_STATE(16883)] = 775822,
  [SMALL_STATE(16884)] = 775844,
  [SMALL_STATE(16885)] = 775870,
  [SMALL_STATE(16886)] = 775896,
  [SMALL_STATE(16887)] = 775920,
  [SMALL_STATE(16888)] = 775944,
  [SMALL_STATE(16889)] = 775970,
  [SMALL_STATE(16890)] = 775996,
  [SMALL_STATE(16891)] = 776018,
  [SMALL_STATE(16892)] = 776044,
  [SMALL_STATE(16893)] = 776066,
  [SMALL_STATE(16894)] = 776092,
  [SMALL_STATE(16895)] = 776114,
  [SMALL_STATE(16896)] = 776140,
  [SMALL_STATE(16897)] = 776166,
  [SMALL_STATE(16898)] = 776192,
  [SMALL_STATE(16899)] = 776218,
  [SMALL_STATE(16900)] = 776244,
  [SMALL_STATE(16901)] = 776270,
  [SMALL_STATE(16902)] = 776296,
  [SMALL_STATE(16903)] = 776322,
  [SMALL_STATE(16904)] = 776348,
  [SMALL_STATE(16905)] = 776374,
  [SMALL_STATE(16906)] = 776400,
  [SMALL_STATE(16907)] = 776426,
  [SMALL_STATE(16908)] = 776452,
  [SMALL_STATE(16909)] = 776478,
  [SMALL_STATE(16910)] = 776504,
  [SMALL_STATE(16911)] = 776530,
  [SMALL_STATE(16912)] = 776556,
  [SMALL_STATE(16913)] = 776582,
  [SMALL_STATE(16914)] = 776604,
  [SMALL_STATE(16915)] = 776630,
  [SMALL_STATE(16916)] = 776652,
  [SMALL_STATE(16917)] = 776674,
  [SMALL_STATE(16918)] = 776696,
  [SMALL_STATE(16919)] = 776718,
  [SMALL_STATE(16920)] = 776742,
  [SMALL_STATE(16921)] = 776764,
  [SMALL_STATE(16922)] = 776790,
  [SMALL_STATE(16923)] = 776816,
  [SMALL_STATE(16924)] = 776842,
  [SMALL_STATE(16925)] = 776866,
  [SMALL_STATE(16926)] = 776892,
  [SMALL_STATE(16927)] = 776915,
  [SMALL_STATE(16928)] = 776938,
  [SMALL_STATE(16929)] = 776961,
  [SMALL_STATE(16930)] = 776984,
  [SMALL_STATE(16931)] = 777007,
  [SMALL_STATE(16932)] = 777030,
  [SMALL_STATE(16933)] = 777053,
  [SMALL_STATE(16934)] = 777076,
  [SMALL_STATE(16935)] = 777099,
  [SMALL_STATE(16936)] = 777122,
  [SMALL_STATE(16937)] = 777145,
  [SMALL_STATE(16938)] = 777168,
  [SMALL_STATE(16939)] = 777187,
  [SMALL_STATE(16940)] = 777210,
  [SMALL_STATE(16941)] = 777233,
  [SMALL_STATE(16942)] = 777256,
  [SMALL_STATE(16943)] = 777275,
  [SMALL_STATE(16944)] = 777298,
  [SMALL_STATE(16945)] = 777321,
  [SMALL_STATE(16946)] = 777344,
  [SMALL_STATE(16947)] = 777367,
  [SMALL_STATE(16948)] = 777390,
  [SMALL_STATE(16949)] = 777413,
  [SMALL_STATE(16950)] = 777436,
  [SMALL_STATE(16951)] = 777459,
  [SMALL_STATE(16952)] = 777482,
  [SMALL_STATE(16953)] = 777505,
  [SMALL_STATE(16954)] = 777528,
  [SMALL_STATE(16955)] = 777551,
  [SMALL_STATE(16956)] = 777574,
  [SMALL_STATE(16957)] = 777593,
  [SMALL_STATE(16958)] = 777616,
  [SMALL_STATE(16959)] = 777639,
  [SMALL_STATE(16960)] = 777662,
  [SMALL_STATE(16961)] = 777685,
  [SMALL_STATE(16962)] = 777708,
  [SMALL_STATE(16963)] = 777731,
  [SMALL_STATE(16964)] = 777754,
  [SMALL_STATE(16965)] = 777777,
  [SMALL_STATE(16966)] = 777800,
  [SMALL_STATE(16967)] = 777821,
  [SMALL_STATE(16968)] = 777840,
  [SMALL_STATE(16969)] = 777863,
  [SMALL_STATE(16970)] = 777886,
  [SMALL_STATE(16971)] = 777909,
  [SMALL_STATE(16972)] = 777932,
  [SMALL_STATE(16973)] = 777955,
  [SMALL_STATE(16974)] = 777978,
  [SMALL_STATE(16975)] = 778001,
  [SMALL_STATE(16976)] = 778024,
  [SMALL_STATE(16977)] = 778047,
  [SMALL_STATE(16978)] = 778070,
  [SMALL_STATE(16979)] = 778093,
  [SMALL_STATE(16980)] = 778116,
  [SMALL_STATE(16981)] = 778139,
  [SMALL_STATE(16982)] = 778162,
  [SMALL_STATE(16983)] = 778185,
  [SMALL_STATE(16984)] = 778208,
  [SMALL_STATE(16985)] = 778231,
  [SMALL_STATE(16986)] = 778254,
  [SMALL_STATE(16987)] = 778277,
  [SMALL_STATE(16988)] = 778300,
  [SMALL_STATE(16989)] = 778323,
  [SMALL_STATE(16990)] = 778346,
  [SMALL_STATE(16991)] = 778369,
  [SMALL_STATE(16992)] = 778392,
  [SMALL_STATE(16993)] = 778415,
  [SMALL_STATE(16994)] = 778438,
  [SMALL_STATE(16995)] = 778461,
  [SMALL_STATE(16996)] = 778484,
  [SMALL_STATE(16997)] = 778503,
  [SMALL_STATE(16998)] = 778524,
  [SMALL_STATE(16999)] = 778547,
  [SMALL_STATE(17000)] = 778570,
  [SMALL_STATE(17001)] = 778593,
  [SMALL_STATE(17002)] = 778616,
  [SMALL_STATE(17003)] = 778639,
  [SMALL_STATE(17004)] = 778662,
  [SMALL_STATE(17005)] = 778685,
  [SMALL_STATE(17006)] = 778708,
  [SMALL_STATE(17007)] = 778731,
  [SMALL_STATE(17008)] = 778754,
  [SMALL_STATE(17009)] = 778777,
  [SMALL_STATE(17010)] = 778800,
  [SMALL_STATE(17011)] = 778823,
  [SMALL_STATE(17012)] = 778846,
  [SMALL_STATE(17013)] = 778867,
  [SMALL_STATE(17014)] = 778890,
  [SMALL_STATE(17015)] = 778913,
  [SMALL_STATE(17016)] = 778936,
  [SMALL_STATE(17017)] = 778959,
  [SMALL_STATE(17018)] = 778982,
  [SMALL_STATE(17019)] = 779005,
  [SMALL_STATE(17020)] = 779028,
  [SMALL_STATE(17021)] = 779051,
  [SMALL_STATE(17022)] = 779074,
  [SMALL_STATE(17023)] = 779097,
  [SMALL_STATE(17024)] = 779120,
  [SMALL_STATE(17025)] = 779139,
  [SMALL_STATE(17026)] = 779160,
  [SMALL_STATE(17027)] = 779183,
  [SMALL_STATE(17028)] = 779206,
  [SMALL_STATE(17029)] = 779229,
  [SMALL_STATE(17030)] = 779252,
  [SMALL_STATE(17031)] = 779275,
  [SMALL_STATE(17032)] = 779298,
  [SMALL_STATE(17033)] = 779321,
  [SMALL_STATE(17034)] = 779344,
  [SMALL_STATE(17035)] = 779367,
  [SMALL_STATE(17036)] = 779390,
  [SMALL_STATE(17037)] = 779413,
  [SMALL_STATE(17038)] = 779436,
  [SMALL_STATE(17039)] = 779459,
  [SMALL_STATE(17040)] = 779480,
  [SMALL_STATE(17041)] = 779503,
  [SMALL_STATE(17042)] = 779526,
  [SMALL_STATE(17043)] = 779547,
  [SMALL_STATE(17044)] = 779570,
  [SMALL_STATE(17045)] = 779593,
  [SMALL_STATE(17046)] = 779616,
  [SMALL_STATE(17047)] = 779639,
  [SMALL_STATE(17048)] = 779662,
  [SMALL_STATE(17049)] = 779685,
  [SMALL_STATE(17050)] = 779704,
  [SMALL_STATE(17051)] = 779727,
  [SMALL_STATE(17052)] = 779750,
  [SMALL_STATE(17053)] = 779773,
  [SMALL_STATE(17054)] = 779794,
  [SMALL_STATE(17055)] = 779817,
  [SMALL_STATE(17056)] = 779836,
  [SMALL_STATE(17057)] = 779859,
  [SMALL_STATE(17058)] = 779882,
  [SMALL_STATE(17059)] = 779905,
  [SMALL_STATE(17060)] = 779928,
  [SMALL_STATE(17061)] = 779951,
  [SMALL_STATE(17062)] = 779974,
  [SMALL_STATE(17063)] = 779997,
  [SMALL_STATE(17064)] = 780018,
  [SMALL_STATE(17065)] = 780041,
  [SMALL_STATE(17066)] = 780064,
  [SMALL_STATE(17067)] = 780087,
  [SMALL_STATE(17068)] = 780110,
  [SMALL_STATE(17069)] = 780133,
  [SMALL_STATE(17070)] = 780156,
  [SMALL_STATE(17071)] = 780179,
  [SMALL_STATE(17072)] = 780202,
  [SMALL_STATE(17073)] = 780223,
  [SMALL_STATE(17074)] = 780246,
  [SMALL_STATE(17075)] = 780269,
  [SMALL_STATE(17076)] = 780292,
  [SMALL_STATE(17077)] = 780315,
  [SMALL_STATE(17078)] = 780338,
  [SMALL_STATE(17079)] = 780361,
  [SMALL_STATE(17080)] = 780384,
  [SMALL_STATE(17081)] = 780407,
  [SMALL_STATE(17082)] = 780430,
  [SMALL_STATE(17083)] = 780453,
  [SMALL_STATE(17084)] = 780476,
  [SMALL_STATE(17085)] = 780499,
  [SMALL_STATE(17086)] = 780522,
  [SMALL_STATE(17087)] = 780545,
  [SMALL_STATE(17088)] = 780568,
  [SMALL_STATE(17089)] = 780591,
  [SMALL_STATE(17090)] = 780612,
  [SMALL_STATE(17091)] = 780635,
  [SMALL_STATE(17092)] = 780658,
  [SMALL_STATE(17093)] = 780681,
  [SMALL_STATE(17094)] = 780704,
  [SMALL_STATE(17095)] = 780727,
  [SMALL_STATE(17096)] = 780750,
  [SMALL_STATE(17097)] = 780773,
  [SMALL_STATE(17098)] = 780794,
  [SMALL_STATE(17099)] = 780817,
  [SMALL_STATE(17100)] = 780840,
  [SMALL_STATE(17101)] = 780859,
  [SMALL_STATE(17102)] = 780882,
  [SMALL_STATE(17103)] = 780905,
  [SMALL_STATE(17104)] = 780928,
  [SMALL_STATE(17105)] = 780951,
  [SMALL_STATE(17106)] = 780974,
  [SMALL_STATE(17107)] = 780997,
  [SMALL_STATE(17108)] = 781020,
  [SMALL_STATE(17109)] = 781043,
  [SMALL_STATE(17110)] = 781066,
  [SMALL_STATE(17111)] = 781089,
  [SMALL_STATE(17112)] = 781112,
  [SMALL_STATE(17113)] = 781135,
  [SMALL_STATE(17114)] = 781156,
  [SMALL_STATE(17115)] = 781179,
  [SMALL_STATE(17116)] = 781202,
  [SMALL_STATE(17117)] = 781225,
  [SMALL_STATE(17118)] = 781248,
  [SMALL_STATE(17119)] = 781271,
  [SMALL_STATE(17120)] = 781294,
  [SMALL_STATE(17121)] = 781317,
  [SMALL_STATE(17122)] = 781340,
  [SMALL_STATE(17123)] = 781363,
  [SMALL_STATE(17124)] = 781386,
  [SMALL_STATE(17125)] = 781409,
  [SMALL_STATE(17126)] = 781432,
  [SMALL_STATE(17127)] = 781455,
  [SMALL_STATE(17128)] = 781478,
  [SMALL_STATE(17129)] = 781501,
  [SMALL_STATE(17130)] = 781524,
  [SMALL_STATE(17131)] = 781547,
  [SMALL_STATE(17132)] = 781570,
  [SMALL_STATE(17133)] = 781593,
  [SMALL_STATE(17134)] = 781616,
  [SMALL_STATE(17135)] = 781639,
  [SMALL_STATE(17136)] = 781662,
  [SMALL_STATE(17137)] = 781685,
  [SMALL_STATE(17138)] = 781708,
  [SMALL_STATE(17139)] = 781731,
  [SMALL_STATE(17140)] = 781754,
  [SMALL_STATE(17141)] = 781777,
  [SMALL_STATE(17142)] = 781800,
  [SMALL_STATE(17143)] = 781823,
  [SMALL_STATE(17144)] = 781846,
  [SMALL_STATE(17145)] = 781869,
  [SMALL_STATE(17146)] = 781892,
  [SMALL_STATE(17147)] = 781915,
  [SMALL_STATE(17148)] = 781938,
  [SMALL_STATE(17149)] = 781961,
  [SMALL_STATE(17150)] = 781984,
  [SMALL_STATE(17151)] = 782007,
  [SMALL_STATE(17152)] = 782030,
  [SMALL_STATE(17153)] = 782053,
  [SMALL_STATE(17154)] = 782076,
  [SMALL_STATE(17155)] = 782099,
  [SMALL_STATE(17156)] = 782122,
  [SMALL_STATE(17157)] = 782145,
  [SMALL_STATE(17158)] = 782168,
  [SMALL_STATE(17159)] = 782187,
  [SMALL_STATE(17160)] = 782210,
  [SMALL_STATE(17161)] = 782233,
  [SMALL_STATE(17162)] = 782256,
  [SMALL_STATE(17163)] = 782279,
  [SMALL_STATE(17164)] = 782302,
  [SMALL_STATE(17165)] = 782325,
  [SMALL_STATE(17166)] = 782348,
  [SMALL_STATE(17167)] = 782371,
  [SMALL_STATE(17168)] = 782394,
  [SMALL_STATE(17169)] = 782417,
  [SMALL_STATE(17170)] = 782440,
  [SMALL_STATE(17171)] = 782463,
  [SMALL_STATE(17172)] = 782486,
  [SMALL_STATE(17173)] = 782509,
  [SMALL_STATE(17174)] = 782532,
  [SMALL_STATE(17175)] = 782555,
  [SMALL_STATE(17176)] = 782578,
  [SMALL_STATE(17177)] = 782601,
  [SMALL_STATE(17178)] = 782624,
  [SMALL_STATE(17179)] = 782647,
  [SMALL_STATE(17180)] = 782670,
  [SMALL_STATE(17181)] = 782693,
  [SMALL_STATE(17182)] = 782716,
  [SMALL_STATE(17183)] = 782739,
  [SMALL_STATE(17184)] = 782762,
  [SMALL_STATE(17185)] = 782785,
  [SMALL_STATE(17186)] = 782808,
  [SMALL_STATE(17187)] = 782831,
  [SMALL_STATE(17188)] = 782854,
  [SMALL_STATE(17189)] = 782877,
  [SMALL_STATE(17190)] = 782900,
  [SMALL_STATE(17191)] = 782923,
  [SMALL_STATE(17192)] = 782946,
  [SMALL_STATE(17193)] = 782969,
  [SMALL_STATE(17194)] = 782992,
  [SMALL_STATE(17195)] = 783015,
  [SMALL_STATE(17196)] = 783038,
  [SMALL_STATE(17197)] = 783061,
  [SMALL_STATE(17198)] = 783084,
  [SMALL_STATE(17199)] = 783107,
  [SMALL_STATE(17200)] = 783128,
  [SMALL_STATE(17201)] = 783149,
  [SMALL_STATE(17202)] = 783172,
  [SMALL_STATE(17203)] = 783195,
  [SMALL_STATE(17204)] = 783218,
  [SMALL_STATE(17205)] = 783241,
  [SMALL_STATE(17206)] = 783264,
  [SMALL_STATE(17207)] = 783287,
  [SMALL_STATE(17208)] = 783308,
  [SMALL_STATE(17209)] = 783331,
  [SMALL_STATE(17210)] = 783354,
  [SMALL_STATE(17211)] = 783377,
  [SMALL_STATE(17212)] = 783400,
  [SMALL_STATE(17213)] = 783423,
  [SMALL_STATE(17214)] = 783446,
  [SMALL_STATE(17215)] = 783467,
  [SMALL_STATE(17216)] = 783490,
  [SMALL_STATE(17217)] = 783513,
  [SMALL_STATE(17218)] = 783536,
  [SMALL_STATE(17219)] = 783555,
  [SMALL_STATE(17220)] = 783578,
  [SMALL_STATE(17221)] = 783601,
  [SMALL_STATE(17222)] = 783624,
  [SMALL_STATE(17223)] = 783647,
  [SMALL_STATE(17224)] = 783670,
  [SMALL_STATE(17225)] = 783693,
  [SMALL_STATE(17226)] = 783716,
  [SMALL_STATE(17227)] = 783739,
  [SMALL_STATE(17228)] = 783762,
  [SMALL_STATE(17229)] = 783785,
  [SMALL_STATE(17230)] = 783808,
  [SMALL_STATE(17231)] = 783831,
  [SMALL_STATE(17232)] = 783854,
  [SMALL_STATE(17233)] = 783877,
  [SMALL_STATE(17234)] = 783900,
  [SMALL_STATE(17235)] = 783923,
  [SMALL_STATE(17236)] = 783946,
  [SMALL_STATE(17237)] = 783969,
  [SMALL_STATE(17238)] = 783992,
  [SMALL_STATE(17239)] = 784015,
  [SMALL_STATE(17240)] = 784038,
  [SMALL_STATE(17241)] = 784061,
  [SMALL_STATE(17242)] = 784084,
  [SMALL_STATE(17243)] = 784107,
  [SMALL_STATE(17244)] = 784130,
  [SMALL_STATE(17245)] = 784153,
  [SMALL_STATE(17246)] = 784176,
  [SMALL_STATE(17247)] = 784199,
  [SMALL_STATE(17248)] = 784222,
  [SMALL_STATE(17249)] = 784245,
  [SMALL_STATE(17250)] = 784268,
  [SMALL_STATE(17251)] = 784291,
  [SMALL_STATE(17252)] = 784312,
  [SMALL_STATE(17253)] = 784335,
  [SMALL_STATE(17254)] = 784358,
  [SMALL_STATE(17255)] = 784381,
  [SMALL_STATE(17256)] = 784402,
  [SMALL_STATE(17257)] = 784425,
  [SMALL_STATE(17258)] = 784448,
  [SMALL_STATE(17259)] = 784471,
  [SMALL_STATE(17260)] = 784494,
  [SMALL_STATE(17261)] = 784517,
  [SMALL_STATE(17262)] = 784538,
  [SMALL_STATE(17263)] = 784561,
  [SMALL_STATE(17264)] = 784584,
  [SMALL_STATE(17265)] = 784607,
  [SMALL_STATE(17266)] = 784630,
  [SMALL_STATE(17267)] = 784653,
  [SMALL_STATE(17268)] = 784676,
  [SMALL_STATE(17269)] = 784699,
  [SMALL_STATE(17270)] = 784722,
  [SMALL_STATE(17271)] = 784745,
  [SMALL_STATE(17272)] = 784768,
  [SMALL_STATE(17273)] = 784791,
  [SMALL_STATE(17274)] = 784814,
  [SMALL_STATE(17275)] = 784837,
  [SMALL_STATE(17276)] = 784860,
  [SMALL_STATE(17277)] = 784883,
  [SMALL_STATE(17278)] = 784906,
  [SMALL_STATE(17279)] = 784929,
  [SMALL_STATE(17280)] = 784952,
  [SMALL_STATE(17281)] = 784975,
  [SMALL_STATE(17282)] = 784998,
  [SMALL_STATE(17283)] = 785021,
  [SMALL_STATE(17284)] = 785044,
  [SMALL_STATE(17285)] = 785067,
  [SMALL_STATE(17286)] = 785090,
  [SMALL_STATE(17287)] = 785113,
  [SMALL_STATE(17288)] = 785136,
  [SMALL_STATE(17289)] = 785159,
  [SMALL_STATE(17290)] = 785182,
  [SMALL_STATE(17291)] = 785205,
  [SMALL_STATE(17292)] = 785228,
  [SMALL_STATE(17293)] = 785251,
  [SMALL_STATE(17294)] = 785274,
  [SMALL_STATE(17295)] = 785297,
  [SMALL_STATE(17296)] = 785320,
  [SMALL_STATE(17297)] = 785343,
  [SMALL_STATE(17298)] = 785366,
  [SMALL_STATE(17299)] = 785389,
  [SMALL_STATE(17300)] = 785412,
  [SMALL_STATE(17301)] = 785435,
  [SMALL_STATE(17302)] = 785458,
  [SMALL_STATE(17303)] = 785481,
  [SMALL_STATE(17304)] = 785504,
  [SMALL_STATE(17305)] = 785527,
  [SMALL_STATE(17306)] = 785550,
  [SMALL_STATE(17307)] = 785573,
  [SMALL_STATE(17308)] = 785596,
  [SMALL_STATE(17309)] = 785617,
  [SMALL_STATE(17310)] = 785638,
  [SMALL_STATE(17311)] = 785661,
  [SMALL_STATE(17312)] = 785684,
  [SMALL_STATE(17313)] = 785707,
  [SMALL_STATE(17314)] = 785730,
  [SMALL_STATE(17315)] = 785753,
  [SMALL_STATE(17316)] = 785772,
  [SMALL_STATE(17317)] = 785795,
  [SMALL_STATE(17318)] = 785818,
  [SMALL_STATE(17319)] = 785841,
  [SMALL_STATE(17320)] = 785862,
  [SMALL_STATE(17321)] = 785885,
  [SMALL_STATE(17322)] = 785908,
  [SMALL_STATE(17323)] = 785931,
  [SMALL_STATE(17324)] = 785954,
  [SMALL_STATE(17325)] = 785977,
  [SMALL_STATE(17326)] = 786000,
  [SMALL_STATE(17327)] = 786023,
  [SMALL_STATE(17328)] = 786046,
  [SMALL_STATE(17329)] = 786069,
  [SMALL_STATE(17330)] = 786092,
  [SMALL_STATE(17331)] = 786115,
  [SMALL_STATE(17332)] = 786138,
  [SMALL_STATE(17333)] = 786161,
  [SMALL_STATE(17334)] = 786184,
  [SMALL_STATE(17335)] = 786207,
  [SMALL_STATE(17336)] = 786230,
  [SMALL_STATE(17337)] = 786251,
  [SMALL_STATE(17338)] = 786274,
  [SMALL_STATE(17339)] = 786297,
  [SMALL_STATE(17340)] = 786320,
  [SMALL_STATE(17341)] = 786339,
  [SMALL_STATE(17342)] = 786358,
  [SMALL_STATE(17343)] = 786381,
  [SMALL_STATE(17344)] = 786404,
  [SMALL_STATE(17345)] = 786427,
  [SMALL_STATE(17346)] = 786450,
  [SMALL_STATE(17347)] = 786473,
  [SMALL_STATE(17348)] = 786492,
  [SMALL_STATE(17349)] = 786515,
  [SMALL_STATE(17350)] = 786538,
  [SMALL_STATE(17351)] = 786561,
  [SMALL_STATE(17352)] = 786584,
  [SMALL_STATE(17353)] = 786607,
  [SMALL_STATE(17354)] = 786630,
  [SMALL_STATE(17355)] = 786653,
  [SMALL_STATE(17356)] = 786676,
  [SMALL_STATE(17357)] = 786699,
  [SMALL_STATE(17358)] = 786722,
  [SMALL_STATE(17359)] = 786745,
  [SMALL_STATE(17360)] = 786768,
  [SMALL_STATE(17361)] = 786791,
  [SMALL_STATE(17362)] = 786814,
  [SMALL_STATE(17363)] = 786837,
  [SMALL_STATE(17364)] = 786856,
  [SMALL_STATE(17365)] = 786879,
  [SMALL_STATE(17366)] = 786902,
  [SMALL_STATE(17367)] = 786925,
  [SMALL_STATE(17368)] = 786948,
  [SMALL_STATE(17369)] = 786971,
  [SMALL_STATE(17370)] = 786994,
  [SMALL_STATE(17371)] = 787017,
  [SMALL_STATE(17372)] = 787040,
  [SMALL_STATE(17373)] = 787063,
  [SMALL_STATE(17374)] = 787086,
  [SMALL_STATE(17375)] = 787109,
  [SMALL_STATE(17376)] = 787132,
  [SMALL_STATE(17377)] = 787155,
  [SMALL_STATE(17378)] = 787178,
  [SMALL_STATE(17379)] = 787201,
  [SMALL_STATE(17380)] = 787224,
  [SMALL_STATE(17381)] = 787247,
  [SMALL_STATE(17382)] = 787270,
  [SMALL_STATE(17383)] = 787293,
  [SMALL_STATE(17384)] = 787316,
  [SMALL_STATE(17385)] = 787339,
  [SMALL_STATE(17386)] = 787362,
  [SMALL_STATE(17387)] = 787385,
  [SMALL_STATE(17388)] = 787408,
  [SMALL_STATE(17389)] = 787431,
  [SMALL_STATE(17390)] = 787454,
  [SMALL_STATE(17391)] = 787477,
  [SMALL_STATE(17392)] = 787500,
  [SMALL_STATE(17393)] = 787523,
  [SMALL_STATE(17394)] = 787546,
  [SMALL_STATE(17395)] = 787569,
  [SMALL_STATE(17396)] = 787592,
  [SMALL_STATE(17397)] = 787615,
  [SMALL_STATE(17398)] = 787638,
  [SMALL_STATE(17399)] = 787661,
  [SMALL_STATE(17400)] = 787684,
  [SMALL_STATE(17401)] = 787707,
  [SMALL_STATE(17402)] = 787730,
  [SMALL_STATE(17403)] = 787753,
  [SMALL_STATE(17404)] = 787776,
  [SMALL_STATE(17405)] = 787799,
  [SMALL_STATE(17406)] = 787822,
  [SMALL_STATE(17407)] = 787845,
  [SMALL_STATE(17408)] = 787868,
  [SMALL_STATE(17409)] = 787891,
  [SMALL_STATE(17410)] = 787914,
  [SMALL_STATE(17411)] = 787937,
  [SMALL_STATE(17412)] = 787960,
  [SMALL_STATE(17413)] = 787983,
  [SMALL_STATE(17414)] = 788006,
  [SMALL_STATE(17415)] = 788029,
  [SMALL_STATE(17416)] = 788052,
  [SMALL_STATE(17417)] = 788075,
  [SMALL_STATE(17418)] = 788098,
  [SMALL_STATE(17419)] = 788121,
  [SMALL_STATE(17420)] = 788144,
  [SMALL_STATE(17421)] = 788167,
  [SMALL_STATE(17422)] = 788190,
  [SMALL_STATE(17423)] = 788213,
  [SMALL_STATE(17424)] = 788236,
  [SMALL_STATE(17425)] = 788259,
  [SMALL_STATE(17426)] = 788282,
  [SMALL_STATE(17427)] = 788305,
  [SMALL_STATE(17428)] = 788328,
  [SMALL_STATE(17429)] = 788351,
  [SMALL_STATE(17430)] = 788374,
  [SMALL_STATE(17431)] = 788397,
  [SMALL_STATE(17432)] = 788420,
  [SMALL_STATE(17433)] = 788443,
  [SMALL_STATE(17434)] = 788466,
  [SMALL_STATE(17435)] = 788489,
  [SMALL_STATE(17436)] = 788512,
  [SMALL_STATE(17437)] = 788535,
  [SMALL_STATE(17438)] = 788558,
  [SMALL_STATE(17439)] = 788581,
  [SMALL_STATE(17440)] = 788604,
  [SMALL_STATE(17441)] = 788627,
  [SMALL_STATE(17442)] = 788650,
  [SMALL_STATE(17443)] = 788673,
  [SMALL_STATE(17444)] = 788696,
  [SMALL_STATE(17445)] = 788719,
  [SMALL_STATE(17446)] = 788742,
  [SMALL_STATE(17447)] = 788765,
  [SMALL_STATE(17448)] = 788788,
  [SMALL_STATE(17449)] = 788811,
  [SMALL_STATE(17450)] = 788834,
  [SMALL_STATE(17451)] = 788857,
  [SMALL_STATE(17452)] = 788880,
  [SMALL_STATE(17453)] = 788903,
  [SMALL_STATE(17454)] = 788926,
  [SMALL_STATE(17455)] = 788949,
  [SMALL_STATE(17456)] = 788970,
  [SMALL_STATE(17457)] = 788993,
  [SMALL_STATE(17458)] = 789016,
  [SMALL_STATE(17459)] = 789035,
  [SMALL_STATE(17460)] = 789058,
  [SMALL_STATE(17461)] = 789081,
  [SMALL_STATE(17462)] = 789102,
  [SMALL_STATE(17463)] = 789125,
  [SMALL_STATE(17464)] = 789148,
  [SMALL_STATE(17465)] = 789171,
  [SMALL_STATE(17466)] = 789194,
  [SMALL_STATE(17467)] = 789217,
  [SMALL_STATE(17468)] = 789240,
  [SMALL_STATE(17469)] = 789263,
  [SMALL_STATE(17470)] = 789286,
  [SMALL_STATE(17471)] = 789307,
  [SMALL_STATE(17472)] = 789328,
  [SMALL_STATE(17473)] = 789351,
  [SMALL_STATE(17474)] = 789374,
  [SMALL_STATE(17475)] = 789397,
  [SMALL_STATE(17476)] = 789420,
  [SMALL_STATE(17477)] = 789443,
  [SMALL_STATE(17478)] = 789466,
  [SMALL_STATE(17479)] = 789489,
  [SMALL_STATE(17480)] = 789512,
  [SMALL_STATE(17481)] = 789535,
  [SMALL_STATE(17482)] = 789558,
  [SMALL_STATE(17483)] = 789581,
  [SMALL_STATE(17484)] = 789604,
  [SMALL_STATE(17485)] = 789627,
  [SMALL_STATE(17486)] = 789650,
  [SMALL_STATE(17487)] = 789673,
  [SMALL_STATE(17488)] = 789696,
  [SMALL_STATE(17489)] = 789719,
  [SMALL_STATE(17490)] = 789742,
  [SMALL_STATE(17491)] = 789765,
  [SMALL_STATE(17492)] = 789788,
  [SMALL_STATE(17493)] = 789811,
  [SMALL_STATE(17494)] = 789834,
  [SMALL_STATE(17495)] = 789857,
  [SMALL_STATE(17496)] = 789880,
  [SMALL_STATE(17497)] = 789903,
  [SMALL_STATE(17498)] = 789926,
  [SMALL_STATE(17499)] = 789949,
  [SMALL_STATE(17500)] = 789970,
  [SMALL_STATE(17501)] = 789993,
  [SMALL_STATE(17502)] = 790016,
  [SMALL_STATE(17503)] = 790039,
  [SMALL_STATE(17504)] = 790062,
  [SMALL_STATE(17505)] = 790085,
  [SMALL_STATE(17506)] = 790108,
  [SMALL_STATE(17507)] = 790131,
  [SMALL_STATE(17508)] = 790154,
  [SMALL_STATE(17509)] = 790177,
  [SMALL_STATE(17510)] = 790200,
  [SMALL_STATE(17511)] = 790223,
  [SMALL_STATE(17512)] = 790246,
  [SMALL_STATE(17513)] = 790269,
  [SMALL_STATE(17514)] = 790292,
  [SMALL_STATE(17515)] = 790315,
  [SMALL_STATE(17516)] = 790338,
  [SMALL_STATE(17517)] = 790361,
  [SMALL_STATE(17518)] = 790384,
  [SMALL_STATE(17519)] = 790407,
  [SMALL_STATE(17520)] = 790430,
  [SMALL_STATE(17521)] = 790453,
  [SMALL_STATE(17522)] = 790476,
  [SMALL_STATE(17523)] = 790499,
  [SMALL_STATE(17524)] = 790522,
  [SMALL_STATE(17525)] = 790545,
  [SMALL_STATE(17526)] = 790568,
  [SMALL_STATE(17527)] = 790587,
  [SMALL_STATE(17528)] = 790610,
  [SMALL_STATE(17529)] = 790633,
  [SMALL_STATE(17530)] = 790656,
  [SMALL_STATE(17531)] = 790679,
  [SMALL_STATE(17532)] = 790702,
  [SMALL_STATE(17533)] = 790725,
  [SMALL_STATE(17534)] = 790748,
  [SMALL_STATE(17535)] = 790771,
  [SMALL_STATE(17536)] = 790794,
  [SMALL_STATE(17537)] = 790817,
  [SMALL_STATE(17538)] = 790840,
  [SMALL_STATE(17539)] = 790863,
  [SMALL_STATE(17540)] = 790886,
  [SMALL_STATE(17541)] = 790909,
  [SMALL_STATE(17542)] = 790932,
  [SMALL_STATE(17543)] = 790955,
  [SMALL_STATE(17544)] = 790978,
  [SMALL_STATE(17545)] = 791001,
  [SMALL_STATE(17546)] = 791024,
  [SMALL_STATE(17547)] = 791047,
  [SMALL_STATE(17548)] = 791070,
  [SMALL_STATE(17549)] = 791093,
  [SMALL_STATE(17550)] = 791116,
  [SMALL_STATE(17551)] = 791139,
  [SMALL_STATE(17552)] = 791158,
  [SMALL_STATE(17553)] = 791181,
  [SMALL_STATE(17554)] = 791204,
  [SMALL_STATE(17555)] = 791227,
  [SMALL_STATE(17556)] = 791250,
  [SMALL_STATE(17557)] = 791273,
  [SMALL_STATE(17558)] = 791296,
  [SMALL_STATE(17559)] = 791319,
  [SMALL_STATE(17560)] = 791342,
  [SMALL_STATE(17561)] = 791365,
  [SMALL_STATE(17562)] = 791388,
  [SMALL_STATE(17563)] = 791411,
  [SMALL_STATE(17564)] = 791434,
  [SMALL_STATE(17565)] = 791457,
  [SMALL_STATE(17566)] = 791480,
  [SMALL_STATE(17567)] = 791503,
  [SMALL_STATE(17568)] = 791526,
  [SMALL_STATE(17569)] = 791549,
  [SMALL_STATE(17570)] = 791572,
  [SMALL_STATE(17571)] = 791595,
  [SMALL_STATE(17572)] = 791618,
  [SMALL_STATE(17573)] = 791641,
  [SMALL_STATE(17574)] = 791664,
  [SMALL_STATE(17575)] = 791687,
  [SMALL_STATE(17576)] = 791710,
  [SMALL_STATE(17577)] = 791733,
  [SMALL_STATE(17578)] = 791756,
  [SMALL_STATE(17579)] = 791779,
  [SMALL_STATE(17580)] = 791802,
  [SMALL_STATE(17581)] = 791825,
  [SMALL_STATE(17582)] = 791848,
  [SMALL_STATE(17583)] = 791871,
  [SMALL_STATE(17584)] = 791894,
  [SMALL_STATE(17585)] = 791917,
  [SMALL_STATE(17586)] = 791940,
  [SMALL_STATE(17587)] = 791963,
  [SMALL_STATE(17588)] = 791986,
  [SMALL_STATE(17589)] = 792009,
  [SMALL_STATE(17590)] = 792032,
  [SMALL_STATE(17591)] = 792055,
  [SMALL_STATE(17592)] = 792078,
  [SMALL_STATE(17593)] = 792101,
  [SMALL_STATE(17594)] = 792124,
  [SMALL_STATE(17595)] = 792147,
  [SMALL_STATE(17596)] = 792170,
  [SMALL_STATE(17597)] = 792193,
  [SMALL_STATE(17598)] = 792216,
  [SMALL_STATE(17599)] = 792239,
  [SMALL_STATE(17600)] = 792262,
  [SMALL_STATE(17601)] = 792285,
  [SMALL_STATE(17602)] = 792308,
  [SMALL_STATE(17603)] = 792331,
  [SMALL_STATE(17604)] = 792354,
  [SMALL_STATE(17605)] = 792377,
  [SMALL_STATE(17606)] = 792400,
  [SMALL_STATE(17607)] = 792423,
  [SMALL_STATE(17608)] = 792446,
  [SMALL_STATE(17609)] = 792469,
  [SMALL_STATE(17610)] = 792492,
  [SMALL_STATE(17611)] = 792515,
  [SMALL_STATE(17612)] = 792538,
  [SMALL_STATE(17613)] = 792561,
  [SMALL_STATE(17614)] = 792584,
  [SMALL_STATE(17615)] = 792607,
  [SMALL_STATE(17616)] = 792628,
  [SMALL_STATE(17617)] = 792651,
  [SMALL_STATE(17618)] = 792674,
  [SMALL_STATE(17619)] = 792697,
  [SMALL_STATE(17620)] = 792720,
  [SMALL_STATE(17621)] = 792743,
  [SMALL_STATE(17622)] = 792766,
  [SMALL_STATE(17623)] = 792789,
  [SMALL_STATE(17624)] = 792812,
  [SMALL_STATE(17625)] = 792835,
  [SMALL_STATE(17626)] = 792858,
  [SMALL_STATE(17627)] = 792881,
  [SMALL_STATE(17628)] = 792902,
  [SMALL_STATE(17629)] = 792925,
  [SMALL_STATE(17630)] = 792948,
  [SMALL_STATE(17631)] = 792971,
  [SMALL_STATE(17632)] = 792992,
  [SMALL_STATE(17633)] = 793015,
  [SMALL_STATE(17634)] = 793036,
  [SMALL_STATE(17635)] = 793059,
  [SMALL_STATE(17636)] = 793082,
  [SMALL_STATE(17637)] = 793105,
  [SMALL_STATE(17638)] = 793128,
  [SMALL_STATE(17639)] = 793149,
  [SMALL_STATE(17640)] = 793172,
  [SMALL_STATE(17641)] = 793193,
  [SMALL_STATE(17642)] = 793216,
  [SMALL_STATE(17643)] = 793237,
  [SMALL_STATE(17644)] = 793260,
  [SMALL_STATE(17645)] = 793283,
  [SMALL_STATE(17646)] = 793306,
  [SMALL_STATE(17647)] = 793329,
  [SMALL_STATE(17648)] = 793352,
  [SMALL_STATE(17649)] = 793375,
  [SMALL_STATE(17650)] = 793396,
  [SMALL_STATE(17651)] = 793419,
  [SMALL_STATE(17652)] = 793442,
  [SMALL_STATE(17653)] = 793465,
  [SMALL_STATE(17654)] = 793488,
  [SMALL_STATE(17655)] = 793511,
  [SMALL_STATE(17656)] = 793532,
  [SMALL_STATE(17657)] = 793555,
  [SMALL_STATE(17658)] = 793578,
  [SMALL_STATE(17659)] = 793601,
  [SMALL_STATE(17660)] = 793622,
  [SMALL_STATE(17661)] = 793645,
  [SMALL_STATE(17662)] = 793666,
  [SMALL_STATE(17663)] = 793689,
  [SMALL_STATE(17664)] = 793712,
  [SMALL_STATE(17665)] = 793733,
  [SMALL_STATE(17666)] = 793756,
  [SMALL_STATE(17667)] = 793777,
  [SMALL_STATE(17668)] = 793800,
  [SMALL_STATE(17669)] = 793823,
  [SMALL_STATE(17670)] = 793844,
  [SMALL_STATE(17671)] = 793867,
  [SMALL_STATE(17672)] = 793888,
  [SMALL_STATE(17673)] = 793911,
  [SMALL_STATE(17674)] = 793934,
  [SMALL_STATE(17675)] = 793954,
  [SMALL_STATE(17676)] = 793974,
  [SMALL_STATE(17677)] = 793994,
  [SMALL_STATE(17678)] = 794014,
  [SMALL_STATE(17679)] = 794034,
  [SMALL_STATE(17680)] = 794054,
  [SMALL_STATE(17681)] = 794074,
  [SMALL_STATE(17682)] = 794094,
  [SMALL_STATE(17683)] = 794114,
  [SMALL_STATE(17684)] = 794134,
  [SMALL_STATE(17685)] = 794154,
  [SMALL_STATE(17686)] = 794174,
  [SMALL_STATE(17687)] = 794194,
  [SMALL_STATE(17688)] = 794214,
  [SMALL_STATE(17689)] = 794232,
  [SMALL_STATE(17690)] = 794252,
  [SMALL_STATE(17691)] = 794272,
  [SMALL_STATE(17692)] = 794292,
  [SMALL_STATE(17693)] = 794310,
  [SMALL_STATE(17694)] = 794330,
  [SMALL_STATE(17695)] = 794350,
  [SMALL_STATE(17696)] = 794370,
  [SMALL_STATE(17697)] = 794390,
  [SMALL_STATE(17698)] = 794408,
  [SMALL_STATE(17699)] = 794426,
  [SMALL_STATE(17700)] = 794446,
  [SMALL_STATE(17701)] = 794464,
  [SMALL_STATE(17702)] = 794484,
  [SMALL_STATE(17703)] = 794504,
  [SMALL_STATE(17704)] = 794524,
  [SMALL_STATE(17705)] = 794544,
  [SMALL_STATE(17706)] = 794564,
  [SMALL_STATE(17707)] = 794584,
  [SMALL_STATE(17708)] = 794604,
  [SMALL_STATE(17709)] = 794624,
  [SMALL_STATE(17710)] = 794644,
  [SMALL_STATE(17711)] = 794664,
  [SMALL_STATE(17712)] = 794684,
  [SMALL_STATE(17713)] = 794704,
  [SMALL_STATE(17714)] = 794724,
  [SMALL_STATE(17715)] = 794744,
  [SMALL_STATE(17716)] = 794764,
  [SMALL_STATE(17717)] = 794784,
  [SMALL_STATE(17718)] = 794804,
  [SMALL_STATE(17719)] = 794824,
  [SMALL_STATE(17720)] = 794844,
  [SMALL_STATE(17721)] = 794864,
  [SMALL_STATE(17722)] = 794882,
  [SMALL_STATE(17723)] = 794902,
  [SMALL_STATE(17724)] = 794922,
  [SMALL_STATE(17725)] = 794942,
  [SMALL_STATE(17726)] = 794962,
  [SMALL_STATE(17727)] = 794982,
  [SMALL_STATE(17728)] = 795002,
  [SMALL_STATE(17729)] = 795022,
  [SMALL_STATE(17730)] = 795042,
  [SMALL_STATE(17731)] = 795062,
  [SMALL_STATE(17732)] = 795080,
  [SMALL_STATE(17733)] = 795100,
  [SMALL_STATE(17734)] = 795120,
  [SMALL_STATE(17735)] = 795140,
  [SMALL_STATE(17736)] = 795160,
  [SMALL_STATE(17737)] = 795178,
  [SMALL_STATE(17738)] = 795198,
  [SMALL_STATE(17739)] = 795218,
  [SMALL_STATE(17740)] = 795236,
  [SMALL_STATE(17741)] = 795256,
  [SMALL_STATE(17742)] = 795276,
  [SMALL_STATE(17743)] = 795296,
  [SMALL_STATE(17744)] = 795316,
  [SMALL_STATE(17745)] = 795336,
  [SMALL_STATE(17746)] = 795356,
  [SMALL_STATE(17747)] = 795376,
  [SMALL_STATE(17748)] = 795396,
  [SMALL_STATE(17749)] = 795416,
  [SMALL_STATE(17750)] = 795436,
  [SMALL_STATE(17751)] = 795456,
  [SMALL_STATE(17752)] = 795476,
  [SMALL_STATE(17753)] = 795494,
  [SMALL_STATE(17754)] = 795514,
  [SMALL_STATE(17755)] = 795534,
  [SMALL_STATE(17756)] = 795554,
  [SMALL_STATE(17757)] = 795574,
  [SMALL_STATE(17758)] = 795594,
  [SMALL_STATE(17759)] = 795614,
  [SMALL_STATE(17760)] = 795634,
  [SMALL_STATE(17761)] = 795654,
  [SMALL_STATE(17762)] = 795674,
  [SMALL_STATE(17763)] = 795692,
  [SMALL_STATE(17764)] = 795712,
  [SMALL_STATE(17765)] = 795732,
  [SMALL_STATE(17766)] = 795752,
  [SMALL_STATE(17767)] = 795770,
  [SMALL_STATE(17768)] = 795790,
  [SMALL_STATE(17769)] = 795810,
  [SMALL_STATE(17770)] = 795830,
  [SMALL_STATE(17771)] = 795850,
  [SMALL_STATE(17772)] = 795870,
  [SMALL_STATE(17773)] = 795890,
  [SMALL_STATE(17774)] = 795910,
  [SMALL_STATE(17775)] = 795930,
  [SMALL_STATE(17776)] = 795950,
  [SMALL_STATE(17777)] = 795970,
  [SMALL_STATE(17778)] = 795990,
  [SMALL_STATE(17779)] = 796010,
  [SMALL_STATE(17780)] = 796028,
  [SMALL_STATE(17781)] = 796048,
  [SMALL_STATE(17782)] = 796068,
  [SMALL_STATE(17783)] = 796088,
  [SMALL_STATE(17784)] = 796108,
  [SMALL_STATE(17785)] = 796128,
  [SMALL_STATE(17786)] = 796148,
  [SMALL_STATE(17787)] = 796168,
  [SMALL_STATE(17788)] = 796188,
  [SMALL_STATE(17789)] = 796208,
  [SMALL_STATE(17790)] = 796228,
  [SMALL_STATE(17791)] = 796248,
  [SMALL_STATE(17792)] = 796268,
  [SMALL_STATE(17793)] = 796288,
  [SMALL_STATE(17794)] = 796308,
  [SMALL_STATE(17795)] = 796328,
  [SMALL_STATE(17796)] = 796348,
  [SMALL_STATE(17797)] = 796368,
  [SMALL_STATE(17798)] = 796386,
  [SMALL_STATE(17799)] = 796406,
  [SMALL_STATE(17800)] = 796426,
  [SMALL_STATE(17801)] = 796446,
  [SMALL_STATE(17802)] = 796466,
  [SMALL_STATE(17803)] = 796486,
  [SMALL_STATE(17804)] = 796504,
  [SMALL_STATE(17805)] = 796524,
  [SMALL_STATE(17806)] = 796544,
  [SMALL_STATE(17807)] = 796564,
  [SMALL_STATE(17808)] = 796584,
  [SMALL_STATE(17809)] = 796600,
  [SMALL_STATE(17810)] = 796620,
  [SMALL_STATE(17811)] = 796640,
  [SMALL_STATE(17812)] = 796660,
  [SMALL_STATE(17813)] = 796680,
  [SMALL_STATE(17814)] = 796700,
  [SMALL_STATE(17815)] = 796720,
  [SMALL_STATE(17816)] = 796740,
  [SMALL_STATE(17817)] = 796760,
  [SMALL_STATE(17818)] = 796780,
  [SMALL_STATE(17819)] = 796800,
  [SMALL_STATE(17820)] = 796820,
  [SMALL_STATE(17821)] = 796840,
  [SMALL_STATE(17822)] = 796860,
  [SMALL_STATE(17823)] = 796880,
  [SMALL_STATE(17824)] = 796898,
  [SMALL_STATE(17825)] = 796918,
  [SMALL_STATE(17826)] = 796936,
  [SMALL_STATE(17827)] = 796956,
  [SMALL_STATE(17828)] = 796976,
  [SMALL_STATE(17829)] = 796996,
  [SMALL_STATE(17830)] = 797016,
  [SMALL_STATE(17831)] = 797036,
  [SMALL_STATE(17832)] = 797056,
  [SMALL_STATE(17833)] = 797076,
  [SMALL_STATE(17834)] = 797096,
  [SMALL_STATE(17835)] = 797112,
  [SMALL_STATE(17836)] = 797132,
  [SMALL_STATE(17837)] = 797152,
  [SMALL_STATE(17838)] = 797172,
  [SMALL_STATE(17839)] = 797192,
  [SMALL_STATE(17840)] = 797212,
  [SMALL_STATE(17841)] = 797232,
  [SMALL_STATE(17842)] = 797250,
  [SMALL_STATE(17843)] = 797270,
  [SMALL_STATE(17844)] = 797290,
  [SMALL_STATE(17845)] = 797310,
  [SMALL_STATE(17846)] = 797330,
  [SMALL_STATE(17847)] = 797350,
  [SMALL_STATE(17848)] = 797370,
  [SMALL_STATE(17849)] = 797390,
  [SMALL_STATE(17850)] = 797410,
  [SMALL_STATE(17851)] = 797430,
  [SMALL_STATE(17852)] = 797450,
  [SMALL_STATE(17853)] = 797470,
  [SMALL_STATE(17854)] = 797490,
  [SMALL_STATE(17855)] = 797508,
  [SMALL_STATE(17856)] = 797528,
  [SMALL_STATE(17857)] = 797548,
  [SMALL_STATE(17858)] = 797568,
  [SMALL_STATE(17859)] = 797588,
  [SMALL_STATE(17860)] = 797608,
  [SMALL_STATE(17861)] = 797628,
  [SMALL_STATE(17862)] = 797648,
  [SMALL_STATE(17863)] = 797668,
  [SMALL_STATE(17864)] = 797688,
  [SMALL_STATE(17865)] = 797708,
  [SMALL_STATE(17866)] = 797728,
  [SMALL_STATE(17867)] = 797748,
  [SMALL_STATE(17868)] = 797768,
  [SMALL_STATE(17869)] = 797788,
  [SMALL_STATE(17870)] = 797808,
  [SMALL_STATE(17871)] = 797828,
  [SMALL_STATE(17872)] = 797848,
  [SMALL_STATE(17873)] = 797868,
  [SMALL_STATE(17874)] = 797886,
  [SMALL_STATE(17875)] = 797906,
  [SMALL_STATE(17876)] = 797926,
  [SMALL_STATE(17877)] = 797946,
  [SMALL_STATE(17878)] = 797966,
  [SMALL_STATE(17879)] = 797986,
  [SMALL_STATE(17880)] = 798006,
  [SMALL_STATE(17881)] = 798026,
  [SMALL_STATE(17882)] = 798046,
  [SMALL_STATE(17883)] = 798066,
  [SMALL_STATE(17884)] = 798086,
  [SMALL_STATE(17885)] = 798106,
  [SMALL_STATE(17886)] = 798124,
  [SMALL_STATE(17887)] = 798144,
  [SMALL_STATE(17888)] = 798162,
  [SMALL_STATE(17889)] = 798182,
  [SMALL_STATE(17890)] = 798202,
  [SMALL_STATE(17891)] = 798222,
  [SMALL_STATE(17892)] = 798240,
  [SMALL_STATE(17893)] = 798260,
  [SMALL_STATE(17894)] = 798280,
  [SMALL_STATE(17895)] = 798300,
  [SMALL_STATE(17896)] = 798320,
  [SMALL_STATE(17897)] = 798340,
  [SMALL_STATE(17898)] = 798360,
  [SMALL_STATE(17899)] = 798380,
  [SMALL_STATE(17900)] = 798400,
  [SMALL_STATE(17901)] = 798420,
  [SMALL_STATE(17902)] = 798440,
  [SMALL_STATE(17903)] = 798460,
  [SMALL_STATE(17904)] = 798480,
  [SMALL_STATE(17905)] = 798500,
  [SMALL_STATE(17906)] = 798520,
  [SMALL_STATE(17907)] = 798540,
  [SMALL_STATE(17908)] = 798558,
  [SMALL_STATE(17909)] = 798578,
  [SMALL_STATE(17910)] = 798596,
  [SMALL_STATE(17911)] = 798616,
  [SMALL_STATE(17912)] = 798636,
  [SMALL_STATE(17913)] = 798656,
  [SMALL_STATE(17914)] = 798676,
  [SMALL_STATE(17915)] = 798696,
  [SMALL_STATE(17916)] = 798716,
  [SMALL_STATE(17917)] = 798736,
  [SMALL_STATE(17918)] = 798756,
  [SMALL_STATE(17919)] = 798776,
  [SMALL_STATE(17920)] = 798796,
  [SMALL_STATE(17921)] = 798816,
  [SMALL_STATE(17922)] = 798836,
  [SMALL_STATE(17923)] = 798856,
  [SMALL_STATE(17924)] = 798876,
  [SMALL_STATE(17925)] = 798894,
  [SMALL_STATE(17926)] = 798912,
  [SMALL_STATE(17927)] = 798932,
  [SMALL_STATE(17928)] = 798952,
  [SMALL_STATE(17929)] = 798972,
  [SMALL_STATE(17930)] = 798992,
  [SMALL_STATE(17931)] = 799012,
  [SMALL_STATE(17932)] = 799032,
  [SMALL_STATE(17933)] = 799052,
  [SMALL_STATE(17934)] = 799072,
  [SMALL_STATE(17935)] = 799092,
  [SMALL_STATE(17936)] = 799112,
  [SMALL_STATE(17937)] = 799132,
  [SMALL_STATE(17938)] = 799152,
  [SMALL_STATE(17939)] = 799170,
  [SMALL_STATE(17940)] = 799190,
  [SMALL_STATE(17941)] = 799210,
  [SMALL_STATE(17942)] = 799230,
  [SMALL_STATE(17943)] = 799250,
  [SMALL_STATE(17944)] = 799270,
  [SMALL_STATE(17945)] = 799290,
  [SMALL_STATE(17946)] = 799310,
  [SMALL_STATE(17947)] = 799330,
  [SMALL_STATE(17948)] = 799350,
  [SMALL_STATE(17949)] = 799370,
  [SMALL_STATE(17950)] = 799390,
  [SMALL_STATE(17951)] = 799410,
  [SMALL_STATE(17952)] = 799430,
  [SMALL_STATE(17953)] = 799448,
  [SMALL_STATE(17954)] = 799468,
  [SMALL_STATE(17955)] = 799488,
  [SMALL_STATE(17956)] = 799508,
  [SMALL_STATE(17957)] = 799528,
  [SMALL_STATE(17958)] = 799548,
  [SMALL_STATE(17959)] = 799568,
  [SMALL_STATE(17960)] = 799588,
  [SMALL_STATE(17961)] = 799608,
  [SMALL_STATE(17962)] = 799628,
  [SMALL_STATE(17963)] = 799646,
  [SMALL_STATE(17964)] = 799666,
  [SMALL_STATE(17965)] = 799686,
  [SMALL_STATE(17966)] = 799706,
  [SMALL_STATE(17967)] = 799726,
  [SMALL_STATE(17968)] = 799746,
  [SMALL_STATE(17969)] = 799764,
  [SMALL_STATE(17970)] = 799784,
  [SMALL_STATE(17971)] = 799804,
  [SMALL_STATE(17972)] = 799824,
  [SMALL_STATE(17973)] = 799844,
  [SMALL_STATE(17974)] = 799864,
  [SMALL_STATE(17975)] = 799884,
  [SMALL_STATE(17976)] = 799904,
  [SMALL_STATE(17977)] = 799922,
  [SMALL_STATE(17978)] = 799942,
  [SMALL_STATE(17979)] = 799962,
  [SMALL_STATE(17980)] = 799982,
  [SMALL_STATE(17981)] = 800002,
  [SMALL_STATE(17982)] = 800022,
  [SMALL_STATE(17983)] = 800042,
  [SMALL_STATE(17984)] = 800062,
  [SMALL_STATE(17985)] = 800080,
  [SMALL_STATE(17986)] = 800100,
  [SMALL_STATE(17987)] = 800120,
  [SMALL_STATE(17988)] = 800140,
  [SMALL_STATE(17989)] = 800160,
  [SMALL_STATE(17990)] = 800180,
  [SMALL_STATE(17991)] = 800200,
  [SMALL_STATE(17992)] = 800220,
  [SMALL_STATE(17993)] = 800238,
  [SMALL_STATE(17994)] = 800258,
  [SMALL_STATE(17995)] = 800278,
  [SMALL_STATE(17996)] = 800296,
  [SMALL_STATE(17997)] = 800316,
  [SMALL_STATE(17998)] = 800336,
  [SMALL_STATE(17999)] = 800356,
  [SMALL_STATE(18000)] = 800376,
  [SMALL_STATE(18001)] = 800396,
  [SMALL_STATE(18002)] = 800416,
  [SMALL_STATE(18003)] = 800436,
  [SMALL_STATE(18004)] = 800456,
  [SMALL_STATE(18005)] = 800476,
  [SMALL_STATE(18006)] = 800494,
  [SMALL_STATE(18007)] = 800514,
  [SMALL_STATE(18008)] = 800534,
  [SMALL_STATE(18009)] = 800554,
  [SMALL_STATE(18010)] = 800574,
  [SMALL_STATE(18011)] = 800594,
  [SMALL_STATE(18012)] = 800610,
  [SMALL_STATE(18013)] = 800630,
  [SMALL_STATE(18014)] = 800650,
  [SMALL_STATE(18015)] = 800670,
  [SMALL_STATE(18016)] = 800690,
  [SMALL_STATE(18017)] = 800710,
  [SMALL_STATE(18018)] = 800728,
  [SMALL_STATE(18019)] = 800748,
  [SMALL_STATE(18020)] = 800768,
  [SMALL_STATE(18021)] = 800788,
  [SMALL_STATE(18022)] = 800808,
  [SMALL_STATE(18023)] = 800828,
  [SMALL_STATE(18024)] = 800848,
  [SMALL_STATE(18025)] = 800868,
  [SMALL_STATE(18026)] = 800888,
  [SMALL_STATE(18027)] = 800908,
  [SMALL_STATE(18028)] = 800928,
  [SMALL_STATE(18029)] = 800948,
  [SMALL_STATE(18030)] = 800968,
  [SMALL_STATE(18031)] = 800988,
  [SMALL_STATE(18032)] = 801008,
  [SMALL_STATE(18033)] = 801028,
  [SMALL_STATE(18034)] = 801048,
  [SMALL_STATE(18035)] = 801068,
  [SMALL_STATE(18036)] = 801088,
  [SMALL_STATE(18037)] = 801108,
  [SMALL_STATE(18038)] = 801128,
  [SMALL_STATE(18039)] = 801148,
  [SMALL_STATE(18040)] = 801168,
  [SMALL_STATE(18041)] = 801188,
  [SMALL_STATE(18042)] = 801208,
  [SMALL_STATE(18043)] = 801228,
  [SMALL_STATE(18044)] = 801248,
  [SMALL_STATE(18045)] = 801268,
  [SMALL_STATE(18046)] = 801288,
  [SMALL_STATE(18047)] = 801308,
  [SMALL_STATE(18048)] = 801328,
  [SMALL_STATE(18049)] = 801348,
  [SMALL_STATE(18050)] = 801368,
  [SMALL_STATE(18051)] = 801388,
  [SMALL_STATE(18052)] = 801408,
  [SMALL_STATE(18053)] = 801426,
  [SMALL_STATE(18054)] = 801446,
  [SMALL_STATE(18055)] = 801466,
  [SMALL_STATE(18056)] = 801486,
  [SMALL_STATE(18057)] = 801504,
  [SMALL_STATE(18058)] = 801524,
  [SMALL_STATE(18059)] = 801544,
  [SMALL_STATE(18060)] = 801564,
  [SMALL_STATE(18061)] = 801584,
  [SMALL_STATE(18062)] = 801604,
  [SMALL_STATE(18063)] = 801624,
  [SMALL_STATE(18064)] = 801644,
  [SMALL_STATE(18065)] = 801664,
  [SMALL_STATE(18066)] = 801684,
  [SMALL_STATE(18067)] = 801704,
  [SMALL_STATE(18068)] = 801724,
  [SMALL_STATE(18069)] = 801744,
  [SMALL_STATE(18070)] = 801764,
  [SMALL_STATE(18071)] = 801784,
  [SMALL_STATE(18072)] = 801804,
  [SMALL_STATE(18073)] = 801822,
  [SMALL_STATE(18074)] = 801840,
  [SMALL_STATE(18075)] = 801858,
  [SMALL_STATE(18076)] = 801878,
  [SMALL_STATE(18077)] = 801898,
  [SMALL_STATE(18078)] = 801918,
  [SMALL_STATE(18079)] = 801938,
  [SMALL_STATE(18080)] = 801958,
  [SMALL_STATE(18081)] = 801978,
  [SMALL_STATE(18082)] = 801998,
  [SMALL_STATE(18083)] = 802016,
  [SMALL_STATE(18084)] = 802036,
  [SMALL_STATE(18085)] = 802056,
  [SMALL_STATE(18086)] = 802076,
  [SMALL_STATE(18087)] = 802096,
  [SMALL_STATE(18088)] = 802116,
  [SMALL_STATE(18089)] = 802136,
  [SMALL_STATE(18090)] = 802156,
  [SMALL_STATE(18091)] = 802176,
  [SMALL_STATE(18092)] = 802196,
  [SMALL_STATE(18093)] = 802216,
  [SMALL_STATE(18094)] = 802236,
  [SMALL_STATE(18095)] = 802256,
  [SMALL_STATE(18096)] = 802276,
  [SMALL_STATE(18097)] = 802296,
  [SMALL_STATE(18098)] = 802316,
  [SMALL_STATE(18099)] = 802336,
  [SMALL_STATE(18100)] = 802356,
  [SMALL_STATE(18101)] = 802376,
  [SMALL_STATE(18102)] = 802396,
  [SMALL_STATE(18103)] = 802416,
  [SMALL_STATE(18104)] = 802436,
  [SMALL_STATE(18105)] = 802454,
  [SMALL_STATE(18106)] = 802474,
  [SMALL_STATE(18107)] = 802494,
  [SMALL_STATE(18108)] = 802514,
  [SMALL_STATE(18109)] = 802534,
  [SMALL_STATE(18110)] = 802554,
  [SMALL_STATE(18111)] = 802574,
  [SMALL_STATE(18112)] = 802594,
  [SMALL_STATE(18113)] = 802614,
  [SMALL_STATE(18114)] = 802634,
  [SMALL_STATE(18115)] = 802654,
  [SMALL_STATE(18116)] = 802674,
  [SMALL_STATE(18117)] = 802694,
  [SMALL_STATE(18118)] = 802714,
  [SMALL_STATE(18119)] = 802734,
  [SMALL_STATE(18120)] = 802754,
  [SMALL_STATE(18121)] = 802774,
  [SMALL_STATE(18122)] = 802794,
  [SMALL_STATE(18123)] = 802814,
  [SMALL_STATE(18124)] = 802834,
  [SMALL_STATE(18125)] = 802854,
  [SMALL_STATE(18126)] = 802874,
  [SMALL_STATE(18127)] = 802892,
  [SMALL_STATE(18128)] = 802912,
  [SMALL_STATE(18129)] = 802932,
  [SMALL_STATE(18130)] = 802952,
  [SMALL_STATE(18131)] = 802972,
  [SMALL_STATE(18132)] = 802992,
  [SMALL_STATE(18133)] = 803012,
  [SMALL_STATE(18134)] = 803032,
  [SMALL_STATE(18135)] = 803052,
  [SMALL_STATE(18136)] = 803072,
  [SMALL_STATE(18137)] = 803092,
  [SMALL_STATE(18138)] = 803112,
  [SMALL_STATE(18139)] = 803132,
  [SMALL_STATE(18140)] = 803152,
  [SMALL_STATE(18141)] = 803172,
  [SMALL_STATE(18142)] = 803192,
  [SMALL_STATE(18143)] = 803212,
  [SMALL_STATE(18144)] = 803232,
  [SMALL_STATE(18145)] = 803252,
  [SMALL_STATE(18146)] = 803272,
  [SMALL_STATE(18147)] = 803292,
  [SMALL_STATE(18148)] = 803310,
  [SMALL_STATE(18149)] = 803330,
  [SMALL_STATE(18150)] = 803350,
  [SMALL_STATE(18151)] = 803370,
  [SMALL_STATE(18152)] = 803390,
  [SMALL_STATE(18153)] = 803410,
  [SMALL_STATE(18154)] = 803430,
  [SMALL_STATE(18155)] = 803450,
  [SMALL_STATE(18156)] = 803470,
  [SMALL_STATE(18157)] = 803490,
  [SMALL_STATE(18158)] = 803510,
  [SMALL_STATE(18159)] = 803530,
  [SMALL_STATE(18160)] = 803550,
  [SMALL_STATE(18161)] = 803570,
  [SMALL_STATE(18162)] = 803590,
  [SMALL_STATE(18163)] = 803610,
  [SMALL_STATE(18164)] = 803630,
  [SMALL_STATE(18165)] = 803650,
  [SMALL_STATE(18166)] = 803670,
  [SMALL_STATE(18167)] = 803690,
  [SMALL_STATE(18168)] = 803708,
  [SMALL_STATE(18169)] = 803728,
  [SMALL_STATE(18170)] = 803748,
  [SMALL_STATE(18171)] = 803768,
  [SMALL_STATE(18172)] = 803788,
  [SMALL_STATE(18173)] = 803808,
  [SMALL_STATE(18174)] = 803828,
  [SMALL_STATE(18175)] = 803848,
  [SMALL_STATE(18176)] = 803868,
  [SMALL_STATE(18177)] = 803888,
  [SMALL_STATE(18178)] = 803908,
  [SMALL_STATE(18179)] = 803928,
  [SMALL_STATE(18180)] = 803948,
  [SMALL_STATE(18181)] = 803968,
  [SMALL_STATE(18182)] = 803988,
  [SMALL_STATE(18183)] = 804008,
  [SMALL_STATE(18184)] = 804028,
  [SMALL_STATE(18185)] = 804048,
  [SMALL_STATE(18186)] = 804066,
  [SMALL_STATE(18187)] = 804086,
  [SMALL_STATE(18188)] = 804104,
  [SMALL_STATE(18189)] = 804124,
  [SMALL_STATE(18190)] = 804144,
  [SMALL_STATE(18191)] = 804164,
  [SMALL_STATE(18192)] = 804184,
  [SMALL_STATE(18193)] = 804204,
  [SMALL_STATE(18194)] = 804224,
  [SMALL_STATE(18195)] = 804244,
  [SMALL_STATE(18196)] = 804264,
  [SMALL_STATE(18197)] = 804284,
  [SMALL_STATE(18198)] = 804304,
  [SMALL_STATE(18199)] = 804324,
  [SMALL_STATE(18200)] = 804344,
  [SMALL_STATE(18201)] = 804364,
  [SMALL_STATE(18202)] = 804384,
  [SMALL_STATE(18203)] = 804404,
  [SMALL_STATE(18204)] = 804424,
  [SMALL_STATE(18205)] = 804444,
  [SMALL_STATE(18206)] = 804462,
  [SMALL_STATE(18207)] = 804482,
  [SMALL_STATE(18208)] = 804502,
  [SMALL_STATE(18209)] = 804522,
  [SMALL_STATE(18210)] = 804542,
  [SMALL_STATE(18211)] = 804562,
  [SMALL_STATE(18212)] = 804582,
  [SMALL_STATE(18213)] = 804602,
  [SMALL_STATE(18214)] = 804622,
  [SMALL_STATE(18215)] = 804642,
  [SMALL_STATE(18216)] = 804662,
  [SMALL_STATE(18217)] = 804682,
  [SMALL_STATE(18218)] = 804702,
  [SMALL_STATE(18219)] = 804722,
  [SMALL_STATE(18220)] = 804742,
  [SMALL_STATE(18221)] = 804762,
  [SMALL_STATE(18222)] = 804782,
  [SMALL_STATE(18223)] = 804800,
  [SMALL_STATE(18224)] = 804820,
  [SMALL_STATE(18225)] = 804840,
  [SMALL_STATE(18226)] = 804860,
  [SMALL_STATE(18227)] = 804880,
  [SMALL_STATE(18228)] = 804900,
  [SMALL_STATE(18229)] = 804920,
  [SMALL_STATE(18230)] = 804940,
  [SMALL_STATE(18231)] = 804960,
  [SMALL_STATE(18232)] = 804980,
  [SMALL_STATE(18233)] = 805000,
  [SMALL_STATE(18234)] = 805020,
  [SMALL_STATE(18235)] = 805038,
  [SMALL_STATE(18236)] = 805058,
  [SMALL_STATE(18237)] = 805078,
  [SMALL_STATE(18238)] = 805098,
  [SMALL_STATE(18239)] = 805118,
  [SMALL_STATE(18240)] = 805138,
  [SMALL_STATE(18241)] = 805158,
  [SMALL_STATE(18242)] = 805178,
  [SMALL_STATE(18243)] = 805196,
  [SMALL_STATE(18244)] = 805216,
  [SMALL_STATE(18245)] = 805236,
  [SMALL_STATE(18246)] = 805256,
  [SMALL_STATE(18247)] = 805276,
  [SMALL_STATE(18248)] = 805296,
  [SMALL_STATE(18249)] = 805316,
  [SMALL_STATE(18250)] = 805336,
  [SMALL_STATE(18251)] = 805356,
  [SMALL_STATE(18252)] = 805376,
  [SMALL_STATE(18253)] = 805396,
  [SMALL_STATE(18254)] = 805416,
  [SMALL_STATE(18255)] = 805436,
  [SMALL_STATE(18256)] = 805454,
  [SMALL_STATE(18257)] = 805474,
  [SMALL_STATE(18258)] = 805494,
  [SMALL_STATE(18259)] = 805514,
  [SMALL_STATE(18260)] = 805534,
  [SMALL_STATE(18261)] = 805554,
  [SMALL_STATE(18262)] = 805574,
  [SMALL_STATE(18263)] = 805594,
  [SMALL_STATE(18264)] = 805614,
  [SMALL_STATE(18265)] = 805634,
  [SMALL_STATE(18266)] = 805652,
  [SMALL_STATE(18267)] = 805672,
  [SMALL_STATE(18268)] = 805692,
  [SMALL_STATE(18269)] = 805712,
  [SMALL_STATE(18270)] = 805732,
  [SMALL_STATE(18271)] = 805752,
  [SMALL_STATE(18272)] = 805772,
  [SMALL_STATE(18273)] = 805792,
  [SMALL_STATE(18274)] = 805810,
  [SMALL_STATE(18275)] = 805830,
  [SMALL_STATE(18276)] = 805850,
  [SMALL_STATE(18277)] = 805868,
  [SMALL_STATE(18278)] = 805888,
  [SMALL_STATE(18279)] = 805908,
  [SMALL_STATE(18280)] = 805928,
  [SMALL_STATE(18281)] = 805948,
  [SMALL_STATE(18282)] = 805966,
  [SMALL_STATE(18283)] = 805986,
  [SMALL_STATE(18284)] = 806006,
  [SMALL_STATE(18285)] = 806024,
  [SMALL_STATE(18286)] = 806044,
  [SMALL_STATE(18287)] = 806064,
  [SMALL_STATE(18288)] = 806084,
  [SMALL_STATE(18289)] = 806104,
  [SMALL_STATE(18290)] = 806124,
  [SMALL_STATE(18291)] = 806144,
  [SMALL_STATE(18292)] = 806164,
  [SMALL_STATE(18293)] = 806182,
  [SMALL_STATE(18294)] = 806202,
  [SMALL_STATE(18295)] = 806222,
  [SMALL_STATE(18296)] = 806242,
  [SMALL_STATE(18297)] = 806262,
  [SMALL_STATE(18298)] = 806282,
  [SMALL_STATE(18299)] = 806302,
  [SMALL_STATE(18300)] = 806322,
  [SMALL_STATE(18301)] = 806342,
  [SMALL_STATE(18302)] = 806362,
  [SMALL_STATE(18303)] = 806382,
  [SMALL_STATE(18304)] = 806400,
  [SMALL_STATE(18305)] = 806420,
  [SMALL_STATE(18306)] = 806440,
  [SMALL_STATE(18307)] = 806460,
  [SMALL_STATE(18308)] = 806480,
  [SMALL_STATE(18309)] = 806500,
  [SMALL_STATE(18310)] = 806520,
  [SMALL_STATE(18311)] = 806538,
  [SMALL_STATE(18312)] = 806558,
  [SMALL_STATE(18313)] = 806578,
  [SMALL_STATE(18314)] = 806598,
  [SMALL_STATE(18315)] = 806616,
  [SMALL_STATE(18316)] = 806636,
  [SMALL_STATE(18317)] = 806656,
  [SMALL_STATE(18318)] = 806676,
  [SMALL_STATE(18319)] = 806696,
  [SMALL_STATE(18320)] = 806716,
  [SMALL_STATE(18321)] = 806736,
  [SMALL_STATE(18322)] = 806754,
  [SMALL_STATE(18323)] = 806772,
  [SMALL_STATE(18324)] = 806792,
  [SMALL_STATE(18325)] = 806812,
  [SMALL_STATE(18326)] = 806832,
  [SMALL_STATE(18327)] = 806852,
  [SMALL_STATE(18328)] = 806870,
  [SMALL_STATE(18329)] = 806890,
  [SMALL_STATE(18330)] = 806910,
  [SMALL_STATE(18331)] = 806930,
  [SMALL_STATE(18332)] = 806950,
  [SMALL_STATE(18333)] = 806970,
  [SMALL_STATE(18334)] = 806990,
  [SMALL_STATE(18335)] = 807010,
  [SMALL_STATE(18336)] = 807028,
  [SMALL_STATE(18337)] = 807048,
  [SMALL_STATE(18338)] = 807068,
  [SMALL_STATE(18339)] = 807088,
  [SMALL_STATE(18340)] = 807108,
  [SMALL_STATE(18341)] = 807128,
  [SMALL_STATE(18342)] = 807148,
  [SMALL_STATE(18343)] = 807168,
  [SMALL_STATE(18344)] = 807186,
  [SMALL_STATE(18345)] = 807206,
  [SMALL_STATE(18346)] = 807226,
  [SMALL_STATE(18347)] = 807246,
  [SMALL_STATE(18348)] = 807266,
  [SMALL_STATE(18349)] = 807284,
  [SMALL_STATE(18350)] = 807304,
  [SMALL_STATE(18351)] = 807324,
  [SMALL_STATE(18352)] = 807344,
  [SMALL_STATE(18353)] = 807364,
  [SMALL_STATE(18354)] = 807384,
  [SMALL_STATE(18355)] = 807402,
  [SMALL_STATE(18356)] = 807422,
  [SMALL_STATE(18357)] = 807442,
  [SMALL_STATE(18358)] = 807462,
  [SMALL_STATE(18359)] = 807482,
  [SMALL_STATE(18360)] = 807500,
  [SMALL_STATE(18361)] = 807520,
  [SMALL_STATE(18362)] = 807540,
  [SMALL_STATE(18363)] = 807556,
  [SMALL_STATE(18364)] = 807576,
  [SMALL_STATE(18365)] = 807596,
  [SMALL_STATE(18366)] = 807614,
  [SMALL_STATE(18367)] = 807634,
  [SMALL_STATE(18368)] = 807654,
  [SMALL_STATE(18369)] = 807672,
  [SMALL_STATE(18370)] = 807692,
  [SMALL_STATE(18371)] = 807712,
  [SMALL_STATE(18372)] = 807732,
  [SMALL_STATE(18373)] = 807752,
  [SMALL_STATE(18374)] = 807770,
  [SMALL_STATE(18375)] = 807790,
  [SMALL_STATE(18376)] = 807810,
  [SMALL_STATE(18377)] = 807830,
  [SMALL_STATE(18378)] = 807850,
  [SMALL_STATE(18379)] = 807870,
  [SMALL_STATE(18380)] = 807890,
  [SMALL_STATE(18381)] = 807910,
  [SMALL_STATE(18382)] = 807930,
  [SMALL_STATE(18383)] = 807948,
  [SMALL_STATE(18384)] = 807968,
  [SMALL_STATE(18385)] = 807988,
  [SMALL_STATE(18386)] = 808008,
  [SMALL_STATE(18387)] = 808028,
  [SMALL_STATE(18388)] = 808048,
  [SMALL_STATE(18389)] = 808068,
  [SMALL_STATE(18390)] = 808088,
  [SMALL_STATE(18391)] = 808108,
  [SMALL_STATE(18392)] = 808126,
  [SMALL_STATE(18393)] = 808146,
  [SMALL_STATE(18394)] = 808166,
  [SMALL_STATE(18395)] = 808186,
  [SMALL_STATE(18396)] = 808206,
  [SMALL_STATE(18397)] = 808226,
  [SMALL_STATE(18398)] = 808246,
  [SMALL_STATE(18399)] = 808264,
  [SMALL_STATE(18400)] = 808284,
  [SMALL_STATE(18401)] = 808300,
  [SMALL_STATE(18402)] = 808320,
  [SMALL_STATE(18403)] = 808340,
  [SMALL_STATE(18404)] = 808360,
  [SMALL_STATE(18405)] = 808380,
  [SMALL_STATE(18406)] = 808398,
  [SMALL_STATE(18407)] = 808418,
  [SMALL_STATE(18408)] = 808438,
  [SMALL_STATE(18409)] = 808456,
  [SMALL_STATE(18410)] = 808476,
  [SMALL_STATE(18411)] = 808496,
  [SMALL_STATE(18412)] = 808516,
  [SMALL_STATE(18413)] = 808536,
  [SMALL_STATE(18414)] = 808556,
  [SMALL_STATE(18415)] = 808576,
  [SMALL_STATE(18416)] = 808596,
  [SMALL_STATE(18417)] = 808616,
  [SMALL_STATE(18418)] = 808636,
  [SMALL_STATE(18419)] = 808656,
  [SMALL_STATE(18420)] = 808674,
  [SMALL_STATE(18421)] = 808694,
  [SMALL_STATE(18422)] = 808712,
  [SMALL_STATE(18423)] = 808732,
  [SMALL_STATE(18424)] = 808752,
  [SMALL_STATE(18425)] = 808772,
  [SMALL_STATE(18426)] = 808792,
  [SMALL_STATE(18427)] = 808812,
  [SMALL_STATE(18428)] = 808830,
  [SMALL_STATE(18429)] = 808850,
  [SMALL_STATE(18430)] = 808870,
  [SMALL_STATE(18431)] = 808890,
  [SMALL_STATE(18432)] = 808910,
  [SMALL_STATE(18433)] = 808930,
  [SMALL_STATE(18434)] = 808950,
  [SMALL_STATE(18435)] = 808970,
  [SMALL_STATE(18436)] = 808990,
  [SMALL_STATE(18437)] = 809008,
  [SMALL_STATE(18438)] = 809028,
  [SMALL_STATE(18439)] = 809048,
  [SMALL_STATE(18440)] = 809068,
  [SMALL_STATE(18441)] = 809088,
  [SMALL_STATE(18442)] = 809108,
  [SMALL_STATE(18443)] = 809128,
  [SMALL_STATE(18444)] = 809146,
  [SMALL_STATE(18445)] = 809166,
  [SMALL_STATE(18446)] = 809184,
  [SMALL_STATE(18447)] = 809204,
  [SMALL_STATE(18448)] = 809224,
  [SMALL_STATE(18449)] = 809244,
  [SMALL_STATE(18450)] = 809264,
  [SMALL_STATE(18451)] = 809284,
  [SMALL_STATE(18452)] = 809304,
  [SMALL_STATE(18453)] = 809324,
  [SMALL_STATE(18454)] = 809344,
  [SMALL_STATE(18455)] = 809360,
  [SMALL_STATE(18456)] = 809380,
  [SMALL_STATE(18457)] = 809398,
  [SMALL_STATE(18458)] = 809418,
  [SMALL_STATE(18459)] = 809438,
  [SMALL_STATE(18460)] = 809458,
  [SMALL_STATE(18461)] = 809478,
  [SMALL_STATE(18462)] = 809498,
  [SMALL_STATE(18463)] = 809516,
  [SMALL_STATE(18464)] = 809536,
  [SMALL_STATE(18465)] = 809554,
  [SMALL_STATE(18466)] = 809574,
  [SMALL_STATE(18467)] = 809594,
  [SMALL_STATE(18468)] = 809614,
  [SMALL_STATE(18469)] = 809632,
  [SMALL_STATE(18470)] = 809652,
  [SMALL_STATE(18471)] = 809672,
  [SMALL_STATE(18472)] = 809692,
  [SMALL_STATE(18473)] = 809712,
  [SMALL_STATE(18474)] = 809732,
  [SMALL_STATE(18475)] = 809750,
  [SMALL_STATE(18476)] = 809768,
  [SMALL_STATE(18477)] = 809784,
  [SMALL_STATE(18478)] = 809804,
  [SMALL_STATE(18479)] = 809824,
  [SMALL_STATE(18480)] = 809842,
  [SMALL_STATE(18481)] = 809862,
  [SMALL_STATE(18482)] = 809882,
  [SMALL_STATE(18483)] = 809902,
  [SMALL_STATE(18484)] = 809922,
  [SMALL_STATE(18485)] = 809940,
  [SMALL_STATE(18486)] = 809960,
  [SMALL_STATE(18487)] = 809978,
  [SMALL_STATE(18488)] = 809998,
  [SMALL_STATE(18489)] = 810016,
  [SMALL_STATE(18490)] = 810036,
  [SMALL_STATE(18491)] = 810054,
  [SMALL_STATE(18492)] = 810074,
  [SMALL_STATE(18493)] = 810094,
  [SMALL_STATE(18494)] = 810112,
  [SMALL_STATE(18495)] = 810132,
  [SMALL_STATE(18496)] = 810150,
  [SMALL_STATE(18497)] = 810170,
  [SMALL_STATE(18498)] = 810188,
  [SMALL_STATE(18499)] = 810208,
  [SMALL_STATE(18500)] = 810228,
  [SMALL_STATE(18501)] = 810246,
  [SMALL_STATE(18502)] = 810266,
  [SMALL_STATE(18503)] = 810284,
  [SMALL_STATE(18504)] = 810304,
  [SMALL_STATE(18505)] = 810322,
  [SMALL_STATE(18506)] = 810342,
  [SMALL_STATE(18507)] = 810360,
  [SMALL_STATE(18508)] = 810380,
  [SMALL_STATE(18509)] = 810398,
  [SMALL_STATE(18510)] = 810418,
  [SMALL_STATE(18511)] = 810436,
  [SMALL_STATE(18512)] = 810456,
  [SMALL_STATE(18513)] = 810474,
  [SMALL_STATE(18514)] = 810494,
  [SMALL_STATE(18515)] = 810512,
  [SMALL_STATE(18516)] = 810532,
  [SMALL_STATE(18517)] = 810550,
  [SMALL_STATE(18518)] = 810570,
  [SMALL_STATE(18519)] = 810588,
  [SMALL_STATE(18520)] = 810608,
  [SMALL_STATE(18521)] = 810626,
  [SMALL_STATE(18522)] = 810646,
  [SMALL_STATE(18523)] = 810664,
  [SMALL_STATE(18524)] = 810684,
  [SMALL_STATE(18525)] = 810702,
  [SMALL_STATE(18526)] = 810722,
  [SMALL_STATE(18527)] = 810740,
  [SMALL_STATE(18528)] = 810760,
  [SMALL_STATE(18529)] = 810778,
  [SMALL_STATE(18530)] = 810798,
  [SMALL_STATE(18531)] = 810816,
  [SMALL_STATE(18532)] = 810836,
  [SMALL_STATE(18533)] = 810854,
  [SMALL_STATE(18534)] = 810874,
  [SMALL_STATE(18535)] = 810892,
  [SMALL_STATE(18536)] = 810912,
  [SMALL_STATE(18537)] = 810930,
  [SMALL_STATE(18538)] = 810950,
  [SMALL_STATE(18539)] = 810968,
  [SMALL_STATE(18540)] = 810988,
  [SMALL_STATE(18541)] = 811006,
  [SMALL_STATE(18542)] = 811026,
  [SMALL_STATE(18543)] = 811044,
  [SMALL_STATE(18544)] = 811064,
  [SMALL_STATE(18545)] = 811082,
  [SMALL_STATE(18546)] = 811102,
  [SMALL_STATE(18547)] = 811120,
  [SMALL_STATE(18548)] = 811140,
  [SMALL_STATE(18549)] = 811158,
  [SMALL_STATE(18550)] = 811178,
  [SMALL_STATE(18551)] = 811196,
  [SMALL_STATE(18552)] = 811216,
  [SMALL_STATE(18553)] = 811234,
  [SMALL_STATE(18554)] = 811254,
  [SMALL_STATE(18555)] = 811272,
  [SMALL_STATE(18556)] = 811292,
  [SMALL_STATE(18557)] = 811310,
  [SMALL_STATE(18558)] = 811330,
  [SMALL_STATE(18559)] = 811348,
  [SMALL_STATE(18560)] = 811366,
  [SMALL_STATE(18561)] = 811386,
  [SMALL_STATE(18562)] = 811406,
  [SMALL_STATE(18563)] = 811426,
  [SMALL_STATE(18564)] = 811446,
  [SMALL_STATE(18565)] = 811466,
  [SMALL_STATE(18566)] = 811486,
  [SMALL_STATE(18567)] = 811506,
  [SMALL_STATE(18568)] = 811526,
  [SMALL_STATE(18569)] = 811546,
  [SMALL_STATE(18570)] = 811566,
  [SMALL_STATE(18571)] = 811586,
  [SMALL_STATE(18572)] = 811606,
  [SMALL_STATE(18573)] = 811624,
  [SMALL_STATE(18574)] = 811644,
  [SMALL_STATE(18575)] = 811664,
  [SMALL_STATE(18576)] = 811684,
  [SMALL_STATE(18577)] = 811704,
  [SMALL_STATE(18578)] = 811724,
  [SMALL_STATE(18579)] = 811744,
  [SMALL_STATE(18580)] = 811764,
  [SMALL_STATE(18581)] = 811782,
  [SMALL_STATE(18582)] = 811802,
  [SMALL_STATE(18583)] = 811822,
  [SMALL_STATE(18584)] = 811842,
  [SMALL_STATE(18585)] = 811862,
  [SMALL_STATE(18586)] = 811882,
  [SMALL_STATE(18587)] = 811902,
  [SMALL_STATE(18588)] = 811920,
  [SMALL_STATE(18589)] = 811938,
  [SMALL_STATE(18590)] = 811958,
  [SMALL_STATE(18591)] = 811978,
  [SMALL_STATE(18592)] = 811998,
  [SMALL_STATE(18593)] = 812018,
  [SMALL_STATE(18594)] = 812036,
  [SMALL_STATE(18595)] = 812056,
  [SMALL_STATE(18596)] = 812076,
  [SMALL_STATE(18597)] = 812096,
  [SMALL_STATE(18598)] = 812116,
  [SMALL_STATE(18599)] = 812136,
  [SMALL_STATE(18600)] = 812156,
  [SMALL_STATE(18601)] = 812176,
  [SMALL_STATE(18602)] = 812196,
  [SMALL_STATE(18603)] = 812216,
  [SMALL_STATE(18604)] = 812236,
  [SMALL_STATE(18605)] = 812256,
  [SMALL_STATE(18606)] = 812276,
  [SMALL_STATE(18607)] = 812294,
  [SMALL_STATE(18608)] = 812314,
  [SMALL_STATE(18609)] = 812334,
  [SMALL_STATE(18610)] = 812354,
  [SMALL_STATE(18611)] = 812374,
  [SMALL_STATE(18612)] = 812394,
  [SMALL_STATE(18613)] = 812414,
  [SMALL_STATE(18614)] = 812434,
  [SMALL_STATE(18615)] = 812454,
  [SMALL_STATE(18616)] = 812474,
  [SMALL_STATE(18617)] = 812494,
  [SMALL_STATE(18618)] = 812514,
  [SMALL_STATE(18619)] = 812532,
  [SMALL_STATE(18620)] = 812552,
  [SMALL_STATE(18621)] = 812572,
  [SMALL_STATE(18622)] = 812592,
  [SMALL_STATE(18623)] = 812612,
  [SMALL_STATE(18624)] = 812630,
  [SMALL_STATE(18625)] = 812650,
  [SMALL_STATE(18626)] = 812668,
  [SMALL_STATE(18627)] = 812688,
  [SMALL_STATE(18628)] = 812708,
  [SMALL_STATE(18629)] = 812728,
  [SMALL_STATE(18630)] = 812748,
  [SMALL_STATE(18631)] = 812768,
  [SMALL_STATE(18632)] = 812788,
  [SMALL_STATE(18633)] = 812808,
  [SMALL_STATE(18634)] = 812826,
  [SMALL_STATE(18635)] = 812844,
  [SMALL_STATE(18636)] = 812864,
  [SMALL_STATE(18637)] = 812884,
  [SMALL_STATE(18638)] = 812904,
  [SMALL_STATE(18639)] = 812924,
  [SMALL_STATE(18640)] = 812942,
  [SMALL_STATE(18641)] = 812962,
  [SMALL_STATE(18642)] = 812982,
  [SMALL_STATE(18643)] = 813002,
  [SMALL_STATE(18644)] = 813022,
  [SMALL_STATE(18645)] = 813042,
  [SMALL_STATE(18646)] = 813062,
  [SMALL_STATE(18647)] = 813082,
  [SMALL_STATE(18648)] = 813100,
  [SMALL_STATE(18649)] = 813120,
  [SMALL_STATE(18650)] = 813140,
  [SMALL_STATE(18651)] = 813160,
  [SMALL_STATE(18652)] = 813176,
  [SMALL_STATE(18653)] = 813196,
  [SMALL_STATE(18654)] = 813216,
  [SMALL_STATE(18655)] = 813236,
  [SMALL_STATE(18656)] = 813256,
  [SMALL_STATE(18657)] = 813276,
  [SMALL_STATE(18658)] = 813296,
  [SMALL_STATE(18659)] = 813316,
  [SMALL_STATE(18660)] = 813336,
  [SMALL_STATE(18661)] = 813356,
  [SMALL_STATE(18662)] = 813376,
  [SMALL_STATE(18663)] = 813396,
  [SMALL_STATE(18664)] = 813416,
  [SMALL_STATE(18665)] = 813436,
  [SMALL_STATE(18666)] = 813456,
  [SMALL_STATE(18667)] = 813476,
  [SMALL_STATE(18668)] = 813496,
  [SMALL_STATE(18669)] = 813516,
  [SMALL_STATE(18670)] = 813536,
  [SMALL_STATE(18671)] = 813556,
  [SMALL_STATE(18672)] = 813574,
  [SMALL_STATE(18673)] = 813594,
  [SMALL_STATE(18674)] = 813614,
  [SMALL_STATE(18675)] = 813634,
  [SMALL_STATE(18676)] = 813654,
  [SMALL_STATE(18677)] = 813674,
  [SMALL_STATE(18678)] = 813692,
  [SMALL_STATE(18679)] = 813712,
  [SMALL_STATE(18680)] = 813732,
  [SMALL_STATE(18681)] = 813752,
  [SMALL_STATE(18682)] = 813772,
  [SMALL_STATE(18683)] = 813790,
  [SMALL_STATE(18684)] = 813810,
  [SMALL_STATE(18685)] = 813830,
  [SMALL_STATE(18686)] = 813850,
  [SMALL_STATE(18687)] = 813870,
  [SMALL_STATE(18688)] = 813890,
  [SMALL_STATE(18689)] = 813910,
  [SMALL_STATE(18690)] = 813930,
  [SMALL_STATE(18691)] = 813950,
  [SMALL_STATE(18692)] = 813970,
  [SMALL_STATE(18693)] = 813988,
  [SMALL_STATE(18694)] = 814008,
  [SMALL_STATE(18695)] = 814028,
  [SMALL_STATE(18696)] = 814048,
  [SMALL_STATE(18697)] = 814068,
  [SMALL_STATE(18698)] = 814088,
  [SMALL_STATE(18699)] = 814108,
  [SMALL_STATE(18700)] = 814128,
  [SMALL_STATE(18701)] = 814148,
  [SMALL_STATE(18702)] = 814168,
  [SMALL_STATE(18703)] = 814188,
  [SMALL_STATE(18704)] = 814208,
  [SMALL_STATE(18705)] = 814226,
  [SMALL_STATE(18706)] = 814246,
  [SMALL_STATE(18707)] = 814266,
  [SMALL_STATE(18708)] = 814286,
  [SMALL_STATE(18709)] = 814306,
  [SMALL_STATE(18710)] = 814326,
  [SMALL_STATE(18711)] = 814346,
  [SMALL_STATE(18712)] = 814364,
  [SMALL_STATE(18713)] = 814384,
  [SMALL_STATE(18714)] = 814404,
  [SMALL_STATE(18715)] = 814424,
  [SMALL_STATE(18716)] = 814444,
  [SMALL_STATE(18717)] = 814462,
  [SMALL_STATE(18718)] = 814482,
  [SMALL_STATE(18719)] = 814502,
  [SMALL_STATE(18720)] = 814522,
  [SMALL_STATE(18721)] = 814542,
  [SMALL_STATE(18722)] = 814562,
  [SMALL_STATE(18723)] = 814580,
  [SMALL_STATE(18724)] = 814600,
  [SMALL_STATE(18725)] = 814620,
  [SMALL_STATE(18726)] = 814640,
  [SMALL_STATE(18727)] = 814660,
  [SMALL_STATE(18728)] = 814680,
  [SMALL_STATE(18729)] = 814700,
  [SMALL_STATE(18730)] = 814718,
  [SMALL_STATE(18731)] = 814738,
  [SMALL_STATE(18732)] = 814758,
  [SMALL_STATE(18733)] = 814776,
  [SMALL_STATE(18734)] = 814796,
  [SMALL_STATE(18735)] = 814816,
  [SMALL_STATE(18736)] = 814836,
  [SMALL_STATE(18737)] = 814856,
  [SMALL_STATE(18738)] = 814876,
  [SMALL_STATE(18739)] = 814896,
  [SMALL_STATE(18740)] = 814916,
  [SMALL_STATE(18741)] = 814934,
  [SMALL_STATE(18742)] = 814954,
  [SMALL_STATE(18743)] = 814974,
  [SMALL_STATE(18744)] = 814994,
  [SMALL_STATE(18745)] = 815014,
  [SMALL_STATE(18746)] = 815032,
  [SMALL_STATE(18747)] = 815052,
  [SMALL_STATE(18748)] = 815072,
  [SMALL_STATE(18749)] = 815092,
  [SMALL_STATE(18750)] = 815112,
  [SMALL_STATE(18751)] = 815132,
  [SMALL_STATE(18752)] = 815152,
  [SMALL_STATE(18753)] = 815170,
  [SMALL_STATE(18754)] = 815190,
  [SMALL_STATE(18755)] = 815210,
  [SMALL_STATE(18756)] = 815230,
  [SMALL_STATE(18757)] = 815250,
  [SMALL_STATE(18758)] = 815270,
  [SMALL_STATE(18759)] = 815290,
  [SMALL_STATE(18760)] = 815308,
  [SMALL_STATE(18761)] = 815328,
  [SMALL_STATE(18762)] = 815348,
  [SMALL_STATE(18763)] = 815368,
  [SMALL_STATE(18764)] = 815388,
  [SMALL_STATE(18765)] = 815406,
  [SMALL_STATE(18766)] = 815426,
  [SMALL_STATE(18767)] = 815446,
  [SMALL_STATE(18768)] = 815466,
  [SMALL_STATE(18769)] = 815486,
  [SMALL_STATE(18770)] = 815504,
  [SMALL_STATE(18771)] = 815524,
  [SMALL_STATE(18772)] = 815544,
  [SMALL_STATE(18773)] = 815564,
  [SMALL_STATE(18774)] = 815584,
  [SMALL_STATE(18775)] = 815602,
  [SMALL_STATE(18776)] = 815622,
  [SMALL_STATE(18777)] = 815642,
  [SMALL_STATE(18778)] = 815662,
  [SMALL_STATE(18779)] = 815682,
  [SMALL_STATE(18780)] = 815700,
  [SMALL_STATE(18781)] = 815716,
  [SMALL_STATE(18782)] = 815736,
  [SMALL_STATE(18783)] = 815756,
  [SMALL_STATE(18784)] = 815776,
  [SMALL_STATE(18785)] = 815796,
  [SMALL_STATE(18786)] = 815816,
  [SMALL_STATE(18787)] = 815836,
  [SMALL_STATE(18788)] = 815854,
  [SMALL_STATE(18789)] = 815874,
  [SMALL_STATE(18790)] = 815894,
  [SMALL_STATE(18791)] = 815914,
  [SMALL_STATE(18792)] = 815934,
  [SMALL_STATE(18793)] = 815952,
  [SMALL_STATE(18794)] = 815970,
  [SMALL_STATE(18795)] = 815990,
  [SMALL_STATE(18796)] = 816010,
  [SMALL_STATE(18797)] = 816030,
  [SMALL_STATE(18798)] = 816048,
  [SMALL_STATE(18799)] = 816068,
  [SMALL_STATE(18800)] = 816088,
  [SMALL_STATE(18801)] = 816108,
  [SMALL_STATE(18802)] = 816128,
  [SMALL_STATE(18803)] = 816146,
  [SMALL_STATE(18804)] = 816166,
  [SMALL_STATE(18805)] = 816186,
  [SMALL_STATE(18806)] = 816206,
  [SMALL_STATE(18807)] = 816226,
  [SMALL_STATE(18808)] = 816244,
  [SMALL_STATE(18809)] = 816264,
  [SMALL_STATE(18810)] = 816284,
  [SMALL_STATE(18811)] = 816304,
  [SMALL_STATE(18812)] = 816322,
  [SMALL_STATE(18813)] = 816342,
  [SMALL_STATE(18814)] = 816362,
  [SMALL_STATE(18815)] = 816382,
  [SMALL_STATE(18816)] = 816402,
  [SMALL_STATE(18817)] = 816420,
  [SMALL_STATE(18818)] = 816440,
  [SMALL_STATE(18819)] = 816460,
  [SMALL_STATE(18820)] = 816480,
  [SMALL_STATE(18821)] = 816500,
  [SMALL_STATE(18822)] = 816520,
  [SMALL_STATE(18823)] = 816540,
  [SMALL_STATE(18824)] = 816558,
  [SMALL_STATE(18825)] = 816578,
  [SMALL_STATE(18826)] = 816598,
  [SMALL_STATE(18827)] = 816618,
  [SMALL_STATE(18828)] = 816636,
  [SMALL_STATE(18829)] = 816656,
  [SMALL_STATE(18830)] = 816676,
  [SMALL_STATE(18831)] = 816696,
  [SMALL_STATE(18832)] = 816716,
  [SMALL_STATE(18833)] = 816736,
  [SMALL_STATE(18834)] = 816756,
  [SMALL_STATE(18835)] = 816774,
  [SMALL_STATE(18836)] = 816794,
  [SMALL_STATE(18837)] = 816814,
  [SMALL_STATE(18838)] = 816834,
  [SMALL_STATE(18839)] = 816854,
  [SMALL_STATE(18840)] = 816874,
  [SMALL_STATE(18841)] = 816894,
  [SMALL_STATE(18842)] = 816914,
  [SMALL_STATE(18843)] = 816932,
  [SMALL_STATE(18844)] = 816952,
  [SMALL_STATE(18845)] = 816972,
  [SMALL_STATE(18846)] = 816992,
  [SMALL_STATE(18847)] = 817010,
  [SMALL_STATE(18848)] = 817030,
  [SMALL_STATE(18849)] = 817050,
  [SMALL_STATE(18850)] = 817070,
  [SMALL_STATE(18851)] = 817090,
  [SMALL_STATE(18852)] = 817110,
  [SMALL_STATE(18853)] = 817128,
  [SMALL_STATE(18854)] = 817148,
  [SMALL_STATE(18855)] = 817168,
  [SMALL_STATE(18856)] = 817188,
  [SMALL_STATE(18857)] = 817208,
  [SMALL_STATE(18858)] = 817228,
  [SMALL_STATE(18859)] = 817248,
  [SMALL_STATE(18860)] = 817266,
  [SMALL_STATE(18861)] = 817286,
  [SMALL_STATE(18862)] = 817306,
  [SMALL_STATE(18863)] = 817326,
  [SMALL_STATE(18864)] = 817346,
  [SMALL_STATE(18865)] = 817366,
  [SMALL_STATE(18866)] = 817386,
  [SMALL_STATE(18867)] = 817404,
  [SMALL_STATE(18868)] = 817424,
  [SMALL_STATE(18869)] = 817444,
  [SMALL_STATE(18870)] = 817464,
  [SMALL_STATE(18871)] = 817484,
  [SMALL_STATE(18872)] = 817502,
  [SMALL_STATE(18873)] = 817522,
  [SMALL_STATE(18874)] = 817542,
  [SMALL_STATE(18875)] = 817562,
  [SMALL_STATE(18876)] = 817582,
  [SMALL_STATE(18877)] = 817602,
  [SMALL_STATE(18878)] = 817622,
  [SMALL_STATE(18879)] = 817640,
  [SMALL_STATE(18880)] = 817660,
  [SMALL_STATE(18881)] = 817680,
  [SMALL_STATE(18882)] = 817700,
  [SMALL_STATE(18883)] = 817720,
  [SMALL_STATE(18884)] = 817738,
  [SMALL_STATE(18885)] = 817758,
  [SMALL_STATE(18886)] = 817776,
  [SMALL_STATE(18887)] = 817796,
  [SMALL_STATE(18888)] = 817816,
  [SMALL_STATE(18889)] = 817836,
  [SMALL_STATE(18890)] = 817854,
  [SMALL_STATE(18891)] = 817874,
  [SMALL_STATE(18892)] = 817894,
  [SMALL_STATE(18893)] = 817914,
  [SMALL_STATE(18894)] = 817932,
  [SMALL_STATE(18895)] = 817952,
  [SMALL_STATE(18896)] = 817972,
  [SMALL_STATE(18897)] = 817992,
  [SMALL_STATE(18898)] = 818010,
  [SMALL_STATE(18899)] = 818030,
  [SMALL_STATE(18900)] = 818050,
  [SMALL_STATE(18901)] = 818070,
  [SMALL_STATE(18902)] = 818088,
  [SMALL_STATE(18903)] = 818108,
  [SMALL_STATE(18904)] = 818128,
  [SMALL_STATE(18905)] = 818146,
  [SMALL_STATE(18906)] = 818166,
  [SMALL_STATE(18907)] = 818186,
  [SMALL_STATE(18908)] = 818206,
  [SMALL_STATE(18909)] = 818224,
  [SMALL_STATE(18910)] = 818244,
  [SMALL_STATE(18911)] = 818264,
  [SMALL_STATE(18912)] = 818284,
  [SMALL_STATE(18913)] = 818302,
  [SMALL_STATE(18914)] = 818322,
  [SMALL_STATE(18915)] = 818340,
  [SMALL_STATE(18916)] = 818360,
  [SMALL_STATE(18917)] = 818380,
  [SMALL_STATE(18918)] = 818400,
  [SMALL_STATE(18919)] = 818418,
  [SMALL_STATE(18920)] = 818438,
  [SMALL_STATE(18921)] = 818458,
  [SMALL_STATE(18922)] = 818478,
  [SMALL_STATE(18923)] = 818498,
  [SMALL_STATE(18924)] = 818516,
  [SMALL_STATE(18925)] = 818536,
  [SMALL_STATE(18926)] = 818556,
  [SMALL_STATE(18927)] = 818576,
  [SMALL_STATE(18928)] = 818596,
  [SMALL_STATE(18929)] = 818614,
  [SMALL_STATE(18930)] = 818634,
  [SMALL_STATE(18931)] = 818654,
  [SMALL_STATE(18932)] = 818674,
  [SMALL_STATE(18933)] = 818692,
  [SMALL_STATE(18934)] = 818712,
  [SMALL_STATE(18935)] = 818732,
  [SMALL_STATE(18936)] = 818752,
  [SMALL_STATE(18937)] = 818772,
  [SMALL_STATE(18938)] = 818792,
  [SMALL_STATE(18939)] = 818810,
  [SMALL_STATE(18940)] = 818828,
  [SMALL_STATE(18941)] = 818848,
  [SMALL_STATE(18942)] = 818868,
  [SMALL_STATE(18943)] = 818888,
  [SMALL_STATE(18944)] = 818908,
  [SMALL_STATE(18945)] = 818928,
  [SMALL_STATE(18946)] = 818946,
  [SMALL_STATE(18947)] = 818966,
  [SMALL_STATE(18948)] = 818984,
  [SMALL_STATE(18949)] = 819004,
  [SMALL_STATE(18950)] = 819022,
  [SMALL_STATE(18951)] = 819042,
  [SMALL_STATE(18952)] = 819060,
  [SMALL_STATE(18953)] = 819080,
  [SMALL_STATE(18954)] = 819098,
  [SMALL_STATE(18955)] = 819118,
  [SMALL_STATE(18956)] = 819136,
  [SMALL_STATE(18957)] = 819156,
  [SMALL_STATE(18958)] = 819174,
  [SMALL_STATE(18959)] = 819194,
  [SMALL_STATE(18960)] = 819212,
  [SMALL_STATE(18961)] = 819232,
  [SMALL_STATE(18962)] = 819250,
  [SMALL_STATE(18963)] = 819270,
  [SMALL_STATE(18964)] = 819288,
  [SMALL_STATE(18965)] = 819308,
  [SMALL_STATE(18966)] = 819326,
  [SMALL_STATE(18967)] = 819346,
  [SMALL_STATE(18968)] = 819364,
  [SMALL_STATE(18969)] = 819384,
  [SMALL_STATE(18970)] = 819402,
  [SMALL_STATE(18971)] = 819422,
  [SMALL_STATE(18972)] = 819440,
  [SMALL_STATE(18973)] = 819460,
  [SMALL_STATE(18974)] = 819478,
  [SMALL_STATE(18975)] = 819496,
  [SMALL_STATE(18976)] = 819514,
  [SMALL_STATE(18977)] = 819532,
  [SMALL_STATE(18978)] = 819550,
  [SMALL_STATE(18979)] = 819568,
  [SMALL_STATE(18980)] = 819586,
  [SMALL_STATE(18981)] = 819604,
  [SMALL_STATE(18982)] = 819622,
  [SMALL_STATE(18983)] = 819640,
  [SMALL_STATE(18984)] = 819658,
  [SMALL_STATE(18985)] = 819676,
  [SMALL_STATE(18986)] = 819694,
  [SMALL_STATE(18987)] = 819712,
  [SMALL_STATE(18988)] = 819730,
  [SMALL_STATE(18989)] = 819748,
  [SMALL_STATE(18990)] = 819766,
  [SMALL_STATE(18991)] = 819784,
  [SMALL_STATE(18992)] = 819802,
  [SMALL_STATE(18993)] = 819820,
  [SMALL_STATE(18994)] = 819838,
  [SMALL_STATE(18995)] = 819856,
  [SMALL_STATE(18996)] = 819874,
  [SMALL_STATE(18997)] = 819894,
  [SMALL_STATE(18998)] = 819912,
  [SMALL_STATE(18999)] = 819932,
  [SMALL_STATE(19000)] = 819952,
  [SMALL_STATE(19001)] = 819972,
  [SMALL_STATE(19002)] = 819992,
  [SMALL_STATE(19003)] = 820012,
  [SMALL_STATE(19004)] = 820032,
  [SMALL_STATE(19005)] = 820052,
  [SMALL_STATE(19006)] = 820072,
  [SMALL_STATE(19007)] = 820092,
  [SMALL_STATE(19008)] = 820112,
  [SMALL_STATE(19009)] = 820132,
  [SMALL_STATE(19010)] = 820152,
  [SMALL_STATE(19011)] = 820172,
  [SMALL_STATE(19012)] = 820192,
  [SMALL_STATE(19013)] = 820212,
  [SMALL_STATE(19014)] = 820230,
  [SMALL_STATE(19015)] = 820250,
  [SMALL_STATE(19016)] = 820270,
  [SMALL_STATE(19017)] = 820290,
  [SMALL_STATE(19018)] = 820310,
  [SMALL_STATE(19019)] = 820328,
  [SMALL_STATE(19020)] = 820348,
  [SMALL_STATE(19021)] = 820368,
  [SMALL_STATE(19022)] = 820388,
  [SMALL_STATE(19023)] = 820406,
  [SMALL_STATE(19024)] = 820426,
  [SMALL_STATE(19025)] = 820446,
  [SMALL_STATE(19026)] = 820464,
  [SMALL_STATE(19027)] = 820484,
  [SMALL_STATE(19028)] = 820504,
  [SMALL_STATE(19029)] = 820524,
  [SMALL_STATE(19030)] = 820544,
  [SMALL_STATE(19031)] = 820564,
  [SMALL_STATE(19032)] = 820584,
  [SMALL_STATE(19033)] = 820602,
  [SMALL_STATE(19034)] = 820622,
  [SMALL_STATE(19035)] = 820642,
  [SMALL_STATE(19036)] = 820662,
  [SMALL_STATE(19037)] = 820682,
  [SMALL_STATE(19038)] = 820702,
  [SMALL_STATE(19039)] = 820722,
  [SMALL_STATE(19040)] = 820742,
  [SMALL_STATE(19041)] = 820760,
  [SMALL_STATE(19042)] = 820780,
  [SMALL_STATE(19043)] = 820798,
  [SMALL_STATE(19044)] = 820818,
  [SMALL_STATE(19045)] = 820838,
  [SMALL_STATE(19046)] = 820856,
  [SMALL_STATE(19047)] = 820876,
  [SMALL_STATE(19048)] = 820894,
  [SMALL_STATE(19049)] = 820914,
  [SMALL_STATE(19050)] = 820932,
  [SMALL_STATE(19051)] = 820950,
  [SMALL_STATE(19052)] = 820970,
  [SMALL_STATE(19053)] = 820988,
  [SMALL_STATE(19054)] = 821008,
  [SMALL_STATE(19055)] = 821026,
  [SMALL_STATE(19056)] = 821046,
  [SMALL_STATE(19057)] = 821066,
  [SMALL_STATE(19058)] = 821084,
  [SMALL_STATE(19059)] = 821104,
  [SMALL_STATE(19060)] = 821124,
  [SMALL_STATE(19061)] = 821144,
  [SMALL_STATE(19062)] = 821164,
  [SMALL_STATE(19063)] = 821181,
  [SMALL_STATE(19064)] = 821198,
  [SMALL_STATE(19065)] = 821213,
  [SMALL_STATE(19066)] = 821230,
  [SMALL_STATE(19067)] = 821247,
  [SMALL_STATE(19068)] = 821262,
  [SMALL_STATE(19069)] = 821279,
  [SMALL_STATE(19070)] = 821296,
  [SMALL_STATE(19071)] = 821313,
  [SMALL_STATE(19072)] = 821330,
  [SMALL_STATE(19073)] = 821347,
  [SMALL_STATE(19074)] = 821364,
  [SMALL_STATE(19075)] = 821381,
  [SMALL_STATE(19076)] = 821398,
  [SMALL_STATE(19077)] = 821415,
  [SMALL_STATE(19078)] = 821432,
  [SMALL_STATE(19079)] = 821449,
  [SMALL_STATE(19080)] = 821466,
  [SMALL_STATE(19081)] = 821483,
  [SMALL_STATE(19082)] = 821500,
  [SMALL_STATE(19083)] = 821517,
  [SMALL_STATE(19084)] = 821534,
  [SMALL_STATE(19085)] = 821551,
  [SMALL_STATE(19086)] = 821568,
  [SMALL_STATE(19087)] = 821585,
  [SMALL_STATE(19088)] = 821600,
  [SMALL_STATE(19089)] = 821615,
  [SMALL_STATE(19090)] = 821632,
  [SMALL_STATE(19091)] = 821649,
  [SMALL_STATE(19092)] = 821666,
  [SMALL_STATE(19093)] = 821683,
  [SMALL_STATE(19094)] = 821700,
  [SMALL_STATE(19095)] = 821717,
  [SMALL_STATE(19096)] = 821734,
  [SMALL_STATE(19097)] = 821751,
  [SMALL_STATE(19098)] = 821768,
  [SMALL_STATE(19099)] = 821785,
  [SMALL_STATE(19100)] = 821802,
  [SMALL_STATE(19101)] = 821817,
  [SMALL_STATE(19102)] = 821834,
  [SMALL_STATE(19103)] = 821851,
  [SMALL_STATE(19104)] = 821868,
  [SMALL_STATE(19105)] = 821883,
  [SMALL_STATE(19106)] = 821900,
  [SMALL_STATE(19107)] = 821917,
  [SMALL_STATE(19108)] = 821932,
  [SMALL_STATE(19109)] = 821949,
  [SMALL_STATE(19110)] = 821966,
  [SMALL_STATE(19111)] = 821983,
  [SMALL_STATE(19112)] = 822000,
  [SMALL_STATE(19113)] = 822015,
  [SMALL_STATE(19114)] = 822032,
  [SMALL_STATE(19115)] = 822049,
  [SMALL_STATE(19116)] = 822066,
  [SMALL_STATE(19117)] = 822083,
  [SMALL_STATE(19118)] = 822100,
  [SMALL_STATE(19119)] = 822117,
  [SMALL_STATE(19120)] = 822134,
  [SMALL_STATE(19121)] = 822151,
  [SMALL_STATE(19122)] = 822166,
  [SMALL_STATE(19123)] = 822183,
  [SMALL_STATE(19124)] = 822200,
  [SMALL_STATE(19125)] = 822217,
  [SMALL_STATE(19126)] = 822234,
  [SMALL_STATE(19127)] = 822251,
  [SMALL_STATE(19128)] = 822268,
  [SMALL_STATE(19129)] = 822285,
  [SMALL_STATE(19130)] = 822302,
  [SMALL_STATE(19131)] = 822319,
  [SMALL_STATE(19132)] = 822336,
  [SMALL_STATE(19133)] = 822353,
  [SMALL_STATE(19134)] = 822368,
  [SMALL_STATE(19135)] = 822385,
  [SMALL_STATE(19136)] = 822402,
  [SMALL_STATE(19137)] = 822419,
  [SMALL_STATE(19138)] = 822436,
  [SMALL_STATE(19139)] = 822453,
  [SMALL_STATE(19140)] = 822470,
  [SMALL_STATE(19141)] = 822487,
  [SMALL_STATE(19142)] = 822504,
  [SMALL_STATE(19143)] = 822521,
  [SMALL_STATE(19144)] = 822538,
  [SMALL_STATE(19145)] = 822555,
  [SMALL_STATE(19146)] = 822572,
  [SMALL_STATE(19147)] = 822589,
  [SMALL_STATE(19148)] = 822604,
  [SMALL_STATE(19149)] = 822619,
  [SMALL_STATE(19150)] = 822636,
  [SMALL_STATE(19151)] = 822653,
  [SMALL_STATE(19152)] = 822670,
  [SMALL_STATE(19153)] = 822685,
  [SMALL_STATE(19154)] = 822702,
  [SMALL_STATE(19155)] = 822719,
  [SMALL_STATE(19156)] = 822736,
  [SMALL_STATE(19157)] = 822751,
  [SMALL_STATE(19158)] = 822766,
  [SMALL_STATE(19159)] = 822783,
  [SMALL_STATE(19160)] = 822800,
  [SMALL_STATE(19161)] = 822817,
  [SMALL_STATE(19162)] = 822834,
  [SMALL_STATE(19163)] = 822851,
  [SMALL_STATE(19164)] = 822868,
  [SMALL_STATE(19165)] = 822885,
  [SMALL_STATE(19166)] = 822902,
  [SMALL_STATE(19167)] = 822919,
  [SMALL_STATE(19168)] = 822936,
  [SMALL_STATE(19169)] = 822951,
  [SMALL_STATE(19170)] = 822968,
  [SMALL_STATE(19171)] = 822983,
  [SMALL_STATE(19172)] = 823000,
  [SMALL_STATE(19173)] = 823017,
  [SMALL_STATE(19174)] = 823034,
  [SMALL_STATE(19175)] = 823049,
  [SMALL_STATE(19176)] = 823066,
  [SMALL_STATE(19177)] = 823083,
  [SMALL_STATE(19178)] = 823100,
  [SMALL_STATE(19179)] = 823117,
  [SMALL_STATE(19180)] = 823134,
  [SMALL_STATE(19181)] = 823151,
  [SMALL_STATE(19182)] = 823168,
  [SMALL_STATE(19183)] = 823185,
  [SMALL_STATE(19184)] = 823202,
  [SMALL_STATE(19185)] = 823219,
  [SMALL_STATE(19186)] = 823234,
  [SMALL_STATE(19187)] = 823251,
  [SMALL_STATE(19188)] = 823266,
  [SMALL_STATE(19189)] = 823283,
  [SMALL_STATE(19190)] = 823300,
  [SMALL_STATE(19191)] = 823317,
  [SMALL_STATE(19192)] = 823334,
  [SMALL_STATE(19193)] = 823351,
  [SMALL_STATE(19194)] = 823368,
  [SMALL_STATE(19195)] = 823385,
  [SMALL_STATE(19196)] = 823402,
  [SMALL_STATE(19197)] = 823419,
  [SMALL_STATE(19198)] = 823436,
  [SMALL_STATE(19199)] = 823453,
  [SMALL_STATE(19200)] = 823470,
  [SMALL_STATE(19201)] = 823487,
  [SMALL_STATE(19202)] = 823504,
  [SMALL_STATE(19203)] = 823521,
  [SMALL_STATE(19204)] = 823538,
  [SMALL_STATE(19205)] = 823555,
  [SMALL_STATE(19206)] = 823570,
  [SMALL_STATE(19207)] = 823587,
  [SMALL_STATE(19208)] = 823604,
  [SMALL_STATE(19209)] = 823621,
  [SMALL_STATE(19210)] = 823638,
  [SMALL_STATE(19211)] = 823653,
  [SMALL_STATE(19212)] = 823670,
  [SMALL_STATE(19213)] = 823687,
  [SMALL_STATE(19214)] = 823704,
  [SMALL_STATE(19215)] = 823721,
  [SMALL_STATE(19216)] = 823738,
  [SMALL_STATE(19217)] = 823755,
  [SMALL_STATE(19218)] = 823772,
  [SMALL_STATE(19219)] = 823789,
  [SMALL_STATE(19220)] = 823806,
  [SMALL_STATE(19221)] = 823823,
  [SMALL_STATE(19222)] = 823840,
  [SMALL_STATE(19223)] = 823857,
  [SMALL_STATE(19224)] = 823874,
  [SMALL_STATE(19225)] = 823891,
  [SMALL_STATE(19226)] = 823908,
  [SMALL_STATE(19227)] = 823923,
  [SMALL_STATE(19228)] = 823940,
  [SMALL_STATE(19229)] = 823957,
  [SMALL_STATE(19230)] = 823974,
  [SMALL_STATE(19231)] = 823991,
  [SMALL_STATE(19232)] = 824008,
  [SMALL_STATE(19233)] = 824025,
  [SMALL_STATE(19234)] = 824042,
  [SMALL_STATE(19235)] = 824059,
  [SMALL_STATE(19236)] = 824076,
  [SMALL_STATE(19237)] = 824093,
  [SMALL_STATE(19238)] = 824110,
  [SMALL_STATE(19239)] = 824127,
  [SMALL_STATE(19240)] = 824142,
  [SMALL_STATE(19241)] = 824159,
  [SMALL_STATE(19242)] = 824176,
  [SMALL_STATE(19243)] = 824193,
  [SMALL_STATE(19244)] = 824210,
  [SMALL_STATE(19245)] = 824225,
  [SMALL_STATE(19246)] = 824242,
  [SMALL_STATE(19247)] = 824259,
  [SMALL_STATE(19248)] = 824276,
  [SMALL_STATE(19249)] = 824293,
  [SMALL_STATE(19250)] = 824310,
  [SMALL_STATE(19251)] = 824327,
  [SMALL_STATE(19252)] = 824344,
  [SMALL_STATE(19253)] = 824361,
  [SMALL_STATE(19254)] = 824378,
  [SMALL_STATE(19255)] = 824395,
  [SMALL_STATE(19256)] = 824412,
  [SMALL_STATE(19257)] = 824429,
  [SMALL_STATE(19258)] = 824446,
  [SMALL_STATE(19259)] = 824463,
  [SMALL_STATE(19260)] = 824480,
  [SMALL_STATE(19261)] = 824497,
  [SMALL_STATE(19262)] = 824514,
  [SMALL_STATE(19263)] = 824531,
  [SMALL_STATE(19264)] = 824548,
  [SMALL_STATE(19265)] = 824565,
  [SMALL_STATE(19266)] = 824582,
  [SMALL_STATE(19267)] = 824599,
  [SMALL_STATE(19268)] = 824616,
  [SMALL_STATE(19269)] = 824633,
  [SMALL_STATE(19270)] = 824650,
  [SMALL_STATE(19271)] = 824667,
  [SMALL_STATE(19272)] = 824684,
  [SMALL_STATE(19273)] = 824701,
  [SMALL_STATE(19274)] = 824718,
  [SMALL_STATE(19275)] = 824735,
  [SMALL_STATE(19276)] = 824752,
  [SMALL_STATE(19277)] = 824769,
  [SMALL_STATE(19278)] = 824786,
  [SMALL_STATE(19279)] = 824803,
  [SMALL_STATE(19280)] = 824820,
  [SMALL_STATE(19281)] = 824837,
  [SMALL_STATE(19282)] = 824854,
  [SMALL_STATE(19283)] = 824869,
  [SMALL_STATE(19284)] = 824886,
  [SMALL_STATE(19285)] = 824903,
  [SMALL_STATE(19286)] = 824920,
  [SMALL_STATE(19287)] = 824937,
  [SMALL_STATE(19288)] = 824954,
  [SMALL_STATE(19289)] = 824969,
  [SMALL_STATE(19290)] = 824986,
  [SMALL_STATE(19291)] = 825003,
  [SMALL_STATE(19292)] = 825020,
  [SMALL_STATE(19293)] = 825037,
  [SMALL_STATE(19294)] = 825054,
  [SMALL_STATE(19295)] = 825071,
  [SMALL_STATE(19296)] = 825088,
  [SMALL_STATE(19297)] = 825105,
  [SMALL_STATE(19298)] = 825122,
  [SMALL_STATE(19299)] = 825139,
  [SMALL_STATE(19300)] = 825156,
  [SMALL_STATE(19301)] = 825173,
  [SMALL_STATE(19302)] = 825188,
  [SMALL_STATE(19303)] = 825205,
  [SMALL_STATE(19304)] = 825220,
  [SMALL_STATE(19305)] = 825237,
  [SMALL_STATE(19306)] = 825254,
  [SMALL_STATE(19307)] = 825269,
  [SMALL_STATE(19308)] = 825286,
  [SMALL_STATE(19309)] = 825303,
  [SMALL_STATE(19310)] = 825320,
  [SMALL_STATE(19311)] = 825337,
  [SMALL_STATE(19312)] = 825354,
  [SMALL_STATE(19313)] = 825371,
  [SMALL_STATE(19314)] = 825388,
  [SMALL_STATE(19315)] = 825405,
  [SMALL_STATE(19316)] = 825422,
  [SMALL_STATE(19317)] = 825439,
  [SMALL_STATE(19318)] = 825456,
  [SMALL_STATE(19319)] = 825473,
  [SMALL_STATE(19320)] = 825490,
  [SMALL_STATE(19321)] = 825507,
  [SMALL_STATE(19322)] = 825524,
  [SMALL_STATE(19323)] = 825539,
  [SMALL_STATE(19324)] = 825556,
  [SMALL_STATE(19325)] = 825573,
  [SMALL_STATE(19326)] = 825590,
  [SMALL_STATE(19327)] = 825607,
  [SMALL_STATE(19328)] = 825624,
  [SMALL_STATE(19329)] = 825639,
  [SMALL_STATE(19330)] = 825656,
  [SMALL_STATE(19331)] = 825673,
  [SMALL_STATE(19332)] = 825690,
  [SMALL_STATE(19333)] = 825705,
  [SMALL_STATE(19334)] = 825722,
  [SMALL_STATE(19335)] = 825739,
  [SMALL_STATE(19336)] = 825756,
  [SMALL_STATE(19337)] = 825773,
  [SMALL_STATE(19338)] = 825788,
  [SMALL_STATE(19339)] = 825805,
  [SMALL_STATE(19340)] = 825822,
  [SMALL_STATE(19341)] = 825839,
  [SMALL_STATE(19342)] = 825856,
  [SMALL_STATE(19343)] = 825871,
  [SMALL_STATE(19344)] = 825888,
  [SMALL_STATE(19345)] = 825905,
  [SMALL_STATE(19346)] = 825922,
  [SMALL_STATE(19347)] = 825939,
  [SMALL_STATE(19348)] = 825956,
  [SMALL_STATE(19349)] = 825973,
  [SMALL_STATE(19350)] = 825990,
  [SMALL_STATE(19351)] = 826007,
  [SMALL_STATE(19352)] = 826024,
  [SMALL_STATE(19353)] = 826041,
  [SMALL_STATE(19354)] = 826058,
  [SMALL_STATE(19355)] = 826075,
  [SMALL_STATE(19356)] = 826092,
  [SMALL_STATE(19357)] = 826107,
  [SMALL_STATE(19358)] = 826124,
  [SMALL_STATE(19359)] = 826141,
  [SMALL_STATE(19360)] = 826158,
  [SMALL_STATE(19361)] = 826175,
  [SMALL_STATE(19362)] = 826192,
  [SMALL_STATE(19363)] = 826209,
  [SMALL_STATE(19364)] = 826226,
  [SMALL_STATE(19365)] = 826243,
  [SMALL_STATE(19366)] = 826260,
  [SMALL_STATE(19367)] = 826277,
  [SMALL_STATE(19368)] = 826294,
  [SMALL_STATE(19369)] = 826311,
  [SMALL_STATE(19370)] = 826328,
  [SMALL_STATE(19371)] = 826345,
  [SMALL_STATE(19372)] = 826362,
  [SMALL_STATE(19373)] = 826379,
  [SMALL_STATE(19374)] = 826396,
  [SMALL_STATE(19375)] = 826413,
  [SMALL_STATE(19376)] = 826430,
  [SMALL_STATE(19377)] = 826447,
  [SMALL_STATE(19378)] = 826464,
  [SMALL_STATE(19379)] = 826479,
  [SMALL_STATE(19380)] = 826496,
  [SMALL_STATE(19381)] = 826513,
  [SMALL_STATE(19382)] = 826530,
  [SMALL_STATE(19383)] = 826545,
  [SMALL_STATE(19384)] = 826562,
  [SMALL_STATE(19385)] = 826579,
  [SMALL_STATE(19386)] = 826596,
  [SMALL_STATE(19387)] = 826613,
  [SMALL_STATE(19388)] = 826630,
  [SMALL_STATE(19389)] = 826647,
  [SMALL_STATE(19390)] = 826664,
  [SMALL_STATE(19391)] = 826681,
  [SMALL_STATE(19392)] = 826698,
  [SMALL_STATE(19393)] = 826715,
  [SMALL_STATE(19394)] = 826732,
  [SMALL_STATE(19395)] = 826749,
  [SMALL_STATE(19396)] = 826766,
  [SMALL_STATE(19397)] = 826783,
  [SMALL_STATE(19398)] = 826800,
  [SMALL_STATE(19399)] = 826817,
  [SMALL_STATE(19400)] = 826834,
  [SMALL_STATE(19401)] = 826851,
  [SMALL_STATE(19402)] = 826868,
  [SMALL_STATE(19403)] = 826885,
  [SMALL_STATE(19404)] = 826902,
  [SMALL_STATE(19405)] = 826917,
  [SMALL_STATE(19406)] = 826934,
  [SMALL_STATE(19407)] = 826951,
  [SMALL_STATE(19408)] = 826968,
  [SMALL_STATE(19409)] = 826985,
  [SMALL_STATE(19410)] = 827002,
  [SMALL_STATE(19411)] = 827019,
  [SMALL_STATE(19412)] = 827036,
  [SMALL_STATE(19413)] = 827053,
  [SMALL_STATE(19414)] = 827068,
  [SMALL_STATE(19415)] = 827085,
  [SMALL_STATE(19416)] = 827102,
  [SMALL_STATE(19417)] = 827119,
  [SMALL_STATE(19418)] = 827136,
  [SMALL_STATE(19419)] = 827153,
  [SMALL_STATE(19420)] = 827168,
  [SMALL_STATE(19421)] = 827185,
  [SMALL_STATE(19422)] = 827202,
  [SMALL_STATE(19423)] = 827219,
  [SMALL_STATE(19424)] = 827236,
  [SMALL_STATE(19425)] = 827253,
  [SMALL_STATE(19426)] = 827270,
  [SMALL_STATE(19427)] = 827287,
  [SMALL_STATE(19428)] = 827304,
  [SMALL_STATE(19429)] = 827321,
  [SMALL_STATE(19430)] = 827338,
  [SMALL_STATE(19431)] = 827355,
  [SMALL_STATE(19432)] = 827372,
  [SMALL_STATE(19433)] = 827389,
  [SMALL_STATE(19434)] = 827406,
  [SMALL_STATE(19435)] = 827423,
  [SMALL_STATE(19436)] = 827440,
  [SMALL_STATE(19437)] = 827457,
  [SMALL_STATE(19438)] = 827472,
  [SMALL_STATE(19439)] = 827489,
  [SMALL_STATE(19440)] = 827506,
  [SMALL_STATE(19441)] = 827523,
  [SMALL_STATE(19442)] = 827540,
  [SMALL_STATE(19443)] = 827557,
  [SMALL_STATE(19444)] = 827574,
  [SMALL_STATE(19445)] = 827591,
  [SMALL_STATE(19446)] = 827606,
  [SMALL_STATE(19447)] = 827623,
  [SMALL_STATE(19448)] = 827640,
  [SMALL_STATE(19449)] = 827657,
  [SMALL_STATE(19450)] = 827674,
  [SMALL_STATE(19451)] = 827691,
  [SMALL_STATE(19452)] = 827708,
  [SMALL_STATE(19453)] = 827725,
  [SMALL_STATE(19454)] = 827742,
  [SMALL_STATE(19455)] = 827759,
  [SMALL_STATE(19456)] = 827776,
  [SMALL_STATE(19457)] = 827793,
  [SMALL_STATE(19458)] = 827810,
  [SMALL_STATE(19459)] = 827825,
  [SMALL_STATE(19460)] = 827842,
  [SMALL_STATE(19461)] = 827859,
  [SMALL_STATE(19462)] = 827876,
  [SMALL_STATE(19463)] = 827893,
  [SMALL_STATE(19464)] = 827910,
  [SMALL_STATE(19465)] = 827925,
  [SMALL_STATE(19466)] = 827942,
  [SMALL_STATE(19467)] = 827959,
  [SMALL_STATE(19468)] = 827976,
  [SMALL_STATE(19469)] = 827993,
  [SMALL_STATE(19470)] = 828010,
  [SMALL_STATE(19471)] = 828027,
  [SMALL_STATE(19472)] = 828044,
  [SMALL_STATE(19473)] = 828061,
  [SMALL_STATE(19474)] = 828078,
  [SMALL_STATE(19475)] = 828095,
  [SMALL_STATE(19476)] = 828112,
  [SMALL_STATE(19477)] = 828129,
  [SMALL_STATE(19478)] = 828146,
  [SMALL_STATE(19479)] = 828163,
  [SMALL_STATE(19480)] = 828180,
  [SMALL_STATE(19481)] = 828197,
  [SMALL_STATE(19482)] = 828214,
  [SMALL_STATE(19483)] = 828231,
  [SMALL_STATE(19484)] = 828248,
  [SMALL_STATE(19485)] = 828265,
  [SMALL_STATE(19486)] = 828282,
  [SMALL_STATE(19487)] = 828299,
  [SMALL_STATE(19488)] = 828316,
  [SMALL_STATE(19489)] = 828333,
  [SMALL_STATE(19490)] = 828350,
  [SMALL_STATE(19491)] = 828367,
  [SMALL_STATE(19492)] = 828384,
  [SMALL_STATE(19493)] = 828401,
  [SMALL_STATE(19494)] = 828418,
  [SMALL_STATE(19495)] = 828435,
  [SMALL_STATE(19496)] = 828452,
  [SMALL_STATE(19497)] = 828469,
  [SMALL_STATE(19498)] = 828486,
  [SMALL_STATE(19499)] = 828503,
  [SMALL_STATE(19500)] = 828520,
  [SMALL_STATE(19501)] = 828537,
  [SMALL_STATE(19502)] = 828554,
  [SMALL_STATE(19503)] = 828571,
  [SMALL_STATE(19504)] = 828588,
  [SMALL_STATE(19505)] = 828605,
  [SMALL_STATE(19506)] = 828622,
  [SMALL_STATE(19507)] = 828639,
  [SMALL_STATE(19508)] = 828656,
  [SMALL_STATE(19509)] = 828673,
  [SMALL_STATE(19510)] = 828690,
  [SMALL_STATE(19511)] = 828707,
  [SMALL_STATE(19512)] = 828724,
  [SMALL_STATE(19513)] = 828741,
  [SMALL_STATE(19514)] = 828758,
  [SMALL_STATE(19515)] = 828775,
  [SMALL_STATE(19516)] = 828790,
  [SMALL_STATE(19517)] = 828807,
  [SMALL_STATE(19518)] = 828824,
  [SMALL_STATE(19519)] = 828841,
  [SMALL_STATE(19520)] = 828858,
  [SMALL_STATE(19521)] = 828875,
  [SMALL_STATE(19522)] = 828892,
  [SMALL_STATE(19523)] = 828909,
  [SMALL_STATE(19524)] = 828926,
  [SMALL_STATE(19525)] = 828943,
  [SMALL_STATE(19526)] = 828960,
  [SMALL_STATE(19527)] = 828977,
  [SMALL_STATE(19528)] = 828992,
  [SMALL_STATE(19529)] = 829009,
  [SMALL_STATE(19530)] = 829026,
  [SMALL_STATE(19531)] = 829043,
  [SMALL_STATE(19532)] = 829060,
  [SMALL_STATE(19533)] = 829077,
  [SMALL_STATE(19534)] = 829094,
  [SMALL_STATE(19535)] = 829111,
  [SMALL_STATE(19536)] = 829128,
  [SMALL_STATE(19537)] = 829145,
  [SMALL_STATE(19538)] = 829162,
  [SMALL_STATE(19539)] = 829179,
  [SMALL_STATE(19540)] = 829196,
  [SMALL_STATE(19541)] = 829213,
  [SMALL_STATE(19542)] = 829230,
  [SMALL_STATE(19543)] = 829247,
  [SMALL_STATE(19544)] = 829264,
  [SMALL_STATE(19545)] = 829281,
  [SMALL_STATE(19546)] = 829298,
  [SMALL_STATE(19547)] = 829315,
  [SMALL_STATE(19548)] = 829332,
  [SMALL_STATE(19549)] = 829349,
  [SMALL_STATE(19550)] = 829366,
  [SMALL_STATE(19551)] = 829383,
  [SMALL_STATE(19552)] = 829400,
  [SMALL_STATE(19553)] = 829417,
  [SMALL_STATE(19554)] = 829434,
  [SMALL_STATE(19555)] = 829451,
  [SMALL_STATE(19556)] = 829468,
  [SMALL_STATE(19557)] = 829485,
  [SMALL_STATE(19558)] = 829500,
  [SMALL_STATE(19559)] = 829517,
  [SMALL_STATE(19560)] = 829534,
  [SMALL_STATE(19561)] = 829551,
  [SMALL_STATE(19562)] = 829568,
  [SMALL_STATE(19563)] = 829585,
  [SMALL_STATE(19564)] = 829602,
  [SMALL_STATE(19565)] = 829619,
  [SMALL_STATE(19566)] = 829636,
  [SMALL_STATE(19567)] = 829653,
  [SMALL_STATE(19568)] = 829670,
  [SMALL_STATE(19569)] = 829687,
  [SMALL_STATE(19570)] = 829704,
  [SMALL_STATE(19571)] = 829721,
  [SMALL_STATE(19572)] = 829738,
  [SMALL_STATE(19573)] = 829755,
  [SMALL_STATE(19574)] = 829772,
  [SMALL_STATE(19575)] = 829789,
  [SMALL_STATE(19576)] = 829806,
  [SMALL_STATE(19577)] = 829823,
  [SMALL_STATE(19578)] = 829840,
  [SMALL_STATE(19579)] = 829857,
  [SMALL_STATE(19580)] = 829874,
  [SMALL_STATE(19581)] = 829891,
  [SMALL_STATE(19582)] = 829908,
  [SMALL_STATE(19583)] = 829925,
  [SMALL_STATE(19584)] = 829942,
  [SMALL_STATE(19585)] = 829959,
  [SMALL_STATE(19586)] = 829976,
  [SMALL_STATE(19587)] = 829993,
  [SMALL_STATE(19588)] = 830010,
  [SMALL_STATE(19589)] = 830027,
  [SMALL_STATE(19590)] = 830044,
  [SMALL_STATE(19591)] = 830061,
  [SMALL_STATE(19592)] = 830078,
  [SMALL_STATE(19593)] = 830095,
  [SMALL_STATE(19594)] = 830112,
  [SMALL_STATE(19595)] = 830129,
  [SMALL_STATE(19596)] = 830146,
  [SMALL_STATE(19597)] = 830163,
  [SMALL_STATE(19598)] = 830180,
  [SMALL_STATE(19599)] = 830197,
  [SMALL_STATE(19600)] = 830214,
  [SMALL_STATE(19601)] = 830231,
  [SMALL_STATE(19602)] = 830248,
  [SMALL_STATE(19603)] = 830265,
  [SMALL_STATE(19604)] = 830282,
  [SMALL_STATE(19605)] = 830299,
  [SMALL_STATE(19606)] = 830316,
  [SMALL_STATE(19607)] = 830333,
  [SMALL_STATE(19608)] = 830350,
  [SMALL_STATE(19609)] = 830367,
  [SMALL_STATE(19610)] = 830384,
  [SMALL_STATE(19611)] = 830401,
  [SMALL_STATE(19612)] = 830418,
  [SMALL_STATE(19613)] = 830435,
  [SMALL_STATE(19614)] = 830452,
  [SMALL_STATE(19615)] = 830469,
  [SMALL_STATE(19616)] = 830486,
  [SMALL_STATE(19617)] = 830503,
  [SMALL_STATE(19618)] = 830520,
  [SMALL_STATE(19619)] = 830537,
  [SMALL_STATE(19620)] = 830554,
  [SMALL_STATE(19621)] = 830571,
  [SMALL_STATE(19622)] = 830588,
  [SMALL_STATE(19623)] = 830605,
  [SMALL_STATE(19624)] = 830622,
  [SMALL_STATE(19625)] = 830639,
  [SMALL_STATE(19626)] = 830656,
  [SMALL_STATE(19627)] = 830673,
  [SMALL_STATE(19628)] = 830690,
  [SMALL_STATE(19629)] = 830707,
  [SMALL_STATE(19630)] = 830724,
  [SMALL_STATE(19631)] = 830741,
  [SMALL_STATE(19632)] = 830758,
  [SMALL_STATE(19633)] = 830773,
  [SMALL_STATE(19634)] = 830790,
  [SMALL_STATE(19635)] = 830807,
  [SMALL_STATE(19636)] = 830824,
  [SMALL_STATE(19637)] = 830841,
  [SMALL_STATE(19638)] = 830858,
  [SMALL_STATE(19639)] = 830873,
  [SMALL_STATE(19640)] = 830890,
  [SMALL_STATE(19641)] = 830907,
  [SMALL_STATE(19642)] = 830924,
  [SMALL_STATE(19643)] = 830939,
  [SMALL_STATE(19644)] = 830956,
  [SMALL_STATE(19645)] = 830973,
  [SMALL_STATE(19646)] = 830990,
  [SMALL_STATE(19647)] = 831007,
  [SMALL_STATE(19648)] = 831024,
  [SMALL_STATE(19649)] = 831041,
  [SMALL_STATE(19650)] = 831058,
  [SMALL_STATE(19651)] = 831073,
  [SMALL_STATE(19652)] = 831090,
  [SMALL_STATE(19653)] = 831105,
  [SMALL_STATE(19654)] = 831122,
  [SMALL_STATE(19655)] = 831139,
  [SMALL_STATE(19656)] = 831154,
  [SMALL_STATE(19657)] = 831171,
  [SMALL_STATE(19658)] = 831188,
  [SMALL_STATE(19659)] = 831205,
  [SMALL_STATE(19660)] = 831222,
  [SMALL_STATE(19661)] = 831239,
  [SMALL_STATE(19662)] = 831256,
  [SMALL_STATE(19663)] = 831271,
  [SMALL_STATE(19664)] = 831288,
  [SMALL_STATE(19665)] = 831305,
  [SMALL_STATE(19666)] = 831322,
  [SMALL_STATE(19667)] = 831339,
  [SMALL_STATE(19668)] = 831356,
  [SMALL_STATE(19669)] = 831371,
  [SMALL_STATE(19670)] = 831388,
  [SMALL_STATE(19671)] = 831405,
  [SMALL_STATE(19672)] = 831422,
  [SMALL_STATE(19673)] = 831439,
  [SMALL_STATE(19674)] = 831454,
  [SMALL_STATE(19675)] = 831471,
  [SMALL_STATE(19676)] = 831486,
  [SMALL_STATE(19677)] = 831501,
  [SMALL_STATE(19678)] = 831518,
  [SMALL_STATE(19679)] = 831535,
  [SMALL_STATE(19680)] = 831552,
  [SMALL_STATE(19681)] = 831569,
  [SMALL_STATE(19682)] = 831586,
  [SMALL_STATE(19683)] = 831601,
  [SMALL_STATE(19684)] = 831616,
  [SMALL_STATE(19685)] = 831633,
  [SMALL_STATE(19686)] = 831650,
  [SMALL_STATE(19687)] = 831667,
  [SMALL_STATE(19688)] = 831684,
  [SMALL_STATE(19689)] = 831701,
  [SMALL_STATE(19690)] = 831718,
  [SMALL_STATE(19691)] = 831735,
  [SMALL_STATE(19692)] = 831752,
  [SMALL_STATE(19693)] = 831769,
  [SMALL_STATE(19694)] = 831786,
  [SMALL_STATE(19695)] = 831803,
  [SMALL_STATE(19696)] = 831820,
  [SMALL_STATE(19697)] = 831837,
  [SMALL_STATE(19698)] = 831852,
  [SMALL_STATE(19699)] = 831869,
  [SMALL_STATE(19700)] = 831886,
  [SMALL_STATE(19701)] = 831903,
  [SMALL_STATE(19702)] = 831920,
  [SMALL_STATE(19703)] = 831937,
  [SMALL_STATE(19704)] = 831954,
  [SMALL_STATE(19705)] = 831971,
  [SMALL_STATE(19706)] = 831988,
  [SMALL_STATE(19707)] = 832005,
  [SMALL_STATE(19708)] = 832022,
  [SMALL_STATE(19709)] = 832037,
  [SMALL_STATE(19710)] = 832054,
  [SMALL_STATE(19711)] = 832071,
  [SMALL_STATE(19712)] = 832088,
  [SMALL_STATE(19713)] = 832105,
  [SMALL_STATE(19714)] = 832122,
  [SMALL_STATE(19715)] = 832139,
  [SMALL_STATE(19716)] = 832156,
  [SMALL_STATE(19717)] = 832171,
  [SMALL_STATE(19718)] = 832188,
  [SMALL_STATE(19719)] = 832205,
  [SMALL_STATE(19720)] = 832222,
  [SMALL_STATE(19721)] = 832239,
  [SMALL_STATE(19722)] = 832256,
  [SMALL_STATE(19723)] = 832273,
  [SMALL_STATE(19724)] = 832290,
  [SMALL_STATE(19725)] = 832307,
  [SMALL_STATE(19726)] = 832324,
  [SMALL_STATE(19727)] = 832341,
  [SMALL_STATE(19728)] = 832358,
  [SMALL_STATE(19729)] = 832375,
  [SMALL_STATE(19730)] = 832392,
  [SMALL_STATE(19731)] = 832409,
  [SMALL_STATE(19732)] = 832426,
  [SMALL_STATE(19733)] = 832443,
  [SMALL_STATE(19734)] = 832458,
  [SMALL_STATE(19735)] = 832473,
  [SMALL_STATE(19736)] = 832490,
  [SMALL_STATE(19737)] = 832507,
  [SMALL_STATE(19738)] = 832524,
  [SMALL_STATE(19739)] = 832541,
  [SMALL_STATE(19740)] = 832558,
  [SMALL_STATE(19741)] = 832573,
  [SMALL_STATE(19742)] = 832590,
  [SMALL_STATE(19743)] = 832605,
  [SMALL_STATE(19744)] = 832620,
  [SMALL_STATE(19745)] = 832635,
  [SMALL_STATE(19746)] = 832652,
  [SMALL_STATE(19747)] = 832669,
  [SMALL_STATE(19748)] = 832686,
  [SMALL_STATE(19749)] = 832703,
  [SMALL_STATE(19750)] = 832718,
  [SMALL_STATE(19751)] = 832735,
  [SMALL_STATE(19752)] = 832752,
  [SMALL_STATE(19753)] = 832769,
  [SMALL_STATE(19754)] = 832786,
  [SMALL_STATE(19755)] = 832803,
  [SMALL_STATE(19756)] = 832820,
  [SMALL_STATE(19757)] = 832837,
  [SMALL_STATE(19758)] = 832852,
  [SMALL_STATE(19759)] = 832869,
  [SMALL_STATE(19760)] = 832886,
  [SMALL_STATE(19761)] = 832903,
  [SMALL_STATE(19762)] = 832920,
  [SMALL_STATE(19763)] = 832937,
  [SMALL_STATE(19764)] = 832952,
  [SMALL_STATE(19765)] = 832969,
  [SMALL_STATE(19766)] = 832986,
  [SMALL_STATE(19767)] = 833003,
  [SMALL_STATE(19768)] = 833020,
  [SMALL_STATE(19769)] = 833037,
  [SMALL_STATE(19770)] = 833054,
  [SMALL_STATE(19771)] = 833071,
  [SMALL_STATE(19772)] = 833088,
  [SMALL_STATE(19773)] = 833105,
  [SMALL_STATE(19774)] = 833122,
  [SMALL_STATE(19775)] = 833139,
  [SMALL_STATE(19776)] = 833156,
  [SMALL_STATE(19777)] = 833173,
  [SMALL_STATE(19778)] = 833190,
  [SMALL_STATE(19779)] = 833207,
  [SMALL_STATE(19780)] = 833224,
  [SMALL_STATE(19781)] = 833241,
  [SMALL_STATE(19782)] = 833258,
  [SMALL_STATE(19783)] = 833275,
  [SMALL_STATE(19784)] = 833292,
  [SMALL_STATE(19785)] = 833309,
  [SMALL_STATE(19786)] = 833324,
  [SMALL_STATE(19787)] = 833341,
  [SMALL_STATE(19788)] = 833358,
  [SMALL_STATE(19789)] = 833375,
  [SMALL_STATE(19790)] = 833392,
  [SMALL_STATE(19791)] = 833409,
  [SMALL_STATE(19792)] = 833426,
  [SMALL_STATE(19793)] = 833441,
  [SMALL_STATE(19794)] = 833458,
  [SMALL_STATE(19795)] = 833475,
  [SMALL_STATE(19796)] = 833490,
  [SMALL_STATE(19797)] = 833507,
  [SMALL_STATE(19798)] = 833524,
  [SMALL_STATE(19799)] = 833541,
  [SMALL_STATE(19800)] = 833558,
  [SMALL_STATE(19801)] = 833573,
  [SMALL_STATE(19802)] = 833590,
  [SMALL_STATE(19803)] = 833607,
  [SMALL_STATE(19804)] = 833624,
  [SMALL_STATE(19805)] = 833641,
  [SMALL_STATE(19806)] = 833658,
  [SMALL_STATE(19807)] = 833673,
  [SMALL_STATE(19808)] = 833690,
  [SMALL_STATE(19809)] = 833707,
  [SMALL_STATE(19810)] = 833724,
  [SMALL_STATE(19811)] = 833741,
  [SMALL_STATE(19812)] = 833756,
  [SMALL_STATE(19813)] = 833773,
  [SMALL_STATE(19814)] = 833790,
  [SMALL_STATE(19815)] = 833807,
  [SMALL_STATE(19816)] = 833824,
  [SMALL_STATE(19817)] = 833841,
  [SMALL_STATE(19818)] = 833858,
  [SMALL_STATE(19819)] = 833875,
  [SMALL_STATE(19820)] = 833890,
  [SMALL_STATE(19821)] = 833907,
  [SMALL_STATE(19822)] = 833924,
  [SMALL_STATE(19823)] = 833941,
  [SMALL_STATE(19824)] = 833958,
  [SMALL_STATE(19825)] = 833975,
  [SMALL_STATE(19826)] = 833992,
  [SMALL_STATE(19827)] = 834009,
  [SMALL_STATE(19828)] = 834026,
  [SMALL_STATE(19829)] = 834043,
  [SMALL_STATE(19830)] = 834060,
  [SMALL_STATE(19831)] = 834077,
  [SMALL_STATE(19832)] = 834094,
  [SMALL_STATE(19833)] = 834111,
  [SMALL_STATE(19834)] = 834128,
  [SMALL_STATE(19835)] = 834145,
  [SMALL_STATE(19836)] = 834160,
  [SMALL_STATE(19837)] = 834177,
  [SMALL_STATE(19838)] = 834194,
  [SMALL_STATE(19839)] = 834211,
  [SMALL_STATE(19840)] = 834228,
  [SMALL_STATE(19841)] = 834245,
  [SMALL_STATE(19842)] = 834262,
  [SMALL_STATE(19843)] = 834279,
  [SMALL_STATE(19844)] = 834296,
  [SMALL_STATE(19845)] = 834313,
  [SMALL_STATE(19846)] = 834330,
  [SMALL_STATE(19847)] = 834347,
  [SMALL_STATE(19848)] = 834364,
  [SMALL_STATE(19849)] = 834381,
  [SMALL_STATE(19850)] = 834398,
  [SMALL_STATE(19851)] = 834415,
  [SMALL_STATE(19852)] = 834430,
  [SMALL_STATE(19853)] = 834447,
  [SMALL_STATE(19854)] = 834464,
  [SMALL_STATE(19855)] = 834481,
  [SMALL_STATE(19856)] = 834498,
  [SMALL_STATE(19857)] = 834515,
  [SMALL_STATE(19858)] = 834530,
  [SMALL_STATE(19859)] = 834547,
  [SMALL_STATE(19860)] = 834564,
  [SMALL_STATE(19861)] = 834581,
  [SMALL_STATE(19862)] = 834598,
  [SMALL_STATE(19863)] = 834615,
  [SMALL_STATE(19864)] = 834632,
  [SMALL_STATE(19865)] = 834649,
  [SMALL_STATE(19866)] = 834666,
  [SMALL_STATE(19867)] = 834683,
  [SMALL_STATE(19868)] = 834698,
  [SMALL_STATE(19869)] = 834715,
  [SMALL_STATE(19870)] = 834732,
  [SMALL_STATE(19871)] = 834749,
  [SMALL_STATE(19872)] = 834764,
  [SMALL_STATE(19873)] = 834781,
  [SMALL_STATE(19874)] = 834796,
  [SMALL_STATE(19875)] = 834813,
  [SMALL_STATE(19876)] = 834830,
  [SMALL_STATE(19877)] = 834847,
  [SMALL_STATE(19878)] = 834864,
  [SMALL_STATE(19879)] = 834881,
  [SMALL_STATE(19880)] = 834898,
  [SMALL_STATE(19881)] = 834915,
  [SMALL_STATE(19882)] = 834932,
  [SMALL_STATE(19883)] = 834949,
  [SMALL_STATE(19884)] = 834964,
  [SMALL_STATE(19885)] = 834981,
  [SMALL_STATE(19886)] = 834998,
  [SMALL_STATE(19887)] = 835015,
  [SMALL_STATE(19888)] = 835032,
  [SMALL_STATE(19889)] = 835049,
  [SMALL_STATE(19890)] = 835066,
  [SMALL_STATE(19891)] = 835083,
  [SMALL_STATE(19892)] = 835100,
  [SMALL_STATE(19893)] = 835117,
  [SMALL_STATE(19894)] = 835132,
  [SMALL_STATE(19895)] = 835149,
  [SMALL_STATE(19896)] = 835166,
  [SMALL_STATE(19897)] = 835183,
  [SMALL_STATE(19898)] = 835200,
  [SMALL_STATE(19899)] = 835217,
  [SMALL_STATE(19900)] = 835234,
  [SMALL_STATE(19901)] = 835251,
  [SMALL_STATE(19902)] = 835268,
  [SMALL_STATE(19903)] = 835285,
  [SMALL_STATE(19904)] = 835302,
  [SMALL_STATE(19905)] = 835319,
  [SMALL_STATE(19906)] = 835336,
  [SMALL_STATE(19907)] = 835353,
  [SMALL_STATE(19908)] = 835370,
  [SMALL_STATE(19909)] = 835387,
  [SMALL_STATE(19910)] = 835404,
  [SMALL_STATE(19911)] = 835421,
  [SMALL_STATE(19912)] = 835438,
  [SMALL_STATE(19913)] = 835455,
  [SMALL_STATE(19914)] = 835472,
  [SMALL_STATE(19915)] = 835489,
  [SMALL_STATE(19916)] = 835506,
  [SMALL_STATE(19917)] = 835523,
  [SMALL_STATE(19918)] = 835540,
  [SMALL_STATE(19919)] = 835555,
  [SMALL_STATE(19920)] = 835570,
  [SMALL_STATE(19921)] = 835587,
  [SMALL_STATE(19922)] = 835604,
  [SMALL_STATE(19923)] = 835621,
  [SMALL_STATE(19924)] = 835638,
  [SMALL_STATE(19925)] = 835655,
  [SMALL_STATE(19926)] = 835672,
  [SMALL_STATE(19927)] = 835689,
  [SMALL_STATE(19928)] = 835706,
  [SMALL_STATE(19929)] = 835723,
  [SMALL_STATE(19930)] = 835740,
  [SMALL_STATE(19931)] = 835757,
  [SMALL_STATE(19932)] = 835772,
  [SMALL_STATE(19933)] = 835789,
  [SMALL_STATE(19934)] = 835806,
  [SMALL_STATE(19935)] = 835823,
  [SMALL_STATE(19936)] = 835840,
  [SMALL_STATE(19937)] = 835857,
  [SMALL_STATE(19938)] = 835874,
  [SMALL_STATE(19939)] = 835891,
  [SMALL_STATE(19940)] = 835908,
  [SMALL_STATE(19941)] = 835925,
  [SMALL_STATE(19942)] = 835942,
  [SMALL_STATE(19943)] = 835959,
  [SMALL_STATE(19944)] = 835976,
  [SMALL_STATE(19945)] = 835993,
  [SMALL_STATE(19946)] = 836010,
  [SMALL_STATE(19947)] = 836027,
  [SMALL_STATE(19948)] = 836044,
  [SMALL_STATE(19949)] = 836061,
  [SMALL_STATE(19950)] = 836078,
  [SMALL_STATE(19951)] = 836095,
  [SMALL_STATE(19952)] = 836112,
  [SMALL_STATE(19953)] = 836129,
  [SMALL_STATE(19954)] = 836146,
  [SMALL_STATE(19955)] = 836163,
  [SMALL_STATE(19956)] = 836180,
  [SMALL_STATE(19957)] = 836197,
  [SMALL_STATE(19958)] = 836212,
  [SMALL_STATE(19959)] = 836229,
  [SMALL_STATE(19960)] = 836246,
  [SMALL_STATE(19961)] = 836263,
  [SMALL_STATE(19962)] = 836280,
  [SMALL_STATE(19963)] = 836297,
  [SMALL_STATE(19964)] = 836314,
  [SMALL_STATE(19965)] = 836331,
  [SMALL_STATE(19966)] = 836348,
  [SMALL_STATE(19967)] = 836365,
  [SMALL_STATE(19968)] = 836382,
  [SMALL_STATE(19969)] = 836399,
  [SMALL_STATE(19970)] = 836416,
  [SMALL_STATE(19971)] = 836433,
  [SMALL_STATE(19972)] = 836448,
  [SMALL_STATE(19973)] = 836465,
  [SMALL_STATE(19974)] = 836482,
  [SMALL_STATE(19975)] = 836499,
  [SMALL_STATE(19976)] = 836516,
  [SMALL_STATE(19977)] = 836533,
  [SMALL_STATE(19978)] = 836550,
  [SMALL_STATE(19979)] = 836567,
  [SMALL_STATE(19980)] = 836584,
  [SMALL_STATE(19981)] = 836601,
  [SMALL_STATE(19982)] = 836618,
  [SMALL_STATE(19983)] = 836635,
  [SMALL_STATE(19984)] = 836652,
  [SMALL_STATE(19985)] = 836667,
  [SMALL_STATE(19986)] = 836684,
  [SMALL_STATE(19987)] = 836701,
  [SMALL_STATE(19988)] = 836718,
  [SMALL_STATE(19989)] = 836735,
  [SMALL_STATE(19990)] = 836750,
  [SMALL_STATE(19991)] = 836765,
  [SMALL_STATE(19992)] = 836782,
  [SMALL_STATE(19993)] = 836799,
  [SMALL_STATE(19994)] = 836816,
  [SMALL_STATE(19995)] = 836833,
  [SMALL_STATE(19996)] = 836850,
  [SMALL_STATE(19997)] = 836867,
  [SMALL_STATE(19998)] = 836882,
  [SMALL_STATE(19999)] = 836899,
  [SMALL_STATE(20000)] = 836916,
  [SMALL_STATE(20001)] = 836931,
  [SMALL_STATE(20002)] = 836948,
  [SMALL_STATE(20003)] = 836965,
  [SMALL_STATE(20004)] = 836982,
  [SMALL_STATE(20005)] = 836997,
  [SMALL_STATE(20006)] = 837014,
  [SMALL_STATE(20007)] = 837031,
  [SMALL_STATE(20008)] = 837048,
  [SMALL_STATE(20009)] = 837065,
  [SMALL_STATE(20010)] = 837082,
  [SMALL_STATE(20011)] = 837099,
  [SMALL_STATE(20012)] = 837116,
  [SMALL_STATE(20013)] = 837133,
  [SMALL_STATE(20014)] = 837150,
  [SMALL_STATE(20015)] = 837165,
  [SMALL_STATE(20016)] = 837182,
  [SMALL_STATE(20017)] = 837199,
  [SMALL_STATE(20018)] = 837216,
  [SMALL_STATE(20019)] = 837231,
  [SMALL_STATE(20020)] = 837248,
  [SMALL_STATE(20021)] = 837265,
  [SMALL_STATE(20022)] = 837280,
  [SMALL_STATE(20023)] = 837297,
  [SMALL_STATE(20024)] = 837314,
  [SMALL_STATE(20025)] = 837331,
  [SMALL_STATE(20026)] = 837348,
  [SMALL_STATE(20027)] = 837365,
  [SMALL_STATE(20028)] = 837380,
  [SMALL_STATE(20029)] = 837397,
  [SMALL_STATE(20030)] = 837414,
  [SMALL_STATE(20031)] = 837431,
  [SMALL_STATE(20032)] = 837448,
  [SMALL_STATE(20033)] = 837465,
  [SMALL_STATE(20034)] = 837482,
  [SMALL_STATE(20035)] = 837499,
  [SMALL_STATE(20036)] = 837514,
  [SMALL_STATE(20037)] = 837531,
  [SMALL_STATE(20038)] = 837548,
  [SMALL_STATE(20039)] = 837565,
  [SMALL_STATE(20040)] = 837582,
  [SMALL_STATE(20041)] = 837599,
  [SMALL_STATE(20042)] = 837616,
  [SMALL_STATE(20043)] = 837633,
  [SMALL_STATE(20044)] = 837650,
  [SMALL_STATE(20045)] = 837667,
  [SMALL_STATE(20046)] = 837684,
  [SMALL_STATE(20047)] = 837701,
  [SMALL_STATE(20048)] = 837718,
  [SMALL_STATE(20049)] = 837733,
  [SMALL_STATE(20050)] = 837750,
  [SMALL_STATE(20051)] = 837767,
  [SMALL_STATE(20052)] = 837784,
  [SMALL_STATE(20053)] = 837801,
  [SMALL_STATE(20054)] = 837818,
  [SMALL_STATE(20055)] = 837835,
  [SMALL_STATE(20056)] = 837852,
  [SMALL_STATE(20057)] = 837869,
  [SMALL_STATE(20058)] = 837886,
  [SMALL_STATE(20059)] = 837903,
  [SMALL_STATE(20060)] = 837920,
  [SMALL_STATE(20061)] = 837937,
  [SMALL_STATE(20062)] = 837954,
  [SMALL_STATE(20063)] = 837969,
  [SMALL_STATE(20064)] = 837986,
  [SMALL_STATE(20065)] = 838003,
  [SMALL_STATE(20066)] = 838020,
  [SMALL_STATE(20067)] = 838037,
  [SMALL_STATE(20068)] = 838054,
  [SMALL_STATE(20069)] = 838071,
  [SMALL_STATE(20070)] = 838088,
  [SMALL_STATE(20071)] = 838103,
  [SMALL_STATE(20072)] = 838120,
  [SMALL_STATE(20073)] = 838137,
  [SMALL_STATE(20074)] = 838154,
  [SMALL_STATE(20075)] = 838171,
  [SMALL_STATE(20076)] = 838188,
  [SMALL_STATE(20077)] = 838205,
  [SMALL_STATE(20078)] = 838222,
  [SMALL_STATE(20079)] = 838239,
  [SMALL_STATE(20080)] = 838256,
  [SMALL_STATE(20081)] = 838273,
  [SMALL_STATE(20082)] = 838290,
  [SMALL_STATE(20083)] = 838307,
  [SMALL_STATE(20084)] = 838322,
  [SMALL_STATE(20085)] = 838339,
  [SMALL_STATE(20086)] = 838356,
  [SMALL_STATE(20087)] = 838373,
  [SMALL_STATE(20088)] = 838388,
  [SMALL_STATE(20089)] = 838405,
  [SMALL_STATE(20090)] = 838422,
  [SMALL_STATE(20091)] = 838439,
  [SMALL_STATE(20092)] = 838456,
  [SMALL_STATE(20093)] = 838473,
  [SMALL_STATE(20094)] = 838490,
  [SMALL_STATE(20095)] = 838507,
  [SMALL_STATE(20096)] = 838524,
  [SMALL_STATE(20097)] = 838541,
  [SMALL_STATE(20098)] = 838558,
  [SMALL_STATE(20099)] = 838575,
  [SMALL_STATE(20100)] = 838590,
  [SMALL_STATE(20101)] = 838607,
  [SMALL_STATE(20102)] = 838624,
  [SMALL_STATE(20103)] = 838641,
  [SMALL_STATE(20104)] = 838658,
  [SMALL_STATE(20105)] = 838675,
  [SMALL_STATE(20106)] = 838692,
  [SMALL_STATE(20107)] = 838709,
  [SMALL_STATE(20108)] = 838726,
  [SMALL_STATE(20109)] = 838743,
  [SMALL_STATE(20110)] = 838760,
  [SMALL_STATE(20111)] = 838777,
  [SMALL_STATE(20112)] = 838794,
  [SMALL_STATE(20113)] = 838811,
  [SMALL_STATE(20114)] = 838828,
  [SMALL_STATE(20115)] = 838845,
  [SMALL_STATE(20116)] = 838862,
  [SMALL_STATE(20117)] = 838879,
  [SMALL_STATE(20118)] = 838896,
  [SMALL_STATE(20119)] = 838913,
  [SMALL_STATE(20120)] = 838930,
  [SMALL_STATE(20121)] = 838947,
  [SMALL_STATE(20122)] = 838964,
  [SMALL_STATE(20123)] = 838981,
  [SMALL_STATE(20124)] = 838998,
  [SMALL_STATE(20125)] = 839015,
  [SMALL_STATE(20126)] = 839032,
  [SMALL_STATE(20127)] = 839049,
  [SMALL_STATE(20128)] = 839066,
  [SMALL_STATE(20129)] = 839083,
  [SMALL_STATE(20130)] = 839098,
  [SMALL_STATE(20131)] = 839115,
  [SMALL_STATE(20132)] = 839132,
  [SMALL_STATE(20133)] = 839149,
  [SMALL_STATE(20134)] = 839166,
  [SMALL_STATE(20135)] = 839183,
  [SMALL_STATE(20136)] = 839200,
  [SMALL_STATE(20137)] = 839217,
  [SMALL_STATE(20138)] = 839234,
  [SMALL_STATE(20139)] = 839251,
  [SMALL_STATE(20140)] = 839268,
  [SMALL_STATE(20141)] = 839285,
  [SMALL_STATE(20142)] = 839302,
  [SMALL_STATE(20143)] = 839319,
  [SMALL_STATE(20144)] = 839336,
  [SMALL_STATE(20145)] = 839353,
  [SMALL_STATE(20146)] = 839370,
  [SMALL_STATE(20147)] = 839385,
  [SMALL_STATE(20148)] = 839402,
  [SMALL_STATE(20149)] = 839419,
  [SMALL_STATE(20150)] = 839436,
  [SMALL_STATE(20151)] = 839453,
  [SMALL_STATE(20152)] = 839470,
  [SMALL_STATE(20153)] = 839487,
  [SMALL_STATE(20154)] = 839504,
  [SMALL_STATE(20155)] = 839521,
  [SMALL_STATE(20156)] = 839538,
  [SMALL_STATE(20157)] = 839555,
  [SMALL_STATE(20158)] = 839572,
  [SMALL_STATE(20159)] = 839589,
  [SMALL_STATE(20160)] = 839606,
  [SMALL_STATE(20161)] = 839623,
  [SMALL_STATE(20162)] = 839638,
  [SMALL_STATE(20163)] = 839653,
  [SMALL_STATE(20164)] = 839670,
  [SMALL_STATE(20165)] = 839685,
  [SMALL_STATE(20166)] = 839702,
  [SMALL_STATE(20167)] = 839717,
  [SMALL_STATE(20168)] = 839732,
  [SMALL_STATE(20169)] = 839749,
  [SMALL_STATE(20170)] = 839766,
  [SMALL_STATE(20171)] = 839781,
  [SMALL_STATE(20172)] = 839798,
  [SMALL_STATE(20173)] = 839815,
  [SMALL_STATE(20174)] = 839832,
  [SMALL_STATE(20175)] = 839849,
  [SMALL_STATE(20176)] = 839866,
  [SMALL_STATE(20177)] = 839883,
  [SMALL_STATE(20178)] = 839900,
  [SMALL_STATE(20179)] = 839915,
  [SMALL_STATE(20180)] = 839932,
  [SMALL_STATE(20181)] = 839949,
  [SMALL_STATE(20182)] = 839964,
  [SMALL_STATE(20183)] = 839981,
  [SMALL_STATE(20184)] = 839998,
  [SMALL_STATE(20185)] = 840013,
  [SMALL_STATE(20186)] = 840030,
  [SMALL_STATE(20187)] = 840047,
  [SMALL_STATE(20188)] = 840064,
  [SMALL_STATE(20189)] = 840081,
  [SMALL_STATE(20190)] = 840098,
  [SMALL_STATE(20191)] = 840115,
  [SMALL_STATE(20192)] = 840130,
  [SMALL_STATE(20193)] = 840147,
  [SMALL_STATE(20194)] = 840164,
  [SMALL_STATE(20195)] = 840181,
  [SMALL_STATE(20196)] = 840198,
  [SMALL_STATE(20197)] = 840215,
  [SMALL_STATE(20198)] = 840232,
  [SMALL_STATE(20199)] = 840249,
  [SMALL_STATE(20200)] = 840266,
  [SMALL_STATE(20201)] = 840283,
  [SMALL_STATE(20202)] = 840300,
  [SMALL_STATE(20203)] = 840317,
  [SMALL_STATE(20204)] = 840334,
  [SMALL_STATE(20205)] = 840351,
  [SMALL_STATE(20206)] = 840368,
  [SMALL_STATE(20207)] = 840385,
  [SMALL_STATE(20208)] = 840402,
  [SMALL_STATE(20209)] = 840417,
  [SMALL_STATE(20210)] = 840432,
  [SMALL_STATE(20211)] = 840449,
  [SMALL_STATE(20212)] = 840466,
  [SMALL_STATE(20213)] = 840483,
  [SMALL_STATE(20214)] = 840500,
  [SMALL_STATE(20215)] = 840517,
  [SMALL_STATE(20216)] = 840534,
  [SMALL_STATE(20217)] = 840549,
  [SMALL_STATE(20218)] = 840566,
  [SMALL_STATE(20219)] = 840583,
  [SMALL_STATE(20220)] = 840600,
  [SMALL_STATE(20221)] = 840617,
  [SMALL_STATE(20222)] = 840634,
  [SMALL_STATE(20223)] = 840651,
  [SMALL_STATE(20224)] = 840666,
  [SMALL_STATE(20225)] = 840683,
  [SMALL_STATE(20226)] = 840700,
  [SMALL_STATE(20227)] = 840717,
  [SMALL_STATE(20228)] = 840734,
  [SMALL_STATE(20229)] = 840751,
  [SMALL_STATE(20230)] = 840768,
  [SMALL_STATE(20231)] = 840785,
  [SMALL_STATE(20232)] = 840802,
  [SMALL_STATE(20233)] = 840819,
  [SMALL_STATE(20234)] = 840836,
  [SMALL_STATE(20235)] = 840853,
  [SMALL_STATE(20236)] = 840868,
  [SMALL_STATE(20237)] = 840885,
  [SMALL_STATE(20238)] = 840902,
  [SMALL_STATE(20239)] = 840919,
  [SMALL_STATE(20240)] = 840936,
  [SMALL_STATE(20241)] = 840953,
  [SMALL_STATE(20242)] = 840970,
  [SMALL_STATE(20243)] = 840987,
  [SMALL_STATE(20244)] = 841002,
  [SMALL_STATE(20245)] = 841019,
  [SMALL_STATE(20246)] = 841036,
  [SMALL_STATE(20247)] = 841053,
  [SMALL_STATE(20248)] = 841070,
  [SMALL_STATE(20249)] = 841087,
  [SMALL_STATE(20250)] = 841104,
  [SMALL_STATE(20251)] = 841121,
  [SMALL_STATE(20252)] = 841138,
  [SMALL_STATE(20253)] = 841155,
  [SMALL_STATE(20254)] = 841172,
  [SMALL_STATE(20255)] = 841189,
  [SMALL_STATE(20256)] = 841206,
  [SMALL_STATE(20257)] = 841223,
  [SMALL_STATE(20258)] = 841238,
  [SMALL_STATE(20259)] = 841255,
  [SMALL_STATE(20260)] = 841270,
  [SMALL_STATE(20261)] = 841287,
  [SMALL_STATE(20262)] = 841302,
  [SMALL_STATE(20263)] = 841319,
  [SMALL_STATE(20264)] = 841334,
  [SMALL_STATE(20265)] = 841349,
  [SMALL_STATE(20266)] = 841366,
  [SMALL_STATE(20267)] = 841383,
  [SMALL_STATE(20268)] = 841400,
  [SMALL_STATE(20269)] = 841417,
  [SMALL_STATE(20270)] = 841434,
  [SMALL_STATE(20271)] = 841451,
  [SMALL_STATE(20272)] = 841466,
  [SMALL_STATE(20273)] = 841483,
  [SMALL_STATE(20274)] = 841500,
  [SMALL_STATE(20275)] = 841517,
  [SMALL_STATE(20276)] = 841534,
  [SMALL_STATE(20277)] = 841551,
  [SMALL_STATE(20278)] = 841568,
  [SMALL_STATE(20279)] = 841585,
  [SMALL_STATE(20280)] = 841602,
  [SMALL_STATE(20281)] = 841619,
  [SMALL_STATE(20282)] = 841636,
  [SMALL_STATE(20283)] = 841653,
  [SMALL_STATE(20284)] = 841670,
  [SMALL_STATE(20285)] = 841687,
  [SMALL_STATE(20286)] = 841704,
  [SMALL_STATE(20287)] = 841721,
  [SMALL_STATE(20288)] = 841738,
  [SMALL_STATE(20289)] = 841753,
  [SMALL_STATE(20290)] = 841770,
  [SMALL_STATE(20291)] = 841787,
  [SMALL_STATE(20292)] = 841804,
  [SMALL_STATE(20293)] = 841821,
  [SMALL_STATE(20294)] = 841836,
  [SMALL_STATE(20295)] = 841853,
  [SMALL_STATE(20296)] = 841870,
  [SMALL_STATE(20297)] = 841887,
  [SMALL_STATE(20298)] = 841904,
  [SMALL_STATE(20299)] = 841921,
  [SMALL_STATE(20300)] = 841938,
  [SMALL_STATE(20301)] = 841953,
  [SMALL_STATE(20302)] = 841970,
  [SMALL_STATE(20303)] = 841987,
  [SMALL_STATE(20304)] = 842004,
  [SMALL_STATE(20305)] = 842021,
  [SMALL_STATE(20306)] = 842038,
  [SMALL_STATE(20307)] = 842055,
  [SMALL_STATE(20308)] = 842072,
  [SMALL_STATE(20309)] = 842087,
  [SMALL_STATE(20310)] = 842104,
  [SMALL_STATE(20311)] = 842121,
  [SMALL_STATE(20312)] = 842136,
  [SMALL_STATE(20313)] = 842153,
  [SMALL_STATE(20314)] = 842170,
  [SMALL_STATE(20315)] = 842187,
  [SMALL_STATE(20316)] = 842204,
  [SMALL_STATE(20317)] = 842221,
  [SMALL_STATE(20318)] = 842238,
  [SMALL_STATE(20319)] = 842255,
  [SMALL_STATE(20320)] = 842272,
  [SMALL_STATE(20321)] = 842289,
  [SMALL_STATE(20322)] = 842306,
  [SMALL_STATE(20323)] = 842321,
  [SMALL_STATE(20324)] = 842338,
  [SMALL_STATE(20325)] = 842355,
  [SMALL_STATE(20326)] = 842372,
  [SMALL_STATE(20327)] = 842389,
  [SMALL_STATE(20328)] = 842406,
  [SMALL_STATE(20329)] = 842423,
  [SMALL_STATE(20330)] = 842438,
  [SMALL_STATE(20331)] = 842455,
  [SMALL_STATE(20332)] = 842470,
  [SMALL_STATE(20333)] = 842487,
  [SMALL_STATE(20334)] = 842504,
  [SMALL_STATE(20335)] = 842521,
  [SMALL_STATE(20336)] = 842538,
  [SMALL_STATE(20337)] = 842555,
  [SMALL_STATE(20338)] = 842572,
  [SMALL_STATE(20339)] = 842589,
  [SMALL_STATE(20340)] = 842606,
  [SMALL_STATE(20341)] = 842623,
  [SMALL_STATE(20342)] = 842640,
  [SMALL_STATE(20343)] = 842657,
  [SMALL_STATE(20344)] = 842674,
  [SMALL_STATE(20345)] = 842691,
  [SMALL_STATE(20346)] = 842706,
  [SMALL_STATE(20347)] = 842721,
  [SMALL_STATE(20348)] = 842738,
  [SMALL_STATE(20349)] = 842755,
  [SMALL_STATE(20350)] = 842770,
  [SMALL_STATE(20351)] = 842787,
  [SMALL_STATE(20352)] = 842804,
  [SMALL_STATE(20353)] = 842821,
  [SMALL_STATE(20354)] = 842838,
  [SMALL_STATE(20355)] = 842855,
  [SMALL_STATE(20356)] = 842872,
  [SMALL_STATE(20357)] = 842889,
  [SMALL_STATE(20358)] = 842906,
  [SMALL_STATE(20359)] = 842923,
  [SMALL_STATE(20360)] = 842940,
  [SMALL_STATE(20361)] = 842957,
  [SMALL_STATE(20362)] = 842974,
  [SMALL_STATE(20363)] = 842991,
  [SMALL_STATE(20364)] = 843008,
  [SMALL_STATE(20365)] = 843025,
  [SMALL_STATE(20366)] = 843042,
  [SMALL_STATE(20367)] = 843059,
  [SMALL_STATE(20368)] = 843074,
  [SMALL_STATE(20369)] = 843091,
  [SMALL_STATE(20370)] = 843108,
  [SMALL_STATE(20371)] = 843123,
  [SMALL_STATE(20372)] = 843140,
  [SMALL_STATE(20373)] = 843157,
  [SMALL_STATE(20374)] = 843174,
  [SMALL_STATE(20375)] = 843191,
  [SMALL_STATE(20376)] = 843208,
  [SMALL_STATE(20377)] = 843225,
  [SMALL_STATE(20378)] = 843240,
  [SMALL_STATE(20379)] = 843255,
  [SMALL_STATE(20380)] = 843270,
  [SMALL_STATE(20381)] = 843287,
  [SMALL_STATE(20382)] = 843304,
  [SMALL_STATE(20383)] = 843319,
  [SMALL_STATE(20384)] = 843336,
  [SMALL_STATE(20385)] = 843353,
  [SMALL_STATE(20386)] = 843370,
  [SMALL_STATE(20387)] = 843385,
  [SMALL_STATE(20388)] = 843402,
  [SMALL_STATE(20389)] = 843419,
  [SMALL_STATE(20390)] = 843434,
  [SMALL_STATE(20391)] = 843451,
  [SMALL_STATE(20392)] = 843468,
  [SMALL_STATE(20393)] = 843485,
  [SMALL_STATE(20394)] = 843502,
  [SMALL_STATE(20395)] = 843519,
  [SMALL_STATE(20396)] = 843534,
  [SMALL_STATE(20397)] = 843551,
  [SMALL_STATE(20398)] = 843568,
  [SMALL_STATE(20399)] = 843585,
  [SMALL_STATE(20400)] = 843602,
  [SMALL_STATE(20401)] = 843619,
  [SMALL_STATE(20402)] = 843636,
  [SMALL_STATE(20403)] = 843653,
  [SMALL_STATE(20404)] = 843670,
  [SMALL_STATE(20405)] = 843685,
  [SMALL_STATE(20406)] = 843702,
  [SMALL_STATE(20407)] = 843719,
  [SMALL_STATE(20408)] = 843736,
  [SMALL_STATE(20409)] = 843753,
  [SMALL_STATE(20410)] = 843770,
  [SMALL_STATE(20411)] = 843787,
  [SMALL_STATE(20412)] = 843804,
  [SMALL_STATE(20413)] = 843821,
  [SMALL_STATE(20414)] = 843835,
  [SMALL_STATE(20415)] = 843849,
  [SMALL_STATE(20416)] = 843863,
  [SMALL_STATE(20417)] = 843877,
  [SMALL_STATE(20418)] = 843891,
  [SMALL_STATE(20419)] = 843905,
  [SMALL_STATE(20420)] = 843919,
  [SMALL_STATE(20421)] = 843933,
  [SMALL_STATE(20422)] = 843947,
  [SMALL_STATE(20423)] = 843961,
  [SMALL_STATE(20424)] = 843975,
  [SMALL_STATE(20425)] = 843989,
  [SMALL_STATE(20426)] = 844003,
  [SMALL_STATE(20427)] = 844017,
  [SMALL_STATE(20428)] = 844031,
  [SMALL_STATE(20429)] = 844045,
  [SMALL_STATE(20430)] = 844059,
  [SMALL_STATE(20431)] = 844073,
  [SMALL_STATE(20432)] = 844087,
  [SMALL_STATE(20433)] = 844101,
  [SMALL_STATE(20434)] = 844115,
  [SMALL_STATE(20435)] = 844129,
  [SMALL_STATE(20436)] = 844143,
  [SMALL_STATE(20437)] = 844157,
  [SMALL_STATE(20438)] = 844171,
  [SMALL_STATE(20439)] = 844185,
  [SMALL_STATE(20440)] = 844199,
  [SMALL_STATE(20441)] = 844213,
  [SMALL_STATE(20442)] = 844227,
  [SMALL_STATE(20443)] = 844241,
  [SMALL_STATE(20444)] = 844255,
  [SMALL_STATE(20445)] = 844269,
  [SMALL_STATE(20446)] = 844283,
  [SMALL_STATE(20447)] = 844297,
  [SMALL_STATE(20448)] = 844311,
  [SMALL_STATE(20449)] = 844325,
  [SMALL_STATE(20450)] = 844339,
  [SMALL_STATE(20451)] = 844353,
  [SMALL_STATE(20452)] = 844367,
  [SMALL_STATE(20453)] = 844381,
  [SMALL_STATE(20454)] = 844395,
  [SMALL_STATE(20455)] = 844409,
  [SMALL_STATE(20456)] = 844423,
  [SMALL_STATE(20457)] = 844437,
  [SMALL_STATE(20458)] = 844451,
  [SMALL_STATE(20459)] = 844465,
  [SMALL_STATE(20460)] = 844479,
  [SMALL_STATE(20461)] = 844493,
  [SMALL_STATE(20462)] = 844507,
  [SMALL_STATE(20463)] = 844521,
  [SMALL_STATE(20464)] = 844535,
  [SMALL_STATE(20465)] = 844549,
  [SMALL_STATE(20466)] = 844563,
  [SMALL_STATE(20467)] = 844577,
  [SMALL_STATE(20468)] = 844591,
  [SMALL_STATE(20469)] = 844605,
  [SMALL_STATE(20470)] = 844619,
  [SMALL_STATE(20471)] = 844633,
  [SMALL_STATE(20472)] = 844647,
  [SMALL_STATE(20473)] = 844661,
  [SMALL_STATE(20474)] = 844675,
  [SMALL_STATE(20475)] = 844689,
  [SMALL_STATE(20476)] = 844703,
  [SMALL_STATE(20477)] = 844717,
  [SMALL_STATE(20478)] = 844731,
  [SMALL_STATE(20479)] = 844745,
  [SMALL_STATE(20480)] = 844759,
  [SMALL_STATE(20481)] = 844773,
  [SMALL_STATE(20482)] = 844787,
  [SMALL_STATE(20483)] = 844801,
  [SMALL_STATE(20484)] = 844815,
  [SMALL_STATE(20485)] = 844829,
  [SMALL_STATE(20486)] = 844843,
  [SMALL_STATE(20487)] = 844857,
  [SMALL_STATE(20488)] = 844871,
  [SMALL_STATE(20489)] = 844885,
  [SMALL_STATE(20490)] = 844899,
  [SMALL_STATE(20491)] = 844913,
  [SMALL_STATE(20492)] = 844927,
  [SMALL_STATE(20493)] = 844941,
  [SMALL_STATE(20494)] = 844955,
  [SMALL_STATE(20495)] = 844969,
  [SMALL_STATE(20496)] = 844983,
  [SMALL_STATE(20497)] = 844997,
  [SMALL_STATE(20498)] = 845011,
  [SMALL_STATE(20499)] = 845025,
  [SMALL_STATE(20500)] = 845039,
  [SMALL_STATE(20501)] = 845053,
  [SMALL_STATE(20502)] = 845067,
  [SMALL_STATE(20503)] = 845081,
  [SMALL_STATE(20504)] = 845095,
  [SMALL_STATE(20505)] = 845109,
  [SMALL_STATE(20506)] = 845123,
  [SMALL_STATE(20507)] = 845137,
  [SMALL_STATE(20508)] = 845151,
  [SMALL_STATE(20509)] = 845165,
  [SMALL_STATE(20510)] = 845179,
  [SMALL_STATE(20511)] = 845193,
  [SMALL_STATE(20512)] = 845207,
  [SMALL_STATE(20513)] = 845221,
  [SMALL_STATE(20514)] = 845235,
  [SMALL_STATE(20515)] = 845249,
  [SMALL_STATE(20516)] = 845263,
  [SMALL_STATE(20517)] = 845277,
  [SMALL_STATE(20518)] = 845291,
  [SMALL_STATE(20519)] = 845305,
  [SMALL_STATE(20520)] = 845319,
  [SMALL_STATE(20521)] = 845333,
  [SMALL_STATE(20522)] = 845347,
  [SMALL_STATE(20523)] = 845361,
  [SMALL_STATE(20524)] = 845375,
  [SMALL_STATE(20525)] = 845389,
  [SMALL_STATE(20526)] = 845403,
  [SMALL_STATE(20527)] = 845417,
  [SMALL_STATE(20528)] = 845431,
  [SMALL_STATE(20529)] = 845445,
  [SMALL_STATE(20530)] = 845459,
  [SMALL_STATE(20531)] = 845473,
  [SMALL_STATE(20532)] = 845487,
  [SMALL_STATE(20533)] = 845501,
  [SMALL_STATE(20534)] = 845515,
  [SMALL_STATE(20535)] = 845529,
  [SMALL_STATE(20536)] = 845543,
  [SMALL_STATE(20537)] = 845557,
  [SMALL_STATE(20538)] = 845571,
  [SMALL_STATE(20539)] = 845585,
  [SMALL_STATE(20540)] = 845599,
  [SMALL_STATE(20541)] = 845613,
  [SMALL_STATE(20542)] = 845627,
  [SMALL_STATE(20543)] = 845641,
  [SMALL_STATE(20544)] = 845655,
  [SMALL_STATE(20545)] = 845669,
  [SMALL_STATE(20546)] = 845683,
  [SMALL_STATE(20547)] = 845697,
  [SMALL_STATE(20548)] = 845711,
  [SMALL_STATE(20549)] = 845725,
  [SMALL_STATE(20550)] = 845739,
  [SMALL_STATE(20551)] = 845753,
  [SMALL_STATE(20552)] = 845767,
  [SMALL_STATE(20553)] = 845781,
  [SMALL_STATE(20554)] = 845795,
  [SMALL_STATE(20555)] = 845809,
  [SMALL_STATE(20556)] = 845823,
  [SMALL_STATE(20557)] = 845837,
  [SMALL_STATE(20558)] = 845851,
  [SMALL_STATE(20559)] = 845865,
  [SMALL_STATE(20560)] = 845879,
  [SMALL_STATE(20561)] = 845893,
  [SMALL_STATE(20562)] = 845907,
  [SMALL_STATE(20563)] = 845921,
  [SMALL_STATE(20564)] = 845935,
  [SMALL_STATE(20565)] = 845949,
  [SMALL_STATE(20566)] = 845963,
  [SMALL_STATE(20567)] = 845977,
  [SMALL_STATE(20568)] = 845991,
  [SMALL_STATE(20569)] = 846005,
  [SMALL_STATE(20570)] = 846019,
  [SMALL_STATE(20571)] = 846033,
  [SMALL_STATE(20572)] = 846047,
  [SMALL_STATE(20573)] = 846061,
  [SMALL_STATE(20574)] = 846075,
  [SMALL_STATE(20575)] = 846089,
  [SMALL_STATE(20576)] = 846103,
  [SMALL_STATE(20577)] = 846117,
  [SMALL_STATE(20578)] = 846131,
  [SMALL_STATE(20579)] = 846145,
  [SMALL_STATE(20580)] = 846159,
  [SMALL_STATE(20581)] = 846173,
  [SMALL_STATE(20582)] = 846187,
  [SMALL_STATE(20583)] = 846201,
  [SMALL_STATE(20584)] = 846215,
  [SMALL_STATE(20585)] = 846229,
  [SMALL_STATE(20586)] = 846243,
  [SMALL_STATE(20587)] = 846257,
  [SMALL_STATE(20588)] = 846271,
  [SMALL_STATE(20589)] = 846285,
  [SMALL_STATE(20590)] = 846299,
  [SMALL_STATE(20591)] = 846313,
  [SMALL_STATE(20592)] = 846327,
  [SMALL_STATE(20593)] = 846341,
  [SMALL_STATE(20594)] = 846355,
  [SMALL_STATE(20595)] = 846369,
  [SMALL_STATE(20596)] = 846383,
  [SMALL_STATE(20597)] = 846397,
  [SMALL_STATE(20598)] = 846411,
  [SMALL_STATE(20599)] = 846425,
  [SMALL_STATE(20600)] = 846439,
  [SMALL_STATE(20601)] = 846453,
  [SMALL_STATE(20602)] = 846467,
  [SMALL_STATE(20603)] = 846481,
  [SMALL_STATE(20604)] = 846495,
  [SMALL_STATE(20605)] = 846509,
  [SMALL_STATE(20606)] = 846523,
  [SMALL_STATE(20607)] = 846537,
  [SMALL_STATE(20608)] = 846551,
  [SMALL_STATE(20609)] = 846565,
  [SMALL_STATE(20610)] = 846579,
  [SMALL_STATE(20611)] = 846593,
  [SMALL_STATE(20612)] = 846607,
  [SMALL_STATE(20613)] = 846621,
  [SMALL_STATE(20614)] = 846635,
  [SMALL_STATE(20615)] = 846649,
  [SMALL_STATE(20616)] = 846663,
  [SMALL_STATE(20617)] = 846677,
  [SMALL_STATE(20618)] = 846691,
  [SMALL_STATE(20619)] = 846705,
  [SMALL_STATE(20620)] = 846719,
  [SMALL_STATE(20621)] = 846733,
  [SMALL_STATE(20622)] = 846747,
  [SMALL_STATE(20623)] = 846761,
  [SMALL_STATE(20624)] = 846775,
  [SMALL_STATE(20625)] = 846789,
  [SMALL_STATE(20626)] = 846803,
  [SMALL_STATE(20627)] = 846817,
  [SMALL_STATE(20628)] = 846831,
  [SMALL_STATE(20629)] = 846845,
  [SMALL_STATE(20630)] = 846859,
  [SMALL_STATE(20631)] = 846873,
  [SMALL_STATE(20632)] = 846887,
  [SMALL_STATE(20633)] = 846901,
  [SMALL_STATE(20634)] = 846915,
  [SMALL_STATE(20635)] = 846929,
  [SMALL_STATE(20636)] = 846943,
  [SMALL_STATE(20637)] = 846957,
  [SMALL_STATE(20638)] = 846971,
  [SMALL_STATE(20639)] = 846985,
  [SMALL_STATE(20640)] = 846999,
  [SMALL_STATE(20641)] = 847013,
  [SMALL_STATE(20642)] = 847027,
  [SMALL_STATE(20643)] = 847041,
  [SMALL_STATE(20644)] = 847055,
  [SMALL_STATE(20645)] = 847069,
  [SMALL_STATE(20646)] = 847083,
  [SMALL_STATE(20647)] = 847097,
  [SMALL_STATE(20648)] = 847111,
  [SMALL_STATE(20649)] = 847125,
  [SMALL_STATE(20650)] = 847139,
  [SMALL_STATE(20651)] = 847153,
  [SMALL_STATE(20652)] = 847167,
  [SMALL_STATE(20653)] = 847181,
  [SMALL_STATE(20654)] = 847195,
  [SMALL_STATE(20655)] = 847209,
  [SMALL_STATE(20656)] = 847223,
  [SMALL_STATE(20657)] = 847237,
  [SMALL_STATE(20658)] = 847251,
  [SMALL_STATE(20659)] = 847265,
  [SMALL_STATE(20660)] = 847279,
  [SMALL_STATE(20661)] = 847293,
  [SMALL_STATE(20662)] = 847307,
  [SMALL_STATE(20663)] = 847321,
  [SMALL_STATE(20664)] = 847335,
  [SMALL_STATE(20665)] = 847349,
  [SMALL_STATE(20666)] = 847363,
  [SMALL_STATE(20667)] = 847377,
  [SMALL_STATE(20668)] = 847391,
  [SMALL_STATE(20669)] = 847405,
  [SMALL_STATE(20670)] = 847419,
  [SMALL_STATE(20671)] = 847433,
  [SMALL_STATE(20672)] = 847447,
  [SMALL_STATE(20673)] = 847461,
  [SMALL_STATE(20674)] = 847475,
  [SMALL_STATE(20675)] = 847489,
  [SMALL_STATE(20676)] = 847503,
  [SMALL_STATE(20677)] = 847517,
  [SMALL_STATE(20678)] = 847531,
  [SMALL_STATE(20679)] = 847545,
  [SMALL_STATE(20680)] = 847559,
  [SMALL_STATE(20681)] = 847573,
  [SMALL_STATE(20682)] = 847587,
  [SMALL_STATE(20683)] = 847601,
  [SMALL_STATE(20684)] = 847615,
  [SMALL_STATE(20685)] = 847629,
  [SMALL_STATE(20686)] = 847643,
  [SMALL_STATE(20687)] = 847657,
  [SMALL_STATE(20688)] = 847671,
  [SMALL_STATE(20689)] = 847685,
  [SMALL_STATE(20690)] = 847699,
  [SMALL_STATE(20691)] = 847713,
  [SMALL_STATE(20692)] = 847727,
  [SMALL_STATE(20693)] = 847741,
  [SMALL_STATE(20694)] = 847755,
  [SMALL_STATE(20695)] = 847769,
  [SMALL_STATE(20696)] = 847783,
  [SMALL_STATE(20697)] = 847797,
  [SMALL_STATE(20698)] = 847811,
  [SMALL_STATE(20699)] = 847825,
  [SMALL_STATE(20700)] = 847839,
  [SMALL_STATE(20701)] = 847853,
  [SMALL_STATE(20702)] = 847867,
  [SMALL_STATE(20703)] = 847881,
  [SMALL_STATE(20704)] = 847895,
  [SMALL_STATE(20705)] = 847909,
  [SMALL_STATE(20706)] = 847923,
  [SMALL_STATE(20707)] = 847937,
  [SMALL_STATE(20708)] = 847951,
  [SMALL_STATE(20709)] = 847965,
  [SMALL_STATE(20710)] = 847979,
  [SMALL_STATE(20711)] = 847993,
  [SMALL_STATE(20712)] = 848007,
  [SMALL_STATE(20713)] = 848021,
  [SMALL_STATE(20714)] = 848035,
  [SMALL_STATE(20715)] = 848049,
  [SMALL_STATE(20716)] = 848063,
  [SMALL_STATE(20717)] = 848077,
  [SMALL_STATE(20718)] = 848091,
  [SMALL_STATE(20719)] = 848105,
  [SMALL_STATE(20720)] = 848119,
  [SMALL_STATE(20721)] = 848133,
  [SMALL_STATE(20722)] = 848147,
  [SMALL_STATE(20723)] = 848161,
  [SMALL_STATE(20724)] = 848175,
  [SMALL_STATE(20725)] = 848189,
  [SMALL_STATE(20726)] = 848203,
  [SMALL_STATE(20727)] = 848217,
  [SMALL_STATE(20728)] = 848231,
  [SMALL_STATE(20729)] = 848245,
  [SMALL_STATE(20730)] = 848259,
  [SMALL_STATE(20731)] = 848273,
  [SMALL_STATE(20732)] = 848287,
  [SMALL_STATE(20733)] = 848301,
  [SMALL_STATE(20734)] = 848315,
  [SMALL_STATE(20735)] = 848329,
  [SMALL_STATE(20736)] = 848343,
  [SMALL_STATE(20737)] = 848357,
  [SMALL_STATE(20738)] = 848371,
  [SMALL_STATE(20739)] = 848385,
  [SMALL_STATE(20740)] = 848399,
  [SMALL_STATE(20741)] = 848413,
  [SMALL_STATE(20742)] = 848427,
  [SMALL_STATE(20743)] = 848441,
  [SMALL_STATE(20744)] = 848455,
  [SMALL_STATE(20745)] = 848469,
  [SMALL_STATE(20746)] = 848483,
  [SMALL_STATE(20747)] = 848497,
  [SMALL_STATE(20748)] = 848511,
  [SMALL_STATE(20749)] = 848525,
  [SMALL_STATE(20750)] = 848539,
  [SMALL_STATE(20751)] = 848553,
  [SMALL_STATE(20752)] = 848567,
  [SMALL_STATE(20753)] = 848581,
  [SMALL_STATE(20754)] = 848595,
  [SMALL_STATE(20755)] = 848609,
  [SMALL_STATE(20756)] = 848623,
  [SMALL_STATE(20757)] = 848637,
  [SMALL_STATE(20758)] = 848651,
  [SMALL_STATE(20759)] = 848665,
  [SMALL_STATE(20760)] = 848679,
  [SMALL_STATE(20761)] = 848693,
  [SMALL_STATE(20762)] = 848707,
  [SMALL_STATE(20763)] = 848721,
  [SMALL_STATE(20764)] = 848735,
  [SMALL_STATE(20765)] = 848749,
  [SMALL_STATE(20766)] = 848763,
  [SMALL_STATE(20767)] = 848777,
  [SMALL_STATE(20768)] = 848791,
  [SMALL_STATE(20769)] = 848805,
  [SMALL_STATE(20770)] = 848819,
  [SMALL_STATE(20771)] = 848833,
  [SMALL_STATE(20772)] = 848847,
  [SMALL_STATE(20773)] = 848861,
  [SMALL_STATE(20774)] = 848875,
  [SMALL_STATE(20775)] = 848889,
  [SMALL_STATE(20776)] = 848903,
  [SMALL_STATE(20777)] = 848917,
  [SMALL_STATE(20778)] = 848931,
  [SMALL_STATE(20779)] = 848945,
  [SMALL_STATE(20780)] = 848959,
  [SMALL_STATE(20781)] = 848973,
  [SMALL_STATE(20782)] = 848987,
  [SMALL_STATE(20783)] = 849001,
  [SMALL_STATE(20784)] = 849015,
  [SMALL_STATE(20785)] = 849029,
  [SMALL_STATE(20786)] = 849043,
  [SMALL_STATE(20787)] = 849057,
  [SMALL_STATE(20788)] = 849071,
  [SMALL_STATE(20789)] = 849085,
  [SMALL_STATE(20790)] = 849099,
  [SMALL_STATE(20791)] = 849113,
  [SMALL_STATE(20792)] = 849127,
  [SMALL_STATE(20793)] = 849141,
  [SMALL_STATE(20794)] = 849155,
  [SMALL_STATE(20795)] = 849169,
  [SMALL_STATE(20796)] = 849183,
  [SMALL_STATE(20797)] = 849197,
  [SMALL_STATE(20798)] = 849211,
  [SMALL_STATE(20799)] = 849225,
  [SMALL_STATE(20800)] = 849239,
  [SMALL_STATE(20801)] = 849253,
  [SMALL_STATE(20802)] = 849267,
  [SMALL_STATE(20803)] = 849281,
  [SMALL_STATE(20804)] = 849295,
  [SMALL_STATE(20805)] = 849309,
  [SMALL_STATE(20806)] = 849323,
  [SMALL_STATE(20807)] = 849337,
  [SMALL_STATE(20808)] = 849351,
  [SMALL_STATE(20809)] = 849365,
  [SMALL_STATE(20810)] = 849379,
  [SMALL_STATE(20811)] = 849393,
  [SMALL_STATE(20812)] = 849407,
  [SMALL_STATE(20813)] = 849421,
  [SMALL_STATE(20814)] = 849435,
  [SMALL_STATE(20815)] = 849449,
  [SMALL_STATE(20816)] = 849463,
  [SMALL_STATE(20817)] = 849477,
  [SMALL_STATE(20818)] = 849491,
  [SMALL_STATE(20819)] = 849505,
  [SMALL_STATE(20820)] = 849519,
  [SMALL_STATE(20821)] = 849533,
  [SMALL_STATE(20822)] = 849547,
  [SMALL_STATE(20823)] = 849561,
  [SMALL_STATE(20824)] = 849575,
  [SMALL_STATE(20825)] = 849589,
  [SMALL_STATE(20826)] = 849603,
  [SMALL_STATE(20827)] = 849617,
  [SMALL_STATE(20828)] = 849631,
  [SMALL_STATE(20829)] = 849645,
  [SMALL_STATE(20830)] = 849659,
  [SMALL_STATE(20831)] = 849673,
  [SMALL_STATE(20832)] = 849687,
  [SMALL_STATE(20833)] = 849701,
  [SMALL_STATE(20834)] = 849715,
  [SMALL_STATE(20835)] = 849729,
  [SMALL_STATE(20836)] = 849743,
  [SMALL_STATE(20837)] = 849757,
  [SMALL_STATE(20838)] = 849771,
  [SMALL_STATE(20839)] = 849785,
  [SMALL_STATE(20840)] = 849799,
  [SMALL_STATE(20841)] = 849813,
  [SMALL_STATE(20842)] = 849827,
  [SMALL_STATE(20843)] = 849841,
  [SMALL_STATE(20844)] = 849855,
  [SMALL_STATE(20845)] = 849869,
  [SMALL_STATE(20846)] = 849883,
  [SMALL_STATE(20847)] = 849897,
  [SMALL_STATE(20848)] = 849911,
  [SMALL_STATE(20849)] = 849925,
  [SMALL_STATE(20850)] = 849939,
  [SMALL_STATE(20851)] = 849953,
  [SMALL_STATE(20852)] = 849967,
  [SMALL_STATE(20853)] = 849981,
  [SMALL_STATE(20854)] = 849995,
  [SMALL_STATE(20855)] = 850009,
  [SMALL_STATE(20856)] = 850023,
  [SMALL_STATE(20857)] = 850037,
  [SMALL_STATE(20858)] = 850051,
  [SMALL_STATE(20859)] = 850065,
  [SMALL_STATE(20860)] = 850079,
  [SMALL_STATE(20861)] = 850093,
  [SMALL_STATE(20862)] = 850107,
  [SMALL_STATE(20863)] = 850121,
  [SMALL_STATE(20864)] = 850135,
  [SMALL_STATE(20865)] = 850149,
  [SMALL_STATE(20866)] = 850163,
  [SMALL_STATE(20867)] = 850177,
  [SMALL_STATE(20868)] = 850191,
  [SMALL_STATE(20869)] = 850205,
  [SMALL_STATE(20870)] = 850219,
  [SMALL_STATE(20871)] = 850233,
  [SMALL_STATE(20872)] = 850247,
  [SMALL_STATE(20873)] = 850261,
  [SMALL_STATE(20874)] = 850275,
  [SMALL_STATE(20875)] = 850289,
  [SMALL_STATE(20876)] = 850303,
  [SMALL_STATE(20877)] = 850317,
  [SMALL_STATE(20878)] = 850331,
  [SMALL_STATE(20879)] = 850345,
  [SMALL_STATE(20880)] = 850359,
  [SMALL_STATE(20881)] = 850373,
  [SMALL_STATE(20882)] = 850387,
  [SMALL_STATE(20883)] = 850401,
  [SMALL_STATE(20884)] = 850415,
  [SMALL_STATE(20885)] = 850429,
  [SMALL_STATE(20886)] = 850443,
  [SMALL_STATE(20887)] = 850457,
  [SMALL_STATE(20888)] = 850471,
  [SMALL_STATE(20889)] = 850485,
  [SMALL_STATE(20890)] = 850499,
  [SMALL_STATE(20891)] = 850513,
  [SMALL_STATE(20892)] = 850527,
  [SMALL_STATE(20893)] = 850541,
  [SMALL_STATE(20894)] = 850555,
  [SMALL_STATE(20895)] = 850569,
  [SMALL_STATE(20896)] = 850583,
  [SMALL_STATE(20897)] = 850597,
  [SMALL_STATE(20898)] = 850611,
  [SMALL_STATE(20899)] = 850625,
  [SMALL_STATE(20900)] = 850639,
  [SMALL_STATE(20901)] = 850653,
  [SMALL_STATE(20902)] = 850667,
  [SMALL_STATE(20903)] = 850681,
  [SMALL_STATE(20904)] = 850695,
  [SMALL_STATE(20905)] = 850709,
  [SMALL_STATE(20906)] = 850723,
  [SMALL_STATE(20907)] = 850737,
  [SMALL_STATE(20908)] = 850751,
  [SMALL_STATE(20909)] = 850765,
  [SMALL_STATE(20910)] = 850779,
  [SMALL_STATE(20911)] = 850793,
  [SMALL_STATE(20912)] = 850807,
  [SMALL_STATE(20913)] = 850821,
  [SMALL_STATE(20914)] = 850835,
  [SMALL_STATE(20915)] = 850849,
  [SMALL_STATE(20916)] = 850863,
  [SMALL_STATE(20917)] = 850877,
  [SMALL_STATE(20918)] = 850891,
  [SMALL_STATE(20919)] = 850905,
  [SMALL_STATE(20920)] = 850919,
  [SMALL_STATE(20921)] = 850933,
  [SMALL_STATE(20922)] = 850947,
  [SMALL_STATE(20923)] = 850961,
  [SMALL_STATE(20924)] = 850975,
  [SMALL_STATE(20925)] = 850989,
  [SMALL_STATE(20926)] = 851003,
  [SMALL_STATE(20927)] = 851017,
  [SMALL_STATE(20928)] = 851031,
  [SMALL_STATE(20929)] = 851045,
  [SMALL_STATE(20930)] = 851059,
  [SMALL_STATE(20931)] = 851073,
  [SMALL_STATE(20932)] = 851087,
  [SMALL_STATE(20933)] = 851101,
  [SMALL_STATE(20934)] = 851115,
  [SMALL_STATE(20935)] = 851129,
  [SMALL_STATE(20936)] = 851143,
  [SMALL_STATE(20937)] = 851157,
  [SMALL_STATE(20938)] = 851171,
  [SMALL_STATE(20939)] = 851185,
  [SMALL_STATE(20940)] = 851199,
  [SMALL_STATE(20941)] = 851213,
  [SMALL_STATE(20942)] = 851227,
  [SMALL_STATE(20943)] = 851241,
  [SMALL_STATE(20944)] = 851255,
  [SMALL_STATE(20945)] = 851269,
  [SMALL_STATE(20946)] = 851283,
  [SMALL_STATE(20947)] = 851297,
  [SMALL_STATE(20948)] = 851311,
  [SMALL_STATE(20949)] = 851325,
  [SMALL_STATE(20950)] = 851339,
  [SMALL_STATE(20951)] = 851353,
  [SMALL_STATE(20952)] = 851367,
  [SMALL_STATE(20953)] = 851381,
  [SMALL_STATE(20954)] = 851395,
  [SMALL_STATE(20955)] = 851409,
  [SMALL_STATE(20956)] = 851423,
  [SMALL_STATE(20957)] = 851437,
  [SMALL_STATE(20958)] = 851451,
  [SMALL_STATE(20959)] = 851465,
  [SMALL_STATE(20960)] = 851479,
  [SMALL_STATE(20961)] = 851493,
  [SMALL_STATE(20962)] = 851507,
  [SMALL_STATE(20963)] = 851521,
  [SMALL_STATE(20964)] = 851535,
  [SMALL_STATE(20965)] = 851549,
  [SMALL_STATE(20966)] = 851563,
  [SMALL_STATE(20967)] = 851577,
  [SMALL_STATE(20968)] = 851591,
  [SMALL_STATE(20969)] = 851605,
  [SMALL_STATE(20970)] = 851619,
  [SMALL_STATE(20971)] = 851633,
  [SMALL_STATE(20972)] = 851647,
  [SMALL_STATE(20973)] = 851661,
  [SMALL_STATE(20974)] = 851675,
  [SMALL_STATE(20975)] = 851689,
  [SMALL_STATE(20976)] = 851703,
  [SMALL_STATE(20977)] = 851717,
  [SMALL_STATE(20978)] = 851731,
  [SMALL_STATE(20979)] = 851745,
  [SMALL_STATE(20980)] = 851759,
  [SMALL_STATE(20981)] = 851773,
  [SMALL_STATE(20982)] = 851787,
  [SMALL_STATE(20983)] = 851801,
  [SMALL_STATE(20984)] = 851815,
  [SMALL_STATE(20985)] = 851829,
  [SMALL_STATE(20986)] = 851843,
  [SMALL_STATE(20987)] = 851857,
  [SMALL_STATE(20988)] = 851871,
  [SMALL_STATE(20989)] = 851885,
  [SMALL_STATE(20990)] = 851899,
  [SMALL_STATE(20991)] = 851913,
  [SMALL_STATE(20992)] = 851927,
  [SMALL_STATE(20993)] = 851941,
  [SMALL_STATE(20994)] = 851955,
  [SMALL_STATE(20995)] = 851969,
  [SMALL_STATE(20996)] = 851983,
  [SMALL_STATE(20997)] = 851997,
  [SMALL_STATE(20998)] = 852011,
  [SMALL_STATE(20999)] = 852025,
  [SMALL_STATE(21000)] = 852039,
  [SMALL_STATE(21001)] = 852053,
  [SMALL_STATE(21002)] = 852067,
  [SMALL_STATE(21003)] = 852081,
  [SMALL_STATE(21004)] = 852095,
  [SMALL_STATE(21005)] = 852109,
  [SMALL_STATE(21006)] = 852123,
  [SMALL_STATE(21007)] = 852137,
  [SMALL_STATE(21008)] = 852151,
  [SMALL_STATE(21009)] = 852165,
  [SMALL_STATE(21010)] = 852179,
  [SMALL_STATE(21011)] = 852193,
  [SMALL_STATE(21012)] = 852207,
  [SMALL_STATE(21013)] = 852221,
  [SMALL_STATE(21014)] = 852235,
  [SMALL_STATE(21015)] = 852249,
  [SMALL_STATE(21016)] = 852263,
  [SMALL_STATE(21017)] = 852277,
  [SMALL_STATE(21018)] = 852291,
  [SMALL_STATE(21019)] = 852305,
  [SMALL_STATE(21020)] = 852319,
  [SMALL_STATE(21021)] = 852333,
  [SMALL_STATE(21022)] = 852347,
  [SMALL_STATE(21023)] = 852361,
  [SMALL_STATE(21024)] = 852375,
  [SMALL_STATE(21025)] = 852389,
  [SMALL_STATE(21026)] = 852403,
  [SMALL_STATE(21027)] = 852417,
  [SMALL_STATE(21028)] = 852431,
  [SMALL_STATE(21029)] = 852445,
  [SMALL_STATE(21030)] = 852459,
  [SMALL_STATE(21031)] = 852473,
  [SMALL_STATE(21032)] = 852487,
  [SMALL_STATE(21033)] = 852501,
  [SMALL_STATE(21034)] = 852515,
  [SMALL_STATE(21035)] = 852529,
  [SMALL_STATE(21036)] = 852543,
  [SMALL_STATE(21037)] = 852557,
  [SMALL_STATE(21038)] = 852571,
  [SMALL_STATE(21039)] = 852585,
  [SMALL_STATE(21040)] = 852599,
  [SMALL_STATE(21041)] = 852613,
  [SMALL_STATE(21042)] = 852627,
  [SMALL_STATE(21043)] = 852641,
  [SMALL_STATE(21044)] = 852655,
  [SMALL_STATE(21045)] = 852669,
  [SMALL_STATE(21046)] = 852683,
  [SMALL_STATE(21047)] = 852697,
  [SMALL_STATE(21048)] = 852711,
  [SMALL_STATE(21049)] = 852725,
  [SMALL_STATE(21050)] = 852739,
  [SMALL_STATE(21051)] = 852753,
  [SMALL_STATE(21052)] = 852767,
  [SMALL_STATE(21053)] = 852781,
  [SMALL_STATE(21054)] = 852795,
  [SMALL_STATE(21055)] = 852809,
  [SMALL_STATE(21056)] = 852823,
  [SMALL_STATE(21057)] = 852837,
  [SMALL_STATE(21058)] = 852851,
  [SMALL_STATE(21059)] = 852865,
  [SMALL_STATE(21060)] = 852879,
  [SMALL_STATE(21061)] = 852893,
  [SMALL_STATE(21062)] = 852907,
  [SMALL_STATE(21063)] = 852921,
  [SMALL_STATE(21064)] = 852935,
  [SMALL_STATE(21065)] = 852949,
  [SMALL_STATE(21066)] = 852963,
  [SMALL_STATE(21067)] = 852977,
  [SMALL_STATE(21068)] = 852991,
  [SMALL_STATE(21069)] = 853005,
  [SMALL_STATE(21070)] = 853019,
  [SMALL_STATE(21071)] = 853033,
  [SMALL_STATE(21072)] = 853047,
  [SMALL_STATE(21073)] = 853061,
  [SMALL_STATE(21074)] = 853075,
  [SMALL_STATE(21075)] = 853089,
  [SMALL_STATE(21076)] = 853103,
  [SMALL_STATE(21077)] = 853117,
  [SMALL_STATE(21078)] = 853131,
  [SMALL_STATE(21079)] = 853145,
  [SMALL_STATE(21080)] = 853159,
  [SMALL_STATE(21081)] = 853173,
  [SMALL_STATE(21082)] = 853187,
  [SMALL_STATE(21083)] = 853201,
  [SMALL_STATE(21084)] = 853215,
  [SMALL_STATE(21085)] = 853229,
  [SMALL_STATE(21086)] = 853243,
  [SMALL_STATE(21087)] = 853257,
  [SMALL_STATE(21088)] = 853271,
  [SMALL_STATE(21089)] = 853285,
  [SMALL_STATE(21090)] = 853299,
  [SMALL_STATE(21091)] = 853313,
  [SMALL_STATE(21092)] = 853327,
  [SMALL_STATE(21093)] = 853341,
  [SMALL_STATE(21094)] = 853355,
  [SMALL_STATE(21095)] = 853369,
  [SMALL_STATE(21096)] = 853383,
  [SMALL_STATE(21097)] = 853397,
  [SMALL_STATE(21098)] = 853411,
  [SMALL_STATE(21099)] = 853425,
  [SMALL_STATE(21100)] = 853439,
  [SMALL_STATE(21101)] = 853453,
  [SMALL_STATE(21102)] = 853467,
  [SMALL_STATE(21103)] = 853481,
  [SMALL_STATE(21104)] = 853495,
  [SMALL_STATE(21105)] = 853509,
  [SMALL_STATE(21106)] = 853523,
  [SMALL_STATE(21107)] = 853537,
  [SMALL_STATE(21108)] = 853551,
  [SMALL_STATE(21109)] = 853565,
  [SMALL_STATE(21110)] = 853579,
  [SMALL_STATE(21111)] = 853593,
  [SMALL_STATE(21112)] = 853607,
  [SMALL_STATE(21113)] = 853621,
  [SMALL_STATE(21114)] = 853635,
  [SMALL_STATE(21115)] = 853649,
  [SMALL_STATE(21116)] = 853663,
  [SMALL_STATE(21117)] = 853677,
  [SMALL_STATE(21118)] = 853691,
  [SMALL_STATE(21119)] = 853705,
  [SMALL_STATE(21120)] = 853719,
  [SMALL_STATE(21121)] = 853733,
  [SMALL_STATE(21122)] = 853747,
  [SMALL_STATE(21123)] = 853761,
  [SMALL_STATE(21124)] = 853775,
  [SMALL_STATE(21125)] = 853789,
  [SMALL_STATE(21126)] = 853803,
  [SMALL_STATE(21127)] = 853817,
  [SMALL_STATE(21128)] = 853831,
  [SMALL_STATE(21129)] = 853845,
  [SMALL_STATE(21130)] = 853859,
  [SMALL_STATE(21131)] = 853873,
  [SMALL_STATE(21132)] = 853887,
  [SMALL_STATE(21133)] = 853901,
  [SMALL_STATE(21134)] = 853915,
  [SMALL_STATE(21135)] = 853929,
  [SMALL_STATE(21136)] = 853943,
  [SMALL_STATE(21137)] = 853957,
  [SMALL_STATE(21138)] = 853971,
  [SMALL_STATE(21139)] = 853985,
  [SMALL_STATE(21140)] = 853999,
  [SMALL_STATE(21141)] = 854013,
  [SMALL_STATE(21142)] = 854027,
  [SMALL_STATE(21143)] = 854041,
  [SMALL_STATE(21144)] = 854055,
  [SMALL_STATE(21145)] = 854069,
  [SMALL_STATE(21146)] = 854083,
  [SMALL_STATE(21147)] = 854097,
  [SMALL_STATE(21148)] = 854111,
  [SMALL_STATE(21149)] = 854125,
  [SMALL_STATE(21150)] = 854139,
  [SMALL_STATE(21151)] = 854153,
  [SMALL_STATE(21152)] = 854167,
  [SMALL_STATE(21153)] = 854181,
  [SMALL_STATE(21154)] = 854195,
  [SMALL_STATE(21155)] = 854209,
  [SMALL_STATE(21156)] = 854223,
  [SMALL_STATE(21157)] = 854237,
  [SMALL_STATE(21158)] = 854251,
  [SMALL_STATE(21159)] = 854265,
  [SMALL_STATE(21160)] = 854279,
  [SMALL_STATE(21161)] = 854293,
  [SMALL_STATE(21162)] = 854307,
  [SMALL_STATE(21163)] = 854321,
  [SMALL_STATE(21164)] = 854335,
  [SMALL_STATE(21165)] = 854349,
  [SMALL_STATE(21166)] = 854363,
  [SMALL_STATE(21167)] = 854377,
  [SMALL_STATE(21168)] = 854391,
  [SMALL_STATE(21169)] = 854405,
  [SMALL_STATE(21170)] = 854419,
  [SMALL_STATE(21171)] = 854433,
  [SMALL_STATE(21172)] = 854447,
  [SMALL_STATE(21173)] = 854461,
  [SMALL_STATE(21174)] = 854475,
  [SMALL_STATE(21175)] = 854489,
  [SMALL_STATE(21176)] = 854503,
  [SMALL_STATE(21177)] = 854517,
  [SMALL_STATE(21178)] = 854531,
  [SMALL_STATE(21179)] = 854545,
  [SMALL_STATE(21180)] = 854559,
  [SMALL_STATE(21181)] = 854573,
  [SMALL_STATE(21182)] = 854587,
  [SMALL_STATE(21183)] = 854601,
  [SMALL_STATE(21184)] = 854615,
  [SMALL_STATE(21185)] = 854629,
  [SMALL_STATE(21186)] = 854643,
  [SMALL_STATE(21187)] = 854657,
  [SMALL_STATE(21188)] = 854671,
  [SMALL_STATE(21189)] = 854685,
  [SMALL_STATE(21190)] = 854699,
  [SMALL_STATE(21191)] = 854713,
  [SMALL_STATE(21192)] = 854727,
  [SMALL_STATE(21193)] = 854741,
  [SMALL_STATE(21194)] = 854755,
  [SMALL_STATE(21195)] = 854769,
  [SMALL_STATE(21196)] = 854783,
  [SMALL_STATE(21197)] = 854797,
  [SMALL_STATE(21198)] = 854811,
  [SMALL_STATE(21199)] = 854825,
  [SMALL_STATE(21200)] = 854839,
  [SMALL_STATE(21201)] = 854853,
  [SMALL_STATE(21202)] = 854867,
  [SMALL_STATE(21203)] = 854881,
  [SMALL_STATE(21204)] = 854895,
  [SMALL_STATE(21205)] = 854909,
  [SMALL_STATE(21206)] = 854923,
  [SMALL_STATE(21207)] = 854937,
  [SMALL_STATE(21208)] = 854951,
  [SMALL_STATE(21209)] = 854965,
  [SMALL_STATE(21210)] = 854979,
  [SMALL_STATE(21211)] = 854993,
  [SMALL_STATE(21212)] = 855007,
  [SMALL_STATE(21213)] = 855021,
  [SMALL_STATE(21214)] = 855035,
  [SMALL_STATE(21215)] = 855049,
  [SMALL_STATE(21216)] = 855063,
  [SMALL_STATE(21217)] = 855077,
  [SMALL_STATE(21218)] = 855091,
  [SMALL_STATE(21219)] = 855105,
  [SMALL_STATE(21220)] = 855119,
  [SMALL_STATE(21221)] = 855133,
  [SMALL_STATE(21222)] = 855147,
  [SMALL_STATE(21223)] = 855161,
  [SMALL_STATE(21224)] = 855175,
  [SMALL_STATE(21225)] = 855189,
  [SMALL_STATE(21226)] = 855203,
  [SMALL_STATE(21227)] = 855217,
  [SMALL_STATE(21228)] = 855231,
  [SMALL_STATE(21229)] = 855245,
  [SMALL_STATE(21230)] = 855259,
  [SMALL_STATE(21231)] = 855273,
  [SMALL_STATE(21232)] = 855287,
  [SMALL_STATE(21233)] = 855301,
  [SMALL_STATE(21234)] = 855315,
  [SMALL_STATE(21235)] = 855329,
  [SMALL_STATE(21236)] = 855343,
  [SMALL_STATE(21237)] = 855357,
  [SMALL_STATE(21238)] = 855371,
  [SMALL_STATE(21239)] = 855385,
  [SMALL_STATE(21240)] = 855399,
  [SMALL_STATE(21241)] = 855413,
  [SMALL_STATE(21242)] = 855427,
  [SMALL_STATE(21243)] = 855441,
  [SMALL_STATE(21244)] = 855455,
  [SMALL_STATE(21245)] = 855469,
  [SMALL_STATE(21246)] = 855483,
  [SMALL_STATE(21247)] = 855497,
  [SMALL_STATE(21248)] = 855511,
  [SMALL_STATE(21249)] = 855525,
  [SMALL_STATE(21250)] = 855539,
  [SMALL_STATE(21251)] = 855553,
  [SMALL_STATE(21252)] = 855567,
  [SMALL_STATE(21253)] = 855581,
  [SMALL_STATE(21254)] = 855595,
  [SMALL_STATE(21255)] = 855609,
  [SMALL_STATE(21256)] = 855623,
  [SMALL_STATE(21257)] = 855637,
  [SMALL_STATE(21258)] = 855651,
  [SMALL_STATE(21259)] = 855665,
  [SMALL_STATE(21260)] = 855679,
  [SMALL_STATE(21261)] = 855693,
  [SMALL_STATE(21262)] = 855707,
  [SMALL_STATE(21263)] = 855721,
  [SMALL_STATE(21264)] = 855735,
  [SMALL_STATE(21265)] = 855749,
  [SMALL_STATE(21266)] = 855763,
  [SMALL_STATE(21267)] = 855777,
  [SMALL_STATE(21268)] = 855791,
  [SMALL_STATE(21269)] = 855805,
  [SMALL_STATE(21270)] = 855819,
  [SMALL_STATE(21271)] = 855833,
  [SMALL_STATE(21272)] = 855847,
  [SMALL_STATE(21273)] = 855861,
  [SMALL_STATE(21274)] = 855875,
  [SMALL_STATE(21275)] = 855889,
  [SMALL_STATE(21276)] = 855903,
  [SMALL_STATE(21277)] = 855917,
  [SMALL_STATE(21278)] = 855931,
  [SMALL_STATE(21279)] = 855945,
  [SMALL_STATE(21280)] = 855959,
  [SMALL_STATE(21281)] = 855973,
  [SMALL_STATE(21282)] = 855987,
  [SMALL_STATE(21283)] = 856001,
  [SMALL_STATE(21284)] = 856015,
  [SMALL_STATE(21285)] = 856029,
  [SMALL_STATE(21286)] = 856043,
  [SMALL_STATE(21287)] = 856057,
  [SMALL_STATE(21288)] = 856071,
  [SMALL_STATE(21289)] = 856085,
  [SMALL_STATE(21290)] = 856099,
  [SMALL_STATE(21291)] = 856113,
  [SMALL_STATE(21292)] = 856127,
  [SMALL_STATE(21293)] = 856141,
  [SMALL_STATE(21294)] = 856155,
  [SMALL_STATE(21295)] = 856169,
  [SMALL_STATE(21296)] = 856183,
  [SMALL_STATE(21297)] = 856197,
  [SMALL_STATE(21298)] = 856211,
  [SMALL_STATE(21299)] = 856225,
  [SMALL_STATE(21300)] = 856239,
  [SMALL_STATE(21301)] = 856253,
  [SMALL_STATE(21302)] = 856267,
  [SMALL_STATE(21303)] = 856281,
  [SMALL_STATE(21304)] = 856295,
  [SMALL_STATE(21305)] = 856309,
  [SMALL_STATE(21306)] = 856323,
  [SMALL_STATE(21307)] = 856337,
  [SMALL_STATE(21308)] = 856351,
  [SMALL_STATE(21309)] = 856365,
  [SMALL_STATE(21310)] = 856379,
  [SMALL_STATE(21311)] = 856393,
  [SMALL_STATE(21312)] = 856407,
  [SMALL_STATE(21313)] = 856421,
  [SMALL_STATE(21314)] = 856435,
  [SMALL_STATE(21315)] = 856449,
  [SMALL_STATE(21316)] = 856463,
  [SMALL_STATE(21317)] = 856477,
  [SMALL_STATE(21318)] = 856491,
  [SMALL_STATE(21319)] = 856505,
  [SMALL_STATE(21320)] = 856519,
  [SMALL_STATE(21321)] = 856533,
  [SMALL_STATE(21322)] = 856547,
  [SMALL_STATE(21323)] = 856561,
  [SMALL_STATE(21324)] = 856575,
  [SMALL_STATE(21325)] = 856589,
  [SMALL_STATE(21326)] = 856603,
  [SMALL_STATE(21327)] = 856617,
  [SMALL_STATE(21328)] = 856631,
  [SMALL_STATE(21329)] = 856645,
  [SMALL_STATE(21330)] = 856659,
  [SMALL_STATE(21331)] = 856673,
  [SMALL_STATE(21332)] = 856687,
  [SMALL_STATE(21333)] = 856701,
  [SMALL_STATE(21334)] = 856715,
  [SMALL_STATE(21335)] = 856729,
  [SMALL_STATE(21336)] = 856743,
  [SMALL_STATE(21337)] = 856757,
  [SMALL_STATE(21338)] = 856771,
  [SMALL_STATE(21339)] = 856785,
  [SMALL_STATE(21340)] = 856799,
  [SMALL_STATE(21341)] = 856813,
  [SMALL_STATE(21342)] = 856827,
  [SMALL_STATE(21343)] = 856841,
  [SMALL_STATE(21344)] = 856855,
  [SMALL_STATE(21345)] = 856869,
  [SMALL_STATE(21346)] = 856883,
  [SMALL_STATE(21347)] = 856897,
  [SMALL_STATE(21348)] = 856911,
  [SMALL_STATE(21349)] = 856925,
  [SMALL_STATE(21350)] = 856939,
  [SMALL_STATE(21351)] = 856953,
  [SMALL_STATE(21352)] = 856967,
  [SMALL_STATE(21353)] = 856981,
  [SMALL_STATE(21354)] = 856995,
  [SMALL_STATE(21355)] = 857009,
  [SMALL_STATE(21356)] = 857023,
  [SMALL_STATE(21357)] = 857037,
  [SMALL_STATE(21358)] = 857051,
  [SMALL_STATE(21359)] = 857065,
  [SMALL_STATE(21360)] = 857079,
  [SMALL_STATE(21361)] = 857093,
  [SMALL_STATE(21362)] = 857107,
  [SMALL_STATE(21363)] = 857121,
  [SMALL_STATE(21364)] = 857135,
  [SMALL_STATE(21365)] = 857149,
  [SMALL_STATE(21366)] = 857163,
  [SMALL_STATE(21367)] = 857177,
  [SMALL_STATE(21368)] = 857191,
  [SMALL_STATE(21369)] = 857205,
  [SMALL_STATE(21370)] = 857219,
  [SMALL_STATE(21371)] = 857233,
  [SMALL_STATE(21372)] = 857247,
  [SMALL_STATE(21373)] = 857261,
  [SMALL_STATE(21374)] = 857275,
  [SMALL_STATE(21375)] = 857289,
  [SMALL_STATE(21376)] = 857303,
  [SMALL_STATE(21377)] = 857317,
  [SMALL_STATE(21378)] = 857331,
  [SMALL_STATE(21379)] = 857345,
  [SMALL_STATE(21380)] = 857359,
  [SMALL_STATE(21381)] = 857373,
  [SMALL_STATE(21382)] = 857387,
  [SMALL_STATE(21383)] = 857401,
  [SMALL_STATE(21384)] = 857415,
  [SMALL_STATE(21385)] = 857429,
  [SMALL_STATE(21386)] = 857443,
  [SMALL_STATE(21387)] = 857457,
  [SMALL_STATE(21388)] = 857471,
  [SMALL_STATE(21389)] = 857485,
  [SMALL_STATE(21390)] = 857499,
  [SMALL_STATE(21391)] = 857513,
  [SMALL_STATE(21392)] = 857527,
  [SMALL_STATE(21393)] = 857541,
  [SMALL_STATE(21394)] = 857555,
  [SMALL_STATE(21395)] = 857569,
  [SMALL_STATE(21396)] = 857583,
  [SMALL_STATE(21397)] = 857597,
  [SMALL_STATE(21398)] = 857611,
  [SMALL_STATE(21399)] = 857625,
  [SMALL_STATE(21400)] = 857639,
  [SMALL_STATE(21401)] = 857653,
  [SMALL_STATE(21402)] = 857667,
  [SMALL_STATE(21403)] = 857681,
  [SMALL_STATE(21404)] = 857695,
  [SMALL_STATE(21405)] = 857709,
  [SMALL_STATE(21406)] = 857723,
  [SMALL_STATE(21407)] = 857737,
  [SMALL_STATE(21408)] = 857751,
  [SMALL_STATE(21409)] = 857765,
  [SMALL_STATE(21410)] = 857779,
  [SMALL_STATE(21411)] = 857793,
  [SMALL_STATE(21412)] = 857807,
  [SMALL_STATE(21413)] = 857821,
  [SMALL_STATE(21414)] = 857835,
  [SMALL_STATE(21415)] = 857849,
  [SMALL_STATE(21416)] = 857863,
  [SMALL_STATE(21417)] = 857877,
  [SMALL_STATE(21418)] = 857891,
  [SMALL_STATE(21419)] = 857905,
  [SMALL_STATE(21420)] = 857919,
  [SMALL_STATE(21421)] = 857933,
  [SMALL_STATE(21422)] = 857947,
  [SMALL_STATE(21423)] = 857961,
  [SMALL_STATE(21424)] = 857975,
  [SMALL_STATE(21425)] = 857989,
  [SMALL_STATE(21426)] = 858003,
  [SMALL_STATE(21427)] = 858017,
  [SMALL_STATE(21428)] = 858031,
  [SMALL_STATE(21429)] = 858045,
  [SMALL_STATE(21430)] = 858059,
  [SMALL_STATE(21431)] = 858073,
  [SMALL_STATE(21432)] = 858087,
  [SMALL_STATE(21433)] = 858101,
  [SMALL_STATE(21434)] = 858115,
  [SMALL_STATE(21435)] = 858129,
  [SMALL_STATE(21436)] = 858143,
  [SMALL_STATE(21437)] = 858157,
  [SMALL_STATE(21438)] = 858171,
  [SMALL_STATE(21439)] = 858185,
  [SMALL_STATE(21440)] = 858199,
  [SMALL_STATE(21441)] = 858213,
  [SMALL_STATE(21442)] = 858227,
  [SMALL_STATE(21443)] = 858241,
  [SMALL_STATE(21444)] = 858255,
  [SMALL_STATE(21445)] = 858269,
  [SMALL_STATE(21446)] = 858283,
  [SMALL_STATE(21447)] = 858297,
  [SMALL_STATE(21448)] = 858311,
  [SMALL_STATE(21449)] = 858325,
  [SMALL_STATE(21450)] = 858339,
  [SMALL_STATE(21451)] = 858353,
  [SMALL_STATE(21452)] = 858367,
  [SMALL_STATE(21453)] = 858381,
  [SMALL_STATE(21454)] = 858395,
  [SMALL_STATE(21455)] = 858409,
  [SMALL_STATE(21456)] = 858423,
  [SMALL_STATE(21457)] = 858437,
  [SMALL_STATE(21458)] = 858451,
  [SMALL_STATE(21459)] = 858465,
  [SMALL_STATE(21460)] = 858479,
  [SMALL_STATE(21461)] = 858493,
  [SMALL_STATE(21462)] = 858507,
  [SMALL_STATE(21463)] = 858521,
  [SMALL_STATE(21464)] = 858535,
  [SMALL_STATE(21465)] = 858549,
  [SMALL_STATE(21466)] = 858563,
  [SMALL_STATE(21467)] = 858577,
  [SMALL_STATE(21468)] = 858591,
  [SMALL_STATE(21469)] = 858605,
  [SMALL_STATE(21470)] = 858619,
  [SMALL_STATE(21471)] = 858633,
  [SMALL_STATE(21472)] = 858647,
  [SMALL_STATE(21473)] = 858661,
  [SMALL_STATE(21474)] = 858675,
  [SMALL_STATE(21475)] = 858689,
  [SMALL_STATE(21476)] = 858703,
  [SMALL_STATE(21477)] = 858717,
  [SMALL_STATE(21478)] = 858731,
  [SMALL_STATE(21479)] = 858745,
  [SMALL_STATE(21480)] = 858759,
  [SMALL_STATE(21481)] = 858773,
  [SMALL_STATE(21482)] = 858787,
  [SMALL_STATE(21483)] = 858801,
  [SMALL_STATE(21484)] = 858815,
  [SMALL_STATE(21485)] = 858829,
  [SMALL_STATE(21486)] = 858843,
  [SMALL_STATE(21487)] = 858857,
  [SMALL_STATE(21488)] = 858871,
  [SMALL_STATE(21489)] = 858885,
  [SMALL_STATE(21490)] = 858899,
  [SMALL_STATE(21491)] = 858913,
  [SMALL_STATE(21492)] = 858927,
  [SMALL_STATE(21493)] = 858941,
  [SMALL_STATE(21494)] = 858955,
  [SMALL_STATE(21495)] = 858969,
  [SMALL_STATE(21496)] = 858983,
  [SMALL_STATE(21497)] = 858997,
  [SMALL_STATE(21498)] = 859011,
  [SMALL_STATE(21499)] = 859025,
  [SMALL_STATE(21500)] = 859039,
  [SMALL_STATE(21501)] = 859053,
  [SMALL_STATE(21502)] = 859067,
  [SMALL_STATE(21503)] = 859081,
  [SMALL_STATE(21504)] = 859095,
  [SMALL_STATE(21505)] = 859109,
  [SMALL_STATE(21506)] = 859123,
  [SMALL_STATE(21507)] = 859137,
  [SMALL_STATE(21508)] = 859151,
  [SMALL_STATE(21509)] = 859165,
  [SMALL_STATE(21510)] = 859179,
  [SMALL_STATE(21511)] = 859193,
  [SMALL_STATE(21512)] = 859207,
  [SMALL_STATE(21513)] = 859221,
  [SMALL_STATE(21514)] = 859235,
  [SMALL_STATE(21515)] = 859249,
  [SMALL_STATE(21516)] = 859263,
  [SMALL_STATE(21517)] = 859277,
  [SMALL_STATE(21518)] = 859291,
  [SMALL_STATE(21519)] = 859305,
  [SMALL_STATE(21520)] = 859319,
  [SMALL_STATE(21521)] = 859333,
  [SMALL_STATE(21522)] = 859347,
  [SMALL_STATE(21523)] = 859361,
  [SMALL_STATE(21524)] = 859375,
  [SMALL_STATE(21525)] = 859389,
  [SMALL_STATE(21526)] = 859403,
  [SMALL_STATE(21527)] = 859417,
  [SMALL_STATE(21528)] = 859431,
  [SMALL_STATE(21529)] = 859445,
  [SMALL_STATE(21530)] = 859459,
  [SMALL_STATE(21531)] = 859473,
  [SMALL_STATE(21532)] = 859487,
  [SMALL_STATE(21533)] = 859501,
  [SMALL_STATE(21534)] = 859515,
  [SMALL_STATE(21535)] = 859529,
  [SMALL_STATE(21536)] = 859543,
  [SMALL_STATE(21537)] = 859557,
  [SMALL_STATE(21538)] = 859571,
  [SMALL_STATE(21539)] = 859585,
  [SMALL_STATE(21540)] = 859599,
  [SMALL_STATE(21541)] = 859613,
  [SMALL_STATE(21542)] = 859627,
  [SMALL_STATE(21543)] = 859641,
  [SMALL_STATE(21544)] = 859655,
  [SMALL_STATE(21545)] = 859669,
  [SMALL_STATE(21546)] = 859683,
  [SMALL_STATE(21547)] = 859697,
  [SMALL_STATE(21548)] = 859711,
  [SMALL_STATE(21549)] = 859725,
  [SMALL_STATE(21550)] = 859739,
  [SMALL_STATE(21551)] = 859753,
  [SMALL_STATE(21552)] = 859767,
  [SMALL_STATE(21553)] = 859781,
  [SMALL_STATE(21554)] = 859795,
  [SMALL_STATE(21555)] = 859809,
  [SMALL_STATE(21556)] = 859823,
  [SMALL_STATE(21557)] = 859837,
  [SMALL_STATE(21558)] = 859851,
  [SMALL_STATE(21559)] = 859865,
  [SMALL_STATE(21560)] = 859879,
  [SMALL_STATE(21561)] = 859893,
  [SMALL_STATE(21562)] = 859907,
  [SMALL_STATE(21563)] = 859921,
  [SMALL_STATE(21564)] = 859935,
  [SMALL_STATE(21565)] = 859949,
  [SMALL_STATE(21566)] = 859963,
  [SMALL_STATE(21567)] = 859977,
  [SMALL_STATE(21568)] = 859991,
  [SMALL_STATE(21569)] = 860005,
  [SMALL_STATE(21570)] = 860019,
  [SMALL_STATE(21571)] = 860033,
  [SMALL_STATE(21572)] = 860047,
  [SMALL_STATE(21573)] = 860061,
  [SMALL_STATE(21574)] = 860075,
  [SMALL_STATE(21575)] = 860089,
  [SMALL_STATE(21576)] = 860103,
  [SMALL_STATE(21577)] = 860117,
  [SMALL_STATE(21578)] = 860131,
  [SMALL_STATE(21579)] = 860145,
  [SMALL_STATE(21580)] = 860159,
  [SMALL_STATE(21581)] = 860173,
  [SMALL_STATE(21582)] = 860187,
  [SMALL_STATE(21583)] = 860201,
  [SMALL_STATE(21584)] = 860215,
  [SMALL_STATE(21585)] = 860229,
  [SMALL_STATE(21586)] = 860243,
  [SMALL_STATE(21587)] = 860257,
  [SMALL_STATE(21588)] = 860271,
  [SMALL_STATE(21589)] = 860285,
  [SMALL_STATE(21590)] = 860299,
  [SMALL_STATE(21591)] = 860313,
  [SMALL_STATE(21592)] = 860327,
  [SMALL_STATE(21593)] = 860341,
  [SMALL_STATE(21594)] = 860355,
  [SMALL_STATE(21595)] = 860369,
  [SMALL_STATE(21596)] = 860383,
  [SMALL_STATE(21597)] = 860397,
  [SMALL_STATE(21598)] = 860411,
  [SMALL_STATE(21599)] = 860425,
  [SMALL_STATE(21600)] = 860439,
  [SMALL_STATE(21601)] = 860453,
  [SMALL_STATE(21602)] = 860467,
  [SMALL_STATE(21603)] = 860481,
  [SMALL_STATE(21604)] = 860495,
  [SMALL_STATE(21605)] = 860509,
  [SMALL_STATE(21606)] = 860523,
  [SMALL_STATE(21607)] = 860537,
  [SMALL_STATE(21608)] = 860551,
  [SMALL_STATE(21609)] = 860565,
  [SMALL_STATE(21610)] = 860579,
  [SMALL_STATE(21611)] = 860593,
  [SMALL_STATE(21612)] = 860607,
  [SMALL_STATE(21613)] = 860621,
  [SMALL_STATE(21614)] = 860635,
  [SMALL_STATE(21615)] = 860649,
  [SMALL_STATE(21616)] = 860663,
  [SMALL_STATE(21617)] = 860677,
  [SMALL_STATE(21618)] = 860691,
  [SMALL_STATE(21619)] = 860705,
  [SMALL_STATE(21620)] = 860719,
  [SMALL_STATE(21621)] = 860733,
  [SMALL_STATE(21622)] = 860747,
  [SMALL_STATE(21623)] = 860761,
  [SMALL_STATE(21624)] = 860775,
  [SMALL_STATE(21625)] = 860789,
  [SMALL_STATE(21626)] = 860803,
  [SMALL_STATE(21627)] = 860817,
  [SMALL_STATE(21628)] = 860831,
  [SMALL_STATE(21629)] = 860845,
  [SMALL_STATE(21630)] = 860859,
  [SMALL_STATE(21631)] = 860873,
  [SMALL_STATE(21632)] = 860887,
  [SMALL_STATE(21633)] = 860901,
  [SMALL_STATE(21634)] = 860915,
  [SMALL_STATE(21635)] = 860929,
  [SMALL_STATE(21636)] = 860943,
  [SMALL_STATE(21637)] = 860957,
  [SMALL_STATE(21638)] = 860971,
  [SMALL_STATE(21639)] = 860985,
  [SMALL_STATE(21640)] = 860999,
  [SMALL_STATE(21641)] = 861013,
  [SMALL_STATE(21642)] = 861027,
  [SMALL_STATE(21643)] = 861041,
  [SMALL_STATE(21644)] = 861055,
  [SMALL_STATE(21645)] = 861069,
  [SMALL_STATE(21646)] = 861083,
  [SMALL_STATE(21647)] = 861097,
  [SMALL_STATE(21648)] = 861111,
  [SMALL_STATE(21649)] = 861125,
  [SMALL_STATE(21650)] = 861139,
  [SMALL_STATE(21651)] = 861153,
  [SMALL_STATE(21652)] = 861167,
  [SMALL_STATE(21653)] = 861181,
  [SMALL_STATE(21654)] = 861195,
  [SMALL_STATE(21655)] = 861209,
  [SMALL_STATE(21656)] = 861223,
  [SMALL_STATE(21657)] = 861237,
  [SMALL_STATE(21658)] = 861251,
  [SMALL_STATE(21659)] = 861265,
  [SMALL_STATE(21660)] = 861279,
  [SMALL_STATE(21661)] = 861293,
  [SMALL_STATE(21662)] = 861307,
  [SMALL_STATE(21663)] = 861321,
  [SMALL_STATE(21664)] = 861335,
  [SMALL_STATE(21665)] = 861349,
  [SMALL_STATE(21666)] = 861363,
  [SMALL_STATE(21667)] = 861377,
  [SMALL_STATE(21668)] = 861391,
  [SMALL_STATE(21669)] = 861405,
  [SMALL_STATE(21670)] = 861419,
  [SMALL_STATE(21671)] = 861433,
  [SMALL_STATE(21672)] = 861447,
  [SMALL_STATE(21673)] = 861461,
  [SMALL_STATE(21674)] = 861475,
  [SMALL_STATE(21675)] = 861489,
  [SMALL_STATE(21676)] = 861503,
  [SMALL_STATE(21677)] = 861517,
  [SMALL_STATE(21678)] = 861531,
  [SMALL_STATE(21679)] = 861545,
  [SMALL_STATE(21680)] = 861559,
  [SMALL_STATE(21681)] = 861573,
  [SMALL_STATE(21682)] = 861587,
  [SMALL_STATE(21683)] = 861601,
  [SMALL_STATE(21684)] = 861615,
  [SMALL_STATE(21685)] = 861629,
  [SMALL_STATE(21686)] = 861643,
  [SMALL_STATE(21687)] = 861657,
  [SMALL_STATE(21688)] = 861671,
  [SMALL_STATE(21689)] = 861685,
  [SMALL_STATE(21690)] = 861699,
  [SMALL_STATE(21691)] = 861713,
  [SMALL_STATE(21692)] = 861727,
  [SMALL_STATE(21693)] = 861741,
  [SMALL_STATE(21694)] = 861755,
  [SMALL_STATE(21695)] = 861769,
  [SMALL_STATE(21696)] = 861783,
  [SMALL_STATE(21697)] = 861797,
  [SMALL_STATE(21698)] = 861811,
  [SMALL_STATE(21699)] = 861825,
  [SMALL_STATE(21700)] = 861839,
  [SMALL_STATE(21701)] = 861853,
  [SMALL_STATE(21702)] = 861867,
  [SMALL_STATE(21703)] = 861881,
  [SMALL_STATE(21704)] = 861895,
  [SMALL_STATE(21705)] = 861909,
  [SMALL_STATE(21706)] = 861923,
  [SMALL_STATE(21707)] = 861937,
  [SMALL_STATE(21708)] = 861951,
  [SMALL_STATE(21709)] = 861965,
  [SMALL_STATE(21710)] = 861979,
  [SMALL_STATE(21711)] = 861993,
  [SMALL_STATE(21712)] = 862007,
  [SMALL_STATE(21713)] = 862021,
  [SMALL_STATE(21714)] = 862035,
  [SMALL_STATE(21715)] = 862049,
  [SMALL_STATE(21716)] = 862063,
  [SMALL_STATE(21717)] = 862077,
  [SMALL_STATE(21718)] = 862091,
  [SMALL_STATE(21719)] = 862105,
  [SMALL_STATE(21720)] = 862119,
  [SMALL_STATE(21721)] = 862133,
  [SMALL_STATE(21722)] = 862147,
  [SMALL_STATE(21723)] = 862161,
  [SMALL_STATE(21724)] = 862175,
  [SMALL_STATE(21725)] = 862189,
  [SMALL_STATE(21726)] = 862203,
  [SMALL_STATE(21727)] = 862217,
  [SMALL_STATE(21728)] = 862231,
  [SMALL_STATE(21729)] = 862245,
  [SMALL_STATE(21730)] = 862259,
  [SMALL_STATE(21731)] = 862273,
  [SMALL_STATE(21732)] = 862287,
  [SMALL_STATE(21733)] = 862301,
  [SMALL_STATE(21734)] = 862315,
  [SMALL_STATE(21735)] = 862329,
  [SMALL_STATE(21736)] = 862343,
  [SMALL_STATE(21737)] = 862357,
  [SMALL_STATE(21738)] = 862371,
  [SMALL_STATE(21739)] = 862385,
  [SMALL_STATE(21740)] = 862399,
  [SMALL_STATE(21741)] = 862413,
  [SMALL_STATE(21742)] = 862427,
  [SMALL_STATE(21743)] = 862441,
  [SMALL_STATE(21744)] = 862455,
  [SMALL_STATE(21745)] = 862469,
  [SMALL_STATE(21746)] = 862483,
  [SMALL_STATE(21747)] = 862497,
  [SMALL_STATE(21748)] = 862511,
  [SMALL_STATE(21749)] = 862525,
  [SMALL_STATE(21750)] = 862539,
  [SMALL_STATE(21751)] = 862553,
  [SMALL_STATE(21752)] = 862567,
  [SMALL_STATE(21753)] = 862581,
  [SMALL_STATE(21754)] = 862595,
  [SMALL_STATE(21755)] = 862609,
  [SMALL_STATE(21756)] = 862623,
  [SMALL_STATE(21757)] = 862637,
  [SMALL_STATE(21758)] = 862651,
  [SMALL_STATE(21759)] = 862665,
  [SMALL_STATE(21760)] = 862679,
  [SMALL_STATE(21761)] = 862693,
  [SMALL_STATE(21762)] = 862707,
  [SMALL_STATE(21763)] = 862721,
  [SMALL_STATE(21764)] = 862735,
  [SMALL_STATE(21765)] = 862749,
  [SMALL_STATE(21766)] = 862763,
  [SMALL_STATE(21767)] = 862777,
  [SMALL_STATE(21768)] = 862791,
  [SMALL_STATE(21769)] = 862805,
  [SMALL_STATE(21770)] = 862819,
  [SMALL_STATE(21771)] = 862833,
  [SMALL_STATE(21772)] = 862847,
  [SMALL_STATE(21773)] = 862861,
  [SMALL_STATE(21774)] = 862875,
  [SMALL_STATE(21775)] = 862889,
  [SMALL_STATE(21776)] = 862903,
  [SMALL_STATE(21777)] = 862917,
  [SMALL_STATE(21778)] = 862931,
  [SMALL_STATE(21779)] = 862945,
  [SMALL_STATE(21780)] = 862959,
  [SMALL_STATE(21781)] = 862973,
  [SMALL_STATE(21782)] = 862987,
  [SMALL_STATE(21783)] = 863001,
  [SMALL_STATE(21784)] = 863015,
  [SMALL_STATE(21785)] = 863029,
  [SMALL_STATE(21786)] = 863043,
  [SMALL_STATE(21787)] = 863057,
  [SMALL_STATE(21788)] = 863071,
  [SMALL_STATE(21789)] = 863085,
  [SMALL_STATE(21790)] = 863099,
  [SMALL_STATE(21791)] = 863113,
  [SMALL_STATE(21792)] = 863127,
  [SMALL_STATE(21793)] = 863141,
  [SMALL_STATE(21794)] = 863155,
  [SMALL_STATE(21795)] = 863169,
  [SMALL_STATE(21796)] = 863183,
  [SMALL_STATE(21797)] = 863197,
  [SMALL_STATE(21798)] = 863211,
  [SMALL_STATE(21799)] = 863225,
  [SMALL_STATE(21800)] = 863239,
  [SMALL_STATE(21801)] = 863253,
  [SMALL_STATE(21802)] = 863267,
  [SMALL_STATE(21803)] = 863281,
  [SMALL_STATE(21804)] = 863295,
  [SMALL_STATE(21805)] = 863309,
  [SMALL_STATE(21806)] = 863323,
  [SMALL_STATE(21807)] = 863337,
  [SMALL_STATE(21808)] = 863351,
  [SMALL_STATE(21809)] = 863365,
  [SMALL_STATE(21810)] = 863379,
  [SMALL_STATE(21811)] = 863393,
  [SMALL_STATE(21812)] = 863407,
  [SMALL_STATE(21813)] = 863421,
  [SMALL_STATE(21814)] = 863435,
  [SMALL_STATE(21815)] = 863449,
  [SMALL_STATE(21816)] = 863463,
  [SMALL_STATE(21817)] = 863477,
  [SMALL_STATE(21818)] = 863491,
  [SMALL_STATE(21819)] = 863505,
  [SMALL_STATE(21820)] = 863519,
  [SMALL_STATE(21821)] = 863533,
  [SMALL_STATE(21822)] = 863547,
  [SMALL_STATE(21823)] = 863561,
  [SMALL_STATE(21824)] = 863575,
  [SMALL_STATE(21825)] = 863589,
  [SMALL_STATE(21826)] = 863603,
  [SMALL_STATE(21827)] = 863617,
  [SMALL_STATE(21828)] = 863631,
  [SMALL_STATE(21829)] = 863645,
  [SMALL_STATE(21830)] = 863659,
  [SMALL_STATE(21831)] = 863673,
  [SMALL_STATE(21832)] = 863687,
  [SMALL_STATE(21833)] = 863701,
  [SMALL_STATE(21834)] = 863715,
  [SMALL_STATE(21835)] = 863729,
  [SMALL_STATE(21836)] = 863743,
  [SMALL_STATE(21837)] = 863757,
  [SMALL_STATE(21838)] = 863771,
  [SMALL_STATE(21839)] = 863785,
  [SMALL_STATE(21840)] = 863799,
  [SMALL_STATE(21841)] = 863813,
  [SMALL_STATE(21842)] = 863827,
  [SMALL_STATE(21843)] = 863841,
  [SMALL_STATE(21844)] = 863855,
  [SMALL_STATE(21845)] = 863869,
  [SMALL_STATE(21846)] = 863883,
  [SMALL_STATE(21847)] = 863897,
  [SMALL_STATE(21848)] = 863911,
  [SMALL_STATE(21849)] = 863925,
  [SMALL_STATE(21850)] = 863939,
  [SMALL_STATE(21851)] = 863953,
  [SMALL_STATE(21852)] = 863967,
  [SMALL_STATE(21853)] = 863981,
  [SMALL_STATE(21854)] = 863995,
  [SMALL_STATE(21855)] = 864009,
  [SMALL_STATE(21856)] = 864023,
  [SMALL_STATE(21857)] = 864037,
  [SMALL_STATE(21858)] = 864051,
  [SMALL_STATE(21859)] = 864065,
  [SMALL_STATE(21860)] = 864079,
  [SMALL_STATE(21861)] = 864093,
  [SMALL_STATE(21862)] = 864107,
  [SMALL_STATE(21863)] = 864121,
  [SMALL_STATE(21864)] = 864135,
  [SMALL_STATE(21865)] = 864149,
  [SMALL_STATE(21866)] = 864163,
  [SMALL_STATE(21867)] = 864177,
  [SMALL_STATE(21868)] = 864191,
  [SMALL_STATE(21869)] = 864205,
  [SMALL_STATE(21870)] = 864219,
  [SMALL_STATE(21871)] = 864233,
  [SMALL_STATE(21872)] = 864247,
  [SMALL_STATE(21873)] = 864261,
  [SMALL_STATE(21874)] = 864275,
  [SMALL_STATE(21875)] = 864289,
  [SMALL_STATE(21876)] = 864303,
  [SMALL_STATE(21877)] = 864317,
  [SMALL_STATE(21878)] = 864331,
  [SMALL_STATE(21879)] = 864345,
  [SMALL_STATE(21880)] = 864359,
  [SMALL_STATE(21881)] = 864373,
  [SMALL_STATE(21882)] = 864387,
  [SMALL_STATE(21883)] = 864401,
  [SMALL_STATE(21884)] = 864415,
  [SMALL_STATE(21885)] = 864429,
  [SMALL_STATE(21886)] = 864443,
  [SMALL_STATE(21887)] = 864457,
  [SMALL_STATE(21888)] = 864471,
  [SMALL_STATE(21889)] = 864485,
  [SMALL_STATE(21890)] = 864499,
  [SMALL_STATE(21891)] = 864513,
  [SMALL_STATE(21892)] = 864527,
  [SMALL_STATE(21893)] = 864541,
  [SMALL_STATE(21894)] = 864555,
  [SMALL_STATE(21895)] = 864569,
  [SMALL_STATE(21896)] = 864583,
  [SMALL_STATE(21897)] = 864597,
  [SMALL_STATE(21898)] = 864611,
  [SMALL_STATE(21899)] = 864625,
  [SMALL_STATE(21900)] = 864639,
  [SMALL_STATE(21901)] = 864653,
  [SMALL_STATE(21902)] = 864667,
  [SMALL_STATE(21903)] = 864681,
  [SMALL_STATE(21904)] = 864695,
  [SMALL_STATE(21905)] = 864709,
  [SMALL_STATE(21906)] = 864723,
  [SMALL_STATE(21907)] = 864737,
  [SMALL_STATE(21908)] = 864751,
  [SMALL_STATE(21909)] = 864765,
  [SMALL_STATE(21910)] = 864779,
  [SMALL_STATE(21911)] = 864793,
  [SMALL_STATE(21912)] = 864807,
  [SMALL_STATE(21913)] = 864821,
  [SMALL_STATE(21914)] = 864835,
  [SMALL_STATE(21915)] = 864849,
  [SMALL_STATE(21916)] = 864863,
  [SMALL_STATE(21917)] = 864877,
  [SMALL_STATE(21918)] = 864891,
  [SMALL_STATE(21919)] = 864905,
  [SMALL_STATE(21920)] = 864919,
  [SMALL_STATE(21921)] = 864933,
  [SMALL_STATE(21922)] = 864947,
  [SMALL_STATE(21923)] = 864961,
  [SMALL_STATE(21924)] = 864975,
  [SMALL_STATE(21925)] = 864989,
  [SMALL_STATE(21926)] = 865003,
  [SMALL_STATE(21927)] = 865017,
  [SMALL_STATE(21928)] = 865031,
  [SMALL_STATE(21929)] = 865045,
  [SMALL_STATE(21930)] = 865059,
  [SMALL_STATE(21931)] = 865073,
  [SMALL_STATE(21932)] = 865087,
  [SMALL_STATE(21933)] = 865101,
  [SMALL_STATE(21934)] = 865115,
  [SMALL_STATE(21935)] = 865129,
  [SMALL_STATE(21936)] = 865143,
  [SMALL_STATE(21937)] = 865157,
  [SMALL_STATE(21938)] = 865171,
  [SMALL_STATE(21939)] = 865185,
  [SMALL_STATE(21940)] = 865199,
  [SMALL_STATE(21941)] = 865213,
  [SMALL_STATE(21942)] = 865227,
  [SMALL_STATE(21943)] = 865241,
  [SMALL_STATE(21944)] = 865255,
  [SMALL_STATE(21945)] = 865269,
  [SMALL_STATE(21946)] = 865283,
  [SMALL_STATE(21947)] = 865297,
  [SMALL_STATE(21948)] = 865311,
  [SMALL_STATE(21949)] = 865325,
  [SMALL_STATE(21950)] = 865339,
  [SMALL_STATE(21951)] = 865353,
  [SMALL_STATE(21952)] = 865367,
  [SMALL_STATE(21953)] = 865381,
  [SMALL_STATE(21954)] = 865395,
  [SMALL_STATE(21955)] = 865409,
  [SMALL_STATE(21956)] = 865423,
  [SMALL_STATE(21957)] = 865437,
  [SMALL_STATE(21958)] = 865451,
  [SMALL_STATE(21959)] = 865465,
  [SMALL_STATE(21960)] = 865479,
  [SMALL_STATE(21961)] = 865493,
  [SMALL_STATE(21962)] = 865507,
  [SMALL_STATE(21963)] = 865521,
  [SMALL_STATE(21964)] = 865535,
  [SMALL_STATE(21965)] = 865549,
  [SMALL_STATE(21966)] = 865563,
  [SMALL_STATE(21967)] = 865577,
  [SMALL_STATE(21968)] = 865591,
  [SMALL_STATE(21969)] = 865605,
  [SMALL_STATE(21970)] = 865619,
  [SMALL_STATE(21971)] = 865633,
  [SMALL_STATE(21972)] = 865647,
  [SMALL_STATE(21973)] = 865661,
  [SMALL_STATE(21974)] = 865675,
  [SMALL_STATE(21975)] = 865689,
  [SMALL_STATE(21976)] = 865703,
  [SMALL_STATE(21977)] = 865717,
  [SMALL_STATE(21978)] = 865731,
  [SMALL_STATE(21979)] = 865745,
  [SMALL_STATE(21980)] = 865759,
  [SMALL_STATE(21981)] = 865773,
  [SMALL_STATE(21982)] = 865787,
  [SMALL_STATE(21983)] = 865801,
  [SMALL_STATE(21984)] = 865815,
  [SMALL_STATE(21985)] = 865829,
  [SMALL_STATE(21986)] = 865843,
  [SMALL_STATE(21987)] = 865857,
  [SMALL_STATE(21988)] = 865871,
  [SMALL_STATE(21989)] = 865885,
  [SMALL_STATE(21990)] = 865899,
  [SMALL_STATE(21991)] = 865913,
  [SMALL_STATE(21992)] = 865927,
  [SMALL_STATE(21993)] = 865941,
  [SMALL_STATE(21994)] = 865955,
  [SMALL_STATE(21995)] = 865969,
  [SMALL_STATE(21996)] = 865983,
  [SMALL_STATE(21997)] = 865997,
  [SMALL_STATE(21998)] = 866011,
  [SMALL_STATE(21999)] = 866025,
  [SMALL_STATE(22000)] = 866039,
  [SMALL_STATE(22001)] = 866053,
  [SMALL_STATE(22002)] = 866067,
  [SMALL_STATE(22003)] = 866081,
  [SMALL_STATE(22004)] = 866095,
  [SMALL_STATE(22005)] = 866109,
  [SMALL_STATE(22006)] = 866123,
  [SMALL_STATE(22007)] = 866137,
  [SMALL_STATE(22008)] = 866151,
  [SMALL_STATE(22009)] = 866165,
  [SMALL_STATE(22010)] = 866179,
  [SMALL_STATE(22011)] = 866193,
  [SMALL_STATE(22012)] = 866207,
  [SMALL_STATE(22013)] = 866221,
  [SMALL_STATE(22014)] = 866235,
  [SMALL_STATE(22015)] = 866249,
  [SMALL_STATE(22016)] = 866263,
  [SMALL_STATE(22017)] = 866277,
  [SMALL_STATE(22018)] = 866291,
  [SMALL_STATE(22019)] = 866305,
  [SMALL_STATE(22020)] = 866319,
  [SMALL_STATE(22021)] = 866333,
  [SMALL_STATE(22022)] = 866347,
  [SMALL_STATE(22023)] = 866361,
  [SMALL_STATE(22024)] = 866375,
  [SMALL_STATE(22025)] = 866389,
  [SMALL_STATE(22026)] = 866403,
  [SMALL_STATE(22027)] = 866417,
  [SMALL_STATE(22028)] = 866431,
  [SMALL_STATE(22029)] = 866445,
  [SMALL_STATE(22030)] = 866459,
  [SMALL_STATE(22031)] = 866473,
  [SMALL_STATE(22032)] = 866487,
  [SMALL_STATE(22033)] = 866501,
  [SMALL_STATE(22034)] = 866515,
  [SMALL_STATE(22035)] = 866529,
  [SMALL_STATE(22036)] = 866543,
  [SMALL_STATE(22037)] = 866557,
  [SMALL_STATE(22038)] = 866571,
  [SMALL_STATE(22039)] = 866585,
  [SMALL_STATE(22040)] = 866599,
  [SMALL_STATE(22041)] = 866613,
  [SMALL_STATE(22042)] = 866627,
  [SMALL_STATE(22043)] = 866641,
  [SMALL_STATE(22044)] = 866655,
  [SMALL_STATE(22045)] = 866669,
  [SMALL_STATE(22046)] = 866683,
  [SMALL_STATE(22047)] = 866697,
  [SMALL_STATE(22048)] = 866711,
  [SMALL_STATE(22049)] = 866725,
  [SMALL_STATE(22050)] = 866739,
  [SMALL_STATE(22051)] = 866753,
  [SMALL_STATE(22052)] = 866767,
  [SMALL_STATE(22053)] = 866781,
  [SMALL_STATE(22054)] = 866795,
  [SMALL_STATE(22055)] = 866809,
  [SMALL_STATE(22056)] = 866823,
  [SMALL_STATE(22057)] = 866837,
  [SMALL_STATE(22058)] = 866851,
  [SMALL_STATE(22059)] = 866865,
  [SMALL_STATE(22060)] = 866879,
  [SMALL_STATE(22061)] = 866893,
  [SMALL_STATE(22062)] = 866907,
  [SMALL_STATE(22063)] = 866921,
  [SMALL_STATE(22064)] = 866935,
  [SMALL_STATE(22065)] = 866949,
  [SMALL_STATE(22066)] = 866963,
  [SMALL_STATE(22067)] = 866977,
  [SMALL_STATE(22068)] = 866991,
  [SMALL_STATE(22069)] = 867005,
  [SMALL_STATE(22070)] = 867019,
  [SMALL_STATE(22071)] = 867033,
  [SMALL_STATE(22072)] = 867047,
  [SMALL_STATE(22073)] = 867061,
  [SMALL_STATE(22074)] = 867075,
  [SMALL_STATE(22075)] = 867089,
  [SMALL_STATE(22076)] = 867103,
  [SMALL_STATE(22077)] = 867117,
  [SMALL_STATE(22078)] = 867131,
  [SMALL_STATE(22079)] = 867145,
  [SMALL_STATE(22080)] = 867159,
  [SMALL_STATE(22081)] = 867173,
  [SMALL_STATE(22082)] = 867187,
  [SMALL_STATE(22083)] = 867201,
  [SMALL_STATE(22084)] = 867215,
  [SMALL_STATE(22085)] = 867229,
  [SMALL_STATE(22086)] = 867243,
  [SMALL_STATE(22087)] = 867257,
  [SMALL_STATE(22088)] = 867271,
  [SMALL_STATE(22089)] = 867285,
  [SMALL_STATE(22090)] = 867299,
  [SMALL_STATE(22091)] = 867313,
  [SMALL_STATE(22092)] = 867327,
  [SMALL_STATE(22093)] = 867341,
  [SMALL_STATE(22094)] = 867355,
  [SMALL_STATE(22095)] = 867369,
  [SMALL_STATE(22096)] = 867383,
  [SMALL_STATE(22097)] = 867397,
  [SMALL_STATE(22098)] = 867411,
  [SMALL_STATE(22099)] = 867425,
  [SMALL_STATE(22100)] = 867439,
  [SMALL_STATE(22101)] = 867453,
  [SMALL_STATE(22102)] = 867467,
  [SMALL_STATE(22103)] = 867481,
  [SMALL_STATE(22104)] = 867495,
  [SMALL_STATE(22105)] = 867509,
  [SMALL_STATE(22106)] = 867523,
  [SMALL_STATE(22107)] = 867537,
  [SMALL_STATE(22108)] = 867551,
  [SMALL_STATE(22109)] = 867565,
  [SMALL_STATE(22110)] = 867579,
  [SMALL_STATE(22111)] = 867593,
  [SMALL_STATE(22112)] = 867607,
  [SMALL_STATE(22113)] = 867621,
  [SMALL_STATE(22114)] = 867635,
  [SMALL_STATE(22115)] = 867649,
  [SMALL_STATE(22116)] = 867663,
  [SMALL_STATE(22117)] = 867677,
  [SMALL_STATE(22118)] = 867691,
  [SMALL_STATE(22119)] = 867705,
  [SMALL_STATE(22120)] = 867719,
  [SMALL_STATE(22121)] = 867733,
  [SMALL_STATE(22122)] = 867747,
  [SMALL_STATE(22123)] = 867761,
  [SMALL_STATE(22124)] = 867775,
  [SMALL_STATE(22125)] = 867789,
  [SMALL_STATE(22126)] = 867803,
  [SMALL_STATE(22127)] = 867817,
  [SMALL_STATE(22128)] = 867831,
  [SMALL_STATE(22129)] = 867845,
  [SMALL_STATE(22130)] = 867859,
  [SMALL_STATE(22131)] = 867873,
  [SMALL_STATE(22132)] = 867887,
  [SMALL_STATE(22133)] = 867901,
  [SMALL_STATE(22134)] = 867915,
  [SMALL_STATE(22135)] = 867929,
  [SMALL_STATE(22136)] = 867943,
  [SMALL_STATE(22137)] = 867957,
  [SMALL_STATE(22138)] = 867971,
  [SMALL_STATE(22139)] = 867985,
  [SMALL_STATE(22140)] = 867999,
  [SMALL_STATE(22141)] = 868013,
  [SMALL_STATE(22142)] = 868027,
  [SMALL_STATE(22143)] = 868041,
  [SMALL_STATE(22144)] = 868055,
  [SMALL_STATE(22145)] = 868069,
  [SMALL_STATE(22146)] = 868083,
  [SMALL_STATE(22147)] = 868097,
  [SMALL_STATE(22148)] = 868111,
  [SMALL_STATE(22149)] = 868125,
  [SMALL_STATE(22150)] = 868139,
  [SMALL_STATE(22151)] = 868153,
  [SMALL_STATE(22152)] = 868167,
  [SMALL_STATE(22153)] = 868181,
  [SMALL_STATE(22154)] = 868195,
  [SMALL_STATE(22155)] = 868209,
  [SMALL_STATE(22156)] = 868223,
  [SMALL_STATE(22157)] = 868237,
  [SMALL_STATE(22158)] = 868251,
  [SMALL_STATE(22159)] = 868265,
  [SMALL_STATE(22160)] = 868279,
  [SMALL_STATE(22161)] = 868293,
  [SMALL_STATE(22162)] = 868307,
  [SMALL_STATE(22163)] = 868321,
  [SMALL_STATE(22164)] = 868335,
  [SMALL_STATE(22165)] = 868349,
  [SMALL_STATE(22166)] = 868363,
  [SMALL_STATE(22167)] = 868377,
  [SMALL_STATE(22168)] = 868391,
  [SMALL_STATE(22169)] = 868405,
  [SMALL_STATE(22170)] = 868419,
  [SMALL_STATE(22171)] = 868433,
  [SMALL_STATE(22172)] = 868447,
  [SMALL_STATE(22173)] = 868461,
  [SMALL_STATE(22174)] = 868475,
  [SMALL_STATE(22175)] = 868489,
  [SMALL_STATE(22176)] = 868503,
  [SMALL_STATE(22177)] = 868517,
  [SMALL_STATE(22178)] = 868531,
  [SMALL_STATE(22179)] = 868545,
  [SMALL_STATE(22180)] = 868559,
  [SMALL_STATE(22181)] = 868573,
  [SMALL_STATE(22182)] = 868587,
  [SMALL_STATE(22183)] = 868601,
  [SMALL_STATE(22184)] = 868615,
  [SMALL_STATE(22185)] = 868629,
  [SMALL_STATE(22186)] = 868643,
  [SMALL_STATE(22187)] = 868657,
  [SMALL_STATE(22188)] = 868671,
  [SMALL_STATE(22189)] = 868685,
  [SMALL_STATE(22190)] = 868699,
  [SMALL_STATE(22191)] = 868713,
  [SMALL_STATE(22192)] = 868727,
  [SMALL_STATE(22193)] = 868741,
  [SMALL_STATE(22194)] = 868755,
  [SMALL_STATE(22195)] = 868769,
  [SMALL_STATE(22196)] = 868783,
  [SMALL_STATE(22197)] = 868797,
  [SMALL_STATE(22198)] = 868811,
  [SMALL_STATE(22199)] = 868825,
  [SMALL_STATE(22200)] = 868839,
  [SMALL_STATE(22201)] = 868853,
  [SMALL_STATE(22202)] = 868867,
  [SMALL_STATE(22203)] = 868881,
  [SMALL_STATE(22204)] = 868895,
  [SMALL_STATE(22205)] = 868909,
  [SMALL_STATE(22206)] = 868923,
  [SMALL_STATE(22207)] = 868937,
  [SMALL_STATE(22208)] = 868951,
  [SMALL_STATE(22209)] = 868965,
  [SMALL_STATE(22210)] = 868979,
  [SMALL_STATE(22211)] = 868993,
  [SMALL_STATE(22212)] = 869007,
  [SMALL_STATE(22213)] = 869021,
  [SMALL_STATE(22214)] = 869035,
  [SMALL_STATE(22215)] = 869049,
  [SMALL_STATE(22216)] = 869063,
  [SMALL_STATE(22217)] = 869077,
  [SMALL_STATE(22218)] = 869091,
  [SMALL_STATE(22219)] = 869105,
  [SMALL_STATE(22220)] = 869119,
  [SMALL_STATE(22221)] = 869133,
  [SMALL_STATE(22222)] = 869147,
  [SMALL_STATE(22223)] = 869161,
  [SMALL_STATE(22224)] = 869175,
  [SMALL_STATE(22225)] = 869189,
  [SMALL_STATE(22226)] = 869203,
  [SMALL_STATE(22227)] = 869217,
  [SMALL_STATE(22228)] = 869231,
  [SMALL_STATE(22229)] = 869245,
  [SMALL_STATE(22230)] = 869259,
  [SMALL_STATE(22231)] = 869273,
  [SMALL_STATE(22232)] = 869287,
  [SMALL_STATE(22233)] = 869301,
  [SMALL_STATE(22234)] = 869315,
  [SMALL_STATE(22235)] = 869329,
  [SMALL_STATE(22236)] = 869343,
  [SMALL_STATE(22237)] = 869357,
  [SMALL_STATE(22238)] = 869371,
  [SMALL_STATE(22239)] = 869385,
  [SMALL_STATE(22240)] = 869399,
  [SMALL_STATE(22241)] = 869413,
  [SMALL_STATE(22242)] = 869427,
  [SMALL_STATE(22243)] = 869441,
  [SMALL_STATE(22244)] = 869455,
  [SMALL_STATE(22245)] = 869469,
  [SMALL_STATE(22246)] = 869483,
  [SMALL_STATE(22247)] = 869497,
  [SMALL_STATE(22248)] = 869511,
  [SMALL_STATE(22249)] = 869525,
  [SMALL_STATE(22250)] = 869539,
  [SMALL_STATE(22251)] = 869553,
  [SMALL_STATE(22252)] = 869567,
  [SMALL_STATE(22253)] = 869581,
  [SMALL_STATE(22254)] = 869595,
  [SMALL_STATE(22255)] = 869609,
  [SMALL_STATE(22256)] = 869623,
  [SMALL_STATE(22257)] = 869637,
  [SMALL_STATE(22258)] = 869651,
  [SMALL_STATE(22259)] = 869665,
  [SMALL_STATE(22260)] = 869679,
  [SMALL_STATE(22261)] = 869693,
  [SMALL_STATE(22262)] = 869707,
  [SMALL_STATE(22263)] = 869721,
  [SMALL_STATE(22264)] = 869735,
  [SMALL_STATE(22265)] = 869749,
  [SMALL_STATE(22266)] = 869763,
  [SMALL_STATE(22267)] = 869777,
  [SMALL_STATE(22268)] = 869791,
  [SMALL_STATE(22269)] = 869805,
  [SMALL_STATE(22270)] = 869819,
  [SMALL_STATE(22271)] = 869833,
  [SMALL_STATE(22272)] = 869847,
  [SMALL_STATE(22273)] = 869861,
  [SMALL_STATE(22274)] = 869875,
  [SMALL_STATE(22275)] = 869889,
  [SMALL_STATE(22276)] = 869903,
  [SMALL_STATE(22277)] = 869917,
  [SMALL_STATE(22278)] = 869931,
  [SMALL_STATE(22279)] = 869945,
  [SMALL_STATE(22280)] = 869959,
  [SMALL_STATE(22281)] = 869973,
  [SMALL_STATE(22282)] = 869987,
  [SMALL_STATE(22283)] = 870001,
  [SMALL_STATE(22284)] = 870015,
  [SMALL_STATE(22285)] = 870029,
  [SMALL_STATE(22286)] = 870043,
  [SMALL_STATE(22287)] = 870057,
  [SMALL_STATE(22288)] = 870071,
  [SMALL_STATE(22289)] = 870085,
  [SMALL_STATE(22290)] = 870099,
  [SMALL_STATE(22291)] = 870113,
  [SMALL_STATE(22292)] = 870127,
  [SMALL_STATE(22293)] = 870141,
  [SMALL_STATE(22294)] = 870155,
  [SMALL_STATE(22295)] = 870169,
  [SMALL_STATE(22296)] = 870183,
  [SMALL_STATE(22297)] = 870197,
  [SMALL_STATE(22298)] = 870211,
  [SMALL_STATE(22299)] = 870225,
  [SMALL_STATE(22300)] = 870239,
  [SMALL_STATE(22301)] = 870253,
  [SMALL_STATE(22302)] = 870267,
  [SMALL_STATE(22303)] = 870281,
  [SMALL_STATE(22304)] = 870295,
  [SMALL_STATE(22305)] = 870309,
  [SMALL_STATE(22306)] = 870323,
  [SMALL_STATE(22307)] = 870337,
  [SMALL_STATE(22308)] = 870351,
  [SMALL_STATE(22309)] = 870365,
  [SMALL_STATE(22310)] = 870379,
  [SMALL_STATE(22311)] = 870393,
  [SMALL_STATE(22312)] = 870407,
  [SMALL_STATE(22313)] = 870421,
  [SMALL_STATE(22314)] = 870435,
  [SMALL_STATE(22315)] = 870449,
  [SMALL_STATE(22316)] = 870463,
  [SMALL_STATE(22317)] = 870477,
  [SMALL_STATE(22318)] = 870491,
  [SMALL_STATE(22319)] = 870505,
  [SMALL_STATE(22320)] = 870519,
  [SMALL_STATE(22321)] = 870533,
  [SMALL_STATE(22322)] = 870547,
  [SMALL_STATE(22323)] = 870561,
  [SMALL_STATE(22324)] = 870575,
  [SMALL_STATE(22325)] = 870589,
  [SMALL_STATE(22326)] = 870603,
  [SMALL_STATE(22327)] = 870617,
  [SMALL_STATE(22328)] = 870631,
  [SMALL_STATE(22329)] = 870645,
  [SMALL_STATE(22330)] = 870659,
  [SMALL_STATE(22331)] = 870673,
  [SMALL_STATE(22332)] = 870687,
  [SMALL_STATE(22333)] = 870701,
  [SMALL_STATE(22334)] = 870715,
  [SMALL_STATE(22335)] = 870729,
  [SMALL_STATE(22336)] = 870743,
  [SMALL_STATE(22337)] = 870757,
  [SMALL_STATE(22338)] = 870771,
  [SMALL_STATE(22339)] = 870785,
  [SMALL_STATE(22340)] = 870799,
  [SMALL_STATE(22341)] = 870813,
  [SMALL_STATE(22342)] = 870827,
  [SMALL_STATE(22343)] = 870841,
  [SMALL_STATE(22344)] = 870855,
  [SMALL_STATE(22345)] = 870869,
  [SMALL_STATE(22346)] = 870883,
  [SMALL_STATE(22347)] = 870897,
  [SMALL_STATE(22348)] = 870911,
  [SMALL_STATE(22349)] = 870925,
  [SMALL_STATE(22350)] = 870939,
  [SMALL_STATE(22351)] = 870953,
  [SMALL_STATE(22352)] = 870967,
  [SMALL_STATE(22353)] = 870981,
  [SMALL_STATE(22354)] = 870995,
  [SMALL_STATE(22355)] = 871009,
  [SMALL_STATE(22356)] = 871023,
  [SMALL_STATE(22357)] = 871037,
  [SMALL_STATE(22358)] = 871051,
  [SMALL_STATE(22359)] = 871065,
  [SMALL_STATE(22360)] = 871079,
  [SMALL_STATE(22361)] = 871093,
  [SMALL_STATE(22362)] = 871107,
  [SMALL_STATE(22363)] = 871121,
  [SMALL_STATE(22364)] = 871135,
  [SMALL_STATE(22365)] = 871149,
  [SMALL_STATE(22366)] = 871163,
  [SMALL_STATE(22367)] = 871177,
  [SMALL_STATE(22368)] = 871191,
  [SMALL_STATE(22369)] = 871205,
  [SMALL_STATE(22370)] = 871219,
  [SMALL_STATE(22371)] = 871233,
  [SMALL_STATE(22372)] = 871247,
  [SMALL_STATE(22373)] = 871261,
  [SMALL_STATE(22374)] = 871275,
  [SMALL_STATE(22375)] = 871289,
  [SMALL_STATE(22376)] = 871303,
  [SMALL_STATE(22377)] = 871317,
  [SMALL_STATE(22378)] = 871331,
  [SMALL_STATE(22379)] = 871345,
  [SMALL_STATE(22380)] = 871359,
  [SMALL_STATE(22381)] = 871373,
  [SMALL_STATE(22382)] = 871387,
  [SMALL_STATE(22383)] = 871401,
  [SMALL_STATE(22384)] = 871415,
  [SMALL_STATE(22385)] = 871429,
  [SMALL_STATE(22386)] = 871443,
  [SMALL_STATE(22387)] = 871457,
  [SMALL_STATE(22388)] = 871471,
  [SMALL_STATE(22389)] = 871485,
  [SMALL_STATE(22390)] = 871499,
  [SMALL_STATE(22391)] = 871513,
  [SMALL_STATE(22392)] = 871527,
  [SMALL_STATE(22393)] = 871541,
  [SMALL_STATE(22394)] = 871555,
  [SMALL_STATE(22395)] = 871569,
  [SMALL_STATE(22396)] = 871583,
  [SMALL_STATE(22397)] = 871597,
  [SMALL_STATE(22398)] = 871611,
  [SMALL_STATE(22399)] = 871625,
  [SMALL_STATE(22400)] = 871639,
  [SMALL_STATE(22401)] = 871653,
  [SMALL_STATE(22402)] = 871667,
  [SMALL_STATE(22403)] = 871681,
  [SMALL_STATE(22404)] = 871695,
  [SMALL_STATE(22405)] = 871709,
  [SMALL_STATE(22406)] = 871723,
  [SMALL_STATE(22407)] = 871737,
  [SMALL_STATE(22408)] = 871751,
  [SMALL_STATE(22409)] = 871765,
  [SMALL_STATE(22410)] = 871779,
  [SMALL_STATE(22411)] = 871793,
  [SMALL_STATE(22412)] = 871807,
  [SMALL_STATE(22413)] = 871821,
  [SMALL_STATE(22414)] = 871835,
  [SMALL_STATE(22415)] = 871849,
  [SMALL_STATE(22416)] = 871863,
  [SMALL_STATE(22417)] = 871877,
  [SMALL_STATE(22418)] = 871891,
  [SMALL_STATE(22419)] = 871905,
  [SMALL_STATE(22420)] = 871919,
  [SMALL_STATE(22421)] = 871933,
  [SMALL_STATE(22422)] = 871947,
  [SMALL_STATE(22423)] = 871961,
  [SMALL_STATE(22424)] = 871975,
  [SMALL_STATE(22425)] = 871989,
  [SMALL_STATE(22426)] = 872003,
  [SMALL_STATE(22427)] = 872017,
  [SMALL_STATE(22428)] = 872031,
  [SMALL_STATE(22429)] = 872045,
  [SMALL_STATE(22430)] = 872059,
  [SMALL_STATE(22431)] = 872073,
  [SMALL_STATE(22432)] = 872087,
  [SMALL_STATE(22433)] = 872101,
  [SMALL_STATE(22434)] = 872115,
  [SMALL_STATE(22435)] = 872129,
  [SMALL_STATE(22436)] = 872143,
  [SMALL_STATE(22437)] = 872157,
  [SMALL_STATE(22438)] = 872171,
  [SMALL_STATE(22439)] = 872185,
  [SMALL_STATE(22440)] = 872199,
  [SMALL_STATE(22441)] = 872213,
  [SMALL_STATE(22442)] = 872227,
  [SMALL_STATE(22443)] = 872241,
  [SMALL_STATE(22444)] = 872255,
  [SMALL_STATE(22445)] = 872269,
  [SMALL_STATE(22446)] = 872283,
  [SMALL_STATE(22447)] = 872297,
  [SMALL_STATE(22448)] = 872311,
  [SMALL_STATE(22449)] = 872325,
  [SMALL_STATE(22450)] = 872339,
  [SMALL_STATE(22451)] = 872353,
  [SMALL_STATE(22452)] = 872367,
  [SMALL_STATE(22453)] = 872381,
  [SMALL_STATE(22454)] = 872395,
  [SMALL_STATE(22455)] = 872409,
  [SMALL_STATE(22456)] = 872423,
  [SMALL_STATE(22457)] = 872437,
  [SMALL_STATE(22458)] = 872451,
  [SMALL_STATE(22459)] = 872465,
  [SMALL_STATE(22460)] = 872479,
  [SMALL_STATE(22461)] = 872493,
  [SMALL_STATE(22462)] = 872507,
  [SMALL_STATE(22463)] = 872521,
  [SMALL_STATE(22464)] = 872535,
  [SMALL_STATE(22465)] = 872549,
  [SMALL_STATE(22466)] = 872563,
  [SMALL_STATE(22467)] = 872577,
  [SMALL_STATE(22468)] = 872591,
  [SMALL_STATE(22469)] = 872605,
  [SMALL_STATE(22470)] = 872619,
  [SMALL_STATE(22471)] = 872633,
  [SMALL_STATE(22472)] = 872647,
  [SMALL_STATE(22473)] = 872661,
  [SMALL_STATE(22474)] = 872675,
  [SMALL_STATE(22475)] = 872689,
  [SMALL_STATE(22476)] = 872703,
  [SMALL_STATE(22477)] = 872717,
  [SMALL_STATE(22478)] = 872731,
  [SMALL_STATE(22479)] = 872745,
  [SMALL_STATE(22480)] = 872759,
  [SMALL_STATE(22481)] = 872773,
  [SMALL_STATE(22482)] = 872787,
  [SMALL_STATE(22483)] = 872801,
  [SMALL_STATE(22484)] = 872815,
  [SMALL_STATE(22485)] = 872829,
  [SMALL_STATE(22486)] = 872843,
  [SMALL_STATE(22487)] = 872857,
  [SMALL_STATE(22488)] = 872871,
  [SMALL_STATE(22489)] = 872885,
  [SMALL_STATE(22490)] = 872899,
  [SMALL_STATE(22491)] = 872913,
  [SMALL_STATE(22492)] = 872927,
  [SMALL_STATE(22493)] = 872941,
  [SMALL_STATE(22494)] = 872955,
  [SMALL_STATE(22495)] = 872969,
  [SMALL_STATE(22496)] = 872983,
  [SMALL_STATE(22497)] = 872997,
  [SMALL_STATE(22498)] = 873011,
  [SMALL_STATE(22499)] = 873025,
  [SMALL_STATE(22500)] = 873039,
  [SMALL_STATE(22501)] = 873053,
  [SMALL_STATE(22502)] = 873067,
  [SMALL_STATE(22503)] = 873081,
  [SMALL_STATE(22504)] = 873095,
  [SMALL_STATE(22505)] = 873109,
  [SMALL_STATE(22506)] = 873123,
  [SMALL_STATE(22507)] = 873137,
  [SMALL_STATE(22508)] = 873151,
  [SMALL_STATE(22509)] = 873165,
  [SMALL_STATE(22510)] = 873179,
  [SMALL_STATE(22511)] = 873193,
  [SMALL_STATE(22512)] = 873207,
  [SMALL_STATE(22513)] = 873221,
  [SMALL_STATE(22514)] = 873235,
  [SMALL_STATE(22515)] = 873249,
  [SMALL_STATE(22516)] = 873263,
  [SMALL_STATE(22517)] = 873277,
  [SMALL_STATE(22518)] = 873291,
  [SMALL_STATE(22519)] = 873305,
  [SMALL_STATE(22520)] = 873319,
  [SMALL_STATE(22521)] = 873333,
  [SMALL_STATE(22522)] = 873347,
  [SMALL_STATE(22523)] = 873361,
  [SMALL_STATE(22524)] = 873375,
  [SMALL_STATE(22525)] = 873389,
  [SMALL_STATE(22526)] = 873403,
  [SMALL_STATE(22527)] = 873417,
  [SMALL_STATE(22528)] = 873431,
  [SMALL_STATE(22529)] = 873445,
  [SMALL_STATE(22530)] = 873459,
  [SMALL_STATE(22531)] = 873473,
  [SMALL_STATE(22532)] = 873487,
  [SMALL_STATE(22533)] = 873501,
  [SMALL_STATE(22534)] = 873515,
  [SMALL_STATE(22535)] = 873529,
  [SMALL_STATE(22536)] = 873543,
  [SMALL_STATE(22537)] = 873557,
  [SMALL_STATE(22538)] = 873571,
  [SMALL_STATE(22539)] = 873585,
  [SMALL_STATE(22540)] = 873599,
  [SMALL_STATE(22541)] = 873613,
  [SMALL_STATE(22542)] = 873627,
  [SMALL_STATE(22543)] = 873641,
  [SMALL_STATE(22544)] = 873655,
  [SMALL_STATE(22545)] = 873669,
  [SMALL_STATE(22546)] = 873683,
  [SMALL_STATE(22547)] = 873697,
  [SMALL_STATE(22548)] = 873711,
  [SMALL_STATE(22549)] = 873725,
  [SMALL_STATE(22550)] = 873739,
  [SMALL_STATE(22551)] = 873753,
  [SMALL_STATE(22552)] = 873767,
  [SMALL_STATE(22553)] = 873781,
  [SMALL_STATE(22554)] = 873795,
  [SMALL_STATE(22555)] = 873809,
  [SMALL_STATE(22556)] = 873823,
  [SMALL_STATE(22557)] = 873837,
  [SMALL_STATE(22558)] = 873851,
  [SMALL_STATE(22559)] = 873865,
  [SMALL_STATE(22560)] = 873879,
  [SMALL_STATE(22561)] = 873893,
  [SMALL_STATE(22562)] = 873907,
  [SMALL_STATE(22563)] = 873921,
  [SMALL_STATE(22564)] = 873935,
  [SMALL_STATE(22565)] = 873949,
  [SMALL_STATE(22566)] = 873963,
  [SMALL_STATE(22567)] = 873977,
  [SMALL_STATE(22568)] = 873991,
  [SMALL_STATE(22569)] = 874005,
  [SMALL_STATE(22570)] = 874019,
  [SMALL_STATE(22571)] = 874033,
  [SMALL_STATE(22572)] = 874047,
  [SMALL_STATE(22573)] = 874061,
  [SMALL_STATE(22574)] = 874075,
  [SMALL_STATE(22575)] = 874089,
  [SMALL_STATE(22576)] = 874103,
  [SMALL_STATE(22577)] = 874117,
  [SMALL_STATE(22578)] = 874131,
  [SMALL_STATE(22579)] = 874145,
  [SMALL_STATE(22580)] = 874159,
  [SMALL_STATE(22581)] = 874173,
  [SMALL_STATE(22582)] = 874187,
  [SMALL_STATE(22583)] = 874201,
  [SMALL_STATE(22584)] = 874215,
  [SMALL_STATE(22585)] = 874229,
  [SMALL_STATE(22586)] = 874243,
  [SMALL_STATE(22587)] = 874257,
  [SMALL_STATE(22588)] = 874271,
  [SMALL_STATE(22589)] = 874285,
  [SMALL_STATE(22590)] = 874299,
  [SMALL_STATE(22591)] = 874313,
  [SMALL_STATE(22592)] = 874327,
  [SMALL_STATE(22593)] = 874341,
  [SMALL_STATE(22594)] = 874355,
  [SMALL_STATE(22595)] = 874369,
  [SMALL_STATE(22596)] = 874383,
  [SMALL_STATE(22597)] = 874397,
  [SMALL_STATE(22598)] = 874411,
  [SMALL_STATE(22599)] = 874425,
  [SMALL_STATE(22600)] = 874439,
  [SMALL_STATE(22601)] = 874453,
  [SMALL_STATE(22602)] = 874467,
  [SMALL_STATE(22603)] = 874481,
  [SMALL_STATE(22604)] = 874495,
  [SMALL_STATE(22605)] = 874509,
  [SMALL_STATE(22606)] = 874523,
  [SMALL_STATE(22607)] = 874537,
  [SMALL_STATE(22608)] = 874551,
  [SMALL_STATE(22609)] = 874565,
  [SMALL_STATE(22610)] = 874579,
  [SMALL_STATE(22611)] = 874593,
  [SMALL_STATE(22612)] = 874607,
  [SMALL_STATE(22613)] = 874621,
  [SMALL_STATE(22614)] = 874635,
  [SMALL_STATE(22615)] = 874649,
  [SMALL_STATE(22616)] = 874663,
  [SMALL_STATE(22617)] = 874677,
  [SMALL_STATE(22618)] = 874691,
  [SMALL_STATE(22619)] = 874705,
  [SMALL_STATE(22620)] = 874719,
  [SMALL_STATE(22621)] = 874733,
  [SMALL_STATE(22622)] = 874747,
  [SMALL_STATE(22623)] = 874761,
  [SMALL_STATE(22624)] = 874775,
  [SMALL_STATE(22625)] = 874789,
  [SMALL_STATE(22626)] = 874803,
  [SMALL_STATE(22627)] = 874817,
  [SMALL_STATE(22628)] = 874831,
  [SMALL_STATE(22629)] = 874845,
  [SMALL_STATE(22630)] = 874859,
  [SMALL_STATE(22631)] = 874873,
  [SMALL_STATE(22632)] = 874887,
  [SMALL_STATE(22633)] = 874901,
  [SMALL_STATE(22634)] = 874915,
  [SMALL_STATE(22635)] = 874929,
  [SMALL_STATE(22636)] = 874943,
  [SMALL_STATE(22637)] = 874957,
  [SMALL_STATE(22638)] = 874971,
  [SMALL_STATE(22639)] = 874985,
  [SMALL_STATE(22640)] = 874999,
  [SMALL_STATE(22641)] = 875013,
  [SMALL_STATE(22642)] = 875027,
  [SMALL_STATE(22643)] = 875041,
  [SMALL_STATE(22644)] = 875055,
  [SMALL_STATE(22645)] = 875069,
  [SMALL_STATE(22646)] = 875083,
  [SMALL_STATE(22647)] = 875097,
  [SMALL_STATE(22648)] = 875111,
  [SMALL_STATE(22649)] = 875125,
  [SMALL_STATE(22650)] = 875139,
  [SMALL_STATE(22651)] = 875153,
  [SMALL_STATE(22652)] = 875167,
  [SMALL_STATE(22653)] = 875181,
  [SMALL_STATE(22654)] = 875195,
  [SMALL_STATE(22655)] = 875209,
  [SMALL_STATE(22656)] = 875223,
  [SMALL_STATE(22657)] = 875237,
  [SMALL_STATE(22658)] = 875251,
  [SMALL_STATE(22659)] = 875265,
  [SMALL_STATE(22660)] = 875279,
  [SMALL_STATE(22661)] = 875293,
  [SMALL_STATE(22662)] = 875307,
  [SMALL_STATE(22663)] = 875321,
  [SMALL_STATE(22664)] = 875335,
  [SMALL_STATE(22665)] = 875349,
  [SMALL_STATE(22666)] = 875363,
  [SMALL_STATE(22667)] = 875377,
  [SMALL_STATE(22668)] = 875391,
  [SMALL_STATE(22669)] = 875405,
  [SMALL_STATE(22670)] = 875419,
  [SMALL_STATE(22671)] = 875433,
  [SMALL_STATE(22672)] = 875447,
  [SMALL_STATE(22673)] = 875461,
  [SMALL_STATE(22674)] = 875475,
  [SMALL_STATE(22675)] = 875489,
  [SMALL_STATE(22676)] = 875503,
  [SMALL_STATE(22677)] = 875517,
  [SMALL_STATE(22678)] = 875531,
  [SMALL_STATE(22679)] = 875545,
  [SMALL_STATE(22680)] = 875559,
  [SMALL_STATE(22681)] = 875573,
  [SMALL_STATE(22682)] = 875587,
  [SMALL_STATE(22683)] = 875601,
  [SMALL_STATE(22684)] = 875615,
  [SMALL_STATE(22685)] = 875629,
  [SMALL_STATE(22686)] = 875643,
  [SMALL_STATE(22687)] = 875657,
  [SMALL_STATE(22688)] = 875671,
  [SMALL_STATE(22689)] = 875685,
  [SMALL_STATE(22690)] = 875699,
  [SMALL_STATE(22691)] = 875713,
  [SMALL_STATE(22692)] = 875727,
  [SMALL_STATE(22693)] = 875741,
  [SMALL_STATE(22694)] = 875755,
  [SMALL_STATE(22695)] = 875769,
  [SMALL_STATE(22696)] = 875783,
  [SMALL_STATE(22697)] = 875797,
  [SMALL_STATE(22698)] = 875811,
  [SMALL_STATE(22699)] = 875825,
  [SMALL_STATE(22700)] = 875839,
  [SMALL_STATE(22701)] = 875853,
  [SMALL_STATE(22702)] = 875867,
  [SMALL_STATE(22703)] = 875881,
  [SMALL_STATE(22704)] = 875895,
  [SMALL_STATE(22705)] = 875909,
  [SMALL_STATE(22706)] = 875923,
  [SMALL_STATE(22707)] = 875937,
  [SMALL_STATE(22708)] = 875951,
  [SMALL_STATE(22709)] = 875965,
  [SMALL_STATE(22710)] = 875979,
  [SMALL_STATE(22711)] = 875993,
  [SMALL_STATE(22712)] = 876007,
  [SMALL_STATE(22713)] = 876021,
  [SMALL_STATE(22714)] = 876035,
  [SMALL_STATE(22715)] = 876049,
  [SMALL_STATE(22716)] = 876063,
  [SMALL_STATE(22717)] = 876077,
  [SMALL_STATE(22718)] = 876091,
  [SMALL_STATE(22719)] = 876105,
  [SMALL_STATE(22720)] = 876119,
  [SMALL_STATE(22721)] = 876133,
  [SMALL_STATE(22722)] = 876147,
  [SMALL_STATE(22723)] = 876161,
  [SMALL_STATE(22724)] = 876175,
  [SMALL_STATE(22725)] = 876189,
  [SMALL_STATE(22726)] = 876203,
  [SMALL_STATE(22727)] = 876217,
  [SMALL_STATE(22728)] = 876231,
  [SMALL_STATE(22729)] = 876245,
  [SMALL_STATE(22730)] = 876259,
  [SMALL_STATE(22731)] = 876273,
  [SMALL_STATE(22732)] = 876287,
  [SMALL_STATE(22733)] = 876301,
  [SMALL_STATE(22734)] = 876315,
  [SMALL_STATE(22735)] = 876329,
  [SMALL_STATE(22736)] = 876343,
  [SMALL_STATE(22737)] = 876357,
  [SMALL_STATE(22738)] = 876371,
  [SMALL_STATE(22739)] = 876385,
  [SMALL_STATE(22740)] = 876399,
  [SMALL_STATE(22741)] = 876413,
  [SMALL_STATE(22742)] = 876427,
  [SMALL_STATE(22743)] = 876441,
  [SMALL_STATE(22744)] = 876455,
  [SMALL_STATE(22745)] = 876469,
  [SMALL_STATE(22746)] = 876483,
  [SMALL_STATE(22747)] = 876497,
  [SMALL_STATE(22748)] = 876511,
  [SMALL_STATE(22749)] = 876525,
  [SMALL_STATE(22750)] = 876539,
  [SMALL_STATE(22751)] = 876553,
  [SMALL_STATE(22752)] = 876567,
  [SMALL_STATE(22753)] = 876581,
  [SMALL_STATE(22754)] = 876595,
  [SMALL_STATE(22755)] = 876609,
  [SMALL_STATE(22756)] = 876623,
  [SMALL_STATE(22757)] = 876637,
  [SMALL_STATE(22758)] = 876651,
  [SMALL_STATE(22759)] = 876665,
  [SMALL_STATE(22760)] = 876679,
  [SMALL_STATE(22761)] = 876693,
  [SMALL_STATE(22762)] = 876707,
  [SMALL_STATE(22763)] = 876721,
  [SMALL_STATE(22764)] = 876735,
  [SMALL_STATE(22765)] = 876749,
  [SMALL_STATE(22766)] = 876763,
  [SMALL_STATE(22767)] = 876777,
  [SMALL_STATE(22768)] = 876791,
  [SMALL_STATE(22769)] = 876805,
  [SMALL_STATE(22770)] = 876819,
  [SMALL_STATE(22771)] = 876833,
  [SMALL_STATE(22772)] = 876847,
  [SMALL_STATE(22773)] = 876861,
  [SMALL_STATE(22774)] = 876875,
  [SMALL_STATE(22775)] = 876889,
  [SMALL_STATE(22776)] = 876903,
  [SMALL_STATE(22777)] = 876917,
  [SMALL_STATE(22778)] = 876931,
  [SMALL_STATE(22779)] = 876945,
  [SMALL_STATE(22780)] = 876959,
  [SMALL_STATE(22781)] = 876973,
  [SMALL_STATE(22782)] = 876987,
  [SMALL_STATE(22783)] = 877001,
  [SMALL_STATE(22784)] = 877015,
  [SMALL_STATE(22785)] = 877029,
  [SMALL_STATE(22786)] = 877043,
  [SMALL_STATE(22787)] = 877057,
  [SMALL_STATE(22788)] = 877071,
  [SMALL_STATE(22789)] = 877085,
  [SMALL_STATE(22790)] = 877099,
  [SMALL_STATE(22791)] = 877113,
  [SMALL_STATE(22792)] = 877127,
  [SMALL_STATE(22793)] = 877141,
  [SMALL_STATE(22794)] = 877155,
  [SMALL_STATE(22795)] = 877169,
  [SMALL_STATE(22796)] = 877183,
  [SMALL_STATE(22797)] = 877197,
  [SMALL_STATE(22798)] = 877211,
  [SMALL_STATE(22799)] = 877225,
  [SMALL_STATE(22800)] = 877239,
  [SMALL_STATE(22801)] = 877253,
  [SMALL_STATE(22802)] = 877267,
  [SMALL_STATE(22803)] = 877281,
  [SMALL_STATE(22804)] = 877295,
  [SMALL_STATE(22805)] = 877309,
  [SMALL_STATE(22806)] = 877323,
  [SMALL_STATE(22807)] = 877337,
  [SMALL_STATE(22808)] = 877351,
  [SMALL_STATE(22809)] = 877365,
  [SMALL_STATE(22810)] = 877379,
  [SMALL_STATE(22811)] = 877393,
  [SMALL_STATE(22812)] = 877407,
  [SMALL_STATE(22813)] = 877421,
  [SMALL_STATE(22814)] = 877435,
  [SMALL_STATE(22815)] = 877449,
  [SMALL_STATE(22816)] = 877463,
  [SMALL_STATE(22817)] = 877477,
  [SMALL_STATE(22818)] = 877491,
  [SMALL_STATE(22819)] = 877505,
  [SMALL_STATE(22820)] = 877519,
  [SMALL_STATE(22821)] = 877533,
  [SMALL_STATE(22822)] = 877547,
  [SMALL_STATE(22823)] = 877561,
  [SMALL_STATE(22824)] = 877575,
  [SMALL_STATE(22825)] = 877589,
  [SMALL_STATE(22826)] = 877603,
  [SMALL_STATE(22827)] = 877617,
  [SMALL_STATE(22828)] = 877631,
  [SMALL_STATE(22829)] = 877645,
  [SMALL_STATE(22830)] = 877659,
  [SMALL_STATE(22831)] = 877673,
  [SMALL_STATE(22832)] = 877687,
  [SMALL_STATE(22833)] = 877701,
  [SMALL_STATE(22834)] = 877715,
  [SMALL_STATE(22835)] = 877729,
  [SMALL_STATE(22836)] = 877743,
  [SMALL_STATE(22837)] = 877757,
  [SMALL_STATE(22838)] = 877771,
  [SMALL_STATE(22839)] = 877785,
  [SMALL_STATE(22840)] = 877799,
  [SMALL_STATE(22841)] = 877813,
  [SMALL_STATE(22842)] = 877827,
  [SMALL_STATE(22843)] = 877841,
  [SMALL_STATE(22844)] = 877855,
  [SMALL_STATE(22845)] = 877869,
  [SMALL_STATE(22846)] = 877883,
  [SMALL_STATE(22847)] = 877897,
  [SMALL_STATE(22848)] = 877911,
  [SMALL_STATE(22849)] = 877925,
  [SMALL_STATE(22850)] = 877939,
  [SMALL_STATE(22851)] = 877953,
  [SMALL_STATE(22852)] = 877967,
  [SMALL_STATE(22853)] = 877981,
  [SMALL_STATE(22854)] = 877995,
  [SMALL_STATE(22855)] = 878009,
  [SMALL_STATE(22856)] = 878023,
  [SMALL_STATE(22857)] = 878037,
  [SMALL_STATE(22858)] = 878051,
  [SMALL_STATE(22859)] = 878065,
  [SMALL_STATE(22860)] = 878079,
  [SMALL_STATE(22861)] = 878093,
  [SMALL_STATE(22862)] = 878107,
  [SMALL_STATE(22863)] = 878121,
  [SMALL_STATE(22864)] = 878135,
  [SMALL_STATE(22865)] = 878149,
  [SMALL_STATE(22866)] = 878163,
  [SMALL_STATE(22867)] = 878177,
  [SMALL_STATE(22868)] = 878191,
  [SMALL_STATE(22869)] = 878205,
  [SMALL_STATE(22870)] = 878219,
  [SMALL_STATE(22871)] = 878233,
  [SMALL_STATE(22872)] = 878247,
  [SMALL_STATE(22873)] = 878261,
  [SMALL_STATE(22874)] = 878275,
  [SMALL_STATE(22875)] = 878289,
  [SMALL_STATE(22876)] = 878303,
  [SMALL_STATE(22877)] = 878317,
  [SMALL_STATE(22878)] = 878331,
  [SMALL_STATE(22879)] = 878345,
  [SMALL_STATE(22880)] = 878359,
  [SMALL_STATE(22881)] = 878373,
  [SMALL_STATE(22882)] = 878387,
  [SMALL_STATE(22883)] = 878401,
  [SMALL_STATE(22884)] = 878415,
  [SMALL_STATE(22885)] = 878429,
  [SMALL_STATE(22886)] = 878443,
  [SMALL_STATE(22887)] = 878457,
  [SMALL_STATE(22888)] = 878471,
  [SMALL_STATE(22889)] = 878485,
  [SMALL_STATE(22890)] = 878499,
  [SMALL_STATE(22891)] = 878513,
  [SMALL_STATE(22892)] = 878527,
  [SMALL_STATE(22893)] = 878541,
  [SMALL_STATE(22894)] = 878555,
  [SMALL_STATE(22895)] = 878569,
  [SMALL_STATE(22896)] = 878583,
  [SMALL_STATE(22897)] = 878597,
  [SMALL_STATE(22898)] = 878611,
  [SMALL_STATE(22899)] = 878625,
  [SMALL_STATE(22900)] = 878639,
  [SMALL_STATE(22901)] = 878653,
  [SMALL_STATE(22902)] = 878667,
  [SMALL_STATE(22903)] = 878681,
  [SMALL_STATE(22904)] = 878695,
  [SMALL_STATE(22905)] = 878709,
  [SMALL_STATE(22906)] = 878723,
  [SMALL_STATE(22907)] = 878737,
  [SMALL_STATE(22908)] = 878751,
  [SMALL_STATE(22909)] = 878765,
  [SMALL_STATE(22910)] = 878779,
  [SMALL_STATE(22911)] = 878793,
  [SMALL_STATE(22912)] = 878807,
  [SMALL_STATE(22913)] = 878821,
  [SMALL_STATE(22914)] = 878835,
  [SMALL_STATE(22915)] = 878849,
  [SMALL_STATE(22916)] = 878863,
  [SMALL_STATE(22917)] = 878877,
  [SMALL_STATE(22918)] = 878891,
  [SMALL_STATE(22919)] = 878905,
  [SMALL_STATE(22920)] = 878919,
  [SMALL_STATE(22921)] = 878933,
  [SMALL_STATE(22922)] = 878947,
  [SMALL_STATE(22923)] = 878961,
  [SMALL_STATE(22924)] = 878975,
  [SMALL_STATE(22925)] = 878989,
  [SMALL_STATE(22926)] = 879003,
  [SMALL_STATE(22927)] = 879017,
  [SMALL_STATE(22928)] = 879031,
  [SMALL_STATE(22929)] = 879045,
  [SMALL_STATE(22930)] = 879059,
  [SMALL_STATE(22931)] = 879073,
  [SMALL_STATE(22932)] = 879087,
  [SMALL_STATE(22933)] = 879101,
  [SMALL_STATE(22934)] = 879115,
  [SMALL_STATE(22935)] = 879129,
  [SMALL_STATE(22936)] = 879143,
  [SMALL_STATE(22937)] = 879157,
  [SMALL_STATE(22938)] = 879171,
  [SMALL_STATE(22939)] = 879185,
  [SMALL_STATE(22940)] = 879199,
  [SMALL_STATE(22941)] = 879213,
  [SMALL_STATE(22942)] = 879227,
  [SMALL_STATE(22943)] = 879241,
  [SMALL_STATE(22944)] = 879255,
  [SMALL_STATE(22945)] = 879269,
  [SMALL_STATE(22946)] = 879283,
  [SMALL_STATE(22947)] = 879297,
  [SMALL_STATE(22948)] = 879311,
  [SMALL_STATE(22949)] = 879325,
  [SMALL_STATE(22950)] = 879339,
  [SMALL_STATE(22951)] = 879353,
  [SMALL_STATE(22952)] = 879367,
  [SMALL_STATE(22953)] = 879381,
  [SMALL_STATE(22954)] = 879395,
  [SMALL_STATE(22955)] = 879409,
  [SMALL_STATE(22956)] = 879423,
  [SMALL_STATE(22957)] = 879437,
  [SMALL_STATE(22958)] = 879451,
  [SMALL_STATE(22959)] = 879465,
  [SMALL_STATE(22960)] = 879479,
  [SMALL_STATE(22961)] = 879493,
  [SMALL_STATE(22962)] = 879507,
  [SMALL_STATE(22963)] = 879521,
  [SMALL_STATE(22964)] = 879535,
  [SMALL_STATE(22965)] = 879549,
  [SMALL_STATE(22966)] = 879563,
  [SMALL_STATE(22967)] = 879577,
  [SMALL_STATE(22968)] = 879591,
  [SMALL_STATE(22969)] = 879605,
  [SMALL_STATE(22970)] = 879619,
  [SMALL_STATE(22971)] = 879633,
  [SMALL_STATE(22972)] = 879647,
  [SMALL_STATE(22973)] = 879661,
  [SMALL_STATE(22974)] = 879675,
  [SMALL_STATE(22975)] = 879689,
  [SMALL_STATE(22976)] = 879703,
  [SMALL_STATE(22977)] = 879717,
  [SMALL_STATE(22978)] = 879731,
  [SMALL_STATE(22979)] = 879745,
  [SMALL_STATE(22980)] = 879759,
  [SMALL_STATE(22981)] = 879773,
  [SMALL_STATE(22982)] = 879787,
  [SMALL_STATE(22983)] = 879801,
  [SMALL_STATE(22984)] = 879815,
  [SMALL_STATE(22985)] = 879829,
  [SMALL_STATE(22986)] = 879843,
  [SMALL_STATE(22987)] = 879857,
  [SMALL_STATE(22988)] = 879871,
  [SMALL_STATE(22989)] = 879885,
  [SMALL_STATE(22990)] = 879899,
  [SMALL_STATE(22991)] = 879913,
  [SMALL_STATE(22992)] = 879927,
  [SMALL_STATE(22993)] = 879941,
  [SMALL_STATE(22994)] = 879955,
  [SMALL_STATE(22995)] = 879969,
  [SMALL_STATE(22996)] = 879983,
  [SMALL_STATE(22997)] = 879997,
  [SMALL_STATE(22998)] = 880011,
  [SMALL_STATE(22999)] = 880025,
  [SMALL_STATE(23000)] = 880039,
  [SMALL_STATE(23001)] = 880053,
  [SMALL_STATE(23002)] = 880067,
  [SMALL_STATE(23003)] = 880081,
  [SMALL_STATE(23004)] = 880095,
  [SMALL_STATE(23005)] = 880109,
  [SMALL_STATE(23006)] = 880123,
  [SMALL_STATE(23007)] = 880137,
  [SMALL_STATE(23008)] = 880151,
  [SMALL_STATE(23009)] = 880165,
  [SMALL_STATE(23010)] = 880179,
  [SMALL_STATE(23011)] = 880193,
  [SMALL_STATE(23012)] = 880207,
  [SMALL_STATE(23013)] = 880221,
  [SMALL_STATE(23014)] = 880235,
  [SMALL_STATE(23015)] = 880249,
  [SMALL_STATE(23016)] = 880263,
  [SMALL_STATE(23017)] = 880277,
  [SMALL_STATE(23018)] = 880291,
  [SMALL_STATE(23019)] = 880305,
  [SMALL_STATE(23020)] = 880319,
  [SMALL_STATE(23021)] = 880333,
  [SMALL_STATE(23022)] = 880347,
  [SMALL_STATE(23023)] = 880361,
  [SMALL_STATE(23024)] = 880375,
  [SMALL_STATE(23025)] = 880389,
  [SMALL_STATE(23026)] = 880403,
  [SMALL_STATE(23027)] = 880417,
  [SMALL_STATE(23028)] = 880431,
  [SMALL_STATE(23029)] = 880445,
  [SMALL_STATE(23030)] = 880459,
  [SMALL_STATE(23031)] = 880473,
  [SMALL_STATE(23032)] = 880487,
  [SMALL_STATE(23033)] = 880501,
  [SMALL_STATE(23034)] = 880515,
  [SMALL_STATE(23035)] = 880529,
  [SMALL_STATE(23036)] = 880543,
  [SMALL_STATE(23037)] = 880557,
  [SMALL_STATE(23038)] = 880571,
  [SMALL_STATE(23039)] = 880585,
  [SMALL_STATE(23040)] = 880599,
  [SMALL_STATE(23041)] = 880613,
  [SMALL_STATE(23042)] = 880627,
  [SMALL_STATE(23043)] = 880641,
  [SMALL_STATE(23044)] = 880655,
  [SMALL_STATE(23045)] = 880669,
  [SMALL_STATE(23046)] = 880683,
  [SMALL_STATE(23047)] = 880697,
  [SMALL_STATE(23048)] = 880711,
  [SMALL_STATE(23049)] = 880725,
  [SMALL_STATE(23050)] = 880739,
  [SMALL_STATE(23051)] = 880753,
  [SMALL_STATE(23052)] = 880767,
  [SMALL_STATE(23053)] = 880781,
  [SMALL_STATE(23054)] = 880795,
  [SMALL_STATE(23055)] = 880809,
  [SMALL_STATE(23056)] = 880823,
  [SMALL_STATE(23057)] = 880837,
  [SMALL_STATE(23058)] = 880851,
  [SMALL_STATE(23059)] = 880865,
  [SMALL_STATE(23060)] = 880879,
  [SMALL_STATE(23061)] = 880893,
  [SMALL_STATE(23062)] = 880907,
  [SMALL_STATE(23063)] = 880921,
  [SMALL_STATE(23064)] = 880935,
  [SMALL_STATE(23065)] = 880949,
  [SMALL_STATE(23066)] = 880963,
  [SMALL_STATE(23067)] = 880977,
  [SMALL_STATE(23068)] = 880991,
  [SMALL_STATE(23069)] = 881005,
  [SMALL_STATE(23070)] = 881019,
  [SMALL_STATE(23071)] = 881033,
  [SMALL_STATE(23072)] = 881047,
  [SMALL_STATE(23073)] = 881061,
  [SMALL_STATE(23074)] = 881075,
  [SMALL_STATE(23075)] = 881089,
  [SMALL_STATE(23076)] = 881103,
  [SMALL_STATE(23077)] = 881117,
  [SMALL_STATE(23078)] = 881131,
  [SMALL_STATE(23079)] = 881145,
  [SMALL_STATE(23080)] = 881159,
  [SMALL_STATE(23081)] = 881173,
  [SMALL_STATE(23082)] = 881187,
  [SMALL_STATE(23083)] = 881201,
  [SMALL_STATE(23084)] = 881215,
  [SMALL_STATE(23085)] = 881229,
  [SMALL_STATE(23086)] = 881243,
  [SMALL_STATE(23087)] = 881257,
  [SMALL_STATE(23088)] = 881271,
  [SMALL_STATE(23089)] = 881285,
  [SMALL_STATE(23090)] = 881299,
  [SMALL_STATE(23091)] = 881313,
  [SMALL_STATE(23092)] = 881327,
  [SMALL_STATE(23093)] = 881341,
  [SMALL_STATE(23094)] = 881355,
  [SMALL_STATE(23095)] = 881369,
  [SMALL_STATE(23096)] = 881383,
  [SMALL_STATE(23097)] = 881397,
  [SMALL_STATE(23098)] = 881411,
  [SMALL_STATE(23099)] = 881425,
  [SMALL_STATE(23100)] = 881439,
  [SMALL_STATE(23101)] = 881453,
  [SMALL_STATE(23102)] = 881467,
  [SMALL_STATE(23103)] = 881481,
  [SMALL_STATE(23104)] = 881495,
  [SMALL_STATE(23105)] = 881509,
  [SMALL_STATE(23106)] = 881523,
  [SMALL_STATE(23107)] = 881537,
  [SMALL_STATE(23108)] = 881551,
  [SMALL_STATE(23109)] = 881565,
  [SMALL_STATE(23110)] = 881579,
  [SMALL_STATE(23111)] = 881593,
  [SMALL_STATE(23112)] = 881607,
  [SMALL_STATE(23113)] = 881621,
  [SMALL_STATE(23114)] = 881635,
  [SMALL_STATE(23115)] = 881649,
  [SMALL_STATE(23116)] = 881663,
  [SMALL_STATE(23117)] = 881677,
  [SMALL_STATE(23118)] = 881691,
  [SMALL_STATE(23119)] = 881705,
  [SMALL_STATE(23120)] = 881719,
  [SMALL_STATE(23121)] = 881733,
  [SMALL_STATE(23122)] = 881747,
  [SMALL_STATE(23123)] = 881761,
  [SMALL_STATE(23124)] = 881775,
  [SMALL_STATE(23125)] = 881789,
  [SMALL_STATE(23126)] = 881803,
  [SMALL_STATE(23127)] = 881817,
  [SMALL_STATE(23128)] = 881831,
  [SMALL_STATE(23129)] = 881845,
  [SMALL_STATE(23130)] = 881859,
  [SMALL_STATE(23131)] = 881873,
  [SMALL_STATE(23132)] = 881887,
  [SMALL_STATE(23133)] = 881901,
  [SMALL_STATE(23134)] = 881915,
  [SMALL_STATE(23135)] = 881929,
  [SMALL_STATE(23136)] = 881943,
  [SMALL_STATE(23137)] = 881957,
  [SMALL_STATE(23138)] = 881971,
  [SMALL_STATE(23139)] = 881985,
  [SMALL_STATE(23140)] = 881999,
  [SMALL_STATE(23141)] = 882013,
  [SMALL_STATE(23142)] = 882027,
  [SMALL_STATE(23143)] = 882041,
  [SMALL_STATE(23144)] = 882055,
  [SMALL_STATE(23145)] = 882069,
  [SMALL_STATE(23146)] = 882083,
  [SMALL_STATE(23147)] = 882097,
  [SMALL_STATE(23148)] = 882111,
  [SMALL_STATE(23149)] = 882125,
  [SMALL_STATE(23150)] = 882139,
  [SMALL_STATE(23151)] = 882153,
  [SMALL_STATE(23152)] = 882167,
  [SMALL_STATE(23153)] = 882181,
  [SMALL_STATE(23154)] = 882195,
  [SMALL_STATE(23155)] = 882209,
  [SMALL_STATE(23156)] = 882223,
  [SMALL_STATE(23157)] = 882237,
  [SMALL_STATE(23158)] = 882251,
  [SMALL_STATE(23159)] = 882265,
  [SMALL_STATE(23160)] = 882279,
  [SMALL_STATE(23161)] = 882293,
  [SMALL_STATE(23162)] = 882307,
  [SMALL_STATE(23163)] = 882321,
  [SMALL_STATE(23164)] = 882335,
  [SMALL_STATE(23165)] = 882349,
  [SMALL_STATE(23166)] = 882363,
  [SMALL_STATE(23167)] = 882377,
  [SMALL_STATE(23168)] = 882391,
  [SMALL_STATE(23169)] = 882405,
  [SMALL_STATE(23170)] = 882419,
  [SMALL_STATE(23171)] = 882433,
  [SMALL_STATE(23172)] = 882447,
  [SMALL_STATE(23173)] = 882461,
  [SMALL_STATE(23174)] = 882475,
  [SMALL_STATE(23175)] = 882489,
  [SMALL_STATE(23176)] = 882503,
  [SMALL_STATE(23177)] = 882517,
  [SMALL_STATE(23178)] = 882531,
  [SMALL_STATE(23179)] = 882545,
  [SMALL_STATE(23180)] = 882559,
  [SMALL_STATE(23181)] = 882573,
  [SMALL_STATE(23182)] = 882587,
  [SMALL_STATE(23183)] = 882601,
  [SMALL_STATE(23184)] = 882615,
  [SMALL_STATE(23185)] = 882629,
  [SMALL_STATE(23186)] = 882643,
  [SMALL_STATE(23187)] = 882657,
  [SMALL_STATE(23188)] = 882671,
  [SMALL_STATE(23189)] = 882685,
  [SMALL_STATE(23190)] = 882699,
  [SMALL_STATE(23191)] = 882713,
  [SMALL_STATE(23192)] = 882727,
  [SMALL_STATE(23193)] = 882741,
  [SMALL_STATE(23194)] = 882755,
  [SMALL_STATE(23195)] = 882769,
  [SMALL_STATE(23196)] = 882783,
  [SMALL_STATE(23197)] = 882797,
  [SMALL_STATE(23198)] = 882811,
  [SMALL_STATE(23199)] = 882825,
  [SMALL_STATE(23200)] = 882839,
  [SMALL_STATE(23201)] = 882853,
  [SMALL_STATE(23202)] = 882867,
  [SMALL_STATE(23203)] = 882881,
  [SMALL_STATE(23204)] = 882895,
  [SMALL_STATE(23205)] = 882909,
  [SMALL_STATE(23206)] = 882923,
  [SMALL_STATE(23207)] = 882937,
  [SMALL_STATE(23208)] = 882951,
  [SMALL_STATE(23209)] = 882965,
  [SMALL_STATE(23210)] = 882979,
  [SMALL_STATE(23211)] = 882993,
  [SMALL_STATE(23212)] = 883007,
  [SMALL_STATE(23213)] = 883021,
  [SMALL_STATE(23214)] = 883035,
  [SMALL_STATE(23215)] = 883049,
  [SMALL_STATE(23216)] = 883063,
  [SMALL_STATE(23217)] = 883077,
  [SMALL_STATE(23218)] = 883091,
  [SMALL_STATE(23219)] = 883105,
  [SMALL_STATE(23220)] = 883119,
  [SMALL_STATE(23221)] = 883133,
  [SMALL_STATE(23222)] = 883147,
  [SMALL_STATE(23223)] = 883161,
  [SMALL_STATE(23224)] = 883175,
  [SMALL_STATE(23225)] = 883189,
  [SMALL_STATE(23226)] = 883203,
  [SMALL_STATE(23227)] = 883217,
  [SMALL_STATE(23228)] = 883231,
  [SMALL_STATE(23229)] = 883245,
  [SMALL_STATE(23230)] = 883259,
  [SMALL_STATE(23231)] = 883273,
  [SMALL_STATE(23232)] = 883287,
  [SMALL_STATE(23233)] = 883301,
  [SMALL_STATE(23234)] = 883315,
  [SMALL_STATE(23235)] = 883329,
  [SMALL_STATE(23236)] = 883343,
  [SMALL_STATE(23237)] = 883357,
  [SMALL_STATE(23238)] = 883371,
  [SMALL_STATE(23239)] = 883385,
  [SMALL_STATE(23240)] = 883399,
  [SMALL_STATE(23241)] = 883413,
  [SMALL_STATE(23242)] = 883427,
  [SMALL_STATE(23243)] = 883441,
  [SMALL_STATE(23244)] = 883455,
  [SMALL_STATE(23245)] = 883469,
  [SMALL_STATE(23246)] = 883483,
  [SMALL_STATE(23247)] = 883497,
  [SMALL_STATE(23248)] = 883511,
  [SMALL_STATE(23249)] = 883525,
  [SMALL_STATE(23250)] = 883539,
  [SMALL_STATE(23251)] = 883553,
  [SMALL_STATE(23252)] = 883567,
  [SMALL_STATE(23253)] = 883581,
  [SMALL_STATE(23254)] = 883595,
  [SMALL_STATE(23255)] = 883609,
  [SMALL_STATE(23256)] = 883623,
  [SMALL_STATE(23257)] = 883637,
  [SMALL_STATE(23258)] = 883651,
  [SMALL_STATE(23259)] = 883665,
  [SMALL_STATE(23260)] = 883679,
  [SMALL_STATE(23261)] = 883693,
  [SMALL_STATE(23262)] = 883707,
  [SMALL_STATE(23263)] = 883721,
  [SMALL_STATE(23264)] = 883735,
  [SMALL_STATE(23265)] = 883749,
  [SMALL_STATE(23266)] = 883763,
  [SMALL_STATE(23267)] = 883777,
  [SMALL_STATE(23268)] = 883791,
  [SMALL_STATE(23269)] = 883805,
  [SMALL_STATE(23270)] = 883819,
  [SMALL_STATE(23271)] = 883833,
  [SMALL_STATE(23272)] = 883847,
  [SMALL_STATE(23273)] = 883861,
  [SMALL_STATE(23274)] = 883875,
  [SMALL_STATE(23275)] = 883889,
  [SMALL_STATE(23276)] = 883903,
  [SMALL_STATE(23277)] = 883917,
  [SMALL_STATE(23278)] = 883931,
  [SMALL_STATE(23279)] = 883945,
  [SMALL_STATE(23280)] = 883959,
  [SMALL_STATE(23281)] = 883973,
  [SMALL_STATE(23282)] = 883987,
  [SMALL_STATE(23283)] = 884001,
  [SMALL_STATE(23284)] = 884015,
  [SMALL_STATE(23285)] = 884029,
  [SMALL_STATE(23286)] = 884043,
  [SMALL_STATE(23287)] = 884057,
  [SMALL_STATE(23288)] = 884071,
  [SMALL_STATE(23289)] = 884085,
  [SMALL_STATE(23290)] = 884099,
  [SMALL_STATE(23291)] = 884113,
  [SMALL_STATE(23292)] = 884127,
  [SMALL_STATE(23293)] = 884141,
  [SMALL_STATE(23294)] = 884155,
  [SMALL_STATE(23295)] = 884169,
  [SMALL_STATE(23296)] = 884183,
  [SMALL_STATE(23297)] = 884197,
  [SMALL_STATE(23298)] = 884211,
  [SMALL_STATE(23299)] = 884225,
  [SMALL_STATE(23300)] = 884239,
  [SMALL_STATE(23301)] = 884253,
  [SMALL_STATE(23302)] = 884267,
  [SMALL_STATE(23303)] = 884281,
  [SMALL_STATE(23304)] = 884295,
  [SMALL_STATE(23305)] = 884309,
  [SMALL_STATE(23306)] = 884323,
  [SMALL_STATE(23307)] = 884337,
  [SMALL_STATE(23308)] = 884351,
  [SMALL_STATE(23309)] = 884365,
  [SMALL_STATE(23310)] = 884379,
  [SMALL_STATE(23311)] = 884393,
  [SMALL_STATE(23312)] = 884407,
  [SMALL_STATE(23313)] = 884421,
  [SMALL_STATE(23314)] = 884435,
  [SMALL_STATE(23315)] = 884449,
  [SMALL_STATE(23316)] = 884463,
  [SMALL_STATE(23317)] = 884477,
  [SMALL_STATE(23318)] = 884491,
  [SMALL_STATE(23319)] = 884505,
  [SMALL_STATE(23320)] = 884519,
  [SMALL_STATE(23321)] = 884533,
  [SMALL_STATE(23322)] = 884547,
  [SMALL_STATE(23323)] = 884561,
  [SMALL_STATE(23324)] = 884575,
  [SMALL_STATE(23325)] = 884589,
  [SMALL_STATE(23326)] = 884603,
  [SMALL_STATE(23327)] = 884617,
  [SMALL_STATE(23328)] = 884631,
  [SMALL_STATE(23329)] = 884645,
  [SMALL_STATE(23330)] = 884659,
  [SMALL_STATE(23331)] = 884673,
  [SMALL_STATE(23332)] = 884687,
  [SMALL_STATE(23333)] = 884701,
  [SMALL_STATE(23334)] = 884715,
  [SMALL_STATE(23335)] = 884729,
  [SMALL_STATE(23336)] = 884743,
  [SMALL_STATE(23337)] = 884757,
  [SMALL_STATE(23338)] = 884771,
  [SMALL_STATE(23339)] = 884785,
  [SMALL_STATE(23340)] = 884799,
  [SMALL_STATE(23341)] = 884813,
  [SMALL_STATE(23342)] = 884827,
  [SMALL_STATE(23343)] = 884841,
  [SMALL_STATE(23344)] = 884855,
  [SMALL_STATE(23345)] = 884869,
  [SMALL_STATE(23346)] = 884883,
  [SMALL_STATE(23347)] = 884897,
  [SMALL_STATE(23348)] = 884911,
  [SMALL_STATE(23349)] = 884925,
  [SMALL_STATE(23350)] = 884939,
  [SMALL_STATE(23351)] = 884953,
  [SMALL_STATE(23352)] = 884967,
  [SMALL_STATE(23353)] = 884981,
  [SMALL_STATE(23354)] = 884995,
  [SMALL_STATE(23355)] = 885009,
  [SMALL_STATE(23356)] = 885023,
  [SMALL_STATE(23357)] = 885037,
  [SMALL_STATE(23358)] = 885051,
  [SMALL_STATE(23359)] = 885065,
  [SMALL_STATE(23360)] = 885079,
  [SMALL_STATE(23361)] = 885093,
  [SMALL_STATE(23362)] = 885107,
  [SMALL_STATE(23363)] = 885121,
  [SMALL_STATE(23364)] = 885135,
  [SMALL_STATE(23365)] = 885149,
  [SMALL_STATE(23366)] = 885163,
  [SMALL_STATE(23367)] = 885177,
  [SMALL_STATE(23368)] = 885191,
  [SMALL_STATE(23369)] = 885205,
  [SMALL_STATE(23370)] = 885219,
  [SMALL_STATE(23371)] = 885233,
  [SMALL_STATE(23372)] = 885247,
  [SMALL_STATE(23373)] = 885261,
  [SMALL_STATE(23374)] = 885275,
  [SMALL_STATE(23375)] = 885289,
  [SMALL_STATE(23376)] = 885303,
  [SMALL_STATE(23377)] = 885317,
  [SMALL_STATE(23378)] = 885331,
  [SMALL_STATE(23379)] = 885345,
  [SMALL_STATE(23380)] = 885359,
  [SMALL_STATE(23381)] = 885373,
  [SMALL_STATE(23382)] = 885387,
  [SMALL_STATE(23383)] = 885401,
  [SMALL_STATE(23384)] = 885415,
  [SMALL_STATE(23385)] = 885429,
  [SMALL_STATE(23386)] = 885443,
  [SMALL_STATE(23387)] = 885457,
  [SMALL_STATE(23388)] = 885471,
  [SMALL_STATE(23389)] = 885485,
  [SMALL_STATE(23390)] = 885499,
  [SMALL_STATE(23391)] = 885513,
  [SMALL_STATE(23392)] = 885527,
  [SMALL_STATE(23393)] = 885541,
  [SMALL_STATE(23394)] = 885555,
  [SMALL_STATE(23395)] = 885569,
  [SMALL_STATE(23396)] = 885583,
  [SMALL_STATE(23397)] = 885597,
  [SMALL_STATE(23398)] = 885611,
  [SMALL_STATE(23399)] = 885625,
  [SMALL_STATE(23400)] = 885639,
  [SMALL_STATE(23401)] = 885653,
  [SMALL_STATE(23402)] = 885667,
  [SMALL_STATE(23403)] = 885681,
  [SMALL_STATE(23404)] = 885695,
  [SMALL_STATE(23405)] = 885709,
  [SMALL_STATE(23406)] = 885723,
  [SMALL_STATE(23407)] = 885737,
  [SMALL_STATE(23408)] = 885751,
  [SMALL_STATE(23409)] = 885765,
  [SMALL_STATE(23410)] = 885779,
  [SMALL_STATE(23411)] = 885793,
  [SMALL_STATE(23412)] = 885807,
  [SMALL_STATE(23413)] = 885821,
  [SMALL_STATE(23414)] = 885835,
  [SMALL_STATE(23415)] = 885849,
  [SMALL_STATE(23416)] = 885863,
  [SMALL_STATE(23417)] = 885877,
  [SMALL_STATE(23418)] = 885891,
  [SMALL_STATE(23419)] = 885905,
  [SMALL_STATE(23420)] = 885919,
  [SMALL_STATE(23421)] = 885933,
  [SMALL_STATE(23422)] = 885947,
  [SMALL_STATE(23423)] = 885961,
  [SMALL_STATE(23424)] = 885975,
  [SMALL_STATE(23425)] = 885989,
  [SMALL_STATE(23426)] = 886003,
  [SMALL_STATE(23427)] = 886017,
  [SMALL_STATE(23428)] = 886031,
  [SMALL_STATE(23429)] = 886045,
  [SMALL_STATE(23430)] = 886059,
  [SMALL_STATE(23431)] = 886073,
  [SMALL_STATE(23432)] = 886087,
  [SMALL_STATE(23433)] = 886101,
  [SMALL_STATE(23434)] = 886115,
  [SMALL_STATE(23435)] = 886129,
  [SMALL_STATE(23436)] = 886143,
  [SMALL_STATE(23437)] = 886157,
  [SMALL_STATE(23438)] = 886171,
  [SMALL_STATE(23439)] = 886185,
  [SMALL_STATE(23440)] = 886199,
  [SMALL_STATE(23441)] = 886213,
  [SMALL_STATE(23442)] = 886227,
  [SMALL_STATE(23443)] = 886241,
  [SMALL_STATE(23444)] = 886255,
  [SMALL_STATE(23445)] = 886269,
  [SMALL_STATE(23446)] = 886283,
  [SMALL_STATE(23447)] = 886297,
  [SMALL_STATE(23448)] = 886311,
  [SMALL_STATE(23449)] = 886325,
  [SMALL_STATE(23450)] = 886339,
  [SMALL_STATE(23451)] = 886353,
  [SMALL_STATE(23452)] = 886367,
  [SMALL_STATE(23453)] = 886381,
  [SMALL_STATE(23454)] = 886395,
  [SMALL_STATE(23455)] = 886409,
  [SMALL_STATE(23456)] = 886423,
  [SMALL_STATE(23457)] = 886437,
  [SMALL_STATE(23458)] = 886451,
  [SMALL_STATE(23459)] = 886465,
  [SMALL_STATE(23460)] = 886479,
  [SMALL_STATE(23461)] = 886493,
  [SMALL_STATE(23462)] = 886507,
  [SMALL_STATE(23463)] = 886521,
  [SMALL_STATE(23464)] = 886535,
  [SMALL_STATE(23465)] = 886549,
  [SMALL_STATE(23466)] = 886563,
  [SMALL_STATE(23467)] = 886577,
  [SMALL_STATE(23468)] = 886591,
  [SMALL_STATE(23469)] = 886605,
  [SMALL_STATE(23470)] = 886619,
  [SMALL_STATE(23471)] = 886633,
  [SMALL_STATE(23472)] = 886647,
  [SMALL_STATE(23473)] = 886661,
  [SMALL_STATE(23474)] = 886675,
  [SMALL_STATE(23475)] = 886689,
  [SMALL_STATE(23476)] = 886703,
  [SMALL_STATE(23477)] = 886717,
  [SMALL_STATE(23478)] = 886731,
  [SMALL_STATE(23479)] = 886745,
  [SMALL_STATE(23480)] = 886759,
  [SMALL_STATE(23481)] = 886773,
  [SMALL_STATE(23482)] = 886787,
  [SMALL_STATE(23483)] = 886801,
  [SMALL_STATE(23484)] = 886815,
  [SMALL_STATE(23485)] = 886829,
  [SMALL_STATE(23486)] = 886843,
  [SMALL_STATE(23487)] = 886857,
  [SMALL_STATE(23488)] = 886871,
  [SMALL_STATE(23489)] = 886885,
  [SMALL_STATE(23490)] = 886899,
  [SMALL_STATE(23491)] = 886913,
  [SMALL_STATE(23492)] = 886927,
  [SMALL_STATE(23493)] = 886941,
  [SMALL_STATE(23494)] = 886955,
  [SMALL_STATE(23495)] = 886969,
  [SMALL_STATE(23496)] = 886983,
  [SMALL_STATE(23497)] = 886997,
  [SMALL_STATE(23498)] = 887011,
  [SMALL_STATE(23499)] = 887025,
  [SMALL_STATE(23500)] = 887039,
  [SMALL_STATE(23501)] = 887053,
  [SMALL_STATE(23502)] = 887067,
  [SMALL_STATE(23503)] = 887081,
  [SMALL_STATE(23504)] = 887095,
  [SMALL_STATE(23505)] = 887109,
  [SMALL_STATE(23506)] = 887123,
  [SMALL_STATE(23507)] = 887137,
  [SMALL_STATE(23508)] = 887151,
  [SMALL_STATE(23509)] = 887165,
  [SMALL_STATE(23510)] = 887179,
  [SMALL_STATE(23511)] = 887193,
  [SMALL_STATE(23512)] = 887207,
  [SMALL_STATE(23513)] = 887221,
  [SMALL_STATE(23514)] = 887235,
  [SMALL_STATE(23515)] = 887249,
  [SMALL_STATE(23516)] = 887263,
  [SMALL_STATE(23517)] = 887277,
  [SMALL_STATE(23518)] = 887291,
  [SMALL_STATE(23519)] = 887305,
  [SMALL_STATE(23520)] = 887319,
  [SMALL_STATE(23521)] = 887333,
  [SMALL_STATE(23522)] = 887347,
  [SMALL_STATE(23523)] = 887361,
  [SMALL_STATE(23524)] = 887375,
  [SMALL_STATE(23525)] = 887389,
  [SMALL_STATE(23526)] = 887403,
  [SMALL_STATE(23527)] = 887417,
  [SMALL_STATE(23528)] = 887431,
  [SMALL_STATE(23529)] = 887445,
  [SMALL_STATE(23530)] = 887459,
  [SMALL_STATE(23531)] = 887473,
  [SMALL_STATE(23532)] = 887487,
  [SMALL_STATE(23533)] = 887501,
  [SMALL_STATE(23534)] = 887515,
  [SMALL_STATE(23535)] = 887529,
  [SMALL_STATE(23536)] = 887543,
  [SMALL_STATE(23537)] = 887557,
  [SMALL_STATE(23538)] = 887571,
  [SMALL_STATE(23539)] = 887585,
  [SMALL_STATE(23540)] = 887599,
  [SMALL_STATE(23541)] = 887613,
  [SMALL_STATE(23542)] = 887627,
  [SMALL_STATE(23543)] = 887641,
  [SMALL_STATE(23544)] = 887655,
  [SMALL_STATE(23545)] = 887669,
  [SMALL_STATE(23546)] = 887683,
  [SMALL_STATE(23547)] = 887697,
  [SMALL_STATE(23548)] = 887711,
  [SMALL_STATE(23549)] = 887725,
  [SMALL_STATE(23550)] = 887739,
  [SMALL_STATE(23551)] = 887753,
  [SMALL_STATE(23552)] = 887767,
  [SMALL_STATE(23553)] = 887781,
  [SMALL_STATE(23554)] = 887795,
  [SMALL_STATE(23555)] = 887809,
  [SMALL_STATE(23556)] = 887823,
  [SMALL_STATE(23557)] = 887837,
  [SMALL_STATE(23558)] = 887851,
  [SMALL_STATE(23559)] = 887865,
  [SMALL_STATE(23560)] = 887879,
  [SMALL_STATE(23561)] = 887893,
  [SMALL_STATE(23562)] = 887907,
  [SMALL_STATE(23563)] = 887921,
  [SMALL_STATE(23564)] = 887935,
  [SMALL_STATE(23565)] = 887949,
  [SMALL_STATE(23566)] = 887963,
  [SMALL_STATE(23567)] = 887977,
  [SMALL_STATE(23568)] = 887991,
  [SMALL_STATE(23569)] = 888005,
  [SMALL_STATE(23570)] = 888019,
  [SMALL_STATE(23571)] = 888033,
  [SMALL_STATE(23572)] = 888047,
  [SMALL_STATE(23573)] = 888061,
  [SMALL_STATE(23574)] = 888075,
  [SMALL_STATE(23575)] = 888089,
  [SMALL_STATE(23576)] = 888103,
  [SMALL_STATE(23577)] = 888117,
  [SMALL_STATE(23578)] = 888131,
  [SMALL_STATE(23579)] = 888145,
  [SMALL_STATE(23580)] = 888159,
  [SMALL_STATE(23581)] = 888173,
  [SMALL_STATE(23582)] = 888187,
  [SMALL_STATE(23583)] = 888201,
  [SMALL_STATE(23584)] = 888215,
  [SMALL_STATE(23585)] = 888229,
  [SMALL_STATE(23586)] = 888243,
  [SMALL_STATE(23587)] = 888257,
  [SMALL_STATE(23588)] = 888271,
  [SMALL_STATE(23589)] = 888285,
  [SMALL_STATE(23590)] = 888299,
  [SMALL_STATE(23591)] = 888313,
  [SMALL_STATE(23592)] = 888327,
  [SMALL_STATE(23593)] = 888341,
  [SMALL_STATE(23594)] = 888355,
  [SMALL_STATE(23595)] = 888369,
  [SMALL_STATE(23596)] = 888383,
  [SMALL_STATE(23597)] = 888397,
  [SMALL_STATE(23598)] = 888411,
  [SMALL_STATE(23599)] = 888425,
  [SMALL_STATE(23600)] = 888439,
  [SMALL_STATE(23601)] = 888453,
  [SMALL_STATE(23602)] = 888467,
  [SMALL_STATE(23603)] = 888481,
  [SMALL_STATE(23604)] = 888495,
  [SMALL_STATE(23605)] = 888509,
  [SMALL_STATE(23606)] = 888523,
  [SMALL_STATE(23607)] = 888537,
  [SMALL_STATE(23608)] = 888551,
  [SMALL_STATE(23609)] = 888565,
  [SMALL_STATE(23610)] = 888579,
  [SMALL_STATE(23611)] = 888593,
  [SMALL_STATE(23612)] = 888607,
  [SMALL_STATE(23613)] = 888621,
  [SMALL_STATE(23614)] = 888635,
  [SMALL_STATE(23615)] = 888649,
  [SMALL_STATE(23616)] = 888663,
  [SMALL_STATE(23617)] = 888677,
  [SMALL_STATE(23618)] = 888691,
  [SMALL_STATE(23619)] = 888705,
  [SMALL_STATE(23620)] = 888719,
  [SMALL_STATE(23621)] = 888733,
  [SMALL_STATE(23622)] = 888747,
  [SMALL_STATE(23623)] = 888761,
  [SMALL_STATE(23624)] = 888775,
  [SMALL_STATE(23625)] = 888789,
  [SMALL_STATE(23626)] = 888803,
  [SMALL_STATE(23627)] = 888817,
  [SMALL_STATE(23628)] = 888831,
  [SMALL_STATE(23629)] = 888845,
  [SMALL_STATE(23630)] = 888859,
  [SMALL_STATE(23631)] = 888873,
  [SMALL_STATE(23632)] = 888887,
  [SMALL_STATE(23633)] = 888901,
  [SMALL_STATE(23634)] = 888915,
  [SMALL_STATE(23635)] = 888929,
  [SMALL_STATE(23636)] = 888943,
  [SMALL_STATE(23637)] = 888957,
  [SMALL_STATE(23638)] = 888971,
  [SMALL_STATE(23639)] = 888985,
  [SMALL_STATE(23640)] = 888999,
  [SMALL_STATE(23641)] = 889013,
  [SMALL_STATE(23642)] = 889027,
  [SMALL_STATE(23643)] = 889041,
  [SMALL_STATE(23644)] = 889055,
  [SMALL_STATE(23645)] = 889069,
  [SMALL_STATE(23646)] = 889083,
  [SMALL_STATE(23647)] = 889097,
  [SMALL_STATE(23648)] = 889111,
  [SMALL_STATE(23649)] = 889125,
  [SMALL_STATE(23650)] = 889139,
  [SMALL_STATE(23651)] = 889153,
  [SMALL_STATE(23652)] = 889167,
  [SMALL_STATE(23653)] = 889181,
  [SMALL_STATE(23654)] = 889195,
  [SMALL_STATE(23655)] = 889209,
  [SMALL_STATE(23656)] = 889223,
  [SMALL_STATE(23657)] = 889237,
  [SMALL_STATE(23658)] = 889251,
  [SMALL_STATE(23659)] = 889265,
  [SMALL_STATE(23660)] = 889279,
  [SMALL_STATE(23661)] = 889293,
  [SMALL_STATE(23662)] = 889307,
  [SMALL_STATE(23663)] = 889321,
  [SMALL_STATE(23664)] = 889335,
  [SMALL_STATE(23665)] = 889349,
  [SMALL_STATE(23666)] = 889363,
  [SMALL_STATE(23667)] = 889377,
  [SMALL_STATE(23668)] = 889391,
  [SMALL_STATE(23669)] = 889405,
  [SMALL_STATE(23670)] = 889419,
  [SMALL_STATE(23671)] = 889433,
  [SMALL_STATE(23672)] = 889447,
  [SMALL_STATE(23673)] = 889461,
  [SMALL_STATE(23674)] = 889475,
  [SMALL_STATE(23675)] = 889489,
  [SMALL_STATE(23676)] = 889503,
  [SMALL_STATE(23677)] = 889517,
  [SMALL_STATE(23678)] = 889531,
  [SMALL_STATE(23679)] = 889545,
  [SMALL_STATE(23680)] = 889559,
  [SMALL_STATE(23681)] = 889573,
  [SMALL_STATE(23682)] = 889587,
  [SMALL_STATE(23683)] = 889601,
  [SMALL_STATE(23684)] = 889615,
  [SMALL_STATE(23685)] = 889629,
  [SMALL_STATE(23686)] = 889643,
  [SMALL_STATE(23687)] = 889657,
  [SMALL_STATE(23688)] = 889671,
  [SMALL_STATE(23689)] = 889685,
  [SMALL_STATE(23690)] = 889699,
  [SMALL_STATE(23691)] = 889713,
  [SMALL_STATE(23692)] = 889727,
  [SMALL_STATE(23693)] = 889741,
  [SMALL_STATE(23694)] = 889755,
  [SMALL_STATE(23695)] = 889769,
  [SMALL_STATE(23696)] = 889783,
  [SMALL_STATE(23697)] = 889797,
  [SMALL_STATE(23698)] = 889811,
  [SMALL_STATE(23699)] = 889825,
  [SMALL_STATE(23700)] = 889839,
  [SMALL_STATE(23701)] = 889853,
  [SMALL_STATE(23702)] = 889867,
  [SMALL_STATE(23703)] = 889881,
  [SMALL_STATE(23704)] = 889895,
  [SMALL_STATE(23705)] = 889909,
  [SMALL_STATE(23706)] = 889923,
  [SMALL_STATE(23707)] = 889937,
  [SMALL_STATE(23708)] = 889951,
  [SMALL_STATE(23709)] = 889965,
  [SMALL_STATE(23710)] = 889979,
  [SMALL_STATE(23711)] = 889993,
  [SMALL_STATE(23712)] = 890007,
  [SMALL_STATE(23713)] = 890021,
  [SMALL_STATE(23714)] = 890035,
  [SMALL_STATE(23715)] = 890049,
  [SMALL_STATE(23716)] = 890063,
  [SMALL_STATE(23717)] = 890077,
  [SMALL_STATE(23718)] = 890091,
  [SMALL_STATE(23719)] = 890105,
  [SMALL_STATE(23720)] = 890119,
  [SMALL_STATE(23721)] = 890133,
  [SMALL_STATE(23722)] = 890147,
  [SMALL_STATE(23723)] = 890161,
  [SMALL_STATE(23724)] = 890175,
  [SMALL_STATE(23725)] = 890189,
  [SMALL_STATE(23726)] = 890203,
  [SMALL_STATE(23727)] = 890217,
  [SMALL_STATE(23728)] = 890231,
  [SMALL_STATE(23729)] = 890245,
  [SMALL_STATE(23730)] = 890259,
  [SMALL_STATE(23731)] = 890273,
  [SMALL_STATE(23732)] = 890287,
  [SMALL_STATE(23733)] = 890301,
  [SMALL_STATE(23734)] = 890315,
  [SMALL_STATE(23735)] = 890329,
  [SMALL_STATE(23736)] = 890343,
  [SMALL_STATE(23737)] = 890357,
  [SMALL_STATE(23738)] = 890371,
  [SMALL_STATE(23739)] = 890385,
  [SMALL_STATE(23740)] = 890399,
  [SMALL_STATE(23741)] = 890413,
  [SMALL_STATE(23742)] = 890427,
  [SMALL_STATE(23743)] = 890441,
  [SMALL_STATE(23744)] = 890455,
  [SMALL_STATE(23745)] = 890469,
  [SMALL_STATE(23746)] = 890483,
  [SMALL_STATE(23747)] = 890497,
  [SMALL_STATE(23748)] = 890511,
  [SMALL_STATE(23749)] = 890525,
  [SMALL_STATE(23750)] = 890539,
  [SMALL_STATE(23751)] = 890553,
  [SMALL_STATE(23752)] = 890567,
  [SMALL_STATE(23753)] = 890581,
  [SMALL_STATE(23754)] = 890595,
  [SMALL_STATE(23755)] = 890609,
  [SMALL_STATE(23756)] = 890623,
  [SMALL_STATE(23757)] = 890637,
  [SMALL_STATE(23758)] = 890651,
  [SMALL_STATE(23759)] = 890655,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17885),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19478),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16338),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14405),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15727),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16137),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13122),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13767),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15984),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12645),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6090),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16312),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3145),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16394),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16709),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17907),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17995),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18056),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19013),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19022),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9788),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15775),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14801),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5434),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19185),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19239),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14858),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3902),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16176),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12681),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6008),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4767),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4769),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16692),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16912),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18052),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18729),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5818),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15870),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14649),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19185),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20161),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12385),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12723),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23758),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12009),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6492),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18476),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11836),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17024),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12144),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15261),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10702),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15379),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9652),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6149),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11178),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12676),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10523),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14074),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12836),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11992),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12012),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12666),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7338),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11792),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13082),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12691),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15027),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11536),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15255),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15578),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11561),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11158),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3663),
  [361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression_anonymous, 2, 0, 0),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression_anonymous, 2, 0, 0),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3802),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3876),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12655),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6098),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16408),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16807),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18538),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18986),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18677),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15771),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19147),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12484),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6083),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16337),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16759),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4081),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18510),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18971),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15677),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14927),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20191),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12661),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6100),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16420),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16851),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18542),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18988),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15779),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14777),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19156),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14498),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2076),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5490),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4026),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15809),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16300),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16089),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15660),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12397),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6017),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16335),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16742),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5618),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18147),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18752),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15670),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14561),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19301),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20223),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10728),
  [593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1, 0, 0),
  [595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 4, 0, 0),
  [597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 2, 0, 0),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3907),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3075),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1955),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3858),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12649),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6095),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16401),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16790),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18536),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18985),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15768),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14535),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19133),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2017),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3968),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12680),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6105),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(568),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16438),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16878),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18552),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18993),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15785),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14900),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19205),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3083),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12677),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16430),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16871),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18546),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18990),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15782),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14893),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19174),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 1, 0, 0),
  [757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 3, 0, 0),
  [759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 1, 0, 0),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 2, 0, 0),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3125),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4374),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3763),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12651),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16451),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16906),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18265),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18792),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15722),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14708),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19785),
  [815] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 4, 0, 0),
  [817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 3, 0, 0),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3118),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3982),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12361),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6074),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3119),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16664),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16893),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18456),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18923),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15839),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14789),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19716),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3771),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4561),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12393),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6076),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3127),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16691),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16911),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18479),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18945),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15860),
  [913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14852),
  [915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19332),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4671),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12542),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3144),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16360),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16872),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18516),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18975),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15717),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14512),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20382),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4404),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4623),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3921),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12472),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16330),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16900),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18508),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18969),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15783),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14899),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19990),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3112),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4853),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12343),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6072),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16654),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16889),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18445),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18918),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15829),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14781),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20167),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4846),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3133),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3801),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12415),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16472),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16721),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18335),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18834),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5107),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15837),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14516),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19413),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4903),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5363),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12376),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6075),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16670),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16898),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18468),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18932),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15868),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14825),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19632),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4943),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5380),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12414),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6078),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3131),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16700),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16923),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18493),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18955),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5381),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15825),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14859),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5407),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19867),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3120),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3129),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3791),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12425),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6102),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16705),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4851),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16314),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16777),
  [1279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18495),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18957),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6066),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15871),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14868),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20208),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6166),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4055),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12660),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6080),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(535),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16377),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16738),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18222),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18774),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15691),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14746),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6133),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20146),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16702),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(533),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4719),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3113),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6029),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3114),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6357),
  [1391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6502),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3831),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12615),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6089),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16395),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16779),
  [1419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17885),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18524),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18979),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15767),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14894),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19121),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6493),
  [1445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6617),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3920),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12317),
  [1457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6047),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3146),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16544),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16784),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18365),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18866),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15788),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14601),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20048),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6217),
  [1497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3097),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6311),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3900),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12706),
  [1509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6045),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3121),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16526),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16774),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18359),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18859),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15770),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14591),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5705),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19931),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [1549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3128),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6566),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3895),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12695),
  [1561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(416),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3137),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(457),
  [1573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16322),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16783),
  [1577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19018),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18618),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15821),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14590),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19322),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18677),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6766),
  [1603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6996),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12592),
  [1615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6106),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16703),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3115),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16387),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16760),
  [1639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18522),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18978),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15764),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14597),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19112),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6931),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7114),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3881),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12558),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6088),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16507),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16755),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18354),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18852),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7115),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15807),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14577),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19835),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6087),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20439),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13857),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21012),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9712),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21977),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22090),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22244),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22090),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23563),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13425),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23349),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22380),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23566),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13448),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21791),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23359),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23567),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13460),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21033),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20706),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23569),
  [1799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13477),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22636),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21043),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4718),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [1813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6043),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23572),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13354),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21366),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20868),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23573),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13493),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21972),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21371),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [1851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23575),
  [1859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13507),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22878),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22334),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23577),
  [1877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13517),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20841),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23461),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23578),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13532),
  [1897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21178),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20542),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23580),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13538),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21720),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21182),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9457),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23582),
  [1931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13550),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22353),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21726),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23583),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13558),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22495),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21991),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23584),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13569),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22638),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22355),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [1977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23585),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13575),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22837),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22497),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23586),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13587),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23073),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22640),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23587),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13589),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23301),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22845),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23590),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13599),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22229),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5095),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23642),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11065),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23591),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13603),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20515),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22078),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11035),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23592),
  [2075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13609),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22039),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22261),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [2085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8010),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23593),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13620),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20705),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22041),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11531),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23594),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13624),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21878),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20708),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11680),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23595),
  [2129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13626),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23306),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21898),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [2149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7363),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3735),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12564),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [2161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(544),
  [2163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16374),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16724),
  [2171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18520),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18977),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15751),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14555),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19088),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23596),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13628),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20693),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23372),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [2215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23597),
  [2217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13630),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21275),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5117),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20704),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23598),
  [2235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13641),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21860),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21284),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23600),
  [2253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13646),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23338),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22384),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23601),
  [2271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13648),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20467),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23363),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23602),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13652),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20726),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20469),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23603),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13657),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21028),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20732),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23517),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13289),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21932),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21953),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23604),
  [2341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13663),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21307),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21030),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23605),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13670),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21895),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21325),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23606),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13672),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22161),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21624),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23607),
  [2395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13674),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22215),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21901),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23609),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13685),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22307),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22216),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23610),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13686),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22340),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22270),
  [2439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4982),
  [2441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23611),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13690),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22385),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22309),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23612),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13695),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22423),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22341),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23613),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13701),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22460),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22387),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23614),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13705),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22489),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22426),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23615),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13708),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22537),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22464),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23616),
  [2541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13716),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22570),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22499),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23617),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13723),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22624),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22539),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23618),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13725),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22677),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22583),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23619),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13728),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22715),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22625),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23620),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13736),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22760),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5172),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22678),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23621),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13739),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22781),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22718),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23560),
  [2647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13405),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22372),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21164),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [2661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14196),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23535),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21700),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21809),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4772),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23557),
  [2679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13381),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21153),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22849),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7181),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7712),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4040),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12567),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6092),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [2725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16602),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16842),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18408),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18897),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15744),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14726),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19919),
  [2751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7350),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [2759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7785),
  [2761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3852),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12304),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6093),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [2773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3108),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16623),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16869),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18427),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18908),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15784),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14949),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19437),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3069),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2083),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7835),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3778),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12320),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6094),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3116),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16647),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16879),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18436),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18912),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15806),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14765),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5784),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7937),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19356),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7299),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8119),
  [2865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3851),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12405),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6041),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [2873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [2879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16494),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16741),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18348),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18846),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15746),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14560),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19757),
  [2907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7224),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [2915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7817),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4023),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12553),
  [2921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6085),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [2929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [2931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [2933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16367),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16905),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7935),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18518),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18976),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15733),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14885),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19067),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7348),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7654),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12387),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6091),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [2977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16585),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16828),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18398),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18893),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15721),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14703),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5669),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19819),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3117),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6049),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8081),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3094),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8584),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12575),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6061),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16524),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16767),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17962),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18711),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15852),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14562),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19673),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [3087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3072),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7828),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3138),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2078),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8246),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3822),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12644),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16481),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16730),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18343),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18842),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15698),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14542),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19675),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3147),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [3167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [3169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [3173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6058),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3084),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8727),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4006),
  [3197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12541),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6057),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [3203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [3205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [3207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3132),
  [3209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [3211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16470),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16718),
  [3215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17925),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18704),
  [3223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15874),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14573),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20271),
  [3237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6051),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3126),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7912),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [3259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8619),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3903),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12355),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [3269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16375),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16728),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17887),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18692),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15840),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14732),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [3297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8383),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20209),
  [3303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7750),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8314),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3873),
  [3315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12581),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [3321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [3323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [3325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [3327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [3329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16646),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16877),
  [3333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18017),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18722),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15729),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14939),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19873),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [3365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3070),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [3379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5999),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [3393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5993),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [3407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4858),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6620),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8423),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5519),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9380),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7053),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4541),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7793),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6541),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7241),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9676),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4253),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5366),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3837),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8361),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11065),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8379),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8932),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4697),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7120),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11531),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5109),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4277),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4564),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6355),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4283),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7663),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5385),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7834),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7846),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8655),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8315),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8736),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5985),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6397),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14196),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5807),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7719),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8541),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7532),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9044),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7590),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8608),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7549),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4654),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6181),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18542),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18988),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12672),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18495),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18957),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18546),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18990),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18493),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18955),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18052),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18729),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18552),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18993),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18508),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18969),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14848),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18510),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18971),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18468),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18932),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18147),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18752),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18445),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18918),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18516),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18975),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18222),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18774),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18536),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18985),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18479),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18945),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17995),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18056),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18538),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18986),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18265),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18792),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18456),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18923),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18335),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18834),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8082),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5367),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11627),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9682),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5782),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [3677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9569),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11255),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10951),
  [3683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12591),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8914),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9806),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3762),
  [3715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19852),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15669),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20889),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5428),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20310),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15730),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20791),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4071),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20075),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15787),
  [3741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21396),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6137),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6569),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9066),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9732),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [3849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [3851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [3855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [3859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [3875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [3885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4172),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20225),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15696),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20527),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10949),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10952),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [3925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [3929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11019),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8137),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9471),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11055),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [3977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [3979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [3981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [3983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [3985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [3987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [3989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [3991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [3993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [3997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [4001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5720),
  [4009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [4019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7943),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4242),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20312),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15808),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21676),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4244),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19760),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15842),
  [4055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21994),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7401),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8570),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8581),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6491),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7110),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6528),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3923),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5037),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4135),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11655),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11656),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5817),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11675),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11677),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4192),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11684),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8827),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4512),
  [4285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20277),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15694),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22674),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [4317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19184),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15740),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23348),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5625),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20239),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15800),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23082),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19591),
  [4407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19584),
  [4409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19707),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20358),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19263),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20375),
  [4419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15865),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22530),
  [4423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20303),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15686),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22332),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4974),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19958),
  [4439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15761),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23627),
  [4443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5338),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19502),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15819),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23670),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5408),
  [4455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 2, 0, 24),
  [4457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 2, 0, 24),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5097),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19241),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15872),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20930),
  [4467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5648),
  [4469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47),
  [4471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3762),
  [4474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47),
  [4476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19852),
  [4479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(217),
  [4482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1841),
  [4485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3909),
  [4488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3969),
  [4491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12484),
  [4494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1843),
  [4497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16337),
  [4500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16759),
  [4503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(296),
  [4506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4081),
  [4509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18510),
  [4512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18971),
  [4515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3913),
  [4518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15677),
  [4521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14927),
  [4524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5427),
  [4527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4039),
  [4530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20191),
  [4533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4071),
  [4536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20075),
  [4539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(240),
  [4542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1993),
  [4545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3898),
  [4548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3915),
  [4551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12661),
  [4554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1994),
  [4557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16420),
  [4560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16851),
  [4563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(281),
  [4566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3911),
  [4569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18542),
  [4572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18988),
  [4575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3912),
  [4578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15779),
  [4581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14777),
  [4584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5483),
  [4587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4029),
  [4590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19156),
  [4593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4056),
  [4596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20310),
  [4599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(236),
  [4602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1966),
  [4605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3802),
  [4608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3876),
  [4611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12655),
  [4614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1967),
  [4617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16408),
  [4620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16807),
  [4623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(297),
  [4626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3844),
  [4629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18538),
  [4632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18986),
  [4635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3805),
  [4638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15771),
  [4641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14582),
  [4644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5475),
  [4647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3933),
  [4650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19147),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5312),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20281),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15681),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22888),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [4663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4523),
  [4666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19184),
  [4669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(206),
  [4672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1779),
  [4675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4561),
  [4678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4031),
  [4681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12393),
  [4684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1780),
  [4687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16691),
  [4690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16911),
  [4693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(309),
  [4696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4456),
  [4699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18479),
  [4702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18945),
  [4705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4562),
  [4708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15860),
  [4711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14852),
  [4714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5401),
  [4717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4106),
  [4720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19332),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5808),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19431),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15820),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22059),
  [4731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [4733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4242),
  [4736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20312),
  [4739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(242),
  [4742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2006),
  [4745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4274),
  [4748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3943),
  [4751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12677),
  [4754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2007),
  [4757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16430),
  [4760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16871),
  [4763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(307),
  [4766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4132),
  [4769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18546),
  [4772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18990),
  [4775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4275),
  [4778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15782),
  [4781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14893),
  [4784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5488),
  [4787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4289),
  [4790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19174),
  [4793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4172),
  [4796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20225),
  [4799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(234),
  [4802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1955),
  [4805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4250),
  [4808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3858),
  [4811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12649),
  [4814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1956),
  [4817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16401),
  [4820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16790),
  [4823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(294),
  [4826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4567),
  [4829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18536),
  [4832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18985),
  [4835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4251),
  [4838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15768),
  [4841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14535),
  [4844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5471),
  [4847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4259),
  [4850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19133),
  [4853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4244),
  [4856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19760),
  [4859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(244),
  [4862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2017),
  [4865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4280),
  [4868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3968),
  [4871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12680),
  [4874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2018),
  [4877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16438),
  [4880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16878),
  [4883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(311),
  [4886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4170),
  [4889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18552),
  [4892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18993),
  [4895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4281),
  [4898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15785),
  [4901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14900),
  [4904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5493),
  [4907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4297),
  [4910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19205),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5772),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19326),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15792),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23556),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [4923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4368),
  [4926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20239),
  [4929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(167),
  [4932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1992),
  [4935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4374),
  [4938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3763),
  [4941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12651),
  [4944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1998),
  [4947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16451),
  [4950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16906),
  [4953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(324),
  [4956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4316),
  [4959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18265),
  [4962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18792),
  [4965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4375),
  [4968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15722),
  [4971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14708),
  [4974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5411),
  [4977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4382),
  [4980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19785),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19077),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15697),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21238),
  [4991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [4993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4512),
  [4996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20277),
  [4999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(200),
  [5002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1741),
  [5005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4538),
  [5008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3982),
  [5011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12361),
  [5014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1742),
  [5017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16664),
  [5020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16893),
  [5023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(289),
  [5026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4403),
  [5029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18456),
  [5032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18923),
  [5035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4539),
  [5038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15839),
  [5041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14789),
  [5044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5827),
  [5047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4555),
  [5050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19716),
  [5053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4764),
  [5056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20375),
  [5059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(198),
  [5062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1728),
  [5065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4853),
  [5068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3798),
  [5071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12343),
  [5074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1729),
  [5077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16654),
  [5080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16889),
  [5083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(283),
  [5086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4971),
  [5089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18445),
  [5092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18918),
  [5095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4855),
  [5098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15829),
  [5101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14781),
  [5104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5810),
  [5107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4931),
  [5110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20167),
  [5113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4948),
  [5116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20303),
  [5119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(215),
  [5122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1828),
  [5125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4623),
  [5128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3921),
  [5131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12472),
  [5134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1829),
  [5137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16330),
  [5140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16900),
  [5143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(331),
  [5146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4792),
  [5149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18508),
  [5152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18969),
  [5155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4641),
  [5158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15783),
  [5161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14899),
  [5164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5422),
  [5167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4624),
  [5170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19990),
  [5173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4974),
  [5176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19958),
  [5179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(221),
  [5182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1872),
  [5185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4671),
  [5188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3835),
  [5191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12542),
  [5194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1873),
  [5197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16360),
  [5200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16872),
  [5203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(302),
  [5206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4854),
  [5209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18516),
  [5212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18975),
  [5215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4672),
  [5218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15717),
  [5221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14512),
  [5224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5443),
  [5227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4633),
  [5230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20382),
  [5233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5312),
  [5236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20281),
  [5239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(202),
  [5242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1753),
  [5245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5363),
  [5248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3787),
  [5251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12376),
  [5254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1755),
  [5257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16670),
  [5260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16898),
  [5263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(295),
  [5266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5170),
  [5269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18468),
  [5272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18932),
  [5275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5364),
  [5278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15868),
  [5281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14825),
  [5284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5393),
  [5287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5382),
  [5290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19632),
  [5293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5097),
  [5296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19241),
  [5299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(171),
  [5302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1951),
  [5305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5106),
  [5308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3801),
  [5311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12415),
  [5314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1954),
  [5317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16472),
  [5320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16721),
  [5323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(306),
  [5326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5013),
  [5329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18335),
  [5332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18834),
  [5335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5107),
  [5338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15837),
  [5341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14516),
  [5344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5646),
  [5347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5125),
  [5350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19413),
  [5353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5338),
  [5356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19502),
  [5359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(208),
  [5362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1792),
  [5365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5380),
  [5368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3750),
  [5371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12414),
  [5374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1793),
  [5377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16700),
  [5380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16923),
  [5383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(313),
  [5386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5250),
  [5389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18493),
  [5392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18955),
  [5395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5381),
  [5398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15825),
  [5401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14859),
  [5404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5407),
  [5407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4991),
  [5410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19867),
  [5413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5772),
  [5416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19326),
  [5419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(156),
  [5422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1984),
  [5425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5815),
  [5428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3902),
  [5431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12681),
  [5434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2053),
  [5437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16692),
  [5440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16912),
  [5443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(308),
  [5446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5528),
  [5449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18052),
  [5452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18729),
  [5455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5818),
  [5458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15870),
  [5461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14649),
  [5464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5529),
  [5467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5820),
  [5470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20161),
  [5473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5420),
  [5476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19077),
  [5479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(161),
  [5482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2076),
  [5485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5490),
  [5488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4026),
  [5491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12397),
  [5494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2077),
  [5497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16335),
  [5500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16742),
  [5503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(286),
  [5506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5618),
  [5509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18147),
  [5512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18752),
  [5515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5497),
  [5518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15670),
  [5521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14561),
  [5524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5619),
  [5527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5498),
  [5530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20223),
  [5533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5808),
  [5536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19431),
  [5539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(150),
  [5542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1754),
  [5545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5700),
  [5548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4004),
  [5551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12645),
  [5554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1795),
  [5557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16394),
  [5560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16709),
  [5563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(322),
  [5566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5748),
  [5569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(17995),
  [5572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18056),
  [5575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5749),
  [5578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15775),
  [5581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14801),
  [5584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5636),
  [5587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5434),
  [5590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19239),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6109),
  [5595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19688),
  [5597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15836),
  [5599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21518),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5414),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6177),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20306),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15735),
  [5609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22150),
  [5611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [5613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6376),
  [5615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20267),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15734),
  [5619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22962),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5708),
  [5623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_binding_pattern, 1, 0, 0),
  [5625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6724),
  [5627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_binding_pattern, 1, 0, 0),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20066),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [5633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [5635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6561),
  [5637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16258),
  [5639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16952),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [5643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22528),
  [5647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18405),
  [5649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18558),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22812),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15680),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14740),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19306),
  [5663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [5665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19764),
  [5667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15862),
  [5669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23484),
  [5671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [5673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6501),
  [5675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19717),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15748),
  [5679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20427),
  [5681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [5683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6109),
  [5686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19688),
  [5689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(211),
  [5692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1804),
  [5695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6123),
  [5698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3791),
  [5701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12425),
  [5704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1805),
  [5707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16314),
  [5710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16777),
  [5713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(319),
  [5716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5996),
  [5719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18495),
  [5722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18957),
  [5725] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6066),
  [5728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15871),
  [5731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14868),
  [5734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5413),
  [5737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6056),
  [5740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20208),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6848),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [5747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5342),
  [5749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6708),
  [5751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15958),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17260),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [5757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4611),
  [5759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22360),
  [5761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18242),
  [5763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18779),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21143),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15791),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14547),
  [5773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20263),
  [5777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6607),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19818),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15816),
  [5783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23505),
  [5785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [5787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6854),
  [5789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6746),
  [5795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16244),
  [5797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17434),
  [5799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5361),
  [5801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4636),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23328),
  [5805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18292),
  [5807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18807),
  [5809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [5811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22363),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15668),
  [5815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14761),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6549),
  [5819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20070),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2947),
  [5823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6177),
  [5826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20306),
  [5829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(163),
  [5832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1744),
  [5835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6166),
  [5838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4055),
  [5841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12660),
  [5844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1796),
  [5847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16377),
  [5850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16738),
  [5853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(332),
  [5856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6128),
  [5859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18222),
  [5862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18774),
  [5865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6165),
  [5868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15691),
  [5871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14746),
  [5874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5769),
  [5877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6133),
  [5880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20146),
  [5883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6376),
  [5886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20267),
  [5889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(179),
  [5892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2025),
  [5895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6311),
  [5898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3900),
  [5901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12706),
  [5904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2034),
  [5907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16526),
  [5910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16774),
  [5913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(310),
  [5916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6366),
  [5919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18359),
  [5922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18859),
  [5925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6320),
  [5928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15770),
  [5931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14591),
  [5934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5705),
  [5937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6361),
  [5940] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19931),
  [5943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12427),
  [5945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20118),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9704),
  [5951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20198),
  [5953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3522),
  [5955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14457),
  [5957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23599),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15957),
  [5961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [5963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17097),
  [5965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17367),
  [5967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22376),
  [5969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3418),
  [5973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21890),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6261),
  [5977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17731),
  [5979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18647),
  [5981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [5983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20079),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15847),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14554),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21866),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20178),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6963),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2916),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4993),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6892),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16087),
  [6005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17573),
  [6007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [6009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [6011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20988),
  [6013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18373),
  [6015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18878),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21753),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15789),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14661),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [6027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20322),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12195),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23548),
  [6033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17638),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22846),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20792),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16171),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23570),
  [6043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17319),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23459),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22680),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10636),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23581),
  [6053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17025),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21985),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21458),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8839),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23574),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17631),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22330),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21974),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23588),
  [6075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17053),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23640),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23081),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9528),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23608),
  [6085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17113),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22268),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22166),
  [6091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17199),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20609),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [6099] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6501),
  [6102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19717),
  [6105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(209),
  [6108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1730),
  [6111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6566),
  [6114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3895),
  [6117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12695),
  [6120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1731),
  [6123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16322),
  [6126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16783),
  [6129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(320),
  [6132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6526),
  [6135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19018),
  [6138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18618),
  [6141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6459),
  [6144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15821),
  [6147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14590),
  [6150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5425),
  [6153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6550),
  [6156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19322),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6960),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20340),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15815),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22615),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5463),
  [6169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6450),
  [6172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19764),
  [6175] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(232),
  [6178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1943),
  [6181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6502),
  [6184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3831),
  [6187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12615),
  [6190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1944),
  [6193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16395),
  [6196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16779),
  [6199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(291),
  [6202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6520),
  [6205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18524),
  [6208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18979),
  [6211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6521),
  [6214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15767),
  [6217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14894),
  [6220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5467),
  [6223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6477),
  [6226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19121),
  [6229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7076),
  [6231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19947),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15830),
  [6235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22430),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [6239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21613),
  [6241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6607),
  [6244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19818),
  [6247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(181),
  [6250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2081),
  [6253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6617),
  [6256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3920),
  [6259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12317),
  [6262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2082),
  [6265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16544),
  [6268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16784),
  [6271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(284),
  [6274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6640),
  [6277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18365),
  [6280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18866),
  [6283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6618),
  [6286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15788),
  [6289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14601),
  [6292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5452),
  [6295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6628),
  [6298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20048),
  [6301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7531),
  [6303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20195),
  [6305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15704),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21414),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7857),
  [6313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20078),
  [6315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15833),
  [6317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20798),
  [6319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [6321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6960),
  [6324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20340),
  [6327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(230),
  [6330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1929),
  [6333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6996),
  [6336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3794),
  [6339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12592),
  [6342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1930),
  [6345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16387),
  [6348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16760),
  [6351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(288),
  [6354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7007),
  [6357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18522),
  [6360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18978),
  [6363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6997),
  [6366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15764),
  [6369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14597),
  [6372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5462),
  [6375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(6949),
  [6378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19112),
  [6381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7655),
  [6383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20332),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15781),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22030),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [6391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7889),
  [6393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19496),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15844),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21504),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5687),
  [6401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7758),
  [6403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20388),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15797),
  [6407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21232),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [6411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7996),
  [6413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19845),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15716),
  [6417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22218),
  [6419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5747),
  [6421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8074),
  [6423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20115),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15689),
  [6427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22381),
  [6429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [6431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12235),
  [6433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20066),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [6437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [6439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5130),
  [6441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23576),
  [6443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15977),
  [6445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16966),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20533),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [6451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22881),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20129),
  [6459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8411),
  [6461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19914),
  [6463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15708),
  [6465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21466),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [6471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23579),
  [6473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16997),
  [6475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21452),
  [6477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20846),
  [6479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8404),
  [6481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19646),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15718),
  [6485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23115),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23589),
  [6493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17072),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21757),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23305),
  [6499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12249),
  [6501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 1, 0, 7),
  [6503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 1, 0, 7),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17923),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [6515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [6519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12181),
  [6521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9229),
  [6523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16204),
  [6525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17565),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16991),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [6531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3553),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23194),
  [6535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17952),
  [6537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17841),
  [6539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18682),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12179),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23254),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15753),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14539),
  [6549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8417),
  [6551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19129),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15678),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22470),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [6559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7076),
  [6562] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19947),
  [6565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(177),
  [6568] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1945),
  [6571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7114),
  [6574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3881),
  [6577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12558),
  [6580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1947),
  [6583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16507),
  [6586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16755),
  [6589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(304),
  [6592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7105),
  [6595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18354),
  [6598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18852),
  [6601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7115),
  [6604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15807),
  [6607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14577),
  [6610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5805),
  [6613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7116),
  [6616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19835),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23482),
  [6623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17207),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20491),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20709),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10210),
  [6631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [6633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8192),
  [6635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19589),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15676),
  [6639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20970),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10453),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [6651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17208),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23571),
  [6659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17471),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20860),
  [6663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20518),
  [6665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8640),
  [6667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20343),
  [6669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15671),
  [6671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23053),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [6675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7531),
  [6678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20195),
  [6681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(226),
  [6684] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1899),
  [6687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7363),
  [6690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3735),
  [6693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12564),
  [6696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1901),
  [6699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16374),
  [6702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16724),
  [6705] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(282),
  [6708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7397),
  [6711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18520),
  [6714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18977),
  [6717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7365),
  [6720] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15751),
  [6723] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14555),
  [6726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5454),
  [6729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7481),
  [6732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19088),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10465),
  [6737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [6739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5661),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17391),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [6747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_application, 2, 0, 78),
  [6749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [6751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_application, 2, 0, 78),
  [6753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20156),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [6757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7219),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3938),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12300),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16557),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16797),
  [6771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [6775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18382),
  [6777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18883),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15858),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14679),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [6787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20308),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [6793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_expression, 1, 0, 0),
  [6795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_expression, 1, 0, 0),
  [6797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20278),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [6801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [6803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12454),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16323),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16776),
  [6815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7353),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18506),
  [6821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18967),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15845),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14511),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19676),
  [6835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7354),
  [6838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20156),
  [6841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(183),
  [6844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1756),
  [6847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7219),
  [6850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3938),
  [6853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12300),
  [6856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1758),
  [6859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16557),
  [6862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16797),
  [6865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(292),
  [6868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7492),
  [6871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18382),
  [6874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18883),
  [6877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7220),
  [6880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15858),
  [6883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14679),
  [6886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5554),
  [6889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7361),
  [6892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20308),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10459),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5788),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5789),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16955),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [6907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7227),
  [6909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19314),
  [6911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7205),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12535),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16351),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16826),
  [6927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [6931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18514),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18974),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15711),
  [6939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14945),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5435),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20346),
  [6947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7374),
  [6950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20278),
  [6953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(213),
  [6956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1816),
  [6959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7359),
  [6962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3833),
  [6965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12454),
  [6968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1817),
  [6971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16323),
  [6974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16776),
  [6977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(326),
  [6980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7353),
  [6983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18506),
  [6986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18967),
  [6989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7524),
  [6992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15845),
  [6995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14511),
  [6998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5416),
  [7001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7217),
  [7004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19676),
  [7007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7227),
  [7010] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19314),
  [7013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(219),
  [7016] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1859),
  [7019] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7205),
  [7022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4050),
  [7025] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12535),
  [7028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1860),
  [7031] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16351),
  [7034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16826),
  [7037] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(330),
  [7040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7222),
  [7043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18514),
  [7046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18974),
  [7049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7311),
  [7052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15711),
  [7055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14945),
  [7058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5435),
  [7061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7204),
  [7064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20346),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10436),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [7071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7655),
  [7074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20332),
  [7077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(175),
  [7080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1806),
  [7083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8119),
  [7086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3851),
  [7089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12405),
  [7092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1807),
  [7095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16494),
  [7098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16741),
  [7101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(328),
  [7104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7646),
  [7107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18348),
  [7110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18846),
  [7113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8121),
  [7116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15746),
  [7119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14560),
  [7122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5797),
  [7125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7882),
  [7128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19757),
  [7131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7758),
  [7134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20388),
  [7137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(187),
  [7140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1884),
  [7143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7654),
  [7146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3998),
  [7149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12387),
  [7152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1887),
  [7155] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16585),
  [7158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16828),
  [7161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(312),
  [7164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8101),
  [7167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18398),
  [7170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18893),
  [7173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7656),
  [7176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15721),
  [7179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14703),
  [7182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5669),
  [7185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7788),
  [7188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19819),
  [7191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7889),
  [7194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19496),
  [7197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(189),
  [7200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1957),
  [7203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7712),
  [7206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4040),
  [7209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12567),
  [7212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1958),
  [7215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16602),
  [7218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16842),
  [7221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(323),
  [7224] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7603),
  [7227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18408),
  [7230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18897),
  [7233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7713),
  [7236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15744),
  [7239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14726),
  [7242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5686),
  [7245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7839),
  [7248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19919),
  [7251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7996),
  [7254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19845),
  [7257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(193),
  [7260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2047),
  [7263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7785),
  [7266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3852),
  [7269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12304),
  [7272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2048),
  [7275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16623),
  [7278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16869),
  [7281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(290),
  [7284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7919),
  [7287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18427),
  [7290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18908),
  [7293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7786),
  [7296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15784),
  [7299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14949),
  [7302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5745),
  [7305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7903),
  [7308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19437),
  [7311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8074),
  [7314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20115),
  [7317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(196),
  [7320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2083),
  [7323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7835),
  [7326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3778),
  [7329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12320),
  [7332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2084),
  [7335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16647),
  [7338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16879),
  [7341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(315),
  [7344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8120),
  [7347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18436),
  [7350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18912),
  [7353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7837),
  [7356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15806),
  [7359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14765),
  [7362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5784),
  [7365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7937),
  [7368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19356),
  [7371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7857),
  [7374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20078),
  [7377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(223),
  [7380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1885),
  [7383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7817),
  [7386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4023),
  [7389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12553),
  [7392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1886),
  [7395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16367),
  [7398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16905),
  [7401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(314),
  [7404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7935),
  [7407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18518),
  [7410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18976),
  [7413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7821),
  [7416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15733),
  [7419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14885),
  [7422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5449),
  [7425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(7870),
  [7428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19067),
  [7431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8443),
  [7433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19776),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8487),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3769),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12441),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [7447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16381),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16743),
  [7451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [7455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18502),
  [7457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18963),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15763),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14513),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19104),
  [7471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8483),
  [7474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20053),
  [7477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(238),
  [7480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1980),
  [7483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8693),
  [7486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3891),
  [7489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12633),
  [7492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1981),
  [7495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16414),
  [7498] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16835),
  [7501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(300),
  [7504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8221),
  [7507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18530),
  [7510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18982),
  [7513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8699),
  [7516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15774),
  [7519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14622),
  [7522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5479),
  [7525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8339),
  [7528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19152),
  [7531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8417),
  [7534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19129),
  [7537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(154),
  [7540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2051),
  [7543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8314),
  [7546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3873),
  [7549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12581),
  [7552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2052),
  [7555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16646),
  [7558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16877),
  [7561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(298),
  [7564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8609),
  [7567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18017),
  [7570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18722),
  [7573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8317),
  [7576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15729),
  [7579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14939),
  [7582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5499),
  [7585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8214),
  [7588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19873),
  [7591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8483),
  [7593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20053),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [7597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [7599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8693),
  [7601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3891),
  [7603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12633),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [7607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16414),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16835),
  [7611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [7615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18530),
  [7617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18982),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15774),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14622),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19152),
  [7631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8192),
  [7634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19589),
  [7637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(252),
  [7640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2079),
  [7643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8727),
  [7646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(4006),
  [7649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12541),
  [7652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1830),
  [7655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16470),
  [7658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16718),
  [7661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(329),
  [7664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8577),
  [7667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(17925),
  [7670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18704),
  [7673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8267),
  [7676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15874),
  [7679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14573),
  [7682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5626),
  [7685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8365),
  [7688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20271),
  [7691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8443),
  [7694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19776),
  [7697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(228),
  [7700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1914),
  [7703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8487),
  [7706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3769),
  [7709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12441),
  [7712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1915),
  [7715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16381),
  [7718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16743),
  [7721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(285),
  [7724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8521),
  [7727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18502),
  [7730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18963),
  [7733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8164),
  [7736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15763),
  [7739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14513),
  [7742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5458),
  [7745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8171),
  [7748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19104),
  [7751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8404),
  [7754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19646),
  [7757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(249),
  [7760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1727),
  [7763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8619),
  [7766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3903),
  [7769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12355),
  [7772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1736),
  [7775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16375),
  [7778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16728),
  [7781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(325),
  [7784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8129),
  [7787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(17887),
  [7790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18692),
  [7793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8204),
  [7796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15840),
  [7799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14732),
  [7802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5682),
  [7805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8383),
  [7808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20209),
  [7811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8411),
  [7814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19914),
  [7817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(173),
  [7820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2078),
  [7823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8246),
  [7826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3822),
  [7829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12644),
  [7832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(2080),
  [7835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16481),
  [7838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16730),
  [7841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(317),
  [7844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8437),
  [7847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18343),
  [7850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18842),
  [7853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8253),
  [7856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15698),
  [7859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14542),
  [7862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5762),
  [7865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8330),
  [7868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19675),
  [7871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8640),
  [7874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(20343),
  [7877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(153),
  [7880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1896),
  [7883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8584),
  [7886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3744),
  [7889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12575),
  [7892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1900),
  [7895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16524),
  [7898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16767),
  [7901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(316),
  [7904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8155),
  [7907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(17962),
  [7910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18711),
  [7913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8613),
  [7916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15852),
  [7919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14562),
  [7922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5473),
  [7925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(8620),
  [7928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19673),
  [7931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20118),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [7937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17367),
  [7941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21899),
  [7943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 153),
  [7945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8825),
  [7947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 153),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17840),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [7955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [7957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8832),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [7961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16268),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17041),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21139),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18443),
  [7971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18167),
  [7973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18759),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8833),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22830),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15859),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14901),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19557),
  [7987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(9529),
  [7990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19737),
  [7993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(169),
  [7996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1768),
  [7999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(9667),
  [8002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3783),
  [8005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12476),
  [8008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1781),
  [8011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16463),
  [8014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16713),
  [8017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(293),
  [8020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(9705),
  [8023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18205),
  [8026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18769),
  [8029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(9669),
  [8032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15867),
  [8035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14817),
  [8038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5540),
  [8041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(9723),
  [8044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19157),
  [8047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 1, 0, 19),
  [8049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 1, 0, 19),
  [8051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11352),
  [8053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 36),
  [8055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 36),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [8059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 19),
  [8061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 19),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [8065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 36),
  [8067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 36),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11364),
  [8071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 105),
  [8073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 105),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [8077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 105),
  [8079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 105),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11371),
  [8083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 153),
  [8085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 153),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11372),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11375),
  [8091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 185),
  [8093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 185),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11376),
  [8097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 185),
  [8099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 185),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11379),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11583),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11456),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11495),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11501),
  [8113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9529),
  [8115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19737),
  [8117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [8119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [8121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9667),
  [8123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3783),
  [8125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12476),
  [8127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [8129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16463),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16713),
  [8133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [8135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9705),
  [8137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18205),
  [8139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18769),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15867),
  [8145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14817),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19157),
  [8153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9200),
  [8155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11461),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19001),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [8161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3540),
  [8163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8948),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [8167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16259),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16963),
  [8171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [8173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21747),
  [8175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18368),
  [8177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18871),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20547),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15710),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14636),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20170),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11385),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11543),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11590),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11467),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11548),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11441),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11644),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11646),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11472),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11460),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11552),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [8217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9571),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11615),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17994),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [8225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3452),
  [8227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9520),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [8231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16086),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17578),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [8237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20510),
  [8239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18512),
  [8241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18973),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9521),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22542),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15701),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14938),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20264),
  [8255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [8257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [8259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6332),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21899),
  [8263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9451),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11504),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18940),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [8271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [8273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9666),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [8277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16108),
  [8279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17278),
  [8281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [8283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22529),
  [8285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18462),
  [8287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18928),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20989),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15856),
  [8295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14804),
  [8297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [8299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20021),
  [8301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11452),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11545),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11740),
  [8309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10699),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2925),
  [8313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5289),
  [8315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10514),
  [8317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15956),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17138),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [8323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [8325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22827),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18104),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18740),
  [8331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10529),
  [8333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20777),
  [8335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15828),
  [8337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14813),
  [8339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10208),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19857),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11609),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11492),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11505),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11508),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11509),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11616),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11619),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11620),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11599),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11625),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11569),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11478),
  [8371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [8373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8825),
  [8376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [8378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17840),
  [8381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2876),
  [8384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3546),
  [8387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8832),
  [8390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16268),
  [8393] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17041),
  [8396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3547),
  [8399] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21139),
  [8402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18167),
  [8405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18759),
  [8408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8833),
  [8411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(22830),
  [8414] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15859),
  [8417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14901),
  [8420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8445),
  [8423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19557),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [8428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16657),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [8432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3472),
  [8434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16166),
  [8436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16217),
  [8438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [8440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17369),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [8444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [8446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20775),
  [8448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6342),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18082),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18732),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16167),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21537),
  [8458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15812),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14733),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10865),
  [8464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19668),
  [8466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9200),
  [8469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19001),
  [8472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2877),
  [8475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3540),
  [8478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8948),
  [8481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16259),
  [8484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16963),
  [8487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3541),
  [8490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21747),
  [8493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18368),
  [8496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18871),
  [8499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8949),
  [8502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20547),
  [8505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15710),
  [8508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14636),
  [8511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8779),
  [8514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20170),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [8519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5129),
  [8521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15707),
  [8523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16482),
  [8525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13153),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17938),
  [8529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9451),
  [8532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18940),
  [8535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2870),
  [8538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3431),
  [8541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9666),
  [8544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16108),
  [8547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17278),
  [8550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3432),
  [8553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(22529),
  [8556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18462),
  [8559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18928),
  [8562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9668),
  [8565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20989),
  [8568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15856),
  [8571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14804),
  [8574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9223),
  [8577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20021),
  [8580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5352),
  [8582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18405),
  [8584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18558),
  [8586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [8588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18904),
  [8590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [8592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [8600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [8602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [8606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [8610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [8612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [8618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [8620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [8622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [8624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [8626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3463),
  [8628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [8630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [8632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [8634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18292),
  [8636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18807),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [8646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9571),
  [8649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17994),
  [8652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2878),
  [8655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3452),
  [8658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9520),
  [8661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16086),
  [8664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17578),
  [8667] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3453),
  [8670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20510),
  [8673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18512),
  [8676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18973),
  [8679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9521),
  [8682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(22542),
  [8685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15701),
  [8688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14938),
  [8691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9287),
  [8694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20264),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [8713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [8715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3501),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3508),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3466),
  [8723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10500),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18563),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [8731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3510),
  [8733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10631),
  [8735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [8737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16032),
  [8739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 2, 0, 39),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17605),
  [8743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [8745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20546),
  [8747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 2, 0, 39),
  [8749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18327),
  [8751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18827),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10632),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23329),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15758),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14882),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19288),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [8767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 39),
  [8769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 39),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [8773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 79),
  [8775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 79),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [8779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 121),
  [8781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 121),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [8785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 121),
  [8787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 121),
  [8789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15588),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [8793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [8797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 79),
  [8799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 79),
  [8801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14356),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15221),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20849),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10061),
  [8809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14215),
  [8811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9350),
  [8813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 1, 0, 0),
  [8815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15693),
  [8817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16303),
  [8819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12207),
  [8821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16041),
  [8823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16534),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [8829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10975),
  [8831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17228),
  [8833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18187),
  [8835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18764),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20331),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9638),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15517),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8961),
  [8849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16503),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [8853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5195),
  [8855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16189),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [8859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19107),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16535),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12134),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10430),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5743),
  [8881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17432),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5744),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17736),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17841),
  [8889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18682),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9588),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9635),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9637),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9656),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12126),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [8913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9683),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9684),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9697),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [8925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16479),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16480),
  [8931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11026),
  [8933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19171),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [8937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [8939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11045),
  [8941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3973),
  [8943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12611),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [8947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16572),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16808),
  [8951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10933),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18321),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18823),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11046),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15688),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14689),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16706),
  [8969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16532),
  [8971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16552),
  [8973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16554),
  [8975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(11026),
  [8978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19171),
  [8981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(185),
  [8984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1819),
  [8987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(11045),
  [8990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(3973),
  [8993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(12611),
  [8996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(1820),
  [8999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16572),
  [9002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(16808),
  [9005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(299),
  [9008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(10933),
  [9011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18321),
  [9014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(18823),
  [9017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(11046),
  [9020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(15688),
  [9023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(14689),
  [9026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(5607),
  [9029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(9770),
  [9032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 47), SHIFT_REPEAT(19107),
  [9035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [9037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [9039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12260),
  [9041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10560),
  [9043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15441),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15442),
  [9049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10634),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12173),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8939),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15472),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15490),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [9065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [9067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [9069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12281),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15467),
  [9079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15475),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12199),
  [9083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12114),
  [9085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 1, 0, 17),
  [9087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 1, 0, 17),
  [9089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 6, 0, 173),
  [9091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 6, 0, 173),
  [9093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_get_expression, 3, 0, 44),
  [9095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_get_expression, 3, 0, 44),
  [9097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10500),
  [9100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18563),
  [9103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2874),
  [9106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3510),
  [9109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10631),
  [9112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16032),
  [9115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17605),
  [9118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3511),
  [9121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20546),
  [9124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18327),
  [9127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18827),
  [9130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10632),
  [9133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(23329),
  [9136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15758),
  [9139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14882),
  [9142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10247),
  [9145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19288),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19718),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19605),
  [9152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 3, 0, 63),
  [9154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 3, 0, 63),
  [9156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 1),
  [9158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 1),
  [9160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__instance_variable_name, 1, 0, 2),
  [9162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [9164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [9166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [9168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 5, 0, 127),
  [9170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 5, 0, 127),
  [9172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 5, 0, 128),
  [9174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 5, 0, 128),
  [9176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 5, 0, 127),
  [9178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 5, 0, 127),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19653),
  [9182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 6, 0, 173),
  [9184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 6, 0, 173),
  [9186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 6, 0, 174),
  [9188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 6, 0, 174),
  [9190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [9192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [9194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 5, 0, 110),
  [9196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 5, 0, 110),
  [9198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 4, 0, 0),
  [9200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 4, 0, 0),
  [9202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 3, 0, 0),
  [9204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 3, 0, 0),
  [9206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15878),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [9210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [9212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4073),
  [9214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12694),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [9218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16614),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16859),
  [9222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19763),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15699),
  [9234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [9236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [9238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 4, 0, 0),
  [9240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 4, 0, 0),
  [9242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 3, 0, 82),
  [9244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 3, 0, 82),
  [9246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [9248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [9250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 158),
  [9252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 158),
  [9254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2584),
  [9256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [9258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [9260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [9262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [9264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 158),
  [9266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 158),
  [9268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 3, 0, 0),
  [9270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 3, 0, 0),
  [9272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [9274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [9276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 3, 0, 0),
  [9278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 3, 0, 0),
  [9280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 7, 0, 96),
  [9282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 7, 0, 96),
  [9284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [9286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [9288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [9290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [9292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 170),
  [9294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 170),
  [9296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 42),
  [9298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 42),
  [9300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [9302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [9304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [9306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [9308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 88),
  [9310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 88),
  [9312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [9314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [9316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 69),
  [9318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 69),
  [9320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2648),
  [9322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 197),
  [9324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 197),
  [9326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 170),
  [9328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 170),
  [9330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 3, 0, 0),
  [9332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 3, 0, 0),
  [9334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [9336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [9338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 5, 0, 89),
  [9340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 5, 0, 89),
  [9342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [9344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [9346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 8, 0, 197),
  [9348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 8, 0, 197),
  [9350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 5, 0, 0),
  [9352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 5, 0, 0),
  [9354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 96),
  [9356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 96),
  [9358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 3, 0, 45),
  [9360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 3, 0, 45),
  [9362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [9364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [9366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 0),
  [9368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 0),
  [9370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [9372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [9374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 110),
  [9376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 110),
  [9378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 4, 0, 55),
  [9380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 4, 0, 55),
  [9382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 0),
  [9384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 0),
  [9386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [9388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [9390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_expression, 3, 0, 46),
  [9392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_expression, 3, 0, 46),
  [9394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant, 1, 0, 0),
  [9396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant, 1, 0, 0),
  [9398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 23),
  [9400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 23),
  [9402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [9404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [9406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5341),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18373),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18878),
  [9412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 3, 0, 26),
  [9414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 3, 0, 26),
  [9416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 2, 0, 0),
  [9418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 2, 0, 0),
  [9420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [9422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [9424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 3, 0, 42),
  [9426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 3, 0, 42),
  [9428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 1, 0, 19),
  [9430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 1, 0, 19),
  [9432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [9434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [9436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [9438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [9440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2495),
  [9442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 5, 0, 129),
  [9444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 5, 0, 129),
  [9446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 6, 0, 138),
  [9448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 6, 0, 138),
  [9450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [9452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [9454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 4, 0, 34),
  [9456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 4, 0, 34),
  [9458] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [9460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [9462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 2, 0, 0),
  [9464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 2, 0, 0),
  [9466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 6, 0, 139),
  [9468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 6, 0, 139),
  [9470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 6, 0, 96),
  [9472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 6, 0, 96),
  [9474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 4, 0, 56),
  [9476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 4, 0, 56),
  [9478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 4, 0, 0),
  [9480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 4, 0, 0),
  [9482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 4, 0, 0),
  [9484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 4, 0, 0),
  [9486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [9488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [9490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 3, 0, 0),
  [9492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 3, 0, 0),
  [9494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [9496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 0),
  [9498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 0),
  [9500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 2, 0, 0),
  [9502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 2, 0, 0),
  [9504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18242),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18779),
  [9510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 0),
  [9512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 0),
  [9514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [9516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [9518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 1, 0, 4),
  [9520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 1, 0, 4),
  [9522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 1, 0, 3),
  [9524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [9526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [9528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 22),
  [9530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 22),
  [9532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 1, 0, 0),
  [9534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 1, 0, 0),
  [9536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [9538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 21),
  [9540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 21),
  [9542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 3, 0, 49),
  [9544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [9546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [9550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [9552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [9554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [9562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [9564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [9566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9004),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [9570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9377),
  [9574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [9576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12563),
  [9578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [9580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16582),
  [9582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16825),
  [9584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9283),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17992),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18716),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17984),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9378),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15831),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14759),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5695),
  [9602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [9604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19795),
  [9606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5219),
  [9608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8886),
  [9610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [9612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8733),
  [9614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [9616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [9618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18126),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18745),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15709),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14884),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [9630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 2, 0, 13),
  [9632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 2, 0, 13),
  [9634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5466),
  [9636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5068),
  [9638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5503),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15832),
  [9642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [9644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16688),
  [9648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 87),
  [9650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 5, 0, 87),
  [9652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9194),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [9656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [9658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9011),
  [9660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [9662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12656),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [9666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16412),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [9670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18255),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18787),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15869),
  [9682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14635),
  [9684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19445),
  [9690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5233),
  [9692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [9694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11734),
  [9696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [9698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [9700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11522),
  [9702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4063),
  [9704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12291),
  [9706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [9708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16613),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16857),
  [9712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11651),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18421),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18901),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11523),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15760),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14738),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5698),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11453),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19883),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [9734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5326),
  [9736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [9738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9203),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [9742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [9744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8924),
  [9746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3889),
  [9748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12386),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [9752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16679),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16903),
  [9756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18475),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18939),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15692),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14839),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19749),
  [9776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5515),
  [9778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [9780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6927),
  [9794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [9800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [9802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15786),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15849),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15772),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15824),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15679),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15754),
  [9816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16579),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16580),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16684),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16686),
  [9830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16342),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16346),
  [9836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5526),
  [9838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10710),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10682),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10674),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10688),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10707),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [9856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5496),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [9870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5530),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6787),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18506),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18967),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18514),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18974),
  [9892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18502),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18963),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18530),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18982),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19711),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19594),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18205),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18769),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18382),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18883),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19336),
  [9916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20286),
  [9920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5470),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20128),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19767),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20152),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20217),
  [9930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [9932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5685),
  [9934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [9936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5795),
  [9938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5838),
  [9940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5592),
  [9942] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12249),
  [9945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17923),
  [9948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2872),
  [9951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3513),
  [9954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12181),
  [9957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16204),
  [9960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16991),
  [9963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3553),
  [9966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(23194),
  [9969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17841),
  [9972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18682),
  [9975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(12179),
  [9978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(23254),
  [9981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15753),
  [9984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14539),
  [9987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10116),
  [9990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20129),
  [9993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [9995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [9997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19708),
  [9999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10209),
  [10001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [10003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [10005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [10007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10442),
  [10009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [10011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [10013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [10015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [10017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [10019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10457),
  [10021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [10023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [10025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [10027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19708),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10463),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10469),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11763),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [10042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23254),
  [10044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [10228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [10252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [10254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [10256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(6129),
  [10259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [10261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [10263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [10265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [10267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11603),
  [10269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11535),
  [10271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11388),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11475),
  [10275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(6382),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11432),
  [10280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11484),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [10286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [10288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [10290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2117),
  [10292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression_anonymous, 4, 0, 0),
  [10294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression_anonymous, 4, 0, 0),
  [10296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 6),
  [10298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 6),
  [10300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2632),
  [10302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression_anonymous, 3, 0, 0),
  [10304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression_anonymous, 3, 0, 0),
  [10306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5440),
  [10308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 2, 0, 13),
  [10310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 2, 0, 13),
  [10312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7077),
  [10314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [10316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signed_number, 2, 0, 0),
  [10318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signed_number, 2, 0, 0),
  [10320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [10322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14155),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14060),
  [10328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 131),
  [10330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 131),
  [10332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [10334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [10336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 132),
  [10338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 132),
  [10340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 4, 0, 83),
  [10342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 4, 0, 83),
  [10344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [10346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [10348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [10350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [10352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 50),
  [10354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 50),
  [10356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 3, 0, 50),
  [10358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 3, 0, 50),
  [10360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 9),
  [10362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 9),
  [10364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 5, 0, 87),
  [10366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_binding_pattern, 5, 0, 87),
  [10368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_binding_pattern, 1, 0, 10),
  [10370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_binding_pattern, 1, 0, 10),
  [10372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_binding_pattern, 1, 0, 11),
  [10374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_binding_pattern, 1, 0, 11),
  [10376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [10378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [10380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 8),
  [10382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 8),
  [10384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [10386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [10388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 137),
  [10390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 137),
  [10392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_binding_pattern, 1, 0, 12),
  [10394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_binding_pattern, 1, 0, 12),
  [10396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [10398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [10400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 1, 0, 16),
  [10402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 1, 0, 16),
  [10404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [10406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [10408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [10410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [10412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 25),
  [10414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 25),
  [10416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [10418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [10420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [10422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [10424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 4, 0, 49),
  [10426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 4, 0, 49),
  [10428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding_pattern, 4, 0, 84),
  [10430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding_pattern, 4, 0, 84),
  [10432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [10434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [10436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [10438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [10440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [10442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14128),
  [10446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [10448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [10450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [10452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [10454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [10456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [10458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 50),
  [10460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 50),
  [10462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_binding_pattern, 3, 0, 0),
  [10464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_binding_pattern, 3, 0, 0),
  [10466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 25),
  [10468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 25),
  [10470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_binding_pattern, 2, 0, 25),
  [10472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_binding_pattern, 2, 0, 25),
  [10474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7065),
  [10476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7057),
  [10478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 6, 0, 175),
  [10480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 6, 0, 175),
  [10482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [10484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [10486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [10488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 3, 0, 61),
  [10490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 3, 0, 61),
  [10492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__or_binding_pattern_anonymous, 3, 0, 0),
  [10494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__or_binding_pattern_anonymous, 3, 0, 0),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [10498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_binding_pattern, 3, 0, 54),
  [10500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_binding_pattern, 3, 0, 54),
  [10502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_binding_pattern, 3, 0, 48),
  [10504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_binding_pattern, 3, 0, 48),
  [10506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 48),
  [10508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 48),
  [10510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7154),
  [10512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5654),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13995),
  [10516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [10518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [10520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2808),
  [10522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [10524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [10526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2943),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20329),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [10538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [10540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15657),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [10544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16195),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19303),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [10550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18512),
  [10552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18973),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2944),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18368),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18871),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18167),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18759),
  [10568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [10570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18462),
  [10572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18928),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [10576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18327),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18827),
  [10580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [10582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [10584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [10586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [10588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11232),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9783),
  [10592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8052),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12486),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11647),
  [10598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9023),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12603),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18643),
  [10604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [10606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [10608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11033),
  [10610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17299),
  [10612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18484),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18947),
  [10616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19697),
  [10620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11107),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [10624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7878),
  [10626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12272),
  [10628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11312),
  [10630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9020),
  [10632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12242),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10999),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17623),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18276),
  [10644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18797),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20162),
  [10648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [10650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8078),
  [10652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15672),
  [10656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [10658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22157),
  [10660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [10662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11796),
  [10664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [10666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7951),
  [10668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13216),
  [10670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12234),
  [10672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9028),
  [10674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13139),
  [10676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9249),
  [10680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10956),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17644),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18497),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18959),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20004),
  [10690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15778),
  [10694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20578),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [10698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8001),
  [10700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13252),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7691),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12140),
  [10706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11791),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9821),
  [10710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7771),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12237),
  [10716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9029),
  [10718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13046),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [10724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11092),
  [10726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16988),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18526),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18980),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20243),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15817),
  [10736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23553),
  [10738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5417),
  [10740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5482),
  [10742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7602),
  [10744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13065),
  [10746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13077),
  [10748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [10750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12263),
  [10752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5783),
  [10754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13053),
  [10756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [10758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [10760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12157),
  [10762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [10764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [10766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13241),
  [10768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13137),
  [10770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [10772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [10774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [10776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [10778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [10780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [10782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [10784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_value_pattern, 1, 0, 20),
  [10786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_value_pattern, 1, 0, 20),
  [10788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [10792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15759),
  [10794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [10796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [10798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [10800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15702),
  [10802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22016),
  [10804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [10806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [10808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [10810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_class_expression, 4, 0, 163),
  [10812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_class_expression, 4, 0, 163),
  [10814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2313),
  [10816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [10818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [10820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21081),
  [10822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [10824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [10826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5478),
  [10828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [10830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [10832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [10834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [10836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [10838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [10840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [10842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [10844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [10846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5392),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [10850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [10852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [10854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5406),
  [10856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [10858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [10860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [10862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 7),
  [10864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 1, 0, 7),
  [10866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 2, 0, 21),
  [10868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 2, 0, 21),
  [10870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15703),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23757),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [10876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 2, 0, 21),
  [10878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 2, 0, 21),
  [10880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 25),
  [10882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2, 0, 25),
  [10884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 3, 0, 42),
  [10886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 3, 0, 42),
  [10888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 3, 0, 42),
  [10890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 3, 0, 42),
  [10892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [10894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [10896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element, 4, 0, 55),
  [10898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element, 4, 0, 55),
  [10900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 50),
  [10902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 50),
  [10904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 83),
  [10906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 83),
  [10908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 171),
  [10910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 5, 0, 171),
  [10912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 198),
  [10914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 6, 0, 198),
  [10916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 217),
  [10918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 7, 0, 217),
  [10920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 230),
  [10922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 8, 0, 230),
  [10924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 237),
  [10926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 9, 0, 237),
  [10928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [10930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [10932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [10934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [10936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5739),
  [10938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [10940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [10942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [10944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [10946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [10948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [10950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [10952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [10954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 3, 0, 50),
  [10956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 3, 0, 50),
  [10958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 4, 0, 84),
  [10960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 4, 0, 84),
  [10962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [10964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [10966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [10968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [10970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [10972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [10974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [10976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [10978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [10980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [10982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [10984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [10986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [10988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [10990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 5, 0, 137),
  [10992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 5, 0, 137),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14356),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12969),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18187),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18764),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11920),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9285),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14643),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13002),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9231),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12027),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [11024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5755),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9334),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12067),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15076),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5457),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [11038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12909),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [11042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10833),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9289),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11557),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15275),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15596),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [11058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [11060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [11062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11650),
  [11064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [11066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11111),
  [11068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [11072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12208),
  [11074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12683),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [11080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13196),
  [11082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13107),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [11088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10912),
  [11090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15682),
  [11092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23127),
  [11094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [11096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5696),
  [11098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15854),
  [11100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21233),
  [11102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [11104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5522),
  [11106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5644),
  [11108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5671),
  [11110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [11112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12593),
  [11114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15983),
  [11118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14065),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11862),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9279),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11211),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [11132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element, 2, 0, 13),
  [11134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5617),
  [11136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element, 2, 0, 13),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19170),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15855),
  [11142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21298),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5418),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12742),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [11152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [11154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [11158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14369),
  [11160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19324),
  [11162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21489),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14370),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15822),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14575),
  [11170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10516),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12046),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [11176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9628),
  [11178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [11182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [11184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [11186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [11188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9681),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9714),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9737),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [11196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10842),
  [11198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [11200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [11202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [11204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [11206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [11208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9434),
  [11210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [11212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [11216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9456),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9468),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9469),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9479),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9480),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9502),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [11236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9510),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [11242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9527),
  [11246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13675),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [11250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9239),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11182),
  [11258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17274),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18391),
  [11262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18889),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20181),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9535),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11191),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14694),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11516),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15239),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15587),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12887),
  [11290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19170),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12095),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11737),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12637),
  [11301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12928),
  [11303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [11305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9251),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10960),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17198),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18500),
  [11317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18961),
  [11319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20027),
  [11321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [11323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15986),
  [11325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12739),
  [11327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10075),
  [11329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9255),
  [11331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [11333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11171),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17328),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18528),
  [11341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18981),
  [11343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19210),
  [11345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13998),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15115),
  [11349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14629),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10119),
  [11353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9259),
  [11355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16993),
  [11363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18534),
  [11365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18984),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20293),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11940),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [11375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 6, 0, 172),
  [11377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 6, 0, 172),
  [11379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11586),
  [11381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20127),
  [11383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9280),
  [11385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14157),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18314),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18816),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15799),
  [11393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20560),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [11397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 41),
  [11399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 41),
  [11401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12546),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18532),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18983),
  [11407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_expression, 3, 0, 0),
  [11409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_expression, 3, 0, 0),
  [11411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 0),
  [11413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 0),
  [11415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 3, 0, 43),
  [11417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_expression, 3, 0, 43),
  [11419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_exception_expression, 4, 0, 51),
  [11421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_exception_expression, 4, 0, 51),
  [11423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_module_expression, 4, 0, 51),
  [11425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_module_expression, 4, 0, 51),
  [11427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_expression, 4, 0, 51),
  [11429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_expression, 4, 0, 51),
  [11431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [11433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [11435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 81),
  [11437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 81),
  [11439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 199),
  [11441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 199),
  [11443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, 0, 0),
  [11445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, 0, 0),
  [11447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8, 0, 218),
  [11449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 8, 0, 218),
  [11451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12032),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18490),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18953),
  [11457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 124),
  [11459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 124),
  [11461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 125),
  [11463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 125),
  [11465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5812),
  [11467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [11469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [11471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 3, 0, 52),
  [11473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 3, 0, 52),
  [11475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 21),
  [11477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, 0, 21),
  [11479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 4, 0, 51),
  [11481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 4, 0, 51),
  [11483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 41),
  [11485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 41),
  [11487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 21),
  [11489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, 0, 21),
  [11491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 2, 0, 0),
  [11493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 2, 0, 0),
  [11495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 81),
  [11497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 81),
  [11499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [11501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [11503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 5),
  [11505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 5),
  [11507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 42),
  [11509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, 0, 42),
  [11511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element, 5, 0, 87),
  [11513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element, 5, 0, 87),
  [11515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 4, 0, 86),
  [11517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 4, 0, 86),
  [11519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 42),
  [11521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5, 0, 42),
  [11523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5713),
  [11525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16297),
  [11527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19628),
  [11529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9228),
  [11531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12455),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18504),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18965),
  [11537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [11539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [11541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_operator, 1, 0, 0),
  [11543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 81),
  [11545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 81),
  [11547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [11549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 46),
  [11551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 46),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [11555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9866),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [11559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [11563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 41),
  [11565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 41),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [11569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__labeled_tuple_type, 3, 0, 0),
  [11571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__labeled_tuple_type, 3, 0, 0),
  [11573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 2, 0, 0),
  [11575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 2, 0, 0),
  [11577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_expression, 2, 0, 22),
  [11579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_expression, 2, 0, 22),
  [11581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [11583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 1, 0, 0),
  [11585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 1, 0, 0),
  [11587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3552),
  [11589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5491),
  [11591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [11593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [11595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [11599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [11601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 2, 0, 0),
  [11603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 2, 0, 0),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [11611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2197),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2198),
  [11615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [11617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [11619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [11623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_expression, 3, 0, 48),
  [11625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_expression, 3, 0, 48),
  [11627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [11629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [11631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [11633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [11637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_rhs, 3, 0, 0),
  [11639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type_rhs, 3, 0, 0),
  [11641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12058),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20786),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [11647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [11649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [11651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2739),
  [11653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [11659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2743),
  [11661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [11665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12186),
  [11667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_expression, 3, 0, 43),
  [11669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_expression, 3, 0, 43),
  [11671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [11673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then_clause, 2, 0, 21),
  [11675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then_clause, 2, 0, 21),
  [11677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 21),
  [11679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 21),
  [11681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [11683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 3, 0, 0),
  [11685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 3, 0, 0),
  [11687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3536),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [11691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3536),
  [11694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3486),
  [11697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12088),
  [11699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3552),
  [11702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12279),
  [11704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__proper_tuple_type, 3, 0, 0),
  [11706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__proper_tuple_type, 3, 0, 0),
  [11708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_type, 3, 0, 115),
  [11710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aliased_type, 3, 0, 115),
  [11712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [11714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [11716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 113),
  [11718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 113),
  [11720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_operator, 1, 0, 0),
  [11722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2486),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [11726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [11730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [11736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [11742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [11744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [11746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [11748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [11750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [11752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [11754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [11756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [11758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [11760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [11762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [11764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [11766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [11770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [11774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [11776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [11778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [11780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [11782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [11784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(119),
  [11786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [11788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [11790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [11792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [11794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [11796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2580),
  [11798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [11800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [11802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [11804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3502),
  [11807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2764),
  [11809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [11815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [11819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [11821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [11823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [11829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [11831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [11833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [11839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [11841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2177),
  [11847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [11849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [11851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3516),
  [11854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [11856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [11858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3433),
  [11861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5679),
  [11865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [11867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [11869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3533),
  [11871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3533),
  [11874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3562),
  [11876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3562),
  [11879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3429),
  [11881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3429),
  [11884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [11886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [11888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [11890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [11892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [11894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [11896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [11898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [11900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [11902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [11904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2760),
  [11906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12166),
  [11908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12142),
  [11910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [11912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 4, 0, 51),
  [11914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor, 4, 0, 51),
  [11916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13281),
  [11918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17797),
  [11920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18671),
  [11922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11332),
  [11924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10133),
  [11926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10197),
  [11928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9265),
  [11930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10964),
  [11936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17617),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18544),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18989),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19733),
  [11944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16338),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14498),
  [11950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15809),
  [11952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16300),
  [11954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13122),
  [11956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13767),
  [11958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16089),
  [11960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [11962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [11964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12201),
  [11966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [11968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [11970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [11972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [11974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [11978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [11980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [11982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [11984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15530),
  [11986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10144),
  [11988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10356),
  [11990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9269),
  [11992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [11994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [11996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11025),
  [11998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17060),
  [12000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18550),
  [12002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18992),
  [12004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19464),
  [12006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [12008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15215),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [12012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10259),
  [12014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9267),
  [12016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10989),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16989),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18548),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18991),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20300),
  [12030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12232),
  [12032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3926),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14405),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15727),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16137),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15984),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [12044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [12046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16176),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [12050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3477),
  [12052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3477),
  [12055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10800),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10151),
  [12059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10268),
  [12061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9276),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9277),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11143),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17220),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18556),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18995),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20345),
  [12077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12054),
  [12079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10761),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [12083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10199),
  [12085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9263),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10943),
  [12093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17673),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18540),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18987),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20235),
  [12101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12245),
  [12103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3467),
  [12105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3467),
  [12108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12203),
  [12110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [12112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3494),
  [12115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12073),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [12123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [12127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [12129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [12131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [12135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12087),
  [12137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [12139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12096),
  [12141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12105),
  [12143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12115),
  [12145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12124),
  [12147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [12149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(6129),
  [12152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(3926),
  [12155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16338),
  [12158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14405),
  [12161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15727),
  [12164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16137),
  [12167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13122),
  [12170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13767),
  [12173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15984),
  [12176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17907),
  [12179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(19013),
  [12182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(19022),
  [12185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5182),
  [12188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(19185),
  [12191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12133),
  [12193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12141),
  [12195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12148),
  [12197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12153),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [12201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10380),
  [12203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9248),
  [12205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [12207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(3838),
  [12210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14498),
  [12213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15809),
  [12216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16300),
  [12219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16089),
  [12222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5340),
  [12225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(19301),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10121),
  [12230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10485),
  [12232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9243),
  [12234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11286),
  [12236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10149),
  [12238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10240),
  [12240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9273),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [12244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11108),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17165),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18554),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18994),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20087),
  [12256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_of, 4, 0, 69),
  [12258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_of, 4, 0, 69),
  [12260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10052),
  [12262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10236),
  [12264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9226),
  [12266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [12268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12165),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10069),
  [12272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10475),
  [12274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9253),
  [12276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4000),
  [12279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(16176),
  [12282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5241),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15530),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11332),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [12299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [12305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [12307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2611),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [12313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [12315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3544),
  [12318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [12324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [12330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [12332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2524),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11286),
  [12340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12928),
  [12344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3448),
  [12346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3448),
  [12349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15215),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11232),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13675),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [12359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10800),
  [12361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14629),
  [12363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [12365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [12367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [12369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [12373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [12375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [12377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [12381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11796),
  [12387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [12389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(129),
  [12391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [12393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3519),
  [12395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3519),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [12404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11791),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [12414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [12416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [12418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [12420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [12422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [12424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [12426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [12428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [12430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [12432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 100),
  [12434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 100),
  [12436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 3, 0, 49),
  [12438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 101),
  [12440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 101),
  [12442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 1, 0, 3),
  [12444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [12446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [12448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [12450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [12452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [12454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [12456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3564),
  [12459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3455),
  [12461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7074),
  [12463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3455),
  [12466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [12468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 65),
  [12470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 65),
  [12472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [12474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3470),
  [12477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_expression, 1, 0, 0),
  [12479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_expression, 1, 0, 0),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23470),
  [12483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [12485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [12487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [12489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [12491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [12493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [12495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [12499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [12501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [12505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14015),
  [12509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_variable, 2, 0, 0),
  [12511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_variable, 2, 0, 0),
  [12513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 149),
  [12515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 149),
  [12517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [12519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 3, 0, 0),
  [12521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 3, 0, 0),
  [12523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [12525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [12527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type_rhs, 1, 0, 0),
  [12529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10798),
  [12531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type_rhs, 1, 0, 0),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17365),
  [12537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 2, 0, 35),
  [12539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 2, 0, 35),
  [12541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 69),
  [12543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 69),
  [12545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 7, 0, 202),
  [12547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 7, 0, 202),
  [12549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 4, 0, 102),
  [12551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 4, 0, 102),
  [12553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 2, 0, 18),
  [12555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 2, 0, 18),
  [12557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 6, 0, 181),
  [12559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 6, 0, 181),
  [12561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_type, 3, 0, 112),
  [12563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_type, 3, 0, 112),
  [12565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [12567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [12569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 5, 0, 150),
  [12571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 5, 0, 150),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14246),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15801),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16306),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12285),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16148),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16635),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11247),
  [12587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 3, 0, 70),
  [12589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 3, 0, 70),
  [12591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 2, 0, 0),
  [12593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 2, 0, 0),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16221),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10202),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [12601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [12603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17370),
  [12607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [12609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [12611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_module_expression, 4, 0, 103),
  [12613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_module_expression, 4, 0, 103),
  [12615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 34),
  [12617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 34),
  [12619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10988),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16982),
  [12623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11002),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17094),
  [12627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15221),
  [12630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(16338),
  [12633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14215),
  [12636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0),
  [12638] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15693),
  [12641] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(16303),
  [12644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13122),
  [12647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12207),
  [12650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(16041),
  [12653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(16534),
  [12656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(17907),
  [12659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(19013),
  [12662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(19022),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14215),
  [12667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 1, 0, 0),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15693),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16303),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16041),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16534),
  [12679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 34),
  [12681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 34),
  [12683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10916),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10428),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11267),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17093),
  [12691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14246),
  [12694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15801),
  [12697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(16306),
  [12700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12285),
  [12703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(16148),
  [12706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(16635),
  [12709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 2, 0, 18),
  [12711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 2, 0, 18),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11334),
  [12715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11963),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12888),
  [12719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [12721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9261),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10899),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17205),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19655),
  [12733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 2, 0, 0),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12244),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10096),
  [12739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9257),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11015),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17624),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19871),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13157),
  [12753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module, 4, 0, 220),
  [12755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module, 4, 0, 220),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19976),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20888),
  [12761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 3, 0, 91),
  [12763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 3, 0, 91),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20260),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10988),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11276),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12959),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10173),
  [12775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9245),
  [12777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [12779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [12781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10939),
  [12783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17465),
  [12785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18486),
  [12787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18949),
  [12789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20216),
  [12791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12315),
  [12793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10148),
  [12795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9232),
  [12797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [12799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [12801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10901),
  [12803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17452),
  [12805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18284),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18802),
  [12809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19419),
  [12811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 2, 0, 59),
  [12813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 2, 0, 59),
  [12815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17101),
  [12817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11814),
  [12819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 1, 0, 3),
  [12821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 1, 0, 3),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15235),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [12827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9236),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17169),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20083),
  [12839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 6, 0, 31),
  [12841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 6, 0, 31),
  [12843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11842),
  [12847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 3, 0, 156),
  [12849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 3, 0, 156),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12897),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [12855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9271),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17119),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19811),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [12869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 1, 0, 73),
  [12871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 1, 0, 73),
  [12873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11997),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [12877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 3, 0, 49),
  [12879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 3, 0, 49),
  [12881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12008),
  [12883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10088),
  [12885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9241),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [12889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10936),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17096),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20349),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [12899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [12901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [12903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11276),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16959),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10235),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11258),
  [12911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 4, 0, 114),
  [12913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 4, 0, 114),
  [12915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [12917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [12919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 31),
  [12921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 31),
  [12923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [12925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [12927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [12929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [12931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 2, 0, 0),
  [12933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 2, 0, 0),
  [12935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [12937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [12939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [12941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [12943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [12945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [12947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 3, 0, 0),
  [12949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 3, 0, 0),
  [12951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 3, 0, 116),
  [12953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 3, 0, 116),
  [12955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [12957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [12959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 3, 0, 32),
  [12961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 3, 0, 32),
  [12963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 4, 0, 0),
  [12965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 4, 0, 0),
  [12967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [12969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [12971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [12973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [12975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [12977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [12979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 4),
  [12981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 4),
  [12983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [12985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [12987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 5, 0, 0),
  [12989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 5, 0, 0),
  [12991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 5, 0, 0),
  [12993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 5, 0, 0),
  [12995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [12997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [12999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [13001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [13003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [13005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [13007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 5, 0, 187),
  [13009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 5, 0, 187),
  [13011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 1, 0, 66),
  [13013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 1, 0, 66),
  [13015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 6, 0, 0),
  [13017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 6, 0, 0),
  [13019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [13021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [13023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [13025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [13027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [13029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [13031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 4),
  [13033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 4),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16036),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22246),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14838),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20710),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14952),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22014),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11308),
  [13049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11409),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10233),
  [13053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11340),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17115),
  [13057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [13059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20731),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14973),
  [13065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11454),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17031),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23398),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10354),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17030),
  [13079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 1, 0, 3),
  [13081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 1, 0, 3),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14255),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17924),
  [13087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12908),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16957),
  [13091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 1, 0, 15),
  [13093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 1, 0, 15),
  [13095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [13099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10211),
  [13101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_class_expression, 3, 0, 43),
  [13103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_class_expression, 3, 0, 43),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21095),
  [13107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12910),
  [13109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20534),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11945),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23099),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [13117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11291),
  [13119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21066),
  [13121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11953),
  [13123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12008),
  [13125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17291),
  [13127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16475),
  [13129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_expression, 4, 0, 51),
  [13131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_expression, 4, 0, 51),
  [13133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21234),
  [13135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12783),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21246),
  [13139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [13141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function, 4, 0, 51),
  [13143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function, 4, 0, 51),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [13147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22122),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13114),
  [13151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23693),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22649),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12830),
  [13159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21627),
  [13161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [13163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21714),
  [13165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10851),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21734),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10858),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12024),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11277),
  [13175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20576),
  [13177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11921),
  [13179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18565),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23193),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13003),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21568),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12689),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22120),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22214),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11553),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22223),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11606),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22454),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12617),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22079),
  [13207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14644),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20799),
  [13211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11745),
  [13213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22538),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15252),
  [13217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 29),
  [13219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 29),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22672),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15272),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22688),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15294),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20753),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12995),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22169),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10913),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22033),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13185),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20886),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13030),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15843),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21241),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10925),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23361),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12068),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23103),
  [13259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15599),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23251),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15595),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23266),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [13269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 1, 0, 0),
  [13271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21650),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11216),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20865),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10889),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23690),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12886),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20438),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20451),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12841),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10313),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [13295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [13297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [13299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17924),
  [13302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22976),
  [13304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12903),
  [13306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22173),
  [13308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14046),
  [13310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21536),
  [13312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16226),
  [13314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23280),
  [13316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12028),
  [13318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23045),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12794),
  [13322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [13324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11885),
  [13326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20656),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11652),
  [13332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20740),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [13336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20756),
  [13338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11398),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23743),
  [13342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12119),
  [13344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20519),
  [13346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12010),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20587),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11757),
  [13352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20426),
  [13354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12131),
  [13356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23279),
  [13358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16129),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17121),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23675),
  [13364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16019),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20980),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11130),
  [13370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21069),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21087),
  [13376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10932),
  [13378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21947),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11264),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22243),
  [13384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14071),
  [13386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20890),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21625),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13132),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20767),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20630),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15080),
  [13402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21597),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14070),
  [13406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 3),
  [13408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 3),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14441),
  [13412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11863),
  [13414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12244),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17045),
  [13418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14683),
  [13420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11825),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11318),
  [13424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11868),
  [13426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17571),
  [13428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11988),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14436),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10947),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12818),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [13440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [13442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [13444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [13446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [13448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10431),
  [13450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11901),
  [13452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15364),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13896),
  [13456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17316),
  [13458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [13460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [13462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [13464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2210),
  [13468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [13474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [13476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [13480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [13482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [13484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(18443),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11228),
  [13489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [13491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3, 0, 0),
  [13493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [13495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 0),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11877),
  [13499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9548),
  [13501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11638),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11639),
  [13507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10278),
  [13509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6232),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12732),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10811),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [13517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module_type, 5, 0, 231),
  [13519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module_type, 5, 0, 231),
  [13521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11814),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17221),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15231),
  [13527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3465),
  [13529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type, 1, 0, 0),
  [13531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_type, 1, 0, 0),
  [13533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [13535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19820),
  [13539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22608),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12242),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11778),
  [13547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3465),
  [13550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11925),
  [13552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [13554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [13556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [13558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_directive, 2, 0, 0),
  [13560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_directive, 2, 0, 0),
  [13562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [13564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [13566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12958),
  [13568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10927),
  [13570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [13572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [13574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10439),
  [13576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6343),
  [13578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8131),
  [13580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3503),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [13584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10432),
  [13586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12450),
  [13588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6344),
  [13590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18303),
  [13592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18811),
  [13594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [13596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [13598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6337),
  [13600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8762),
  [13602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3505),
  [13604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11412),
  [13606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10449),
  [13608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12403),
  [13610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6346),
  [13612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18488),
  [13614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18951),
  [13616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [13618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17568),
  [13624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12315),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17449),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2700),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [13634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [13636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [13640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [13642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [13646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8708),
  [13648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11435),
  [13652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10455),
  [13654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6347),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15864),
  [13658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21770),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [13662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [13664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [13666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3485),
  [13668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3485),
  [13671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [13673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10427),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11335),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10302),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17219),
  [13689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_type, 4, 0, 51),
  [13691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_type, 4, 0, 51),
  [13693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [13695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [13705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [13711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2338),
  [13713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [13717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8447),
  [13719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3509),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [13723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10461),
  [13725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6348),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11272),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17098),
  [13731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 3, 0, 201),
  [13733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 3, 0, 201),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10454),
  [13737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [13739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [13741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 5, 0, 209),
  [13743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 5, 0, 209),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11202),
  [13747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 219),
  [13749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 219),
  [13751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 201),
  [13753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 201),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10978),
  [13757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [13759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [13761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 6, 0, 209),
  [13763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 6, 0, 209),
  [13765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 5, 0, 219),
  [13767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 5, 0, 219),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11947),
  [13771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 8, 0, 31),
  [13773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 8, 0, 31),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19599),
  [13777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22236),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12549),
  [13781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 4),
  [13783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 4),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19888),
  [13787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22739),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12603),
  [13791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [13793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [13795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [13797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [13799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10454),
  [13802] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 4, 0, 146),
  [13804] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 4, 0, 146),
  [13806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [13808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [13810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12888),
  [13812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17510),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15284),
  [13816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 33),
  [13818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 33),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14350),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14353),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19087),
  [13828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 60),
  [13830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 60),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15301),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [13842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [13848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2460),
  [13850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13976),
  [13856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 68),
  [13858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 68),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14371),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14376),
  [13864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19087),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15583),
  [13869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 5, 0, 76),
  [13871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 5, 0, 76),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14613),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11827),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [13879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12897),
  [13881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16947),
  [13883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12959),
  [13885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16971),
  [13887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [13889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10174),
  [13891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10448),
  [13893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 28),
  [13895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 28),
  [13897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15296),
  [13899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [13901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10153),
  [13903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10437),
  [13905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11850),
  [13907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11800),
  [13909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15034),
  [13911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [13913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [13915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11454),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7375),
  [13919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [13921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11987),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10798),
  [13925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(17952),
  [13928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 117),
  [13930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 117),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11981),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19858),
  [13936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22681),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12873),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11409),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11002),
  [13944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7078),
  [13946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [13948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17409),
  [13952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [13954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [13956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10473),
  [13959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10473),
  [13961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12964),
  [13963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12968),
  [13965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3558),
  [13967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11257),
  [13969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12276),
  [13971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12934),
  [13973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23626),
  [13975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10722),
  [13977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17614),
  [13979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18322),
  [13981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10860),
  [13983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [13985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [13989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [13991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [13993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [13995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [13997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [13999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 134),
  [14001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 134),
  [14003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 176),
  [14005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 176),
  [14007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 177),
  [14009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 177),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11886),
  [14013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 136),
  [14015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 136),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11772),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16948),
  [14021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [14023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 92),
  [14025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 92),
  [14027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3558),
  [14030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [14032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [14034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 176),
  [14036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 176),
  [14038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 177),
  [14040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 177),
  [14042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 200),
  [14044] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 200),
  [14046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [14048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [14050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 179),
  [14052] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 179),
  [14054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 141),
  [14056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 141),
  [14058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(16773),
  [14061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [14063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 3, 0, 148),
  [14065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 3, 0, 148),
  [14067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16773),
  [14069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 142),
  [14071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 142),
  [14073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 179),
  [14075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 179),
  [14077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 93),
  [14079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 93),
  [14081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16976),
  [14083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 28),
  [14085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 28),
  [14087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 8, 0, 200),
  [14089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 8, 0, 200),
  [14091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 90),
  [14093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 90),
  [14095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19650),
  [14097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 143),
  [14099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 143),
  [14101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 29),
  [14103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 29),
  [14105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 60),
  [14107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 60),
  [14109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 4, 0, 148),
  [14111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 4, 0, 148),
  [14113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [14115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 2, 0, 7),
  [14117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 2, 0, 7),
  [14119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 134),
  [14121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 134),
  [14123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 85),
  [14125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 85),
  [14127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12961),
  [14129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23303),
  [14131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17645),
  [14133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17797),
  [14135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18671),
  [14137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 31),
  [14139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 31),
  [14141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16712),
  [14143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10940),
  [14145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10787),
  [14147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 86),
  [14149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 86),
  [14151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 136),
  [14153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 136),
  [14155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15263),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15283),
  [14161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 52),
  [14163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 52),
  [14165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19650),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17516),
  [14170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 90),
  [14172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 90),
  [14174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [14176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [14178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 85),
  [14180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 85),
  [14182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 86),
  [14184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 86),
  [14186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 3, 0, 52),
  [14188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 3, 0, 52),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19896),
  [14192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22759),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13139),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19915),
  [14198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22798),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13046),
  [14202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 141),
  [14204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 141),
  [14206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 4),
  [14208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 4),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16748),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10892),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10776),
  [14216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [14218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16750),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10893),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10777),
  [14226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 92),
  [14228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 92),
  [14230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 58),
  [14232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 58),
  [14234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 142),
  [14236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 142),
  [14238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 93),
  [14240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 93),
  [14242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 143),
  [14244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 143),
  [14246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 58),
  [14248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 58),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11437),
  [14252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19472),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16263),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12036),
  [14258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [14260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 15),
  [14262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 15),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12966),
  [14266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17651),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10414),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16505),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11709),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11253),
  [14278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16749),
  [14280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [14282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18559),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18997),
  [14286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18464),
  [14288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13120),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17462),
  [14292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 93),
  [14294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 93),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [14298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 3, 0, 113),
  [14300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 3, 0, 113),
  [14302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 28),
  [14304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 28),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [14308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [14310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 108),
  [14312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 108),
  [14314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [14316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [14322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 8, 0, 179),
  [14324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 8, 0, 179),
  [14326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 100),
  [14328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 100),
  [14330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 203),
  [14332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 203),
  [14334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 221),
  [14336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 221),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [14346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [14350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [14352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [14354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [14362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 204),
  [14364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 204),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3659),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [14370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 205),
  [14372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 205),
  [14374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 72),
  [14376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 72),
  [14378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 222),
  [14380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 222),
  [14382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 206),
  [14384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 206),
  [14386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type, 1, 0, 0),
  [14388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_type, 1, 0, 0),
  [14390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_typed, 2, 0, 74),
  [14392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_typed, 2, 0, 74),
  [14394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 223),
  [14396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 223),
  [14398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 224),
  [14400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 224),
  [14402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 104),
  [14404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 104),
  [14406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 15),
  [14408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 15),
  [14410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 65),
  [14412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 65),
  [14414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 207),
  [14416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 207),
  [14418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 225),
  [14420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 225),
  [14422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3535),
  [14425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 109),
  [14427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 109),
  [14429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 208),
  [14431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 208),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [14437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [14439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 37),
  [14441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 37),
  [14443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 19),
  [14445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 19),
  [14447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 185),
  [14449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 185),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [14455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 2, 0, 99),
  [14457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 2, 0, 99),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16733),
  [14463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 144),
  [14465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 144),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19743),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3664),
  [14471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [14473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [14475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [14477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 221),
  [14479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 221),
  [14481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 232),
  [14483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 232),
  [14485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 222),
  [14487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 222),
  [14489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 223),
  [14491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 223),
  [14493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 224),
  [14495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 224),
  [14497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 233),
  [14499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 233),
  [14501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 225),
  [14503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 225),
  [14505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 234),
  [14507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 234),
  [14509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 235),
  [14511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 235),
  [14513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 226),
  [14515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 226),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [14521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 9, 0, 232),
  [14523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 9, 0, 232),
  [14525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 233),
  [14527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 233),
  [14529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 234),
  [14531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 234),
  [14533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 235),
  [14535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 235),
  [14537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 71),
  [14539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 71),
  [14541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 238),
  [14543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 238),
  [14545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 11, 0, 238),
  [14547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 11, 0, 238),
  [14549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [14551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [14559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7671),
  [14561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 4, 0, 180),
  [14563] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 4, 0, 180),
  [14565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 157),
  [14567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 157),
  [14569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 6, 0, 149),
  [14571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 6, 0, 149),
  [14573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [14577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19743),
  [14580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 29),
  [14582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 29),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [14588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_typed, 2, 0, 67),
  [14590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_typed, 2, 0, 67),
  [14592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 108),
  [14594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 108),
  [14596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 62),
  [14598] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 62),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [14604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 109),
  [14606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 109),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [14612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 101),
  [14614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 101),
  [14616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13157),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17405),
  [14620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 5, 0, 151),
  [14622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 5, 0, 151),
  [14624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 182),
  [14626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 182),
  [14628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 141),
  [14630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 141),
  [14632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [14634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [14636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [14638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [14640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 68),
  [14642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 68),
  [14644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 33),
  [14646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 33),
  [14648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11885),
  [14651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 36),
  [14653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 36),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11222),
  [14661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 94),
  [14663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 94),
  [14665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 106),
  [14667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 106),
  [14669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 152),
  [14671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 152),
  [14673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 75),
  [14675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 75),
  [14677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 142),
  [14679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 142),
  [14681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 106),
  [14683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 106),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [14689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 154),
  [14691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 154),
  [14693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 147),
  [14695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 147),
  [14697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 72),
  [14699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 72),
  [14701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 143),
  [14703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 143),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [14709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 3),
  [14711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 3),
  [14713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [14715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [14721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 6, 0, 203),
  [14723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 6, 0, 203),
  [14725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [14727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [14729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 182),
  [14731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 182),
  [14733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 204),
  [14735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 204),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [14739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 105),
  [14741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 105),
  [14743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 205),
  [14745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 205),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [14749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [14751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [14753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [14755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0), SHIFT_REPEAT(14613),
  [14758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 183),
  [14760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 183),
  [14762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 95),
  [14764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 95),
  [14766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 62),
  [14768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 62),
  [14770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 206),
  [14772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 206),
  [14774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10399),
  [14776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11254),
  [14778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 58),
  [14780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 58),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [14790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [14792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [14794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [14796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [14798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [14804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [14806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 90),
  [14808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 90),
  [14810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 154),
  [14812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 154),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [14816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [14818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [14820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [14822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 155),
  [14824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 155),
  [14826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [14828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [14830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 186),
  [14832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 186),
  [14834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 184),
  [14836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 184),
  [14838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11080),
  [14840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10816),
  [14842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 157),
  [14844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 157),
  [14846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16894),
  [14848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(16894),
  [14851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [14853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [14855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 92),
  [14857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 92),
  [14859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17410),
  [14861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19877),
  [14863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22714),
  [14865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13494),
  [14867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10460),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [14876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [14880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [14884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 153),
  [14886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 153),
  [14888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19905),
  [14894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22779),
  [14896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13518),
  [14898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17536),
  [14900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11083),
  [14902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10817),
  [14904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [14906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [14908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [14916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10894),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10778),
  [14920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 186),
  [14922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 186),
  [14924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10924),
  [14926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10786),
  [14928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11121),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10826),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [14934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10941),
  [14936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6552),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [14942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [14946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [14948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [14950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5460),
  [14952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 3, 0, 104),
  [14954] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 3, 0, 104),
  [14956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 60),
  [14958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 60),
  [14960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [14962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [14964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 144),
  [14966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 144),
  [14968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [14970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [14972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 94),
  [14974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 94),
  [14976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 95),
  [14978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 95),
  [14980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [14982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [14984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [14986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [14988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [14990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [14992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [14994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [14996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 155),
  [14998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 155),
  [15000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [15004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3726),
  [15006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [15008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [15010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [15012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11027),
  [15014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10806),
  [15016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 151),
  [15018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 151),
  [15020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 107),
  [15022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 107),
  [15024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [15026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [15028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [15030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [15032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10334),
  [15034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11350),
  [15036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [15038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10472),
  [15041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [15043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [15047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 113),
  [15049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 113),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12971),
  [15053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17656),
  [15055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [15057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12829),
  [15061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17091),
  [15063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 3, 0, 0),
  [15065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 3, 0, 0),
  [15067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 5, 0, 0),
  [15069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 5, 0, 0),
  [15071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [15073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [15075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 7, 0, 145),
  [15077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 7, 0, 145),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11853),
  [15081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 34),
  [15083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 34),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15267),
  [15087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [15089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [15091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16046),
  [15093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15286),
  [15095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15237),
  [15097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [15099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [15101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [15103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2481),
  [15105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [15107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [15109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [15111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [15113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [15115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15244),
  [15117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10211),
  [15120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16046),
  [15123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 4, 0, 0),
  [15125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 4, 0, 0),
  [15127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [15129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10869),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10770),
  [15133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [15135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [15137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11877),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11846),
  [15142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 32),
  [15144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 32),
  [15146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 64),
  [15148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 64),
  [15150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12919),
  [15152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16139),
  [15154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12286),
  [15156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12936),
  [15158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23478),
  [15160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10731),
  [15162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17385),
  [15164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15793),
  [15166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11785),
  [15168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 5, 0, 69),
  [15170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 5, 0, 69),
  [15172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [15174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [15176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [15178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [15180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 18),
  [15182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 18),
  [15184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10906),
  [15186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [15188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 3, 0, 32),
  [15190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 3, 0, 32),
  [15192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12885),
  [15194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10926),
  [15196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10785),
  [15198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 7, 0, 117),
  [15200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 7, 0, 117),
  [15202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [15204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [15206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 98),
  [15208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 98),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11822),
  [15212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 98),
  [15214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 98),
  [15216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 145),
  [15218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 145),
  [15220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 76),
  [15222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 76),
  [15224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [15226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [15228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 64),
  [15230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 64),
  [15232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11778),
  [15235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12956),
  [15237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16920),
  [15239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 37),
  [15241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 37),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [15245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 226),
  [15247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 226),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [15251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19378),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [15257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3524),
  [15260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [15262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [15264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [15266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(16883),
  [15269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 152),
  [15271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 152),
  [15273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11489),
  [15275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 207),
  [15277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 207),
  [15279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11377),
  [15281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [15283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [15285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13976),
  [15287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17014),
  [15289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [15291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [15293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [15295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [15297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 208),
  [15299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 208),
  [15301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [15303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [15305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [15307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 107),
  [15309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 107),
  [15311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [15313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11370),
  [15315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [15317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [15319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [15321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [15323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [15325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [15327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 75),
  [15329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 75),
  [15331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11493),
  [15333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [15335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11711),
  [15337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11380),
  [15339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 71),
  [15341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 71),
  [15343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11408),
  [15345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [15347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [15349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3524),
  [15351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [15353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [15355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11596),
  [15357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [15359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [15361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11156),
  [15363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10840),
  [15365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [15367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [15369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17026),
  [15371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11161),
  [15373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10841),
  [15375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [15377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11012),
  [15379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [15381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [15383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11947),
  [15386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3681),
  [15388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [15390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [15392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [15394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 183),
  [15396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 183),
  [15398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11549),
  [15400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11331),
  [15402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16892),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [15406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 2, 0, 0),
  [15408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 2, 0, 0),
  [15410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [15412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10814),
  [15414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [15416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [15418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(16892),
  [15421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11464),
  [15423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7806),
  [15427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [15429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [15431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [15435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3683),
  [15437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [15439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19378),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [15444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [15446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13996),
  [15452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13643),
  [15454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18125),
  [15456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [15458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18572),
  [15460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [15462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [15464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [15466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [15468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 184),
  [15470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 184),
  [15472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [15474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [15476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [15478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16964),
  [15480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [15482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [15484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16020),
  [15486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [15488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [15490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [15492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [15494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16020),
  [15497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10944),
  [15499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10789),
  [15501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [15503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10954),
  [15505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10791),
  [15507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [15509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [15511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [15513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [15515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8670),
  [15517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [15519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6126),
  [15521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [15523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3672),
  [15525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [15527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [15529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8168),
  [15531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14005),
  [15533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13642),
  [15535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18423),
  [15537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [15539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15576),
  [15541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [15543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [15545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [15547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [15549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [15551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [15553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [15555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [15557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [15559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 4, 0, 34),
  [15561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 4, 0, 34),
  [15563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [15565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [15567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16883),
  [15569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [15571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [15573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11373),
  [15575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [15577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [15579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [15581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [15583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16964),
  [15586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [15588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [15596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11374),
  [15600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [15602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [15616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11360),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10984),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10797),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [15630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [15632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [15634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11234),
  [15638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [15640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10832),
  [15642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [15644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [15646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [15648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [15650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [15652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [15654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11442),
  [15656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [15660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10431),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11550),
  [15665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16206),
  [15667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11363),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11588),
  [15671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11426),
  [15673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [15675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [15677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [15679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 18),
  [15681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 18),
  [15683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [15685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [15687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11469),
  [15689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [15691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [15693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [15695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [15697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11470),
  [15699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12942),
  [15701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [15703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [15705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16206),
  [15708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11589),
  [15714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [15716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10812),
  [15718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [15720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 1, 0, 0),
  [15722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 1, 0, 0),
  [15724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [15726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [15728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [15732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10723),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19009),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [15740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [15742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [15744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [15746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [15748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 3, 0, 0),
  [15750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 3, 0, 0),
  [15752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5218),
  [15754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [15756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 4, 0, 0),
  [15758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 4, 0, 0),
  [15760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5218),
  [15763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5218),
  [15766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11049),
  [15768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11067),
  [15770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 5, 0, 0),
  [15772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 5, 0, 0),
  [15774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [15776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11085),
  [15778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11086),
  [15780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11097),
  [15782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11103),
  [15784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11114),
  [15786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11115),
  [15788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [15790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [15792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [15794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [15796] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [15798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5231),
  [15800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [15802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5231),
  [15805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5231),
  [15808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [15810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [15812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [15814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [15816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [15818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [15820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [15822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [15824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [15826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [15828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [15830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [15832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [15834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [15836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [15838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [15840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5077),
  [15842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [15846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [15848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [15850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 2, 0, 0),
  [15852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 2, 0, 0),
  [15854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [15856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [15858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [15860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [15862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [15864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [15866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [15868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [15870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [15872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [15874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [15876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [15878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [15880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [15882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [15884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [15886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [15888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [15890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [15892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [15894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [15896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [15898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [15900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2804),
  [15902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [15904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [15906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [15908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [15910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11029),
  [15912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10808),
  [15914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11052),
  [15916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [15918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10888),
  [15920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10780),
  [15922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [15924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [15926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [15928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [15930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [15932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [15934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [15936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [15938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [15940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [15942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [15944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [15946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [15948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15654),
  [15950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [15952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [15954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3551),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [15959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [15961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [15963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [15965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [15967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [15971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [15975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [15977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [15979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [15981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [15983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [15987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [15989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [15991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [15993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [15995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [15997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8270),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [16001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5753),
  [16003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [16005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [16007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [16009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [16011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [16013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [16015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [16017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [16019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [16021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [16023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [16025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [16027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [16029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [16031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [16033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [16035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [16037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [16039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [16041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [16043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [16045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [16047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [16049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [16051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [16053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [16055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [16057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [16059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11981),
  [16062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7304),
  [16064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [16066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [16068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [16070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [16072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [16074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [16076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [16078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [16080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [16082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [16084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7307),
  [16086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [16088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11073),
  [16090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10813),
  [16092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [16094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10768),
  [16096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5662),
  [16098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [16100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [16102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11100),
  [16104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10822),
  [16106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [16108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [16110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [16112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11800),
  [16115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [16117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [16119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [16121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [16123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [16125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [16127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [16129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10985),
  [16133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10801),
  [16135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [16137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10804),
  [16139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11071),
  [16141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [16143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [16145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [16147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [16149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [16151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [16153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8097),
  [16155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [16157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [16159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5723),
  [16165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [16167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [16169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11712),
  [16171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [16175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11714),
  [16177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11715),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11716),
  [16181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11717),
  [16183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11718),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11719),
  [16187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11720),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11721),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [16193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [16195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [16197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [16199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [16201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [16203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [16205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [16207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5021),
  [16209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [16213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [16215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [16217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [16219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [16221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [16223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [16225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7829),
  [16227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8188),
  [16229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [16233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [16241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [16243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [16247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9558),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [16251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [16253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [16255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [16259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [16261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [16263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [16265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [16267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [16269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [16271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [16273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9585),
  [16275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9586),
  [16277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [16279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [16281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [16283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9593),
  [16285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [16287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [16289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [16291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [16293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [16295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [16297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [16299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9594),
  [16301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [16305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [16307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [16309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [16311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [16313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [16315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [16317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [16319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [16321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [16323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [16325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [16327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [16329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [16331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [16333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [16335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [16337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [16339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [16341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [16343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [16345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [16347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [16349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [16351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [16353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [16355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [16357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [16359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [16361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [16363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [16365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [16367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [16369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [16371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [16373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [16375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [16377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [16379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [16381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [16383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6215),
  [16385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [16387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [16389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [16391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [16393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [16395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [16397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [16399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [16401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [16403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [16405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [16407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [16409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [16411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [16413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [16415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [16417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [16419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [16421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [16423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [16425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [16427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [16429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6146),
  [16431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [16433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [16435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [16437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [16439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [16441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6064),
  [16443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [16445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [16447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [16449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [16451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [16453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [16455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [16457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [16459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [16461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [16463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [16465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [16467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [16469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [16471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14382),
  [16473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23568),
  [16475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21805),
  [16477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [16479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7270),
  [16481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [16483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [16485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [16487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7294),
  [16489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7295),
  [16491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [16493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [16495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [16497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [16499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [16501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [16503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [16505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [16507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [16509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [16511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [16513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [16515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [16517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5021),
  [16520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5021),
  [16523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [16525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [16527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [16529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9160),
  [16531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [16533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [16535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [16537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [16539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [16541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [16543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [16545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [16547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [16549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [16551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [16553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [16555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [16557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [16561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16056),
  [16563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16056),
  [16566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [16568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [16570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [16572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [16574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [16576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [16578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7461),
  [16580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [16582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8907),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [16602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [16612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8102),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [16618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [16622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8110),
  [16624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7529),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [16642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [16644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [16646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [16650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [16652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [16656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [16660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [16668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6934),
  [16674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [16676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [16678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [16680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [16682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [16684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [16686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [16690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [16694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [16700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [16702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [16716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(10414),
  [16719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(16505),
  [16722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0),
  [16724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(11253),
  [16727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(16749),
  [16730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(777),
  [16733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17907),
  [16736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(18559),
  [16739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(18997),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [16744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11797),
  [16746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [16748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [16750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [16754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [16756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [16758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [16760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [16762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8409),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [16770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [16772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [16774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [16778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [16780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [16784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [16790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [16792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3741),
  [16794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [16796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [16798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [16800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [16802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [16804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [16806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12944),
  [16808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16916),
  [16810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [16812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12951),
  [16814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16918),
  [16816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [16820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [16822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [16824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [16826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [16828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [16832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [16834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [16836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [16838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [16840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [16842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [16846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [16850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [16852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [16854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [16856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [16858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [16860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [16862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [16864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [16866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [16868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [16870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11987),
  [16873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [16875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [16877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [16879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [16881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [16883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [16885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [16887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2596),
  [16889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [16891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [16893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12970),
  [16895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13128),
  [16897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16954),
  [16899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [16901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2, 0, 0),
  [16903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15194),
  [16905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 2, 0, 0),
  [16907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 2, 0, 0),
  [16909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17968),
  [16911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15194),
  [16914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [16916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 0),
  [16918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11445),
  [16920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [16922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21559),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19935),
  [16928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20988),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [16932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11479),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22799),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16166),
  [16938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19754),
  [16940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20775),
  [16942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11497),
  [16944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [16948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17339),
  [16950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11500),
  [16952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21086),
  [16954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10514),
  [16956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19885),
  [16958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22827),
  [16960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11506),
  [16962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11507),
  [16964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11510),
  [16966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11511),
  [16968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11513),
  [16970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [16972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [16974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5325),
  [16977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5325),
  [16980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [16982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3, 0, 0),
  [16984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 0),
  [16986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 0),
  [16988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 0),
  [16990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 0),
  [16992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(12036),
  [16995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20894),
  [16997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14457),
  [16999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20356),
  [17001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21890),
  [17003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11772),
  [17006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [17008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [17010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16772),
  [17012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 2, 0, 67),
  [17014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 0),
  [17016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 0),
  [17018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5239),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [17022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5239),
  [17025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5239),
  [17028] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5148),
  [17031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5148),
  [17034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10437),
  [17037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23506),
  [17039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [17041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19657),
  [17043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23328),
  [17045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10448),
  [17048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11886),
  [17051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [17053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11568),
  [17055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16162),
  [17057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16162),
  [17060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11598),
  [17062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11600),
  [17064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 0),
  [17066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 0),
  [17068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16253),
  [17070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16253),
  [17073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11610),
  [17075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [17079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2785),
  [17081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [17083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [17085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [17087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2789),
  [17089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [17091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [17093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [17095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11614),
  [17097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11617),
  [17099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11618),
  [17101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [17103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11624),
  [17105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17968),
  [17108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11626),
  [17110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3512),
  [17112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3512),
  [17115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 130),
  [17117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21406),
  [17119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [17121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19223),
  [17123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22360),
  [17125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2795),
  [17127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12949),
  [17129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21107),
  [17131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [17133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19335),
  [17135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22528),
  [17137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12953),
  [17139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [17141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10429),
  [17143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16919),
  [17145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [17147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15037),
  [17149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17308),
  [17151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [17153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [17155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [17157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [17159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [17161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [17163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [17165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [17167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [17169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [17171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [17173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [17175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [17177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [17179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [17181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [17183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [17185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [17187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [17189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [17191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [17193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15198),
  [17195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 5, 0, 117),
  [17197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [17199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [17201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 0),
  [17203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, 0, 0),
  [17205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17401),
  [17207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [17209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3515),
  [17211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure_item, 1, 0, 0),
  [17213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure_item, 1, 0, 0),
  [17215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17401),
  [17218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 0),
  [17220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 0),
  [17222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3515),
  [17225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [17227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [17229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2770),
  [17231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [17233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [17235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [17237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [17239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [17241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2777),
  [17243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [17245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [17247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [17249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [17251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [17253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [17255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2377),
  [17257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2378),
  [17259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15034),
  [17261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17186),
  [17263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [17265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [17267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [17269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [17271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [17273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [17275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [17277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [17279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [17281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2436),
  [17283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [17285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17204),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17204),
  [17290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2138),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [17296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [17300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [17302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [17304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [17306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [17308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [17310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [17312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11859),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16232),
  [17316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15224),
  [17318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17009),
  [17320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16768),
  [17322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16769),
  [17324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [17326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [17334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [17336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3435),
  [17339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11927),
  [17341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15219),
  [17343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10273),
  [17345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11281),
  [17347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17185),
  [17349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [17351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 0),
  [17353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2, 0, 0),
  [17355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17466),
  [17357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 4, 0, 130),
  [17359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(10429),
  [17362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(16919),
  [17365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0),
  [17367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15037),
  [17370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(17308),
  [17373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(17907),
  [17376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(18559),
  [17379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(18997),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11593),
  [17386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16211),
  [17390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16211),
  [17393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [17395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3530),
  [17397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16287),
  [17399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(16287),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [17404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3530),
  [17407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3498),
  [17410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15198),
  [17413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [17415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [17417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [17419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [17421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2155),
  [17423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [17425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [17427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [17429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [17431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [17433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [17435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3428),
  [17437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11391),
  [17439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [17441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [17443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3428),
  [17446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 117),
  [17448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 76),
  [17450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3430),
  [17452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 67),
  [17454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 3, 0, 76),
  [17456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3430),
  [17459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [17461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [17463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11555),
  [17465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16884),
  [17467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10877),
  [17469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [17471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16885),
  [17473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10890),
  [17475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10779),
  [17477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10883),
  [17479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15225),
  [17481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16901),
  [17483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11094),
  [17485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10818),
  [17487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17466),
  [17490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12773),
  [17492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10684),
  [17494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12921),
  [17496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [17498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11904),
  [17500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19040),
  [17502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3538),
  [17505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11011),
  [17507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10802),
  [17509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11013),
  [17511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10805),
  [17513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11053),
  [17515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [17517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11226),
  [17519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15204),
  [17521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(19040),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12721),
  [17526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15636),
  [17528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7543),
  [17530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15265),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15265),
  [17534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15236),
  [17536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4630),
  [17538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8280),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [17544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [17546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3532),
  [17548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11664),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [17552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [17554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2514),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [17568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [17574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [17576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2408),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2409),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [17582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [17584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [17598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [17604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [17606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [17618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [17624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [17626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [17638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [17644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [17646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [17650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4256),
  [17652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12258),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [17656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2690),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [17662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [17664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2695),
  [17666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8390),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [17672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3532),
  [17675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [17677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [17679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [17681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [17683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6716),
  [17685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [17687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [17689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [17691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [17693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [17695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2537),
  [17697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [17699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [17701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2540),
  [17703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [17705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [17707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [17709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [17711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [17713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [17715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14235),
  [17717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7369),
  [17719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [17721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [17723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [17725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [17727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [17729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [17731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5544),
  [17733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8665),
  [17735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [17737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [17739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [17741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [17743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [17745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [17747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [17749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [17751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10352),
  [17753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 2, 0, 0),
  [17755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [17757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [17759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8675),
  [17761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14390),
  [17763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [17767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [17769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [17771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [17773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [17775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [17777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [17779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [17781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8154),
  [17783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [17785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3879),
  [17787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [17789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [17791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3545),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [17798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6509),
  [17800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6379),
  [17802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [17806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2470),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [17818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [17822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [17824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [17826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2477),
  [17828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6940),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [17832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [17834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6623),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5179),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [17842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [17844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [17846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [17848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11822),
  [17851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13127),
  [17853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [17855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [17857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [17859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [17861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [17863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8845),
  [17865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8627),
  [17867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [17869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1986),
  [17871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 135),
  [17873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 135),
  [17875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 116),
  [17877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 116),
  [17879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6488),
  [17881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [17883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [17885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3561),
  [17887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [17889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [17891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5756),
  [17893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9189),
  [17895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8970),
  [17897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [17899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [17901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [17905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [17907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [17909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [17911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [17913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4469),
  [17915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [17917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5391),
  [17919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3436),
  [17922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [17924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [17926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [17928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [17930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [17932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [17934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [17936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [17938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [17940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [17942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [17944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [17946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [17948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [17950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6838),
  [17952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [17954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [17956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [17958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [17960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [17962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [17964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10283),
  [17966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [17968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 0),
  [17970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [17972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11846),
  [17975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7322),
  [17977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6004),
  [17979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [17981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [17985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [17987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [17989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11891),
  [17991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [17993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11162),
  [17995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [17997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [17999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [18001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [18003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [18005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [18007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [18009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [18011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [18013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [18015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [18017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [18019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [18021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [18023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7724),
  [18025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [18027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [18029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4800),
  [18031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [18033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [18035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [18037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4378),
  [18039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13407),
  [18041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [18043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [18045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11256),
  [18047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [18049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [18051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [18053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7796),
  [18055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [18057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [18059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [18061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [18063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [18065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [18067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [18069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8163),
  [18071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16006),
  [18073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [18075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [18077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [18079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [18081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [18083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [18085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11366),
  [18087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6470),
  [18089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [18091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [18093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [18095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [18097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [18099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [18101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [18103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [18105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8685),
  [18107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [18109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [18111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [18113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [18115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [18117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [18119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [18121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [18123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9382),
  [18125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6752),
  [18127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7911),
  [18129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10980),
  [18131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [18133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [18135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [18137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [18139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [18141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [18143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7959),
  [18145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [18147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10990),
  [18149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [18151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [18153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [18155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [18157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3996),
  [18159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [18161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [18163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [18165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [18167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [18169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [18171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4544),
  [18173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [18175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [18177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [18179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [18181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5403),
  [18183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9474),
  [18185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [18187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [18189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [18191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [18193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10650),
  [18195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [18197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9677),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [18201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [18203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [18205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [18207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [18209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [18211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5375),
  [18213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [18215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [18217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6498),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [18221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [18223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [18225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8991),
  [18227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [18229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [18231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [18233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [18235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3561),
  [18238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4572),
  [18240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [18242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3818),
  [18244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [18246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [18248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [18250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5096),
  [18252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [18254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [18256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [18258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [18260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [18262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5991),
  [18264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [18266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [18268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [18270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [18272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [18274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [18276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [18278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10637),
  [18280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8740),
  [18282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7997),
  [18284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [18286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [18292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [18294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [18296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [18298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [18300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [18302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [18304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4284),
  [18306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6510),
  [18308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [18310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [18312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4627),
  [18314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4291),
  [18316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8840),
  [18318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [18320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [18322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [18324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [18326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3517),
  [18328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3517),
  [18331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [18333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [18335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [18337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [18339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [18341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 0),
  [18343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9554),
  [18345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8432),
  [18347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [18349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [18351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3480),
  [18354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7544),
  [18356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [18358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [18360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [18362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [18364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7851),
  [18366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15197),
  [18368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19049),
  [18370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [18372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [18374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [18376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [18378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [18380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [18382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [18384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [18386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [18388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11970),
  [18390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10328),
  [18392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11734),
  [18394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [18396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11491),
  [18400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [18402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [18404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [18408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2294),
  [18410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [18412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [18414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2309),
  [18416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [18418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2311),
  [18420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4764),
  [18422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [18424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4924),
  [18426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [18428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [18430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [18432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4877),
  [18434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [18436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [18438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [18440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4748),
  [18442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [18444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [18446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [18448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [18450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [18452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [18454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [18456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4649),
  [18458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [18460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14645),
  [18462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10244),
  [18464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [18466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2251),
  [18468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [18470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [18472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [18474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [18476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [18478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [18480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [18482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15202),
  [18484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [18486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [18488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [18490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4977),
  [18492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [18494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15202),
  [18497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [18499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [18501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [18503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [18505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [18507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [18509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [18511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [18513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [18515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [18517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [18519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [18521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4776),
  [18523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [18525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [18527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [18529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4733),
  [18531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [18533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [18535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [18537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4720),
  [18539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [18541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [18543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [18545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4938),
  [18547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [18549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [18551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [18553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [18555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [18557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17272),
  [18559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [18561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [18563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4761),
  [18565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [18567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [18569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [18571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [18573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [18575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15921),
  [18577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [18579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 4, 0, 97),
  [18581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [18583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [18585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [18587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4619),
  [18589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [18591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [18593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [18595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [18597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [18599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [18601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [18603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [18605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [18607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [18609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [18611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7531),
  [18613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [18615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4593),
  [18617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [18619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15207),
  [18621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15284),
  [18623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11292),
  [18625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17282),
  [18627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [18629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [18631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4757),
  [18633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [18635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_typed, 2, 0, 53),
  [18637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_typed, 2, 0, 53),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [18641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [18643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [18645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4942),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [18649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15199),
  [18651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [18655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [18657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4608),
  [18659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [18661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [18663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [18665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [18667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [18669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [18671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [18673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4740),
  [18675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [18679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [18681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4621),
  [18683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6954),
  [18685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [18687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [18689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [18691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [18693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11026),
  [18695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [18697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [18699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9778),
  [18701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17272),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [18708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4629),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [18716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4607),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [18720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [18724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [18728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [18730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4952),
  [18732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [18734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [18736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [18738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4920),
  [18740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [18742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17190),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17283),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [18750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4637),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [18756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15197),
  [18759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [18761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [18763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4725),
  [18765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [18767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [18769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [18771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4648),
  [18773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [18775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 43),
  [18777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15195),
  [18779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__instance_variable_name, 1, 0, 2),
  [18781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [18783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [18785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [18787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [18789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [18791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [18793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4663),
  [18795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [18797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [18799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [18801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [18803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6632),
  [18805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 3, 0, 42),
  [18807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [18809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [18811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [18813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [18817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [18819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4676),
  [18821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [18823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7758),
  [18825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [18827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4848),
  [18829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [18831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [18833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [18835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [18837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [18839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17190),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [18844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [18846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4684),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [18850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [18854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4749),
  [18856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6399),
  [18858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [18860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [18862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4936),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [18868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [18870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4782),
  [18872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10305),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11299),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [18880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [18882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [18886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [18888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(15265),
  [18891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(15265),
  [18894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(15236),
  [18897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15588),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [18903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4689),
  [18905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [18909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [18911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [18915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(15221),
  [18918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15229),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [18922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [18924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9184),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [18930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [18932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [18934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [18938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [18940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4698),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [18944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19045),
  [18946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(19045),
  [18949] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(19049),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19032),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [18956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 189),
  [18958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [18960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 160),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [18964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 162),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [18968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [18970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 76),
  [18972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [18976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 161),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [18980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 188),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [18984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 118),
  [18986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [18990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 117),
  [18992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_item, 1, 0, 0),
  [18994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 1, 0, 0),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [18998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 211),
  [19000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11747),
  [19002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [19004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15418),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13055),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18643),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [19014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 80),
  [19016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 4, 0, 114),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [19020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 195),
  [19022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15425),
  [19024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13079),
  [19026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14038),
  [19028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15583),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11233),
  [19032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17445),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15365),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [19038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [19040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15398),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13247),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17447),
  [19048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [19050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 166),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [19054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 167),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15374),
  [19058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15403),
  [19062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12975),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [19066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 123),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [19070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 120),
  [19072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 77),
  [19074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17461),
  [19076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [19078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15454),
  [19082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12081),
  [19084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typed, 2, 0, 53),
  [19086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typed, 2, 0, 53),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15431),
  [19090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12268),
  [19092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 2, 0, 38),
  [19094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17012),
  [19096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6333),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12921),
  [19100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_pattern, 2, 0, 25),
  [19102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_pattern, 2, 0, 25),
  [19104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18639),
  [19110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12854),
  [19112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11317),
  [19114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [19118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 195),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [19122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 210),
  [19124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 196),
  [19126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 39),
  [19128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 8),
  [19130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 8),
  [19132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 227),
  [19134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 160),
  [19136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 79),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8884),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [19146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 228),
  [19148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 211),
  [19150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 212),
  [19152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 213),
  [19154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 214),
  [19156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 38),
  [19158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 215),
  [19160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 9),
  [19162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 9),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [19166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 216),
  [19168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 229),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [19172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [19176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5717),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [19184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [19186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_pattern, 3, 0, 0),
  [19188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [19190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 210),
  [19192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 164),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [19196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__or_pattern_anonymous, 3, 0, 0),
  [19198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__or_pattern_anonymous, 3, 0, 0),
  [19200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11809),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [19204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [19206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [19208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 227),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [19214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [19216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12517),
  [19224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 228),
  [19226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 236),
  [19228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 124),
  [19230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 229),
  [19232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [19238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 172),
  [19240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 190),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [19244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 161),
  [19246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 191),
  [19248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 2, 0, 25),
  [19250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 2, 0, 25),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [19254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 76),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [19260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [19262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_pattern, 5, 0, 87),
  [19264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_pattern, 5, 0, 87),
  [19266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 122),
  [19268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 168),
  [19270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 169),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13265),
  [19274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [19276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [19278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [19280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 3, 0, 50),
  [19282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 3, 0, 50),
  [19284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12984),
  [19286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [19288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 51),
  [19290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11016),
  [19292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [19294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 10, 0, 236),
  [19296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 123),
  [19298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11037),
  [19302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14435),
  [19304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 119),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13070),
  [19310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [19314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13091),
  [19318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 77),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12138),
  [19322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 188),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15646),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [19328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 162),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [19332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 125),
  [19334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 6, 0, 164),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [19338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 172),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [19342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11673),
  [19344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 2, 0, 40),
  [19346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [19350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_pattern, 4, 0, 83),
  [19352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_pattern, 4, 0, 83),
  [19354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [19356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12239),
  [19362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_effect_pattern, 4, 0, 126),
  [19364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_effect_pattern, 4, 0, 126),
  [19366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 165),
  [19368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 192),
  [19370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [19372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [19374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [19376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 2, 0, 25),
  [19378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 2, 0, 25),
  [19380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [19382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [19384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [19386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6556),
  [19388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20378),
  [19390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [19392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 189),
  [19394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9462),
  [19396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4084),
  [19398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 119),
  [19400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 193),
  [19402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [19404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 3, 0, 40),
  [19406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [19412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 166),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [19416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 194),
  [19418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 190),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [19424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 167),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5690),
  [19428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 5, 0, 114),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [19432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 124),
  [19434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 121),
  [19436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 212),
  [19438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 191),
  [19440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(20378),
  [19443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 168),
  [19445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 169),
  [19447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 196),
  [19449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [19451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 117),
  [19453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [19455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 0),
  [19457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [19459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 122),
  [19461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [19463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [19465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11259),
  [19467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [19469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [19471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [19473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [19475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_pattern, 3, 0, 54),
  [19477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_pattern, 3, 0, 54),
  [19479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6481),
  [19481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [19483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 80),
  [19485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [19487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [19489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 213),
  [19491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 192),
  [19493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 193),
  [19495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 165),
  [19497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [19499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [19501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9329),
  [19503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [19505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9073),
  [19507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [19509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 120),
  [19511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [19513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 118),
  [19515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 51),
  [19517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [19519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [19521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [19523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [19525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [19527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [19529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [19531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [19533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 214),
  [19535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 194),
  [19537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 125),
  [19539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 3, 0, 50),
  [19541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 3, 0, 50),
  [19543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 215),
  [19545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [19547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 216),
  [19549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [19551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 76),
  [19553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 2, 0, 74),
  [19555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 120),
  [19557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21440),
  [19559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(20311),
  [19562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 5, 0, 117),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20311),
  [19566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 3, 0, 76),
  [19568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 3, 0, 74),
  [19570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 3, 0, 80),
  [19572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_tuple_element_pattern, 2, 0, 13),
  [19574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7083),
  [19576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_tuple_element_pattern, 2, 0, 13),
  [19578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 117),
  [19580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 80),
  [19582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 5, 0, 120),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10466),
  [19586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 25),
  [19588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [19592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 2, 0, 25),
  [19594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17255),
  [19596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [19598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15235),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16981),
  [19602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_pattern, 3, 0, 48),
  [19604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_pattern, 3, 0, 48),
  [19606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10466),
  [19609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15756),
  [19611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12556),
  [19613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15848),
  [19615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12568),
  [19617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15706),
  [19619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11979),
  [19621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15723),
  [19623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11641),
  [19625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15731),
  [19627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15861),
  [19629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 3, 0, 50),
  [19631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 3, 0, 50),
  [19633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15724),
  [19635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15873),
  [19637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [19639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16737),
  [19641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10286),
  [19643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [19645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16833),
  [19647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10071),
  [19649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [19651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16793),
  [19653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [19655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21290),
  [19657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21290),
  [19659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21601),
  [19661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [19663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [19665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [19667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [19669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17779),
  [19671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7728),
  [19673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [19675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [19677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [19679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [19681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [19683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [19685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [19687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [19689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16873),
  [19691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10838),
  [19693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [19695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [19697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [19699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [19701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [19703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [19705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [19707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [19709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [19711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [19713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [19715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [19717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [19719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [19721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [19723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [19725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [19727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16731),
  [19729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [19731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [19733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [19735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [19737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [19739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [19741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16848),
  [19743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [19745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [19747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [19749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1290),
  [19751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [19753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19772),
  [19755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22518),
  [19757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14403),
  [19759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [19761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [19763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [19765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [19767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [19769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [19771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [19773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [19775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [19777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [19779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [19781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [19783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16245),
  [19785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16245),
  [19787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21407),
  [19789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [19791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [19793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [19795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [19797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [19799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [19801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [19803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [19805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7123),
  [19807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [19809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1409),
  [19811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [19813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field, 1, 0, 0),
  [19815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19220),
  [19817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21250),
  [19819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16817),
  [19821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16819),
  [19823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [19825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [19827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [19829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [19831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [19833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16897),
  [19835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16157),
  [19837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [19839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [19841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [19843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [19845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [19847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [19849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [19851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [19853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 1, 0, 0),
  [19855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19641),
  [19857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [19859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16855),
  [19861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [19863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19752),
  [19865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22519),
  [19867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13045),
  [19869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [19871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [19873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [19875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [19877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17132),
  [19879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [19881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [19883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [19885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [19887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6101),
  [19889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [19891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [19893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [19895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [19897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [19899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [19901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [19903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [19905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [19907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16907),
  [19909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15625),
  [19911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [19913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [19915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [19917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [19919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [19921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [19923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16786),
  [19925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6554),
  [19927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8478),
  [19929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [19931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [19933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [19935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [19937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [19939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [19941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [19943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [19945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16895),
  [19947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [19949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [19951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [19953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1237),
  [19955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [19957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11771),
  [19959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [19961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [19963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [19965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [19967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [19969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [19971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [19973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [19975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [19977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [19979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [19981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [19983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [19985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [19987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [19989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [19991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [19993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9621),
  [19995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [19997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [19999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [20001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [20003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [20005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [20007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [20009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19843),
  [20011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22647),
  [20013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14485),
  [20015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [20017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [20019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [20021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [20023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19714),
  [20025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22420),
  [20027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13382),
  [20029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10578),
  [20031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [20033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [20035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [20037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [20039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [20041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [20043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [20045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [20047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [20049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [20051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [20053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [20055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4789),
  [20057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [20059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [20061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [20063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [20065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [20067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [20069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [20071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18639),
  [20074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [20078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1212),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [20086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16839),
  [20094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10271),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [20100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15714),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16788),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [20114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11102),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [20122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1246),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [20130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16830),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16908),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8222),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [20154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [20160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [20162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [20170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11703),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [20178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [20186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19370),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20589),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [20198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10922),
  [20204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [20206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10867),
  [20208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14913),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11821),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10815),
  [20216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string_content, 1, 0, 0),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [20220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [20222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10492),
  [20224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 1, 0, 0),
  [20226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7079),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11119),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12098),
  [20232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field_specification, 1, 0, 0),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11117),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11738),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12774),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10030),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10963),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10868),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15119),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14129),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15308),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11090),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14001),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16725),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10781),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11762),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [20272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [20276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7084),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11155),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11214),
  [20282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12792),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12761),
  [20288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10994),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15241),
  [20294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [20298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11034),
  [20300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12892),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11089),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11124),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12108),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11007),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10152),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11153),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11149),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12334),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10900),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16358),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14984),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10122),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11063),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12902),
  [20346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(16245),
  [20349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(16245),
  [20352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11845),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10100),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13048),
  [20360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10058),
  [20362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11050),
  [20364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [20366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15262),
  [20368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10048),
  [20370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11843),
  [20372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10945),
  [20374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [20376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12171),
  [20378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10099),
  [20380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [20382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [20384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13043),
  [20386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10076),
  [20388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10998),
  [20390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [20392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11210),
  [20394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [20396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15614),
  [20398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10145),
  [20400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [20402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8942),
  [20404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10471),
  [20406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [20408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12256),
  [20410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11001),
  [20412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13246),
  [20414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12752),
  [20416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10176),
  [20418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(16725),
  [20421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11560),
  [20423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10150),
  [20425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11172),
  [20427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11941),
  [20429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11030),
  [20431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15589),
  [20433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10471),
  [20436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10968),
  [20438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [20440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11133),
  [20442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16060),
  [20444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [20446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [20448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15714),
  [20450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19669),
  [20452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [20454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [20456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [20458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13484),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13437),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13680),
  [20472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19988),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15488),
  [20476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7092),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13542),
  [20484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [20486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13561),
  [20488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12814),
  [20490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16711),
  [20492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [20494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13737),
  [20496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [20498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10685),
  [20500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [20502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [20504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17393),
  [20506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [20508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13871),
  [20510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [20512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [20514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10691),
  [20516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17352),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16769),
  [20524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [20526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [20528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17035),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5640),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10720),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13279),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13655),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13298),
  [20542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [20544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16464),
  [20546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16265),
  [20548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19470),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13855),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13898),
  [20554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20383),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15469),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13565),
  [20560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13692),
  [20562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16508),
  [20564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [20566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [20568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [20570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [20572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12257),
  [20574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [20576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [20578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7135),
  [20580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13709),
  [20582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19636),
  [20584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12120),
  [20586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13939),
  [20588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13696),
  [20590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [20592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20041),
  [20594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [20596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13659),
  [20598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13358),
  [20600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [20602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13303),
  [20604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13508),
  [20606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14429),
  [20608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14430),
  [20610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19950),
  [20612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9696),
  [20614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10612),
  [20616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [20618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [20620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15542),
  [20622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [20624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3644),
  [20626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [20628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17089),
  [20630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [20632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [20634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13710),
  [20636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [20638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [20640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13578),
  [20642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [20644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9691),
  [20646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [20648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [20650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19934),
  [20652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [20654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [20656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16133),
  [20658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19509),
  [20660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13714),
  [20662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13943),
  [20664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [20666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16509),
  [20668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [20670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13459),
  [20672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13834),
  [20674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13828),
  [20676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13901),
  [20678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [20680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13581),
  [20682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19753),
  [20684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15700),
  [20686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13633),
  [20688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13816),
  [20690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13533),
  [20692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13849),
  [20694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13439),
  [20696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [20698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [20700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [20702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [20704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 2, 0, 0),
  [20706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [20708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13545),
  [20710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [20712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13511),
  [20714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13338),
  [20716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13727),
  [20718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13361),
  [20720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13955),
  [20722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [20724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13731),
  [20726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20029),
  [20728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9709),
  [20730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13924),
  [20732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [20734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13787),
  [20736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [20738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16248),
  [20740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19724),
  [20742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13965),
  [20744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19371),
  [20746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [20748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13968),
  [20750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [20752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13601),
  [20754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [20756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20058),
  [20758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15684),
  [20760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19377),
  [20762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [20764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13414),
  [20766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13743),
  [20768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [20770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [20772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13881),
  [20774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13846),
  [20776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15550),
  [20778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [20780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [20782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13551),
  [20784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [20786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [20788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19407),
  [20790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9658),
  [20792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [20794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13746),
  [20796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19247),
  [20798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [20800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [20802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15493),
  [20804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument_type, 3, 0, 112),
  [20806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [20808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9431),
  [20810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13592),
  [20812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13392),
  [20814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16622),
  [20816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13883),
  [20818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13420),
  [20820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13910),
  [20822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [20824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument_type, 4, 0, 159),
  [20826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13595),
  [20828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19295),
  [20830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [20832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18938),
  [20834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17633),
  [20836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10881),
  [20838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13755),
  [20840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19748),
  [20842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [20844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [20846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [20848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19961),
  [20850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8910),
  [20852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [20854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [20856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [20858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16015),
  [20860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20140),
  [20862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19889),
  [20864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [20866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13472),
  [20868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [20870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [20872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13450),
  [20874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13867),
  [20876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16624),
  [20878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [20880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13759),
  [20882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13524),
  [20884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [20886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16626),
  [20888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [20890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [20892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [20894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19521),
  [20896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10638),
  [20898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19960),
  [20900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16343),
  [20902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13428),
  [20904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [20906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [20908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19093),
  [20910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [20912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13390),
  [20914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [20916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16257),
  [20918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20273),
  [20920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13783),
  [20922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13442),
  [20924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13913),
  [20926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [20928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13770),
  [20930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [20932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [20934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12273),
  [20936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [20938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13774),
  [20940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13527),
  [20942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [20944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13691),
  [20946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13343),
  [20948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13886),
  [20950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [20952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13483),
  [20954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13464),
  [20956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13610),
  [20958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13649),
  [20960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14422),
  [20962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14424),
  [20964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [20966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [20968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [20970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [20972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [20974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [20978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13590),
  [20980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13786),
  [20982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13616),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [20986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [20988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20299),
  [20990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12194),
  [20992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [20994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [20996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13790),
  [20998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20187),
  [21000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [21002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20182),
  [21004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16685),
  [21006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19428),
  [21008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16553),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [21012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19222),
  [21014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16531),
  [21016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13607),
  [21018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13487),
  [21020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [21022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20265),
  [21024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [21026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [21028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [21030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19876),
  [21032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [21034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [21036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13644),
  [21038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13676),
  [21040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15737),
  [21042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14002),
  [21044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13805),
  [21046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15739),
  [21048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [21050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [21052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15742),
  [21054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [21056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13395),
  [21058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13809),
  [21060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13831),
  [21062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13416),
  [21064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [21066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [21068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13350),
  [21070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [21072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_labeled_tuple_element_type, 3, 0, 112), SHIFT(11240),
  [21075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [21077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13771),
  [21079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13819),
  [21081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [21083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19302),
  [21085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [21087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13629),
  [21089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13822),
  [21091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [21093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [21095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7131),
  [21097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13415),
  [21099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5374),
  [21101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [21103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19052),
  [21105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17666),
  [21107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11349),
  [21109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19054),
  [21111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17669),
  [21113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12050),
  [21115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [21117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19387),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19057),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17671),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12051),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13322),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16512),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14124),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8917),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [21195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4969),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [21241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6139),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [21251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [21253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [21255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [21257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [21259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [21261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [21263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [21265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [21267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [21269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [21271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [21273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [21275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [21277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [21279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [21281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [21283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [21285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [21287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [21289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6422),
  [21291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [21293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [21295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [21297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [21299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [21301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [21303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [21305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [21307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [21309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [21311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [21313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [21315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [21317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [21319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [21321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [21323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [21325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [21327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [21329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [21331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [21333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [21335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [21337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [21339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [21341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [21343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [21345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [21347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [21349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [21351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [21353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4161),
  [21355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [21357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [21359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [21361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [21363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [21365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [21367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [21369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [21371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [21373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [21375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 4, 0, 0),
  [21377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19625),
  [21379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10445),
  [21381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [21383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [21385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4350),
  [21387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [21389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0),
  [21391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [21393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9548),
  [21395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20471),
  [21397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16191),
  [21399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19722),
  [21401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [21403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [21405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [21407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [21409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [21411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [21413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [21415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5036),
  [21417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [21419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [21421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [21423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [21425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [21427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17752),
  [21429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15313),
  [21431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0),
  [21433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [21435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [21437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [21439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [21441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [21443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [21445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [21447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(17736),
  [21450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [21452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [21454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [21456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [21458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [21460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [21462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15094),
  [21464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16836),
  [21466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18362),
  [21468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [21470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [21472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 50),
  [21474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [21476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [21478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [21480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [21482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [21484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [21486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [21488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [21490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [21492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [21494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8556),
  [21496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 4, 0, 133),
  [21498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [21500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [21502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [21504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [21506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [21508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_typed, 2, 0, 53),
  [21510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [21512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [21514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [21516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [21518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [21520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [21522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8479),
  [21524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [21526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10927),
  [21528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [21530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11020),
  [21532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11042),
  [21534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11072),
  [21536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11112),
  [21538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [21540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [21542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [21544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [21546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [21548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [21550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [21552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [21554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [21556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [21558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [21560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [21562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [21564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11710),
  [21566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [21568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9348),
  [21570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11676),
  [21572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 3, 0, 0),
  [21574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11686),
  [21576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [21578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11701),
  [21580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [21582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [21584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [21586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [21588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [21590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [21592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 3, 0, 50),
  [21594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [21596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [21598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [21600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [21602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7685),
  [21604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [21606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [21608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [21610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [21612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16890),
  [21614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(16890),
  [21617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [21619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [21621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4615),
  [21623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [21625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [21627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [21629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [21631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [21633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [21635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [21637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [21639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [21641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [21643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [21645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [21647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [21649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [21651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [21653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [21655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [21657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [21659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [21661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [21663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [21665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [21667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [21669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [21671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [21673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [21675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [21677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 133),
  [21679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [21681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [21683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [21685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [21687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17151),
  [21689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15094),
  [21691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23152),
  [21693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [21695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15823),
  [21697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15254),
  [21699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18610),
  [21701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22159),
  [21703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20549),
  [21705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9740),
  [21707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10232),
  [21709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_spec, 1, 0, 0),
  [21711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16970),
  [21713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15476),
  [21715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17211),
  [21717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20905),
  [21719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [21721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17054),
  [21723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20909),
  [21725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5018),
  [21727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23466),
  [21729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21397),
  [21731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7403),
  [21733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17524),
  [21735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22431),
  [21737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [21739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21421),
  [21741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [21743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15271),
  [21745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18302),
  [21747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17424),
  [21749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22021),
  [21751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [21753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [21755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22012),
  [21757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [21759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20986),
  [21761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [21763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21992),
  [21765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [21767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10642),
  [21769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17028),
  [21771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17128),
  [21773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3154),
  [21775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18651),
  [21777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17470),
  [21779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 5, 0, 0),
  [21781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22419),
  [21783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [21785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0),
  [21787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(10445),
  [21790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20818),
  [21792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3951),
  [21794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22504),
  [21796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [21798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12212),
  [21800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17285),
  [21802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22987),
  [21804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [21806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17922),
  [21808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16812),
  [21810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 14),
  [21812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12235),
  [21814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13991),
  [21816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10508),
  [21818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22936),
  [21820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [21822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23156),
  [21824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [21826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20902),
  [21828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6001),
  [21830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23460),
  [21832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [21834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17457),
  [21836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23240),
  [21838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [21840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23476),
  [21842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [21844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17222),
  [21846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20502),
  [21848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [21850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16949),
  [21852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17572),
  [21854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [21856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20566),
  [21858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [21860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [21862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(19032),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17032),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17321),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20763),
  [21871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [21873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20874),
  [21875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10955),
  [21877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 27),
  [21879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [21881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [21883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 1, 0, 0),
  [21885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 0),
  [21887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 0),
  [21889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16722),
  [21891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10957),
  [21893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10792),
  [21895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17330),
  [21897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17095),
  [21899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16726),
  [21901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [21903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10793),
  [21905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21258),
  [21907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [21909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22092),
  [21911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [21913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21217),
  [21915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [21917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21138),
  [21919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [21921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21068),
  [21923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [21925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21490),
  [21927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [21929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15838),
  [21931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21374),
  [21933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [21935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17543),
  [21937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21756),
  [21939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11659),
  [21941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22299),
  [21943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [21945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [21947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [21949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16960),
  [21951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22069),
  [21953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [21955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21665),
  [21957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [21959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23513),
  [21961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [21963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 57),
  [21965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 0),
  [21967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16853),
  [21969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11157),
  [21971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [21973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22448),
  [21975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [21977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21956),
  [21979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [21981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22373),
  [21983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [21985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12719),
  [21987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16917),
  [21989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15298),
  [21991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19059),
  [21993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [21995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 1, 0, 0),
  [21997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17544),
  [21999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22520),
  [22001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [22003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15266),
  [22005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19027),
  [22007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [22009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15285),
  [22011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19060),
  [22013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22662),
  [22015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [22017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15305),
  [22019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17675),
  [22021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10708),
  [22023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22871),
  [22025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [22027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [22029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22211),
  [22031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [22033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16977),
  [22035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23111),
  [22037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9101),
  [22039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17300),
  [22041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20760),
  [22043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [22045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22965),
  [22047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [22049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17411),
  [22051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16555),
  [22053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23333),
  [22055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [22057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23533),
  [22059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [22061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16348),
  [22063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17172),
  [22065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23660),
  [22067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [22069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [22071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 0),
  [22073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [22075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [22077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11159),
  [22079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11170),
  [22081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17164),
  [22083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10316),
  [22085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [22087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10967),
  [22089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9745),
  [22091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [22093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18182),
  [22095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11944),
  [22097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17982),
  [22099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [22101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20076),
  [22103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11601),
  [22105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18183),
  [22107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11771),
  [22110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11630),
  [22112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11635),
  [22114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10918),
  [22116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12772),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14096),
  [22120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14118),
  [22122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [22124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5153),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [22128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14645),
  [22130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [22132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [22134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0), SHIFT_REPEAT(18011),
  [22137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0),
  [22139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [22141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [22143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10301),
  [22145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [22147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10920),
  [22149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9008),
  [22151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [22153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18374),
  [22155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11110),
  [22157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18620),
  [22159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12758),
  [22161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14596),
  [22163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11144),
  [22165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11147),
  [22167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10323),
  [22169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [22171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10942),
  [22173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10489),
  [22175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5813),
  [22177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15959),
  [22179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10914),
  [22181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17981),
  [22183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11898),
  [22185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15264),
  [22187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12209),
  [22189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15131),
  [22191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [22193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [22195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0),
  [22197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(18362),
  [22200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18670),
  [22202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [22204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [22206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [22208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15074),
  [22210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18200),
  [22212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17497),
  [22214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11078),
  [22216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11088),
  [22218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10404),
  [22220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [22222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [22224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11095),
  [22226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11257),
  [22228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15256),
  [22230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18201),
  [22232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [22234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [22236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12434),
  [22238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15259),
  [22240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18202),
  [22242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10255),
  [22244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [22246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [22248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15306),
  [22250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11201),
  [22252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15302),
  [22254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10241),
  [22256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [22258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18678),
  [22260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11471),
  [22262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [22264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14191),
  [22266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16503),
  [22268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14058),
  [22270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18121),
  [22272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10895),
  [22274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10898),
  [22276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3203),
  [22278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10903),
  [22280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [22282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16995),
  [22284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [22286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12162),
  [22288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15193),
  [22290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18122),
  [22292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10191),
  [22294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [22296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0),
  [22298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(18651),
  [22301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [22303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [22305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14453),
  [22307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17959),
  [22309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10995),
  [22311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10997),
  [22313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12118),
  [22315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18097),
  [22317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11000),
  [22319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15594),
  [22321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [22323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12109),
  [22325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [22327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6300),
  [22329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18011),
  [22331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_type, 2, 0, 0),
  [22333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [22335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15270),
  [22337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18218),
  [22339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18034),
  [22341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14972),
  [22343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18123),
  [22345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [22347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [22349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17740),
  [22351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20150),
  [22353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20164),
  [22355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23236),
  [22357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [22359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11120),
  [22361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11123),
  [22363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15592),
  [22365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18219),
  [22367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11125),
  [22369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10409),
  [22371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [22373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [22375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [22377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14977),
  [22379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15618),
  [22381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18220),
  [22383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [22385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15581),
  [22387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15610),
  [22389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16657),
  [22391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [22393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12923),
  [22395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [22397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11811),
  [22399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18091),
  [22401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14982),
  [22403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [22405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11040),
  [22407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [22409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18036),
  [22411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10991),
  [22413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8688),
  [22415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10896),
  [22417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [22419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10331),
  [22421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [22423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [22425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18458),
  [22427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [22429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11101),
  [22431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11113),
  [22433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11122),
  [22435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [22437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [22439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [22441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17859),
  [22443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18237),
  [22445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [22447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [22449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12938),
  [22451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18239),
  [22453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14836),
  [22455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18461),
  [22457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [22459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9623),
  [22461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11952),
  [22463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17983),
  [22465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [22467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12781),
  [22469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18240),
  [22471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16174),
  [22473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12716),
  [22475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12859),
  [22477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10379),
  [22479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [22481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [22483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10411),
  [22485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [22487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10934),
  [22489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12089),
  [22491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11753),
  [22493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18037),
  [22495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [22497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10887),
  [22499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18631),
  [22501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(20062),
  [22504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10333),
  [22506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7566),
  [22508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [22510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17862),
  [22512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [22514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11768),
  [22516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11777),
  [22518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [22520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10306),
  [22522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5022),
  [22524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [22526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10875),
  [22528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18251),
  [22530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [22532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [22534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [22536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18252),
  [22538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11924),
  [22540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [22542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18253),
  [22544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11546),
  [22546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11403),
  [22548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [22550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11744),
  [22552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17864),
  [22554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13178),
  [22556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18679),
  [22558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11755),
  [22560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11759),
  [22562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [22564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12130),
  [22566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18098),
  [22568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18135),
  [22570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [22572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [22574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [22576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10337),
  [22578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10979),
  [22580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20062),
  [22582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [22584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [22586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11978),
  [22588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [22590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11022),
  [22592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10961),
  [22594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5823),
  [22596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10962),
  [22598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10756),
  [22600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18262),
  [22602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19342),
  [22604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [22606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17598),
  [22608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11056),
  [22610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12225),
  [22612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18142),
  [22614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11179),
  [22616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18263),
  [22618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [22620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [22622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10929),
  [22624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18264),
  [22626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12768),
  [22628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10966),
  [22630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [22632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11004),
  [22634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18633),
  [22636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [22638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10263),
  [22640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [22642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18143),
  [22644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [22646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5153),
  [22649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5153),
  [22652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [22654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12136),
  [22656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11959),
  [22658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12824),
  [22660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18144),
  [22662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [22664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9299),
  [22666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10340),
  [22668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [22670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11174),
  [22672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12097),
  [22674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12834),
  [22676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12837),
  [22678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9604),
  [22680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [22682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10384),
  [22684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [22686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [22688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [22690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [22692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [22694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [22696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10270),
  [22698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [22700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16288),
  [22702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11970),
  [22704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10397),
  [22706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [22710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5707),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11190),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [22716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [22718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12139),
  [22720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19164),
  [22722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19338),
  [22724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10342),
  [22726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [22728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11844),
  [22730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [22732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10484),
  [22734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7505),
  [22736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10310),
  [22738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [22740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [22742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17961),
  [22744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18096),
  [22746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [22748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [22750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10377),
  [22752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4799),
  [22754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14471),
  [22756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [22758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [22760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10420),
  [22762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [22764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [22766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10823),
  [22768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [22770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17904),
  [22772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11131),
  [22774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11132),
  [22776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0),
  [22778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17575),
  [22780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [22782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [22784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0), SHIFT_REPEAT(10232),
  [22787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10344),
  [22789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11663),
  [22791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [22793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11141),
  [22795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13051),
  [22797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15732),
  [22799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17819),
  [22801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [22803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17699),
  [22805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [22807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11678),
  [22809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [22811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11263),
  [22813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17905),
  [22815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [22817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9745),
  [22820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0),
  [22822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11689),
  [22824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10809),
  [22826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17757),
  [22828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [22830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10734),
  [22832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18161),
  [22834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11303),
  [22836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17906),
  [22838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14696),
  [22840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18418),
  [22842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11148),
  [22844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [22846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9616),
  [22848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [22850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10277),
  [22852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [22854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10347),
  [22856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [22858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11325),
  [22860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12812),
  [22862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [22864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12569),
  [22866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12555),
  [22868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [22870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14021),
  [22872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16827),
  [22874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [22876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [22878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18067),
  [22880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10423),
  [22882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [22884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [22886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [22888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [22890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18006),
  [22892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [22894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [22896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [22898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10850),
  [22900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18162),
  [22902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16734),
  [22904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [22906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13184),
  [22908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18069),
  [22910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [22912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [22914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [22916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [22918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10857),
  [22920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18163),
  [22922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10204),
  [22924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10699),
  [22926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [22928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14013),
  [22930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [22932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [22934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [22936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10862),
  [22938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [22940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [22942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [22944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [22946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10218),
  [22948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [22950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [22952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16723),
  [22954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [22956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [22958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [22960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10755),
  [22962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0),
  [22964] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(20331),
  [22967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [22969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13143),
  [22971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18070),
  [22973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10353),
  [22975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [22977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16732),
  [22979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [22981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3399),
  [22983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17727),
  [22985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12993),
  [22987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18007),
  [22989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [22991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [22993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [22995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [22997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [22999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13050),
  [23001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13022),
  [23003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16740),
  [23005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [23007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [23009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [23011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12143),
  [23013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [23015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17942),
  [23017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16746),
  [23019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10498),
  [23021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [23023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16758),
  [23025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [23027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [23029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10248),
  [23031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [23033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16763),
  [23035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [23037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18601),
  [23039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [23041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16766),
  [23043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16775),
  [23045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16778),
  [23047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16781),
  [23049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11058),
  [23051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16785),
  [23053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11079),
  [23055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16789),
  [23057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12901),
  [23059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17943),
  [23061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16792),
  [23063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [23065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5178),
  [23067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16795),
  [23069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16798),
  [23071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 1, 0, 0),
  [23073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10053),
  [23075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16799),
  [23077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17584),
  [23079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16801),
  [23081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14045),
  [23083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17822),
  [23085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16804),
  [23087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [23089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16806),
  [23091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16809),
  [23093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [23095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17944),
  [23097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [23099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16810),
  [23101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16811),
  [23103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16814),
  [23105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [23107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [23109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16818),
  [23111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16822),
  [23113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0),
  [23115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0), SHIFT_REPEAT(16044),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12821),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16302),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17760),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16824),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [23128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12013),
  [23130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16925),
  [23132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12847),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16829),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [23138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [23140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17691),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16831),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11146),
  [23146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [23148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14003),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16834),
  [23152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16837),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [23156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16838),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [23162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10640),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16840),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [23168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16843),
  [23172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10280),
  [23174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16844),
  [23178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10315),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16845),
  [23184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16847),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10392),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [23192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16850),
  [23194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16852),
  [23196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13066),
  [23198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16854),
  [23202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16858),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13029),
  [23206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18008),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12926),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16860),
  [23212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16862),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10365),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [23218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16863),
  [23220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10580),
  [23222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16864),
  [23224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16865),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16867),
  [23228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10265),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6154),
  [23232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16870),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10237),
  [23236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [23238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14176),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18902),
  [23246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12727),
  [23248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14537),
  [23252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11320),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10400),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [23260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0),
  [23262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0), SHIFT_REPEAT(19763),
  [23265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11135),
  [23267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [23269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18075),
  [23271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18180),
  [23273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12875),
  [23275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [23277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10367),
  [23279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [23281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17917),
  [23283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14066),
  [23285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17824),
  [23287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17976),
  [23289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16280),
  [23291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17765),
  [23293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12943),
  [23295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12945),
  [23297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12950),
  [23299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12952),
  [23301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6409),
  [23303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12955),
  [23305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12957),
  [23307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19042),
  [23309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [23311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19047),
  [23313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12688),
  [23315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17695),
  [23317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19050),
  [23319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13273),
  [23321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [23323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14158),
  [23325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13975),
  [23327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [23329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17672),
  [23331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10876),
  [23333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16391),
  [23335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16341),
  [23337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16044),
  [23339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23656),
  [23341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15961),
  [23343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15350),
  [23345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16476),
  [23347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [23349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16373),
  [23351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [23353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17297),
  [23355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [23357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20632),
  [23359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10055),
  [23361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16820),
  [23363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19357),
  [23365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17427),
  [23367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [23369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [23371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10080),
  [23373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [23375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [23377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18005),
  [23379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16478),
  [23381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16484),
  [23383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12770),
  [23385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15624),
  [23387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [23389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12796),
  [23391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [23393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17112),
  [23395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16389),
  [23397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [23399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [23401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17249),
  [23403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [23405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17019),
  [23407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [23409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16242),
  [23411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10622),
  [23413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [23415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [23417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16390),
  [23419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17075),
  [23421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17440),
  [23423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10664),
  [23425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [23427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [23429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16173),
  [23431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [23433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [23435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [23437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16344),
  [23439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [23441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19941),
  [23443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17033),
  [23445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16485),
  [23447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [23449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19983),
  [23451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [23453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21327),
  [23455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17359),
  [23457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [23459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16392),
  [23461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [23463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16492),
  [23465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [23467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22220),
  [23469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [23471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16397),
  [23473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [23475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16487),
  [23477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [23479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [23481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23167),
  [23483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [23485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17665),
  [23487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16393),
  [23489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10166),
  [23491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16327),
  [23493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17381),
  [23495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16488),
  [23497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [23499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [23501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [23503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [23505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16315),
  [23507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [23509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [23511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16489),
  [23513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16164),
  [23515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [23517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [23519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [23521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [23523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [23525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10946),
  [23527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16233),
  [23529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [23531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [23533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16345),
  [23535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [23537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [23539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [23541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [23543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16396),
  [23545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [23547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [23549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [23551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17090),
  [23553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [23555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [23557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10709),
  [23559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19969),
  [23561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [23563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [23565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16398),
  [23567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16500),
  [23569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [23571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16402),
  [23573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [23575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17485),
  [23577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14043),
  [23579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17109),
  [23581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16356),
  [23583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16745),
  [23585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16937),
  [23587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11163),
  [23589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [23591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [23593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16399),
  [23595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [23597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16499),
  [23599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [23601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [23603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17620),
  [23605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [23607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [23609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16501),
  [23611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [23613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [23615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16927),
  [23617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [23619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19408),
  [23621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16502),
  [23623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [23625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16400),
  [23627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14061),
  [23629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11126),
  [23631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19278),
  [23633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17314),
  [23635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [23637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16504),
  [23639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [23641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 30),
  [23643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [23645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [23647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16805),
  [23649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17197),
  [23651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16421),
  [23653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10969),
  [23655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [23657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16404),
  [23659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [23661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11584),
  [23663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(17748),
  [23666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0),
  [23668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [23670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17163),
  [23672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [23674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16328),
  [23676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [23678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17654),
  [23680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [23682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16353),
  [23684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [23686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16405),
  [23688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [23690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17174),
  [23692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [23694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19328),
  [23696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3570),
  [23699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16406),
  [23701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [23703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19677),
  [23705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19127),
  [23707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19128),
  [23709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19131),
  [23711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [23713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17322),
  [23715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [23717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16407),
  [23719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20088),
  [23721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21209),
  [23723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16511),
  [23725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16238),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16510),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16868),
  [23733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16994),
  [23735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [23737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(16921),
  [23740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0),
  [23742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17333),
  [23744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [23746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [23748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16354),
  [23750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16516),
  [23752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17418),
  [23754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [23756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [23758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [23760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16409),
  [23762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [23764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [23766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16874),
  [23768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12000),
  [23770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20113),
  [23772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19472),
  [23774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [23776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17006),
  [23778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19959),
  [23780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16518),
  [23782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7164),
  [23784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17253),
  [23786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [23788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16099),
  [23790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [23792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10604),
  [23794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [23796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [23798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12160),
  [23800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16410),
  [23802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16902),
  [23804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [23806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17456),
  [23808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16519),
  [23810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [23812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15257),
  [23814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [23816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [23818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17262),
  [23820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17349),
  [23822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15276),
  [23824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [23826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16411),
  [23828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3819),
  [23830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16525),
  [23832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [23834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [23836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20172),
  [23838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16357),
  [23840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [23842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16413),
  [23844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16361),
  [23846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [23848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16115),
  [23850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16329),
  [23852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [23854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [23856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16415),
  [23858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [23860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16787),
  [23862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16359),
  [23864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12358),
  [23866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16926),
  [23868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8143),
  [23870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16419),
  [23872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [23874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [23876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16537),
  [23878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [23880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16320),
  [23882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6026),
  [23884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16416),
  [23886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16527),
  [23888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [23890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9309),
  [23892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19277),
  [23894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20380),
  [23896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [23898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17062),
  [23900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [23902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17304),
  [23904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17107),
  [23906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [23908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2043),
  [23910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17362),
  [23912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [23914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16528),
  [23916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16909),
  [23918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [23920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [23922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [23924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16417),
  [23926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [23928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 1, 0, 16),
  [23930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17071),
  [23932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16141),
  [23934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [23936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16533),
  [23938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [23940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [23942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16418),
  [23944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21380),
  [23946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19237),
  [23948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19265),
  [23950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [23952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16536),
  [23954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15579),
  [23956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [23958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16429),
  [23960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11031),
  [23962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16794),
  [23964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15818),
  [23966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16447),
  [23968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [23970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15601),
  [23972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16311),
  [23974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [23976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [23978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16459),
  [23980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [23982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16547),
  [23984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17155),
  [23986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [23988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16424),
  [23990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [23992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [23994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17356),
  [23996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [23998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [24000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [24002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17214),
  [24004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19374),
  [24006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16149),
  [24008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [24010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2003),
  [24012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [24014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16229),
  [24016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16426),
  [24018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [24020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16362),
  [24022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [24024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17146),
  [24026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16888),
  [24028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [24030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17372),
  [24032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [24034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 30),
  [24036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [24038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9016),
  [24040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16546),
  [24042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [24044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [24046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17402),
  [24048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16040),
  [24050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [24052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17122),
  [24054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [24056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [24058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19522),
  [24060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16427),
  [24062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [24064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17448),
  [24066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [24068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [24070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16548),
  [24072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [24074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [24076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [24078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16556),
  [24080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [24082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16708),
  [24084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17129),
  [24086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16549),
  [24088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [24090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16428),
  [24092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [24094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16432),
  [24096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [24098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19608),
  [24100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16321),
  [24102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [24104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16551),
  [24106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16363),
  [24108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [24110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12803),
  [24112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16717),
  [24114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16366),
  [24116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11064),
  [24118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17555),
  [24120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [24122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12924),
  [24124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19689),
  [24126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [24128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [24130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [24132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [24134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16010),
  [24136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16431),
  [24138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [24140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16727),
  [24142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17407),
  [24144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [24146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [24148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [24150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [24152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19766),
  [24154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [24156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16325),
  [24158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16433),
  [24160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [24162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [24164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9662),
  [24166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16568),
  [24168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [24170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17271),
  [24172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16736),
  [24174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17484),
  [24176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17413),
  [24178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16559),
  [24180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [24182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16091),
  [24184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [24186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19841),
  [24188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17170),
  [24190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [24192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10976),
  [24194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20580),
  [24196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [24198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16435),
  [24200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [24202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16564),
  [24204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16747),
  [24206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16440),
  [24208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16236),
  [24210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [24212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 2, 0, 30),
  [24214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [24216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12991),
  [24218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [24220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17178),
  [24222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19906),
  [24224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16364),
  [24226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [24228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16436),
  [24230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16566),
  [24232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [24234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [24236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16764),
  [24238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13159),
  [24240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [24242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19951),
  [24244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16570),
  [24246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11381),
  [24248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10935),
  [24250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11118),
  [24252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16319),
  [24254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [24256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16780),
  [24258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [24260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11394),
  [24262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20002),
  [24264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11909),
  [24266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16442),
  [24268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [24270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16365),
  [24272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17469),
  [24274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [24276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [24278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 1, 0, 0),
  [24280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11003),
  [24282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16791),
  [24284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [24286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13040),
  [24288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20050),
  [24290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [24292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16332),
  [24294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4801),
  [24296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16443),
  [24298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16803),
  [24300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [24302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20089),
  [24304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17475),
  [24306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16575),
  [24308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10982),
  [24310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16444),
  [24312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [24314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17224),
  [24316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10993),
  [24318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16821),
  [24320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [24322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20131),
  [24324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [24326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16576),
  [24328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [24330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16317),
  [24332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6005),
  [24334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [24336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16286),
  [24338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [24340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16445),
  [24342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20165),
  [24344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17234),
  [24346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16058),
  [24348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15741),
  [24350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17975),
  [24353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0),
  [24355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16577),
  [24357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11041),
  [24359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16543),
  [24361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13025),
  [24363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20193),
  [24365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17232),
  [24367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [24369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [24371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16578),
  [24373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [24375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20222),
  [24377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16368),
  [24379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [24381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11154),
  [24383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17008),
  [24385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [24387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [24389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20246),
  [24391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(16765),
  [24394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0),
  [24396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16455),
  [24398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18623),
  [24400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17488),
  [24402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [24404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20270),
  [24406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [24408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [24410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16290),
  [24412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15600),
  [24414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20319),
  [24416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10692),
  [24418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20352),
  [24420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16588),
  [24422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7865),
  [24424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16600),
  [24426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [24428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23562),
  [24430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11142),
  [24432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17279),
  [24434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [24436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20390),
  [24438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15989),
  [24440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [24442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16593),
  [24444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [24446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [24448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17312),
  [24450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [24452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19073),
  [24454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17284),
  [24456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16594),
  [24458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [24460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16369),
  [24462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [24464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19092),
  [24466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10977),
  [24468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16595),
  [24470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16134),
  [24472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [24474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19111),
  [24476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [24478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [24480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16608),
  [24482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19134),
  [24484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 1, 0, 0),
  [24486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17292),
  [24488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16100),
  [24490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9612),
  [24492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [24494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19158),
  [24496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16603),
  [24498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [24500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19175),
  [24502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17343),
  [24504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17318),
  [24506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [24508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [24510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19192),
  [24512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [24514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16605),
  [24516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [24518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [24520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16305),
  [24522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [24524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [24526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19214),
  [24528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17324),
  [24530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [24532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [24534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16454),
  [24536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [24538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16607),
  [24540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [24542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11346),
  [24544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19230),
  [24546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7314),
  [24548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17634),
  [24550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [24552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16609),
  [24554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16615),
  [24556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [24558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19248),
  [24560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [24562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11942),
  [24564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16310),
  [24566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16965),
  [24568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19270),
  [24570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [24572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16333),
  [24574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16112),
  [24576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14688),
  [24578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [24580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16371),
  [24582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [24584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(5447),
  [24587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16574),
  [24589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [24591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19289),
  [24593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [24595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [24597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16082),
  [24599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16616),
  [24601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11665),
  [24603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19305),
  [24605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [24607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17358),
  [24609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11668),
  [24611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19418),
  [24613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16621),
  [24615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19325),
  [24617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [24619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16618),
  [24621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [24623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11261),
  [24625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17364),
  [24627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19344),
  [24629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [24631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17629),
  [24633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16619),
  [24635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [24637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10870),
  [24639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19364),
  [24641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9459),
  [24643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [24645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16620),
  [24647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19381),
  [24649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15551),
  [24651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16372),
  [24653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21664),
  [24655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16456),
  [24657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [24659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19392),
  [24661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11297),
  [24663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [24665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19412),
  [24667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19424),
  [24669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16628),
  [24671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [24673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19433),
  [24675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19439),
  [24677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19446),
  [24679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16648),
  [24681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [24683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19453),
  [24685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19460),
  [24687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19466),
  [24689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17397),
  [24691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [24693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19473),
  [24695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19479),
  [24697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19485),
  [24699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19491),
  [24701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19497),
  [24703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19504),
  [24705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19511),
  [24707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19517),
  [24709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19520),
  [24711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19523),
  [24713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19526),
  [24715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19529),
  [24717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19532),
  [24719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19535),
  [24721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19538),
  [24723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19541),
  [24725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19544),
  [24727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19547),
  [24729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19550),
  [24731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19553),
  [24733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19556),
  [24735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19559),
  [24737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19562),
  [24739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19565),
  [24741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19568),
  [24743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19571),
  [24745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19574),
  [24747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19577),
  [24749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19580),
  [24751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19583),
  [24753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [24755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16632),
  [24757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10396),
  [24759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20399),
  [24761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [24763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19626),
  [24765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17406),
  [24767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19598),
  [24769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19600),
  [24771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19601),
  [24773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [24775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17423),
  [24777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16636),
  [24779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [24781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12980),
  [24783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20496),
  [24785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [24787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11707),
  [24789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [24791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [24793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [24795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16638),
  [24797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16457),
  [24799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2398),
  [24802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17474),
  [24804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [24806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [24808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12116),
  [24810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16235),
  [24812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16625),
  [24814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(16782),
  [24817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0),
  [24819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(11521),
  [24822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20035),
  [24824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16486),
  [24826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [24828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(5500),
  [24831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16422),
  [24833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16334),
  [24835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [24837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16331),
  [24839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [24841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11127),
  [24843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20769),
  [24845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16720),
  [24847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [24849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17179),
  [24851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16649),
  [24853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [24855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(3697),
  [24858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17443),
  [24860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [24862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16671),
  [24864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [24866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17246),
  [24868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16650),
  [24870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12127),
  [24872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [24874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16653),
  [24876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [24878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [24880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17450),
  [24882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16651),
  [24884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [24886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19259),
  [24888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19272),
  [24890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19534),
  [24892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [24894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [24896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [24898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [24900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [24902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10905),
  [24904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16652),
  [24906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17476),
  [24908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [24910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12221),
  [24912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15950),
  [24914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [24916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [24918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16663),
  [24920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16138),
  [24922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19619),
  [24924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16376),
  [24926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [24928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16336),
  [24930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17131),
  [24932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [24934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2046),
  [24936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17396),
  [24938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [24940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16658),
  [24942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [24944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17473),
  [24946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [24948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16024),
  [24950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [24952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20047),
  [24954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20057),
  [24956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20072),
  [24958] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 1, 0, 0),
  [24960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [24962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [24964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [24966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [24968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [24970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16660),
  [24972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [24974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [24976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17074),
  [24978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19148),
  [24980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17477),
  [24982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16661),
  [24984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [24986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16378),
  [24988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16471),
  [24990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17502),
  [24992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [24994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16662),
  [24996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17593),
  [24998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20658),
  [25000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [25002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [25004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20022),
  [25006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20025),
  [25008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20026),
  [25010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16669),
  [25012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [25014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16120),
  [25016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [25018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [25020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [25022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [25024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10574),
  [25026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15494),
  [25028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17491),
  [25030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16665),
  [25032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [25034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19287),
  [25036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19293),
  [25038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19296),
  [25040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [25042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [25044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [25046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [25048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17500),
  [25050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [25052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [25054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16165),
  [25056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16081),
  [25058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [25060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [25062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16379),
  [25064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [25066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19706),
  [25068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19713),
  [25070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19721),
  [25072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16666),
  [25074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [25076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [25078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [25080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [25082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16326),
  [25084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [25086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [25088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [25090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17504),
  [25092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16465),
  [25094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [25096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17226),
  [25098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19972),
  [25100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19973),
  [25102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19975),
  [25104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [25106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16667),
  [25112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [25116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20188),
  [25120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20189),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20190),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [25128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11059),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16668),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20409),
  [25140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20411),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19826),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [25146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16999),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19246),
  [25156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19250),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19255),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [25162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16673),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19386),
  [25170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19388),
  [25172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19390),
  [25174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [25176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [25178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [25180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12898),
  [25182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11010),
  [25184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [25186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19528),
  [25188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19530),
  [25190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19531),
  [25192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [25194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [25196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [25198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16380),
  [25200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19611),
  [25202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19612),
  [25204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19616),
  [25206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [25208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [25210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [25212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16467),
  [25214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17086),
  [25216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20947),
  [25218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11096),
  [25220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19695),
  [25222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19696),
  [25224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19698),
  [25226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16672),
  [25228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [25230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [25232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [25234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [25236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16698),
  [25238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [25240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19775),
  [25242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19778),
  [25244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19782),
  [25246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [25248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [25250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [25252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17533),
  [25254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [25256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16340),
  [25258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [25260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [25262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14829),
  [25264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19847),
  [25266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19848),
  [25268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19849),
  [25270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [25272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [25274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [25276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [25278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19910),
  [25280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19912),
  [25282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19913),
  [25284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16674),
  [25286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [25288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [25290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [25292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [25294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19954),
  [25296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19955),
  [25298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19956),
  [25300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [25302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [25304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [25306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17044),
  [25308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17540),
  [25310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20007),
  [25312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20008),
  [25314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20009),
  [25316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [25318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [25320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [25322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12782),
  [25324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17177),
  [25326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [25328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20052),
  [25330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20054),
  [25332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20056),
  [25334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [25336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1240),
  [25338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [25340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16675),
  [25342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [25344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20093),
  [25346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20095),
  [25348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20096),
  [25350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16468),
  [25352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [25354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [25356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [25358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [25360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20134),
  [25362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20135),
  [25364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20137),
  [25366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [25368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [25370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [25372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [25374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16677),
  [25376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20168),
  [25378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20169),
  [25380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20171),
  [25382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [25384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [25386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [25388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20197),
  [25390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20199),
  [25392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20202),
  [25394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [25396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [25398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [25400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16347),
  [25402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [25404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20227),
  [25406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20228),
  [25408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20229),
  [25410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [25412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [25414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [25416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [25418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17070),
  [25420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [25422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20250),
  [25424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20251),
  [25426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20252),
  [25428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [25430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [25432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [25434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16469),
  [25436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16856),
  [25438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15176),
  [25440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20272),
  [25442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20275),
  [25444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20283),
  [25446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [25448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [25450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [25452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20326),
  [25454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20327),
  [25456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20328),
  [25458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [25460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [25462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [25464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16385),
  [25466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [25468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10874),
  [25470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20354),
  [25472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20355),
  [25474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20357),
  [25476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16683),
  [25478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [25480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [25482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [25484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [25486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16382),
  [25488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [25490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20398),
  [25492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20401),
  [25494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20403),
  [25496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14962),
  [25498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [25500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [25502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [25504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17579),
  [25506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [25508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19074),
  [25510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19075),
  [25512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19076),
  [25514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [25516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [25518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [25520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16936),
  [25522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [25524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19094),
  [25526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19095),
  [25528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19096),
  [25530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [25532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [25534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [25536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [25538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16687),
  [25540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12017),
  [25542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17231),
  [25544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19115),
  [25546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19116),
  [25548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19117),
  [25550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [25552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [25554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [25556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [25558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16403),
  [25560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [25562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [25564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19137),
  [25566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19138),
  [25568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19139),
  [25570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [25572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [25574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [25576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17587),
  [25578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19160),
  [25580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19161),
  [25582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19162),
  [25584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16144),
  [25586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [25588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [25590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [25592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17013),
  [25594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [25596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [25598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [25600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16689),
  [25602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [25604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11949),
  [25606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19178),
  [25608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19179),
  [25610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19180),
  [25612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [25614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [25616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [25618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16383),
  [25620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19196),
  [25622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19197),
  [25624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19198),
  [25626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [25628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1388),
  [25630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [25632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [25634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11842),
  [25637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19215),
  [25639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19216),
  [25641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19217),
  [25643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [25645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [25647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [25649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16690),
  [25651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [25653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19233),
  [25655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19234),
  [25657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19235),
  [25659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [25661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [25663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [25665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15633),
  [25667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19251),
  [25669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19252),
  [25671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19253),
  [25673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [25675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [25677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [25679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19273),
  [25681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19274),
  [25683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19275),
  [25685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [25687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [25689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [25691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15790),
  [25693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19290),
  [25695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19291),
  [25697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19292),
  [25699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11765),
  [25701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [25703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1428),
  [25705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [25707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17051),
  [25709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16958),
  [25711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [25713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19309),
  [25715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19310),
  [25717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19311),
  [25719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [25721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [25723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [25725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15528),
  [25727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(18623),
  [25730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17150),
  [25732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12227),
  [25734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19329),
  [25736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19330),
  [25738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19331),
  [25740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [25742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [25744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [25746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16693),
  [25748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [25750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19347),
  [25752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19348),
  [25754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19349),
  [25756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16477),
  [25758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [25760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [25762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [25764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [25766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17612),
  [25768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [25770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19366),
  [25772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19367),
  [25774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19368),
  [25776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [25778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [25780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [25782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19383),
  [25784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19384),
  [25786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19385),
  [25788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [25790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [25792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [25794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [25796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16694),
  [25798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19396),
  [25800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19397),
  [25802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19398),
  [25804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [25806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [25808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [25810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [25812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19953),
  [25814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [25816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16384),
  [25818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [25820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19415),
  [25822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19416),
  [25824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19417),
  [25826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [25828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [25830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [25832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19425),
  [25834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19426),
  [25836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19427),
  [25838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19434),
  [25840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19435),
  [25842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19436),
  [25844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19440),
  [25846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19441),
  [25848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19442),
  [25850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19447),
  [25852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19448),
  [25854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19449),
  [25856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19454),
  [25858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19455),
  [25860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19456),
  [25862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19461),
  [25864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19462),
  [25866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19463),
  [25868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19467),
  [25870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19468),
  [25872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19469),
  [25874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19474),
  [25876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19475),
  [25878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19476),
  [25880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19480),
  [25882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19481),
  [25884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19482),
  [25886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19486),
  [25888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19487),
  [25890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19488),
  [25892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19492),
  [25894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19493),
  [25896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19494),
  [25898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19498),
  [25900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19499),
  [25902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19500),
  [25904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19505),
  [25906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19506),
  [25908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19507),
  [25910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19512),
  [25912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19513),
  [25914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19514),
  [25916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17622),
  [25918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16701),
  [25920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [25922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16696),
  [25924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [25926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [25928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19909),
  [25930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10846),
  [25932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9156),
  [25934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16473),
  [25936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [25938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16697),
  [25940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17296),
  [25942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [25944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [25946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23497),
  [25948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23504),
  [25950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23509),
  [25952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17302),
  [25954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [25956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16002),
  [25958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12264),
  [25960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [25962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17209),
  [25964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [25966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16704),
  [25968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [25970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16313),
  [25972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [25974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17660),
  [25976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [25978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2122),
  [25981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [25983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17636),
  [25985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16474),
  [25987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [25989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20400),
  [25991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16530),
  [25993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16318),
  [25995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12686),
  [25997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [25999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16386),
  [26001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [26003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [26005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23000),
  [26007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17667),
  [26009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2005),
  [26011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16316),
  [26013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [26015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10974),
  [26017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16246),
  [26019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [26021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [26023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [26025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17243),
  [26027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17668),
  [26029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17670),
  [26031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16922),
  [26033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15925),
  [26035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [26037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [26039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20201),
  [26041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [26043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [26045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [26047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10378),
  [26049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [26051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [26053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22370),
  [26055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10330),
  [26057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [26059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20294),
  [26061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23123),
  [26063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23124),
  [26065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23125),
  [26067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5848),
  [26069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22692),
  [26071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [26073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22379),
  [26075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [26077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20042),
  [26079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15914),
  [26081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15904),
  [26083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20350),
  [26085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12218),
  [26087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [26089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [26091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22411),
  [26093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [26095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23238),
  [26097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [26099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22417),
  [26101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22228),
  [26103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [26105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20407),
  [26107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23138),
  [26109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23139),
  [26111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23140),
  [26113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [26115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21352),
  [26117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [26119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [26121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [26123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10948),
  [26125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [26127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [26129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20414),
  [26131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [26133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [26135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [26137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22445),
  [26139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [26141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22447),
  [26143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [26145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [26147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [26149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21368),
  [26151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [26153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22479),
  [26155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19320),
  [26157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23153),
  [26159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23154),
  [26161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23155),
  [26163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [26165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22483),
  [26167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10206),
  [26169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [26171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6558),
  [26173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [26175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [26177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [26179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [26181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15933),
  [26183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19824),
  [26185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22618),
  [26187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22656),
  [26189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [26191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22659),
  [26193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [26195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22521),
  [26197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22661),
  [26199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [26201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22525),
  [26203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [26205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [26207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15932),
  [26209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20147),
  [26211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23168),
  [26213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23169),
  [26215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23170),
  [26217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [26219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22565),
  [26221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [26223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [26225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22567),
  [26227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [26229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14399),
  [26231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10444),
  [26233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [26235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [26237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22616),
  [26239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [26241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [26243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22621),
  [26245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [26247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [26249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22657),
  [26251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [26253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22663),
  [26255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [26257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [26259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [26261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19719),
  [26263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23183),
  [26265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23184),
  [26267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23185),
  [26269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [26271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [26273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22704),
  [26275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [26277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [26279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22710),
  [26281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15712),
  [26283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [26285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [26287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11392),
  [26289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22804),
  [26291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [26293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [26295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9190),
  [26297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [26299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [26301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19438),
  [26303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23198),
  [26305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23199),
  [26307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23200),
  [26309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [26311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19284),
  [26313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [26315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23001),
  [26317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [26319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [26321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18913),
  [26323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [26325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [26327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [26329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [26331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22747),
  [26333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [26335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [26337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20194),
  [26339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23213),
  [26341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23214),
  [26343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23215),
  [26345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [26347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [26349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [26351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22756),
  [26353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [26355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9175),
  [26357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [26359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [26361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20302),
  [26363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [26365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21245),
  [26367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [26369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12539),
  [26371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [26373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [26375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [26377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23188),
  [26379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19993),
  [26381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23227),
  [26383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23228),
  [26385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23229),
  [26387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [26389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [26391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16876),
  [26393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [26395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23366),
  [26397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9330),
  [26399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [26401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10462),
  [26403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [26405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [26407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [26409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23231),
  [26411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10499),
  [26413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21620),
  [26415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19359),
  [26417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23241),
  [26419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23242),
  [26421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23243),
  [26423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [26425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [26427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5791),
  [26429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10272),
  [26431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [26433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [26435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22821),
  [26437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13060),
  [26439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [26441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [26443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17800),
  [26445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [26447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19868),
  [26449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22788),
  [26451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23391),
  [26453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10737),
  [26455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10533),
  [26457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21635),
  [26459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22789),
  [26461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19887),
  [26463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23255),
  [26465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23256),
  [26467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23257),
  [26469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22790),
  [26471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [26473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [26475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21272),
  [26477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20284),
  [26479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22456),
  [26481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19242),
  [26483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [26485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12283),
  [26487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22415),
  [26489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [26491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21569),
  [26493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10192),
  [26495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [26497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [26499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [26501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [26503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20436),
  [26505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22457),
  [26507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20337),
  [26509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23269),
  [26511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23270),
  [26513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23271),
  [26515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15268),
  [26517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19391),
  [26519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15928),
  [26521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18148),
  [26523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [26525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [26527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [26529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [26531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10464),
  [26533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [26535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19761),
  [26537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22667),
  [26539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10561),
  [26541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19090),
  [26543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23283),
  [26545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23284),
  [26547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23285),
  [26549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22668),
  [26551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [26553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21917),
  [26555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22669),
  [26557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [26559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10203),
  [26561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15598),
  [26563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11634),
  [26565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23332),
  [26567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16601),
  [26569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [26571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23272),
  [26573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6570),
  [26575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [26577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [26579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21923),
  [26581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19105),
  [26583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23297),
  [26585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23298),
  [26587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23299),
  [26589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [26591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22205),
  [26593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9345),
  [26595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [26597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23016),
  [26599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19850),
  [26601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [26603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21328),
  [26605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12295),
  [26607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [26609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10345),
  [26611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11674),
  [26613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10981),
  [26615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21322),
  [26617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [26619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11093),
  [26621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5847),
  [26623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21522),
  [26625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15930),
  [26627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 3, 0, 0),
  [26629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19671),
  [26631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23311),
  [26633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23312),
  [26635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23313),
  [26637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [26639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15962),
  [26641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22427),
  [26643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12884),
  [26645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [26647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [26649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19256),
  [26651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [26653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [26655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [26657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20125),
  [26659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23325),
  [26661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23326),
  [26663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23327),
  [26665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15920),
  [26667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [26669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10433),
  [26671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [26673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [26675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [26677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21216),
  [26679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [26681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15863),
  [26683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11840),
  [26685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [26687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21120),
  [26689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [26691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10422),
  [26693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [26695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [26697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [26699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21885),
  [26701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19207),
  [26703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23339),
  [26705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23340),
  [26707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23341),
  [26709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11695),
  [26711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20971),
  [26713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [26715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [26717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2327),
  [26719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [26721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [26723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21959),
  [26725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13366),
  [26727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [26729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21900),
  [26731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18156),
  [26733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19554),
  [26735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23353),
  [26737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23354),
  [26739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23355),
  [26741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19807),
  [26743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22807),
  [26745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21967),
  [26747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [26749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22808),
  [26751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15985),
  [26753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22809),
  [26755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [26757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [26759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [26761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [26763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19898),
  [26765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23367),
  [26767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23368),
  [26769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23369),
  [26771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10497),
  [26773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11309),
  [26775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 1, 0, 0),
  [26777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19985),
  [26779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22023),
  [26781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9671),
  [26783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15922),
  [26785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [26787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [26789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [26791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22029),
  [26793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20133),
  [26795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23381),
  [26797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23382),
  [26799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23383),
  [26801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11899),
  [26803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [26805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [26807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [26809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [26811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20241),
  [26813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23388),
  [26815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23389),
  [26817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23390),
  [26819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23703),
  [26821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16571),
  [26823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [26825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [26827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [26829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20292),
  [26831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23395),
  [26833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23396),
  [26835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23397),
  [26837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [26839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [26841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21500),
  [26843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20372),
  [26845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23400),
  [26847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23401),
  [26849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23402),
  [26851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10799),
  [26853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [26855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [26857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20405),
  [26859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23405),
  [26861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23406),
  [26863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23407),
  [26865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14080),
  [26867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19071),
  [26869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23410),
  [26871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23411),
  [26873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23412),
  [26875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [26877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18632),
  [26879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [26881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19089),
  [26883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23415),
  [26885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23416),
  [26887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23417),
  [26889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15605),
  [26891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19108),
  [26893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23420),
  [26895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23421),
  [26897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23422),
  [26899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2991),
  [26901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16097),
  [26903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [26905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19114),
  [26907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23425),
  [26909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23426),
  [26911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23427),
  [26913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20256),
  [26915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22196),
  [26917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19130),
  [26919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23430),
  [26921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23431),
  [26923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23432),
  [26925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11608),
  [26927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [26929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23264),
  [26931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19140),
  [26933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23435),
  [26935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23436),
  [26937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23437),
  [26939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19245),
  [26941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [26943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22225),
  [26945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19149),
  [26947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23440),
  [26949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23441),
  [26951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23442),
  [26953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [26955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22938),
  [26957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19154),
  [26959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23445),
  [26961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23446),
  [26963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23447),
  [26965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [26967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [26969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23031),
  [26971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [26973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19165),
  [26975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23450),
  [26977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23451),
  [26979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23452),
  [26981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [26983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [26985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15976),
  [26987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [26989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21691),
  [26991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19194),
  [26993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23455),
  [26995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23456),
  [26997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23457),
  [26999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 1, 0, 0),
  [27001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [27003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [27005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [27007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22248),
  [27009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10526),
  [27011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [27013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12187),
  [27015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22249),
  [27017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18575),
  [27019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19624),
  [27021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22824),
  [27023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22825),
  [27025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22826),
  [27027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [27029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20626),
  [27031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22458),
  [27033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [27035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15901),
  [27037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [27039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19672),
  [27041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11761),
  [27043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19863),
  [27045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10412),
  [27047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [27049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2796),
  [27051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10443),
  [27053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [27055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [27057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21543),
  [27059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [27061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [27063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [27065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [27067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14433),
  [27069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20593),
  [27071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10388),
  [27073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [27075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [27077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15896),
  [27079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2192),
  [27081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [27083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12154),
  [27085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [27087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [27089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12733),
  [27091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10719),
  [27093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19923),
  [27095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9756),
  [27097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [27099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10348),
  [27101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [27103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [27105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22536),
  [27107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [27109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [27111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22513),
  [27113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10435),
  [27115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [27117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15999),
  [27119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20812),
  [27121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19260),
  [27123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19786),
  [27125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22311),
  [27127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12610),
  [27129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22312),
  [27131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22313),
  [27133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [27135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21574),
  [27137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [27139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21191),
  [27141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15609),
  [27143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22208),
  [27145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12907),
  [27147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [27149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [27151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [27153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20421),
  [27155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20036),
  [27157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22841),
  [27159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22842),
  [27161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [27163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22843),
  [27165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [27167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [27169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19832),
  [27171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [27173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19122),
  [27175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20064),
  [27177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16596),
  [27179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23686),
  [27181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13153),
  [27183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8593),
  [27185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22295),
  [27187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [27189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15909),
  [27191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [27193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [27195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [27197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [27199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9694),
  [27201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23387),
  [27203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11289),
  [27205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23744),
  [27207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19937),
  [27209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [27211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22304),
  [27213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19168),
  [27215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [27217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [27219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15916),
  [27221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [27223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22440),
  [27225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12527),
  [27227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [27229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16293),
  [27231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22271),
  [27233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [27235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12259),
  [27237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15570),
  [27239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [27241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [27243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [27245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14702),
  [27247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20342),
  [27249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [27251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [27253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10282),
  [27255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [27257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [27259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15026),
  [27261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11017),
  [27263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22064),
  [27265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12231),
  [27267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [27269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20670),
  [27271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13026),
  [27273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [27275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [27277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [27279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [27281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10213),
  [27283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [27285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10188),
  [27287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5680),
  [27289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12844),
  [27291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18426),
  [27293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18388),
  [27295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [27297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20458),
  [27299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [27301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [27303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23046),
  [27305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [27307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [27309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [27311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19355),
  [27313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22858),
  [27315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22859),
  [27317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [27319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22860),
  [27321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10470),
  [27323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [27325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [27327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11713),
  [27329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19308),
  [27331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22700),
  [27333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9622),
  [27335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5901),
  [27337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19666),
  [27339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [27341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15882),
  [27343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22701),
  [27345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13385),
  [27347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [27349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [27351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [27353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22279),
  [27355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15898),
  [27357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7644),
  [27359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20455),
  [27361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [27363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22702),
  [27365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20504),
  [27367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15975),
  [27369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [27371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16055),
  [27373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10274),
  [27375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15924),
  [27377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [27379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22459),
  [27381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [27383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [27385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [27387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10859),
  [27389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12132),
  [27391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11490),
  [27393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [27395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20153),
  [27397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [27399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22466),
  [27401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [27403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22721),
  [27405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19358),
  [27407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [27409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15912),
  [27411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12736),
  [27413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 140),
  [27415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10220),
  [27417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [27419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [27421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20668),
  [27423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [27425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16598),
  [27427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20428),
  [27429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [27431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13272),
  [27433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20671),
  [27435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10424),
  [27437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [27439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [27441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [27443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [27445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20688),
  [27447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [27449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23211),
  [27451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [27453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20695),
  [27455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [27457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [27459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [27461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23151),
  [27463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [27465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10534),
  [27467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22523),
  [27469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [27471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15941),
  [27473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12825),
  [27475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14407),
  [27477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5706),
  [27479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [27481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19510),
  [27483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22875),
  [27485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [27487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23061),
  [27489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22876),
  [27491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [27493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [27495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10355),
  [27497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [27499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22877),
  [27501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [27503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21740),
  [27505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10375),
  [27507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7475),
  [27509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [27511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [27513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20713),
  [27515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10385),
  [27517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [27519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19606),
  [27521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [27523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [27525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [27527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [27529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [27531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [27533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [27535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [27537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [27539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [27541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [27543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10450),
  [27545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [27547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [27549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [27551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21938),
  [27553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [27555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22597),
  [27557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [27559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [27561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20493),
  [27563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12215),
  [27565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19815),
  [27567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11242),
  [27569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [27571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20324),
  [27573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [27575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22605),
  [27577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [27579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22906),
  [27581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [27583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [27585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [27587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [27589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23659),
  [27591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [27593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22771),
  [27595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19533),
  [27597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [27599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [27601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [27603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [27605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [27607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16116),
  [27609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15673),
  [27611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [27613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [27615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12879),
  [27617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15623),
  [27619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [27621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10326),
  [27623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [27625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [27627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14491),
  [27629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10371),
  [27631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [27633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [27635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22954),
  [27637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19312),
  [27639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22892),
  [27641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22893),
  [27643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22894),
  [27645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14010),
  [27647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [27649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [27651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23076),
  [27653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [27655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [27657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [27659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19443),
  [27661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10357),
  [27663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [27665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10558),
  [27667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12780),
  [27669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [27671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21276),
  [27673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [27675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22259),
  [27677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14855),
  [27679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19904),
  [27681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [27683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20749),
  [27685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5387),
  [27687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14431),
  [27689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20454),
  [27691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15890),
  [27693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11582),
  [27695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [27697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [27699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15943),
  [27701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22052),
  [27703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13499),
  [27705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10410),
  [27707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [27709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [27711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9570),
  [27713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [27715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [27717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [27719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11386),
  [27721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [27723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21729),
  [27725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20784),
  [27727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19846),
  [27729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [27731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22780),
  [27733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [27735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [27737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [27739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [27741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21840),
  [27743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [27745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [27747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [27749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [27751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22917),
  [27753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [27755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [27757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [27759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13520),
  [27761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [27763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [27765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20023),
  [27767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22909),
  [27769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [27771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22795),
  [27773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22910),
  [27775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22911),
  [27777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9038),
  [27779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22838),
  [27781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [27783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12149),
  [27785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22062),
  [27787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 178),
  [27789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [27791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10303),
  [27793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9438),
  [27795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [27797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20051),
  [27799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19747),
  [27801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [27803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [27805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [27807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20787),
  [27809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [27811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11150),
  [27813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [27815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19081),
  [27817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [27819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20724),
  [27821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [27823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21857),
  [27825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [27827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11250),
  [27829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5634),
  [27831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [27833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22872),
  [27835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15917),
  [27837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23026),
  [27839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19231),
  [27841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22925),
  [27843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22926),
  [27845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22927),
  [27847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [27849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [27851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23091),
  [27853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22172),
  [27855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16370),
  [27857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22783),
  [27859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [27861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [27863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [27865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19276),
  [27867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10416),
  [27869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [27871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [27873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [27875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12867),
  [27877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18719),
  [27879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19901),
  [27881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22725),
  [27883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22726),
  [27885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22727),
  [27887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10193),
  [27889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [27891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9651),
  [27893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [27895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21771),
  [27897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [27899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [27901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12031),
  [27903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19518),
  [27905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [27907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20978),
  [27909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18283),
  [27911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [27913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19945),
  [27915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [27917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [27919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20570),
  [27921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [27923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11399),
  [27925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [27927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [27929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [27931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20759),
  [27933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11283),
  [27935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [27937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19610),
  [27939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22941),
  [27941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22942),
  [27943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22943),
  [27945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6609),
  [27947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23015),
  [27949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [27951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17801),
  [27953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19656),
  [27955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [27957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12798),
  [27959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10458),
  [27961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [27963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [27965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19917),
  [27967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22628),
  [27969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6127),
  [27971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22646),
  [27973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [27975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22629),
  [27977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22630),
  [27979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12657),
  [27981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [27983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23030),
  [27985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23052),
  [27987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [27989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [27991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10557),
  [27993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10201),
  [27995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8233),
  [27997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23057),
  [27999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11748),
  [28001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10452),
  [28003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [28005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 4, 0, 0),
  [28007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [28009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20700),
  [28011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9487),
  [28013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20067),
  [28015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19854),
  [28017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20805),
  [28019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [28021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12001),
  [28023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [28025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [28027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20810),
  [28029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10426),
  [28031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [28033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15906),
  [28035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20220),
  [28037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22552),
  [28039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [28041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11539),
  [28043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19942),
  [28045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22957),
  [28047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8998),
  [28049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23166),
  [28051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22958),
  [28053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22959),
  [28055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22553),
  [28057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21040),
  [28059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15728),
  [28061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19970),
  [28063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20224),
  [28065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18793),
  [28067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [28069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20597),
  [28071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12168),
  [28073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [28075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20068),
  [28077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [28079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [28081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [28083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [28085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22554),
  [28087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [28089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [28091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23196),
  [28093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20123),
  [28095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [28097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23106),
  [28099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15288),
  [28101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11358),
  [28103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21580),
  [28105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [28107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [28109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22919),
  [28111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15747),
  [28113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15279),
  [28115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10363),
  [28117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [28119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11439),
  [28121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [28123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14974),
  [28125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13276),
  [28127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20206),
  [28129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22973),
  [28131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22974),
  [28133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22975),
  [28135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [28137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10753),
  [28139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20739),
  [28141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 21),
  [28143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [28145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20230),
  [28147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20394),
  [28149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [28151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21578),
  [28153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12828),
  [28155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [28157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [28159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22695),
  [28161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10401),
  [28163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [28165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [28167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20325),
  [28169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [28171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [28173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22970),
  [28175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5761),
  [28177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22141),
  [28179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5718),
  [28181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20210),
  [28183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [28185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20393),
  [28187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10338),
  [28189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11018),
  [28191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10320),
  [28193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [28195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [28197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20958),
  [28199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [28201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [28203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22251),
  [28205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [28207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [28209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [28211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [28213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22132),
  [28215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19097),
  [28217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22988),
  [28219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22989),
  [28221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [28223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23247),
  [28225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22990),
  [28227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9140),
  [28229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15910),
  [28231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [28233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16030),
  [28235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19103),
  [28237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [28239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [28241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [28243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10312),
  [28245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [28247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [28249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [28251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21450),
  [28253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [28255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [28257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22612),
  [28259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [28261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23261),
  [28263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [28265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [28267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22785),
  [28269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [28271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19190),
  [28273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [28275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [28277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [28279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [28281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22803),
  [28283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [28285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19232),
  [28287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23003),
  [28289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23004),
  [28291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [28293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23005),
  [28295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [28297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [28299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20977),
  [28301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [28303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22153),
  [28305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [28307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10117),
  [28309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13032),
  [28311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21464),
  [28313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17933),
  [28315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15923),
  [28317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19321),
  [28319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23097),
  [28321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20163),
  [28323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22749),
  [28325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22750),
  [28327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22751),
  [28329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [28331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [28333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [28335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23122),
  [28337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [28339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23121),
  [28341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [28343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19365),
  [28345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23018),
  [28347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23019),
  [28349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [28351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [28353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23020),
  [28355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [28357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [28359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [28361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21053),
  [28363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11069),
  [28365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [28367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [28369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [28371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19588),
  [28373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [28375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21419),
  [28377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19771),
  [28379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12175),
  [28381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [28383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22651),
  [28385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [28387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21249),
  [28389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11229),
  [28391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23141),
  [28393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [28395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [28397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16183),
  [28399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [28401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23181),
  [28403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15886),
  [28405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19629),
  [28407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23033),
  [28409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23034),
  [28411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23035),
  [28413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11499),
  [28415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [28417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [28419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10831),
  [28421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11955),
  [28423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19692),
  [28425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [28427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22766),
  [28429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [28431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [28433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [28435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22199),
  [28437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11314),
  [28439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20381),
  [28441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [28443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12113),
  [28445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10938),
  [28447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [28449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [28451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10419),
  [28453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [28455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19728),
  [28457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23048),
  [28459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23049),
  [28461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23050),
  [28463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [28465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21093),
  [28467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15889),
  [28469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5767),
  [28471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9453),
  [28473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22210),
  [28475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20261),
  [28477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [28479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19781),
  [28481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [28483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [28485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22224),
  [28487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [28489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22889),
  [28491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13034),
  [28493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [28495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19808),
  [28497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23063),
  [28499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [28501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16260),
  [28503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23064),
  [28505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [28507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [28509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [28511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [28513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5840),
  [28515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23065),
  [28517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [28519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22103),
  [28521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [28523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22685),
  [28525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8904),
  [28527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12738),
  [28529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [28531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10266),
  [28533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [28535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [28537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22253),
  [28539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14323),
  [28541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [28543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23543),
  [28545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [28547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [28549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20934),
  [28551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21299),
  [28553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12091),
  [28555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15260),
  [28557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11075),
  [28559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10555),
  [28561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [28563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22986),
  [28565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [28567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23552),
  [28569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [28571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22746),
  [28573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [28575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19805),
  [28577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [28579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15640),
  [28581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [28583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10383),
  [28585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [28587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19859),
  [28589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [28591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [28593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [28595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [28597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [28599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [28601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [28603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [28605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19892),
  [28607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23078),
  [28609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23079),
  [28611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23080),
  [28613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15226),
  [28615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14027),
  [28617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [28619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22855),
  [28621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19964),
  [28623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [28625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22264),
  [28627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [28629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [28631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22222),
  [28633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19670),
  [28635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10308),
  [28637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [28639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [28641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23136),
  [28643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [28645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [28647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22620),
  [28649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10872),
  [28651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [28653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10368),
  [28655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [28657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [28659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11230),
  [28661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15877),
  [28663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15895),
  [28665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20010),
  [28667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23093),
  [28669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23094),
  [28671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23095),
  [28673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [28675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22230),
  [28677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [28679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [28681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [28683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [28685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15902),
  [28687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 2, 0, 111),
  [28689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6457),
  [28691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [28693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13258),
  [28695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [28697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22289),
  [28699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20086),
  [28701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [28703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [28705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4716),
  [28707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22297),
  [28709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [28711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15606),
  [28713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14154),
  [28715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11957),
  [28717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4631),
  [28719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21265),
  [28721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15323),
  [28723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [28725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12967),
  [28727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [28729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22922),
  [28731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14156),
  [28733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10341),
  [28735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [28737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12690),
  [28739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12717),
  [28741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [28743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20136),
  [28745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23108),
  [28747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23109),
  [28749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [28751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23110),
  [28753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18076),
  [28755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [28757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22333),
  [28759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [28761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22854),
  [28763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22769),
  [28765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [28767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22337),
  [28769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22770),
  [28771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [28773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [28775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [28777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [28779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [28781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [28783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [28785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [28787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [28789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [28791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [28793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15130),
  [28795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12137),
  [28797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [28799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16599),
  [28801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [28803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [28805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [28807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [28809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [28811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20402),
  [28813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [28815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [28817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [28819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17894),
  [28821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [28823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [28825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6114),
  [28827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11244),
  [28829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [28831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6115),
  [28833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [28835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [28837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [28839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [28841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [28843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17701),
  [28845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [28847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14432),
  [28849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [28851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [28853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13278),
  [28855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9007),
  [28857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15649),
  [28859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [28861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [28863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [28865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [28867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [28869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [28871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [28873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [28875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15016),
  [28877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13283),
  [28879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20218),
  [28881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [28883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16096),
  [28885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [28887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [28889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12236),
  [28891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7849),
  [28893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [28895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [28897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14487),
  [28899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8174),
  [28901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16279),
  [28903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [28905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14960),
  [28907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [28909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [28911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6449),
  [28913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [28915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [28917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [28919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [28921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [28923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [28925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19297),
  [28927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4532),
  [28929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [28931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [28933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14954),
  [28935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [28937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [28939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [28941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [28943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [28945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [28947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [28949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [28951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [28953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17775),
  [28955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10668),
  [28957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14967),
  [28959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13302),
  [28961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [28963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [28965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [28967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [28969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [28971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [28973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [28975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [28977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [28979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10624),
  [28981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [28983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [28985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13306),
  [28987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19783),
  [28989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [28991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [28993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [28995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [28997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [28999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [29001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [29003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [29005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [29007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15019),
  [29009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [29011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10509),
  [29013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10511),
  [29015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [29017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [29019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [29021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [29023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [29025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19106),
  [29027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [29029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [29031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [29033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [29035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [29037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [29039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [29041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [29043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [29045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [29047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [29049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [29051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [29053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17852),
  [29055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [29057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8057),
  [29059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8113),
  [29061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13337),
  [29063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [29065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11770),
  [29067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [29069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15773),
  [29071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [29073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [29075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [29077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14434),
  [29079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9222),
  [29081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [29083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [29085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [29087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [29089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13341),
  [29091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19490),
  [29093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [29095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [29097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [29099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10746),
  [29101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10752),
  [29103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [29105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10079),
  [29107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9461),
  [29109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [29111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [29113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [29115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15001),
  [29117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [29119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [29121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [29123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16517),
  [29125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9019),
  [29127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [29129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [29131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12302),
  [29133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3335),
  [29135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19903),
  [29137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [29139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [29141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [29143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [29145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [29147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3027),
  [29149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11808),
  [29151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [29153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [29155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [29157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [29159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [29161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [29163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [29165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [29167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17941),
  [29169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [29171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [29173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [29175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13360),
  [29177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [29179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10673),
  [29181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [29183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [29185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [29187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9477),
  [29189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [29191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [29193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [29195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21200),
  [29197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9486),
  [29199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [29201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [29203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13364),
  [29205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20108),
  [29207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [29209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [29211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12202),
  [29213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [29215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [29217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [29219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15160),
  [29221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [29223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10621),
  [29225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [29227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [29229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [29231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [29233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19150),
  [29235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [29237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [29239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [29241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [29243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7408),
  [29245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [29247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [29249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [29251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [29253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [29255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [29257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9286),
  [29259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [29261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [29263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18025),
  [29265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [29267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [29269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [29271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [29273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13394),
  [29275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5585),
  [29277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [29279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [29281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [29283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [29285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [29287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [29289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [29291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [29293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13398),
  [29295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19304),
  [29297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [29299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [29301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [29303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [29305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [29307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [29309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [29311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15157),
  [29313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [29315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14979),
  [29317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [29319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [29321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [29323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19558),
  [29325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [29327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [29329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [29331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [29333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15674),
  [29335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [29337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [29339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [29341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [29343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [29345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [29347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [29349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [29351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [29353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18111),
  [29355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [29357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [29359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11404),
  [29361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13418),
  [29363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [29365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11628),
  [29367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [29369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [29371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [29373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [29375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [29377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13423),
  [29379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19686),
  [29381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [29383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10538),
  [29385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [29387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [29389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [29391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [29393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15109),
  [29395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11494),
  [29397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [29399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [29401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [29403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19897),
  [29405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [29407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12192),
  [29409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [29411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23759),
  [29413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [29415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [29417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11735),
  [29419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [29421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11756),
  [29423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [29425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [29427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [29429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [29431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9543),
  [29433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [29435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18206),
  [29437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12193),
  [29439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [29441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [29443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [29445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13441),
  [29447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19543),
  [29449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [29451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [29453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [29455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [29457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [29459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12038),
  [29461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11980),
  [29463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [29465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [29467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [29469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13445),
  [29471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20003),
  [29473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [29475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [29477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [29479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [29481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [29483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [29485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14986),
  [29487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [29489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [29491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [29493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [29495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [29497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [29499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20159),
  [29501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [29503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [29505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21640),
  [29507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [29509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [29511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [29513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [29515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [29517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [29519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [29521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [29523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [29525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [29527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10510),
  [29529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18291),
  [29531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [29533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [29535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [29537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13462),
  [29539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [29541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10262),
  [29543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [29545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [29547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [29549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11636),
  [29551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [29553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [29555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15663),
  [29557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [29559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [29561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13467),
  [29563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20253),
  [29565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [29567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13052),
  [29569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [29571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [29573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11008),
  [29575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [29577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10687),
  [29579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15051),
  [29581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [29583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [29585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [29587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [29589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19069),
  [29591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [29593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [29595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [29597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [29599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [29601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [29603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [29605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11783),
  [29607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [29609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18351),
  [29611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15095),
  [29613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15738),
  [29615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13486),
  [29617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [29619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [29621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [29623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14089),
  [29625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [29627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [29629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13490),
  [29631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19113),
  [29633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14090),
  [29635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5029),
  [29637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12274),
  [29639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11784),
  [29641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12280),
  [29643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [29645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15127),
  [29647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [29649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15853),
  [29651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [29653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [29655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [29657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19209),
  [29659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [29661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [29663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [29665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11024),
  [29667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2995),
  [29669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [29671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [29673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [29675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [29677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [29679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [29681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19797),
  [29683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18394),
  [29685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [29687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [29689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [29691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11036),
  [29693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13510),
  [29695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [29697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [29699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20000),
  [29701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [29703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13514),
  [29705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19249),
  [29707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [29709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [29711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11084),
  [29713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19840),
  [29715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14959),
  [29717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [29719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [29721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [29723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [29725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19339),
  [29727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [29729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [29731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [29733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [29735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [29737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [29739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14401),
  [29741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [29743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 2, 0, 0),
  [29745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [29747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18459),
  [29749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [29751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11457),
  [29753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [29755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [29757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13526),
  [29759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11057),
  [29761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3195),
  [29763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11060),
  [29765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11062),
  [29767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [29769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13530),
  [29771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19380),
  [29773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11066),
  [29775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [29777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11068),
  [29779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [29781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [29783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [29785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14955),
  [29787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [29789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [29791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [29793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [29795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19607),
  [29797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18900),
  [29799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [29801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [29803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [29805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [29807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3347),
  [29809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [29811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [29813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14101),
  [29815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [29817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [29819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18576),
  [29821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [29823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8751),
  [29825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15685),
  [29827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [29829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13544),
  [29831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [29833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [29835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11105),
  [29837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11106),
  [29839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13548),
  [29841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19640),
  [29843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11109),
  [29845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [29847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [29849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19008),
  [29851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11774),
  [29853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [29855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14989),
  [29857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11776),
  [29859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [29861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [29863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [29865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [29867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [29869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19705),
  [29871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11960),
  [29873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [29875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13814),
  [29877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [29879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [29881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [29883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9601),
  [29885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [29887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11482),
  [29889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18626),
  [29891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [29893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [29895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [29897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [29899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13564),
  [29901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [29903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6274),
  [29905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10970),
  [29907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13568),
  [29909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19736),
  [29911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [29913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [29915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11794),
  [29917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [29919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12725),
  [29921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15071),
  [29923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [29925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [29927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [29929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [29931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [29933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [29935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19794),
  [29937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [29939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [29941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [29943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [29945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [29947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [29949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [29951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13842),
  [29953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11218),
  [29955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [29957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [29959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18665),
  [29961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [29963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7506),
  [29965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20082),
  [29967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [29969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13580),
  [29971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [29973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11799),
  [29975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13584),
  [29977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19817),
  [29979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11801),
  [29981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [29983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [29985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [29987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14958),
  [29989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11806),
  [29991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [29993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [29995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [29997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [29999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [30001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19872),
  [30003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [30005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [30007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [30009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [30011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8185),
  [30013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [30015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [30017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [30019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [30021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [30023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18714),
  [30025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [30027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [30029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [30031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13594),
  [30033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [30035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [30037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [30039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [30041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13598),
  [30043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19911),
  [30045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [30047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [30049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [30051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [30053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [30055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [30057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15002),
  [30059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [30061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [30063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [30065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [30067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [30069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19981),
  [30071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [30073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [30075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [30077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [30079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15545),
  [30081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [30083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [30085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [30087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [30089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [30091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9686),
  [30093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15045),
  [30095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18795),
  [30097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [30099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [30101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12811),
  [30103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [30105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13615),
  [30107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [30109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [30111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23542),
  [30113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [30115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [30117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13619),
  [30119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20028),
  [30121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [30123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [30125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12147),
  [30127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [30129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15049),
  [30131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9687),
  [30133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [30135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9699),
  [30137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [30139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [30141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [30143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20107),
  [30145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15851),
  [30147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [30149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [30151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [30153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [30155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [30157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [30159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [30161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [30163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11175),
  [30165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18884),
  [30167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [30169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8686),
  [30171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [30173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12835),
  [30175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13632),
  [30177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [30179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [30181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [30183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13636),
  [30185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20154),
  [30187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [30189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [30191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [30193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [30195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15147),
  [30197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15345),
  [30199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [30201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [30203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [30205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [30207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20221),
  [30209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [30211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [30213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [30215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [30217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [30219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [30221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [30223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3365),
  [30225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [30227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [30229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [30231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [30233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19003),
  [30235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [30237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [30239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8299),
  [30241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13658),
  [30243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [30245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_content, 1, 0, 0),
  [30247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [30249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [30251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13662),
  [30253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20304),
  [30255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [30257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12150),
  [30259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [30261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [30263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [30265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [30267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14997),
  [30269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [30271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [30273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6116),
  [30275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [30277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [30279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [30281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20374),
  [30283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10689),
  [30285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [30287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [30289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [30291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [30293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [30295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [30297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [30299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12935),
  [30301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [30303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10983),
  [30305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [30307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19056),
  [30309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [30311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [30313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [30315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13679),
  [30317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [30319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [30321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8820),
  [30323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [30325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13683),
  [30327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19866),
  [30329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [30331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [30333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [30335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [30337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [30339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15023),
  [30341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [30343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [30345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [30347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [30349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [30351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19203),
  [30353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [30355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15058),
  [30357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [30359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15834),
  [30361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2668),
  [30363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [30365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [30367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [30369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [30371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [30373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18043),
  [30375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [30377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [30379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [30381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9618),
  [30383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13694),
  [30385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12416),
  [30387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15675),
  [30389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [30391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13699),
  [30393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20105),
  [30395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [30397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [30399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [30401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [30403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [30405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15046),
  [30407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19979),
  [30409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [30411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [30413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [30415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [30417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20316),
  [30419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 3, 0, 0),
  [30421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7364),
  [30423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [30425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [30427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [30429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [30431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [30433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [30435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17951),
  [30437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [30439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 2, 0, 0),
  [30441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [30443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13713),
  [30445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [30447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [30449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [30451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15650),
  [30453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [30455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13718),
  [30457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19266),
  [30459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [30461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [30463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [30465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [30467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15070),
  [30469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11235),
  [30471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [30473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [30475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [30477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19411),
  [30479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [30481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [30483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [30485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3334),
  [30487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [30489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [30491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [30493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [30495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [30497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15616),
  [30499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [30501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18615),
  [30503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18266),
  [30505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [30507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [30509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [30511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13730),
  [30513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [30515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [30517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [30519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [30521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [30523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13734),
  [30525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19810),
  [30527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [30529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [30531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [30533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [30535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [30537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15120),
  [30539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [30541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [30543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [30545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [30547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19471),
  [30549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [30551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [30553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10646),
  [30555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [30557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [30559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [30561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [30563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [30565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11888),
  [30567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [30569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [30571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11900),
  [30573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17769),
  [30575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [30577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [30579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [30581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [30583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [30585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [30587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [30589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13749),
  [30591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20080),
  [30593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [30595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10648),
  [30597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [30599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11357),
  [30601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13449),
  [30603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15173),
  [30605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [30607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [30609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [30611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [30613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [30615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20005),
  [30617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23724),
  [30619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [30621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11602),
  [30623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [30625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [30627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [30629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [30631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [30633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [30635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [30637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [30639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17973),
  [30641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20266),
  [30643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [30645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [30647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15777),
  [30649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13758),
  [30651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [30653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11919),
  [30655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [30657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [30659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [30661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13762),
  [30663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19213),
  [30665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16202),
  [30667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [30669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [30671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [30673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14961),
  [30675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [30677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [30679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [30681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [30683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [30685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19751),
  [30687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13458),
  [30689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [30691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [30693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [30695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [30697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [30699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [30701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19637),
  [30703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [30705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [30707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18221),
  [30709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [30711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [30713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13773),
  [30715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [30717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [30719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [30721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13777),
  [30723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20063),
  [30725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7309),
  [30727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [30729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [30731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11932),
  [30733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10987),
  [30735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14981),
  [30737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [30739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [30741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [30743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3355),
  [30745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [30747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19227),
  [30749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10880),
  [30751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [30753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [30755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [30757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [30759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [30761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [30763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [30765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [30767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [30769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18449),
  [30771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [30773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8331),
  [30775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [30777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13789),
  [30779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [30781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [30783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [30785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [30787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13793),
  [30789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19604),
  [30791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [30793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16606),
  [30795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [30797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [30799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [30801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14998),
  [30803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [30805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [30807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10518),
  [30809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [30811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [30813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19833),
  [30815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [30817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [30819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18753),
  [30821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [30823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [30825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [30827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [30829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [30831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18712),
  [30833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [30835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13286),
  [30837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [30839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11165),
  [30841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13808),
  [30843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [30845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [30847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7632),
  [30849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [30851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13812),
  [30853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19980),
  [30855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [30857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15621),
  [30859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [30861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15014),
  [30863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [30865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [30867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3194),
  [30869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [30871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20157),
  [30873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [30875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16529),
  [30877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [30879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [30881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [30883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [30885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [30887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [30889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [30891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [30893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19023),
  [30895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [30897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [30899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [30901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [30903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13821),
  [30905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [30907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [30909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [30911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [30913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [30915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19862),
  [30917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [30919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [30921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [30923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [30925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [30927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15031),
  [30929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [30931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [30933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [30935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [30937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19618),
  [30939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13571),
  [30941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [30943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [30945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [30947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [30949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [30951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [30953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [30955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [30957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [30959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17754),
  [30961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [30963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [30965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [30967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13833),
  [30969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [30971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [30973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9727),
  [30975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [30977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13837),
  [30979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19484),
  [30981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9654),
  [30983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [30985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [30987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [30989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15048),
  [30991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [30993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10863),
  [30995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [30997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3274),
  [30999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20069),
  [31001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [31003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [31005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [31007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [31009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [31011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10681),
  [31013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3285),
  [31015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [31017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [31019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [31021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8048),
  [31023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17837),
  [31025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [31027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [31029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [31031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [31033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13848),
  [31035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [31037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15011),
  [31039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13277),
  [31041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19271),
  [31043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [31045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [31047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [31049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15683),
  [31051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [31053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15057),
  [31055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11670),
  [31057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [31059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [31061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3324),
  [31063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [31065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19590),
  [31067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [31069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10704),
  [31071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [31073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [31075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15665),
  [31077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [31079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [31081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [31083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [31085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [31087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9741),
  [31089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10159),
  [31091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17895),
  [31093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [31095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19430),
  [31097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [31099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10571),
  [31101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [31103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [31105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [31107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [31109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13874),
  [31111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19759),
  [31113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [31115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [31117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [31119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14426),
  [31121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [31123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15075),
  [31125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [31127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [31129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [31131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [31133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20043),
  [31135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [31137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [31139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11679),
  [31141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12344),
  [31143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [31145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12350),
  [31147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [31149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [31151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [31153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [31155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [31157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17965),
  [31159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11369),
  [31161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [31163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [31165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13885),
  [31167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [31169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [31171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [31173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3832),
  [31175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13889),
  [31177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20175),
  [31179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [31181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [31183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17796),
  [31185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [31187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15085),
  [31189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [31191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [31193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12433),
  [31195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [31197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [31199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20368),
  [31201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11690),
  [31203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [31205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11691),
  [31207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11692),
  [31209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [31211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [31213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [31215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [31217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [31219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11693),
  [31221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [31223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [31225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18018),
  [31227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11782),
  [31229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [31231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11793),
  [31233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [31235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13900),
  [31237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [31239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13640),
  [31241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [31243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13904),
  [31245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19258),
  [31247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11485),
  [31249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [31251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11698),
  [31253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9843),
  [31255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11699),
  [31257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15107),
  [31259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11700),
  [31261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [31263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [31265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [31267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19422),
  [31269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [31271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [31273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [31275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [31277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [31279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [31281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [31283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [31285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18093),
  [31287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12035),
  [31289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [31291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [31293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11819),
  [31295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13912),
  [31297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5854),
  [31299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [31301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [31303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [31305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13916),
  [31307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19602),
  [31309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [31311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9733),
  [31313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [31315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [31317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15122),
  [31319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [31321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [31323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [31325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [31327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19774),
  [31329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14414),
  [31331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18349),
  [31333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [31335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [31337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [31339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [31341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [31343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [31345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9672),
  [31347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13654),
  [31349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [31351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18189),
  [31353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [31355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19525),
  [31357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13923),
  [31359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11741),
  [31361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [31363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [31365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13927),
  [31367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19943),
  [31369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [31371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [31373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15137),
  [31375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [31377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [31379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [31381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20081),
  [31383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [31385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [31387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [31389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [31391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [31393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [31395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [31397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [31399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [31401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18271),
  [31403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [31405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [31407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [31409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13942),
  [31411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [31413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [31415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [31417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10553),
  [31419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13946),
  [31421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20176),
  [31423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [31425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [31427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [31429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15166),
  [31431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [31433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20231),
  [31435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [31437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [31439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15043),
  [31441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18305),
  [31443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [31445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [31447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13957),
  [31449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [31451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13961),
  [31453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20258),
  [31455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [31457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [31459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11326),
  [31461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20290),
  [31463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [31465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14449),
  [31467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [31469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [31471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13967),
  [31473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [31475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13971),
  [31477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20335),
  [31479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [31481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [31483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [31485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [31487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [31489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11831),
  [31491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20376),
  [31493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [31495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [31497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [31499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [31501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [31503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [31505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20410),
  [31507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [31509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7595),
  [31511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [31513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [31515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [31517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [31519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19079),
  [31521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [31523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [31525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [31527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12180),
  [31529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [31531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19091),
  [31533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7643),
  [31535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [31537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [31539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [31541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [31543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14418),
  [31545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19109),
  [31547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14963),
  [31549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [31551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15757),
  [31553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [31555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [31557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19119),
  [31559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17100),
  [31561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_operator, 1, 0, 0),
  [31563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14419),
  [31565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [31567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15667),
  [31569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19132),
  [31571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [31573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [31575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [31577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [31579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [31581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [31583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [31585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19143),
  [31587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19420),
  [31589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [31591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [31593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [31595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [31597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [31599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19151),
  [31601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [31603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [31605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [31607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13073),
  [31609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [31611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [31613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19155),
  [31615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [31617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [31619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [31621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11347),
  [31623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [31625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11468),
  [31627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [31629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19167),
  [31631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [31633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [31635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [31637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [31639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [31641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [31643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [31645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19201),
  [31647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18146),
  [31649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10738),
  [31651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [31653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8578),
  [31655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16542),
  [31657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [31659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11390),
  [31661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [31663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [31665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11773),
  [31667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11775),
  [31669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [31671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13865),
  [31673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [31675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [31677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [31679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [31681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11474),
  [31683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [31685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [31687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [31689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16388),
  [31691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [31693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [31695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [31697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11781),
  [31699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [31701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [31703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [31705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [31707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [31709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [31711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [31713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13906),
  [31715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [31717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [31719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20044),
  [31721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11786),
  [31723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11787),
  [31725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [31727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [31729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11788),
  [31731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19379),
  [31733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [31735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [31737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9448),
  [31739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [31741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [31743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [31745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [31747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [31749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [31751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [31753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [31755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19982),
  [31757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [31759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9454),
  [31761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [31763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [31765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [31767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [31769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [31771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9602),
  [31773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3028),
  [31775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [31777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9523),
  [31779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11632),
  [31781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [31783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [31785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [31787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [31789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [31791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19354),
  [31793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [31795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [31797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11323),
  [31799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11338),
  [31801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15426),
  [31803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [31805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
  [31807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [31809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [31811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [31813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14116),
  [31815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [31817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [31819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10532),
  [31821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12204),
  [31823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13308),
  [31825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19432),
  [31827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8041),
  [31829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [31831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [31833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [31835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [31837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9626),
  [31839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [31841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [31843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [31845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [31847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [31849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [31851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15006),
  [31853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [31855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [31857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [31859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [31861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19645),
  [31863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [31865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [31867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [31869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [31871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [31873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [31875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15177),
  [31877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19647),
  [31879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15857),
  [31881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [31883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [31885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [31887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [31889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [31891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12872),
  [31893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [31895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [31897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [31899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [31901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7340),
  [31903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [31905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15794),
  [31907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [31909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [31911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [31913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [31915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [31917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12020),
  [31919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [31921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [31923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [31925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19172),
  [31927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [31929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [31931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [31933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23705),
  [31935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23706),
  [31937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23707),
  [31939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [31941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [31943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [31945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [31947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [31949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [31951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [31953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [31955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [31957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [31959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [31961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [31963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11321),
  [31965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [31967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [31969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [31971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [31973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [31975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [31977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18422),
  [31979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [31981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [31983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [31985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [31987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [31989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [31991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [31993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [31995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [31997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [31999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11823),
  [32001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [32003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [32005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [32007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [32009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11994),
  [32011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11824),
  [32013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [32015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11995),
  [32017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13349),
  [32019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [32021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [32023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [32025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [32027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [32029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [32031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [32033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [32035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [32037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [32039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [32041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [32043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [32045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [32047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [32049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [32051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [32053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [32055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [32057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [32059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [32061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11826),
  [32063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [32065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [32067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [32069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5822),
  [32071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [32073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [32075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [32077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [32079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13356),
  [32081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [32083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19414),
  [32085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [32087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [32089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15007),
  [32091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11828),
  [32093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11829),
  [32095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [32097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [32099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [32101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [32103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11830),
  [32105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11623),
  [32107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [32109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20360),
  [32111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [32113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [32115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [32117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [32119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [32121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [32123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [32125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20408),
  [32127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [32129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [32131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [32133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [32135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [32137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [32139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [32141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [32143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [32145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6046),
  [32147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [32149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20269),
  [32151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [32153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [32155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [32157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18015),
  [32159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [32161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [32163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [32165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [32167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [32169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [32171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [32173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [32175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12477),
  [32177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [32179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21122),
  [32181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21126),
  [32183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21128),
  [32185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [32187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [32189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [32191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [32193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [32195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [32197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [32199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [32201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [32203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [32205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12014),
  [32207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12015),
  [32209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12842),
  [32211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [32213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12016),
  [32215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [32217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [32219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14996),
  [32221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15687),
  [32223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [32225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [32227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [32229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14869),
  [32231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14870),
  [32233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12033),
  [32235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [32237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [32239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [32241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [32243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [32245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [32247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [32249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15835),
  [32251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [32253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [32255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [32257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [32259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [32261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19801),
  [32263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [32265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [32267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [32269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6553),
  [32271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13103),
  [32273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20412),
  [32275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13104),
  [32277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [32279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [32281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [32283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19948),
  [32285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [32287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [32289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [32291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [32293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11205),
  [32295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [32297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14336),
  [32299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [32301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [32303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20298),
  [32305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [32307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [32309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18710),
  [32311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [32313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [32315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [32317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [32319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [32321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [32323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [32325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [32327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8178),
  [32329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [32331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21556),
  [32333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21561),
  [32335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21562),
  [32337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11847),
  [32339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [32341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11848),
  [32343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [32345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [32347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11704),
  [32349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11706),
  [32351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13427),
  [32353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [32355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [32357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [32359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [32361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [32363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [32365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [32367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [32369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14878),
  [32371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [32373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [32375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [32377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [32379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [32381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11722),
  [32383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [32385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [32387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4399),
  [32389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11851),
  [32391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4612),
  [32393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [32395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [32397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [32399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [32401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [32403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [32405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [32407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [32409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [32411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [32413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [32415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13433),
  [32417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [32419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7067),
  [32421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20032),
  [32423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [32425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [32427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6576),
  [32429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11855),
  [32431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7069),
  [32433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11856),
  [32435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [32437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11857),
  [32439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12669),
  [32441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12670),
  [32443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20011),
  [32445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [32447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [32449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [32451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [32453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14339),
  [32455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23662),
  [32457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15394),
  [32459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20074),
  [32461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [32463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [32465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [32467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [32469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [32471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [32473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21941),
  [32475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21942),
  [32477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21943),
  [32479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [32481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [32483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [32485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [32487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [32489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [32491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [32493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8146),
  [32495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [32497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [32499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [32501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [32503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [32505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [32507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [32509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [32511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19281),
  [32513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [32515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [32517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16682),
  [32519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [32521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23674),
  [32523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [32525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19333),
  [32527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7274),
  [32529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23679),
  [32531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [32533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9693),
  [32535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [32537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22188),
  [32539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22189),
  [32541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22190),
  [32543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [32545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [32547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12172),
  [32549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [32551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [32553] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [32555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [32557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [32559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16587),
  [32561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14991),
  [32563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15811),
  [32565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [32567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19680),
  [32569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [32571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [32573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15243),
  [32575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [32577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [32579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [32581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19758),
  [32583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15726),
  [32585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [32587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [32589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [32591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10246),
  [32593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [32595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [32597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22400),
  [32599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22404),
  [32601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22405),
  [32603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [32605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [32607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [32609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20396),
  [32611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [32613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [32615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11136),
  [32617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [32619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11145),
  [32621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10630),
  [32623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [32625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [32627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [32629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [32631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [32633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [32635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20001),
  [32637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [32639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [32641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [32643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22598),
  [32645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22600),
  [32647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22602),
  [32649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [32651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [32653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [32655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [32657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [32659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [32661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [32663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11282),
  [32665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [32667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [32669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [32671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11151),
  [32673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [32675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [32677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [32679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [32681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [32683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20215),
  [32685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [32687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [32689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22814),
  [32691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22815),
  [32693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22816),
  [32695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [32697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [32699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [32701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17826),
  [32703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [32705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [32707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [32709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [32711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [32713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [32715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11878),
  [32717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [32719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [32721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19085),
  [32723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11879),
  [32725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9420),
  [32727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23023),
  [32729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23025),
  [32731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23027),
  [32733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [32735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [32737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3828),
  [32739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [32741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [32743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13481),
  [32745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9717),
  [32747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [32749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [32751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [32753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19264),
  [32755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [32757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [32759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23206),
  [32761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23207),
  [32763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23209),
  [32765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [32767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [32769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [32771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10619),
  [32773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [32775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11882),
  [32777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4685),
  [32779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [32781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5627),
  [32783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [32785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [32787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19409),
  [32789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [32791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [32793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23414),
  [32795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23418),
  [32797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23419),
  [32799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12422),
  [32801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8883),
  [32803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [32805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13498),
  [32807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19316),
  [32809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11892),
  [32811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11893),
  [32813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [32815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11894),
  [32817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19542),
  [32819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [32821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [32823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23646),
  [32825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23648),
  [32827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23649),
  [32829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16178),
  [32831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [32833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [32835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [32837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [32839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [32841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [32843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [32845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [32847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19627),
  [32849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [32851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9458),
  [32853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23753),
  [32855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23754),
  [32857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23755),
  [32859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10309),
  [32861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [32863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15167),
  [32865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [32867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [32869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [32871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [32873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [32875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19712),
  [32877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [32879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [32881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20473),
  [32883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20474),
  [32885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20475),
  [32887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [32889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [32891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [32893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [32895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5849),
  [32897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [32899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [32901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [32903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19793),
  [32905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [32907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [32909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20537),
  [32911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20538),
  [32913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20539),
  [32915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [32917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [32919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [32921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [32923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [32925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [32927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [32929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [32931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [32933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5187),
  [32935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19861),
  [32937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11407),
  [32939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [32941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20600),
  [32943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20601),
  [32945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20602),
  [32947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [32949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [32951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11798),
  [32953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15165),
  [32955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15749),
  [32957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11815),
  [32959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [32961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11816),
  [32963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11429),
  [32965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [32967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [32969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19925),
  [32971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15745),
  [32973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [32975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20663),
  [32977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20664),
  [32979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20665),
  [32981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [32983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [32985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13187),
  [32987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [32989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13191),
  [32991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [32993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [32995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [32997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [32999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [33001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19968),
  [33003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19773),
  [33005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9512),
  [33007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20718),
  [33009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20719),
  [33011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20720),
  [33013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [33015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [33017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [33019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [33021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [33023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [33025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [33027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12700),
  [33029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [33031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20017),
  [33033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12288),
  [33035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [33037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20772),
  [33039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20773),
  [33041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20774),
  [33043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [33045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10540),
  [33047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [33049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6720),
  [33051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11204),
  [33053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [33055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [33057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [33059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [33061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20060),
  [33063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15042),
  [33065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [33067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20827),
  [33069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20828),
  [33071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20829),
  [33073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [33075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [33077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [33079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18068),
  [33081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15029),
  [33083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [33085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [33087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [33089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [33091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20104),
  [33093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [33095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [33097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20882),
  [33099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20883),
  [33101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20884),
  [33103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11948),
  [33105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [33107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10546),
  [33109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [33111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [33113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [33115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [33117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [33119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13541),
  [33121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20143),
  [33123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20926),
  [33125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20927),
  [33127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20928),
  [33129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [33131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [33133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [33135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [33137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10771),
  [33139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10807),
  [33141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10837),
  [33143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [33145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [33147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20173),
  [33149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [33151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20967),
  [33153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20968),
  [33155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20969),
  [33157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11962),
  [33159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [33161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5845),
  [33163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [33165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [33167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [33169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [33171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16180),
  [33173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [33175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20204),
  [33177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11538),
  [33179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21008),
  [33181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21009),
  [33183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21010),
  [33185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [33187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13555),
  [33189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20297),
  [33191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [33193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11965),
  [33195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [33197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20232),
  [33199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11542),
  [33201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21049),
  [33203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21050),
  [33205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21051),
  [33207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11966),
  [33209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16080),
  [33211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [33213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [33215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [33217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [33219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [33221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [33223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7033),
  [33225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12827),
  [33227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20255),
  [33229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15278),
  [33231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21090),
  [33233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21091),
  [33235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21092),
  [33237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [33239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [33241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [33243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15841),
  [33245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [33247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15309),
  [33249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [33251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15269),
  [33253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [33255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15585),
  [33257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20285),
  [33259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [33261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21131),
  [33263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21132),
  [33265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21133),
  [33267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [33269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [33271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [33273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [33275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [33277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [33279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [33281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15575),
  [33283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15574),
  [33285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20330),
  [33287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [33289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21172),
  [33291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21173),
  [33293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21174),
  [33295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [33297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [33299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [33301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [33303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [33305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [33307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16558),
  [33309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10665),
  [33311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11563),
  [33313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11605),
  [33315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20362),
  [33317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11611),
  [33319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21213),
  [33321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21214),
  [33323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21215),
  [33325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [33327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11186),
  [33329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10879),
  [33331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15084),
  [33333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15713),
  [33335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10937),
  [33337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [33339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20406),
  [33341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [33343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21254),
  [33345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21255),
  [33347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21256),
  [33349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [33351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15798),
  [33353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [33355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [33357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [33359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13090),
  [33361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [33363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [33365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19078),
  [33367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [33369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21295),
  [33371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21296),
  [33373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21297),
  [33375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [33377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [33379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19124),
  [33381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [33383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9639),
  [33385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15142),
  [33387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [33389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6218),
  [33391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [33393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [33395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19098),
  [33397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [33399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21336),
  [33401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21337),
  [33403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21338),
  [33405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11296),
  [33407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [33409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [33411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11224),
  [33413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [33415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [33417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [33419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [33421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15666),
  [33423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [33425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19118),
  [33427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21376),
  [33429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21377),
  [33431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21378),
  [33433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17798),
  [33435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11436),
  [33437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [33439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [33441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [33443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [33445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11982),
  [33447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19141),
  [33449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [33451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21416),
  [33453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21417),
  [33455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21418),
  [33457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11983),
  [33459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [33461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13606),
  [33463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [33465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5234),
  [33467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [33469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [33471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [33473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [33475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19163),
  [33477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [33479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21455),
  [33481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21456),
  [33483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21457),
  [33485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [33487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15846),
  [33489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [33491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6636),
  [33493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [33495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [33497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3280),
  [33499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [33501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19181),
  [33503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [33505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21494),
  [33507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21495),
  [33509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21496),
  [33511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [33513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [33515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13613),
  [33517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19561),
  [33519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [33521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [33523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19200),
  [33525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11989),
  [33527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21533),
  [33529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21534),
  [33531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21535),
  [33533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [33535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [33537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [33539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19269),
  [33541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11991),
  [33543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [33545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [33547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [33549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [33551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [33553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21571),
  [33555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21572),
  [33557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21573),
  [33559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [33561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [33563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [33565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [33567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [33569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [33571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19727),
  [33573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8993),
  [33575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [33577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [33579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21609),
  [33581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21610),
  [33583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21611),
  [33585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [33587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [33589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [33591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [33593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [33595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [33597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4337),
  [33599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12214),
  [33601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21647),
  [33603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21648),
  [33605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21649),
  [33607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15245),
  [33609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [33611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15250),
  [33613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [33615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6020),
  [33617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [33619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [33621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [33623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15590),
  [33625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [33627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [33629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21685),
  [33631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21686),
  [33633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21687),
  [33635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [33637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17808),
  [33639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [33641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [33643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [33645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16610),
  [33647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15527),
  [33649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [33651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21723),
  [33653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21724),
  [33655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21725),
  [33657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [33659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [33661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [33663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14995),
  [33665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [33667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [33669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [33671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [33673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [33675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [33677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21761),
  [33679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21762),
  [33681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21763),
  [33683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [33685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [33687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [33689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20992),
  [33691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15776),
  [33693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [33695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [33697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [33699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [33701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21799),
  [33703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21800),
  [33705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21801),
  [33707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [33709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [33711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19421),
  [33713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11220),
  [33715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [33717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [33719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [33721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [33723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11356),
  [33725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21837),
  [33727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21838),
  [33729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21839),
  [33731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10595),
  [33733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [33735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [33737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [33739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [33741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [33743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5386),
  [33745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21875),
  [33747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21876),
  [33749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21877),
  [33751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [33753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [33755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [33757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [33759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [33761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [33763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [33765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [33767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [33769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [33771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [33773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21913),
  [33775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21914),
  [33777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21915),
  [33779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [33781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15357),
  [33783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15370),
  [33785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18154),
  [33787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [33789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18583),
  [33791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12007),
  [33793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21950),
  [33795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21951),
  [33797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21952),
  [33799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12037),
  [33801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [33803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [33805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12040),
  [33807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [33809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13706),
  [33811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [33813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [33815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [33817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [33819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21987),
  [33821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21988),
  [33823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21989),
  [33825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [33827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [33829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10200),
  [33831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22008),
  [33833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22009),
  [33835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22010),
  [33837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [33839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [33841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [33843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11769),
  [33845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22025),
  [33847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22026),
  [33849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22027),
  [33851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14538),
  [33853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6111),
  [33855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22035),
  [33857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22036),
  [33859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22037),
  [33861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [33863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [33865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22045),
  [33867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22046),
  [33869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22047),
  [33871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [33873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [33875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22055),
  [33877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22056),
  [33879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22057),
  [33881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13721),
  [33883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20116),
  [33885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22065),
  [33887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22066),
  [33889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22067),
  [33891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22075),
  [33893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22076),
  [33895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22077),
  [33897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11817),
  [33899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11820),
  [33901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22085),
  [33903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22086),
  [33905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22087),
  [33907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [33909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11938),
  [33911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22095),
  [33913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22096),
  [33915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22097),
  [33917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15281),
  [33919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [33921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22105),
  [33923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22106),
  [33925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22107),
  [33927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12158),
  [33929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12159),
  [33931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22115),
  [33933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22116),
  [33935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22117),
  [33937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [33939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [33941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22125),
  [33943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22126),
  [33945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22127),
  [33947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [33949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22135),
  [33951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22136),
  [33953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22137),
  [33955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [33957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [33959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22145),
  [33961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22146),
  [33963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22147),
  [33965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [33967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11184),
  [33969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [33971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [33973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [33975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [33977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18664),
  [33979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [33981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11902),
  [33983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [33985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11918),
  [33987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [33989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [33991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9481),
  [33993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20484),
  [33995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15172),
  [33997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [33999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18568),
  [34001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15653),
  [34003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [34005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [34007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [34009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [34011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15647),
  [34013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [34015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [34017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [34019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [34021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [34023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [34025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [34027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [34029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [34031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19323),
  [34033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [34035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [34037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [34039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4348),
  [34041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2987),
  [34043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [34045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [34047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [34049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2989),
  [34051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [34053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [34055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [34057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13388),
  [34059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [34061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [34063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18622),
  [34065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15661),
  [34067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15641),
  [34069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [34071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [34073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [34075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [34077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [34079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [34081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [34083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [34085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [34087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [34089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [34091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8200),
  [34093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18569),
  [34095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11431),
  [34097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18650),
  [34099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15644),
  [34101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15655),
  [34103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [34105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [34107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [34109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [34111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15163),
  [34113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [34115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [34117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [34119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18673),
  [34121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [34123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [34125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11803),
  [34127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [34129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [34131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11805),
  [34133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15355),
  [34135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [34137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18684),
  [34139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13785),
  [34141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [34143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18696),
  [34145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12021),
  [34147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22000),
  [34149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18707),
  [34151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [34153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12174),
  [34155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18713),
  [34157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18720),
  [34159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18725),
  [34161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18730),
  [34163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18736),
  [34165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18742),
  [34167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18749),
  [34169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18755),
  [34171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18762),
  [34173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18766),
  [34175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18772),
  [34177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18777),
  [34179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18783),
  [34181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18789),
  [34183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18794),
  [34185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18800),
  [34187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18803),
  [34189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18808),
  [34191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18814),
  [34193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18821),
  [34195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18825),
  [34197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18831),
  [34199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18838),
  [34201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18843),
  [34203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18849),
  [34205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18856),
  [34207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18863),
  [34209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18867),
  [34211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18876),
  [34213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18881),
  [34215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18886),
  [34217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18891),
  [34219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18895),
  [34221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18898),
  [34223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18903),
  [34225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18910),
  [34227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18916),
  [34229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18920),
  [34231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18926),
  [34233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18930),
  [34235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18936),
  [34237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18943),
  [34239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18946),
  [34241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18948),
  [34243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18950),
  [34245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18952),
  [34247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18954),
  [34249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18956),
  [34251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18958),
  [34253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18960),
  [34255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18962),
  [34257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18964),
  [34259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18966),
  [34261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18968),
  [34263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18970),
  [34265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18972),
  [34267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [34269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [34271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [34273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [34275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23501),
  [34277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [34279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [34281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11807),
  [34283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [34285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [34287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [34289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [34291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [34293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [34295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [34297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [34299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [34301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [34303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [34305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13797),
  [34307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [34309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [34311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19750),
  [34313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [34315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [34317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [34319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [34321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [34323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [34325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12011),
  [34327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [34329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11813),
  [34331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [34333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [34335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [34337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20212),
  [34339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [34341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [34343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [34345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [34347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [34349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [34351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [34353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6148),
  [34355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [34357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16179),
  [34359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [34361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [34363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [34365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [34367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [34369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4828),
  [34371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [34373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [34375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [34377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16597),
  [34379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10603),
  [34381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13435),
  [34383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15047),
  [34385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [34387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [34389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [34391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [34393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [34395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [34397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [34399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [34401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [34403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19978),
  [34405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [34407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16573),
  [34409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [34411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19860),
  [34413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [34415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [34417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [34419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6567),
  [34421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [34423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [34425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [34427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [34429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3348),
  [34431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [34433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [34435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11758),
  [34437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [34439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [34441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6292),
  [34443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [34445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 3, 0, 0),
  [34447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18810),
  [34449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [34451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [34453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [34455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [34457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13862),
  [34459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [34461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [34463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [34465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [34467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [34469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11766),
  [34471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11764),
  [34473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11081),
  [34475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19798),
  [34477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [34479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18409),
  [34481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [34483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [34485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4774),
  [34487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [34489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [34491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [34493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12219),
  [34495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [34497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [34499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13877),
  [34501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20098),
  [34503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [34505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [34507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 0),
  [34509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_comment = 0,
  ts_external_token__left_quoted_string_delimiter = 1,
  ts_external_token__right_quoted_string_delimiter = 2,
  ts_external_token_DQUOTE = 3,
  ts_external_token_line_number_directive = 4,
  ts_external_token__null = 5,
  ts_external_token__error_sentinel = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [ts_external_token__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [ts_external_token_DQUOTE] = anon_sym_DQUOTE,
  [ts_external_token_line_number_directive] = sym_line_number_directive,
  [ts_external_token__null] = sym__null,
  [ts_external_token__error_sentinel] = sym__error_sentinel,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
    [ts_external_token__error_sentinel] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [9] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_ocaml_external_scanner_create(void);
void tree_sitter_ocaml_external_scanner_destroy(void *);
bool tree_sitter_ocaml_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ocaml_external_scanner_serialize(void *, char *);
void tree_sitter_ocaml_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ocaml(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__lowercase_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_ocaml_external_scanner_create,
      tree_sitter_ocaml_external_scanner_destroy,
      tree_sitter_ocaml_external_scanner_scan,
      tree_sitter_ocaml_external_scanner_serialize,
      tree_sitter_ocaml_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
